000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD040.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*          MBD040 - ON-LINE TRANSACTION BACKUP                  *
000600*                                                               *
000700*****************************************************************
000800*
000900 ENVIRONMENT DIVISION.
001000 CONFIGURATION SECTION.
001100 SOURCE-COMPUTER.            IBM-4341.
001200 OBJECT-COMPUTER.            IBM-4341.
001300/
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900 WORKING-STORAGE SECTION.
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200 01  WS-WORK-AREAS.
002300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBD040'.
002400     03  WS-MBD040-LEN-1     PIC S9(08)      BINARY VALUE ZERO.
002500     03  WS-MBD040-LEN-2     PIC S9(08)      BINARY VALUE ZERO.
002600     03  WS-MBD040-LEN-3     PIC S9(08)      BINARY VALUE ZERO.
002700*
002800*****************************************************************
002900* THESE ARE SEPARATORS TO IDENTIFY DATA ON TAPE                 *
003000*****************************************************************
003100*
003200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
003300/
003400     COPY MB00RB REPLACING ==:MB00:== BY ==MML1==.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMT1==.
003700/
003800     COPY MB00RB REPLACING ==:MB00:== BY ==MTL1==.
003900/
004000     COPY MB00RB REPLACING ==:MB00:== BY ==MTT1==.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MBTF==.
004300/
004400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004500/
004600     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004700/
004800     COPY MML1IO REPLACING ==:MML1:== BY ==MML1==.
004900/
005000     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMT1==.
005100/
005200     COPY MML1IO REPLACING ==:MML1:== BY ==MTL1==.
005300/
005400     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTT1==.
005500/
005600     COPY MBTFIO.
005700/
005800     COPY MB00WS.
005900/
006000     COPY MB99WS.
006100/
006200     COPY SS00WS.
006300/
006400     COPY SS02WS.
006500*
006600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006700/
006800 PROCEDURE DIVISION.
006900*
007000 A000-DRIVER.
007100*
007200     MOVE WS-PROG-ID             TO SS02WS-ABEND-PROG-ID.
007300     MOVE SPACES                 TO MTCC-RECORD.
007400*
007500     PERFORM B000-OPEN-FILES
007600        THRU B999-OF-EXIT.
007700*
007800     PERFORM C000-HEADER-CHECK
007900        THRU C999-HC-EXIT.
008000*
008100     IF  MTCC-MBD040-DISK
008200         PERFORM D000-DISK-READ-WRITE
008300            THRU D999-DRW-EXIT
008400     ELSE
008500         PERFORM E000-TAPE-READ-WRITE
008600            THRU E999-TRW-EXIT.
008700*
008800     PERFORM F000-CLOSE-FILES
008900        THRU F999-CF-EXIT.
009000*
009100     STOP RUN.
009200/
009300 B000-OPEN-FILES.
009400*
009500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
009600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
009700     SET  MTCCRB-OPEN-INPUT      TO TRUE.
009800     PERFORM MB00PD-MTCC-ACCESS
009900        THRU MB00PD-MTCC-ACCESS-EXIT.
010000*
010100     MOVE 'OAL1'                 TO SS02WS-ABEND-LOCATION.
010200     SET  MTL1RB-OPEN-OUTPUT     TO TRUE.
010300     PERFORM MB00PD-MTL1-ACCESS
010400        THRU MB00PD-MTL1-ACCESS-EXIT.
010500*
010600     MOVE 'OAT1'                 TO SS02WS-ABEND-LOCATION.
010700     SET  MTT1RB-OPEN-OUTPUT     TO TRUE.
010800     PERFORM MB00PD-MTT1-ACCESS
010900        THRU MB00PD-MTT1-ACCESS-EXIT.
011000*
011100 B100-MTCC-READ.
011200*
011300*****************************************************************
011400* CHECK FOR CONTROL CARD (MTCC) FOR MBD040                      *
011500* IF MTCC DOES NOT EXIST FOR MBD040, ASSUME DISK INPUT          *
011600*****************************************************************
011700*
011800     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
011900     SET  MTCCRB-READ-SEQ        TO TRUE.
012000     PERFORM MB00PD-MTCC-ACCESS
012100        THRU MB00PD-MTCC-ACCESS-EXIT.
012200*
012300     IF  SS02WS-FS-END-OF-FILE
012400         IF  MTCC-MBD040-OPTION IS EQUAL TO SPACES
012500             MOVE 'DISK'         TO MTCC-MBD040-OPTION
012600             GO TO B200-MTCC-CLOSE
012700         ELSE
012800             GO TO B200-MTCC-CLOSE.
012900*
013000     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
013100         GO TO B100-MTCC-READ.
013200*
013300     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
013400*
013500     IF  NOT MTCC-MBD040-DISK
013600     AND NOT MTCC-MBD040-TAPE
013700         MOVE 04001              TO SS02WS-ABEND-CODE
013800         MOVE '- MTCC-INVALID CONTROL CARD '
013900                                 TO SS02WS-ABENDMSG8
014000         PERFORM SS02PD-ABEND
014100            THRU SS02PD-ABEND-EXIT.
014200*
014300 B200-MTCC-CLOSE.
014400*
014500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
014600     SET  MTCCRB-CLOSE           TO TRUE.
014700     PERFORM MB00PD-MTCC-ACCESS
014800        THRU MB00PD-MTCC-ACCESS-EXIT.
014900/
015000*****************************************************************
015100* IF TAPE IN - OPEN MBTF FOR OUTPUT, MML1, AND MMT1             *
015200*              FOR INPUT ELSE OPEN MBTF FOR INPUT               *
015300*****************************************************************
015400*
015500     IF  MTCC-MBD040-DISK
015600         MOVE SS02WS-END-OF-FILE
015700                                 TO MML1RB-PERM-STATUS-1
015800         MOVE 'O1L1'             TO SS02WS-ABEND-LOCATION
015900         SET  MML1RB-OPEN-INPUT  TO TRUE
016000         PERFORM MB00PD-MML1-ACCESS
016100            THRU MB00PD-MML1-ACCESS-EXIT
016200         MOVE SS02WS-END-OF-FILE
016300                                 TO MMT1RB-PERM-STATUS-1
016400         MOVE 'O1T1'             TO SS02WS-ABEND-LOCATION
016500         SET  MMT1RB-OPEN-INPUT  TO TRUE
016600         PERFORM MB00PD-MMT1-ACCESS
016700            THRU MB00PD-MMT1-ACCESS-EXIT
016800         MOVE 'O1TF'             TO SS02WS-ABEND-LOCATION
016900         SET  MBTFRB-OPEN-OUTPUT TO TRUE
017000     ELSE
017100         MOVE SS02WS-END-OF-FILE
017200                                 TO MBTFRB-PERM-STATUS-1
017300         MOVE 'O2TF'             TO SS02WS-ABEND-LOCATION
017400         SET  MBTFRB-OPEN-INPUT  TO TRUE.
017500*
017600     PERFORM MB00PD-MBTF-ACCESS
017700        THRU MB00PD-MBTF-ACCESS-EXIT.
017800*
017900 B999-OF-EXIT.
018000     EXIT.
018100/
018200 C000-HEADER-CHECK.
018300*
018400     IF  MTCC-MBD040-TAPE
018500         MOVE 'R1TF'             TO SS02WS-ABEND-LOCATION
018600         SET  MBTFRB-READ-SEQ    TO TRUE
018700         PERFORM MB00PD-MBTF-ACCESS
018800            THRU MB00PD-MBTF-ACCESS-EXIT
018900         IF  MBTFIO-FILE-HDR
019000             GO TO C999-HC-EXIT
019100         ELSE
019200             MOVE 'MBTF'         TO MB99WS-FILE-ID
019300             PERFORM MB99PD-MISSING-HEADER-ABEND
019400                THRU MB99PD-MHA-EXIT.
019500*
019600     MOVE 'R1L1'                 TO SS02WS-ABEND-LOCATION.
019700     SET  MML1RB-READ-SEQ        TO TRUE.
019800     PERFORM MB00PD-MML1-ACCESS
019900        THRU MB00PD-MML1-ACCESS-EXIT.
020000*
020100     IF  MML1IO-DATE-STAMP IS NOT EQUAL TO ZERO
020200     OR  MML1IO-TIME-STAMP IS NOT EQUAL TO ZERO
020300         MOVE 04002              TO SS02WS-ABEND-CODE
020400         MOVE '- MML1-HEADER RECORD MISSING'
020500                                 TO SS02WS-ABENDMSG8
020600         PERFORM SS02PD-ABEND
020700            THRU SS02PD-ABEND-EXIT.
020800*
020900     MOVE 'R1T1'                 TO SS02WS-ABEND-LOCATION.
021000     SET  MMT1RB-READ-SEQ        TO TRUE.
021100     PERFORM MB00PD-MMT1-ACCESS
021200        THRU MB00PD-MMT1-ACCESS-EXIT.
021300*
021400     IF  MMT1IO-HEADER
021500         NEXT SENTENCE
021600     ELSE
021700         MOVE 04003              TO SS02WS-ABEND-CODE
021800         MOVE '- MMT1-HEADER RECORD MISSING'
021900                                 TO SS02WS-ABENDMSG8
022000         PERFORM SS02PD-ABEND
022100            THRU SS02PD-ABEND-EXIT.
022200*
022300*
022400 C999-HC-EXIT.
022500     EXIT.
022600/
022700 D000-DISK-READ-WRITE.
022800*
022900*****************************************************************
023000* IF DISK-IN , WRITE TAPE HEADER , READ & WRITE EACH DISK       *
023100* DISK SEPARATORS AND HEADERS MUST ALSO BE WRITTEN TO TAPE      *
023200*****************************************************************
023300*
023400     MOVE SPACES                 TO MBTFIO-RECORD.
023500     SET MBTFIO-FILE-HDR         TO TRUE.
023600     MOVE LENGTH OF MBTFIO-VAR-DATA
023700                                 TO MBTFIO-VAR-LEN.
023800     MOVE 'W1TF'                 TO SS02WS-ABEND-LOCATION.
023900     SET  MBTFRB-WRITE           TO TRUE.
024000     PERFORM MB00PD-MBTF-ACCESS
024100        THRU MB00PD-MBTF-ACCESS-EXIT.
024200*
024300     PERFORM D100-PROCESS-MML1
024400        THRU D199-PMML1-EXIT.
024500*
024600     PERFORM D300-PROCESS-MMT1
024700        THRU D399-PMMT1-EXIT.
024800*
024900*
025000 D999-DRW-EXIT.
025100     EXIT.
025200/
025300 D100-PROCESS-MML1.
025400*
025500     MOVE MML1IO-RECORD          TO MTL1IO-RECORD.
025600     MOVE 'WAL1'                 TO SS02WS-ABEND-LOCATION.
025700     SET  MTL1RB-WRITE           TO TRUE.
025800     PERFORM MB00PD-MTL1-ACCESS
025900        THRU MB00PD-MTL1-ACCESS-EXIT.
026000*
026100     SET MBTFIO-FILE-IS-MML1     TO TRUE.
026200     MOVE MML1IO-RECORD          TO MBTFIO-VAR-DATA.
026300     MOVE LENGTH OF MML1IO-RECORD
026400                                 TO WS-MBD040-LEN-1.
026500     MOVE LENGTH OF MML1IO-VARIABLE-AREA
026600                                 TO WS-MBD040-LEN-2.
026700     COMPUTE WS-MBD040-LEN-3     =  WS-MBD040-LEN-1
026800                                 -  WS-MBD040-LEN-2
026900                                 +  MML1IO-VARIABLE-LENGTH.
027000     MOVE WS-MBD040-LEN-3        TO MBTFIO-VAR-LEN.
027100     MOVE 'W2TF'                 TO SS02WS-ABEND-LOCATION.
027200     SET  MBTFRB-WRITE           TO TRUE.
027300     PERFORM MB00PD-MBTF-ACCESS
027400        THRU MB00PD-MBTF-ACCESS-EXIT.
027500*
027600     MOVE 'R2L1'                 TO SS02WS-ABEND-LOCATION.
027700     SET  MML1RB-READ-SEQ        TO TRUE.
027800     PERFORM MB00PD-MML1-ACCESS
027900        THRU MB00PD-MML1-ACCESS-EXIT.
028000*
028100     IF  SS02WS-FS-END-OF-FILE
028200         GO TO D199-PMML1-EXIT.
028300*
028400     GO TO D100-PROCESS-MML1.
028500*
028600 D199-PMML1-EXIT.
028700     EXIT.
028800/
028900 D300-PROCESS-MMT1.
029000*
029100     MOVE MMT1IO-RECORD          TO MTT1IO-RECORD.
029200     MOVE 'WAT1'                 TO SS02WS-ABEND-LOCATION.
029300     SET  MTT1RB-WRITE           TO TRUE.
029400     PERFORM MB00PD-MTT1-ACCESS
029500        THRU MB00PD-MTT1-ACCESS-EXIT.
029600*
029700     SET MBTFIO-FILE-IS-MMT1     TO TRUE.
029800     MOVE MMT1IO-RECORD          TO MBTFIO-VAR-DATA.
029900     MOVE LENGTH OF MMT1IO-RECORD
030000                                 TO MBTFIO-VAR-LEN.
030100     MOVE 'W3TF'                 TO SS02WS-ABEND-LOCATION.
030200     SET  MBTFRB-WRITE           TO TRUE.
030300     PERFORM MB00PD-MBTF-ACCESS
030400        THRU MB00PD-MBTF-ACCESS-EXIT.
030500*
030600     MOVE 'R2T1'                 TO SS02WS-ABEND-LOCATION.
030700     SET  MMT1RB-READ-SEQ        TO TRUE.
030800     PERFORM MB00PD-MMT1-ACCESS
030900        THRU MB00PD-MMT1-ACCESS-EXIT.
031000*
031100     IF  SS02WS-FS-END-OF-FILE
031200         GO TO D399-PMMT1-EXIT.
031300*
031400     GO TO D300-PROCESS-MMT1.
031500*
031600*
031700 D399-PMMT1-EXIT.
031800     EXIT.
031900/
032000 E000-TAPE-READ-WRITE.
032100*
032200*****************************************************************
032300* THIS PARAGRAPH IS PERFORMED WHEN THE INPUT IS TAPE, USUALLY   *
032400* INDICATING A RERUN, THE SEQUENTIAL DISKS WILL BE CREATED.     *
032500*****************************************************************
032600*
032700     MOVE 'R2TF'                 TO SS02WS-ABEND-LOCATION.
032800     SET  MBTFRB-READ-SEQ        TO TRUE.
032900     PERFORM MB00PD-MBTF-ACCESS
033000        THRU MB00PD-MBTF-ACCESS-EXIT.
033100*
033200     IF  SS02WS-FS-END-OF-FILE
033300         GO TO E999-TRW-EXIT.
033400*
033500     IF  MBTFIO-FILE-IS-MML1
033600         PERFORM E100-PROCESS-MTL1
033700            THRU E199-PMTL1-EXIT.
033800*
033900     IF  MBTFIO-FILE-IS-MMT1
034000         PERFORM E300-PROCESS-MTT1
034100            THRU E399-PMTT1-EXIT.
034200*
034300     GO TO E000-TAPE-READ-WRITE.
034400*
034500 E999-TRW-EXIT.
034600     EXIT.
034700/
034800 E100-PROCESS-MTL1.
034900*
035000     MOVE MBTFIO-VAR-DATA        TO MTL1IO-RECORD.
035100*
035200     MOVE 'RBL1'                 TO SS02WS-ABEND-LOCATION.
035300     SET  MTL1RB-WRITE           TO TRUE.
035400     MOVE 'WBL1'                 TO SS02WS-ABEND-LOCATION.
035500     PERFORM MB00PD-MTL1-ACCESS
035600        THRU MB00PD-MTL1-ACCESS-EXIT.
035700*
035800 E199-PMTL1-EXIT.
035900     EXIT.
036000/
036100 E300-PROCESS-MTT1.
036200*
036300     MOVE MBTFIO-VAR-DATA        TO MTT1IO-RECORD.
036400*
036500     MOVE 'WBT1'                 TO SS02WS-ABEND-LOCATION.
036600     SET  MTT1RB-WRITE           TO TRUE.
036700     PERFORM MB00PD-MTT1-ACCESS
036800        THRU MB00PD-MTT1-ACCESS-EXIT.
036900*
037000 E399-PMTT1-EXIT.
037100     EXIT.
037200/
037300 F000-CLOSE-FILES.
037400*
037500     IF  MTCC-MBD040-DISK
037600         MOVE 'C1L1'             TO SS02WS-ABEND-LOCATION
037700         SET  MML1RB-CLOSE       TO TRUE
037800         PERFORM MB00PD-MML1-ACCESS
037900            THRU MB00PD-MML1-ACCESS-EXIT
038000         MOVE 'C1T1'             TO SS02WS-ABEND-LOCATION
038100         SET  MMT1RB-CLOSE       TO TRUE
038200         PERFORM MB00PD-MMT1-ACCESS
038300            THRU MB00PD-MMT1-ACCESS-EXIT.
038400*
038500     MOVE 'CAL1'                 TO SS02WS-ABEND-LOCATION.
038600     SET  MTL1RB-CLOSE           TO TRUE.
038700     PERFORM MB00PD-MTL1-ACCESS
038800        THRU MB00PD-MTL1-ACCESS-EXIT.
038900*
039000     MOVE 'CAT1'                 TO SS02WS-ABEND-LOCATION.
039100     SET  MTT1RB-CLOSE           TO TRUE.
039200     PERFORM MB00PD-MTT1-ACCESS
039300        THRU MB00PD-MTT1-ACCESS-EXIT.
039400*
039500     MOVE 'C1TF'                 TO SS02WS-ABEND-LOCATION.
039600     SET  MBTFRB-CLOSE           TO TRUE.
039700     PERFORM MB00PD-MBTF-ACCESS
039800        THRU MB00PD-MBTF-ACCESS-EXIT.
039900*
040000*
040100 F999-CF-EXIT.
040200     EXIT.
040300/
040400     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
040500/
040600     COPY MB00PD REPLACING ==:MB00:== BY ==MML1==.
040700/
040800     COPY MB00PD REPLACING ==:MB00:== BY ==MMT1==.
040900/
041000     COPY MB00PD REPLACING ==:MB00:== BY ==MTL1==.
041100/
041200     COPY MB00PD REPLACING ==:MB00:== BY ==MTT1==.
041300/
041400     COPY MB00PD REPLACING ==:MB00:== BY ==MBTF==.
041500/
041600     COPY MB99PD.
041700/
041800     COPY SS02PD.
