000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD070.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*                  MBD070 - STORE FRAUD SORTS                   *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS2SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS2SSD.
002500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFI==.
002600     03  MS2S-SORT-KEY-1.
002700         05  MS2S-SALE-AUTH-SW
002800                             PIC  X(01).
002900             88  MS2S-SALE                   VALUE '1'.
003000             88  MS2S-AUTH                   VALUE '5'.
003100     03  MS2S-SORT-KEY-2.
003200         05  MS2S-ORG        PIC  9(03).
003300         05  MS2S-STORE      PIC  9(09).
003400/
003500 WORKING-STORAGE SECTION.
003600*
003700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003800*
003900     COPY MMSCIO.
004000/
004100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
004200/
004300     COPY MMSCRL.
004400/
004500     COPY MMTCWS.
004600/
004700     COPY MMSMIO.
004800/
004900     COPY MMSMIR.
005000/
005100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
005200/
005300     COPY MMSMRL.
005400/
005500     COPY MB00RB REPLACING ==:MB00:== BY ==MS2S==.
005600/
005700     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFI==.
005800/
005900     COPY MB00RB REPLACING ==:MB00:== BY ==MTFI==.
006000/
006100     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
006200/
006300     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
006400/
006500     COPY MTPTWS REPLACING ==:MTPT:== BY ==MTPT==.
006600/
006700     COPY MB00WS.
006800/
006900     COPY MB99WS.
007000/
007100     COPY SS00WS.
007200/
007300     COPY SS01WS.
007400/
007500     COPY SS02WS.
007600/
007700     COPY SS31WS.
007800*
007900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008000/
008100 PROCEDURE DIVISION.
008200 A000-MAIN-LINE-SECT SECTION.
008300 A010-ML-BEGIN.
008400*
008500     MOVE 'MBD070'               TO SS02WS-ABEND-PROG-ID.
008600*
008700     PERFORM A100-OPEN-FILES
008800        THRU A199-OF-EXIT.
008900*
009000     PERFORM A200-SORT-PROCESS
009100        THRU A299-SP-EXIT.
009200*
009300     PERFORM A300-CLOSE-FILES
009400        THRU A399-CF-EXIT.
009500*
009600     GO TO 9999-END-OF-PROGRAM.
009700*
009800 A099-ML-EXIT.
009900     EXIT.
010000/
010100 A100-OPEN-FILES SECTION.
010200 A101-OF-BEGIN.
010300*
010400     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
010500     SET MMSCRB-OPEN-INPUT       TO TRUE.
010600     PERFORM MB00PD-MMSC-ACCESS
010700        THRU MB00PD-MMSC-ACCESS-EXIT.
010800*
010900     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
011000     SET MMSCRB-READ-SEQ         TO TRUE.
011100     PERFORM MB00PD-MMSC-ACCESS
011200        THRU MB00PD-MMSC-ACCESS-EXIT.
011300*
011400     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
011500*
011600     IF  MMSCIO-HEADER
011700         CONTINUE
011800     ELSE
011900         PERFORM MB99PD-MISSING-HEADER-ABEND
012000            THRU MB99PD-MHA-EXIT
012100     END-IF.
012200*
012300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
012400     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
012500     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
012600*
012700*
012800*
012900     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSMRB-OPEN-INPUT       TO TRUE.
013100     PERFORM MB00PD-MMSM-ACCESS
013200        THRU MB00PD-MMSM-ACCESS-EXIT.
013300*
013400     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
013500     SET MMSMRB-READ-SEQ         TO TRUE.
013600     PERFORM MB00PD-MMSM-ACCESS
013700        THRU MB00PD-MMSM-ACCESS-EXIT.
013800     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
013900*
014000     IF  MMSMIO-HEADER
014100         CONTINUE
014200     ELSE
014300         PERFORM MB99PD-MISSING-HEADER-ABEND
014400            THRU MB99PD-MHA-EXIT
014500     END-IF.
014600*
014700     IF  MMSMIO-DATE-STAMP = MMSC-DATE-LAST-PROC
014800     AND MMSMIO-TIME-STAMP = MMSC-LAST-TIME-STAMP
014900         CONTINUE
015000     ELSE
015100         MOVE MMSMIO-DATE-STAMP  TO MB99WS-FILE-DATE
015200         MOVE MMSMIO-TIME-STAMP  TO MB99WS-FILE-TIME
015300         PERFORM MB99PD-CHECK-DATE-TIME
015400            THRU MB99PD-CDT-EXIT
015500     END-IF.
015600*
015700 A199-OF-EXIT.
015800     EXIT.
015900/
016000 A200-SORT-PROCESS SECTION.
016100 A201-SP-BEGIN.
016200*
016300     SORT MS2S-SORT-FILE
016400         ON ASCENDING KEY MS2S-SORT-KEY-1
016500                          MS2S-SORT-KEY-2
016600                          MTFI-AR-ACCT
016700         INPUT  PROCEDURE IS 3000-DUP-TRANS-DAY-INPUT
016800         OUTPUT PROCEDURE IS 4000-DUP-TRANS-DAY-OUTPUT.
016900*
017000     PERFORM SS98PD-VERIFY-SORT-RETURN
017100        THRU SS98PD-VSR-EXIT.
017200*
017300 A299-SP-EXIT.
017400     EXIT.
017500/
017600 A300-CLOSE-FILES SECTION.
017700 A301-CF-BEGIN.
017800*
017900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
018000     SET MMSCRB-CLOSE            TO TRUE.
018100     PERFORM MB00PD-MMSC-ACCESS
018200        THRU MB00PD-MMSC-ACCESS-EXIT.
018300*
018400     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
018500     SET MMSMRB-CLOSE            TO TRUE.
018600     PERFORM MB00PD-MMSM-ACCESS
018700        THRU MB00PD-MMSM-ACCESS-EXIT.
018800*
018900 A399-CF-EXIT.
019000     EXIT.
019100/
019200 3000-DUP-TRANS-DAY-INPUT SECTION.
019300 3001-DTDI-BEGIN.
019400*
019500     MOVE 'O2FI'                 TO SS02WS-ABEND-LOCATION.
019600     SET MTFIRB-OPEN-INPUT       TO TRUE.
019700     PERFORM MB00PD-MTFI-ACCESS
019800        THRU MB00PD-MTFI-ACCESS-EXIT.
019900*
020000*
020100*
020200     MOVE SS02WS-END-OF-FILE     TO MTFIRB-PERM-STATUS-1.
020300*
020400 3010-DTDI-READ-LOOP.
020500*
020600     MOVE 'R1FI'                 TO SS02WS-ABEND-LOCATION.
020700     SET MTFIRB-READ-SEQ         TO TRUE.
020800     PERFORM MB00PD-MTFI-ACCESS
020900        THRU MB00PD-MTFI-ACCESS-EXIT.
021000*
021100     IF  SS02WS-FS-END-OF-FILE
021200         GO TO 3090-DBTI-CLOSE-FILES
021300     END-IF.
021400*
021500     MOVE MTFIIO-RECORD          TO MTFI-RECORD.
021600*
021700     IF  MTFI-HEADER
021800     OR  MTFI-TRAILER
021900         GO TO 3010-DTDI-READ-LOOP
022000     END-IF.
022100*
022200     MOVE MTFI-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
022300*
022400     IF  MMTCWS-LM-AUTH-APPROVED
022500     OR  MMTCWS-LM-AUTH-DECLINED
022600         SET  MS2S-AUTH          TO TRUE
022700     ELSE
022800         SET  MS2S-SALE          TO TRUE
022900     END-IF.
023000*
023100     MOVE MTFI-ORG               TO MS2S-ORG.
023200     MOVE MTFI-STORE             TO MS2S-STORE.
023300*
023400     RELEASE MTFI-RECORD.
023500     GO TO 3010-DTDI-READ-LOOP.
023600*
023700*
023800*
023900 3090-DBTI-CLOSE-FILES.
024000*
024100     MOVE SPACES                 TO MTFI-RECORD.
024200     SET MTFI-HEADER             TO TRUE.
024300     MOVE ZERO                   TO MTFI-STORE.
024400     SET MS2S-SALE               TO TRUE.
024500     RELEASE MTFI-RECORD.
024600*
024700     MOVE SPACES                 TO MTFI-RECORD.
024800     SET MTFI-HEADER             TO TRUE.
024900     MOVE ZERO                   TO MTFI-STORE.
025000     SET MS2S-AUTH               TO TRUE.
025100     RELEASE MTFI-RECORD.
025200*
025300     MOVE SPACES                 TO MTFI-RECORD.
025400     SET MTFI-TRAILER            TO TRUE.
025500     MOVE ZERO                   TO MTFI-STORE.
025600     SET MS2S-SALE               TO TRUE.
025700     RELEASE MTFI-RECORD.
025800*
025900     MOVE SPACES                 TO MTFI-RECORD.
026000     SET MTFI-TRAILER            TO TRUE.
026100     MOVE ZERO                   TO MTFI-STORE.
026200     SET MS2S-AUTH               TO TRUE.
026300     RELEASE MTFI-RECORD.
026400*
026500     MOVE 'C2FI'                 TO SS02WS-ABEND-LOCATION.
026600     SET MTFIRB-CLOSE            TO TRUE.
026700     PERFORM MB00PD-MTFI-ACCESS
026800        THRU MB00PD-MTFI-ACCESS-EXIT.
026900*
027000 3099-DTDI-EXIT.
027100     EXIT.
027200/
027300 4000-DUP-TRANS-DAY-OUTPUT SECTION.
027400 4001-DTDO-BEGIN.
027500*
027600     MOVE 'O3FI'                 TO SS02WS-ABEND-LOCATION.
027700     SET MTFIRB-OPEN-OUTPUT      TO TRUE.
027800     PERFORM MB00PD-MTFI-ACCESS
027900        THRU MB00PD-MTFI-ACCESS-EXIT.
028000*
028100     SET MTPT-HEADER             TO TRUE.
028200*
028300 4010-DTDO-RETURN-SORT.
028400*
028500     RETURN MS2S-SORT-FILE
028600         AT END
028700             GO TO 4090-DTDO-CLOSE-FILES.
028800*
028900     PERFORM 4800-FLOOR-LIMIT-CHECK
029000        THRU 4899-FLC-EXIT.
029100*
029200     IF  MTPT-HEADER
029300         MOVE MTFI-RECORD        TO MTPT-RECORD
029400         GO TO 4010-DTDO-RETURN-SORT
029500     END-IF.
029600*
029700     IF  MTPT-ORG          = MTFI-ORG
029800     AND MTPT-STORE        = MTFI-STORE
029900     AND MTPT-AR-ACCT(1:9) = MTFI-AR-ACCT(1:9)
030000         MOVE MTFI-STORE-DUP-IND TO SS31WS-BYTE
030100         PERFORM SS31PD-EXPAND-BYTE
030200            THRU SS31PD-EB-EXIT
030300         MOVE SS31WS-EXPANDED-BITS-X
030400                                 TO MTPTWS-STORE-DUP-FIELDS
030500         SET MTPTWS-STORE-DUP-BIN
030600                                 TO TRUE
030700         MOVE MTPTWS-STORE-DUP-FIELDS
030800                                 TO SS31WS-EXPANDED-BITS-X
030900         PERFORM SS31PD-COMPRESS-BYTE
031000            THRU SS31PD-CB-EXIT
031100         MOVE SS31WS-BYTE        TO MTFI-STORE-DUP-IND
031200         MOVE MTPT-STORE-DUP-IND TO SS31WS-BYTE
031300         PERFORM SS31PD-EXPAND-BYTE
031400            THRU SS31PD-EB-EXIT
031500         MOVE SS31WS-EXPANDED-BITS-X
031600                                 TO MTPTWS-STORE-DUP-FIELDS
031700         SET MTPTWS-STORE-DUP-BIN
031800                                 TO TRUE
031900         MOVE MTPTWS-STORE-DUP-FIELDS
032000                                 TO SS31WS-EXPANDED-BITS-X
032100         PERFORM SS31PD-COMPRESS-BYTE
032200            THRU SS31PD-CB-EXIT
032300         MOVE SS31WS-BYTE        TO MTPT-STORE-DUP-IND
032400     END-IF.
032500*
032600     IF  MTPT-ORG     = MTFI-ORG
032700     AND MTPT-STORE   = MTFI-STORE
032800     AND MTPT-AR-ACCT = MTFI-AR-ACCT
032900         MOVE MTFI-STORE-DUP-IND TO SS31WS-BYTE
033000         PERFORM SS31PD-EXPAND-BYTE
033100            THRU SS31PD-EB-EXIT
033200         MOVE SS31WS-EXPANDED-BITS-X
033300                                 TO MTPTWS-STORE-DUP-FIELDS
033400         SET MTPTWS-STORE-DUP-C-H
033500                                 TO TRUE
033600         MOVE MTPTWS-STORE-DUP-FIELDS
033700                                 TO SS31WS-EXPANDED-BITS-X
033800         PERFORM SS31PD-COMPRESS-BYTE
033900            THRU SS31PD-CB-EXIT
034000         MOVE SS31WS-BYTE        TO MTFI-STORE-DUP-IND
034100         MOVE MTPT-STORE-DUP-IND TO SS31WS-BYTE
034200         PERFORM SS31PD-EXPAND-BYTE
034300            THRU SS31PD-EB-EXIT
034400         MOVE SS31WS-EXPANDED-BITS-X
034500                                 TO MTPTWS-STORE-DUP-FIELDS
034600         SET MTPTWS-STORE-DUP-C-H
034700                                 TO TRUE
034800         MOVE MTPTWS-STORE-DUP-FIELDS
034900                                 TO SS31WS-EXPANDED-BITS-X
035000         PERFORM SS31PD-COMPRESS-BYTE
035100            THRU SS31PD-CB-EXIT
035200         MOVE SS31WS-BYTE        TO MTPT-STORE-DUP-IND
035300     END-IF.
035400*
035500     MOVE MTPT-RECORD            TO MTFIIO-RECORD.
035600*
035700     MOVE 'W3FI'                 TO SS02WS-ABEND-LOCATION.
035800     SET MTFIRB-WRITE            TO TRUE.
035900     PERFORM MB00PD-MTFI-ACCESS
036000        THRU MB00PD-MTFI-ACCESS-EXIT.
036100*
036200     MOVE MTFI-RECORD            TO MTPT-RECORD.
036300     GO TO 4010-DTDO-RETURN-SORT.
036400*
036500*
036600*
036700 4090-DTDO-CLOSE-FILES.
036800*
036900     MOVE SPACES                 TO MTPT-RECORD.
037000     SET MTPT-TRAILER            TO TRUE.
037100     MOVE MTPT-RECORD            TO MTFIIO-RECORD.
037200*
037300     MOVE 'W4FI'                 TO SS02WS-ABEND-LOCATION.
037400     SET MTFIRB-WRITE            TO TRUE.
037500     PERFORM MB00PD-MTFI-ACCESS
037600        THRU MB00PD-MTFI-ACCESS-EXIT.
037700*
037800     MOVE 'C3FI'                 TO SS02WS-ABEND-LOCATION.
037900     SET MTFIRB-CLOSE            TO TRUE.
038000     PERFORM MB00PD-MTFI-ACCESS
038100        THRU MB00PD-MTFI-ACCESS-EXIT.
038200*
038300 4099-DTDO-EXIT.
038400     EXIT.
038500/
038600 4800-FLOOR-LIMIT-CHECK SECTION.
038700 4801-FLC-BEGIN.
038800*
038900     IF  MTFI-HEADER
039000         SET  MMSMIO-HEADER      TO TRUE
039100         MOVE 'S1SM'             TO SS02WS-ABEND-LOCATION
039200         SET MMSMRB-START-GTE    TO TRUE
039300         PERFORM MB00PD-MMSM-ACCESS
039400            THRU MB00PD-MMSM-ACCESS-EXIT
039500         MOVE 'R1SM'             TO SS02WS-ABEND-LOCATION
039600         SET MMSMRB-READ-SEQ     TO TRUE
039700         PERFORM MB00PD-MMSM-ACCESS
039800            THRU MB00PD-MMSM-ACCESS-EXIT
039900         GO TO 4899-FLC-EXIT
040000     END-IF.
040100*
040200     IF  MTFI-TRAILER
040300         GO TO 4899-FLC-EXIT
040400     END-IF.
040500*
040600     PERFORM
040700         UNTIL MMSMIO-KEY NOT < MS2S-SORT-KEY-2
040800            OR MMSMIO-TRAILER
040900         MOVE 'R2SM'             TO SS02WS-ABEND-LOCATION
041000         SET MMSMRB-READ-SEQ     TO TRUE
041100         PERFORM MB00PD-MMSM-ACCESS
041200            THRU MB00PD-MMSM-ACCESS-EXIT
041300         MOVE MMSMIO-RECORD      TO MMSM-RECORD
041400         IF  MMSMIO-TRAILER
041500             MOVE MMSMIR-RECORD  TO MMSM-RECORD
041600         END-IF
041700     END-PERFORM.
041800*
041900     IF (MTFI-PROD-IS-VISA
042000     AND MMSM-VI-FLOOR-LIMIT > ZERO
042100     AND MTFI-AMOUNT         < MMSM-VI-FLOOR-LIMIT)
042200     OR
042300        (MTFI-PROD-IS-MC
042400     AND MMSM-MC-FLOOR-LIMIT > ZERO
042500     AND MTFI-AMOUNT         < MMSM-MC-FLOOR-LIMIT)
042600     OR
042700        (MTFI-PROD-IS-PL
042800     AND MMSM-PL-FLOOR-LIMIT > ZERO
042900     AND MTFI-AMOUNT         < MMSM-PL-FLOOR-LIMIT)
043000         MOVE MTFI-MERCH-DUP-IND TO SS31WS-BYTE
043100         PERFORM SS31PD-EXPAND-BYTE
043200            THRU SS31PD-EB-EXIT
043300         MOVE SS31WS-EXPANDED-BITS-X
043400                                 TO MTPTWS-MERCH-DUP-FIELDS
043500         SET MTPTWS-MERCH-BELOW-FLOOR
043600                                 TO TRUE
043700         MOVE MTPTWS-MERCH-DUP-FIELDS
043800                                 TO SS31WS-EXPANDED-BITS-X
043900         PERFORM SS31PD-COMPRESS-BYTE
044000            THRU SS31PD-CB-EXIT
044100         MOVE SS31WS-BYTE        TO MTFI-MERCH-DUP-IND
044200     END-IF.
044300*
044400*
044500*
044600 4899-FLC-EXIT.
044700     EXIT.
044800/
044900 9000-PERFORMED-ROUTINES-SECT SECTION.
045000*
045100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
045200/
045300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
045400/
045500     COPY MB00PD REPLACING ==:MB00:== BY ==MTFI==.
045600/
045700     COPY MB99PD.
045800/
045900     COPY SS31PD.
046000/
046100     COPY SS98PD.
046200/
046300     COPY SS02PD.
046400*
046500 9995-END-SOURCE-STATEMENTS SECTION.
046600 9999-END-OF-PROGRAM.
046700     STOP RUN.
