000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD080.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700* MBD080 - POSTING TRANSACTIONS SORT AND MERCHANT FRAUD SORTS   *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000*
002100     COPY MS2SES.
002200*
002300     COPY MS3SES.
002400/
002500 DATA DIVISION.
002600 FILE SECTION.
002700*
002800     COPY MS1SSD.
002900     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFI==.
003000     03  MS1S-SORT-KEY-1.
003100         05  MS1S-SALE-AUTH-SW
003200                             PIC  X(01).
003300             88  MS1S-SALE                   VALUE '1'.
003400             88  MS1S-AUTH                   VALUE '5'.
003500/
003600     COPY MS2SSD.
003700     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTGT==.
003800     03  MS2S-SORT-KEY-1.
003900         05  MS2S-SALE-AUTH-SW
004000                             PIC  X(01).
004100             88  MS2S-SALE                   VALUE '1'.
004200             88  MS2S-AUTH                   VALUE '5'.
004300/
004400     COPY MS3SSD.
004500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFJ==.
004600/
004700 WORKING-STORAGE SECTION.
004800*
004900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
005000*
005100     COPY MMSCIO.
005200/
005300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
005400/
005500     COPY MMSCRL.
005600/
005700     COPY MMTCWS.
005800/
005900     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMWT==.
006000/
006100     COPY MB00RB REPLACING ==:MB00:== BY ==MMWT==.
006200/
006300     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMWT==.
006400/
006500     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
006600/
006700     COPY MB00RB REPLACING ==:MB00:== BY ==MS2S==.
006800/
006900     COPY MB00RB REPLACING ==:MB00:== BY ==MS3S==.
007000/
007100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFI==.
007200/
007300     COPY MB00RB REPLACING ==:MB00:== BY ==MTFI==.
007400/
007500     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFJ==.
007600/
007700     COPY MB00RB REPLACING ==:MB00:== BY ==MTFJ==.
007800/
007900     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTPT==.
008000/
008100     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
008200/
008300     COPY MB00RB REPLACING ==:MB00:== BY ==MTPT==.
008400/
008500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
008600/
008700     COPY MTPTWS REPLACING ==:MTPT:== BY ==MTPT==.
008800/
008900     COPY MB00WS.
009000/
009100     COPY MB99WS.
009200/
009300     COPY SS00WS.
009400/
009500     COPY SS01WS.
009600/
009700     COPY SS02WS.
009800/
009900     COPY SS31WS.
010000*
010100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010200/
010300 PROCEDURE DIVISION.
010400 A000-MAIN-LINE-SECT SECTION.
010500 A010-ML-BEGIN.
010600*
010700     MOVE 'MBD080'               TO SS02WS-ABEND-PROG-ID.
010800*
010900     PERFORM A100-OPEN-FILES
011000        THRU A199-OF-EXIT.
011100*
011200     PERFORM A200-SORT-PROCESS
011300        THRU A299-SP-EXIT.
011400*
011500     PERFORM A300-CLOSE-FILES
011600        THRU A399-CF-EXIT.
011700*
011800     GO TO 9999-END-OF-PROGRAM.
011900*
012000 A099-ML-EXIT.
012100     EXIT.
012200/
012300 A100-OPEN-FILES SECTION.
012400 A101-OF-BEGIN.
012500*
012600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012700     SET MMSCRB-OPEN-INPUT       TO TRUE.
012800     PERFORM MB00PD-MMSC-ACCESS
012900        THRU MB00PD-MMSC-ACCESS-EXIT.
013000*
013100     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
013200     SET MMSCRB-READ-SEQ         TO TRUE.
013300     PERFORM MB00PD-MMSC-ACCESS
013400        THRU MB00PD-MMSC-ACCESS-EXIT.
013500*
013600     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013700*
013800     IF  MMSCIO-HEADER
013900         CONTINUE
014000     ELSE
014100         PERFORM MB99PD-MISSING-HEADER-ABEND
014200            THRU MB99PD-MHA-EXIT
014300     END-IF.
014400*
014500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
014600     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
014700     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
014800*
014900*
015000*
015100     MOVE 'O1WT'                 TO SS02WS-ABEND-LOCATION.
015200     SET MMWTRB-OPEN-INPUT       TO TRUE.
015300     PERFORM MB00PD-MMWT-ACCESS
015400        THRU MB00PD-MMWT-ACCESS-EXIT.
015500*
015600     MOVE 'R0WT'                 TO SS02WS-ABEND-LOCATION.
015700     SET MMWTRB-READ-SEQ         TO TRUE.
015800     PERFORM MB00PD-MMWT-ACCESS
015900        THRU MB00PD-MMWT-ACCESS-EXIT.
016000     MOVE 'MMWT'                 TO MB99WS-FILE-ID.
016100*
016200     IF  MMWTIO-HEADER
016300         CONTINUE
016400     ELSE
016500         PERFORM MB99PD-MISSING-HEADER-ABEND
016600            THRU MB99PD-MHA-EXIT
016700     END-IF.
016800*
016900     IF  MMWTIO-DATE-STAMP = MMSC-DATE-LAST-PROC
017000     AND MMWTIO-TIME-STAMP = MMSC-LAST-TIME-STAMP
017100         CONTINUE
017200     ELSE
017300         MOVE MMWTIO-DATE-STAMP  TO MB99WS-FILE-DATE
017400         MOVE MMWTIO-TIME-STAMP  TO MB99WS-FILE-TIME
017500         PERFORM MB99PD-CHECK-DATE-TIME
017600            THRU MB99PD-CDT-EXIT
017700     END-IF.
017800*
017900 A199-OF-EXIT.
018000     EXIT.
018100/
018200 A200-SORT-PROCESS SECTION.
018300 A201-SP-BEGIN.
018400*
018500*
018600*
018700     SORT MS1S-SORT-FILE
018800         ON ASCENDING KEY MS1S-SORT-KEY-1
018900                          MTFI-ORG-MERCHANT
019000                          MTFI-BATCH-SORT
019100                          MTFI-AR-ACCT
019200         INPUT  PROCEDURE IS 1000-DUP-TRANS-BATCH-INPUT
019300         OUTPUT PROCEDURE IS 2000-DUP-TRANS-BATCH-OUTPUT.
019400*
019500     PERFORM SS98PD-VERIFY-SORT-RETURN
019600        THRU SS98PD-VSR-EXIT.
019700*
019800*
019900*
020000     SORT MS2S-SORT-FILE
020100         ON ASCENDING KEY MS2S-SORT-KEY-1
020200                          MTGT-ORG-MERCHANT
020300                          MTGT-AR-ACCT
020400         INPUT  PROCEDURE IS 3000-DUP-TRANS-DAY-INPUT
020500         OUTPUT PROCEDURE IS 4000-DUP-TRANS-DAY-OUTPUT.
020600*
020700     PERFORM SS98PD-VERIFY-SORT-RETURN
020800        THRU SS98PD-VSR-EXIT.
020900*
021000*
021100*
021200     SORT MS3S-SORT-FILE
021300         ON ASCENDING KEY MTFJ-ORG-MERCHANT
021400                          MTFJ-POST-KEY
021500         INPUT  PROCEDURE IS 5000-POSTING-TRANS-INPUT
021600         OUTPUT PROCEDURE IS 6000-POSTING-TRANS-OUTPUT.
021700*
021800     PERFORM SS98PD-VERIFY-SORT-RETURN
021900        THRU SS98PD-VSR-EXIT.
022000*
022100*
022200*
022300 A299-SP-EXIT.
022400     EXIT.
022500/
022600 A300-CLOSE-FILES SECTION.
022700 A301-CF-BEGIN.
022800*
022900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
023000     SET MMSCRB-CLOSE            TO TRUE.
023100     PERFORM MB00PD-MMSC-ACCESS
023200        THRU MB00PD-MMSC-ACCESS-EXIT.
023300*
023400     MOVE 'C1WT'                 TO SS02WS-ABEND-LOCATION.
023500     SET MMWTRB-CLOSE            TO TRUE.
023600     PERFORM MB00PD-MMWT-ACCESS
023700        THRU MB00PD-MMWT-ACCESS-EXIT.
023800*
023900 A399-CF-EXIT.
024000     EXIT.
024100/
024200 1000-DUP-TRANS-BATCH-INPUT SECTION.
024300 1001-DTBI-BEGIN.
024400*
024500     MOVE 'O1FI'                 TO SS02WS-ABEND-LOCATION.
024600     SET MTFIRB-OPEN-INPUT       TO TRUE.
024700     PERFORM MB00PD-MTFI-ACCESS
024800        THRU MB00PD-MTFI-ACCESS-EXIT.
024900*
025000*
025100*
025200     MOVE SS02WS-END-OF-FILE     TO MTFIRB-PERM-STATUS-1.
025300*
025400 1010-DBTI-READ-LOOP.
025500*
025600     MOVE 'R1FI'                 TO SS02WS-ABEND-LOCATION.
025700     SET MTFIRB-READ-SEQ         TO TRUE.
025800     PERFORM MB00PD-MTFI-ACCESS
025900        THRU MB00PD-MTFI-ACCESS-EXIT.
026000*
026100     IF  SS02WS-FS-END-OF-FILE
026200         GO TO 1090-DBTI-CLOSE-FILES
026300     END-IF.
026400*
026500     MOVE MTFIIO-RECORD          TO MTFI-RECORD.
026600*
026700     IF  MTFI-HEADER
026800     OR  MTFI-TRAILER
026900     OR  MTFI-PF-QUALIFIED-NON-POST
027000         GO TO 1010-DBTI-READ-LOOP
027100     END-IF.
027200*
027300     MOVE MTFI-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
027400*
027500     IF  MMTCWS-LM-AUTH-APPROVED
027600     OR  MMTCWS-LM-AUTH-DECLINED
027700         SET  MS1S-AUTH          TO TRUE
027800     ELSE
027900         SET  MS1S-SALE          TO TRUE
028000     END-IF.
028100*
028200     RELEASE MTFI-RECORD.
028300     GO TO 1010-DBTI-READ-LOOP.
028400*
028500*
028600*
028700 1090-DBTI-CLOSE-FILES.
028800*
028900     MOVE SPACES                 TO MTFI-RECORD.
029000     SET MTFI-HEADER             TO TRUE.
029100     SET MS1S-SALE               TO TRUE.
029200     RELEASE MTFI-RECORD.
029300*
029400     MOVE SPACES                 TO MTFI-RECORD.
029500     SET MTFI-HEADER             TO TRUE.
029600     SET MS1S-AUTH               TO TRUE.
029700     RELEASE MTFI-RECORD.
029800*
029900     MOVE SPACES                 TO MTFI-RECORD.
030000     SET MTFI-TRAILER            TO TRUE.
030100     SET MS1S-SALE               TO TRUE.
030200     RELEASE MTFI-RECORD.
030300*
030400     MOVE SPACES                 TO MTFI-RECORD.
030500     SET MTFI-TRAILER            TO TRUE.
030600     SET MS1S-AUTH               TO TRUE.
030700     RELEASE MTFI-RECORD.
030800*
030900     MOVE 'C1FI'                 TO SS02WS-ABEND-LOCATION.
031000     SET MTFIRB-CLOSE            TO TRUE.
031100     PERFORM MB00PD-MTFI-ACCESS
031200        THRU MB00PD-MTFI-ACCESS-EXIT.
031300*
031400 1099-DTBI-EXIT.
031500     EXIT.
031600/
031700 2000-DUP-TRANS-BATCH-OUTPUT SECTION.
031800 2001-DTBO-BEGIN.
031900*
032000     MOVE 'O1PT'                 TO SS02WS-ABEND-LOCATION.
032100     SET MTPTRB-OPEN-OUTPUT      TO TRUE.
032200     PERFORM MB00PD-MTPT-ACCESS
032300        THRU MB00PD-MTPT-ACCESS-EXIT.
032400*
032500     SET MTPT-HEADER             TO TRUE.
032600*
032700 2010-DTBO-RETURN-SORT.
032800*
032900     RETURN MS1S-SORT-FILE
033000         AT END
033100             GO TO 2090-DTBO-CLOSE-FILES.
033200*
033300     IF  MTPT-HEADER
033400         MOVE MTFI-RECORD        TO MTPT-RECORD
033500         GO TO 2010-DTBO-RETURN-SORT
033600     END-IF.
033700*
033800     IF  MTPT-ORG-MERCHANT = MTFI-ORG-MERCHANT
033900     AND MTPT-BATCH-SORT   = MTFI-BATCH-SORT
034000     AND MTPT-AR-ACCT      = MTFI-AR-ACCT
034100         MOVE MTFI-MERCH-DUP-IND TO SS31WS-BYTE
034200         PERFORM SS31PD-EXPAND-BYTE
034300            THRU SS31PD-EB-EXIT
034400         MOVE SS31WS-EXPANDED-BITS-X
034500                                 TO MTPTWS-MERCH-DUP-FIELDS
034600         SET MTPTWS-MERCH-DUP-IN-BATCH
034700                                 TO TRUE
034800         MOVE MTPTWS-MERCH-DUP-FIELDS
034900                                 TO SS31WS-EXPANDED-BITS-X
035000         PERFORM SS31PD-COMPRESS-BYTE
035100            THRU SS31PD-CB-EXIT
035200         MOVE SS31WS-BYTE        TO MTFI-MERCH-DUP-IND
035300         MOVE MTPT-MERCH-DUP-IND TO SS31WS-BYTE
035400         PERFORM SS31PD-EXPAND-BYTE
035500            THRU SS31PD-EB-EXIT
035600         MOVE SS31WS-EXPANDED-BITS-X
035700                                 TO MTPTWS-MERCH-DUP-FIELDS
035800         SET MTPTWS-MERCH-DUP-IN-BATCH
035900                                 TO TRUE
036000         MOVE MTPTWS-MERCH-DUP-FIELDS
036100                                 TO SS31WS-EXPANDED-BITS-X
036200         PERFORM SS31PD-COMPRESS-BYTE
036300            THRU SS31PD-CB-EXIT
036400         MOVE SS31WS-BYTE        TO MTPT-MERCH-DUP-IND
036500     END-IF.
036600*
036700     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
036800*
036900     MOVE 'W1PT'                 TO SS02WS-ABEND-LOCATION.
037000     SET MTPTRB-WRITE            TO TRUE.
037100     PERFORM MB00PD-MTPT-ACCESS
037200        THRU MB00PD-MTPT-ACCESS-EXIT.
037300*
037400     MOVE MTFI-RECORD            TO MTPT-RECORD.
037500     GO TO 2010-DTBO-RETURN-SORT.
037600*
037700*
037800*
037900 2090-DTBO-CLOSE-FILES.
038000*
038100     MOVE SPACES                 TO MTPT-RECORD.
038200     SET MTPT-TRAILER            TO TRUE.
038300     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
038400*
038500     MOVE 'W2PT'                 TO SS02WS-ABEND-LOCATION.
038600     SET MTPTRB-WRITE            TO TRUE.
038700     PERFORM MB00PD-MTPT-ACCESS
038800        THRU MB00PD-MTPT-ACCESS-EXIT.
038900*
039000     MOVE 'C1PT'                 TO SS02WS-ABEND-LOCATION.
039100     SET MTPTRB-CLOSE            TO TRUE.
039200     PERFORM MB00PD-MTPT-ACCESS
039300        THRU MB00PD-MTPT-ACCESS-EXIT.
039400*
039500 2099-DTBO-EXIT.
039600     EXIT.
039700/
039800 3000-DUP-TRANS-DAY-INPUT SECTION.
039900 3001-DTDI-BEGIN.
040000*
040100     MOVE 'O2PT'                 TO SS02WS-ABEND-LOCATION.
040200     SET MTPTRB-OPEN-INPUT       TO TRUE.
040300     PERFORM MB00PD-MTPT-ACCESS
040400        THRU MB00PD-MTPT-ACCESS-EXIT.
040500*
040600*
040700*
040800     MOVE SS02WS-END-OF-FILE     TO MTPTRB-PERM-STATUS-1.
040900*
041000 3010-DTDI-READ-LOOP.
041100*
041200     MOVE 'R1PT'                 TO SS02WS-ABEND-LOCATION.
041300     SET MTPTRB-READ-SEQ         TO TRUE.
041400     PERFORM MB00PD-MTPT-ACCESS
041500        THRU MB00PD-MTPT-ACCESS-EXIT.
041600*
041700     IF  SS02WS-FS-END-OF-FILE
041800         GO TO 3090-DBTI-CLOSE-FILES
041900     END-IF.
042000*
042100     MOVE MTPTIO-RECORD          TO MTGT-RECORD.
042200*
042300     IF  MTGT-HEADER
042400     OR  MTGT-TRAILER
042500         GO TO 3010-DTDI-READ-LOOP
042600     END-IF.
042700*
042800     MOVE MTGT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
042900*
043000     IF  MMTCWS-LM-AUTH-APPROVED
043100     OR  MMTCWS-LM-AUTH-DECLINED
043200         SET  MS2S-AUTH          TO TRUE
043300     ELSE
043400         SET  MS2S-SALE          TO TRUE
043500     END-IF.
043600*
043700     RELEASE MTGT-RECORD.
043800     GO TO 3010-DTDI-READ-LOOP.
043900*
044000*
044100*
044200 3090-DBTI-CLOSE-FILES.
044300*
044400     MOVE SPACES                 TO MTGT-RECORD.
044500     SET MTGT-HEADER             TO TRUE.
044600     SET MS2S-SALE               TO TRUE.
044700     RELEASE MTGT-RECORD.
044800*
044900     MOVE SPACES                 TO MTGT-RECORD.
045000     SET MTGT-HEADER             TO TRUE.
045100     SET MS2S-AUTH               TO TRUE.
045200     RELEASE MTGT-RECORD.
045300*
045400     MOVE SPACES                 TO MTGT-RECORD.
045500     SET MTGT-TRAILER            TO TRUE.
045600     SET MS2S-SALE               TO TRUE.
045700     RELEASE MTGT-RECORD.
045800*
045900     MOVE SPACES                 TO MTGT-RECORD.
046000     SET MTGT-TRAILER            TO TRUE.
046100     SET MS2S-AUTH               TO TRUE.
046200     RELEASE MTGT-RECORD.
046300*
046400     MOVE 'C2PT'                 TO SS02WS-ABEND-LOCATION.
046500     SET MTPTRB-CLOSE            TO TRUE.
046600     PERFORM MB00PD-MTPT-ACCESS
046700        THRU MB00PD-MTPT-ACCESS-EXIT.
046800*
046900 3099-DTDI-EXIT.
047000     EXIT.
047100/
047200 4000-DUP-TRANS-DAY-OUTPUT SECTION.
047300 4001-DTDO-BEGIN.
047400*
047500     MOVE 'O3PT'                 TO SS02WS-ABEND-LOCATION.
047600     SET MTPTRB-OPEN-OUTPUT      TO TRUE.
047700     PERFORM MB00PD-MTPT-ACCESS
047800        THRU MB00PD-MTPT-ACCESS-EXIT.
047900*
048000     SET MTPT-HEADER             TO TRUE.
048100*
048200 4010-DTDO-RETURN-SORT.
048300*
048400     RETURN MS2S-SORT-FILE
048500         AT END
048600             GO TO 4090-DTDO-CLOSE-FILES.
048700*
048800     IF  MTPT-HEADER
048900         MOVE MTGT-RECORD        TO MTPT-RECORD
049000         GO TO 4010-DTDO-RETURN-SORT
049100     END-IF.
049200*
049300     IF  MTPT-ORG-MERCHANT = MTGT-ORG-MERCHANT
049400     AND MTPT-AR-ACCT      = MTGT-AR-ACCT
049500         MOVE MTGT-MERCH-DUP-IND TO SS31WS-BYTE
049600         PERFORM SS31PD-EXPAND-BYTE
049700            THRU SS31PD-EB-EXIT
049800         MOVE SS31WS-EXPANDED-BITS-X
049900                                 TO MTPTWS-MERCH-DUP-FIELDS
050000         SET MTPTWS-MERCH-DUP-BY-DAY
050100                                 TO TRUE
050200         MOVE MTPTWS-MERCH-DUP-FIELDS
050300                                 TO SS31WS-EXPANDED-BITS-X
050400         PERFORM SS31PD-COMPRESS-BYTE
050500            THRU SS31PD-CB-EXIT
050600         MOVE SS31WS-BYTE        TO MTGT-MERCH-DUP-IND
050700         MOVE MTPT-MERCH-DUP-IND TO SS31WS-BYTE
050800         PERFORM SS31PD-EXPAND-BYTE
050900            THRU SS31PD-EB-EXIT
051000         MOVE SS31WS-EXPANDED-BITS-X
051100                                 TO MTPTWS-MERCH-DUP-FIELDS
051200         SET MTPTWS-MERCH-DUP-BY-DAY
051300                                 TO TRUE
051400         MOVE MTPTWS-MERCH-DUP-FIELDS
051500                                 TO SS31WS-EXPANDED-BITS-X
051600         PERFORM SS31PD-COMPRESS-BYTE
051700            THRU SS31PD-CB-EXIT
051800         MOVE SS31WS-BYTE        TO MTPT-MERCH-DUP-IND
051900     END-IF.
052000*
052100     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
052200*
052300     MOVE 'W3PT'                 TO SS02WS-ABEND-LOCATION.
052400     SET MTPTRB-WRITE            TO TRUE.
052500     PERFORM MB00PD-MTPT-ACCESS
052600        THRU MB00PD-MTPT-ACCESS-EXIT.
052700*
052800     MOVE MTGT-RECORD            TO MTPT-RECORD.
052900     GO TO 4010-DTDO-RETURN-SORT.
053000*
053100*
053200*
053300 4090-DTDO-CLOSE-FILES.
053400*
053500     MOVE SPACES                 TO MTPT-RECORD.
053600     SET MTPT-TRAILER            TO TRUE.
053700     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
053800*
053900     MOVE 'W4PT'                 TO SS02WS-ABEND-LOCATION.
054000     SET MTPTRB-WRITE            TO TRUE.
054100     PERFORM MB00PD-MTPT-ACCESS
054200        THRU MB00PD-MTPT-ACCESS-EXIT.
054300*
054400     MOVE 'C3PT'                 TO SS02WS-ABEND-LOCATION.
054500     SET MTPTRB-CLOSE            TO TRUE.
054600     PERFORM MB00PD-MTPT-ACCESS
054700        THRU MB00PD-MTPT-ACCESS-EXIT.
054800*
054900 4099-DTDO-EXIT.
055000     EXIT.
055100/
055200 5000-POSTING-TRANS-INPUT SECTION.
055300 5001-PTI-BEGIN.
055400*
055500     MOVE 'O4PT'                 TO SS02WS-ABEND-LOCATION.
055600     SET MTPTRB-OPEN-INPUT       TO TRUE.
055700     PERFORM MB00PD-MTPT-ACCESS
055800        THRU MB00PD-MTPT-ACCESS-EXIT.
055900*
056000     MOVE 'O1FJ'                 TO SS02WS-ABEND-LOCATION.
056100     SET MTFJRB-OPEN-INPUT       TO TRUE.
056200     PERFORM MB00PD-MTFJ-ACCESS
056300        THRU MB00PD-MTFJ-ACCESS-EXIT.
056400*
056500*
056600*
056700     MOVE SS02WS-END-OF-FILE     TO MTPTRB-PERM-STATUS-1.
056800     MOVE SS02WS-END-OF-FILE     TO MTFJRB-PERM-STATUS-1.
056900     MOVE SS02WS-END-OF-FILE     TO MMWTRB-PERM-STATUS-1.
057000*
057100 5010-PTI-READ-MTPT.
057200*
057300     MOVE 'R2PT'                 TO SS02WS-ABEND-LOCATION.
057400     SET MTPTRB-READ-SEQ         TO TRUE.
057500     PERFORM MB00PD-MTPT-ACCESS
057600        THRU MB00PD-MTPT-ACCESS-EXIT.
057700*
057800     IF  SS02WS-FS-END-OF-FILE
057900         GO TO 5050-PTI-READ-MTFJ
058000     END-IF.
058100*
058200     IF  MTPTIO-HEADER
058300     OR  MTPTIO-TRAILER
058400         GO TO 5010-PTI-READ-MTPT
058500     END-IF.
058600*
058700     MOVE MTPTIO-RECORD          TO MTFJ-RECORD.
058800     RELEASE MTFJ-RECORD.
058900*
059000     GO TO 5010-PTI-READ-MTPT.
059100*
059200*
059300*
059400 5050-PTI-READ-MTFJ.
059500*
059600     MOVE 'R1FJ'                 TO SS02WS-ABEND-LOCATION.
059700     SET MTFJRB-READ-SEQ         TO TRUE.
059800     PERFORM MB00PD-MTFJ-ACCESS
059900        THRU MB00PD-MTFJ-ACCESS-EXIT.
060000*
060100     IF  SS02WS-FS-END-OF-FILE
060200         GO TO 5070-PTI-READ-MMWT
060300     END-IF.
060400*
060500     MOVE MTFJIO-RECORD          TO MTFJ-RECORD.
060600*
060700     IF  MTFJ-HEADER
060800     OR  MTFJ-TRAILER
060900     OR  MTFJ-PF-QUALIFIED-NON-POST
061000         GO TO 5050-PTI-READ-MTFJ
061100     END-IF.
061200*
061300     RELEASE MTFJ-RECORD.
061400*
061500     GO TO 5050-PTI-READ-MTFJ.
061600*
061700*
061800*
061900 5070-PTI-READ-MMWT.
062000*
062100     MOVE 'R1WT'                 TO SS02WS-ABEND-LOCATION.
062200     SET MMWTRB-READ-SEQ         TO TRUE.
062300     PERFORM MB00PD-MMWT-ACCESS
062400        THRU MB00PD-MMWT-ACCESS-EXIT.
062500*
062600     IF  SS02WS-FS-END-OF-FILE
062700         GO TO 5090-PTI-CLOSE-FILES
062800     END-IF.
062900*
063000     IF  MMWTIO-HEADER
063100     OR  MMWTIO-TRAILER
063200         GO TO 5070-PTI-READ-MMWT
063300     END-IF.
063400*
063500     MOVE MMWTIO-RECORD          TO MTFJ-RECORD.
063600     SET  MTFJ-GL-WAREHOUSED     TO TRUE.
063700     MOVE ZERO                   TO MTFJ-POST-FLAG.
063800     RELEASE MTFJ-RECORD.
063900*
064000     GO TO 5070-PTI-READ-MMWT.
064100*
064200*
064300*
064400 5090-PTI-CLOSE-FILES.
064500*
064600     MOVE 'C4PT'                 TO SS02WS-ABEND-LOCATION.
064700     SET MTPTRB-CLOSE            TO TRUE.
064800     PERFORM MB00PD-MTPT-ACCESS
064900        THRU MB00PD-MTPT-ACCESS-EXIT.
065000*
065100     MOVE 'C1FJ'                 TO SS02WS-ABEND-LOCATION.
065200     SET MTFJRB-CLOSE            TO TRUE.
065300     PERFORM MB00PD-MTFJ-ACCESS
065400        THRU MB00PD-MTFJ-ACCESS-EXIT.
065500*
065600*
065700*
065800 5099-PTI-EXIT.
065900     EXIT.
066000/
066100 6000-POSTING-TRANS-OUTPUT SECTION.
066200 6001-PTO-BEGIN.
066300*
066400     MOVE 'O5PT'                 TO SS02WS-ABEND-LOCATION.
066500     SET MTPTRB-OPEN-OUTPUT      TO TRUE.
066600     PERFORM MB00PD-MTPT-ACCESS
066700        THRU MB00PD-MTPT-ACCESS-EXIT.
066800*
066900     MOVE SPACES                 TO MTPTIO-RECORD.
067000     SET MTPTIO-HEADER           TO TRUE.
067100     MOVE MMSC-TODAYS-JULIAN     TO MTPTIO-DATE-STAMP.
067200     MOVE MMSC-TIME-STAMP        TO MTPTIO-TIME-STAMP.
067300*
067400     MOVE 'W0PT'                 TO SS02WS-ABEND-LOCATION.
067500     SET MTPTRB-WRITE            TO TRUE.
067600     PERFORM MB00PD-MTPT-ACCESS
067700        THRU MB00PD-MTPT-ACCESS-EXIT.
067800*
067900 6010-PTO-RETURN-SORT.
068000*
068100     RETURN MS3S-SORT-FILE
068200        AT END
068300            GO TO 6090-PTO-CLOSE-FILES.
068400*
068500     MOVE MTFJ-RECORD            TO MTPT-RECORD.
068600*
068700     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
068800*
068900     IF  MMTCWS-LM-QUAL-LEVEL-REQUIRED
069000     AND MTPT-QUAL-LEVEL < 1
069100         MOVE 09                 TO MTPT-QUAL-LEVEL
069200         IF  MTPT-PROD-IS-VISA
069300         OR  MTPT-PROD-IS-MC
069400             MOVE 99             TO MTPT-QUAL-LEVEL
069500         END-IF
069600     END-IF.
069700*
069800     IF  MMTCWS-LM-QUAL-LEVEL-REQUIRED
069900     AND MTPT-PROD-IS-PL
070000     AND MTPT-QUAL-LEVEL > 09
070100         MOVE 09                 TO MTPT-QUAL-LEVEL
070200     END-IF.
070300*
070400     IF  MMTCWS-LM-PRODUCT-REQUIRED
070500         IF  MTPT-PRODUCT < 1
070600             DISPLAY 'ORG/MERCHANT=' MTPT-ORG-MERCHANT
070700                     ' PROD=' MTPT-PRODUCT
070800                     ' Q/L=' MTPT-QUAL-LEVEL
070900             DISPLAY 'ORG/MERCHANT=' MTPT-ORG-MERCHANT
071000                     ' PROD=' MTPT-PRODUCT
071100                     ' Q/L=' MTPT-QUAL-LEVEL UPON CONSOLE
071200             MOVE 08002          TO SS02WS-ABEND-CODE
071300             MOVE 'INVALID PROD-Q/L ON TX'
071400                                 TO SS02WS-ABENDMSG8
071500             PERFORM SS02PD-ABEND
071600                THRU SS02PD-ABEND-EXIT
071700         END-IF
071800     END-IF.
071900*
072000     IF  MTPT-AMOUNT < ZERO
072100         COMPUTE MTPT-AMOUNT     =  0.00 - MTPT-AMOUNT
072200     END-IF.
072300*
072400     IF  MTPT-NBR-ITEMS NOT > ZERO
072500         MOVE 1                  TO MTPT-NBR-ITEMS
072600     END-IF.
072700*
072800     EVALUATE TRUE
072900         WHEN MTPT-VDI-DEPOSIT-DATA
073000             IF  MTPT-INDIV-DISC-AMT IS NOT NUMERIC
073100                 MOVE ZERO       TO MTPT-INDIV-DISC-AMT
073200             END-IF
073300             IF  MTPT-INDIV-DISC-AMT = ZERO
073400                 SET  MTPT-INDIV-DISCOUNT
073500                                 TO TRUE
073600             END-IF
073700             IF  MTPT-INDIV-DISCOUNT
073800             OR  MTPT-INDIV-REFUND
073900                 CONTINUE
074000             ELSE
074100                 SET  MTPT-INDIV-DISCOUNT
074200                                 TO TRUE
074300             END-IF
074400             IF  MTPT-INDIV-DISC-RATE IS NOT NUMERIC
074500                 MOVE ZERO       TO MTPT-INDIV-DISC-RATE
074600             END-IF
074700             IF  MTPT-INDIV-DISC-ADJ-RATE IS NOT NUMERIC
074800                 MOVE ZERO       TO MTPT-INDIV-DISC-ADJ-RATE
074900             END-IF
075000             IF  MTPT-INDIV-DISC-RATE     = ZERO
075100             AND MTPT-INDIV-DISC-ADJ-RATE = ZERO
075200                 SET  MTPT-IDI-IS-RATE
075300                                 TO TRUE
075400             END-IF
075500             IF  MTPT-IDI-IS-RATE
075600             OR  MTPT-IDI-IS-PER-ITEM
075700                 CONTINUE
075800             ELSE
075900                 SET  MTPT-IDI-IS-RATE
076000                                 TO TRUE
076100             END-IF
076200             IF  MTPT-INDIV-PART-AMT IS NOT NUMERIC
076300                 MOVE ZERO       TO MTPT-INDIV-PART-AMT
076400             END-IF
076500             IF  MTPT-INDIV-PART-AMT = ZERO
076600                 SET  MTPT-INDIV-PART-CR
076700                                 TO TRUE
076800             END-IF
076900             IF  MTPT-INDIV-PART-CR
077000             OR  MTPT-INDIV-PART-DR
077100                 CONTINUE
077200             ELSE
077300                 SET  MTPT-INDIV-PART-CR
077400                                 TO TRUE
077500             END-IF
077600             IF  MTPT-INDIV-PART-RATE IS NOT NUMERIC
077700                 MOVE ZERO       TO MTPT-INDIV-PART-RATE
077800             END-IF
077900             IF  MTPT-INDIV-PART-ADJ-RATE IS NOT NUMERIC
078000                 MOVE ZERO       TO MTPT-INDIV-PART-ADJ-RATE
078100             END-IF
078200             IF  MTPT-INDIV-PART-RATE     = ZERO
078300             AND MTPT-INDIV-PART-ADJ-RATE = ZERO
078400                 SET  MTPT-IPI-IS-RATE
078500                                 TO TRUE
078600             END-IF
078700             IF  MTPT-IPI-IS-RATE
078800             OR  MTPT-IPI-IS-PER-ITEM
078900                 CONTINUE
079000             ELSE
079100                 SET  MTPT-IPI-IS-RATE
079200                                 TO TRUE
079300             END-IF
079400             IF  MTPT-AR-ORG IS NOT NUMERIC
079500                 MOVE ZERO       TO MTPT-AR-ORG
079600             END-IF
079700             IF  MTPT-AR-TRANS-CODE IS NOT NUMERIC
079800                 MOVE ZERO       TO MTPT-AR-TRANS-CODE
079900             END-IF
080000             IF  MTPT-AR-POST-FLAG IS NOT NUMERIC
080100                 MOVE ZERO       TO MTPT-AR-POST-FLAG
080200             END-IF
080300         WHEN MTPT-VDI-FEE-DATA
080400             IF  MTPT-FEE-FACTOR-NBR IS NOT NUMERIC
080500                 MOVE ZERO       TO MTPT-FEE-FACTOR-NBR
080600             END-IF
080700             IF  MTPT-FEE-FACTOR-AMT IS NOT NUMERIC
080800                 MOVE ZERO       TO MTPT-FEE-FACTOR-AMT
080900             END-IF
081000             IF  MTPT-FEE-INC-PER-ITEM IS NOT NUMERIC
081100                 MOVE ZERO       TO MTPT-FEE-INC-PER-ITEM
081200             END-IF
081300             IF  MTPT-FEE-INC-RATE IS NOT NUMERIC
081400                 MOVE ZERO       TO MTPT-FEE-INC-RATE
081500             END-IF
081600             IF  MTPT-FEE-EXP-PER-ITEM IS NOT NUMERIC
081700                 MOVE ZERO       TO MTPT-FEE-EXP-PER-ITEM
081800             END-IF
081900             IF  MTPT-FEE-EXP-RATE IS NOT NUMERIC
082000                 MOVE ZERO       TO MTPT-FEE-EXP-RATE
082100             END-IF
082200             IF  MTPT-FEE-EXP-AMOUNT IS NOT NUMERIC
082300                 MOVE ZERO       TO MTPT-FEE-EXP-AMOUNT
082400             END-IF
082500         WHEN MTPT-VDI-HEADER-DATA
082600             CONTINUE
082700         WHEN OTHER
082800             SET  MTPT-VDI-NOT-PRESENT
082900                                 TO TRUE
083000             MOVE MTPTIR-VD-DEPOSIT-DATA
083100                                 TO MTPT-VD-DEPOSIT-DATA
083200     END-EVALUATE.
083300*
083400     EVALUATE TRUE
083500         WHEN (MTPT-VDI-DEPOSIT-DATA
083600          AND  MTPT-VD-DEPOSIT-DATA =
083700                                 MTPTIR-VD-DEPOSIT-DATA)
083800             SET  MTPT-VDI-NOT-PRESENT
083900                                 TO TRUE
084000         WHEN (MTPT-VDI-FEE-DATA
084100          AND  MTPT-VD-FEE-AREA = MTPTIR-VD-FEE-AREA)
084200             SET  MTPT-VDI-NOT-PRESENT
084300                                 TO TRUE
084400     END-EVALUATE.
084500*
084600     EVALUATE TRUE
084700         WHEN MMTCWS-LM-FEES
084800             IF  MTPT-VDI-DEPOSIT-DATA
084900                 SET  MTPT-VDI-NOT-PRESENT
085000                                 TO TRUE
085100                 MOVE MTPTIR-VD-FEE-DATA
085200                                 TO MTPT-VD-FEE-DATA
085300             END-IF
085400         WHEN OTHER
085500             IF  MTPT-VDI-FEE-DATA
085600                 SET  MTPT-VDI-NOT-PRESENT
085700                                 TO TRUE
085800                 MOVE MTPTIR-VD-DEPOSIT-DATA
085900                                 TO MTPT-VD-DEPOSIT-DATA
086000             END-IF
086100     END-EVALUATE.
086200*
086300     MOVE MTPT-RECORD            TO MTPTIO-RECORD.
086400*
086500     MOVE 'W5PT'                 TO SS02WS-ABEND-LOCATION.
086600     SET MTPTRB-WRITE            TO TRUE.
086700     PERFORM MB00PD-MTPT-ACCESS
086800        THRU MB00PD-MTPT-ACCESS-EXIT.
086900*
087000     GO TO 6010-PTO-RETURN-SORT.
087100*
087200*
087300*
087400 6090-PTO-CLOSE-FILES.
087500*
087600     MOVE SPACES                 TO MTPTIO-RECORD.
087700     SET MTPTIO-TRAILER          TO TRUE.
087800     MOVE MMSC-TODAYS-JULIAN     TO MTPTIO-DATE-STAMP.
087900     MOVE MMSC-TIME-STAMP        TO MTPTIO-TIME-STAMP.
088000*
088100     MOVE 'W9PT'                 TO SS02WS-ABEND-LOCATION.
088200     SET MTPTRB-WRITE            TO TRUE.
088300     PERFORM MB00PD-MTPT-ACCESS
088400        THRU MB00PD-MTPT-ACCESS-EXIT.
088500*
088600     MOVE 'C5PT'                 TO SS02WS-ABEND-LOCATION.
088700     SET MTPTRB-CLOSE            TO TRUE.
088800     PERFORM MB00PD-MTPT-ACCESS
088900        THRU MB00PD-MTPT-ACCESS-EXIT.
089000*
089100 6099-PTO-EXIT.
089200     EXIT.
089300/
089400 9000-PERFORMED-ROUTINES-SECT SECTION.
089500*
089600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
089700/
089800     COPY MB00PD REPLACING ==:MB00:== BY ==MMWT==.
089900/
090000     COPY MB00PD REPLACING ==:MB00:== BY ==MTFI==.
090100/
090200     COPY MB00PD REPLACING ==:MB00:== BY ==MTFJ==.
090300/
090400     COPY MB00PD REPLACING ==:MB00:== BY ==MTPT==.
090500/
090600     COPY MB99PD.
090700/
090800     COPY SS31PD.
090900/
091000     COPY SS98PD.
091100/
091200     COPY SS02PD.
091300*
091400 9995-END-SOURCE-STATEMENTS SECTION.
091500 9999-END-OF-PROGRAM.
091600     STOP RUN.
