000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100EF.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100EF - EXPENSE FACTORS FILE RECOVERY AND              *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
002800/
002900     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMEF==.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMEF==.
003200/
003300     COPY MMIFIR REPLACING ==:MMIF:== BY ==MMEF==.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100EF'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMEF'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1EF'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMEFRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMEF-ACCESS
010800        THRU MB00PD-MMEF-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1EF'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMEFRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMEFRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMEF-ACCESS
012700        THRU MB00PD-MMEF-ACCESS-EXIT.
012800*
012900     MOVE 'R0EF'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMEFRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMEF-ACCESS
013200        THRU MB00PD-MMEF-ACCESS-EXIT.
013300     MOVE 'MMEF'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMEFIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMEFIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMEFIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMEF-KEY IS NOT EQUAL TO MMEF-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMEF-KEY IS NOT EQUAL TO MMEF-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMEF-KEY IS EQUAL TO MMEFIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMEF-RECORD        TO MMEFIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMEFRB-TEMP-STATUS-1
019400         MOVE 'U1EF'             TO SS02WS-ABEND-LOCATION
019500         SET MMEFRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMEF-ACCESS
019700            THRU MB00PD-MMEF-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMEF-RECORD        TO MMEFIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMEFRB-TEMP-STATUS-1
020600         MOVE 'W2EF'             TO SS02WS-ABEND-LOCATION
020700         SET MMEFRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMEF-ACCESS
020900            THRU MB00PD-MMEF-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMEF-RECORD    TO MMEFIO-RECORD
021300             MOVE 'U2EF'         TO SS02WS-ABEND-LOCATION
021400             SET MMEFRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMEF-ACCESS
021600                THRU MB00PD-MMEF-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700*****IF  MBD100WS-JOURNAL
022800*****    PERFORM Z900-INIT-RECORD
022900*****       THRU Z999-IR-EXIT
023000*****    GO TO P799-GRTU-EXIT.
023100*
023200     IF  MTL1-MMEF-KEY = MMEFIO-KEY
023300         GO TO P799-GRTU-EXIT.
023400*
023500     MOVE SS02WS-NO-RECORD-FOUND
023600                                 TO MMEFRB-TEMP-STATUS-1.
023700     MOVE MTL1-MMEF-KEY          TO MMEFIO-KEY.
023800*
023900     MOVE 'R1EF'                 TO SS02WS-ABEND-LOCATION.
024000     SET MMEFRB-READ-RANDOM      TO TRUE.
024100     PERFORM MB00PD-MMEF-ACCESS
024200        THRU MB00PD-MMEF-ACCESS-EXIT.
024300*
024400     IF  SS02WS-FS-NO-RECORD-FOUND
024500         PERFORM Z900-INIT-RECORD
024600            THRU Z999-IR-EXIT
024700         MOVE 'N'                TO MBD100WS-IO-SW
024800     ELSE
024900         MOVE MMEFIO-RECORD      TO MMEF-RECORD
025000         MOVE 'U'                TO MBD100WS-IO-SW.
025100*
025200 P799-GRTU-EXIT.
025300     EXIT.
025400/
025500 U000-NEW-RECORD SECTION.
025600 U010-NR-BEGIN.
025700*
025800     PERFORM Z100-COMMON-FROM-DATA
025900        THRU Z199-CFD-EXIT.
026000*
026100     PERFORM Z200-COMMON-TO-DATA
026200        THRU Z299-CTD-EXIT.
026300*
026400     MOVE MTL1-ADD-AREA          TO MMEF-RECORD.
026500*
026600     IF  MBD100WS-IO-NO-REC-FOUND
026700         MOVE 'W'                TO MBD100WS-IO-SW.
026800*
026900     IF  MBD100WS-FC-1-2-ADD
027000         MOVE '*** NEW RECORD ADDED ***'
027100                                 TO MBD100WS-PL2-TO-VALUE
027200                                    MBD100WS-PL1-FROM-VALUE
027300     ELSE
027400         MOVE '*** REPLACEMENT RECORD ***'
027500                                 TO MBD100WS-PL2-TO-VALUE
027600                                    MBD100WS-PL1-FROM-VALUE.
027700*
027800     MOVE SPACES                 TO MTCC-RECORD.
027900     MOVE MMEF-ORG               TO MTCC-MBU908-BEG-ORG.
028000     MOVE MMEF-TABLE-NBR         TO MTCC-MBU908-BEG-TABLE-NBR.
028100     MOVE 'MBU908'               TO MTCC-PROGRAM-ID.
028200     MOVE MTCC-RECORD            TO MTC2-RECORD.
028300*
028400 U099-NR-EXIT.
028500     EXIT.
028600/
028700 Z100-COMMON-FROM-DATA SECTION.
028800 Z110-CFD-BEGIN.
028900*
029000     MOVE MTL1-MMEF-TABLE-NBR    TO MBD100WS-PL1-TABLE-NBR.
029100*
029200 Z199-CFD-EXIT.
029300     EXIT.
029400/
029500 Z200-COMMON-TO-DATA SECTION.
029600 Z210-CTD-BEGIN.
029700*
029800 Z299-CTD-EXIT.
029900     EXIT.
030000/
030100 Z900-INIT-RECORD SECTION.
030200 Z910-IR-BEGIN.
030300*
030400     MOVE MMEFIR-RECORD          TO MMEF-RECORD.
030500     MOVE SPACES                 TO MTC1-RECORD.
030600     MOVE SPACES                 TO MTC2-RECORD.
030700*
030800 Z999-IR-EXIT.
030900     EXIT.
031000/
031100 0000-MAINT-RECORD SECTION.
031200 0010-MR-BEGIN.
031300*
031400     PERFORM Z100-COMMON-FROM-DATA
031500        THRU Z199-CFD-EXIT.
031600*
031700     PERFORM Z200-COMMON-TO-DATA
031800        THRU Z299-CTD-EXIT.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
032100         GO TO 0101-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032400         GO TO 0102-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032700         GO TO 0103-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
033000         GO TO 0104-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033300         GO TO 0105-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
033600         GO TO 0106-MR-FIELD.
033700*
033800     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
033900         GO TO 0107-MR-FIELD.
034000*
034100     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
034200         GO TO 0108-MR-FIELD.
034300*
034400     IF  MTL1-FIELD-CODE IS EQUAL TO 0109
034500         GO TO 0109-MR-FIELD.
034600*
034700     IF  MTL1-FIELD-CODE IS EQUAL TO 0110
034800         GO TO 0110-MR-FIELD.
034900*
035000     IF  MTL1-FIELD-CODE IS EQUAL TO 0111
035100         GO TO 0111-MR-FIELD.
035200*
035300     IF  MTL1-FIELD-CODE IS EQUAL TO 0112
035400         GO TO 0112-MR-FIELD.
035500*
035600     IF  MTL1-FIELD-CODE IS EQUAL TO 0113
035700         GO TO 0113-MR-FIELD.
035800*
035900     IF  MTL1-FIELD-CODE IS EQUAL TO 0114
036000         GO TO 0114-MR-FIELD.
036100*
036200     IF  MTL1-FIELD-CODE IS EQUAL TO 0115
036300         GO TO 0115-MR-FIELD.
036400*
036500     IF  MTL1-FIELD-CODE IS EQUAL TO 0116
036600         GO TO 0116-MR-FIELD.
036700*
036800     IF  MTL1-FIELD-CODE IS EQUAL TO 0117
036900         GO TO 0117-MR-FIELD.
037000*
037100     IF  MTL1-FIELD-CODE IS EQUAL TO 0118
037200         GO TO 0118-MR-FIELD.
037300*
037400     IF  MTL1-FIELD-CODE IS EQUAL TO 0119
037500         GO TO 0119-MR-FIELD.
037600*
037700     IF  MTL1-FIELD-CODE IS EQUAL TO 0120
037800         GO TO 0120-MR-FIELD.
037900*
038000     IF  MTL1-FIELD-CODE IS EQUAL TO 0121
038100         GO TO 0121-MR-FIELD.
038200*
038300     IF  MTL1-FIELD-CODE IS EQUAL TO 0122
038400         GO TO 0122-MR-FIELD.
038500*
038600     IF  MTL1-FIELD-CODE IS EQUAL TO 0123
038700         GO TO 0123-MR-FIELD.
038800*
038900     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
039000         GO TO 0197-MR-FIELD.
039100*
039200     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
039300         GO TO 0198-MR-FIELD.
039400*
039500     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
039600         GO TO 0199-MR-FIELD.
039700*
039800     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
039900         GO TO 0201-MR-FIELD.
040000*
040100     IF  MTL1-FIELD-CODE IS EQUAL TO 0202
040200         GO TO 0202-MR-FIELD.
040300*
040400     IF  MTL1-FIELD-CODE IS EQUAL TO 0203
040500         GO TO 0203-MR-FIELD.
040600*
040700     IF  MTL1-FIELD-CODE IS EQUAL TO 0204
040800         GO TO 0204-MR-FIELD.
040900*
041000     IF  MTL1-FIELD-CODE IS EQUAL TO 0205
041100         GO TO 0205-MR-FIELD.
041200*
041300     IF  MTL1-FIELD-CODE IS EQUAL TO 0206
041400         GO TO 0206-MR-FIELD.
041500*
041600     IF  MTL1-FIELD-CODE IS EQUAL TO 0207
041700         GO TO 0207-MR-FIELD.
041800*
041900     IF  MTL1-FIELD-CODE IS EQUAL TO 0208
042000         GO TO 0208-MR-FIELD.
042100*
042200     IF  MTL1-FIELD-CODE IS EQUAL TO 0209
042300         GO TO 0209-MR-FIELD.
042400*
042500     IF  MTL1-FIELD-CODE IS EQUAL TO 0210
042600         GO TO 0210-MR-FIELD.
042700*
042800     IF  MTL1-FIELD-CODE IS EQUAL TO 0211
042900         GO TO 0211-MR-FIELD.
043000*
043100     IF  MTL1-FIELD-CODE IS EQUAL TO 0212
043200         GO TO 0212-MR-FIELD.
043300*
043400     IF  MTL1-FIELD-CODE IS EQUAL TO 0213
043500         GO TO 0213-MR-FIELD.
043600*
043700     IF  MTL1-FIELD-CODE IS EQUAL TO 0214
043800         GO TO 0214-MR-FIELD.
043900*
044000     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
044100         GO TO 0301-MR-FIELD.
044200*
044300     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
044400         GO TO 0302-MR-FIELD.
044500*
044600     IF  MTL1-FIELD-CODE IS EQUAL TO 0401
044700         GO TO 0401-MR-FIELD.
044800*
044900     IF  MTL1-FIELD-CODE IS EQUAL TO 0402
045000         GO TO 0402-MR-FIELD.
045100*
045200     IF  MTL1-FIELD-CODE IS EQUAL TO 0403
045300         GO TO 0403-MR-FIELD.
045400*
045500     IF  MTL1-FIELD-CODE IS EQUAL TO 0404
045600         GO TO 0404-MR-FIELD.
045700*
045800     IF  MTL1-FIELD-CODE IS EQUAL TO 0405
045900         GO TO 0405-MR-FIELD.
046000*
046100     IF  MTL1-FIELD-CODE IS EQUAL TO 0406
046200         GO TO 0406-MR-FIELD.
046300*
046400     IF  MTL1-FIELD-CODE IS EQUAL TO 0605
046500         GO TO 0605-MR-FIELD.
046600*
046700     IF  MTL1-FIELD-CODE IS EQUAL TO 0606
046800         GO TO 0606-MR-FIELD.
046900*
047000     MOVE '*** ERROR - INVALID FIELD CODE ***'
047100                                 TO MBD100WS-PL2-TO-VALUE.
047200     GO TO 5999-MR-EXIT.
047300*
047400 0101-MR-FIELD.
047500*
047600     IF  MBD100WS-JOURNAL
047700         MOVE MTL1-VL30-B-DATA-X TO MMEF-TABLE-NAME.
047800*
047900     MOVE 'EXPENSE TABLE NAME    '
048000                                 TO MBD100WS-PL1-DESC.
048100     MOVE MMEF-TABLE-NAME        TO MBD100WS-PL1-FROM-VALUE.
048200     MOVE MTL1-VL30-A-DATA-X     TO MMEF-TABLE-NAME.
048300     MOVE MMEF-TABLE-NAME        TO MBD100WS-PL2-TO-VALUE.
048400     GO TO 5100-MR-NO-REC-CHECK.
048500*
048600*
048700*
048800 0102-MR-FIELD.
048900*
049000     IF  MBD100WS-JOURNAL
049100         MOVE MTL1-VL20-B-NBR-NO-DEC
049200                                 TO MMEF-SALES-FEE.
049300*
049400     MOVE 'SALES FEE             '
049500                                 TO MBD100WS-PL1-DESC.
049600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
049700     MOVE MMEF-SALES-FEE         TO SS95WS-IN-PCT.
049800     PERFORM SS95PD-NAP-ROUTINE
049900                                 THRU SS95PD-NAP-EXIT.
050000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
050100     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-SALES-FEE.
050200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
050300     MOVE MMEF-SALES-FEE         TO SS95WS-IN-PCT.
050400     PERFORM SS95PD-NAP-ROUTINE
050500                                 THRU SS95PD-NAP-EXIT.
050600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
050700     GO TO 5100-MR-NO-REC-CHECK.
050800*
050900*
051000*
051100 0103-MR-FIELD.
051200*
051300     IF  MBD100WS-JOURNAL
051400         MOVE MTL1-VL20-B-NBR-NO-DEC
051500                                 TO MMEF-LOCATION-FEE.
051600*
051700     MOVE 'LOCATION FEE          '
051800                                 TO MBD100WS-PL1-DESC.
051900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
052000     MOVE MMEF-LOCATION-FEE      TO SS95WS-IN-PCT.
052100     PERFORM SS95PD-NAP-ROUTINE
052200                                 THRU SS95PD-NAP-EXIT.
052300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
052400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-LOCATION-FEE.
052500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
052600     MOVE MMEF-LOCATION-FEE      TO SS95WS-IN-PCT.
052700     PERFORM SS95PD-NAP-ROUTINE
052800                                 THRU SS95PD-NAP-EXIT.
052900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
053000     GO TO 5100-MR-NO-REC-CHECK.
053100*
053200*
053300*
053400 0104-MR-FIELD.
053500*
053600     IF  MBD100WS-JOURNAL
053700         MOVE MTL1-VL20-B-NBR-NO-DEC
053800                                 TO MMEF-RETURNS-FEE.
053900*
054000     MOVE 'RETURNS FEE           '
054100                                 TO MBD100WS-PL1-DESC.
054200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
054300     MOVE MMEF-RETURNS-FEE       TO SS95WS-IN-PCT.
054400     PERFORM SS95PD-NAP-ROUTINE
054500                                 THRU SS95PD-NAP-EXIT.
054600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
054700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-RETURNS-FEE.
054800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
054900     MOVE MMEF-RETURNS-FEE       TO SS95WS-IN-PCT.
055000     PERFORM SS95PD-NAP-ROUTINE
055100                                 THRU SS95PD-NAP-EXIT.
055200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
055300     GO TO 5100-MR-NO-REC-CHECK.
055400*
055500*
055600*
055700 0105-MR-FIELD.
055800*
055900     IF  MBD100WS-JOURNAL
056000         MOVE MTL1-VL20-B-NBR-NO-DEC
056100                                 TO MMEF-BULLETIN-FEE.
056200*
056300     MOVE 'BULLETIN FEE          '
056400                                 TO MBD100WS-PL1-DESC.
056500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
056600     MOVE MMEF-BULLETIN-FEE      TO SS95WS-IN-PCT.
056700     PERFORM SS95PD-NAP-ROUTINE
056800                                 THRU SS95PD-NAP-EXIT.
056900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
057000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-BULLETIN-FEE.
057100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
057200     MOVE MMEF-BULLETIN-FEE      TO SS95WS-IN-PCT.
057300     PERFORM SS95PD-NAP-ROUTINE
057400                                 THRU SS95PD-NAP-EXIT.
057500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
057600     GO TO 5100-MR-NO-REC-CHECK.
057700*
057800*
057900*
058000 0106-MR-FIELD.
058100*
058200     IF  MBD100WS-JOURNAL
058300         MOVE MTL1-VL20-B-NBR-NO-DEC
058400                                 TO MMEF-BATCH-HDR-FEE.
058500*
058600     MOVE 'BATCH HEADER FEE      '
058700                                 TO MBD100WS-PL1-DESC.
058800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
058900     MOVE MMEF-BATCH-HDR-FEE     TO SS95WS-IN-PCT.
059000     PERFORM SS95PD-NAP-ROUTINE
059100                                 THRU SS95PD-NAP-EXIT.
059200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
059300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-BATCH-HDR-FEE.
059400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
059500     MOVE MMEF-BATCH-HDR-FEE     TO SS95WS-IN-PCT.
059600     PERFORM SS95PD-NAP-ROUTINE
059700                                 THRU SS95PD-NAP-EXIT.
059800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
059900     GO TO 5100-MR-NO-REC-CHECK.
060000*
060100*
060200*
060300 0107-MR-FIELD.
060400*
060500     IF  MBD100WS-JOURNAL
060600         MOVE MTL1-VL20-B-NBR-NO-DEC
060700                                 TO MMEF-STATEMENT-FEE.
060800*
060900     MOVE 'STATEMENT FEE         '
061000                                 TO MBD100WS-PL1-DESC.
061100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
061200     MOVE MMEF-STATEMENT-FEE     TO SS95WS-IN-PCT.
061300     PERFORM SS95PD-NAP-ROUTINE
061400                                 THRU SS95PD-NAP-EXIT.
061500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
061600     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-STATEMENT-FEE.
061700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
061800     MOVE MMEF-STATEMENT-FEE     TO SS95WS-IN-PCT.
061900     PERFORM SS95PD-NAP-ROUTINE
062000                                 THRU SS95PD-NAP-EXIT.
062100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
062200     GO TO 5100-MR-NO-REC-CHECK.
062300*
062400*
062500*
062600 0108-MR-FIELD.
062700*
062800     IF  MBD100WS-JOURNAL
062900         MOVE MTL1-VL20-B-NBR-NO-DEC
063000                                 TO MMEF-KEYED-FEE.
063100*
063200     MOVE 'KEYED AUTHS FEE       '
063300                                 TO MBD100WS-PL1-DESC.
063400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
063500     MOVE MMEF-KEYED-FEE         TO SS95WS-IN-PCT.
063600     PERFORM SS95PD-NAP-ROUTINE
063700                                 THRU SS95PD-NAP-EXIT.
063800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
063900     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-KEYED-FEE.
064000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
064100     MOVE MMEF-KEYED-FEE         TO SS95WS-IN-PCT.
064200     PERFORM SS95PD-NAP-ROUTINE
064300                                 THRU SS95PD-NAP-EXIT.
064400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
064500     GO TO 5100-MR-NO-REC-CHECK.
064600*
064700*
064800*
064900 0109-MR-FIELD.
065000*
065100     IF  MBD100WS-JOURNAL
065200         MOVE MTL1-VL20-B-NBR-NO-DEC
065300                                 TO MMEF-MEMBERSHIP-FEE.
065400*
065500     MOVE 'MEMBERSHIP FEE        '
065600                                 TO MBD100WS-PL1-DESC.
065700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
065800     MOVE MMEF-MEMBERSHIP-FEE    TO SS95WS-IN-PCT.
065900     PERFORM SS95PD-NAP-ROUTINE
066000                                 THRU SS95PD-NAP-EXIT.
066100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
066200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-MEMBERSHIP-FEE.
066300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
066400     MOVE MMEF-MEMBERSHIP-FEE    TO SS95WS-IN-PCT.
066500     PERFORM SS95PD-NAP-ROUTINE
066600                                 THRU SS95PD-NAP-EXIT.
066700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
066800     GO TO 5100-MR-NO-REC-CHECK.
066900*
067000*
067100*
067200 0110-MR-FIELD.
067300*
067400     IF  MBD100WS-JOURNAL
067500         MOVE MTL1-VL20-B-NBR-NO-DEC
067600                                 TO MMEF-SWIPED-FEE.
067700*
067800     MOVE 'SWIPED AUTHS FEE      '
067900                                 TO MBD100WS-PL1-DESC.
068000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
068100     MOVE MMEF-SWIPED-FEE        TO SS95WS-IN-PCT.
068200     PERFORM SS95PD-NAP-ROUTINE
068300                                 THRU SS95PD-NAP-EXIT.
068400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
068500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-SWIPED-FEE.
068600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
068700     MOVE MMEF-SWIPED-FEE        TO SS95WS-IN-PCT.
068800     PERFORM SS95PD-NAP-ROUTINE
068900                                 THRU SS95PD-NAP-EXIT.
069000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
069100     GO TO 5100-MR-NO-REC-CHECK.
069200*
069300*
069400*
069500 0111-MR-FIELD.
069600*
069700     IF  MBD100WS-JOURNAL
069800         MOVE MTL1-VL20-B-NBR-NO-DEC
069900                                 TO MMEF-USER-INP-FEE.
070000*
070100     MOVE 'USER INPUT FEE        '
070200                                 TO MBD100WS-PL1-DESC.
070300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
070400     MOVE MMEF-USER-INP-FEE      TO SS95WS-IN-PCT.
070500     PERFORM SS95PD-NAP-ROUTINE
070600                                 THRU SS95PD-NAP-EXIT.
070700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
070800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-USER-INP-FEE.
070900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
071000     MOVE MMEF-USER-INP-FEE      TO SS95WS-IN-PCT.
071100     PERFORM SS95PD-NAP-ROUTINE
071200                                 THRU SS95PD-NAP-EXIT.
071300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
071400     GO TO 5100-MR-NO-REC-CHECK.
071500*
071600*
071700*
071800 0112-MR-FIELD.
071900*
072000     IF  MBD100WS-JOURNAL
072100         MOVE MTL1-VL20-B-NBR-NO-DEC
072200                                 TO MMEF-SETUP-FEE.
072300*
072400     MOVE 'SETUP FEE             '
072500                                 TO MBD100WS-PL1-DESC.
072600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
072700     MOVE MMEF-SETUP-FEE         TO SS95WS-IN-PCT.
072800     PERFORM SS95PD-NAP-ROUTINE
072900                                 THRU SS95PD-NAP-EXIT.
073000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
073100     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-SETUP-FEE.
073200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
073300     MOVE MMEF-SETUP-FEE         TO SS95WS-IN-PCT.
073400     PERFORM SS95PD-NAP-ROUTINE
073500                                 THRU SS95PD-NAP-EXIT.
073600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
073700     GO TO 5100-MR-NO-REC-CHECK.
073800*
073900*
074000*
074100 0113-MR-FIELD.
074200*
074300     IF  MBD100WS-JOURNAL
074400         MOVE MTL1-VL20-B-NBR-NO-DEC
074500                                 TO MMEF-LOCAL-INP-FEE.
074600*
074700     MOVE 'LOCAL INPUT FEE       '
074800                                 TO MBD100WS-PL1-DESC.
074900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
075000     MOVE MMEF-LOCAL-INP-FEE     TO SS95WS-IN-PCT.
075100     PERFORM SS95PD-NAP-ROUTINE
075200                                 THRU SS95PD-NAP-EXIT.
075300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
075400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-LOCAL-INP-FEE.
075500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
075600     MOVE MMEF-LOCAL-INP-FEE     TO SS95WS-IN-PCT.
075700     PERFORM SS95PD-NAP-ROUTINE
075800                                 THRU SS95PD-NAP-EXIT.
075900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
076000     GO TO 5100-MR-NO-REC-CHECK.
076100*
076200*
076300*
076400 0114-MR-FIELD.
076500*
076600     IF  MBD100WS-JOURNAL
076700         MOVE MTL1-VL20-B-NBR-NO-DEC
076800                                 TO MMEF-ADMIN-FEE.
076900*
077000     MOVE 'ADMINISTRATIVE FEE    '
077100                                 TO MBD100WS-PL1-DESC.
077200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
077300     MOVE MMEF-ADMIN-FEE         TO SS95WS-IN-PCT.
077400     PERFORM SS95PD-NAP-ROUTINE
077500                                 THRU SS95PD-NAP-EXIT.
077600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
077700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-ADMIN-FEE.
077800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
077900     MOVE MMEF-ADMIN-FEE         TO SS95WS-IN-PCT.
078000     PERFORM SS95PD-NAP-ROUTINE
078100                                 THRU SS95PD-NAP-EXIT.
078200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
078300     GO TO 5100-MR-NO-REC-CHECK.
078400*
078500*
078600*
078700 0115-MR-FIELD.
078800*
078900     IF  MBD100WS-JOURNAL
079000         MOVE MTL1-VL20-B-NBR-NO-DEC
079100                                 TO MMEF-CHECK-APPR-FEE.
079200*
079300     MOVE 'CHECK APPROVAL FEE    '
079400                                 TO MBD100WS-PL1-DESC.
079500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
079600     MOVE MMEF-CHECK-APPR-FEE    TO SS95WS-IN-PCT.
079700     PERFORM SS95PD-NAP-ROUTINE
079800                                 THRU SS95PD-NAP-EXIT.
079900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
080000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-CHECK-APPR-FEE.
080100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
080200     MOVE MMEF-CHECK-APPR-FEE    TO SS95WS-IN-PCT.
080300     PERFORM SS95PD-NAP-ROUTINE
080400                                 THRU SS95PD-NAP-EXIT.
080500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
080600     GO TO 5100-MR-NO-REC-CHECK.
080700*
080800*
080900*
081000 0116-MR-FIELD.
081100*
081200     IF  MBD100WS-JOURNAL
081300         MOVE MTL1-VL20-B-NBR-NO-DEC
081400                                 TO MMEF-ADJ-INPUT-FEE.
081500*
081600     MOVE 'ADJUSTMENTS INPUT FEE '
081700                                 TO MBD100WS-PL1-DESC.
081800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
081900     MOVE MMEF-ADJ-INPUT-FEE     TO SS95WS-IN-PCT.
082000     PERFORM SS95PD-NAP-ROUTINE
082100                                 THRU SS95PD-NAP-EXIT.
082200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
082300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-ADJ-INPUT-FEE.
082400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
082500     MOVE MMEF-ADJ-INPUT-FEE     TO SS95WS-IN-PCT.
082600     PERFORM SS95PD-NAP-ROUTINE
082700                                 THRU SS95PD-NAP-EXIT.
082800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
082900     GO TO 5100-MR-NO-REC-CHECK.
083000*
083100*
083200*
083300 0117-MR-FIELD.
083400*
083500     IF  MBD100WS-JOURNAL
083600         MOVE MTL1-VL20-B-NBR-NO-DEC
083700                                 TO MMEF-CHGBACK-FEE.
083800*
083900     MOVE 'CHARGEBACK FEE        '
084000                                 TO MBD100WS-PL1-DESC.
084100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
084200     MOVE MMEF-CHGBACK-FEE       TO SS95WS-IN-PCT.
084300     PERFORM SS95PD-NAP-ROUTINE
084400                                 THRU SS95PD-NAP-EXIT.
084500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
084600     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-CHGBACK-FEE.
084700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
084800     MOVE MMEF-CHGBACK-FEE       TO SS95WS-IN-PCT.
084900     PERFORM SS95PD-NAP-ROUTINE
085000                                 THRU SS95PD-NAP-EXIT.
085100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
085200     GO TO 5100-MR-NO-REC-CHECK.
085300*
085400*
085500*
085600 0118-MR-FIELD.
085700*
085800     IF  MBD100WS-JOURNAL
085900         MOVE MTL1-VL20-B-NBR-NO-DEC
086000                                 TO MMEF-ACH-FEE.
086100*
086200     MOVE 'A C H  FEE            '
086300                                 TO MBD100WS-PL1-DESC.
086400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
086500     MOVE MMEF-ACH-FEE           TO SS95WS-IN-PCT.
086600     PERFORM SS95PD-NAP-ROUTINE
086700                                 THRU SS95PD-NAP-EXIT.
086800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
086900     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-ACH-FEE.
087000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
087100     MOVE MMEF-ACH-FEE           TO SS95WS-IN-PCT.
087200     PERFORM SS95PD-NAP-ROUTINE
087300                                 THRU SS95PD-NAP-EXIT.
087400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
087500     GO TO 5100-MR-NO-REC-CHECK.
087600*
087700*
087800*
087900 0119-MR-FIELD.
088000*
088100     IF  MBD100WS-JOURNAL
088200         MOVE MTL1-VL20-B-NBR-NO-DEC
088300                                 TO MMEF-POS-1-CAP-FEE.
088400*
088500     MOVE 'P O S - 1  CAPTURE FEE'
088600                                 TO MBD100WS-PL1-DESC.
088700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
088800     MOVE MMEF-POS-1-CAP-FEE     TO SS95WS-IN-PCT.
088900     PERFORM SS95PD-NAP-ROUTINE
089000                                 THRU SS95PD-NAP-EXIT.
089100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
089200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-1-CAP-FEE.
089300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
089400     MOVE MMEF-POS-1-CAP-FEE     TO SS95WS-IN-PCT.
089500     PERFORM SS95PD-NAP-ROUTINE
089600                                 THRU SS95PD-NAP-EXIT.
089700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
089800     GO TO 5100-MR-NO-REC-CHECK.
089900*
090000*
090100*
090200 0120-MR-FIELD.
090300*
090400     IF  MBD100WS-JOURNAL
090500         MOVE MTL1-VL20-B-NBR-NO-DEC
090600                                 TO MMEF-POS-2-CAP-FEE.
090700*
090800     MOVE 'P O S - 2  CAPTURE FEE'
090900                                 TO MBD100WS-PL1-DESC.
091000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
091100     MOVE MMEF-POS-2-CAP-FEE     TO SS95WS-IN-PCT.
091200     PERFORM SS95PD-NAP-ROUTINE
091300                                 THRU SS95PD-NAP-EXIT.
091400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
091500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-2-CAP-FEE.
091600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
091700     MOVE MMEF-POS-2-CAP-FEE     TO SS95WS-IN-PCT.
091800     PERFORM SS95PD-NAP-ROUTINE
091900                                 THRU SS95PD-NAP-EXIT.
092000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
092100     GO TO 5100-MR-NO-REC-CHECK.
092200*
092300*
092400*
092500 0121-MR-FIELD.
092600*
092700     IF  MBD100WS-JOURNAL
092800         MOVE MTL1-VL20-B-NBR-NO-DEC
092900                                 TO MMEF-POS-3-CAP-FEE.
093000*
093100     MOVE 'P O S - 3  CAPTURE FEE'
093200                                 TO MBD100WS-PL1-DESC.
093300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
093400     MOVE MMEF-POS-3-CAP-FEE     TO SS95WS-IN-PCT.
093500     PERFORM SS95PD-NAP-ROUTINE
093600                                 THRU SS95PD-NAP-EXIT.
093700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
093800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-3-CAP-FEE.
093900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
094000     MOVE MMEF-POS-3-CAP-FEE     TO SS95WS-IN-PCT.
094100     PERFORM SS95PD-NAP-ROUTINE
094200                                 THRU SS95PD-NAP-EXIT.
094300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
094400     GO TO 5100-MR-NO-REC-CHECK.
094500*
094600*
094700*
094800 0122-MR-FIELD.
094900*
095000     IF  MBD100WS-JOURNAL
095100         MOVE MTL1-VL20-B-NBR-NO-DEC
095200                                 TO MMEF-IN-STORE-PMT-FEE.
095300*
095400     MOVE 'IN-STORE PAYMENT FEE  '
095500                                 TO MBD100WS-PL1-DESC.
095600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
095700     MOVE MMEF-IN-STORE-PMT-FEE  TO SS95WS-IN-PCT.
095800     PERFORM SS95PD-NAP-ROUTINE
095900                                 THRU SS95PD-NAP-EXIT.
096000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
096100     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-IN-STORE-PMT-FEE.
096200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
096300     MOVE MMEF-IN-STORE-PMT-FEE  TO SS95WS-IN-PCT.
096400     PERFORM SS95PD-NAP-ROUTINE
096500                                 THRU SS95PD-NAP-EXIT.
096600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
096700     GO TO 5100-MR-NO-REC-CHECK.
096800*
096900*
097000*
097100 0123-MR-FIELD.
097200*
097300     IF  MBD100WS-JOURNAL
097400         MOVE MTL1-VL20-B-NBR-NO-DEC
097500                                 TO MMEF-RETRIEVAL-FEE.
097600*
097700     MOVE 'RETRIEVAL FEE         '
097800                                 TO MBD100WS-PL1-DESC.
097900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
098000     MOVE MMEF-RETRIEVAL-FEE     TO SS95WS-IN-PCT.
098100     PERFORM SS95PD-NAP-ROUTINE
098200                                 THRU SS95PD-NAP-EXIT.
098300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
098400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-RETRIEVAL-FEE.
098500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
098600     MOVE MMEF-RETRIEVAL-FEE     TO SS95WS-IN-PCT.
098700     PERFORM SS95PD-NAP-ROUTINE
098800                                 THRU SS95PD-NAP-EXIT.
098900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
099000     GO TO 5100-MR-NO-REC-CHECK.
099100*
099200*
099300*
099400 0197-MR-FIELD.
099500*
099600     IF  MBD100WS-JOURNAL
099700         MOVE MTL1-VL01-B-DATA-9 TO MMEF-REC-STATUS.
099800*
099900     MOVE 'RECORD STATUS         '
100000                                 TO MBD100WS-PL1-DESC.
100100     MOVE MMEF-REC-STATUS        TO MBD100WS-PL1-FV-9.
100200     MOVE MTL1-VL01-A-DATA-9     TO MMEF-REC-STATUS.
100300     MOVE MMEF-REC-STATUS        TO MBD100WS-PL2-TV-9.
100400     GO TO 5100-MR-NO-REC-CHECK.
100500*
100600*
100700*
100800 0198-MR-FIELD.
100900*
101000     IF  MBD100WS-JOURNAL
101100         MOVE MTL1-VL03-B-DATA-X TO MMEF-LAST-MAINT-OPER.
101200*
101300     MOVE 'LAST MAINT OPERATOR   '
101400                                 TO MBD100WS-PL1-DESC.
101500     MOVE MMEF-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
101600     MOVE MTL1-VL03-A-DATA-X     TO MMEF-LAST-MAINT-OPER.
101700     MOVE MMEF-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
101800     GO TO 5100-MR-NO-REC-CHECK.
101900*
102000*
102100*
102200 0199-MR-FIELD.
102300*
102400     IF  MBD100WS-JOURNAL
102500         MOVE MTL1-VL07-B-DATA-9 TO MMEF-LAST-MAINT-DATE.
102600*
102700     MOVE 'DATE LAST MAINTENANCE '
102800                                 TO MBD100WS-PL1-DESC.
102900     MOVE MMEF-LAST-MAINT-DATE   TO SS01WS-JULIAN.
103000     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
103100     MOVE MTL1-VL07-A-DATA-9     TO MMEF-LAST-MAINT-DATE.
103200     MOVE MMEF-LAST-MAINT-DATE   TO SS01WS-JULIAN.
103300     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
103400     GO TO 5100-MR-NO-REC-CHECK.
103500*
103600*
103700*
103800 0201-MR-FIELD.
103900*
104000     IF  MBD100WS-JOURNAL
104100         MOVE MTL1-VL20-B-NBR-NO-DEC
104200                                 TO MMEF-IMP-1-DEV-FEE.
104300*
104400     MOVE 'IMPRINTER-1 DEVICE FEE'
104500                                 TO MBD100WS-PL1-DESC.
104600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
104700     MOVE MMEF-IMP-1-DEV-FEE     TO SS95WS-IN-PCT.
104800     PERFORM SS95PD-NAP-ROUTINE
104900                                 THRU SS95PD-NAP-EXIT.
105000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
105100     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-IMP-1-DEV-FEE.
105200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
105300     MOVE MMEF-IMP-1-DEV-FEE     TO SS95WS-IN-PCT.
105400     PERFORM SS95PD-NAP-ROUTINE
105500                                 THRU SS95PD-NAP-EXIT.
105600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
105700     GO TO 5100-MR-NO-REC-CHECK.
105800*
105900*
106000*
106100 0202-MR-FIELD.
106200*
106300     IF  MBD100WS-JOURNAL
106400         MOVE MTL1-VL20-B-NBR-NO-DEC
106500                                 TO MMEF-POS-1-DEV-FEE.
106600*
106700     MOVE 'P O S - 1  DEVICE FEE '
106800                                 TO MBD100WS-PL1-DESC.
106900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
107000     MOVE MMEF-POS-1-DEV-FEE     TO SS95WS-IN-PCT.
107100     PERFORM SS95PD-NAP-ROUTINE
107200                                 THRU SS95PD-NAP-EXIT.
107300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
107400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-1-DEV-FEE.
107500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
107600     MOVE MMEF-POS-1-DEV-FEE     TO SS95WS-IN-PCT.
107700     PERFORM SS95PD-NAP-ROUTINE
107800                                 THRU SS95PD-NAP-EXIT.
107900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
108000     GO TO 5100-MR-NO-REC-CHECK.
108100*
108200*
108300*
108400 0203-MR-FIELD.
108500*
108600     IF  MBD100WS-JOURNAL
108700         MOVE MTL1-VL20-B-NBR-NO-DEC
108800                                 TO MMEF-IMP-2-DEV-FEE.
108900*
109000     MOVE 'IMPRINTER-2 DEVICE FEE'
109100                                 TO MBD100WS-PL1-DESC.
109200     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
109300     MOVE MMEF-IMP-2-DEV-FEE     TO SS95WS-IN-PCT.
109400     PERFORM SS95PD-NAP-ROUTINE
109500                                 THRU SS95PD-NAP-EXIT.
109600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
109700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-IMP-2-DEV-FEE.
109800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
109900     MOVE MMEF-IMP-2-DEV-FEE     TO SS95WS-IN-PCT.
110000     PERFORM SS95PD-NAP-ROUTINE
110100                                 THRU SS95PD-NAP-EXIT.
110200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
110300     GO TO 5100-MR-NO-REC-CHECK.
110400*
110500*
110600*
110700 0204-MR-FIELD.
110800*
110900     IF  MBD100WS-JOURNAL
111000         MOVE MTL1-VL20-B-NBR-NO-DEC
111100                                 TO MMEF-POS-2-DEV-FEE.
111200*
111300     MOVE 'P O S - 2  DEVICE FEE '
111400                                 TO MBD100WS-PL1-DESC.
111500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
111600     MOVE MMEF-POS-2-DEV-FEE     TO SS95WS-IN-PCT.
111700     PERFORM SS95PD-NAP-ROUTINE
111800                                 THRU SS95PD-NAP-EXIT.
111900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
112000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-2-DEV-FEE.
112100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
112200     MOVE MMEF-POS-2-DEV-FEE     TO SS95WS-IN-PCT.
112300     PERFORM SS95PD-NAP-ROUTINE
112400                                 THRU SS95PD-NAP-EXIT.
112500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
112600     GO TO 5100-MR-NO-REC-CHECK.
112700*
112800*
112900*
113000 0205-MR-FIELD.
113100*
113200     IF  MBD100WS-JOURNAL
113300         MOVE MTL1-VL20-B-NBR-NO-DEC
113400                                 TO MMEF-IMP-3-DEV-FEE.
113500*
113600     MOVE 'IMPRINTER-3 DEVICE FEE'
113700                                 TO MBD100WS-PL1-DESC.
113800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
113900     MOVE MMEF-IMP-3-DEV-FEE     TO SS95WS-IN-PCT.
114000     PERFORM SS95PD-NAP-ROUTINE
114100                                 THRU SS95PD-NAP-EXIT.
114200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
114300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-IMP-3-DEV-FEE.
114400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
114500     MOVE MMEF-IMP-3-DEV-FEE     TO SS95WS-IN-PCT.
114600     PERFORM SS95PD-NAP-ROUTINE
114700                                 THRU SS95PD-NAP-EXIT.
114800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
114900     GO TO 5100-MR-NO-REC-CHECK.
115000*
115100*
115200*
115300 0206-MR-FIELD.
115400*
115500     IF  MBD100WS-JOURNAL
115600         MOVE MTL1-VL20-B-NBR-NO-DEC
115700                                 TO MMEF-POS-3-DEV-FEE.
115800*
115900     MOVE 'P O S - 3  DEVICE FEE '
116000                                 TO MBD100WS-PL1-DESC.
116100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
116200     MOVE MMEF-POS-3-DEV-FEE     TO SS95WS-IN-PCT.
116300     PERFORM SS95PD-NAP-ROUTINE
116400                                 THRU SS95PD-NAP-EXIT.
116500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
116600     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-3-DEV-FEE.
116700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
116800     MOVE MMEF-POS-3-DEV-FEE     TO SS95WS-IN-PCT.
116900     PERFORM SS95PD-NAP-ROUTINE
117000                                 THRU SS95PD-NAP-EXIT.
117100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
117200     GO TO 5100-MR-NO-REC-CHECK.
117300*
117400*
117500*
117600 0207-MR-FIELD.
117700*
117800     IF  MBD100WS-JOURNAL
117900         MOVE MTL1-VL20-B-NBR-NO-DEC
118000                                 TO MMEF-VOICE-AUTH-FEE.
118100*
118200     MOVE 'VOICE AUTHS FEE       '
118300                                 TO MBD100WS-PL1-DESC.
118400     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
118500     MOVE MMEF-VOICE-AUTH-FEE    TO SS95WS-IN-PCT.
118600     PERFORM SS95PD-NAP-ROUTINE
118700                                 THRU SS95PD-NAP-EXIT.
118800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
118900     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-VOICE-AUTH-FEE.
119000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
119100     MOVE MMEF-VOICE-AUTH-FEE    TO SS95WS-IN-PCT.
119200     PERFORM SS95PD-NAP-ROUTINE
119300                                 THRU SS95PD-NAP-EXIT.
119400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
119500     GO TO 5100-MR-NO-REC-CHECK.
119600*
119700*
119800*
119900 0208-MR-FIELD.
120000*
120100     IF  MBD100WS-JOURNAL
120200         MOVE MTL1-VL20-B-NBR-NO-DEC
120300                                 TO MMEF-POS-1-AUTH-FEE.
120400*
120500     MOVE 'P O S - 1  AUTH FEE   '
120600                                 TO MBD100WS-PL1-DESC.
120700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
120800     MOVE MMEF-POS-1-AUTH-FEE    TO SS95WS-IN-PCT.
120900     PERFORM SS95PD-NAP-ROUTINE
121000                                 THRU SS95PD-NAP-EXIT.
121100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
121200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-1-AUTH-FEE.
121300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
121400     MOVE MMEF-POS-1-AUTH-FEE    TO SS95WS-IN-PCT.
121500     PERFORM SS95PD-NAP-ROUTINE
121600                                 THRU SS95PD-NAP-EXIT.
121700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
121800     GO TO 5100-MR-NO-REC-CHECK.
121900*
122000*
122100*
122200 0209-MR-FIELD.
122300*
122400     IF  MBD100WS-JOURNAL
122500         MOVE MTL1-VL20-B-NBR-NO-DEC
122600                                 TO MMEF-POS-2-AUTH-FEE.
122700*
122800     MOVE 'P O S - 2  AUTH FEE   '
122900                                 TO MBD100WS-PL1-DESC.
123000     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
123100     MOVE MMEF-POS-2-AUTH-FEE    TO SS95WS-IN-PCT.
123200     PERFORM SS95PD-NAP-ROUTINE
123300                                 THRU SS95PD-NAP-EXIT.
123400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
123500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-2-AUTH-FEE.
123600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
123700     MOVE MMEF-POS-2-AUTH-FEE    TO SS95WS-IN-PCT.
123800     PERFORM SS95PD-NAP-ROUTINE
123900                                 THRU SS95PD-NAP-EXIT.
124000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
124100     GO TO 5100-MR-NO-REC-CHECK.
124200*
124300*
124400*
124500 0210-MR-FIELD.
124600*
124700     IF  MBD100WS-JOURNAL
124800         MOVE MTL1-VL20-B-NBR-NO-DEC
124900                                 TO MMEF-POS-3-AUTH-FEE.
125000*
125100     MOVE 'P O S - 3  AUTH FEE   '
125200                                 TO MBD100WS-PL1-DESC.
125300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
125400     MOVE MMEF-POS-3-AUTH-FEE    TO SS95WS-IN-PCT.
125500     PERFORM SS95PD-NAP-ROUTINE
125600                                 THRU SS95PD-NAP-EXIT.
125700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
125800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-3-AUTH-FEE.
125900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
126000     MOVE MMEF-POS-3-AUTH-FEE    TO SS95WS-IN-PCT.
126100     PERFORM SS95PD-NAP-ROUTINE
126200                                 THRU SS95PD-NAP-EXIT.
126300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
126400     GO TO 5100-MR-NO-REC-CHECK.
126500*
126600*
126700*
126800 0211-MR-FIELD.
126900*
127000     IF  MBD100WS-JOURNAL
127100         MOVE MTL1-VL20-B-NBR-NO-DEC
127200                                 TO MMEF-VOICE-AUTH-DECL-FEE.
127300*
127400     MOVE 'VOICE AUTH DECL FEE   '
127500                                 TO MBD100WS-PL1-DESC.
127600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
127700     MOVE MMEF-VOICE-AUTH-DECL-FEE
127800                                 TO SS95WS-IN-PCT.
127900     PERFORM SS95PD-NAP-ROUTINE
128000                                 THRU SS95PD-NAP-EXIT.
128100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
128200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-VOICE-AUTH-DECL-FEE.
128300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
128400     MOVE MMEF-VOICE-AUTH-DECL-FEE
128500                                 TO SS95WS-IN-PCT.
128600     PERFORM SS95PD-NAP-ROUTINE
128700                                 THRU SS95PD-NAP-EXIT.
128800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
128900     GO TO 5100-MR-NO-REC-CHECK.
129000*
129100*
129200*
129300 0212-MR-FIELD.
129400*
129500     IF  MBD100WS-JOURNAL
129600         MOVE MTL1-VL20-B-NBR-NO-DEC
129700                                 TO MMEF-POS-1-AUTH-DECL-FEE.
129800*
129900     MOVE 'POS-1 AUTH DECL FEE   '
130000                                 TO MBD100WS-PL1-DESC.
130100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
130200     MOVE MMEF-POS-1-AUTH-DECL-FEE
130300                                 TO SS95WS-IN-PCT.
130400     PERFORM SS95PD-NAP-ROUTINE
130500                                 THRU SS95PD-NAP-EXIT.
130600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
130700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-1-AUTH-DECL-FEE.
130800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
130900     MOVE MMEF-POS-1-AUTH-DECL-FEE
131000                                 TO SS95WS-IN-PCT.
131100     PERFORM SS95PD-NAP-ROUTINE
131200                                 THRU SS95PD-NAP-EXIT.
131300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
131400     GO TO 5100-MR-NO-REC-CHECK.
131500*
131600*
131700*
131800 0213-MR-FIELD.
131900*
132000     IF  MBD100WS-JOURNAL
132100         MOVE MTL1-VL20-B-NBR-NO-DEC
132200                                 TO MMEF-POS-2-AUTH-DECL-FEE.
132300*
132400     MOVE 'POS-2 AUTH DECL FEE   '
132500                                 TO MBD100WS-PL1-DESC.
132600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
132700     MOVE MMEF-POS-2-AUTH-DECL-FEE
132800                                 TO SS95WS-IN-PCT.
132900     PERFORM SS95PD-NAP-ROUTINE
133000                                 THRU SS95PD-NAP-EXIT.
133100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
133200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-2-AUTH-DECL-FEE.
133300     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
133400     MOVE MMEF-POS-2-AUTH-DECL-FEE
133500                                 TO SS95WS-IN-PCT.
133600     PERFORM SS95PD-NAP-ROUTINE
133700                                 THRU SS95PD-NAP-EXIT.
133800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
133900     GO TO 5100-MR-NO-REC-CHECK.
134000*
134100*
134200*
134300 0214-MR-FIELD.
134400*
134500     IF  MBD100WS-JOURNAL
134600         MOVE MTL1-VL20-B-NBR-NO-DEC
134700                                 TO MMEF-POS-3-AUTH-DECL-FEE.
134800*
134900     MOVE 'POS-3 AUTH DECL FEE   '
135000                                 TO MBD100WS-PL1-DESC.
135100     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
135200     MOVE MMEF-POS-3-AUTH-DECL-FEE
135300                                 TO SS95WS-IN-PCT.
135400     PERFORM SS95PD-NAP-ROUTINE
135500                                 THRU SS95PD-NAP-EXIT.
135600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
135700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-POS-3-AUTH-DECL-FEE.
135800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
135900     MOVE MMEF-POS-3-AUTH-DECL-FEE
136000                                 TO SS95WS-IN-PCT.
136100     PERFORM SS95PD-NAP-ROUTINE
136200                                 THRU SS95PD-NAP-EXIT.
136300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
136400     GO TO 5100-MR-NO-REC-CHECK.
136500*
136600*
136700*
136800 0301-MR-FIELD.
136900*
137000     SET X-MMEF-UFT              TO MTL1-FIELD-OCCURRENCE.
137100*
137200     IF  MBD100WS-JOURNAL
137300         MOVE MTL1-VL20-B-NBR-NO-DEC
137400                                 TO MMEF-USER-FEE-AMT
137500                                    (X-MMEF-UFT).
137600*
137700     MOVE 'USER FEE AMOUNT       '
137800                                 TO MBD100WS-PL1-DESC.
137900*
138000     IF  MMEF-UFI-IS-AMT (X-MMEF-UFT)
138100         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
138200     ELSE
138300         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
138400*
138500     MOVE MMEF-USER-FEE-AMT
138600          (X-MMEF-UFT)           TO SS95WS-IN-PCT.
138700     PERFORM SS95PD-NAP-ROUTINE
138800                                 THRU SS95PD-NAP-EXIT.
138900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
139000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-USER-FEE-AMT
139100                                    (X-MMEF-UFT).
139200*
139300     IF  MMEF-UFI-IS-AMT (X-MMEF-UFT)
139400         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
139500     ELSE
139600         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
139700*
139800     MOVE MMEF-USER-FEE-AMT
139900          (X-MMEF-UFT)           TO SS95WS-IN-PCT.
140000     PERFORM SS95PD-NAP-ROUTINE
140100                                 THRU SS95PD-NAP-EXIT.
140200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
140300     GO TO 5100-MR-NO-REC-CHECK.
140400*
140500*
140600*
140700 0302-MR-FIELD.
140800*
140900     SET X-MMEF-UFT              TO MTL1-FIELD-OCCURRENCE.
141000*
141100     IF  MBD100WS-JOURNAL
141200         MOVE MTL1-VL01-B-DATA-X TO MMEF-USER-FEE-IND
141300                                    (X-MMEF-UFT).
141400*
141500     MOVE 'USER FEE INDICATOR    '
141600                                 TO MBD100WS-PL1-DESC.
141700     MOVE MMEF-USER-FEE-IND
141800          (X-MMEF-UFT)           TO MBD100WS-PL1-FROM-VALUE.
141900     MOVE MTL1-VL01-A-DATA-X     TO MMEF-USER-FEE-IND
142000                                    (X-MMEF-UFT).
142100     MOVE MMEF-USER-FEE-IND
142200          (X-MMEF-UFT)           TO MBD100WS-PL2-TO-VALUE.
142300     GO TO 5100-MR-NO-REC-CHECK.
142400*
142500*
142600*
142700 0401-MR-FIELD.
142800*
142900     SET X-MMEF-PROD-FEES        TO MTL1-FIELD-OCCURRENCE.
143000*
143100     IF  MBD100WS-JOURNAL
143200         MOVE MTL1-VL20-B-NBR-NO-DEC
143300                                 TO MMEF-PROD-AUTH-APPR-FEE
143400                                    (X-MMEF-PROD-FEES).
143500*
143600     MOVE 'PROD AUTH APPROVAL FEE'
143700                                 TO MBD100WS-PL1-DESC.
143800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
143900     MOVE MMEF-PROD-AUTH-APPR-FEE
144000          (X-MMEF-PROD-FEES)     TO SS95WS-IN-PCT.
144100     PERFORM SS95PD-NAP-ROUTINE
144200                                 THRU SS95PD-NAP-EXIT.
144300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
144400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-PROD-AUTH-APPR-FEE
144500                                    (X-MMEF-PROD-FEES).
144600     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
144700     MOVE MMEF-PROD-AUTH-APPR-FEE
144800          (X-MMEF-PROD-FEES)     TO SS95WS-IN-PCT.
144900     PERFORM SS95PD-NAP-ROUTINE
145000                                 THRU SS95PD-NAP-EXIT.
145100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
145200     GO TO 5100-MR-NO-REC-CHECK.
145300*
145400*
145500*
145600 0402-MR-FIELD.
145700*
145800     SET X-MMEF-PROD-FEES        TO MTL1-FIELD-OCCURRENCE.
145900*
146000     IF  MBD100WS-JOURNAL
146100         MOVE MTL1-VL20-B-NBR-NO-DEC
146200                                 TO MMEF-PROD-AUTH-DECL-FEE
146300                                    (X-MMEF-PROD-FEES).
146400*
146500     MOVE 'PROD AUTH DECLINE FEE '
146600                                 TO MBD100WS-PL1-DESC.
146700     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
146800     MOVE MMEF-PROD-AUTH-DECL-FEE
146900          (X-MMEF-PROD-FEES)     TO SS95WS-IN-PCT.
147000     PERFORM SS95PD-NAP-ROUTINE
147100                                 THRU SS95PD-NAP-EXIT.
147200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
147300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-PROD-AUTH-DECL-FEE
147400                                    (X-MMEF-PROD-FEES).
147500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
147600     MOVE MMEF-PROD-AUTH-DECL-FEE
147700          (X-MMEF-PROD-FEES)     TO SS95WS-IN-PCT.
147800     PERFORM SS95PD-NAP-ROUTINE
147900                                 THRU SS95PD-NAP-EXIT.
148000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
148100     GO TO 5100-MR-NO-REC-CHECK.
148200*
148300*
148400*
148500 0403-MR-FIELD.
148600*
148700     SET X-MMEF-PROD-FEES        TO MTL1-FIELD-OCCURRENCE.
148800     SET X-MMEF-PUF              TO MTL1-FIELD-OCCURRENCE-2.
148900*
149000     IF  MBD100WS-JOURNAL
149100         MOVE MTL1-VL01-B-DATA-X TO MMEF-PUF-IND
149200                                    (X-MMEF-PROD-FEES
149300                                     X-MMEF-PUF).
149400*
149500     MOVE 'PROD USER FEE IND     '
149600                                 TO MBD100WS-PL1-DESC.
149700     MOVE MMEF-PUF-IND
149800          (X-MMEF-PROD-FEES X-MMEF-PUF)
149900                                 TO MBD100WS-PL1-FROM-VALUE.
150000     MOVE MTL1-VL01-A-DATA-X     TO MMEF-PUF-IND
150100                                    (X-MMEF-PROD-FEES
150200                                     X-MMEF-PUF).
150300     MOVE MMEF-PUF-IND
150400          (X-MMEF-PROD-FEES X-MMEF-PUF)
150500                                 TO MBD100WS-PL2-TO-VALUE.
150600     GO TO 5100-MR-NO-REC-CHECK.
150700*
150800*
150900*
151000 0404-MR-FIELD.
151100*
151200     SET X-MMEF-PROD-FEES        TO MTL1-FIELD-OCCURRENCE.
151300     SET X-MMEF-PUF              TO MTL1-FIELD-OCCURRENCE-2.
151400*
151500     IF  MBD100WS-JOURNAL
151600         MOVE MTL1-VL20-B-NBR-NO-DEC
151700                                 TO MMEF-PUF-AMT
151800                                    (X-MMEF-PROD-FEES
151900                                     X-MMEF-PUF).
152000*
152100     MOVE 'PROD USER FEE AMT     '
152200                                 TO MBD100WS-PL1-DESC.
152300*
152400     IF  MMEF-PUF-IND-IS-AMT (X-MMEF-PROD-FEES X-MMEF-PUF)
152500         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
152600     ELSE
152700         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
152800*
152900     MOVE MMEF-PUF-AMT
153000          (X-MMEF-PROD-FEES X-MMEF-PUF)
153100                                 TO SS95WS-IN-PCT.
153200     PERFORM SS95PD-NAP-ROUTINE
153300                                 THRU SS95PD-NAP-EXIT.
153400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
153500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-PUF-AMT
153600                                    (X-MMEF-PROD-FEES
153700                                     X-MMEF-PUF).
153800*
153900     IF  MMEF-PUF-IND-IS-AMT (X-MMEF-PROD-FEES X-MMEF-PUF)
154000         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
154100     ELSE
154200         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
154300*
154400     MOVE MMEF-PUF-AMT
154500          (X-MMEF-PROD-FEES X-MMEF-PUF)
154600                                 TO SS95WS-IN-PCT.
154700     PERFORM SS95PD-NAP-ROUTINE
154800                                 THRU SS95PD-NAP-EXIT.
154900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
155000     GO TO 5100-MR-NO-REC-CHECK.
155100*
155200*
155300*
155400 0405-MR-FIELD.
155500*
155600     SET X-MMEF-IFT              TO MTL1-FIELD-OCCURRENCE.
155700     SET X-MMEF-QL               TO MTL1-FIELD-OCCURRENCE-2.
155800*
155900     IF  MBD100WS-JOURNAL
156000         MOVE MTL1-VL20-B-NBR-NO-DEC
156100                                 TO MMEF-INTCHG-RATE
156200                                    (X-MMEF-IFT
156300                                     X-MMEF-QL).
156400*
156500     MOVE 'INTERCHANGE RATE      '
156600                                 TO MBD100WS-PL1-DESC.
156700     MOVE MMOC-PERCENT-NOD       TO SS95WS-IN-PCT-NOD.
156800     MOVE MMEF-INTCHG-RATE
156900          (X-MMEF-IFT X-MMEF-QL) TO SS95WS-IN-PCT.
157000     PERFORM SS95PD-NAP-ROUTINE
157100                                 THRU SS95PD-NAP-EXIT.
157200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
157300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-INTCHG-RATE
157400                                    (X-MMEF-IFT
157500                                     X-MMEF-QL).
157600     MOVE MMOC-PERCENT-NOD       TO SS95WS-IN-PCT-NOD.
157700     MOVE MMEF-INTCHG-RATE
157800          (X-MMEF-IFT X-MMEF-QL) TO SS95WS-IN-PCT.
157900     PERFORM SS95PD-NAP-ROUTINE
158000                                 THRU SS95PD-NAP-EXIT.
158100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
158200     GO TO 5100-MR-NO-REC-CHECK.
158300*
158400*
158500*
158600 0406-MR-FIELD.
158700*
158800     SET X-MMEF-IFT              TO MTL1-FIELD-OCCURRENCE.
158900     SET X-MMEF-QL               TO MTL1-FIELD-OCCURRENCE-2.
159000*
159100     IF  MBD100WS-JOURNAL
159200         MOVE MTL1-VL20-B-NBR-NO-DEC
159300                                 TO MMEF-INTCHG-PER-ITEM
159400                                    (X-MMEF-IFT
159500                                     X-MMEF-QL).
159600*
159700     MOVE 'INTERCHANGE PER ITEM  '
159800                                 TO MBD100WS-PL1-DESC.
159900     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
160000     MOVE MMEF-INTCHG-PER-ITEM
160100          (X-MMEF-IFT X-MMEF-QL) TO SS95WS-IN-PCT.
160200     PERFORM SS95PD-NAP-ROUTINE
160300                                 THRU SS95PD-NAP-EXIT.
160400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
160500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-INTCHG-PER-ITEM
160600                                    (X-MMEF-IFT
160700                                     X-MMEF-QL).
160800     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
160900     MOVE MMEF-INTCHG-PER-ITEM
161000          (X-MMEF-IFT X-MMEF-QL) TO SS95WS-IN-PCT.
161100     PERFORM SS95PD-NAP-ROUTINE
161200                                 THRU SS95PD-NAP-EXIT.
161300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
161400     GO TO 5100-MR-NO-REC-CHECK.
161500*
161600*
161700*
161800 0605-MR-FIELD.
161900*
162000     SET X-MMEF-PL-IFT           TO MTL1-FIELD-OCCURRENCE.
162100     SET X-MMEF-PL-QL            TO MTL1-FIELD-OCCURRENCE-2.
162200*
162300     IF  MBD100WS-JOURNAL
162400         MOVE MTL1-VL20-B-NBR-NO-DEC
162500                                 TO MMEF-PL-INTCHG-RATE
162600                                    (X-MMEF-PL-IFT
162700                                     X-MMEF-PL-QL).
162800*
162900     MOVE 'PL INTERCHANGE RATE   '
163000                                 TO MBD100WS-PL1-DESC.
163100     MOVE MMOC-PERCENT-NOD       TO SS95WS-IN-PCT-NOD.
163200     MOVE MMEF-PL-INTCHG-RATE
163300          (X-MMEF-PL-IFT X-MMEF-PL-QL)
163400                                 TO SS95WS-IN-PCT.
163500     PERFORM SS95PD-NAP-ROUTINE
163600                                 THRU SS95PD-NAP-EXIT.
163700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
163800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-PL-INTCHG-RATE
163900                                    (X-MMEF-PL-IFT
164000                                     X-MMEF-PL-QL).
164100     MOVE MMOC-PERCENT-NOD       TO SS95WS-IN-PCT-NOD.
164200     MOVE MMEF-PL-INTCHG-RATE
164300          (X-MMEF-PL-IFT X-MMEF-PL-QL)
164400                                 TO SS95WS-IN-PCT.
164500     PERFORM SS95PD-NAP-ROUTINE
164600                                 THRU SS95PD-NAP-EXIT.
164700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
164800     GO TO 5100-MR-NO-REC-CHECK.
164900*
165000*
165100*
165200 0606-MR-FIELD.
165300*
165400     SET X-MMEF-PL-IFT           TO MTL1-FIELD-OCCURRENCE.
165500     SET X-MMEF-PL-QL            TO MTL1-FIELD-OCCURRENCE-2.
165600*
165700     IF  MBD100WS-JOURNAL
165800         MOVE MTL1-VL20-B-NBR-NO-DEC
165900                                 TO MMEF-PL-INTCHG-PER-ITEM
166000                                    (X-MMEF-PL-IFT
166100                                     X-MMEF-PL-QL).
166200*
166300     MOVE 'PL INTERCHANGE PER ITM'
166400                                 TO MBD100WS-PL1-DESC.
166500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
166600     MOVE MMEF-PL-INTCHG-PER-ITEM
166700          (X-MMEF-PL-IFT X-MMEF-PL-QL)
166800                                 TO SS95WS-IN-PCT.
166900     PERFORM SS95PD-NAP-ROUTINE
167000                                 THRU SS95PD-NAP-EXIT.
167100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
167200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMEF-PL-INTCHG-PER-ITEM
167300                                    (X-MMEF-PL-IFT
167400                                     X-MMEF-PL-QL).
167500     MOVE MMOC-PER-ITEM-NOD      TO SS95WS-IN-PCT-NOD.
167600     MOVE MMEF-PL-INTCHG-PER-ITEM
167700          (X-MMEF-PL-IFT X-MMEF-PL-QL)
167800                                 TO SS95WS-IN-PCT.
167900     PERFORM SS95PD-NAP-ROUTINE
168000                                 THRU SS95PD-NAP-EXIT.
168100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
168200     GO TO 5100-MR-NO-REC-CHECK.
168300*
168400*
168500*
168600 5100-MR-NO-REC-CHECK.
168700*
168800     IF  MBD100WS-UPDATE
168900     AND MBD100WS-IO-NO-REC-FOUND
169000         MOVE '*** ERROR - NO RECORD FOUND ***'
169100                                 TO MBD100WS-PL2-TO-VALUE.
169200*
169300 5999-MR-EXIT.
169400     EXIT.
169500/
169600 8100-FROM-DATE SECTION.
169700 8110-FD-BEGIN.
169800*
169900     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
170000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
170100        THRU SS26PD-NED-EXIT.
170200     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
170300     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
170400*
170500 8199-FD-EXIT.
170600     EXIT.
170700*
170800*
170900*
171000 8200-TO-DATE SECTION.
171100 8210-TD-BEGIN.
171200*
171300     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
171400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
171500        THRU SS26PD-NED-EXIT.
171600     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
171700     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
171800*
171900 8299-TD-EXIT.
172000     EXIT.
172100/
172200 9000-PERFORMED-ROUTINES-SECT SECTION.
172300*
172400     COPY MB00PD REPLACING ==:MB00:== BY ==MMEF==.
172500/
172600     COPY SS95PD.
172700/
172800     COPY MB99PD.
172900/
173000     COPY SS02PD.
173100/
173200     COPY SS07PD.
173300/
173400     COPY SS08PD.
173500/
173600     COPY SS26PD.
173700/
173800     COPY SS27PD.
173900*
174000 9995-END-SOURCE-STATEMENTS SECTION.
174100 9999-END-OF-PROGRAM.
174200     EXIT.
