000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100FP.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100FP - FRAUD PARAMETERS FILE RECOVERY AND             *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMFPRL.
002800/
002900     COPY MMFPIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMFP==.
003200/
003300     COPY MMFPIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100FP'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMFP'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1FP'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMFPRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMFP-ACCESS
010800        THRU MB00PD-MMFP-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1FP'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMFPRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMFPRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMFP-ACCESS
012700        THRU MB00PD-MMFP-ACCESS-EXIT.
012800*
012900     MOVE 'R0FP'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMFPRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMFP-ACCESS
013200        THRU MB00PD-MMFP-ACCESS-EXIT.
013300     MOVE 'MMFP'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMFPIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMFPIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMFPIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMFP-KEY IS NOT EQUAL TO MMFP-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMFP-KEY IS NOT EQUAL TO MMFP-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMFP-KEY IS EQUAL TO MMFPIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMFP-RECORD        TO MMFPIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMFPRB-TEMP-STATUS-1
019400         MOVE 'U1FP'             TO SS02WS-ABEND-LOCATION
019500         SET MMFPRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMFP-ACCESS
019700            THRU MB00PD-MMFP-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMFP-RECORD        TO MMFPIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMFPRB-TEMP-STATUS-1
020600         MOVE 'W2FP'             TO SS02WS-ABEND-LOCATION
020700         SET MMFPRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMFP-ACCESS
020900            THRU MB00PD-MMFP-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMFP-RECORD    TO MMFPIO-RECORD
021300             MOVE 'U2FP'         TO SS02WS-ABEND-LOCATION
021400             SET MMFPRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMFP-ACCESS
021600                THRU MB00PD-MMFP-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMFPRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMFP-KEY          TO MMFPIO-KEY.
023500*
023600     MOVE 'R1FP'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMFPRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMFP-ACCESS
023900        THRU MB00PD-MMFP-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMFPIO-RECORD      TO MMFP-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMFP-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMFP-ORG               TO MTCC-MBU915-BEG-ORG.
027700     MOVE MMFP-TABLE-NBR         TO MTCC-MBU915-BEG-TABLE-NBR.
027800     MOVE 'MBU915'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC2-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMFP-TABLE-NBR    TO MBD100WS-PL1-TABLE-NBR.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500 Z299-CTD-EXIT.
029600     EXIT.
029700/
029800 Z900-INIT-RECORD SECTION.
029900 Z910-IR-BEGIN.
030000*
030100     MOVE MMFPIR-RECORD          TO MMFP-RECORD.
030200     MOVE SPACES                 TO MTC1-RECORD.
030300     MOVE SPACES                 TO MTC2-RECORD.
030400*
030500 Z999-IR-EXIT.
030600     EXIT.
030700/
030800 0000-MAINT-RECORD SECTION.
030900 0010-MR-BEGIN.
031000*
031100     PERFORM Z100-COMMON-FROM-DATA
031200        THRU Z199-CFD-EXIT.
031300*
031400     PERFORM Z200-COMMON-TO-DATA
031500        THRU Z299-CTD-EXIT.
031600*
031700     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
031800         GO TO 0101-MR-FIELD.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032100         GO TO 0102-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032400         GO TO 0103-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
032700         GO TO 0104-MR-FIELD.
032710*                                                                 RG800902
032712     IF  MTL1-FIELD-CODE IS EQUAL TO 0105                         RG800902
032714         GO TO 0105-MR-FIELD.                                     RG800902
032716*                                                                 RG800902
032718     IF  MTL1-FIELD-CODE IS EQUAL TO 0106                         RG800902
032720         GO TO 0106-MR-FIELD.                                     RG800902
032722*                                                                 RG800902
032724     IF  MTL1-FIELD-CODE IS EQUAL TO 0107                         RG800902
032726         GO TO 0107-MR-FIELD.                                     RG800902
032728*                                                                 RG800902
032730     IF  MTL1-FIELD-CODE IS EQUAL TO 0108                         RG800902
032732         GO TO 0108-MR-FIELD.                                     RG800902
032734*                                                                 RG800902
032736     IF  MTL1-FIELD-CODE IS EQUAL TO 0201                         RG800902
032738         GO TO 0201-MR-FIELD.                                     RG800902
032740*                                                                 RG800902
032742     IF  MTL1-FIELD-CODE IS EQUAL TO 0202                         RG800902
032744         GO TO 0202-MR-FIELD.                                     RG800902
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
033000         GO TO 0197-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
033300         GO TO 0198-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
033600         GO TO 0199-MR-FIELD.
033700*
033800     MOVE '*** ERROR - INVALID FIELD CODE ***'
033900                                 TO MBD100WS-PL2-TO-VALUE.
034000     GO TO 5999-MR-EXIT.
034100*
034200 0101-MR-FIELD.                                                   RG800902
034202*                                                                 RG800902
034204     IF  MBD100WS-JOURNAL                                         RG800902
034206         MOVE MTL1-VL30-B-DATA-X TO MMFP-FRAUD-TABLE-DESC.        RG800902
034208*                                                                 RG800902
034210     MOVE 'FRAUD TABLE DESC      '                                RG800902
034212                                 TO MBD100WS-PL1-DESC.            RG800902
034214     MOVE MMFP-FRAUD-TABLE-DESC  TO MBD100WS-PL1-FROM-VALUE.      RG800902
034216     MOVE MTL1-VL30-A-DATA-X     TO MMFP-FRAUD-TABLE-DESC.        RG800902
034218     MOVE MMFP-FRAUD-TABLE-DESC  TO MBD100WS-PL2-TO-VALUE.        RG800902
034220     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034222*                                                                 RG800902
034224*                                                                 RG800902
034226*                                                                 RG800902
034228 0102-MR-FIELD.                                                   RG800902
034230*                                                                 RG800902
034232     IF  MBD100WS-JOURNAL                                         RG800902
034234         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
034236                                 TO MMFP-FRAUD-SALE-EXCESS-AMT.   RG800902
034238*                                                                 RG800902
034240     MOVE 'FRAUD SALE EXCESS AMT '                                RG800902
034242                                 TO MBD100WS-PL1-DESC.            RG800902
034244     MOVE MMFP-FRAUD-SALE-EXCESS-AMT                              RG800902
034246                                 TO SS95WS-IN-AMT.                RG800902
034248     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034250                                 THRU SS95PD-NAP-EXIT.            RG800902
034252     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
034254     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMFP-FRAUD-SALE-EXCESS-AMT.   RG800902
034256     MOVE MMFP-FRAUD-SALE-EXCESS-AMT                              RG800902
034258                                 TO SS95WS-IN-AMT.                RG800902
034260     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034262                                 THRU SS95PD-NAP-EXIT.            RG800902
034264     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
034266     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034268*                                                                 RG800902
034270*                                                                 RG800902
034272*                                                                 RG800902
034274 0103-MR-FIELD.                                                   RG800902
034276*                                                                 RG800902
034278     IF  MBD100WS-JOURNAL                                         RG800902
034280         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
034282                                 TO MMFP-FRAUD-AUTH-EXCESS-AMT.   RG800902
034284*                                                                 RG800902
034286     MOVE 'FRAUD AUTH EXCESS AMT '                                RG800902
034288                                 TO MBD100WS-PL1-DESC.            RG800902
034290     MOVE MMFP-FRAUD-AUTH-EXCESS-AMT                              RG800902
034292                                 TO SS95WS-IN-AMT.                RG800902
034294     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034296                                 THRU SS95PD-NAP-EXIT.            RG800902
034298     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
034300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMFP-FRAUD-AUTH-EXCESS-AMT.   RG800902
034302     MOVE MMFP-FRAUD-AUTH-EXCESS-AMT                              RG800902
034304                                 TO SS95WS-IN-AMT.                RG800902
034306     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034308                                 THRU SS95PD-NAP-EXIT.            RG800902
034310     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
034312     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034314*                                                                 RG800902
034316*                                                                 RG800902
034318*                                                                 RG800902
034320 0104-MR-FIELD.                                                   RG800902
034322*                                                                 RG800902
034324     IF  MBD100WS-JOURNAL                                         RG800902
034326         MOVE MTL1-VL03-B-DATA-9 TO MMFP-FRAUD-LAST-DEP-EXCESS.   RG800902
034328*                                                                 RG800902
034330     MOVE 'FRAUD LAST DEP EXCESS '                                RG800902
034332                                 TO MBD100WS-PL1-DESC.            RG800902
034334     MOVE MMFP-FRAUD-LAST-DEP-EXCESS                              RG800902
034336                                 TO MBD100WS-PL1-FV-999.          RG800902
034338     MOVE MTL1-VL03-A-DATA-9     TO MMFP-FRAUD-LAST-DEP-EXCESS.   RG800902
034340     MOVE MMFP-FRAUD-LAST-DEP-EXCESS                              RG800902
034342                                 TO MBD100WS-PL2-TV-999.          RG800902
034344     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034346*                                                                 RG800902
034348*                                                                 RG800902
034350*                                                                 RG800902
034352 0105-MR-FIELD.                                                   RG800902
034354*                                                                 RG800902
034356     IF  MBD100WS-JOURNAL                                         RG800902
034358         MOVE MTL1-VL03-B-DATA-9 TO MMFP-FRAUD-CHGBACK-EXCESS.    RG800902
034360*                                                                 RG800902
034362     MOVE 'FRAUD CHGBACK EXCESS  '                                RG800902
034364                                 TO MBD100WS-PL1-DESC.            RG800902
034366     MOVE MMFP-FRAUD-CHGBACK-EXCESS                               RG800902
034368                                 TO MBD100WS-PL1-FV-999.          RG800902
034370     MOVE MTL1-VL03-A-DATA-9     TO MMFP-FRAUD-CHGBACK-EXCESS.    RG800902
034372     MOVE MMFP-FRAUD-CHGBACK-EXCESS                               RG800902
034374                                 TO MBD100WS-PL2-TV-999.          RG800902
034376     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034378*                                                                 RG800902
034380*                                                                 RG800902
034382*                                                                 RG800902
034384 0106-MR-FIELD.                                                   RG800902
034386*                                                                 RG800902
034388     IF  MBD100WS-JOURNAL                                         RG800902
034390         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
034392                                 TO MMFP-FRAUD-WEEK-EXCESS-SALES. RG800902
034394*                                                                 RG800902
034396     MOVE 'FRAUD WEEK EXCESS SALE'                                RG800902
034398                                 TO MBD100WS-PL1-DESC.            RG800902
034400     MOVE MMFP-FRAUD-WEEK-EXCESS-SALES                            RG800902
034402                                 TO SS95WS-IN-AMT.                RG800902
034404     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034406                                 THRU SS95PD-NAP-EXIT.            RG800902
034408     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
034410     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMFP-FRAUD-WEEK-EXCESS-SALES. RG800902
034412     MOVE MMFP-FRAUD-WEEK-EXCESS-SALES                            RG800902
034414                                 TO SS95WS-IN-AMT.                RG800902
034416     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
034418                                 THRU SS95PD-NAP-EXIT.            RG800902
034420     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
034422     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
034424*                                                                 RG800902
034426*                                                                 RG800902
034428*                                                                 RG800902
034430 0107-MR-FIELD.                                                   RG800902
034432*                                                                 RG800902
034434     IF  MBD100WS-JOURNAL                                         RG800902
034436         MOVE MTL1-VL03-B-DATA-9 TO MMFP-FRAUD-AVG-NBR-MONTHS.    RG800902
034438*                                                                 RG800902
034500     MOVE 'FRAUD AVG NBR MONTHS  '                                RG800902
034600                                 TO MBD100WS-PL1-DESC.            RG800902
034700     MOVE MMFP-FRAUD-AVG-NBR-MONTHS                               RG800902
034800                                 TO MBD100WS-PL1-FV-999.          RG800902
034900     MOVE MTL1-VL03-A-DATA-9     TO MMFP-FRAUD-AVG-NBR-MONTHS.    RG800902
035000     MOVE MMFP-FRAUD-AVG-NBR-MONTHS                               RG800902
035100                                 TO MBD100WS-PL2-TV-999.          RG800902
035200     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
035300*                                                                 RG800902
035400*                                                                 RG800902
035500*                                                                 RG800902
035600 0108-MR-FIELD.                                                   RG800902
035700*                                                                 RG800902
035800     IF  MBD100WS-JOURNAL                                         RG800902
035900         MOVE MTL1-VL03-B-DATA-9 TO MMFP-FRAUD-AVG-ELAP-DAYS.     RG800902
036000*                                                                 RG800902
036100     MOVE 'FRAUD AVG ELAPSED DAYS'                                RG800902
036200                                 TO MBD100WS-PL1-DESC.            RG800902
036300     MOVE MMFP-FRAUD-AVG-ELAP-DAYS                                RG800902
036400                                 TO MBD100WS-PL1-FV-999.          RG800902
036500     MOVE MTL1-VL03-A-DATA-9     TO MMFP-FRAUD-AVG-ELAP-DAYS.     RG800902
036600     MOVE MMFP-FRAUD-AVG-ELAP-DAYS                                RG800902
036700                                 TO MBD100WS-PL2-TV-999.          RG800902
036800     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
036900*                                                                 RG800902
037000*                                                                 RG800902
037100*                                                                 RG800902
037200 0201-MR-FIELD.                                                   RG800902
037300*                                                                 RG800902
037400     SET X-MMFP-FRAUD            TO MTL1-FIELD-OCCURRENCE.        RG800902
037500*                                                                 RG800902
037600     IF  MBD100WS-JOURNAL                                         RG800902
037700         MOVE MTL1-VL20-B-NBR-V903                                RG800902
037800                                 TO MMFP-FRAUD-VARIANCE-OVER      RG800902
037900                                    (X-MMFP-FRAUD).               RG800902
038000*                                                                 RG800902
038100     MOVE 'FRAUD VARIANCE OVER   '                                RG800902
038200                                 TO MBD100WS-PL1-DESC.            RG800902
038300     MOVE 03                     TO SS95WS-IN-PCT-NOD.            RG800902
038400     MOVE MMFP-FRAUD-VARIANCE-OVER                                RG800902
038500          (X-MMFP-FRAUD)         TO SS95WS-IN-PCT-V93.            RG800902
038600     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
038700                                 THRU SS95PD-NAP-EXIT.            RG800902
038800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.      RG800902
038900     MOVE MTL1-VL20-A-NBR-V903   TO MMFP-FRAUD-VARIANCE-OVER      RG800902
039000                                    (X-MMFP-FRAUD).               RG800902
039100     MOVE 03                     TO SS95WS-IN-PCT-NOD.            RG800902
039200     MOVE MMFP-FRAUD-VARIANCE-OVER                                RG800902
039300          (X-MMFP-FRAUD)         TO SS95WS-IN-PCT-V93.            RG800902
039400     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
039500                                 THRU SS95PD-NAP-EXIT.            RG800902
039600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.        RG800902
039700     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
039800*                                                                 RG800902
039900*                                                                 RG800902
040000*                                                                 RG800902
040100 0202-MR-FIELD.                                                   RG800902
040200*                                                                 RG800902
040300     SET X-MMFP-FRAUD            TO MTL1-FIELD-OCCURRENCE.        RG800902
040400*                                                                 RG800902
040500     IF  MBD100WS-JOURNAL                                         RG800902
040600         MOVE MTL1-VL20-B-NBR-V903                                RG800902
040700                                 TO MMFP-FRAUD-VARIANCE-UNDER     RG800902
040800                                    (X-MMFP-FRAUD).               RG800902
040900*                                                                 RG800902
041000     MOVE 'FRAUD VARIANCE UNDER  '                                RG800902
041100                                 TO MBD100WS-PL1-DESC.            RG800902
041200     MOVE 03                     TO SS95WS-IN-PCT-NOD.            RG800902
041300     MOVE MMFP-FRAUD-VARIANCE-UNDER                               RG800902
041400          (X-MMFP-FRAUD)         TO SS95WS-IN-PCT-V93.            RG800902
041500     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
041600                                 THRU SS95PD-NAP-EXIT.            RG800902
041700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.      RG800902
041800     MOVE MTL1-VL20-A-NBR-V903   TO MMFP-FRAUD-VARIANCE-UNDER     RG800902
041900                                    (X-MMFP-FRAUD).               RG800902
042000     MOVE 03                     TO SS95WS-IN-PCT-NOD.            RG800902
042100     MOVE MMFP-FRAUD-VARIANCE-UNDER                               RG800902
042200          (X-MMFP-FRAUD)         TO SS95WS-IN-PCT-V93.            RG800902
042300     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
042400                                 THRU SS95PD-NAP-EXIT.            RG800902
042500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.        RG800902
042600     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
042700*
042800*
042900*
043000 0197-MR-FIELD.
043100*
043200     IF  MBD100WS-JOURNAL
043300         MOVE MTL1-VL01-B-DATA-9 TO MMFP-REC-STATUS.
043400*
043500     MOVE 'RECORD STATUS         '
043600                                 TO MBD100WS-PL1-DESC.
043700     MOVE MMFP-REC-STATUS        TO MBD100WS-PL1-FV-9.
043800     MOVE MTL1-VL01-A-DATA-9     TO MMFP-REC-STATUS.
043900     MOVE MMFP-REC-STATUS        TO MBD100WS-PL2-TV-9.
044000     GO TO 5100-MR-NO-REC-CHECK.
044100*
044200*
044300*
044400 0198-MR-FIELD.
044500*
044600     IF  MBD100WS-JOURNAL
044700         MOVE MTL1-VL03-B-DATA-X TO MMFP-LAST-MAINT-OPER.
044800*
044900     MOVE 'LAST MAINT OPERATOR   '
045000                                 TO MBD100WS-PL1-DESC.
045100     MOVE MMFP-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
045200     MOVE MTL1-VL03-A-DATA-X     TO MMFP-LAST-MAINT-OPER.
045300     MOVE MMFP-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
045400     GO TO 5100-MR-NO-REC-CHECK.
045500*
045600*
045700*
045800 0199-MR-FIELD.
045900*
046000     IF  MBD100WS-JOURNAL
046100         MOVE MTL1-VL07-B-DATA-9 TO MMFP-LAST-MAINT-DATE.
046200*
046300     MOVE 'DATE LAST MAINTENANCE '
046400                                 TO MBD100WS-PL1-DESC.
046500     MOVE MMFP-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046600     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
046700     MOVE MTL1-VL07-A-DATA-9     TO MMFP-LAST-MAINT-DATE.
046800     MOVE MMFP-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046900     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
047000     GO TO 5100-MR-NO-REC-CHECK.
047100*
047200*
047300*
047400 5100-MR-NO-REC-CHECK.
047500*
047600     IF  MBD100WS-UPDATE
047700     AND MBD100WS-IO-NO-REC-FOUND
047800         MOVE '*** ERROR - NO RECORD FOUND ***'
047900                                 TO MBD100WS-PL2-TO-VALUE.
048000*
048100 5999-MR-EXIT.
048200     EXIT.
048300/
048400 8100-FROM-DATE SECTION.
048500 8110-FD-BEGIN.
048600*
048700     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
048800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
048900        THRU SS26PD-NED-EXIT.
049000     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
049100     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
049200*
049300 8199-FD-EXIT.
049400     EXIT.
049500*
049600*
049700*
049800 8200-TO-DATE SECTION.
049900 8210-TD-BEGIN.
050000*
050100     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
050200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
050300        THRU SS26PD-NED-EXIT.
050400     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
050500     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
050600*
050700 8299-TD-EXIT.
050800     EXIT.
050900/
051000 9000-PERFORMED-ROUTINES-SECT SECTION.
051100*
051200     COPY MB00PD REPLACING ==:MB00:== BY ==MMFP==.
051300/
051400     COPY SS95PD.
051500/
051600     COPY MB99PD.
051700/
051800     COPY SS02PD.
051900/
052000     COPY SS07PD.
052100/
052200     COPY SS08PD.
052300/
052400     COPY SS26PD.
052500/
052600     COPY SS27PD.
052700*
052800 9995-END-SOURCE-STATEMENTS SECTION.
052900 9999-END-OF-PROGRAM.
053000     EXIT.
