000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100OC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100OC - ORGANIZATION MASTER FILE RECOVERY AND          *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  WS-D100-MAINT-SW        PIC  X(01)      VALUE 'N'.
002800*
002900     COPY MMOCIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
003200/
003300     COPY MMOCIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY MB00KY.
004200/
004300     COPY SS95WS.
004400/
004500     COPY MB99WS.
004600/
004700     COPY SS00WS.
004800/
004900     COPY SS01WS.
005000/
005100     COPY SS02WS.
005200*
005300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005400/
005500 LINKAGE SECTION.
005600     COPY MBD100WS.
005700/
005800     COPY MMSCRL.
005900/
006000     COPY MMOCRL.
006100/
006200     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006500/
006600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006700/
006800 PROCEDURE DIVISION              USING MBD100WS-AREA
006900                                       MMSC-RECORD
007000                                       MMOC-RECORD
007100                                       MTL1-RECORD
007200                                       MTC1-RECORD
007300                                       MTC2-RECORD.
007400*
007500 A000-MAIN-LINE-SECT SECTION.
007600 A010-ML-BEGIN.
007700*
007800     MOVE 'MBD100OC'             TO SS02WS-ABEND-PROG-ID.
007900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
008000     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
008100     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008200*
008300     IF  MBD100WS-OPEN-FILE
008400         SET SS95WS-FUNCTION-INITIALIZE
008500                                 TO TRUE
008600         PERFORM SS95PD-NAP-ROUTINE
008700            THRU SS95PD-NAP-EXIT
008800         PERFORM O000-OPEN-FILE
008900            THRU O999-OF-EXIT.
009000*
009100     IF  MBD100WS-CLOSE-FILE
009200         PERFORM C000-CLOSE-FILE
009300            THRU C999-CF-EXIT.
009400*
009500     IF  MBD100WS-MBD100OC-READ-ORG
009600         PERFORM D000-READ-ORG
009700            THRU D999-RO-EXIT.
009800*
009900     IF  MBD100WS-PROCESS-RECORD
010000         PERFORM P000-PROCESS-RECORD
010100            THRU P099-PR-EXIT.
010200*
010300     GOBACK.
010400*
010500 A999-ML-EXIT.
010600     EXIT.
010700/
010800 C000-CLOSE-FILE SECTION.
010900 C010-CF-BEGIN.
011000*
011100     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
011200     SET MMOCRB-CLOSE            TO TRUE.
011300     PERFORM MB00PD-MMOC-ACCESS
011400        THRU MB00PD-MMOC-ACCESS-EXIT.
011500*
011600 C999-CF-EXIT.
011700     EXIT.
011800/
011900 D000-READ-ORG SECTION.
012000 D010-RO-BEGIN.
012100*
012200     IF  MBD100WS-UPDATE
012300     AND WS-D100-MAINT-SW IS EQUAL TO 'Y'
012400         MOVE 'U'                TO MBD100WS-IO-SW
012500         PERFORM P500-FILE-UPDATE
012600            THRU P599-FU-EXIT.
012700*
012800     MOVE 'N'                    TO WS-D100-MAINT-SW.
012900*
013000     IF  MTL1-FILE-IS-MMOC
013100     AND MTL1-ORG IS EQUAL TO ZERO
013200         MOVE 'U'                TO MBD100WS-IO-SW
013300         GO TO D999-RO-EXIT.
013400*
013500     MOVE SS02WS-NO-RECORD-FOUND
013600                                 TO MMOCRB-TEMP-STATUS-1.
013700     MOVE MTL1-ORG               TO MMOCIO-ORG.
013800*
013900     MOVE 'RAOC'                 TO SS02WS-ABEND-LOCATION.
014000     SET MMOCRB-READ-RANDOM      TO TRUE.
014100     PERFORM MB00PD-MMOC-ACCESS
014200        THRU MB00PD-MMOC-ACCESS-EXIT.
014300*
014400     IF  SS02WS-FS-NO-RECORD-FOUND
014500     OR  MMOCIO-ORG IS EQUAL TO ZERO
014600         PERFORM MMOCPX-INIT-ORG-RECORDS
014700            THRU MMOCPX-IOR-EXIT
014800         MOVE MMOCIR-RECORD      TO MMOCIO-RECORD
014900         MOVE MTL1-ORG           TO MMOCIO-ORG
015000         MOVE '>>> NO ORG OR ADDED TODAY <<<'
015100                                 TO MMOC-NA-LINE (1 1)
015200         MOVE 'N'                TO MBD100WS-IO-SW.
015300*
015400     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
015500     MOVE MMOC-KEY               TO MB00KY-MMOC-KEY.
015600*
015700     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015800*
015900 D999-RO-EXIT.
016000     EXIT.
016100/
016200 O000-OPEN-FILE SECTION.
016300 O010-OF-BEGIN.
016400*
016500     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
016600*
016700     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
016800*
016900     IF  MBD100WS-UPDATE
017000         SET MMOCRB-OPEN-IO-DYN  TO TRUE
017100     ELSE
017200         SET MMOCRB-OPEN-INPUT-DYN
017300                                 TO TRUE.
017400*
017500     PERFORM MB00PD-MMOC-ACCESS
017600        THRU MB00PD-MMOC-ACCESS-EXIT.
017700*
017800     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
017900     SET MMOCRB-READ-SEQ         TO TRUE.
018000     PERFORM MB00PD-MMOC-ACCESS
018100        THRU MB00PD-MMOC-ACCESS-EXIT.
018200     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
018300*
018400     IF  MMOCIO-HEADER
018500         NEXT SENTENCE
018600     ELSE
018700         PERFORM MB99PD-MISSING-HEADER-ABEND
018800            THRU MB99PD-MHA-EXIT.
018900*
019000     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
019100     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
019200     PERFORM MB99PD-CHECK-DATE-TIME
019300        THRU MB99PD-CDT-EXIT.
019400*
019500     PERFORM Z900-INIT-RECORD
019600        THRU Z999-IR-EXIT.
019700*
019800 O999-OF-EXIT.
019900     EXIT.
020000/
020100 P000-PROCESS-RECORD SECTION.
020200 P010-PR-BEGIN.
020300*
020400     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
020500*
020600     IF  MTL1-MMOC-KEY IS NOT EQUAL TO MMOC-KEY
020700         PERFORM P500-FILE-UPDATE
020800            THRU P599-FU-EXIT.
020900*
021000     IF  MTL1-TOTALS-RECORD
021100         GO TO P099-PR-EXIT.
021200*
021300     IF  MTL1-MMOC-KEY IS NOT EQUAL TO MMOC-KEY
021400         PERFORM P700-GET-RECORD-TO-UPDATE
021500            THRU P799-GRTU-EXIT.
021600*
021700     MOVE 'Y'                    TO WS-D100-MAINT-SW.
021800*
021900     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
022000*
022100     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
022200     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
022300         PERFORM U000-NEW-RECORD
022400            THRU U099-NR-EXIT
022500     ELSE
022600         PERFORM 0000-MAINT-RECORD
022700            THRU 5999-MR-EXIT.
022800*
022900 P099-PR-EXIT.
023000     EXIT.
023100/
023200 P500-FILE-UPDATE SECTION.
023300 P510-FU-BEGIN.
023400*
023500     IF  MBD100WS-JOURNAL
023600         GO TO P599-FU-EXIT.
023700*
023800     IF  MMOC-KEY IS EQUAL TO MMOCIR-KEY
023900         GO TO P599-FU-EXIT.
024000*
024100     IF  MBD100WS-IO-REWRITE
024200         MOVE MMOC-RECORD        TO MMOCIO-RECORD
024300         MOVE SS02WS-NO-RECORD-FOUND
024400                                 TO MMOCRB-TEMP-STATUS-1
024500         MOVE 'U1OC'             TO SS02WS-ABEND-LOCATION
024600         SET MMOCRB-REWRITE      TO TRUE
024700         PERFORM MB00PD-MMOC-ACCESS
024800            THRU MB00PD-MMOC-ACCESS-EXIT
024900         IF  SS02WS-FS-NO-RECORD-FOUND
025000             MOVE 'W'            TO MBD100WS-IO-SW.
025100*
025200     IF  MBD100WS-IO-NO-REC-FOUND
025300     OR  MBD100WS-IO-WRITE
025400         MOVE MMOC-RECORD        TO MMOCIO-RECORD
025500         MOVE SS02WS-DUPLICATE-RECORD
025600                                 TO MMOCRB-TEMP-STATUS-1
025700         MOVE 'W2OC'             TO SS02WS-ABEND-LOCATION
025800         SET MMOCRB-WRITE        TO TRUE
025900         PERFORM MB00PD-MMOC-ACCESS
026000            THRU MB00PD-MMOC-ACCESS-EXIT
026100         IF  SS02WS-FS-DUPLICATE-RECORD
026200             MOVE 'U'            TO MBD100WS-IO-SW
026300             MOVE MMOC-RECORD    TO MMOCIO-RECORD
026400             MOVE 'U2OC'         TO SS02WS-ABEND-LOCATION
026500             SET MMOCRB-REWRITE  TO TRUE
026600             PERFORM MB00PD-MMOC-ACCESS
026700                THRU MB00PD-MMOC-ACCESS-EXIT.
026800*
026900     PERFORM Z900-INIT-RECORD
027000        THRU Z999-IR-EXIT.
027100*
027200 P599-FU-EXIT.
027300     EXIT.
027400/
027500 P700-GET-RECORD-TO-UPDATE SECTION.
027600 P710-GRTU-BEGIN.
027700*
027800     IF  MBD100WS-JOURNAL
027900         PERFORM Z900-INIT-RECORD
028000            THRU Z999-IR-EXIT
028100         GO TO P799-GRTU-EXIT.
028200*
028300     MOVE SS02WS-NO-RECORD-FOUND
028400                                 TO MMOCRB-TEMP-STATUS-1.
028500     MOVE MTL1-MMOC-KEY          TO MMOCIO-KEY.
028600*
028700     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
028800     SET MMOCRB-READ-RANDOM      TO TRUE.
028900     PERFORM MB00PD-MMOC-ACCESS
029000        THRU MB00PD-MMOC-ACCESS-EXIT.
029100*
029200     IF  SS02WS-FS-NO-RECORD-FOUND
029300         PERFORM Z900-INIT-RECORD
029400            THRU Z999-IR-EXIT
029500         MOVE 'N'                TO MBD100WS-IO-SW
029600     ELSE
029700         MOVE MMOCIO-RECORD      TO MMOC-RECORD
029800         MOVE 'U'                TO MBD100WS-IO-SW.
029900*
030000 P799-GRTU-EXIT.
030100     EXIT.
030200/
030300 U000-NEW-RECORD SECTION.
030400 U010-NR-BEGIN.
030500*
030600     PERFORM Z100-COMMON-FROM-DATA
030700        THRU Z199-CFD-EXIT.
030800*
030900     PERFORM Z200-COMMON-TO-DATA
031000        THRU Z299-CTD-EXIT.
031100*
031200     MOVE MTL1-ADD-AREA          TO MMOC-RECORD.
031300*
031400     IF  MBD100WS-IO-NO-REC-FOUND
031500         MOVE 'W'                TO MBD100WS-IO-SW.
031600*
031700     IF  MBD100WS-FC-1-2-ADD
031800         MOVE '*** NEW RECORD ADDED ***'
031900                                 TO MBD100WS-PL2-TO-VALUE
032000                                    MBD100WS-PL1-FROM-VALUE
032100         MOVE MMOC-RECORD        TO MMOCIO-RECORD
032200         IF  MBD100WS-UPDATE
032300             MOVE SS02WS-DUPLICATE-RECORD
032400                                 TO MMOCRB-TEMP-STATUS-1
032500             MOVE 'WIOC'         TO SS02WS-ABEND-LOCATION
032600             SET MMOCRB-WRITE    TO TRUE
032700             PERFORM MB00PD-MMOC-ACCESS
032800                THRU MB00PD-MMOC-ACCESS-EXIT
032900             IF  SS02WS-FS-DUPLICATE-RECORD
033000                 MOVE 'U'        TO MBD100WS-IO-SW
033100                 MOVE MMOC-RECORD
033200                                 TO MMOCIO-RECORD
033300                 MOVE 'UIOC'     TO SS02WS-ABEND-LOCATION
033400                 SET MMOCRB-REWRITE
033500                                 TO TRUE
033600                 PERFORM MB00PD-MMOC-ACCESS
033700                    THRU MB00PD-MMOC-ACCESS-EXIT
033800             END-IF
033900             MOVE 'RIOC'         TO SS02WS-ABEND-LOCATION
034000             SET MMOCRB-READ-RANDOM
034100                                 TO TRUE
034200             PERFORM MB00PD-MMOC-ACCESS
034300                THRU MB00PD-MMOC-ACCESS-EXIT
034400         END-IF
034500     ELSE
034600         MOVE '*** REPLACEMENT RECORD ***'
034700                                 TO MBD100WS-PL2-TO-VALUE
034800                                    MBD100WS-PL1-FROM-VALUE.
034900*
035000     MOVE SPACES                 TO MTCC-RECORD.
035100     MOVE MMOC-ORG               TO MTCC-MBU903-BEG-ORG.
035200     MOVE 'MBU903'               TO MTCC-PROGRAM-ID.
035300     MOVE MTCC-RECORD            TO MTC2-RECORD.
035400*
035500 U099-NR-EXIT.
035600     EXIT.
035700/
035800 Z100-COMMON-FROM-DATA SECTION.
035900 Z110-CFD-BEGIN.
036000*
036100     MOVE MTL1-MMOC-ORG          TO MBD100WS-PL1-ORG.
036200*
036300 Z199-CFD-EXIT.
036400     EXIT.
036500/
036600 Z200-COMMON-TO-DATA SECTION.
036700 Z210-CTD-BEGIN.
036800*
036900 Z299-CTD-EXIT.
037000     EXIT.
037100/
037200 Z900-INIT-RECORD SECTION.
037300 Z910-IR-BEGIN.
037400*
037500     MOVE MMOCIR-RECORD          TO MMOC-RECORD.
037600     MOVE SPACES                 TO MTC1-RECORD.
037700     MOVE SPACES                 TO MTC2-RECORD.
037800*
037900 Z999-IR-EXIT.
038000     EXIT.
038100/
038200 0000-MAINT-RECORD SECTION.
038300 0010-MR-BEGIN.
038400*
038500     PERFORM Z100-COMMON-FROM-DATA
038600        THRU Z199-CFD-EXIT.
038700*
038800     PERFORM Z200-COMMON-TO-DATA
038900        THRU Z299-CTD-EXIT.
039000*
039100     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
039200         GO TO 0101-MR-FIELD.
039300*
039400     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
039500         GO TO 0102-MR-FIELD.
039600*
039700     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
039800         GO TO 0103-MR-FIELD.
039900*
040000     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
040100         GO TO 0104-MR-FIELD.
040200*
040300     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
040400         GO TO 0105-MR-FIELD.
040500*
040600     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
040700         GO TO 0198-MR-FIELD.
040800*
040900     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
041000         GO TO 0199-MR-FIELD.
041100*
041200     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
041300         GO TO 0301-MR-FIELD.
041400*
041500     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
041600         GO TO 0302-MR-FIELD.
041700*
041800     IF  MTL1-FIELD-CODE IS EQUAL TO 0303
041900         GO TO 0303-MR-FIELD.
042000*
042100     IF  MTL1-FIELD-CODE IS EQUAL TO 0304
042200         GO TO 0304-MR-FIELD.
042300*
042400     IF  MTL1-FIELD-CODE IS EQUAL TO 0305
042500         GO TO 0305-MR-FIELD.
042600*
042700     IF  MTL1-FIELD-CODE IS EQUAL TO 0306
042800         GO TO 0306-MR-FIELD.
042900*
043000     IF  MTL1-FIELD-CODE IS EQUAL TO 0307
043100         GO TO 0307-MR-FIELD.
043200*
043300     IF  MTL1-FIELD-CODE IS EQUAL TO 0308
043400         GO TO 0308-MR-FIELD.
043500*
043600     IF  MTL1-FIELD-CODE IS EQUAL TO 0309
043700         GO TO 0309-MR-FIELD.
043800*
043900     IF  MTL1-FIELD-CODE IS EQUAL TO 0310
044000         GO TO 0310-MR-FIELD.
044100*
044200     IF  MTL1-FIELD-CODE IS EQUAL TO 0311
044300         GO TO 0311-MR-FIELD.
044400*
044500     IF  MTL1-FIELD-CODE IS EQUAL TO 0312
044600         GO TO 0312-MR-FIELD.
044700*
044800     IF  MTL1-FIELD-CODE IS EQUAL TO 0401
044900         GO TO 0401-MR-FIELD.
045000*
045100     IF  MTL1-FIELD-CODE IS EQUAL TO 0402
045200         GO TO 0402-MR-FIELD.
045300*
045400     IF  MTL1-FIELD-CODE IS EQUAL TO 0403
045500         GO TO 0403-MR-FIELD.
045600*
045700     IF  MTL1-FIELD-CODE IS EQUAL TO 0404
045800         GO TO 0404-MR-FIELD.
045900*
046000     IF  MTL1-FIELD-CODE IS EQUAL TO 0405
046100         GO TO 0405-MR-FIELD.
046200*
046300     IF  MTL1-FIELD-CODE IS EQUAL TO 0406
046400         GO TO 0406-MR-FIELD.
046500*
046600     IF  MTL1-FIELD-CODE IS EQUAL TO 0407
046700         GO TO 0407-MR-FIELD.
046800*
046900     IF  MTL1-FIELD-CODE IS EQUAL TO 0408
047000         GO TO 0408-MR-FIELD.
047100*
047200     IF  MTL1-FIELD-CODE IS EQUAL TO 0501
047300         GO TO 0501-MR-FIELD.
047400*
047500     IF  MTL1-FIELD-CODE IS EQUAL TO 0502
047600         GO TO 0502-MR-FIELD.
047610*                                                                 RG800905
047620     IF  MTL1-FIELD-CODE IS EQUAL TO 0503                         RG800905
047630         GO TO 0503-MR-FIELD.                                     RG800905
047700*
047800     IF  MTL1-FIELD-CODE IS EQUAL TO 0504
047900         GO TO 0504-MR-FIELD.
048000*
048100     IF  MTL1-FIELD-CODE IS EQUAL TO 0505
048200         GO TO 0505-MR-FIELD.
048300*
048400     IF  MTL1-FIELD-CODE IS EQUAL TO 0507
048500         GO TO 0507-MR-FIELD.
048600*
048700     IF  MTL1-FIELD-CODE IS EQUAL TO 0509
048800         GO TO 0509-MR-FIELD.
048900*
049000     IF  MTL1-FIELD-CODE IS EQUAL TO 0510
049100         GO TO 0510-MR-FIELD.
049200*
049300     IF  MTL1-FIELD-CODE IS EQUAL TO 0511
049400         GO TO 0511-MR-FIELD.
049500*
049600     IF  MTL1-FIELD-CODE IS EQUAL TO 0512
049700         GO TO 0512-MR-FIELD.
049800*
049900     IF  MTL1-FIELD-CODE IS EQUAL TO 0513
050000         GO TO 0513-MR-FIELD.
050100*
050200     IF  MTL1-FIELD-CODE IS EQUAL TO 0514
050300         GO TO 0514-MR-FIELD.
050400*
050500     IF  MTL1-FIELD-CODE IS EQUAL TO 0515
050600         GO TO 0515-MR-FIELD.
050700*
050800     IF  MTL1-FIELD-CODE IS EQUAL TO 0516
050900         GO TO 0516-MR-FIELD.
051000*
051100     IF  MTL1-FIELD-CODE IS EQUAL TO 0517
051200         GO TO 0517-MR-FIELD.
051300*
051400     IF  MTL1-FIELD-CODE IS EQUAL TO 0518
051500         GO TO 0518-MR-FIELD.
051600*
051700     IF  MTL1-FIELD-CODE IS EQUAL TO 0519
051800         GO TO 0519-MR-FIELD.
051900*
052000     IF  MTL1-FIELD-CODE IS EQUAL TO 0520
052100         GO TO 0520-MR-FIELD.
052200*
052300     IF  MTL1-FIELD-CODE IS EQUAL TO 0521
052400         GO TO 0521-MR-FIELD.
052500*
052600     IF  MTL1-FIELD-CODE IS EQUAL TO 0522
052700         GO TO 0522-MR-FIELD.
052800*
052900     IF  MTL1-FIELD-CODE IS EQUAL TO 0523
053000         GO TO 0523-MR-FIELD.
053100*
053200     IF  MTL1-FIELD-CODE IS EQUAL TO 0524
053300         GO TO 0524-MR-FIELD.
053400*
053500     IF  MTL1-FIELD-CODE IS EQUAL TO 0526
053600         GO TO 0526-MR-FIELD.
053700*
053800     IF  MTL1-FIELD-CODE IS EQUAL TO 0527
053900         GO TO 0527-MR-FIELD.
054000*
054100     IF  MTL1-FIELD-CODE IS EQUAL TO 0528
054200         GO TO 0528-MR-FIELD.
054300*
054400     IF  MTL1-FIELD-CODE IS EQUAL TO 0529
054500         GO TO 0529-MR-FIELD.
054600*
054700     IF  MTL1-FIELD-CODE IS EQUAL TO 0530
054800         GO TO 0530-MR-FIELD.
054900*
055000*
055100     IF  MTL1-FIELD-CODE IS EQUAL TO 0531
055200         GO TO 0531-MR-FIELD.
055300*
055400     IF  MTL1-FIELD-CODE IS EQUAL TO 0532
055500         GO TO 0532-MR-FIELD.
055600*
055700     IF  MTL1-FIELD-CODE IS EQUAL TO 0533
055800         GO TO 0533-MR-FIELD.
055900*
056000     IF  MTL1-FIELD-CODE IS EQUAL TO 0534
056100         GO TO 0534-MR-FIELD.
056200*
056300     IF  MTL1-FIELD-CODE IS EQUAL TO 0535
056400         GO TO 0535-MR-FIELD.
056500*
056600     IF  MTL1-FIELD-CODE IS EQUAL TO 0536
056700         GO TO 0536-MR-FIELD.
056800*
056900     IF  MTL1-FIELD-CODE IS EQUAL TO 0537
057000         GO TO 0537-MR-FIELD.
057100*
057200     IF  MTL1-FIELD-CODE IS EQUAL TO 0538
057300         GO TO 0538-MR-FIELD.
057400*
057500     IF  MTL1-FIELD-CODE IS EQUAL TO 0539
057600         GO TO 0539-MR-FIELD.
057700*
057800     IF  MTL1-FIELD-CODE IS EQUAL TO 0540
057900         GO TO 0540-MR-FIELD.
058000*
058100     IF  MTL1-FIELD-CODE IS EQUAL TO 0541
058200         GO TO 0541-MR-FIELD.
058300*
058400     IF  MTL1-FIELD-CODE IS EQUAL TO 0542
058500         GO TO 0542-MR-FIELD.
058600*
058700     IF  MTL1-FIELD-CODE IS EQUAL TO 0543
058800         GO TO 0543-MR-FIELD.
058900*
059000     IF  MTL1-FIELD-CODE IS EQUAL TO 0544
059100         GO TO 0544-MR-FIELD.
059200*
059300     IF  MTL1-FIELD-CODE IS EQUAL TO 0545
059400         GO TO 0545-MR-FIELD.
059500*
059600     IF  MTL1-FIELD-CODE IS EQUAL TO 0546
059700         GO TO 0546-MR-FIELD.
059800*
059900     IF  MTL1-FIELD-CODE IS EQUAL TO 0547
060000         GO TO 0547-MR-FIELD.
060100*
060200     IF  MTL1-FIELD-CODE IS EQUAL TO 0548
060300         GO TO 0548-MR-FIELD.
060400*
060500     IF  MTL1-FIELD-CODE IS EQUAL TO 0549
060600         GO TO 0549-MR-FIELD.
060700*
060800     IF  MTL1-FIELD-CODE IS EQUAL TO 0550
060900         GO TO 0550-MR-FIELD.
061000*
061100     IF  MTL1-FIELD-CODE IS EQUAL TO 0551
061200         GO TO 0551-MR-FIELD.
061202*                                                                 EH800900
061204     IF  MTL1-FIELD-CODE IS EQUAL TO 0552                         EH800900
061206         GO TO 0552-MR-FIELD.                                     EH800900
061208*                                                                 EH800900
061210     IF  MTL1-FIELD-CODE IS EQUAL TO 0553                         EH800900
061212         GO TO 0553-MR-FIELD.                                     EH800900
061300*
061400     IF  MTL1-FIELD-CODE IS EQUAL TO 0601
061500         GO TO 0601-MR-FIELD.
061600*
061700     IF  MTL1-FIELD-CODE IS EQUAL TO 0602
061800         GO TO 0602-MR-FIELD.
061900*
062000     IF  MTL1-FIELD-CODE IS EQUAL TO 0603
062100         GO TO 0603-MR-FIELD.
062200*
062300     IF  MTL1-FIELD-CODE IS EQUAL TO 0604
062400         GO TO 0604-MR-FIELD.
062500*
062600     IF  MTL1-FIELD-CODE IS EQUAL TO 0605
062700         GO TO 0605-MR-FIELD.
062800*
062900     IF  MTL1-FIELD-CODE IS EQUAL TO 0606
063000         GO TO 0606-MR-FIELD.
063100*
063200     IF  MTL1-FIELD-CODE IS EQUAL TO 0607
063300         GO TO 0607-MR-FIELD.
063400*
063500     IF  MTL1-FIELD-CODE IS EQUAL TO 0608
063600         GO TO 0608-MR-FIELD.
063700*
063800     IF  MTL1-FIELD-CODE IS EQUAL TO 0801
063900         GO TO 0801-MR-FIELD.
064000*
064100     IF  MTL1-FIELD-CODE IS EQUAL TO 0802
064200         GO TO 0802-MR-FIELD.
064300*
064400     IF  MTL1-FIELD-CODE IS EQUAL TO 0803
064500         GO TO 0803-MR-FIELD.
064600*
064700     IF  MTL1-FIELD-CODE IS EQUAL TO 0804
064800         GO TO 0804-MR-FIELD.
064900*
065000     IF  MTL1-FIELD-CODE IS EQUAL TO 0805
065100         GO TO 0805-MR-FIELD.
065200*
065300     IF  MTL1-FIELD-CODE IS EQUAL TO 0806
065400         GO TO 0806-MR-FIELD.
065500*
065600     IF  MTL1-FIELD-CODE IS EQUAL TO 0901
065700         GO TO 0901-MR-FIELD.
065800*
065900     IF  MTL1-FIELD-CODE IS EQUAL TO 0902
066000         GO TO 0902-MR-FIELD.
066100*
066200     IF  MTL1-FIELD-CODE IS EQUAL TO 0903
066300         GO TO 0903-MR-FIELD.
066400*
066500     IF  MTL1-FIELD-CODE IS EQUAL TO 1001
066600         GO TO 1001-MR-FIELD.
066700*
066800     IF  MTL1-FIELD-CODE IS EQUAL TO 1101
066900         GO TO 1101-MR-FIELD.
067000*
067100     IF  MTL1-FIELD-CODE IS EQUAL TO 1102
067200         GO TO 1102-MR-FIELD.
067300*
067400     IF  MTL1-FIELD-CODE IS EQUAL TO 1103
067500         GO TO 1103-MR-FIELD.
067600*
067700     IF  MTL1-FIELD-CODE IS EQUAL TO 1201
067800         GO TO 1201-MR-FIELD.
067900*
068000     IF  MTL1-FIELD-CODE IS EQUAL TO 1202
068100         GO TO 1202-MR-FIELD.
068200*
068300     IF  MTL1-FIELD-CODE IS EQUAL TO 1203
068400         GO TO 1203-MR-FIELD.
068500*
068600     IF  MTL1-FIELD-CODE IS EQUAL TO 1301
068700         GO TO 1301-MR-FIELD.
068800*
068900     IF  MTL1-FIELD-CODE IS EQUAL TO 1302
069000         GO TO 1302-MR-FIELD.
069100*
069200     IF  MTL1-FIELD-CODE IS EQUAL TO 1401
069300         GO TO 1401-MR-FIELD.
069400*
069500     IF  MTL1-FIELD-CODE IS EQUAL TO 1402
069600         GO TO 1402-MR-FIELD.
069700*
069800     IF  MTL1-FIELD-CODE IS EQUAL TO 1403
069900         GO TO 1403-MR-FIELD.
070000*
070100     IF  MTL1-FIELD-CODE IS EQUAL TO 1404
070200         GO TO 1404-MR-FIELD.
070300*
070400     IF  MTL1-FIELD-CODE IS EQUAL TO 1405
070500         GO TO 1405-MR-FIELD.
070600*
070700     IF  MTL1-FIELD-CODE IS EQUAL TO 1406
070800         GO TO 1406-MR-FIELD.
070900*
071000     IF  MTL1-FIELD-CODE IS EQUAL TO 1407
071100         GO TO 1407-MR-FIELD.
071200*
071300     IF  MTL1-FIELD-CODE IS EQUAL TO 1408
071400         GO TO 1408-MR-FIELD.
071500*
071600     IF  MTL1-FIELD-CODE IS EQUAL TO 1409
071700         GO TO 1409-MR-FIELD.
071800*
071900     IF  MTL1-FIELD-CODE IS EQUAL TO 1410
072000         GO TO 1410-MR-FIELD.
072100*
072200     IF  MTL1-FIELD-CODE IS EQUAL TO 1411
072300         GO TO 1411-MR-FIELD.
072400*
072500     IF  MTL1-FIELD-CODE IS EQUAL TO 1412
072600         GO TO 1412-MR-FIELD.
072700*
072800     IF  MTL1-FIELD-CODE IS EQUAL TO 2201
072900         GO TO 2201-MR-FIELD.
073000*
073100     IF  MTL1-FIELD-CODE IS EQUAL TO 2202
073200         GO TO 2202-MR-FIELD.
073300*
073400     IF  MTL1-FIELD-CODE IS EQUAL TO 3001
073500         GO TO 3001-MR-FIELD.
073600*
073700     IF  MTL1-FIELD-CODE IS EQUAL TO 3002
073800         GO TO 3002-MR-FIELD.
073900*
074000     IF  MTL1-FIELD-CODE IS EQUAL TO 3003
074100         GO TO 3003-MR-FIELD.
074200*
074300     IF  MTL1-FIELD-CODE IS EQUAL TO 3004
074400         GO TO 3004-MR-FIELD.
074500*
074600     IF  MTL1-FIELD-CODE IS EQUAL TO 3005
074700         GO TO 3005-MR-FIELD.
074800*
074900     IF  MTL1-FIELD-CODE IS EQUAL TO 3006
075000         GO TO 3006-MR-FIELD.
075100*
075200     IF  MTL1-FIELD-CODE IS EQUAL TO 3007
075300         GO TO 3007-MR-FIELD.
075400*
075500     IF  MTL1-FIELD-CODE IS EQUAL TO 3008
075600         GO TO 3008-MR-FIELD.
075700*
075800     IF  MTL1-FIELD-CODE IS EQUAL TO 3009
075900         GO TO 3009-MR-FIELD.
076000*
076100     IF  MTL1-FIELD-CODE IS EQUAL TO 3010
076200         GO TO 3010-MR-FIELD.
076300*
076400     IF  MTL1-FIELD-CODE IS EQUAL TO 3011
076500         GO TO 3011-MR-FIELD.
076600*
076700     IF  MTL1-FIELD-CODE IS EQUAL TO 3012
076800         GO TO 3012-MR-FIELD.
076900*
077000     IF  MTL1-FIELD-CODE IS EQUAL TO 3201
077100         GO TO 3201-MR-FIELD.
077200*
077300     IF  MTL1-FIELD-CODE IS EQUAL TO 3202
077400         GO TO 3202-MR-FIELD.
077500*
077600     MOVE '*** ERROR - INVALID FIELD CODE ***'
077700                                 TO MBD100WS-PL2-TO-VALUE.
077800     GO TO 5999-MR-EXIT.
077900*
078000 0101-MR-FIELD.
078100*
078200     SET X-MMOC-PRIMARY          TO MTL1-FIELD-OCCURRENCE.
078300     SET X-MMOC-NA               TO MTL1-FIELD-OCCURRENCE-2.
078400*
078500     IF  MBD100WS-JOURNAL
078600         MOVE MTL1-VL40-B-DATA-X TO MMOC-NA-LINE
078700                                    (X-MMOC-PRIMARY
078800                                     X-MMOC-NA).
078900*
079000     MOVE 'NAME/ADDRESS LINE     '
079100                                 TO MBD100WS-PL1-DESC.
079200     MOVE MMOC-NA-LINE
079300          (X-MMOC-PRIMARY X-MMOC-NA)
079400                                 TO MBD100WS-PL1-FROM-VALUE.
079500     MOVE MTL1-VL40-A-DATA-X     TO MMOC-NA-LINE
079600                                    (X-MMOC-PRIMARY
079700                                     X-MMOC-NA).
079800     MOVE MMOC-NA-LINE
079900          (X-MMOC-PRIMARY X-MMOC-NA)
080000                                 TO MBD100WS-PL2-TO-VALUE.
080100     GO TO 5100-MR-NO-REC-CHECK.
080200*
080300*
080400*
080500 0102-MR-FIELD.
080600*
080700     SET X-MMOC-PRIMARY          TO MTL1-FIELD-OCCURRENCE.
080800*
080900     IF  MBD100WS-JOURNAL
081000         MOVE MTL1-VL03-B-DATA-X TO MMOC-STATE-CODE
081100                                    (X-MMOC-PRIMARY).
081200*
081300     MOVE 'STATE/PROVINCE CODE   '
081400                                 TO MBD100WS-PL1-DESC.
081500     MOVE MMOC-STATE-CODE
081600          (X-MMOC-PRIMARY)       TO MBD100WS-PL1-FROM-VALUE.
081700     MOVE MTL1-VL03-A-DATA-X     TO MMOC-STATE-CODE
081800                                    (X-MMOC-PRIMARY).
081900     MOVE MMOC-STATE-CODE
082000          (X-MMOC-PRIMARY)       TO MBD100WS-PL2-TO-VALUE.
082100     GO TO 5100-MR-NO-REC-CHECK.
082200*
082300*
082400*
082500 0103-MR-FIELD.
082600*
082700     SET X-MMOC-PRIMARY          TO MTL1-FIELD-OCCURRENCE.
082800*
082900     IF  MBD100WS-JOURNAL
083000         MOVE MTL1-VL20-B-DATA-X TO MMOC-PHONE
083100                                    (X-MMOC-PRIMARY).
083200*
083300     MOVE 'PHONE NUMBER          '
083400                                 TO MBD100WS-PL1-DESC.
083500     MOVE MMOC-PHONE
083600          (X-MMOC-PRIMARY)       TO MBD100WS-PL1-FROM-VALUE.
083700     MOVE MTL1-VL20-A-DATA-X     TO MMOC-PHONE
083800                                    (X-MMOC-PRIMARY).
083900     MOVE MMOC-PHONE
084000          (X-MMOC-PRIMARY)       TO MBD100WS-PL2-TO-VALUE.
084100     GO TO 5100-MR-NO-REC-CHECK.
084200*
084300*
084400*
084500 0104-MR-FIELD.
084600*
084700     SET X-MMOC-PRIMARY          TO MTL1-FIELD-OCCURRENCE.
084800*
084900     IF  MBD100WS-JOURNAL
085000         MOVE MTL1-VL10-B-DATA-X TO MMOC-POSTAL-CODE
085100                                    (X-MMOC-PRIMARY).
085200*
085300     MOVE 'POSTAL CODE           '
085400                                 TO MBD100WS-PL1-DESC.
085500     MOVE MMOC-POSTAL-CODE
085600          (X-MMOC-PRIMARY)       TO MBD100WS-PL1-FROM-VALUE.
085700     MOVE MTL1-VL10-A-DATA-X     TO MMOC-POSTAL-CODE
085800                                    (X-MMOC-PRIMARY).
085900     MOVE MMOC-POSTAL-CODE
086000          (X-MMOC-PRIMARY)       TO MBD100WS-PL2-TO-VALUE.
086100     GO TO 5100-MR-NO-REC-CHECK.
086200*
086300*
086400*
086500 0105-MR-FIELD.
086600*
086700     SET X-MMOC-PRIMARY          TO MTL1-FIELD-OCCURRENCE.
086800*
086900     IF  MBD100WS-JOURNAL
087000         MOVE MTL1-VL20-B-DATA-X TO MMOC-FAX
087100                                    (X-MMOC-PRIMARY).
087200*
087300     MOVE 'FAX NUMBER            '
087400                                 TO MBD100WS-PL1-DESC.
087500     MOVE MMOC-FAX
087600          (X-MMOC-PRIMARY)       TO MBD100WS-PL1-FROM-VALUE.
087700     MOVE MTL1-VL20-A-DATA-X     TO MMOC-FAX
087800                                    (X-MMOC-PRIMARY).
087900     MOVE MMOC-FAX
088000          (X-MMOC-PRIMARY)       TO MBD100WS-PL2-TO-VALUE.
088100     GO TO 5100-MR-NO-REC-CHECK.
088200*
088300*
088400*
088500 0198-MR-FIELD.
088600*
088700     IF  MBD100WS-JOURNAL
088800         MOVE MTL1-VL03-B-DATA-X TO MMOC-LAST-MAINT-OPER.
088900*
089000     MOVE 'LAST MAINT OPERATOR   '
089100                                 TO MBD100WS-PL1-DESC.
089200     MOVE MMOC-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
089300     MOVE MTL1-VL03-A-DATA-X     TO MMOC-LAST-MAINT-OPER.
089400     MOVE MMOC-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
089500     GO TO 5100-MR-NO-REC-CHECK.
089600*
089700*
089800*
089900 0199-MR-FIELD.
090000*
090100     IF  MBD100WS-JOURNAL
090200         MOVE MTL1-VL07-B-DATA-9 TO MMOC-LAST-MAINT-DATE.
090300*
090400     MOVE 'DATE LAST MAINTENANCE '
090500                                 TO MBD100WS-PL1-DESC.
090600     MOVE MMOC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
090700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
090800     MOVE MTL1-VL07-A-DATA-9     TO MMOC-LAST-MAINT-DATE.
090900     MOVE MMOC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
091000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
091100     GO TO 5100-MR-NO-REC-CHECK.
091200*
091300*
091400*
091500 0301-MR-FIELD.
091600*
091700     SET X-MMOC-WW               TO MTL1-FIELD-OCCURRENCE.
091800*
091900     IF  MBD100WS-JOURNAL
092000         MOVE MTL1-VL01-B-DATA-X TO MMOC-WORK-WEEK-R
092100                                    (X-MMOC-WW).
092200*
092300     MOVE 'WORK WEEK DAY         '
092400                                 TO MBD100WS-PL1-DESC.
092500     MOVE MMOC-WORK-WEEK-R
092600          (X-MMOC-WW)            TO MBD100WS-PL1-FROM-VALUE.
092700     MOVE MTL1-VL01-A-DATA-X     TO MMOC-WORK-WEEK-R
092800                                    (X-MMOC-WW).
092900     MOVE MMOC-WORK-WEEK-R
093000          (X-MMOC-WW)            TO MBD100WS-PL2-TO-VALUE.
093100     GO TO 5100-MR-NO-REC-CHECK.
093200*
093300*
093400*
093500 0302-MR-FIELD.
093600*
093700     IF  MBD100WS-JOURNAL
093800         MOVE MTL1-VL07-B-DATA-9 TO MMOC-ACCR-THRU-DATE.
093900*
094000     MOVE 'ACCRUE THRU DATE      '
094100                                 TO MBD100WS-PL1-DESC.
094200     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
094300     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
094400     MOVE MTL1-VL07-A-DATA-9     TO MMOC-ACCR-THRU-DATE.
094500     MOVE MMOC-ACCR-THRU-DATE    TO SS01WS-JULIAN.
094600     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
094700     GO TO 5100-MR-NO-REC-CHECK.
094800*
094900*
095000*
095100 0303-MR-FIELD.
095200*
095300     IF  MBD100WS-JOURNAL
095400         MOVE MTL1-VL07-B-DATA-9 TO MMOC-DATE-NEXT-PROC.
095500*
095600     MOVE 'DATE NEXT PROCESSING  '
095700                                 TO MBD100WS-PL1-DESC.
095800     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
095900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
096000     MOVE MTL1-VL07-A-DATA-9     TO MMOC-DATE-NEXT-PROC.
096100     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
096200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
096300     GO TO 5100-MR-NO-REC-CHECK.
096400*
096500*
096600*
096700 0304-MR-FIELD.
096800*
096900     IF  MBD100WS-JOURNAL
097000         MOVE MTL1-VL07-B-DATA-9 TO MMOC-TODAYS-JULIAN.
097100*
097200     MOVE 'TODAYS PROCESS DATE   '
097300                                 TO MBD100WS-PL1-DESC.
097400     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
097500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
097600     MOVE MTL1-VL07-A-DATA-9     TO MMOC-TODAYS-JULIAN.
097700     MOVE MMOC-TODAYS-JULIAN     TO SS01WS-JULIAN.
097800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
097900     GO TO 5100-MR-NO-REC-CHECK.
098000*
098100*
098200*
098300 0305-MR-FIELD.
098400*
098500     IF  MBD100WS-JOURNAL
098600         MOVE MTL1-VL10-B-DATA-9 TO MMOC-TODAYS-CALENDAR.
098700*
098800     MOVE 'TODAYS CALENDAR DATE  '
098900                                 TO MBD100WS-PL1-DESC.
099000     MOVE MMOC-TODAYS-CALENDAR   TO MBD100WS-PL1-FV-99999999.
099100     MOVE MTL1-VL10-A-DATA-9     TO MMOC-TODAYS-CALENDAR.
099200     MOVE MMOC-TODAYS-CALENDAR   TO MBD100WS-PL2-TV-99999999.
099300     GO TO 5100-MR-NO-REC-CHECK.
099400*
099500*
099600*
099700 0306-MR-FIELD.
099800*
099900     SET X-MMOC-HOL              TO MTL1-FIELD-OCCURRENCE.
100000*
100100     IF  MBD100WS-JOURNAL
100200         MOVE MTL1-VL07-B-DATA-9 TO MMOC-HOLIDAYS
100300                                    (X-MMOC-HOL).
100400*
100500     MOVE 'ORGANIZATION HOLIDAY  '
100600                                 TO MBD100WS-PL1-DESC.
100700     MOVE MMOC-HOLIDAYS
100800          (X-MMOC-HOL)           TO SS01WS-JULIAN.
100900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
101000     MOVE MTL1-VL07-A-DATA-9     TO MMOC-HOLIDAYS
101100                                    (X-MMOC-HOL).
101200     MOVE MMOC-HOLIDAYS
101300          (X-MMOC-HOL)           TO SS01WS-JULIAN.
101400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
101500     GO TO 5100-MR-NO-REC-CHECK.
101600*
101700*
101800*
101900 0307-MR-FIELD.
102000*
102100     IF  MBD100WS-JOURNAL
102200         MOVE MTL1-VL20-B-DATA-X TO MMOC-ACH-ORG-NAME.
102300*
102400     MOVE 'ACH ORGANIZATION NAME '
102500                                 TO MBD100WS-PL1-DESC.
102600     MOVE MMOC-ACH-ORG-NAME      TO MBD100WS-PL1-FROM-VALUE.
102700     MOVE MTL1-VL20-A-DATA-X     TO MMOC-ACH-ORG-NAME.
102800     MOVE MMOC-ACH-ORG-NAME      TO MBD100WS-PL2-TO-VALUE.
102900     GO TO 5100-MR-NO-REC-CHECK.
103000*
103100*
103200*
103300 0308-MR-FIELD.
103400*
103500     IF  MBD100WS-JOURNAL
103600         MOVE MTL1-VL20-B-NBR-NO-DEC
103700                                 TO MMOC-ACH-ABA-NBR.
103800*
103900     MOVE 'ACH R/T NUMBER        '
104000                                 TO MBD100WS-PL1-DESC.
104100     MOVE MMOC-ACH-ABA-NBR       TO MBD100WS-PL1-FV-999999999.
104200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMOC-ACH-ABA-NBR.
104300     MOVE MMOC-ACH-ABA-NBR       TO MBD100WS-PL2-TV-999999999.
104400     GO TO 5100-MR-NO-REC-CHECK.
104500*
104600*
104700*
104800 0309-MR-FIELD.
104900*
105000     IF  MBD100WS-JOURNAL
105100         MOVE MTL1-VL10-B-DATA-X TO MMOC-ACH-CR-PRENOTE-DESC.
105200*
105300     MOVE 'ACH CR PRENOTE DESC   '
105400                                 TO MBD100WS-PL1-DESC.
105500     MOVE MMOC-ACH-CR-PRENOTE-DESC
105600                                 TO MBD100WS-PL1-FROM-VALUE.
105700     MOVE MTL1-VL10-A-DATA-X     TO MMOC-ACH-CR-PRENOTE-DESC.
105800     MOVE MMOC-ACH-CR-PRENOTE-DESC
105900                                 TO MBD100WS-PL2-TO-VALUE.
106000     GO TO 5100-MR-NO-REC-CHECK.
106100*
106200*
106300*
106400 0310-MR-FIELD.
106500*
106600     IF  MBD100WS-JOURNAL
106700         MOVE MTL1-VL20-B-NBR-NO-DEC
106800                                 TO MMOC-ACH-TAX-ID.
106900*
107000     MOVE 'ACH TAX-ID NUMBER     '
107100                                 TO MBD100WS-PL1-DESC.
107200     MOVE MMOC-ACH-TAX-ID        TO MBD100WS-PL1-FV-999999999.
107300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMOC-ACH-TAX-ID.
107400     MOVE MMOC-ACH-TAX-ID        TO MBD100WS-PL2-TV-999999999.
107500     GO TO 5100-MR-NO-REC-CHECK.
107600*
107700*
107800*
107900 0311-MR-FIELD.
108000*
108100     IF  MBD100WS-JOURNAL
108200         MOVE MTL1-VL10-B-DATA-X TO MMOC-ACH-DR-PRENOTE-DESC.
108300*
108400     MOVE 'ACH DR PRENOTE DESC   '
108500                                 TO MBD100WS-PL1-DESC.
108600     MOVE MMOC-ACH-DR-PRENOTE-DESC
108700                                 TO MBD100WS-PL1-FROM-VALUE.
108800     MOVE MTL1-VL10-A-DATA-X     TO MMOC-ACH-DR-PRENOTE-DESC.
108900     MOVE MMOC-ACH-DR-PRENOTE-DESC
109000                                 TO MBD100WS-PL2-TO-VALUE.
109100     GO TO 5100-MR-NO-REC-CHECK.
109200*
109300*
109400*
109500 0312-MR-FIELD.
109600*
109700     IF  MBD100WS-JOURNAL
109800         MOVE MTL1-VL20-B-NBR-NO-DEC
109900                                 TO MMOC-ACH-RELEASE-DAYS.
110000*
110100     MOVE 'ACH RELEASE DAYS      '
110200                                 TO MBD100WS-PL1-DESC.
110300     MOVE MMOC-ACH-RELEASE-DAYS  TO MBD100WS-PL1-FV-9.
110400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMOC-ACH-RELEASE-DAYS.
110500     MOVE MMOC-ACH-RELEASE-DAYS  TO MBD100WS-PL2-TV-9.
110600     GO TO 5100-MR-NO-REC-CHECK.
110700*
110800*
110900*
111000 0401-MR-FIELD.
111100*
111200     SET X-MMOC-ACH-DESC         TO MTL1-FIELD-OCCURRENCE.
111300*
111400     IF  MBD100WS-JOURNAL
111500         MOVE MTL1-VL10-B-DATA-X TO MMOC-ACH-DR-DESC
111600                                    (X-MMOC-ACH-DESC).
111700*
111800     MOVE 'ACH DEBIT DESCRIPTION '
111900                                 TO MBD100WS-PL1-DESC.
112000     MOVE MMOC-ACH-DR-DESC
112100          (X-MMOC-ACH-DESC)      TO MBD100WS-PL1-FROM-VALUE.
112200     MOVE MTL1-VL10-A-DATA-X     TO MMOC-ACH-DR-DESC
112300                                    (X-MMOC-ACH-DESC).
112400     MOVE MMOC-ACH-DR-DESC
112500          (X-MMOC-ACH-DESC)      TO MBD100WS-PL2-TO-VALUE.
112600     GO TO 5100-MR-NO-REC-CHECK.
112700*
112800*
112900*
113000 0402-MR-FIELD.
113100*
113200     SET X-MMOC-ACH-DESC         TO MTL1-FIELD-OCCURRENCE.
113300*
113400     IF  MBD100WS-JOURNAL
113500         MOVE MTL1-VL10-B-DATA-X TO MMOC-ACH-CR-DESC
113600                                    (X-MMOC-ACH-DESC).
113700*
113800     MOVE 'ACH CREDIT DESCRIPTION'
113900                                 TO MBD100WS-PL1-DESC.
114000     MOVE MMOC-ACH-CR-DESC
114100          (X-MMOC-ACH-DESC)      TO MBD100WS-PL1-FROM-VALUE.
114200     MOVE MTL1-VL10-A-DATA-X     TO MMOC-ACH-CR-DESC
114300                                    (X-MMOC-ACH-DESC).
114400     MOVE MMOC-ACH-CR-DESC
114500          (X-MMOC-ACH-DESC)      TO MBD100WS-PL2-TO-VALUE.
114600     GO TO 5100-MR-NO-REC-CHECK.
114700*
114800*
114900*
115000 0403-MR-FIELD.
115100*
115200     SET X-MMOC-SD               TO MTL1-FIELD-OCCURRENCE.
115300*
115400     IF  MBD100WS-JOURNAL
115500         MOVE MTL1-VL01-B-DATA-X TO MMOC-STMT-DETAIL
115600                                    (X-MMOC-SD).
115700*
115800     MOVE 'STATEMENT DETAIL      '
115900                                 TO MBD100WS-PL1-DESC.
116000     MOVE MMOC-STMT-DETAIL
116100          (X-MMOC-SD)            TO MBD100WS-PL1-FROM-VALUE.
116200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STMT-DETAIL
116300                                    (X-MMOC-SD).
116400     MOVE MMOC-STMT-DETAIL
116500          (X-MMOC-SD)            TO MBD100WS-PL2-TO-VALUE.
116600     GO TO 5100-MR-NO-REC-CHECK.
116700*
116800*
116900*
117000 0404-MR-FIELD.
117100*
117200     SET X-MMOC-BILLING          TO MTL1-FIELD-OCCURRENCE.
117300*
117400     IF  MBD100WS-JOURNAL
117500         MOVE MTL1-VL03-B-DATA-9 TO MMOC-BILLING-DR-TC
117600                                    (X-MMOC-BILLING).
117700*
117800     MOVE 'BILLING DR TRANS CODE '
117900                                 TO MBD100WS-PL1-DESC.
118000     MOVE MMOC-BILLING-DR-TC
118100          (X-MMOC-BILLING)       TO MBD100WS-PL1-FV-999.
118200     MOVE MTL1-VL03-A-DATA-9     TO MMOC-BILLING-DR-TC
118300                                    (X-MMOC-BILLING).
118400     MOVE MMOC-BILLING-DR-TC
118500          (X-MMOC-BILLING)       TO MBD100WS-PL2-TV-999.
118600     GO TO 5100-MR-NO-REC-CHECK.
118700*
118800*
118900*
119000 0405-MR-FIELD.
119100*
119200     SET X-MMOC-BILLING          TO MTL1-FIELD-OCCURRENCE.
119300*
119400     IF  MBD100WS-JOURNAL
119500         MOVE MTL1-VL03-B-DATA-9 TO MMOC-BILLING-CR-TC
119600                                    (X-MMOC-BILLING).
119700*
119800     MOVE 'BILLING CR TRANS CODE '
119900                                 TO MBD100WS-PL1-DESC.
120000     MOVE MMOC-BILLING-CR-TC
120100          (X-MMOC-BILLING)       TO MBD100WS-PL1-FV-999.
120200     MOVE MTL1-VL03-A-DATA-9     TO MMOC-BILLING-CR-TC
120300                                    (X-MMOC-BILLING).
120400     MOVE MMOC-BILLING-CR-TC
120500          (X-MMOC-BILLING)       TO MBD100WS-PL2-TV-999.
120600     GO TO 5100-MR-NO-REC-CHECK.
120700*
120800*
120900*
121000 0406-MR-FIELD.
121100*
121200     SET X-MMOC-BILLING          TO MTL1-FIELD-OCCURRENCE.
121300*
121400     IF  MBD100WS-JOURNAL
121500         MOVE MTL1-VL05-B-DATA-9 TO MMOC-BILLING-PLAN
121600                                    (X-MMOC-BILLING).
121700*
121800     MOVE 'BILLING PLAN          '
121900                                 TO MBD100WS-PL1-DESC.
122000     MOVE MMOC-BILLING-PLAN
122100          (X-MMOC-BILLING)       TO MBD100WS-PL1-FV-99999.
122200     MOVE MTL1-VL05-A-DATA-9     TO MMOC-BILLING-PLAN
122300                                    (X-MMOC-BILLING).
122400     MOVE MMOC-BILLING-PLAN
122500          (X-MMOC-BILLING)       TO MBD100WS-PL2-TV-99999.
122600     GO TO 5100-MR-NO-REC-CHECK.
122700*
122800*
122900*
123000 0407-MR-FIELD.
123100*
123200     IF  MBD100WS-JOURNAL
123300         MOVE MTL1-VL10-B-DATA-9 TO MMOC-BILLING-STORE.
123400*
123500     MOVE 'BILLING STORE         '
123600                                 TO MBD100WS-PL1-DESC.
123700     MOVE MMOC-BILLING-STORE     TO MBD100WS-PL1-FV-999999999.
123800     MOVE MTL1-VL10-A-DATA-9     TO MMOC-BILLING-STORE.
123900     MOVE MMOC-BILLING-STORE     TO MBD100WS-PL2-TV-999999999.
124000     GO TO 5100-MR-NO-REC-CHECK.
124100*
124200*
124300*
124400 0408-MR-FIELD.
124500*
124600     IF  MBD100WS-JOURNAL
124700         MOVE MTL1-VL03-B-DATA-9 TO MMOC-BILLING-ORG.
124800*
124900     MOVE 'BILLING ORG           '
125000                                 TO MBD100WS-PL1-DESC.
125100     MOVE MMOC-BILLING-ORG       TO MBD100WS-PL1-FV-999.
125200     MOVE MTL1-VL03-A-DATA-9     TO MMOC-BILLING-ORG.
125300     MOVE MMOC-BILLING-ORG       TO MBD100WS-PL2-TV-999.
125400     GO TO 5100-MR-NO-REC-CHECK.
125500*
125600*
125700*
125800 0501-MR-FIELD.
125900*
126000     IF  MBD100WS-JOURNAL
126100         MOVE MTL1-VL03-B-DATA-9 TO MMOC-STMTS-TO-RETAIN.
126200*
126300     MOVE 'STATEMENTS TO RETAIN  '
126400                                 TO MBD100WS-PL1-DESC.
126500     MOVE MMOC-STMTS-TO-RETAIN   TO MBD100WS-PL1-FV-999.
126600     MOVE MTL1-VL03-A-DATA-9     TO MMOC-STMTS-TO-RETAIN.
126700     MOVE MMOC-STMTS-TO-RETAIN   TO MBD100WS-PL2-TV-999.
126800     GO TO 5100-MR-NO-REC-CHECK.
126900*
127000*
127100*
127200 0502-MR-FIELD.
127300*
127400     IF  MBD100WS-JOURNAL
127500         MOVE MTL1-VL07-B-DATA-9 TO MMOC-INTCHG-BIN.
127600*
127700     MOVE 'INTERCHANGE BIN NUMBER'
127800                                 TO MBD100WS-PL1-DESC.
127900     MOVE MMOC-INTCHG-BIN        TO MBD100WS-PL1-FV-999999.
128000     MOVE MTL1-VL07-A-DATA-9     TO MMOC-INTCHG-BIN.
128100     MOVE MMOC-INTCHG-BIN        TO MBD100WS-PL2-TV-999999.
128200     GO TO 5100-MR-NO-REC-CHECK.
128205*                                                                 RG800905
128210*                                                                 RG800905
128215*                                                                 RG800905
128220 0503-MR-FIELD.                                                   RG800905
128225*                                                                 RG800905
128230     IF  MBD100WS-JOURNAL                                         RG800905
128235         MOVE MTL1-VL07-B-DATA-9 TO MMOC-MC-INTCHG-BIN.           RG800905
128240*                                                                 RG800905
128245     MOVE 'INTERCHANGE M/C BIN NUMBER'                            RG800905
128250                                 TO MBD100WS-PL1-DESC.            RG800905
128255     MOVE MMOC-MC-INTCHG-BIN     TO MBD100WS-PL1-FV-999999.       RG800905
128260     MOVE MTL1-VL07-A-DATA-9     TO MMOC-INTCHG-ICA.              RG800905
128265     MOVE MMOC-MC-INTCHG-BIN     TO MBD100WS-PL2-TV-999999.       RG800905
128270     GO TO 5100-MR-NO-REC-CHECK.                                  RG800905
128300*
128400*
128500*
128600 0504-MR-FIELD.
128700*
128800     IF  MBD100WS-JOURNAL
128900         MOVE MTL1-VL04-B-DATA-9 TO MMOC-INTCHG-ICA.
129000*
129100     MOVE 'INTERCHANGE ICA NUMBER'
129200                                 TO MBD100WS-PL1-DESC.
129300     MOVE MMOC-INTCHG-ICA        TO MBD100WS-PL1-FV-9999.
129400     MOVE MTL1-VL04-A-DATA-9     TO MMOC-INTCHG-ICA.
129500     MOVE MMOC-INTCHG-ICA        TO MBD100WS-PL2-TV-9999.
129600     GO TO 5100-MR-NO-REC-CHECK.
129700*
129800*
129900*
130000 0505-MR-FIELD.
130100*
130200     IF  MBD100WS-JOURNAL
130300         MOVE MTL1-VL02-B-DATA-9 TO MMOC-LINES-PER-PAGE.
130400*
130500     MOVE 'LINES-PER-PAGE        '
130600                                 TO MBD100WS-PL1-DESC.
130700     MOVE MMOC-LINES-PER-PAGE    TO MBD100WS-PL1-FV-99.
130800     MOVE MTL1-VL02-A-DATA-9     TO MMOC-LINES-PER-PAGE.
130900     MOVE MMOC-LINES-PER-PAGE    TO MBD100WS-PL2-TV-99.
131000     GO TO 5100-MR-NO-REC-CHECK.
131100*
131200*
131300*
131400 0507-MR-FIELD.
131500*
131600     IF  MBD100WS-JOURNAL
131700         MOVE MTL1-VL02-B-DATA-9 TO MMOC-FORM.
131800*
131900     MOVE 'FORM CODE             '
132000                                 TO MBD100WS-PL1-DESC.
132100     MOVE MMOC-FORM              TO MBD100WS-PL1-FV-99.
132200     MOVE MTL1-VL02-A-DATA-9     TO MMOC-FORM.
132300     MOVE MMOC-FORM              TO MBD100WS-PL2-TV-99.
132400     GO TO 5100-MR-NO-REC-CHECK.
132500*
132600*
132700*
132800 0509-MR-FIELD.
132900*
133000     IF  MBD100WS-JOURNAL
133100         MOVE MTL1-VL01-B-DATA-X TO MMOC-FICHE-FLAG.
133200*
133300     MOVE 'FICHE FLAG            '
133400                                 TO MBD100WS-PL1-DESC.
133500     MOVE MMOC-FICHE-FLAG        TO MBD100WS-PL1-FROM-VALUE.
133600     MOVE MTL1-VL01-A-DATA-X     TO MMOC-FICHE-FLAG.
133700     MOVE MMOC-FICHE-FLAG        TO MBD100WS-PL2-TO-VALUE.
133800     GO TO 5100-MR-NO-REC-CHECK.
133900*
134000*
134100*
134200 0510-MR-FIELD.
134300*
134400     SET X-MMOC-CORR             TO MTL1-FIELD-OCCURRENCE.
134500*
134600     IF  MBD100WS-JOURNAL
134700         MOVE MTL1-VL03-B-DATA-X TO MMOC-COUNTRY-CODE
134800                                    (X-MMOC-CORR).
134900*
135000     MOVE 'COUNTRY CODE          '
135100                                 TO MBD100WS-PL1-DESC.
135200     MOVE MMOC-COUNTRY-CODE
135300          (X-MMOC-CORR)          TO MBD100WS-PL1-FROM-VALUE.
135400     MOVE MTL1-VL03-A-DATA-X     TO MMOC-COUNTRY-CODE
135500                                    (X-MMOC-CORR).
135600     MOVE MMOC-COUNTRY-CODE
135700          (X-MMOC-CORR)          TO MBD100WS-PL2-TO-VALUE.
135800     GO TO 5100-MR-NO-REC-CHECK.
135900*
136000*
136100*
136200 0511-MR-FIELD.
136300*
136400     IF  MBD100WS-JOURNAL
136500         MOVE MTL1-VL03-B-DATA-9 TO MMOC-TOP-MERCHANTS-NBR.
136600*
136700     MOVE 'TOP MERCHANTS NUMBER  '
136800                                 TO MBD100WS-PL1-DESC.
136900     MOVE MMOC-TOP-MERCHANTS-NBR TO MBD100WS-PL1-FV-999.
137000     MOVE MTL1-VL03-A-DATA-9     TO MMOC-TOP-MERCHANTS-NBR.
137100     MOVE MMOC-TOP-MERCHANTS-NBR TO MBD100WS-PL2-TV-999.
137200     GO TO 5100-MR-NO-REC-CHECK.
137300*
137400*
137500*
137600 0512-MR-FIELD.
137700*
137800     IF  MBD100WS-JOURNAL
137900         MOVE MTL1-VL03-B-DATA-X TO MMOC-CURRENCY-CODE.
138000*
138100     MOVE 'CURRENCY CODE         '
138200                                 TO MBD100WS-PL1-DESC.
138300     MOVE MMOC-CURRENCY-CODE     TO MBD100WS-PL1-FROM-VALUE.
138400     MOVE MTL1-VL03-A-DATA-X     TO MMOC-CURRENCY-CODE.
138500     MOVE MMOC-CURRENCY-CODE     TO MBD100WS-PL2-TO-VALUE.
138600     GO TO 5100-MR-NO-REC-CHECK.
138700*
138800*
138900*
139000 0513-MR-FIELD.
139100*
139200     IF  MBD100WS-JOURNAL
139300         MOVE MTL1-VL20-B-DATA-X TO MMOC-ISSUER-RR-FAX-NBR.
139400*
139500     MOVE 'ISSUER RR FAX NBR     '
139600                                 TO MBD100WS-PL1-DESC.
139700     MOVE MMOC-ISSUER-RR-FAX-NBR TO MBD100WS-PL1-FROM-VALUE.
139800     MOVE MTL1-VL20-A-DATA-X     TO MMOC-ISSUER-RR-FAX-NBR.
139900     MOVE MMOC-ISSUER-RR-FAX-NBR TO MBD100WS-PL2-TO-VALUE.
140000     GO TO 5100-MR-NO-REC-CHECK.
140100*
140200*
140300*
140400 0514-MR-FIELD.
140500*
140600     IF  MBD100WS-JOURNAL
140700         MOVE MTL1-VL01-B-DATA-X TO MMOC-MERCH-PRIMARY.
140800*
140900     MOVE 'N/L MERCHANT PRIMARY  '
141000                                 TO MBD100WS-PL1-DESC.
141100     MOVE MMOC-MERCH-PRIMARY     TO MBD100WS-PL1-FROM-VALUE.
141200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-MERCH-PRIMARY.
141300     MOVE MMOC-MERCH-PRIMARY     TO MBD100WS-PL2-TO-VALUE.
141400     GO TO 5100-MR-NO-REC-CHECK.
141500*
141600*
141700*
141800 0515-MR-FIELD.
141900*
142000     IF  MBD100WS-JOURNAL
142100         MOVE MTL1-VL01-B-DATA-X TO MMOC-MERCHANT-MOD-CHECK.
142200*
142300     MOVE 'MERCHANT MOD-CHECK    '
142400                                 TO MBD100WS-PL1-DESC.
142500     MOVE MMOC-MERCHANT-MOD-CHECK
142600                                 TO MBD100WS-PL1-FROM-VALUE.
142700     MOVE MTL1-VL01-A-DATA-X     TO MMOC-MERCHANT-MOD-CHECK.
142800     MOVE MMOC-MERCHANT-MOD-CHECK
142900                                 TO MBD100WS-PL2-TO-VALUE.
143000     GO TO 5100-MR-NO-REC-CHECK.
143100*
143200*
143300*
143400 0516-MR-FIELD.
143500*
143600     IF  MBD100WS-JOURNAL
143700         MOVE MTL1-VL01-B-DATA-X TO MMOC-MERCH-SECONDARY.
143800*
143900     MOVE 'N/L MERCHANT SECONDARY'
144000                                 TO MBD100WS-PL1-DESC.
144100     MOVE MMOC-MERCH-SECONDARY   TO MBD100WS-PL1-FROM-VALUE.
144200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-MERCH-SECONDARY.
144300     MOVE MMOC-MERCH-SECONDARY   TO MBD100WS-PL2-TO-VALUE.
144400     GO TO 5100-MR-NO-REC-CHECK.
144500*
144600*
144700*
144800 0517-MR-FIELD.
144900*
145000     IF  MBD100WS-JOURNAL
145100         MOVE MTL1-VL01-B-DATA-X TO MMOC-STORE-MOD-CHECK.
145200*
145300     MOVE 'STORE MOD-CHECK       '
145400                                 TO MBD100WS-PL1-DESC.
145500     MOVE MMOC-STORE-MOD-CHECK   TO MBD100WS-PL1-FROM-VALUE.
145600     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STORE-MOD-CHECK.
145700     MOVE MMOC-STORE-MOD-CHECK   TO MBD100WS-PL2-TO-VALUE.
145800     GO TO 5100-MR-NO-REC-CHECK.
145900*
146000*
146100*
146200 0518-MR-FIELD.
146300*
146400     IF  MBD100WS-JOURNAL
146500         MOVE MTL1-VL01-B-DATA-X TO MMOC-STORE-PRIMARY.
146600*
146700     MOVE 'N/L STORE PRIMARY     '
146800                                 TO MBD100WS-PL1-DESC.
146900     MOVE MMOC-STORE-PRIMARY     TO MBD100WS-PL1-FROM-VALUE.
147000     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STORE-PRIMARY.
147100     MOVE MMOC-STORE-PRIMARY     TO MBD100WS-PL2-TO-VALUE.
147200     GO TO 5100-MR-NO-REC-CHECK.
147300*
147400*
147500*
147600 0519-MR-FIELD.
147700*
147800     IF  MBD100WS-JOURNAL
147900         MOVE MTL1-VL01-B-DATA-X TO MMOC-STORE-SECONDARY.
148000*
148100     MOVE 'N/L STORE SECONDARY   '
148200                                 TO MBD100WS-PL1-DESC.
148300     MOVE MMOC-STORE-SECONDARY   TO MBD100WS-PL1-FROM-VALUE.
148400     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STORE-SECONDARY.
148500     MOVE MMOC-STORE-SECONDARY   TO MBD100WS-PL2-TO-VALUE.
148600     GO TO 5100-MR-NO-REC-CHECK.
148700*
148800*
148900*
149000 0520-MR-FIELD.
149100*
149200     IF  MBD100WS-JOURNAL
149300         MOVE MTL1-VL01-B-DATA-X TO MMOC-CR-PLAN-ON-MERCH.
149400*
149500     MOVE 'CR PLAN STATS ON MERCH'
149600                                 TO MBD100WS-PL1-DESC.
149700     MOVE MMOC-CR-PLAN-ON-MERCH  TO MBD100WS-PL1-FROM-VALUE.
149800     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CR-PLAN-ON-MERCH.
149900     MOVE MMOC-CR-PLAN-ON-MERCH  TO MBD100WS-PL2-TO-VALUE.
150000     GO TO 5100-MR-NO-REC-CHECK.
150100*
150200*
150300*
150400 0521-MR-FIELD.
150500*
150600     IF  MBD100WS-JOURNAL
150700         MOVE MTL1-VL01-B-DATA-X TO MMOC-CHAIN-PRIMARY.
150800*
150900     MOVE 'N/L CHAIN PRIMARY     '
151000                                 TO MBD100WS-PL1-DESC.
151100     MOVE MMOC-CHAIN-PRIMARY     TO MBD100WS-PL1-FROM-VALUE.
151200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CHAIN-PRIMARY.
151300     MOVE MMOC-CHAIN-PRIMARY     TO MBD100WS-PL2-TO-VALUE.
151400     GO TO 5100-MR-NO-REC-CHECK.
151500*
151600*
151700*
151800 0522-MR-FIELD.
151900*
152000     IF  MBD100WS-JOURNAL
152100         MOVE MTL1-VL01-B-DATA-X TO MMOC-CR-PLAN-ON-STORE.
152200*
152300     MOVE 'CR PLAN STATS ON STORE'
152400                                 TO MBD100WS-PL1-DESC.
152500     MOVE MMOC-CR-PLAN-ON-STORE  TO MBD100WS-PL1-FROM-VALUE.
152600     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CR-PLAN-ON-STORE.
152700     MOVE MMOC-CR-PLAN-ON-STORE  TO MBD100WS-PL2-TO-VALUE.
152800     GO TO 5100-MR-NO-REC-CHECK.
152900*
153000*
153100*
153200 0523-MR-FIELD.
153300*
153400     IF  MBD100WS-JOURNAL
153500         MOVE MTL1-VL01-B-DATA-X TO MMOC-CR-PLAN-ON-CHAIN.
153600*
153700     MOVE 'CR PLAN STATS ON CHAIN'
153800                                 TO MBD100WS-PL1-DESC.
153900     MOVE MMOC-CR-PLAN-ON-CHAIN  TO MBD100WS-PL1-FROM-VALUE.
154000     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CR-PLAN-ON-CHAIN.
154100     MOVE MMOC-CR-PLAN-ON-CHAIN  TO MBD100WS-PL2-TO-VALUE.
154200     GO TO 5100-MR-NO-REC-CHECK.
154300*
154400*
154500*
154600 0524-MR-FIELD.
154700*
154800     IF  MBD100WS-JOURNAL
154900         MOVE MTL1-VL01-B-DATA-X TO MMOC-CRB-TERM-MERCH-FLAG.
155000*
155100     MOVE 'CRB TERM MERCH FLAG   '
155200                                 TO MBD100WS-PL1-DESC.
155300     MOVE MMOC-CRB-TERM-MERCH-FLAG
155400                                 TO MBD100WS-PL1-FROM-VALUE.
155500     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CRB-TERM-MERCH-FLAG.
155600     MOVE MMOC-CRB-TERM-MERCH-FLAG
155700                                 TO MBD100WS-PL2-TO-VALUE.
155800     GO TO 5100-MR-NO-REC-CHECK.
155900*
156000*
156100*
156200 0526-MR-FIELD.
156300*
156400     IF  MBD100WS-JOURNAL
156500         MOVE MTL1-VL10-B-DATA-9 TO MMOC-MEMBER-ID.
156600*
156700     MOVE 'MEMBER IDENTIFICATION '
156800                                 TO MBD100WS-PL1-DESC.
156900     MOVE MMOC-MEMBER-ID         TO MBD100WS-PL1-FV-999999999.    EH800900
157000     MOVE MTL1-VL10-A-DATA-9     TO MMOC-MEMBER-ID.
157100     MOVE MMOC-MEMBER-ID         TO MBD100WS-PL2-TV-999999999.    EH800900
157200     GO TO 5100-MR-NO-REC-CHECK.
157300*
157400*
157500*
157600 0527-MR-FIELD.
157700*
157800     IF  MBD100WS-JOURNAL
157900         MOVE MTL1-VL01-B-DATA-X TO MMOC-MERCH-DBA.
158000*
158100     MOVE 'N/L MERCHANT DBA      '
158200                                 TO MBD100WS-PL1-DESC.
158300     MOVE MMOC-MERCH-DBA         TO MBD100WS-PL1-FROM-VALUE.
158400     MOVE MTL1-VL01-A-DATA-X     TO MMOC-MERCH-DBA.
158500     MOVE MMOC-MERCH-DBA         TO MBD100WS-PL2-TO-VALUE.
158600     GO TO 5100-MR-NO-REC-CHECK.
158700*
158800*
158900*
159000 0528-MR-FIELD.
159100*
159200     IF  MBD100WS-JOURNAL
159300         MOVE MTL1-VL01-B-DATA-X TO MMOC-STORE-DBA.
159400*
159500     MOVE 'N/L STORE DBA         '
159600                                 TO MBD100WS-PL1-DESC.
159700     MOVE MMOC-STORE-DBA         TO MBD100WS-PL1-FROM-VALUE.
159800     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STORE-DBA.
159900     MOVE MMOC-STORE-DBA         TO MBD100WS-PL2-TO-VALUE.
160000     GO TO 5100-MR-NO-REC-CHECK.
160100*
160200*
160300*
160400 0529-MR-FIELD.
160500*
160600     IF  MBD100WS-JOURNAL
160700         MOVE MTL1-VL01-B-DATA-X TO MMOC-STORE-CHAIN-PRIMARY.
160800*
160900     MOVE 'N/L STORE CHAIN PRIM  '
161000                                 TO MBD100WS-PL1-DESC.
161100     MOVE MMOC-STORE-CHAIN-PRIMARY
161200                                 TO MBD100WS-PL1-FROM-VALUE.
161300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-STORE-CHAIN-PRIMARY.
161400     MOVE MMOC-STORE-CHAIN-PRIMARY
161500                                 TO MBD100WS-PL2-TO-VALUE.
161600     GO TO 5100-MR-NO-REC-CHECK.
161700*
161800*
161900*
162000 0530-MR-FIELD.
162100*
162200     IF  MBD100WS-JOURNAL
162300         MOVE MTL1-VL01-B-DATA-X TO MMOC-CR-PLAN-ON-STORE-CHAIN.
162400*
162500     MOVE 'CR PLAN STATS/ST CHAIN'
162600                                 TO MBD100WS-PL1-DESC.
162700     MOVE MMOC-CR-PLAN-ON-STORE-CHAIN
162800                                 TO MBD100WS-PL1-FROM-VALUE.
162900     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CR-PLAN-ON-STORE-CHAIN.
163000     MOVE MMOC-CR-PLAN-ON-STORE-CHAIN
163100                                 TO MBD100WS-PL2-TO-VALUE.
163200     GO TO 5100-MR-NO-REC-CHECK.
163300*
163400*
163500*
163600 0531-MR-FIELD.
163700*
163800     IF  MBD100WS-JOURNAL
163900         MOVE MTL1-VL01-B-DATA-X TO MMOC-AUTO-CLOSE-FLAG (1).
164000*
164100     MOVE 'MERCH AUTO CLOSE FLAG '
164200                                 TO MBD100WS-PL1-DESC.
164300     MOVE MMOC-AUTO-CLOSE-FLAG (1)
164400                                 TO MBD100WS-PL1-FROM-VALUE.
164500     MOVE MTL1-VL01-A-DATA-X     TO MMOC-AUTO-CLOSE-FLAG (1).
164600     MOVE MMOC-AUTO-CLOSE-FLAG (1)
164700                                 TO MBD100WS-PL2-TO-VALUE.
164800     GO TO 5100-MR-NO-REC-CHECK.
164900*
165000*
165100*
165200 0532-MR-FIELD.
165300*
165400     IF  MBD100WS-JOURNAL
165500         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-MONTHS (1).
165600*
165700     MOVE 'MERCH AUTO CLOSE MONTH'
165800                                 TO MBD100WS-PL1-DESC.
165900     MOVE MMOC-AUTO-CLOSE-MONTHS (1)
166000                                 TO MBD100WS-PL1-FV-99.
166100     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-MONTHS (1).
166200     MOVE MMOC-AUTO-CLOSE-MONTHS (1)
166300                                 TO MBD100WS-PL2-TV-99.
166400     GO TO 5100-MR-NO-REC-CHECK.
166500*
166600*
166700*
166800 0533-MR-FIELD.
166900*
167000     IF  MBD100WS-JOURNAL
167100         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-FREQ-1 (1).
167200*
167300     MOVE 'MERCH AUTO CLOSE FREQ1'
167400                                 TO MBD100WS-PL1-DESC.
167500     MOVE MMOC-AUTO-CLOSE-FREQ-1 (1)
167600                                 TO MBD100WS-PL1-FV-99.
167700     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-FREQ-1 (1).
167800     MOVE MMOC-AUTO-CLOSE-FREQ-1 (1)
167900                                 TO MBD100WS-PL2-TV-99.
168000     GO TO 5100-MR-NO-REC-CHECK.
168100*
168200*
168300*
168400 0534-MR-FIELD.
168500*
168600     IF  MBD100WS-JOURNAL
168700         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-FREQ-2 (1).
168800*
168900     MOVE 'MERCH AUTO CLOSE FREQ2'
169000                                 TO MBD100WS-PL1-DESC.
169100     MOVE MMOC-AUTO-CLOSE-FREQ-2 (1)
169200                                 TO MBD100WS-PL1-FV-99.
169300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-FREQ-2 (1).
169400     MOVE MMOC-AUTO-CLOSE-FREQ-2 (1)
169500                                 TO MBD100WS-PL2-TV-99.
169600     GO TO 5100-MR-NO-REC-CHECK.
169700*
169800*
169900*
170000 0535-MR-FIELD.
170100*
170200     IF  MBD100WS-JOURNAL
170300         MOVE MTL1-VL01-B-DATA-X TO MMOC-AUTO-PURGE-FLAG (1).
170400*
170500     MOVE 'MERCH AUTO PURGE FLAG '
170600                                 TO MBD100WS-PL1-DESC.
170700     MOVE MMOC-AUTO-PURGE-FLAG (1)
170800                                 TO MBD100WS-PL1-FROM-VALUE.
170900     MOVE MTL1-VL01-A-DATA-X     TO MMOC-AUTO-PURGE-FLAG (1).
171000     MOVE MMOC-AUTO-PURGE-FLAG (1)
171100                                 TO MBD100WS-PL2-TO-VALUE.
171200     GO TO 5100-MR-NO-REC-CHECK.
171300*
171400*
171500*
171600 0536-MR-FIELD.
171700*
171800     IF  MBD100WS-JOURNAL
171900         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-MONTHS (1).
172000*
172100     MOVE 'MERCH AUTO PURGE MONTH'
172200                                 TO MBD100WS-PL1-DESC.
172300     MOVE MMOC-AUTO-PURGE-MONTHS (1)
172400                                 TO MBD100WS-PL1-FV-99.
172500     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-MONTHS (1).
172600     MOVE MMOC-AUTO-PURGE-MONTHS (1)
172700                                 TO MBD100WS-PL2-TV-99.
172800     GO TO 5100-MR-NO-REC-CHECK.
172900*
173000*
173100*
173200 0537-MR-FIELD.
173300*
173400     IF  MBD100WS-JOURNAL
173500         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-FREQ-1 (1).
173600*
173700     MOVE 'MERCH AUTO PURGE FREQ1'
173800                                 TO MBD100WS-PL1-DESC.
173900     MOVE MMOC-AUTO-PURGE-FREQ-1 (1)
174000                                 TO MBD100WS-PL1-FV-99.
174100     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-FREQ-1 (1).
174200     MOVE MMOC-AUTO-PURGE-FREQ-1 (1)
174300                                 TO MBD100WS-PL2-TV-99.
174400     GO TO 5100-MR-NO-REC-CHECK.
174500*
174600*
174700*
174800 0538-MR-FIELD.
174900*
175000     IF  MBD100WS-JOURNAL
175100         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-FREQ-2 (1).
175200*
175300     MOVE 'MERCH AUTO PURGE FREQ2'
175400                                 TO MBD100WS-PL1-DESC.
175500     MOVE MMOC-AUTO-PURGE-FREQ-2 (1)
175600                                 TO MBD100WS-PL1-FV-99.
175700     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-FREQ-2 (1).
175800     MOVE MMOC-AUTO-PURGE-FREQ-2 (1)
175900                                 TO MBD100WS-PL2-TV-99.
176000     GO TO 5100-MR-NO-REC-CHECK.
176100*
176200*
176300*
176400 0539-MR-FIELD.
176500*
176600     IF  MBD100WS-JOURNAL
176700         MOVE MTL1-VL03-B-DATA-9 TO MMOC-FINAL-PURGE-DAYS.
176800*
176900     MOVE 'FINAL PURGE DAYS      '
177000                                 TO MBD100WS-PL1-DESC.
177100     MOVE MMOC-FINAL-PURGE-DAYS  TO MBD100WS-PL1-FV-999.
177200     MOVE MTL1-VL02-A-DATA-9     TO MMOC-FINAL-PURGE-DAYS.
177300     MOVE MMOC-FINAL-PURGE-DAYS  TO MBD100WS-PL2-TV-999.
177400     GO TO 5100-MR-NO-REC-CHECK.
177500*
177600*
177700*
177800 0540-MR-FIELD.
177900*
178000     IF  MBD100WS-JOURNAL
178100         MOVE MTL1-VL01-B-DATA-X TO MMOC-AUTO-CLOSE-FLAG (2).
178200*
178300     MOVE 'STORE AUTO CLOSE FLAG '
178400                                 TO MBD100WS-PL1-DESC.
178500     MOVE MMOC-AUTO-CLOSE-FLAG (2)
178600                                 TO MBD100WS-PL1-FROM-VALUE.
178700     MOVE MTL1-VL01-A-DATA-X     TO MMOC-AUTO-CLOSE-FLAG (2).
178800     MOVE MMOC-AUTO-CLOSE-FLAG (2)
178900                                 TO MBD100WS-PL2-TO-VALUE.
179000     GO TO 5100-MR-NO-REC-CHECK.
179100*
179200*
179300*
179400 0541-MR-FIELD.
179500*
179600     IF  MBD100WS-JOURNAL
179700         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-MONTHS (2).
179800*
179900     MOVE 'STORE AUTO CLOSE MONTH'
180000                                 TO MBD100WS-PL1-DESC.
180100     MOVE MMOC-AUTO-CLOSE-MONTHS (2)
180200                                 TO MBD100WS-PL1-FV-99.
180300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-MONTHS (2).
180400     MOVE MMOC-AUTO-CLOSE-MONTHS (2)
180500                                 TO MBD100WS-PL2-TV-99.
180600     GO TO 5100-MR-NO-REC-CHECK.
180700*
180800*
180900*
181000 0542-MR-FIELD.
181100*
181200     IF  MBD100WS-JOURNAL
181300         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-FREQ-1 (2).
181400*
181500     MOVE 'STORE AUTO CLOSE FREQ1'
181600                                 TO MBD100WS-PL1-DESC.
181700     MOVE MMOC-AUTO-CLOSE-FREQ-1 (2)
181800                                 TO MBD100WS-PL1-FV-99.
181900     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-FREQ-1 (2).
182000     MOVE MMOC-AUTO-CLOSE-FREQ-1 (2)
182100                                 TO MBD100WS-PL2-TV-99.
182200     GO TO 5100-MR-NO-REC-CHECK.
182300*
182400*
182500*
182600 0543-MR-FIELD.
182700*
182800     IF  MBD100WS-JOURNAL
182900         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-CLOSE-FREQ-2 (2).
183000*
183100     MOVE 'STORE AUTO CLOSE FREQ2'
183200                                 TO MBD100WS-PL1-DESC.
183300     MOVE MMOC-AUTO-CLOSE-FREQ-2 (2)
183400                                 TO MBD100WS-PL1-FV-99.
183500     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-CLOSE-FREQ-2 (2).
183600     MOVE MMOC-AUTO-CLOSE-FREQ-2 (2)
183700                                 TO MBD100WS-PL2-TV-99.
183800     GO TO 5100-MR-NO-REC-CHECK.
183900*
184000*
184100*
184200 0544-MR-FIELD.
184300*
184400     IF  MBD100WS-JOURNAL
184500         MOVE MTL1-VL01-B-DATA-X TO MMOC-AUTO-PURGE-FLAG (2).
184600*
184700     MOVE 'STORE AUTO PURGE FLAG '
184800                                 TO MBD100WS-PL1-DESC.
184900     MOVE MMOC-AUTO-PURGE-FLAG (2)
185000                                 TO MBD100WS-PL1-FROM-VALUE.
185100     MOVE MTL1-VL01-A-DATA-X     TO MMOC-AUTO-PURGE-FLAG (2).
185200     MOVE MMOC-AUTO-PURGE-FLAG (2)
185300                                 TO MBD100WS-PL2-TO-VALUE.
185400     GO TO 5100-MR-NO-REC-CHECK.
185500*
185600*
185700*
185800 0545-MR-FIELD.
185900*
186000     IF  MBD100WS-JOURNAL
186100         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-MONTHS (2).
186200*
186300     MOVE 'STORE AUTO PURGE MONTH'
186400                                 TO MBD100WS-PL1-DESC.
186500     MOVE MMOC-AUTO-PURGE-MONTHS (2)
186600                                 TO MBD100WS-PL1-FV-99.
186700     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-MONTHS (2).
186800     MOVE MMOC-AUTO-PURGE-MONTHS (2)
186900                                 TO MBD100WS-PL2-TV-99.
187000     GO TO 5100-MR-NO-REC-CHECK.
187100*
187200*
187300*
187400 0546-MR-FIELD.
187500*
187600     IF  MBD100WS-JOURNAL
187700         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-FREQ-1 (2).
187800*
187900     MOVE 'STORE AUTO PURGE FREQ1'
188000                                 TO MBD100WS-PL1-DESC.
188100     MOVE MMOC-AUTO-PURGE-FREQ-1 (2)
188200                                 TO MBD100WS-PL1-FV-99.
188300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-FREQ-1 (2).
188400     MOVE MMOC-AUTO-PURGE-FREQ-1 (2)
188500                                 TO MBD100WS-PL2-TV-99.
188600     GO TO 5100-MR-NO-REC-CHECK.
188700*
188800*
188900*
189000 0547-MR-FIELD.
189100*
189200     IF  MBD100WS-JOURNAL
189300         MOVE MTL1-VL02-B-DATA-9 TO MMOC-AUTO-PURGE-FREQ-2 (2).
189400*
189500     MOVE 'STORE AUTO PURGE FREQ2'
189600                                 TO MBD100WS-PL1-DESC.
189700     MOVE MMOC-AUTO-PURGE-FREQ-2 (2)
189800                                 TO MBD100WS-PL1-FV-99.
189900     MOVE MTL1-VL02-A-DATA-9     TO MMOC-AUTO-PURGE-FREQ-2 (2).
190000     MOVE MMOC-AUTO-PURGE-FREQ-2 (2)
190100                                 TO MBD100WS-PL2-TV-99.
190200     GO TO 5100-MR-NO-REC-CHECK.
190300*
190400*
190500*
190600 0548-MR-FIELD.
190700*
190800     IF  MBD100WS-JOURNAL
190900         MOVE MTL1-VL01-B-DATA-X TO MMOC-MC-QTR-FLAG.             EH800900
191000*
191100     MOVE 'MC-EC/MC QTR RPT FLAG '                                EH800900
191200                                 TO MBD100WS-PL1-DESC.
191300     MOVE MMOC-MC-QTR-FLAG                                        EH800900
191400                                 TO MBD100WS-PL1-FROM-VALUE.
191500     MOVE MTL1-VL01-A-DATA-X     TO MMOC-MC-QTR-FLAG.             EH800900
191600     MOVE MMOC-MC-QTR-FLAG                                        EH800900
191700                                 TO MBD100WS-PL2-TO-VALUE.
191800     GO TO 5100-MR-NO-REC-CHECK.
191900*
192000*
192100*
192200 0549-MR-FIELD.
192300*
192400     IF  MBD100WS-JOURNAL
192500         MOVE MTL1-VL01-B-DATA-X TO MMOC-CURRENCY-NOD.
192600*
192700     MOVE 'CURRENCY NOD          '
192800                                 TO MBD100WS-PL1-DESC.
192900     MOVE MMOC-CURRENCY-NOD
193000                                 TO MBD100WS-PL1-FROM-VALUE.
193100     MOVE MTL1-VL01-A-DATA-X     TO MMOC-CURRENCY-NOD.
193200     MOVE MMOC-CURRENCY-NOD
193300                                 TO MBD100WS-PL2-TO-VALUE.
193400     GO TO 5100-MR-NO-REC-CHECK.
193500*
193600*
193700*
193800 0550-MR-FIELD.
193900*
194000     IF  MBD100WS-JOURNAL
194100         MOVE MTL1-VL01-B-DATA-X TO MMOC-CURRENCY-NOD.
194200*
194300     MOVE 'PERCENT NOD           '
194400                                 TO MBD100WS-PL1-DESC.
194500     MOVE MMOC-PERCENT-NOD
194600                                 TO MBD100WS-PL1-FROM-VALUE.
194700     MOVE MTL1-VL01-A-DATA-X     TO MMOC-PERCENT-NOD.
194800     MOVE MMOC-PERCENT-NOD
194900                                 TO MBD100WS-PL2-TO-VALUE.
195000     GO TO 5100-MR-NO-REC-CHECK.
195100*
195200*
195300*
195400 0551-MR-FIELD.
195500*
195600     IF  MBD100WS-JOURNAL
195700         MOVE MTL1-VL01-B-DATA-X TO MMOC-CURRENCY-NOD.
195800*
195900     MOVE 'PER-ITEM NOD           '
196000                                 TO MBD100WS-PL1-DESC.
196100     MOVE MMOC-PER-ITEM-NOD
196200                                 TO MBD100WS-PL1-FROM-VALUE.
196300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-PER-ITEM-NOD.
196400     MOVE MMOC-PER-ITEM-NOD
196500                                 TO MBD100WS-PL2-TO-VALUE.
196600     GO TO 5100-MR-NO-REC-CHECK.
196602*                                                                 EH800900
196604*                                                                 EH800900
196606*                                                                 EH800900
196608 0552-MR-FIELD.                                                   EH800900
196610*                                                                 EH800900
196612     IF  MBD100WS-JOURNAL                                         EH800900
196614         MOVE MTL1-VL01-B-DATA-X TO MMOC-VISA-QTR-FLAG.           EH800900
196616*                                                                 EH800900
196618     MOVE 'VISA QTR REPORT FLAG  '                                EH800900
196620                                 TO MBD100WS-PL1-DESC.            EH800900
196622     MOVE MMOC-VISA-QTR-FLAG                                      EH800900
196624                                 TO MBD100WS-PL1-FROM-VALUE.      EH800900
196626     MOVE MTL1-VL01-A-DATA-X     TO MMOC-VISA-QTR-FLAG.           EH800900
196628     MOVE MMOC-VISA-QTR-FLAG                                      EH800900
196630                                 TO MBD100WS-PL2-TO-VALUE.        EH800900
196632     GO TO 5100-MR-NO-REC-CHECK.                                  EH800900
196634*                                                                 EH800900
196636*                                                                 EH800900
196638*                                                                 EH800900
196640 0553-MR-FIELD.                                                   EH800900
196642*                                                                 EH800900
196644     IF  MBD100WS-JOURNAL                                         EH800900
196646         MOVE MTL1-VL10-B-DATA-9 TO MMOC-EUROPAY-CMID.            EH800900
196648*                                                                 EH800900
196650     MOVE 'EUROPAY CMID          '                                EH800900
196652                                 TO MBD100WS-PL1-DESC.            EH800900
196654     MOVE MMOC-EUROPAY-CMID      TO MBD100WS-PL1-FV-999999999.    EH800900
196656     MOVE MTL1-VL10-A-DATA-9     TO MMOC-EUROPAY-CMID             EH800900
196658     MOVE MMOC-EUROPAY-CMID      TO MBD100WS-PL2-TV-999999999.    EH800900
196660     GO TO 5100-MR-NO-REC-CHECK.                                  EH800900
196700*
196800*
196900*
197000 0601-MR-FIELD.
197100*
197200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
197300*
197400     IF  MBD100WS-JOURNAL
197500         MOVE MTL1-VL20-B-DATA-X TO MMOC-BC-DESC
197600                                    (X-MMOC-BC).
197700*
197800     MOVE 'BLOCK CODE DESCRIPTION'
197900                                 TO MBD100WS-PL1-DESC.
198000     MOVE MMOC-BC-DESC
198100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
198200     MOVE MTL1-VL20-A-DATA-X     TO MMOC-BC-DESC
198300                                    (X-MMOC-BC).
198400     MOVE MMOC-BC-DESC
198500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
198600     GO TO 5100-MR-NO-REC-CHECK.
198700*
198800*
198900*
199000 0602-MR-FIELD.
199100*
199200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
199300*
199400     IF  MBD100WS-JOURNAL
199500         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-DISC-FLAG
199600                                    (X-MMOC-BC).
199700*
199800     MOVE 'BLOCK CODE DISC FLAG  '
199900                                 TO MBD100WS-PL1-DESC.
200000     MOVE MMOC-BC-DISC-FLAG
200100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
200200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-DISC-FLAG
200300                                    (X-MMOC-BC).
200400     MOVE MMOC-BC-DISC-FLAG
200500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
200600     GO TO 5100-MR-NO-REC-CHECK.
200700*
200800*
200900*
201000 0603-MR-FIELD.
201100*
201200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
201300*
201400     IF  MBD100WS-JOURNAL
201500         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-PART-FLAG
201600                                    (X-MMOC-BC).
201700*
201800     MOVE 'BLOCK CODE PART FLAG  '
201900                                 TO MBD100WS-PL1-DESC.
202000     MOVE MMOC-BC-PART-FLAG
202100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
202200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-PART-FLAG
202300                                    (X-MMOC-BC).
202400     MOVE MMOC-BC-PART-FLAG
202500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
202600     GO TO 5100-MR-NO-REC-CHECK.
202700*
202800*
202900*
203000 0604-MR-FIELD.
203100*
203200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
203300*
203400     IF  MBD100WS-JOURNAL
203500         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-USER-FLAG
203600                                    (X-MMOC-BC).
203700*
203800     MOVE 'BLOCK CODE USER FLAG  '
203900                                 TO MBD100WS-PL1-DESC.
204000     MOVE MMOC-BC-USER-FLAG
204100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
204200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-USER-FLAG
204300                                    (X-MMOC-BC).
204400     MOVE MMOC-BC-USER-FLAG
204500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
204600     GO TO 5100-MR-NO-REC-CHECK.
204700*
204800*
204900*
205000 0605-MR-FIELD.
205100*
205200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
205300*
205400     IF  MBD100WS-JOURNAL
205500         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-SYSTEM-FEES-FLAG
205600                                    (X-MMOC-BC).
205700*
205800     MOVE 'BLOCK CODE SYSTEM FEES'
205900                                 TO MBD100WS-PL1-DESC.
206000     MOVE MMOC-BC-SYSTEM-FEES-FLAG
206100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
206200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-SYSTEM-FEES-FLAG
206300                                    (X-MMOC-BC).
206400     MOVE MMOC-BC-SYSTEM-FEES-FLAG
206500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
206600     GO TO 5100-MR-NO-REC-CHECK.
206700*
206800*
206900*
207000 0606-MR-FIELD.
207100*
207200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
207300*
207400     IF  MBD100WS-JOURNAL
207500         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-SETTLEMENT-FLAG
207600                                    (X-MMOC-BC).
207700*
207800     MOVE 'BLOCK CODE SETT FLAG  '
207900                                 TO MBD100WS-PL1-DESC.
208000     MOVE MMOC-BC-SETTLEMENT-FLAG
208100          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
208200     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-SETTLEMENT-FLAG
208300                                    (X-MMOC-BC).
208400     MOVE MMOC-BC-SETTLEMENT-FLAG
208500          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
208600     GO TO 5100-MR-NO-REC-CHECK.
208700*
208800*
208900*
209000 0607-MR-FIELD.
209100*
209200     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
209300     SET X-MMOC-BC-RESV          TO MTL1-FIELD-OCCURRENCE-2.
209400*
209500     IF  MBD100WS-JOURNAL
209600         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-RESV-FUNDING-FLAG
209700                                    (X-MMOC-BC X-MMOC-BC-RESV).
209800*
209900     MOVE 'BLOCK CODE RESV FUND  '
210000                                 TO MBD100WS-PL1-DESC.
210100     MOVE MMOC-BC-RESV-FUNDING-FLAG
210200          (X-MMOC-BC X-MMOC-BC-RESV)
210300                                 TO MBD100WS-PL1-FROM-VALUE.
210400     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-RESV-FUNDING-FLAG
210500                                    (X-MMOC-BC X-MMOC-BC-RESV).
210600     MOVE MMOC-BC-RESV-FUNDING-FLAG
210700          (X-MMOC-BC X-MMOC-BC-RESV)
210800                                 TO MBD100WS-PL2-TO-VALUE.
210900     GO TO 5100-MR-NO-REC-CHECK.
211000*
211100*
211200*
211300 0608-MR-FIELD.
211400*
211500     SET X-MMOC-BC               TO MTL1-FIELD-OCCURRENCE.
211600*
211700     IF  MBD100WS-JOURNAL
211800         MOVE MTL1-VL01-B-DATA-X TO MMOC-BC-POST-FLAG
211900                                    (X-MMOC-BC).
212000*
212100     MOVE 'BLOCK CODE POST FLAG  '
212200                                 TO MBD100WS-PL1-DESC.
212300     MOVE MMOC-BC-POST-FLAG
212400          (X-MMOC-BC)            TO MBD100WS-PL1-FROM-VALUE.
212500     MOVE MTL1-VL01-A-DATA-X     TO MMOC-BC-POST-FLAG
212600                                    (X-MMOC-BC).
212700     MOVE MMOC-BC-POST-FLAG
212800          (X-MMOC-BC)            TO MBD100WS-PL2-TO-VALUE.
212900     GO TO 5100-MR-NO-REC-CHECK.
213000*
213100*
213200*
213300 0801-MR-FIELD.
213400*
213500     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
213600*
213700     IF  MBD100WS-JOURNAL
213800         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-YEST
213900                                    (X-MMOC-STATS).
214000*
214100     EVALUATE TRUE
214200         WHEN X-MMOC-STATS IS EQUAL TO 2
214300             MOVE 'MERCH INTCHG YEST STAT'
214400                                 TO MBD100WS-PL1-DESC
214500         WHEN X-MMOC-STATS IS EQUAL TO 3
214600             MOVE 'CHAIN YESTERDAY STATS '
214700                                 TO MBD100WS-PL1-DESC
214800         WHEN X-MMOC-STATS IS EQUAL TO 4
214900             MOVE 'CHAIN INTCHG YEST STAT'
215000                                 TO MBD100WS-PL1-DESC
215100         WHEN OTHER
215200             MOVE 'MERCH YESTERDAY STATS '
215300                                 TO MBD100WS-PL1-DESC
215400     END-EVALUATE.
215500*
215600     MOVE MMOC-STATS-YEST
215700          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
215800     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-YEST
215900                                    (X-MMOC-STATS).
216000     MOVE MMOC-STATS-YEST
216100          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
216200     GO TO 5100-MR-NO-REC-CHECK.
216300*
216400*
216500*
216600 0802-MR-FIELD.
216700*
216800     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
216900*
217000     IF  MBD100WS-JOURNAL
217100         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-MTD
217200                                    (X-MMOC-STATS).
217300*
217400     EVALUATE TRUE
217500         WHEN X-MMOC-STATS IS EQUAL TO 2
217600             MOVE 'MER INTCHG M-T-D STATS'
217700                                 TO MBD100WS-PL1-DESC
217800         WHEN X-MMOC-STATS IS EQUAL TO 3
217900             MOVE 'CHAIN M-T-D STATS     '
218000                                 TO MBD100WS-PL1-DESC
218100         WHEN X-MMOC-STATS IS EQUAL TO 4
218200             MOVE 'CHAIN INTCHG MTD STATS'
218300                                 TO MBD100WS-PL1-DESC
218400         WHEN OTHER
218500             MOVE 'MERCH M-T-D STATS     '
218600                                 TO MBD100WS-PL1-DESC
218700     END-EVALUATE.
218800*
218900     MOVE MMOC-STATS-MTD
219000          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
219100     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-MTD
219200                                    (X-MMOC-STATS).
219300     MOVE MMOC-STATS-MTD
219400          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
219500     GO TO 5100-MR-NO-REC-CHECK.
219600*
219700*
219800*
219900 0803-MR-FIELD.
220000*
220100     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
220200*
220300     IF  MBD100WS-JOURNAL
220400         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-YTD
220500                                    (X-MMOC-STATS).
220600*
220700     EVALUATE TRUE
220800         WHEN X-MMOC-STATS IS EQUAL TO 2
220900             MOVE 'MER INTCHG Y-T-D STATS'
221000                                 TO MBD100WS-PL1-DESC
221100         WHEN X-MMOC-STATS IS EQUAL TO 3
221200             MOVE 'CHAIN Y-T-D STATS     '
221300                                 TO MBD100WS-PL1-DESC
221400         WHEN X-MMOC-STATS IS EQUAL TO 4
221500             MOVE 'CHAIN INTCHG YTD STATS'
221600                                 TO MBD100WS-PL1-DESC
221700         WHEN OTHER
221800             MOVE 'MERCH Y-T-D STATS     '
221900                                 TO MBD100WS-PL1-DESC
222000     END-EVALUATE.
222100*
222200     MOVE MMOC-STATS-YTD
222300          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
222400     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-YTD
222500                                    (X-MMOC-STATS).
222600     MOVE MMOC-STATS-YTD
222700          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
222800     GO TO 5100-MR-NO-REC-CHECK.
222900*
223000*
223100*
223200 0804-MR-FIELD.
223300*
223400     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
223500*
223600     IF  MBD100WS-JOURNAL
223700         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-CTD
223800                                    (X-MMOC-STATS).
223900*
224000     EVALUATE TRUE
224100         WHEN X-MMOC-STATS IS EQUAL TO 2
224200             MOVE 'MER INTCHG C-T-D STATS'
224300                                 TO MBD100WS-PL1-DESC
224400         WHEN X-MMOC-STATS IS EQUAL TO 3
224500             MOVE 'CHAIN C-T-D STATS     '
224600                                 TO MBD100WS-PL1-DESC
224700         WHEN X-MMOC-STATS IS EQUAL TO 4
224800             MOVE 'CHAIN INTCHG CTD STATS'
224900                                 TO MBD100WS-PL1-DESC
225000         WHEN OTHER
225100             MOVE 'MERCH C-T-D STATS     '
225200                                 TO MBD100WS-PL1-DESC
225300     END-EVALUATE.
225400*
225500     MOVE MMOC-STATS-CTD
225600          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
225700     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-CTD
225800                                    (X-MMOC-STATS).
225900     MOVE MMOC-STATS-CTD
226000          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
226100     GO TO 5100-MR-NO-REC-CHECK.
226200*
226300*
226400*
226500 0805-MR-FIELD.
226600*
226700     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
226800*
226900     IF  MBD100WS-JOURNAL
227000         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-DTD
227100                                    (X-MMOC-STATS).
227200*
227300     EVALUATE TRUE
227400         WHEN X-MMOC-STATS IS EQUAL TO 2
227500             MOVE 'MER INTCHG D-T-D STATS'
227600                                 TO MBD100WS-PL1-DESC
227700         WHEN X-MMOC-STATS IS EQUAL TO 3
227800             MOVE 'CHAIN D-T-D STATS     '
227900                                 TO MBD100WS-PL1-DESC
228000         WHEN X-MMOC-STATS IS EQUAL TO 4
228100             MOVE 'CHAIN INTCHG DTD STATS'
228200                                 TO MBD100WS-PL1-DESC
228300         WHEN OTHER
228400             MOVE 'MERCH D-T-D STATS     '
228500                                 TO MBD100WS-PL1-DESC
228600     END-EVALUATE.
228700*
228800     MOVE MMOC-STATS-DTD
228900          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
229000     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-DTD
229100                                    (X-MMOC-STATS).
229200     MOVE MMOC-STATS-DTD
229300          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
229400     GO TO 5100-MR-NO-REC-CHECK.
229500*
229600*
229700*
229800 0806-MR-FIELD.
229900*
230000     SET X-MMOC-STATS            TO MTL1-FIELD-OCCURRENCE.
230100*
230200     IF  MBD100WS-JOURNAL
230300         MOVE MTL1-VL01-B-DATA-9 TO MMOC-STATS-PTD
230400                                    (X-MMOC-STATS).
230500*
230600     EVALUATE TRUE
230700         WHEN X-MMOC-STATS IS EQUAL TO 2
230800             MOVE 'MER INTCHG P-T-D STATS'
230900                                 TO MBD100WS-PL1-DESC
231000         WHEN X-MMOC-STATS IS EQUAL TO 3
231100             MOVE 'CHAIN P-T-D STATS     '
231200                                 TO MBD100WS-PL1-DESC
231300         WHEN X-MMOC-STATS IS EQUAL TO 4
231400             MOVE 'CHAIN INTCHG PTD STATS'
231500                                 TO MBD100WS-PL1-DESC
231600         WHEN OTHER
231700             MOVE 'MERCH P-T-D STATS     '
231800                                 TO MBD100WS-PL1-DESC
231900     END-EVALUATE.
232000*
232100     MOVE MMOC-STATS-PTD
232200          (X-MMOC-STATS)         TO MBD100WS-PL1-FV-9.
232300     MOVE MTL1-VL01-A-DATA-9     TO MMOC-STATS-PTD
232400                                    (X-MMOC-STATS).
232500     MOVE MMOC-STATS-PTD
232600          (X-MMOC-STATS)         TO MBD100WS-PL2-TV-9.
232700     GO TO 5100-MR-NO-REC-CHECK.
232800*
232900*
233000*
233100 0901-MR-FIELD.
233200*
233300     SET X-MMOC-STMT-MSG         TO MTL1-FIELD-OCCURRENCE.
233400*
233500     IF  MBD100WS-JOURNAL
233600         MOVE MTL1-VL50-B-DATA-X TO MMOC-ORG-STMT-MSG-L1
233700                                    (X-MMOC-STMT-MSG).
233800*
233900     MOVE 'STMT MESSAGE LINE 1   '
234000                                 TO MBD100WS-PL1-DESC.
234100     MOVE MMOC-ORG-STMT-MSG-L1
234200          (X-MMOC-STMT-MSG)      TO MBD100WS-PL1-FROM-VALUE.
234300     MOVE MTL1-VL50-A-DATA-X     TO MMOC-ORG-STMT-MSG-L1
234400                                    (X-MMOC-STMT-MSG).
234500     MOVE MMOC-ORG-STMT-MSG-L1
234600          (X-MMOC-STMT-MSG)      TO MBD100WS-PL2-TO-VALUE.
234700     GO TO 5100-MR-NO-REC-CHECK.
234800*
234900*
235000*
235100 0902-MR-FIELD.
235200*
235300     SET X-MMOC-STMT-MSG         TO MTL1-FIELD-OCCURRENCE.
235400*
235500     IF  MBD100WS-JOURNAL
235600         MOVE MTL1-VL50-B-DATA-X TO MMOC-ORG-STMT-MSG-L2
235700                                    (X-MMOC-STMT-MSG).
235800*
235900     MOVE 'STMT MESSAGE LINE 2   '
236000                                 TO MBD100WS-PL1-DESC.
236100     MOVE MMOC-ORG-STMT-MSG-L2
236200          (X-MMOC-STMT-MSG)      TO MBD100WS-PL1-FROM-VALUE.
236300     MOVE MTL1-VL50-A-DATA-X     TO MMOC-ORG-STMT-MSG-L2
236400                                    (X-MMOC-STMT-MSG).
236500     MOVE MMOC-ORG-STMT-MSG-L2
236600          (X-MMOC-STMT-MSG)      TO MBD100WS-PL2-TO-VALUE.
236700     GO TO 5100-MR-NO-REC-CHECK.
236800*
236900*
237000*
237100 0903-MR-FIELD.
237200*
237300     SET X-MMOC-STMT-MSG         TO MTL1-FIELD-OCCURRENCE.
237400*
237500     IF  MBD100WS-JOURNAL
237600         MOVE MTL1-VL50-B-DATA-X TO MMOC-ORG-STMT-MSG-L3
237700                                    (X-MMOC-STMT-MSG).
237800*
237900     MOVE 'STMT MESSAGE LINE 3   '
238000                                 TO MBD100WS-PL1-DESC.
238100     MOVE MMOC-ORG-STMT-MSG-L3
238200          (X-MMOC-STMT-MSG)      TO MBD100WS-PL1-FROM-VALUE.
238300     MOVE MTL1-VL50-A-DATA-X     TO MMOC-ORG-STMT-MSG-L3
238400                                    (X-MMOC-STMT-MSG).
238500     MOVE MMOC-ORG-STMT-MSG-L3
238600          (X-MMOC-STMT-MSG)      TO MBD100WS-PL2-TO-VALUE.
238700     GO TO 5100-MR-NO-REC-CHECK.
238800*
238900*
239000*
239100 1001-MR-FIELD.
239200*
239300     SET X-MMOC-UFT              TO MTL1-FIELD-OCCURRENCE.
239400*
239500     IF  MBD100WS-JOURNAL
239600         MOVE MTL1-VL20-B-DATA-X TO MMOC-UF-TITLES-DESC
239700                                    (X-MMOC-UFT).
239800*
239900     MOVE 'USER FEES TITLES DESC '
240000                                 TO MBD100WS-PL1-DESC.
240100     MOVE MMOC-UF-TITLES-DESC
240200          (X-MMOC-UFT)           TO MBD100WS-PL1-FROM-VALUE.
240300     MOVE MTL1-VL20-A-DATA-X     TO MMOC-UF-TITLES-DESC
240400                                    (X-MMOC-UFT).
240500     MOVE MMOC-UF-TITLES-DESC
240600          (X-MMOC-UFT)           TO MBD100WS-PL2-TO-VALUE.
240700     GO TO 5100-MR-NO-REC-CHECK.
240800*
240900*
241000*
241100 1101-MR-FIELD.
241200*
241300     SET X-MMOC-MUC              TO MTL1-FIELD-OCCURRENCE.
241400*
241500     IF  MBD100WS-JOURNAL
241600         MOVE MTL1-VL20-B-DATA-X TO MMOC-MERCH-USER-CODE-DESC
241700                                    (X-MMOC-MUC).
241800*
241900     MOVE 'MERCH USER CODE DESC  '
242000                                 TO MBD100WS-PL1-DESC.
242100     MOVE MMOC-MERCH-USER-CODE-DESC
242200          (X-MMOC-MUC)           TO MBD100WS-PL1-FROM-VALUE.
242300     MOVE MTL1-VL20-A-DATA-X     TO MMOC-MERCH-USER-CODE-DESC
242400                                    (X-MMOC-MUC).
242500     MOVE MMOC-MERCH-USER-CODE-DESC
242600          (X-MMOC-MUC)           TO MBD100WS-PL2-TO-VALUE.
242700     GO TO 5100-MR-NO-REC-CHECK.
242800*
242900*
243000*
243100 1102-MR-FIELD.
243200*
243300     SET X-MMOC-MUD              TO MTL1-FIELD-OCCURRENCE.
243400*
243500     IF  MBD100WS-JOURNAL
243600         MOVE MTL1-VL20-B-DATA-X TO MMOC-MERCH-USER-DATE-DESC
243700                                    (X-MMOC-MUD).
243800*
243900     MOVE 'MERCH USER DATE DESC  '
244000                                 TO MBD100WS-PL1-DESC.
244100     MOVE MMOC-MERCH-USER-DATE-DESC
244200          (X-MMOC-MUD)           TO MBD100WS-PL1-FROM-VALUE.
244300     MOVE MTL1-VL20-A-DATA-X     TO MMOC-MERCH-USER-DATE-DESC
244400                                    (X-MMOC-MUD).
244500     MOVE MMOC-MERCH-USER-DATE-DESC
244600          (X-MMOC-MUD)           TO MBD100WS-PL2-TO-VALUE.
244700     GO TO 5100-MR-NO-REC-CHECK.
244800*
244900*
245000*
245100 1103-MR-FIELD.
245200*
245300     SET X-MMOC-MUA              TO MTL1-FIELD-OCCURRENCE.
245400*
245500     IF  MBD100WS-JOURNAL
245600         MOVE MTL1-VL20-B-DATA-X TO MMOC-MERCH-USER-AMOUNT-DESC
245700                                    (X-MMOC-MUA).
245800*
245900     MOVE 'MERCH USER AMOUNT DESC'
246000                                 TO MBD100WS-PL1-DESC.
246100     MOVE MMOC-MERCH-USER-AMOUNT-DESC
246200          (X-MMOC-MUA)           TO MBD100WS-PL1-FROM-VALUE.
246300     MOVE MTL1-VL20-A-DATA-X     TO MMOC-MERCH-USER-AMOUNT-DESC
246400                                    (X-MMOC-MUA).
246500     MOVE MMOC-MERCH-USER-AMOUNT-DESC
246600          (X-MMOC-MUA)           TO MBD100WS-PL2-TO-VALUE.
246700     GO TO 5100-MR-NO-REC-CHECK.
246800*
246900*
247000*
247100 1201-MR-FIELD.
247200*
247300     SET X-MMOC-PROD             TO MTL1-FIELD-OCCURRENCE.
247400*
247500     IF  MBD100WS-JOURNAL
247600         MOVE MTL1-VL01-B-DATA-X TO MMOC-PRODUCT-STATUS
247700                                    (X-MMOC-PROD).
247800*
247900     MOVE 'PRODUCT STATUS        '
248000                                 TO MBD100WS-PL1-DESC.
248100     MOVE MMOC-PRODUCT-STATUS
248200          (X-MMOC-PROD)          TO MBD100WS-PL1-FROM-VALUE.
248300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-PRODUCT-STATUS
248400                                    (X-MMOC-PROD).
248500     MOVE MMOC-PRODUCT-STATUS
248600          (X-MMOC-PROD)          TO MBD100WS-PL2-TO-VALUE.
248700     GO TO 5100-MR-NO-REC-CHECK.
248800*
248900*
249000*
249100 1202-MR-FIELD.
249200*
249300     SET X-MMOC-PROD             TO MTL1-FIELD-OCCURRENCE.
249400*
249500     IF  MBD100WS-JOURNAL
249600         MOVE MTL1-VL20-B-DATA-X TO MMOC-PRODUCT-DESC
249700                                    (X-MMOC-PROD).
249800*
249900     MOVE 'PRODUCT DESCRIPTION   '
250000                                 TO MBD100WS-PL1-DESC.
250100     MOVE MMOC-PRODUCT-DESC
250200          (X-MMOC-PROD)          TO MBD100WS-PL1-FROM-VALUE.
250300     MOVE MTL1-VL20-A-DATA-X     TO MMOC-PRODUCT-DESC
250400                                    (X-MMOC-PROD).
250500     MOVE MMOC-PRODUCT-DESC
250600          (X-MMOC-PROD)          TO MBD100WS-PL2-TO-VALUE.
250700     GO TO 5100-MR-NO-REC-CHECK.
250800*
250900*
251000*
251100 1203-MR-FIELD.
251200*
251300     SET X-MMOC-PROD             TO MTL1-FIELD-OCCURRENCE.
251400*
251500     IF  MBD100WS-JOURNAL
251600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-PRODUCT-QRTRLY-RPT-FLAG
251700                                    (X-MMOC-PROD).
251800*
251900     MOVE 'QUARTERLY REPORT FLAG '
252000                                 TO MBD100WS-PL1-DESC.
252100     MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
252200                                 TO MBD100WS-PL1-FV-99.
252300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-PRODUCT-QRTRLY-RPT-FLAG
252400                                    (X-MMOC-PROD).
252500     MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
252600                                 TO MBD100WS-PL2-TV-99.
252700     GO TO 5100-MR-NO-REC-CHECK.
252800*
252900*
253000*
253100 1301-MR-FIELD.
253200*
253300     SET X-MMOC-RDEST            TO MTL1-FIELD-OCCURRENCE.
253400*
253500     IF  MBD100WS-JOURNAL
253600         MOVE MTL1-VL05-B-DATA-X TO MMOC-REPORT-DEST-ID
253700                                    (X-MMOC-RDEST).
253800*
253900     MOVE 'REPORT DESTINATION ID '
254000                                 TO MBD100WS-PL1-DESC.
254100     MOVE MMOC-REPORT-DEST-ID
254200          (X-MMOC-RDEST)         TO MBD100WS-PL1-FROM-VALUE.
254300     MOVE MTL1-VL05-A-DATA-X     TO MMOC-REPORT-DEST-ID
254400                                    (X-MMOC-RDEST).
254500     MOVE MMOC-REPORT-DEST-ID
254600          (X-MMOC-RDEST)         TO MBD100WS-PL2-TO-VALUE.
254700     GO TO 5100-MR-NO-REC-CHECK.
254800*
254900*
255000*
255100 1302-MR-FIELD.
255200*
255300     SET X-MMOC-RDEST            TO MTL1-FIELD-OCCURRENCE.
255400*
255500     IF  MBD100WS-JOURNAL
255600         MOVE MTL1-VL30-B-DATA-X TO MMOC-REPORT-DEST-DESC
255700                                    (X-MMOC-RDEST).
255800*
255900     MOVE 'RPT DEST DESCRIPTION  '
256000                                 TO MBD100WS-PL1-DESC.
256100     MOVE MMOC-REPORT-DEST-DESC
256200          (X-MMOC-RDEST)         TO MBD100WS-PL1-FROM-VALUE.
256300     MOVE MTL1-VL30-A-DATA-X     TO MMOC-REPORT-DEST-DESC
256400                                    (X-MMOC-RDEST).
256500     MOVE MMOC-REPORT-DEST-DESC
256600          (X-MMOC-RDEST)         TO MBD100WS-PL2-TO-VALUE.
256700     GO TO 5100-MR-NO-REC-CHECK.
256800*
256900*
257000*
257100 1401-MR-FIELD.
257200*
257300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
257400*
257500     IF  MBD100WS-JOURNAL
257600         MOVE MTL1-VL05-B-DATA-X TO MMOC-OR-REPORT-DEST-ID
257700                                    (X-MMOC-OR).
257800*
257900     MOVE 'OPT RPT DESTINATION ID'
258000                                 TO MBD100WS-PL1-DESC.
258100     MOVE MMOC-OR-REPORT-DEST-ID
258200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
258300     MOVE MTL1-VL05-A-DATA-X     TO MMOC-OR-REPORT-DEST-ID
258400                                    (X-MMOC-OR).
258500     MOVE MMOC-OR-REPORT-DEST-ID
258600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
258700     GO TO 5100-MR-NO-REC-CHECK.
258800*
258900*
259000*
259100 1402-MR-FIELD.
259200*
259300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
259400*
259500     IF  MBD100WS-JOURNAL
259600         MOVE MTL1-VL01-B-DATA-X TO MMOC-OR-ACTIVITY-FLAG
259700                                    (X-MMOC-OR).
259800*
259900     MOVE 'OPT RPT ACTIVITY FLAG '
260000                                 TO MBD100WS-PL1-DESC.
260100     MOVE MMOC-OR-ACTIVITY-FLAG
260200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
260300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-OR-ACTIVITY-FLAG
260400                                    (X-MMOC-OR).
260500     MOVE MMOC-OR-ACTIVITY-FLAG
260600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
260700     GO TO 5100-MR-NO-REC-CHECK.
260800*
260900*
261000*
261100 1403-MR-FIELD.
261200*
261300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
261400*
261500     IF  MBD100WS-JOURNAL
261600         MOVE MTL1-VL01-B-DATA-9 TO MMOC-OR-PRINT-FILE
261700                                    (X-MMOC-OR).
261800*
261900     MOVE 'OPT RPT PRINT FILE    '
262000                                 TO MBD100WS-PL1-DESC.
262100     MOVE MMOC-OR-PRINT-FILE
262200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-9.
262300     MOVE MTL1-VL01-A-DATA-9     TO MMOC-OR-PRINT-FILE
262400                                    (X-MMOC-OR).
262500     MOVE MMOC-OR-PRINT-FILE
262600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-9.
262700     GO TO 5100-MR-NO-REC-CHECK.
262800*
262900*
263000*
263100 1404-MR-FIELD.
263200*
263300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
263400*
263500     IF  MBD100WS-JOURNAL
263600         MOVE MTL1-VL01-B-DATA-X TO MMOC-OR-FICHE-FLAG
263700                                    (X-MMOC-OR).
263800*
263900     MOVE 'OPT RPT FICHE FLAG    '
264000                                 TO MBD100WS-PL1-DESC.
264100     MOVE MMOC-OR-FICHE-FLAG
264200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
264300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-OR-FICHE-FLAG
264400                                    (X-MMOC-OR).
264500     MOVE MMOC-OR-FICHE-FLAG
264600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
264700     GO TO 5100-MR-NO-REC-CHECK.
264800*
264900*
265000*
265100 1405-MR-FIELD.
265200*
265300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
265400*
265500     IF  MBD100WS-JOURNAL
265600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-FREQ-1
265700                                    (X-MMOC-OR).
265800*
265900     MOVE 'OPT RPT FREQ 1        '
266000                                 TO MBD100WS-PL1-DESC.
266100     MOVE MMOC-OR-FREQ-1
266200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
266300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-FREQ-1
266400                                    (X-MMOC-OR).
266500     MOVE MMOC-OR-FREQ-1
266600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
266700     GO TO 5100-MR-NO-REC-CHECK.
266800*
266900*
267000*
267100 1406-MR-FIELD.
267200*
267300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
267400*
267500     IF  MBD100WS-JOURNAL
267600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-FORM-1
267700                                    (X-MMOC-OR).
267800*
267900     MOVE 'OPT RPT FORM CODE 1   '
268000                                 TO MBD100WS-PL1-DESC.
268100     MOVE MMOC-OR-FORM-1
268200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
268300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-FORM-1
268400                                    (X-MMOC-OR).
268500     MOVE MMOC-OR-FORM-1
268600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
268700     GO TO 5100-MR-NO-REC-CHECK.
268800*
268900*
269000*
269100 1407-MR-FIELD.
269200*
269300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
269400*
269500     IF  MBD100WS-JOURNAL
269600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-GROUP-1
269700                                    (X-MMOC-OR).
269800*
269900     MOVE 'OPT RPT GROUP CODE 1  '
270000                                 TO MBD100WS-PL1-DESC.
270100     MOVE MMOC-OR-GROUP-1
270200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
270300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-GROUP-1
270400                                    (X-MMOC-OR).
270500     MOVE MMOC-OR-GROUP-1
270600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
270700     GO TO 5100-MR-NO-REC-CHECK.
270800*
270900*
271000*
271100 1408-MR-FIELD.
271200*
271300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
271400*
271500     IF  MBD100WS-JOURNAL
271600         MOVE MTL1-VL01-B-DATA-X TO MMOC-OR-SUMMARY-DETAIL-1
271700                                    (X-MMOC-OR).
271800*
271900     MOVE 'OPT RPT SUMM/DETAIL 1 '
272000                                 TO MBD100WS-PL1-DESC.
272100     MOVE MMOC-OR-SUMMARY-DETAIL-1
272200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
272300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-OR-SUMMARY-DETAIL-1
272400                                    (X-MMOC-OR).
272500     MOVE MMOC-OR-SUMMARY-DETAIL-1
272600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
272700     GO TO 5100-MR-NO-REC-CHECK.
272800*
272900*
273000*
273100 1409-MR-FIELD.
273200*
273300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
273400*
273500     IF  MBD100WS-JOURNAL
273600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-FREQ-2
273700                                    (X-MMOC-OR).
273800*
273900     MOVE 'OPT RPT FREQ 2        '
274000                                 TO MBD100WS-PL1-DESC.
274100     MOVE MMOC-OR-FREQ-2
274200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
274300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-FREQ-2
274400                                    (X-MMOC-OR).
274500     MOVE MMOC-OR-FREQ-2
274600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
274700     GO TO 5100-MR-NO-REC-CHECK.
274800*
274900*
275000*
275100 1410-MR-FIELD.
275200*
275300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
275400*
275500     IF  MBD100WS-JOURNAL
275600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-FORM-2
275700                                    (X-MMOC-OR).
275800*
275900     MOVE 'OPT RPT FORM CODE 2   '
276000                                 TO MBD100WS-PL1-DESC.
276100     MOVE MMOC-OR-FORM-2
276200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
276300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-FORM-2
276400                                    (X-MMOC-OR).
276500     MOVE MMOC-OR-FORM-2
276600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
276700     GO TO 5100-MR-NO-REC-CHECK.
276800*
276900*
277000*
277100 1411-MR-FIELD.
277200*
277300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
277400*
277500     IF  MBD100WS-JOURNAL
277600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-OR-GROUP-2
277700                                    (X-MMOC-OR).
277800*
277900     MOVE 'OPT RPT GROUP CODE 2  '
278000                                 TO MBD100WS-PL1-DESC.
278100     MOVE MMOC-OR-GROUP-2
278200          (X-MMOC-OR)            TO MBD100WS-PL1-FV-99.
278300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-OR-GROUP-2
278400                                    (X-MMOC-OR).
278500     MOVE MMOC-OR-GROUP-2
278600          (X-MMOC-OR)            TO MBD100WS-PL2-TV-99.
278700     GO TO 5100-MR-NO-REC-CHECK.
278800*
278900*
279000*
279100 1412-MR-FIELD.
279200*
279300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
279400*
279500     IF  MBD100WS-JOURNAL
279600         MOVE MTL1-VL01-B-DATA-X TO MMOC-OR-SUMMARY-DETAIL-2
279700                                    (X-MMOC-OR).
279800*
279900     MOVE 'OPT RPT SUMM/DETAIL 2 '
280000                                 TO MBD100WS-PL1-DESC.
280100     MOVE MMOC-OR-SUMMARY-DETAIL-2
280200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
280300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-OR-SUMMARY-DETAIL-2
280400                                    (X-MMOC-OR).
280500     MOVE MMOC-OR-SUMMARY-DETAIL-2
280600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
280700     GO TO 5100-MR-NO-REC-CHECK.
280800*
280900*
281000*
281100 2201-MR-FIELD.
281200*
281300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
281400*
281500     IF  MBD100WS-JOURNAL
281600         MOVE MTL1-VL10-B-DATA-X TO MMOC-OR-REPORT-ID
281700                                    (X-MMOC-OR).
281800*
281900     MOVE 'OPT RPT REPORT ID     '
282000                                 TO MBD100WS-PL1-DESC.
282100     MOVE MMOC-OR-REPORT-ID
282200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
282300     MOVE MTL1-VL10-A-DATA-X     TO MMOC-OR-REPORT-ID
282400                                    (X-MMOC-OR).
282500     MOVE MMOC-OR-REPORT-ID
282600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
282700     GO TO 5100-MR-NO-REC-CHECK.
282800*
282900*
283000*
283100 2202-MR-FIELD.
283200*
283300     SET X-MMOC-OR               TO MTL1-FIELD-OCCURRENCE.
283400*
283500     IF  MBD100WS-JOURNAL
283600         MOVE MTL1-VL30-B-DATA-X TO MMOC-OR-RPT-TITLE
283700                                    (X-MMOC-OR).
283800*
283900     MOVE 'OPT RPT TITLE         '
284000                                 TO MBD100WS-PL1-DESC.
284100     MOVE MMOC-OR-RPT-TITLE
284200          (X-MMOC-OR)            TO MBD100WS-PL1-FROM-VALUE.
284300     MOVE MTL1-VL30-A-DATA-X     TO MMOC-OR-RPT-TITLE
284400                                    (X-MMOC-OR).
284500     MOVE MMOC-OR-RPT-TITLE
284600          (X-MMOC-OR)            TO MBD100WS-PL2-TO-VALUE.
284700     GO TO 5100-MR-NO-REC-CHECK.
284800*
284900*
285000*
285100 3001-MR-FIELD.
285200*
285300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
285400*
285500     IF  MBD100WS-JOURNAL
285600         MOVE MTL1-VL05-B-DATA-X TO MMOC-UR-REPORT-DEST-ID
285700                                    (X-MMOC-UR).
285800*
285900     MOVE 'USR RPT DESTINATION ID'
286000                                 TO MBD100WS-PL1-DESC.
286100     MOVE MMOC-UR-REPORT-DEST-ID
286200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
286300     MOVE MTL1-VL05-A-DATA-X     TO MMOC-UR-REPORT-DEST-ID
286400                                    (X-MMOC-UR).
286500     MOVE MMOC-UR-REPORT-DEST-ID
286600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
286700     GO TO 5100-MR-NO-REC-CHECK.
286800*
286900*
287000*
287100 3002-MR-FIELD.
287200*
287300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
287400*
287500     IF  MBD100WS-JOURNAL
287600         MOVE MTL1-VL01-B-DATA-X TO MMOC-UR-ACTIVITY-FLAG
287700                                    (X-MMOC-UR).
287800*
287900     MOVE 'USR RPT ACTIVITY FLAG '
288000                                 TO MBD100WS-PL1-DESC.
288100     MOVE MMOC-UR-ACTIVITY-FLAG
288200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
288300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-UR-ACTIVITY-FLAG
288400                                    (X-MMOC-UR).
288500     MOVE MMOC-UR-ACTIVITY-FLAG
288600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
288700     GO TO 5100-MR-NO-REC-CHECK.
288800*
288900*
289000*
289100 3003-MR-FIELD.
289200*
289300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
289400*
289500     IF  MBD100WS-JOURNAL
289600         MOVE MTL1-VL01-B-DATA-9 TO MMOC-UR-PRINT-FILE
289700                                    (X-MMOC-UR).
289800*
289900     MOVE 'USR RPT PRINT FILE    '
290000                                 TO MBD100WS-PL1-DESC.
290100     MOVE MMOC-UR-PRINT-FILE
290200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-9.
290300     MOVE MTL1-VL01-A-DATA-9     TO MMOC-UR-PRINT-FILE
290400                                    (X-MMOC-UR).
290500     MOVE MMOC-UR-PRINT-FILE
290600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-9.
290700     GO TO 5100-MR-NO-REC-CHECK.
290800*
290900*
291000*
291100 3004-MR-FIELD.
291200*
291300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
291400*
291500     IF  MBD100WS-JOURNAL
291600         MOVE MTL1-VL01-B-DATA-X TO MMOC-UR-FICHE-FLAG
291700                                    (X-MMOC-UR).
291800*
291900     MOVE 'USR RPT FICHE FLAG    '
292000                                 TO MBD100WS-PL1-DESC.
292100     MOVE MMOC-UR-FICHE-FLAG
292200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
292300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-UR-FICHE-FLAG
292400                                    (X-MMOC-UR).
292500     MOVE MMOC-UR-FICHE-FLAG
292600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
292700     GO TO 5100-MR-NO-REC-CHECK.
292800*
292900*
293000*
293100 3005-MR-FIELD.
293200*
293300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
293400*
293500     IF  MBD100WS-JOURNAL
293600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-FREQ-1
293700                                    (X-MMOC-UR).
293800*
293900     MOVE 'USR RPT FREQ 1        '
294000                                 TO MBD100WS-PL1-DESC.
294100     MOVE MMOC-UR-FREQ-1
294200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
294300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-FREQ-1
294400                                    (X-MMOC-UR).
294500     MOVE MMOC-UR-FREQ-1
294600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
294700     GO TO 5100-MR-NO-REC-CHECK.
294800*
294900*
295000*
295100 3006-MR-FIELD.
295200*
295300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
295400*
295500     IF  MBD100WS-JOURNAL
295600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-FORM-1
295700                                    (X-MMOC-UR).
295800*
295900     MOVE 'USR RPT FORM CODE 1   '
296000                                 TO MBD100WS-PL1-DESC.
296100     MOVE MMOC-UR-FORM-1
296200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
296300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-FORM-1
296400                                    (X-MMOC-UR).
296500     MOVE MMOC-UR-FORM-1
296600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
296700     GO TO 5100-MR-NO-REC-CHECK.
296800*
296900*
297000*
297100 3007-MR-FIELD.
297200*
297300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
297400*
297500     IF  MBD100WS-JOURNAL
297600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-GROUP-1
297700                                    (X-MMOC-UR).
297800*
297900     MOVE 'USR RPT GROUP CODE 1  '
298000                                 TO MBD100WS-PL1-DESC.
298100     MOVE MMOC-UR-GROUP-1
298200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
298300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-GROUP-1
298400                                    (X-MMOC-UR).
298500     MOVE MMOC-UR-GROUP-1
298600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
298700     GO TO 5100-MR-NO-REC-CHECK.
298800*
298900*
299000*
299100 3008-MR-FIELD.
299200*
299300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
299400*
299500     IF  MBD100WS-JOURNAL
299600         MOVE MTL1-VL01-B-DATA-X TO MMOC-UR-SUMMARY-DETAIL-1
299700                                    (X-MMOC-UR).
299800*
299900     MOVE 'USR RPT SUMM/DETAIL 1 '
300000                                 TO MBD100WS-PL1-DESC.
300100     MOVE MMOC-UR-SUMMARY-DETAIL-1
300200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
300300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-UR-SUMMARY-DETAIL-1
300400                                    (X-MMOC-UR).
300500     MOVE MMOC-UR-SUMMARY-DETAIL-1
300600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
300700     GO TO 5100-MR-NO-REC-CHECK.
300800*
300900*
301000*
301100 3009-MR-FIELD.
301200*
301300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
301400*
301500     IF  MBD100WS-JOURNAL
301600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-FREQ-2
301700                                    (X-MMOC-UR).
301800*
301900     MOVE 'USR RPT FREQ 2        '
302000                                 TO MBD100WS-PL1-DESC.
302100     MOVE MMOC-UR-FREQ-2
302200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
302300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-FREQ-2
302400                                    (X-MMOC-UR).
302500     MOVE MMOC-UR-FREQ-2
302600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
302700     GO TO 5100-MR-NO-REC-CHECK.
302800*
302900*
303000*
303100 3010-MR-FIELD.
303200*
303300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
303400*
303500     IF  MBD100WS-JOURNAL
303600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-FORM-2
303700                                    (X-MMOC-UR).
303800*
303900     MOVE 'USR RPT FORM CODE 2   '
304000                                 TO MBD100WS-PL1-DESC.
304100     MOVE MMOC-UR-FORM-2
304200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
304300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-FORM-2
304400                                    (X-MMOC-UR).
304500     MOVE MMOC-UR-FORM-2
304600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
304700     GO TO 5100-MR-NO-REC-CHECK.
304800*
304900*
305000*
305100 3011-MR-FIELD.
305200*
305300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
305400*
305500     IF  MBD100WS-JOURNAL
305600         MOVE MTL1-VL02-B-DATA-9 TO MMOC-UR-GROUP-2
305700                                    (X-MMOC-UR).
305800*
305900     MOVE 'USR RPT GROUP CODE 2  '
306000                                 TO MBD100WS-PL1-DESC.
306100     MOVE MMOC-UR-GROUP-2
306200          (X-MMOC-UR)            TO MBD100WS-PL1-FV-99.
306300     MOVE MTL1-VL02-A-DATA-9     TO MMOC-UR-GROUP-2
306400                                    (X-MMOC-UR).
306500     MOVE MMOC-UR-GROUP-2
306600          (X-MMOC-UR)            TO MBD100WS-PL2-TV-99.
306700     GO TO 5100-MR-NO-REC-CHECK.
306800*
306900*
307000*
307100 3012-MR-FIELD.
307200*
307300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
307400*
307500     IF  MBD100WS-JOURNAL
307600         MOVE MTL1-VL01-B-DATA-X TO MMOC-UR-SUMMARY-DETAIL-2
307700                                    (X-MMOC-UR).
307800*
307900     MOVE 'USR RPT SUMM/DETAIL 2 '
308000                                 TO MBD100WS-PL1-DESC.
308100     MOVE MMOC-UR-SUMMARY-DETAIL-2
308200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
308300     MOVE MTL1-VL01-A-DATA-X     TO MMOC-UR-SUMMARY-DETAIL-2
308400                                    (X-MMOC-UR).
308500     MOVE MMOC-UR-SUMMARY-DETAIL-2
308600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
308700     GO TO 5100-MR-NO-REC-CHECK.
308800*
308900*
309000*
309100 3201-MR-FIELD.
309200*
309300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
309400*
309500     IF  MBD100WS-JOURNAL
309600         MOVE MTL1-VL10-B-DATA-X TO MMOC-UR-REPORT-ID
309700                                    (X-MMOC-UR).
309800*
309900     MOVE 'USR RPT REPORT-ID     '
310000                                 TO MBD100WS-PL1-DESC.
310100     MOVE MMOC-UR-REPORT-ID
310200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
310300     MOVE MTL1-VL10-A-DATA-X     TO MMOC-UR-REPORT-ID
310400                                    (X-MMOC-UR).
310500     MOVE MMOC-UR-REPORT-ID
310600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
310700     GO TO 5100-MR-NO-REC-CHECK.
310800*
310900*
311000*
311100 3202-MR-FIELD.
311200*
311300     SET X-MMOC-UR               TO MTL1-FIELD-OCCURRENCE.
311400*
311500     IF  MBD100WS-JOURNAL
311600         MOVE MTL1-VL30-B-DATA-X TO MMOC-UR-RPT-TITLE
311700                                    (X-MMOC-UR).
311800*
311900     MOVE 'USR RPT TITLE         '
312000                                 TO MBD100WS-PL1-DESC.
312100     MOVE MMOC-UR-RPT-TITLE
312200          (X-MMOC-UR)            TO MBD100WS-PL1-FROM-VALUE.
312300     MOVE MTL1-VL30-A-DATA-X     TO MMOC-UR-RPT-TITLE
312400                                    (X-MMOC-UR).
312500     MOVE MMOC-UR-RPT-TITLE
312600          (X-MMOC-UR)            TO MBD100WS-PL2-TO-VALUE.
312700     GO TO 5100-MR-NO-REC-CHECK.
312800*
312900*
313000*
313100 5100-MR-NO-REC-CHECK.
313200*
313300     IF  MBD100WS-UPDATE
313400     AND MBD100WS-IO-NO-REC-FOUND
313500         MOVE '*** ERROR - NO RECORD FOUND ***'
313600                                 TO MBD100WS-PL2-TO-VALUE.
313700*
313800 5999-MR-EXIT.
313900     EXIT.
314000/
314100 8100-FROM-DATE SECTION.
314200 8110-FD-BEGIN.
314300*
314400     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
314500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
314600        THRU SS26PD-NED-EXIT.
314700     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
314800     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
314900*
315000 8199-FD-EXIT.
315100     EXIT.
315200*
315300*
315400*
315500 8200-TO-DATE SECTION.
315600 8210-TD-BEGIN.
315700*
315800     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
315900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
316000        THRU SS26PD-NED-EXIT.
316100     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
316200     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
316300*
316400 8299-TD-EXIT.
316500     EXIT.
316600/
316700 9000-PERFORMED-ROUTINES-SECT SECTION.
316800*
316900     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
317000/
317100     COPY MMOCPX.
317200/
317300     COPY SS95PD.
317400/
317500     COPY MB99PD.
317600/
317700     COPY SS02PD.
317800/
317900     COPY SS07PD.
318000/
318100     COPY SS08PD.
318200/
318300     COPY SS26PD.
318400/
318500     COPY SS27PD.
318600*
318700 9995-END-SOURCE-STATEMENTS SECTION.
318800 9999-END-OF-PROGRAM.
318900     EXIT.
