000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100RD.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100RD - RELATIONSHIP DETAIL RECOVERY AND               *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
002800/
002900     COPY MMRDIO REPLACING ==:MMRD:== BY ==MMRD==.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMRD==.
003200/
003300     COPY MMRDIR REPLACING ==:MMRD:== BY ==MMRD==.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100RD'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMRD'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1RD'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMRDRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMRD-ACCESS
010800        THRU MB00PD-MMRD-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1RD'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMRDRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMRDRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMRD-ACCESS
012700        THRU MB00PD-MMRD-ACCESS-EXIT.
012800*
012900     MOVE 'R0RD'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMRDRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMRD-ACCESS
013200        THRU MB00PD-MMRD-ACCESS-EXIT.
013300     MOVE 'MMRD'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMRDIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMRDIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMRDIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMRD-KEY IS NOT EQUAL TO MMRD-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMRD-KEY IS NOT EQUAL TO MMRD-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMRD-KEY IS EQUAL TO MMRDIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMRD-RECORD        TO MMRDIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMRDRB-TEMP-STATUS-1
019400         MOVE 'U1RD'             TO SS02WS-ABEND-LOCATION
019500         SET MMRDRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMRD-ACCESS
019700            THRU MB00PD-MMRD-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMRD-RECORD        TO MMRDIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMRDRB-TEMP-STATUS-1
020600         MOVE 'W2RD'             TO SS02WS-ABEND-LOCATION
020700         SET MMRDRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMRD-ACCESS
020900            THRU MB00PD-MMRD-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMRD-RECORD    TO MMRDIO-RECORD
021300             MOVE 'U2RD'         TO SS02WS-ABEND-LOCATION
021400             SET MMRDRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMRD-ACCESS
021600                THRU MB00PD-MMRD-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMRDRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMRD-KEY          TO MMRDIO-KEY.
023500*
023600     MOVE 'R1RD'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMRDRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMRD-ACCESS
023900        THRU MB00PD-MMRD-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMRDIO-RECORD      TO MMRD-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMRD-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMRD-ORG               TO MTCC-MBU917-BEG-ORG.
027700     MOVE MMRD-CHAIN             TO MTCC-MBU917-BEG-CHAIN.
027800     MOVE 'MBU917'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC2-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMRD-CHAIN        TO MBD100WS-PL1-CHAIN.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500     MOVE 'SEQ='                 TO MBD100WS-PL2-SEQ-LIT.
029600     MOVE MTL1-MMRD-SEQ-NBR      TO MBD100WS-PL2-SEQ.
029700*
029800 Z299-CTD-EXIT.
029900     EXIT.
030000/
030100 Z900-INIT-RECORD SECTION.
030200 Z910-IR-BEGIN.
030300*
030400     MOVE MMRDIR-RECORD          TO MMRD-RECORD.
030500     MOVE SPACES                 TO MTC1-RECORD.
030600     MOVE SPACES                 TO MTC2-RECORD.
030700*
030800 Z999-IR-EXIT.
030900     EXIT.
031000/
031100 0000-MAINT-RECORD SECTION.
031200 0010-MR-BEGIN.
031300*
031400     PERFORM Z100-COMMON-FROM-DATA
031500        THRU Z199-CFD-EXIT.
031600*
031700     PERFORM Z200-COMMON-TO-DATA
031800        THRU Z299-CTD-EXIT.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
032100         GO TO 0197-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
032400         GO TO 0198-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
032700         GO TO 0199-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0990
033000         GO TO 0990-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0991
033300         GO TO 0991-MR-FIELD.
033400*
033500     MOVE '*** ERROR - INVALID FIELD CODE ***'
033600                                 TO MBD100WS-PL2-TO-VALUE.
033700     GO TO 5999-MR-EXIT.
033800*
033900 0197-MR-FIELD.
034000*
034100     IF  MBD100WS-JOURNAL
034200         MOVE MTL1-VL01-B-DATA-9 TO MMRD-REC-STATUS.
034300*
034400     MOVE 'RECORD STATUS         '
034500                                 TO MBD100WS-PL1-DESC.
034600     MOVE MMRD-REC-STATUS        TO MBD100WS-PL1-FV-9.
034700     MOVE MTL1-VL01-A-DATA-9     TO MMRD-REC-STATUS.
034800     MOVE MMRD-REC-STATUS        TO MBD100WS-PL2-TV-9.
034900     GO TO 5100-MR-NO-REC-CHECK.
035000*
035100*
035200*
035300 0198-MR-FIELD.
035400*
035500     IF  MBD100WS-JOURNAL
035600         MOVE MTL1-VL03-B-DATA-X TO MMRD-LAST-MAINT-OPER.
035700*
035800     MOVE 'LAST MAINT OPERATOR   '
035900                                 TO MBD100WS-PL1-DESC.
036000     MOVE MMRD-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
036100     MOVE MTL1-VL03-A-DATA-X     TO MMRD-LAST-MAINT-OPER.
036200     MOVE MMRD-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
036300     GO TO 5100-MR-NO-REC-CHECK.
036400*
036500*
036600*
036700 0199-MR-FIELD.
036800*
036900     IF  MBD100WS-JOURNAL
037000         MOVE MTL1-VL07-B-DATA-9 TO MMRD-LAST-MAINT-DATE.
037100*
037200     MOVE 'DATE LAST MAINTENANCE '
037300                                 TO MBD100WS-PL1-DESC.
037400     MOVE MMRD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
037500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
037600     MOVE MTL1-VL07-A-DATA-9     TO MMRD-LAST-MAINT-DATE.
037700     MOVE MMRD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
037800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
037900     GO TO 5100-MR-NO-REC-CHECK.
038000*
038100*
038200*
038300 0990-MR-FIELD.
038400*
038500     SET X-MMRD-MEMBER           TO MTL1-FIELD-OCCURRENCE.
038600*
038700     IF  MBD100WS-JOURNAL
038800         MOVE MTL1-VL10-B-DATA-9 TO MMRD-MEMBER
038900                                    (X-MMRD-MEMBER).
039000*
039100     MOVE 'RELATIONSHIP MEMBER   '
039200                                 TO MBD100WS-PL1-DESC.
039300     MOVE MMRD-MEMBER
039400          (X-MMRD-MEMBER)        TO MBD100WS-PL1-FV-999999999.
039500     MOVE MTL1-VL10-A-DATA-9     TO MMRD-MEMBER
039600                                    (X-MMRD-MEMBER).
039700     MOVE MMRD-MEMBER
039800          (X-MMRD-MEMBER)        TO MBD100WS-PL2-TV-999999999.
039900     GO TO 5100-MR-NO-REC-CHECK.
040000*
040100*
040200*
040300 0991-MR-FIELD.
040400*
040500     IF  MBD100WS-JOURNAL
040600         MOVE MTL1-VL03-B-DATA-9 TO MMRD-NBR-OF-MEMBERS.
040700*
040800     MOVE 'NUMBER OF MEMBERS     '
040900                                 TO MBD100WS-PL1-DESC.
041000     MOVE MMRD-NBR-OF-MEMBERS    TO MBD100WS-PL1-FV-999.
041100     MOVE MTL1-VL03-A-DATA-9     TO MMRD-NBR-OF-MEMBERS.
041200     MOVE MMRD-NBR-OF-MEMBERS    TO MBD100WS-PL2-TV-999.
041300     GO TO 5100-MR-NO-REC-CHECK.
041400*
041500*
041600*
041700 5100-MR-NO-REC-CHECK.
041800*
041900     IF  MBD100WS-UPDATE
042000     AND MBD100WS-IO-NO-REC-FOUND
042100         MOVE '*** ERROR - NO RECORD FOUND ***'
042200                                 TO MBD100WS-PL2-TO-VALUE.
042300*
042400 5999-MR-EXIT.
042500     EXIT.
042600/
042700 8100-FROM-DATE SECTION.
042800 8110-FD-BEGIN.
042900*
043000     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
043100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
043200        THRU SS26PD-NED-EXIT.
043300     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
043400     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
043500*
043600 8199-FD-EXIT.
043700     EXIT.
043800*
043900*
044000*
044100 8200-TO-DATE SECTION.
044200 8210-TD-BEGIN.
044300*
044400     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
044500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
044600        THRU SS26PD-NED-EXIT.
044700     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
044800     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
044900*
045000 8299-TD-EXIT.
045100     EXIT.
045200/
045300 9000-PERFORMED-ROUTINES-SECT SECTION.
045400*
045500     COPY MB00PD REPLACING ==:MB00:== BY ==MMRD==.
045600/
045700     COPY SS95PD.
045800/
045900     COPY MB99PD.
046000/
046100     COPY SS02PD.
046200/
046300     COPY SS07PD.
046400/
046500     COPY SS08PD.
046600/
046700     COPY SS26PD.
046800/
046900     COPY SS27PD.
047000*
047100 9995-END-SOURCE-STATEMENTS SECTION.
047200 9999-END-OF-PROGRAM.
047300     EXIT.
