000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100RT.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100RT - RATE TABLES FILE RECOVERY AND                  *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMRTRL.
002800/
002900     COPY MMRTIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMRT==.
003200/
003300     COPY MMRTIR.
003400/
003500     COPY MMRTWS.
003600/
003700     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003800/
003900     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004000/
004100     COPY MB00WS.
004200/
004300     COPY SS95WS.
004400/
004500     COPY MB99WS.
004600/
004700     COPY SS00WS.
004800/
004900     COPY SS01WS.
005000/
005100     COPY SS02WS.
005200*
005300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005400/
005500 LINKAGE SECTION.
005600     COPY MBD100WS.
005700/
005800     COPY MMSCRL.
005900/
006000     COPY MMOCRL.
006100/
006200     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006500/
006600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006700/
006800 PROCEDURE DIVISION              USING MBD100WS-AREA
006900                                       MMSC-RECORD
007000                                       MMOC-RECORD
007100                                       MTL1-RECORD
007200                                       MTC1-RECORD
007300                                       MTC2-RECORD.
007400*
007500 A000-MAIN-LINE-SECT SECTION.
007600 A010-ML-BEGIN.
007700*
007800     MOVE 'MBD100RT'             TO SS02WS-ABEND-PROG-ID.
007900     MOVE 'MMRT'                 TO MB99WS-FILE-ID.
008000     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
008100     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008200*
008300     IF  MBD100WS-OPEN-FILE
008400         SET SS95WS-FUNCTION-INITIALIZE
008500                                 TO TRUE
008600         PERFORM SS95PD-NAP-ROUTINE
008700            THRU SS95PD-NAP-EXIT
008800         PERFORM O000-OPEN-FILE
008900            THRU O999-OF-EXIT.
009000*
009100     IF  MBD100WS-CLOSE-FILE
009200         PERFORM C000-CLOSE-FILE
009300            THRU C999-CF-EXIT.
009400*
009500     IF  MBD100WS-PROCESS-RECORD
009600         PERFORM P000-PROCESS-RECORD
009700            THRU P099-PR-EXIT.
009800*
009900     GOBACK.
010000*
010100 A999-ML-EXIT.
010200     EXIT.
010300/
010400 C000-CLOSE-FILE SECTION.
010500 C010-CF-BEGIN.
010600*
010700     MOVE 'C1RT'                 TO SS02WS-ABEND-LOCATION.
010800     SET MMRTRB-CLOSE            TO TRUE.
010900     PERFORM MB00PD-MMRT-ACCESS
011000        THRU MB00PD-MMRT-ACCESS-EXIT.
011100*
011200 C999-CF-EXIT.
011300     EXIT.
011400/
011500 O000-OPEN-FILE SECTION.
011600 O010-OF-BEGIN.
011700*
011800     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011900*
012000     MOVE 'O1RT'                 TO SS02WS-ABEND-LOCATION.
012100*
012200     IF  MBD100WS-UPDATE
012300         SET MMRTRB-OPEN-IO-DYN  TO TRUE
012400     ELSE
012500         SET MMRTRB-OPEN-INPUT-DYN
012600                                 TO TRUE.
012700*
012800     PERFORM MB00PD-MMRT-ACCESS
012900        THRU MB00PD-MMRT-ACCESS-EXIT.
013000*
013100     MOVE 'R0RT'                 TO SS02WS-ABEND-LOCATION.
013200     SET MMRTRB-READ-SEQ         TO TRUE.
013300     PERFORM MB00PD-MMRT-ACCESS
013400        THRU MB00PD-MMRT-ACCESS-EXIT.
013500     MOVE 'MMRT'                 TO MB99WS-FILE-ID.
013600*
013700     IF  MMRTIO-HEADER
013800         NEXT SENTENCE
013900     ELSE
014000         PERFORM MB99PD-MISSING-HEADER-ABEND
014100            THRU MB99PD-MHA-EXIT.
014200*
014300     MOVE MMRTIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014400     MOVE MMRTIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014500     PERFORM MB99PD-CHECK-DATE-TIME
014600        THRU MB99PD-CDT-EXIT.
014700*
014800     PERFORM Z900-INIT-RECORD
014900        THRU Z999-IR-EXIT.
015000*
015100 O999-OF-EXIT.
015200     EXIT.
015300/
015400 P000-PROCESS-RECORD SECTION.
015500 P010-PR-BEGIN.
015600*
015700     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015800*
015900     IF  MTL1-MMRT-KEY IS NOT EQUAL TO MMRT-KEY
016000         PERFORM P500-FILE-UPDATE
016100            THRU P599-FU-EXIT.
016200*
016300     IF  MTL1-TOTALS-RECORD
016400         GO TO P099-PR-EXIT.
016500*
016600     IF  MTL1-MMRT-KEY IS NOT EQUAL TO MMRT-KEY
016700         PERFORM P700-GET-RECORD-TO-UPDATE
016800            THRU P799-GRTU-EXIT.
016900*
017000     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
017100*
017200     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017300     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017400         PERFORM U000-NEW-RECORD
017500            THRU U099-NR-EXIT
017600     ELSE
017700         PERFORM 0000-MAINT-RECORD
017800            THRU 5999-MR-EXIT.
017900*
018000 P099-PR-EXIT.
018100     EXIT.
018200/
018300 P500-FILE-UPDATE SECTION.
018400 P510-FU-BEGIN.
018500*
018600     IF  MBD100WS-JOURNAL
018700         GO TO P599-FU-EXIT.
018800*
018900     IF  MMRT-KEY IS EQUAL TO MMRTIR-KEY
019000         GO TO P599-FU-EXIT.
019100*
019200     IF  MBD100WS-IO-REWRITE
019300         MOVE MMRT-RECORD        TO MMRTIO-RECORD
019400         MOVE SS02WS-NO-RECORD-FOUND
019500                                 TO MMRTRB-TEMP-STATUS-1
019600         MOVE 'U1RT'             TO SS02WS-ABEND-LOCATION
019700         SET MMRTRB-REWRITE      TO TRUE
019800         PERFORM MB00PD-MMRT-ACCESS
019900            THRU MB00PD-MMRT-ACCESS-EXIT
020000         IF  SS02WS-FS-NO-RECORD-FOUND
020100             MOVE 'W'            TO MBD100WS-IO-SW.
020200*
020300     IF  MBD100WS-IO-NO-REC-FOUND
020400     OR  MBD100WS-IO-WRITE
020500         MOVE MMRT-RECORD        TO MMRTIO-RECORD
020600         MOVE SS02WS-DUPLICATE-RECORD
020700                                 TO MMRTRB-TEMP-STATUS-1
020800         MOVE 'W2RT'             TO SS02WS-ABEND-LOCATION
020900         SET MMRTRB-WRITE        TO TRUE
021000         PERFORM MB00PD-MMRT-ACCESS
021100            THRU MB00PD-MMRT-ACCESS-EXIT
021200         IF  SS02WS-FS-DUPLICATE-RECORD
021300             MOVE 'U'            TO MBD100WS-IO-SW
021400             MOVE MMRT-RECORD    TO MMRTIO-RECORD
021500             MOVE 'U2RT'         TO SS02WS-ABEND-LOCATION
021600             SET MMRTRB-REWRITE  TO TRUE
021700             PERFORM MB00PD-MMRT-ACCESS
021800                THRU MB00PD-MMRT-ACCESS-EXIT.
021900*
022000     PERFORM Z900-INIT-RECORD
022100        THRU Z999-IR-EXIT.
022200*
022300 P599-FU-EXIT.
022400     EXIT.
022500/
022600 P700-GET-RECORD-TO-UPDATE SECTION.
022700 P710-GRTU-BEGIN.
022800*
022900*****IF  MBD100WS-JOURNAL
023000*****    PERFORM Z900-INIT-RECORD
023100*****       THRU Z999-IR-EXIT
023200*****    GO TO P799-GRTU-EXIT.
023300*
023400     IF  MTL1-MMRT-KEY = MMRTIO-KEY
023500         GO TO P799-GRTU-EXIT.
023600*
023700     MOVE SS02WS-NO-RECORD-FOUND
023800                                 TO MMRTRB-TEMP-STATUS-1.
023900     MOVE MTL1-MMRT-KEY          TO MMRTIO-KEY.
024000*
024100     MOVE 'R1RT'                 TO SS02WS-ABEND-LOCATION.
024200     SET MMRTRB-READ-RANDOM      TO TRUE.
024300     PERFORM MB00PD-MMRT-ACCESS
024400        THRU MB00PD-MMRT-ACCESS-EXIT.
024500*
024600     IF  SS02WS-FS-NO-RECORD-FOUND
024700         PERFORM Z900-INIT-RECORD
024800            THRU Z999-IR-EXIT
024900         MOVE 'N'                TO MBD100WS-IO-SW
025000     ELSE
025100         MOVE MMRTIO-RECORD      TO MMRT-RECORD
025200         MOVE 'U'                TO MBD100WS-IO-SW.
025300*
025400 P799-GRTU-EXIT.
025500     EXIT.
025600/
025700 U000-NEW-RECORD SECTION.
025800 U010-NR-BEGIN.
025900*
026000     PERFORM Z100-COMMON-FROM-DATA
026100        THRU Z199-CFD-EXIT.
026200*
026300     PERFORM Z200-COMMON-TO-DATA
026400        THRU Z299-CTD-EXIT.
026500*
026600     MOVE MTL1-ADD-AREA          TO MMRT-RECORD.
026700*
026800     IF  MBD100WS-IO-NO-REC-FOUND
026900         MOVE 'W'                TO MBD100WS-IO-SW.
027000*
027100     IF  MBD100WS-FC-1-2-ADD
027200         MOVE '*** NEW RECORD ADDED ***'
027300                                 TO MBD100WS-PL2-TO-VALUE
027400                                    MBD100WS-PL1-FROM-VALUE
027500     ELSE
027600         MOVE '*** REPLACEMENT RECORD ***'
027700                                 TO MBD100WS-PL2-TO-VALUE
027800                                    MBD100WS-PL1-FROM-VALUE.
027900*
028000     MOVE SPACES                 TO MTCC-RECORD.
028100     MOVE MMRT-ORG               TO MTCC-MBU918-BEG-ORG.
028200     MOVE MMRT-TABLE-NBR         TO MTCC-MBU918-BEG-TABLE-NBR.
028300     MOVE 'MBU918'               TO MTCC-PROGRAM-ID.
028400     MOVE MTCC-RECORD            TO MTC2-RECORD.
028500*
028600 U099-NR-EXIT.
028700     EXIT.
028800/
028900 Z100-COMMON-FROM-DATA SECTION.
029000 Z110-CFD-BEGIN.
029100*
029200     MOVE MTL1-MMRT-TABLE-NBR    TO MBD100WS-PL1-TABLE-NBR.
029300*
029400 Z199-CFD-EXIT.
029500     EXIT.
029600/
029700 Z200-COMMON-TO-DATA SECTION.
029800 Z210-CTD-BEGIN.
029900*
030000     MOVE 'TYPE='                TO MBD100WS-PL2-TYPE-LIT.
030100     MOVE MTL1-MMRT-TABLE-TYPE   TO MBD100WS-PL2-TYPE.
030200*
030300 Z299-CTD-EXIT.
030400     EXIT.
030500/
030600 Z900-INIT-RECORD SECTION.
030700 Z910-IR-BEGIN.
030800*
030900     MOVE MMRTIR-RECORD          TO MMRT-RECORD.
031000     MOVE SPACES                 TO MTC1-RECORD.
031100     MOVE SPACES                 TO MTC2-RECORD.
031200*
031300 Z999-IR-EXIT.
031400     EXIT.
031500/
031600 0000-MAINT-RECORD SECTION.
031700 0010-MR-BEGIN.
031800*
031900     PERFORM Z100-COMMON-FROM-DATA
032000        THRU Z199-CFD-EXIT.
032100*
032200     PERFORM Z200-COMMON-TO-DATA
032300        THRU Z299-CTD-EXIT.
032400*
032500     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
032600         GO TO 0101-MR-FIELD.
032700*
032800     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032900         GO TO 0102-MR-FIELD.
033000*
033100     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
033200         GO TO 0103-MR-FIELD.
033300*
033400     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
033500         GO TO 0104-MR-FIELD.
033600*
033700     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033800         GO TO 0105-MR-FIELD.
033900*
034000     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
034100         GO TO 0106-MR-FIELD.
034200*
034300     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
034400         GO TO 0197-MR-FIELD.
034500*
034600     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
034700         GO TO 0198-MR-FIELD.
034800*
034900     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
035000         GO TO 0199-MR-FIELD.
035100*
035200     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
035300         GO TO 0201-MR-FIELD.
035400*
035500     IF  MTL1-FIELD-CODE IS EQUAL TO 0202
035600         GO TO 0202-MR-FIELD.
035700*
035800     IF  MTL1-FIELD-CODE IS EQUAL TO 0203
035900         GO TO 0203-MR-FIELD.
036000*
036100     IF  MTL1-FIELD-CODE IS EQUAL TO 0204
036200         GO TO 0204-MR-FIELD.
036300*
036400     IF  MTL1-FIELD-CODE IS EQUAL TO 0205
036500         GO TO 0205-MR-FIELD.
036600*
036700     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
036800         GO TO 0301-MR-FIELD.
036900*
037000     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
037100         GO TO 0302-MR-FIELD.
037200*
037300     IF  MTL1-FIELD-CODE IS EQUAL TO 0501
037400         GO TO 0501-MR-FIELD.
037500*
037600     IF  MTL1-FIELD-CODE IS EQUAL TO 0502
037700         GO TO 0502-MR-FIELD.
037800*
037900     IF  MTL1-FIELD-CODE IS EQUAL TO 0503
038000         GO TO 0503-MR-FIELD.
038100*
038200     IF  MTL1-FIELD-CODE IS EQUAL TO 0701
038300         GO TO 0701-MR-FIELD.
038400*
038500     IF  MTL1-FIELD-CODE IS EQUAL TO 0702
038600         GO TO 0702-MR-FIELD.
038700*
038800     IF  MTL1-FIELD-CODE IS EQUAL TO 0901
038900         GO TO 0901-MR-FIELD.
039000*
039100     IF  MTL1-FIELD-CODE IS EQUAL TO 0902
039200         GO TO 0902-MR-FIELD.
039300*
039400     IF  MTL1-FIELD-CODE IS EQUAL TO 1101
039500         GO TO 1101-MR-FIELD.
039600*
039700     IF  MTL1-FIELD-CODE IS EQUAL TO 1102
039800         GO TO 1102-MR-FIELD.
039900*
040000     IF  MTL1-FIELD-CODE IS EQUAL TO 1301
040100         GO TO 1301-MR-FIELD.
040200*
040300     IF  MTL1-FIELD-CODE IS EQUAL TO 1302
040400         GO TO 1302-MR-FIELD.
040500*
040600     MOVE '*** ERROR - INVALID FIELD CODE ***'
040700                                 TO MBD100WS-PL2-TO-VALUE.
040800     GO TO 5999-MR-EXIT.
040900*
041000 0101-MR-FIELD.
041100*
041200     IF  MBD100WS-JOURNAL
041300         MOVE MTL1-VL03-B-DATA-X TO MMRT-METHOD.
041400*
041500     MOVE 'METHOD                '
041600                                 TO MBD100WS-PL1-DESC.
041700     MOVE MMRT-METHOD            TO MBD100WS-PL1-FROM-VALUE.
041800     MOVE MTL1-VL03-A-DATA-X     TO MMRT-METHOD.
041900     MOVE MMRT-METHOD            TO MBD100WS-PL2-TO-VALUE.
042000     GO TO 5100-MR-NO-REC-CHECK.
042100*
042200*
042300*
042400 0102-MR-FIELD.
042500*
042600     IF  MBD100WS-JOURNAL
042700         MOVE MTL1-VL30-B-DATA-X TO MMRT-TITLE.
042800*
042900     MOVE 'TITLE                 '
043000                                 TO MBD100WS-PL1-DESC.
043100     MOVE MMRT-TITLE             TO MBD100WS-PL1-FROM-VALUE.
043200     MOVE MTL1-VL30-A-DATA-X     TO MMRT-TITLE.
043300     MOVE MMRT-TITLE             TO MBD100WS-PL2-TO-VALUE.
043400     GO TO 5100-MR-NO-REC-CHECK.
043500*
043600*
043700*
043800 0103-MR-FIELD.
043900*
044000     SET X-MMRT-PRIM             TO MTL1-FIELD-OCCURRENCE.
044100*
044200     IF  MBD100WS-JOURNAL
044300         MOVE MTL1-VL20-B-NBR-NO-DEC
044400                                 TO MMRT-PRIM-LIMIT
044500                                    (X-MMRT-PRIM).
044600*
044700     MOVE 'PRIMARY RATE LIMIT    '
044800                                 TO MBD100WS-PL1-DESC.
044900     MOVE MMRT-PRIM-LIMIT
045000          (X-MMRT-PRIM)          TO SS95WS-IN-AMT.
045100     PERFORM SS95PD-NAP-ROUTINE
045200                                 THRU SS95PD-NAP-EXIT.
045300     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.
045400     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-PRIM-LIMIT
045500                                    (X-MMRT-PRIM).
045600     MOVE MMRT-PRIM-LIMIT
045700          (X-MMRT-PRIM)          TO SS95WS-IN-AMT.
045800     PERFORM SS95PD-NAP-ROUTINE
045900                                 THRU SS95PD-NAP-EXIT.
046000     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.
046100     GO TO 5100-MR-NO-REC-CHECK.
046200*
046300*
046400*
046500 0104-MR-FIELD.
046600*
046700     SET X-MMRT-PRIM             TO MTL1-FIELD-OCCURRENCE.
046800*
046900     IF  MBD100WS-JOURNAL
047000         MOVE MTL1-VL20-B-NBR-NO-DEC
047100                                 TO MMRT-PRIM-RATE
047200                                    (X-MMRT-PRIM).
047300*
047400     MOVE 'PRIMARY RATE          '
047500                                 TO MBD100WS-PL1-DESC.
047600     MOVE MMRT-PRIM-RATE
047700          (X-MMRT-PRIM)          TO SS95WS-IN-PCT.
047800*
047900     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
048000*
048100     IF  MMRTWS-VALID-METH-ON-NUMBER
048200         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
048300     ELSE
048400         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
048500*
048600     PERFORM SS95PD-NAP-ROUTINE
048700                                 THRU SS95PD-NAP-EXIT.
048800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
048900     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-PRIM-RATE
049000                                    (X-MMRT-PRIM).
049100*
049200     IF  MMRTWS-VALID-METH-ON-NUMBER
049300         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
049400     ELSE
049500         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
049600*
049700     MOVE MMRT-PRIM-RATE
049800          (X-MMRT-PRIM)          TO SS95WS-IN-PCT.
049900     PERFORM SS95PD-NAP-ROUTINE
050000                                 THRU SS95PD-NAP-EXIT.
050100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
050200     GO TO 5100-MR-NO-REC-CHECK.
050300*
050400*
050500*
050600 0105-MR-FIELD.
050700*
050800     SET X-MMRT-EXCEPTION        TO MTL1-FIELD-OCCURRENCE.
050900*
051000     IF  MBD100WS-JOURNAL
051100         MOVE MTL1-VL01-B-DATA-X TO MMRT-EXCEPTION-PRIORITY
051200                                    (X-MMRT-EXCEPTION).
051300*
051400     MOVE 'EXCEPTION PRIORITY    '
051500                                 TO MBD100WS-PL1-DESC.
051600     MOVE MMRT-EXCEPTION-PRIORITY
051700          (X-MMRT-EXCEPTION)     TO MBD100WS-PL1-FROM-VALUE.
051800     MOVE MTL1-VL01-A-DATA-X     TO MMRT-EXCEPTION-PRIORITY
051900                                    (X-MMRT-EXCEPTION).
052000     MOVE MMRT-EXCEPTION-PRIORITY
052100          (X-MMRT-EXCEPTION)     TO MBD100WS-PL2-TO-VALUE.
052200     GO TO 5100-MR-NO-REC-CHECK.
052300*
052400*
052500*
052600 0106-MR-FIELD.
052700*
052800     IF  MBD100WS-JOURNAL
052900         MOVE MTL1-VL01-B-DATA-X TO MMRT-LEVEL.
053000*
053100     MOVE 'LEVEL                 '
053200                                 TO MBD100WS-PL1-DESC.
053300     MOVE MMRT-LEVEL             TO MBD100WS-PL1-FROM-VALUE.
053400     MOVE MTL1-VL01-A-DATA-X     TO MMRT-LEVEL.
053500     MOVE MMRT-LEVEL             TO MBD100WS-PL2-TO-VALUE.
053600     GO TO 5100-MR-NO-REC-CHECK.
053700*
053800*
053900*
054000 0197-MR-FIELD.
054100*
054200     IF  MBD100WS-JOURNAL
054300         MOVE MTL1-VL01-B-DATA-9 TO MMRT-REC-STATUS.
054400*
054500     MOVE 'RECORD STATUS         '
054600                                 TO MBD100WS-PL1-DESC.
054700     MOVE MMRT-REC-STATUS        TO MBD100WS-PL1-FV-9.
054800     MOVE MTL1-VL01-A-DATA-9     TO MMRT-REC-STATUS.
054900     MOVE MMRT-REC-STATUS        TO MBD100WS-PL2-TV-9.
055000     GO TO 5100-MR-NO-REC-CHECK.
055100*
055200*
055300*
055400 0198-MR-FIELD.
055500*
055600     IF  MBD100WS-JOURNAL
055700         MOVE MTL1-VL03-B-DATA-X TO MMRT-LAST-MAINT-OPER.
055800*
055900     MOVE 'LAST MAINT OPERATOR   '
056000                                 TO MBD100WS-PL1-DESC.
056100     MOVE MMRT-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
056200     MOVE MTL1-VL03-A-DATA-X     TO MMRT-LAST-MAINT-OPER.
056300     MOVE MMRT-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
056400     GO TO 5100-MR-NO-REC-CHECK.
056500*
056600*
056700*
056800 0199-MR-FIELD.
056900*
057000     IF  MBD100WS-JOURNAL
057100         MOVE MTL1-VL07-B-DATA-9 TO MMRT-LAST-MAINT-DATE.
057200*
057300     MOVE 'DATE LAST MAINTENANCE '
057400                                 TO MBD100WS-PL1-DESC.
057500     MOVE MMRT-LAST-MAINT-DATE   TO SS01WS-JULIAN.
057600     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
057700     MOVE MTL1-VL07-A-DATA-9     TO MMRT-LAST-MAINT-DATE.
057800     MOVE MMRT-LAST-MAINT-DATE   TO SS01WS-JULIAN.
057900     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
058000     GO TO 5100-MR-NO-REC-CHECK.
058100*
058200*
058300*
058400 0201-MR-FIELD.
058500*
058600     SET X-MMRT-ATV              TO MTL1-FIELD-OCCURRENCE.
058700*
058800     IF  MBD100WS-JOURNAL
058900         MOVE MTL1-VL20-B-NBR-NO-DEC
059000                                 TO MMRT-ATV-LIMIT
059100                                    (X-MMRT-ATV).
059200*
059300     MOVE 'AVERAGE TICKET LIMIT  '
059400                                 TO MBD100WS-PL1-DESC.
059500     MOVE MMRT-ATV-LIMIT
059600          (X-MMRT-ATV)           TO SS95WS-IN-AMT.
059700     PERFORM SS95PD-NAP-ROUTINE
059800                                 THRU SS95PD-NAP-EXIT.
059900     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.
060000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-ATV-LIMIT
060100                                    (X-MMRT-ATV).
060200     MOVE MMRT-ATV-LIMIT
060300          (X-MMRT-ATV)           TO SS95WS-IN-AMT.
060400     PERFORM SS95PD-NAP-ROUTINE
060500                                 THRU SS95PD-NAP-EXIT.
060600     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.
060700     GO TO 5100-MR-NO-REC-CHECK.
060800*
060900*
061000*
061100 0202-MR-FIELD.
061200*
061300     SET X-MMRT-ATV              TO MTL1-FIELD-OCCURRENCE.
061400*
061500     IF  MBD100WS-JOURNAL
061600         MOVE MTL1-VL20-B-NBR-NO-DEC
061700                                 TO MMRT-ATV-RATE
061800                                    (X-MMRT-ATV).
061900*
062000     MOVE 'AVERAGE TICKET RATE   '
062100                                 TO MBD100WS-PL1-DESC.
062200*
062300     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
062400*
062500     IF  MMRTWS-VALID-METH-ON-NUMBER
062600         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
062700     ELSE
062800         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
062900*
063000     MOVE MMRT-ATV-RATE
063100          (X-MMRT-ATV)           TO SS95WS-IN-PCT.
063200     PERFORM SS95PD-NAP-ROUTINE
063300                                 THRU SS95PD-NAP-EXIT.
063400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
063500     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-ATV-RATE
063600                                    (X-MMRT-ATV).
063700*
063800     IF  MMRTWS-VALID-METH-ON-NUMBER
063900         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
064000     ELSE
064100         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
064200*
064300     MOVE MMRT-ATV-RATE
064400          (X-MMRT-ATV)           TO SS95WS-IN-PCT.
064500     PERFORM SS95PD-NAP-ROUTINE
064600                                 THRU SS95PD-NAP-EXIT.
064700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
064800     GO TO 5100-MR-NO-REC-CHECK.
064900*
065000*
065100*
065200 0203-MR-FIELD.
065300*
065400     SET X-MMRT-SINGLE-TKT       TO MTL1-FIELD-OCCURRENCE.
065500*
065600     IF  MBD100WS-JOURNAL
065700         MOVE MTL1-VL20-B-NBR-NO-DEC
065800                                 TO MMRT-SINGLE-TKT-LIMIT
065900                                    (X-MMRT-SINGLE-TKT).
066000*
066100     MOVE 'SINGLE TICKET LIMIT   '
066200                                 TO MBD100WS-PL1-DESC.
066300     MOVE MMRT-SINGLE-TKT-LIMIT
066400          (X-MMRT-SINGLE-TKT)    TO SS95WS-IN-AMT.
066500     PERFORM SS95PD-NAP-ROUTINE
066600                                 THRU SS95PD-NAP-EXIT.
066700     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.
066800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-SINGLE-TKT-LIMIT
066900                                    (X-MMRT-SINGLE-TKT).
067000     MOVE MMRT-SINGLE-TKT-LIMIT
067100          (X-MMRT-SINGLE-TKT)    TO SS95WS-IN-AMT.
067200     PERFORM SS95PD-NAP-ROUTINE
067300                                 THRU SS95PD-NAP-EXIT.
067400     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.
067500     GO TO 5100-MR-NO-REC-CHECK.
067600*
067700*
067800*
067900 0204-MR-FIELD.
068000*
068100     SET X-MMRT-SINGLE-TKT       TO MTL1-FIELD-OCCURRENCE.
068200*
068300     IF  MBD100WS-JOURNAL
068400         MOVE MTL1-VL20-B-NBR-NO-DEC
068500                                 TO MMRT-SINGLE-TKT-RATE
068600                                    (X-MMRT-SINGLE-TKT).
068700*
068800     MOVE 'SINGLE TICKET RATE    '
068900                                 TO MBD100WS-PL1-DESC.
069000*
069100     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
069200*
069300     IF  MMRTWS-VALID-METH-ON-NUMBER
069400         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
069500     ELSE
069600         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
069700*
069800     MOVE MMRT-SINGLE-TKT-RATE
069900          (X-MMRT-SINGLE-TKT)    TO SS95WS-IN-PCT.
070000     PERFORM SS95PD-NAP-ROUTINE
070100                                 THRU SS95PD-NAP-EXIT.
070200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
070300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-SINGLE-TKT-RATE
070400                                    (X-MMRT-SINGLE-TKT).
070500*
070600     IF  MMRTWS-VALID-METH-ON-NUMBER
070700         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
070800     ELSE
070900         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
071000*
071100     MOVE MMRT-SINGLE-TKT-RATE
071200          (X-MMRT-SINGLE-TKT)    TO SS95WS-IN-PCT.
071300     PERFORM SS95PD-NAP-ROUTINE
071400                                 THRU SS95PD-NAP-EXIT.
071500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
071600     GO TO 5100-MR-NO-REC-CHECK.
071700*
071800*
071900*
072000 0205-MR-FIELD.
072100*
072200     IF  MBD100WS-JOURNAL
072300         MOVE MTL1-VL20-B-NBR-NO-DEC
072400                                 TO MMRT-SINGLE-TKT-BEG-LIMIT.
072500*
072600     MOVE 'SINGLE TKT BEG LIMIT  '
072700                                 TO MBD100WS-PL1-DESC.
072800     MOVE MMRT-SINGLE-TKT-BEG-LIMIT
072900                                 TO SS95WS-IN-AMT.
073000     PERFORM SS95PD-NAP-ROUTINE
073100                                 THRU SS95PD-NAP-EXIT.
073200     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.
073300     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-SINGLE-TKT-BEG-LIMIT.
073400     MOVE MMRT-SINGLE-TKT-BEG-LIMIT
073500                                 TO SS95WS-IN-AMT.
073600     PERFORM SS95PD-NAP-ROUTINE
073700                                 THRU SS95PD-NAP-EXIT.
073800     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.
073900     GO TO 5100-MR-NO-REC-CHECK.
074000*
074100*
074200*
074300 0301-MR-FIELD.
074400*
074500     SET X-MMRT-PLAN             TO MTL1-FIELD-OCCURRENCE.
074600*
074700     IF  MBD100WS-JOURNAL
074800         MOVE MTL1-VL05-B-DATA-X TO MMRT-PLAN
074900                                    (X-MMRT-PLAN).
075000*
075100     MOVE 'SINGLE PLAN EXCEPTION '
075200                                 TO MBD100WS-PL1-DESC.
075300     MOVE MMRT-PLAN
075400          (X-MMRT-PLAN)          TO MBD100WS-PL1-FROM-VALUE.
075500     MOVE MTL1-VL05-A-DATA-X     TO MMRT-PLAN
075600                                    (X-MMRT-PLAN).
075700     MOVE MMRT-PLAN
075800          (X-MMRT-PLAN)          TO MBD100WS-PL2-TO-VALUE.
075900     GO TO 5100-MR-NO-REC-CHECK.
076000*
076100*
076200*
076300 0302-MR-FIELD.
076400*
076500     SET X-MMRT-PLAN             TO MTL1-FIELD-OCCURRENCE.
076600*
076700     IF  MBD100WS-JOURNAL
076800         MOVE MTL1-VL20-B-NBR-NO-DEC
076900                                 TO MMRT-PLAN-RATE
077000                                    (X-MMRT-PLAN).
077100*
077200     MOVE 'SINGLE PLAN RATE      '
077300                                 TO MBD100WS-PL1-DESC.
077400*
077500     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
077600*
077700     IF  MMRTWS-VALID-METH-ON-NUMBER
077800         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
077900     ELSE
078000         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
078100*
078200     MOVE MMRT-PLAN-RATE
078300          (X-MMRT-PLAN)          TO SS95WS-IN-PCT.
078400     PERFORM SS95PD-NAP-ROUTINE
078500                                 THRU SS95PD-NAP-EXIT.
078600     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
078700     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-PLAN-RATE
078800                                    (X-MMRT-PLAN).
078900*
079000     IF  MMRTWS-VALID-METH-ON-NUMBER
079100         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
079200     ELSE
079300         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
079400*
079500     MOVE MMRT-PLAN-RATE
079600          (X-MMRT-PLAN)          TO SS95WS-IN-PCT.
079700     PERFORM SS95PD-NAP-ROUTINE
079800                                 THRU SS95PD-NAP-EXIT.
079900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
080000     GO TO 5100-MR-NO-REC-CHECK.
080100*
080200*
080300*
080400 0501-MR-FIELD.
080500*
080600     SET X-MMRT-PLAN             TO MTL1-FIELD-OCCURRENCE.
080700*
080800     IF  MBD100WS-JOURNAL
080900         MOVE MTL1-VL05-B-DATA-9 TO MMRT-PLAN-BEG
081000                                    (X-MMRT-PLAN).
081100*
081200     MOVE 'PLAN BEGINNING RANGE  '
081300                                 TO MBD100WS-PL1-DESC.
081400     MOVE MMRT-PLAN-BEG
081500          (X-MMRT-PLAN)          TO MBD100WS-PL1-FV-99999.
081600     MOVE MTL1-VL05-A-DATA-9     TO MMRT-PLAN-BEG
081700                                    (X-MMRT-PLAN).
081800     MOVE MMRT-PLAN-BEG
081900          (X-MMRT-PLAN)          TO MBD100WS-PL2-TV-99999.
082000     GO TO 5100-MR-NO-REC-CHECK.
082100*
082200*
082300*
082400 0502-MR-FIELD.
082500*
082600     SET X-MMRT-PLAN             TO MTL1-FIELD-OCCURRENCE.
082700*
082800     IF  MBD100WS-JOURNAL
082900         MOVE MTL1-VL05-B-DATA-9 TO MMRT-PLAN-END
083000                                    (X-MMRT-PLAN).
083100*
083200     MOVE 'PLAN ENDING RANGE     '
083300                                 TO MBD100WS-PL1-DESC.
083400     MOVE MMRT-PLAN-END
083500          (X-MMRT-PLAN)          TO MBD100WS-PL1-FV-99999.
083600     MOVE MTL1-VL05-A-DATA-9     TO MMRT-PLAN-END
083700                                    (X-MMRT-PLAN).
083800     MOVE MMRT-PLAN-END
083900          (X-MMRT-PLAN)          TO MBD100WS-PL2-TV-99999.
084000     GO TO 5100-MR-NO-REC-CHECK.
084100*
084200*
084300*
084400 0503-MR-FIELD.
084500*
084600     SET X-MMRT-PLAN             TO MTL1-FIELD-OCCURRENCE.
084700*
084800     IF  MBD100WS-JOURNAL
084900         MOVE MTL1-VL20-B-NBR-NO-DEC
085000                                 TO MMRT-PLAN-RANGE-RATE
085100                                    (X-MMRT-PLAN).
085200*
085300     MOVE 'PLAN RANGE RATE       '
085400                                 TO MBD100WS-PL1-DESC.
085500*
085600     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
085700*
085800     IF  MMRTWS-VALID-METH-ON-NUMBER
085900         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
086000     ELSE
086100         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
086200*
086300     MOVE MMRT-PLAN-RANGE-RATE
086400          (X-MMRT-PLAN)          TO SS95WS-IN-PCT.
086500     PERFORM SS95PD-NAP-ROUTINE
086600                                 THRU SS95PD-NAP-EXIT.
086700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
086800     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-PLAN-RANGE-RATE
086900                                    (X-MMRT-PLAN).
087000*
087100     IF  MMRTWS-VALID-METH-ON-NUMBER
087200         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
087300     ELSE
087400         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
087500*
087600     MOVE MMRT-PLAN-RANGE-RATE
087700          (X-MMRT-PLAN)          TO SS95WS-IN-PCT.
087800     PERFORM SS95PD-NAP-ROUTINE
087900                                 THRU SS95PD-NAP-EXIT.
088000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
088100     GO TO 5100-MR-NO-REC-CHECK.
088200*
088300*
088400*
088500 0701-MR-FIELD.
088600*
088700     SET X-MMRT-STATE            TO MTL1-FIELD-OCCURRENCE.
088800*
088900     IF  MBD100WS-JOURNAL
089000         MOVE MTL1-VL03-B-DATA-X TO MMRT-STATE
089100                                    (X-MMRT-STATE).
089200*
089300     MOVE 'STATE/PROVINCE        '
089400                                 TO MBD100WS-PL1-DESC.
089500     MOVE MMRT-STATE
089600          (X-MMRT-STATE)         TO MBD100WS-PL1-FROM-VALUE.
089700     MOVE MTL1-VL03-A-DATA-X     TO MMRT-STATE
089800                                    (X-MMRT-STATE).
089900     MOVE MMRT-STATE
090000          (X-MMRT-STATE)         TO MBD100WS-PL2-TO-VALUE.
090100     GO TO 5100-MR-NO-REC-CHECK.
090200*
090300*
090400*
090500 0702-MR-FIELD.
090600*
090700     SET X-MMRT-STATE            TO MTL1-FIELD-OCCURRENCE.
090800*
090900     IF  MBD100WS-JOURNAL
091000         MOVE MTL1-VL20-B-NBR-NO-DEC
091100                                 TO MMRT-STATE-RATE
091200                                    (X-MMRT-STATE).
091300*
091400     MOVE 'STATE/PROVINCE RATE   '
091500                                 TO MBD100WS-PL1-DESC.
091600*
091700     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
091800*
091900     IF  MMRTWS-VALID-METH-ON-NUMBER
092000         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
092100     ELSE
092200         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
092300*
092400     MOVE MMRT-STATE-RATE
092500          (X-MMRT-STATE)         TO SS95WS-IN-PCT.
092600     PERFORM SS95PD-NAP-ROUTINE
092700                                 THRU SS95PD-NAP-EXIT.
092800     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
092900     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-STATE-RATE
093000                                    (X-MMRT-STATE).
093100*
093200     IF  MMRTWS-VALID-METH-ON-NUMBER
093300         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
093400     ELSE
093500         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
093600*
093700     MOVE MMRT-STATE-RATE
093800          (X-MMRT-STATE)         TO SS95WS-IN-PCT.
093900     PERFORM SS95PD-NAP-ROUTINE
094000                                 THRU SS95PD-NAP-EXIT.
094100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
094200     GO TO 5100-MR-NO-REC-CHECK.
094300*
094400*
094500*
094600 0901-MR-FIELD.
094700*
094800     SET X-MMRT-LOGO             TO MTL1-FIELD-OCCURRENCE.
094900*
095000     IF  MBD100WS-JOURNAL
095100         MOVE MTL1-VL03-B-DATA-9 TO MMRT-LOGO
095200                                    (X-MMRT-LOGO).
095300*
095400     MOVE 'LOGO                  '
095500                                 TO MBD100WS-PL1-DESC.
095600     MOVE MMRT-LOGO
095700          (X-MMRT-LOGO)          TO MBD100WS-PL1-FV-999.
095800     MOVE MTL1-VL03-A-DATA-9     TO MMRT-LOGO
095900                                    (X-MMRT-LOGO).
096000     MOVE MMRT-LOGO
096100          (X-MMRT-LOGO)          TO MBD100WS-PL2-TV-999.
096200     GO TO 5100-MR-NO-REC-CHECK.
096300*
096400*
096500*
096600 0902-MR-FIELD.
096700*
096800     SET X-MMRT-LOGO             TO MTL1-FIELD-OCCURRENCE.
096900*
097000     IF  MBD100WS-JOURNAL
097100         MOVE MTL1-VL20-B-NBR-NO-DEC
097200                                 TO MMRT-LOGO-RATE
097300                                    (X-MMRT-LOGO).
097400*
097500     MOVE 'LOGO RATE             '
097600                                 TO MBD100WS-PL1-DESC.
097700*
097800     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
097900*
098000     IF  MMRTWS-VALID-METH-ON-NUMBER
098100         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
098200     ELSE
098300         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
098400*
098500     MOVE MMRT-LOGO-RATE
098600          (X-MMRT-LOGO)          TO SS95WS-IN-PCT.
098700     PERFORM SS95PD-NAP-ROUTINE
098800                                 THRU SS95PD-NAP-EXIT.
098900     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
099000     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-LOGO-RATE
099100                                    (X-MMRT-LOGO).
099200*
099300     IF  MMRTWS-VALID-METH-ON-NUMBER
099400         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
099500     ELSE
099600         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
099700*
099800     MOVE MMRT-LOGO-RATE
099900          (X-MMRT-LOGO)          TO SS95WS-IN-PCT.
100000     PERFORM SS95PD-NAP-ROUTINE
100100                                 THRU SS95PD-NAP-EXIT.
100200     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
100300     GO TO 5100-MR-NO-REC-CHECK.
100400*
100500*
100600*
100700 1101-MR-FIELD.
100800*
100900     SET X-MMRT-DEPT             TO MTL1-FIELD-OCCURRENCE.
101000*
101100     IF  MBD100WS-JOURNAL
101200         MOVE MTL1-VL04-B-DATA-X TO MMRT-DEPT
101300                                    (X-MMRT-DEPT).
101400*
101500     MOVE 'DEPARTMENT            '
101600                                 TO MBD100WS-PL1-DESC.
101700     MOVE MMRT-DEPT
101800          (X-MMRT-DEPT)          TO MBD100WS-PL1-FROM-VALUE.
101900     MOVE MTL1-VL04-A-DATA-X     TO MMRT-DEPT
102000                                    (X-MMRT-DEPT).
102100     MOVE MMRT-DEPT
102200          (X-MMRT-DEPT)          TO MBD100WS-PL2-TO-VALUE.
102300     GO TO 5100-MR-NO-REC-CHECK.
102400*
102500*
102600*
102700 1102-MR-FIELD.
102800*
102900     SET X-MMRT-DEPT             TO MTL1-FIELD-OCCURRENCE.
103000*
103100     IF  MBD100WS-JOURNAL
103200         MOVE MTL1-VL20-B-NBR-NO-DEC
103300                                 TO MMRT-DEPT-RATE
103400                                    (X-MMRT-DEPT).
103500*
103600     MOVE 'DEPARTMENT RATE       '
103700                                 TO MBD100WS-PL1-DESC.
103800*
103900     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
104000*
104100     IF  MMRTWS-VALID-METH-ON-NUMBER
104200         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
104300     ELSE
104400         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
104500*
104600     MOVE MMRT-DEPT-RATE
104700          (X-MMRT-DEPT)          TO SS95WS-IN-PCT.
104800     PERFORM SS95PD-NAP-ROUTINE
104900                                 THRU SS95PD-NAP-EXIT.
105000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
105100     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-DEPT-RATE
105200                                    (X-MMRT-DEPT).
105300*
105400     IF  MMRTWS-VALID-METH-ON-NUMBER
105500         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
105600     ELSE
105700         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
105800*
105900     MOVE MMRT-DEPT-RATE
106000          (X-MMRT-DEPT)          TO SS95WS-IN-PCT.
106100     PERFORM SS95PD-NAP-ROUTINE
106200                                 THRU SS95PD-NAP-EXIT.
106300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
106400     GO TO 5100-MR-NO-REC-CHECK.
106500*
106600*
106700*
106800 1301-MR-FIELD.
106900*
107000     SET X-MMRT-SKU              TO MTL1-FIELD-OCCURRENCE.
107100*
107200     IF  MBD100WS-JOURNAL
107300         MOVE MTL1-VL10-B-DATA-X TO MMRT-SKU-NBR
107400                                    (X-MMRT-SKU).
107500*
107600     MOVE 'S K U  NUMBER         '
107700                                 TO MBD100WS-PL1-DESC.
107800     MOVE MMRT-SKU-NBR
107900          (X-MMRT-SKU)           TO MBD100WS-PL1-FROM-VALUE.
108000     MOVE MTL1-VL10-A-DATA-X     TO MMRT-SKU-NBR
108100                                    (X-MMRT-SKU).
108200     MOVE MMRT-SKU-NBR
108300          (X-MMRT-SKU)           TO MBD100WS-PL2-TO-VALUE.
108400     GO TO 5100-MR-NO-REC-CHECK.
108500*
108600*
108700*
108800 1302-MR-FIELD.
108900*
109000     SET X-MMRT-SKU              TO MTL1-FIELD-OCCURRENCE.
109100*
109200     IF  MBD100WS-JOURNAL
109300         MOVE MTL1-VL20-B-NBR-NO-DEC
109400                                 TO MMRT-SKU-RATE
109500                                    (X-MMRT-SKU).
109600*
109700     MOVE 'S K U  NUMBER RATE    '
109800                                 TO MBD100WS-PL1-DESC.
109900*
110000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
110100*
110200     IF  MMRTWS-VALID-METH-ON-NUMBER
110300         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
110400     ELSE
110500         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
110600*
110700     MOVE MMRT-SKU-RATE
110800          (X-MMRT-SKU)           TO SS95WS-IN-PCT.
110900     PERFORM SS95PD-NAP-ROUTINE
111000                                 THRU SS95PD-NAP-EXIT.
111100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
111200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMRT-SKU-RATE
111300                                    (X-MMRT-SKU).
111400*
111500     IF  MMRTWS-VALID-METH-ON-NUMBER
111600         MOVE MMOC-PER-ITEM-NOD  TO SS95WS-IN-PCT-NOD
111700     ELSE
111800         MOVE MMOC-PERCENT-NOD   TO SS95WS-IN-PCT-NOD.
111900*
112000     MOVE MMRT-SKU-RATE
112100          (X-MMRT-SKU)           TO SS95WS-IN-PCT.
112200     PERFORM SS95PD-NAP-ROUTINE
112300                                 THRU SS95PD-NAP-EXIT.
112400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
112500     GO TO 5100-MR-NO-REC-CHECK.
112600*
112700*
112800*
112900 5100-MR-NO-REC-CHECK.
113000*
113100     IF  MBD100WS-UPDATE
113200     AND MBD100WS-IO-NO-REC-FOUND
113300         MOVE '*** ERROR - NO RECORD FOUND ***'
113400                                 TO MBD100WS-PL2-TO-VALUE.
113500*
113600 5999-MR-EXIT.
113700     EXIT.
113800/
113900 8100-FROM-DATE SECTION.
114000 8110-FD-BEGIN.
114100*
114200     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
114300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
114400        THRU SS26PD-NED-EXIT.
114500     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
114600     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
114700*
114800 8199-FD-EXIT.
114900     EXIT.
115000*
115100*
115200*
115300 8200-TO-DATE SECTION.
115400 8210-TD-BEGIN.
115500*
115600     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
115700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
115800        THRU SS26PD-NED-EXIT.
115900     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
116000     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
116100*
116200 8299-TD-EXIT.
116300     EXIT.
116400/
116500 9000-PERFORMED-ROUTINES-SECT SECTION.
116600*
116700     COPY MB00PD REPLACING ==:MB00:== BY ==MMRT==.
116800/
116900     COPY SS95PD.
117000/
117100     COPY MB99PD.
117200/
117300     COPY SS02PD.
117400/
117500     COPY SS07PD.
117600/
117700     COPY SS08PD.
117800/
117900     COPY SS26PD.
118000/
118100     COPY SS27PD.
118200*
118300 9995-END-SOURCE-STATEMENTS SECTION.
118400 9999-END-OF-PROGRAM.
118500     EXIT.
