000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100SM.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100SM - STORE MASTER RECOVERY AND                      *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMSMRL.
002800/
002900     COPY MMSMIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
003200/
003300     COPY MMSMIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100SM'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMSMRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMSM-ACCESS
010800        THRU MB00PD-MMSM-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMSMRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMSMRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMSM-ACCESS
012700        THRU MB00PD-MMSM-ACCESS-EXIT.
012800*
012900     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSMRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMSM-ACCESS
013200        THRU MB00PD-MMSM-ACCESS-EXIT.
013300     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMSMIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMSMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMSMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMSM-KEY IS NOT EQUAL TO MMSM-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMSM-KEY IS NOT EQUAL TO MMSM-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMSM-KEY IS EQUAL TO MMSMIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMSM-RECORD        TO MMSMIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMSMRB-TEMP-STATUS-1
019400         MOVE 'U1SM'             TO SS02WS-ABEND-LOCATION
019500         SET MMSMRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMSM-ACCESS
019700            THRU MB00PD-MMSM-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMSM-RECORD        TO MMSMIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMSMRB-TEMP-STATUS-1
020600         MOVE 'W2SM'             TO SS02WS-ABEND-LOCATION
020700         SET MMSMRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMSM-ACCESS
020900            THRU MB00PD-MMSM-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMSM-RECORD    TO MMSMIO-RECORD
021300             MOVE 'U2SM'         TO SS02WS-ABEND-LOCATION
021400             SET MMSMRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMSM-ACCESS
021600                THRU MB00PD-MMSM-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMSMRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMSM-KEY          TO MMSMIO-KEY.
023500*
023600     MOVE 'R1SM'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMSMRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMSM-ACCESS
023900        THRU MB00PD-MMSM-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMSMIO-RECORD      TO MMSM-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMSM-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMSM-ORG               TO MTCC-MBU920-BEG-ORG.
027700     MOVE MMSM-STORE             TO MTCC-MBU920-BEG-STORE.
027800     MOVE 'MBU920'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC1-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMSM-STORE        TO MBD100WS-PL1-STORE.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500 Z299-CTD-EXIT.
029600     EXIT.
029700/
029800 Z900-INIT-RECORD SECTION.
029900 Z910-IR-BEGIN.
030000*
030100     MOVE MMSMIR-RECORD          TO MMSM-RECORD.
030200     MOVE SPACES                 TO MTC1-RECORD.
030300     MOVE SPACES                 TO MTC2-RECORD.
030400*
030500 Z999-IR-EXIT.
030600     EXIT.
030700/
030800 0000-MAINT-RECORD SECTION.
030900 0010-MR-BEGIN.
031000*
031100     PERFORM Z100-COMMON-FROM-DATA
031200        THRU Z199-CFD-EXIT.
031300*
031400     PERFORM Z200-COMMON-TO-DATA
031500        THRU Z299-CTD-EXIT.
031600*
031700     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
031800         GO TO 0101-MR-FIELD.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032100         GO TO 0102-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032400         GO TO 0103-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
032700         GO TO 0104-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033000         GO TO 0105-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
033300         GO TO 0106-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
033600         GO TO 0107-MR-FIELD.
033700*
033800     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
033900         GO TO 0108-MR-FIELD.
034000*
034100     IF  MTL1-FIELD-CODE IS EQUAL TO 0109
034200         GO TO 0109-MR-FIELD.
034300*
034400     IF  MTL1-FIELD-CODE IS EQUAL TO 0110
034500         GO TO 0110-MR-FIELD.
034600*
034700     IF  MTL1-FIELD-CODE IS EQUAL TO 0190
034800         GO TO 0190-MR-FIELD.
034900*
035000     IF  MTL1-FIELD-CODE IS EQUAL TO 0191
035100         GO TO 0191-MR-FIELD.
035200*
035300     IF  MTL1-FIELD-CODE IS EQUAL TO 0192
035400         GO TO 0192-MR-FIELD.
035500*
035600     IF  MTL1-FIELD-CODE IS EQUAL TO 0193
035700         GO TO 0193-MR-FIELD.
035800*
035900     IF  MTL1-FIELD-CODE IS EQUAL TO 0194
036000         GO TO 0194-MR-FIELD.
036100*
036200     IF  MTL1-FIELD-CODE IS EQUAL TO 0195
036300         GO TO 0195-MR-FIELD.
036400*
036500     IF  MTL1-FIELD-CODE IS EQUAL TO 0196
036600         GO TO 0196-MR-FIELD.
036700*
036800     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
036900         GO TO 0197-MR-FIELD.
037000*
037100     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
037200         GO TO 0198-MR-FIELD.
037300*
037400     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
037500         GO TO 0199-MR-FIELD.
037600*
037700     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
037800         GO TO 0301-MR-FIELD.
037900*
038000     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
038100         GO TO 0302-MR-FIELD.
038200*
038300     IF  MTL1-FIELD-CODE IS EQUAL TO 0303
038400         GO TO 0303-MR-FIELD.
038500*
038600     IF  MTL1-FIELD-CODE IS EQUAL TO 0304
038700         GO TO 0304-MR-FIELD.
038800*
038900     IF  MTL1-FIELD-CODE IS EQUAL TO 0305
039000         GO TO 0305-MR-FIELD.
039005*                                                                 RG802901
039010     IF  MTL1-FIELD-CODE IS EQUAL TO 0306                         RG802901
039015         GO TO 0306-MR-FIELD.                                     RG802901
039100*
039200     IF  MTL1-FIELD-CODE IS EQUAL TO 0401
039300         GO TO 0401-MR-FIELD.
039400*
039500     IF  MTL1-FIELD-CODE IS EQUAL TO 0402
039600         GO TO 0402-MR-FIELD.
039700*
039800     IF  MTL1-FIELD-CODE IS EQUAL TO 0403
039900         GO TO 0403-MR-FIELD.
040000*
040100     IF  MTL1-FIELD-CODE IS EQUAL TO 0404
040200         GO TO 0404-MR-FIELD.
040300*
040400     IF  MTL1-FIELD-CODE IS EQUAL TO 0405
040500         GO TO 0405-MR-FIELD.
040600*
040700     IF  MTL1-FIELD-CODE IS EQUAL TO 0407
040800         GO TO 0407-MR-FIELD.
040900*
041000     IF  MTL1-FIELD-CODE IS EQUAL TO 0408
041100         GO TO 0408-MR-FIELD.
041200*
041300     IF  MTL1-FIELD-CODE IS EQUAL TO 0409
041400         GO TO 0409-MR-FIELD.
041500*
041600     IF  MTL1-FIELD-CODE IS EQUAL TO 0410
041700         GO TO 0410-MR-FIELD.
041800*
041900     IF  MTL1-FIELD-CODE IS EQUAL TO 0411
042000         GO TO 0411-MR-FIELD.
042100*
042200     IF  MTL1-FIELD-CODE IS EQUAL TO 0412
042300         GO TO 0412-MR-FIELD.
042400*
042500     IF  MTL1-FIELD-CODE IS EQUAL TO 0413
042600         GO TO 0413-MR-FIELD.
042700*
042800     IF  MTL1-FIELD-CODE IS EQUAL TO 0414
042900         GO TO 0414-MR-FIELD.
043000*
043100     IF  MTL1-FIELD-CODE IS EQUAL TO 0415
043200         GO TO 0415-MR-FIELD.
043300*
043400     IF  MTL1-FIELD-CODE IS EQUAL TO 0416
043500         GO TO 0416-MR-FIELD.
043600*
043700     IF  MTL1-FIELD-CODE IS EQUAL TO 0417
043800         GO TO 0417-MR-FIELD.
043900*
044000     IF  MTL1-FIELD-CODE IS EQUAL TO 0418
044100         GO TO 0418-MR-FIELD.
044200*
044300     IF  MTL1-FIELD-CODE IS EQUAL TO 0419
044400         GO TO 0419-MR-FIELD.
044500*
044600     IF  MTL1-FIELD-CODE IS EQUAL TO 0420
044700         GO TO 0420-MR-FIELD.
044800*
044900     IF  MTL1-FIELD-CODE IS EQUAL TO 0501
045000         GO TO 0501-MR-FIELD.
045100*
045200     IF  MTL1-FIELD-CODE IS EQUAL TO 0502
045300         GO TO 0502-MR-FIELD.
045400*
045500     IF  MTL1-FIELD-CODE IS EQUAL TO 0503
045600         GO TO 0503-MR-FIELD.
045700*
045800     IF  MTL1-FIELD-CODE IS EQUAL TO 0504
045900         GO TO 0504-MR-FIELD.
046000*
046100     IF  MTL1-FIELD-CODE IS EQUAL TO 0505
046200         GO TO 0505-MR-FIELD.
046300*
046400     IF  MTL1-FIELD-CODE IS EQUAL TO 0506
046500         GO TO 0506-MR-FIELD.
046600*
046700     IF  MTL1-FIELD-CODE IS EQUAL TO 0507
046800         GO TO 0507-MR-FIELD.
046900*
047000     IF  MTL1-FIELD-CODE IS EQUAL TO 0508
047100         GO TO 0508-MR-FIELD.
047200*
047300     IF  MTL1-FIELD-CODE IS EQUAL TO 0509
047400         GO TO 0509-MR-FIELD.
047500*
047600     IF  MTL1-FIELD-CODE IS EQUAL TO 0510
047700         GO TO 0510-MR-FIELD.
047800*
047900     IF  MTL1-FIELD-CODE IS EQUAL TO 0511
048000         GO TO 0511-MR-FIELD.
048100*
048200     IF  MTL1-FIELD-CODE IS EQUAL TO 0512
048300         GO TO 0512-MR-FIELD.
048400*
048500     IF  MTL1-FIELD-CODE IS EQUAL TO 0513
048600         GO TO 0513-MR-FIELD.
048700*
048800     IF  MTL1-FIELD-CODE IS EQUAL TO 0514
048900         GO TO 0514-MR-FIELD.
049000*
049100     IF  MTL1-FIELD-CODE IS EQUAL TO 0515
049200         GO TO 0515-MR-FIELD.
049300*
049400     IF  MTL1-FIELD-CODE IS EQUAL TO 0601
049500         GO TO 0601-MR-FIELD.
049600*
049700     IF  MTL1-FIELD-CODE IS EQUAL TO 0602
049800         GO TO 0602-MR-FIELD.
049900*
050000     IF  MTL1-FIELD-CODE IS EQUAL TO 0603
050100         GO TO 0603-MR-FIELD.
050200*
050300     IF  MTL1-FIELD-CODE IS EQUAL TO 0604
050400         GO TO 0604-MR-FIELD.
050500*
050600     IF  MTL1-FIELD-CODE IS EQUAL TO 0605
050700         GO TO 0605-MR-FIELD.
050800*
050900     IF  MTL1-FIELD-CODE IS EQUAL TO 0606
051000         GO TO 0606-MR-FIELD.
051100*
051200     IF  MTL1-FIELD-CODE IS EQUAL TO 0701
051300         GO TO 0701-MR-FIELD.
051400*
051500     IF  MTL1-FIELD-CODE IS EQUAL TO 0703
051600         GO TO 0703-MR-FIELD.
051700*
051800     IF  MTL1-FIELD-CODE IS EQUAL TO 0704
051900         GO TO 0704-MR-FIELD.
052000*
052100     IF  MTL1-FIELD-CODE IS EQUAL TO 0705
052200         GO TO 0705-MR-FIELD.
052300*
052400     IF  MTL1-FIELD-CODE IS EQUAL TO 0706
052500         GO TO 0706-MR-FIELD.
052600*
052700     IF  MTL1-FIELD-CODE IS EQUAL TO 0707
052800         GO TO 0707-MR-FIELD.
052900*
053000     IF  MTL1-FIELD-CODE IS EQUAL TO 0708
053100         GO TO 0708-MR-FIELD.
053200*
053300     IF  MTL1-FIELD-CODE IS EQUAL TO 0712
053400         GO TO 0712-MR-FIELD.
053500*
053600     IF  MTL1-FIELD-CODE IS EQUAL TO 0713
053700         GO TO 0713-MR-FIELD.
053800*
053900     IF  MTL1-FIELD-CODE IS EQUAL TO 0714
054000         GO TO 0714-MR-FIELD.
054100*
054200     IF  MTL1-FIELD-CODE IS EQUAL TO 0715
054300         GO TO 0715-MR-FIELD.
054400*
054500     IF  MTL1-FIELD-CODE IS EQUAL TO 0716
054600         GO TO 0716-MR-FIELD.
054700*
054800     IF  MTL1-FIELD-CODE IS EQUAL TO 0717
054900         GO TO 0717-MR-FIELD.
054932*                                                                 RG800914
054934     IF  MTL1-FIELD-CODE IS EQUAL TO 0721                         RG800914
054936         GO TO 0721-MR-FIELD.                                     RG800914
055000*
055100     IF  MTL1-FIELD-CODE IS EQUAL TO 0718
055200         GO TO 0718-MR-FIELD.
055300*
055400     IF  MTL1-FIELD-CODE IS EQUAL TO 0719
055500         GO TO 0719-MR-FIELD.
055505*                                                                 RG802901
055510     IF  MTL1-FIELD-CODE IS EQUAL TO 0720                         RG802901
055515         GO TO 0720-MR-FIELD.                                     RG802901
055600*
055700     IF  MTL1-FIELD-CODE IS EQUAL TO 0801
055800         GO TO 0801-MR-FIELD.
055900*
056000     IF  MTL1-FIELD-CODE IS EQUAL TO 0802
056100         GO TO 0802-MR-FIELD.
056200*
056300     IF  MTL1-FIELD-CODE IS EQUAL TO 0803
056400         GO TO 0803-MR-FIELD.
056500*
056600     IF  MTL1-FIELD-CODE IS EQUAL TO 0804
056700         GO TO 0804-MR-FIELD.
056800*
056900     IF  MTL1-FIELD-CODE IS EQUAL TO 0805
057000         GO TO 0805-MR-FIELD.
057100*
057200     IF  MTL1-FIELD-CODE IS EQUAL TO 0807
057300         GO TO 0807-MR-FIELD.
057400*
057500     IF  MTL1-FIELD-CODE IS EQUAL TO 0808
057600         GO TO 0808-MR-FIELD.
057700*
057800     IF  MTL1-FIELD-CODE IS EQUAL TO 0809
057900         GO TO 0809-MR-FIELD.
058000*
058100     IF  MTL1-FIELD-CODE IS EQUAL TO 0810
058200         GO TO 0810-MR-FIELD.
058300*
058400     IF  MTL1-FIELD-CODE IS EQUAL TO 0811
058500         GO TO 0811-MR-FIELD.
058600*
058700     IF  MTL1-FIELD-CODE IS EQUAL TO 0812
058800         GO TO 0812-MR-FIELD.
058900*
059000     IF  MTL1-FIELD-CODE IS EQUAL TO 0813
059100         GO TO 0813-MR-FIELD.
059200*
059300     IF  MTL1-FIELD-CODE IS EQUAL TO 0814
059400         GO TO 0814-MR-FIELD.
059500*
059600     IF  MTL1-FIELD-CODE IS EQUAL TO 0815
059700         GO TO 0815-MR-FIELD.
059800*
059900     IF  MTL1-FIELD-CODE IS EQUAL TO 0816
060000         GO TO 0816-MR-FIELD.
060100*
060200     IF  MTL1-FIELD-CODE IS EQUAL TO 0817
060300         GO TO 0817-MR-FIELD.
060400*
060500     IF  MTL1-FIELD-CODE IS EQUAL TO 0818
060600         GO TO 0818-MR-FIELD.
060700*
060800     IF  MTL1-FIELD-CODE IS EQUAL TO 0819
060900         GO TO 0819-MR-FIELD.
061000*
061100     IF  MTL1-FIELD-CODE IS EQUAL TO 0820
061200         GO TO 0820-MR-FIELD.
061300*
061400     IF  MTL1-FIELD-CODE IS EQUAL TO 0821
061500         GO TO 0821-MR-FIELD.
061502*                                                                 RG800913
061504     IF  MTL1-FIELD-CODE IS EQUAL TO 0822                         RG800913
061506         GO TO 0822-MR-FIELD.                                     RG800913
061600*
061602     IF  MTL1-FIELD-CODE IS EQUAL TO 0901                         RG800902
061604         GO TO 0901-MR-FIELD.                                     RG800902
061606*                                                                 RG800902
061608     IF  MTL1-FIELD-CODE IS EQUAL TO 0902                         RG800902
061610         GO TO 0902-MR-FIELD.                                     RG800902
061612*                                                                 RG800902
061614     IF  MTL1-FIELD-CODE IS EQUAL TO 0903                         RG800902
061616         GO TO 0903-MR-FIELD.                                     RG800902
061618*                                                                 RG800902
061620     IF  MTL1-FIELD-CODE IS EQUAL TO 0904                         RG800902
061622         GO TO 0904-MR-FIELD.                                     RG800902
061624*                                                                 RG800902
061626     IF  MTL1-FIELD-CODE IS EQUAL TO 0905                         RG800902
061628         GO TO 0905-MR-FIELD.                                     RG800902
061630*                                                                 RG800902
061632     IF  MTL1-FIELD-CODE IS EQUAL TO 0906                         RG800902
061634         GO TO 0906-MR-FIELD.                                     RG800902
061636*                                                                 RG800902
061638     IF  MTL1-FIELD-CODE IS EQUAL TO 0907                         RG800902
061640         GO TO 0907-MR-FIELD.                                     RG800902
061642*                                                                 RG800902
061644     IF  MTL1-FIELD-CODE IS EQUAL TO 0908                         RG800902
061646         GO TO 0908-MR-FIELD.                                     RG800902
061648*                                                                 RG800902
061650     IF  MTL1-FIELD-CODE IS EQUAL TO 0909                         RG800902
061652         GO TO 0909-MR-FIELD.                                     RG800902
061654*                                                                 RG800902
061656     IF  MTL1-FIELD-CODE IS EQUAL TO 0910                         RG800902
061658         GO TO 0910-MR-FIELD.                                     RG800902
061660*                                                                 RG800902
061662     IF  MTL1-FIELD-CODE IS EQUAL TO 0911                         RG800902
061664         GO TO 0911-MR-FIELD.                                     RG800902
061666*                                                                 RG800902
061700     IF  MTL1-FIELD-CODE IS EQUAL TO 1001                         RG800902
061800         GO TO 1001-MR-FIELD.                                     RG800902
061900*
062000     IF  MTL1-FIELD-CODE IS EQUAL TO 9001
062100         GO TO 9001-MR-FIELD.
062200*
062300     IF  MTL1-FIELD-CODE IS EQUAL TO 9002
062400         GO TO 9002-MR-FIELD.
062500*
062600     IF  MTL1-FIELD-CODE IS EQUAL TO 9003
062700         GO TO 9003-MR-FIELD.
062800*
062900     IF  MTL1-FIELD-CODE IS EQUAL TO 9004
063000         GO TO 9004-MR-FIELD.
063100*
063200     IF  MTL1-FIELD-CODE IS EQUAL TO 9005
063300         GO TO 9005-MR-FIELD.
063400*
063500     IF  MTL1-FIELD-CODE IS EQUAL TO 9006
063600         GO TO 9006-MR-FIELD.
063700*
063800     IF  MTL1-FIELD-CODE IS EQUAL TO 9007
063900         GO TO 9007-MR-FIELD.
064000*
064100     IF  MTL1-FIELD-CODE IS EQUAL TO 9008
064200         GO TO 9008-MR-FIELD.
064300*
064400     IF  MTL1-FIELD-CODE IS EQUAL TO 9009
064500         GO TO 9009-MR-FIELD.
064600*
064700     IF  MTL1-FIELD-CODE IS EQUAL TO 9010
064800         GO TO 9010-MR-FIELD.
064900*
065000     IF  MTL1-FIELD-CODE IS EQUAL TO 9011
065100         GO TO 9011-MR-FIELD.
065200*
065300     IF  MTL1-FIELD-CODE IS EQUAL TO 9012
065400         GO TO 9012-MR-FIELD.
065500*
065600     IF  MTL1-FIELD-CODE IS EQUAL TO 9013
065700         GO TO 9013-MR-FIELD.
065800*
065900     IF  MTL1-FIELD-CODE IS EQUAL TO 9014
066000         GO TO 9014-MR-FIELD.
066100*
066200     IF  MTL1-FIELD-CODE IS EQUAL TO 9015
066300         GO TO 9015-MR-FIELD.
066400*
066500     IF  MTL1-FIELD-CODE IS EQUAL TO 9016
066600         GO TO 9016-MR-FIELD.
066700*
066800     IF  MTL1-FIELD-CODE IS EQUAL TO 9017
066900         GO TO 9017-MR-FIELD.
067000*
067100     IF  MTL1-FIELD-CODE IS EQUAL TO 9018
067200         GO TO 9018-MR-FIELD.
067300*
067400     IF  MTL1-FIELD-CODE IS EQUAL TO 9019
067500         GO TO 9019-MR-FIELD.
067600*
067700     IF  MTL1-FIELD-CODE IS EQUAL TO 9020
067800         GO TO 9020-MR-FIELD.
067900*
068000     IF  MTL1-FIELD-CODE IS EQUAL TO 9021
068100         GO TO 9021-MR-FIELD.
068200*
068300     IF  MTL1-FIELD-CODE IS EQUAL TO 9022
068400         GO TO 9022-MR-FIELD.
068500*
068600     IF  MTL1-FIELD-CODE IS EQUAL TO 9023
068700         GO TO 9023-MR-FIELD.
068800*
068900     IF  MTL1-FIELD-CODE IS EQUAL TO 9024
069000         GO TO 9024-MR-FIELD.
069100*
069200     IF  MTL1-FIELD-CODE IS EQUAL TO 9025
069300         GO TO 9025-MR-FIELD.
069400*
069500     IF  MTL1-FIELD-CODE IS EQUAL TO 9026
069600         GO TO 9026-MR-FIELD.
069700*
069800     IF  MTL1-FIELD-CODE IS EQUAL TO 9027
069900         GO TO 9027-MR-FIELD.
070000*
070100     IF  MTL1-FIELD-CODE IS EQUAL TO 9028
070200         GO TO 9028-MR-FIELD.
070300*
070400     IF  MTL1-FIELD-CODE IS EQUAL TO 9029
070500         GO TO 9029-MR-FIELD.
070600*
070700     IF  MTL1-FIELD-CODE IS EQUAL TO 9030
070800         GO TO 9030-MR-FIELD.
070900*
071000     IF  MTL1-FIELD-CODE IS EQUAL TO 9031
071100         GO TO 9031-MR-FIELD.
071200*
071300     IF  MTL1-FIELD-CODE IS EQUAL TO 9032
071400         GO TO 9032-MR-FIELD.
071500*
071600     IF  MTL1-FIELD-CODE IS EQUAL TO 9033
071700         GO TO 9033-MR-FIELD.
071800*
071900     IF  MTL1-FIELD-CODE IS EQUAL TO 9034
072000         GO TO 9034-MR-FIELD.
072100*
072200     IF  MTL1-FIELD-CODE IS EQUAL TO 9035
072300         GO TO 9035-MR-FIELD.
072400*
072500     IF  MTL1-FIELD-CODE IS EQUAL TO 9036
072600         GO TO 9036-MR-FIELD.
072700*
072800     IF  MTL1-FIELD-CODE IS EQUAL TO 9037
072900         GO TO 9037-MR-FIELD.
073000*
073100     IF  MTL1-FIELD-CODE IS EQUAL TO 9038
073200         GO TO 9038-MR-FIELD.
073210*                                                                 RG802901
073220     IF  MTL1-FIELD-CODE IS EQUAL TO 9042                         RG802901
073230         GO TO 9042-MR-FIELD.                                     RG802901
073240*                                                                 RG802901
073250     IF  MTL1-FIELD-CODE IS EQUAL TO 9043                         RG802901
073260         GO TO 9043-MR-FIELD.                                     RG802901
073300*
073400     MOVE '*** ERROR - INVALID FIELD CODE ***'
073500                                 TO MBD100WS-PL2-TO-VALUE.
073600     GO TO 5999-MR-EXIT.
073700*
073800 0101-MR-FIELD.
073900*
074000     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
074100*
074200     IF  MBD100WS-JOURNAL
074300         MOVE MTL1-VL03-B-DATA-X TO MMSM-COUNTRY-CODE
074400                                    (X-MMSM-DEMOGRAPHICS).
074500*
074600     MOVE 'COUNTRY CODE          '
074700                                 TO MBD100WS-PL1-DESC.
074800     MOVE MMSM-COUNTRY-CODE
074900          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
075000     MOVE MTL1-VL03-A-DATA-X     TO MMSM-COUNTRY-CODE
075100                                    (X-MMSM-DEMOGRAPHICS).
075200     MOVE MMSM-COUNTRY-CODE
075300          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
075400     GO TO 5100-MR-NO-REC-CHECK.
075500*
075600*
075700*
075800 0102-MR-FIELD.
075900*
076000     IF  MBD100WS-JOURNAL
076100         MOVE MTL1-VL30-B-DATA-X TO MMSM-DBA-NAME.
076200*
076300     MOVE 'DBA NAME              '
076400                                 TO MBD100WS-PL1-DESC.
076500     MOVE MMSM-DBA-NAME          TO MBD100WS-PL1-FROM-VALUE.
076600     MOVE MTL1-VL30-A-DATA-X     TO MMSM-DBA-NAME.
076700     MOVE MMSM-DBA-NAME          TO MBD100WS-PL2-TO-VALUE.
076800     GO TO 5100-MR-NO-REC-CHECK.
076900*
077000*
077100*
077200 0103-MR-FIELD.
077300*
077400     IF  MBD100WS-JOURNAL
077500         MOVE MTL1-VL10-B-DATA-9 TO MMSM-MERCHANT-ID.
077600*
077700     MOVE 'MERCHANT IDENTIFIER   '
077800                                 TO MBD100WS-PL1-DESC.
077900     MOVE MMSM-MERCHANT-ID       TO MBD100WS-PL1-FV-999999999.
078000     MOVE MTL1-VL10-A-DATA-9     TO MMSM-MERCHANT-ID.
078100     MOVE MMSM-MERCHANT-ID       TO MBD100WS-PL2-TV-999999999.
078200     GO TO 5100-MR-NO-REC-CHECK.
078300*
078400*
078500*
078600 0104-MR-FIELD.
078700*
078800     IF  MBD100WS-JOURNAL
078900         MOVE MTL1-VL30-B-DATA-X TO MMSM-DBA-CITY.
079000*
079100     MOVE 'DBA CITY              '
079200                                 TO MBD100WS-PL1-DESC.
079300     MOVE MMSM-DBA-CITY          TO MBD100WS-PL1-FROM-VALUE.
079400     MOVE MTL1-VL30-A-DATA-X     TO MMSM-DBA-CITY.
079500     MOVE MMSM-DBA-CITY          TO MBD100WS-PL2-TO-VALUE.
079600     GO TO 5100-MR-NO-REC-CHECK.
079700*
079800*
079900*
080000 0105-MR-FIELD.
080100*
080200     IF  MBD100WS-JOURNAL
080300         MOVE MTL1-VL03-B-DATA-X TO MMSM-DBA-COUNTRY-CODE.
080400*
080500     MOVE 'DBA COUNTRY CODE      '
080600                                 TO MBD100WS-PL1-DESC.
080700     MOVE MMSM-DBA-COUNTRY-CODE  TO MBD100WS-PL1-FROM-VALUE.
080800     MOVE MTL1-VL03-A-DATA-X     TO MMSM-DBA-COUNTRY-CODE.
080900     MOVE MMSM-DBA-COUNTRY-CODE  TO MBD100WS-PL2-TO-VALUE.
081000     GO TO 5100-MR-NO-REC-CHECK.
081100*
081200*
081300*
081400 0106-MR-FIELD.
081500*
081600     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
081700     SET X-MMSM-NA               TO MTL1-FIELD-OCCURRENCE-2.
081800*
081900     IF  MBD100WS-JOURNAL
082000         MOVE MTL1-VL40-B-DATA-X TO MMSM-NA-LINE
082100                                    (X-MMSM-DEMOGRAPHICS
082200                                     X-MMSM-NA).
082300*
082400     MOVE 'NAME/ADDRESS LINE     '
082500                                 TO MBD100WS-PL1-DESC.
082600     MOVE MMSM-NA-LINE
082700          (X-MMSM-DEMOGRAPHICS X-MMSM-NA)
082800                                 TO MBD100WS-PL1-FROM-VALUE.
082900     MOVE MTL1-VL40-A-DATA-X     TO MMSM-NA-LINE
083000                                    (X-MMSM-DEMOGRAPHICS
083100                                     X-MMSM-NA).
083200     MOVE MMSM-NA-LINE
083300          (X-MMSM-DEMOGRAPHICS X-MMSM-NA)
083400                                 TO MBD100WS-PL2-TO-VALUE.
083500     GO TO 5100-MR-NO-REC-CHECK.
083600*
083700*
083800*
083900 0107-MR-FIELD.
084000*
084100     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
084200*
084300     IF  MBD100WS-JOURNAL
084400         MOVE MTL1-VL03-B-DATA-X TO MMSM-STATE-CODE
084500                                    (X-MMSM-DEMOGRAPHICS).
084600*
084700     MOVE 'STATE CODE            '
084800                                 TO MBD100WS-PL1-DESC.
084900     MOVE MMSM-STATE-CODE
085000          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
085100     MOVE MTL1-VL03-A-DATA-X     TO MMSM-STATE-CODE
085200                                    (X-MMSM-DEMOGRAPHICS).
085300     MOVE MMSM-STATE-CODE
085400          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
085500     GO TO 5100-MR-NO-REC-CHECK.
085600*
085700*
085800*
085900 0108-MR-FIELD.
086000*
086100     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
086200*
086300     IF  MBD100WS-JOURNAL
086400         MOVE MTL1-VL20-B-DATA-X TO MMSM-PHONE
086500                                    (X-MMSM-DEMOGRAPHICS).
086600*
086700     MOVE 'PHONE NUMBER          '
086800                                 TO MBD100WS-PL1-DESC.
086900     MOVE MMSM-PHONE
087000          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
087100     MOVE MTL1-VL20-A-DATA-X     TO MMSM-PHONE
087200                                    (X-MMSM-DEMOGRAPHICS).
087300     MOVE MMSM-PHONE
087400          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
087500     GO TO 5100-MR-NO-REC-CHECK.
087600*
087700*
087800*
087900 0109-MR-FIELD.
088000*
088100     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
088200*
088300     IF  MBD100WS-JOURNAL
088400         MOVE MTL1-VL10-B-DATA-X TO MMSM-POSTAL-CODE
088500                                    (X-MMSM-DEMOGRAPHICS).
088600*
088700     MOVE 'POSTAL/ZIP CODE       '
088800                                 TO MBD100WS-PL1-DESC.
088900     MOVE MMSM-POSTAL-CODE
089000          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
089100     MOVE MTL1-VL10-A-DATA-X     TO MMSM-POSTAL-CODE
089200                                    (X-MMSM-DEMOGRAPHICS).
089300     MOVE MMSM-POSTAL-CODE
089400          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
089500     GO TO 5100-MR-NO-REC-CHECK.
089600*
089700*
089800*
089900 0110-MR-FIELD.
090000*
090100     SET X-MMSM-DEMOGRAPHICS     TO MTL1-FIELD-OCCURRENCE.
090200*
090300     IF  MBD100WS-JOURNAL
090400         MOVE MTL1-VL20-B-DATA-X TO MMSM-FAX
090500                                    (X-MMSM-DEMOGRAPHICS).
090600*
090700     MOVE 'FAX NUMBER            '
090800                                 TO MBD100WS-PL1-DESC.
090900     MOVE MMSM-FAX
091000          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL1-FROM-VALUE.
091100     MOVE MTL1-VL20-A-DATA-X     TO MMSM-FAX
091200                                    (X-MMSM-DEMOGRAPHICS).
091300     MOVE MMSM-FAX
091400          (X-MMSM-DEMOGRAPHICS)  TO MBD100WS-PL2-TO-VALUE.
091500     GO TO 5100-MR-NO-REC-CHECK.
091600*
091700*
091800*
091900 0192-MR-FIELD.
092000*
092100     IF  MBD100WS-JOURNAL
092200         MOVE MTL1-VL02-B-DATA-X TO MMSM-CLOSE-REASON.
092300*
092400     MOVE 'CLOSE REASON CODE     '
092500                                 TO MBD100WS-PL1-DESC.
092600     MOVE MMSM-CLOSE-REASON
092700                                 TO MBD100WS-PL1-FROM-VALUE.
092800     MOVE MTL1-VL02-A-DATA-X     TO MMSM-CLOSE-REASON.
092900     MOVE MMSM-CLOSE-REASON
093000                                 TO MBD100WS-PL2-TO-VALUE.
093100     GO TO 5100-MR-NO-REC-CHECK.
093200*
093300*
093400*
093500 0193-MR-FIELD.
093600*
093700     IF  MBD100WS-JOURNAL
093800         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-PURGED.
093900*
094000     MOVE 'DATE PURGED           '
094100                                 TO MBD100WS-PL1-DESC.
094200     MOVE MMSM-DATE-PURGED       TO SS01WS-JULIAN.
094300     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
094400     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-PURGED.
094500     MOVE MMSM-DATE-PURGED       TO SS01WS-JULIAN.
094600     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
094700     GO TO 5100-MR-NO-REC-CHECK.
094800*
094900*
095000*
095100 0194-MR-FIELD.
095200*
095300     IF  MBD100WS-JOURNAL
095400         MOVE MTL1-VL07-B-DATA-9 TO MMSM-PURGING-DATE.
095500*
095600     MOVE 'DATE PURGING          '
095700                                 TO MBD100WS-PL1-DESC.
095800     MOVE MMSM-PURGING-DATE      TO SS01WS-JULIAN.
095900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
096000     MOVE MTL1-VL07-A-DATA-9     TO MMSM-PURGING-DATE.
096100     MOVE MMSM-PURGING-DATE      TO SS01WS-JULIAN.
096200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
096300     GO TO 5100-MR-NO-REC-CHECK.
096400*
096500*
096600*
096700 0195-MR-FIELD.
096800*
096900     IF  MBD100WS-JOURNAL
097000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-CLOSED.
097100*
097200     MOVE 'DATE CLOSED           '
097300                                 TO MBD100WS-PL1-DESC.
097400     MOVE MMSM-DATE-CLOSED       TO SS01WS-JULIAN.
097500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
097600     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-CLOSED.
097700     MOVE MMSM-DATE-CLOSED       TO SS01WS-JULIAN.
097800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
097900     GO TO 5100-MR-NO-REC-CHECK.
098000*
098100*
098200*
098300 0196-MR-FIELD.
098400*
098500     IF  MBD100WS-JOURNAL
098600         MOVE MTL1-VL03-B-DATA-X TO MMSM-STATUS-CHANGE-OPER.
098700*
098800     MOVE 'STATUS CHANGE OPERATOR'
098900                                 TO MBD100WS-PL1-DESC.
099000     MOVE MMSM-STATUS-CHANGE-OPER
099100                                 TO MBD100WS-PL1-FROM-VALUE.
099200     MOVE MTL1-VL03-A-DATA-X     TO MMSM-STATUS-CHANGE-OPER.
099300     MOVE MMSM-STATUS-CHANGE-OPER
099400                                 TO MBD100WS-PL2-TO-VALUE.
099500     GO TO 5100-MR-NO-REC-CHECK.
099600*
099700*
099800*
099900 0197-MR-FIELD.
100000*
100100     IF  MBD100WS-JOURNAL
100200         MOVE MTL1-VL01-B-DATA-9 TO MMSM-REC-STATUS.
100300*
100400     MOVE 'RECORD STATUS         '
100500                                 TO MBD100WS-PL1-DESC.
100600     MOVE MMSM-REC-STATUS        TO MBD100WS-PL1-FV-9.
100700     MOVE MTL1-VL01-A-DATA-9     TO MMSM-REC-STATUS.
100800     MOVE MMSM-REC-STATUS        TO MBD100WS-PL2-TV-9.
100900     GO TO 5100-MR-NO-REC-CHECK.
101000*
101100*
101200*
101300 0198-MR-FIELD.
101400*
101500     IF  MBD100WS-JOURNAL
101600         MOVE MTL1-VL03-B-DATA-X TO MMSM-LAST-MAINT-OPER.
101700*
101800     MOVE 'LAST MAINT OPERATOR   '
101900                                 TO MBD100WS-PL1-DESC.
102000     MOVE MMSM-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
102100     MOVE MTL1-VL03-A-DATA-X     TO MMSM-LAST-MAINT-OPER.
102200     MOVE MMSM-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
102300     GO TO 5100-MR-NO-REC-CHECK.
102400*
102500*
102600*
102700 0199-MR-FIELD.
102800*
102900     IF  MBD100WS-JOURNAL
103000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-LAST-MAINT-DATE.
103100*
103200     MOVE 'DATE LAST MAINTENANCE '
103300                                 TO MBD100WS-PL1-DESC.
103400     MOVE MMSM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
103500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
103600     MOVE MTL1-VL07-A-DATA-9     TO MMSM-LAST-MAINT-DATE.
103700     MOVE MMSM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
103800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
103900     GO TO 5100-MR-NO-REC-CHECK.
104000*
104100*
104200 0190-MR-FIELD.
104300*
104400     IF  MBD100WS-JOURNAL
104500         MOVE MTL1-VL07-B-DATA-9 TO MMSM-OUT-OF-BUS-DATE.
104600*
104700     MOVE 'OUT OF BUSINESS DATE  '
104800                                 TO MBD100WS-PL1-DESC.
104900     MOVE MMSM-OUT-OF-BUS-DATE   TO SS01WS-JULIAN.
105000     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
105100     MOVE MTL1-VL07-A-DATA-9     TO MMSM-OUT-OF-BUS-DATE.
105200     MOVE MMSM-OUT-OF-BUS-DATE   TO SS01WS-JULIAN.
105300     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
105400     GO TO 5100-MR-NO-REC-CHECK.
105500*
105600*
105700 0191-MR-FIELD.
105800*
105900     IF  MBD100WS-JOURNAL
106000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-OWNERSHIP-CHG-DATE.
106100*
106200     MOVE 'OWNERSHIP CHANGE DATE '
106300                                 TO MBD100WS-PL1-DESC.
106400     MOVE MMSM-OWNERSHIP-CHG-DATE
106500                                 TO SS01WS-JULIAN.
106600     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
106700     MOVE MTL1-VL07-A-DATA-9     TO MMSM-OWNERSHIP-CHG-DATE.
106800     MOVE MMSM-OWNERSHIP-CHG-DATE
106900                                 TO SS01WS-JULIAN.
107000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
107100     GO TO 5100-MR-NO-REC-CHECK.
107200*
107300*
107400*
107500 0301-MR-FIELD.
107600*
107700     SET X-MMSM-CONTACT          TO MTL1-FIELD-OCCURRENCE.
107800*
107900     IF  MBD100WS-JOURNAL
108000         MOVE MTL1-VL30-B-DATA-X TO MMSM-CONTACT
108100                                    (X-MMSM-CONTACT).
108200*
108300     MOVE 'CONTACT NAME          '
108400                                 TO MBD100WS-PL1-DESC.
108500     MOVE MMSM-CONTACT
108600          (X-MMSM-CONTACT)       TO MBD100WS-PL1-FROM-VALUE.
108700     MOVE MTL1-VL30-A-DATA-X     TO MMSM-CONTACT
108800                                    (X-MMSM-CONTACT).
108900     MOVE MMSM-CONTACT
109000          (X-MMSM-CONTACT)       TO MBD100WS-PL2-TO-VALUE.
109100     GO TO 5100-MR-NO-REC-CHECK.
109200*
109300*
109400*
109500 0302-MR-FIELD.
109600*
109700     SET X-MMSM-CONTACT          TO MTL1-FIELD-OCCURRENCE.
109800*
109900     IF  MBD100WS-JOURNAL
110000         MOVE MTL1-VL30-B-DATA-X TO MMSM-CONTACT-TITLE
110100                                    (X-MMSM-CONTACT).
110200*
110300     MOVE 'CONTACT TITLE         '
110400                                 TO MBD100WS-PL1-DESC.
110500     MOVE MMSM-CONTACT-TITLE
110600          (X-MMSM-CONTACT)       TO MBD100WS-PL1-FROM-VALUE.
110700     MOVE MTL1-VL30-A-DATA-X     TO MMSM-CONTACT-TITLE
110800                                    (X-MMSM-CONTACT).
110900     MOVE MMSM-CONTACT-TITLE
111000          (X-MMSM-CONTACT)       TO MBD100WS-PL2-TO-VALUE.
111100     GO TO 5100-MR-NO-REC-CHECK.
111200*
111300*
111400*
111500 0303-MR-FIELD.
111600*
111700     SET X-MMSM-CONTACT          TO MTL1-FIELD-OCCURRENCE.
111800*
111900     IF  MBD100WS-JOURNAL
112000         MOVE MTL1-VL20-B-DATA-X TO MMSM-CONTACT-PHONE
112100                                    (X-MMSM-CONTACT).
112200*
112300     MOVE 'CONTACT PHONE         '
112400                                 TO MBD100WS-PL1-DESC.
112500     MOVE MMSM-CONTACT-PHONE
112600          (X-MMSM-CONTACT)       TO MBD100WS-PL1-FROM-VALUE.
112700     MOVE MTL1-VL20-A-DATA-X     TO MMSM-CONTACT-PHONE
112800                                    (X-MMSM-CONTACT).
112900     MOVE MMSM-CONTACT-PHONE
113000          (X-MMSM-CONTACT)       TO MBD100WS-PL2-TO-VALUE.
113100     GO TO 5100-MR-NO-REC-CHECK.
113200*
113300*
113400*
113500 0304-MR-FIELD.
113600*
113700     SET X-MMSM-CONTACT          TO MTL1-FIELD-OCCURRENCE.
113800*
113900     IF  MBD100WS-JOURNAL
114000         MOVE MTL1-VL20-B-DATA-X TO MMSM-CONTACT-FAX
114100                                    (X-MMSM-CONTACT).
114200*
114300     MOVE 'CONTACT FAX           '
114400                                 TO MBD100WS-PL1-DESC.
114500     MOVE MMSM-CONTACT-FAX
114600          (X-MMSM-CONTACT)       TO MBD100WS-PL1-FROM-VALUE.
114700     MOVE MTL1-VL20-A-DATA-X     TO MMSM-CONTACT-FAX
114800                                    (X-MMSM-CONTACT).
114900     MOVE MMSM-CONTACT-FAX
115000          (X-MMSM-CONTACT)       TO MBD100WS-PL2-TO-VALUE.
115100     GO TO 5100-MR-NO-REC-CHECK.
115200*
115300*
115400*
115500 0305-MR-FIELD.
115600*
115700     SET X-MMSM-MEMO             TO MTL1-FIELD-OCCURRENCE.
115800*
115900     IF  MBD100WS-JOURNAL
116000         MOVE MTL1-VL50-B-DATA-X TO MMSM-MEMO
116100                                    (X-MMSM-MEMO).
116200*
116300     MOVE 'STORE MEMO            '
116400                                 TO MBD100WS-PL1-DESC.
116500     MOVE MMSM-MEMO
116600          (X-MMSM-MEMO)          TO MBD100WS-PL1-FROM-VALUE.
116700     MOVE MTL1-VL50-A-DATA-X     TO MMSM-MEMO
116800                                    (X-MMSM-MEMO).
116900     MOVE MMSM-MEMO
117000          (X-MMSM-MEMO)          TO MBD100WS-PL2-TO-VALUE.
117100     GO TO 5100-MR-NO-REC-CHECK.
117105*                                                                 RG802901
117110*                                                                 RG802901
117115*                                                                 RG802901
117120 0306-MR-FIELD.                                                   RG802901
117125*                                                                 RG802901
117130     IF  MBD100WS-JOURNAL                                         RG802901
117135         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-CONTACT-IND.          RG802901
117140*                                                                 RG802901
117145     MOVE 'URL/EMAIL ADDRESS     '                                RG802901
117150                                 TO MBD100WS-PL1-DESC.            RG802901
117155     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL1-FROM-VALUE.      RG802901
117160     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-URL-EMAIL.            RG802901
117165     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL2-TO-VALUE.        RG802901
117170     GO TO 5100-MR-NO-REC-CHECK.                                  RG802901
117200*
117300*
117400*
117500 0401-MR-FIELD.
117600*
117700     IF  MBD100WS-JOURNAL
117800         MOVE MTL1-VL01-B-DATA-X TO MMSM-AUTH-CODE.
117900*
118000     MOVE 'AUTHORIZATION CODE    '
118100                                 TO MBD100WS-PL1-DESC.
118200     MOVE MMSM-AUTH-CODE         TO MBD100WS-PL1-FROM-VALUE.
118300     MOVE MTL1-VL01-A-DATA-X     TO MMSM-AUTH-CODE.
118400     MOVE MMSM-AUTH-CODE         TO MBD100WS-PL2-TO-VALUE.
118500     GO TO 5100-MR-NO-REC-CHECK.
118600*
118700*
118800*
118900 0402-MR-FIELD.
119000*
119100     IF  MBD100WS-JOURNAL
119200         MOVE MTL1-VL01-B-DATA-X TO MMSM-STORE-SETT-FLAG.
119300*
119400     MOVE 'SETTLEMENT FLAG       '
119500                                 TO MBD100WS-PL1-DESC.
119600     MOVE MMSM-STORE-SETT-FLAG   TO MBD100WS-PL1-FROM-VALUE.
119700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-STORE-SETT-FLAG.
119800     MOVE MMSM-STORE-SETT-FLAG   TO MBD100WS-PL2-TO-VALUE.
119900     GO TO 5100-MR-NO-REC-CHECK.
120000*
120100*
120200*
120300 0403-MR-FIELD.
120400*
120500     IF  MBD100WS-JOURNAL
120600         MOVE MTL1-VL03-B-DATA-9 TO MMSM-AUTH-LOGO.
120700*
120800     MOVE 'AUTHORIZATION LOGO    '
120900                                 TO MBD100WS-PL1-DESC.
121000     MOVE MMSM-AUTH-LOGO         TO MBD100WS-PL1-FV-999.
121100     MOVE MTL1-VL03-A-DATA-9     TO MMSM-AUTH-LOGO.
121200     MOVE MMSM-AUTH-LOGO         TO MBD100WS-PL2-TV-999.
121300     GO TO 5100-MR-NO-REC-CHECK.
121400*
121500*
121600*
121700 0404-MR-FIELD.
121800*
121900     IF  MBD100WS-JOURNAL
122000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-STORE-SETT-DATE.
122100*
122200     MOVE 'SETTLEMENT DATE       '
122300                                 TO MBD100WS-PL1-DESC.
122400     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
122500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
122600     MOVE MTL1-VL07-A-DATA-9     TO MMSM-STORE-SETT-DATE.
122700     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
122800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
122900     GO TO 5100-MR-NO-REC-CHECK.
123000*
123100*
123200*
123300 0405-MR-FIELD.
123400*
123500     IF  MBD100WS-JOURNAL
123600         MOVE MTL1-VL03-B-DATA-X TO MMSM-GOVERNING-STATE.
123700*
123800     MOVE 'GOVERNING STATE       '
123900                                 TO MBD100WS-PL1-DESC.
124000     MOVE MMSM-GOVERNING-STATE   TO MBD100WS-PL1-FROM-VALUE.
124100     MOVE MTL1-VL03-A-DATA-X     TO MMSM-GOVERNING-STATE.
124200     MOVE MMSM-GOVERNING-STATE   TO MBD100WS-PL2-TO-VALUE.
124300     GO TO 5100-MR-NO-REC-CHECK.
124400*
124500*
124600*
124700 0407-MR-FIELD.
124800*
124900     IF  MBD100WS-JOURNAL
125000         MOVE MTL1-VL01-B-DATA-X TO MMSM-STMT-ADDR-CONTROL.
125100*
125200     MOVE 'ADDRESS CONTROL       '
125300                                 TO MBD100WS-PL1-DESC.
125400     MOVE MMSM-STMT-ADDR-CONTROL TO MBD100WS-PL1-FROM-VALUE.
125500     MOVE MTL1-VL01-A-DATA-X     TO MMSM-STMT-ADDR-CONTROL.
125600     MOVE MMSM-STMT-ADDR-CONTROL TO MBD100WS-PL2-TO-VALUE.
125700     GO TO 5100-MR-NO-REC-CHECK.
125800*
125900*
126000*
126100 0408-MR-FIELD.
126200*
126300     IF  MBD100WS-JOURNAL
126400         MOVE MTL1-VL10-B-DATA-9 TO MMSM-NBR-BULLETINS.
126500*
126600     MOVE 'NUMBER OF BULLETINS   '
126700                                 TO MBD100WS-PL1-DESC.
126800     MOVE MMSM-NBR-BULLETINS     TO MBD100WS-PL1-FV-999999999.
126900     MOVE MTL1-VL10-A-DATA-9     TO MMSM-NBR-BULLETINS.
127000     MOVE MMSM-NBR-BULLETINS     TO MBD100WS-PL2-TV-999999999.
127100     GO TO 5100-MR-NO-REC-CHECK.
127200*
127300*
127400*
127500 0409-MR-FIELD.
127600*
127700     SET X-MMSM-ACT-RECAP        TO MTL1-FIELD-OCCURRENCE.
127800*
127900     IF  MBD100WS-JOURNAL
128000         MOVE MTL1-VL03-B-DATA-9 TO MMSM-ACT-RECAP
128100                                    (X-MMSM-ACT-RECAP).
128200*
128300     MOVE 'ACTIVITY RECAP NUMBER '
128400                                 TO MBD100WS-PL1-DESC.
128500     MOVE MMSM-ACT-RECAP
128600          (X-MMSM-ACT-RECAP)     TO MBD100WS-PL1-FV-999.
128700     MOVE MTL1-VL03-A-DATA-9     TO MMSM-ACT-RECAP
128800                                    (X-MMSM-ACT-RECAP).
128900     MOVE MMSM-ACT-RECAP
129000          (X-MMSM-ACT-RECAP)     TO MBD100WS-PL2-TV-999.
129100     GO TO 5100-MR-NO-REC-CHECK.
129200*
129300*
129400*
129500 0410-MR-FIELD.
129600*
129700     SET X-MMSM-ACT-RECAP        TO MTL1-FIELD-OCCURRENCE.
129800*
129900     IF  MBD100WS-JOURNAL
130000         MOVE MTL1-VL01-B-DATA-X TO MMSM-ACT-RECAP-DTL
130100                                    (X-MMSM-ACT-RECAP).
130200*
130300     MOVE 'ACTIVITY RECAP DETAIL '
130400                                 TO MBD100WS-PL1-DESC.
130500     MOVE MMSM-ACT-RECAP-DTL
130600          (X-MMSM-ACT-RECAP)     TO MBD100WS-PL1-FROM-VALUE.
130700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-ACT-RECAP-DTL
130800                                    (X-MMSM-ACT-RECAP).
130900     MOVE MMSM-ACT-RECAP-DTL
131000          (X-MMSM-ACT-RECAP)     TO MBD100WS-PL2-TO-VALUE.
131100     GO TO 5100-MR-NO-REC-CHECK.
131200*
131300*
131400*
131500 0411-MR-FIELD.
131600*
131700     IF  MBD100WS-JOURNAL
131800         MOVE MTL1-VL03-B-DATA-X TO MMSM-VISIT-REP-OPER.
131900*
132000     MOVE 'VISIT REP OPERATOR    '
132100                                 TO MBD100WS-PL1-DESC.
132200     MOVE MMSM-VISIT-REP-OPER    TO MBD100WS-PL1-FROM-VALUE.
132300     MOVE MTL1-VL03-A-DATA-X     TO MMSM-VISIT-REP-OPER.
132400     MOVE MMSM-VISIT-REP-OPER    TO MBD100WS-PL2-TO-VALUE.
132500     GO TO 5100-MR-NO-REC-CHECK.
132600*
132700*
132800*
132900 0412-MR-FIELD.
133000*
133100     IF  MBD100WS-JOURNAL
133200         MOVE MTL1-VL02-B-DATA-9 TO MMSM-VISIT-FREQ.
133300*
133400     MOVE 'VISIT FREQUENCY       '
133500                                 TO MBD100WS-PL1-DESC.
133600     MOVE MMSM-VISIT-FREQ        TO MBD100WS-PL1-FV-99.
133700     MOVE MTL1-VL02-A-DATA-9     TO MMSM-VISIT-FREQ.
133800     MOVE MMSM-VISIT-FREQ        TO MBD100WS-PL2-TV-99.
133900     GO TO 5100-MR-NO-REC-CHECK.
134000*
134100*
134200*
134300 0413-MR-FIELD.
134400*
134500     IF  MBD100WS-JOURNAL
134600         MOVE MTL1-VL03-B-DATA-X TO MMSM-REVIEW-REP-OPER.
134700*
134800     MOVE 'REVIEW REP OPERATOR   '
134900                                 TO MBD100WS-PL1-DESC.
135000     MOVE MMSM-REVIEW-REP-OPER   TO MBD100WS-PL1-FROM-VALUE.
135100     MOVE MTL1-VL03-A-DATA-X     TO MMSM-REVIEW-REP-OPER.
135200     MOVE MMSM-REVIEW-REP-OPER   TO MBD100WS-PL2-TO-VALUE.
135300     GO TO 5100-MR-NO-REC-CHECK.
135400*
135500*
135600*
135700 0414-MR-FIELD.
135800*
135900     IF  MBD100WS-JOURNAL
136000         MOVE MTL1-VL02-B-DATA-9 TO MMSM-REVIEW-FREQ.
136100*
136200     MOVE 'REVIEW FREQUENCY      '
136300                                 TO MBD100WS-PL1-DESC.
136400     MOVE MMSM-REVIEW-FREQ       TO MBD100WS-PL1-FV-99.
136500     MOVE MTL1-VL02-A-DATA-9     TO MMSM-REVIEW-FREQ.
136600     MOVE MMSM-REVIEW-FREQ       TO MBD100WS-PL2-TV-99.
136700     GO TO 5100-MR-NO-REC-CHECK.
136800*
136900*
137000*
137100 0415-MR-FIELD.
137200*
137300     IF  MBD100WS-JOURNAL
137400         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-LAST-VISIT.
137500*
137600     MOVE 'DATE LAST VISIT       '
137700                                 TO MBD100WS-PL1-DESC.
137800     MOVE MMSM-DATE-LAST-VISIT   TO SS01WS-JULIAN.
137900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
138000     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-LAST-VISIT.
138100     MOVE MMSM-DATE-LAST-VISIT   TO SS01WS-JULIAN.
138200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
138300     GO TO 5100-MR-NO-REC-CHECK.
138400*
138500*
138600*
138700 0416-MR-FIELD.
138800*
138900     IF  MBD100WS-JOURNAL
139000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-LAST-REVIEW.
139100*
139200     MOVE 'DATE LAST REVIEW      '
139300                                 TO MBD100WS-PL1-DESC.
139400     MOVE MMSM-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
139500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
139600     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-LAST-REVIEW.
139700     MOVE MMSM-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
139800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
139900     GO TO 5100-MR-NO-REC-CHECK.
140000*
140100*
140200*
140300 0417-MR-FIELD.
140400*
140500     IF  MBD100WS-JOURNAL
140600         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-NEXT-VISIT.
140700*
140800     MOVE 'DATE NEXT VISIT       '
140900                                 TO MBD100WS-PL1-DESC.
141000     MOVE MMSM-DATE-NEXT-VISIT   TO SS01WS-JULIAN.
141100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
141200     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-NEXT-VISIT.
141300     MOVE MMSM-DATE-NEXT-VISIT   TO SS01WS-JULIAN.
141400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
141500     GO TO 5100-MR-NO-REC-CHECK.
141600*
141700*
141800*
141900 0418-MR-FIELD.
142000*
142100     IF  MBD100WS-JOURNAL
142200         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DATE-NEXT-REVIEW.
142300*
142400     MOVE 'DATE NEXT REVIEW      '
142500                                 TO MBD100WS-PL1-DESC.
142600     MOVE MMSM-DATE-NEXT-REVIEW  TO SS01WS-JULIAN.
142700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
142800     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DATE-NEXT-REVIEW.
142900     MOVE MMSM-DATE-NEXT-REVIEW  TO SS01WS-JULIAN.
143000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
143100     GO TO 5100-MR-NO-REC-CHECK.
143200*
143300*
143400*
143500 0419-MR-FIELD.
143600*
143700     IF  MBD100WS-JOURNAL
143800         MOVE MTL1-VL30-B-DATA-X TO MMSM-VISIT-REP-NAME.
143900*
144000     MOVE 'VISIT REP NAME        '
144100                                 TO MBD100WS-PL1-DESC.
144200     MOVE MMSM-VISIT-REP-NAME    TO MBD100WS-PL1-FROM-VALUE.
144300     MOVE MTL1-VL30-A-DATA-X     TO MMSM-VISIT-REP-NAME.
144400     MOVE MMSM-VISIT-REP-NAME    TO MBD100WS-PL2-TO-VALUE.
144500     GO TO 5100-MR-NO-REC-CHECK.
144600*
144700*
144800*
144900 0420-MR-FIELD.
145000*
145100     IF  MBD100WS-JOURNAL
145200         MOVE MTL1-VL30-B-DATA-X TO MMSM-REVIEW-REP-NAME.
145300*
145400     MOVE 'REVIEW REP NAME       '
145500                                 TO MBD100WS-PL1-DESC.
145600     MOVE MMSM-REVIEW-REP-NAME   TO MBD100WS-PL1-FROM-VALUE.
145700     MOVE MTL1-VL30-A-DATA-X     TO MMSM-REVIEW-REP-NAME.
145800     MOVE MMSM-REVIEW-REP-NAME   TO MBD100WS-PL2-TO-VALUE.
145900     GO TO 5100-MR-NO-REC-CHECK.
146000*
146100*
146200*
146300 0501-MR-FIELD.
146400*
146500     SET X-MMSM-IMP              TO MTL1-FIELD-OCCURRENCE.
146600*
146700     IF  MBD100WS-JOURNAL
146800         MOVE MTL1-VL20-B-DATA-X TO MMSM-IMP-DEV-TITLE
146900                                    (X-MMSM-IMP).
147000*
147100     MOVE 'IMPRINTER DEVICE TITLE'
147200                                 TO MBD100WS-PL1-DESC.
147300     MOVE MMSM-IMP-DEV-TITLE
147400          (X-MMSM-IMP)           TO MBD100WS-PL1-FROM-VALUE.
147500     MOVE MTL1-VL20-A-DATA-X     TO MMSM-IMP-DEV-TITLE
147600                                    (X-MMSM-IMP).
147700     MOVE MMSM-IMP-DEV-TITLE
147800          (X-MMSM-IMP)           TO MBD100WS-PL2-TO-VALUE.
147900     GO TO 5100-MR-NO-REC-CHECK.
148000*
148100*
148200*
148300 0502-MR-FIELD.
148400*
148500     SET X-MMSM-IMP              TO MTL1-FIELD-OCCURRENCE.
148600*
148700     IF  MBD100WS-JOURNAL
148800         MOVE MTL1-VL05-B-DATA-9 TO MMSM-IMP-DEV-NBR
148900                                    (X-MMSM-IMP).
149000*
149100     MOVE 'IMPRINTER DEVICE NBR  '
149200                                 TO MBD100WS-PL1-DESC.
149300     MOVE MMSM-IMP-DEV-NBR
149400          (X-MMSM-IMP)           TO MBD100WS-PL1-FV-99999.
149500     MOVE MTL1-VL05-A-DATA-9     TO MMSM-IMP-DEV-NBR
149600                                    (X-MMSM-IMP).
149700     MOVE MMSM-IMP-DEV-NBR
149800          (X-MMSM-IMP)           TO MBD100WS-PL2-TV-99999.
149900     GO TO 5100-MR-NO-REC-CHECK.
150000*
150100*
150200*
150300 0503-MR-FIELD.
150400*
150500     SET X-MMSM-POS              TO MTL1-FIELD-OCCURRENCE.
150600*
150700     IF  MBD100WS-JOURNAL
150800         MOVE MTL1-VL20-B-DATA-X TO MMSM-POS-DEV-TITLE
150900                                    (X-MMSM-POS).
151000*
151100     MOVE 'POS DEVICE TITLE      '
151200                                 TO MBD100WS-PL1-DESC.
151300     MOVE MMSM-POS-DEV-TITLE
151400          (X-MMSM-POS)           TO MBD100WS-PL1-FROM-VALUE.
151500     MOVE MTL1-VL20-A-DATA-X     TO MMSM-POS-DEV-TITLE
151600                                    (X-MMSM-POS).
151700     MOVE MMSM-POS-DEV-TITLE
151800          (X-MMSM-POS)           TO MBD100WS-PL2-TO-VALUE.
151900     GO TO 5100-MR-NO-REC-CHECK.
152000*
152100*
152200*
152300 0504-MR-FIELD.
152400*
152500     SET X-MMSM-POS              TO MTL1-FIELD-OCCURRENCE.
152600*
152700     IF  MBD100WS-JOURNAL
152800         MOVE MTL1-VL05-B-DATA-9 TO MMSM-POS-DEV-NBR
152900                                    (X-MMSM-POS).
153000*
153100     MOVE 'POS DEVICE NUMBER     '
153200                                 TO MBD100WS-PL1-DESC.
153300     MOVE MMSM-POS-DEV-NBR
153400          (X-MMSM-POS)           TO MBD100WS-PL1-FV-99999.
153500     MOVE MTL1-VL05-A-DATA-9     TO MMSM-POS-DEV-NBR
153600                                    (X-MMSM-POS).
153700     MOVE MMSM-POS-DEV-NBR
153800          (X-MMSM-POS)           TO MBD100WS-PL2-TV-99999.
153900     GO TO 5100-MR-NO-REC-CHECK.
154000*
154100*
154200*
154300 0505-MR-FIELD.
154400*
154500     IF  MBD100WS-JOURNAL
154600         MOVE MTL1-VL20-B-NBR-V902
154700                                 TO MMSM-PL-FLOOR-LIMIT.
154800*
154900     MOVE 'P/L FLOOR LIMIT       '
155000                                 TO MBD100WS-PL1-DESC.
155100     MOVE MMSM-PL-FLOOR-LIMIT    TO SS95WS-IN-AMT.
155200     PERFORM SS95PD-NAP-ROUTINE
155300                                 THRU SS95PD-NAP-EXIT.
155400     MOVE SS95WS-OUT-AMT-L21     TO MBD100WS-PL1-FROM-VALUE.
155500     MOVE MTL1-VL20-A-NBR-V902   TO MMSM-PL-FLOOR-LIMIT.
155600     MOVE MMSM-PL-FLOOR-LIMIT    TO SS95WS-IN-AMT.
155700     PERFORM SS95PD-NAP-ROUTINE
155800                                 THRU SS95PD-NAP-EXIT.
155900     MOVE SS95WS-OUT-AMT-L21     TO MBD100WS-PL2-TO-VALUE.
156000     GO TO 5100-MR-NO-REC-CHECK.
156100*
156200*
156300*
156400 0506-MR-FIELD.
156500*
156600     IF  MBD100WS-JOURNAL
156700         MOVE MTL1-VL04-B-DATA-9 TO MMSM-PL-CATEGORY-CODE.
156800*
156900     MOVE 'P/L CATEGORY-CODE     '
157000                                 TO MBD100WS-PL1-DESC.
157100     MOVE MMSM-PL-CATEGORY-CODE  TO MBD100WS-PL1-FV-9999.
157200     MOVE MTL1-VL04-A-DATA-9     TO MMSM-PL-CATEGORY-CODE.
157300     MOVE MMSM-PL-CATEGORY-CODE  TO MBD100WS-PL2-TV-9999.
157400     GO TO 5100-MR-NO-REC-CHECK.
157500*
157600*
157700*
157800 0507-MR-FIELD.
157900*
158000     IF  MBD100WS-JOURNAL
158100         MOVE MTL1-VL01-B-DATA-X TO MMSM-MEDIA-TYPE.
158200*
158300     MOVE 'MEDIA TYPE            '
158400                                 TO MBD100WS-PL1-DESC.
158500     MOVE MMSM-MEDIA-TYPE        TO MBD100WS-PL1-FROM-VALUE.
158600     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MEDIA-TYPE.
158700     MOVE MMSM-MEDIA-TYPE        TO MBD100WS-PL2-TO-VALUE.
158800     GO TO 5100-MR-NO-REC-CHECK.
158900*
159000*
159100*
159200 0508-MR-FIELD.
159300*
159400     IF  MBD100WS-JOURNAL
159500         MOVE MTL1-VL02-B-DATA-9 TO MMSM-MEDIA-TYPE.
159600*
159700     MOVE 'STORE TYPE            '
159800                                 TO MBD100WS-PL1-DESC.
159900     MOVE MMSM-STORE-TYPE        TO MBD100WS-PL1-FV-99.
160000     MOVE MTL1-VL02-A-DATA-9     TO MMSM-STORE-TYPE.
160100     MOVE MMSM-STORE-TYPE        TO MBD100WS-PL2-TV-99.
160200     GO TO 5100-MR-NO-REC-CHECK.
160300*
160400*
160500*
160600 0509-MR-FIELD.
160700*
160800     IF  MBD100WS-JOURNAL
160900         MOVE MTL1-VL01-B-DATA-X TO MMSM-BULLETIN-TYPE.
161000*
161100     MOVE 'BULLETIN TYPE         '
161200                                 TO MBD100WS-PL1-DESC.
161300     MOVE MMSM-BULLETIN-TYPE     TO MBD100WS-PL1-FROM-VALUE.
161400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-BULLETIN-TYPE.
161500     MOVE MMSM-BULLETIN-TYPE     TO MBD100WS-PL2-TO-VALUE.
161600     GO TO 5100-MR-NO-REC-CHECK.
161700*
161800*
161900*
162000 0510-MR-FIELD.
162100*
162200     IF  MBD100WS-JOURNAL
162300         MOVE MTL1-VL10-B-DATA-X TO MMSM-LOCATION-ID.
162400*
162500     MOVE 'LOCATION ID           '
162600                                 TO MBD100WS-PL1-DESC.
162700     MOVE MMSM-LOCATION-ID       TO MBD100WS-PL1-FROM-VALUE.
162800     MOVE MTL1-VL10-A-DATA-X     TO MMSM-LOCATION-ID.
162900     MOVE MMSM-LOCATION-ID       TO MBD100WS-PL2-TO-VALUE.
163000     GO TO 5100-MR-NO-REC-CHECK.
163100*
163200*
163300*
163400 0511-MR-FIELD.
163500*
163600     IF  MBD100WS-JOURNAL
163700         MOVE MTL1-VL05-B-DATA-9 TO MMSM-AGENT-BANK.
163800*
163900     MOVE 'AGENT BANK            '
164000                                 TO MBD100WS-PL1-DESC.
164100     MOVE MMSM-AGENT-BANK        TO MBD100WS-PL1-FV-99999.
164200     MOVE MTL1-VL05-A-DATA-9     TO MMSM-AGENT-BANK.
164300     MOVE MMSM-AGENT-BANK        TO MBD100WS-PL2-TV-99999.
164400     GO TO 5100-MR-NO-REC-CHECK.
164500*
164600*
164700*
164800 0512-MR-FIELD.
164900*
165000     IF  MBD100WS-JOURNAL
165100         MOVE MTL1-VL03-B-DATA-X TO MMSM-OFFICER-ID.
165200*
165300     MOVE 'OFFICER ID            '
165400                                 TO MBD100WS-PL1-DESC.
165500     MOVE MMSM-OFFICER-ID        TO MBD100WS-PL1-FROM-VALUE.
165600     MOVE MTL1-VL03-A-DATA-X     TO MMSM-OFFICER-ID.
165700     MOVE MMSM-OFFICER-ID        TO MBD100WS-PL2-TO-VALUE.
165800     GO TO 5100-MR-NO-REC-CHECK.
165900*
166000*
166100*
166200 0513-MR-FIELD.
166300*
166400     IF  MBD100WS-JOURNAL
166500         MOVE MTL1-VL10-B-DATA-9 TO MMSM-BRANCH.
166600*
166700     MOVE 'BRANCH NUMBER         '
166800                                 TO MBD100WS-PL1-DESC.
166900     MOVE MMSM-BRANCH            TO MBD100WS-PL1-FV-999999999.
167000     MOVE MTL1-VL10-A-DATA-9     TO MMSM-BRANCH.
167100     MOVE MMSM-BRANCH            TO MBD100WS-PL2-TV-999999999.
167200     GO TO 5100-MR-NO-REC-CHECK.
167300*
167400*
167500*
167600 0514-MR-FIELD.
167700*
167800     IF  MBD100WS-JOURNAL
167900         MOVE MTL1-VL30-B-DATA-X TO MMSM-CHECK-GUARANTEE-CO.
168000*
168100     MOVE 'CHECK GUARANTEE CO.   '
168200                                 TO MBD100WS-PL1-DESC.
168300     MOVE MMSM-CHECK-GUARANTEE-CO
168400                                 TO MBD100WS-PL1-FROM-VALUE.
168500     MOVE MTL1-VL30-A-DATA-X     TO MMSM-CHECK-GUARANTEE-CO.
168600     MOVE MMSM-CHECK-GUARANTEE-CO
168700                                 TO MBD100WS-PL2-TO-VALUE.
168800     GO TO 5100-MR-NO-REC-CHECK.
168900*
169000*
169100*
169200 0515-MR-FIELD.
169300*
169400     SET X-MMSM-CSL              TO MTL1-FIELD-OCCURRENCE.
169500*
169600     IF  MBD100WS-JOURNAL
169700         MOVE MTL1-VL50-B-DATA-X TO MMSM-CUST-STMT-LINE
169800                                    (X-MMSM-CSL).
169900*
170000     MOVE 'CUSTOMER STMT LINE    '
170100                                 TO MBD100WS-PL1-DESC.
170200     MOVE MMSM-CUST-STMT-LINE
170300          (X-MMSM-CSL)           TO MBD100WS-PL1-FROM-VALUE.
170400     MOVE MTL1-VL50-A-DATA-X     TO MMSM-CUST-STMT-LINE
170500                                    (X-MMSM-CSL).
170600     MOVE MMSM-CUST-STMT-LINE
170700          (X-MMSM-CSL)           TO MBD100WS-PL2-TO-VALUE.
170800     GO TO 5100-MR-NO-REC-CHECK.
170900*
171000*
171100*
171200 0601-MR-FIELD.
171300*
171400     SET X-MMSM-USER-DATA        TO MTL1-FIELD-OCCURRENCE.
171500*
171600     IF  MBD100WS-JOURNAL
171700         MOVE MTL1-VL20-B-DATA-X TO MMSM-USER-DATA-TITLE
171800                                    (X-MMSM-USER-DATA).
171900*
172000     MOVE 'USER DATA TITLE       '
172100                                 TO MBD100WS-PL1-DESC.
172200     MOVE MMSM-USER-DATA-TITLE
172300          (X-MMSM-USER-DATA)     TO MBD100WS-PL1-FROM-VALUE.
172400     MOVE MTL1-VL20-A-DATA-X     TO MMSM-USER-DATA-TITLE
172500                                    (X-MMSM-USER-DATA).
172600     MOVE MMSM-USER-DATA-TITLE
172700          (X-MMSM-USER-DATA)     TO MBD100WS-PL2-TO-VALUE.
172800     GO TO 5100-MR-NO-REC-CHECK.
172900*
173000*
173100*
173200 0602-MR-FIELD.
173300*
173400     SET X-MMSM-USER-DATA        TO MTL1-FIELD-OCCURRENCE.
173500*
173600     IF  MBD100WS-JOURNAL
173700         MOVE MTL1-VL20-B-DATA-X TO MMSM-USER-DATA
173800                                    (X-MMSM-USER-DATA).
173900*
174000     MOVE 'USER DATA             '
174100                                 TO MBD100WS-PL1-DESC.
174200     MOVE MMSM-USER-DATA
174300          (X-MMSM-USER-DATA)     TO MBD100WS-PL1-FROM-VALUE.
174400     MOVE MTL1-VL20-A-DATA-X     TO MMSM-USER-DATA
174500                                    (X-MMSM-USER-DATA).
174600     MOVE MMSM-USER-DATA
174700          (X-MMSM-USER-DATA)     TO MBD100WS-PL2-TO-VALUE.
174800     GO TO 5100-MR-NO-REC-CHECK.
174900*
175000*
175100*
175200 0603-MR-FIELD.
175300*
175400     SET X-MMSM-USER-DATE        TO MTL1-FIELD-OCCURRENCE.
175500*
175600     IF  MBD100WS-JOURNAL
175700         MOVE MTL1-VL20-B-DATA-X TO MMSM-USER-DATE-TITLE
175800                                    (X-MMSM-USER-DATE).
175900*
176000     MOVE 'USER DATE TITLE       '
176100                                 TO MBD100WS-PL1-DESC.
176200     MOVE MMSM-USER-DATE-TITLE
176300          (X-MMSM-USER-DATE)     TO MBD100WS-PL1-FROM-VALUE.
176400     MOVE MTL1-VL20-A-DATA-X     TO MMSM-USER-DATE-TITLE
176500                                    (X-MMSM-USER-DATE).
176600     MOVE MMSM-USER-DATE-TITLE
176700          (X-MMSM-USER-DATE)     TO MBD100WS-PL2-TO-VALUE.
176800     GO TO 5100-MR-NO-REC-CHECK.
176900*
177000*
177100*
177200 0604-MR-FIELD.
177300*
177400     SET X-MMSM-USER-DATE        TO MTL1-FIELD-OCCURRENCE.
177500*
177600     IF  MBD100WS-JOURNAL
177700         MOVE MTL1-VL07-B-DATA-9 TO MMSM-USER-DATE
177800                                    (X-MMSM-USER-DATE).
177900*
178000     MOVE 'USER DATE             '
178100                                 TO MBD100WS-PL1-DESC.
178200     MOVE MMSM-USER-DATE
178300          (X-MMSM-USER-DATE)     TO SS01WS-JULIAN.
178400     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
178500     MOVE MTL1-VL07-A-DATA-9     TO MMSM-USER-DATE
178600                                    (X-MMSM-USER-DATE).
178700     MOVE MMSM-USER-DATE
178800          (X-MMSM-USER-DATE)     TO SS01WS-JULIAN.
178900     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
179000     GO TO 5100-MR-NO-REC-CHECK.
179100*
179200*
179300*
179400 0605-MR-FIELD.
179500*
179600     SET X-MMSM-USER-AMT         TO MTL1-FIELD-OCCURRENCE.
179700*
179800     IF  MBD100WS-JOURNAL
179900         MOVE MTL1-VL20-B-DATA-X TO MMSM-USER-AMT-TITLE
180000                                    (X-MMSM-USER-AMT).
180100*
180200     MOVE 'USER AMOUNT TITLE     '
180300                                 TO MBD100WS-PL1-DESC.
180400     MOVE MMSM-USER-AMT-TITLE
180500          (X-MMSM-USER-AMT)      TO MBD100WS-PL1-FROM-VALUE.
180600     MOVE MTL1-VL20-A-DATA-X     TO MMSM-USER-AMT-TITLE
180700                                    (X-MMSM-USER-AMT).
180800     MOVE MMSM-USER-AMT-TITLE
180900          (X-MMSM-USER-AMT)      TO MBD100WS-PL2-TO-VALUE.
181000     GO TO 5100-MR-NO-REC-CHECK.
181100*
181200*
181300*
181400 0606-MR-FIELD.
181500*
181600     SET X-MMSM-USER-AMT         TO MTL1-FIELD-OCCURRENCE.
181700*
181800     IF  MBD100WS-JOURNAL
181900         MOVE MTL1-VL20-B-NBR-V902
182000                                 TO MMSM-USER-AMT
182100                                    (X-MMSM-USER-AMT).
182200*
182300     MOVE 'USER AMOUNT           '
182400                                 TO MBD100WS-PL1-DESC.
182500     MOVE MMSM-USER-AMT
182600          (X-MMSM-USER-AMT)      TO SS95WS-IN-AMT.
182700     PERFORM SS95PD-NAP-ROUTINE
182800                                 THRU SS95PD-NAP-EXIT.
182900     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.
183000     MOVE MTL1-VL20-A-NBR-V902   TO MMSM-USER-AMT
183100                                    (X-MMSM-USER-AMT).
183200     MOVE MMSM-USER-AMT
183300          (X-MMSM-USER-AMT)      TO SS95WS-IN-AMT.
183400     PERFORM SS95PD-NAP-ROUTINE
183500                                 THRU SS95PD-NAP-EXIT.
183600     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.
183700     GO TO 5100-MR-NO-REC-CHECK.
183800*
183900*
184000*
184100 0701-MR-FIELD.
184200*
184300     IF  MBD100WS-JOURNAL
184400         MOVE MTL1-VL30-B-DATA-X TO MMSM-VI-DBA-NAME.
184500*
184600     MOVE 'VISA DBA NAME         '
184700                                 TO MBD100WS-PL1-DESC.
184800     MOVE MMSM-VI-DBA-NAME       TO MBD100WS-PL1-FROM-VALUE.
184900     MOVE MTL1-VL30-A-DATA-X     TO MMSM-VI-DBA-NAME.
185000     MOVE MMSM-VI-DBA-NAME       TO MBD100WS-PL2-TO-VALUE.
185100     GO TO 5100-MR-NO-REC-CHECK.
185200*
185300*
185400*
185500 0703-MR-FIELD.
185600*
185700     IF  MBD100WS-JOURNAL
185800         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-INTCHG-FLAG.
185900*
186000     MOVE 'VISA INTERCHANGE FLAG '
186100                                 TO MBD100WS-PL1-DESC.
186200     MOVE MMSM-VI-INTCHG-FLAG    TO MBD100WS-PL1-FROM-VALUE.
186300     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-INTCHG-FLAG.
186400     MOVE MMSM-VI-INTCHG-FLAG    TO MBD100WS-PL2-TO-VALUE.
186500     GO TO 5100-MR-NO-REC-CHECK.
186600*
186700*
186800*
186900 0704-MR-FIELD.
187000*
187100     IF  MBD100WS-JOURNAL
187200         MOVE MTL1-VL10-B-DATA-9 TO MMSM-VI-MEMBER-ID.
187300*
187400     MOVE 'VISA MEMBER ID        '
187500                                 TO MBD100WS-PL1-DESC.
187600     MOVE MMSM-VI-MEMBER-ID      TO MBD100WS-PL1-FV-99999999.
187700     MOVE MTL1-VL10-A-DATA-9     TO MMSM-VI-MEMBER-ID.
187800     MOVE MMSM-VI-MEMBER-ID      TO MBD100WS-PL2-TV-99999999.
187900     GO TO 5100-MR-NO-REC-CHECK.
188000*
188100*
188200*
188300 0705-MR-FIELD.
188400*
188500     IF  MBD100WS-JOURNAL
188600         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-SPECIAL-COND-1.
188700*
188800     MOVE 'VISA SPECIAL COND 1   '
188900                                 TO MBD100WS-PL1-DESC.
189000     MOVE MMSM-VI-SPECIAL-COND-1 TO MBD100WS-PL1-FROM-VALUE.
189100     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-SPECIAL-COND-1.
189200     MOVE MMSM-VI-SPECIAL-COND-1 TO MBD100WS-PL2-TO-VALUE.
189300     GO TO 5100-MR-NO-REC-CHECK.
189400*
189500*
189600*
189700 0706-MR-FIELD.
189800*
189900     IF  MBD100WS-JOURNAL
190000         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-SPECIAL-COND-2.
190100*
190200     MOVE 'VISA SPECIAL COND 2   '
190300                                 TO MBD100WS-PL1-DESC.
190400     MOVE MMSM-VI-SPECIAL-COND-2 TO MBD100WS-PL1-FROM-VALUE.
190500     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-SPECIAL-COND-2.
190600     MOVE MMSM-VI-SPECIAL-COND-2 TO MBD100WS-PL2-TO-VALUE.
190700     GO TO 5100-MR-NO-REC-CHECK.
190800*
190900*
191000*
191100 0707-MR-FIELD.
191200*
191300     IF  MBD100WS-JOURNAL
191400         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-MAIL-PHONE-IND.
191500*
191600     MOVE 'VISA MAIL PHONE IND   '
191700                                 TO MBD100WS-PL1-DESC.
191800     MOVE MMSM-VI-MAIL-PHONE-IND TO MBD100WS-PL1-FROM-VALUE.
191900     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-MAIL-PHONE-IND.
192000     MOVE MMSM-VI-MAIL-PHONE-IND TO MBD100WS-PL2-TO-VALUE.
192100     GO TO 5100-MR-NO-REC-CHECK.
192200*
192300*
192400*
192500 0708-MR-FIELD.
192600*
192700     IF  MBD100WS-JOURNAL
192800         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-CH-TERM-IND.
192900*
193000     MOVE 'VISA CH TERM IND      '
193100                                 TO MBD100WS-PL1-DESC.
193200     MOVE MMSM-VI-CH-TERM-IND    TO MBD100WS-PL1-FROM-VALUE.
193300     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-CH-TERM-IND.
193400     MOVE MMSM-VI-CH-TERM-IND    TO MBD100WS-PL2-TO-VALUE.
193500     GO TO 5100-MR-NO-REC-CHECK.
193600*
193700*
193800*
193900 0712-MR-FIELD.
194000*
194100     IF  MBD100WS-JOURNAL
194200         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-RPT-THSHOLD.
194300*
194400     MOVE 'VISA REPORT THRESHOLD '
194500                                 TO MBD100WS-PL1-DESC.
194600     MOVE MMSM-VI-RPT-THSHOLD    TO MBD100WS-PL1-FROM-VALUE.
194700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-RPT-THSHOLD.
194800     MOVE MMSM-VI-RPT-THSHOLD    TO MBD100WS-PL2-TO-VALUE.
194900     GO TO 5100-MR-NO-REC-CHECK.
195000*
195100*
195200*
195300 0713-MR-FIELD.
195400*
195500     IF  MBD100WS-JOURNAL
195600         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-PROG-INDICATOR.
195700*
195800     MOVE 'VISA PROG INDICATOR   '
195900                                 TO MBD100WS-PL1-DESC.
196000     MOVE MMSM-VI-PROG-INDICATOR TO MBD100WS-PL1-FROM-VALUE.
196100     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-PROG-INDICATOR.
196200     MOVE MMSM-VI-PROG-INDICATOR TO MBD100WS-PL2-TO-VALUE.
196300     GO TO 5100-MR-NO-REC-CHECK.
196400*
196500*
196600*
196700 0714-MR-FIELD.
196800*
196900     IF  MBD100WS-JOURNAL
197000         MOVE MTL1-VL02-B-DATA-X TO MMSM-VI-CRB-REGION.
197100*
197200     MOVE 'VISA CRB REGION       '
197300                                 TO MBD100WS-PL1-DESC.
197400     MOVE MMSM-VI-CRB-REGION     TO MBD100WS-PL1-FROM-VALUE.
197500     MOVE MTL1-VL02-A-DATA-X     TO MMSM-VI-CRB-REGION.
197600     MOVE MMSM-VI-CRB-REGION     TO MBD100WS-PL2-TO-VALUE.
197700     GO TO 5100-MR-NO-REC-CHECK.
197800*
197900*
198000*
198100 0715-MR-FIELD.
198200*
198300     IF  MBD100WS-JOURNAL
198400         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-REG-ADDR-IND.
198500*
198600     MOVE 'VISA REG ADDR IND     '
198700                                 TO MBD100WS-PL1-DESC.
198800     MOVE MMSM-VI-REG-ADDR-IND   TO MBD100WS-PL1-FROM-VALUE.
198900     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-REG-ADDR-IND.
199000     MOVE MMSM-VI-REG-ADDR-IND   TO MBD100WS-PL2-TO-VALUE.
199100     GO TO 5100-MR-NO-REC-CHECK.
199200*
199300*
199400*
199500 0716-MR-FIELD.
199600*
199700     IF  MBD100WS-JOURNAL
199800         MOVE MTL1-VL01-B-DATA-9 TO MMSM-VI-REG-ADDR-LINE.
199900*
200000     MOVE 'VISA REG ADDR LINE    '
200100                                 TO MBD100WS-PL1-DESC.
200200     MOVE MMSM-VI-REG-ADDR-LINE  TO MBD100WS-PL1-FROM-VALUE.
200300     MOVE MTL1-VL01-A-DATA-9     TO MMSM-VI-REG-ADDR-LINE.
200400     MOVE MMSM-VI-REG-ADDR-LINE  TO MBD100WS-PL2-TO-VALUE.
200500     GO TO 5100-MR-NO-REC-CHECK.
200600*
200700*
200800*
200900 0717-MR-FIELD.
201000*
201100     IF  MBD100WS-JOURNAL
201200         MOVE MTL1-VL04-B-DATA-9 TO MMSM-VI-CATEGORY-CODE.
201300*
201400     MOVE 'VISA CATEGORY CODE    '
201500                                 TO MBD100WS-PL1-DESC.
201600     MOVE MMSM-VI-CATEGORY-CODE  TO MBD100WS-PL1-FV-9999.
201700     MOVE MTL1-VL04-A-DATA-9     TO MMSM-VI-CATEGORY-CODE.
201800     MOVE MMSM-VI-CATEGORY-CODE  TO MBD100WS-PL2-TV-9999.
201900     GO TO 5100-MR-NO-REC-CHECK.
202000*
202100*
202200*
202300 0718-MR-FIELD.
202400*
202500     IF  MBD100WS-JOURNAL
202600         MOVE MTL1-VL20-B-NBR-V902
202700                                 TO MMSM-VI-FLOOR-LIMIT.
202800*
202900     MOVE 'VISA FLOOR LIMIT      '
203000                                 TO MBD100WS-PL1-DESC.
203100     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
203200     MOVE MMSM-VI-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
203300     PERFORM SS95PD-NAP-ROUTINE
203400                                 THRU SS95PD-NAP-EXIT.
203500     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
203600     MOVE MTL1-VL20-A-NBR-V902   TO MMSM-VI-FLOOR-LIMIT.
203700     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
203800     MOVE MMSM-VI-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
203900     PERFORM SS95PD-NAP-ROUTINE
204000                                 THRU SS95PD-NAP-EXIT.
204100     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
204200     GO TO 5100-MR-NO-REC-CHECK.
204300*
204400 0719-MR-FIELD.
204500*
204600     IF  MBD100WS-JOURNAL
204700         MOVE MTL1-VL02-B-DATA-X TO MMSM-VI-VOLUME-IND.
204800*
204900     MOVE 'VISA VOLUME INDICATOR '
205000                                 TO MBD100WS-PL1-DESC.
205100     MOVE MMSM-VI-VOLUME-IND     TO MBD100WS-PL1-FROM-VALUE.
205200     MOVE MTL1-VL02-A-DATA-X     TO MMSM-VI-VOLUME-IND.
205300     MOVE MMSM-VI-VOLUME-IND     TO MBD100WS-PL2-TO-VALUE.
205400     GO TO 5100-MR-NO-REC-CHECK.
205500*
205505*                                                                 RG802901
205510*                                                                 RG802901
205515 0720-MR-FIELD.                                                   RG802901
205520*                                                                 RG802901
205525     IF  MBD100WS-JOURNAL                                         RG802901
205530         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-CONTACT-IND.          RG802901
205535*                                                                 RG802901
205540     MOVE 'CONTACT INDICATOR     '                                RG802901
205545                                 TO MBD100WS-PL1-DESC.            RG802901
205550     MOVE MMSM-VI-CONTACT-IND    TO MBD100WS-PL1-FROM-VALUE.      RG802901
205555     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-CONTACT-IND.          RG802901
205560     MOVE MMSM-VI-CONTACT-IND    TO MBD100WS-PL2-TO-VALUE.        RG802901
205565     GO TO 5100-MR-NO-REC-CHECK.                                  RG802901
205600*
205602*                                                                 RG800914
205604*                                                                 RG800914
205612 0721-MR-FIELD.                                                   RG800914
205614*                                                                 RG800914
205616     IF  MBD100WS-JOURNAL                                         RG800914
205618         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-SVC-DVLP-IND.         RG800914
205620*                                                                 RG800914
205622     MOVE 'VISA SVC DEVELOPMENT  '                                RG800914
205624                                 TO MBD100WS-PL1-DESC.            RG800914
205626     MOVE MMSM-VI-SVC-DVLP-IND   TO MBD100WS-PL1-FROM-VALUE.      RG800914
205628     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-SVC-DVLP-IND.         RG800914
205630     MOVE MMSM-VI-SVC-DVLP-IND   TO MBD100WS-PL2-TO-VALUE.        RG800914
205632     GO TO 5100-MR-NO-REC-CHECK.                                  RG800914
205634*                                                                 RG800914
205700*
205800*
205900 0801-MR-FIELD.
206000*
206100     IF  MBD100WS-JOURNAL
206200         MOVE MTL1-VL30-B-DATA-X TO MMSM-MC-DBA-NAME.
206300*
206400     MOVE 'M/C DBA NAME          '
206500                                 TO MBD100WS-PL1-DESC.
206600     MOVE MMSM-MC-DBA-NAME       TO MBD100WS-PL1-FROM-VALUE.
206700     MOVE MTL1-VL30-A-DATA-X     TO MMSM-MC-DBA-NAME.
206800     MOVE MMSM-MC-DBA-NAME       TO MBD100WS-PL2-TO-VALUE.
206900     GO TO 5100-MR-NO-REC-CHECK.
207000*
207100*
207200*
207300 0802-MR-FIELD.
207400*
207500     IF  MBD100WS-JOURNAL
207600         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-CIRRUS-IND.
207700*
207800     MOVE 'M/C CIRRUS IND        '
207900                                 TO MBD100WS-PL1-DESC.
208000     MOVE MMSM-MC-CIRRUS-IND     TO MBD100WS-PL1-FROM-VALUE.
208100     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-CIRRUS-IND.
208200     MOVE MMSM-MC-CIRRUS-IND     TO MBD100WS-PL2-TO-VALUE.
208300     GO TO 5100-MR-NO-REC-CHECK.
208400*
208500*
208600*
208700 0803-MR-FIELD.
208800*
208900     IF  MBD100WS-JOURNAL
209000         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-INTCHG-FLAG.
209100*
209200     MOVE 'M/C INTERCHANGE FLAG  '
209300                                 TO MBD100WS-PL1-DESC.
209400     MOVE MMSM-MC-INTCHG-FLAG    TO MBD100WS-PL1-FROM-VALUE.
209500     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-INTCHG-FLAG.
209600     MOVE MMSM-MC-INTCHG-FLAG    TO MBD100WS-PL2-TO-VALUE.
209700     GO TO 5100-MR-NO-REC-CHECK.
209800*
209900*
210000*
210100 0804-MR-FIELD.
210200*
210300     IF  MBD100WS-JOURNAL
210400         MOVE MTL1-VL04-B-DATA-X TO MMSM-MC-BUSINESS-CLASS.
210500*
210600     MOVE 'M/C BUSINESS CLASS    '
210700                                 TO MBD100WS-PL1-DESC.
210800     MOVE MMSM-MC-BUSINESS-CLASS TO MBD100WS-PL1-FROM-VALUE.
210900     MOVE MTL1-VL04-A-DATA-X     TO MMSM-MC-BUSINESS-CLASS.
211000     MOVE MMSM-MC-BUSINESS-CLASS TO MBD100WS-PL2-TO-VALUE.
211100     GO TO 5100-MR-NO-REC-CHECK.
211200*
211300*
211400*
211500 0805-MR-FIELD.
211600*
211700     IF  MBD100WS-JOURNAL
211800         MOVE MTL1-VL05-B-DATA-9 TO MMSM-MC-AIRLINE-CATEGORY.
211900*
212000     MOVE 'M/C AIRLINE CATEGORY  '
212100                                 TO MBD100WS-PL1-DESC.
212200     MOVE MMSM-MC-AIRLINE-CATEGORY
212300                                 TO MBD100WS-PL1-FV-99999.
212400     MOVE MTL1-VL05-A-DATA-9     TO MMSM-MC-AIRLINE-CATEGORY.
212500     MOVE MMSM-MC-AIRLINE-CATEGORY
212600                                 TO MBD100WS-PL2-TV-99999.
212700     GO TO 5100-MR-NO-REC-CHECK.
212800*
212900*
213000*
213100 0807-MR-FIELD.
213200*
213300     IF  MBD100WS-JOURNAL
213400         MOVE MTL1-VL04-B-DATA-9 TO MMSM-MC-CATEGORY-CODE.
213500*
213600     MOVE 'M/C CATEGORY CODE     '
213700                                 TO MBD100WS-PL1-DESC.
213800     MOVE MMSM-MC-CATEGORY-CODE  TO MBD100WS-PL1-FV-9999.
213900     MOVE MTL1-VL04-A-DATA-9     TO MMSM-MC-CATEGORY-CODE.
214000     MOVE MMSM-MC-CATEGORY-CODE  TO MBD100WS-PL2-TV-9999.
214100     GO TO 5100-MR-NO-REC-CHECK.
214200*
214300*
214400*
214500 0808-MR-FIELD.
214600*
214700     IF  MBD100WS-JOURNAL
214800         MOVE MTL1-VL20-B-NBR-V902
214900                                 TO MMSM-MC-FLOOR-LIMIT.
215000*
215100     MOVE 'M/C FLOOR LIMIT       '
215200                                 TO MBD100WS-PL1-DESC.
215300     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
215400     MOVE MMSM-MC-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
215500     PERFORM SS95PD-NAP-ROUTINE
215600                                 THRU SS95PD-NAP-EXIT.
215700     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
215800     MOVE MTL1-VL20-A-NBR-V902   TO MMSM-MC-FLOOR-LIMIT.
215900     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
216000     MOVE MMSM-MC-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
216100     PERFORM SS95PD-NAP-ROUTINE
216200                                 THRU SS95PD-NAP-EXIT.
216300     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
216400     GO TO 5100-MR-NO-REC-CHECK.
216500*
216600*
216700 0809-MR-FIELD.
216800*
216900     IF  MBD100WS-JOURNAL
217000         MOVE MTL1-VL01-B-DATA-X
217100                                 TO MMSM-MC-CH-TERM-IND.
217200*
217300     MOVE 'M/C CH TERM IND       '
217400                                 TO MBD100WS-PL1-DESC.
217500     MOVE MMSM-MC-CH-TERM-IND    TO MBD100WS-PL1-FROM-VALUE.
217600     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-CH-TERM-IND.
217700     MOVE MMSM-MC-CH-TERM-IND    TO MBD100WS-PL2-TO-VALUE.
217800     GO TO 5100-MR-NO-REC-CHECK.
217900*
218000*
218100*
218200 0810-MR-FIELD.
218300*
218400     IF  MBD100WS-JOURNAL
218500         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-01.
218600*
218700     MOVE 'M/C POS DATA CODE 01  '
218800                                 TO MBD100WS-PL1-DESC.
218900     MOVE MMSM-MC-POS-DC-01      TO MBD100WS-PL1-FROM-VALUE.
219000     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-01.
219100     MOVE MMSM-MC-POS-DC-01      TO MBD100WS-PL2-TO-VALUE.
219200     GO TO 5100-MR-NO-REC-CHECK.
219300*
219400*
219500*
219600 0811-MR-FIELD.
219700*
219800     IF  MBD100WS-JOURNAL
219900         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-02.
220000*
220100     MOVE 'M/C POS DATA CODE 02  '
220200                                 TO MBD100WS-PL1-DESC.
220300     MOVE MMSM-MC-POS-DC-02      TO MBD100WS-PL1-FROM-VALUE.
220400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-02.
220500     MOVE MMSM-MC-POS-DC-02      TO MBD100WS-PL2-TO-VALUE.
220600     GO TO 5100-MR-NO-REC-CHECK.
220700*
220800*
220900*
221000 0812-MR-FIELD.
221100*
221200     IF  MBD100WS-JOURNAL
221300         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-03.
221400*
221500     MOVE 'M/C POS DATA CODE 03  '
221600                                 TO MBD100WS-PL1-DESC.
221700     MOVE MMSM-MC-POS-DC-03      TO MBD100WS-PL1-FROM-VALUE.
221800     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-03.
221900     MOVE MMSM-MC-POS-DC-03      TO MBD100WS-PL2-TO-VALUE.
222000     GO TO 5100-MR-NO-REC-CHECK.
222100*
222200*
222300*
222400 0813-MR-FIELD.
222500*
222600     IF  MBD100WS-JOURNAL
222700         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-04.
222800*
222900     MOVE 'M/C POS DATA CODE 04  '
223000                                 TO MBD100WS-PL1-DESC.
223100     MOVE MMSM-MC-POS-DC-04      TO MBD100WS-PL1-FROM-VALUE.
223200     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-04.
223300     MOVE MMSM-MC-POS-DC-04      TO MBD100WS-PL2-TO-VALUE.
223400     GO TO 5100-MR-NO-REC-CHECK.
223500*
223600*
223700*
223800 0814-MR-FIELD.
223900*
224000     IF  MBD100WS-JOURNAL
224100         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-05.
224200*
224300     MOVE 'M/C POS DATA CODE 05  '
224400                                 TO MBD100WS-PL1-DESC.
224500     MOVE MMSM-MC-POS-DC-05      TO MBD100WS-PL1-FROM-VALUE.
224600     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-05.
224700     MOVE MMSM-MC-POS-DC-05      TO MBD100WS-PL2-TO-VALUE.
224800     GO TO 5100-MR-NO-REC-CHECK.
224900*
225000*
225100*
225200 0815-MR-FIELD.
225300*
225400     IF  MBD100WS-JOURNAL
225500         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-06.
225600*
225700     MOVE 'M/C POS DATA CODE 06  '
225800                                 TO MBD100WS-PL1-DESC.
225900     MOVE MMSM-MC-POS-DC-06      TO MBD100WS-PL1-FROM-VALUE.
226000     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-06.
226100     MOVE MMSM-MC-POS-DC-06      TO MBD100WS-PL2-TO-VALUE.
226200     GO TO 5100-MR-NO-REC-CHECK.
226300*
226400*
226500*
226600 0816-MR-FIELD.
226700*
226800     IF  MBD100WS-JOURNAL
226900         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-07.
227000*
227100     MOVE 'M/C POS DATA CODE 07  '
227200                                 TO MBD100WS-PL1-DESC.
227300     MOVE MMSM-MC-POS-DC-07      TO MBD100WS-PL1-FROM-VALUE.
227400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-07.
227500     MOVE MMSM-MC-POS-DC-07      TO MBD100WS-PL2-TO-VALUE.
227600     GO TO 5100-MR-NO-REC-CHECK.
227700*
227800*
227900*
228000 0817-MR-FIELD.
228100*
228200     IF  MBD100WS-JOURNAL
228300         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-08.
228400*
228500     MOVE 'M/C POS DATA CODE 08  '
228600                                 TO MBD100WS-PL1-DESC.
228700     MOVE MMSM-MC-POS-DC-08      TO MBD100WS-PL1-FROM-VALUE.
228800     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-08.
228900     MOVE MMSM-MC-POS-DC-08      TO MBD100WS-PL2-TO-VALUE.
229000     GO TO 5100-MR-NO-REC-CHECK.
229100*
229200*
229300*
229400 0818-MR-FIELD.
229500*
229600     IF  MBD100WS-JOURNAL
229700         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-09.
229800*
229900     MOVE 'M/C POS DATA CODE 09  '
230000                                 TO MBD100WS-PL1-DESC.
230100     MOVE MMSM-MC-POS-DC-09      TO MBD100WS-PL1-FROM-VALUE.
230200     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-09.
230300     MOVE MMSM-MC-POS-DC-09      TO MBD100WS-PL2-TO-VALUE.
230400     GO TO 5100-MR-NO-REC-CHECK.
230500*
230600*
230700*
230800 0819-MR-FIELD.
230900*
231000     IF  MBD100WS-JOURNAL
231100         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-10.
231200*
231300     MOVE 'M/C POS DATA CODE 10  '
231400                                 TO MBD100WS-PL1-DESC.
231500     MOVE MMSM-MC-POS-DC-10      TO MBD100WS-PL1-FROM-VALUE.
231600     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-10.
231700     MOVE MMSM-MC-POS-DC-10      TO MBD100WS-PL2-TO-VALUE.
231800     GO TO 5100-MR-NO-REC-CHECK.
231900*
232000*
232100*
232200 0820-MR-FIELD.
232300*
232400     IF  MBD100WS-JOURNAL
232500         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-11.
232600*
232700     MOVE 'M/C POS DATA CODE 11  '
232800                                 TO MBD100WS-PL1-DESC.
232900     MOVE MMSM-MC-POS-DC-11      TO MBD100WS-PL1-FROM-VALUE.
233000     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-11.
233100     MOVE MMSM-MC-POS-DC-11      TO MBD100WS-PL2-TO-VALUE.
233200     GO TO 5100-MR-NO-REC-CHECK.
233300*
233400*
233500*
233600 0821-MR-FIELD.
233700*
233800     IF  MBD100WS-JOURNAL
233900         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-POS-DC-12.
234000*
234100     MOVE 'M/C POS DATA CODE 12  '
234200                                 TO MBD100WS-PL1-DESC.
234300     MOVE MMSM-MC-POS-DC-12      TO MBD100WS-PL1-FROM-VALUE.
234400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-POS-DC-12.
234500     MOVE MMSM-MC-POS-DC-12      TO MBD100WS-PL2-TO-VALUE.
234600     GO TO 5100-MR-NO-REC-CHECK.
234602*                                                                 RG800913
234604*                                                                 RG800913
234606*                                                                 RG800913
234608 0822-MR-FIELD.                                                   RG800913
234610*                                                                 RG800913
234612     IF  MBD100WS-JOURNAL                                         RG800913
234614         MOVE MTL1-VL03-B-DATA-X TO MMSM-MC-ASSIGNED-ID.          RG800913
234616*                                                                 RG800913
234618     MOVE 'M/C ASSGND REGISTRA CD'                                RG800913
234620                                 TO MBD100WS-PL1-DESC.            RG800913
234622     MOVE MMSM-MC-ASSIGNED-ID    TO MBD100WS-PL1-FROM-VALUE.      RG800913
234624     MOVE MTL1-VL03-A-DATA-X     TO MMSM-MC-ASSIGNED-ID.          RG800913
234626     MOVE MMSM-MC-ASSIGNED-ID    TO MBD100WS-PL2-TO-VALUE.        RG800913
234628     GO TO 5100-MR-NO-REC-CHECK.                                  RG800913
234700*
234800*
234900*
234902 0901-MR-FIELD.                                                   RG800902
234910*                                                                 RG800902
234912     IF  MBD100WS-JOURNAL                                         RG800902
234914         MOVE MTL1-VL03-B-DATA-9 TO MMSM-DUP-SALES-DAY-NBR-C-H.   RG800902
234916*                                                                 RG800902
234918     MOVE 'DUP SALES DAY NBR     '                                RG800902
234920                                 TO MBD100WS-PL1-DESC.            RG800902
234922     MOVE MMSM-DUP-SALES-DAY-NBR-C-H                              RG800902
234924                                 TO MBD100WS-PL1-FV-999.          RG800902
234926     MOVE MTL1-VL03-A-DATA-9     TO MMSM-DUP-SALES-DAY-NBR-C-H.   RG800902
234928     MOVE MMSM-DUP-SALES-DAY-NBR-C-H                              RG800902
234930                                 TO MBD100WS-PL2-TV-999.          RG800902
234932     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
234934*                                                                 RG800902
234936*                                                                 RG800902
234938*                                                                 RG800902
234940 0902-MR-FIELD.                                                   RG800902
234942*                                                                 RG800902
234944     IF  MBD100WS-JOURNAL                                         RG800902
234946         MOVE MTL1-VL03-B-DATA-9 TO MMSM-DUP-AUTHS-DAY-NBR-C-H.   RG800902
234948*                                                                 RG800902
234950     MOVE 'DUP AUTHS DAY NBR     '                                RG800902
234952                                 TO MBD100WS-PL1-DESC.            RG800902
234954     MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H                              RG800902
234956                                 TO MBD100WS-PL1-FV-999.          RG800902
234958     MOVE MTL1-VL03-A-DATA-9     TO MMSM-DUP-AUTHS-DAY-NBR-C-H.   RG800902
234960     MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H                              RG800902
234962                                 TO MBD100WS-PL2-TV-999.          RG800902
234964     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
234966*                                                                 RG800902
234968*                                                                 RG800902
234970*                                                                 RG800902
234972 0903-MR-FIELD.                                                   RG800902
234974*                                                                 RG800902
234976     IF  MBD100WS-JOURNAL                                         RG800902
234978         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
234980                                 TO MMSM-DUP-SALES-DAY-AMT-C-H.   RG800902
234982*                                                                 RG800902
234984     MOVE 'DUP SALES DAY AMT     '                                RG800902
234986                                 TO MBD100WS-PL1-DESC.            RG800902
234988     MOVE MMSM-DUP-SALES-DAY-AMT-C-H                              RG800902
234990                                 TO SS95WS-IN-AMT.                RG800902
234992     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
234994                                 THRU SS95PD-NAP-EXIT.            RG800902
234996     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
234998     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMSM-DUP-SALES-DAY-AMT-C-H.   RG800902
235000     MOVE MMSM-DUP-SALES-DAY-AMT-C-H                              RG800902
235002                                 TO SS95WS-IN-AMT.                RG800902
235004     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235006                                 THRU SS95PD-NAP-EXIT.            RG800902
235008     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
235010     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235012*                                                                 RG800902
235014*                                                                 RG800902
235016*                                                                 RG800902
235018 0904-MR-FIELD.                                                   RG800902
235020*                                                                 RG800902
235022     IF  MBD100WS-JOURNAL                                         RG800902
235024         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
235026                                 TO MMSM-DUP-AUTHS-DAY-AMT-C-H.   RG800902
235028*                                                                 RG800902
235030     MOVE 'DUP AUTHS DAY AMT     '                                RG800902
235032                                 TO MBD100WS-PL1-DESC.            RG800902
235034     MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H                              RG800902
235036                                 TO SS95WS-IN-AMT.                RG800902
235038     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235040                                 THRU SS95PD-NAP-EXIT.            RG800902
235042     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
235044     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMSM-DUP-AUTHS-DAY-AMT-C-H.   RG800902
235046     MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H                              RG800902
235048                                 TO SS95WS-IN-AMT.                RG800902
235050     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235052                                 THRU SS95PD-NAP-EXIT.            RG800902
235054     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
235056     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235058*                                                                 RG800902
235060*                                                                 RG800902
235062*                                                                 RG800902
235064 0905-MR-FIELD.                                                   RG800902
235066*                                                                 RG800902
235068     IF  MBD100WS-JOURNAL                                         RG800902
235070         MOVE MTL1-VL03-B-DATA-9 TO MMSM-DUP-SALES-DAY-NBR-BIN.   RG800902
235072*                                                                 RG800902
235074     MOVE 'DUP SALES NBR BIN     '                                RG800902
235076                                 TO MBD100WS-PL1-DESC.            RG800902
235078     MOVE MMSM-DUP-SALES-DAY-NBR-BIN                              RG800902
235080                                 TO MBD100WS-PL1-FV-999.          RG800902
235082     MOVE MTL1-VL03-A-DATA-9     TO MMSM-DUP-SALES-DAY-NBR-BIN.   RG800902
235084     MOVE MMSM-DUP-SALES-DAY-NBR-BIN                              RG800902
235086                                 TO MBD100WS-PL2-TV-999.          RG800902
235088     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235090*                                                                 RG800902
235092*                                                                 RG800902
235094*                                                                 RG800902
235096 0906-MR-FIELD.                                                   RG800902
235098*                                                                 RG800902
235100     IF  MBD100WS-JOURNAL                                         RG800902
235102         MOVE MTL1-VL03-B-DATA-9 TO MMSM-DUP-AUTHS-DAY-NBR-BIN.   RG800902
235104*                                                                 RG800902
235106     MOVE 'DUP AUTHS NBR BIN     '                                RG800902
235108                                 TO MBD100WS-PL1-DESC.            RG800902
235110     MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN                              RG800902
235112                                 TO MBD100WS-PL1-FV-999.          RG800902
235114     MOVE MTL1-VL03-A-DATA-9     TO MMSM-DUP-AUTHS-DAY-NBR-BIN.   RG800902
235116     MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN                              RG800902
235118                                 TO MBD100WS-PL2-TV-999.          RG800902
235120     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235122*                                                                 RG800902
235124*                                                                 RG800902
235126*                                                                 RG800902
235128 0907-MR-FIELD.                                                   RG800902
235130*                                                                 RG800902
235132     IF  MBD100WS-JOURNAL                                         RG800902
235134         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
235136                                 TO MMSM-DUP-SALES-DAY-AMT-BIN.   RG800902
235138*                                                                 RG800902
235140     MOVE 'DUP SALES DAY AMT BIN '                                RG800902
235142                                 TO MBD100WS-PL1-DESC.            RG800902
235144     MOVE MMSM-DUP-SALES-DAY-AMT-BIN                              RG800902
235146                                 TO SS95WS-IN-AMT.                RG800902
235148     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235150                                 THRU SS95PD-NAP-EXIT.            RG800902
235152     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
235154     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMSM-DUP-SALES-DAY-AMT-BIN.   RG800902
235156     MOVE MMSM-DUP-SALES-DAY-AMT-BIN                              RG800902
235158                                 TO SS95WS-IN-AMT.                RG800902
235160     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235162                                 THRU SS95PD-NAP-EXIT.            RG800902
235164     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
235166     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235168*                                                                 RG800902
235170*                                                                 RG800902
235172*                                                                 RG800902
235174 0908-MR-FIELD.                                                   RG800902
235176*                                                                 RG800902
235178     IF  MBD100WS-JOURNAL                                         RG800902
235180         MOVE MTL1-VL20-B-NBR-NO-DEC                              RG800902
235182                                 TO MMSM-DUP-AUTHS-DAY-AMT-BIN.   RG800902
235184*                                                                 RG800902
235186     MOVE 'DUP AUTHS DAY AMT BIN '                                RG800902
235188                                 TO MBD100WS-PL1-DESC.            RG800902
235190     MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN                              RG800902
235192                                 TO SS95WS-IN-AMT.                RG800902
235194     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235196                                 THRU SS95PD-NAP-EXIT.            RG800902
235198     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL1-FROM-VALUE.      RG800902
235200     MOVE MTL1-VL20-A-NBR-NO-DEC TO MMSM-DUP-AUTHS-DAY-AMT-BIN.   RG800902
235202     MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN                              RG800902
235204                                 TO SS95WS-IN-AMT.                RG800902
235206     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
235208                                 THRU SS95PD-NAP-EXIT.            RG800902
235210     MOVE SS95WS-OUT-AMT-L23     TO MBD100WS-PL2-TO-VALUE.        RG800902
235212     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235214*                                                                 RG800902
235216*                                                                 RG800902
235218*                                                                 RG800902
235220 0909-MR-FIELD.                                                   RG800902
235222*                                                                 RG800902
235224     IF  MBD100WS-JOURNAL                                         RG800902
235226         MOVE MTL1-VL05-B-DATA-9 TO MMSM-AUTHS-BELOW-FLOOR-PL.    RG800902
235228*                                                                 RG800902
235230     MOVE 'AUTHS BELOW FLOOR PL  '                                RG800902
235232                                 TO MBD100WS-PL1-DESC.            RG800902
235234     MOVE MMSM-AUTHS-BELOW-FLOOR-PL                               RG800902
235236                                 TO MBD100WS-PL1-FV-99999.        RG800902
235238     MOVE MTL1-VL05-A-DATA-9     TO MMSM-AUTHS-BELOW-FLOOR-PL.    RG800902
235240     MOVE MMSM-AUTHS-BELOW-FLOOR-PL                               RG800902
235242                                 TO MBD100WS-PL2-TV-99999.        RG800902
235244     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235246*                                                                 RG800902
235248*                                                                 RG800902
235250*                                                                 RG800902
235252 0910-MR-FIELD.                                                   RG800902
235254*                                                                 RG800902
235256     IF  MBD100WS-JOURNAL                                         RG800902
235258         MOVE MTL1-VL05-B-DATA-9 TO MMSM-AUTHS-BELOW-FLOOR-MC.    RG800902
235260*                                                                 RG800902
235262     MOVE 'AUTHS BELOW FLOOR MC  '                                RG800902
235264                                 TO MBD100WS-PL1-DESC.            RG800902
235266     MOVE MMSM-AUTHS-BELOW-FLOOR-MC                               RG800902
235268                                 TO MBD100WS-PL1-FV-99999.        RG800902
235270     MOVE MTL1-VL05-A-DATA-9     TO MMSM-AUTHS-BELOW-FLOOR-MC.    RG800902
235272     MOVE MMSM-AUTHS-BELOW-FLOOR-MC                               RG800902
235274                                 TO MBD100WS-PL2-TV-99999.        RG800902
235276     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235278*                                                                 RG800902
235280*                                                                 RG800902
235282*                                                                 RG800902
235284 0911-MR-FIELD.                                                   RG800902
235286*                                                                 RG800902
235288     IF  MBD100WS-JOURNAL                                         RG800902
235290         MOVE MTL1-VL05-B-DATA-9 TO MMSM-AUTHS-BELOW-FLOOR-VI.    RG800902
235292*                                                                 RG800902
235294     MOVE 'AUTHS BELOW FLOOR VI  '                                RG800902
235296                                 TO MBD100WS-PL1-DESC.            RG800902
235298     MOVE MMSM-AUTHS-BELOW-FLOOR-VI                               RG800902
235300                                 TO MBD100WS-PL1-FV-99999.        RG800902
235302     MOVE MTL1-VL05-A-DATA-9     TO MMSM-AUTHS-BELOW-FLOOR-VI.    RG800902
235304     MOVE MMSM-AUTHS-BELOW-FLOOR-VI                               RG800902
235306                                 TO MBD100WS-PL2-TV-99999.        RG800902
235308     GO TO 5100-MR-NO-REC-CHECK.                                  RG800902
235310*                                                                 RG800902
235312*                                                                 RG800902
235314*                                                                 RG800902
235396 1001-MR-FIELD.                                                   RG800902
235397*                                                                 RG800902
235398     SET X-MMSM-STORE-CHAIN      TO MTL1-FIELD-OCCURRENCE.        RG800902
235399*                                                                 RG800902
235400     IF  MBD100WS-JOURNAL
235500         MOVE MTL1-VL10-B-DATA-9 TO MMSM-STORE-CHAIN-ID
235600                                    (X-MMSM-STORE-CHAIN).
235700*
235800     MOVE 'STORE CHAIN ID        '
235900                                 TO MBD100WS-PL1-DESC.
236000     MOVE MMSM-STORE-CHAIN-ID
236100          (X-MMSM-STORE-CHAIN)   TO MBD100WS-PL1-FV-999999999.
236200     MOVE MTL1-VL10-A-DATA-9     TO MMSM-STORE-CHAIN-ID
236300                                    (X-MMSM-STORE-CHAIN).
236400     MOVE MMSM-STORE-CHAIN-ID
236500          (X-MMSM-STORE-CHAIN)   TO MBD100WS-PL2-TV-999999999.
236600     GO TO 5100-MR-NO-REC-CHECK.
236700*
236800*
236900*
237000 9001-MR-FIELD.
237100*
237200     IF  MBD100WS-JOURNAL
237300         MOVE MTL1-VL02-B-DATA-9 TO MMSM-STMT-FREQ-1.
237400*
237500     MOVE 'STATEMENT FREQUENCY 1 '
237600                                 TO MBD100WS-PL1-DESC.
237700     MOVE MMSM-STMT-FREQ-1       TO MBD100WS-PL1-FV-99.
237800     MOVE MTL1-VL02-A-DATA-9     TO MMSM-STMT-FREQ-1.
237900     MOVE MMSM-STMT-FREQ-1       TO MBD100WS-PL2-TV-99.
238000     GO TO 5100-MR-NO-REC-CHECK.
238100*
238200*
238300*
238400 9002-MR-FIELD.
238500*
238600     IF  MBD100WS-JOURNAL
238700         MOVE MTL1-VL02-B-DATA-9 TO MMSM-STMT-FREQ-2.
238800*
238900     MOVE 'STATEMENT FREQUENCY 2 '
239000                                 TO MBD100WS-PL1-DESC.
239100     MOVE MMSM-STMT-FREQ-2       TO MBD100WS-PL1-FV-99.
239200     MOVE MTL1-VL02-A-DATA-9     TO MMSM-STMT-FREQ-2.
239300     MOVE MMSM-STMT-FREQ-2       TO MBD100WS-PL2-TV-99.
239400     GO TO 5100-MR-NO-REC-CHECK.
239500*
239600*
239700*
239800 9003-MR-FIELD.
239900*
240000     IF  MBD100WS-JOURNAL
240100         MOVE MTL1-VL02-B-DATA-9 TO MMSM-DISC-FREQ-1.
240200*
240300     MOVE 'DISCOUNT FREQUENCY 1  '
240400                                 TO MBD100WS-PL1-DESC.
240500     MOVE MMSM-DISC-FREQ-1       TO MBD100WS-PL1-FV-99.
240600     MOVE MTL1-VL02-A-DATA-9     TO MMSM-DISC-FREQ-1.
240700     MOVE MMSM-DISC-FREQ-1       TO MBD100WS-PL2-TV-99.
240800     GO TO 5100-MR-NO-REC-CHECK.
240900*
241000*
241100*
241200 9004-MR-FIELD.
241300*
241400     IF  MBD100WS-JOURNAL
241500         MOVE MTL1-VL02-B-DATA-9 TO MMSM-DISC-FREQ-2.
241600*
241700     MOVE 'DISCOUNT FREQUENCY 2  '
241800                                 TO MBD100WS-PL1-DESC.
241900     MOVE MMSM-DISC-FREQ-2       TO MBD100WS-PL1-FV-99.
242000     MOVE MTL1-VL02-A-DATA-9     TO MMSM-DISC-FREQ-2.
242100     MOVE MMSM-DISC-FREQ-2       TO MBD100WS-PL2-TV-99.
242200     GO TO 5100-MR-NO-REC-CHECK.
242300*
242400*
242500*
242600 9005-MR-FIELD.
242700*
242800     IF  MBD100WS-JOURNAL
242900         MOVE MTL1-VL02-B-DATA-9 TO MMSM-PART-FREQ-1.
243000*
243100     MOVE 'PARTICIPATION FREQ 1  '
243200                                 TO MBD100WS-PL1-DESC.
243300     MOVE MMSM-PART-FREQ-1       TO MBD100WS-PL1-FV-99.
243400     MOVE MTL1-VL02-A-DATA-9     TO MMSM-PART-FREQ-1.
243500     MOVE MMSM-PART-FREQ-1       TO MBD100WS-PL2-TV-99.
243600     GO TO 5100-MR-NO-REC-CHECK.
243700*
243800*
243900*
244000 9006-MR-FIELD.
244100*
244200     IF  MBD100WS-JOURNAL
244300         MOVE MTL1-VL02-B-DATA-9 TO MMSM-PART-FREQ-2.
244400*
244500     MOVE 'PARTICIPATION FREQ 2  '
244600                                 TO MBD100WS-PL1-DESC.
244700     MOVE MMSM-PART-FREQ-2       TO MBD100WS-PL1-FV-99.
244800     MOVE MTL1-VL02-A-DATA-9     TO MMSM-PART-FREQ-2.
244900     MOVE MMSM-PART-FREQ-2       TO MBD100WS-PL2-TV-99.
245000     GO TO 5100-MR-NO-REC-CHECK.
245100*
245200*
245300*
245400 9007-MR-FIELD.
245500*
245600     IF  MBD100WS-JOURNAL
245700         MOVE MTL1-VL01-B-DATA-9 TO MMSM-REC-STATUS.
245800*
245900     MOVE 'RECORD STATUS         '
246000                                 TO MBD100WS-PL1-DESC.
246100     MOVE MMSM-REC-STATUS        TO MBD100WS-PL1-FV-9.
246200     MOVE MTL1-VL01-A-DATA-9     TO MMSM-REC-STATUS.
246300     MOVE MMSM-REC-STATUS        TO MBD100WS-PL2-TV-9.
246400     GO TO 5100-MR-NO-REC-CHECK.
246500*
246600*
246700*
246800 9008-MR-FIELD.
246900*
247000     IF  MBD100WS-JOURNAL
247100         MOVE MTL1-VL02-B-DATA-9 TO MMSM-SETT-FREQ-1.
247200*
247300     MOVE 'SETTLEMENT FREQUENCY 1'
247400                                 TO MBD100WS-PL1-DESC.
247500     MOVE MMSM-SETT-FREQ-1       TO MBD100WS-PL1-FV-99.
247600     MOVE MTL1-VL02-A-DATA-9     TO MMSM-SETT-FREQ-1.
247700     MOVE MMSM-SETT-FREQ-1       TO MBD100WS-PL2-TV-99.
247800     GO TO 5100-MR-NO-REC-CHECK.
247900*
248000*
248100*
248200 9009-MR-FIELD.
248300*
248400     IF  MBD100WS-JOURNAL
248500         MOVE MTL1-VL02-B-DATA-9 TO MMSM-SETT-FREQ-2.
248600*
248700     MOVE 'SETTLEMENT FREQUENCY 2'
248800                                 TO MBD100WS-PL1-DESC.
248900     MOVE MMSM-SETT-FREQ-2       TO MBD100WS-PL1-FV-99.
249000     MOVE MTL1-VL02-A-DATA-9     TO MMSM-SETT-FREQ-2.
249100     MOVE MMSM-SETT-FREQ-2       TO MBD100WS-PL2-TV-99.
249200     GO TO 5100-MR-NO-REC-CHECK.
249300*
249400*
249500*
249600 9010-MR-FIELD.
249700*
249800     IF  MBD100WS-JOURNAL
249900         MOVE MTL1-VL01-B-DATA-X TO MMSM-CRB-FLAG.
250000*
250100     MOVE 'CRB FLAG              '
250200                                 TO MBD100WS-PL1-DESC.
250300     MOVE MMSM-CRB-FLAG          TO MBD100WS-PL1-FROM-VALUE.
250400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-CRB-FLAG.
250500     MOVE MMSM-CRB-FLAG          TO MBD100WS-PL2-TO-VALUE.
250600     GO TO 5100-MR-NO-REC-CHECK.
250700*
250800*
250900*
251000 9011-MR-FIELD.
251100*
251200     IF  MBD100WS-JOURNAL
251300         MOVE MTL1-VL20-B-DATA-X TO MMSM-TAX-ID.
251400*
251500     MOVE 'TAX ID NUMBER         '
251600                                 TO MBD100WS-PL1-DESC.
251700     MOVE MMSM-TAX-ID            TO MBD100WS-PL1-FROM-VALUE.
251800     MOVE MTL1-VL20-A-DATA-X     TO MMSM-TAX-ID.
251900     MOVE MMSM-TAX-ID            TO MBD100WS-PL2-TO-VALUE.
252000     GO TO 5100-MR-NO-REC-CHECK.
252100*
252200*
252300*
252400 9012-MR-FIELD.
252500*
252600     IF  MBD100WS-JOURNAL
252700         MOVE MTL1-VL02-B-DATA-X TO MMSM-INCORPORATION-STATUS.
252800*
252900     MOVE 'INCORPORATION STATUS  '
253000                                 TO MBD100WS-PL1-DESC.
253100     MOVE MMSM-INCORPORATION-STATUS
253200                                 TO MBD100WS-PL1-FROM-VALUE.
253300     MOVE MTL1-VL02-A-DATA-X     TO MMSM-INCORPORATION-STATUS.
253400     MOVE MMSM-INCORPORATION-STATUS
253500                                 TO MBD100WS-PL2-TO-VALUE.
253600     GO TO 5100-MR-NO-REC-CHECK.
253700*
253800*
253900*
254000 9013-MR-FIELD.
254100*
254200     IF  MBD100WS-JOURNAL
254300         MOVE MTL1-VL30-B-DATA-X TO MMSM-SOLE-PROP-LAST.
254400*
254500     MOVE 'SOLE PROP LAST NAME   '
254600                                 TO MBD100WS-PL1-DESC.
254700     MOVE MMSM-SOLE-PROP-LAST    TO MBD100WS-PL1-FROM-VALUE.
254800     MOVE MTL1-VL30-A-DATA-X     TO MMSM-SOLE-PROP-LAST.
254900     MOVE MMSM-SOLE-PROP-LAST    TO MBD100WS-PL2-TO-VALUE.
255000     GO TO 5100-MR-NO-REC-CHECK.
255100*
255200*
255300*
255400 9014-MR-FIELD.
255500*
255600     IF  MBD100WS-JOURNAL
255700         MOVE MTL1-VL30-B-DATA-X TO MMSM-SOLE-PROP-FIRST.
255800*
255900     MOVE 'SOLE PROP FIRST NAME  '
256000                                 TO MBD100WS-PL1-DESC.
256100     MOVE MMSM-SOLE-PROP-FIRST   TO MBD100WS-PL1-FROM-VALUE.
256200     MOVE MTL1-VL30-A-DATA-X     TO MMSM-SOLE-PROP-FIRST.
256300     MOVE MMSM-SOLE-PROP-FIRST   TO MBD100WS-PL2-TO-VALUE.
256400     GO TO 5100-MR-NO-REC-CHECK.
256500*
256600*
256700*
256800 9015-MR-FIELD.
256900*
257000     IF  MBD100WS-JOURNAL
257100         MOVE MTL1-VL01-B-DATA-X TO MMSM-SOLE-PROP-INITIAL.
257200*
257300     MOVE 'SOLE PROP INITIAL     '
257400                                 TO MBD100WS-PL1-DESC.
257500     MOVE MMSM-SOLE-PROP-INITIAL TO MBD100WS-PL1-FROM-VALUE.
257600     MOVE MTL1-VL01-A-DATA-X     TO MMSM-SOLE-PROP-INITIAL.
257700     MOVE MMSM-SOLE-PROP-INITIAL TO MBD100WS-PL2-TO-VALUE.
257800     GO TO 5100-MR-NO-REC-CHECK.
257900*
258000*
258100*
258200 9016-MR-FIELD.
258300*
258400     IF  MBD100WS-JOURNAL
258500         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-STATUS.
258600*
258700     MOVE 'VISA STATUS           '
258800                                 TO MBD100WS-PL1-DESC.
258900     MOVE MMSM-VI-STATUS         TO MBD100WS-PL1-FROM-VALUE.
259000     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-STATUS.
259100     MOVE MMSM-VI-STATUS         TO MBD100WS-PL2-TO-VALUE.
259200     GO TO 5100-MR-NO-REC-CHECK.
259300*
259400*
259500*
259600 9017-MR-FIELD.
259700*
259800     IF  MBD100WS-JOURNAL
259900         MOVE MTL1-VL07-B-DATA-9 TO MMSM-VI-EFF-DATE.
260000*
260100     MOVE 'VISA EFFECTIVE DATE   '
260200                                 TO MBD100WS-PL1-DESC.
260300     MOVE MMSM-VI-EFF-DATE       TO SS01WS-JULIAN.
260400     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
260500     MOVE MTL1-VL07-A-DATA-9     TO MMSM-VI-EFF-DATE.
260600     MOVE MMSM-VI-EFF-DATE       TO SS01WS-JULIAN.
260700     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
260800     GO TO 5100-MR-NO-REC-CHECK.
260900*
261000*
261100*
261200 9018-MR-FIELD.
261300*
261400     IF  MBD100WS-JOURNAL
261500         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-STATUS.
261600*
261700     MOVE 'MASTERCARD STATUS     '
261800                                 TO MBD100WS-PL1-DESC.
261900     MOVE MMSM-MC-STATUS         TO MBD100WS-PL1-FROM-VALUE.
262000     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-STATUS.
262100     MOVE MMSM-MC-STATUS         TO MBD100WS-PL2-TO-VALUE.
262200     GO TO 5100-MR-NO-REC-CHECK.
262300*
262400*
262500*
262600 9019-MR-FIELD.
262700*
262800     IF  MBD100WS-JOURNAL
262900         MOVE MTL1-VL07-B-DATA-9 TO MMSM-MC-EFF-DATE.
263000*
263100     MOVE 'M/C EFFECTIVE DATE    '
263200                                 TO MBD100WS-PL1-DESC.
263300     MOVE MMSM-MC-EFF-DATE       TO SS01WS-JULIAN.
263400     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
263500     MOVE MTL1-VL07-A-DATA-9     TO MMSM-MC-EFF-DATE.
263600     MOVE MMSM-MC-EFF-DATE       TO SS01WS-JULIAN.
263700     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
263800     GO TO 5100-MR-NO-REC-CHECK.
263900*
264000*
264100*
264200 9020-MR-FIELD.
264300*
264400     IF  MBD100WS-JOURNAL
264500         MOVE MTL1-VL20-B-NBR-V902
264600                                 TO MMSM-PL-FLOOR-LIMIT.
264700*
264800     MOVE 'P/L FLOOR LIMIT       '
264900                                 TO MBD100WS-PL1-DESC.
265000     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
265100     MOVE MMSM-PL-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
265200     PERFORM SS95PD-NAP-ROUTINE
265300                                 THRU SS95PD-NAP-EXIT.
265400     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL1-FROM-VALUE.
265500     MOVE MTL1-VL20-A-NBR-V902   TO MMSM-PL-FLOOR-LIMIT.
265600     MOVE 02                     TO SS95WS-IN-PCT-DECIMALS.
265700     MOVE MMSM-PL-FLOOR-LIMIT    TO SS95WS-IN-PCT-V92.
265800     PERFORM SS95PD-NAP-ROUTINE
265900                                 THRU SS95PD-NAP-EXIT.
266000     MOVE SS95WS-OUT-PCT-L19     TO MBD100WS-PL2-TO-VALUE.
266100     GO TO 5100-MR-NO-REC-CHECK.
266200*
266300*
266400*
266500 9021-MR-FIELD.
266600*
266700     IF  MBD100WS-JOURNAL
266800         MOVE MTL1-VL07-B-DATA-9 TO MMSM-CTD-CLEAR-DATE-1.
266900*
267000     MOVE 'C-T-D CLEAR DATE      '
267100                                 TO MBD100WS-PL1-DESC.
267200     MOVE MMSM-CTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
267300     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
267400     MOVE MTL1-VL07-A-DATA-9     TO MMSM-CTD-CLEAR-DATE-1.
267500     MOVE MMSM-CTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
267600     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
267700     GO TO 5100-MR-NO-REC-CHECK.
267800*
267900*
268000*
268100 9022-MR-FIELD.
268200*
268300     IF  MBD100WS-JOURNAL
268400         MOVE MTL1-VL07-B-DATA-9 TO MMSM-CTD-CLEAR-DATE-2.
268500*
268600     MOVE 'C-T-D CLEAR DATE 2    '
268700                                 TO MBD100WS-PL1-DESC.
268800     MOVE MMSM-CTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
268900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
269000     MOVE MTL1-VL07-A-DATA-9     TO MMSM-CTD-CLEAR-DATE-2.
269100     MOVE MMSM-CTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
269200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
269300     GO TO 5100-MR-NO-REC-CHECK.
269400*
269500*
269600*
269700 9023-MR-FIELD.
269800*
269900     IF  MBD100WS-JOURNAL
270000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DTD-CLEAR-DATE-1.
270100*
270200     MOVE 'D-T-D CLEAR DATE 1    '
270300                                 TO MBD100WS-PL1-DESC.
270400     MOVE MMSM-DTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
270500     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
270600     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DTD-CLEAR-DATE-1.
270700     MOVE MMSM-DTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
270800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
270900     GO TO 5100-MR-NO-REC-CHECK.
271000*
271100*
271200*
271300 9024-MR-FIELD.
271400*
271500     IF  MBD100WS-JOURNAL
271600         MOVE MTL1-VL07-B-DATA-9 TO MMSM-DTD-CLEAR-DATE-2.
271700*
271800     MOVE 'D-T-D CLEAR DATE 2    '
271900                                 TO MBD100WS-PL1-DESC.
272000     MOVE MMSM-DTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
272100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
272200     MOVE MTL1-VL07-A-DATA-9     TO MMSM-DTD-CLEAR-DATE-2.
272300     MOVE MMSM-DTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
272400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
272500     GO TO 5100-MR-NO-REC-CHECK.
272600*
272700*
272800*
272900 9025-MR-FIELD.
273000*
273100     IF  MBD100WS-JOURNAL
273200         MOVE MTL1-VL07-B-DATA-9 TO MMSM-PTD-CLEAR-DATE-1.
273300*
273400     MOVE 'P-T-D CLEAR DATE 1    '
273500                                 TO MBD100WS-PL1-DESC.
273600     MOVE MMSM-PTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
273700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
273800     MOVE MTL1-VL07-A-DATA-9     TO MMSM-PTD-CLEAR-DATE-1.
273900     MOVE MMSM-PTD-CLEAR-DATE-1  TO SS01WS-JULIAN.
274000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
274100     GO TO 5100-MR-NO-REC-CHECK.
274200*
274300*
274400*
274500 9026-MR-FIELD.
274600*
274700     IF  MBD100WS-JOURNAL
274800         MOVE MTL1-VL07-B-DATA-9 TO MMSM-PTD-CLEAR-DATE-2.
274900*
275000     MOVE 'P-T-D CLEAR DATE 2    '
275100                                 TO MBD100WS-PL1-DESC.
275200     MOVE MMSM-PTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
275300     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
275400     MOVE MTL1-VL07-A-DATA-9     TO MMSM-PTD-CLEAR-DATE-2.
275500     MOVE MMSM-PTD-CLEAR-DATE-2  TO SS01WS-JULIAN.
275600     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
275700     GO TO 5100-MR-NO-REC-CHECK.
275800*
275900*
276000*
276100 9027-MR-FIELD.
276200*
276300     IF  MBD100WS-JOURNAL
276400         MOVE MTL1-VL07-B-DATA-9 TO MMSM-BI-WEEKLY-SETT-DATE.
276500*
276600     MOVE 'BI-WEEKLY SETT DATE   '
276700                                 TO MBD100WS-PL1-DESC.
276800     MOVE MMSM-BI-WEEKLY-SETT-DATE
276900                                 TO SS01WS-JULIAN.
277000     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
277100     MOVE MTL1-VL07-A-DATA-9     TO MMSM-BI-WEEKLY-SETT-DATE.
277200     MOVE MMSM-BI-WEEKLY-SETT-DATE
277300                                 TO SS01WS-JULIAN.
277400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
277500     GO TO 5100-MR-NO-REC-CHECK.
277600*
277700*
277800*
277900 9028-MR-FIELD.
278000*
278100     IF  MBD100WS-JOURNAL
278200         MOVE MTL1-VL07-B-DATA-9 TO MMSM-BI-WEEKLY-STMT-DATE.
278300*
278400     MOVE 'BI-WEEKLY STMT DATE   '
278500                                 TO MBD100WS-PL1-DESC.
278600     MOVE MMSM-BI-WEEKLY-STMT-DATE
278700                                 TO SS01WS-JULIAN.
278800     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
278900     MOVE MTL1-VL07-A-DATA-9     TO MMSM-BI-WEEKLY-STMT-DATE.
279000     MOVE MMSM-BI-WEEKLY-STMT-DATE
279100                                 TO SS01WS-JULIAN.
279200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
279300     GO TO 5100-MR-NO-REC-CHECK.
279400*
279500*
279600*
279700 9029-MR-FIELD.
279800*
279900     IF  MBD100WS-JOURNAL
280000         MOVE MTL1-VL07-B-DATA-9 TO MMSM-BI-WEEKLY-DISC-DATE.
280100*
280200     MOVE 'BI-WEEKLY DISC DATE   '
280300                                 TO MBD100WS-PL1-DESC.
280400     MOVE MMSM-BI-WEEKLY-DISC-DATE
280500                                 TO SS01WS-JULIAN.
280600     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
280700     MOVE MTL1-VL07-A-DATA-9     TO MMSM-BI-WEEKLY-DISC-DATE.
280800     MOVE MMSM-BI-WEEKLY-DISC-DATE
280900                                 TO SS01WS-JULIAN.
281000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
281100     GO TO 5100-MR-NO-REC-CHECK.
281200*
281300*
281400*
281500 9030-MR-FIELD.
281600*
281700     IF  MBD100WS-JOURNAL
281800         MOVE MTL1-VL07-B-DATA-9 TO MMSM-BI-WEEKLY-PART-DATE.
281900*
282000     MOVE 'BI-WEEKLY PART DATE   '
282100                                 TO MBD100WS-PL1-DESC.
282200     MOVE MMSM-BI-WEEKLY-PART-DATE
282300                                 TO SS01WS-JULIAN.
282400     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
282500     MOVE MTL1-VL07-A-DATA-9     TO MMSM-BI-WEEKLY-PART-DATE.
282600     MOVE MMSM-BI-WEEKLY-PART-DATE
282700                                 TO SS01WS-JULIAN.
282800     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
282900     GO TO 5100-MR-NO-REC-CHECK.
283000*
283100*
283200*
283300 9031-MR-FIELD.
283400*
283500     IF  MBD100WS-JOURNAL
283600         MOVE MTL1-VL07-B-DATA-9 TO MMSM-VI-EFF-DATE.
283700*
283800     MOVE 'VISA EFFECTIVE DATE   '
283900                                 TO MBD100WS-PL1-DESC.
284000     MOVE MMSM-VI-EFF-DATE       TO SS01WS-JULIAN.
284100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
284200     MOVE MTL1-VL07-A-DATA-9     TO MMSM-VI-EFF-DATE.
284300     MOVE MMSM-VI-EFF-DATE       TO SS01WS-JULIAN.
284400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
284500     GO TO 5100-MR-NO-REC-CHECK.
284600*
284700*
284800*
284900 9032-MR-FIELD.
285000*
285100     IF  MBD100WS-JOURNAL
285200         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-STATUS.
285300*
285400     MOVE 'VISA STATUS           '
285500                                 TO MBD100WS-PL1-DESC.
285600     MOVE MMSM-VI-STATUS         TO MBD100WS-PL1-FROM-VALUE.
285700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-STATUS.
285800     MOVE MMSM-VI-STATUS         TO MBD100WS-PL2-TO-VALUE.
285900     GO TO 5100-MR-NO-REC-CHECK.
286000*
286100*
286200*
286300 9033-MR-FIELD.
286400*
286500     IF  MBD100WS-JOURNAL
286600         MOVE MTL1-VL07-B-DATA-9 TO MMSM-MC-EFF-DATE.
286700*
286800     MOVE 'M/C EFFECTIVE DATE    '
286900                                 TO MBD100WS-PL1-DESC.
287000     MOVE MMSM-MC-EFF-DATE       TO SS01WS-JULIAN.
287100     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
287200     MOVE MTL1-VL07-A-DATA-9     TO MMSM-MC-EFF-DATE.
287300     MOVE MMSM-MC-EFF-DATE       TO SS01WS-JULIAN.
287400     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
287500     GO TO 5100-MR-NO-REC-CHECK.
287600*
287700*
287800*
287900 9034-MR-FIELD.
288000*
288100     IF  MBD100WS-JOURNAL
288200         MOVE MTL1-VL01-B-DATA-X TO MMSM-MC-STATUS.
288300*
288400     MOVE 'M/C STATUS            '
288500                                 TO MBD100WS-PL1-DESC.
288600     MOVE MMSM-MC-STATUS         TO MBD100WS-PL1-FROM-VALUE.
288700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-MC-STATUS.
288800     MOVE MMSM-MC-STATUS         TO MBD100WS-PL2-TO-VALUE.
288900     GO TO 5100-MR-NO-REC-CHECK.
289000*
289100*
289200*
289300 9035-MR-FIELD.
289400*
289500     IF  MBD100WS-JOURNAL
289600         MOVE MTL1-VL01-B-DATA-X TO MMSM-SINGLE-STORE-FLAG.
289700*
289800     MOVE 'SINGLE STORE FLAG     '
289900                                 TO MBD100WS-PL1-DESC.
290000     MOVE MMSM-SINGLE-STORE-FLAG TO MBD100WS-PL1-FROM-VALUE.
290100     MOVE MTL1-VL01-A-DATA-X     TO MMSM-SINGLE-STORE-FLAG.
290200     MOVE MMSM-SINGLE-STORE-FLAG TO MBD100WS-PL2-TO-VALUE.
290300     GO TO 5100-MR-NO-REC-CHECK.
290400*
290500*
290600 9036-MR-FIELD.
290700*
290800     IF  MBD100WS-JOURNAL
290900         MOVE MTL1-VL01-B-DATA-X TO MMSM-1099-REFUSAL-IND.
291000*
291100     MOVE '1099 REFUSAL INDICATOR'
291200                                 TO MBD100WS-PL1-DESC.
291300     MOVE MMSM-1099-REFUSAL-IND  TO MBD100WS-PL1-FROM-VALUE.
291400     MOVE MTL1-VL01-A-DATA-X     TO MMSM-1099-REFUSAL-IND.
291500     MOVE MMSM-1099-REFUSAL-IND  TO MBD100WS-PL2-TO-VALUE.
291600     GO TO 5100-MR-NO-REC-CHECK.
291700*
291800*
291900 9037-MR-FIELD.
292000*
292100     IF  MBD100WS-JOURNAL
292200         MOVE MTL1-VL01-B-DATA-X TO MMSM-TIN-TYPE.
292300*
292400     MOVE 'TIN TYPE              '
292500                                 TO MBD100WS-PL1-DESC.
292600     MOVE MMSM-TIN-TYPE          TO MBD100WS-PL1-FROM-VALUE.
292700     MOVE MTL1-VL01-A-DATA-X     TO MMSM-TIN-TYPE.
292800     MOVE MMSM-TIN-TYPE          TO MBD100WS-PL2-TO-VALUE.
292900     GO TO 5100-MR-NO-REC-CHECK.
293000*
293100*
293200 9038-MR-FIELD.
293300*
293400     IF  MBD100WS-JOURNAL
293500         MOVE MTL1-VL30-B-DATA-X TO MMSM-CORP-LEGAL-NAME.
293600*
293700     MOVE 'CORP LEGAL NAME       '
293800                                 TO MBD100WS-PL1-DESC.
293900     MOVE MMSM-CORP-LEGAL-NAME   TO MBD100WS-PL1-FROM-VALUE.
294000     MOVE MTL1-VL30-A-DATA-X     TO MMSM-CORP-LEGAL-NAME.
294100     MOVE MMSM-CORP-LEGAL-NAME   TO MBD100WS-PL2-TO-VALUE.
294200     GO TO 5100-MR-NO-REC-CHECK.
294202*                                                                 RG802901
294204*                                                                 RG802901
294206 9042-MR-FIELD.                                                   RG802901
294208*                                                                 RG802901
294210     IF  MBD100WS-JOURNAL                                         RG802901
294212         MOVE MTL1-VL60-B-DATA-X TO MMSM-VI-URL-EMAIL.            RG802901
294214*                                                                 RG802901
294216     MOVE 'URL/E-MAIL ADDRESS    '                                RG802901
294218                                 TO MBD100WS-PL1-DESC.            RG802901
294220     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL1-FROM-VALUE.      RG802901
294222     MOVE MTL1-VL60-A-DATA-X     TO MMSM-VI-URL-EMAIL.            RG802901
294224     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL2-TO-VALUE.        RG802901
294226     GO TO 5100-MR-NO-REC-CHECK.                                  RG802901
294228*                                                                 RG802901
294230*                                                                 RG802901
294232 9043-MR-FIELD.                                                   RG802901
294234*                                                                 RG802901
294236     IF  MBD100WS-JOURNAL                                         RG802901
294238         MOVE MTL1-VL01-B-DATA-X TO MMSM-VI-CONTACT-IND.          RG802901
294240*                                                                 RG802901
294242     MOVE 'URL/EMAIL ADDRESS     '                                RG802901
294244                                 TO MBD100WS-PL1-DESC.            RG802901
294246     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL1-FROM-VALUE.      RG802901
294248     MOVE MTL1-VL01-A-DATA-X     TO MMSM-VI-URL-EMAIL.            RG802901
294250     MOVE MMSM-VI-URL-EMAIL      TO MBD100WS-PL2-TO-VALUE.        RG802901
294252     GO TO 5100-MR-NO-REC-CHECK.                                  RG802901
294300*
294400*
294500 5100-MR-NO-REC-CHECK.
294600*
294700     IF  MBD100WS-UPDATE
294800     AND MBD100WS-IO-NO-REC-FOUND
294900         MOVE '*** ERROR - NO RECORD FOUND ***'
295000                                 TO MBD100WS-PL2-TO-VALUE.
295100*
295200 5999-MR-EXIT.
295300     EXIT.
295400/
295500 8100-FROM-DATE SECTION.
295600 8110-FD-BEGIN.
295700*
295800     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
295900     PERFORM SS08PD-JUL-TO-GREG
296000        THRU SS08PD-JTG-EXIT.
296100     MOVE SS01WS-DATE            TO MBD100WS-PL1-FV-DATE.
296200     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
296300*
296400 8199-FD-EXIT.
296500     EXIT.
296600*
296700*
296800*
296900 8200-TO-DATE SECTION.
297000 8210-TD-BEGIN.
297100*
297200     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
297300     PERFORM SS08PD-JUL-TO-GREG
297400        THRU SS08PD-JTG-EXIT.
297500     MOVE SS01WS-DATE            TO MBD100WS-PL2-TV-DATE.
297600     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
297700*
297800 8299-TD-EXIT.
297900     EXIT.
298000/
298100 9000-PERFORMED-ROUTINES-SECT SECTION.
298200*
298300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
298400/
298500     COPY SS95PD.
298600/
298700     COPY MB99PD.
298800/
298900     COPY SS02PD.
299000/
299100     COPY SS07PD.
299200/
299300     COPY SS08PD.
299400/
299500     COPY SS26PD.
299600/
299700     COPY SS27PD.
299800*
299900 9995-END-SOURCE-STATEMENTS SECTION.
300000 9999-END-OF-PROGRAM.
300100     EXIT.
