000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100SR.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100SR - STORE RELATIONSHIP CONTROL RECOVERY AND        *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMSRRL.
002800/
002900     COPY MMSRIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
003200/
003300     COPY MMSRIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100SR'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1SR'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMSRRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMSR-ACCESS
010800        THRU MB00PD-MMSR-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1SR'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMSRRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMSRRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMSR-ACCESS
012700        THRU MB00PD-MMSR-ACCESS-EXIT.
012800*
012900     MOVE 'R0SR'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSRRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMSR-ACCESS
013200        THRU MB00PD-MMSR-ACCESS-EXIT.
013300     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMSRIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMSRIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMSRIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMSR-KEY IS NOT EQUAL TO MMSR-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMSR-KEY IS NOT EQUAL TO MMSR-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMSR-KEY IS EQUAL TO MMSRIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMSR-RECORD        TO MMSRIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMSRRB-TEMP-STATUS-1
019400         MOVE 'U1SR'             TO SS02WS-ABEND-LOCATION
019500         SET MMSRRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMSR-ACCESS
019700            THRU MB00PD-MMSR-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMSR-RECORD        TO MMSRIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMSRRB-TEMP-STATUS-1
020600         MOVE 'W2SR'             TO SS02WS-ABEND-LOCATION
020700         SET MMSRRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMSR-ACCESS
020900            THRU MB00PD-MMSR-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMSR-RECORD    TO MMSRIO-RECORD
021300             MOVE 'U2SR'         TO SS02WS-ABEND-LOCATION
021400             SET MMSRRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMSR-ACCESS
021600                THRU MB00PD-MMSR-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMSRRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMSR-KEY          TO MMSRIO-KEY.
023500*
023600     MOVE 'R1SR'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMSRRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMSR-ACCESS
023900        THRU MB00PD-MMSR-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMSRIO-RECORD      TO MMSR-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMSR-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMSR-ORG               TO MTCC-MBU916-BEG-ORG.
027700     MOVE MMSR-CHAIN             TO MTCC-MBU916-BEG-CHAIN.
027800     MOVE 'MBU916'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC2-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMSR-CHAIN        TO MBD100WS-PL1-CHAIN.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500 Z299-CTD-EXIT.
029600     EXIT.
029700/
029800 Z900-INIT-RECORD SECTION.
029900 Z910-IR-BEGIN.
030000*
030100     MOVE MMSRIR-RECORD          TO MMSR-RECORD.
030200     MOVE SPACES                 TO MTC1-RECORD.
030300     MOVE SPACES                 TO MTC2-RECORD.
030400*
030500 Z999-IR-EXIT.
030600     EXIT.
030700/
030800 0000-MAINT-RECORD SECTION.
030900 0010-MR-BEGIN.
031000*
031100     PERFORM Z100-COMMON-FROM-DATA
031200        THRU Z199-CFD-EXIT.
031300*
031400     PERFORM Z200-COMMON-TO-DATA
031500        THRU Z299-CTD-EXIT.
031600*
031700     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
031800         GO TO 0106-MR-FIELD.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
032100         GO TO 0107-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
032400         GO TO 0108-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0109
032700         GO TO 0109-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0110
033000         GO TO 0110-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
033300         GO TO 0197-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
033600         GO TO 0198-MR-FIELD.
033700*
033800     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
033900         GO TO 0199-MR-FIELD.
034000*
034100     MOVE '*** ERROR - INVALID FIELD CODE ***'
034200                                 TO MBD100WS-PL2-TO-VALUE.
034300     GO TO 5999-MR-EXIT.
034400*
034500 0106-MR-FIELD.
034600*
034700     SET X-MMSR-NA               TO MTL1-FIELD-OCCURRENCE.
034800*
034900     IF  MBD100WS-JOURNAL
035000         MOVE MTL1-VL40-B-DATA-X TO MMSR-NA-LINE
035100                                    (X-MMSR-NA).
035200*
035300     MOVE 'NAME/ADDRESS LINE     '
035400                                 TO MBD100WS-PL1-DESC.
035500     MOVE MMSR-NA-LINE
035600          (X-MMSR-NA)            TO MBD100WS-PL1-FROM-VALUE.
035700     MOVE MTL1-VL40-A-DATA-X     TO MMSR-NA-LINE
035800                                    (X-MMSR-NA).
035900     MOVE MMSR-NA-LINE
036000          (X-MMSR-NA)            TO MBD100WS-PL2-TO-VALUE.
036100     GO TO 5100-MR-NO-REC-CHECK.
036200*
036300*
036400*
036500 0107-MR-FIELD.
036600*
036700     IF  MBD100WS-JOURNAL
036800         MOVE MTL1-VL03-B-DATA-X TO MMSR-STATE-CODE.
036900*
037000     MOVE 'STATE/PROVINCE CODE   '
037100                                 TO MBD100WS-PL1-DESC.
037200     MOVE MMSR-STATE-CODE        TO MBD100WS-PL1-FROM-VALUE.
037300     MOVE MTL1-VL03-A-DATA-X     TO MMSR-STATE-CODE.
037400     MOVE MMSR-STATE-CODE        TO MBD100WS-PL2-TO-VALUE.
037500     GO TO 5100-MR-NO-REC-CHECK.
037600*
037700*
037800*
037900 0108-MR-FIELD.
038000*
038100     IF  MBD100WS-JOURNAL
038200         MOVE MTL1-VL20-B-DATA-X TO MMSR-PHONE.
038300*
038400     MOVE 'PHONE NUMBER          '
038500                                 TO MBD100WS-PL1-DESC.
038600     MOVE MMSR-PHONE             TO MBD100WS-PL1-FROM-VALUE.
038700     MOVE MTL1-VL20-A-DATA-X     TO MMSR-PHONE.
038800     MOVE MMSR-PHONE             TO MBD100WS-PL2-TO-VALUE.
038900     GO TO 5100-MR-NO-REC-CHECK.
039000*
039100*
039200*
039300 0109-MR-FIELD.
039400*
039500     IF  MBD100WS-JOURNAL
039600         MOVE MTL1-VL10-B-DATA-X TO MMSR-POSTAL-CODE.
039700*
039800     MOVE 'POSTAL CODE           '
039900                                 TO MBD100WS-PL1-DESC.
040000     MOVE MMSR-POSTAL-CODE       TO MBD100WS-PL1-FROM-VALUE.
040100     MOVE MTL1-VL10-A-DATA-X     TO MMSR-POSTAL-CODE.
040200     MOVE MMSR-POSTAL-CODE       TO MBD100WS-PL2-TO-VALUE.
040300     GO TO 5100-MR-NO-REC-CHECK.
040400*
040500*
040600*
040700 0110-MR-FIELD.
040800*
040900     IF  MBD100WS-JOURNAL
041000         MOVE MTL1-VL20-B-DATA-X TO MMSR-FAX.
041100*
041200     MOVE 'FAX NUMBER            '
041300                                 TO MBD100WS-PL1-DESC.
041400     MOVE MMSR-FAX               TO MBD100WS-PL1-FROM-VALUE.
041500     MOVE MTL1-VL20-A-DATA-X     TO MMSR-FAX.
041600     MOVE MMSR-FAX               TO MBD100WS-PL2-TO-VALUE.
041700     GO TO 5100-MR-NO-REC-CHECK.
041800*
041900*
042000*
042100 0197-MR-FIELD.
042200*
042300     IF  MBD100WS-JOURNAL
042400         MOVE MTL1-VL01-B-DATA-9 TO MMSR-REC-STATUS.
042500*
042600     MOVE 'RECORD STATUS         '
042700                                 TO MBD100WS-PL1-DESC.
042800     MOVE MMSR-REC-STATUS        TO MBD100WS-PL1-FV-9.
042900     MOVE MTL1-VL01-A-DATA-9     TO MMSR-REC-STATUS.
043000     MOVE MMSR-REC-STATUS        TO MBD100WS-PL2-TV-9.
043100     GO TO 5100-MR-NO-REC-CHECK.
043200*
043300*
043400*
043500 0198-MR-FIELD.
043600*
043700     IF  MBD100WS-JOURNAL
043800         MOVE MTL1-VL03-B-DATA-X TO MMSR-LAST-MAINT-OPER.
043900*
044000     MOVE 'LAST MAINT OPERATOR   '
044100                                 TO MBD100WS-PL1-DESC.
044200     MOVE MMSR-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
044300     MOVE MTL1-VL03-A-DATA-X     TO MMSR-LAST-MAINT-OPER.
044400     MOVE MMSR-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
044500     GO TO 5100-MR-NO-REC-CHECK.
044600*
044700*
044800*
044900 0199-MR-FIELD.
045000*
045100     IF  MBD100WS-JOURNAL
045200         MOVE MTL1-VL07-B-DATA-9 TO MMSR-LAST-MAINT-DATE.
045300*
045400     MOVE 'DATE LAST MAINTENANCE '
045500                                 TO MBD100WS-PL1-DESC.
045600     MOVE MMSR-LAST-MAINT-DATE   TO SS01WS-JULIAN.
045700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
045800     MOVE MTL1-VL07-A-DATA-9     TO MMSR-LAST-MAINT-DATE.
045900     MOVE MMSR-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
046100     GO TO 5100-MR-NO-REC-CHECK.
046200*
046300*
046400*
046500 5100-MR-NO-REC-CHECK.
046600*
046700     IF  MBD100WS-UPDATE
046800     AND MBD100WS-IO-NO-REC-FOUND
046900         MOVE '*** ERROR - NO RECORD FOUND ***'
047000                                 TO MBD100WS-PL2-TO-VALUE.
047100*
047200 5999-MR-EXIT.
047300     EXIT.
047400/
047500 8100-FROM-DATE SECTION.
047600 8110-FD-BEGIN.
047700*
047800     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
047900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
048000        THRU SS26PD-NED-EXIT.
048100     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
048200     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
048300*
048400 8199-FD-EXIT.
048500     EXIT.
048600*
048700*
048800*
048900 8200-TO-DATE SECTION.
049000 8210-TD-BEGIN.
049100*
049200     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
049300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
049400        THRU SS26PD-NED-EXIT.
049500     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
049600     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
049700*
049800 8299-TD-EXIT.
049900     EXIT.
050000/
050100 9000-PERFORMED-ROUTINES-SECT SECTION.
050200*
050300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.
050400/
050500     COPY SS95PD.
050600/
050700     COPY MB99PD.
050800/
050900     COPY SS02PD.
051000/
051100     COPY SS07PD.
051200/
051300     COPY SS08PD.
051400/
051500     COPY SS26PD.
051600/
051700     COPY SS27PD.
051800*
051900 9995-END-SOURCE-STATEMENTS SECTION.
052000 9999-END-OF-PROGRAM.
052100     EXIT.
