000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100SS.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100SS - SYSTEM SOURCE DEFINITIONS FILE RECOVERY AND    *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMSSRL.
002800/
002900     COPY MMSSIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSS==.
003200/
003300     COPY MMSSIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100SS'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMSS'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1SS'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMSSRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMSS-ACCESS
010800        THRU MB00PD-MMSS-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1SS'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMSSRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMSSRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMSS-ACCESS
012700        THRU MB00PD-MMSS-ACCESS-EXIT.
012800*
012900     MOVE 'R0SS'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMSSRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMSS-ACCESS
013200        THRU MB00PD-MMSS-ACCESS-EXIT.
013300     MOVE 'MMSS'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMSSIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMSSIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMSSIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE 'USA'                  TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMSS-KEY IS NOT EQUAL TO MMSS-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMSS-KEY IS NOT EQUAL TO MMSS-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMSS-HEADER
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMSS-RECORD        TO MMSSIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMSSRB-TEMP-STATUS-1
019400         MOVE 'U1SS'             TO SS02WS-ABEND-LOCATION
019500         SET MMSSRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMSS-ACCESS
019700            THRU MB00PD-MMSS-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMSS-RECORD        TO MMSSIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMSSRB-TEMP-STATUS-1
020600         MOVE 'W2SS'             TO SS02WS-ABEND-LOCATION
020700         SET MMSSRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMSS-ACCESS
020900            THRU MB00PD-MMSS-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMSS-RECORD    TO MMSSIO-RECORD
021300             MOVE 'U2SS'         TO SS02WS-ABEND-LOCATION
021400             SET MMSSRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMSS-ACCESS
021600                THRU MB00PD-MMSS-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMSSRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMSS-KEY          TO MMSSIO-KEY.
023500*
023600     MOVE 'R1SS'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMSSRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMSS-ACCESS
023900        THRU MB00PD-MMSS-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMSSIO-RECORD      TO MMSS-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMSS-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMSS-SEQ               TO MTCC-MBU902-BEG-SEQ.
027700     MOVE 'MBU902'               TO MTCC-PROGRAM-ID.
027800     MOVE MTCC-RECORD            TO MTC2-RECORD.
027900*
028000 U099-NR-EXIT.
028100     EXIT.
028200/
028300 Z100-COMMON-FROM-DATA SECTION.
028400 Z110-CFD-BEGIN.
028500*
028600     MOVE MTL1-MMSS-SEQ          TO MBD100WS-PL1-SEQ.
028700*
028800 Z199-CFD-EXIT.
028900     EXIT.
029000/
029100 Z200-COMMON-TO-DATA SECTION.
029200 Z210-CTD-BEGIN.
029300*
029400 Z299-CTD-EXIT.
029500     EXIT.
029600/
029700 Z900-INIT-RECORD SECTION.
029800 Z910-IR-BEGIN.
029900*
030000     MOVE MMSSIR-RECORD          TO MMSS-RECORD.
030100     MOVE SPACES                 TO MTC1-RECORD.
030200     MOVE SPACES                 TO MTC2-RECORD.
030300*
030400 Z999-IR-EXIT.
030500     EXIT.
030600/
030700 0000-MAINT-RECORD SECTION.
030800 0010-MR-BEGIN.
030900*
031000     PERFORM Z100-COMMON-FROM-DATA
031100        THRU Z199-CFD-EXIT.
031200*
031300     PERFORM Z200-COMMON-TO-DATA
031400        THRU Z299-CTD-EXIT.
031500*
031600     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
031700         GO TO 0101-MR-FIELD.
031800*
031900     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032000         GO TO 0102-MR-FIELD.
032100*
032200     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032300         GO TO 0103-MR-FIELD.
032400*
032500     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
032600         GO TO 0104-MR-FIELD.
032700*
032800     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
032900         GO TO 0105-MR-FIELD.
033000*
033100     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
033200         GO TO 0106-MR-FIELD.
033300*
033400     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
033500         GO TO 0107-MR-FIELD.
033600*
033700     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
033800         GO TO 0108-MR-FIELD.
033900*
034000     IF  MTL1-FIELD-CODE IS EQUAL TO 0109
034100         GO TO 0109-MR-FIELD.
034200*
034300     IF  MTL1-FIELD-CODE IS EQUAL TO 0197
034400         GO TO 0197-MR-FIELD.
034500*
034600     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
034700         GO TO 0198-MR-FIELD.
034800*
034900     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
035000         GO TO 0199-MR-FIELD.
035100*
035200     MOVE '*** ERROR - INVALID FIELD CODE ***'
035300                                 TO MBD100WS-PL2-TO-VALUE.
035400     GO TO 5999-MR-EXIT.
035500*
035600 0101-MR-FIELD.
035700*
035800     IF  MBD100WS-JOURNAL
035900         MOVE MTL1-VL05-B-DATA-X TO MMSS-SOURCE-CODE.
036000*
036100     MOVE 'SOURCE CODE           '
036200                                 TO MBD100WS-PL1-DESC.
036300     MOVE MMSS-SOURCE-CODE       TO MBD100WS-PL1-FROM-VALUE.
036400     MOVE MTL1-VL05-A-DATA-X     TO MMSS-SOURCE-CODE.
036500     MOVE MMSS-SOURCE-CODE       TO MBD100WS-PL2-TO-VALUE.
036600     GO TO 5100-MR-NO-REC-CHECK.
036700*
036800*
036900*
037000 0102-MR-FIELD.
037100*
037200     IF  MBD100WS-JOURNAL
037300         MOVE MTL1-VL02-B-DATA-9 TO MMSS-SOURCE-PRODUCT.
037400*
037500     MOVE 'SOURCE PRODUCT        '
037600                                 TO MBD100WS-PL1-DESC.
037700     MOVE MMSS-SOURCE-PRODUCT    TO MBD100WS-PL1-FV-99.
037800     MOVE MTL1-VL02-A-DATA-9     TO MMSS-SOURCE-PRODUCT.
037900     MOVE MMSS-SOURCE-PRODUCT    TO MBD100WS-PL2-TV-99.
038000     GO TO 5100-MR-NO-REC-CHECK.
038100*
038200*
038300*
038400 0103-MR-FIELD.
038500*
038600     IF  MBD100WS-JOURNAL
038700         MOVE MTL1-VL03-B-DATA-9 TO MMSS-SOURCE-ORG.
038800*
038900     MOVE 'SOURCE ORGANIZATION   '
039000                                 TO MBD100WS-PL1-DESC.
039100     MOVE MMSS-SOURCE-ORG        TO MBD100WS-PL1-FV-999.
039200     MOVE MTL1-VL03-A-DATA-9     TO MMSS-SOURCE-ORG.
039300     MOVE MMSS-SOURCE-ORG        TO MBD100WS-PL2-TV-999.
039400     GO TO 5100-MR-NO-REC-CHECK.
039500*
039600*
039700*
039800 0104-MR-FIELD.
039900*
040000     IF  MBD100WS-JOURNAL
040100         MOVE MTL1-VL03-B-DATA-9 TO MMSS-SOURCE-LOGO.
040200*
040300     MOVE 'SOURCE LOGO           '
040400                                 TO MBD100WS-PL1-DESC.
040500     MOVE MMSS-SOURCE-LOGO       TO MBD100WS-PL1-FV-999.
040600     MOVE MTL1-VL03-A-DATA-9     TO MMSS-SOURCE-LOGO.
040700     MOVE MMSS-SOURCE-LOGO       TO MBD100WS-PL2-TV-999.
040800     GO TO 5100-MR-NO-REC-CHECK.
040900*
041000*
041100*
041200 0105-MR-FIELD.
041300*
041400     IF  MBD100WS-JOURNAL
041500         MOVE MTL1-VL20-B-DATA-X TO MMSS-SOURCE-FROM-PREFIX.
041600*
041700     MOVE 'SOURCE FROM-PREFIX    '
041800                                 TO MBD100WS-PL1-DESC.
041900     MOVE MMSS-SOURCE-FROM-PREFIX
042000                                 TO MBD100WS-PL1-FROM-VALUE.
042100     MOVE MTL1-VL20-A-DATA-X     TO MMSS-SOURCE-FROM-PREFIX.
042200     MOVE MMSS-SOURCE-FROM-PREFIX
042300                                 TO MBD100WS-PL2-TO-VALUE.
042400     GO TO 5100-MR-NO-REC-CHECK.
042500*
042600*
042700*
042800 0106-MR-FIELD.
042900*
043000     IF  MBD100WS-JOURNAL
043100         MOVE MTL1-VL01-B-DATA-X TO MMSS-SOURCE-CRITERIA-OPER.
043200*
043300     MOVE 'SOURCE CRITERIA OPER  '
043400                                 TO MBD100WS-PL1-DESC.
043500     MOVE MMSS-SOURCE-CRITERIA-OPER
043600                                 TO MBD100WS-PL1-FROM-VALUE.
043700     MOVE MTL1-VL01-A-DATA-X     TO MMSS-SOURCE-CRITERIA-OPER.
043800     MOVE MMSS-SOURCE-CRITERIA-OPER
043900                                 TO MBD100WS-PL2-TO-VALUE.
044000     GO TO 5100-MR-NO-REC-CHECK.
044100*
044200*
044300*
044400 0107-MR-FIELD.
044500*
044600     IF  MBD100WS-JOURNAL
044700         MOVE MTL1-VL20-B-DATA-X TO MMSS-SOURCE-TO-PREFIX.
044800*
044900     MOVE 'SOURCE TO-PREFIX      '
045000                                 TO MBD100WS-PL1-DESC.
045100     MOVE MMSS-SOURCE-TO-PREFIX  TO MBD100WS-PL1-FROM-VALUE.
045200     MOVE MTL1-VL20-A-DATA-X     TO MMSS-SOURCE-TO-PREFIX.
045300     MOVE MMSS-SOURCE-TO-PREFIX  TO MBD100WS-PL2-TO-VALUE.
045400     GO TO 5100-MR-NO-REC-CHECK.
045500*
045600*
045700*
045800 0108-MR-FIELD.
045900*
046000     IF  MBD100WS-JOURNAL
046100         MOVE MTL1-VL20-B-DATA-X TO MMSS-SOURCE-DESC.
046200*
046300     MOVE 'SOURCE DESCRIPTION    '
046400                                 TO MBD100WS-PL1-DESC.
046500     MOVE MMSS-SOURCE-DESC       TO MBD100WS-PL1-FROM-VALUE.
046600     MOVE MTL1-VL20-A-DATA-X     TO MMSS-SOURCE-DESC.
046700     MOVE MMSS-SOURCE-DESC       TO MBD100WS-PL2-TO-VALUE.
046800     GO TO 5100-MR-NO-REC-CHECK.
046900*
047000*
047100*
047200 0109-MR-FIELD.
047300*
047400     IF  MBD100WS-JOURNAL
047500         MOVE MTL1-VL01-B-DATA-9 TO MMSS-REC-STATUS.
047600*
047700     MOVE 'RECORD STATUS         '
047800                                 TO MBD100WS-PL1-DESC.
047900     MOVE MMSS-REC-STATUS        TO MBD100WS-PL1-FV-9.
048000     MOVE MTL1-VL01-A-DATA-9     TO MMSS-REC-STATUS.
048100     MOVE MMSS-REC-STATUS        TO MBD100WS-PL2-TV-9.
048200     GO TO 5100-MR-NO-REC-CHECK.
048300*
048400*
048500*
048600 0197-MR-FIELD.
048700*
048800     IF  MBD100WS-JOURNAL
048900         MOVE MTL1-VL01-B-DATA-9 TO MMSS-REC-STATUS.
049000*
049100     MOVE 'RECORD STATUS         '
049200                                 TO MBD100WS-PL1-DESC.
049300     MOVE MMSS-REC-STATUS        TO MBD100WS-PL1-FV-9.
049400     MOVE MTL1-VL01-A-DATA-9     TO MMSS-REC-STATUS.
049500     MOVE MMSS-REC-STATUS        TO MBD100WS-PL2-TV-9.
049600     GO TO 5100-MR-NO-REC-CHECK.
049700*
049800*
049900*
050000 0198-MR-FIELD.
050100*
050200     IF  MBD100WS-JOURNAL
050300         MOVE MTL1-VL03-B-DATA-X TO MMSS-LAST-MAINT-OPER.
050400*
050500     MOVE 'LAST MAINT OPERATOR   '
050600                                 TO MBD100WS-PL1-DESC.
050700     MOVE MMSS-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
050800     MOVE MTL1-VL03-A-DATA-X     TO MMSS-LAST-MAINT-OPER.
050900     MOVE MMSS-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
051000     GO TO 5100-MR-NO-REC-CHECK.
051100*
051200*
051300*
051400 0199-MR-FIELD.
051500*
051600     IF  MBD100WS-JOURNAL
051700         MOVE MTL1-VL07-B-DATA-9 TO MMSS-LAST-MAINT-DATE.
051800*
051900     MOVE 'DATE LAST MAINTENANCE '
052000                                 TO MBD100WS-PL1-DESC.
052100     MOVE MMSS-LAST-MAINT-DATE   TO SS01WS-JULIAN.
052200     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
052300     MOVE MTL1-VL07-A-DATA-9     TO MMSS-LAST-MAINT-DATE.
052400     MOVE MMSS-LAST-MAINT-DATE   TO SS01WS-JULIAN.
052500     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
052600     GO TO 5100-MR-NO-REC-CHECK.
052700*
052800*
052900*
053000 5100-MR-NO-REC-CHECK.
053100*
053200     IF  MBD100WS-UPDATE
053300     AND MBD100WS-IO-NO-REC-FOUND
053400         MOVE '*** ERROR - NO RECORD FOUND ***'
053500                                 TO MBD100WS-PL2-TO-VALUE.
053600*
053700 5999-MR-EXIT.
053800     EXIT.
053900/
054000 8100-FROM-DATE SECTION.
054100 8110-FD-BEGIN.
054200*
054300     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
054400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
054500        THRU SS26PD-NED-EXIT.
054600     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
054700     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
054800*
054900 8199-FD-EXIT.
055000     EXIT.
055100*
055200*
055300*
055400 8200-TO-DATE SECTION.
055500 8210-TD-BEGIN.
055600*
055700     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
055800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
055900        THRU SS26PD-NED-EXIT.
056000     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
056100     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
056200*
056300 8299-TD-EXIT.
056400     EXIT.
056500/
056600 9000-PERFORMED-ROUTINES-SECT SECTION.
056700*
056800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSS==.
056900/
057000     COPY SS95PD.
057100/
057200     COPY MB99PD.
057300/
057400     COPY SS02PD.
057500/
057600     COPY SS07PD.
057700/
057800     COPY SS08PD.
057900/
058000     COPY SS26PD.
058100/
058200     COPY SS27PD.
058300*
058400 9995-END-SOURCE-STATEMENTS SECTION.
058500 9999-END-OF-PROGRAM.
058600     EXIT.
