000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD100TM.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*     MBD100TM - TERMINATED MERCHANTS FILE RECOVERY AND         *
000800*                NON-MONETARY REPORTS                           *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MMTMRL.
002800/
002900     COPY MMTMIO.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MMTM==.
003200/
003300     COPY MMTMIR.
003400/
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MTL1==.
003600/
003700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS95WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SS01WS.
004800/
004900     COPY SS02WS.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400     COPY MBD100WS.
005500/
005600     COPY MMSCRL.
005700/
005800     COPY MMOCRL.
005900/
006000     COPY MML1RL REPLACING ==:MML1:== BY ==MTL1==.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
006300/
006400     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC2==.
006500/
006600 PROCEDURE DIVISION              USING MBD100WS-AREA
006700                                       MMSC-RECORD
006800                                       MMOC-RECORD
006900                                       MTL1-RECORD
007000                                       MTC1-RECORD
007100                                       MTC2-RECORD.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'MBD100TM'             TO SS02WS-ABEND-PROG-ID.
007700     MOVE 'MMTM'                 TO MB99WS-FILE-ID.
007800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
007900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
008000*
008100     IF  MBD100WS-OPEN-FILE
008200         SET SS95WS-FUNCTION-INITIALIZE
008300                                 TO TRUE
008400         PERFORM SS95PD-NAP-ROUTINE
008500            THRU SS95PD-NAP-EXIT
008600         PERFORM O000-OPEN-FILE
008700            THRU O999-OF-EXIT.
008800*
008900     IF  MBD100WS-CLOSE-FILE
009000         PERFORM C000-CLOSE-FILE
009100            THRU C999-CF-EXIT.
009200*
009300     IF  MBD100WS-PROCESS-RECORD
009400         PERFORM P000-PROCESS-RECORD
009500            THRU P099-PR-EXIT.
009600*
009700     GOBACK.
009800*
009900 A999-ML-EXIT.
010000     EXIT.
010100/
010200 C000-CLOSE-FILE SECTION.
010300 C010-CF-BEGIN.
010400*
010500     MOVE 'C1TM'                 TO SS02WS-ABEND-LOCATION.
010600     SET MMTMRB-CLOSE            TO TRUE.
010700     PERFORM MB00PD-MMTM-ACCESS
010800        THRU MB00PD-MMTM-ACCESS-EXIT.
010900*
011000 C999-CF-EXIT.
011100     EXIT.
011200/
011300 O000-OPEN-FILE SECTION.
011400 O010-OF-BEGIN.
011500*
011600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
011700*
011800     MOVE 'O1TM'                 TO SS02WS-ABEND-LOCATION.
011900*
012000     IF  MBD100WS-UPDATE
012100         SET MMTMRB-OPEN-IO-DYN  TO TRUE
012200     ELSE
012300         SET MMTMRB-OPEN-INPUT-DYN
012400                                 TO TRUE.
012500*
012600     PERFORM MB00PD-MMTM-ACCESS
012700        THRU MB00PD-MMTM-ACCESS-EXIT.
012800*
012900     MOVE 'R0TM'                 TO SS02WS-ABEND-LOCATION.
013000     SET MMTMRB-READ-SEQ         TO TRUE.
013100     PERFORM MB00PD-MMTM-ACCESS
013200        THRU MB00PD-MMTM-ACCESS-EXIT.
013300     MOVE 'MMTM'                 TO MB99WS-FILE-ID.
013400*
013500     IF  MMTMIO-HEADER
013600         NEXT SENTENCE
013700     ELSE
013800         PERFORM MB99PD-MISSING-HEADER-ABEND
013900            THRU MB99PD-MHA-EXIT.
014000*
014100     MOVE MMTMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
014200     MOVE MMTMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
014300     PERFORM MB99PD-CHECK-DATE-TIME
014400        THRU MB99PD-CDT-EXIT.
014500*
014600     PERFORM Z900-INIT-RECORD
014700        THRU Z999-IR-EXIT.
014800*
014900 O999-OF-EXIT.
015000     EXIT.
015100/
015200 P000-PROCESS-RECORD SECTION.
015300 P010-PR-BEGIN.
015400*
015500     MOVE MMOC-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
015600*
015700     IF  MTL1-MMTM-KEY IS NOT EQUAL TO MMTM-KEY
015800         PERFORM P500-FILE-UPDATE
015900            THRU P599-FU-EXIT.
016000*
016100     IF  MTL1-TOTALS-RECORD
016200         GO TO P099-PR-EXIT.
016300*
016400     IF  MTL1-MMTM-KEY IS NOT EQUAL TO MMTM-KEY
016500         PERFORM P700-GET-RECORD-TO-UPDATE
016600            THRU P799-GRTU-EXIT.
016700*
016800     MOVE MTL1-FIELD-CODE        TO MBD100WS-FIELD-CODE.
016900*
017000     IF (MBD100WS-FC-1-2-ADD AND MBD100WS-FC-3-4-ADD)
017100     OR (MBD100WS-FC-1-2-REP AND MBD100WS-FC-3-4-REP)
017200         PERFORM U000-NEW-RECORD
017300            THRU U099-NR-EXIT
017400     ELSE
017500         PERFORM 0000-MAINT-RECORD
017600            THRU 5999-MR-EXIT.
017700*
017800 P099-PR-EXIT.
017900     EXIT.
018000/
018100 P500-FILE-UPDATE SECTION.
018200 P510-FU-BEGIN.
018300*
018400     IF  MBD100WS-JOURNAL
018500         GO TO P599-FU-EXIT.
018600*
018700     IF  MMTM-KEY IS EQUAL TO MMTMIR-KEY
018800         GO TO P599-FU-EXIT.
018900*
019000     IF  MBD100WS-IO-REWRITE
019100         MOVE MMTM-RECORD        TO MMTMIO-RECORD
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMTMRB-TEMP-STATUS-1
019400         MOVE 'U1TM'             TO SS02WS-ABEND-LOCATION
019500         SET MMTMRB-REWRITE      TO TRUE
019600         PERFORM MB00PD-MMTM-ACCESS
019700            THRU MB00PD-MMTM-ACCESS-EXIT
019800         IF  SS02WS-FS-NO-RECORD-FOUND
019900             MOVE 'W'            TO MBD100WS-IO-SW.
020000*
020100     IF  MBD100WS-IO-NO-REC-FOUND
020200     OR  MBD100WS-IO-WRITE
020300         MOVE MMTM-RECORD        TO MMTMIO-RECORD
020400         MOVE SS02WS-DUPLICATE-RECORD
020500                                 TO MMTMRB-TEMP-STATUS-1
020600         MOVE 'W2TM'             TO SS02WS-ABEND-LOCATION
020700         SET MMTMRB-WRITE        TO TRUE
020800         PERFORM MB00PD-MMTM-ACCESS
020900            THRU MB00PD-MMTM-ACCESS-EXIT
021000         IF  SS02WS-FS-DUPLICATE-RECORD
021100             MOVE 'U'            TO MBD100WS-IO-SW
021200             MOVE MMTM-RECORD    TO MMTMIO-RECORD
021300             MOVE 'U2TM'         TO SS02WS-ABEND-LOCATION
021400             SET MMTMRB-REWRITE  TO TRUE
021500             PERFORM MB00PD-MMTM-ACCESS
021600                THRU MB00PD-MMTM-ACCESS-EXIT.
021700*
021800     PERFORM Z900-INIT-RECORD
021900        THRU Z999-IR-EXIT.
022000*
022100 P599-FU-EXIT.
022200     EXIT.
022300/
022400 P700-GET-RECORD-TO-UPDATE SECTION.
022500 P710-GRTU-BEGIN.
022600*
022700     IF  MBD100WS-JOURNAL
022800         PERFORM Z900-INIT-RECORD
022900            THRU Z999-IR-EXIT
023000         GO TO P799-GRTU-EXIT.
023100*
023200     MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMTMRB-TEMP-STATUS-1.
023400     MOVE MTL1-MMTM-KEY          TO MMTMIO-KEY.
023500*
023600     MOVE 'R1TM'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMTMRB-READ-RANDOM      TO TRUE.
023800     PERFORM MB00PD-MMTM-ACCESS
023900        THRU MB00PD-MMTM-ACCESS-EXIT.
024000*
024100     IF  SS02WS-FS-NO-RECORD-FOUND
024200         PERFORM Z900-INIT-RECORD
024300            THRU Z999-IR-EXIT
024400         MOVE 'N'                TO MBD100WS-IO-SW
024500     ELSE
024600         MOVE MMTMIO-RECORD      TO MMTM-RECORD
024700         MOVE 'U'                TO MBD100WS-IO-SW.
024800*
024900 P799-GRTU-EXIT.
025000     EXIT.
025100/
025200 U000-NEW-RECORD SECTION.
025300 U010-NR-BEGIN.
025400*
025500     PERFORM Z100-COMMON-FROM-DATA
025600        THRU Z199-CFD-EXIT.
025700*
025800     PERFORM Z200-COMMON-TO-DATA
025900        THRU Z299-CTD-EXIT.
026000*
026100     MOVE MTL1-ADD-AREA          TO MMTM-RECORD.
026200*
026300     IF  MBD100WS-IO-NO-REC-FOUND
026400         MOVE 'W'                TO MBD100WS-IO-SW.
026500*
026600     IF  MBD100WS-FC-1-2-ADD
026700         MOVE '*** NEW RECORD ADDED ***'
026800                                 TO MBD100WS-PL2-TO-VALUE
026900                                    MBD100WS-PL1-FROM-VALUE
027000     ELSE
027100         MOVE '*** REPLACEMENT RECORD ***'
027200                                 TO MBD100WS-PL2-TO-VALUE
027300                                    MBD100WS-PL1-FROM-VALUE.
027400*
027500     MOVE SPACES                 TO MTCC-RECORD.
027600     MOVE MMTM-ORG               TO MTCC-MBU933-BEG-ORG.
027700     MOVE MMTM-MERCHANT          TO MTCC-MBU933-BEG-MERCHANT.
027800     MOVE 'MBU933'               TO MTCC-PROGRAM-ID.
027900     MOVE MTCC-RECORD            TO MTC2-RECORD.
028000*
028100 U099-NR-EXIT.
028200     EXIT.
028300/
028400 Z100-COMMON-FROM-DATA SECTION.
028500 Z110-CFD-BEGIN.
028600*
028700     MOVE MTL1-MMTM-MERCHANT     TO MBD100WS-PL1-MERCHANT.
028800*
028900 Z199-CFD-EXIT.
029000     EXIT.
029100/
029200 Z200-COMMON-TO-DATA SECTION.
029300 Z210-CTD-BEGIN.
029400*
029500     MOVE 'TYPE='                TO MBD100WS-PL2-TYPE-LIT.
029600     MOVE MTL1-MMTM-FILE-TYPE    TO MBD100WS-PL2-TYPE.
029700*
029800 Z299-CTD-EXIT.
029900     EXIT.
030000/
030100 Z900-INIT-RECORD SECTION.
030200 Z910-IR-BEGIN.
030300*
030400     MOVE MMTMIR-RECORD          TO MMTM-RECORD.
030500     MOVE SPACES                 TO MTC1-RECORD.
030600     MOVE SPACES                 TO MTC2-RECORD.
030700*
030800 Z999-IR-EXIT.
030900     EXIT.
031000/
031100 0000-MAINT-RECORD SECTION.
031200 0010-MR-BEGIN.
031300*
031400     PERFORM Z100-COMMON-FROM-DATA
031500        THRU Z199-CFD-EXIT.
031600*
031700     PERFORM Z200-COMMON-TO-DATA
031800        THRU Z299-CTD-EXIT.
031900*
032000     IF  MTL1-FIELD-CODE IS EQUAL TO 0101
032100         GO TO 0101-MR-FIELD.
032200*
032300     IF  MTL1-FIELD-CODE IS EQUAL TO 0102
032400         GO TO 0102-MR-FIELD.
032500*
032600     IF  MTL1-FIELD-CODE IS EQUAL TO 0103
032700         GO TO 0103-MR-FIELD.
032800*
032900     IF  MTL1-FIELD-CODE IS EQUAL TO 0104
033000         GO TO 0104-MR-FIELD.
033100*
033200     IF  MTL1-FIELD-CODE IS EQUAL TO 0105
033300         GO TO 0105-MR-FIELD.
033400*
033500     IF  MTL1-FIELD-CODE IS EQUAL TO 0106
033600         GO TO 0106-MR-FIELD.
033700*
033800     IF  MTL1-FIELD-CODE IS EQUAL TO 0107
033900         GO TO 0107-MR-FIELD.
034000*
034100     IF  MTL1-FIELD-CODE IS EQUAL TO 0108
034200         GO TO 0108-MR-FIELD.
034300*
034400     IF  MTL1-FIELD-CODE IS EQUAL TO 0109
034500         GO TO 0109-MR-FIELD.
034600*
034700     IF  MTL1-FIELD-CODE IS EQUAL TO 0110
034800         GO TO 0110-MR-FIELD.
034900*
035000     IF  MTL1-FIELD-CODE IS EQUAL TO 0111
035100         GO TO 0111-MR-FIELD.
035200*
035300     IF  MTL1-FIELD-CODE IS EQUAL TO 0112
035400         GO TO 0112-MR-FIELD.
035500*
035600     IF  MTL1-FIELD-CODE IS EQUAL TO 0113
035700         GO TO 0113-MR-FIELD.
035800*
035900     IF  MTL1-FIELD-CODE IS EQUAL TO 0114
036000         GO TO 0114-MR-FIELD.
036100*
036200     IF  MTL1-FIELD-CODE IS EQUAL TO 0115
036300         GO TO 0115-MR-FIELD.
036400*
036500     IF  MTL1-FIELD-CODE IS EQUAL TO 0116
036600         GO TO 0116-MR-FIELD.
036700*
036800     IF  MTL1-FIELD-CODE IS EQUAL TO 0117
036900         GO TO 0117-MR-FIELD.
037000*
037100     IF  MTL1-FIELD-CODE IS EQUAL TO 0118
037200         GO TO 0118-MR-FIELD.
037300*
037400     IF  MTL1-FIELD-CODE IS EQUAL TO 0198
037500         GO TO 0198-MR-FIELD.
037600*
037700     IF  MTL1-FIELD-CODE IS EQUAL TO 0199
037800         GO TO 0199-MR-FIELD.
037900*
038000     IF  MTL1-FIELD-CODE IS EQUAL TO 0201
038100         GO TO 0201-MR-FIELD.
038200*
038300     IF  MTL1-FIELD-CODE IS EQUAL TO 0202
038400         GO TO 0202-MR-FIELD.
038500*
038600     IF  MTL1-FIELD-CODE IS EQUAL TO 0203
038700         GO TO 0203-MR-FIELD.
038800*
038900     IF  MTL1-FIELD-CODE IS EQUAL TO 0204
039000         GO TO 0204-MR-FIELD.
039100*
039200     IF  MTL1-FIELD-CODE IS EQUAL TO 0301
039300         GO TO 0301-MR-FIELD.
039400*
039500     IF  MTL1-FIELD-CODE IS EQUAL TO 0302
039600         GO TO 0302-MR-FIELD.
039700*
039800     IF  MTL1-FIELD-CODE IS EQUAL TO 0303
039900         GO TO 0303-MR-FIELD.
040000*
040100     IF  MTL1-FIELD-CODE IS EQUAL TO 0304
040200         GO TO 0304-MR-FIELD.
040300*
040400     IF  MTL1-FIELD-CODE IS EQUAL TO 0305
040500         GO TO 0305-MR-FIELD.
040600*
040700     IF  MTL1-FIELD-CODE IS EQUAL TO 0306
040800         GO TO 0306-MR-FIELD.
040900*
041000     IF  MTL1-FIELD-CODE IS EQUAL TO 0307
041100         GO TO 0307-MR-FIELD.
041200*
041300     IF  MTL1-FIELD-CODE IS EQUAL TO 0308
041400         GO TO 0308-MR-FIELD.
041500*
041600     IF  MTL1-FIELD-CODE IS EQUAL TO 0309
041700         GO TO 0309-MR-FIELD.
041800*
041900     IF  MTL1-FIELD-CODE IS EQUAL TO 0310
042000         GO TO 0310-MR-FIELD.
042100*
042200     IF  MTL1-FIELD-CODE IS EQUAL TO 0311
042300         GO TO 0311-MR-FIELD.
042400*
042500     IF  MTL1-FIELD-CODE IS EQUAL TO 0312
042600         GO TO 0312-MR-FIELD.
042700*
042800     IF  MTL1-FIELD-CODE IS EQUAL TO 0313
042900         GO TO 0313-MR-FIELD.
043000*
043100     MOVE '*** ERROR - INVALID FIELD CODE ***'
043200                                 TO MBD100WS-PL2-TO-VALUE.
043300     GO TO 5999-MR-EXIT.
043400*
043500 0101-MR-FIELD.
043600*
043700     IF  MBD100WS-JOURNAL
043800         MOVE MTL1-VL01-B-DATA-X TO MMTM-ACTION-CODE.
043900*
044000     MOVE 'ACTION CODE           '
044100                                 TO MBD100WS-PL1-DESC.
044200     MOVE MMTM-ACTION-CODE       TO MBD100WS-PL1-FROM-VALUE.
044300     MOVE MTL1-VL01-A-DATA-X     TO MMTM-ACTION-CODE.
044400     MOVE MMTM-ACTION-CODE       TO MBD100WS-PL2-TO-VALUE.
044500     GO TO 5100-MR-NO-REC-CHECK.
044600*
044700*
044800*
044900 0102-MR-FIELD.
045000*
045100     IF  MBD100WS-JOURNAL
045200         MOVE MTL1-VL02-B-DATA-9 TO MMTM-REASON-CODE.
045300*
045400     MOVE 'REASON CODE           '
045500                                 TO MBD100WS-PL1-DESC.
045600     MOVE MMTM-REASON-CODE       TO MBD100WS-PL1-FV-99.
045700     MOVE MTL1-VL02-A-DATA-9     TO MMTM-REASON-CODE
045800     MOVE MMTM-REASON-CODE       TO MBD100WS-PL2-TV-99.
045900     GO TO 5100-MR-NO-REC-CHECK.
046000*
046100*
046200*
046300 0103-MR-FIELD.
046400*
046500     IF  MBD100WS-JOURNAL
046600         MOVE MTL1-VL30-B-DATA-X TO MMTM-DBA-NAME.
046700*
046800     MOVE 'DBA NAME              '
046900                                 TO MBD100WS-PL1-DESC.
047000     MOVE MMTM-DBA-NAME          TO MBD100WS-PL1-FROM-VALUE.
047100     MOVE MTL1-VL30-A-DATA-X     TO MMTM-DBA-NAME.
047200     MOVE MMTM-DBA-NAME          TO MBD100WS-PL2-TO-VALUE.
047300     GO TO 5100-MR-NO-REC-CHECK.
047400*
047500*
047600*
047700 0104-MR-FIELD.
047800*
047900     IF  MBD100WS-JOURNAL
048000         MOVE MTL1-VL30-B-DATA-X TO MMTM-NAME-LINE-1.
048100*
048200     MOVE 'NAME LINE 1           '
048300                                 TO MBD100WS-PL1-DESC.
048400     MOVE MMTM-NAME-LINE-1       TO MBD100WS-PL1-FROM-VALUE.
048500     MOVE MTL1-VL30-A-DATA-X     TO MMTM-NAME-LINE-1.
048600     MOVE MMTM-NAME-LINE-1       TO MBD100WS-PL2-TO-VALUE.
048700     GO TO 5100-MR-NO-REC-CHECK.
048800*
048900*
049000*
049100 0105-MR-FIELD.
049200*
049300     IF  MBD100WS-JOURNAL
049400         MOVE MTL1-VL30-B-DATA-X TO MMTM-ADDR-LINE-1.
049500*
049600     MOVE 'ADDRESS LINE 1        '
049700                                 TO MBD100WS-PL1-DESC.
049800     MOVE MMTM-ADDR-LINE-1       TO MBD100WS-PL1-FROM-VALUE.
049900     MOVE MTL1-VL30-A-DATA-X     TO MMTM-ADDR-LINE-1.
050000     MOVE MMTM-ADDR-LINE-1       TO MBD100WS-PL2-TO-VALUE.
050100     GO TO 5100-MR-NO-REC-CHECK.
050200*
050300*
050400*
050500 0106-MR-FIELD.
050600*
050700     IF  MBD100WS-JOURNAL
050800         MOVE MTL1-VL30-B-DATA-X TO MMTM-ADDR-LINE-2.
050900*
051000     MOVE 'ADDRESS LINE 2        '
051100                                 TO MBD100WS-PL1-DESC.
051200     MOVE MMTM-ADDR-LINE-2       TO MBD100WS-PL1-FROM-VALUE.
051300     MOVE MTL1-VL30-A-DATA-X     TO MMTM-ADDR-LINE-2.
051400     MOVE MMTM-ADDR-LINE-2       TO MBD100WS-PL2-TO-VALUE.
051500     GO TO 5100-MR-NO-REC-CHECK.
051600*
051700*
051800*
051900 0107-MR-FIELD.
052000*
052100     IF  MBD100WS-JOURNAL
052200         MOVE MTL1-VL20-B-DATA-X TO MMTM-CITY.
052300*
052400     MOVE 'CITY                  '
052500                                 TO MBD100WS-PL1-DESC.
052600     MOVE MMTM-CITY              TO MBD100WS-PL1-FROM-VALUE.
052700     MOVE MTL1-VL20-A-DATA-X     TO MMTM-CITY.
052800     MOVE MMTM-CITY              TO MBD100WS-PL2-TO-VALUE.
052900     GO TO 5100-MR-NO-REC-CHECK.
053000*
053100*
053200*
053300 0108-MR-FIELD.
053400*
053500     IF  MBD100WS-JOURNAL
053600         MOVE MTL1-VL02-B-DATA-X TO MMTM-STATE-PROV.
053700*
053800     MOVE 'STATE/PROVINCE        '
053900                                 TO MBD100WS-PL1-DESC.
054000     MOVE MMTM-STATE-PROV        TO MBD100WS-PL1-FROM-VALUE.
054100     MOVE MTL1-VL02-A-DATA-X     TO MMTM-STATE-PROV.
054200     MOVE MMTM-STATE-PROV        TO MBD100WS-PL2-TO-VALUE.
054300     GO TO 5100-MR-NO-REC-CHECK.
054400*
054500*
054600*
054700 0109-MR-FIELD.
054800*
054900     IF  MBD100WS-JOURNAL
055000         MOVE MTL1-VL03-B-DATA-X TO MMTM-COUNTRY-CODE.
055100*
055200     MOVE 'COUNTRY CODE          '
055300                                 TO MBD100WS-PL1-DESC.
055400     MOVE MMTM-COUNTRY-CODE      TO MBD100WS-PL1-FROM-VALUE.
055500     MOVE MTL1-VL03-A-DATA-X     TO MMTM-COUNTRY-CODE.
055600     MOVE MMTM-COUNTRY-CODE      TO MBD100WS-PL2-TO-VALUE.
055700     GO TO 5100-MR-NO-REC-CHECK.
055800*
055900*
056000*
056100 0110-MR-FIELD.
056200*
056300     IF  MBD100WS-JOURNAL
056400         MOVE MTL1-VL10-B-DATA-X TO MMTM-POSTAL-CODE.
056500*
056600     MOVE 'POSTAL CODE           '
056700                                 TO MBD100WS-PL1-DESC.
056800     MOVE MMTM-POSTAL-CODE       TO MBD100WS-PL1-FROM-VALUE.
056900     MOVE MTL1-VL10-A-DATA-X     TO MMTM-POSTAL-CODE.
057000     MOVE MMTM-POSTAL-CODE       TO MBD100WS-PL2-TO-VALUE.
057100     GO TO 5100-MR-NO-REC-CHECK.
057200*
057300*
057400*
057500 0111-MR-FIELD.
057600*
057700     IF  MBD100WS-JOURNAL
057800         MOVE MTL1-VL10-B-DATA-X TO MMTM-PHONE.
057900*
058000     MOVE 'PHONE                 '
058100                                 TO MBD100WS-PL1-DESC.
058200     MOVE MMTM-PHONE             TO MBD100WS-PL1-FROM-VALUE.
058300     MOVE MTL1-VL10-A-DATA-X     TO MMTM-PHONE.
058400     MOVE MMTM-PHONE             TO MBD100WS-PL2-TO-VALUE.
058500     GO TO 5100-MR-NO-REC-CHECK.
058600*
058700*
058800*
058900 0112-MR-FIELD.
059000*
059100     IF  MBD100WS-JOURNAL
059200         MOVE MTL1-VL07-B-DATA-9 TO MMTM-DATE-OPENED.
059300*
059400     MOVE 'DATE OPENED           '
059500                                 TO MBD100WS-PL1-DESC.
059600     MOVE MMTM-DATE-OPENED       TO SS01WS-JULIAN.
059700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
059800     MOVE MTL1-VL07-A-DATA-9     TO MMTM-DATE-OPENED.
059900     MOVE MMTM-DATE-OPENED       TO SS01WS-JULIAN.
060000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
060100     GO TO 5100-MR-NO-REC-CHECK.
060200*
060300*
060400*
060500 0113-MR-FIELD.
060600*
060700     IF  MBD100WS-JOURNAL
060800         MOVE MTL1-VL04-B-DATA-9 TO MMTM-CATEGORY-CODE.
060900*
061000     MOVE 'CATEGORY CODE         '
061100                                 TO MBD100WS-PL1-DESC.
061200     MOVE MMTM-CATEGORY-CODE     TO MBD100WS-PL1-FV-9999.
061300     MOVE MTL1-VL04-A-DATA-9     TO MMTM-CATEGORY-CODE.
061400     MOVE MMTM-CATEGORY-CODE     TO MBD100WS-PL2-TV-9999.
061500     GO TO 5100-MR-NO-REC-CHECK.
061600*
061700*
061800*
061900 0114-MR-FIELD.
062000*
062100     IF  MBD100WS-JOURNAL
062200         MOVE MTL1-VL07-B-DATA-9 TO MMTM-DATE-CLOSED.
062300*
062400     MOVE 'DATE CLOSED           '
062500                                 TO MBD100WS-PL1-DESC.
062600     MOVE MMTM-DATE-CLOSED       TO SS01WS-JULIAN.
062700     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
062800     MOVE MTL1-VL07-A-DATA-9     TO MMTM-DATE-CLOSED.
062900     MOVE MMTM-DATE-CLOSED       TO SS01WS-JULIAN.
063000     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
063100     GO TO 5100-MR-NO-REC-CHECK.
063200*
063300*
063400*
063500 0115-MR-FIELD.
063600*
063700     IF  MBD100WS-JOURNAL
063800         MOVE MTL1-VL01-B-DATA-X TO MMTM-CH-ACT-TERM-IND.
063900*
064000     MOVE 'CH ACT TERM IND       '
064100                                 TO MBD100WS-PL1-DESC.
064200     MOVE MMTM-CH-ACT-TERM-IND   TO MBD100WS-PL1-FROM-VALUE.
064300     MOVE MTL1-VL01-A-DATA-X     TO MMTM-CH-ACT-TERM-IND.
064400     MOVE MMTM-CH-ACT-TERM-IND   TO MBD100WS-PL2-TO-VALUE.
064500     GO TO 5100-MR-NO-REC-CHECK.
064600*
064700*
064800*
064900 0116-MR-FIELD.
065000*
065100     IF  MBD100WS-JOURNAL
065200         MOVE MTL1-VL10-B-DATA-X TO MMTM-FED-TAX-ID.
065300*
065400     MOVE 'FED TAX ID            '
065500                                 TO MBD100WS-PL1-DESC.
065600     MOVE MMTM-FED-TAX-ID        TO MBD100WS-PL1-FROM-VALUE.
065700     MOVE MTL1-VL10-A-DATA-X     TO MMTM-FED-TAX-ID.
065800     MOVE MMTM-FED-TAX-ID        TO MBD100WS-PL2-TO-VALUE.
065900     GO TO 5100-MR-NO-REC-CHECK.
066000*
066100*
066200*
066300 0117-MR-FIELD.
066400*
066500     IF  MBD100WS-JOURNAL
066600         MOVE MTL1-VL10-B-DATA-X TO MMTM-STATE-TAX-ID.
066700*
066800     MOVE 'STATE/PROV TAX ID     '
066900                                 TO MBD100WS-PL1-DESC.
067000     MOVE MMTM-STATE-TAX-ID      TO MBD100WS-PL1-FROM-VALUE.
067100     MOVE MTL1-VL10-A-DATA-X     TO MMTM-STATE-TAX-ID.
067200     MOVE MMTM-STATE-TAX-ID      TO MBD100WS-PL2-TO-VALUE.
067300     GO TO 5100-MR-NO-REC-CHECK.
067400*
067500*
067600*
067700 0118-MR-FIELD.
067800*
067900     SET X-MMTM-COMMENTS         TO MTL1-FIELD-OCCURRENCE.
068000*
068100     IF  MBD100WS-JOURNAL
068200         MOVE MTL1-VL50-B-DATA-X TO MMTM-COMMENTS
068300                                    (X-MMTM-COMMENTS).
068400*
068500     MOVE 'COMMENT LINE          '
068600                                 TO MBD100WS-PL1-DESC.
068700     MOVE MMTM-COMMENTS
068800          (X-MMTM-COMMENTS)      TO MBD100WS-PL1-FROM-VALUE.
068900     MOVE MTL1-VL50-A-DATA-X     TO MMTM-COMMENTS
069000                                    (X-MMTM-COMMENTS).
069100     MOVE MMTM-COMMENTS
069200          (X-MMTM-COMMENTS)      TO MBD100WS-PL2-TO-VALUE.
069300     GO TO 5100-MR-NO-REC-CHECK.
069400*
069500*
069600*
069700 0198-MR-FIELD.
069800*
069900     IF  MBD100WS-JOURNAL
070000         MOVE MTL1-VL03-B-DATA-X TO MMTM-LAST-MAINT-OPER.
070100*
070200     MOVE 'LAST MAINT OPERATOR   '
070300                                 TO MBD100WS-PL1-DESC.
070400     MOVE MMTM-LAST-MAINT-OPER   TO MBD100WS-PL1-FROM-VALUE.
070500     MOVE MTL1-VL03-A-DATA-X     TO MMTM-LAST-MAINT-OPER.
070600     MOVE MMTM-LAST-MAINT-OPER   TO MBD100WS-PL2-TO-VALUE.
070700     GO TO 5100-MR-NO-REC-CHECK.
070800*
070900*
071000*
071100 0199-MR-FIELD.
071200*
071300     IF  MBD100WS-JOURNAL
071400         MOVE MTL1-VL07-B-DATA-9 TO MMTM-LAST-MAINT-DATE.
071500*
071600     MOVE 'DATE LAST MAINTENANCE '
071700                                 TO MBD100WS-PL1-DESC.
071800     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
071900     PERFORM 8100-FROM-DATE      THRU 8199-FD-EXIT.
072000     MOVE MTL1-VL07-A-DATA-9     TO MMTM-LAST-MAINT-DATE.
072100     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
072200     PERFORM 8200-TO-DATE        THRU 8299-TD-EXIT.
072300     GO TO 5100-MR-NO-REC-CHECK.
072400*
072500*
072600*
072700 0201-MR-FIELD.
072800*
072900     IF  MBD100WS-JOURNAL
073000         MOVE MTL1-VL05-B-DATA-9 TO MMTM-TRANS-REF-NBR.
073100*
073200     MOVE 'TRANS REF NUMBER      '
073300                                 TO MBD100WS-PL1-DESC.
073400     MOVE MMTM-TRANS-REF-NBR     TO MBD100WS-PL1-FV-99999.
073500     MOVE MTL1-VL05-A-DATA-9     TO MMTM-TRANS-REF-NBR.
073600     MOVE MMTM-TRANS-REF-NBR     TO MBD100WS-PL2-TV-99999.
073700     GO TO 5100-MR-NO-REC-CHECK.
073800*
073900*
074000*
074100 0202-MR-FIELD.
074200*
074300     IF  MBD100WS-JOURNAL
074400         MOVE MTL1-VL01-B-DATA-9 TO MMTM-NBR-MATCHES.
074500*
074600     MOVE 'NUMBER OF MATCHES     '
074700                                 TO MBD100WS-PL1-DESC.
074800     MOVE MMTM-NBR-MATCHES       TO MBD100WS-PL1-FV-9.
074900     MOVE MTL1-VL01-A-DATA-9     TO MMTM-NBR-MATCHES.
075000     MOVE MMTM-NBR-MATCHES       TO MBD100WS-PL2-TV-9.
075100     GO TO 5100-MR-NO-REC-CHECK.
075200*
075300*
075400*
075500 0203-MR-FIELD.
075600*
075700     SET X-MMTM-REGION           TO MTL1-FIELD-OCCURRENCE.
075800*
075900     IF  MBD100WS-JOURNAL
076000         MOVE MTL1-VL03-B-DATA-X TO MMTM-REGION
076100                                    (X-MMTM-REGION).
076200*
076300     MOVE 'REGION                '
076400                                 TO MBD100WS-PL1-DESC.
076500     MOVE MMTM-REGION
076600          (X-MMTM-REGION)        TO MBD100WS-PL1-FROM-VALUE.
076700     MOVE MTL1-VL03-A-DATA-X     TO MMTM-REGION
076800                                    (X-MMTM-REGION).
076900     MOVE MMTM-REGION
077000          (X-MMTM-REGION)        TO MBD100WS-PL2-TO-VALUE.
077100     GO TO 5100-MR-NO-REC-CHECK.
077200*
077300*
077400*
077500 0204-MR-FIELD.
077600*
077700     SET X-MMTM-COUNTRY          TO MTL1-FIELD-OCCURRENCE.
077800*
077900     IF  MBD100WS-JOURNAL
078000         MOVE MTL1-VL03-B-DATA-X TO MMTM-COUNTRY
078100                                    (X-MMTM-COUNTRY).
078200*
078300     MOVE 'COUNTRY               '
078400                                 TO MBD100WS-PL1-DESC.
078500     MOVE MMTM-COUNTRY
078600          (X-MMTM-COUNTRY)       TO MBD100WS-PL1-FROM-VALUE.
078700     MOVE MTL1-VL03-A-DATA-X     TO MMTM-COUNTRY
078800                                    (X-MMTM-COUNTRY).
078900     MOVE MMTM-COUNTRY
079000          (X-MMTM-COUNTRY)       TO MBD100WS-PL2-TO-VALUE.
079100     GO TO 5100-MR-NO-REC-CHECK.
079200*
079300*
079400*
079500 0301-MR-FIELD.
079600*
079700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
079800*
079900     IF  MBD100WS-JOURNAL
080000         MOVE MTL1-VL20-B-DATA-X TO MMTM-PR-FIRST-NAME
080100                                    (X-MMTM-PRIN-DATA).
080200*
080300     MOVE 'PR FIRST NAME         '
080400                                 TO MBD100WS-PL1-DESC.
080500     MOVE MMTM-PR-FIRST-NAME
080600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
080700     MOVE MTL1-VL20-A-DATA-X     TO MMTM-PR-FIRST-NAME
080800                                    (X-MMTM-PRIN-DATA).
080900     MOVE MMTM-PR-FIRST-NAME
081000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
081100     GO TO 5100-MR-NO-REC-CHECK.
081200*
081300*
081400*
081500 0302-MR-FIELD.
081600*
081700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
081800*
081900     IF  MBD100WS-JOURNAL
082000         MOVE MTL1-VL01-B-DATA-X TO MMTM-PR-MIDDLE-INITIAL
082100                                    (X-MMTM-PRIN-DATA).
082200*
082300     MOVE 'PR MIDDLE INITIAL     '
082400                                 TO MBD100WS-PL1-DESC.
082500     MOVE MMTM-PR-MIDDLE-INITIAL
082600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
082700     MOVE MTL1-VL01-A-DATA-X     TO MMTM-PR-MIDDLE-INITIAL
082800                                    (X-MMTM-PRIN-DATA).
082900     MOVE MMTM-PR-MIDDLE-INITIAL
083000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
083100     GO TO 5100-MR-NO-REC-CHECK.
083200*
083300*
083400*
083500 0303-MR-FIELD.
083600*
083700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
083800*
083900     IF  MBD100WS-JOURNAL
084000         MOVE MTL1-VL30-B-DATA-X TO MMTM-PR-LAST-NAME
084100                                    (X-MMTM-PRIN-DATA).
084200*
084300     MOVE 'PR LAST NAME          '
084400                                 TO MBD100WS-PL1-DESC.
084500     MOVE MMTM-PR-LAST-NAME
084600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
084700     MOVE MTL1-VL30-A-DATA-X     TO MMTM-PR-LAST-NAME
084800                                    (X-MMTM-PRIN-DATA).
084900     MOVE MMTM-PR-LAST-NAME
085000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
085100     GO TO 5100-MR-NO-REC-CHECK.
085200*
085300*
085400*
085500 0304-MR-FIELD.
085600*
085700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
085800*
085900     IF  MBD100WS-JOURNAL
086000         MOVE MTL1-VL30-B-DATA-X TO MMTM-PR-ADDR-1
086100                                    (X-MMTM-PRIN-DATA).
086200*
086300     MOVE 'PR ADDRESS LINE 1     '
086400                                 TO MBD100WS-PL1-DESC.
086500     MOVE MMTM-PR-ADDR-1
086600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
086700     MOVE MTL1-VL30-A-DATA-X     TO MMTM-PR-ADDR-1
086800                                    (X-MMTM-PRIN-DATA).
086900     MOVE MMTM-PR-ADDR-1
087000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
087100     GO TO 5100-MR-NO-REC-CHECK.
087200*
087300*
087400*
087500 0305-MR-FIELD.
087600*
087700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
087800*
087900     IF  MBD100WS-JOURNAL
088000         MOVE MTL1-VL30-B-DATA-X TO MMTM-PR-ADDR-2
088100                                    (X-MMTM-PRIN-DATA).
088200*
088300     MOVE 'PR ADDRESS LINE 2     '
088400                                 TO MBD100WS-PL1-DESC.
088500     MOVE MMTM-PR-ADDR-2
088600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
088700     MOVE MTL1-VL30-A-DATA-X     TO MMTM-PR-ADDR-2
088800                                    (X-MMTM-PRIN-DATA).
088900     MOVE MMTM-PR-ADDR-2
089000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
089100     GO TO 5100-MR-NO-REC-CHECK.
089200*
089300*
089400*
089500 0306-MR-FIELD.
089600*
089700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
089800*
089900     IF  MBD100WS-JOURNAL
090000         MOVE MTL1-VL20-B-DATA-X TO MMTM-PR-CITY
090100                                    (X-MMTM-PRIN-DATA).
090200*
090300     MOVE 'PR CITY               '
090400                                 TO MBD100WS-PL1-DESC.
090500     MOVE MMTM-PR-CITY
090600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
090700     MOVE MTL1-VL20-A-DATA-X     TO MMTM-PR-CITY
090800                                    (X-MMTM-PRIN-DATA).
090900     MOVE MMTM-PR-CITY
091000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
091100     GO TO 5100-MR-NO-REC-CHECK.
091200*
091300*
091400*
091500 0307-MR-FIELD.
091600*
091700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
091800*
091900     IF  MBD100WS-JOURNAL
092000         MOVE MTL1-VL02-B-DATA-X TO MMTM-PR-STATE
092100                                    (X-MMTM-PRIN-DATA).
092200*
092300     MOVE 'PR STATE              '
092400                                 TO MBD100WS-PL1-DESC.
092500     MOVE MMTM-PR-STATE
092600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
092700     MOVE MTL1-VL02-A-DATA-X     TO MMTM-PR-STATE
092800                                    (X-MMTM-PRIN-DATA).
092900     MOVE MMTM-PR-STATE
093000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
093100     GO TO 5100-MR-NO-REC-CHECK.
093200*
093300*
093400*
093500 0308-MR-FIELD.
093600*
093700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
093800*
093900     IF  MBD100WS-JOURNAL
094000         MOVE MTL1-VL10-B-DATA-X TO MMTM-PR-POSTAL-CODE
094100                                    (X-MMTM-PRIN-DATA).
094200*
094300     MOVE 'PR POSTAL CODE        '
094400                                 TO MBD100WS-PL1-DESC.
094500     MOVE MMTM-PR-POSTAL-CODE
094600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
094700     MOVE MTL1-VL10-A-DATA-X     TO MMTM-PR-POSTAL-CODE
094800                                    (X-MMTM-PRIN-DATA).
094900     MOVE MMTM-PR-POSTAL-CODE
095000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
095100     GO TO 5100-MR-NO-REC-CHECK.
095200*
095300*
095400*
095500 0309-MR-FIELD.
095600*
095700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
095800*
095900     IF  MBD100WS-JOURNAL
096000         MOVE MTL1-VL10-B-DATA-X TO MMTM-PR-PHONE
096100                                    (X-MMTM-PRIN-DATA).
096200*
096300     MOVE 'PR PHONE              '
096400                                 TO MBD100WS-PL1-DESC.
096500     MOVE MMTM-PR-PHONE
096600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
096700     MOVE MTL1-VL10-A-DATA-X     TO MMTM-PR-PHONE
096800                                    (X-MMTM-PRIN-DATA).
096900     MOVE MMTM-PR-PHONE
097000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
097100     GO TO 5100-MR-NO-REC-CHECK.
097200*
097300*
097400*
097500 0310-MR-FIELD.
097600*
097700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
097800*
097900     IF  MBD100WS-JOURNAL
098000         MOVE MTL1-VL30-B-DATA-X TO MMTM-DL-NBR
098100                                    (X-MMTM-PRIN-DATA).
098200*
098300     MOVE 'DRIVER LICENSE NUMBER '
098400                                 TO MBD100WS-PL1-DESC.
098500     MOVE MMTM-DL-NBR
098600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
098700     MOVE MTL1-VL30-A-DATA-X     TO MMTM-DL-NBR
098800                                    (X-MMTM-PRIN-DATA).
098900     MOVE MMTM-DL-NBR
099000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
099100     GO TO 5100-MR-NO-REC-CHECK.
099200*
099300*
099400*
099500 0311-MR-FIELD.
099600*
099700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
099800*
099900     IF  MBD100WS-JOURNAL
100000         MOVE MTL1-VL02-B-DATA-X TO MMTM-DL-STATE
100100                                    (X-MMTM-PRIN-DATA).
100200*
100300     MOVE 'DRIVER LICENSE STATE/P'
100400                                 TO MBD100WS-PL1-DESC.
100500     MOVE MMTM-DL-STATE
100600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
100700     MOVE MTL1-VL02-A-DATA-X     TO MMTM-DL-STATE
100800                                    (X-MMTM-PRIN-DATA).
100900     MOVE MMTM-DL-STATE
101000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
101100     GO TO 5100-MR-NO-REC-CHECK.
101200*
101300*
101400*
101500 0312-MR-FIELD.
101600*
101700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
101800*
101900     IF  MBD100WS-JOURNAL
102000         MOVE MTL1-VL03-B-DATA-X TO MMTM-DL-COUNTRY
102100                                    (X-MMTM-PRIN-DATA).
102200*
102300     MOVE 'DRIVER LICENSE COUNTRY'
102400                                 TO MBD100WS-PL1-DESC.
102500     MOVE MMTM-DL-COUNTRY
102600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
102700     MOVE MTL1-VL03-A-DATA-X     TO MMTM-DL-COUNTRY
102800                                    (X-MMTM-PRIN-DATA).
102900     MOVE MMTM-DL-COUNTRY
103000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
103100     GO TO 5100-MR-NO-REC-CHECK.
103200*
103300*
103400*
103500 0313-MR-FIELD.
103600*
103700     SET X-MMTM-PRIN-DATA        TO MTL1-FIELD-OCCURRENCE.
103800*
103900     IF  MBD100WS-JOURNAL
104000         MOVE MTL1-VL10-B-DATA-X TO MMTM-SOC-SEC-NBR
104100                                    (X-MMTM-PRIN-DATA).
104200*
104300     MOVE 'SOCIAL SECURITY NBR   '
104400                                 TO MBD100WS-PL1-DESC.
104500     MOVE MMTM-SOC-SEC-NBR
104600          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL1-FROM-VALUE.
104700     MOVE MTL1-VL10-A-DATA-X     TO MMTM-SOC-SEC-NBR
104800                                    (X-MMTM-PRIN-DATA).
104900     MOVE MMTM-SOC-SEC-NBR
105000          (X-MMTM-PRIN-DATA)     TO MBD100WS-PL2-TO-VALUE.
105100     GO TO 5100-MR-NO-REC-CHECK.
105200*
105300*
105400*
105500 5100-MR-NO-REC-CHECK.
105600*
105700     IF  MBD100WS-UPDATE
105800     AND MBD100WS-IO-NO-REC-FOUND
105900         MOVE '*** ERROR - NO RECORD FOUND ***'
106000                                 TO MBD100WS-PL2-TO-VALUE.
106100*
106200 5999-MR-EXIT.
106300     EXIT.
106400/
106500 8100-FROM-DATE SECTION.
106600 8110-FD-BEGIN.
106700*
106800     MOVE SS01WS-JULIAN          TO MBD100WS-PL1-FV-JULIAN.
106900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
107000        THRU SS26PD-NED-EXIT.
107100     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL1-FV-DATE.
107200     INSPECT MBD100WS-PL1-FV-JULIAN REPLACING ALL ',' BY '-'.
107300*
107400 8199-FD-EXIT.
107500     EXIT.
107600*
107700*
107800*
107900 8200-TO-DATE SECTION.
108000 8210-TD-BEGIN.
108100*
108200     MOVE SS01WS-JULIAN          TO MBD100WS-PL2-TV-JULIAN.
108300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
108400        THRU SS26PD-NED-EXIT.
108500     MOVE SS01WS-XX-XX-YYYY      TO MBD100WS-PL2-TV-DATE.
108600     INSPECT MBD100WS-PL2-TV-JULIAN REPLACING ALL ',' BY '-'.
108700*
108800 8299-TD-EXIT.
108900     EXIT.
109000/
109100 9000-PERFORMED-ROUTINES-SECT SECTION.
109200*
109300     COPY MB00PD REPLACING ==:MB00:== BY ==MMTM==.
109400/
109500     COPY SS95PD.
109600/
109700     COPY MB99PD.
109800/
109900     COPY SS02PD.
110000/
110100     COPY SS07PD.
110200/
110300     COPY SS08PD.
110400/
110500     COPY SS26PD.
110600/
110700     COPY SS27PD.
110800*
110900 9995-END-SOURCE-STATEMENTS SECTION.
111000 9999-END-OF-PROGRAM.
111100     EXIT.
