000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD200BC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBD200BC - BAR CODE ASSIGNMENT SUBROUTINE               *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 DATA DIVISION.
001400 WORKING-STORAGE SECTION.
001500*
001600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001700*
001800 01  WS-D200-WORK-AREAS.
001900*
002000     03  WS-D200-BAR-CODE-HIT-FLAG
002100                             PIC  X(01)      VALUE 'N'.
002200         88  WS-D200-BCHF-EQUAL              VALUE 'Y'.
002300         88  WS-D200-BCHF-NOT-EQUAL          VALUE 'N'.
002400/
002500     COPY MMBCIR.
002600/
002700     COPY MMMPRL.
002800/
002900     COPY MB00WS.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003200/
003300 LINKAGE SECTION.
003400     COPY MMMMRL.
003500/
003600     COPY MMBCRL.
003700/
003800     COPY MMBCTB.
003900/
004000     COPY MMMPTB.
004100/
004200 PROCEDURE DIVISION              USING MMMM-RECORD
004300                                       MMBC-RECORD
004400                                       MMBCTB-TABLE-PARMS
004500                                       MMBCTB-TABLE-DATA
004600                                       MMMPTB-TABLE-PARMS
004700                                       MMMPTB-TABLE-DATA.
004800*
004900 A000-MAIN-LINE SECTION.
005000 A010-ML-BEGIN.
005100*
005200     MOVE MMBCIR-RECORD          TO MMBC-RECORD.
005300*
005400     PERFORM B000-SCAN-BAR-CODE-TABLE
005500        THRU B099-SBCT-EXIT
005600        VARYING X-MMBCTB FROM 1 BY 1
005700        UNTIL   X-MMBCTB IS GREATER THAN MMBCTB-MAX-ENTRIES
005800           OR   MMBCTB-END-OF-TABLE (X-MMBCTB)
005900           OR   MMBC-KEY IS NOT EQUAL TO MMBCIR-KEY.
006000*
006100     GO TO 9999-END-OF-PROGRAM.
006200*
006300 A999-ML-EXIT.
006400     EXIT.
006500/
006600 B000-SCAN-BAR-CODE-TABLE SECTION.
006700 B010-SBCT-BEGIN.
006800*
006900     MOVE MMBCTB-RECORD (X-MMBCTB)
007000                                 TO MMBC-RECORD.
007100*
007200*****************************************************************
007300*    CHECK DATE OPENED                                          *
007400*****************************************************************
007500     IF  MMBC-USE-DATE-OPENED
007600         EVALUATE TRUE
007700             WHEN MMBC-DO-IND-LESS
007800                 IF  MMMM-DATE-OPENED IS LESS THAN
007900                     MMBC-DATE-OPENED-BEG
008000                     NEXT SENTENCE
008100                 ELSE
008200                     MOVE MMBCIR-RECORD
008300                                 TO MMBC-RECORD
008400                 END-IF
008500             WHEN MMBC-DO-IND-GREATER
008600                 IF  MMMM-DATE-OPENED IS GREATER THAN
008700                     MMBC-DATE-OPENED-BEG
008800                     NEXT SENTENCE
008900                 ELSE
009000                     MOVE MMBCIR-RECORD
009100                                 TO MMBC-RECORD
009200                 END-IF
009300             WHEN MMBC-DO-IND-EQUAL
009400                 IF  MMMM-DATE-OPENED IS NOT LESS THAN
009500                     MMBC-DATE-OPENED-BEG
009600                 AND MMMM-DATE-OPENED IS NOT GREATER THAN
009700                     MMBC-DATE-OPENED-END
009800                     NEXT SENTENCE
009900                 ELSE
010000                     MOVE MMBCIR-RECORD
010100                                 TO MMBC-RECORD
010200                 END-IF
010300             WHEN MMBC-DO-IND-NOT-EQUAL
010400                 IF  MMMM-DATE-OPENED IS LESS THAN
010500                     MMBC-DATE-OPENED-BEG
010600                 OR  MMMM-DATE-OPENED IS GREATER THAN
010700                     MMBC-DATE-OPENED-END
010800                     NEXT SENTENCE
010900                 ELSE
011000                     MOVE MMBCIR-RECORD
011100                                 TO MMBC-RECORD
011200                 END-IF
011300             WHEN OTHER
011400                 MOVE MMBCIR-RECORD
011500                                 TO MMBC-RECORD
011600         END-EVALUATE.
011700*
011800     IF  MMBC-KEY IS EQUAL TO MMBCIR-KEY
011900         GO TO B099-SBCT-EXIT.
012000*
012100*****************************************************************
012200*    CHECK DATE LAST-ACTIVE                                     *
012300*****************************************************************
012400     IF  MMBC-USE-DATE-LAST-ACT
012500         EVALUATE TRUE
012600             WHEN MMBC-DLA-IND-LESS
012700                 IF  MMMM-DATE-LAST-ACTIVE IS LESS THAN
012800                     MMBC-DATE-LAST-ACTIVE-BEG
012900                     NEXT SENTENCE
013000                 ELSE
013100                     MOVE MMBCIR-RECORD
013200                                 TO MMBC-RECORD
013300                 END-IF
013400             WHEN MMBC-DLA-IND-GREATER
013500                 IF  MMMM-DATE-LAST-ACTIVE IS GREATER THAN
013600                     MMBC-DATE-LAST-ACTIVE-BEG
013700                     NEXT SENTENCE
013800                 ELSE
013900                     MOVE MMBCIR-RECORD
014000                                 TO MMBC-RECORD
014100                 END-IF
014200             WHEN MMBC-DLA-IND-EQUAL
014300                 IF  MMMM-DATE-LAST-ACTIVE IS NOT LESS THAN
014400                     MMBC-DATE-LAST-ACTIVE-BEG
014500                 AND MMMM-DATE-LAST-ACTIVE IS NOT GREATER THAN
014600                     MMBC-DATE-LAST-ACTIVE-END
014700                     NEXT SENTENCE
014800                 ELSE
014900                     MOVE MMBCIR-RECORD
015000                                 TO MMBC-RECORD
015100                 END-IF
015200             WHEN MMBC-DLA-IND-NOT-EQUAL
015300                 IF  MMMM-DATE-LAST-ACTIVE IS LESS THAN
015400                     MMBC-DATE-LAST-ACTIVE-BEG
015500                 OR  MMMM-DATE-LAST-ACTIVE IS GREATER THAN
015600                     MMBC-DATE-LAST-ACTIVE-END
015700                     NEXT SENTENCE
015800                 ELSE
015900                     MOVE MMBCIR-RECORD
016000                                 TO MMBC-RECORD
016100                 END-IF
016200             WHEN OTHER
016300                 MOVE MMBCIR-RECORD
016400                                 TO MMBC-RECORD
016500         END-EVALUATE.
016600*
016700     IF  MMBC-KEY IS EQUAL TO MMBCIR-KEY
016800         GO TO B099-SBCT-EXIT.
016900*
017000*****************************************************************
017100*    CHECK BLOCK CODE                                           *
017200*****************************************************************
017300*
017400     IF  MMBC-USE-BLOCK-CODE
017500         SET WS-D200-BCHF-NOT-EQUAL
017600                                 TO TRUE
017700         PERFORM
017800             VARYING X-MMBC-BLOCK-CODE FROM 1 BY 1
017900             UNTIL   X-MMBC-BLOCK-CODE IS GREATER THAN 18
018000             IF  MMBC-BLOCK-CODE (X-MMBC-BLOCK-CODE)
018100                                 IS EQUAL TO SPACES
018200                 CONTINUE
018300             ELSE
018400                 IF  MMMM-BLOCK-CODE IS EQUAL TO
018500                     MMBC-BLOCK-CODE (X-MMBC-BLOCK-CODE)
018600                     SET WS-D200-BCHF-EQUAL
018700                                 TO TRUE
018800                 END-IF
018900             END-IF
019000         END-PERFORM
019100         EVALUATE TRUE
019200            WHEN MMBC-BC-IND-EQUAL
019300                IF  WS-D200-BCHF-NOT-EQUAL
019400                    MOVE MMBCIR-RECORD
019500                                 TO MMBC-RECORD
019600                END-IF
019700            WHEN MMBC-BC-IND-NOT-EQUAL
019800                IF  WS-D200-BCHF-EQUAL
019900                    MOVE MMBCIR-RECORD
020000                                 TO MMBC-RECORD
020100                END-IF
020200         END-EVALUATE.
020300*
020400     IF  MMBC-KEY IS EQUAL TO MMBCIR-KEY
020500         GO TO B099-SBCT-EXIT.
020600*
020700*****************************************************************
020800*    CHECK STATEMENT CYCLE                                      *
020900*****************************************************************
021000*
021100     IF  MMBC-USE-STMT-CYCLE
021200         SET WS-D200-BCHF-NOT-EQUAL
021300                                 TO TRUE
021400         PERFORM
021500             VARYING X-MMBC-STMT-CYCLE FROM 1 BY 1
021600             UNTIL   X-MMBC-STMT-CYCLE IS GREATER THAN 18
021700             IF  MMBC-STMT-CYCLE (X-MMBC-STMT-CYCLE)
021800                                 IS EQUAL TO ZERO
021900                 CONTINUE
022000             ELSE
022100                 IF  MMMM-STMT-FREQ-1 IS EQUAL TO
022200                     MMBC-STMT-CYCLE (X-MMBC-STMT-CYCLE)
022300                 OR  MMMM-STMT-FREQ-2 IS EQUAL TO
022400                     MMBC-STMT-CYCLE (X-MMBC-STMT-CYCLE)
022500                     SET WS-D200-BCHF-EQUAL
022600                                 TO TRUE
022700                 END-IF
022800             END-IF
022900         END-PERFORM
023000         EVALUATE TRUE
023100            WHEN MMBC-SC-IND-EQUAL
023200                IF  WS-D200-BCHF-NOT-EQUAL
023300                    MOVE MMBCIR-RECORD
023400                                 TO MMBC-RECORD
023500                END-IF
023600            WHEN MMBC-SC-IND-NOT-EQUAL
023700                IF  WS-D200-BCHF-EQUAL
023800                    MOVE MMBCIR-RECORD
023900                                 TO MMBC-RECORD
024000                END-IF
024100         END-EVALUATE.
024200*
024300     IF  MMBC-KEY IS EQUAL TO MMBCIR-KEY
024400         GO TO B099-SBCT-EXIT.
024500*
024600*****************************************************************
024700*    CHECK POSTAL CODE                                          *
024800*****************************************************************
024900*
025000     IF  MMBC-USE-POSTAL-CODE
025100         SET WS-D200-BCHF-NOT-EQUAL
025200                                 TO TRUE
025300         EVALUATE TRUE
025400             WHEN MMMM-SAC-USE-SECONDARY
025500                 SET X-MMMM-DEMOGRAPHICS
025600                                 TO 2
025700             WHEN OTHER
025800                 SET X-MMMM-DEMOGRAPHICS
025900                                 TO 1
026000         END-EVALUATE
026100         PERFORM
026200             VARYING X-MMBC-POSTAL-CODE FROM 1 BY 1
026300             UNTIL   X-MMBC-POSTAL-CODE IS GREATER THAN 18
026400             OR      WS-D200-BCHF-EQUAL
026500             IF (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (1:1)
026600                                 IS EQUAL TO '*'
026700              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (1:1)
026800                                 IS EQUAL TO
026900                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (1:1))
027000             AND
027100                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (2:1)
027200                                 IS EQUAL TO '*'
027300              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (2:1)
027400                                 IS EQUAL TO
027500                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (2:1))
027600             AND
027700                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (3:1)
027800                                 IS EQUAL TO '*'
027900              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (3:1)
028000                                 IS EQUAL TO
028100                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (3:1))
028200             AND
028300                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (4:1)
028400                                 IS EQUAL TO '*'
028500              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (4:1)
028600                                 IS EQUAL TO
028700                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (4:1))
028800             AND
028900                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (5:1)
029000                                 IS EQUAL TO '*'
029100              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (5:1)
029200                                 IS EQUAL TO
029300                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (5:1))
029400             AND
029500                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (6:1)
029600                                 IS EQUAL TO '*'
029700              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (6:1)
029800                                 IS EQUAL TO
029900                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (6:1))
030000             AND
030100                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (7:1)
030200                                 IS EQUAL TO '*'
030300              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (7:1)
030400                                 IS EQUAL TO
030500                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (7:1))
030600             AND
030700                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (8:1)
030800                                 IS EQUAL TO '*'
030900              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (8:1)
031000                                 IS EQUAL TO
031100                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (8:1))
031200             AND
031300                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (9:1)
031400                                 IS EQUAL TO '*'
031500              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (9:1)
031600                                 IS EQUAL TO
031700                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (9:1))
031800             AND
031900                (MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (10:1)
032000                                 IS EQUAL TO '*'
032100              OR MMBC-POSTAL-CODE (X-MMBC-POSTAL-CODE)  (10:1)
032200                                 IS EQUAL TO
032300                 MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS) (10:1))
032400                 SET WS-D200-BCHF-EQUAL
032500                                 TO TRUE
032600             END-IF
032700         END-PERFORM
032800         EVALUATE TRUE
032900            WHEN MMBC-POSTAL-IND-EQUAL
033000                IF  WS-D200-BCHF-NOT-EQUAL
033100                    MOVE MMBCIR-RECORD
033200                                 TO MMBC-RECORD
033300                END-IF
033400            WHEN MMBC-POSTAL-IND-NOT-EQUAL
033500                IF  WS-D200-BCHF-EQUAL
033600                    MOVE MMBCIR-RECORD
033700                                 TO MMBC-RECORD
033800                END-IF
033900         END-EVALUATE.
034000*
034100     IF  MMBC-KEY IS EQUAL TO MMBCIR-KEY
034200         GO TO B099-SBCT-EXIT.
034300*
034400*****************************************************************
034500*    CHECK STATEMENT MESSAGE FLAG                               *
034600*****************************************************************
034700*
034800     IF  MMBC-USE-STMT-MSG-FLAG
034900         SET WS-D200-BCHF-NOT-EQUAL
035000                                 TO TRUE
035100         IF (MMBC-STMT-MSG-FLAG (1) IS EQUAL TO SPACES
035200         OR  MMBC-STMT-MSG-FLAG (1) IS EQUAL TO
035300             MMMM-STMT-MSG-FLAG (1))
035400         AND
035500            (MMBC-STMT-MSG-FLAG (2) IS EQUAL TO SPACES
035600         OR  MMBC-STMT-MSG-FLAG (2) IS EQUAL TO
035700             MMMM-STMT-MSG-FLAG (2))
035800         AND
035900            (MMBC-STMT-MSG-FLAG (3) IS EQUAL TO SPACES
036000         OR  MMBC-STMT-MSG-FLAG (3) IS EQUAL TO
036100             MMMM-STMT-MSG-FLAG (3))
036200         AND
036300            (MMBC-STMT-MSG-FLAG (4) IS EQUAL TO SPACES
036400         OR  MMBC-STMT-MSG-FLAG (4) IS EQUAL TO
036500             MMMM-STMT-MSG-FLAG (4))
036600         AND
036700            (MMBC-STMT-MSG-FLAG (5) IS EQUAL TO SPACES
036800         OR  MMBC-STMT-MSG-FLAG (5) IS EQUAL TO
036900             MMMM-STMT-MSG-FLAG (5))
037000             SET WS-D200-BCHF-EQUAL
037100                                 TO TRUE
037200         END-IF
037300         EVALUATE TRUE
037400            WHEN MMBC-SMF-IND-EQUAL
037500                IF  WS-D200-BCHF-NOT-EQUAL
037600                    MOVE MMBCIR-RECORD
037700                                 TO MMBC-RECORD
037800                END-IF
037900            WHEN MMBC-SMF-IND-NOT-EQUAL
038000                IF  WS-D200-BCHF-EQUAL
038100                    MOVE MMBCIR-RECORD
038200                                 TO MMBC-RECORD
038300                END-IF
038400         END-EVALUATE.
038500*
038600 B099-SBCT-EXIT.
038700     EXIT.
038800/
038900 9000-PERFORMED-ROUTINES-SECT SECTION.
039000*
039100*
039200*
039300 9995-END-SOURCE-STATEMENTS SECTION.
039400 9999-END-OF-PROGRAM.
039500     GOBACK.
