000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD200RC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBD200RC - RESERVES SUBROUTINE                          *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 DATA DIVISION.
001400 WORKING-STORAGE SECTION.
001500*
001600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001700*
001800 01  WS-D200-AREA.
001900     03  WS-D200-INIT-SW     PIC  X(01)      VALUE 'Y'.
002000         88  WS-D200-INITIALIZE-YES          VALUE 'Y'.
002100         88  WS-D200-INITIALIZE-NO           VALUE 'N'.
002200     03  WS-D200-EXCEPTION-FUNCTION
002300                             PIC  X(01)      VALUE 'O'.
002400         88  WS-D200-EF-OVERRIDE             VALUE 'O'.
002500         88  WS-D200-EF-ADJUSTMENT           VALUE 'A'.
002600     03  WS-D200-WORK-NBR-1
002700                             PIC S9(09)      COMP-3 VALUE ZERO.
002800     03  WS-D200-WORK-AMT-1
002900                             PIC S9(17)      COMP-3 VALUE ZERO.
003000     03  WS-D200-WORK-NBR-2
003100                             PIC S9(09)      COMP-3 VALUE ZERO.
003200     03  WS-D200-WORK-AMT-2
003300                             PIC S9(17)      COMP-3 VALUE ZERO.
003400*
003500 01  WS-D200-SALES-RETURNS-AREA.
003600     03  WS-D200-SRA-RESV                    OCCURS 4 TIMES
003700                                             INDEXED BY
003800                                             X-WS-D200-SRA-RESV.
003900         05  WS-D200-SRA-TABLE               OCCURS 18 TIMES
004000                                             INDEXED BY
004100                                             X-WS-D200-SRA
004200                                             X-WS-D200-SRA-1
004300                                             X-WS-D200-SRA-2.
004400             07  WS-D200-SRA-SALES-NBR
004500                             PIC S9(09)      COMP-3 VALUE ZERO.
004600             07  WS-D200-SRA-SALES-AMT
004700                             PIC S9(17)      COMP-3 VALUE ZERO.
004800             07  WS-D200-SRA-RETURNS-NBR
004900                             PIC S9(09)      COMP-3 VALUE ZERO.
005000             07  WS-D200-SRA-RETURNS-AMT
005100                             PIC S9(17)      COMP-3 VALUE ZERO.
005200/
005300     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
005400/
005500     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
005600/
005700     COPY MMRTWS.
005800/
005900     COPY MMTCWS.
006000/
006100     COPY MB00WS.
006200*
006300     COPY SS00WS.
006400*
006500     COPY SS50WS.
006600*
006700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006800/
006900 LINKAGE SECTION.
007000     COPY MBD200WS.
007100/
007200     COPY MMMPRL.
007300/
007400     COPY MMSCRL.
007500/
007600     COPY MMOCRL.
007700/
007800     COPY MMMMRL.
007900/
008000     COPY MMRTRL.
008100/
008200     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
008300/
008400     COPY MMPATB REPLACING ==:MMPA:== BY ==MMPA==.
008500/
008600     COPY MMPATB REPLACING ==:MMPA:== BY ==MMCP==.
008700/
008800 PROCEDURE DIVISION              USING MBD200WS-AREA
008900                                       MMMP-RECORD
009000                                       MMSC-RECORD
009100                                       MMOC-RECORD
009200                                       MMMM-RECORD
009300                                       MMRT-RECORD
009400                                       MTPT-RECORD
009500                                       MMPATB-TABLE-PARMS
009600                                       MMPATB-TABLE-DATA
009700                                       MMCPTB-TABLE-PARMS
009800                                       MMCPTB-TABLE-DATA.
009900*
010000 A000-MAIN-LINE SECTION.
010100 A010-ML-BEGIN.
010200*
010300     IF  WS-D200-INITIALIZE-YES
010400         PERFORM A800-SUBROUTINE-INIT
010500            THRU A899-SI-EXIT
010600     END-IF.
010700*
010800     SET X-MBD200WS-RA           TO MBD200WS-RA-RESV-INDEX.
010900     SET X-MMMM-RESV             TO MBD200WS-RA-RESV-INDEX.
011000     SET X-MMMP-PROD-RESV        TO MBD200WS-RA-RESV-INDEX.
011100     SET X-WS-D200-SRA-RESV      TO MBD200WS-RA-RESV-INDEX.
011200*
011300     IF  MMMM-RESV-NOT-ACTIVE (X-MMMM-RESV)
011400         NEXT SENTENCE
011500     ELSE
011600         PERFORM A100-RESERVES-PROCESSING
011700            THRU A199-RP-EXIT.
011800*
011900     GOBACK.
012000*
012100 A099-ML-EXIT.
012200     EXIT.
012300/
012400 A100-RESERVES-PROCESSING SECTION.
012500 A101-RP-BEGIN.
012600*
012700     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
012800*
012900     EVALUATE TRUE
013000         WHEN MBD200WS-RA-RF-PROCESS-TODAYS (X-MBD200WS-RA)
013100             PERFORM T000-PROCESS-TODAYS
013200                THRU T099-PT-EXIT
013300         WHEN MBD200WS-RA-RF-PROCESS-PLAN (X-MBD200WS-RA)
013400             IF  MMRTWS-RESV-PCT-ON-VOL-PLAN
013500             AND
013600                (MMRT-EXCEPTION-IS-ADJUSTMENT (2)
013700              OR MMRT-EXCEPTION-COND-OVERRIDE (2))
013800                 PERFORM P000-PROCESS-PLAN
013900                    THRU P099-PP-EXIT
014000             END-IF
014100         WHEN MBD200WS-RA-RF-CALC-RESV (X-MBD200WS-RA)
014200             PERFORM C000-CALCULATE-RESERVES
014300                THRU C099-CR-EXIT
014400         WHEN OTHER
014500             PERFORM X000-RESERVE-SETUP
014600                THRU X099-RS-EXIT
014700     END-EVALUATE.
014800*
014900 A199-RP-EXIT.
015000     EXIT.
015100/
015200 A800-SUBROUTINE-INIT SECTION.
015300 A801-SI-BEGIN.
015400*
015500     SET SS50WS-FUNCTION-INITIALIZE
015600                                 TO TRUE.
015700     PERFORM SS50PD-MULTIPLY
015800        THRU SS50PD-M-EXIT.
015900*
016000     SET WS-D200-INITIALIZE-NO   TO TRUE.
016100*
016200 A899-SI-EXIT.
016300     EXIT.
016400/
016500 C000-CALCULATE-RESERVES SECTION.
016600 C001-CR-BEGIN.
016700*
016800     COMPUTE MBD200WS-RA-AMT-SUBJECT-TIERS (X-MBD200WS-RA)
016900                                 =  MBD200WS-RA-AMT-TODAY
017000                                    (X-MBD200WS-RA)
017100                                 -  MBD200WS-RA-AMT-OVERRIDE
017200                                    (X-MBD200WS-RA).
017300*
017400     PERFORM C500-APPLY-CUMULATIVE
017500        THRU C599-AC-EXIT.
017600*
017700     PERFORM C900-FINAL-RESERVE-TOTAL
017800        THRU C999-FRT-EXIT.
017900*
018000 C099-CR-EXIT.
018100     EXIT.
018200/
018300 C500-APPLY-CUMULATIVE SECTION.
018400 C501-AC-BEGIN.
018500*
018600     SET X-MMRT-PRIM             TO 1.
018700     SEARCH MMRT-PRIMARY-RATES-TABLE VARYING X-MMRT-PRIM
018800         AT END
018900             SET X-MMRT-PRIM     TO 1
019000         WHEN MBD200WS-RA-AMT-TODAY (X-MBD200WS-RA)
019100                                 IS NOT GREATER THAN
019200                                 MMRT-PRIM-LIMIT (X-MMRT-PRIM)
019300             SET X-MBD200WS-RA-TIER
019400                                 TO X-MMRT-PRIM
019500             MOVE MBD200WS-RA-AMT-SUBJECT-TIERS (X-MBD200WS-RA)
019600                                 TO MBD200WS-RA-TIER-AMT-SUBJECT
019700                                    (X-MBD200WS-RA
019800                                     X-MBD200WS-RA-TIER).
019900*
020000     IF  MMRTWS-RESV-FLAT-AMT
020100         EVALUATE TRUE
020200             WHEN MBD200WS-RA-AMT-TODAY (X-MBD200WS-RA)
020300                                 IS GREATER THAN ZERO
020400                 MOVE MMRT-PRIM-FLAT-RATE (X-MMRT-PRIM)
020500                                 TO MBD200WS-RA-TIER-TOTAL-RESV
020600                                    (X-MBD200WS-RA
020700                                     X-MBD200WS-RA-TIER)
020800             WHEN OTHER
020900                 MOVE ZERO       TO MBD200WS-RA-TIER-TOTAL-RESV
021000                                    (X-MBD200WS-RA
021100                                     X-MBD200WS-RA-TIER)
021200         END-EVALUATE
021300     ELSE
021400         PERFORM C800-COMPUTE-RESV-IN-TIER
021500            THRU C899-CRIT-EXIT
021600            VARYING X-MBD200WS-RA-TIER FROM 1 BY 1
021700              UNTIL X-MBD200WS-RA-TIER IS GREATER THAN 10.
021800*
021900 C599-AC-EXIT.
022000     EXIT.
022100/
022200 C800-COMPUTE-RESV-IN-TIER SECTION.
022300 C810-CRIT-BEGIN.
022400*
022500     SET X-MMRT-PRIM             TO X-MBD200WS-RA-TIER.
022600*
022700     MOVE MMOC-PERCENT-NOD       TO SS50WS-MULTIPLIER-NOD
022800     SET SS50WS-MULTIPLICAND-BY-CC
022900                                 TO TRUE
023000     MOVE MBD200WS-RA-TIER-AMT-SUBJECT
023100          (X-MBD200WS-RA
023200           X-MBD200WS-RA-TIER)
023300                                 TO SS50WS-MULTIPLICAND
023400     MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
023500                                 TO SS50WS-MULTIPLIER-PERCENT
023600     PERFORM SS50PD-MULTIPLY
023700                                 THRU SS50PD-M-EXIT
023800     MOVE SS50WS-PRODUCT         TO MBD200WS-RA-TIER-TOTAL-RESV
023900                                    (X-MBD200WS-RA
024000                                     X-MBD200WS-RA-TIER).
024100*
024200***  COMPUTE MBD200WS-RA-TIER-TOTAL-RESV (X-MBD200WS-RA
024300***                                       X-MBD200WS-RA-TIER)
024400***                      ROUNDED =  MBD200WS-RA-TIER-AMT-SUBJECT
024500***                                 (X-MBD200WS-RA
024600***                                  X-MBD200WS-RA-TIER)
024700***                              *  MMRT-PRIM-RATE
024800***                                 (X-MMRT-PRIM).
024900*
025000 C899-CRIT-EXIT.
025100     EXIT.
025200/
025300 C900-FINAL-RESERVE-TOTAL SECTION.
025400 C901-FRT-BEGIN.
025500*
025600     COMPUTE MBD200WS-RA-RESV-TIER (X-MBD200WS-RA)
025700                                 =  MBD200WS-RA-TIER-TOTAL-RESV
025800                                    (X-MBD200WS-RA 1)
025900                                 +  MBD200WS-RA-TIER-TOTAL-RESV
026000                                    (X-MBD200WS-RA 2)
026100                                 +  MBD200WS-RA-TIER-TOTAL-RESV
026200                                    (X-MBD200WS-RA 3)
026300                                 +  MBD200WS-RA-TIER-TOTAL-RESV
026400                                    (X-MBD200WS-RA 4)
026500                                 +  MBD200WS-RA-TIER-TOTAL-RESV
026600                                    (X-MBD200WS-RA 5)
026700                                 +  MBD200WS-RA-TIER-TOTAL-RESV
026800                                    (X-MBD200WS-RA 6)
026900                                 +  MBD200WS-RA-TIER-TOTAL-RESV
027000                                    (X-MBD200WS-RA 7)
027100                                 +  MBD200WS-RA-TIER-TOTAL-RESV
027200                                    (X-MBD200WS-RA 8)
027300                                 +  MBD200WS-RA-TIER-TOTAL-RESV
027400                                    (X-MBD200WS-RA 9)
027500                                 +  MBD200WS-RA-TIER-TOTAL-RESV
027600                                    (X-MBD200WS-RA 10).
027700*
027800     COMPUTE MBD200WS-RA-RESV-TOTAL (X-MBD200WS-RA)
027900                                 =  MBD200WS-RA-RESV-TIER
028000                                    (X-MBD200WS-RA)
028100                                 +  MBD200WS-RA-RESV-PLAN-ADJ
028200                                    (X-MBD200WS-RA)
028300                                 +  MBD200WS-RA-RESV-PLAN-OVRD
028400                                    (X-MBD200WS-RA).
028500*
028600 C999-FRT-EXIT.
028700     EXIT.
028800/
028900 P000-PROCESS-PLAN SECTION.
029000 P001-PP-BEGIN.
029100*
029200     INITIALIZE MBD200WS-RA-PLAN-AREA (X-MBD200WS-RA).
029300*
029400     PERFORM
029500         VARYING X-MMCPTB FROM 1 BY 1
029600         UNTIL   X-MMCPTB IS GREATER THAN MMCPTB-MAX-ENTRIES
029700            OR   MMCPTB-END-OF-TABLE (X-MMCPTB)
029800         MOVE MMCPTB-RECORD (X-MMCPTB)
029900                                 TO MMCP-RECORD
030000         EVALUATE TRUE
030100             WHEN MMMM-RL-PRODUCT (X-MMMM-RESV)
030200                 IF  MMCP-DETAIL
030300                 AND MMCP-PRODUCT IS EQUAL TO MMMP-PRODUCT
030400                     PERFORM P100-SEARCH-PLAN-SINGLE
030500                        THRU P199-SPS-EXIT
030600                 END-IF
030700             WHEN OTHER
030800                 IF  MMCP-DETAIL
030900                     PERFORM P100-SEARCH-PLAN-SINGLE
031000                        THRU P199-SPS-EXIT
031100                 END-IF
031200         END-EVALUATE
031300     END-PERFORM.
031400*
031500     PERFORM
031600         VARYING X-MMRT-PLAN FROM 1 BY 1
031700         UNTIL   X-MMRT-PLAN IS GREATER THAN 56
031800         SET X-MBD200WS-RA-PLAN  TO X-MMRT-PLAN
031900*
032000         MOVE MMOC-PERCENT-NOD
032100                                 TO SS50WS-MULTIPLIER-NOD
032200         SET SS50WS-MULTIPLICAND-BY-CC
032300                                 TO TRUE
032400         MOVE MBD200WS-RA-PLAN-FBS
032500              (X-MBD200WS-RA
032600               X-MBD200WS-RA-PLAN)
032700                                 TO SS50WS-MULTIPLICAND
032800         MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
032900                                 TO SS50WS-MULTIPLIER-PERCENT
033000         PERFORM SS50PD-MULTIPLY
033100                                 THRU SS50PD-M-EXIT
033200         MOVE SS50WS-PRODUCT     TO MBD200WS-RA-PLAN-RESV
033300                                    (X-MBD200WS-RA
033400                                     X-MBD200WS-RA-PLAN)
033500*
033600***      COMPUTE MBD200WS-RA-PLAN-RESV (X-MBD200WS-RA
033700***                                     X-MBD200WS-RA-PLAN)
033800***                              ROUNDED
033900***                              =  MMRT-PLAN-RATE (X-MMRT-PLAN)
034000***                              *  MBD200WS-RA-PLAN-FBS
034100***                                 (X-MBD200WS-RA
034200***                                  X-MBD200WS-RA-PLAN)
034300***      END-COMPUTE
034400*
034500         MOVE MMOC-PERCENT-NOD
034600                                 TO SS50WS-MULTIPLIER-NOD
034700         SET SS50WS-MULTIPLICAND-BY-CC
034800                                 TO TRUE
034900         MOVE MBD200WS-RA-PLAN-RANGE-FBS
035000              (X-MBD200WS-RA
035100               X-MBD200WS-RA-PLAN)
035200                                 TO SS50WS-MULTIPLICAND
035300         MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
035400                                 TO SS50WS-MULTIPLIER-PERCENT
035500         PERFORM SS50PD-MULTIPLY
035600                                 THRU SS50PD-M-EXIT
035700         MOVE SS50WS-PRODUCT     TO MBD200WS-RA-PLAN-RANGE-RESV
035800                                    (X-MBD200WS-RA
035900                                     X-MBD200WS-RA-PLAN)
036000*
036100***      COMPUTE MBD200WS-RA-PLAN-RANGE-RESV (X-MBD200WS-RA
036200***                                           X-MBD200WS-RA-PLAN)
036300***                              ROUNDED
036400***                              =  MMRT-PLAN-RANGE-RATE
036500***                                 (X-MMRT-PLAN)
036600***                              *  MBD200WS-RA-PLAN-RANGE-FBS
036700***                                 (X-MBD200WS-RA
036800***                                  X-MBD200WS-RA-PLAN)
036900***      END-COMPUTE
037000         EVALUATE TRUE
037100             WHEN MMRT-EXCEPTION-IS-ADJUSTMENT (2)
037200                 COMPUTE MBD200WS-RA-RESV-PLAN-ADJ
037300                         (X-MBD200WS-RA)
037400                                 =  MBD200WS-RA-RESV-PLAN-ADJ
037500                                    (X-MBD200WS-RA)
037600                                 +  MBD200WS-RA-PLAN-RESV
037700                                    (X-MBD200WS-RA
037800                                     X-MBD200WS-RA-PLAN)
037900                                 +  MBD200WS-RA-PLAN-RANGE-RESV
038000                                    (X-MBD200WS-RA
038100                                     X-MBD200WS-RA-PLAN)
038200                 END-COMPUTE
038300             WHEN MMRT-EXCEPTION-COND-OVERRIDE (2)
038400                 COMPUTE MBD200WS-RA-RESV-PLAN-OVRD
038500                         (X-MBD200WS-RA)
038600                                 =  MBD200WS-RA-RESV-PLAN-OVRD
038700                                    (X-MBD200WS-RA)
038800                                 +  MBD200WS-RA-PLAN-RESV
038900                                    (X-MBD200WS-RA
039000                                     X-MBD200WS-RA-PLAN)
039100                                 +  MBD200WS-RA-PLAN-RANGE-RESV
039200                                    (X-MBD200WS-RA
039300                                     X-MBD200WS-RA-PLAN)
039400                 END-COMPUTE
039500             WHEN OTHER
039600                 CONTINUE
039700         END-EVALUATE
039800     END-PERFORM.
039900*
040000     ADD MBD200WS-RA-RESV-PLAN-OVRD (X-MBD200WS-RA)
040100                                 TO MBD200WS-RA-AMT-OVERRIDE
040200                                    (X-MBD200WS-RA).
040300*
040400 P099-PP-EXIT.
040500     EXIT.
040600/
040700 P100-SEARCH-PLAN-SINGLE SECTION.
040800 P101-SPS-BEGIN.
040900*
041000     SET MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
041100                                 TO TRUE.
041200*
041300     SET X-MMRT-PLAN             TO 1.
041400     SEARCH MMRT-PLAN-TABLE VARYING X-MMRT-PLAN
041500         AT END
041600             PERFORM P200-SEARCH-PLAN-RANGE
041700                THRU P299-SPR-EXIT
041800         WHEN MMRT-PLAN-X (X-MMRT-PLAN) IS EQUAL TO MMCP-PLAN-X
041900          AND MMRT-PLAN-X (X-MMRT-PLAN) IS GREATER THAN ZERO
042000             PERFORM P300-ACCUM-STATS
042100                THRU P399-AS-EXIT
042200         WHEN MMCP-PLAN-X IS NOT EQUAL TO ZERO
042300          AND
042400                 (MMRT-PLAN-X (X-MMRT-PLAN) (1:1) IS EQUAL TO
042500                                MMCP-PLAN-X (1:1)
042600              OR  MMRT-PLAN-X (X-MMRT-PLAN) (1:1) IS EQUAL TO '*')
042700          AND
042800                 (MMRT-PLAN-X (X-MMRT-PLAN) (2:1) IS EQUAL TO
042900                                MMCP-PLAN-X (2:1)
043000              OR  MMRT-PLAN-X (X-MMRT-PLAN) (2:1) IS EQUAL TO '*')
043100          AND
043200                 (MMRT-PLAN-X (X-MMRT-PLAN) (3:1) IS EQUAL TO
043300                                MMCP-PLAN-X (3:1)
043400              OR  MMRT-PLAN-X (X-MMRT-PLAN) (3:1) IS EQUAL TO '*')
043500          AND
043600                 (MMRT-PLAN-X (X-MMRT-PLAN) (4:1) IS EQUAL TO
043700                                MMCP-PLAN-X (4:1)
043800              OR  MMRT-PLAN-X (X-MMRT-PLAN) (4:1) IS EQUAL TO '*')
043900          AND
044000                 (MMRT-PLAN-X (X-MMRT-PLAN) (5:1) IS EQUAL TO
044100                                MMCP-PLAN-X (5:1)
044200              OR  MMRT-PLAN-X (X-MMRT-PLAN) (5:1) IS EQUAL TO '*')
044300             PERFORM P300-ACCUM-STATS
044400                THRU P399-AS-EXIT.
044500*
044600 P199-SPS-EXIT.
044700     EXIT.
044800/
044900 P200-SEARCH-PLAN-RANGE SECTION.
045000 P201-SPR-BEGIN.
045100*
045200     SET MBD200WS-RA-PLAN-RANGE (X-MBD200WS-RA)
045300                                 TO TRUE.
045400*
045500     SET X-MMRT-PLAN             TO 1.
045600     SEARCH MMRT-PLAN-TABLE VARYING X-MMRT-PLAN
045700         AT END
045800             SET X-MMRT-PLAN     TO 1
045900         WHEN MMCP-PLAN-X IS NOT LESS THAN
046000                                 MMRT-PLAN-BEG-X (X-MMRT-PLAN)
046100          AND MMCP-PLAN-X IS NOT GREATER THAN
046200                                 MMRT-PLAN-END-X (X-MMRT-PLAN)
046300             PERFORM P300-ACCUM-STATS
046400                THRU P399-AS-EXIT.
046500*
046600 P299-SPR-EXIT.
046700     EXIT.
046800/
046900 P300-ACCUM-STATS SECTION.
047000 P301-AS-BEGIN.
047100*
047200     SET  X-MBD200WS-RA-PLAN     TO X-MMRT-PLAN.
047300     MOVE MMCP-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
047400*
047500     EVALUATE TRUE
047600         WHEN MMMM-RESV-FUND-CTD (X-MMMM-RESV)
047700             SET X-MMCP          TO 16
047800         WHEN MMMM-RESV-FUND-DTD (X-MMMM-RESV)
047900             SET X-MMCP          TO 17
048000         WHEN MMMM-RESV-FUND-MTD (X-MMMM-RESV)
048100             SET X-MMCP          TO 14
048200         WHEN OTHER
048300             SET X-MMCP          TO 13
048400     END-EVALUATE.
048500*
048600     EVALUATE TRUE
048700         WHEN MMMM-RL-PRODUCT (X-MMMM-RESV)
048800             EVALUATE TRUE
048900                 WHEN MMMP-PRFB-GROSS-SALES (X-MMMP-PROD-RESV)
049000                     PERFORM P700-ADD-SALES
049100                        THRU P799-AS-EXIT
049200                 WHEN MMMP-PRFB-GROSS-VOLUME (X-MMMP-PROD-RESV)
049300                     PERFORM P700-ADD-SALES
049400                        THRU P799-AS-EXIT
049500                     PERFORM P800-ADD-RETURNS
049600                        THRU P899-AR-EXIT
049700                 WHEN OTHER
049800                     PERFORM P700-ADD-SALES
049900                        THRU P799-AS-EXIT
050000                     PERFORM P900-SUBTRACT-RETURNS
050100                        THRU P999-SR-EXIT
050200             END-EVALUATE
050300         WHEN OTHER
050400             EVALUATE TRUE
050500                 WHEN MMMM-RFB-GROSS-SALES (X-MMMM-RESV)
050600                     PERFORM P700-ADD-SALES
050700                        THRU P799-AS-EXIT
050800                 WHEN MMMM-RFB-GROSS-VOLUME (X-MMMM-RESV)
050900                     PERFORM P700-ADD-SALES
051000                        THRU P799-AS-EXIT
051100                     PERFORM P800-ADD-RETURNS
051200                        THRU P899-AR-EXIT
051300                 WHEN OTHER
051400                     PERFORM P700-ADD-SALES
051500                        THRU P799-AS-EXIT
051600                     PERFORM P900-SUBTRACT-RETURNS
051700                        THRU P999-SR-EXIT
051800             END-EVALUATE
051900     END-EVALUATE.
052000*
052100 P399-AS-EXIT.
052200     EXIT.
052300/
052400 P700-ADD-SALES SECTION.
052500 P701-AS-BEGIN.
052600*
052700     EVALUATE TRUE
052800         WHEN MMTCWS-LM-SALE
052900             EVALUATE TRUE
053000                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
053100                     ADD MMCP-AMT (X-MMCP)
053200                                 TO MBD200WS-RA-PLAN-FBS
053300                                    (X-MBD200WS-RA
053400                                     X-MBD200WS-RA-PLAN)
053500                 WHEN OTHER
053600                     ADD MMCP-AMT (X-MMCP)
053700                                 TO MBD200WS-RA-PLAN-RANGE-FBS
053800                                    (X-MBD200WS-RA
053900                                     X-MBD200WS-RA-PLAN)
054000             END-EVALUATE
054100         WHEN MMTCWS-LM-SALE-REV
054200             EVALUATE TRUE
054300                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
054400                     SUBTRACT MMCP-AMT (X-MMCP)
054500                                 FROM MBD200WS-RA-PLAN-FBS
054600                                    (X-MBD200WS-RA
054700                                     X-MBD200WS-RA-PLAN)
054800                 WHEN OTHER
054900                     SUBTRACT MMCP-AMT (X-MMCP)
055000                                 FROM MBD200WS-RA-PLAN-RANGE-FBS
055100                                    (X-MBD200WS-RA
055200                                     X-MBD200WS-RA-PLAN)
055300             END-EVALUATE
055400     END-EVALUATE.
055500*
055600 P799-AS-EXIT.
055700     EXIT.
055800/
055900 P800-ADD-RETURNS SECTION.
056000 P801-AR-BEGIN.
056100*
056200     EVALUATE TRUE
056300         WHEN MMTCWS-LM-RETURN
056400             EVALUATE TRUE
056500                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
056600                     ADD MMCP-AMT (X-MMCP)
056700                                 TO MBD200WS-RA-PLAN-FBS
056800                                    (X-MBD200WS-RA
056900                                     X-MBD200WS-RA-PLAN)
057000                 WHEN OTHER
057100                     ADD MMCP-AMT (X-MMCP)
057200                                 TO MBD200WS-RA-PLAN-RANGE-FBS
057300                                    (X-MBD200WS-RA
057400                                     X-MBD200WS-RA-PLAN)
057500             END-EVALUATE
057600         WHEN MMTCWS-LM-RETURN-REV
057700             EVALUATE TRUE
057800                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
057900                     SUBTRACT MMCP-AMT (X-MMCP)
058000                                 FROM MBD200WS-RA-PLAN-FBS
058100                                    (X-MBD200WS-RA
058200                                     X-MBD200WS-RA-PLAN)
058300                 WHEN OTHER
058400                     SUBTRACT MMCP-AMT (X-MMCP)
058500                                 FROM MBD200WS-RA-PLAN-RANGE-FBS
058600                                    (X-MBD200WS-RA
058700                                     X-MBD200WS-RA-PLAN)
058800             END-EVALUATE
058900     END-EVALUATE.
059000*
059100 P899-AR-EXIT.
059200     EXIT.
059300/
059400 P900-SUBTRACT-RETURNS SECTION.
059500 P901-SR-BEGIN.
059600*
059700     EVALUATE TRUE
059800         WHEN MMTCWS-LM-RETURN
059900             EVALUATE TRUE
060000                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
060100                     SUBTRACT MMCP-AMT (X-MMCP)
060200                                 FROM MBD200WS-RA-PLAN-FBS
060300                                    (X-MBD200WS-RA
060400                                     X-MBD200WS-RA-PLAN)
060500                 WHEN OTHER
060600                     SUBTRACT MMCP-AMT (X-MMCP)
060700                                 FROM MBD200WS-RA-PLAN-RANGE-FBS
060800                                    (X-MBD200WS-RA
060900                                     X-MBD200WS-RA-PLAN)
061000             END-EVALUATE
061100         WHEN MMTCWS-LM-RETURN-REV
061200             EVALUATE TRUE
061300                 WHEN MBD200WS-RA-PLAN-SINGLE (X-MBD200WS-RA)
061400                     ADD MMCP-AMT (X-MMCP)
061500                                 TO MBD200WS-RA-PLAN-FBS
061600                                    (X-MBD200WS-RA
061700                                     X-MBD200WS-RA-PLAN)
061800                 WHEN OTHER
061900                     ADD MMCP-AMT (X-MMCP)
062000                                 TO MBD200WS-RA-PLAN-RANGE-FBS
062100                                    (X-MBD200WS-RA
062200                                     X-MBD200WS-RA-PLAN)
062300             END-EVALUATE
062400     END-EVALUATE.
062500*
062600 P999-SR-EXIT.
062700     EXIT.
062800/
062900 T000-PROCESS-TODAYS SECTION.
063000 T001-PT-BEGIN.
063100*
063200     PERFORM X900-ACCUM-STATS-TABLE
063300        THRU X999-AST-EXIT.
063400*
063500     MOVE ZERO                   TO WS-D200-WORK-AMT-1.
063600*
063700     EVALUATE TRUE
063800         WHEN MMMM-RESV-FUND-CTD (X-MMMM-RESV)
063900             SET X-WS-D200-SRA   TO 16
064000         WHEN MMMM-RESV-FUND-DTD (X-MMMM-RESV)
064100             SET X-WS-D200-SRA   TO 17
064200         WHEN MMMM-RESV-FUND-MTD (X-MMMM-RESV)
064300             SET X-WS-D200-SRA   TO 14
064400         WHEN OTHER
064500             SET X-WS-D200-SRA   TO 13
064600     END-EVALUATE.
064700*
064800     PERFORM Z000-CALC-FEE-BASE
064900        THRU Z099-CFB-EXIT.
065000*
065100     ADD  WS-D200-WORK-AMT-1     TO MBD200WS-RA-AMT-TODAY
065200                                    (X-MBD200WS-RA).
065300*
065400 T099-PT-EXIT.
065500     EXIT.
065600/
065700 X000-RESERVE-SETUP SECTION.
065800 X001-RS-BEGIN.
065900*
066000     INITIALIZE WS-D200-SRA-RESV (X-WS-D200-SRA-RESV).
066100*
066200     EVALUATE TRUE
066300         WHEN MMMM-RL-PRODUCT (X-MMMM-RESV)
066400             MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
066500                                 TO MBD200WS-RA-FEE-BASE
066600                                    (X-MBD200WS-RA)
066700         WHEN OTHER
066800             MOVE MMMM-RESV-FEE-BASE (X-MMMM-RESV)
066900                                 TO MBD200WS-RA-FEE-BASE
067000                                    (X-MBD200WS-RA)
067100     END-EVALUATE.
067200*
067300     PERFORM
067400        VARYING X-MMRT-PRIM FROM 1 BY 1
067500        UNTIL   X-MMRT-PRIM IS GREATER THAN 10
067600        SET X-MBD200WS-RA-TIER   TO X-MMRT-PRIM
067700        MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
067800                                 TO MBD200WS-RA-TIER-AMT-ALLOWED
067900                                    (X-MBD200WS-RA
068000                                     X-MBD200WS-RA-TIER)
068100     END-PERFORM.
068200*
068300 X099-RS-EXIT.
068400     EXIT.
068500/
068600 X900-ACCUM-STATS-TABLE SECTION.
068700 X901-AST-BEGIN.
068800*
068900     PERFORM
069000         VARYING X-MMPATB FROM 1 BY 1
069100         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
069200            OR   MMPATB-END-OF-TABLE (X-MMPATB)
069300         MOVE MMPATB-RECORD (X-MMPATB)
069400                                 TO MMPA-RECORD
069500         EVALUATE TRUE
069600             WHEN MMMM-RL-PRODUCT (X-MMMM-RESV)
069700                 IF  MMPA-DETAIL
069800                 AND MMPA-PRODUCT IS EQUAL TO MMMP-PRODUCT
069900                     PERFORM Z100-ACCUM-STATS
070000                        THRU Z199-AS-EXIT
070100                 END-IF
070200             WHEN OTHER
070300                 IF  MMPA-TOTALS
070400                     PERFORM Z100-ACCUM-STATS
070500                        THRU Z199-AS-EXIT
070600                 END-IF
070700         END-EVALUATE
070800     END-PERFORM.
070900*
071000 X999-AST-EXIT.
071100     EXIT.
071200/
071300 Z000-CALC-FEE-BASE SECTION.
071400 Z001-CFB-BEGIN.
071500*
071600     EVALUATE TRUE
071700         WHEN MMMM-RL-PRODUCT (X-MMMM-RESV)
071800             EVALUATE TRUE
071900                 WHEN MMMP-PRFB-GROSS-SALES
072000                      (X-MMMP-PROD-RESV)
072100                     MOVE WS-D200-SRA-SALES-AMT
072200                          (X-WS-D200-SRA-RESV
072300                           X-WS-D200-SRA)
072400                                 TO WS-D200-WORK-AMT-1
072500                 WHEN MMMP-PRFB-GROSS-VOLUME
072600                      (X-MMMP-PROD-RESV)
072700                     COMPUTE WS-D200-WORK-AMT-1
072800                                 =  WS-D200-SRA-SALES-AMT
072900                                    (X-WS-D200-SRA-RESV
073000                                     X-WS-D200-SRA)
073100                                 +  WS-D200-SRA-RETURNS-AMT
073200                                    (X-WS-D200-SRA-RESV
073300                                     X-WS-D200-SRA)
073400                     END-COMPUTE
073500                 WHEN OTHER
073600                     COMPUTE WS-D200-WORK-AMT-1
073700                                 =  WS-D200-SRA-SALES-AMT
073800                                    (X-WS-D200-SRA-RESV
073900                                     X-WS-D200-SRA)
074000                                 -  WS-D200-SRA-RETURNS-AMT
074100                                    (X-WS-D200-SRA-RESV
074200                                     X-WS-D200-SRA)
074300                     END-COMPUTE
074400             END-EVALUATE
074500         WHEN OTHER
074600             EVALUATE TRUE
074700                 WHEN MMMM-RFB-GROSS-SALES (X-MMMM-RESV)
074800                     MOVE WS-D200-SRA-SALES-AMT
074900                          (X-WS-D200-SRA-RESV
075000                           X-WS-D200-SRA)
075100                                 TO WS-D200-WORK-AMT-1
075200                 WHEN MMMM-RFB-GROSS-VOLUME (X-MMMM-RESV)
075300                     COMPUTE WS-D200-WORK-AMT-1
075400                                 =  WS-D200-SRA-SALES-AMT
075500                                    (X-WS-D200-SRA-RESV
075600                                     X-WS-D200-SRA)
075700                                 +  WS-D200-SRA-RETURNS-AMT
075800                                    (X-WS-D200-SRA-RESV
075900                                     X-WS-D200-SRA)
076000                     END-COMPUTE
076100                 WHEN OTHER
076200                     COMPUTE WS-D200-WORK-AMT-1
076300                                 =  WS-D200-SRA-SALES-AMT
076400                                    (X-WS-D200-SRA-RESV
076500                                     X-WS-D200-SRA)
076600                                 -  WS-D200-SRA-RETURNS-AMT
076700                                    (X-WS-D200-SRA-RESV
076800                                     X-WS-D200-SRA)
076900                     END-COMPUTE
077000             END-EVALUATE
077100     END-EVALUATE.
077200*
077300 Z099-CFB-EXIT.
077400     EXIT.
077500/
077600 Z100-ACCUM-STATS SECTION.
077700 Z101-AS-BEGIN.
077800*
077900     MOVE MMPA-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
078000*
078100     EVALUATE TRUE
078200         WHEN MMTCWS-LM-SALE
078300             PERFORM
078400                 VARYING X-MMPA FROM 1 BY 1
078500                 UNTIL   X-MMPA IS GREATER THAN 18
078600                 SET X-WS-D200-SRA
078700                                 TO X-MMPA
078800                 ADD MMPA-NBR (X-MMPA)
078900                                 TO WS-D200-SRA-SALES-NBR
079000                                    (X-WS-D200-SRA-RESV
079100                                     X-WS-D200-SRA)
079200                 ADD MMPA-AMT (X-MMPA)
079300                                 TO WS-D200-SRA-SALES-AMT
079400                                    (X-WS-D200-SRA-RESV
079500                                     X-WS-D200-SRA)
079600             END-PERFORM
079700         WHEN MMTCWS-LM-SALE-REV
079800             PERFORM
079900                 VARYING X-MMPA FROM 1 BY 1
080000                 UNTIL   X-MMPA IS GREATER THAN 18
080100                 SET X-WS-D200-SRA
080200                                 TO X-MMPA
080300                 SUBTRACT MMPA-NBR (X-MMPA)
080400                                 FROM WS-D200-SRA-SALES-NBR
080500                                    (X-WS-D200-SRA-RESV
080600                                     X-WS-D200-SRA)
080700                 SUBTRACT MMPA-AMT (X-MMPA)
080800                                 FROM WS-D200-SRA-SALES-AMT
080900                                    (X-WS-D200-SRA-RESV
081000                                     X-WS-D200-SRA)
081100             END-PERFORM
081200         WHEN MMTCWS-LM-RETURN
081300             PERFORM
081400                 VARYING X-MMPA FROM 1 BY 1
081500                 UNTIL   X-MMPA IS GREATER THAN 18
081600                 SET X-WS-D200-SRA
081700                                 TO X-MMPA
081800                 ADD MMPA-NBR (X-MMPA)
081900                                 TO WS-D200-SRA-RETURNS-NBR
082000                                    (X-WS-D200-SRA-RESV
082100                                     X-WS-D200-SRA)
082200                 ADD MMPA-AMT (X-MMPA)
082300                                 TO WS-D200-SRA-RETURNS-AMT
082400                                    (X-WS-D200-SRA-RESV
082500                                     X-WS-D200-SRA)
082600             END-PERFORM
082700         WHEN MMTCWS-LM-RETURN-REV
082800             PERFORM
082900                 VARYING X-MMPA FROM 1 BY 1
083000                 UNTIL   X-MMPA IS GREATER THAN 18
083100                 SET X-WS-D200-SRA
083200                                 TO X-MMPA
083300                 SUBTRACT MMPA-NBR (X-MMPA)
083400                                 FROM WS-D200-SRA-RETURNS-NBR
083500                                    (X-WS-D200-SRA-RESV
083600                                     X-WS-D200-SRA)
083700                 SUBTRACT MMPA-AMT (X-MMPA)
083800                                 FROM WS-D200-SRA-RETURNS-AMT
083900                                    (X-WS-D200-SRA-RESV
084000                                     X-WS-D200-SRA)
084100             END-PERFORM
084200     END-EVALUATE.
084300*
084400 Z199-AS-EXIT.
084500     EXIT.
084600/
084700 9000-PERFORMED-ROUTINES-SECT SECTION.
084800*
084900 COPY SS50PD.
085000*
085100*
085200 9995-END-SOURCE-STATEMENTS SECTION.
085300 9999-END-OF-PROGRAM.
085400     GOBACK.
