000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD200VP.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBD200VP - VOLUME PARTICIPATION SUBROUTINE              *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 DATA DIVISION.
001400 WORKING-STORAGE SECTION.
001500*
001600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001700*
001800 01  WS-D200-AREA.
001900     03  WS-D200-INIT-SW     PIC  X(01)      VALUE 'Y'.
002000         88  WS-D200-INITIALIZE-YES          VALUE 'Y'.
002100         88  WS-D200-INITIALIZE-NO           VALUE 'N'.
002200     03  WS-D200-ROLLING-SEARCH-AMT
002300                             PIC S9(17)      COMP-3 VALUE ZERO.
002400     03  WS-D200-ROLLING-DENOMINATOR
002500                             PIC S9(17)      COMP-3 VALUE ZERO.
002600     03  WS-D200-EXCEPTION-FUNCTION
002700                             PIC  X(01)      VALUE 'O'.
002800         88  WS-D200-EF-OVERRIDE             VALUE 'O'.
002900         88  WS-D200-EF-ADJUSTMENT           VALUE 'A'.
003000     03  WS-D200-EXCEPTION-PRIORITY-X.
003100         05  WS-D200-EXCEPTION-PRIORITY-9
003200                             PIC  9(01)      VALUE ZERO.
003300     03  WS-D200-EXCEPTION-PRIORITY-R
003400                             REDEFINES
003500                             WS-D200-EXCEPTION-PRIORITY-X.
003600         05  WS-D200-EXCEPTION-PRIORITY
003700                             PIC  X(01).
003800     03  WS-D200-RATE-PER-ITEM
003900                             PIC S9(09)      COMP-3 VALUE ZERO.
004000     03  WS-D200-RATE-PCT    REDEFINES WS-D200-RATE-PER-ITEM
004100                             PIC S9(09)      COMP-3.
004200     03  WS-D200-RATE-PER-ITEM-ADJ
004300                             PIC S9(09)      COMP-3 VALUE ZERO.
004400     03  WS-D200-RATE-PCT-ADJ
004500                             REDEFINES WS-D200-RATE-PER-ITEM-ADJ
004600                             PIC S9(09)      COMP-3.
004700*
004800 01  WS-D200-SALES-RETURNS-AREA.
004900     03  WS-D200-SRA-TABLE                   OCCURS 18 TIMES
005000                                             INDEXED BY
005100                                             X-WS-D200-SRA
005200                                             X-WS-D200-SRA-1
005300                                             X-WS-D200-SRA-2.
005400         05  WS-D200-SRA-SALES-NBR
005500                             PIC S9(09)      COMP-3 VALUE ZERO.
005600         05  WS-D200-SRA-SALES-AMT
005700                             PIC S9(17)      COMP-3 VALUE ZERO.
005800         05  WS-D200-SRA-RETURNS-NBR
005900                             PIC S9(09)      COMP-3 VALUE ZERO.
006000         05  WS-D200-SRA-RETURNS-AMT
006100                             PIC S9(17)      COMP-3 VALUE ZERO.
006200         05  WS-D200-SRA-INCOME-AMT
006300                             PIC S9(17)      COMP-3 VALUE ZERO.
006400         05  WS-D200-SRA-AVG-TKT
006500                             PIC S9(17)      COMP-3 VALUE ZERO.
006600/
006700     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
006800/
006900     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
007000/
007100     COPY MMRTWS.
007200/
007300     COPY MMTCWS.
007400/
007500     COPY MB00WS.
007600*
007700     COPY SS00WS.
007800*
007900     COPY SS50WS.
008000*
008100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008200/
008300 LINKAGE SECTION.
008400     COPY MBD200WS.
008500/
008600     COPY MMMPRL.
008700/
008800     COPY MMSCRL.
008900/
009000     COPY MMOCRL.
009100/
009200     COPY MMMMRL.
009300/
009400     COPY MMRTRL.
009500/
009600     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
009700/
009800     COPY MMPATB REPLACING ==:MMPA:== BY ==MMPA==.
009900/
010000     COPY MMPATB REPLACING ==:MMPA:== BY ==MMCP==.
010100/
010200 PROCEDURE DIVISION              USING MBD200WS-AREA
010300                                       MMMP-RECORD
010400                                       MMSC-RECORD
010500                                       MMOC-RECORD
010600                                       MMMM-RECORD
010700                                       MMRT-RECORD
010800                                       MTPT-RECORD
010900                                       MMPATB-TABLE-PARMS
011000                                       MMPATB-TABLE-DATA
011100                                       MMCPTB-TABLE-PARMS
011200                                       MMCPTB-TABLE-DATA.
011300*
011400 A000-MAIN-LINE SECTION.
011500 A010-ML-BEGIN.
011600*
011700     IF  WS-D200-INITIALIZE-YES
011800         PERFORM A800-SUBROUTINE-INIT
011900            THRU A899-SI-EXIT
012000     END-IF.
012100*
012200     PERFORM A100-PART-PROCESSING
012300        THRU A199-PP-EXIT.
012400*
012500     GOBACK.
012600*
012700 A099-ML-EXIT.
012800     EXIT.
012900/
013000 A100-PART-PROCESSING SECTION.
013100 A101-PP-BEGIN.
013200*
013300     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
013400*
013500     EVALUATE TRUE
013600         WHEN MBD200WS-VP-PF-PROCESS-TODAYS
013700             PERFORM T000-PROCESS-TODAYS
013800                THRU T099-PT-EXIT
013900         WHEN MBD200WS-VP-PF-PROCESS-AVG-TKT
014000             IF  MMRTWS-PTD-VOLUME-W-AVG-TKT
014100             AND MMRT-EXCEPTION-IS-ADJUSTMENT (1)
014200                 PERFORM V000-PROCESS-AVG-TICKET
014300                    THRU V099-PAT-EXIT
014400             END-IF
014500         WHEN MBD200WS-VP-PF-PROCESS-PLAN
014600             IF  MMRTWS-PTD-VOLUME-W-CR-PLAN
014700             AND MMRT-EXCEPTION-IS-ADJUSTMENT (2)
014800                 PERFORM P000-PROCESS-PLAN
014900                    THRU P099-PP-EXIT
015000             END-IF
015100         WHEN MBD200WS-VP-PF-CALC-PART
015200             PERFORM C000-CALCULATE-PART
015300                THRU C099-CP-EXIT
015400         WHEN OTHER
015500             PERFORM X000-PART-SETUP
015600                THRU X099-PS-EXIT
015700     END-EVALUATE.
015800*
015900 A199-PP-EXIT.
016000     EXIT.
016100/
016200 A800-SUBROUTINE-INIT SECTION.
016300 A801-SI-BEGIN.
016400*
016500     SET SS50WS-FUNCTION-INITIALIZE
016600                                 TO TRUE.
016700     PERFORM SS50PD-MULTIPLY
016800        THRU SS50PD-M-EXIT.
016900*
017000     SET WS-D200-INITIALIZE-NO   TO TRUE.
017100*
017200 A899-SI-EXIT.
017300     EXIT.
017400/
017500 C000-CALCULATE-PART SECTION.
017600 C001-CP-BEGIN.
017700*
017800     COMPUTE MBD200WS-VP-AMT-SUBJECT-TIERS
017900                                 =  MBD200WS-VP-AMT-PREV-TODAY
018000                                 -  MBD200WS-VP-AMT-OVERRIDE.
018100     COMPUTE MBD200WS-VP-NBR-SUBJECT-TIERS
018200                                 =  MBD200WS-VP-NBR-PREV-TODAY
018300                                 -  MBD200WS-VP-NBR-OVERRIDE.
018400*
018500     IF  MMRTWS-INCREMENTAL-METHODS
018600         PERFORM D000-LOAD-PART-W-TODAY
018700            THRU D099-LPWT-EXIT
018800            VARYING X-MMRT-PRIM FROM 1 BY 1
018900            UNTIL   X-MMRT-PRIM IS GREATER THAN 10.
019000*
019100     EVALUATE TRUE
019200         WHEN MMRTWS-INCREMENTAL-METHODS
019300             PERFORM C100-APPLY-INCREMENTAL
019400                THRU C199-AI-EXIT
019500         WHEN OTHER
019600             PERFORM C500-APPLY-CUMULATIVE
019700                THRU C599-AC-EXIT
019800     END-EVALUATE.
019900*
020000     PERFORM C900-FINAL-PART-TOTAL
020100        THRU C999-FPT-EXIT.
020200*
020300 C099-CP-EXIT.
020400     EXIT.
020500/
020600 C100-APPLY-INCREMENTAL SECTION.
020700 C101-AI-BEGIN.
020800*
020900     MOVE MBD200WS-VP-AMT-SUBJECT-TIERS
021000                                 TO MBD200WS-VP-WORK-AMT-7.
021100     MOVE MBD200WS-VP-NBR-SUBJECT-TIERS
021200                                 TO MBD200WS-VP-WORK-NBR-7.
021300*
021400     IF  MMRTWS-VALID-METH-ON-NUMBER
021500         EVALUATE TRUE
021600             WHEN MBD200WS-VP-NBR-SUBJECT-TIERS
021700                                 IS NOT LESS THAN ZERO
021800                 PERFORM C200-LOAD-TIER-W-SUBJ-TO-PART
021900                    THRU C299-LTWSTP-EXIT
022000                    VARYING X-MBD200WS-VP-TIER FROM 10 BY -1
022100                      UNTIL X-MBD200WS-VP-TIER IS LESS THAN 1
022200             WHEN OTHER
022300                 PERFORM C200-LOAD-TIER-W-SUBJ-TO-PART
022400                    THRU C299-LTWSTP-EXIT
022500                    VARYING X-MBD200WS-VP-TIER FROM 1 BY 1
022600                      UNTIL X-MBD200WS-VP-TIER IS GREATER THAN 10
022700         END-EVALUATE
022800     ELSE
022900         EVALUATE TRUE
023000             WHEN MBD200WS-VP-AMT-SUBJECT-TIERS
023100                                 IS NOT LESS THAN ZERO
023200                 PERFORM C200-LOAD-TIER-W-SUBJ-TO-PART
023300                    THRU C299-LTWSTP-EXIT
023400                    VARYING X-MBD200WS-VP-TIER FROM 10 BY -1
023500                      UNTIL X-MBD200WS-VP-TIER IS LESS THAN 1
023600             WHEN OTHER
023700                 PERFORM C200-LOAD-TIER-W-SUBJ-TO-PART
023800                    THRU C299-LTWSTP-EXIT
023900                    VARYING X-MBD200WS-VP-TIER FROM 1 BY 1
024000                      UNTIL X-MBD200WS-VP-TIER IS GREATER THAN 10
024100         END-EVALUATE
024200     END-IF.
024300*
024400     PERFORM C800-COMPUTE-PART-IN-TIER
024500        THRU C899-CPIT-EXIT
024600        VARYING X-MBD200WS-VP-TIER FROM 1 BY 1
024700          UNTIL X-MBD200WS-VP-TIER IS GREATER THAN 10.
024800*
024900 C199-AI-EXIT.
025000     EXIT.
025100/
025200 C200-LOAD-TIER-W-SUBJ-TO-PART SECTION.
025300 C201-LTWSTP-BEGIN.
025400*
025500     IF  MMRTWS-VALID-METH-ON-NUMBER
025600         EVALUATE TRUE
025700             WHEN MBD200WS-VP-TIER-NBR-TODAY (X-MBD200WS-VP-TIER)
025800                      IS NOT LESS THAN MBD200WS-VP-WORK-NBR-7
025900                 MOVE MBD200WS-VP-WORK-NBR-7
026000                                 TO MBD200WS-VP-TIER-NBR-SUBJECT
026100                                    (X-MBD200WS-VP-TIER)
026200                 MOVE ZERO       TO MBD200WS-VP-WORK-NBR-7
026300             WHEN OTHER
026400                 MOVE MBD200WS-VP-TIER-NBR-TODAY
026500                      (X-MBD200WS-VP-TIER)
026600                                 TO MBD200WS-VP-TIER-NBR-SUBJECT
026700                                    (X-MBD200WS-VP-TIER)
026800                 COMPUTE MBD200WS-VP-WORK-NBR-7
026900                                 =  MBD200WS-VP-WORK-NBR-7
027000                                 -  MBD200WS-VP-TIER-NBR-TODAY
027100                                    (X-MBD200WS-VP-TIER)
027200                 END-COMPUTE
027300         END-EVALUATE
027400     ELSE
027500         EVALUATE TRUE
027600             WHEN MBD200WS-VP-TIER-AMT-TODAY (X-MBD200WS-VP-TIER)
027700                      IS NOT LESS THAN MBD200WS-VP-WORK-AMT-7
027800                 MOVE MBD200WS-VP-WORK-AMT-7
027900                                 TO MBD200WS-VP-TIER-AMT-SUBJECT
028000                                    (X-MBD200WS-VP-TIER)
028100                 MOVE ZERO       TO MBD200WS-VP-WORK-AMT-7
028200             WHEN OTHER
028300                 MOVE MBD200WS-VP-TIER-AMT-TODAY
028400                      (X-MBD200WS-VP-TIER)
028500                                 TO MBD200WS-VP-TIER-AMT-SUBJECT
028600                                    (X-MBD200WS-VP-TIER)
028700                 COMPUTE MBD200WS-VP-WORK-AMT-7
028800                                 =  MBD200WS-VP-WORK-AMT-7
028900                                 -  MBD200WS-VP-TIER-AMT-TODAY
029000                                    (X-MBD200WS-VP-TIER)
029100                 END-COMPUTE
029200         END-EVALUATE
029300     END-IF.
029400*
029500 C299-LTWSTP-EXIT.
029600     EXIT.
029700/
029800 C500-APPLY-CUMULATIVE SECTION.
029900 C501-AC-BEGIN.
030000*
030100     MOVE MBD200WS-VP-AMT-PREV-TODAY
030200                                 TO WS-D200-ROLLING-SEARCH-AMT.
030300*
030400     IF  MMRTWS-PTD-AVG-TKT-CUM
030500         MOVE WS-D200-SRA-AVG-TKT (17)
030600                                 TO WS-D200-ROLLING-SEARCH-AMT.
030700*
030800*
030900*
031000     IF  MMRTWS-ROLLING-1-MON-AVG-TKT
031100         MOVE WS-D200-SRA-AVG-TKT (1)
031200                                 TO WS-D200-ROLLING-SEARCH-AMT.
031300*
031400*
031500*
031600     IF  MMRTWS-VALID-METH-ON-NUMBER
031700         SET X-MMRT-PRIM         TO 1
031800         SEARCH MMRT-PRIMARY-RATES-TABLE VARYING X-MMRT-PRIM
031900             AT END
032000                 SET X-MMRT-PRIM TO 1
032100             WHEN MBD200WS-VP-NBR-PREV-TODAY IS NOT GREATER THAN
032200                                 MMRT-PRIM-LIMIT-NBR (X-MMRT-PRIM)
032300                 SET X-MBD200WS-VP-TIER
032400                                 TO X-MMRT-PRIM
032500                 MOVE MBD200WS-VP-NBR-SUBJECT-TIERS
032600                                 TO MBD200WS-VP-TIER-NBR-SUBJECT
032700                                    (X-MBD200WS-VP-TIER)
032800         END-SEARCH
032900     ELSE
033000         SET X-MMRT-PRIM         TO 1
033100         SEARCH MMRT-PRIMARY-RATES-TABLE VARYING X-MMRT-PRIM
033200             AT END
033300                 SET X-MMRT-PRIM TO 1
033400             WHEN WS-D200-ROLLING-SEARCH-AMT IS NOT GREATER THAN
033500                                 MMRT-PRIM-LIMIT (X-MMRT-PRIM)
033600                 SET X-MBD200WS-VP-TIER
033700                                 TO X-MMRT-PRIM
033800                 MOVE MBD200WS-VP-AMT-SUBJECT-TIERS
033900                                 TO MBD200WS-VP-TIER-AMT-SUBJECT
034000                                    (X-MBD200WS-VP-TIER)
034100         END-SEARCH
034200     END-IF.
034300*
034400     PERFORM C800-COMPUTE-PART-IN-TIER
034500        THRU C899-CPIT-EXIT
034600        VARYING X-MBD200WS-VP-TIER FROM 1 BY 1
034700          UNTIL X-MBD200WS-VP-TIER IS GREATER THAN 10.
034800*
034900 C599-AC-EXIT.
035000     EXIT.
035100/
035200 C800-COMPUTE-PART-IN-TIER SECTION.
035300 C810-CPIT-BEGIN.
035400*
035500     SET X-MMRT-PRIM             TO X-MBD200WS-VP-TIER.
035600*
035700     EVALUATE TRUE
035800         WHEN MMRTWS-VALID-METH-ON-NUMBER
035900         MOVE MMOC-PER-ITEM-NOD
036000                                 TO SS50WS-MULTIPLIER-NOD
036100         MOVE ZERO               TO SS50WS-MULTIPLICAND-NOD
036200         MOVE MBD200WS-VP-TIER-NBR-SUBJECT (X-MBD200WS-VP-TIER)
036300                                 TO SS50WS-MULTIPLICAND
036400         MOVE MMRT-PRIM-PER-ITEM (X-MMRT-PRIM)
036500                                 TO SS50WS-MULTIPLIER-PER-ITEM
036600         PERFORM SS50PD-MULTIPLY
036700                                 THRU SS50PD-M-EXIT
036800         MOVE SS50WS-PRODUCT     TO MBD200WS-VP-TIER-TOTAL-PART
036900                                    (X-MBD200WS-VP-TIER)
037000*
037100***          COMPUTE MBD200WS-VP-TIER-TOTAL-PART
037200***                  (X-MBD200WS-VP-TIER)
037300***                      ROUNDED =  MBD200WS-VP-TIER-NBR-SUBJECT
037400***                                 (X-MBD200WS-VP-TIER)
037500***                              *  MMRT-PRIM-PER-ITEM
037600***                                 (X-MMRT-PRIM)
037700***          END-COMPUTE
037800         WHEN OTHER
037900*
038000             MOVE MMOC-PERCENT-NOD
038100                                 TO SS50WS-MULTIPLIER-NOD
038200             SET SS50WS-MULTIPLICAND-BY-CC
038300                                 TO TRUE
038400             MOVE MBD200WS-VP-TIER-AMT-SUBJECT
038500                  (X-MBD200WS-VP-TIER)
038600                                 TO SS50WS-MULTIPLICAND
038700             MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
038800                                 TO SS50WS-MULTIPLIER-PERCENT
038900             PERFORM SS50PD-MULTIPLY
039000                                 THRU SS50PD-M-EXIT
039100             MOVE SS50WS-PRODUCT
039200                                 TO MBD200WS-VP-TIER-TOTAL-PART
039300                                    (X-MBD200WS-VP-TIER)
039400*
039500***          COMPUTE MBD200WS-VP-TIER-TOTAL-PART
039600***                  (X-MBD200WS-VP-TIER)
039700***                      ROUNDED =  MBD200WS-VP-TIER-AMT-SUBJECT
039800***                                 (X-MBD200WS-VP-TIER)
039900***                              *  MMRT-PRIM-RATE
040000***                                 (X-MMRT-PRIM)
040100***          END-COMPUTE
040200     END-EVALUATE.
040300*
040400 C899-CPIT-EXIT.
040500     EXIT.
040600/
040700 C900-FINAL-PART-TOTAL SECTION.
040800 C901-FPT-BEGIN.
040900*
041000     COMPUTE MBD200WS-VP-PART-TIER
041100                                 = MBD200WS-VP-TIER-TOTAL-PART (1)
041200                                 + MBD200WS-VP-TIER-TOTAL-PART (2)
041300                                 + MBD200WS-VP-TIER-TOTAL-PART (3)
041400                                 + MBD200WS-VP-TIER-TOTAL-PART (4)
041500                                 + MBD200WS-VP-TIER-TOTAL-PART (5)
041600                                 + MBD200WS-VP-TIER-TOTAL-PART (6)
041700                                 + MBD200WS-VP-TIER-TOTAL-PART (7)
041800                                 + MBD200WS-VP-TIER-TOTAL-PART (8)
041900                                 + MBD200WS-VP-TIER-TOTAL-PART (9)
042000                                 + MBD200WS-VP-TIER-TOTAL-PART
042100                                                             (10).
042200*
042300     COMPUTE MBD200WS-VP-PART-TOTAL
042400                                 =  MBD200WS-VP-PART-TIER
042500                                 +  MBD200WS-VP-PART-AVG-TKT
042600                                 +  MBD200WS-VP-PART-PLAN-ADJ
042700                                 +  MBD200WS-VP-PART-PLAN-OVRD
042800                                 +  MBD200WS-VP-PART-TRANS-ADJ
042900                                 +  MBD200WS-VP-PART-TRANS-OVRD
043000                                 +  MBD200WS-VP-PART-MANUAL.
043100*
043200 C999-FPT-EXIT.
043300     EXIT.
043400/
043500 D000-LOAD-PART-W-TODAY SECTION.
043600 D001-LPWT-BEGIN.
043700*
043800     SET X-MBD200WS-VP-TIER      TO X-MMRT-PRIM.
043900*
044000     EVALUATE TRUE
044100         WHEN MMRTWS-VALID-METH-ON-NUMBER
044200             PERFORM D100-LOAD-TIER-TODAY-NUMBERS
044300                THRU D199-LTTN-EXIT
044400         WHEN OTHER
044500             PERFORM D500-LOAD-TIER-TODAY-AMOUNTS
044600                THRU D599-LTTA-EXIT
044700     END-EVALUATE.
044800*
044900 D099-LPWT-EXIT.
045000     EXIT.
045100/
045200 D100-LOAD-TIER-TODAY-NUMBERS SECTION.
045300 D101-LTTN-BEGIN.
045400*
045500     IF  MBD200WS-VP-TIER-NBR-PREV (X-MBD200WS-VP-TIER)
045600                                 IS LESS THAN ZERO
045700         MOVE MBD200WS-VP-TIER-NBR-ALLOWED (X-MBD200WS-VP-TIER)
045800                                 TO MBD200WS-VP-WORK-NBR-4
045900     ELSE
046000         COMPUTE MBD200WS-VP-WORK-NBR-4
046100                                 =  MBD200WS-VP-TIER-NBR-ALLOWED
046200                                    (X-MBD200WS-VP-TIER)
046300                                 -  MBD200WS-VP-TIER-NBR-PREV
046400                                    (X-MBD200WS-VP-TIER).
046500*
046600     IF  MBD200WS-VP-WORK-NBR-1 IS NOT GREATER THAN
046700         MBD200WS-VP-WORK-NBR-4
046800         MOVE MBD200WS-VP-WORK-NBR-1
046900                                 TO MBD200WS-VP-TIER-NBR-TODAY
047000                                    (X-MBD200WS-VP-TIER)
047100         MOVE ZERO               TO MBD200WS-VP-WORK-NBR-1
047200     ELSE
047300         MOVE MBD200WS-VP-WORK-NBR-4
047400                                 TO MBD200WS-VP-TIER-NBR-TODAY
047500                                    (X-MBD200WS-VP-TIER)
047600         COMPUTE MBD200WS-VP-WORK-NBR-1
047700                                 =  MBD200WS-VP-WORK-NBR-1
047800                                 -  MBD200WS-VP-WORK-NBR-4.
047900*
048000     COMPUTE MBD200WS-VP-TIER-NBR-TOTAL (X-MBD200WS-VP-TIER)
048100                                 =  MBD200WS-VP-TIER-NBR-PREV
048200                                    (X-MBD200WS-VP-TIER)
048300                                 +  MBD200WS-VP-TIER-NBR-TODAY
048400                                    (X-MBD200WS-VP-TIER).
048500*
048600 D199-LTTN-EXIT.
048700     EXIT.
048800/
048900 D500-LOAD-TIER-TODAY-AMOUNTS SECTION.
049000 D501-LTTA-BEGIN.
049100*
049200     IF  MBD200WS-VP-TIER-AMT-PREV (X-MBD200WS-VP-TIER)
049300                                 IS LESS THAN ZERO
049400         MOVE MBD200WS-VP-TIER-AMT-ALLOWED (X-MBD200WS-VP-TIER)
049500                                 TO MBD200WS-VP-WORK-AMT-4
049600     ELSE
049700         COMPUTE MBD200WS-VP-WORK-AMT-4
049800                                 =  MBD200WS-VP-TIER-AMT-ALLOWED
049900                                    (X-MBD200WS-VP-TIER)
050000                                 -  MBD200WS-VP-TIER-AMT-PREV
050100                                    (X-MBD200WS-VP-TIER).
050200*
050300     IF  MBD200WS-VP-WORK-AMT-1 IS NOT GREATER THAN
050400         MBD200WS-VP-WORK-AMT-4
050500         MOVE MBD200WS-VP-WORK-AMT-1
050600                                 TO MBD200WS-VP-TIER-AMT-TODAY
050700                                    (X-MBD200WS-VP-TIER)
050800         MOVE ZERO               TO MBD200WS-VP-WORK-AMT-1
050900     ELSE
051000         MOVE MBD200WS-VP-WORK-AMT-4
051100                                 TO MBD200WS-VP-TIER-AMT-TODAY
051200                                    (X-MBD200WS-VP-TIER)
051300         COMPUTE MBD200WS-VP-WORK-AMT-1
051400                                 =  MBD200WS-VP-WORK-AMT-1
051500                                 -  MBD200WS-VP-WORK-AMT-4.
051600*
051700     COMPUTE MBD200WS-VP-TIER-AMT-TOTAL (X-MBD200WS-VP-TIER)
051800                                 =  MBD200WS-VP-TIER-AMT-PREV
051900                                    (X-MBD200WS-VP-TIER)
052000                                 +  MBD200WS-VP-TIER-AMT-TODAY
052100                                    (X-MBD200WS-VP-TIER).
052200*
052300 D599-LTTA-EXIT.
052400     EXIT.
052500/
052600 P000-PROCESS-PLAN SECTION.
052700 P001-PP-BEGIN.
052800*
052900     INITIALIZE MBD200WS-VP-PLAN-AREA.
053000*
053100     PERFORM
053200         VARYING X-MMCPTB FROM 1 BY 1
053300         UNTIL   X-MMCPTB IS GREATER THAN MMCPTB-MAX-ENTRIES
053400            OR   MMCPTB-END-OF-TABLE (X-MMCPTB)
053500         MOVE MMCPTB-RECORD (X-MMCPTB)
053600                                 TO MMCP-RECORD
053700         EVALUATE TRUE
053800             WHEN MMMM-DL-PRODUCT
053900                 IF  MMCP-DETAIL
054000                 AND MMCP-PRODUCT IS EQUAL TO MMMP-PRODUCT
054100                     PERFORM P100-SEARCH-PLAN-SINGLE
054200                        THRU P199-SPS-EXIT
054300                 END-IF
054400             WHEN OTHER
054500                 IF  MMCP-DETAIL
054600                     PERFORM P100-SEARCH-PLAN-SINGLE
054700                        THRU P199-SPS-EXIT
054800                 END-IF
054900         END-EVALUATE
055000     END-PERFORM.
055100*
055200     PERFORM
055300         VARYING X-MMRT-PLAN FROM 1 BY 1
055400         UNTIL   X-MMRT-PLAN IS GREATER THAN 56
055500         SET X-MBD200WS-VP-PLAN  TO X-MMRT-PLAN
055600*
055700         MOVE MMOC-PERCENT-NOD
055800                                 TO SS50WS-MULTIPLIER-NOD
055900         SET SS50WS-MULTIPLICAND-BY-CC
056000                                 TO TRUE
056100         MOVE MBD200WS-VP-PLAN-FBS (X-MBD200WS-VP-PLAN)
056200                                 TO SS50WS-MULTIPLICAND
056300         MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
056400                                 TO SS50WS-MULTIPLIER-PERCENT
056500         PERFORM SS50PD-MULTIPLY
056600                                 THRU SS50PD-M-EXIT
056700         MOVE SS50WS-PRODUCT
056800                                 TO MBD200WS-VP-PLAN-PART
056900                                    (X-MBD200WS-VP-PLAN)
057000*
057100**       COMPUTE MBD200WS-VP-PLAN-PART (X-MBD200WS-VP-PLAN)
057200**                               ROUNDED
057300**                               =  MMRT-PLAN-RATE (X-MMRT-PLAN)
057400**                               *  MBD200WS-VP-PLAN-FBS
057500**                                  (X-MBD200WS-VP-PLAN)
057600**       END-COMPUTE
057700*
057800         MOVE MMOC-PERCENT-NOD
057900                                 TO SS50WS-MULTIPLIER-NOD
058000         SET SS50WS-MULTIPLICAND-BY-CC
058100                                 TO TRUE
058200         MOVE MBD200WS-VP-PLAN-RANGE-FBS (X-MBD200WS-VP-PLAN)
058300                                 TO SS50WS-MULTIPLICAND
058400         MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
058500                                 TO SS50WS-MULTIPLIER-PERCENT
058600         PERFORM SS50PD-MULTIPLY
058700                                 THRU SS50PD-M-EXIT
058800         MOVE SS50WS-PRODUCT     TO MBD200WS-VP-PLAN-RANGE-PART
058900                                    (X-MBD200WS-VP-PLAN)
059000*
059100**       COMPUTE MBD200WS-VP-PLAN-RANGE-PART (X-MBD200WS-VP-PLAN)
059200**                               ROUNDED
059300**                               =  MMRT-PLAN-RANGE-RATE
059400**                                  (X-MMRT-PLAN)
059500**                               *  MBD200WS-VP-PLAN-RANGE-FBS
059600**                                  (X-MBD200WS-VP-PLAN)
059700**       END-COMPUTE
059800         EVALUATE TRUE
059900             WHEN MMRT-EXCEPTION-IS-ADJUSTMENT (2)
060000                 COMPUTE MBD200WS-VP-PART-PLAN-ADJ
060100                                 =  MBD200WS-VP-PART-PLAN-ADJ
060200                                 +  MBD200WS-VP-PLAN-PART
060300                                    (X-MBD200WS-VP-PLAN)
060400                                 +  MBD200WS-VP-PLAN-RANGE-PART
060500                                    (X-MBD200WS-VP-PLAN)
060600                 END-COMPUTE
060700             WHEN MMRT-EXCEPTION-COND-OVERRIDE (2)
060800                 COMPUTE MBD200WS-VP-PART-PLAN-OVRD
060900                                 =  MBD200WS-VP-PART-PLAN-OVRD
061000                                 +  MBD200WS-VP-PLAN-PART
061100                                    (X-MBD200WS-VP-PLAN)
061200                                 +  MBD200WS-VP-PLAN-RANGE-PART
061300                                    (X-MBD200WS-VP-PLAN)
061400                 END-COMPUTE
061500             WHEN OTHER
061600                 CONTINUE
061700         END-EVALUATE
061800     END-PERFORM.
061900*
062000     ADD MBD200WS-VP-PART-PLAN-OVRD
062100                                 TO MBD200WS-VP-AMT-OVERRIDE.
062200*
062300*
062400*
062500*
062600*
062700*
062800 P099-PP-EXIT.
062900     EXIT.
063000/
063100 P100-SEARCH-PLAN-SINGLE SECTION.
063200 P101-SPS-BEGIN.
063300*
063400     SET MBD200WS-VP-PLAN-SINGLE TO TRUE.
063500*
063600     SET X-MMRT-PLAN             TO 1.
063700     SEARCH MMRT-PLAN-TABLE VARYING X-MMRT-PLAN
063800         AT END
063900             PERFORM P200-SEARCH-PLAN-RANGE
064000                THRU P299-SPR-EXIT
064100         WHEN MMRT-PLAN-X (X-MMRT-PLAN) IS EQUAL TO MMCP-PLAN-X
064200          AND MMRT-PLAN-X (X-MMRT-PLAN) IS GREATER THAN ZERO
064300             PERFORM P300-ACCUM-STATS
064400                THRU P399-AS-EXIT
064500         WHEN MMCP-PLAN-X IS NOT EQUAL TO ZERO
064600          AND
064700                 (MMRT-PLAN-X (X-MMRT-PLAN) (1:1) IS EQUAL TO
064800                                MMCP-PLAN-X (1:1)
064900              OR  MMRT-PLAN-X (X-MMRT-PLAN) (1:1) IS EQUAL TO '*')
065000          AND
065100                 (MMRT-PLAN-X (X-MMRT-PLAN) (2:1) IS EQUAL TO
065200                                MMCP-PLAN-X (2:1)
065300              OR  MMRT-PLAN-X (X-MMRT-PLAN) (2:1) IS EQUAL TO '*')
065400          AND
065500                 (MMRT-PLAN-X (X-MMRT-PLAN) (3:1) IS EQUAL TO
065600                                MMCP-PLAN-X (3:1)
065700              OR  MMRT-PLAN-X (X-MMRT-PLAN) (3:1) IS EQUAL TO '*')
065800          AND
065900                 (MMRT-PLAN-X (X-MMRT-PLAN) (4:1) IS EQUAL TO
066000                                MMCP-PLAN-X (4:1)
066100              OR  MMRT-PLAN-X (X-MMRT-PLAN) (4:1) IS EQUAL TO '*')
066200          AND
066300                 (MMRT-PLAN-X (X-MMRT-PLAN) (5:1) IS EQUAL TO
066400                                MMCP-PLAN-X (5:1)
066500              OR  MMRT-PLAN-X (X-MMRT-PLAN) (5:1) IS EQUAL TO '*')
066600             PERFORM P300-ACCUM-STATS
066700                THRU P399-AS-EXIT.
066800*
066900 P199-SPS-EXIT.
067000     EXIT.
067100/
067200 P200-SEARCH-PLAN-RANGE SECTION.
067300 P201-SPR-BEGIN.
067400*
067500     SET MBD200WS-VP-PLAN-RANGE  TO TRUE.
067600*
067700     SET X-MMRT-PLAN             TO 1.
067800     SEARCH MMRT-PLAN-TABLE VARYING X-MMRT-PLAN
067900         AT END
068000             SET X-MMRT-PLAN     TO 1
068100         WHEN MMCP-PLAN-X IS NOT LESS THAN
068200                                 MMRT-PLAN-BEG-X (X-MMRT-PLAN)
068300          AND MMCP-PLAN-X IS NOT GREATER THAN
068400                                 MMRT-PLAN-END-X (X-MMRT-PLAN)
068500             PERFORM P300-ACCUM-STATS
068600                THRU P399-AS-EXIT.
068700*
068800 P299-SPR-EXIT.
068900     EXIT.
069000/
069100 P300-ACCUM-STATS SECTION.
069200 P301-AS-BEGIN.
069300*
069400     SET  X-MBD200WS-VP-PLAN     TO X-MMRT-PLAN.
069500     MOVE MMCP-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
069600*
069700     EVALUATE TRUE
069800         WHEN MMMM-DL-PRODUCT
069900             EVALUATE TRUE
070000                 WHEN MMMP-PPFB-GROSS-SALES
070100                     PERFORM P700-ADD-SALES
070200                        THRU P799-AS-EXIT
070300                 WHEN MMMP-PPFB-GROSS-VOLUME
070400                     PERFORM P700-ADD-SALES
070500                        THRU P799-AS-EXIT
070600                     PERFORM P800-ADD-RETURNS
070700                        THRU P899-AR-EXIT
070800                 WHEN OTHER
070900                     PERFORM P700-ADD-SALES
071000                        THRU P799-AS-EXIT
071100                     PERFORM P900-SUBTRACT-RETURNS
071200                        THRU P999-SR-EXIT
071300             END-EVALUATE
071400         WHEN OTHER
071500             EVALUATE TRUE
071600                 WHEN MMMM-PFB-GROSS-SALES
071700                     PERFORM P700-ADD-SALES
071800                        THRU P799-AS-EXIT
071900                 WHEN MMMM-PFB-GROSS-VOLUME
072000                     PERFORM P700-ADD-SALES
072100                        THRU P799-AS-EXIT
072200                     PERFORM P800-ADD-RETURNS
072300                        THRU P899-AR-EXIT
072400                 WHEN OTHER
072500                     PERFORM P700-ADD-SALES
072600                        THRU P799-AS-EXIT
072700                     PERFORM P900-SUBTRACT-RETURNS
072800                        THRU P999-SR-EXIT
072900             END-EVALUATE
073000     END-EVALUATE.
073100*
073200 P399-AS-EXIT.
073300     EXIT.
073400/
073500 P700-ADD-SALES SECTION.
073600 P701-AS-BEGIN.
073700*
073800     EVALUATE TRUE
073900         WHEN MMTCWS-LM-SALE
074000             EVALUATE TRUE
074100                 WHEN MBD200WS-VP-PLAN-SINGLE
074200                     ADD MMCP-AMT (18)
074300                                 TO MBD200WS-VP-PLAN-FBS
074400                                    (X-MBD200WS-VP-PLAN)
074500                 WHEN OTHER
074600                     ADD MMCP-AMT (18)
074700                                 TO MBD200WS-VP-PLAN-RANGE-FBS
074800                                    (X-MBD200WS-VP-PLAN)
074900             END-EVALUATE
075000         WHEN MMTCWS-LM-SALE-REV
075100             EVALUATE TRUE
075200                 WHEN MBD200WS-VP-PLAN-SINGLE
075300                     SUBTRACT MMCP-AMT (18)
075400                                 FROM MBD200WS-VP-PLAN-FBS
075500                                    (X-MBD200WS-VP-PLAN)
075600                 WHEN OTHER
075700                     SUBTRACT MMCP-AMT (18)
075800                                 FROM MBD200WS-VP-PLAN-RANGE-FBS
075900                                    (X-MBD200WS-VP-PLAN)
076000             END-EVALUATE
076100     END-EVALUATE.
076200*
076300 P799-AS-EXIT.
076400     EXIT.
076500/
076600 P800-ADD-RETURNS SECTION.
076700 P801-AR-BEGIN.
076800*
076900     EVALUATE TRUE
077000         WHEN MMTCWS-LM-RETURN
077100             EVALUATE TRUE
077200                 WHEN MBD200WS-VP-PLAN-SINGLE
077300                     ADD MMCP-AMT (18)
077400                                 TO MBD200WS-VP-PLAN-FBS
077500                                    (X-MBD200WS-VP-PLAN)
077600                 WHEN OTHER
077700                     ADD MMCP-AMT (18)
077800                                 TO MBD200WS-VP-PLAN-RANGE-FBS
077900                                    (X-MBD200WS-VP-PLAN)
078000             END-EVALUATE
078100         WHEN MMTCWS-LM-RETURN-REV
078200             EVALUATE TRUE
078300                 WHEN MBD200WS-VP-PLAN-SINGLE
078400                     SUBTRACT MMCP-AMT (18)
078500                                 FROM MBD200WS-VP-PLAN-FBS
078600                                    (X-MBD200WS-VP-PLAN)
078700                 WHEN OTHER
078800                     SUBTRACT MMCP-AMT (18)
078900                                 FROM MBD200WS-VP-PLAN-RANGE-FBS
079000                                    (X-MBD200WS-VP-PLAN)
079100             END-EVALUATE
079200     END-EVALUATE.
079300*
079400 P899-AR-EXIT.
079500     EXIT.
079600/
079700 P900-SUBTRACT-RETURNS SECTION.
079800 P901-SR-BEGIN.
079900*
080000     EVALUATE TRUE
080100         WHEN MMTCWS-LM-RETURN
080200             EVALUATE TRUE
080300                 WHEN MBD200WS-VP-PLAN-SINGLE
080400                     SUBTRACT MMCP-AMT (18)
080500                                 FROM MBD200WS-VP-PLAN-FBS
080600                                    (X-MBD200WS-VP-PLAN)
080700                 WHEN OTHER
080800                     SUBTRACT MMCP-AMT (18)
080900                                 FROM MBD200WS-VP-PLAN-RANGE-FBS
081000                                    (X-MBD200WS-VP-PLAN)
081100             END-EVALUATE
081200         WHEN MMTCWS-LM-RETURN-REV
081300             EVALUATE TRUE
081400                 WHEN MBD200WS-VP-PLAN-SINGLE
081500                     ADD MMCP-AMT (18)
081600                                 TO MBD200WS-VP-PLAN-FBS
081700                                    (X-MBD200WS-VP-PLAN)
081800                 WHEN OTHER
081900                     ADD MMCP-AMT (18)
082000                                 TO MBD200WS-VP-PLAN-RANGE-FBS
082100                                    (X-MBD200WS-VP-PLAN)
082200             END-EVALUATE
082300     END-EVALUATE.
082400*
082500 P999-SR-EXIT.
082600     EXIT.
082700/
082800 T000-PROCESS-TODAYS SECTION.
082900 T001-PT-BEGIN.
083000*
083100*****PERFORM X900-ACCUM-STATS-TABLE
083200*****   THRU X999-AST-EXIT.
083300*
083400     MOVE ZERO                   TO MBD200WS-VP-WORK-NBR-1.
083500     MOVE ZERO                   TO MBD200WS-VP-WORK-AMT-1.
083600*
083700     ADD  MBD200WS-VP-WORK-AMT-1 TO MBD200WS-VP-AMT-PREV-TODAY.
083800     ADD  MBD200WS-VP-WORK-NBR-1 TO MBD200WS-VP-NBR-PREV-TODAY.
083900*
084000     PERFORM
084100         VARYING X-WS-D200-SRA FROM 1 BY 1
084200         UNTIL   X-WS-D200-SRA IS GREATER THAN 18
084300         IF  WS-D200-SRA-SALES-NBR (X-WS-D200-SRA)
084400                                     IS EQUAL TO ZERO
084500             MOVE ZERO               TO MBD200WS-VP-AVG-TKT-AMT
084600         ELSE
084700             COMPUTE MBD200WS-VP-AVG-TKT-AMT ROUNDED
084800                                 =  WS-D200-SRA-SALES-AMT
084900                                    (X-WS-D200-SRA)
085000                                 /  WS-D200-SRA-SALES-NBR
085100                                    (X-WS-D200-SRA)
085200             END-COMPUTE
085300         END-IF
085400     END-PERFORM.
085500*
085600*
085700*
085800 T099-PT-EXIT.
085900     EXIT.
086000/
086100 V000-PROCESS-AVG-TICKET SECTION.
086200 V001-PAT-BEGIN.
086300*
086400     SET X-MMRT-ATV              TO 1.
086500*
086600     SEARCH MMRT-AVG-TKT-VOL-TABLE VARYING X-MMRT-ATV
086700         AT END
086800             SET X-MMRT-ATV      TO 1
086900         WHEN WS-D200-SRA-AVG-TKT (18) IS NOT GREATER THAN
087000                                 MMRT-ATV-LIMIT (X-MMRT-ATV)
087100             NEXT SENTENCE.
087200*
087300     SET MBD200WS-VP-AVG-TKT-INDEX
087400                                 TO X-MMRT-ATV.
087500*
087600     MOVE MMOC-PERCENT-NOD       TO SS50WS-MULTIPLIER-NOD
087700     SET SS50WS-MULTIPLICAND-BY-CC
087800                                 TO TRUE
087900     MOVE MBD200WS-VP-AMT-PREV-TODAY
088000                                 TO SS50WS-MULTIPLICAND
088100     MOVE MMRT-ATV-RATE (X-MMRT-ATV)
088200                                 TO SS50WS-MULTIPLIER-PERCENT
088300     PERFORM SS50PD-MULTIPLY
088400                                 THRU SS50PD-M-EXIT
088500     MOVE SS50WS-PRODUCT         TO MBD200WS-VP-PART-AVG-TKT.
088600*
088700**   COMPUTE MBD200WS-VP-PART-AVG-TKT ROUNDED
088800**                               =  MBD200WS-VP-AMT-PREV-TODAY
088900**                               *  MMRT-ATV-RATE (X-MMRT-ATV).
089000*
089100 V099-PAT-EXIT.
089200     EXIT.
089300/
089400 X000-PART-SETUP SECTION.
089500 X001-PS-BEGIN.
089600*
089700     PERFORM X900-ACCUM-STATS-TABLE
089800        THRU X999-AST-EXIT.
089900*
090000     MOVE ZERO                   TO MBD200WS-VP-WORK-NBR-1.
090100     MOVE ZERO                   TO MBD200WS-VP-WORK-AMT-1.
090200*
090300     IF  MMMM-PVBF-MONTHLY
090400         SET X-WS-D200-SRA       TO 14
090500         PERFORM Z000-CALC-FEE-BASE
090600            THRU Z099-CFB-EXIT.
090700*
090800     IF  MMMM-PVBF-QUARTERLY
090900         SET X-WS-D200-SRA       TO 14
091000         PERFORM Z000-CALC-FEE-BASE
091100            THRU Z099-CFB-EXIT
091200         SET X-WS-D200-SRA       TO 1
091300         PERFORM Z000-CALC-FEE-BASE
091400            THRU Z099-CFB-EXIT
091500         SET X-WS-D200-SRA       TO 2
091600         PERFORM Z000-CALC-FEE-BASE
091700            THRU Z099-CFB-EXIT.
091800*
091900     IF  MMMM-PVBF-SEMI-ANNUAL
092000         SET X-WS-D200-SRA       TO 14
092100         PERFORM Z000-CALC-FEE-BASE
092200            THRU Z099-CFB-EXIT
092300         PERFORM Z000-CALC-FEE-BASE
092400            THRU Z099-CFB-EXIT
092500            VARYING X-WS-D200-SRA FROM 1 BY 1
092600            UNTIL   X-WS-D200-SRA IS GREATER THAN 5.
092700*
092800     IF  MMMM-PVBF-ANNUAL
092900         SET X-WS-D200-SRA       TO 14
093000         PERFORM Z000-CALC-FEE-BASE
093100            THRU Z099-CFB-EXIT
093200         PERFORM Z000-CALC-FEE-BASE
093300            THRU Z099-CFB-EXIT
093400            VARYING X-WS-D200-SRA FROM 1 BY 1
093500            UNTIL   X-WS-D200-SRA IS GREATER THAN 11.
093600*
093700     MOVE MBD200WS-VP-WORK-AMT-1 TO MBD200WS-VP-AMT-PREV-TODAY
093800     MOVE MBD200WS-VP-WORK-NBR-1 TO MBD200WS-VP-NBR-PREV-TODAY.
093900*
094000*
094100*
094200     IF  MMRTWS-INCREMENTAL-METHODS
094300         MOVE ZERO               TO MBD200WS-VP-WORK-AMT-4
094400         MOVE ZERO               TO MBD200WS-VP-WORK-NBR-4
094500         PERFORM X300-LOAD-PART-W-STATS
094600            THRU X399-LPWS-EXIT
094700            VARYING X-MMRT-PRIM FROM 1 BY 1
094800              UNTIL X-MMRT-PRIM IS GREATER THAN 10
094900     ELSE
095000         PERFORM
095100            VARYING X-MMRT-PRIM FROM 1 BY 1
095200            UNTIL   X-MMRT-PRIM IS GREATER THAN 10
095300            SET X-MBD200WS-VP-TIER
095400                                 TO X-MMRT-PRIM
095500            EVALUATE TRUE
095600                WHEN MMRTWS-VALID-METH-ON-NUMBER
095700                    MOVE MMRT-PRIM-LIMIT-NBR (X-MMRT-PRIM)
095800                                 TO MBD200WS-VP-TIER-NBR-ALLOWED
095900                                    (X-MBD200WS-VP-TIER)
096000                WHEN OTHER
096100                    MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
096200                                 TO MBD200WS-VP-TIER-AMT-ALLOWED
096300                                    (X-MBD200WS-VP-TIER)
096400            END-EVALUATE
096500         END-PERFORM
096600     END-IF.
096700*
096800     EVALUATE TRUE
096900         WHEN MMMM-PL-PRODUCT
097000             MOVE MMMP-PROD-PART-FEE-BASE
097100                                 TO MBD200WS-VP-FEE-BASE
097200         WHEN OTHER
097300             MOVE MMMM-PART-FEE-BASE
097400                                 TO MBD200WS-VP-FEE-BASE
097500     END-EVALUATE.
097600*
097700 X099-PS-EXIT.
097800     EXIT.
097900/
098000 X300-LOAD-PART-W-STATS SECTION.
098100 X310-LPWS-BEGIN.
098200*
098300     SET X-MBD200WS-VP-TIER      TO X-MMRT-PRIM.
098400*
098500     IF  MMRTWS-VALID-METH-ON-NUMBER
098600         PERFORM X500-LOAD-TIER-NUMBERS
098700            THRU X599-LTN-EXIT
098800     ELSE
098900         PERFORM X400-LOAD-TIER-AMOUNTS
099000            THRU X499-LTA-EXIT.
099100*
099200 X399-LPWS-EXIT.
099300     EXIT.
099400/
099500 X400-LOAD-TIER-AMOUNTS SECTION.
099600 X410-LTA-BEGIN.
099700*
099800     COMPUTE MBD200WS-VP-TIER-AMT-ALLOWED (X-MBD200WS-VP-TIER)
099900                                 =  MMRT-PRIM-LIMIT (X-MMRT-PRIM)
100000                                 -  MBD200WS-VP-WORK-AMT-4.
100100*
100200     MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
100300                                 TO MBD200WS-VP-WORK-AMT-4.
100400*
100500     IF  MBD200WS-VP-WORK-AMT-1 IS NOT GREATER THAN
100600         MBD200WS-VP-TIER-AMT-ALLOWED (X-MBD200WS-VP-TIER)
100700         MOVE MBD200WS-VP-WORK-AMT-1
100800                                 TO MBD200WS-VP-TIER-AMT-PREV
100900                                    (X-MBD200WS-VP-TIER)
101000         MOVE ZERO               TO MBD200WS-VP-WORK-AMT-1
101100     ELSE
101200         MOVE MBD200WS-VP-TIER-AMT-ALLOWED (X-MBD200WS-VP-TIER)
101300                                 TO MBD200WS-VP-TIER-AMT-PREV
101400                                    (X-MBD200WS-VP-TIER)
101500         COMPUTE MBD200WS-VP-WORK-AMT-1
101600                                 =  MBD200WS-VP-WORK-AMT-1
101700                                 -  MBD200WS-VP-TIER-AMT-ALLOWED
101800                                    (X-MBD200WS-VP-TIER).
101900*
102000*
102100*
102200 X499-LTA-EXIT.
102300     EXIT.
102400/
102500 X500-LOAD-TIER-NUMBERS SECTION.
102600 X510-LTN-BEGIN.
102700*
102800     COMPUTE MBD200WS-VP-TIER-NBR-ALLOWED (X-MBD200WS-VP-TIER)
102900                                 =  MMRT-PRIM-LIMIT-NBR
103000                                    (X-MMRT-PRIM)
103100                                 -  MBD200WS-VP-WORK-NBR-4.
103200*
103300     MOVE MMRT-PRIM-LIMIT-NBR (X-MMRT-PRIM)
103400                                 TO MBD200WS-VP-WORK-NBR-4.
103500*
103600     IF  MBD200WS-VP-WORK-NBR-1 IS NOT GREATER THAN
103700         MBD200WS-VP-TIER-NBR-ALLOWED (X-MBD200WS-VP-TIER)
103800         MOVE MBD200WS-VP-WORK-NBR-1
103900                                 TO MBD200WS-VP-TIER-NBR-PREV
104000                                    (X-MBD200WS-VP-TIER)
104100         MOVE ZERO               TO MBD200WS-VP-WORK-NBR-1
104200     ELSE
104300         MOVE MBD200WS-VP-TIER-NBR-ALLOWED (X-MBD200WS-VP-TIER)
104400                                 TO MBD200WS-VP-TIER-NBR-PREV
104500                                    (X-MBD200WS-VP-TIER)
104600         COMPUTE MBD200WS-VP-WORK-NBR-1
104700                                 =  MBD200WS-VP-WORK-NBR-1
104800                                 -  MBD200WS-VP-TIER-NBR-ALLOWED
104900                                    (X-MBD200WS-VP-TIER).
105000*
105100*
105200*
105300 X599-LTN-EXIT.
105400     EXIT.
105500/
105600 X900-ACCUM-STATS-TABLE SECTION.
105700 X901-AST-BEGIN.
105800*
105900     INITIALIZE WS-D200-SALES-RETURNS-AREA.
106000*
106100     PERFORM
106200         VARYING X-MMPATB FROM 1 BY 1
106300         UNTIL   X-MMPATB IS GREATER THAN MMPATB-MAX-ENTRIES
106400            OR   MMPATB-END-OF-TABLE (X-MMPATB)
106500         MOVE MMPATB-RECORD (X-MMPATB)
106600                                 TO MMPA-RECORD
106700         IF  MMPA-TOTALS
106800             PERFORM Z100-ACCUM-STATS
106900                THRU Z199-AS-EXIT
107000         END-IF
107100     END-PERFORM.
107200*
107300     PERFORM Z400-CALC-AVERAGE-TICKET
107400        THRU Z499-CAT-EXIT
107500        VARYING X-WS-D200-SRA FROM 1 BY 1
107600        UNTIL   X-WS-D200-SRA IS GREATER THAN 18.
107700*
107800 X999-AST-EXIT.
107900     EXIT.
108000/
108100 Z000-CALC-FEE-BASE SECTION.
108200 Z001-CFB-BEGIN.
108300*
108400     EVALUATE TRUE
108500         WHEN MMMM-PFB-GROSS-SALES
108600             ADD  WS-D200-SRA-SALES-NBR (X-WS-D200-SRA)
108700                                 TO MBD200WS-VP-WORK-NBR-1
108800             ADD  WS-D200-SRA-SALES-AMT (X-WS-D200-SRA)
108900                                 TO MBD200WS-VP-WORK-AMT-1
109000         WHEN MMMM-PFB-GROSS-VOLUME
109100             COMPUTE MBD200WS-VP-WORK-NBR-1
109200                                 =  MBD200WS-VP-WORK-NBR-1
109300                                 +  WS-D200-SRA-SALES-NBR
109400                                    (X-WS-D200-SRA)
109500                                 +  WS-D200-SRA-RETURNS-NBR
109600                                    (X-WS-D200-SRA)
109700             END-COMPUTE
109800             COMPUTE MBD200WS-VP-WORK-AMT-1
109900                                 =  MBD200WS-VP-WORK-AMT-1
110000                                 +  WS-D200-SRA-SALES-AMT
110100                                    (X-WS-D200-SRA)
110200                                 +  WS-D200-SRA-RETURNS-AMT
110300                                    (X-WS-D200-SRA)
110400             END-COMPUTE
110500         WHEN OTHER
110600             COMPUTE MBD200WS-VP-WORK-NBR-1
110700                                 =  MBD200WS-VP-WORK-NBR-1
110800                                 +  WS-D200-SRA-SALES-NBR
110900                                    (X-WS-D200-SRA)
111000                                 +  WS-D200-SRA-RETURNS-NBR
111100                                    (X-WS-D200-SRA)
111200             END-COMPUTE
111300             COMPUTE MBD200WS-VP-WORK-AMT-1
111400                                 =  MBD200WS-VP-WORK-AMT-1
111500                                 +  WS-D200-SRA-SALES-AMT
111600                                    (X-WS-D200-SRA)
111700                                 -  WS-D200-SRA-RETURNS-AMT
111800                                    (X-WS-D200-SRA)
111900             END-COMPUTE
112000     END-EVALUATE.
112100*
112200 Z099-CFB-EXIT.
112300     EXIT.
112400/
112500 Z100-ACCUM-STATS SECTION.
112600 Z101-AS-BEGIN.
112700*
112800     MOVE MMPA-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
112900*
113000     EVALUATE TRUE
113100         WHEN MMTCWS-LM-SALE
113200             PERFORM
113300                 VARYING X-MMPA FROM 1 BY 1
113400                 UNTIL   X-MMPA IS GREATER THAN 18
113500                 SET X-WS-D200-SRA
113600                                 TO X-MMPA
113700                 ADD MMPA-NBR (X-MMPA)
113800                                 TO WS-D200-SRA-SALES-NBR
113900                                    (X-WS-D200-SRA)
114000                 ADD MMPA-AMT (X-MMPA)
114100                                 TO WS-D200-SRA-SALES-AMT
114200                                    (X-WS-D200-SRA)
114300             END-PERFORM
114400         WHEN MMTCWS-LM-SALE-REV
114500             PERFORM
114600                 VARYING X-MMPA FROM 1 BY 1
114700                 UNTIL   X-MMPA IS GREATER THAN 18
114800                 SET X-WS-D200-SRA
114900                                 TO X-MMPA
115000                 SUBTRACT MMPA-NBR (X-MMPA)
115100                                 FROM WS-D200-SRA-SALES-NBR
115200                                      (X-WS-D200-SRA)
115300                 SUBTRACT MMPA-AMT (X-MMPA)
115400                                 FROM WS-D200-SRA-SALES-AMT
115500                                      (X-WS-D200-SRA)
115600             END-PERFORM
115700         WHEN MMTCWS-LM-RETURN
115800             PERFORM
115900                 VARYING X-MMPA FROM 1 BY 1
116000                 UNTIL   X-MMPA IS GREATER THAN 18
116100                 SET X-WS-D200-SRA
116200                                 TO X-MMPA
116300                 ADD MMPA-NBR (X-MMPA)
116400                                 TO WS-D200-SRA-RETURNS-NBR
116500                                    (X-WS-D200-SRA)
116600                 ADD MMPA-AMT (X-MMPA)
116700                                 TO WS-D200-SRA-RETURNS-AMT
116800                                    (X-WS-D200-SRA)
116900             END-PERFORM
117000         WHEN MMTCWS-LM-RETURN-REV
117100             PERFORM
117200                 VARYING X-MMPA FROM 1 BY 1
117300                 UNTIL   X-MMPA IS GREATER THAN 18
117400                 SET X-WS-D200-SRA
117500                                 TO X-MMPA
117600                 SUBTRACT MMPA-NBR (X-MMPA)
117700                                 FROM WS-D200-SRA-RETURNS-NBR
117800                                      (X-WS-D200-SRA)
117900                 SUBTRACT MMPA-AMT (X-MMPA)
118000                                 FROM WS-D200-SRA-RETURNS-AMT
118100                                      (X-WS-D200-SRA)
118200             END-PERFORM
118300         WHEN MMTCWS-LM-CR-FEES
118400             PERFORM
118500                 VARYING X-MMPA FROM 1 BY 1
118600                 UNTIL   X-MMPA IS GREATER THAN 18
118700                 SET X-WS-D200-SRA
118800                                 TO X-MMPA
118900                 SUBTRACT MMPA-AMT (X-MMPA)
119000                                 FROM WS-D200-SRA-INCOME-AMT
119100                                      (X-WS-D200-SRA)
119200             END-PERFORM
119300         WHEN MMTCWS-LM-DR-FEES
119400             PERFORM
119500                 VARYING X-MMPA FROM 1 BY 1
119600                 UNTIL   X-MMPA IS GREATER THAN 18
119700                 SET X-WS-D200-SRA
119800                                 TO X-MMPA
119900                 ADD MMPA-AMT (X-MMPA)
120000                                 TO WS-D200-SRA-INCOME-AMT
120100                                    (X-WS-D200-SRA)
120200             END-PERFORM
120300     END-EVALUATE.
120400*
120500 Z199-AS-EXIT.
120600     EXIT.
120700/
120800 Z200-SET-TRANS-INDIV-PART-FLAG SECTION.
120900 Z201-STIPF-BEGIN.
121000*
121100     EVALUATE TRUE
121200         WHEN MTPT-AMOUNT IS LESS THAN ZERO
121300             SET MTPT-INDIV-PART-DR
121400                                 TO TRUE
121500         WHEN OTHER
121600             SET MTPT-INDIV-PART-CR
121700                                 TO TRUE
121800     END-EVALUATE.
121900*
122000 Z299-STIPF-EXIT.
122100     EXIT.
122200/
122300 Z300-SET-OVERRIDE-ADJ-FLAGS SECTION.
122400 Z301-SOAF-BEGIN.
122500*
122600     IF  WS-D200-EF-OVERRIDE
122700         SET MBD200WS-VP-OVERRIDE-YES
122800                                 TO TRUE.
122900*
123000     IF  WS-D200-EF-ADJUSTMENT
123100         SET MBD200WS-VP-ADJUSTMENT-YES
123200                                 TO TRUE.
123300*
123400 Z399-SOAF-EXIT.
123500     EXIT.
123600/
123700 Z400-CALC-AVERAGE-TICKET SECTION.
123800 Z401-CAT-BEGIN.
123900*
124000     IF  WS-D200-SRA-SALES-NBR (X-WS-D200-SRA) IS EQUAL TO ZERO
124100         MOVE ZERO               TO WS-D200-SRA-AVG-TKT
124200                                    (X-WS-D200-SRA)
124300     ELSE
124400         COMPUTE WS-D200-SRA-AVG-TKT (X-WS-D200-SRA) ROUNDED
124500                                 =  WS-D200-SRA-SALES-AMT
124600                                    (X-WS-D200-SRA)
124700                                 /  WS-D200-SRA-SALES-NBR
124800                                    (X-WS-D200-SRA)
124900     END-IF.
125000*
125100     IF  WS-D200-SRA-AVG-TKT (X-WS-D200-SRA) IS LESS THAN ZERO
125200         MOVE ZERO               TO WS-D200-SRA-AVG-TKT
125300                                    (X-WS-D200-SRA).
125400*
125500 Z499-CAT-EXIT.
125600     EXIT.
125700/
125800 9000-PERFORMED-ROUTINES-SECT SECTION.
125900*
126000 COPY SS50PD.
126100*
126200*
126300 9995-END-SOURCE-STATEMENTS SECTION.
126400 9999-END-OF-PROGRAM.
126500     GOBACK.
