000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD240.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBD240 - EXTRACT MERCHANT EXPENSE TRANSACTIONS AND SORT     *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
002600/
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100     COPY MMSCIO.
003200/
003300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003400/
003500     COPY MMSCRL.
003600/
003700     COPY MMTCWS.
003800/
003900     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
004000/
004100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTGT==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MTGT==.
004400/
004500     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTPT==.
004600/
004700     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
004800/
004900     COPY MB00RB REPLACING ==:MB00:== BY ==MTPT==.
005000/
005100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTET==.
005200/
005300     COPY MB00RB REPLACING ==:MB00:== BY ==MTET==.
005400/
005500     COPY MB00WS.
005600/
005700     COPY MB99WS.
005800/
005900     COPY SS00WS.
006000/
006100     COPY SS01WS.
006200/
006300     COPY SS02WS.
006400*
006500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006600/
006700 PROCEDURE DIVISION.
006800 A000-MAIN-LINE-SECT SECTION.
006900 A010-ML-BEGIN.
007000*
007100     MOVE 'MBD240'               TO SS02WS-ABEND-PROG-ID.
007200*
007300     PERFORM A100-OPEN-FILES
007400        THRU A199-OF-EXIT.
007500*
007600     PERFORM A200-SORT-PROCESS
007700        THRU A299-SP-EXIT.
007800*
007900     PERFORM A300-CLOSE-FILES
008000        THRU A399-CF-EXIT.
008100*
008200     STOP RUN.
008300*
008400 A099-ML-EXIT.
008500     EXIT.
008600/
008700 A100-OPEN-FILES SECTION.
008800 A101-OF-BEGIN.
008900*
009000     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
009100     SET MMSCRB-OPEN-INPUT       TO TRUE.
009200     PERFORM MB00PD-MMSC-ACCESS
009300        THRU MB00PD-MMSC-ACCESS-EXIT.
009400*
009500     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
009600     SET MMSCRB-READ-SEQ         TO TRUE.
009700     PERFORM MB00PD-MMSC-ACCESS
009800        THRU MB00PD-MMSC-ACCESS-EXIT.
009900*
010000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
010100*
010200     IF  MMSCIO-HEADER
010300         NEXT SENTENCE
010400     ELSE
010500         PERFORM MB99PD-MISSING-HEADER-ABEND
010600            THRU MB99PD-MHA-EXIT.
010700*
010800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
010900     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
011000     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
011100*
011200*
011300*
011400     MOVE 'O1PT'                 TO SS02WS-ABEND-LOCATION.
011500     SET MTPTRB-OPEN-INPUT       TO TRUE.
011600     PERFORM MB00PD-MTPT-ACCESS
011700        THRU MB00PD-MTPT-ACCESS-EXIT.
011800*
011900     MOVE 'R0PT'                 TO SS02WS-ABEND-LOCATION.
012000     SET MTPTRB-READ-SEQ         TO TRUE.
012100     PERFORM MB00PD-MTPT-ACCESS
012200        THRU MB00PD-MTPT-ACCESS-EXIT.
012300     MOVE 'MTPT'                 TO MB99WS-FILE-ID.
012400*
012500     IF  MTPTIO-HEADER
012600         NEXT SENTENCE
012700     ELSE
012800         PERFORM MB99PD-MISSING-HEADER-ABEND
012900            THRU MB99PD-MHA-EXIT.
013000*
013100     MOVE MTPTIO-DATE-STAMP      TO MB99WS-FILE-DATE.
013200     MOVE MTPTIO-TIME-STAMP      TO MB99WS-FILE-TIME.
013300     PERFORM MB99PD-CHECK-DATE-TIME
013400        THRU MB99PD-CDT-EXIT.
013500*
013600     MOVE SS02WS-END-OF-FILE     TO MTPTRB-PERM-STATUS-1.
013700*
013800*
013900*
014000     MOVE 'O1GT'                 TO SS02WS-ABEND-LOCATION.
014100     SET MTGTRB-OPEN-INPUT       TO TRUE.
014200     PERFORM MB00PD-MTGT-ACCESS
014300        THRU MB00PD-MTGT-ACCESS-EXIT.
014400*
014500     MOVE 'R0GT'                 TO SS02WS-ABEND-LOCATION.
014600     SET MTGTRB-READ-SEQ         TO TRUE.
014700     PERFORM MB00PD-MTGT-ACCESS
014800        THRU MB00PD-MTGT-ACCESS-EXIT.
014900     MOVE 'MTGT'                 TO MB99WS-FILE-ID.
015000*
015100     IF  MTGTIO-HEADER
015200         NEXT SENTENCE
015300     ELSE
015400         PERFORM MB99PD-MISSING-HEADER-ABEND
015500            THRU MB99PD-MHA-EXIT.
015600*
015700     MOVE MTGTIO-DATE-STAMP      TO MB99WS-FILE-DATE.
015800     MOVE MTGTIO-TIME-STAMP      TO MB99WS-FILE-TIME.
015900     PERFORM MB99PD-CHECK-DATE-TIME
016000        THRU MB99PD-CDT-EXIT.
016100*
016200     MOVE SS02WS-END-OF-FILE     TO MTGTRB-PERM-STATUS-1.
016300*
016400*
016500*
016600     MOVE 'O1ET'                 TO SS02WS-ABEND-LOCATION.
016700     SET MTETRB-OPEN-OUTPUT      TO TRUE.
016800     PERFORM MB00PD-MTET-ACCESS
016900        THRU MB00PD-MTET-ACCESS-EXIT.
017000*
017100     MOVE SPACES                 TO MTETIO-RECORD.
017200     SET MTETIO-HEADER           TO TRUE.
017300     MOVE ZERO                   TO MTETIO-SEQ-NBR.
017400     MOVE MMSC-TODAYS-JULIAN     TO MTETIO-DATE-STAMP.
017500     MOVE MMSC-TIME-STAMP        TO MTETIO-TIME-STAMP.
017600*
017700     MOVE 'W0ET'                 TO SS02WS-ABEND-LOCATION.
017800     SET MTETRB-WRITE            TO TRUE.
017900     PERFORM MB00PD-MTET-ACCESS
018000        THRU MB00PD-MTET-ACCESS-EXIT.
018100*
018200*
018300*
018400 A199-OF-EXIT.
018500     EXIT.
018600/
018700 A200-SORT-PROCESS SECTION.
018800 A201-SP-BEGIN.
018900*
019000     SORT MS1S-SORT-FILE
019100         ON ASCENDING KEY MTPT-ORG-MERCHANT
019200                          MTPT-POST-KEY
019300         INPUT  PROCEDURE IS 1000-BUILD-EXPENSE-TRANS
019400         OUTPUT PROCEDURE IS 2000-WRITE-MTET.
019500*
019600     PERFORM SS98PD-VERIFY-SORT-RETURN
019700        THRU SS98PD-VSR-EXIT.
019800*
019900*
020000*
020100 A299-SP-EXIT.
020200     EXIT.
020300/
020400 A300-CLOSE-FILES SECTION.
020500 A301-CF-BEGIN.
020600*
020700     MOVE SPACES                 TO MTETIO-RECORD.
020800     SET MTETIO-TRAILER          TO TRUE.
020900     MOVE ZERO                   TO MTETIO-SEQ-NBR.
021000     MOVE MMSC-TODAYS-JULIAN     TO MTETIO-DATE-STAMP.
021100     MOVE MMSC-TIME-STAMP        TO MTETIO-TIME-STAMP.
021200*
021300     MOVE 'W9ET'                 TO SS02WS-ABEND-LOCATION.
021400     SET MTETRB-WRITE            TO TRUE.
021500     PERFORM MB00PD-MTET-ACCESS
021600        THRU MB00PD-MTET-ACCESS-EXIT.
021700*
021800     MOVE 'C1GT'                 TO SS02WS-ABEND-LOCATION.
021900     SET MTGTRB-CLOSE            TO TRUE.
022000     PERFORM MB00PD-MTGT-ACCESS
022100        THRU MB00PD-MTGT-ACCESS-EXIT.
022200*
022300     MOVE 'C1PT'                 TO SS02WS-ABEND-LOCATION.
022400     SET MTPTRB-CLOSE            TO TRUE.
022500     PERFORM MB00PD-MTPT-ACCESS
022600        THRU MB00PD-MTPT-ACCESS-EXIT.
022700*
022800     MOVE 'C1ET'                 TO SS02WS-ABEND-LOCATION.
022900     SET MTETRB-CLOSE            TO TRUE.
023000     PERFORM MB00PD-MTET-ACCESS
023100        THRU MB00PD-MTET-ACCESS-EXIT.
023200*
023300     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
023400     SET MMSCRB-CLOSE            TO TRUE.
023500     PERFORM MB00PD-MMSC-ACCESS
023600        THRU MB00PD-MMSC-ACCESS-EXIT.
023700*
023800 A399-CF-EXIT.
023900     EXIT.
024000/
024100 1000-BUILD-EXPENSE-TRANS SECTION.
024200 1001-BET-BEGIN.
024300*
024400     MOVE 'R2PT'                 TO SS02WS-ABEND-LOCATION.
024500     SET MTPTRB-READ-SEQ         TO TRUE.
024600     PERFORM MB00PD-MTPT-ACCESS
024700        THRU MB00PD-MTPT-ACCESS-EXIT.
024800*
024900     IF  SS02WS-FS-END-OF-FILE
025000         GO TO 1500-BET-PROCESS-MTGT.
025100*
025200     IF  MTPTIO-HEADER
025300     OR  MTPTIO-TRAILER
025400         GO TO 1001-BET-BEGIN.
025500*
025600     MOVE MTPTIO-RECORD          TO MTPT-RECORD.
025700     PERFORM 1800-BET-SORT-PROCESS
025800        THRU 1899-BET-SP-EXIT.
025900     GO TO 1001-BET-BEGIN.
026000*
026100*
026200*
026300 1500-BET-PROCESS-MTGT.
026400*
026500     MOVE 'R1GT'                 TO SS02WS-ABEND-LOCATION.
026600     SET MTGTRB-READ-SEQ         TO TRUE.
026700     PERFORM MB00PD-MTGT-ACCESS
026800        THRU MB00PD-MTGT-ACCESS-EXIT.
026900*
027000     IF  SS02WS-FS-END-OF-FILE
027100         GO TO 1900-BET-END-OF-FILES.
027200*
027300     IF  MTGTIO-HEADER
027400     OR  MTGTIO-TRAILER
027500         GO TO 1500-BET-PROCESS-MTGT.
027600*
027700     MOVE MTGTIO-RECORD          TO MTPT-RECORD.
027800     PERFORM 1800-BET-SORT-PROCESS
027900        THRU 1899-BET-SP-EXIT.
028000     GO TO 1500-BET-PROCESS-MTGT.
028100*
028200*
028300*
028400 1800-BET-SORT-PROCESS.
028500*
028600     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
028700*
028800     IF  MTPT-PF-POSTED-TRANSACTION
028900         NEXT SENTENCE
029000     ELSE
029100         GO TO 1899-BET-SP-EXIT.
029200*
029300     IF  MMTCWS-LM-FEES
029400         NEXT SENTENCE
029500     ELSE
029600         GO TO 1899-BET-SP-EXIT.
029700*
029800     IF  MTPT-VDI-FEE-DATA
029900         NEXT SENTENCE
030000     ELSE
030100         SET  MTPT-VDI-FEE-DATA  TO TRUE
030200         MOVE MTPTIR-VD-FEE-DATA TO MTPT-VD-FEE-DATA.
030300*
030400     EVALUATE TRUE
030500         WHEN MMTCWS-LM-INTCHG-FEE
030600             EVALUATE TRUE
030700                 WHEN MTPT-FEE-EXP-AMOUNT IS LESS THAN ZERO
030800                     SET MMTCWS-LM-INTCHG-FEE-REV
030900                                 TO TRUE
031000                     MOVE MMTCWS-LOGIC-MODULE
031100                                 TO MTPT-LOGIC-MODULE
031200                 WHEN OTHER
031300                     CONTINUE
031400             END-EVALUATE
031500         WHEN MMTCWS-LM-INTCHG-FEE-REV
031600             EVALUATE TRUE
031700                 WHEN MTPT-FEE-EXP-AMOUNT IS LESS THAN ZERO
031800                     CONTINUE
031900                 WHEN OTHER
032000                     SET MMTCWS-LM-INTCHG-FEE
032100                                 TO TRUE
032200                     MOVE MMTCWS-LOGIC-MODULE
032300                                 TO MTPT-LOGIC-MODULE
032400             END-EVALUATE
032500     END-EVALUATE.
032600*
032700     IF  MTPT-FEE-EXP-AMOUNT IS NOT GREATER THAN ZERO
032800         COMPUTE MTPT-FEE-EXP-AMOUNT
032900                                 =  0 - MTPT-FEE-EXP-AMOUNT.
033000*
033100     RELEASE MTPT-RECORD.
033200*
033300 1899-BET-SP-EXIT.
033400     EXIT.
033500*
033600*
033700*
033800 1900-BET-END-OF-FILES.
033900*
034000 1999-BET-EXIT.
034100     EXIT.
034200/
034300 2000-WRITE-MTET SECTION.
034400 2001-W-MTET-BEGIN.
034500*
034600     RETURN MS1S-SORT-FILE
034700         AT END
034800             GO TO 2999-W-MTET-EXIT.
034900*
035000     MOVE MTPT-RECORD            TO MTETIO-RECORD.
035100*
035200     MOVE 'W1ET'                 TO SS02WS-ABEND-LOCATION.
035300     SET MTETRB-WRITE            TO TRUE.
035400     PERFORM MB00PD-MTET-ACCESS
035500        THRU MB00PD-MTET-ACCESS-EXIT.
035600*
035700     GO TO 2001-W-MTET-BEGIN.
035800*
035900 2999-W-MTET-EXIT.
036000     EXIT.
036100/
036200 9000-PERFORMED-ROUTINES-SECT SECTION.
036300*
036400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
036500/
036600     COPY MB00PD REPLACING ==:MB00:== BY ==MTGT==.
036700/
036800     COPY MB00PD REPLACING ==:MB00:== BY ==MTPT==.
036900/
037000     COPY MB00PD REPLACING ==:MB00:== BY ==MTET==.
037100/
037200     COPY MB99PD.
037300/
037400     COPY SS02PD.
037500/
037600     COPY SS98PD.
037700*
037800 9995-END-SOURCE-STATEMENTS SECTION.
037900 9999-END-OF-PROGRAM.
038000     EXIT.
