000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD360Q4.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBD360Q4 - ASIA/PACIFIC QUARTERLY REPORT TOTALS             *
000800*              TRANS + VOLUME (A/PAC)                           *
000900*****************************************************************
001000*                                                               *
001100*   N O T E --- THIS PROGRAM IS AN ATTACHMENT TO THE STORE      *
001200*               POSTING PROGRAM AND PROVIDES FOR THE            *
001300*               ACCUMULATION OF A/PAC TRANSACTIONS AND VOLUME   *
001400*               TOTALS FOR THE A/PAC QUARTERLY REPORTS.         *
001500*               ACCEPTANCE INFORMATION IS ACCUMULATED BY PROGRAM*
001600*               MBD374.                                         *
001700*                                                               *
001800*****************************************************************
001900 ENVIRONMENT DIVISION.
002000 CONFIGURATION SECTION.
002100 SOURCE-COMPUTER.            IBM-4341.
002200 OBJECT-COMPUTER.            IBM-4341.
002300/
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-D360-WORK-AREAS.
003000     03  WS-D360-CAT-INDEX   PIC  9(02)      VALUE ZERO.
003100/
003200     COPY MMQ4IO.
003300/
003400     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ4==.
003500/
003600     COPY MMQ4IR.
003700/
003800     COPY MMQ4RL.
003900/
004000     COPY MB00WS.
004100/
004200     COPY MMTCWS.
004300/
004400     COPY MB99WS.
004500/
004600     COPY SS00WS.
004700/
004800     COPY SS01WS.
004900/
005000     COPY SS02WS.
005100*
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500     COPY MBD360WS.
005600/
005700     COPY MMSCRL.
005800/
005900     COPY MMOCRL.
006000/
006100     COPY MMSMRL.
006200/
006300     COPY MTSTRL.
006400/
006500 PROCEDURE DIVISION              USING MBD360WS-AREA
006600                                       MMSC-RECORD
006700                                       MMOC-RECORD
006800                                       MMSM-RECORD
006900                                       MTST-RECORD.
007000*
007100 A000-MAIN-LINE SECTION.
007200 A010-ML-BEGIN.
007300*
007400     MOVE 'D360Q4'               TO SS02WS-ABEND-PROG-ID.
007500*
007600     IF  MMSC-REGION-A-P-OFF
007700         GO TO 9999-END-OF-PROGRAM.
007800*
007900     EVALUATE TRUE
008000       WHEN MBD360WS-Q4-PROCESS-RECORD
008100         PERFORM A500-PROCESS-RECORD
008200            THRU A599-PR-EXIT
008300       WHEN MBD360WS-Q4-ORG-CHANGE
008400         PERFORM A200-ORG-CHANGE
008500            THRU A299-OC-EXIT
008600       WHEN MBD360WS-Q4-ORG-UPDATE
008700         PERFORM A300-ORG-UPDATE
008800            THRU A399-OU-EXIT
008900       WHEN MBD360WS-Q4-OPEN-FILE
009000         PERFORM A100-OPEN-FILES
009100            THRU A199-OF-EXIT
009200       WHEN MBD360WS-Q4-CLOSE-FILE
009300         PERFORM A900-CLOSE-FILES
009400            THRU A999-CF-EXIT
009500       WHEN MBD360WS-Q4-ROLL-TOTALS
009600         PERFORM A400-ROLL-TOTALS
009700            THRU A499-RT-EXIT
009800     END-EVALUATE.
009900*
010000     GO TO 9999-END-OF-PROGRAM.
010100*
010200 A099-ML-EXIT.
010300     EXIT.
010400/
010500 A100-OPEN-FILES SECTION.
010600 A101-OF-BEGIN.
010700*
010800     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
010900     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
011000*
011100     MOVE 'O1Q4'                 TO SS02WS-ABEND-LOCATION.
011200     SET MMQ4RB-OPEN-IO-DYN      TO TRUE.
011300     PERFORM MB00PD-MMQ4-ACCESS
011400        THRU MB00PD-MMQ4-ACCESS-EXIT.
011500*
011600*
011700*
011800     MOVE 'R0Q4'                 TO SS02WS-ABEND-LOCATION.
011900     SET MMQ4RB-READ-SEQ         TO TRUE.
012000     PERFORM MB00PD-MMQ4-ACCESS
012100        THRU MB00PD-MMQ4-ACCESS-EXIT.
012200     MOVE 'MMQ4'                 TO MB99WS-FILE-ID.
012300*
012400     IF  MMQ4IO-HEADER
012500         NEXT SENTENCE
012600     ELSE
012700         PERFORM MB99PD-MISSING-HEADER-ABEND
012800            THRU MB99PD-MHA-EXIT.
012900*
013000     MOVE MMQ4IO-DATE-STAMP      TO MB99WS-FILE-DATE.
013100     MOVE MMQ4IO-TIME-STAMP      TO MB99WS-FILE-TIME.
013200     PERFORM MB99PD-CHECK-DATE-TIME
013300        THRU MB99PD-CDT-EXIT.
013400*
013500     MOVE MMQ4IO-RECORD          TO MMQ4-RECORD.
013600*
013700*
013800*
013900 A199-OF-EXIT.
014000     EXIT.
014100/
014200 A200-ORG-CHANGE SECTION.
014300 A201-OC-BEGIN.
014400*
014500     PERFORM
014600         UNTIL MMQ4IO-KEY IS NOT LESS THAN MMOC-KEY
014700            OR MMQ4IO-TRAILER
014800         EVALUATE TRUE
014900           WHEN MMQ4IO-HEADER
015000             CONTINUE
015100           WHEN MMQ4IO-KEY IS LESS THAN MMOC-KEY
015200             MOVE MMQ4IO-RECORD  TO MMQ4-RECORD
015300             SET MMQ4-REC-PURGED TO TRUE
015400             MOVE MMQ4-RECORD    TO MMQ4IO-RECORD
015500             MOVE 'U1Q4'         TO SS02WS-ABEND-LOCATION
015600             SET MMQ4RB-REWRITE  TO TRUE
015700             PERFORM MB00PD-MMQ4-ACCESS
015800                THRU MB00PD-MMQ4-ACCESS-EXIT
015900         END-EVALUATE
016000         MOVE 'R1Q4'             TO SS02WS-ABEND-LOCATION
016100         SET MMQ4RB-READ-SEQ     TO TRUE
016200         PERFORM MB00PD-MMQ4-ACCESS
016300            THRU MB00PD-MMQ4-ACCESS-EXIT
016400     END-PERFORM.
016500*
016600*
016700*
016800     IF  MMOC-NOT-PROCESSING
016900         EVALUATE TRUE
017000           WHEN MMOC-VISA-QTR-FLAG-AP
017100             IF  MMQ4IO-KEY IS EQUAL TO MMOC-KEY
017200                 MOVE 'R8Q4'     TO SS02WS-ABEND-LOCATION
017300                 SET MMQ4RB-READ-SEQ
017400                                 TO TRUE
017500                 PERFORM MB00PD-MMQ4-ACCESS
017600                    THRU MB00PD-MMQ4-ACCESS-EXIT
017700             END-IF
017800         END-EVALUATE
017900         GO TO A299-OC-EXIT.
018000*
018100*
018200*
018300     MOVE MMQ4IO-RECORD          TO MMQ4-RECORD.
018400*
018500     EVALUATE TRUE
018600       WHEN MMQ4-KEY IS GREATER THAN MMOC-KEY
018700         EVALUATE TRUE
018800           WHEN MMOC-VISA-QTR-FLAG-AP
018900             MOVE MMQ4IR-RECORD  TO MMQ4-RECORD
019000             MOVE MMOC-KEY       TO MMQ4-KEY
019100             SET MMQ4-REC-ACTIVE TO TRUE
019200             SET MMQ4-ADD-COMPLETED
019300                                 TO TRUE
019400             MOVE MMQ4-RECORD    TO MMQ4IO-RECORD
019500             MOVE 'W2Q4'         TO SS02WS-ABEND-LOCATION
019600             SET MMQ4RB-WRITE    TO TRUE
019700             PERFORM MB00PD-MMQ4-ACCESS
019800                THRU MB00PD-MMQ4-ACCESS-EXIT
019900             MOVE MMOC-KEY       TO MMQ4IO-KEY
020000             MOVE 'S2Q4'         TO SS02WS-ABEND-LOCATION
020100             SET MMQ4RB-START-GTE
020200                                 TO TRUE
020300             PERFORM MB00PD-MMQ4-ACCESS
020400                THRU MB00PD-MMQ4-ACCESS-EXIT
020500             MOVE 'R2Q4'         TO SS02WS-ABEND-LOCATION
020600             SET MMQ4RB-READ-SEQ TO TRUE
020700             PERFORM MB00PD-MMQ4-ACCESS
020800                THRU MB00PD-MMQ4-ACCESS-EXIT
020900           WHEN OTHER
021000             MOVE MMQ4IR-RECORD  TO MMQ4-RECORD
021100         END-EVALUATE
021200       WHEN MMQ4-KEY IS EQUAL TO MMOC-KEY
021300         EVALUATE TRUE
021400           WHEN MMOC-VISA-QTR-FLAG-AP
021500             IF  MMQ4-REC-ACTIVE
021600                 CONTINUE
021700             ELSE
021800                 MOVE MMQ4IR-RECORD
021900                                 TO MMQ4-RECORD
022000                 MOVE MMOC-KEY   TO MMQ4-KEY
022100                 SET MMQ4-REC-ACTIVE
022200                                 TO TRUE
022300             END-IF
022400           WHEN OTHER
022500             SET MMQ4-REC-PURGED TO TRUE
022600             MOVE MMQ4-RECORD    TO MMQ4IO-RECORD
022700             MOVE 'U2Q4'         TO SS02WS-ABEND-LOCATION
022800             SET MMQ4RB-REWRITE  TO TRUE
022900             PERFORM MB00PD-MMQ4-ACCESS
023000                THRU MB00PD-MMQ4-ACCESS-EXIT
023100         END-EVALUATE
023200     END-EVALUATE.
023300*
023400*
023500*
023600 A299-OC-EXIT.
023700     EXIT.
023800/
023900 A300-ORG-UPDATE SECTION.
024000 A301-OU-BEGIN.
024100*
024200     IF  MMQ4-QTR-BEG-DATE(1) IS EQUAL TO ZERO
024300     AND MMQ4-QTR-END-DATE(1) IS EQUAL TO ZERO
024400         MOVE MBD360WS-QTR-BEG-DATE
024500                                 TO MMQ4-QTR-BEG-DATE (1)
024600         MOVE MBD360WS-QTR-END-DATE
024700                                 TO MMQ4-QTR-END-DATE (1)
024800     END-IF.
024900*
025000     EVALUATE TRUE
025100       WHEN MMOC-VISA-QTR-FLAG-AP
025200         MOVE MMQ4-RECORD        TO MMQ4IO-RECORD
025300         MOVE 'U3Q4'             TO SS02WS-ABEND-LOCATION
025400         SET MMQ4RB-REWRITE      TO TRUE
025500         PERFORM MB00PD-MMQ4-ACCESS
025600            THRU MB00PD-MMQ4-ACCESS-EXIT
025700         MOVE 'R3Q4'             TO SS02WS-ABEND-LOCATION
025800         SET MMQ4RB-READ-SEQ     TO TRUE
025900         PERFORM MB00PD-MMQ4-ACCESS
026000            THRU MB00PD-MMQ4-ACCESS-EXIT
026100     END-EVALUATE.
026200*
026300 A399-OU-EXIT.
026400     EXIT.
026500*
026600*
026700*
026800 A400-ROLL-TOTALS SECTION.
026900 A401-RT-BEGIN.
027000*
027100     MOVE MMQ4-VI-TABLE (3)      TO MMQ4-VI-TABLE (4).
027200     MOVE MMQ4-VI-TABLE (2)      TO MMQ4-VI-TABLE (3).
027300     MOVE MMQ4-VI-TABLE (1)      TO MMQ4-VI-TABLE (2).
027400     MOVE MMQ4IR-VI-TABLE (1)    TO MMQ4-VI-TABLE (1).
027500*
027600     MOVE MBD360WS-QTR-BEG-DATE  TO MMQ4-QTR-BEG-DATE (1).
027700     MOVE MBD360WS-QTR-END-DATE  TO MMQ4-QTR-END-DATE (1).
027800*
027900 A499-RT-EXIT.
028000     EXIT.
028100/
028200 A500-PROCESS-RECORD SECTION.
028300 A501-PR-BEGIN.
028400*
028500     IF  MMOC-VISA-QTR-FLAG-AP
028600         CONTINUE
028700     ELSE
028800         GO TO A599-PR-EXIT.
028900*
029000     IF  MTST-PROD-IS-VISA
029100         CONTINUE
029200     ELSE
029300         GO TO A599-PR-EXIT.
029400*
029500     MOVE MTST-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
029600*
029700     IF  MMTCWS-LM-SALE
029800     OR  MMTCWS-LM-SALE-REV
029900     OR  MMTCWS-LM-RETURN
030000     OR  MMTCWS-LM-RETURN-REV
030100         CONTINUE
030200     ELSE
030300         GO TO A599-PR-EXIT.
030400*
030500     PERFORM V000-PROCESS-VISA-QR
030600        THRU V099-PVQR-EXIT.
030700*
030800 A599-PR-EXIT.
030900     EXIT.
031000/
031100 A900-CLOSE-FILES SECTION.
031200 A901-CF-BEGIN.
031300*
031400     MOVE 'C1Q4'                 TO SS02WS-ABEND-LOCATION.
031500     SET MMQ4RB-CLOSE            TO TRUE.
031600     PERFORM MB00PD-MMQ4-ACCESS
031700        THRU MB00PD-MMQ4-ACCESS-EXIT.
031800*
031900 A999-CF-EXIT.
032000     EXIT.
032100/
032200 V000-PROCESS-VISA-QR SECTION.
032300 V001-PVQR-BEGIN.
032400*
032500     EVALUATE TRUE
032600         WHEN MBD360WS-CURR-MM IS EQUAL TO 01
032700         WHEN MBD360WS-CURR-MM IS EQUAL TO 04
032800         WHEN MBD360WS-CURR-MM IS EQUAL TO 07
032900         WHEN MBD360WS-CURR-MM IS EQUAL TO 10
033000             SET X-MMQ4-VI-MON   TO 1
033100             MOVE MBD360WS-CURR-YY
033200                                 TO MMQ4-VI-YEAR (1 1)
033300             MOVE MBD360WS-CURR-MM
033400                                 TO MMQ4-VI-MONTH (1 1)
033500         WHEN MBD360WS-CURR-MM IS EQUAL TO 02
033600         WHEN MBD360WS-CURR-MM IS EQUAL TO 05
033700         WHEN MBD360WS-CURR-MM IS EQUAL TO 08
033800         WHEN MBD360WS-CURR-MM IS EQUAL TO 11
033900             SET X-MMQ4-VI-MON   TO 2
034000             MOVE MBD360WS-CURR-YY
034100                                 TO MMQ4-VI-YEAR (1 2)
034200             MOVE MBD360WS-CURR-MM
034300                                 TO MMQ4-VI-MONTH (1 2)
034400         WHEN OTHER
034500             SET X-MMQ4-VI-MON   TO 3
034600             MOVE MBD360WS-CURR-YY
034700                                 TO MMQ4-VI-YEAR (1 3)
034800             MOVE MBD360WS-CURR-MM
034900                                 TO MMQ4-VI-MONTH (1 3)
035000     END-EVALUATE.
035100*
035200     EVALUATE TRUE
035300         WHEN MMTCWS-LM-RETURN
035400         WHEN MMTCWS-LM-SALE-REV
035500             ADD  MTST-AMOUNT    TO MMQ4-VI-CREDITS-AMT(1)
035600             ADD  MTST-NBR-ITEMS TO MMQ4-VI-CREDITS-NBR(1)
035700         WHEN MMTCWS-LM-SALE
035800         WHEN MMTCWS-LM-RETURN-REV
035900             ADD MTST-AMOUNT     TO MMQ4-VI-SALES-AMT
036000                                    (1 X-MMQ4-VI-MON)
036100             ADD MTST-NBR-ITEMS  TO MMQ4-VI-SALES-NBR
036200                                    (1 X-MMQ4-VI-MON)
036300     END-EVALUATE.
036400*
036500     EVALUATE TRUE
036600*                                                                 FX800047
036700*                                                                 FX800047
036800         WHEN MMSM-STORE-CASH-ADV
036900         WHEN MMSM-STORE-ATM
037000             EVALUATE TRUE
037100                 WHEN MMTCWS-LM-SALE
037200                 WHEN MMTCWS-LM-RETURN-REV
037300                     ADD MTST-AMOUNT
037400                                 TO MMQ4-VI-CASH-DISB-AMT(1)
037500                     ADD MTST-NBR-ITEMS
037600                                 TO MMQ4-VI-CASH-DISB-NBR(1)
037700             END-EVALUATE
037800     END-EVALUATE.
037900*
038000     EVALUATE TRUE
038100         WHEN MTST-QI-INTRACHANGE
038200         WHEN MMSM-STORE-CASH-ADV
038300         WHEN MMSM-STORE-ATM
038400             CONTINUE
038500         WHEN MMTCWS-LM-RETURN
038600         WHEN MMTCWS-LM-SALE-REV
038700             ADD MTST-AMOUNT     TO MMQ4-VI-INTER-RETURNS-AMT(1)
038800             ADD MTST-NBR-ITEMS  TO MMQ4-VI-INTER-RETURNS-NBR(1)
038900         WHEN MMTCWS-LM-SALE
039000         WHEN MMTCWS-LM-RETURN-REV
039100             ADD MTST-AMOUNT     TO MMQ4-VI-INTER-SALES-AMT(1)
039200             ADD MTST-NBR-ITEMS  TO MMQ4-VI-INTER-SALES-NBR(1)
039300     END-EVALUATE.
039400*
039500*
039600*
039700 V099-PVQR-EXIT.
039800     EXIT.
039900/
040000 9000-PERFORMED-ROUTINES-SECT SECTION.
040100     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ4==.
040200/
040300     COPY MB99PD.
040400/
040500     COPY SS02PD.
040600*
040700 9995-END-SOURCE-STATEMENTS SECTION.
040800 9999-END-OF-PROGRAM.
040900     GOBACK.
