000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD360Q6.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBD360Q6 - CEMEA QUARTERLY REPORT TOTALS - TRANS + VOLUME   *
000800*                                                               *
000900*****************************************************************
001000*                                                               *
001100*   N O T E --- THIS PROGRAM IS AN ATTACHMENT TO THE STORE      *
001200*               POSTING PROGRAM AND PROVIDES FOR THE            *
001300*               ACCUMULATION OF CEMEA TRANSACTIONS AND VOLUME   *
001400*               TOTALS FOR THE CEMEA QUARTERLY REPORTS.         *
001500*               ACCEPTANCE INFORMATION IS ACCUMULATED BY PROGRAM*
001600*               MBD376.                                         *
001700*                                                               *
001800*****************************************************************
001900 ENVIRONMENT DIVISION.
002000 CONFIGURATION SECTION.
002100 SOURCE-COMPUTER.            IBM-4341.
002200 OBJECT-COMPUTER.            IBM-4341.
002300/
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  WS-D360-WORK-AREAS.
003000     03  WS-D360-CAT-INDEX   PIC  9(02)      VALUE ZERO.
003100/
003200     COPY MMQ6IO.
003300/
003400     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ6==.
003500/
003600     COPY MMQ6IR.
003700/
003800     COPY MMQ6RL.
003900/
004000     COPY MB00WS.
004100/
004200     COPY MMTCWS.
004300/
004400     COPY MTPTWS REPLACING ==:MTPT:== BY ==MTPT==.
004500/
004600     COPY MB99WS.
004700/
004800     COPY SS00WS.
004900/
005000     COPY SS01WS.
005100/
005200     COPY SS02WS.
005300*
005400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005500/
005600 LINKAGE SECTION.
005700     COPY MBD360WS.
005800/
005900     COPY MMSCRL.
006000/
006100     COPY MMOCRL.
006200/
006300     COPY MMSMRL.
006400/
006500     COPY MTSTRL.
006600/
006700 PROCEDURE DIVISION              USING MBD360WS-AREA
006800                                       MMSC-RECORD
006900                                       MMOC-RECORD
007000                                       MMSM-RECORD
007100                                       MTST-RECORD.
007200*
007300 A000-MAIN-LINE SECTION.
007400 A010-ML-BEGIN.
007500*
007600     MOVE 'D360Q6'               TO SS02WS-ABEND-PROG-ID.
007700*
007800     IF  MMSC-REGION-CEMEA-OFF
007900         GO TO 9999-END-OF-PROGRAM.
008000*
008100     EVALUATE TRUE
008200       WHEN MBD360WS-Q6-PROCESS-RECORD
008300         PERFORM A500-PROCESS-RECORD
008400            THRU A599-PR-EXIT
008500       WHEN MBD360WS-Q6-ORG-CHANGE
008600         PERFORM A200-ORG-CHANGE
008700            THRU A299-OC-EXIT
008800       WHEN MBD360WS-Q6-ORG-UPDATE
008900         PERFORM A300-ORG-UPDATE
009000            THRU A399-OU-EXIT
009100       WHEN MBD360WS-Q6-OPEN-FILE
009200         PERFORM A100-OPEN-FILES
009300            THRU A199-OF-EXIT
009400       WHEN MBD360WS-Q6-CLOSE-FILE
009500         PERFORM A900-CLOSE-FILES
009600            THRU A999-CF-EXIT
009700       WHEN MBD360WS-Q6-ROLL-TOTALS
009800         PERFORM A400-ROLL-TOTALS
009900            THRU A499-RT-EXIT
010000     END-EVALUATE.
010100*
010200     GO TO 9999-END-OF-PROGRAM.
010300*
010400 A099-ML-EXIT.
010500     EXIT.
010600/
010700 A100-OPEN-FILES SECTION.
010800 A101-OF-BEGIN.
010900*
011000     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
011100     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
011200*
011300     MOVE 'O1Q6'                 TO SS02WS-ABEND-LOCATION.
011400     SET MMQ6RB-OPEN-IO-DYN      TO TRUE.
011500     PERFORM MB00PD-MMQ6-ACCESS
011600        THRU MB00PD-MMQ6-ACCESS-EXIT.
011700*
011800*
011900*
012000     MOVE 'R0Q6'                 TO SS02WS-ABEND-LOCATION.
012100     SET MMQ6RB-READ-SEQ         TO TRUE.
012200     PERFORM MB00PD-MMQ6-ACCESS
012300        THRU MB00PD-MMQ6-ACCESS-EXIT.
012400     MOVE 'MMQ6'                 TO MB99WS-FILE-ID.
012500*
012600     IF  MMQ6IO-HEADER
012700         NEXT SENTENCE
012800     ELSE
012900         PERFORM MB99PD-MISSING-HEADER-ABEND
013000            THRU MB99PD-MHA-EXIT.
013100*
013200     MOVE MMQ6IO-DATE-STAMP      TO MB99WS-FILE-DATE.
013300     MOVE MMQ6IO-TIME-STAMP      TO MB99WS-FILE-TIME.
013400     PERFORM MB99PD-CHECK-DATE-TIME
013500        THRU MB99PD-CDT-EXIT.
013600*
013700     MOVE MMQ6IO-RECORD          TO MMQ6-RECORD.
013800*
013900*
014000*
014100 A199-OF-EXIT.
014200     EXIT.
014300/
014400 A200-ORG-CHANGE SECTION.
014500 A201-OC-BEGIN.
014600*
014700     PERFORM
014800         UNTIL MMQ6IO-KEY IS NOT LESS THAN MMOC-KEY
014900            OR MMQ6IO-TRAILER
015000         EVALUATE TRUE
015100           WHEN MMQ6IO-HEADER
015200             CONTINUE
015300           WHEN MMQ6IO-KEY IS LESS THAN MMOC-KEY
015400             MOVE MMQ6IO-RECORD  TO MMQ6-RECORD
015500             SET MMQ6-REC-PURGED TO TRUE
015600             MOVE MMQ6-RECORD    TO MMQ6IO-RECORD
015700             MOVE 'U1Q6'         TO SS02WS-ABEND-LOCATION
015800             SET MMQ6RB-REWRITE  TO TRUE
015900             PERFORM MB00PD-MMQ6-ACCESS
016000                THRU MB00PD-MMQ6-ACCESS-EXIT
016100         END-EVALUATE
016200         MOVE 'R1Q6'             TO SS02WS-ABEND-LOCATION
016300         SET MMQ6RB-READ-SEQ     TO TRUE
016400         PERFORM MB00PD-MMQ6-ACCESS
016500            THRU MB00PD-MMQ6-ACCESS-EXIT
016600     END-PERFORM.
016700*
016800*
016900*
017000     IF  MMOC-NOT-PROCESSING
017100         EVALUATE TRUE
017200           WHEN MMOC-VISA-QTR-FLAG-CEMEA
017300             IF  MMQ6IO-KEY IS EQUAL TO MMOC-KEY
017400                 MOVE 'R8Q6'     TO SS02WS-ABEND-LOCATION
017500                 SET MMQ6RB-READ-SEQ
017600                                 TO TRUE
017700                 PERFORM MB00PD-MMQ6-ACCESS
017800                    THRU MB00PD-MMQ6-ACCESS-EXIT
017900             END-IF
018000         END-EVALUATE
018100         GO TO A299-OC-EXIT.
018200*
018300*
018400*
018500     MOVE MMQ6IO-RECORD          TO MMQ6-RECORD.
018600*
018700     EVALUATE TRUE
018800       WHEN MMQ6-KEY IS GREATER THAN MMOC-KEY
018900         EVALUATE TRUE
019000           WHEN MMOC-VISA-QTR-FLAG-CEMEA
019100             MOVE MMQ6IR-RECORD  TO MMQ6-RECORD
019200             MOVE MMOC-KEY       TO MMQ6-KEY
019300             SET MMQ6-REC-ACTIVE TO TRUE
019400             SET MMQ6-ADD-COMPLETED
019500                                 TO TRUE
019600             MOVE MMQ6-RECORD    TO MMQ6IO-RECORD
019700             MOVE 'W2Q6'         TO SS02WS-ABEND-LOCATION
019800             SET MMQ6RB-WRITE    TO TRUE
019900             PERFORM MB00PD-MMQ6-ACCESS
020000                THRU MB00PD-MMQ6-ACCESS-EXIT
020100             MOVE MMOC-KEY       TO MMQ6IO-KEY
020200             MOVE 'S2Q6'         TO SS02WS-ABEND-LOCATION
020300             SET MMQ6RB-START-GTE
020400                                 TO TRUE
020500             PERFORM MB00PD-MMQ6-ACCESS
020600                THRU MB00PD-MMQ6-ACCESS-EXIT
020700             MOVE 'R2Q6'         TO SS02WS-ABEND-LOCATION
020800             SET MMQ6RB-READ-SEQ TO TRUE
020900             PERFORM MB00PD-MMQ6-ACCESS
021000                THRU MB00PD-MMQ6-ACCESS-EXIT
021100           WHEN OTHER
021200             MOVE MMQ6IR-RECORD  TO MMQ6-RECORD
021300         END-EVALUATE
021400       WHEN MMQ6-KEY IS EQUAL TO MMOC-KEY
021500         EVALUATE TRUE
021600           WHEN MMOC-VISA-QTR-FLAG-CEMEA
021700             IF  MMQ6-REC-ACTIVE
021800                 CONTINUE
021900             ELSE
022000                 MOVE MMQ6IR-RECORD
022100                                 TO MMQ6-RECORD
022200                 MOVE MMOC-KEY   TO MMQ6-KEY
022300                 SET MMQ6-REC-ACTIVE
022400                                 TO TRUE
022500             END-IF
022600           WHEN OTHER
022700             SET MMQ6-REC-PURGED TO TRUE
022800             MOVE MMQ6-RECORD    TO MMQ6IO-RECORD
022900             MOVE 'U2Q6'         TO SS02WS-ABEND-LOCATION
023000             SET MMQ6RB-REWRITE  TO TRUE
023100             PERFORM MB00PD-MMQ6-ACCESS
023200                THRU MB00PD-MMQ6-ACCESS-EXIT
023300         END-EVALUATE
023400     END-EVALUATE.
023500*
023600*
023700*
023800 A299-OC-EXIT.
023900     EXIT.
024000/
024100 A300-ORG-UPDATE SECTION.
024200 A301-OU-BEGIN.
024300*
024400     IF  MMQ6-QTR-BEG-DATE(1) IS EQUAL TO ZERO
024500     AND MMQ6-QTR-END-DATE(1) IS EQUAL TO ZERO
024600         MOVE MBD360WS-QTR-BEG-DATE
024700                                 TO MMQ6-QTR-BEG-DATE (1)
024800         MOVE MBD360WS-QTR-END-DATE
024900                                 TO MMQ6-QTR-END-DATE (1)
025000     END-IF.
025100*
025200     EVALUATE TRUE
025300       WHEN MMOC-VISA-QTR-FLAG-CEMEA
025400         MOVE MMQ6-RECORD        TO MMQ6IO-RECORD
025500         MOVE 'U3Q6'             TO SS02WS-ABEND-LOCATION
025600         SET MMQ6RB-REWRITE      TO TRUE
025700         PERFORM MB00PD-MMQ6-ACCESS
025800            THRU MB00PD-MMQ6-ACCESS-EXIT
025900         MOVE 'R3Q6'             TO SS02WS-ABEND-LOCATION
026000         SET MMQ6RB-READ-SEQ     TO TRUE
026100         PERFORM MB00PD-MMQ6-ACCESS
026200            THRU MB00PD-MMQ6-ACCESS-EXIT
026300     END-EVALUATE.
026400*
026500 A399-OU-EXIT.
026600     EXIT.
026700*
026800*
026900*
027000 A400-ROLL-TOTALS SECTION.
027100 A401-RT-BEGIN.
027200*
027300     MOVE MMQ6-VI-TABLE (3)      TO MMQ6-VI-TABLE (4).
027400     MOVE MMQ6-VI-TABLE (2)      TO MMQ6-VI-TABLE (3).
027500     MOVE MMQ6-VI-TABLE (1)      TO MMQ6-VI-TABLE (2).
027600     MOVE MMQ6IR-VI-TABLE (1)    TO MMQ6-VI-TABLE (1).
027700*
027800     MOVE MBD360WS-QTR-BEG-DATE  TO MMQ6-QTR-BEG-DATE (1).
027900     MOVE MBD360WS-QTR-END-DATE  TO MMQ6-QTR-END-DATE (1).
028000*
028100 A499-RT-EXIT.
028200     EXIT.
028300/
028400 A500-PROCESS-RECORD SECTION.
028500 A501-PR-BEGIN.
028600*
028700     IF  MMOC-VISA-QTR-FLAG-CEMEA
028800         CONTINUE
028900     ELSE
029000         GO TO A599-PR-EXIT.
029100*
029200     IF  MTST-PROD-IS-VISA
029300         CONTINUE
029400     ELSE
029500         GO TO A599-PR-EXIT.
029600*
029700     MOVE MTST-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
029800*
029900     IF  MMTCWS-LM-SALE
030000     OR  MMTCWS-LM-SALE-REV
030100     OR  MMTCWS-LM-RETURN
030200     OR  MMTCWS-LM-RETURN-REV
030300         CONTINUE
030400     ELSE
030500         GO TO A599-PR-EXIT.
030600*
030700     PERFORM V000-PROCESS-VISA-QR
030800        THRU V099-PVQR-EXIT.
030900*
031000 A599-PR-EXIT.
031100     EXIT.
031200/
031300 A900-CLOSE-FILES SECTION.
031400 A901-CF-BEGIN.
031500*
031600     MOVE 'C1Q6'                 TO SS02WS-ABEND-LOCATION.
031700     SET MMQ6RB-CLOSE            TO TRUE.
031800     PERFORM MB00PD-MMQ6-ACCESS
031900        THRU MB00PD-MMQ6-ACCESS-EXIT.
032000*
032100 A999-CF-EXIT.
032200     EXIT.
032300/
032400 V000-PROCESS-VISA-QR SECTION.
032500 V001-PVQR-BEGIN.
032600*
032700     EVALUATE TRUE
032800         WHEN MBD360WS-CURR-MM IS EQUAL TO 01
032900         WHEN MBD360WS-CURR-MM IS EQUAL TO 04
033000         WHEN MBD360WS-CURR-MM IS EQUAL TO 07
033100         WHEN MBD360WS-CURR-MM IS EQUAL TO 10
033200             SET X-MMQ6-VI-MON   TO 1
033300             MOVE MBD360WS-CURR-YY
033400                                 TO MMQ6-VI-YEAR (1 1)
033500             MOVE MBD360WS-CURR-MM
033600                                 TO MMQ6-VI-MONTH (1 1)
033700         WHEN MBD360WS-CURR-MM IS EQUAL TO 02
033800         WHEN MBD360WS-CURR-MM IS EQUAL TO 05
033900         WHEN MBD360WS-CURR-MM IS EQUAL TO 08
034000         WHEN MBD360WS-CURR-MM IS EQUAL TO 11
034100             SET X-MMQ6-VI-MON   TO 2
034200             MOVE MBD360WS-CURR-YY
034300                                 TO MMQ6-VI-YEAR (1 2)
034400             MOVE MBD360WS-CURR-MM
034500                                 TO MMQ6-VI-MONTH (1 2)
034600         WHEN OTHER
034700             SET X-MMQ6-VI-MON   TO 3
034800             MOVE MBD360WS-CURR-YY
034900                                 TO MMQ6-VI-YEAR (1 3)
035000             MOVE MBD360WS-CURR-MM
035100                                 TO MMQ6-VI-MONTH (1 3)
035200     END-EVALUATE.
035300*
035400     MOVE MTST-CARD-PROD-TYPE    TO MTPTWS-CARD-PROD-TYPE.
035500*
035600     EVALUATE TRUE
035700         WHEN MMTCWS-LM-RETURN
035800         WHEN MMTCWS-LM-SALE-REV
035900             ADD  MTST-AMOUNT    TO MMQ6-VI-REFUND-AMT
036000                                    (1 X-MMQ6-VI-MON)
036100             ADD  MTST-NBR-ITEMS TO MMQ6-VI-REFUND-NBR
036200                                    (1 X-MMQ6-VI-MON)
036300         WHEN MMTCWS-LM-SALE
036400         WHEN MMTCWS-LM-RETURN-REV
036500             EVALUATE TRUE
036600                 WHEN MMSM-STORE-ATM
036700                     ADD MTST-AMOUNT
036800                                 TO MMQ6-VI-ATM-AMT
036900                                    (1 X-MMQ6-VI-MON)
037000                     ADD MTST-NBR-ITEMS
037100                                 TO MMQ6-VI-ATM-NBR
037200                                    (1 X-MMQ6-VI-MON)
037300                 WHEN MMSM-STORE-CASH-ADV
037400                     ADD MTST-AMOUNT
037500                                 TO MMQ6-VI-CASH-ADV-AMT
037600                                    (1 X-MMQ6-VI-MON)
037700                     ADD MTST-NBR-ITEMS
037800                                 TO MMQ6-VI-CASH-ADV-NBR
037900                                    (1 X-MMQ6-VI-MON)
038000                 WHEN MTPTWS-CPT-VI-ELECTRON
038100                     ADD MTST-AMOUNT
038200                                 TO MMQ6-VI-ELECTRON-AMT
038300                                    (1 X-MMQ6-VI-MON)
038400                     ADD MTST-NBR-ITEMS
038500                                 TO MMQ6-VI-ELECTRON-NBR
038600                                    (1 X-MMQ6-VI-MON)
038700                 WHEN OTHER
038800                     ADD MTST-AMOUNT
038900                                 TO MMQ6-VI-VISA-AMT
039000                                    (1 X-MMQ6-VI-MON)
039100                     ADD MTST-NBR-ITEMS
039200                                 TO MMQ6-VI-VISA-NBR
039300                                    (1 X-MMQ6-VI-MON)
039400             END-EVALUATE
039500     END-EVALUATE.
039600*
039700*
039800*
039900 V099-PVQR-EXIT.
040000     EXIT.
040100/
040200 9000-PERFORMED-ROUTINES-SECT SECTION.
040300     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ6==.
040400/
040500     COPY MB99PD.
040600/
040700     COPY SS02PD.
040800*
040900 9995-END-SOURCE-STATEMENTS SECTION.
041000 9999-END-OF-PROGRAM.
041100     GOBACK.
