000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72002.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72002 - OPTIONAL REPORT 02 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72002-WORK-AREAS.
002100     03  WS-D72002-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +34.
002400*
002500*****************************************************
002600*    THE VALUE FOR THE FOLLWING LEVEL INDICES ARE:  *
002700*       1 - ORGANIZATION                            *
002800*       2 - MERCHANT                                *
002900*       3 - STORE, PLAN OR T/C                      *
003000*                                                   *
003100*    THE VALUE FOR THE FOLLWING ITEM INDICES ARE:   *
003200*       1 - DEPOSITS DEBITS                         *
003300*       2 - DEPOSITS CREDIT                         *
003400*       3 - RESERVES DEBITS                         *
003500*       4 - RESERVES CREDIT                         *
003600*       5 - DISCOUNT DEBITS                         *
003700*       6 - DISCOUNT CREDIT                         *
003800*       7 - PARTICIPTION DEBITS                     *
003900*       8 - PARTICIPTION CREDIT                     *
004000*       9 - SYSTEM ADJUSTMENTS DEBITS               *
004100*      10 - SYSTEM ADJUSTMENTS CREDIT               *
004200*      11 - RECOVERY ADJUSTMENTS DEBITS             *
004300*      12 - RECOVERY ADJUSTMENTS CREDIT             *
004400*      13 - SYSTEM FEES DEBIT                       *
004500*      14 - SYSTEM FEES CREDIT                      *
004600*      15 - USER FEES DEBIT                         *
004700*      16 - USER FEES CREDIT                        *
004800*      17 - INTERCHANGE FEES DEBITS                 *
004900*      18 - INTERCHANGE FEES CREDIT                 *
005000*      19 - USER CREDITS DEBITS                     *
005100*      20 - USER CREDITS CREDIT                     *
005200*      21 - TRANSFER TO BILLING/INVOICE DEBITS      *
005300*      22 - TRANSFER TO BILLING/INVOICE CREDITS     *
005400*      23 - HOLDOVER DEBITS                         *
005500*      24 - HOLDOVER CREDITS                        *
005600*      25 - SETTLEMENT DEBITS -- ACH                *
005700*      26 - SETTLEMENT CREDITS - ACH                *
005800*      27 - SETTLEMENT DEBITS -- CHECK              *
005900*      28 - SETTLEMENT CREDITS - CHECK              *
006000*      29 - SETTLEMENT DEBITS -- WIRE TRANSFER      *
006100*      30 - SETTLEMENT CREDITS - WIRE TRANSFER      *
006200*      31 - SETTLEMENT DEBITS -- MANUAL             *
006300*      32 - SETTLEMENT CREDITS - MANUAL             *
006400*      33 - SETTLEMENT DEBITS -- BILLING/INVOICE    *
006500*      34 - SETTLEMENT CREDITS - BILLING/INVOICE    *
006600*      35 - SETTLEMENT DEBITS -- WINDOW             *
006700*      36 - SETTLEMENT CREDITS - WINDOW             *
006800*      37 - WINDOW TRANSACTIONS DEBITS              *
006900*      38 - WINDOW TRANSACTIONS CREDIT              *
007000*      39 - DEPOSIT MEMOS DEBITS                    *
007100*      40 - DEPOSIT MEMOS CREDIT                    *
007200*      41 - AUTHORIZATION DECLINES                  *
007300*      42 - AUTHORIZATION APPROVALS                 *
007400*      43 - MEMOS DEBITS                            *
007500*      44 - MEMOS CREDITS                           *
007600*      45 - RESERVE BALANCE DEBITS                  *
007700*      46 - RESERVE BALANCE CREDITS                 *
007800*                                                   *
007900*****************************************************
008000*
008100     03  WS-TOTALS-TABLE.
008200         05  WS-TT-LEVEL                     OCCURS 3 TIMES
008300                                             INDEXED BY
008400                                             X-WS-TT.
008500             07  WS-TT-ITEM                  OCCURS 46 TIMES
008600                                             INDEXED BY
008700                                             X-WS-TT-ITEM.
008800                 09  WS-TT-NBR
008900                             PIC S9(09)      COMP-3.
009000                 09  WS-TT-AMT
009100                             PIC S9(17)      COMP-3.
009200/
009300*****************************************************
009400*    THE VALUE FOR THE FOLLWING ITEM INDICES ARE:   *
009500*       1 - DEPOSITS                                *
009600*       2 - RESERVES                                *
009700*       3 - DISCOUNT                                *
009800*       4 - PARTICIPTION                            *
009900*       5 - SYSTEM ADJUSTMENTS                      *
010000*       6 - RECOVERY ADJUSTMENTS                    *
010100*       7 - SYSTEM FEES DEBIT                       *
010200*       8 - USER FEES DEBIT                         *
010300*       9 - INTERCHANGE FEES                        *
010400*      10 - USER CREDITS                            *
010500*      11 - TRANSFER TO BILLING/INVOICE             *
010600*      12 - HOLDOVER                                *
010700*      13 - SETTLEMENT -- ACH                       *
010800*      14 - SETTLEMENT -- CHECK                     *
010900*      15 - SETTLEMENT -- WIRE TRANSFER             *
011000*      16 - SETTLEMENT -- MANUAL                    *
011100*      17 - SETTLEMENT -- BILLING/INVOICE           *
011200*      18 - SETTLEMENT -- WINDOW                    *
011300*      19 - WINDOW TRANSACTIONS                     *
011400*      20 - DEPOSIT MEMOS                           *
011500*      21 - AUTHORIZATION DECLINES                  *
011600*      22 - MEMOS                                   *
011700*      23 - RESERVE BALANCE                         *
011800*      24 - FUTURE USE                              *
011900*      25 - FUTURE USE                              *
012000*      26 - FUTURE USE                              *
012100*      27 - FUTURE USE                              *
012200*      28 - SETTLEMENT IN SUB-TOTAL                 *
012300*      29 - SETTLEMENT IN TOTALS                    *
012400*      30 - SETTLEMENT OUT TOTALS                   *
012500*                                                   *
012600*****************************************************
012700*
012800     03  WS-TOTAL-ITEM-PRINT-TABLE.
012900         05  WS-TIPT-ITEM                    OCCURS 30 TIMES
013000                                             INDEXED BY
013100                                             X-WS-TIPT-ITEM.
013200             07  WS-TIPT-ITEM-FLAG
013300                             PIC  X(01)      VALUE 'N'.
013400                 88  WS-TIPT-IF-PRINT        VALUE 'Y'.
013500                 88  WS-TIPT-IF-NO-PRINT     VALUE 'N'.
013600*
013700*
013800     03  WS-HOLD-MER-NBR     PIC  9(09)      VALUE ZERO.
013900/
014000     COPY MB20WS.
014100*
014200 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
014300     03  FILLER              PIC  X(01).
014400     03  WS-DL1-MER-NBR      PIC  9(09).
014500     03  FILLER              PIC  X(01).
014600     03  WS-DL1-STORE-NBR    PIC  9(09).
014700     03  FILLER              PIC  X(02).
014800     03  WS-DL1-TC-NBR       PIC  9(03).
014900     03  FILLER              PIC  X(01).
015000     03  WS-DL1-LM-NBR       PIC  9(03).
015100     03  FILLER              PIC  X(01).
015200     03  WS-DL1-CP-NBR       PIC  9(02).
015300     03  FILLER              PIC  X(01).
015400     03  WS-DL1-QL-NBR       PIC  9(02).
015500     03  FILLER              PIC  X(01).
015600     03  WS-DL1-PLAN-NBR     PIC  9(05).
015700     03  FILLER              PIC  X(01).
015800     03  WS-DL1-WINDOW       PIC  X(01).
015900     03  FILLER              PIC  X(01).
016000     03  WS-DL1-DATE         PIC  X(10).
016100     03  FILLER              PIC  X(01).
016200     03  WS-DL1-SOURCE-NBR   PIC  9(05).
016300     03  FILLER              PIC  X(02).
016400     03  WS-DL1-NBR          PIC  9(05).
016500     03  FILLER              PIC  X(01).
016600     03  WS-DL1-SEQ-NBR      PIC  9(08).
016700     03  FILLER              PIC  X(02).
016800     03  WS-DL1-OPER         PIC  X(03).
016900     03  WS-DL1-NBR-ITEMS    PIC  X(12).
017000     03  FILLER              PIC  X(01).
017100     03  WS-DL1-TRANS-AMT    PIC  X(21).
017200     03  WS-DL1-DESCRIPTION  PIC  X(15).
017300*
017400 01  WS-MERCHANT-TOTAL-LINE-1
017500                             REDEFINES MB20WS-PRINT-LINE.
017600     03  WS-MTL1-LIT-1       PIC  X(43).
017700     03  FILLER              PIC  X(07).
017800     03  WS-MTL1-MER-NBR     PIC  9(09).
017900     03  FILLER              PIC  X(04).
018000     03  WS-MTL1-MER-DESC    PIC  X(40).
018100     03  FILLER              PIC  X(29).
018200*
018300 01  WS-ORG-TOTAL-LINE-1     REDEFINES MB20WS-PRINT-LINE.
018400     03  WS-OTL1-LIT-1       PIC  X(47).
018500     03  FILLER              PIC  X(03).
018600     03  WS-OTL1-ORG-NBR     PIC  9(03).
018700     03  FILLER              PIC  X(10).
018800     03  WS-OTL1-ORG-DESC    PIC  X(40).
018900     03  FILLER              PIC  X(29).
019000*
019100 01  WS-HEADING-TOTAL-LINE-1 REDEFINES MB20WS-PRINT-LINE.
019200     03  FILLER              PIC  X(27).
019300     03  WS-HTL1-LIT-1       PIC  X(38).
019400     03  FILLER              PIC  X(04).
019500     03  WS-HTL1-LIT-2       PIC  X(38).
019600     03  FILLER              PIC  X(25).
019700*
019800 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
019900     03  FILLER              PIC  X(05).
020000     03  WS-TL1-LIT-1        PIC  X(22).
020100     03  WS-TL1-DR-NBR       PIC  X(12).
020200     03  FILLER              PIC  X(06).
020300     03  WS-TL1-DR-AMT       PIC  X(21).
020400     03  FILLER              PIC  X(04).
020500     03  WS-TL1-CR-NBR       PIC  X(12).
020600     03  FILLER              PIC  X(05).
020700     03  WS-TL1-CR-AMT       PIC  X(21).
020800     03  FILLER              PIC  X(24).
020900/
021000     COPY SS95WS.
021100/
021200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
021300/
021400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
021500/
021600     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
021700/
021800     COPY MMTCWS.
021900/
022000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
022100/
022200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
022300/
022400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
022500/
022600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
022700/
022800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
022900/
023000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
023100/
023200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
023300/
023400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
023500/
023600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
023700/
023800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
023900/
024000     COPY MB00WS.
024100/
024200     COPY SS00WS.
024300/
024400     COPY SS01WS.
024500/
024600     COPY SS02WS.
024700*
024800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
024900/
025000 LINKAGE SECTION.
025100     COPY MB22WS.
025200/
025300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
025400/
025500 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
025600                                       MTRF-RECORD.
025700*
025800 A000-MAIN-LINE-SECT SECTION.
025900 A010-ML-BEGIN.
026000*
026100     IF  MTRF-K1-RT-DETAIL
026200         PERFORM D000-DETAIL-RECORD
026300            THRU D099-DR-EXIT.
026400*
026500     IF  MTRF-K1-RT-HEADER
026600         PERFORM H000-HEADER-RECORD
026700            THRU H099-HR-EXIT.
026800*
026900     IF  MTRF-K1-RT-TRAILER
027000         PERFORM T000-TRAILER-RECORD
027100            THRU T099-TR-EXIT.
027200*
027300     GOBACK.
027400*
027500 A099-ML-EXIT.
027600     EXIT.
027700/
027800 D000-DETAIL-RECORD SECTION.
027900 D010-DR-BEGIN.
028000*
028100     MOVE 'Y'                    TO WS-D72002-ACTIVITY-SW.
028200*
028300     MOVE MTRF-MT-TRANSACTION    TO MTPT-RECORD.
028400*
028500     IF  MTPT-MERCHANT   IS NOT EQUAL TO WS-HOLD-MER-NBR
028600     AND WS-HOLD-MER-NBR IS GREATER THAN ZERO
028700         PERFORM 9100-CHECK-NBR-LINES
028800            THRU 9100-CNL-EXIT
028900         PERFORM 9020-PRINT-MER-TOTALS
029000            THRU 9020-PMT-EXIT
029100         PERFORM 9080-ZERO-MER-ACCUMS
029200            THRU 9080-ZMA-EXIT
029300         PERFORM MB22PD-PRINT-1-LINE
029400            THRU MB22PD-P1L-EXIT.
029500*
029600     MOVE MTPT-MERCHANT          TO WS-HOLD-MER-NBR.
029700*
029800     MOVE MTPT-MERCHANT          TO WS-DL1-MER-NBR.
029900     MOVE MTPT-STORE             TO WS-DL1-STORE-NBR.
030000     MOVE MTPT-TRANS-CODE        TO WS-DL1-TC-NBR.
030100     MOVE MTPT-LOGIC-MODULE      TO WS-DL1-LM-NBR.
030200     MOVE MTPT-PRODUCT           TO WS-DL1-CP-NBR.
030300     MOVE MTPT-QUAL-LEVEL        TO WS-DL1-QL-NBR.
030400     MOVE MTPT-PLAN              TO WS-DL1-PLAN-NBR.
030500*
030600     IF  MTPT-SETTLED-WINDOW
030700         MOVE MTPT-SETT-FLAG     TO WS-DL1-WINDOW.
030800*
030900     MOVE MTPT-BATCH-DATE        TO SS01WS-JULIAN.
031000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
031100        THRU SS26PD-NED-EXIT.
031200     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
031300     MOVE MTPT-BATCH-SOURCE      TO WS-DL1-SOURCE-NBR.
031400     MOVE MTPT-BATCH-NBR         TO WS-DL1-NBR.
031500     MOVE MTPT-BATCH-SEQ         TO WS-DL1-SEQ-NBR.
031600     MOVE MTPT-ORIG-OPERATOR     TO WS-DL1-OPER.
031700*
031800     MOVE MTPT-NBR-ITEMS         TO SS95WS-IN-NBR.
031900     PERFORM SS95PD-NAP-ROUTINE
032000        THRU SS95PD-NAP-EXIT.
032100     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-NBR-ITEMS.
032200*
032300     MOVE MTPT-AMOUNT            TO SS95WS-IN-AMT.
032400     PERFORM SS95PD-NAP-ROUTINE
032500        THRU SS95PD-NAP-EXIT.
032600     MOVE SS95WS-OUT-AMT-L20     TO WS-DL1-TRANS-AMT.
032700*
032800     MOVE MTPT-RPT-DESC          TO WS-DL1-DESCRIPTION.
032900*
033000     PERFORM 9050-ACCUMULATE-TOTALS
033100        THRU 9050-AT-EXIT.
033200*
033300     EVALUATE TRUE
033400         WHEN MTRF-K1-DETAIL
033500             PERFORM MB22PD-PRINT-1-LINE
033600                THRU MB22PD-P1L-EXIT
033700         WHEN OTHER
033800             MOVE SPACES         TO MB20WS-PRINT-LINE
033900     END-EVALUATE.
034000*
034100     MOVE MTRF-RECORD            TO MWRF-RECORD.
034200*
034300 D099-DR-EXIT.
034400     EXIT.
034500/
034600 H000-HEADER-RECORD SECTION.
034700 H010-HR-BEGIN.
034800*
034900     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
035000     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
035100     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
035200     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
035300     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
035400     MOVE 'O02'                  TO MB20WS-SH-INTERNAL-RPT-ID.
035500     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
035600     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
035700     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
035800     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
035900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
036000        THRU SS26PD-NED-EXIT.
036100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
036200     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
036300     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
036400*
036500     MOVE '  MERCHANT   STORE   *-- POSTING DATA ---*  '
036600                                 TO MB20WS-SH-L5R-1.
036700     MOVE '*----- BATCH INFORMATION ------*  OPER     N'
036800                                 TO MB20WS-SH-L5R-2.
036900     MOVE 'UMBER         TRANSACTION                   '
037000                                 TO MB20WS-SH-L5R-3.
037100*
037200     MOVE '   NUMBER   NUMBER    T/C L/M PR QL  PLAN   '
037300                                 TO MB20WS-SH-L6R-1.
037400     MOVE '   DATE   SOURCE   NBR     SEQ      ID      '
037500                                 TO MB20WS-SH-L6R-2.
037600     MOVE 'ITEMS            AMOUNT       DESCRIPTION   '
037700                                 TO MB20WS-SH-L6R-3.
037800*
037900     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
038000     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
038100     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
038200     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
038300     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
038400     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
038500     SET SS95WS-FUNCTION-INITIALIZE
038600                                 TO TRUE.
038700     PERFORM SS95PD-NAP-ROUTINE
038800        THRU SS95PD-NAP-EXIT.
038900*
039000     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
039100     SET SS95WS-NAP-IND-IS-ALL   TO TRUE.
039200     MOVE 'N'                    TO WS-D72002-ACTIVITY-SW.
039300     MOVE MTRF-RECORD            TO MTR9-RECORD.
039400     MOVE SPACES                 TO MWRF-RECORD.
039500     MOVE ZERO                   TO MWRF-MERCHANT.
039600     PERFORM 9070-ZERO-ORG-ACCUMS
039700        THRU 9070-ZOA-EXIT.
039800     PERFORM 9080-ZERO-MER-ACCUMS
039900        THRU 9080-ZMA-EXIT.
040000     PERFORM 9090-ZERO-STORE-ACCUMS
040100        THRU 9090-ZSA-EXIT.
040200     MOVE ZERO                   TO WS-HOLD-MER-NBR.
040300*
040400*****               111111111122222222223
040500*****      123456789012345678901234567890
040600     MOVE 'NYYYYYYYYYNNNNNNNNYYYYYNNNNNYN'
040700                                 TO WS-TOTAL-ITEM-PRINT-TABLE.
040800*
040900     MOVE 5                      TO WS-D720-LINE-CHECK.
041000*
041100     PERFORM
041200         VARYING X-WS-TIPT-ITEM FROM 1 BY 1
041300         UNTIL   X-WS-TIPT-ITEM IS GREATER THAN 30
041400         IF  WS-TIPT-IF-PRINT (X-WS-TIPT-ITEM)
041500             ADD  1              TO WS-D720-LINE-CHECK
041600         END-IF
041700     END-PERFORM.
041800*
041900     IF  WS-TIPT-IF-PRINT (28)
042000         ADD  1                  TO WS-D720-LINE-CHECK.
042100*
042200     IF  WS-TIPT-IF-PRINT (29)
042300         ADD  1                  TO WS-D720-LINE-CHECK.
042400*
042500     IF  WS-TIPT-IF-PRINT (30)
042600         ADD  1                  TO WS-D720-LINE-CHECK.
042700*
042800 H099-HR-EXIT.
042900     EXIT.
043000/
043100 T000-TRAILER-RECORD SECTION.
043200 T010-TR-BEGIN.
043300*
043400     MOVE MTR9-RECORD            TO MTRF-RECORD.
043500*
043600     IF  WS-D72002-ACTIVITY-SW IS EQUAL TO 'N'
043700         IF  MTRF-HD-AF-PRODUCE
043800             PERFORM MB22PD-PRINT-NO-ACTIVITY
043900                THRU MB22PD-PNA-EXIT
044000             GO TO T099-TR-EXIT
044100         ELSE
044200             GO TO T099-TR-EXIT.
044300*
044400***************************************************************
044500*    WE MUST NOW PRINT MERCHANT TOTALS. THE REASON FOR THIS IS*
044600*    WE COULD HAVE PRINTED SEVERAL DETAIL RECORDS AND THEN    *
044700*    ENCOUNTERED A TRAILER RECORD WITH OUT HAVING  PROCESSED  *
044800*    THE MERCHANT BREAK/TOTALING LOGIC. THIS CODE WILL FORCE  *
044900*    A MERCHANT TOTAL TO BE PRINTED.                          *
045000***************************************************************
045100*
045200     PERFORM 9100-CHECK-NBR-LINES
045300        THRU 9100-CNL-EXIT.
045400*
045500     PERFORM 9020-PRINT-MER-TOTALS
045600        THRU 9020-PMT-EXIT.
045700*
045800     PERFORM 9080-ZERO-MER-ACCUMS
045900        THRU 9080-ZMA-EXIT.
046000*
046100     PERFORM 9100-CHECK-NBR-LINES
046200        THRU 9100-CNL-EXIT.
046300*
046400     PERFORM 9010-PRINT-ORG-TOTALS
046500        THRU 9010-POT-EXIT.
046600*
046700 T099-TR-EXIT.
046800     EXIT.
046900/
047000 9000-PERFORMED-ROUTINES-SECT SECTION.
047100 9010-PRINT-ORG-TOTALS.
047200*
047300     PERFORM MB22PD-PRINT-1-LINE
047400        THRU MB22PD-P1L-EXIT.
047500*
047600     MOVE SPACES                 TO MB20WS-SH-LINE-5
047700                                    MB20WS-SH-LINE-6
047800                                    MB20WS-SH-LINE-7
047900                                    MB20WS-SH-LINE-8.
048000*
048100     MOVE '**** ORGANIZATION TOTALS ****  FOR ORGANIZATION'
048200                                 TO WS-OTL1-LIT-1.
048300     MOVE MTRF-K1-ORG            TO WS-OTL1-ORG-NBR.
048400     MOVE MTRF-HD-ORG-NAME       TO WS-OTL1-ORG-DESC.
048500     PERFORM MB22PD-PRINT-1-LINE
048600        THRU MB22PD-P1L-EXIT.
048700*
048800     SET X-WS-TT                 TO 1.
048900     PERFORM 9030-PRINT-TOTALS
049000        THRU 9030-PT-EXIT.
049100*
049200 9010-POT-EXIT.
049300     EXIT.
049400/
049500 9020-PRINT-MER-TOTALS.
049600*
049700     PERFORM MB22PD-PRINT-1-LINE
049800        THRU MB22PD-P1L-EXIT.
049900*
050000     MOVE '**** MERCHANT TOTALS ****      FOR MERCHANT    '
050100                                 TO WS-MTL1-LIT-1.
050200     MOVE MWRF-MERCHANT          TO WS-MTL1-MER-NBR.
050300     MOVE MWRF-NAME              TO WS-MTL1-MER-DESC.
050400     PERFORM MB22PD-PRINT-1-LINE
050500        THRU MB22PD-P1L-EXIT.
050600*
050700     SET X-WS-TT                 TO 2.
050800     PERFORM 9030-PRINT-TOTALS
050900        THRU 9030-PT-EXIT.
051000*
051100 9020-PMT-EXIT.
051200     EXIT.
051300/
051400 9030-PRINT-TOTALS.
051500*
051600     MOVE '*-------------- DEBITS -------------*'
051700                                 TO WS-HTL1-LIT-1.
051800     MOVE '*------------- CREDITS -------------*'
051900                                 TO WS-HTL1-LIT-2.
052000     PERFORM MB22PD-PRINT-1-LINE
052100        THRU MB22PD-P1L-EXIT.
052200*
052300     MOVE 'DEPOSITS              '
052400                                 TO WS-TL1-LIT-1.
052500     MOVE WS-TT-NBR (X-WS-TT 1)  TO SS95WS-IN-NBR.
052600     MOVE WS-TT-AMT (X-WS-TT 1)  TO SS95WS-IN-AMT.
052700     PERFORM SS95PD-NAP-ROUTINE
052800        THRU SS95PD-NAP-EXIT.
052900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
053000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
053100*
053200     MOVE WS-TT-NBR (X-WS-TT 2)  TO SS95WS-IN-NBR.
053300     MOVE WS-TT-AMT (X-WS-TT 2)  TO SS95WS-IN-AMT.
053400     PERFORM SS95PD-NAP-ROUTINE
053500        THRU SS95PD-NAP-EXIT.
053600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
053700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
053800*
053900     IF  WS-TIPT-IF-PRINT (1)
054000         PERFORM MB22PD-PRINT-1-LINE
054100            THRU MB22PD-P1L-EXIT
054200     ELSE
054300         MOVE SPACES             TO MB20WS-PRINT-LINE.
054400*
054500     MOVE 'RESERVES              '
054600                                 TO WS-TL1-LIT-1.
054700     MOVE WS-TT-NBR (X-WS-TT 3)  TO SS95WS-IN-NBR.
054800     MOVE WS-TT-AMT (X-WS-TT 3)  TO SS95WS-IN-AMT.
054900     PERFORM SS95PD-NAP-ROUTINE
055000        THRU SS95PD-NAP-EXIT.
055100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
055200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
055300*
055400     MOVE WS-TT-NBR (X-WS-TT 4)  TO SS95WS-IN-NBR.
055500     MOVE WS-TT-AMT (X-WS-TT 4)  TO SS95WS-IN-AMT.
055600     PERFORM SS95PD-NAP-ROUTINE
055700        THRU SS95PD-NAP-EXIT.
055800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
055900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
056000*
056100     IF  WS-TIPT-IF-PRINT (2)
056200         PERFORM MB22PD-PRINT-1-LINE
056300            THRU MB22PD-P1L-EXIT
056400     ELSE
056500         MOVE SPACES             TO MB20WS-PRINT-LINE.
056600*
056700     MOVE 'DISCOUNT              '
056800                                 TO WS-TL1-LIT-1.
056900     MOVE WS-TT-NBR (X-WS-TT 5)  TO SS95WS-IN-NBR.
057000     MOVE WS-TT-AMT (X-WS-TT 5)  TO SS95WS-IN-AMT.
057100     PERFORM SS95PD-NAP-ROUTINE
057200        THRU SS95PD-NAP-EXIT.
057300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
057400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
057500*
057600     MOVE WS-TT-NBR (X-WS-TT 6)  TO SS95WS-IN-NBR.
057700     MOVE WS-TT-AMT (X-WS-TT 6)  TO SS95WS-IN-AMT.
057800     PERFORM SS95PD-NAP-ROUTINE
057900        THRU SS95PD-NAP-EXIT.
058000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
058100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
058200*
058300     IF  WS-TIPT-IF-PRINT (3)
058400         PERFORM MB22PD-PRINT-1-LINE
058500            THRU MB22PD-P1L-EXIT
058600     ELSE
058700         MOVE SPACES             TO MB20WS-PRINT-LINE.
058800*
058900     MOVE 'PARTICIPATION         '
059000                                 TO WS-TL1-LIT-1.
059100     MOVE WS-TT-NBR (X-WS-TT 7)  TO SS95WS-IN-NBR.
059200     MOVE WS-TT-AMT (X-WS-TT 7)  TO SS95WS-IN-AMT.
059300     PERFORM SS95PD-NAP-ROUTINE
059400        THRU SS95PD-NAP-EXIT.
059500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
059600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
059700*
059800     MOVE WS-TT-NBR (X-WS-TT 8)  TO SS95WS-IN-NBR.
059900     MOVE WS-TT-AMT (X-WS-TT 8)  TO SS95WS-IN-AMT.
060000     PERFORM SS95PD-NAP-ROUTINE
060100        THRU SS95PD-NAP-EXIT.
060200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
060300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
060400*
060500     IF  WS-TIPT-IF-PRINT (4)
060600         PERFORM MB22PD-PRINT-1-LINE
060700            THRU MB22PD-P1L-EXIT
060800     ELSE
060900         MOVE SPACES             TO MB20WS-PRINT-LINE.
061000*
061100     MOVE 'MERCHANT ADJUSTMENTS  '
061200                                 TO WS-TL1-LIT-1.
061300     MOVE WS-TT-NBR (X-WS-TT 9)  TO SS95WS-IN-NBR.
061400     MOVE WS-TT-AMT (X-WS-TT 9)  TO SS95WS-IN-AMT.
061500     PERFORM SS95PD-NAP-ROUTINE
061600        THRU SS95PD-NAP-EXIT.
061700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
061800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
061900*
062000     MOVE WS-TT-NBR (X-WS-TT 10) TO SS95WS-IN-NBR.
062100     MOVE WS-TT-AMT (X-WS-TT 10) TO SS95WS-IN-AMT.
062200     PERFORM SS95PD-NAP-ROUTINE
062300        THRU SS95PD-NAP-EXIT.
062400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
062500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
062600*
062700     IF  WS-TIPT-IF-PRINT (5)
062800         PERFORM MB22PD-PRINT-1-LINE
062900            THRU MB22PD-P1L-EXIT
063000     ELSE
063100         MOVE SPACES             TO MB20WS-PRINT-LINE.
063200*
063300     MOVE 'RECOVERY ADJUSTMENTS  '
063400                                 TO WS-TL1-LIT-1.
063500     MOVE WS-TT-NBR (X-WS-TT 11) TO SS95WS-IN-NBR.
063600     MOVE WS-TT-AMT (X-WS-TT 11) TO SS95WS-IN-AMT.
063700     PERFORM SS95PD-NAP-ROUTINE
063800        THRU SS95PD-NAP-EXIT.
063900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
064000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
064100*
064200     MOVE WS-TT-NBR (X-WS-TT 12) TO SS95WS-IN-NBR.
064300     MOVE WS-TT-AMT (X-WS-TT 12) TO SS95WS-IN-AMT.
064400     PERFORM SS95PD-NAP-ROUTINE
064500        THRU SS95PD-NAP-EXIT.
064600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
064700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
064800*
064900     IF  WS-TIPT-IF-PRINT (6)
065000         PERFORM MB22PD-PRINT-1-LINE
065100            THRU MB22PD-P1L-EXIT
065200     ELSE
065300         MOVE SPACES             TO MB20WS-PRINT-LINE.
065400*
065500     MOVE 'SYSTEM FEES           '
065600                                 TO WS-TL1-LIT-1.
065700     MOVE WS-TT-NBR (X-WS-TT 13) TO SS95WS-IN-NBR.
065800     MOVE WS-TT-AMT (X-WS-TT 13) TO SS95WS-IN-AMT.
065900     PERFORM SS95PD-NAP-ROUTINE
066000        THRU SS95PD-NAP-EXIT.
066100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
066200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
066300*
066400     MOVE WS-TT-NBR (X-WS-TT 14) TO SS95WS-IN-NBR.
066500     MOVE WS-TT-AMT (X-WS-TT 14) TO SS95WS-IN-AMT.
066600     PERFORM SS95PD-NAP-ROUTINE
066700        THRU SS95PD-NAP-EXIT.
066800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
066900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
067000*
067100     IF  WS-TIPT-IF-PRINT (7)
067200         PERFORM MB22PD-PRINT-1-LINE
067300            THRU MB22PD-P1L-EXIT
067400     ELSE
067500         MOVE SPACES             TO MB20WS-PRINT-LINE.
067600*
067700     MOVE 'USER FEES             '
067800                                 TO WS-TL1-LIT-1.
067900     MOVE WS-TT-NBR (X-WS-TT 15) TO SS95WS-IN-NBR.
068000     MOVE WS-TT-AMT (X-WS-TT 15) TO SS95WS-IN-AMT.
068100     PERFORM SS95PD-NAP-ROUTINE
068200        THRU SS95PD-NAP-EXIT.
068300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
068400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
068500*
068600     MOVE WS-TT-NBR (X-WS-TT 16) TO SS95WS-IN-NBR.
068700     MOVE WS-TT-AMT (X-WS-TT 16) TO SS95WS-IN-AMT.
068800     PERFORM SS95PD-NAP-ROUTINE
068900        THRU SS95PD-NAP-EXIT.
069000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
069100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
069200*
069300     IF  WS-TIPT-IF-PRINT (8)
069400         PERFORM MB22PD-PRINT-1-LINE
069500            THRU MB22PD-P1L-EXIT
069600     ELSE
069700         MOVE SPACES             TO MB20WS-PRINT-LINE.
069800*
069900     MOVE 'INTERCHANGE FEES      '
070000                                 TO WS-TL1-LIT-1.
070100     MOVE WS-TT-NBR (X-WS-TT 17) TO SS95WS-IN-NBR.
070200     MOVE WS-TT-AMT (X-WS-TT 17) TO SS95WS-IN-AMT.
070300     PERFORM SS95PD-NAP-ROUTINE
070400        THRU SS95PD-NAP-EXIT.
070500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
070600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
070700*
070800     MOVE WS-TT-NBR (X-WS-TT 18) TO SS95WS-IN-NBR.
070900     MOVE WS-TT-AMT (X-WS-TT 18) TO SS95WS-IN-AMT.
071000     PERFORM SS95PD-NAP-ROUTINE
071100        THRU SS95PD-NAP-EXIT.
071200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
071300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
071400*
071500     IF  WS-TIPT-IF-PRINT (9)
071600         PERFORM MB22PD-PRINT-1-LINE
071700            THRU MB22PD-P1L-EXIT
071800     ELSE
071900         MOVE SPACES             TO MB20WS-PRINT-LINE.
072000*
072100     MOVE 'USER CREDITS          '
072200                                 TO WS-TL1-LIT-1.
072300     MOVE WS-TT-NBR (X-WS-TT 19) TO SS95WS-IN-NBR.
072400     MOVE WS-TT-AMT (X-WS-TT 19) TO SS95WS-IN-AMT.
072500     PERFORM SS95PD-NAP-ROUTINE
072600        THRU SS95PD-NAP-EXIT.
072700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
072800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
072900*
073000     MOVE WS-TT-NBR (X-WS-TT 20) TO SS95WS-IN-NBR.
073100     MOVE WS-TT-AMT (X-WS-TT 20) TO SS95WS-IN-AMT.
073200     PERFORM SS95PD-NAP-ROUTINE
073300        THRU SS95PD-NAP-EXIT.
073400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
073500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
073600*
073700     IF  WS-TIPT-IF-PRINT (10)
073800         PERFORM MB22PD-PRINT-1-LINE
073900            THRU MB22PD-P1L-EXIT
074000     ELSE
074100         MOVE SPACES             TO MB20WS-PRINT-LINE.
074200*
074300     MOVE ALL '-'                TO WS-TL1-DR-NBR.
074400     MOVE ALL '-'                TO WS-TL1-DR-AMT.
074500     MOVE ALL '-'                TO WS-TL1-CR-NBR.
074600     MOVE ALL '-'                TO WS-TL1-CR-AMT.
074700*
074800     IF  WS-TIPT-IF-PRINT (28)
074900         PERFORM MB22PD-PRINT-1-LINE
075000            THRU MB22PD-P1L-EXIT
075100     ELSE
075200         MOVE SPACES             TO MB20WS-PRINT-LINE.
075300*
075400     MOVE '    SUB-TOTAL.........'
075500                                 TO WS-TL1-LIT-1.
075600     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 1)
075700                                 +  WS-TT-NBR (X-WS-TT 3)
075800                                 +  WS-TT-NBR (X-WS-TT 5)
075900                                 +  WS-TT-NBR (X-WS-TT 7)
076000                                 +  WS-TT-NBR (X-WS-TT 9)
076100                                 +  WS-TT-NBR (X-WS-TT 11)
076200                                 +  WS-TT-NBR (X-WS-TT 13)
076300                                 +  WS-TT-NBR (X-WS-TT 15)
076400                                 +  WS-TT-NBR (X-WS-TT 17)
076500                                 +  WS-TT-NBR (X-WS-TT 19).
076600     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 1)
076700                                 +  WS-TT-AMT (X-WS-TT 3)
076800                                 +  WS-TT-AMT (X-WS-TT 5)
076900                                 +  WS-TT-AMT (X-WS-TT 7)
077000                                 +  WS-TT-AMT (X-WS-TT 9)
077100                                 +  WS-TT-AMT (X-WS-TT 11)
077200                                 +  WS-TT-AMT (X-WS-TT 13)
077300                                 +  WS-TT-AMT (X-WS-TT 15)
077400                                 +  WS-TT-AMT (X-WS-TT 17)
077500                                 +  WS-TT-AMT (X-WS-TT 19).
077600     PERFORM SS95PD-NAP-ROUTINE
077700        THRU SS95PD-NAP-EXIT.
077800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
077900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
078000*
078100     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 2)
078200                                 +  WS-TT-NBR (X-WS-TT 4)
078300                                 +  WS-TT-NBR (X-WS-TT 6)
078400                                 +  WS-TT-NBR (X-WS-TT 8)
078500                                 +  WS-TT-NBR (X-WS-TT 10)
078600                                 +  WS-TT-NBR (X-WS-TT 12)
078700                                 +  WS-TT-NBR (X-WS-TT 14)
078800                                 +  WS-TT-NBR (X-WS-TT 16)
078900                                 +  WS-TT-NBR (X-WS-TT 18)
079000                                 +  WS-TT-NBR (X-WS-TT 20).
079100     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 2)
079200                                 +  WS-TT-AMT (X-WS-TT 4)
079300                                 +  WS-TT-AMT (X-WS-TT 6)
079400                                 +  WS-TT-AMT (X-WS-TT 8)
079500                                 +  WS-TT-AMT (X-WS-TT 10)
079600                                 +  WS-TT-AMT (X-WS-TT 12)
079700                                 +  WS-TT-AMT (X-WS-TT 14)
079800                                 +  WS-TT-AMT (X-WS-TT 16)
079900                                 +  WS-TT-AMT (X-WS-TT 18)
080000                                 +  WS-TT-AMT (X-WS-TT 20).
080100     PERFORM SS95PD-NAP-ROUTINE
080200        THRU SS95PD-NAP-EXIT.
080300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
080400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
080500*
080600     IF  WS-TIPT-IF-PRINT (28)
080700         PERFORM MB22PD-PRINT-1-LINE
080800            THRU MB22PD-P1L-EXIT
080900     ELSE
081000         MOVE SPACES             TO MB20WS-PRINT-LINE.
081100*
081200     MOVE 'TRANSFER TO INVOICE   '
081300                                 TO WS-TL1-LIT-1.
081400     MOVE WS-TT-NBR (X-WS-TT 21) TO SS95WS-IN-NBR.
081500     MOVE WS-TT-AMT (X-WS-TT 21) TO SS95WS-IN-AMT.
081600     PERFORM SS95PD-NAP-ROUTINE
081700        THRU SS95PD-NAP-EXIT.
081800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
081900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
082000*
082100     MOVE WS-TT-NBR (X-WS-TT 22) TO SS95WS-IN-NBR.
082200     MOVE WS-TT-AMT (X-WS-TT 22) TO SS95WS-IN-AMT.
082300     PERFORM SS95PD-NAP-ROUTINE
082400        THRU SS95PD-NAP-EXIT.
082500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
082600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
082700*
082800     IF  WS-TIPT-IF-PRINT (11)
082900         PERFORM MB22PD-PRINT-1-LINE
083000            THRU MB22PD-P1L-EXIT
083100     ELSE
083200         MOVE SPACES             TO MB20WS-PRINT-LINE.
083300*
083400     MOVE 'HOLDOVER TRANSACTIONS '
083500                                 TO WS-TL1-LIT-1.
083600     MOVE WS-TT-NBR (X-WS-TT 23) TO SS95WS-IN-NBR.
083700     MOVE WS-TT-AMT (X-WS-TT 23) TO SS95WS-IN-AMT.
083800     PERFORM SS95PD-NAP-ROUTINE
083900        THRU SS95PD-NAP-EXIT.
084000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
084100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
084200*
084300     MOVE WS-TT-NBR (X-WS-TT 24) TO SS95WS-IN-NBR.
084400     MOVE WS-TT-AMT (X-WS-TT 24) TO SS95WS-IN-AMT.
084500     PERFORM SS95PD-NAP-ROUTINE
084600        THRU SS95PD-NAP-EXIT.
084700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
084800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
084900*
085000     IF  WS-TIPT-IF-PRINT (12)
085100         PERFORM MB22PD-PRINT-1-LINE
085200            THRU MB22PD-P1L-EXIT
085300     ELSE
085400         MOVE SPACES             TO MB20WS-PRINT-LINE.
085500*
085600     MOVE ALL '-'                TO WS-TL1-DR-NBR.
085700     MOVE ALL '-'                TO WS-TL1-DR-AMT.
085800     MOVE ALL '-'                TO WS-TL1-CR-NBR.
085900     MOVE ALL '-'                TO WS-TL1-CR-AMT.
086000*
086100     IF  WS-TIPT-IF-PRINT (29)
086200         PERFORM MB22PD-PRINT-1-LINE
086300            THRU MB22PD-P1L-EXIT
086400     ELSE
086500         MOVE SPACES             TO MB20WS-PRINT-LINE.
086600*
086700     MOVE '*SETTLEMENT IN TOTAL* '
086800                                 TO WS-TL1-LIT-1.
086900     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 1)
087000                                 +  WS-TT-NBR (X-WS-TT 3)
087100                                 +  WS-TT-NBR (X-WS-TT 5)
087200                                 +  WS-TT-NBR (X-WS-TT 7)
087300                                 +  WS-TT-NBR (X-WS-TT 9)
087400                                 +  WS-TT-NBR (X-WS-TT 11)
087500                                 +  WS-TT-NBR (X-WS-TT 13)
087600                                 +  WS-TT-NBR (X-WS-TT 15)
087700                                 +  WS-TT-NBR (X-WS-TT 17)
087800                                 +  WS-TT-NBR (X-WS-TT 19)
087900                                 +  WS-TT-NBR (X-WS-TT 21)
088000                                 +  WS-TT-NBR (X-WS-TT 23).
088100     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 1)
088200                                 +  WS-TT-AMT (X-WS-TT 3)
088300                                 +  WS-TT-AMT (X-WS-TT 5)
088400                                 +  WS-TT-AMT (X-WS-TT 7)
088500                                 +  WS-TT-AMT (X-WS-TT 9)
088600                                 +  WS-TT-AMT (X-WS-TT 11)
088700                                 +  WS-TT-AMT (X-WS-TT 13)
088800                                 +  WS-TT-AMT (X-WS-TT 15)
088900                                 +  WS-TT-AMT (X-WS-TT 17)
089000                                 +  WS-TT-AMT (X-WS-TT 19)
089100                                 +  WS-TT-AMT (X-WS-TT 21)
089200                                 +  WS-TT-AMT (X-WS-TT 23).
089300     PERFORM SS95PD-NAP-ROUTINE
089400        THRU SS95PD-NAP-EXIT.
089500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
089600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
089700*
089800     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 2)
089900                                 +  WS-TT-NBR (X-WS-TT 4)
090000                                 +  WS-TT-NBR (X-WS-TT 6)
090100                                 +  WS-TT-NBR (X-WS-TT 8)
090200                                 +  WS-TT-NBR (X-WS-TT 10)
090300                                 +  WS-TT-NBR (X-WS-TT 12)
090400                                 +  WS-TT-NBR (X-WS-TT 14)
090500                                 +  WS-TT-NBR (X-WS-TT 16)
090600                                 +  WS-TT-NBR (X-WS-TT 18)
090700                                 +  WS-TT-NBR (X-WS-TT 20)
090800                                 +  WS-TT-NBR (X-WS-TT 22)
090900                                 +  WS-TT-NBR (X-WS-TT 24).
091000     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 2)
091100                                 +  WS-TT-AMT (X-WS-TT 4)
091200                                 +  WS-TT-AMT (X-WS-TT 6)
091300                                 +  WS-TT-AMT (X-WS-TT 8)
091400                                 +  WS-TT-AMT (X-WS-TT 10)
091500                                 +  WS-TT-AMT (X-WS-TT 12)
091600                                 +  WS-TT-AMT (X-WS-TT 14)
091700                                 +  WS-TT-AMT (X-WS-TT 16)
091800                                 +  WS-TT-AMT (X-WS-TT 18)
091900                                 +  WS-TT-AMT (X-WS-TT 20)
092000                                 +  WS-TT-AMT (X-WS-TT 22)
092100                                 +  WS-TT-AMT (X-WS-TT 24).
092200     PERFORM SS95PD-NAP-ROUTINE
092300        THRU SS95PD-NAP-EXIT.
092400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
092500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
092600*
092700     IF  WS-TIPT-IF-PRINT (29)
092800         PERFORM MB22PD-PRINT-2-LINES
092900            THRU MB22PD-P2L-EXIT
093000     ELSE
093100         MOVE SPACES             TO MB20WS-PRINT-LINE
093200         PERFORM MB22PD-PRINT-1-LINE
093300            THRU MB22PD-P1L-EXIT.
093400*
093500     MOVE 'SETTLEMENT - A C H    '
093600                                 TO WS-TL1-LIT-1.
093700     MOVE WS-TT-NBR (X-WS-TT 25) TO SS95WS-IN-NBR.
093800     MOVE WS-TT-AMT (X-WS-TT 25) TO SS95WS-IN-AMT.
093900     PERFORM SS95PD-NAP-ROUTINE
094000        THRU SS95PD-NAP-EXIT.
094100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
094200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
094300*
094400     MOVE WS-TT-NBR (X-WS-TT 26) TO SS95WS-IN-NBR.
094500     MOVE WS-TT-AMT (X-WS-TT 26) TO SS95WS-IN-AMT.
094600     PERFORM SS95PD-NAP-ROUTINE
094700        THRU SS95PD-NAP-EXIT.
094800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
094900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
095000*
095100     IF  WS-TIPT-IF-PRINT (13)
095200         PERFORM MB22PD-PRINT-1-LINE
095300            THRU MB22PD-P1L-EXIT
095400     ELSE
095500         MOVE SPACES             TO MB20WS-PRINT-LINE.
095600*
095700     MOVE 'SETTLEMENT - CHECK    '
095800                                 TO WS-TL1-LIT-1.
095900     MOVE WS-TT-NBR (X-WS-TT 27) TO SS95WS-IN-NBR.
096000     MOVE WS-TT-AMT (X-WS-TT 27) TO SS95WS-IN-AMT.
096100     PERFORM SS95PD-NAP-ROUTINE
096200        THRU SS95PD-NAP-EXIT.
096300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
096400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
096500*
096600     MOVE WS-TT-NBR (X-WS-TT 28) TO SS95WS-IN-NBR.
096700     MOVE WS-TT-AMT (X-WS-TT 28) TO SS95WS-IN-AMT.
096800     PERFORM SS95PD-NAP-ROUTINE
096900        THRU SS95PD-NAP-EXIT.
097000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
097100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
097200*
097300     IF  WS-TIPT-IF-PRINT (14)
097400         PERFORM MB22PD-PRINT-1-LINE
097500            THRU MB22PD-P1L-EXIT
097600     ELSE
097700         MOVE SPACES             TO MB20WS-PRINT-LINE.
097800*
097900     MOVE 'SETTLEMENT - WIRE     '
098000                                 TO WS-TL1-LIT-1.
098100     MOVE WS-TT-NBR (X-WS-TT 29) TO SS95WS-IN-NBR.
098200     MOVE WS-TT-AMT (X-WS-TT 29) TO SS95WS-IN-AMT.
098300     PERFORM SS95PD-NAP-ROUTINE
098400        THRU SS95PD-NAP-EXIT.
098500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
098600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
098700*
098800     MOVE WS-TT-NBR (X-WS-TT 30) TO SS95WS-IN-NBR.
098900     MOVE WS-TT-AMT (X-WS-TT 30) TO SS95WS-IN-AMT.
099000     PERFORM SS95PD-NAP-ROUTINE
099100        THRU SS95PD-NAP-EXIT.
099200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
099300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
099400*
099500     IF  WS-TIPT-IF-PRINT (15)
099600         PERFORM MB22PD-PRINT-1-LINE
099700            THRU MB22PD-P1L-EXIT
099800     ELSE
099900         MOVE SPACES             TO MB20WS-PRINT-LINE.
100000*
100100     MOVE 'SETTLEMENT - MANUAL   '
100200                                 TO WS-TL1-LIT-1.
100300     MOVE WS-TT-NBR (X-WS-TT 31) TO SS95WS-IN-NBR.
100400     MOVE WS-TT-AMT (X-WS-TT 31) TO SS95WS-IN-AMT.
100500     PERFORM SS95PD-NAP-ROUTINE
100600        THRU SS95PD-NAP-EXIT.
100700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
100800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
100900*
101000     MOVE WS-TT-NBR (X-WS-TT 32) TO SS95WS-IN-NBR.
101100     MOVE WS-TT-AMT (X-WS-TT 32) TO SS95WS-IN-AMT.
101200     PERFORM SS95PD-NAP-ROUTINE
101300        THRU SS95PD-NAP-EXIT.
101400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
101500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
101600*
101700     IF  WS-TIPT-IF-PRINT (16)
101800         PERFORM MB22PD-PRINT-1-LINE
101900            THRU MB22PD-P1L-EXIT
102000     ELSE
102100         MOVE SPACES             TO MB20WS-PRINT-LINE.
102200*
102300     MOVE 'SETTLEMENT - INVOICE  '
102400                                 TO WS-TL1-LIT-1.
102500     MOVE WS-TT-NBR (X-WS-TT 33) TO SS95WS-IN-NBR.
102600     MOVE WS-TT-AMT (X-WS-TT 33) TO SS95WS-IN-AMT.
102700     PERFORM SS95PD-NAP-ROUTINE
102800        THRU SS95PD-NAP-EXIT.
102900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
103000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
103100*
103200     MOVE WS-TT-NBR (X-WS-TT 34) TO SS95WS-IN-NBR.
103300     MOVE WS-TT-AMT (X-WS-TT 34) TO SS95WS-IN-AMT.
103400     PERFORM SS95PD-NAP-ROUTINE
103500        THRU SS95PD-NAP-EXIT.
103600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
103700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
103800*
103900     IF  WS-TIPT-IF-PRINT (17)
104000         PERFORM MB22PD-PRINT-1-LINE
104100            THRU MB22PD-P1L-EXIT
104200     ELSE
104300         MOVE SPACES             TO MB20WS-PRINT-LINE.
104400*
104500     MOVE 'SETTLEMENT - WINDOW   '
104600                                 TO WS-TL1-LIT-1.
104700     MOVE WS-TT-NBR (X-WS-TT 35) TO SS95WS-IN-NBR.
104800     MOVE WS-TT-AMT (X-WS-TT 35) TO SS95WS-IN-AMT.
104900     PERFORM SS95PD-NAP-ROUTINE
105000        THRU SS95PD-NAP-EXIT.
105100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
105200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
105300*
105400     MOVE WS-TT-NBR (X-WS-TT 36) TO SS95WS-IN-NBR.
105500     MOVE WS-TT-AMT (X-WS-TT 36) TO SS95WS-IN-AMT.
105600     PERFORM SS95PD-NAP-ROUTINE
105700        THRU SS95PD-NAP-EXIT.
105800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
105900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
106000*
106100     IF  WS-TIPT-IF-PRINT (18)
106200         PERFORM MB22PD-PRINT-1-LINE
106300            THRU MB22PD-P1L-EXIT
106400     ELSE
106500         MOVE SPACES             TO MB20WS-PRINT-LINE.
106600*
106700     MOVE ALL '-'                TO WS-TL1-DR-NBR.
106800     MOVE ALL '-'                TO WS-TL1-DR-AMT.
106900     MOVE ALL '-'                TO WS-TL1-CR-NBR.
107000     MOVE ALL '-'                TO WS-TL1-CR-AMT.
107100*
107200     IF  WS-TIPT-IF-PRINT (30)
107300         PERFORM MB22PD-PRINT-1-LINE
107400            THRU MB22PD-P1L-EXIT
107500     ELSE
107600         MOVE SPACES             TO MB20WS-PRINT-LINE.
107700*
107800     MOVE '*SETTLEMENT OUT TOTAL*'
107900                                 TO WS-TL1-LIT-1.
108000     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 25)
108100                                 +  WS-TT-NBR (X-WS-TT 27)
108200                                 +  WS-TT-NBR (X-WS-TT 29)
108300                                 +  WS-TT-NBR (X-WS-TT 31)
108400                                 +  WS-TT-NBR (X-WS-TT 33)
108500                                 +  WS-TT-NBR (X-WS-TT 35).
108600     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 25)
108700                                 +  WS-TT-AMT (X-WS-TT 27)
108800                                 +  WS-TT-AMT (X-WS-TT 29)
108900                                 +  WS-TT-AMT (X-WS-TT 31)
109000                                 +  WS-TT-AMT (X-WS-TT 33)
109100                                 +  WS-TT-AMT (X-WS-TT 35).
109200     PERFORM SS95PD-NAP-ROUTINE
109300        THRU SS95PD-NAP-EXIT.
109400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
109500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
109600*
109700     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 26)
109800                                 +  WS-TT-NBR (X-WS-TT 28)
109900                                 +  WS-TT-NBR (X-WS-TT 30)
110000                                 +  WS-TT-NBR (X-WS-TT 32)
110100                                 +  WS-TT-NBR (X-WS-TT 34)
110200                                 +  WS-TT-NBR (X-WS-TT 36).
110300     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 26)
110400                                 +  WS-TT-AMT (X-WS-TT 28)
110500                                 +  WS-TT-AMT (X-WS-TT 30)
110600                                 +  WS-TT-AMT (X-WS-TT 32)
110700                                 +  WS-TT-AMT (X-WS-TT 34)
110800                                 +  WS-TT-AMT (X-WS-TT 36).
110900     PERFORM SS95PD-NAP-ROUTINE
111000        THRU SS95PD-NAP-EXIT.
111100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
111200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
111300*
111400     IF  WS-TIPT-IF-PRINT (30)
111500         PERFORM MB22PD-PRINT-2-LINES
111600            THRU MB22PD-P2L-EXIT
111700     ELSE
111800         MOVE SPACES             TO MB20WS-PRINT-LINE
111900         IF  WS-TIPT-IF-PRINT (29)
112000             PERFORM MB22PD-PRINT-1-LINE
112100                THRU MB22PD-P1L-EXIT.
112200*
112300     MOVE 'WINDOW TRANSACTIONS   '
112400                                 TO WS-TL1-LIT-1.
112500     MOVE WS-TT-NBR (X-WS-TT 37) TO SS95WS-IN-NBR.
112600     MOVE WS-TT-AMT (X-WS-TT 37) TO SS95WS-IN-AMT.
112700     PERFORM SS95PD-NAP-ROUTINE
112800        THRU SS95PD-NAP-EXIT.
112900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
113000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
113100*
113200     MOVE WS-TT-NBR (X-WS-TT 38) TO SS95WS-IN-NBR.
113300     MOVE WS-TT-AMT (X-WS-TT 38) TO SS95WS-IN-AMT.
113400     PERFORM SS95PD-NAP-ROUTINE
113500        THRU SS95PD-NAP-EXIT.
113600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
113700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
113800*
113900     IF  WS-TIPT-IF-PRINT (19)
114000         PERFORM MB22PD-PRINT-1-LINE
114100            THRU MB22PD-P1L-EXIT
114200     ELSE
114300         MOVE SPACES             TO MB20WS-PRINT-LINE.
114400*
114500     MOVE 'DEPOSIT MEMOS         '
114600                                 TO WS-TL1-LIT-1.
114700     MOVE WS-TT-NBR (X-WS-TT 39) TO SS95WS-IN-NBR.
114800     MOVE WS-TT-AMT (X-WS-TT 39) TO SS95WS-IN-AMT.
114900     PERFORM SS95PD-NAP-ROUTINE
115000        THRU SS95PD-NAP-EXIT.
115100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
115200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
115300*
115400     MOVE WS-TT-NBR (X-WS-TT 40) TO SS95WS-IN-NBR.
115500     MOVE WS-TT-AMT (X-WS-TT 40) TO SS95WS-IN-AMT.
115600     PERFORM SS95PD-NAP-ROUTINE
115700        THRU SS95PD-NAP-EXIT.
115800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
115900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
116000*
116100     IF  WS-TIPT-IF-PRINT (20)
116200         PERFORM MB22PD-PRINT-1-LINE
116300            THRU MB22PD-P1L-EXIT
116400     ELSE
116500         MOVE SPACES             TO MB20WS-PRINT-LINE.
116600*
116700     MOVE 'AUTH DECLINED/APPROVED'
116800                                 TO WS-TL1-LIT-1.
116900     MOVE WS-TT-NBR (X-WS-TT 41) TO SS95WS-IN-NBR.
117000     MOVE WS-TT-AMT (X-WS-TT 41) TO SS95WS-IN-AMT.
117100     PERFORM SS95PD-NAP-ROUTINE
117200        THRU SS95PD-NAP-EXIT.
117300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
117400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
117500*
117600     MOVE WS-TT-NBR (X-WS-TT 42) TO SS95WS-IN-NBR.
117700     MOVE WS-TT-AMT (X-WS-TT 42) TO SS95WS-IN-AMT.
117800     PERFORM SS95PD-NAP-ROUTINE
117900        THRU SS95PD-NAP-EXIT.
118000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
118100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
118200*
118300     IF  WS-TIPT-IF-PRINT (21)
118400         PERFORM MB22PD-PRINT-1-LINE
118500            THRU MB22PD-P1L-EXIT
118600     ELSE
118700         MOVE SPACES             TO MB20WS-PRINT-LINE.
118800*
118900     MOVE 'MEMOS                 '
119000                                 TO WS-TL1-LIT-1.
119100     MOVE WS-TT-NBR (X-WS-TT 43) TO SS95WS-IN-NBR.
119200     MOVE WS-TT-AMT (X-WS-TT 43) TO SS95WS-IN-AMT.
119300     PERFORM SS95PD-NAP-ROUTINE
119400        THRU SS95PD-NAP-EXIT.
119500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
119600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
119700*
119800     MOVE WS-TT-NBR (X-WS-TT 44) TO SS95WS-IN-NBR.
119900     MOVE WS-TT-AMT (X-WS-TT 44) TO SS95WS-IN-AMT.
120000     PERFORM SS95PD-NAP-ROUTINE
120100        THRU SS95PD-NAP-EXIT.
120200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
120300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
120400*
120500     IF  WS-TIPT-IF-PRINT (22)
120600         PERFORM MB22PD-PRINT-1-LINE
120700            THRU MB22PD-P1L-EXIT
120800     ELSE
120900         MOVE SPACES             TO MB20WS-PRINT-LINE.
121000*
121100     MOVE 'RESERVE BALANCE       '
121200                                 TO WS-TL1-LIT-1.
121300     MOVE WS-TT-NBR (X-WS-TT 45) TO SS95WS-IN-NBR.
121400     MOVE WS-TT-AMT (X-WS-TT 45) TO SS95WS-IN-AMT.
121500     PERFORM SS95PD-NAP-ROUTINE
121600        THRU SS95PD-NAP-EXIT.
121700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
121800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
121900*
122000     MOVE WS-TT-NBR (X-WS-TT 46) TO SS95WS-IN-NBR.
122100     MOVE WS-TT-AMT (X-WS-TT 46) TO SS95WS-IN-AMT.
122200     PERFORM SS95PD-NAP-ROUTINE
122300        THRU SS95PD-NAP-EXIT.
122400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
122500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
122600*
122700     IF  WS-TIPT-IF-PRINT (23)
122800         PERFORM MB22PD-PRINT-1-LINE
122900            THRU MB22PD-P1L-EXIT
123000     ELSE
123100         MOVE SPACES             TO MB20WS-PRINT-LINE.
123200*
123300 9030-PT-EXIT.
123400     EXIT.
123500*
123600 9050-ACCUMULATE-TOTALS.
123700*
123800     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
123900*
124000     EVALUATE TRUE
124100         WHEN MMTCWS-LM-BATCH-HDR-DR
124200             SET X-WS-TT-ITEM    TO 1
124300         WHEN MMTCWS-LM-BATCH-HDR-CR
124400             SET X-WS-TT-ITEM    TO 2
124500         WHEN MMTCWS-LM-VALID-RESV-SETT-DR
124600             SET X-WS-TT-ITEM    TO 3
124700         WHEN MMTCWS-LM-VALID-RESV-SETT-CR
124800             SET X-WS-TT-ITEM    TO 4
124900         WHEN MMTCWS-LM-DISCOUNT
125000             SET X-WS-TT-ITEM    TO 5
125100         WHEN MMTCWS-LM-REFUND
125200             SET X-WS-TT-ITEM    TO 6
125300         WHEN MMTCWS-LM-PART-DR
125400             SET X-WS-TT-ITEM    TO 7
125500         WHEN MMTCWS-LM-PART-CR
125600             SET X-WS-TT-ITEM    TO 8
125700         WHEN MMTCWS-LM-ADJ-DR
125800             SET X-WS-TT-ITEM    TO 9
125900         WHEN MMTCWS-LM-ADJ-CR
126000             SET X-WS-TT-ITEM    TO 10
126100         WHEN MMTCWS-LM-RECOVERY-ADJ-DR
126200             SET X-WS-TT-ITEM    TO 11
126300         WHEN MMTCWS-LM-RECOVERY-ADJ-CR
126400             SET X-WS-TT-ITEM    TO 12
126500         WHEN MMTCWS-LM-SYSTEM-FEES-DR
126600             SET X-WS-TT-ITEM    TO 13
126700         WHEN MMTCWS-LM-SYSTEM-FEES-CR
126800             SET X-WS-TT-ITEM    TO 14
126900         WHEN MMTCWS-LM-USER-FEES
127000             SET X-WS-TT-ITEM    TO 15
127100         WHEN MMTCWS-LM-USER-FEES-CR
127200             SET X-WS-TT-ITEM    TO 16
127300         WHEN MMTCWS-LM-INTCHG-FEES-DR
127400             SET X-WS-TT-ITEM    TO 17
127500         WHEN MMTCWS-LM-INTCHG-FEES-CR
127600             SET X-WS-TT-ITEM    TO 18
127700         WHEN MMTCWS-LM-USER-DEBITS
127800             SET X-WS-TT-ITEM    TO 19
127900         WHEN MMTCWS-LM-USER-CREDITS
128000             SET X-WS-TT-ITEM    TO 20
128100         WHEN MMTCWS-LM-SETTLEMENT-DR-XFER
128200             SET X-WS-TT-ITEM    TO 21
128300         WHEN MMTCWS-LM-SETTLEMENT-CR-XFER
128400             SET X-WS-TT-ITEM    TO 22
128500         WHEN MMTCWS-LM-HOLDOVER
128600             SET X-WS-TT-ITEM    TO 23
128700         WHEN MMTCWS-LM-HOLDOVER-CR
128800             SET X-WS-TT-ITEM    TO 24
128900         WHEN MMTCWS-LM-SYSTEM-SETT-DR-ACH
129000             SET X-WS-TT-ITEM    TO 25
129100         WHEN MMTCWS-LM-SYSTEM-SETT-CR-ACH
129200             SET X-WS-TT-ITEM    TO 26
129300         WHEN MMTCWS-LM-SYSTEM-SETT-DR-CHECK
129400             SET X-WS-TT-ITEM    TO 27
129500         WHEN MMTCWS-LM-SYSTEM-SETT-CR-CHECK
129600             SET X-WS-TT-ITEM    TO 28
129700         WHEN MMTCWS-LM-SYSTEM-SETT-DR-WIRE
129800             SET X-WS-TT-ITEM    TO 29
129900         WHEN MMTCWS-LM-SYSTEM-SETT-CR-WIRE
130000             SET X-WS-TT-ITEM    TO 30
130100         WHEN MMTCWS-LM-SYSTEM-SETT-DR-MAN
130200             SET X-WS-TT-ITEM    TO 31
130300         WHEN MMTCWS-LM-SYSTEM-SETT-CR-MAN
130400             SET X-WS-TT-ITEM    TO 32
130500         WHEN MMTCWS-LM-SYSTEM-SETT-DR-BILL
130600             SET X-WS-TT-ITEM    TO 33
130700         WHEN MMTCWS-LM-SYSTEM-SETT-CR-BILL
130800             SET X-WS-TT-ITEM    TO 34
130900         WHEN MMTCWS-LM-WINDOW-SETT-DR
131000             SET X-WS-TT-ITEM    TO 35
131100         WHEN MMTCWS-LM-WINDOW-SETT-CR
131200             SET X-WS-TT-ITEM    TO 36
131300         WHEN MMTCWS-LM-VALID-DEP-MEMO-DR
131400             SET X-WS-TT-ITEM    TO 39
131500         WHEN MMTCWS-LM-VALID-DEP-MEMO-CR
131600             SET X-WS-TT-ITEM    TO 40
131700         WHEN MMTCWS-LM-AUTH-DECLINED
131800             SET X-WS-TT-ITEM    TO 41
131900         WHEN MMTCWS-LM-AUTH-APPROVED
132000             SET X-WS-TT-ITEM    TO 42
132100         WHEN MMTCWS-LM-CHECK-APPROVAL
132200             SET X-WS-TT-ITEM    TO 43
132300         WHEN MMTCWS-LM-RESERVE-TO-PROC
132400             SET X-WS-TT-ITEM    TO 45
132500         WHEN MMTCWS-LM-RESERVE-MANUAL
132600             SET X-WS-TT-ITEM    TO 46
132700         WHEN OTHER
132800             SET X-WS-TT-ITEM    TO 44
132900     END-EVALUATE.
133000*
133100     PERFORM 9060-ADD-TO-TOTALS
133200        THRU 9060-ATT-EXIT.
133300*
133400     EVALUATE TRUE
133500         WHEN (MMTCWS-LM-WINDOW-ALLOWED
133600          AND  MMTCWS-LM-VALID-DEBIT
133700          AND  MTPT-SETTLED-WINDOW)
133800             SET X-WS-TT-ITEM    TO 37
133900             PERFORM 9060-ADD-TO-TOTALS
134000                THRU 9060-ATT-EXIT
134100         WHEN (MMTCWS-LM-WINDOW-ALLOWED
134200          AND  MMTCWS-LM-VALID-CREDIT
134300          AND  MTPT-SETTLED-WINDOW)
134400             SET X-WS-TT-ITEM    TO 38
134500             PERFORM 9060-ADD-TO-TOTALS
134600                THRU 9060-ATT-EXIT
134700     END-EVALUATE.
134800*
134900 9050-AT-EXIT.
135000     EXIT.
135100*
135200 9060-ADD-TO-TOTALS.
135300*
135400     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (1 X-WS-TT-ITEM).
135500     ADD MTPT-AMOUNT             TO WS-TT-AMT (1 X-WS-TT-ITEM).
135600*
135700     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (2 X-WS-TT-ITEM).
135800     ADD MTPT-AMOUNT             TO WS-TT-AMT (2 X-WS-TT-ITEM).
135900*
136000     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (3 X-WS-TT-ITEM).
136100     ADD MTPT-AMOUNT             TO WS-TT-AMT (3 X-WS-TT-ITEM).
136200*
136300 9060-ATT-EXIT.
136400     EXIT.
136500/
136600 9070-ZERO-ORG-ACCUMS.
136700*
136800     INITIALIZE WS-TT-LEVEL (1).
136900*
137000 9070-ZOA-EXIT.
137100     EXIT.
137200*
137300 9080-ZERO-MER-ACCUMS.
137400*
137500     INITIALIZE WS-TT-LEVEL (2).
137600*
137700 9080-ZMA-EXIT.
137800     EXIT.
137900*
138000 9090-ZERO-STORE-ACCUMS.
138100*
138200     INITIALIZE WS-TT-LEVEL (3).
138300*
138400 9090-ZSA-EXIT.
138500     EXIT.
138600*
138700 9100-CHECK-NBR-LINES.
138800*
138900     COMPUTE MB20WS-LINES-REMAINING
139000                                 = MB20WS-LINE-LIMIT
139100                                 - MB20WS-LINE-COUNT.
139200*
139300     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
139400         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
139500*
139600 9100-CNL-EXIT.
139700     EXIT.
139800/
139900     COPY MB22PD.
140000/
140100     COPY SS95PD.
140200/
140300     COPY SS02PD.
140400/
140500     COPY SS07PD.
140600/
140700     COPY SS08PD.
140800/
140900     COPY SS16PD.
141000/
141100     COPY SS26PD.
141200/
141300     COPY SS27PD.
141400*
141500 9995-END-SOURCE-STATEMENTS SECTION.
141600 9999-END-OF-PROGRAM.
141700     EXIT.
