000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72016.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72016 - OPTIONAL REPORT 16 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72016-WORK-AREAS.
002100     03  WS-D72016-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +34.
002400*
002500*****************************************************
002600*    THE VALUE FOR THE FOLLWING LEVEL INDICES ARE:  *
002700*       1 - ORGANIZATION                            *
002800*       2 - MERCHANT                                *
002900*       3 - STORE, PLAN OR T/C                      *
003000*                                                   *
003100*    THE VALUE FOR THE FOLLWING ITEM INDICES ARE:   *
003200*       1 - DEPOSITS DEBITS                         *
003300*       2 - DEPOSITS CREDIT                         *
003400*       3 - RESERVES DEBITS                         *
003500*       4 - RESERVES CREDIT                         *
003600*       5 - DISCOUNT DEBITS                         *
003700*       6 - DISCOUNT CREDIT                         *
003800*       7 - PARTICIPTION DEBITS                     *
003900*       8 - PARTICIPTION CREDIT                     *
004000*       9 - SYSTEM ADJUSTMENTS DEBITS               *
004100*      10 - SYSTEM ADJUSTMENTS CREDIT               *
004200*      11 - RECOVERY ADJUSTMENTS DEBITS             *
004300*      12 - RECOVERY ADJUSTMENTS CREDIT             *
004400*      13 - SYSTEM FEES DEBIT                       *
004500*      14 - SYSTEM FEES CREDIT                      *
004600*      15 - USER FEES DEBIT                         *
004700*      16 - USER FEES CREDIT                        *
004800*      17 - INTERCHANGE FEES DEBITS                 *
004900*      18 - INTERCHANGE FEES CREDIT                 *
005000*      19 - USER CREDITS DEBITS                     *
005100*      20 - USER CREDITS CREDIT                     *
005200*      21 - TRANSFER TO BILLING/INVOICE DEBITS      *
005300*      22 - TRANSFER TO BILLING/INVOICE CREDITS     *
005400*      23 - HOLDOVER DEBITS                         *
005500*      24 - HOLDOVER CREDITS                        *
005600*      25 - SETTLEMENT DEBITS -- ACH                *
005700*      26 - SETTLEMENT CREDITS - ACH                *
005800*      27 - SETTLEMENT DEBITS -- CHECK              *
005900*      28 - SETTLEMENT CREDITS - CHECK              *
006000*      29 - SETTLEMENT DEBITS -- WIRE TRANSFER      *
006100*      30 - SETTLEMENT CREDITS - WIRE TRANSFER      *
006200*      31 - SETTLEMENT DEBITS -- MANUAL             *
006300*      32 - SETTLEMENT CREDITS - MANUAL             *
006400*      33 - SETTLEMENT DEBITS -- BILLING/INVOICE    *
006500*      34 - SETTLEMENT CREDITS - BILLING/INVOICE    *
006600*      35 - SETTLEMENT DEBITS -- WINDOW             *
006700*      36 - SETTLEMENT CREDITS - WINDOW             *
006800*      37 - WINDOW TRANSACTIONS DEBITS              *
006900*      38 - WINDOW TRANSACTIONS CREDIT              *
007000*      39 - DEPOSIT MEMOS DEBITS                    *
007100*      40 - DEPOSIT MEMOS CREDIT                    *
007200*      41 - AUTHORIZATION DECLINES                  *
007300*      42 - AUTHORIZATION APPROVALS                 *
007400*      43 - MEMOS DEBITS                            *
007500*      44 - MEMOS CREDITS                           *
007600*      45 - RESERVE BALANCE DEBITS                  *
007700*      46 - RESERVE BALANCE CREDITS                 *
007800*                                                   *
007900*****************************************************
008000*
008100     03  WS-TOTALS-TABLE.
008200         05  WS-TT-LEVEL                     OCCURS 3 TIMES
008300                                             INDEXED BY
008400                                             X-WS-TT.
008500             07  WS-TT-ITEM                  OCCURS 46 TIMES
008600                                             INDEXED BY
008700                                             X-WS-TT-ITEM.
008800                 09  WS-TT-NBR
008900                             PIC S9(09)      COMP-3.
009000                 09  WS-TT-AMT
009100                             PIC S9(17)      COMP-3.
009200/
009300*****************************************************
009400*    THE VALUE FOR THE FOLLWING ITEM INDICES ARE:   *
009500*       1 - DEPOSITS                                *
009600*       2 - RESERVES                                *
009700*       3 - DISCOUNT                                *
009800*       4 - PARTICIPTION                            *
009900*       5 - SYSTEM ADJUSTMENTS                      *
010000*       6 - RECOVERY ADJUSTMENTS                    *
010100*       7 - SYSTEM FEES DEBIT                       *
010200*       8 - USER FEES DEBIT                         *
010300*       9 - INTERCHANGE FEES                        *
010400*      10 - USER CREDITS                            *
010500*      11 - TRANSFER TO BILLING/INVOICE             *
010600*      12 - HOLDOVER                                *
010700*      13 - SETTLEMENT -- ACH                       *
010800*      14 - SETTLEMENT -- CHECK                     *
010900*      15 - SETTLEMENT -- WIRE TRANSFER             *
011000*      16 - SETTLEMENT -- MANUAL                    *
011100*      17 - SETTLEMENT -- BILLING/INVOICE           *
011200*      18 - SETTLEMENT -- WINDOW                    *
011300*      19 - WINDOW TRANSACTIONS                     *
011400*      20 - DEPOSIT MEMOS                           *
011500*      21 - AUTHORIZATION DECLINES                  *
011600*      22 - MEMOS                                   *
011700*      23 - RESERVE BALANCE                         *
011800*      24 - FUTURE USE                              *
011900*      25 - FUTURE USE                              *
012000*      26 - FUTURE USE                              *
012100*      27 - FUTURE USE                              *
012200*      28 - SETTLEMENT IN SUB-TOTAL                 *
012300*      29 - SETTLEMENT IN TOTALS                    *
012400*      30 - SETTLEMENT OUT TOTALS                   *
012500*                                                   *
012600*****************************************************
012700*
012800     03  WS-TOTAL-ITEM-PRINT-TABLE.
012900         05  WS-TIPT-ITEM                    OCCURS 30 TIMES
013000                                             INDEXED BY
013100                                             X-WS-TIPT-ITEM.
013200             07  WS-TIPT-ITEM-FLAG
013300                             PIC  X(01)      VALUE 'N'.
013400                 88  WS-TIPT-IF-PRINT        VALUE 'Y'.
013500                 88  WS-TIPT-IF-NO-PRINT     VALUE 'N'.
013600*
013700*
013800     03  WS-HOLD-MER-NBR     PIC  9(09)      VALUE ZERO.
013900/
014000     COPY MB20WS.
014100*
014200 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
014300     03  FILLER              PIC  X(01).
014400     03  WS-DL1-MER-NBR      PIC  9(09).
014500     03  FILLER              PIC  X(01).
014600     03  WS-DL1-STORE-NBR    PIC  9(09).
014700     03  FILLER              PIC  X(02).
014800     03  WS-DL1-TC-NBR       PIC  9(03).
014900     03  FILLER              PIC  X(01).
015000     03  WS-DL1-LM-NBR       PIC  9(03).
015100     03  FILLER              PIC  X(01).
015200     03  WS-DL1-CP-NBR       PIC  9(02).
015300     03  FILLER              PIC  X(01).
015400     03  WS-DL1-QL-NBR       PIC  9(02).
015500     03  FILLER              PIC  X(01).
015600     03  WS-DL1-PLAN-NBR     PIC  9(05).
015700     03  FILLER              PIC  X(01).
015800     03  WS-DL1-WINDOW       PIC  X(01).
015900     03  FILLER              PIC  X(01).
016000     03  WS-DL1-DATE         PIC  X(10).
016100     03  FILLER              PIC  X(01).
016200     03  WS-DL1-SOURCE-NBR   PIC  9(05).
016300     03  FILLER              PIC  X(02).
016400     03  WS-DL1-NBR          PIC  9(05).
016500     03  FILLER              PIC  X(01).
016600     03  WS-DL1-SEQ-NBR      PIC  9(08).
016700     03  FILLER              PIC  X(03).
016800     03  WS-DL1-GL-NBR       PIC  9(01).
016900     03  FILLER              PIC  X(01).
017000     03  WS-DL1-NBR-ITEMS    PIC  X(12).
017100     03  FILLER              PIC  X(01).
017200     03  WS-DL1-TRANS-AMT    PIC  X(21).
017300     03  WS-DL1-DESCRIPTION  PIC  X(15).
017400*
017500 01  WS-MERCHANT-TOTAL-LINE-1
017600                             REDEFINES MB20WS-PRINT-LINE.
017700     03  WS-MTL1-LIT-1       PIC  X(43).
017800     03  FILLER              PIC  X(07).
017900     03  WS-MTL1-MER-NBR     PIC  9(09).
018000     03  FILLER              PIC  X(04).
018100     03  WS-MTL1-MER-DESC    PIC  X(40).
018200     03  FILLER              PIC  X(29).
018300*
018400 01  WS-ORG-TOTAL-LINE-1     REDEFINES MB20WS-PRINT-LINE.
018500     03  WS-OTL1-LIT-1       PIC  X(47).
018600     03  FILLER              PIC  X(03).
018700     03  WS-OTL1-ORG-NBR     PIC  9(03).
018800     03  FILLER              PIC  X(10).
018900     03  WS-OTL1-ORG-DESC    PIC  X(40).
019000     03  FILLER              PIC  X(29).
019100*
019200 01  WS-HEADING-TOTAL-LINE-1 REDEFINES MB20WS-PRINT-LINE.
019300     03  FILLER              PIC  X(27).
019400     03  WS-HTL1-LIT-1       PIC  X(38).
019500     03  FILLER              PIC  X(04).
019600     03  WS-HTL1-LIT-2       PIC  X(38).
019700     03  FILLER              PIC  X(25).
019800*
019900 01  WS-TOTAL-LINE-1         REDEFINES MB20WS-PRINT-LINE.
020000     03  FILLER              PIC  X(05).
020100     03  WS-TL1-LIT-1        PIC  X(22).
020200     03  WS-TL1-DR-NBR       PIC  X(12).
020300     03  FILLER              PIC  X(06).
020400     03  WS-TL1-DR-AMT       PIC  X(21).
020500     03  FILLER              PIC  X(04).
020600     03  WS-TL1-CR-NBR       PIC  X(12).
020700     03  FILLER              PIC  X(05).
020800     03  WS-TL1-CR-AMT       PIC  X(21).
020900     03  FILLER              PIC  X(24).
021000/
021100     COPY SS95WS.
021200/
021300     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
021400/
021500     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
021600/
021700     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
021800/
021900     COPY MMTCWS.
022000/
022100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
022200/
022300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
022400/
022500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
022600/
022700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
022800/
022900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
023000/
023100     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
023200/
023300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
023400/
023500     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
023600/
023700     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
023800/
023900     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
024000/
024100     COPY MB00WS.
024200/
024300     COPY SS00WS.
024400/
024500     COPY SS01WS.
024600/
024700     COPY SS02WS.
024800*
024900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
025000/
025100 LINKAGE SECTION.
025200     COPY MB22WS.
025300/
025400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
025500/
025600 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
025700                                       MTRF-RECORD.
025800*
025900 A000-MAIN-LINE-SECT SECTION.
026000 A010-ML-BEGIN.
026100*
026200     IF  MTRF-K1-RT-DETAIL
026300         PERFORM D000-DETAIL-RECORD
026400            THRU D099-DR-EXIT.
026500*
026600     IF  MTRF-K1-RT-HEADER
026700         PERFORM H000-HEADER-RECORD
026800            THRU H099-HR-EXIT.
026900*
027000     IF  MTRF-K1-RT-TRAILER
027100         PERFORM T000-TRAILER-RECORD
027200            THRU T099-TR-EXIT.
027300*
027400     GOBACK.
027500*
027600 A099-ML-EXIT.
027700     EXIT.
027800/
027900 D000-DETAIL-RECORD SECTION.
028000 D010-DR-BEGIN.
028100*
028200     MOVE 'Y'                    TO WS-D72016-ACTIVITY-SW.
028300*
028400     MOVE MTRF-MT-TRANSACTION    TO MTPT-RECORD.
028500*
028600     IF  MTPT-MERCHANT   IS NOT EQUAL TO WS-HOLD-MER-NBR
028700     AND WS-HOLD-MER-NBR IS GREATER THAN ZERO
028800         PERFORM 9100-CHECK-NBR-LINES
028900            THRU 9100-CNL-EXIT
029000         PERFORM 9020-PRINT-MER-TOTALS
029100            THRU 9020-PMT-EXIT
029200         PERFORM 9080-ZERO-MER-ACCUMS
029300            THRU 9080-ZMA-EXIT
029400         PERFORM MB22PD-PRINT-1-LINE
029500            THRU MB22PD-P1L-EXIT.
029600*
029700     MOVE MTPT-MERCHANT          TO WS-HOLD-MER-NBR.
029800*
029900     MOVE 2                      TO WS-D720-LINE-CHECK.
030000*
030100     PERFORM 9100-CHECK-NBR-LINES
030200        THRU 9100-CNL-EXIT.
030300*
030400     MOVE MTPT-MERCHANT          TO WS-DL1-MER-NBR.
030500     MOVE MTPT-STORE             TO WS-DL1-STORE-NBR.
030600     MOVE MTPT-TRANS-CODE        TO WS-DL1-TC-NBR.
030700     MOVE MTPT-LOGIC-MODULE      TO WS-DL1-LM-NBR.
030800     MOVE MTPT-PRODUCT           TO WS-DL1-CP-NBR.
030900     MOVE MTPT-QUAL-LEVEL        TO WS-DL1-QL-NBR.
031000     MOVE MTPT-PLAN              TO WS-DL1-PLAN-NBR.
031100*
031200     IF  MTPT-SETTLED-WINDOW
031300         MOVE MTPT-SETT-FLAG     TO WS-DL1-WINDOW.
031400*
031500     MOVE MTPT-BATCH-DATE        TO SS01WS-JULIAN.
031600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
031700        THRU SS26PD-NED-EXIT.
031800     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
031900     MOVE MTPT-BATCH-SOURCE      TO WS-DL1-SOURCE-NBR.
032000     MOVE MTPT-BATCH-NBR         TO WS-DL1-NBR.
032100     MOVE MTPT-BATCH-SEQ         TO WS-DL1-SEQ-NBR.
032200     MOVE MTPT-GL-SOURCE         TO WS-DL1-GL-NBR.
032300*
032400     MOVE MTPT-NBR-ITEMS         TO SS95WS-IN-NBR.
032500     PERFORM SS95PD-NAP-ROUTINE
032600        THRU SS95PD-NAP-EXIT.
032700     MOVE SS95WS-OUT-NBR-L12     TO WS-DL1-NBR-ITEMS.
032800*
032900     MOVE MTPT-AMOUNT            TO SS95WS-IN-AMT.
033000     PERFORM SS95PD-NAP-ROUTINE
033100        THRU SS95PD-NAP-EXIT.
033200     MOVE SS95WS-OUT-AMT-L20     TO WS-DL1-TRANS-AMT.
033300*
033400     MOVE MTPT-RPT-DESC          TO WS-DL1-DESCRIPTION.
033500*
033600     PERFORM 9050-ACCUMULATE-TOTALS
033700        THRU 9050-AT-EXIT.
033800*
033900     EVALUATE TRUE
034000         WHEN MTRF-K1-DETAIL
034100             PERFORM MB22PD-PRINT-1-LINE
034200                THRU MB22PD-P1L-EXIT
034300         WHEN OTHER
034400             MOVE SPACES         TO MB20WS-PRINT-LINE
034500     END-EVALUATE.
034600*
034700     MOVE MTPT-REF-BATCH-DATE    TO SS01WS-JULIAN.
034800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
034900        THRU SS26PD-NED-EXIT.
035000     MOVE SS01WS-XX-XX-YYYY      TO WS-DL1-DATE.
035100     MOVE MTPT-REF-BATCH-SOURCE  TO WS-DL1-SOURCE-NBR.
035200     MOVE MTPT-REF-BATCH-NBR     TO WS-DL1-NBR.
035300     MOVE MTPT-REF-BATCH-SEQ     TO WS-DL1-SEQ-NBR.
035400*
035500     EVALUATE TRUE
035600         WHEN MTRF-K1-DETAIL
035700             PERFORM MB22PD-PRINT-1-LINE
035800                THRU MB22PD-P1L-EXIT
035900         WHEN OTHER
036000             MOVE SPACES         TO MB20WS-PRINT-LINE
036100     END-EVALUATE.
036200*
036300     MOVE MTRF-RECORD            TO MWRF-RECORD.
036400*
036500 D099-DR-EXIT.
036600     EXIT.
036700/
036800 H000-HEADER-RECORD SECTION.
036900 H010-HR-BEGIN.
037000*
037100     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
037200     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
037300     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
037400     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
037500     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
037600     MOVE 'O16'                  TO MB20WS-SH-INTERNAL-RPT-ID.
037700     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
037800     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
037900     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
038000     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
038100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
038200        THRU SS26PD-NED-EXIT.
038300     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
038400     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
038500     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
038600*
038700     MOVE '  MERCHANT   STORE   *-- POSTING DATA ---*  '
038800                                 TO MB20WS-SH-L5R-1.
038900     MOVE 'BATCH-DATE SOURCE  NBR     SEQ             N'
039000                                 TO MB20WS-SH-L5R-2.
039100     MOVE 'UMBER         TRANSACTION                   '
039200                                 TO MB20WS-SH-L5R-3.
039300*
039400     MOVE '   NUMBER   NUMBER    T/C L/M PR QL  PLAN   '
039500                                 TO MB20WS-SH-L6R-1.
039600     MOVE 'REFER-DATE SOURCE  NBR     SEQ    G/L       '
039700                                 TO MB20WS-SH-L6R-2.
039800     MOVE 'ITEMS            AMOUNT       DESCRIPTION   '
039900                                 TO MB20WS-SH-L6R-3.
040000*
040100     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
040200     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
040300     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
040400     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
040500     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
040600     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
040700     SET SS95WS-FUNCTION-INITIALIZE
040800                                 TO TRUE.
040900     PERFORM SS95PD-NAP-ROUTINE
041000        THRU SS95PD-NAP-EXIT.
041100*
041200     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
041300     SET SS95WS-NAP-IND-IS-ALL   TO TRUE.
041400     MOVE 'N'                    TO WS-D72016-ACTIVITY-SW.
041500     MOVE MTRF-RECORD            TO MTR9-RECORD.
041600     MOVE SPACES                 TO MWRF-RECORD.
041700     MOVE ZERO                   TO MWRF-MERCHANT.
041800     PERFORM 9070-ZERO-ORG-ACCUMS
041900        THRU 9070-ZOA-EXIT.
042000     PERFORM 9080-ZERO-MER-ACCUMS
042100        THRU 9080-ZMA-EXIT.
042200     PERFORM 9090-ZERO-STORE-ACCUMS
042300        THRU 9090-ZSA-EXIT.
042400     MOVE ZERO                   TO WS-HOLD-MER-NBR.
042500*
042600*****               111111111122222222223
042700*****      123456789012345678901234567890
042800     MOVE 'NNNNYYNNNNNNNNNNNNYNNNNNNNNNNN'
042900                                 TO WS-TOTAL-ITEM-PRINT-TABLE.
043000*
043100     MOVE 5                      TO WS-D720-LINE-CHECK.
043200*
043300     PERFORM
043400         VARYING X-WS-TIPT-ITEM FROM 1 BY 1
043500         UNTIL   X-WS-TIPT-ITEM IS GREATER THAN 30
043600         IF  WS-TIPT-IF-PRINT (X-WS-TIPT-ITEM)
043700             ADD  1              TO WS-D720-LINE-CHECK
043800         END-IF
043900     END-PERFORM.
044000*
044100     IF  WS-TIPT-IF-PRINT (28)
044200         ADD  1                  TO WS-D720-LINE-CHECK.
044300*
044400     IF  WS-TIPT-IF-PRINT (29)
044500         ADD  1                  TO WS-D720-LINE-CHECK.
044600*
044700     IF  WS-TIPT-IF-PRINT (30)
044800         ADD  1                  TO WS-D720-LINE-CHECK.
044900*
045000 H099-HR-EXIT.
045100     EXIT.
045200/
045300 T000-TRAILER-RECORD SECTION.
045400 T010-TR-BEGIN.
045500*
045600     MOVE MTR9-RECORD            TO MTRF-RECORD.
045700*
045800     IF  WS-D72016-ACTIVITY-SW IS EQUAL TO 'N'
045900         IF  MTRF-HD-AF-PRODUCE
046000             PERFORM MB22PD-PRINT-NO-ACTIVITY
046100                THRU MB22PD-PNA-EXIT
046200             GO TO T099-TR-EXIT
046300         ELSE
046400             GO TO T099-TR-EXIT.
046500*
046600***************************************************************
046700*    WE MUST NOW PRINT MERCHANT TOTALS. THE REASON FOR THIS IS*
046800*    WE COULD HAVE PRINTED SEVERAL DETAIL RECORDS AND THEN    *
046900*    ENCOUNTERED A TRAILER RECORD WITH OUT HAVING  PROCESSED  *
047000*    THE MERCHANT BREAK/TOTALING LOGIC. THIS CODE WILL FORCE  *
047100*    A MERCHANT TOTAL TO BE PRINTED.                          *
047200***************************************************************
047300*
047400     PERFORM 9100-CHECK-NBR-LINES
047500        THRU 9100-CNL-EXIT.
047600*
047700     PERFORM 9020-PRINT-MER-TOTALS
047800        THRU 9020-PMT-EXIT.
047900*
048000     PERFORM 9080-ZERO-MER-ACCUMS
048100        THRU 9080-ZMA-EXIT.
048200*
048300     PERFORM 9100-CHECK-NBR-LINES
048400        THRU 9100-CNL-EXIT.
048500*
048600     PERFORM 9010-PRINT-ORG-TOTALS
048700        THRU 9010-POT-EXIT.
048800*
048900 T099-TR-EXIT.
049000     EXIT.
049100/
049200 9000-PERFORMED-ROUTINES-SECT SECTION.
049300 9010-PRINT-ORG-TOTALS.
049400*
049500     PERFORM MB22PD-PRINT-1-LINE
049600        THRU MB22PD-P1L-EXIT.
049700*
049800     MOVE SPACES                 TO MB20WS-SH-LINE-5
049900                                    MB20WS-SH-LINE-6
050000                                    MB20WS-SH-LINE-7
050100                                    MB20WS-SH-LINE-8.
050200*
050300     MOVE '**** ORGANIZATION TOTALS ****  FOR ORGANIZATION'
050400                                 TO WS-OTL1-LIT-1.
050500     MOVE MTRF-K1-ORG            TO WS-OTL1-ORG-NBR.
050600     MOVE MTRF-HD-ORG-NAME       TO WS-OTL1-ORG-DESC.
050700     PERFORM MB22PD-PRINT-1-LINE
050800        THRU MB22PD-P1L-EXIT.
050900*
051000     SET X-WS-TT                 TO 1.
051100     PERFORM 9030-PRINT-TOTALS
051200        THRU 9030-PT-EXIT.
051300*
051400 9010-POT-EXIT.
051500     EXIT.
051600/
051700 9020-PRINT-MER-TOTALS.
051800*
051900     PERFORM MB22PD-PRINT-1-LINE
052000        THRU MB22PD-P1L-EXIT.
052100*
052200     MOVE '**** MERCHANT TOTALS ****      FOR MERCHANT    '
052300                                 TO WS-MTL1-LIT-1.
052400     MOVE MWRF-MERCHANT          TO WS-MTL1-MER-NBR.
052500     MOVE MWRF-NAME              TO WS-MTL1-MER-DESC.
052600     PERFORM MB22PD-PRINT-1-LINE
052700        THRU MB22PD-P1L-EXIT.
052800*
052900     SET X-WS-TT                 TO 2.
053000     PERFORM 9030-PRINT-TOTALS
053100        THRU 9030-PT-EXIT.
053200*
053300 9020-PMT-EXIT.
053400     EXIT.
053500/
053600 9030-PRINT-TOTALS.
053700*
053800     MOVE '*-------------- DEBITS -------------*'
053900                                 TO WS-HTL1-LIT-1.
054000     MOVE '*------------- CREDITS -------------*'
054100                                 TO WS-HTL1-LIT-2.
054200     PERFORM MB22PD-PRINT-1-LINE
054300        THRU MB22PD-P1L-EXIT.
054400*
054500     MOVE 'DEPOSITS              '
054600                                 TO WS-TL1-LIT-1.
054700     MOVE WS-TT-NBR (X-WS-TT 1)  TO SS95WS-IN-NBR.
054800     MOVE WS-TT-AMT (X-WS-TT 1)  TO SS95WS-IN-AMT.
054900     PERFORM SS95PD-NAP-ROUTINE
055000        THRU SS95PD-NAP-EXIT.
055100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
055200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
055300*
055400     MOVE WS-TT-NBR (X-WS-TT 2)  TO SS95WS-IN-NBR.
055500     MOVE WS-TT-AMT (X-WS-TT 2)  TO SS95WS-IN-AMT.
055600     PERFORM SS95PD-NAP-ROUTINE
055700        THRU SS95PD-NAP-EXIT.
055800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
055900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
056000*
056100     IF  WS-TIPT-IF-PRINT (1)
056200         PERFORM MB22PD-PRINT-1-LINE
056300            THRU MB22PD-P1L-EXIT
056400     ELSE
056500         MOVE SPACES             TO MB20WS-PRINT-LINE.
056600*
056700     MOVE 'RESERVES              '
056800                                 TO WS-TL1-LIT-1.
056900     MOVE WS-TT-NBR (X-WS-TT 3)  TO SS95WS-IN-NBR.
057000     MOVE WS-TT-AMT (X-WS-TT 3)  TO SS95WS-IN-AMT.
057100     PERFORM SS95PD-NAP-ROUTINE
057200        THRU SS95PD-NAP-EXIT.
057300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
057400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
057500*
057600     MOVE WS-TT-NBR (X-WS-TT 4)  TO SS95WS-IN-NBR.
057700     MOVE WS-TT-AMT (X-WS-TT 4)  TO SS95WS-IN-AMT.
057800     PERFORM SS95PD-NAP-ROUTINE
057900        THRU SS95PD-NAP-EXIT.
058000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
058100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
058200*
058300     IF  WS-TIPT-IF-PRINT (2)
058400         PERFORM MB22PD-PRINT-1-LINE
058500            THRU MB22PD-P1L-EXIT
058600     ELSE
058700         MOVE SPACES             TO MB20WS-PRINT-LINE.
058800*
058900     MOVE 'DISCOUNT              '
059000                                 TO WS-TL1-LIT-1.
059100     MOVE WS-TT-NBR (X-WS-TT 5)  TO SS95WS-IN-NBR.
059200     MOVE WS-TT-AMT (X-WS-TT 5)  TO SS95WS-IN-AMT.
059300     PERFORM SS95PD-NAP-ROUTINE
059400        THRU SS95PD-NAP-EXIT.
059500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
059600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
059700*
059800     MOVE WS-TT-NBR (X-WS-TT 6)  TO SS95WS-IN-NBR.
059900     MOVE WS-TT-AMT (X-WS-TT 6)  TO SS95WS-IN-AMT.
060000     PERFORM SS95PD-NAP-ROUTINE
060100        THRU SS95PD-NAP-EXIT.
060200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
060300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
060400*
060500     IF  WS-TIPT-IF-PRINT (3)
060600         PERFORM MB22PD-PRINT-1-LINE
060700            THRU MB22PD-P1L-EXIT
060800     ELSE
060900         MOVE SPACES             TO MB20WS-PRINT-LINE.
061000*
061100     MOVE 'PARTICIPATION         '
061200                                 TO WS-TL1-LIT-1.
061300     MOVE WS-TT-NBR (X-WS-TT 7)  TO SS95WS-IN-NBR.
061400     MOVE WS-TT-AMT (X-WS-TT 7)  TO SS95WS-IN-AMT.
061500     PERFORM SS95PD-NAP-ROUTINE
061600        THRU SS95PD-NAP-EXIT.
061700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
061800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
061900*
062000     MOVE WS-TT-NBR (X-WS-TT 8)  TO SS95WS-IN-NBR.
062100     MOVE WS-TT-AMT (X-WS-TT 8)  TO SS95WS-IN-AMT.
062200     PERFORM SS95PD-NAP-ROUTINE
062300        THRU SS95PD-NAP-EXIT.
062400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
062500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
062600*
062700     IF  WS-TIPT-IF-PRINT (4)
062800         PERFORM MB22PD-PRINT-1-LINE
062900            THRU MB22PD-P1L-EXIT
063000     ELSE
063100         MOVE SPACES             TO MB20WS-PRINT-LINE.
063200*
063300     MOVE 'MERCHANT ADJUSTMENTS  '
063400                                 TO WS-TL1-LIT-1.
063500     MOVE WS-TT-NBR (X-WS-TT 9)  TO SS95WS-IN-NBR.
063600     MOVE WS-TT-AMT (X-WS-TT 9)  TO SS95WS-IN-AMT.
063700     PERFORM SS95PD-NAP-ROUTINE
063800        THRU SS95PD-NAP-EXIT.
063900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
064000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
064100*
064200     MOVE WS-TT-NBR (X-WS-TT 10) TO SS95WS-IN-NBR.
064300     MOVE WS-TT-AMT (X-WS-TT 10) TO SS95WS-IN-AMT.
064400     PERFORM SS95PD-NAP-ROUTINE
064500        THRU SS95PD-NAP-EXIT.
064600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
064700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
064800*
064900     IF  WS-TIPT-IF-PRINT (5)
065000         PERFORM MB22PD-PRINT-1-LINE
065100            THRU MB22PD-P1L-EXIT
065200     ELSE
065300         MOVE SPACES             TO MB20WS-PRINT-LINE.
065400*
065500     MOVE 'RECOVERY ADJUSTMENTS  '
065600                                 TO WS-TL1-LIT-1.
065700     MOVE WS-TT-NBR (X-WS-TT 11) TO SS95WS-IN-NBR.
065800     MOVE WS-TT-AMT (X-WS-TT 11) TO SS95WS-IN-AMT.
065900     PERFORM SS95PD-NAP-ROUTINE
066000        THRU SS95PD-NAP-EXIT.
066100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
066200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
066300*
066400     MOVE WS-TT-NBR (X-WS-TT 12) TO SS95WS-IN-NBR.
066500     MOVE WS-TT-AMT (X-WS-TT 12) TO SS95WS-IN-AMT.
066600     PERFORM SS95PD-NAP-ROUTINE
066700        THRU SS95PD-NAP-EXIT.
066800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
066900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
067000*
067100     IF  WS-TIPT-IF-PRINT (6)
067200         PERFORM MB22PD-PRINT-1-LINE
067300            THRU MB22PD-P1L-EXIT
067400     ELSE
067500         MOVE SPACES             TO MB20WS-PRINT-LINE.
067600*
067700     MOVE 'SYSTEM FEES           '
067800                                 TO WS-TL1-LIT-1.
067900     MOVE WS-TT-NBR (X-WS-TT 13) TO SS95WS-IN-NBR.
068000     MOVE WS-TT-AMT (X-WS-TT 13) TO SS95WS-IN-AMT.
068100     PERFORM SS95PD-NAP-ROUTINE
068200        THRU SS95PD-NAP-EXIT.
068300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
068400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
068500*
068600     MOVE WS-TT-NBR (X-WS-TT 14) TO SS95WS-IN-NBR.
068700     MOVE WS-TT-AMT (X-WS-TT 14) TO SS95WS-IN-AMT.
068800     PERFORM SS95PD-NAP-ROUTINE
068900        THRU SS95PD-NAP-EXIT.
069000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
069100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
069200*
069300     IF  WS-TIPT-IF-PRINT (7)
069400         PERFORM MB22PD-PRINT-1-LINE
069500            THRU MB22PD-P1L-EXIT
069600     ELSE
069700         MOVE SPACES             TO MB20WS-PRINT-LINE.
069800*
069900     MOVE 'USER FEES             '
070000                                 TO WS-TL1-LIT-1.
070100     MOVE WS-TT-NBR (X-WS-TT 15) TO SS95WS-IN-NBR.
070200     MOVE WS-TT-AMT (X-WS-TT 15) TO SS95WS-IN-AMT.
070300     PERFORM SS95PD-NAP-ROUTINE
070400        THRU SS95PD-NAP-EXIT.
070500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
070600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
070700*
070800     MOVE WS-TT-NBR (X-WS-TT 16) TO SS95WS-IN-NBR.
070900     MOVE WS-TT-AMT (X-WS-TT 16) TO SS95WS-IN-AMT.
071000     PERFORM SS95PD-NAP-ROUTINE
071100        THRU SS95PD-NAP-EXIT.
071200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
071300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
071400*
071500     IF  WS-TIPT-IF-PRINT (8)
071600         PERFORM MB22PD-PRINT-1-LINE
071700            THRU MB22PD-P1L-EXIT
071800     ELSE
071900         MOVE SPACES             TO MB20WS-PRINT-LINE.
072000*
072100     MOVE 'INTERCHANGE FEES      '
072200                                 TO WS-TL1-LIT-1.
072300     MOVE WS-TT-NBR (X-WS-TT 17) TO SS95WS-IN-NBR.
072400     MOVE WS-TT-AMT (X-WS-TT 17) TO SS95WS-IN-AMT.
072500     PERFORM SS95PD-NAP-ROUTINE
072600        THRU SS95PD-NAP-EXIT.
072700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
072800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
072900*
073000     MOVE WS-TT-NBR (X-WS-TT 18) TO SS95WS-IN-NBR.
073100     MOVE WS-TT-AMT (X-WS-TT 18) TO SS95WS-IN-AMT.
073200     PERFORM SS95PD-NAP-ROUTINE
073300        THRU SS95PD-NAP-EXIT.
073400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
073500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
073600*
073700     IF  WS-TIPT-IF-PRINT (9)
073800         PERFORM MB22PD-PRINT-1-LINE
073900            THRU MB22PD-P1L-EXIT
074000     ELSE
074100         MOVE SPACES             TO MB20WS-PRINT-LINE.
074200*
074300     MOVE 'USER CREDITS          '
074400                                 TO WS-TL1-LIT-1.
074500     MOVE WS-TT-NBR (X-WS-TT 19) TO SS95WS-IN-NBR.
074600     MOVE WS-TT-AMT (X-WS-TT 19) TO SS95WS-IN-AMT.
074700     PERFORM SS95PD-NAP-ROUTINE
074800        THRU SS95PD-NAP-EXIT.
074900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
075000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
075100*
075200     MOVE WS-TT-NBR (X-WS-TT 20) TO SS95WS-IN-NBR.
075300     MOVE WS-TT-AMT (X-WS-TT 20) TO SS95WS-IN-AMT.
075400     PERFORM SS95PD-NAP-ROUTINE
075500        THRU SS95PD-NAP-EXIT.
075600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
075700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
075800*
075900     IF  WS-TIPT-IF-PRINT (10)
076000         PERFORM MB22PD-PRINT-1-LINE
076100            THRU MB22PD-P1L-EXIT
076200     ELSE
076300         MOVE SPACES             TO MB20WS-PRINT-LINE.
076400*
076500     MOVE ALL '-'                TO WS-TL1-DR-NBR.
076600     MOVE ALL '-'                TO WS-TL1-DR-AMT.
076700     MOVE ALL '-'                TO WS-TL1-CR-NBR.
076800     MOVE ALL '-'                TO WS-TL1-CR-AMT.
076900*
077000     IF  WS-TIPT-IF-PRINT (28)
077100         PERFORM MB22PD-PRINT-1-LINE
077200            THRU MB22PD-P1L-EXIT
077300     ELSE
077400         MOVE SPACES             TO MB20WS-PRINT-LINE.
077500*
077600     MOVE '    SUB-TOTAL.........'
077700                                 TO WS-TL1-LIT-1.
077800     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 1)
077900                                 +  WS-TT-NBR (X-WS-TT 3)
078000                                 +  WS-TT-NBR (X-WS-TT 5)
078100                                 +  WS-TT-NBR (X-WS-TT 7)
078200                                 +  WS-TT-NBR (X-WS-TT 9)
078300                                 +  WS-TT-NBR (X-WS-TT 11)
078400                                 +  WS-TT-NBR (X-WS-TT 13)
078500                                 +  WS-TT-NBR (X-WS-TT 15)
078600                                 +  WS-TT-NBR (X-WS-TT 17)
078700                                 +  WS-TT-NBR (X-WS-TT 19).
078800     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 1)
078900                                 +  WS-TT-AMT (X-WS-TT 3)
079000                                 +  WS-TT-AMT (X-WS-TT 5)
079100                                 +  WS-TT-AMT (X-WS-TT 7)
079200                                 +  WS-TT-AMT (X-WS-TT 9)
079300                                 +  WS-TT-AMT (X-WS-TT 11)
079400                                 +  WS-TT-AMT (X-WS-TT 13)
079500                                 +  WS-TT-AMT (X-WS-TT 15)
079600                                 +  WS-TT-AMT (X-WS-TT 17)
079700                                 +  WS-TT-AMT (X-WS-TT 19).
079800     PERFORM SS95PD-NAP-ROUTINE
079900        THRU SS95PD-NAP-EXIT.
080000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
080100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
080200*
080300     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 2)
080400                                 +  WS-TT-NBR (X-WS-TT 4)
080500                                 +  WS-TT-NBR (X-WS-TT 6)
080600                                 +  WS-TT-NBR (X-WS-TT 8)
080700                                 +  WS-TT-NBR (X-WS-TT 10)
080800                                 +  WS-TT-NBR (X-WS-TT 12)
080900                                 +  WS-TT-NBR (X-WS-TT 14)
081000                                 +  WS-TT-NBR (X-WS-TT 16)
081100                                 +  WS-TT-NBR (X-WS-TT 18)
081200                                 +  WS-TT-NBR (X-WS-TT 20).
081300     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 2)
081400                                 +  WS-TT-AMT (X-WS-TT 4)
081500                                 +  WS-TT-AMT (X-WS-TT 6)
081600                                 +  WS-TT-AMT (X-WS-TT 8)
081700                                 +  WS-TT-AMT (X-WS-TT 10)
081800                                 +  WS-TT-AMT (X-WS-TT 12)
081900                                 +  WS-TT-AMT (X-WS-TT 14)
082000                                 +  WS-TT-AMT (X-WS-TT 16)
082100                                 +  WS-TT-AMT (X-WS-TT 18)
082200                                 +  WS-TT-AMT (X-WS-TT 20).
082300     PERFORM SS95PD-NAP-ROUTINE
082400        THRU SS95PD-NAP-EXIT.
082500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
082600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
082700*
082800     IF  WS-TIPT-IF-PRINT (28)
082900         PERFORM MB22PD-PRINT-1-LINE
083000            THRU MB22PD-P1L-EXIT
083100     ELSE
083200         MOVE SPACES             TO MB20WS-PRINT-LINE.
083300*
083400     MOVE 'TRANSFER TO INVOICE   '
083500                                 TO WS-TL1-LIT-1.
083600     MOVE WS-TT-NBR (X-WS-TT 21) TO SS95WS-IN-NBR.
083700     MOVE WS-TT-AMT (X-WS-TT 21) TO SS95WS-IN-AMT.
083800     PERFORM SS95PD-NAP-ROUTINE
083900        THRU SS95PD-NAP-EXIT.
084000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
084100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
084200*
084300     MOVE WS-TT-NBR (X-WS-TT 22) TO SS95WS-IN-NBR.
084400     MOVE WS-TT-AMT (X-WS-TT 22) TO SS95WS-IN-AMT.
084500     PERFORM SS95PD-NAP-ROUTINE
084600        THRU SS95PD-NAP-EXIT.
084700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
084800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
084900*
085000     IF  WS-TIPT-IF-PRINT (11)
085100         PERFORM MB22PD-PRINT-1-LINE
085200            THRU MB22PD-P1L-EXIT
085300     ELSE
085400         MOVE SPACES             TO MB20WS-PRINT-LINE.
085500*
085600     MOVE 'HOLDOVER TRANSACTIONS '
085700                                 TO WS-TL1-LIT-1.
085800     MOVE WS-TT-NBR (X-WS-TT 23) TO SS95WS-IN-NBR.
085900     MOVE WS-TT-AMT (X-WS-TT 23) TO SS95WS-IN-AMT.
086000     PERFORM SS95PD-NAP-ROUTINE
086100        THRU SS95PD-NAP-EXIT.
086200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
086300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
086400*
086500     MOVE WS-TT-NBR (X-WS-TT 24) TO SS95WS-IN-NBR.
086600     MOVE WS-TT-AMT (X-WS-TT 24) TO SS95WS-IN-AMT.
086700     PERFORM SS95PD-NAP-ROUTINE
086800        THRU SS95PD-NAP-EXIT.
086900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
087000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
087100*
087200     IF  WS-TIPT-IF-PRINT (12)
087300         PERFORM MB22PD-PRINT-1-LINE
087400            THRU MB22PD-P1L-EXIT
087500     ELSE
087600         MOVE SPACES             TO MB20WS-PRINT-LINE.
087700*
087800     MOVE ALL '-'                TO WS-TL1-DR-NBR.
087900     MOVE ALL '-'                TO WS-TL1-DR-AMT.
088000     MOVE ALL '-'                TO WS-TL1-CR-NBR.
088100     MOVE ALL '-'                TO WS-TL1-CR-AMT.
088200*
088300     IF  WS-TIPT-IF-PRINT (29)
088400         PERFORM MB22PD-PRINT-1-LINE
088500            THRU MB22PD-P1L-EXIT
088600     ELSE
088700         MOVE SPACES             TO MB20WS-PRINT-LINE.
088800*
088900     MOVE '*SETTLEMENT IN TOTAL* '
089000                                 TO WS-TL1-LIT-1.
089100     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 1)
089200                                 +  WS-TT-NBR (X-WS-TT 3)
089300                                 +  WS-TT-NBR (X-WS-TT 5)
089400                                 +  WS-TT-NBR (X-WS-TT 7)
089500                                 +  WS-TT-NBR (X-WS-TT 9)
089600                                 +  WS-TT-NBR (X-WS-TT 11)
089700                                 +  WS-TT-NBR (X-WS-TT 13)
089800                                 +  WS-TT-NBR (X-WS-TT 15)
089900                                 +  WS-TT-NBR (X-WS-TT 17)
090000                                 +  WS-TT-NBR (X-WS-TT 19)
090100                                 +  WS-TT-NBR (X-WS-TT 21)
090200                                 +  WS-TT-NBR (X-WS-TT 23).
090300     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 1)
090400                                 +  WS-TT-AMT (X-WS-TT 3)
090500                                 +  WS-TT-AMT (X-WS-TT 5)
090600                                 +  WS-TT-AMT (X-WS-TT 7)
090700                                 +  WS-TT-AMT (X-WS-TT 9)
090800                                 +  WS-TT-AMT (X-WS-TT 11)
090900                                 +  WS-TT-AMT (X-WS-TT 13)
091000                                 +  WS-TT-AMT (X-WS-TT 15)
091100                                 +  WS-TT-AMT (X-WS-TT 17)
091200                                 +  WS-TT-AMT (X-WS-TT 19)
091300                                 +  WS-TT-AMT (X-WS-TT 21)
091400                                 +  WS-TT-AMT (X-WS-TT 23).
091500     PERFORM SS95PD-NAP-ROUTINE
091600        THRU SS95PD-NAP-EXIT.
091700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
091800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
091900*
092000     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 2)
092100                                 +  WS-TT-NBR (X-WS-TT 4)
092200                                 +  WS-TT-NBR (X-WS-TT 6)
092300                                 +  WS-TT-NBR (X-WS-TT 8)
092400                                 +  WS-TT-NBR (X-WS-TT 10)
092500                                 +  WS-TT-NBR (X-WS-TT 12)
092600                                 +  WS-TT-NBR (X-WS-TT 14)
092700                                 +  WS-TT-NBR (X-WS-TT 16)
092800                                 +  WS-TT-NBR (X-WS-TT 18)
092900                                 +  WS-TT-NBR (X-WS-TT 20)
093000                                 +  WS-TT-NBR (X-WS-TT 22)
093100                                 +  WS-TT-NBR (X-WS-TT 24).
093200     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 2)
093300                                 +  WS-TT-AMT (X-WS-TT 4)
093400                                 +  WS-TT-AMT (X-WS-TT 6)
093500                                 +  WS-TT-AMT (X-WS-TT 8)
093600                                 +  WS-TT-AMT (X-WS-TT 10)
093700                                 +  WS-TT-AMT (X-WS-TT 12)
093800                                 +  WS-TT-AMT (X-WS-TT 14)
093900                                 +  WS-TT-AMT (X-WS-TT 16)
094000                                 +  WS-TT-AMT (X-WS-TT 18)
094100                                 +  WS-TT-AMT (X-WS-TT 20)
094200                                 +  WS-TT-AMT (X-WS-TT 22)
094300                                 +  WS-TT-AMT (X-WS-TT 24).
094400     PERFORM SS95PD-NAP-ROUTINE
094500        THRU SS95PD-NAP-EXIT.
094600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
094700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
094800*
094900     IF  WS-TIPT-IF-PRINT (29)
095000         PERFORM MB22PD-PRINT-2-LINES
095100            THRU MB22PD-P2L-EXIT
095200     ELSE
095300         MOVE SPACES             TO MB20WS-PRINT-LINE
095400         PERFORM MB22PD-PRINT-1-LINE
095500            THRU MB22PD-P1L-EXIT.
095600*
095700     MOVE 'SETTLEMENT - A C H    '
095800                                 TO WS-TL1-LIT-1.
095900     MOVE WS-TT-NBR (X-WS-TT 25) TO SS95WS-IN-NBR.
096000     MOVE WS-TT-AMT (X-WS-TT 25) TO SS95WS-IN-AMT.
096100     PERFORM SS95PD-NAP-ROUTINE
096200        THRU SS95PD-NAP-EXIT.
096300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
096400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
096500*
096600     MOVE WS-TT-NBR (X-WS-TT 26) TO SS95WS-IN-NBR.
096700     MOVE WS-TT-AMT (X-WS-TT 26) TO SS95WS-IN-AMT.
096800     PERFORM SS95PD-NAP-ROUTINE
096900        THRU SS95PD-NAP-EXIT.
097000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
097100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
097200*
097300     IF  WS-TIPT-IF-PRINT (13)
097400         PERFORM MB22PD-PRINT-1-LINE
097500            THRU MB22PD-P1L-EXIT
097600     ELSE
097700         MOVE SPACES             TO MB20WS-PRINT-LINE.
097800*
097900     MOVE 'SETTLEMENT - CHECK    '
098000                                 TO WS-TL1-LIT-1.
098100     MOVE WS-TT-NBR (X-WS-TT 27) TO SS95WS-IN-NBR.
098200     MOVE WS-TT-AMT (X-WS-TT 27) TO SS95WS-IN-AMT.
098300     PERFORM SS95PD-NAP-ROUTINE
098400        THRU SS95PD-NAP-EXIT.
098500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
098600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
098700*
098800     MOVE WS-TT-NBR (X-WS-TT 28) TO SS95WS-IN-NBR.
098900     MOVE WS-TT-AMT (X-WS-TT 28) TO SS95WS-IN-AMT.
099000     PERFORM SS95PD-NAP-ROUTINE
099100        THRU SS95PD-NAP-EXIT.
099200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
099300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
099400*
099500     IF  WS-TIPT-IF-PRINT (14)
099600         PERFORM MB22PD-PRINT-1-LINE
099700            THRU MB22PD-P1L-EXIT
099800     ELSE
099900         MOVE SPACES             TO MB20WS-PRINT-LINE.
100000*
100100     MOVE 'SETTLEMENT - WIRE     '
100200                                 TO WS-TL1-LIT-1.
100300     MOVE WS-TT-NBR (X-WS-TT 29) TO SS95WS-IN-NBR.
100400     MOVE WS-TT-AMT (X-WS-TT 29) TO SS95WS-IN-AMT.
100500     PERFORM SS95PD-NAP-ROUTINE
100600        THRU SS95PD-NAP-EXIT.
100700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
100800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
100900*
101000     MOVE WS-TT-NBR (X-WS-TT 30) TO SS95WS-IN-NBR.
101100     MOVE WS-TT-AMT (X-WS-TT 30) TO SS95WS-IN-AMT.
101200     PERFORM SS95PD-NAP-ROUTINE
101300        THRU SS95PD-NAP-EXIT.
101400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
101500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
101600*
101700     IF  WS-TIPT-IF-PRINT (15)
101800         PERFORM MB22PD-PRINT-1-LINE
101900            THRU MB22PD-P1L-EXIT
102000     ELSE
102100         MOVE SPACES             TO MB20WS-PRINT-LINE.
102200*
102300     MOVE 'SETTLEMENT - MANUAL   '
102400                                 TO WS-TL1-LIT-1.
102500     MOVE WS-TT-NBR (X-WS-TT 31) TO SS95WS-IN-NBR.
102600     MOVE WS-TT-AMT (X-WS-TT 31) TO SS95WS-IN-AMT.
102700     PERFORM SS95PD-NAP-ROUTINE
102800        THRU SS95PD-NAP-EXIT.
102900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
103000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
103100*
103200     MOVE WS-TT-NBR (X-WS-TT 32) TO SS95WS-IN-NBR.
103300     MOVE WS-TT-AMT (X-WS-TT 32) TO SS95WS-IN-AMT.
103400     PERFORM SS95PD-NAP-ROUTINE
103500        THRU SS95PD-NAP-EXIT.
103600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
103700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
103800*
103900     IF  WS-TIPT-IF-PRINT (16)
104000         PERFORM MB22PD-PRINT-1-LINE
104100            THRU MB22PD-P1L-EXIT
104200     ELSE
104300         MOVE SPACES             TO MB20WS-PRINT-LINE.
104400*
104500     MOVE 'SETTLEMENT - INVOICE  '
104600                                 TO WS-TL1-LIT-1.
104700     MOVE WS-TT-NBR (X-WS-TT 33) TO SS95WS-IN-NBR.
104800     MOVE WS-TT-AMT (X-WS-TT 33) TO SS95WS-IN-AMT.
104900     PERFORM SS95PD-NAP-ROUTINE
105000        THRU SS95PD-NAP-EXIT.
105100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
105200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
105300*
105400     MOVE WS-TT-NBR (X-WS-TT 34) TO SS95WS-IN-NBR.
105500     MOVE WS-TT-AMT (X-WS-TT 34) TO SS95WS-IN-AMT.
105600     PERFORM SS95PD-NAP-ROUTINE
105700        THRU SS95PD-NAP-EXIT.
105800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
105900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
106000*
106100     IF  WS-TIPT-IF-PRINT (17)
106200         PERFORM MB22PD-PRINT-1-LINE
106300            THRU MB22PD-P1L-EXIT
106400     ELSE
106500         MOVE SPACES             TO MB20WS-PRINT-LINE.
106600*
106700     MOVE 'SETTLEMENT - WINDOW   '
106800                                 TO WS-TL1-LIT-1.
106900     MOVE WS-TT-NBR (X-WS-TT 35) TO SS95WS-IN-NBR.
107000     MOVE WS-TT-AMT (X-WS-TT 35) TO SS95WS-IN-AMT.
107100     PERFORM SS95PD-NAP-ROUTINE
107200        THRU SS95PD-NAP-EXIT.
107300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
107400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
107500*
107600     MOVE WS-TT-NBR (X-WS-TT 36) TO SS95WS-IN-NBR.
107700     MOVE WS-TT-AMT (X-WS-TT 36) TO SS95WS-IN-AMT.
107800     PERFORM SS95PD-NAP-ROUTINE
107900        THRU SS95PD-NAP-EXIT.
108000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
108100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
108200*
108300     IF  WS-TIPT-IF-PRINT (18)
108400         PERFORM MB22PD-PRINT-1-LINE
108500            THRU MB22PD-P1L-EXIT
108600     ELSE
108700         MOVE SPACES             TO MB20WS-PRINT-LINE.
108800*
108900     MOVE ALL '-'                TO WS-TL1-DR-NBR.
109000     MOVE ALL '-'                TO WS-TL1-DR-AMT.
109100     MOVE ALL '-'                TO WS-TL1-CR-NBR.
109200     MOVE ALL '-'                TO WS-TL1-CR-AMT.
109300*
109400     IF  WS-TIPT-IF-PRINT (30)
109500         PERFORM MB22PD-PRINT-1-LINE
109600            THRU MB22PD-P1L-EXIT
109700     ELSE
109800         MOVE SPACES             TO MB20WS-PRINT-LINE.
109900*
110000     MOVE '*SETTLEMENT OUT TOTAL*'
110100                                 TO WS-TL1-LIT-1.
110200     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 25)
110300                                 +  WS-TT-NBR (X-WS-TT 27)
110400                                 +  WS-TT-NBR (X-WS-TT 29)
110500                                 +  WS-TT-NBR (X-WS-TT 31)
110600                                 +  WS-TT-NBR (X-WS-TT 33)
110700                                 +  WS-TT-NBR (X-WS-TT 35).
110800     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 25)
110900                                 +  WS-TT-AMT (X-WS-TT 27)
111000                                 +  WS-TT-AMT (X-WS-TT 29)
111100                                 +  WS-TT-AMT (X-WS-TT 31)
111200                                 +  WS-TT-AMT (X-WS-TT 33)
111300                                 +  WS-TT-AMT (X-WS-TT 35).
111400     PERFORM SS95PD-NAP-ROUTINE
111500        THRU SS95PD-NAP-EXIT.
111600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
111700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
111800*
111900     COMPUTE SS95WS-IN-NBR       =  WS-TT-NBR (X-WS-TT 26)
112000                                 +  WS-TT-NBR (X-WS-TT 28)
112100                                 +  WS-TT-NBR (X-WS-TT 30)
112200                                 +  WS-TT-NBR (X-WS-TT 32)
112300                                 +  WS-TT-NBR (X-WS-TT 34)
112400                                 +  WS-TT-NBR (X-WS-TT 36).
112500     COMPUTE SS95WS-IN-AMT       =  WS-TT-AMT (X-WS-TT 26)
112600                                 +  WS-TT-AMT (X-WS-TT 28)
112700                                 +  WS-TT-AMT (X-WS-TT 30)
112800                                 +  WS-TT-AMT (X-WS-TT 32)
112900                                 +  WS-TT-AMT (X-WS-TT 34)
113000                                 +  WS-TT-AMT (X-WS-TT 36).
113100     PERFORM SS95PD-NAP-ROUTINE
113200        THRU SS95PD-NAP-EXIT.
113300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
113400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
113500*
113600     IF  WS-TIPT-IF-PRINT (30)
113700         PERFORM MB22PD-PRINT-2-LINES
113800            THRU MB22PD-P2L-EXIT
113900     ELSE
114000         MOVE SPACES             TO MB20WS-PRINT-LINE
114100         IF  WS-TIPT-IF-PRINT (29)
114200             PERFORM MB22PD-PRINT-1-LINE
114300                THRU MB22PD-P1L-EXIT.
114400*
114500     MOVE 'WINDOW TRANSACTIONS   '
114600                                 TO WS-TL1-LIT-1.
114700     MOVE WS-TT-NBR (X-WS-TT 37) TO SS95WS-IN-NBR.
114800     MOVE WS-TT-AMT (X-WS-TT 37) TO SS95WS-IN-AMT.
114900     PERFORM SS95PD-NAP-ROUTINE
115000        THRU SS95PD-NAP-EXIT.
115100     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
115200     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
115300*
115400     MOVE WS-TT-NBR (X-WS-TT 38) TO SS95WS-IN-NBR.
115500     MOVE WS-TT-AMT (X-WS-TT 38) TO SS95WS-IN-AMT.
115600     PERFORM SS95PD-NAP-ROUTINE
115700        THRU SS95PD-NAP-EXIT.
115800     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
115900     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
116000*
116100     IF  WS-TIPT-IF-PRINT (19)
116200         PERFORM MB22PD-PRINT-1-LINE
116300            THRU MB22PD-P1L-EXIT
116400     ELSE
116500         MOVE SPACES             TO MB20WS-PRINT-LINE.
116600*
116700     MOVE 'DEPOSIT MEMOS         '
116800                                 TO WS-TL1-LIT-1.
116900     MOVE WS-TT-NBR (X-WS-TT 39) TO SS95WS-IN-NBR.
117000     MOVE WS-TT-AMT (X-WS-TT 39) TO SS95WS-IN-AMT.
117100     PERFORM SS95PD-NAP-ROUTINE
117200        THRU SS95PD-NAP-EXIT.
117300     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
117400     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
117500*
117600     MOVE WS-TT-NBR (X-WS-TT 40) TO SS95WS-IN-NBR.
117700     MOVE WS-TT-AMT (X-WS-TT 40) TO SS95WS-IN-AMT.
117800     PERFORM SS95PD-NAP-ROUTINE
117900        THRU SS95PD-NAP-EXIT.
118000     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
118100     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
118200*
118300     IF  WS-TIPT-IF-PRINT (20)
118400         PERFORM MB22PD-PRINT-1-LINE
118500            THRU MB22PD-P1L-EXIT
118600     ELSE
118700         MOVE SPACES             TO MB20WS-PRINT-LINE.
118800*
118900     MOVE 'AUTH DECLINED/APPROVED'
119000                                 TO WS-TL1-LIT-1.
119100     MOVE WS-TT-NBR (X-WS-TT 41) TO SS95WS-IN-NBR.
119200     MOVE WS-TT-AMT (X-WS-TT 41) TO SS95WS-IN-AMT.
119300     PERFORM SS95PD-NAP-ROUTINE
119400        THRU SS95PD-NAP-EXIT.
119500     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
119600     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
119700*
119800     MOVE WS-TT-NBR (X-WS-TT 42) TO SS95WS-IN-NBR.
119900     MOVE WS-TT-AMT (X-WS-TT 42) TO SS95WS-IN-AMT.
120000     PERFORM SS95PD-NAP-ROUTINE
120100        THRU SS95PD-NAP-EXIT.
120200     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
120300     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
120400*
120500     IF  WS-TIPT-IF-PRINT (21)
120600         PERFORM MB22PD-PRINT-1-LINE
120700            THRU MB22PD-P1L-EXIT
120800     ELSE
120900         MOVE SPACES             TO MB20WS-PRINT-LINE.
121000*
121100     MOVE 'MEMOS                 '
121200                                 TO WS-TL1-LIT-1.
121300     MOVE WS-TT-NBR (X-WS-TT 43) TO SS95WS-IN-NBR.
121400     MOVE WS-TT-AMT (X-WS-TT 43) TO SS95WS-IN-AMT.
121500     PERFORM SS95PD-NAP-ROUTINE
121600        THRU SS95PD-NAP-EXIT.
121700     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
121800     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
121900*
122000     MOVE WS-TT-NBR (X-WS-TT 44) TO SS95WS-IN-NBR.
122100     MOVE WS-TT-AMT (X-WS-TT 44) TO SS95WS-IN-AMT.
122200     PERFORM SS95PD-NAP-ROUTINE
122300        THRU SS95PD-NAP-EXIT.
122400     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
122500     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
122600*
122700     IF  WS-TIPT-IF-PRINT (22)
122800         PERFORM MB22PD-PRINT-1-LINE
122900            THRU MB22PD-P1L-EXIT
123000     ELSE
123100         MOVE SPACES             TO MB20WS-PRINT-LINE.
123200*
123300     MOVE 'RESERVE BALANCE       '
123400                                 TO WS-TL1-LIT-1.
123500     MOVE WS-TT-NBR (X-WS-TT 45) TO SS95WS-IN-NBR.
123600     MOVE WS-TT-AMT (X-WS-TT 45) TO SS95WS-IN-AMT.
123700     PERFORM SS95PD-NAP-ROUTINE
123800        THRU SS95PD-NAP-EXIT.
123900     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-DR-NBR.
124000     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-DR-AMT.
124100*
124200     MOVE WS-TT-NBR (X-WS-TT 46) TO SS95WS-IN-NBR.
124300     MOVE WS-TT-AMT (X-WS-TT 46) TO SS95WS-IN-AMT.
124400     PERFORM SS95PD-NAP-ROUTINE
124500        THRU SS95PD-NAP-EXIT.
124600     MOVE SS95WS-OUT-NBR-L12     TO WS-TL1-CR-NBR.
124700     MOVE SS95WS-OUT-AMT-L20     TO WS-TL1-CR-AMT.
124800*
124900     IF  WS-TIPT-IF-PRINT (23)
125000         PERFORM MB22PD-PRINT-1-LINE
125100            THRU MB22PD-P1L-EXIT
125200     ELSE
125300         MOVE SPACES             TO MB20WS-PRINT-LINE.
125400*
125500 9030-PT-EXIT.
125600     EXIT.
125700*
125800 9050-ACCUMULATE-TOTALS.
125900*
126000     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
126100*
126200     EVALUATE TRUE
126300         WHEN MMTCWS-LM-BATCH-HDR-DR
126400             SET X-WS-TT-ITEM    TO 1
126500         WHEN MMTCWS-LM-BATCH-HDR-CR
126600             SET X-WS-TT-ITEM    TO 2
126700         WHEN MMTCWS-LM-VALID-RESV-SETT-DR
126800             SET X-WS-TT-ITEM    TO 3
126900         WHEN MMTCWS-LM-VALID-RESV-SETT-CR
127000             SET X-WS-TT-ITEM    TO 4
127100         WHEN MMTCWS-LM-DISCOUNT
127200             SET X-WS-TT-ITEM    TO 5
127300         WHEN MMTCWS-LM-REFUND
127400             SET X-WS-TT-ITEM    TO 6
127500         WHEN MMTCWS-LM-PART-DR
127600             SET X-WS-TT-ITEM    TO 7
127700         WHEN MMTCWS-LM-PART-CR
127800             SET X-WS-TT-ITEM    TO 8
127900         WHEN MMTCWS-LM-ADJ-DR
128000             SET X-WS-TT-ITEM    TO 9
128100         WHEN MMTCWS-LM-ADJ-CR
128200             SET X-WS-TT-ITEM    TO 10
128300         WHEN MMTCWS-LM-RECOVERY-ADJ-DR
128400             SET X-WS-TT-ITEM    TO 11
128500         WHEN MMTCWS-LM-RECOVERY-ADJ-CR
128600             SET X-WS-TT-ITEM    TO 12
128700         WHEN MMTCWS-LM-SYSTEM-FEES-DR
128800             SET X-WS-TT-ITEM    TO 13
128900         WHEN MMTCWS-LM-SYSTEM-FEES-CR
129000             SET X-WS-TT-ITEM    TO 14
129100         WHEN MMTCWS-LM-USER-FEES
129200             SET X-WS-TT-ITEM    TO 15
129300         WHEN MMTCWS-LM-USER-FEES-CR
129400             SET X-WS-TT-ITEM    TO 16
129500         WHEN MMTCWS-LM-INTCHG-FEES-DR
129600             SET X-WS-TT-ITEM    TO 17
129700         WHEN MMTCWS-LM-INTCHG-FEES-CR
129800             SET X-WS-TT-ITEM    TO 18
129900         WHEN MMTCWS-LM-USER-DEBITS
130000             SET X-WS-TT-ITEM    TO 19
130100         WHEN MMTCWS-LM-USER-CREDITS
130200             SET X-WS-TT-ITEM    TO 20
130300         WHEN MMTCWS-LM-SETTLEMENT-DR-XFER
130400             SET X-WS-TT-ITEM    TO 21
130500         WHEN MMTCWS-LM-SETTLEMENT-CR-XFER
130600             SET X-WS-TT-ITEM    TO 22
130700         WHEN MMTCWS-LM-HOLDOVER
130800             SET X-WS-TT-ITEM    TO 23
130900         WHEN MMTCWS-LM-HOLDOVER-CR
131000             SET X-WS-TT-ITEM    TO 24
131100         WHEN MMTCWS-LM-SYSTEM-SETT-DR-ACH
131200             SET X-WS-TT-ITEM    TO 25
131300         WHEN MMTCWS-LM-SYSTEM-SETT-CR-ACH
131400             SET X-WS-TT-ITEM    TO 26
131500         WHEN MMTCWS-LM-SYSTEM-SETT-DR-CHECK
131600             SET X-WS-TT-ITEM    TO 27
131700         WHEN MMTCWS-LM-SYSTEM-SETT-CR-CHECK
131800             SET X-WS-TT-ITEM    TO 28
131900         WHEN MMTCWS-LM-SYSTEM-SETT-DR-WIRE
132000             SET X-WS-TT-ITEM    TO 29
132100         WHEN MMTCWS-LM-SYSTEM-SETT-CR-WIRE
132200             SET X-WS-TT-ITEM    TO 30
132300         WHEN MMTCWS-LM-SYSTEM-SETT-DR-MAN
132400             SET X-WS-TT-ITEM    TO 31
132500         WHEN MMTCWS-LM-SYSTEM-SETT-CR-MAN
132600             SET X-WS-TT-ITEM    TO 32
132700         WHEN MMTCWS-LM-SYSTEM-SETT-DR-BILL
132800             SET X-WS-TT-ITEM    TO 33
132900         WHEN MMTCWS-LM-SYSTEM-SETT-CR-BILL
133000             SET X-WS-TT-ITEM    TO 34
133100         WHEN MMTCWS-LM-WINDOW-SETT-DR
133200             SET X-WS-TT-ITEM    TO 35
133300         WHEN MMTCWS-LM-WINDOW-SETT-CR
133400             SET X-WS-TT-ITEM    TO 36
133500         WHEN MMTCWS-LM-VALID-DEP-MEMO-DR
133600             SET X-WS-TT-ITEM    TO 39
133700         WHEN MMTCWS-LM-VALID-DEP-MEMO-CR
133800             SET X-WS-TT-ITEM    TO 40
133900         WHEN MMTCWS-LM-AUTH-DECLINED
134000             SET X-WS-TT-ITEM    TO 41
134100         WHEN MMTCWS-LM-AUTH-APPROVED
134200             SET X-WS-TT-ITEM    TO 42
134300         WHEN MMTCWS-LM-CHECK-APPROVAL
134400             SET X-WS-TT-ITEM    TO 43
134500         WHEN MMTCWS-LM-RESERVE-TO-PROC
134600             SET X-WS-TT-ITEM    TO 45
134700         WHEN MMTCWS-LM-RESERVE-MANUAL
134800             SET X-WS-TT-ITEM    TO 46
134900         WHEN OTHER
135000             SET X-WS-TT-ITEM    TO 44
135100     END-EVALUATE.
135200*
135300     PERFORM 9060-ADD-TO-TOTALS
135400        THRU 9060-ATT-EXIT.
135500*
135600     EVALUATE TRUE
135700         WHEN (MMTCWS-LM-WINDOW-ALLOWED
135800          AND  MMTCWS-LM-VALID-DEBIT
135900          AND  MTPT-SETTLED-WINDOW)
136000             SET X-WS-TT-ITEM    TO 37
136100             PERFORM 9060-ADD-TO-TOTALS
136200                THRU 9060-ATT-EXIT
136300         WHEN (MMTCWS-LM-WINDOW-ALLOWED
136400          AND  MMTCWS-LM-VALID-CREDIT
136500          AND  MTPT-SETTLED-WINDOW)
136600             SET X-WS-TT-ITEM    TO 38
136700             PERFORM 9060-ADD-TO-TOTALS
136800                THRU 9060-ATT-EXIT
136900     END-EVALUATE.
137000*
137100 9050-AT-EXIT.
137200     EXIT.
137300*
137400 9060-ADD-TO-TOTALS.
137500*
137600     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (1 X-WS-TT-ITEM).
137700     ADD MTPT-AMOUNT             TO WS-TT-AMT (1 X-WS-TT-ITEM).
137800*
137900     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (2 X-WS-TT-ITEM).
138000     ADD MTPT-AMOUNT             TO WS-TT-AMT (2 X-WS-TT-ITEM).
138100*
138200     ADD MTPT-NBR-ITEMS          TO WS-TT-NBR (3 X-WS-TT-ITEM).
138300     ADD MTPT-AMOUNT             TO WS-TT-AMT (3 X-WS-TT-ITEM).
138400*
138500 9060-ATT-EXIT.
138600     EXIT.
138700/
138800 9070-ZERO-ORG-ACCUMS.
138900*
139000     INITIALIZE WS-TT-LEVEL (1).
139100*
139200 9070-ZOA-EXIT.
139300     EXIT.
139400*
139500 9080-ZERO-MER-ACCUMS.
139600*
139700     INITIALIZE WS-TT-LEVEL (2).
139800*
139900 9080-ZMA-EXIT.
140000     EXIT.
140100*
140200 9090-ZERO-STORE-ACCUMS.
140300*
140400     INITIALIZE WS-TT-LEVEL (3).
140500*
140600 9090-ZSA-EXIT.
140700     EXIT.
140800*
140900 9100-CHECK-NBR-LINES.
141000*
141100     COMPUTE MB20WS-LINES-REMAINING
141200                                 = MB20WS-LINE-LIMIT
141300                                 - MB20WS-LINE-COUNT.
141400*
141500     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
141600         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
141700*
141800 9100-CNL-EXIT.
141900     EXIT.
142000/
142100     COPY MB22PD.
142200/
142300     COPY SS95PD.
142400/
142500     COPY SS02PD.
142600/
142700     COPY SS07PD.
142800/
142900     COPY SS08PD.
143000/
143100     COPY SS16PD.
143200/
143300     COPY SS26PD.
143400/
143500     COPY SS27PD.
143600*
143700 9995-END-SOURCE-STATEMENTS SECTION.
143800 9999-END-OF-PROGRAM.
143900     EXIT.
