000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD72025.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD72025 - OPTIONAL REPORT 25 SUBROUTINE                *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 DATA DIVISION.
001600 WORKING-STORAGE SECTION.
001700*
001800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
001900*
002000 01  WS-MBD72025-WORK-AREAS.
002100     03  WS-D72025-ACTIVITY-SW
002200                             PIC  X(01)      VALUE 'N'.
002300     03  WS-D720-LINE-CHECK  PIC S9(05)      COMP-3 VALUE +1.
002400     03  WS-D720-OT-HOLDOVER-AMT
002500                             PIC S9(17)      COMP-3 VALUE ZERO.
002600*
002700/
002800     COPY MB20WS.
002900*
003000 01  WS-DETAIL-LINE-1        REDEFINES MB20WS-PRINT-LINE.
003100     03  WS-DL1-MERCHANT     PIC  9(09)-.
003200     03  WS-DL1-NAME         PIC  X(41).
003300     03  FILLER              PIC  X(10).
003400     03  WS-DL1-FREQ-1       PIC  9(02).
003500     03  FILLER              PIC  X(01).
003600     03  WS-DL1-FREQ-2       PIC  9(02).
003700     03  FILLER              PIC  X(19).
003800     03  WS-DL1-SETT-DEST    PIC  9(01).
003900     03  FILLER              PIC  X(16).
004000     03  WS-DL1-SETT-METH    PIC  X(02).
004100     03  FILLER              PIC  X(05).
004200     03  WS-DL1-AMT          PIC  X(23).
004300/
004400     COPY SS95WS.
004500/
004600     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
004700/
004800     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
004900/
005000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
005100/
005200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR1==.
005300/
005400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR2==.
005500/
005600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR3==.
005700/
005800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR4==.
005900/
006000     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR5==.
006100/
006200     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR6==.
006300/
006400     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR7==.
006500/
006600     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR8==.
006700/
006800     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR9==.
006900/
007000     COPY MB00WS.
007100/
007200     COPY SS00WS.
007300/
007400     COPY SS01WS.
007500/
007600     COPY SS02WS.
007700*
007800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007900/
008000 LINKAGE SECTION.
008100     COPY MB22WS.
008200/
008300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
008400/
008500 PROCEDURE DIVISION              USING MB22WS-LINK-DATA
008600                                       MTRF-RECORD.
008700*
008800 A000-MAIN-LINE-SECT SECTION.
008900 A010-ML-BEGIN.
009000*
009100     IF  MTRF-K1-RT-DETAIL
009200         PERFORM D000-DETAIL-RECORD
009300                                 THRU D099-DR-EXIT.
009400*
009500     IF  MTRF-K1-RT-HEADER
009600         PERFORM H000-HEADER-RECORD
009700                                 THRU H099-HR-EXIT.
009800*
009900     IF  MTRF-K1-RT-TRAILER
010000         PERFORM T000-TRAILER-RECORD
010100                                 THRU T099-TR-EXIT.
010200*
010300     GOBACK.
010400*
010500 A099-ML-EXIT.
010600     EXIT.
010700/
010800 D000-DETAIL-RECORD SECTION.
010900 D010-DR-BEGIN.
011000*
011100     MOVE 'Y'                    TO WS-D72025-ACTIVITY-SW.
011200*
011300     MOVE 2                      TO WS-D720-LINE-CHECK.
011400*
011500     PERFORM
011600         VARYING X-MTRF-O25 FROM 1 BY 1
011700         UNTIL   X-MTRF-O25 IS GREATER THAN 4
011800         IF  MTRF-O25-HOLDOVER-AMT (X-MTRF-O25)
011900                                 IS GREATER THAN ZERO
012000             ADD  1              TO WS-D720-LINE-CHECK
012100         END-IF
012200     END-PERFORM.
012300*
012400     PERFORM 9100-CHECK-NBR-LINES
012500                                 THRU 9100-CNL-EXIT.
012600*
012700     MOVE MTRF-K2-O25-MERCHANT   TO WS-DL1-MERCHANT.
012800     MOVE MTRF-NAME              TO WS-DL1-NAME
012900     MOVE MTRF-SETT-FREQ-1       TO WS-DL1-FREQ-1.
013000     MOVE MTRF-SETT-FREQ-2       TO WS-DL1-FREQ-2.
013100*
013200     PERFORM
013300         VARYING X-MTRF-O25 FROM 1 BY 1
013400         UNTIL   X-MTRF-O25 IS GREATER THAN 4
013500         IF  MTRF-O25-HOLDOVER-AMT (X-MTRF-O25)
013600                                 IS NOT EQUAL TO ZERO
013700             SET  WS-DL1-SETT-DEST
013800                                 TO X-MTRF-O25
013900             MOVE MTRF-O25-SETT-METHOD (X-MTRF-O25)
014000                                 TO WS-DL1-SETT-METH
014100             MOVE MTRF-O25-HOLDOVER-AMT (X-MTRF-O25)
014200                                 TO SS95WS-IN-AMT
014300             PERFORM SS95PD-NAP-ROUTINE
014400                                 THRU SS95PD-NAP-EXIT
014500             MOVE SS95WS-OUT-AMT-L23
014600                                 TO WS-DL1-AMT
014700             EVALUATE TRUE
014800                 WHEN MTRF-K1-DETAIL
014900                     PERFORM MB22PD-PRINT-1-LINE
015000                                 THRU MB22PD-P1L-EXIT
015100                 WHEN OTHER
015200                     MOVE SPACES TO MB20WS-PRINT-LINE
015300             END-EVALUATE
015400         END-IF
015500     END-PERFORM.
015600*
015700     MOVE 'MERCHANT TOTAL'       TO MB20WS-PRINT-LINE (94:14).
015800     COMPUTE SS95WS-IN-AMT       =  MTRF-O25-HOLDOVER-AMT (1)
015900                                 +  MTRF-O25-HOLDOVER-AMT (2)
016000                                 +  MTRF-O25-HOLDOVER-AMT (3)
016100                                 +  MTRF-O25-HOLDOVER-AMT (4).
016200     COMPUTE WS-D720-OT-HOLDOVER-AMT
016300                                 =  WS-D720-OT-HOLDOVER-AMT
016400                                 +  MTRF-O25-HOLDOVER-AMT (1)
016500                                 +  MTRF-O25-HOLDOVER-AMT (2)
016600                                 +  MTRF-O25-HOLDOVER-AMT (3)
016700                                 +  MTRF-O25-HOLDOVER-AMT (4).
016800     PERFORM SS95PD-NAP-ROUTINE
016900                                 THRU SS95PD-NAP-EXIT.
017000     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-AMT.
017100*
017200     EVALUATE TRUE
017300         WHEN MTRF-K1-DETAIL
017400             PERFORM MB22PD-PRINT-2-LINES
017500                                 THRU MB22PD-P2L-EXIT
017600         WHEN OTHER
017700             MOVE SPACES         TO MB20WS-PRINT-LINE
017800     END-EVALUATE.
017900*
018000 D099-DR-EXIT.
018100     EXIT.
018200/
018300 H000-HEADER-RECORD SECTION.
018400 H010-HR-BEGIN.
018500*
018600     MOVE MTRF-K1-FORM           TO MB20WS-FORM-CODE.
018700     MOVE MTRF-HD-DATE-FORMAT    TO SS01WS-DATE-FORMAT.
018800     MOVE MTRF-HD-FICHE-FLAG     TO MB20WS-FICHE-CODE.
018900     MOVE MTRF-HD-SYSTEM-NAME    TO MB20WS-SH-SYSTEM.
019000     MOVE MTRF-HD-REPORT-ID      TO MB20WS-SH-RPT-ID.
019100     MOVE 'O25'                  TO MB20WS-SH-INTERNAL-RPT-ID.
019200     MOVE MTRF-K1-ORG            TO MB20WS-SH-ORG.
019300     MOVE MTRF-HD-ORG-NAME       TO MB20WS-SH-ORG-NAME.
019400     MOVE MTRF-HD-RPT-TITLE      TO MB20WS-SH-RPT-NAME.
019500     MOVE MTRF-HD-FILE-DATE      TO SS01WS-JULIAN.
019600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
019700     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
019800     MOVE MTRF-HD-REPORT-DEST-ID TO MB20WS-SH-DEST-ID.
019900     MOVE MTRF-HD-DEST-DESC      TO MB20WS-SH-DEST-DESC.
020000*
020100     MOVE ' MERCHANT *-----------MERCHANT NAME---------'
020200                                 TO MB20WS-SH-L5R-1.
020300     MOVE '-----*   SETTLEMENT FREQUENCY  SETTLEMENT DE'
020400                                 TO MB20WS-SH-L5R-2.
020500     MOVE 'STINATION   METHOD          HOLDOVER AMOUNT '
020600                                 TO MB20WS-SH-L5R-3.
020700*
020800     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
020900     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
021000     MOVE MTRF-HD-LINES-PER-PAGE TO MB20WS-LINES-PER-PAGE.
021100     MOVE MTRF-HD-CURRENCY-NOD   TO MTRFWS-SAVE-CURRENCY-NOD.
021200     MOVE MTRF-HD-PER-ITEM-NOD   TO MTRFWS-SAVE-PER-ITEM-NOD.
021300     MOVE MTRF-HD-PERCENT-NOD    TO MTRFWS-SAVE-PERCENT-NOD.
021400     SET SS95WS-FUNCTION-INITIALIZE
021500                                 TO TRUE.
021600     PERFORM SS95PD-NAP-ROUTINE
021700        THRU SS95PD-NAP-EXIT.
021800*
021900     MOVE MTRF-HD-CURRENCY-CODE  TO SS95WS-CURRENCY-CODE.
022000     MOVE 'N'                    TO WS-D72025-ACTIVITY-SW.
022100     MOVE MTRF-RECORD            TO MTR9-RECORD.
022200     MOVE ZERO                   TO WS-D720-OT-HOLDOVER-AMT.
022300*
022400 H099-HR-EXIT.
022500     EXIT.
022600/
022700 T000-TRAILER-RECORD SECTION.
022800 T010-TR-BEGIN.
022900     MOVE MTR9-RECORD            TO MTRF-RECORD.
023000*
023100     IF  WS-D72025-ACTIVITY-SW IS EQUAL TO 'N'
023200         IF  MTRF-HD-AF-PRODUCE
023300             PERFORM MB22PD-PRINT-NO-ACTIVITY
023400                                 THRU MB22PD-PNA-EXIT
023500             GO TO T099-TR-EXIT
023600         ELSE
023700             GO TO T099-TR-EXIT.
023800*
023900     PERFORM 9100-CHECK-NBR-LINES
024000                                 THRU 9100-CNL-EXIT.
024100     PERFORM 9010-PRINT-ORG-TOTALS
024200                                 THRU 9010-POT-EXIT.
024300*
024400 T099-TR-EXIT.
024500     EXIT.
024600/
024700 9000-PERFORMED-ROUTINES-SECT SECTION.
024800 9010-PRINT-ORG-TOTALS.
024900*
025000     MOVE 3                      TO WS-D720-LINE-CHECK.
025100     PERFORM 9100-CHECK-NBR-LINES
025200                                 THRU 9100-CNL-EXIT.
025300     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
025400*
025500     MOVE ' **** ORGANIZATION TOTALS **** FOR ORGANIZATION   '
025600                                 TO MB20WS-PRINT-LINE (1:50).
025700     MOVE MTRF-K1-ORG            TO MB20WS-PRINT-LINE (52:3).
025800     MOVE MTRF-HD-ORG-NAME       TO MB20WS-PRINT-LINE (64:40).
025900*
026000     PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.
026100*
026200     MOVE '      TOTAL NON-SETTLED FUNDS (HOLDOVER)'
026300                                 TO MB20WS-PRINT-LINE.
026400*
026500     MOVE WS-D720-OT-HOLDOVER-AMT
026600                                 TO SS95WS-IN-AMT.
026700     PERFORM SS95PD-NAP-ROUTINE
026800                                 THRU SS95PD-NAP-EXIT.
026900     MOVE SS95WS-OUT-AMT-L23     TO WS-DL1-AMT.
027000*
027100     PERFORM MB22PD-PRINT-1-LINE
027200                                 THRU MB22PD-P1L-EXIT.
027300*
027400 9010-POT-EXIT.
027500     EXIT.
027600/
027700*
027800 9100-CHECK-NBR-LINES.
027900*
028000     COMPUTE MB20WS-LINES-REMAINING
028100                                 = MB20WS-LINE-LIMIT
028200                                 - MB20WS-LINE-COUNT.
028300*
028400     IF  MB20WS-LINES-REMAINING IS LESS THAN WS-D720-LINE-CHECK
028500         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
028600*
028700 9100-CNL-EXIT.
028800     EXIT.
028900/
029000     COPY MB22PD.
029100/
029200     COPY SS95PD.
029300/
029400     COPY SS02PD.
029500/
029600     COPY SS07PD.
029700/
029800     COPY SS08PD.
029900/
030000     COPY SS16PD.
030100/
030200     COPY SS26PD.
030300/
030400     COPY SS27PD.
030500*
030600 9995-END-SOURCE-STATEMENTS SECTION.
030700 9999-END-OF-PROGRAM.
030800     EXIT.
