000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD741.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBD741 - SPECIAL FORMS DRIVER PROGRAM - EURO EQUIVALENTS*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300/
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
003100/
003200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
003500/
003600     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
003700/
003800     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
003900/
004000     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
004100/
004200     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
004300/
004400     COPY MB00WS.
004500/
004600     COPY MB20WS.
004700/
004800     COPY MB22WS.
004900/
005000     COPY SS00WS.
005100/
005200     COPY SS01WS.
005300/
005400     COPY SS02WS.
005500*
005600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005700/
005800 PROCEDURE DIVISION.
005900 A000-MAIN-LINE-SECT SECTION.
006000 A010-ML-BEGIN.
006100*
006200     MOVE SPACES                 TO MTRF-RECORD.
006300     MOVE SPACES                 TO MB20WS-SH-L1.
006400     MOVE SPACES                 TO MB20WS-SH-L2.
006500     MOVE SPACES                 TO MB20WS-SH-L3.
006600     MOVE SPACES                 TO MB20WS-SH-L4.
006700     MOVE SPACES                 TO MB20WS-SH-L5.
006800     MOVE SPACES                 TO MB20WS-SH-L6.
006900     MOVE SPACES                 TO MB20WS-SH-L7.
007000     MOVE SPACES                 TO MB20WS-SH-L8.
007100*
007200     PERFORM A100-OPEN-FILES
007300        THRU A199-OF-EXIT.
007400*
007500     PERFORM A200-PROCESS-REPORTS
007600        THRU A299-PR-EXIT
007700        UNTIL MTRFIO-TRAILER.
007800*
007900     PERFORM A300-CLOSE-FILES
008000        THRU A399-CF-EXIT.
008100*
008200     STOP RUN.
008300*
008400 A099-ML-EXIT.
008500     EXIT.
008600/
008700 A100-OPEN-FILES SECTION.
008800 A110-OF-BEGIN.
008900*
009000     MOVE 'MBD741'               TO SS02WS-ABEND-PROG-ID.
009100*
009200     MOVE 'O1RF'                 TO SS02WS-ABEND-LOCATION.
009300     SET MTRFRB-OPEN-INPUT       TO TRUE.
009400     PERFORM MB00PD-MTRF-ACCESS
009500        THRU MB00PD-MTRF-ACCESS-EXIT.
009600*
009700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
009800     SET MTCCRB-OPEN-INPUT       TO TRUE.
009900     PERFORM MB00PD-MTCC-ACCESS
010000        THRU MB00PD-MTCC-ACCESS-EXIT.
010100*
010200     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
010300*
010400     PERFORM Z100-READ-CONTROL-CARD
010500        THRU Z199-RCC-EXIT
010600        UNTIL MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID.
010700*
010800     MOVE 'R0RF'                 TO SS02WS-ABEND-LOCATION.
010900     SET MTRFRB-READ-SEQ         TO TRUE.
011000     PERFORM MB00PD-MTRF-ACCESS
011100        THRU MB00PD-MTRF-ACCESS-EXIT.
011200*
011300     PERFORM MB22PD-INITIALIZE-PAGE
011400        THRU MB22PD-IP-EXIT.
011500*
011600 A199-OF-EXIT.
011700     EXIT.
011800/
011900 A200-PROCESS-REPORTS SECTION.
012000 A210-PR-BEGIN.
012100*
012200     MOVE 'R1RF'                 TO SS02WS-ABEND-LOCATION.
012300     SET MTRFRB-READ-SEQ         TO TRUE.
012400     PERFORM MB00PD-MTRF-ACCESS
012500        THRU MB00PD-MTRF-ACCESS-EXIT.
012600*
012700     IF  MTRFIO-HEADER
012800     OR  MTRFIO-TRAILER
012900         GO TO A299-PR-EXIT.
013000*
013100     MOVE MTRFIO-RECORD          TO MTRF-RECORD.
013200*
013300     IF  MTCC-MBD740-ALL
013400     OR  MTCC-MBD740-REPORT-X IS EQUAL TO MTRF-K1-REPORT-X
013500         PERFORM B000-PROCESS-REPORT-RECORD
013600            THRU B999-PRR-EXIT.
013700*
013800 A299-PR-EXIT.
013900     EXIT.
014000/
014100 A300-CLOSE-FILES SECTION.
014200 A310-CF-BEGIN.
014300*
014400     MOVE 'C1RF'                 TO SS02WS-ABEND-LOCATION.
014500     SET MTRFRB-CLOSE            TO TRUE.
014600     PERFORM MB00PD-MTRF-ACCESS
014700        THRU MB00PD-MTRF-ACCESS-EXIT.
014800*
014900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
015000     SET MTCCRB-CLOSE            TO TRUE.
015100     PERFORM MB00PD-MTCC-ACCESS
015200        THRU MB00PD-MTCC-ACCESS-EXIT.
015300*
015400     PERFORM MB20PD-CLOSE-PRINT-FILES
015500        THRU MB20PD-CPF-EXIT.
015600*
015700 A399-CF-EXIT.
015800     EXIT.
015900/
016000 B000-PROCESS-REPORT-RECORD SECTION.
016100 B010-PRR-BEGIN.
016200*
016300     IF  MTRF-K1-RPT-USER
016400         GO TO B999-PRR-EXIT.
016500*
016600     IF  MTRF-K1-RPT-OPTIONAL
016700         NEXT SENTENCE
016800     ELSE
016900         GO TO B999-PRR-EXIT.
017000*
017100     GO TO B010-PRR-REPORT-01
017200           B020-PRR-REPORT-02
017300           B030-PRR-REPORT-03
017400           B040-PRR-REPORT-04
017500           B050-PRR-REPORT-05
017600           B060-PRR-REPORT-06
017700           B070-PRR-REPORT-07
017800           B080-PRR-REPORT-08
017900           B090-PRR-REPORT-09
018000           B100-PRR-REPORT-10
018100           B110-PRR-REPORT-11
018200           B120-PRR-REPORT-12
018300           B130-PRR-REPORT-13
018400           B140-PRR-REPORT-14
018500           B150-PRR-REPORT-15
018600           B160-PRR-REPORT-16
018700           B170-PRR-REPORT-17
018800           B180-PRR-REPORT-18
018900           B190-PRR-REPORT-19
019000           B200-PRR-REPORT-20
019100           B210-PRR-REPORT-21
019200           B220-PRR-REPORT-22
019300           B230-PRR-REPORT-23
019400           B240-PRR-REPORT-24
019500           B250-PRR-REPORT-25
019600           B260-PRR-REPORT-26
019700           B270-PRR-REPORT-27
019800           B280-PRR-REPORT-28
019900           B290-PRR-REPORT-29
020000           B300-PRR-REPORT-30
020100           B310-PRR-REPORT-31
020200           B320-PRR-REPORT-32
020300           B330-PRR-REPORT-33
020400           B340-PRR-REPORT-34
020500           B350-PRR-REPORT-35
020600           B360-PRR-REPORT-36
020700           B370-PRR-REPORT-37
020800           B380-PRR-REPORT-38
020900           B390-PRR-REPORT-39
021000           B400-PRR-REPORT-40
021100           B410-PRR-REPORT-41
021200           B420-PRR-REPORT-42
021300           B430-PRR-REPORT-43
021400           B440-PRR-REPORT-44
021500           B450-PRR-REPORT-45
021600           B460-PRR-REPORT-46
021700           B470-PRR-REPORT-47
021800           B480-PRR-REPORT-48
021900           B490-PRR-REPORT-49
022000           B500-PRR-REPORT-50
022100           B510-PRR-REPORT-51
022200           B520-PRR-REPORT-52
022300           B530-PRR-REPORT-53
022400           B540-PRR-REPORT-54
022500           DEPENDING ON MTRF-K1-RPT-NBR.
022600*
022700 B010-PRR-REPORT-01.
022800     GO TO B999-PRR-EXIT.
022900 B020-PRR-REPORT-02.
023000     GO TO B999-PRR-EXIT.
023100 B030-PRR-REPORT-03.
023200     GO TO B999-PRR-EXIT.
023300 B040-PRR-REPORT-04.
023400     GO TO B999-PRR-EXIT.
023500 B050-PRR-REPORT-05.
023600     GO TO B999-PRR-EXIT.
023700 B060-PRR-REPORT-06.
023800     GO TO B999-PRR-EXIT.
023900 B070-PRR-REPORT-07.
024000     GO TO B999-PRR-EXIT.
024100 B080-PRR-REPORT-08.
024200     GO TO B999-PRR-EXIT.
024300 B090-PRR-REPORT-09.
024400     GO TO B999-PRR-EXIT.
024500 B100-PRR-REPORT-10.
024600     GO TO B999-PRR-EXIT.
024700 B110-PRR-REPORT-11.
024800     GO TO B999-PRR-EXIT.
024900 B120-PRR-REPORT-12.
025000     GO TO B999-PRR-EXIT.
025100 B130-PRR-REPORT-13.
025200     GO TO B999-PRR-EXIT.
025300 B140-PRR-REPORT-14.
025400     GO TO B999-PRR-EXIT.
025500 B150-PRR-REPORT-15.
025600     GO TO B999-PRR-EXIT.
025700 B160-PRR-REPORT-16.
025800     GO TO B999-PRR-EXIT.
025900 B170-PRR-REPORT-17.
026000     GO TO B999-PRR-EXIT.
026100 B180-PRR-REPORT-18.
026200     GO TO B999-PRR-EXIT.
026300 B190-PRR-REPORT-19.
026400     GO TO B999-PRR-EXIT.
026500 B200-PRR-REPORT-20.
026600     GO TO B999-PRR-EXIT.
026700 B210-PRR-REPORT-21.
026800     GO TO B999-PRR-EXIT.
026900 B220-PRR-REPORT-22.
027000     GO TO B999-PRR-EXIT.
027100 B230-PRR-REPORT-23.
027200     GO TO B999-PRR-EXIT.
027300 B240-PRR-REPORT-24.
027400     GO TO B999-PRR-EXIT.
027500 B250-PRR-REPORT-25.
027600     GO TO B999-PRR-EXIT.
027700 B260-PRR-REPORT-26.
027800     GO TO B999-PRR-EXIT.
027900 B270-PRR-REPORT-27.
028000     GO TO B999-PRR-EXIT.
028100 B280-PRR-REPORT-28.
028200     GO TO B999-PRR-EXIT.
028300 B290-PRR-REPORT-29.
028400     GO TO B999-PRR-EXIT.
028500 B300-PRR-REPORT-30.
028600     GO TO B999-PRR-EXIT.
028700 B310-PRR-REPORT-31.
028800     GO TO B999-PRR-EXIT.
028900 B320-PRR-REPORT-32.
029000     GO TO B999-PRR-EXIT.
029100 B330-PRR-REPORT-33.
029200     GO TO B999-PRR-EXIT.
029300 B340-PRR-REPORT-34.
029400     GO TO B999-PRR-EXIT.
029500 B350-PRR-REPORT-35.
029600     GO TO B999-PRR-EXIT.
029700 B360-PRR-REPORT-36.
029800     GO TO B999-PRR-EXIT.
029900 B370-PRR-REPORT-37.
030000     GO TO B999-PRR-EXIT.
030100 B380-PRR-REPORT-38.
030200     GO TO B999-PRR-EXIT.
030300 B390-PRR-REPORT-39.
030400     GO TO B999-PRR-EXIT.
030500 B400-PRR-REPORT-40.
030600     GO TO B999-PRR-EXIT.
030700 B410-PRR-REPORT-41.
030800     GO TO B999-PRR-EXIT.
030900 B420-PRR-REPORT-42.
031000     GO TO B999-PRR-EXIT.
031100 B430-PRR-REPORT-43.
031200     GO TO B999-PRR-EXIT.
031300 B440-PRR-REPORT-44.
031400     GO TO B999-PRR-EXIT.
031500 B450-PRR-REPORT-45.
031600     GO TO B999-PRR-EXIT.
031700 B460-PRR-REPORT-46.
031800     GO TO B999-PRR-EXIT.
031900 B470-PRR-REPORT-47.
032000     GO TO B999-PRR-EXIT.
032100 B480-PRR-REPORT-48.
032200     GO TO B999-PRR-EXIT.
032300 B490-PRR-REPORT-49.
032400     GO TO B999-PRR-EXIT.
032500 B500-PRR-REPORT-50.
032600*
032700     MOVE 'EURO'                 TO MTRF-K2-O50-POSTAL-CODE.
032800*
032900     IF  MTRF-K2-O50-NA-RECORD
033000         MOVE MTRF-RECORD        TO MWRF-RECORD
033100     END-IF.
033200*
033300     EVALUATE TRUE
033400         WHEN MTRF-K1-RT-HEADER
033500             CONTINUE
033600         WHEN MTRF-K1-RT-TRAILER
033700             CONTINUE
033800         WHEN OTHER
033900             IF  MWRF-O50-EURO-REPORTING-OFF
034000                 GO TO B999-PRR-EXIT
034100             END-IF
034200     END-EVALUATE.
034300*
034400     PERFORM R500-REPORT-50
034500        THRU R509-R50-EXIT
034600     PERFORM P000-PRINT-THE-REPORTS
034700        THRU P999-PTR-EXIT.
034800     GO TO B999-PRR-EXIT.
034900*
035000*
035100*
035200 B510-PRR-REPORT-51.
035300*
035400     IF  MTRF-K2-O51-NA-RECORD
035500         MOVE MTRF-RECORD        TO MWRF-RECORD
035600         MOVE 'EURO'             TO MTRF-O51-EURO-ACTION
035700     END-IF.
035800*
035900     EVALUATE TRUE
036000         WHEN MTRF-K1-RT-HEADER
036100             CONTINUE
036200         WHEN MTRF-K1-RT-TRAILER
036300             CONTINUE
036400         WHEN OTHER
036500             IF  MWRF-O51-EURO-REPORTING-OFF
036600                 GO TO B999-PRR-EXIT
036700             END-IF
036800     END-EVALUATE.
036900*
037000     PERFORM R510-REPORT-51
037100        THRU R519-R51-EXIT
037200     PERFORM P000-PRINT-THE-REPORTS
037300        THRU P999-PTR-EXIT.
037400     GO TO B999-PRR-EXIT.
037500*
037600*
037700*
037800 B520-PRR-REPORT-52.
037900*
038000     MOVE 'EURO'                 TO MTRF-K2-O50-POSTAL-CODE.
038100*
038200     IF  MTRF-K2-O50-NA-RECORD
038300         MOVE MTRF-RECORD        TO MWRF-RECORD
038400     END-IF.
038500*
038600     EVALUATE TRUE
038700         WHEN MTRF-K1-RT-HEADER
038800             CONTINUE
038900         WHEN MTRF-K1-RT-TRAILER
039000             CONTINUE
039100         WHEN OTHER
039200             IF  MWRF-O50-EURO-REPORTING-OFF
039300                 GO TO B999-PRR-EXIT
039400             END-IF
039500     END-EVALUATE.
039600*
039700     PERFORM R520-REPORT-52
039800        THRU R529-R52-EXIT
039900     PERFORM P000-PRINT-THE-REPORTS
040000        THRU P999-PTR-EXIT.
040100     GO TO B999-PRR-EXIT.
040200*
040300*
040400*
040500 B530-PRR-REPORT-53.
040600*
040700     IF  MTRF-K2-O53-NA-RECORD
040800         MOVE MTRF-RECORD        TO MWRF-RECORD
040900         MOVE 'EURO'             TO MTRF-O53-EURO-ACTION
041000     END-IF.
041100*
041200     EVALUATE TRUE
041300         WHEN MTRF-K1-RT-HEADER
041400             CONTINUE
041500         WHEN MTRF-K1-RT-TRAILER
041600             CONTINUE
041700         WHEN OTHER
041800             IF  MWRF-O53-EURO-REPORTING-OFF
041900                 GO TO B999-PRR-EXIT
042000             END-IF
042100     END-EVALUATE.
042200*
042300     PERFORM R530-REPORT-53
042400        THRU R539-R53-EXIT
042500     PERFORM P000-PRINT-THE-REPORTS
042600        THRU P999-PTR-EXIT.
042700     GO TO B999-PRR-EXIT.
042800*
042900*
043000*
043100 B540-PRR-REPORT-54.
043200     GO TO B999-PRR-EXIT.
043300*
043400*
043500*
043600 B999-PRR-EXIT.
043700     EXIT.
043800/
043900 P000-PRINT-THE-REPORTS SECTION.
044000 P010-PTR-BEGIN.
044100*
044200     PERFORM MB22PD-DRIVER-PRINT-LINES
044300        THRU MB22PD-DPL-EXIT.
044400*
044500 P999-PTR-EXIT.
044600     EXIT.
044700/
044800 R500-REPORT-50 SECTION.
044900 R501-R50-BEGIN.
045000*
045100     CALL MB00WS-MBD74050        USING MB22WS-LINK-DATA
045200                                       MTRF-RECORD.
045300*
045400 R509-R50-EXIT.
045500     EXIT.
045600*
045700*
045800*
045900 R510-REPORT-51 SECTION.
046000 R511-R51-BEGIN.
046100*
046200     CALL MB00WS-MBD74051        USING MB22WS-LINK-DATA
046300                                       MTRF-RECORD.
046400*
046500 R519-R51-EXIT.
046600     EXIT.
046700*
046800*
046900*
047000 R520-REPORT-52 SECTION.
047100 R521-R52-BEGIN.
047200*
047300     CALL MB00WS-MBD74052        USING MB22WS-LINK-DATA
047400                                       MTRF-RECORD.
047500*
047600 R529-R52-EXIT.
047700     EXIT.
047800*
047900*
048000*
048100 R530-REPORT-53 SECTION.
048200 R531-R53-BEGIN.
048300*
048400     CALL MB00WS-MBD74053        USING MB22WS-LINK-DATA
048500                                       MTRF-RECORD.
048600*
048700 R539-R53-EXIT.
048800     EXIT.
048900/
049000 Z100-READ-CONTROL-CARD SECTION.
049100 Z100-RCC-BEGIN.
049200*
049300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
049400     SET MTCCRB-READ-SEQ         TO TRUE.
049500     PERFORM MB00PD-MTCC-ACCESS
049600        THRU MB00PD-MTCC-ACCESS-EXIT.
049700*
049800     IF  SS02WS-FS-END-OF-FILE
049900         MOVE 'ALL'              TO MTCC-RECORD
050000         MOVE 'MBD741'           TO MTCC-PROGRAM-ID
050100         GO TO Z199-RCC-EXIT.
050200*
050300     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
050400*
050500     IF  MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
050600         GO TO Z199-RCC-EXIT.
050700*
050800     MOVE SPACES                 TO MTCC-RECORD.
050900*
051000 Z199-RCC-EXIT.
051100     EXIT.
051200/
051300 9000-PERFORMED-ROUTINES-SECT SECTION.
051400*
051500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
051600/
051700     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
051800/
051900     COPY MB20PD.
052000/
052100     COPY MB22PD1.
052200/
052300     COPY SS02PD.
052400/
052500     COPY SS07PD.
052600/
052700     COPY SS08PD.
052800/
052900     COPY SS16PD.
053000/
053100     COPY SS26PD.
053200/
053300     COPY SS27PD.
053400*
053500 9995-END-SOURCE-STATEMENTS SECTION.
053600 9999-END-OF-PROGRAM.
053700     EXIT.
