000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBD760.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBD760 - ZIP SORT STATEMENTS DRIVER PROGRAM             *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300     COPY MTP0RL REPLACING ==:MTP0:== BY ==MTR0==.
002400     03  MS1S-MBD760-SORT-KEY.
002500         05  MS1S-MBD760-ORG-X.
002600             07  MS1S-MBD760-ORG
002700                             PIC  9(03).
002800/
002900 WORKING-STORAGE SECTION.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003200*
003300 01  WS-D760-WORK-AREAS.
003400     03  WS-D760-STMT-PGM-NBR
003500                             PIC  9(01)      VALUE ZERO.
003600     03  WS-D760-PRINT-FILE-X.
003700         05  WS-D760-PRINT-FILE
003800                             PIC  9(01)      VALUE ZERO.
003900     03  WS-D760-FORM-X.
004000         05  WS-D760-FORM    PIC  9(02)      VALUE ZERO.
004100     03  WS-D760-ORG-X.
004200         05  WS-D760-ORG     PIC  9(03)      VALUE ZERO.
004300     03  WS-D760-ONLY-SW     PIC  X(01)      VALUE 'N'.
004400         88  WS-D760-FAX-ONLY-BYPASS         VALUE 'Y'.
004500         88  WS-D760-PRINT-ONLY-BYPASS       VALUE 'N'.
004600/
004700     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004800/
004900     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
005000/
005100     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
005200/
005300     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
005400/
005500     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
005600/
005700     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
005800/
005900     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
006000/
006100     COPY MTRFRL REPLACING ==:MTRF:== BY ==MWRF==.
006200/
006300     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
006400/
006500     COPY MB00WS.
006600/
006700     COPY MB20WS.
006800/
006900     COPY MB22WS.
007000/
007100     COPY SS00WS.
007200/
007300     COPY SS01WS.
007400/
007500     COPY SS02WS.
007600*
007700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007800/
007900 PROCEDURE DIVISION.
008000 A000-MAIN-LINE-SECT SECTION.
008100 A010-ML-BEGIN.
008200*
008300     MOVE SPACES                 TO MTRF-RECORD.
008400     MOVE SPACES                 TO MB20WS-SH-L1.
008500     MOVE SPACES                 TO MB20WS-SH-L2.
008600     MOVE SPACES                 TO MB20WS-SH-L3.
008700     MOVE SPACES                 TO MB20WS-SH-L4.
008800     MOVE SPACES                 TO MB20WS-SH-L5.
008900     MOVE SPACES                 TO MB20WS-SH-L6.
009000     MOVE SPACES                 TO MB20WS-SH-L7.
009100     MOVE SPACES                 TO MB20WS-SH-L8.
009200     PERFORM A100-OPEN-FILES
009300        THRU A199-OF-EXIT.
009400*
009500     PERFORM A700-MERCHANT-SORT
009600        THRU A799-MS-EXIT.
009700*
009800     PERFORM A300-CLOSE-FILES
009900        THRU A399-CF-EXIT.
010000*
010100     STOP RUN.
010200*
010300 A099-ML-EXIT.
010400     EXIT.
010500/
010600 A100-OPEN-FILES SECTION.
010700 A110-OF-BEGIN.
010800*
010900     MOVE 'MBD760'               TO SS02WS-ABEND-PROG-ID.
011000*
011100     MOVE 'O1RF'                 TO SS02WS-ABEND-LOCATION.
011200     SET MTRFRB-OPEN-INPUT       TO TRUE.
011300     PERFORM MB00PD-MTRF-ACCESS
011400        THRU MB00PD-MTRF-ACCESS-EXIT.
011500*
011600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011700     SET MTCCRB-OPEN-INPUT       TO TRUE.
011800     PERFORM MB00PD-MTCC-ACCESS
011900        THRU MB00PD-MTCC-ACCESS-EXIT.
012000*
012100     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
012200*
012300     PERFORM Z100-READ-CONTROL-CARD
012400        THRU Z199-RCC-EXIT
012500        UNTIL MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID.
012600*
012700     MOVE 'R1RF'                 TO SS02WS-ABEND-LOCATION.
012800     SET MTRFRB-READ-SEQ         TO TRUE.
012900     PERFORM MB00PD-MTRF-ACCESS
013000        THRU MB00PD-MTRF-ACCESS-EXIT.
013100*
013200     PERFORM MB22PD-INITIALIZE-PAGE
013300        THRU MB22PD-IP-EXIT.
013400*
013500 A199-OF-EXIT.
013600     EXIT.
013700/
013800 A300-CLOSE-FILES SECTION.
013900 A310-CF-BEGIN.
014000*
014100     MOVE 'C1RF'                 TO SS02WS-ABEND-LOCATION.
014200     SET MTRFRB-CLOSE            TO TRUE.
014300     PERFORM MB00PD-MTRF-ACCESS
014400        THRU MB00PD-MTRF-ACCESS-EXIT.
014500*
014600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
014700     SET MTCCRB-CLOSE            TO TRUE.
014800     PERFORM MB00PD-MTCC-ACCESS
014900        THRU MB00PD-MTCC-ACCESS-EXIT.
015000*
015100     PERFORM MB20PD-CLOSE-PRINT-FILES
015200        THRU MB20PD-CPF-EXIT.
015300*
015400 A399-CF-EXIT.
015500     EXIT.
015600/
015700 A700-MERCHANT-SORT SECTION.
015800 A710-MS-BEGIN.
015900*
016000     MOVE SS02WS-END-OF-FILE     TO MTRFRB-PERM-STATUS-1.
016100*
016200     MOVE SPACES                 TO WS-D760-PRINT-FILE-X.
016300     MOVE SPACES                 TO WS-D760-FORM-X.
016400     MOVE SPACES                 TO MTRFWS-KEY-1.
016500*
016600     SORT MS1S-SORT-FILE
016700          ON ASCENDING KEY MTR0-K1-PRINT-FILE-X
016800                           MTR0-K1-FORM-X
016900                           MTR0-K1-ORG-X
017000                           MTR0-K1-GROUP-X
017100                           MTR0-K1-REPORT-X
017200                           MTR0-K1-REC-TYPE-X
017300                           MTR0-KEY-2
017400          INPUT  PROCEDURE IS A800-EXTRACT-SPECIAL-FORM-SECT
017500          OUTPUT PROCEDURE IS A900-PROCESS-REPORT-SECT.
017600*
017700     PERFORM SS98PD-VERIFY-SORT-RETURN
017800        THRU SS98PD-VSR-EXIT.
017900*
018000 A799-MS-EXIT.
018100     EXIT.
018200/
018300 A800-EXTRACT-SPECIAL-FORM-SECT SECTION.
018400 A810-ESF-BEGIN.
018500*
018600     MOVE 'R2RF'                 TO SS02WS-ABEND-LOCATION.
018700     SET MTRFRB-READ-SEQ         TO TRUE.
018800     PERFORM MB00PD-MTRF-ACCESS
018900        THRU MB00PD-MTRF-ACCESS-EXIT.
019000*
019100     IF  SS02WS-FS-END-OF-FILE
019200         GO TO A899-ESF-EXIT.
019300*
019400     MOVE MTRFIO-RECORD          TO MTRF-RECORD.
019500
019600     IF  MTRF-K1-REPORT-X IS NOT EQUAL TO 'O50'
019700         GO TO A810-ESF-BEGIN.
019800*
019900     IF  MTRF-K2-O50-NA-RECORD
020000         IF  MTRF-O50-STATEMENT-NO-PRINT
020100             SET WS-D760-FAX-ONLY-BYPASS
020200                                 TO TRUE
020300         ELSE
020400             SET WS-D760-PRINT-ONLY-BYPASS
020500                                 TO TRUE.
020600*
020700     IF  MTRF-K1-RT-HEADER
020800     OR  MTRF-K1-RT-TRAILER
020900         SET WS-D760-PRINT-ONLY-BYPASS
021000                                 TO TRUE.
021100*
021200     IF  WS-D760-FAX-ONLY-BYPASS
021300         GO TO A810-ESF-BEGIN.
021400*
021500     IF  MTCC-MBD760-ALL
021600     OR  MTCC-MBD760-ORG-X IS EQUAL TO MTRF-K1-ORG-X
021700         NEXT SENTENCE
021800     ELSE
021900         GO TO A810-ESF-BEGIN.
022000*
022100     IF  MTRF-K1-PRINT-FILE-X IS EQUAL TO WS-D760-PRINT-FILE-X
022200     AND MTRF-K1-FORM-X       IS EQUAL TO WS-D760-FORM-X
022300         NEXT SENTENCE
022400     ELSE
022500         MOVE SPACES             TO MTRFWS-KEY-1.
022600*
022700     MOVE MTRF-K1-PRINT-FILE-X   TO WS-D760-PRINT-FILE-X.
022800     MOVE MTRF-K1-FORM-X         TO WS-D760-FORM-X.
022900*
023000     IF  MTRF-K1-RT-HEADER
023100     AND MTRFWS-KEY-1 IS EQUAL TO SPACES
023200         MOVE MTRF-KEY-1         TO MTRFWS-KEY-1.
023300*
023400     MOVE MTRF-K1-ORG-X          TO WS-D760-ORG-X.
023500     MOVE MTRFWS-K1-PRINT-FILE-X TO MTRF-K1-PRINT-FILE-X.
023600     MOVE MTRFWS-K1-FORM-X       TO MTRF-K1-FORM-X.
023700     MOVE MTRFWS-K1-ORG-X        TO MTRF-K1-ORG-X.
023800     MOVE ZERO                   TO MTRF-K1-GROUP.
023900*
024000     IF  MTRF-K1-RT-HEADER
024100     OR  MTRF-K1-RT-TRAILER
024200         IF  WS-D760-ORG-X IS EQUAL TO MTRFWS-K1-ORG-X
024300             NEXT SENTENCE
024400         ELSE
024500             GO TO A810-ESF-BEGIN.
024600*
024700     IF  MTRF-K1-RT-HEADER
024800     OR  MTRF-K1-RT-TRAILER
024900         MOVE '000000000'        TO MTRF-K2-O50-POSTAL-CODE
025000     ELSE
025100         IF  MTRF-K2-O50-NA-RECORD
025200             MOVE MTRF-RECORD    TO MWRF-RECORD
025300             MOVE MWRF-O50-POSTAL-CODE
025400                                 TO MTRF-K2-O50-POSTAL-CODE
025500         ELSE
025600             MOVE MWRF-O50-POSTAL-CODE
025700                                 TO MTRF-K2-O50-POSTAL-CODE.
025800*
025900     MOVE MTRF-RECORD            TO MTR0-RECORD.
026000     MOVE WS-D760-ORG-X          TO MS1S-MBD760-ORG-X.
026100     RELEASE MTR0-RECORD.
026200     GO TO A810-ESF-BEGIN.
026300*
026400 A899-ESF-EXIT.
026500     EXIT.
026600/
026700 A900-PROCESS-REPORT-SECT SECTION.
026800 A910-PR-BEGIN.
026900*
027000     RETURN MS1S-SORT-FILE
027100         AT END
027200             GO TO A999-PR-EXIT.
027300*
027400     MOVE MTR0-RECORD            TO MTRF-RECORD.
027500     MOVE MS1S-MBD760-ORG-X      TO MTRF-K1-ORG-X.
027600*
027700     IF  MTRF-K1-HEADER
027800     OR  MTRF-K1-TRAILER
027900         GO TO A910-PR-BEGIN.
028000*
028100     PERFORM B000-PROCESS-REPORT-RECORD
028200        THRU B999-PRR-EXIT.
028300*
028400     GO TO A910-PR-BEGIN.
028500*
028600 A999-PR-EXIT.
028700     EXIT.
028800/
028900 B000-PROCESS-REPORT-RECORD SECTION.
029000 B010-PRR-BEGIN.
029100*
029200     IF  MTRF-K1-RPT-NBR IS EQUAL TO 50
029300         PERFORM R500-REPORT-50
029400            THRU R509-R50-EXIT
029500         PERFORM P000-PRINT-THE-REPORTS
029600            THRU P999-PTR-EXIT.
029700*
029800 B999-PRR-EXIT.
029900     EXIT.
030000/
030100 R500-REPORT-50 SECTION.
030200 R501-R50-BEGIN.
030300*
030400*
030500     CALL MB00WS-MBD74050        USING MB22WS-LINK-DATA
030600                                       MTRF-RECORD.
030700*
030800 R509-R50-EXIT.
030900     EXIT.
031000/
031100 P000-PRINT-THE-REPORTS SECTION.
031200 P010-PTR-BEGIN.
031300*
031400     PERFORM MB22PD-DRIVER-PRINT-LINES
031500        THRU MB22PD-DPL-EXIT.
031600*
031700 P999-PTR-EXIT.
031800     EXIT.
031900/
032000 Z100-READ-CONTROL-CARD SECTION.
032100 Z100-RCC-BEGIN.
032200*
032300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
032400     SET MTCCRB-READ-SEQ         TO TRUE.
032500     PERFORM MB00PD-MTCC-ACCESS
032600        THRU MB00PD-MTCC-ACCESS-EXIT.
032700*
032800     IF  SS02WS-FS-END-OF-FILE
032900         MOVE 'ALL'              TO MTCC-RECORD
033000         MOVE 'MBD760'           TO MTCC-PROGRAM-ID
033100         GO TO Z199-RCC-EXIT.
033200*
033300     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
033400*
033500     IF  MTCC-PROGRAM-ID IS EQUAL TO SS02WS-ABEND-PROG-ID
033600         GO TO Z199-RCC-EXIT.
033700*
033800     MOVE SPACES                 TO MTCC-RECORD.
033900*
034000 Z199-RCC-EXIT.
034100     EXIT.
034200/
034300 9000-PERFORMED-ROUTINES-SECT SECTION.
034400*
034500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
034600/
034700     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
034800/
034900     COPY MB20PD.
035000/
035100     COPY MB22PD1.
035200/
035300     COPY SS02PD.
035400/
035500     COPY SS07PD.
035600/
035700     COPY SS08PD.
035800/
035900     COPY SS16PD.
036000/
036100     COPY SS26PD.
036200/
036300     COPY SS27PD.
036400/
036500     COPY SS98PD.
036600*
036700 9995-END-SOURCE-STATEMENTS SECTION.
036800 9999-END-OF-PROGRAM.
036900     EXIT.
