000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO1M01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO1M01 - MERCHANT RECORD CLOSE TO ACTIVE                *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB1M                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB1M01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 B. MMSM (STORE MASTER FILE)                   *
001700*                 C. MMXR (STORE MERCHANT CROSS REF FILE)       *
001800*                 D. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-NBR-CHAINS       PIC  9(02)      VALUE ZEROS.
003500*
003600 01  FILLER                  PIC  X(17)      VALUE
003700     'PROGRAM SWITCHES:'.
003800*
003900 01  WS-PROGRAM-SWITCHES.
004000     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004100         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004200         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004300/
004400 01  FILLER                  PIC  X(29)      VALUE
004500     'I/O REQUEST BLOCK WORK AREAS:'.
004600*
004700     COPY MBIOWS.
004800/
004900 01  FILLER                  PIC  X(18)      VALUE
005000     'I/O REQUEST BLOCK:'.
005100*
005200     COPY MBIORO.
005300/
005400 01  FILLER                  PIC  X(25)      VALUE
005500     'LOG RECORD REQUEST BLOCK:'.
005600*
005700     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005800/
005900 01  FILLER                  PIC  X(31)      VALUE
006000     'DYNAMICALLY CALLED SUBROUTINES:'.
006100*
006200     COPY MB00WS.
006300/
006400 01  FILLER                  PIC  X(37)      VALUE
006500     'FORMAT NBR AND AMTS BY CURRENCY CODE:'.
006600*
006700     COPY SS95WS.
006800/
006900 01  FILLER                  PIC  X(20)      VALUE
007000     'CCS DATE WORK AREAS:'.
007100*
007200     COPY SS01WS.
007300/
007400 01  FILLER                  PIC  X(15)      VALUE
007500     'CCS WORK AREAS:'.
007600*
007700     COPY SS08WS.
007800/
007900     COPY SS00WS.
008000/
008100     COPY SMFTWS.
008200/
008300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008400/
008500     COPY MB61LK.
008600/
008700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008800/
008900 LINKAGE SECTION.
009000*
009100 01  DFHCOMMAREA.
009200*
009300     COPY MB60WS.
009400/
009500***********************************
009600*    MERCHANT CLOSE TO ACTIVE MAP *
009700***********************************
009800*
009900     COPY MB1M01.
010000/
010100************************************************
010200*    MERCHANT CLOSE TO ACTIVE MAP REDEFINITION *
010300************************************************
010400*
010500     COPY MB1M01R.
010600/
010700****************************************
010800*    MERCHANT MASTER RECORD LAYOUT     *
010900****************************************
011000*
011100     COPY MMMMRL.
011200/
011300****************************************
011400*    STORE MASTER  RECORD LAYOUT       *
011500****************************************
011600*
011700     COPY MMSMRL.
011800/
011900****************************************************
012000*    STORE MERCHANT CROSS REF MASTER RECORD LAYOUT *
012100****************************************************
012200*
012300     COPY MMXRRL.
012400/
012500***************************
012600*    LOG RECORD LAYOUT    *
012700***************************
012800*
012900     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013000/
013100 PROCEDURE DIVISION.
013200*
013300 A000-HOUSEKEEPING SECTION.
013400*
013500 A020-INIT.
013600*
013700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013900                                 THRU MB70PD-OLH-EXIT.
014000*
014100     SET SS95WS-FUNCTION-INITIALIZE
014200                                 TO TRUE.
014300     PERFORM SS95PD-NAP-ROUTINE
014400        THRU SS95PD-NAP-EXIT.
014500*
014600     IF  MBCA-RECEIVE-SCREEN
014700         GO TO C000-RECEIVE-SCREEN.
014800/
014900 B000-SEND-SCREEN SECTION.
015000*
015100*********************************************
015200*    GET CICS STORAGE NEEDED FOR THE MAP    *
015300*********************************************
015400*
015500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB60PD-GETMAIN-FOR-MAP
015700                                 THRU MB60PD-GFM-EXIT.
015800*
015900*******************************************
016000*    INITIALIZE THE STANDARD MAP LINES    *
016100*******************************************
016200*
016300     PERFORM MB60PD-INIT-STD-MAP-LINES
016400                                 THRU MB60PD-ISML-EXIT.
016500*
016600*****************************************
016700*    READ THE MERCHANT MASTER RECORD    *
016800*****************************************
016900*
017000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017100     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
017200*
017300*********************************************
017400*    MOVE THE PRIMARY NAME TO THE SCREEN    *
017500*********************************************
017600*
017700     MOVE MMMM-NA-LINE (1 1)     TO M101-MERCH-NAME.
017800*
017900 B020-MOVE-FIELDS-TO-SCREEN.
018000*
018100     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
018200     MOVE 'N'                    TO M101-CLOSE-FLAG
018300                                    M101-STORE-FLAG.
018400     MOVE MMMM-CLOSE-REASON      TO M101-CLOSE-REASON.
018500     MOVE MMMM-DATE-OPENED       TO SS01WS-JULIAN.
018600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
018700        THRU SS26PD-NED-EXIT.
018800     MOVE SS01WS-XX-XX-YYYY      TO M101-DATE-OPEN.
018900     MOVE MMMM-DBA-NAME          TO M101-DBA-NAME.
019000     MOVE MMMM-DATE-CLOSED       TO SS01WS-JULIAN.
019100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019200        THRU SS26PD-NED-EXIT.
019300     MOVE SS01WS-XX-XX-YYYY      TO M101-DATE-CLOSED.
019400     MOVE MMMM-DBA-CITY          TO M101-DBA-CITY.
019500     MOVE MMMM-DBA-COUNTRY-CODE  TO M101-DBA-STATE.
019600     MOVE MMMM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
019700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019800        THRU SS26PD-NED-EXIT.
019900     MOVE SS01WS-XX-XX-YYYY      TO M101-DATE-LAST-ACT.
020000     MOVE MMMM-BLOCK-CODE        TO M101-BLOCK-CODE.
020100     MOVE MMMM-AGENT-BANK        TO M101-AGENT.
020200     MOVE MMMM-DATE-LAST-STMT    TO SS01WS-JULIAN.
020300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020400        THRU SS26PD-NED-EXIT.
020500     MOVE SS01WS-XX-XX-YYYY      TO M101-DATE-LAST-STMT.
020600     MOVE MMMM-STMT-FREQ-1       TO M101-STMT-FREQ1.
020700     MOVE MMMM-STMT-FREQ-2       TO M101-STMT-FREQ2.
020800     MOVE MMMM-BRANCH            TO M101-BRANCH.
020900     MOVE MMMM-DATE-LAST-SETT    TO SS01WS-JULIAN.
021000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021100        THRU SS26PD-NED-EXIT.
021200     MOVE SS01WS-XX-XX-YYYY      TO M101-DATE-LAST-SETT.
021300     MOVE MMMM-SETT-FREQ-1       TO M101-SETT-FREQ1.
021400     MOVE MMMM-SETT-FREQ-2       TO M101-SETT-FREQ2.
021500     MOVE MMMM-BAL-SETT          TO SS95WS-IN-AMT.
021600     PERFORM SS95PD-NAP-ROUTINE
021700                                 THRU SS95PD-NAP-EXIT.
021800     MOVE SS95WS-OUT-AMT-L21     TO M101-SETT-BAL.
021900     MOVE MMMM-BAL-RESV-1        TO SS95WS-IN-AMT.
022000     PERFORM SS95PD-NAP-ROUTINE
022100                                 THRU SS95PD-NAP-EXIT.
022200     MOVE SS95WS-OUT-AMT-L21     TO M101-RESV-BAL1.
022300     MOVE MMMM-BAL-RESV-2        TO SS95WS-IN-AMT.
022400     PERFORM SS95PD-NAP-ROUTINE
022500                                 THRU SS95PD-NAP-EXIT.
022600     MOVE SS95WS-OUT-AMT-L21     TO M101-RESV-BAL2.
022700     MOVE MMMM-BAL-RESV-3        TO SS95WS-IN-AMT.
022800     PERFORM SS95PD-NAP-ROUTINE
022900                                 THRU SS95PD-NAP-EXIT.
023000     MOVE SS95WS-OUT-AMT-L21     TO M101-RESV-BAL3.
023100     MOVE MMMM-BAL-RESV-4        TO SS95WS-IN-AMT.
023200     PERFORM SS95PD-NAP-ROUTINE
023300                                 THRU SS95PD-NAP-EXIT.
023400     MOVE SS95WS-OUT-AMT-L21     TO M101-RESV-BAL4.
023500     MOVE MMMM-IMP-DEV-TITLE (1) TO M101-IMP-TITLE1.
023600     MOVE MMMM-IMP-DEV-TITLE (2) TO M101-IMP-TITLE2.
023700     MOVE MMMM-IMP-DEV-TITLE (3) TO M101-IMP-TITLE3.
023800     MOVE MMMM-POS-DEV-TITLE (1) TO M101-POS-TITLE1.
023900     MOVE MMMM-POS-DEV-TITLE (2) TO M101-POS-TITLE2.
024000     MOVE MMMM-POS-DEV-TITLE (3) TO M101-POS-TITLE3.
024100     MOVE MMMM-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
024200     PERFORM SS95PD-NAP-ROUTINE
024300                                 THRU SS95PD-NAP-EXIT.
024400     MOVE SS95WS-OUT-NBR-L07     TO M101-IMP-NBR1.
024500     MOVE MMMM-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
024600     PERFORM SS95PD-NAP-ROUTINE
024700                                 THRU SS95PD-NAP-EXIT.
024800     MOVE SS95WS-OUT-NBR-L07     TO M101-IMP-NBR2.
024900     MOVE MMMM-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
025000     PERFORM SS95PD-NAP-ROUTINE
025100                                 THRU SS95PD-NAP-EXIT.
025200     MOVE SS95WS-OUT-NBR-L07     TO M101-IMP-NBR3.
025300     MOVE MMMM-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
025400     PERFORM SS95PD-NAP-ROUTINE
025500                                 THRU SS95PD-NAP-EXIT.
025600     MOVE SS95WS-OUT-NBR-L07     TO M101-POS-NBR1.
025700     MOVE MMMM-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
025800     PERFORM SS95PD-NAP-ROUTINE
025900                                 THRU SS95PD-NAP-EXIT.
026000     MOVE SS95WS-OUT-NBR-L07     TO M101-POS-NBR2.
026100     MOVE MMMM-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
026200     PERFORM SS95PD-NAP-ROUTINE
026300                                 THRU SS95PD-NAP-EXIT.
026400     MOVE SS95WS-OUT-NBR-L07     TO M101-POS-NBR3.
026500*
026600********************************************
026700*  TO FORMAT AND POPULATE THE MESSAGE LINE *
026800********************************************
026900*
027000     IF M101-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
027100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
027200           THRU MB06PD-FML-EXIT
027300        MOVE SS08WS-FORMATTED-MSG   TO M101-ERR-MESSAGE
027400     END-IF.
027500*
027600******************************************
027700*    SET THE CURSOR AND SCREEN NUMBER    *
027800******************************************
027900*
028000     MOVE SS08WS-CURSOR          TO M101-CLOSE-FLAG-L.
028100*
028200     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
028300*
028400**********************
028500*    SEND THE MAP    *
028600**********************
028700*
028800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
028900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
029000                                 THRU MB60PD-SMWE-EXIT.
029100*
029200************************
029300*    RETURN TO CICS    *
029400************************
029500*
029600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029700     PERFORM MB70PD-RETURN-TRANS-ID
029800                                 THRU MB70PD-RTI-EXIT.
029900/
030000 C000-RECEIVE-SCREEN SECTION.
030100*
030200******************************************
030300*    THIS SECTION RECEIVES THE SCREEN    *
030400******************************************
030500*
030600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
030700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
030800*
030900**************************************************************
031000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
031100**************************************************************
031200*
031300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031400     PERFORM MB60PD-NEW-TRANS-ROUTINE
031500                                 THRU MB60PD-NTR-EXIT.
031600*
031700*****************************************
031800*    READ THE MERCH MASTER RECORD       *
031900*****************************************
032000*
032100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
032200     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
032300*
032400*********************************************
032500*    MOVE THE PRIMARY NAME TO THE SCREEN    *
032600*********************************************
032700*
032800     MOVE MMMM-NA-LINE (1 1)     TO M101-MERCH-NAME.
032900*
033000 C020-FIELD-EDITS.
033100*
033200*
033300***************************************
033400*    FIELD EDIT FOR CLOSE MERCH FLAG  *
033500***************************************
033600*
033700     IF  M101-CLOSE-FLAG-L       IS GREATER THAN ZERO
033800         MOVE DFHBMASF           TO M101-CLOSE-FLAG-A
033900     ELSE
034000         MOVE 'N'                TO M101-CLOSE-FLAG.
034100*
034200     IF  M101-VALID-CLOSE-FLAG
034300         NEXT SENTENCE
034400     ELSE
034500         GO TO C025-CLOSE-FLAG-ERROR.
034600*
034700     GO TO C030-CLOSE-STORE.
034800*
034900 C025-CLOSE-FLAG-ERROR.
035000*
035100     IF  M101-CLOSE-FLAG-L       IS GREATER THAN ZERO
035200         MOVE DFHBMUBF           TO M101-CLOSE-FLAG-A.
035300*
035400     SET SS08WS-ERROR-SW-YES     TO TRUE.
035500     MOVE DFHBMASB               TO M101-CLOSE-FLAG-LP-A
035600                                    M101-CLOSE-FLAG-RP-A.
035700     MOVE SS08WS-CURSOR          TO M101-CLOSE-FLAG-L.
035800*
035900 C030-CLOSE-STORE.
036000*
036100***************************************
036200*    FIELD EDIT FOR CLOSE STORE       *
036300***************************************
036400*
036500*
036600     IF  M101-STORE-FLAG-L       IS GREATER THAN ZERO
036700         MOVE DFHBMASF           TO M101-STORE-FLAG-A
036800     ELSE
036900         MOVE 'N'                TO M101-STORE-FLAG.
037000*
037100     IF  M101-VALID-STORE-FLAG
037200         NEXT SENTENCE
037300     ELSE
037400         GO TO C035-STORE-FLAG-ERROR.
037500*
037600     GO TO C040-CROSS-EDITS.
037700*
037800 C035-STORE-FLAG-ERROR.
037900*
038000     IF  M101-STORE-FLAG-L       IS GREATER THAN ZERO
038100         MOVE DFHBMUBF           TO M101-STORE-FLAG-A.
038200*
038300     SET SS08WS-ERROR-SW-YES     TO TRUE.
038400     MOVE DFHBMASB               TO M101-STORE-FLAG-LP-A
038500                                    M101-STORE-FLAG-RP-A.
038600     MOVE SS08WS-CURSOR          TO M101-STORE-FLAG-L.
038700*
038800 C040-CROSS-EDITS.
038900*
039000     IF  M101-CLOSE-FLAG IS EQUAL TO 'N'
039100     AND M101-STORE-FLAG IS EQUAL TO 'Y'
039200         SET SS08WS-ERROR-SW-YES TO TRUE
039300         MOVE DFHBMUBF           TO M101-STORE-FLAG-A
039400                                    M101-CLOSE-FLAG-A
039500         MOVE DFHBMASB           TO M101-STORE-FLAG-LP-A
039600                                    M101-STORE-FLAG-RP-A
039700                                    M101-CLOSE-FLAG-LP-A
039800                                    M101-CLOSE-FLAG-RP-A
039900         MOVE SS08WS-CURSOR      TO M101-CLOSE-FLAG-L.
040000*
040100/
040200 D000-RETURN-ERRORS SECTION.
040300*
040400     IF  SS08WS-ERROR-SW-NO
040500         GO TO E000-UPDATE-FILE.
040600*
040700***************************************************************
040800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
040900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
041000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
041100***************************************************************
041200*
041300     PERFORM MB60PD-INIT-STD-MAP-LINES
041400                                 THRU MB60PD-ISML-EXIT.
041500*
041600********************************************
041700*  TO FORMAT AND POPULATE THE MESSAGE LINE *
041800********************************************
041900*
042000     IF M101-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
042100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
042200           THRU MB06PD-FML-EXIT
042300        MOVE SS08WS-FORMATTED-MSG   TO M101-ERR-MESSAGE
042400     END-IF.
042500*
042600**********************
042700*    SEND THE MAP    *
042800**********************
042900*
043000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
043100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
043200                                 THRU MB60PD-SMDO-EXIT.
043300*
043400************************
043500*    RETURN TO CICS    *
043600************************
043700*
043800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
043900     PERFORM MB70PD-RETURN-TRANS-ID
044000                                 THRU MB70PD-RTI-EXIT.
044100/
044200 E000-UPDATE-FILE SECTION.
044300*
044400****************************************************
044500*    READ THE MERCH MASTER RECORD FOR UPDATE       *
044600****************************************************
044700*
044800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
044900     SET MBIORO-READ-RANDOM-UPDATE
045000                                 TO TRUE.
045100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
045200*
045300 E010-CONTINUE.
045400*
045500*************************************
045600*    OBTAIN STORAGE FOR LOG FILE    *
045700*    RECORD IF DOING MAINTENANCE    *
045800*************************************
045900*
046000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
046100     SET MBIORO-GETMAIN          TO TRUE.
046200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
046300*
046400 E020-UPDATE-FIELDS.
046500*
046600     IF  M101-CLOSE-FLAG-L       IS GREATER THAN ZERO
046700         IF M101-CLOSE-FLAG IS EQUAL TO 'Y'
046800             EVALUATE TRUE
046900                 WHEN MMMM-SINGLE-STORE-YES
047000                     PERFORM 9600-SINGLE-STORE
047100                                 THRU 9699-SS-EXIT
047200             END-EVALUATE
047300             SET WS-UPDATE-SW-YES
047400                                 TO TRUE.
047500*
047600     IF  M101-STORE-FLAG-L       IS GREATER THAN ZERO
047700         IF M101-STORE-FLAG IS EQUAL 'Y'
047800             PERFORM 9400-START-CROSS-REF
047900                                 THRU 9499-SCR-EXIT
048000             SET WS-UPDATE-SW-YES
048100                                 TO TRUE.
048200*
048300 E040-UPDATE-MMMM.
048400*
048500**************************************************************
048600*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
048700*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
048800*    ON THE SCREEN                                           *
048900**************************************************************
049000*
049100     IF  WS-UPDATE-SW-YES
049200         MOVE 0197               TO MML1-FIELD-CODE
049300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
049400                                    MML1-FIELD-OCCURRENCE-2
049500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
049600         MOVE MMMM-REC-STATUS
049700                                 TO MML1-VL01-B-DATA-9
049800         SET MMMM-REC-ACTIVE TO TRUE
049900         MOVE MMMM-REC-STATUS
050000                                 TO MML1-VL01-A-DATA-9
050100         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
050200         PERFORM 9200-WRITE-LOG-REC-MERCH
050300                                 THRU 9299-WLRM-EXIT
050400         MOVE 0196               TO MML1-FIELD-CODE
050500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
050600                                    MML1-FIELD-OCCURRENCE-2
050700         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
050800         MOVE MMMM-STATUS-CHANGE-OPER
050900                                 TO MML1-VL03-B-DATA-X
051000         MOVE MBCA-OPERATOR-ID
051100                                 TO MMMM-STATUS-CHANGE-OPER
051200         MOVE MMMM-STATUS-CHANGE-OPER
051300                                 TO MML1-VL03-A-DATA-X
051400         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
051500         PERFORM 9200-WRITE-LOG-REC-MERCH
051600                                 THRU 9299-WLRM-EXIT
051700         MOVE 0195               TO MML1-FIELD-CODE
051800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
051900                                    MML1-FIELD-OCCURRENCE-2
052000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
052100         MOVE MMMM-DATE-CLOSED
052200                                 TO MML1-VL07-B-DATA-9
052300         MOVE ZEROS              TO MMMM-DATE-CLOSED
052400         MOVE MMMM-DATE-CLOSED
052500                                 TO MML1-VL07-A-DATA-9
052600         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
052700         PERFORM 9200-WRITE-LOG-REC-MERCH
052800                                 THRU 9299-WLRM-EXIT
052900         MOVE 0198               TO MML1-FIELD-CODE
053000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
053100                                    MML1-FIELD-OCCURRENCE-2
053200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
053300         MOVE MMMM-LAST-MAINT-OPER
053400                                 TO MML1-VL03-B-DATA-X
053500         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
053600         MOVE MMMM-LAST-MAINT-OPER
053700                                 TO MML1-VL03-A-DATA-X
053800         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
053900         PERFORM 9200-WRITE-LOG-REC-MERCH
054000                                 THRU 9299-WLRM-EXIT
054100         MOVE 0199               TO MML1-FIELD-CODE
054200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
054300         MOVE MMMM-LAST-MAINT-DATE
054400                                 TO MML1-VL07-B-DATA-9
054500         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
054600         MOVE MMMM-LAST-MAINT-DATE
054700                                 TO MML1-VL07-A-DATA-9
054800         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
054900         PERFORM 9200-WRITE-LOG-REC-MERCH
055000                                 THRU 9299-WLRM-EXIT.
055100*
055200**************************************************************
055300*    REWRITE THE MERCH MASTER RECORD                         *
055400*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
055500*    UNLOCK IT IF THEY HAVE NOT                              *
055600**************************************************************
055700*
055800     IF  WS-UPDATE-SW-YES
055900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
056000         SET MBIORO-REWRITE      TO TRUE
056100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
056200     ELSE
056300         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
056400         SET MBIORO-UNLOCK       TO TRUE
056500         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
056600/
056700 F000-SETUP-COMMAREA SECTION.
056800*
056900***************************************************************
057000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
057100***************************************************************
057200*
057300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
057400*
057500     PERFORM MB60PD-EDIT-PAGE-NBR
057600                                 THRU MB60PD-EPN-EXIT.
057700*
057800     IF  SS08WS-VALID-PF-KEY
057900     OR  SS08WS-EIBAID-VALID-PF-KEY
058000         SET MBCA-INITIAL-SCREEN-NBR
058100                                 TO TRUE.
058200*
058300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
058400     PERFORM MB70PD-XCTL-TO-MBOXCTL
058500                                 THRU MB70PD-XTM-EXIT.
058600/
058700 9000-PERFORMED-AREA SECTION.
058800*
058900 9100-READ-MMMM.
059000*
059100*****************************************
059200*    READ THE MERCH MASTER RECORD       *
059300*****************************************
059400*
059500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
059600                                    M101-ORG.
059700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
059800                                    M101-MERCHANT.
059900     SET MBIORO-READ-RANDOM      TO TRUE.
060000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
060100*
060200 9199-READ-MMMM-EXIT.
060300     EXIT.
060400*
060500 9200-WRITE-LOG-REC-MERCH.
060600*
060700     MOVE 'MM'                   TO MML1-FILE-CODE.
060800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
060900     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
061000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
061100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
061200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
061300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
061400     SET MBIORO-WRITE            TO TRUE.
061500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
061600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
061700*
061800 9299-WLRM-EXIT.
061900     EXIT.
062000*
062100 9300-WRITE-LOG-REC-STORE.
062200*
062300     MOVE 'SM'                   TO MML1-FILE-CODE.
062400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
062500     MOVE MMSM-STORE             TO MML1-MMSM-STORE.
062600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
062700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
062800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
062900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
063000     SET MBIORO-WRITE            TO TRUE.
063100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
063200     MOVE SPACES                 TO MML1-VARIABLE-AREA.
063300*
063400 9399-WLRS-EXIT.
063500     EXIT.
063600*
063700 9400-START-CROSS-REF.
063800*
063900     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
064000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
064100     MOVE MMMM-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
064200     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
064300     SET MBIORO-STARTBR-GTE      TO TRUE.
064400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
064500*
064600 9410-READ-NEXT-MMXR.
064700*
064800     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
064900     SET MBIORO-READ-SEQ         TO TRUE.
065000     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
065100*
065200     IF  MMXR-ORG-MERCHANT IS GREATER THAN MMMM-KEY
065300         GO TO 9420-MMXR-ENDBR
065400     ELSE
065500         IF  MMXR-ORG-MERCHANT IS LESS THAN MMMM-KEY
065600             NEXT SENTENCE
065700         ELSE
065800             PERFORM 9500-STORE-CLOSE
065900                                 THRU 9599-SC-EXIT.
066000*
066100     GO TO 9410-READ-NEXT-MMXR.
066200*
066300 9420-MMXR-ENDBR.
066400*
066500     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
066600     SET MBIORO-ENDBR            TO TRUE.
066700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
066800*
066900 9499-SCR-EXIT.
067000     EXIT.
067100*
067200 9500-STORE-CLOSE.
067300*
067400     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
067500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
067600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
067700     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
067800     SET MBIORO-READ-RANDOM-UPDATE
067900                                 TO TRUE.
068000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
068100*
068200     IF  SS08WS-RC-FC-NOTFND
068300         GO TO 9599-SC-EXIT.
068400*
068500     IF  MMSM-REC-CLOSED
068600     AND MMSM-DATE-CLOSED IS EQUAL TO MMMM-DATE-CLOSED
068700     AND MMSM-STATUS-CHANGE-OPER IS EQUAL
068800                                 TO MMMM-STATUS-CHANGE-OPER
068900         PERFORM 9700-UPDATE-STORE THRU 9799-US-EXIT
069000     ELSE
069100         MOVE 'FC15'             TO MBCA-PROGRAM-LOCATION
069200         SET MBIORO-UNLOCK       TO TRUE
069300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
069400*
069500 9599-SC-EXIT.
069600     EXIT.
069700*
069800 9600-SINGLE-STORE.
069900*
070000     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
070100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
070200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
070300     MOVE MMMM-STORE-NBR         TO MBIOWS-MMSM-STORE.
070400     SET MBIORO-READ-RANDOM-UPDATE
070500                                 TO TRUE.
070600     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
070700*
070800     IF  SS08WS-RC-FC-NOTFND
070900         GO TO 9699-SS-EXIT.
071000*
071100     PERFORM 9700-UPDATE-STORE   THRU 9799-US-EXIT.
071200*
071300 9699-SS-EXIT.
071400     EXIT.
071500*
071600 9700-UPDATE-STORE.
071700*
071800     MOVE 0195                   TO MML1-FIELD-CODE.
071900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
072000                                    MML1-FIELD-OCCURRENCE-2.
072100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
072200     MOVE MMSM-DATE-CLOSED       TO MML1-VL07-B-DATA-9.
072300     MOVE ZEROS                  TO MMSM-DATE-CLOSED.
072400     MOVE MMSM-DATE-CLOSED       TO MML1-VL07-A-DATA-9.
072500     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
072600     PERFORM 9300-WRITE-LOG-REC-STORE
072700                                 THRU 9399-WLRS-EXIT.
072800     MOVE 0197                   TO MML1-FIELD-CODE.
072900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
073000                                    MML1-FIELD-OCCURRENCE-2.
073100     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
073200     MOVE MMSM-REC-STATUS        TO MML1-VL01-B-DATA-9.
073300     SET MMSM-REC-ACTIVE         TO TRUE.
073400     MOVE MMSM-REC-STATUS        TO MML1-VL01-A-DATA-9.
073500     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
073600     PERFORM 9300-WRITE-LOG-REC-STORE
073700                                 THRU 9399-WLRS-EXIT.
073800     MOVE 0196                   TO MML1-FIELD-CODE.
073900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
074000                                    MML1-FIELD-OCCURRENCE-2.
074100     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
074200     MOVE MMSM-STATUS-CHANGE-OPER
074300                                 TO MML1-VL03-B-DATA-X.
074400     MOVE MBCA-OPERATOR-ID       TO MMSM-STATUS-CHANGE-OPER.
074500     MOVE MMSM-STATUS-CHANGE-OPER
074600                                 TO MML1-VL03-A-DATA-X.
074700     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
074800     PERFORM 9300-WRITE-LOG-REC-STORE
074900                                 THRU 9399-WLRS-EXIT.
075000*
075100     MOVE 0198                   TO MML1-FIELD-CODE.
075200     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
075300                                    MML1-FIELD-OCCURRENCE-2.
075400     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
075500     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
075600     MOVE MBCA-OPERATOR-ID       TO MMSM-LAST-MAINT-OPER.
075700     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
075800     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
075900     PERFORM 9300-WRITE-LOG-REC-STORE
076000                                 THRU 9399-WLRS-EXIT.
076100     MOVE 0199                   TO MML1-FIELD-CODE.
076200     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
076300     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
076400     MOVE MBCA-START-DATE        TO MMSM-LAST-MAINT-DATE.
076500     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
076600     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
076700     PERFORM 9300-WRITE-LOG-REC-STORE
076800                                 THRU 9399-WLRS-EXIT.
076900*
077000     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
077100     SET MBIORO-REWRITE          TO TRUE.
077200     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
077300*
077400 9799-US-EXIT.
077500     EXIT.
077600*
077700/
077800 Z000-COPIED-ROUTINES SECTION.
077900**********************************
078000*    JUL TO GREG DATE ROUTINE    *
078100**********************************
078200*
078300     COPY SS08PD.
078400/
078500     COPY SS26PD.
078600/
078700     COPY SS27PD.
078800/
078900*********************************
079000*    LINE 24 PF KEYS ROUTINE    *
079100*********************************
079200*
079300     COPY SS15PD.
079400/
079500************************************************
079600*    STORE MASTER RECORD ACCESS ROUTINES       *
079700************************************************
079800*
079900     COPY MMSMAO.
080000/
080100************************************************
080200*    MERCH MASTER RECORD ACCESS ROUTINES       *
080300************************************************
080400*
080500     COPY MMMMAO.
080600/
080700************************************************************
080800*    STORE MERCHANT CROSS REF MASTER RECORD ACCESS ROUTINES*
080900************************************************************
081000*
081100     COPY MMXRAO.
081200/
081300*****************************************
081400*    LOG FILE RECORD ACCESS ROUTINES    *
081500*****************************************
081600*
081700     COPY MML1AO.
081800/
081900*******************************************
082000*    FORMAT NBR AND AMTS BY CURRENCY CODE *
082100*******************************************
082200*
082300     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
082400/
082500*****************************
082600*    ONLINE MAP ROUTINES    *
082700*****************************
082800*
082900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB1M01 '
083000                           MBMAPXXI BY MB1M01I
083100                           MBMAPXXO BY MB1M01O.
083200/
083300*****************************
083400*    FORMATTED MESSAGE LINE *
083500*****************************
083600*
083700     COPY MB06PD.
083800/
083900***************************
084000*    ONLINE PROCEDURES    *
084100***************************
084200*
084300     COPY MB70PD.
084400/
084500     COPY SMFTPXO.
