000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO1S01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO1S01 - STORE CLOSE TO ACTIVE                          *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB1S                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB1S01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMSM (STORE MASTER FILE)                   *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 C. MML1 (LOG FILE)                            *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(17)      VALUE
003000     'PROGRAM SWITCHES:'.
003100*
003200 01  WS-PROGRAM-SWITCHES.
003300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003400         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003500         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003600/
003700 01  FILLER                  PIC  X(29)      VALUE
003800     'I/O REQUEST BLOCK WORK AREAS:'.
003900*
004000     COPY MBIOWS.
004100/
004200 01  FILLER                  PIC  X(21)      VALUE
004300     'ERROR MESSAGES TABLE:'.
004400*
004500     COPY MBEMWS.
004600/
004700 01  FILLER                  PIC  X(18)      VALUE
004800     'I/O REQUEST BLOCK:'.
004900*
005000     COPY MBIORO.
005100/
005200 01  FILLER                  PIC  X(25)      VALUE
005300     'LOG RECORD REQUEST BLOCK:'.
005400*
005500     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005600/
005700 01  FILLER                  PIC  X(31)      VALUE
005800     'DYNAMICALLY CALLED SUBROUTINES:'.
005900*
006000     COPY MB00WS.
006100/
006200 01  FILLER                  PIC  X(37)      VALUE
006300     'FORMAT NBR AND AMTS BY CURRENCY CODE:'.
006400*
006500     COPY SS95WS.
006600/
006700 01  FILLER                  PIC  X(20)      VALUE
006800     'CCS DATE WORK AREAS:'.
006900*
007000     COPY SS01WS.
007100/
007200 01  FILLER                  PIC  X(15)      VALUE
007300     'CCS WORK AREAS:'.
007400*
007500     COPY SS08WS.
007600/
007700     COPY SS00WS.
007800/
007900     COPY SMFTWS.
008000/
008100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008200/
008300     COPY MB61LK.
008400/
008500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008600/
008700 LINKAGE SECTION.
008800*
008900 01  DFHCOMMAREA.
009000*
009100     COPY MB60WS.
009200/
009300********************************
009400*    STORE CLOSE TO ACTIVE MAP *
009500********************************
009600*
009700     COPY MB1S01.
009800/
009900***********************************************
010000*    STORE CLOSE TO ACTIVE MAP REDEFINITION   *
010100***********************************************
010200*
010300     COPY MB1S01R.
010400/
010500****************************************
010600*    STORE MASTER  RECORD LAYOUT       *
010700****************************************
010800*
010900     COPY MMSMRL.
011000/
011100****************************************
011200*    MERCHANT MASTER RECORD LAYOUT     *
011300****************************************
011400*
011500     COPY MMMMRL.
011600/
011700***************************
011800*    LOG RECORD LAYOUT    *
011900***************************
012000*
012100     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012200/
012300 PROCEDURE DIVISION.
012400*
012500 A000-HOUSEKEEPING SECTION.
012600*
012700 A020-INIT.
012800*
012900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013100                                 THRU MB70PD-OLH-EXIT.
013200*
013300     SET SS95WS-FUNCTION-INITIALIZE
013400                                 TO TRUE.
013500     PERFORM SS95PD-NAP-ROUTINE
013600        THRU SS95PD-NAP-EXIT.
013700*
013800     IF  MBCA-RECEIVE-SCREEN
013900         GO TO C000-RECEIVE-SCREEN.
014000/
014100 B000-SEND-SCREEN SECTION.
014200*
014300*********************************************
014400*    GET CICS STORAGE NEEDED FOR THE MAP    *
014500*********************************************
014600*
014700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM MB60PD-GETMAIN-FOR-MAP
014900                                 THRU MB60PD-GFM-EXIT.
015000*
015100*******************************************
015200*    INITIALIZE THE STANDARD MAP LINES    *
015300*******************************************
015400*
015500     PERFORM MB60PD-INIT-STD-MAP-LINES
015600                                 THRU MB60PD-ISML-EXIT.
015700*
015800*****************************************
015900*    READ THE STORE MASTER RECORD       *
016000*****************************************
016100*
016200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016300     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
016400*
016500*****************************************
016600*    READ THE MERCHANT MASTER RECORD    *
016700*****************************************
016800*
016900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
017000     MOVE MMSM-MERCHANT-ID       TO MBIOWS-MMMM-MERCHANT.
017100     SET MBIORO-READ-RANDOM      TO TRUE.
017200     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
017300*
017400*********************************************
017500*    MOVE THE PRIMARY NAME TO THE SCREEN    *
017600*********************************************
017700*
017800     MOVE MMSM-NA-LINE (1 1)     TO S101-STORE-NAME.
017900*
018000 B020-MOVE-FIELDS-TO-SCREEN.
018100*
018200     IF  MMMM-REC-ACTIVE
018300         MOVE 'N'                TO S101-CLOSE-FLAG
018400     ELSE
018500         MOVE DFHBMDAS           TO S101-CLOSE-FLAG-LIT-A
018600                                    S101-CLOSE-FLAG-LP-A
018700                                    S101-CLOSE-FLAG-RP-A
018800                                    S101-CLOSE-FLAG-A
018900         MOVE MBEMWS-MERCH-NOT-ACTIVE
019000                                 TO S101-ERR-MESSAGE.
019100*
019200     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
019300     MOVE MMSM-CLOSE-REASON      TO S101-CLOSE-REASON.
019400     MOVE MMSM-DATE-OPENED       TO SS01WS-JULIAN.
019500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019600        THRU SS26PD-NED-EXIT.
019700     MOVE SS01WS-XX-XX-YYYY      TO S101-DATE-OPEN.
019800     MOVE MMSM-DBA-NAME          TO S101-DBA-NAME.
019900     MOVE MMSM-MERCHANT-ID       TO S101-MERCHANT.
020000     MOVE MMSM-DATE-CLOSED       TO SS01WS-JULIAN.
020100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020200        THRU SS26PD-NED-EXIT.
020300     MOVE SS01WS-XX-XX-YYYY      TO S101-DATE-CLOSED.
020400     MOVE MMSM-DBA-CITY          TO S101-DBA-CITY.
020500     MOVE MMSM-DBA-COUNTRY-CODE  TO S101-DBA-STATE.
020600     MOVE MMSM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
020700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020800        THRU SS26PD-NED-EXIT.
020900     MOVE SS01WS-XX-XX-YYYY      TO S101-DATE-LAST-ACT.
021000     MOVE MMSM-STORE-TYPE        TO S101-STORE-TYPE.
021100     MOVE MMSM-AGENT-BANK        TO S101-AGENT.
021200     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
021300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021400        THRU SS26PD-NED-EXIT.
021500     MOVE SS01WS-XX-XX-YYYY      TO S101-SETT-ACT-DATE.
021600     MOVE MMSM-AUTH-CODE         TO S101-AUTH-FLAG.
021700     MOVE MMSM-BRANCH            TO S101-BRANCH.
021800     MOVE MMSM-STORE-SETT-FLAG   TO S101-SETT-FLAG.
021900     MOVE MMSM-AUTH-LOGO         TO S101-AUTH-LOGO.
022000     MOVE MMSM-IMP-DEV-TITLE (1) TO S101-IMP-TITLE1.
022100     MOVE MMSM-IMP-DEV-TITLE (2) TO S101-IMP-TITLE2.
022200     MOVE MMSM-IMP-DEV-TITLE (3) TO S101-IMP-TITLE3.
022300     MOVE MMSM-POS-DEV-TITLE (1) TO S101-POS-TITLE1.
022400     MOVE MMSM-POS-DEV-TITLE (2) TO S101-POS-TITLE2.
022500     MOVE MMSM-POS-DEV-TITLE (3) TO S101-POS-TITLE3.
022600     MOVE MMSM-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
022700     PERFORM SS95PD-NAP-ROUTINE
022800                                 THRU SS95PD-NAP-EXIT.
022900     MOVE SS95WS-OUT-NBR-L07     TO S101-IMP-NBR1.
023000     MOVE MMSM-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
023100     PERFORM SS95PD-NAP-ROUTINE
023200                                 THRU SS95PD-NAP-EXIT.
023300     MOVE SS95WS-OUT-NBR-L07     TO S101-IMP-NBR2.
023400     MOVE MMSM-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
023500     PERFORM SS95PD-NAP-ROUTINE
023600                                 THRU SS95PD-NAP-EXIT.
023700     MOVE SS95WS-OUT-NBR-L07     TO S101-IMP-NBR3.
023800     MOVE MMSM-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
023900     PERFORM SS95PD-NAP-ROUTINE
024000                                 THRU SS95PD-NAP-EXIT.
024100     MOVE SS95WS-OUT-NBR-L07     TO S101-POS-NBR1.
024200     MOVE MMSM-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
024300     PERFORM SS95PD-NAP-ROUTINE
024400                                 THRU SS95PD-NAP-EXIT.
024500     MOVE SS95WS-OUT-NBR-L07     TO S101-POS-NBR2.
024600     MOVE MMSM-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
024700     PERFORM SS95PD-NAP-ROUTINE
024800                                 THRU SS95PD-NAP-EXIT.
024900     MOVE SS95WS-OUT-NBR-L07     TO S101-POS-NBR3.
025000*
025100******************************************
025200*    SET THE CURSOR AND SCREEN NUMBER    *
025300******************************************
025400*
025500     IF  MMMM-REC-ACTIVE
025600         MOVE SS08WS-CURSOR      TO S101-CLOSE-FLAG-L
025700     ELSE
025800         MOVE SS08WS-CURSOR      TO S101-ALT-TRANID-L.
025900*
026000     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
026100*
026200**********************
026300*    SEND THE MAP    *
026400**********************
026500*
026600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
026700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
026800                                 THRU MB60PD-SMWE-EXIT.
026900*
027000************************
027100*    RETURN TO CICS    *
027200************************
027300*
027400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
027500     PERFORM MB70PD-RETURN-TRANS-ID
027600                                 THRU MB70PD-RTI-EXIT.
027700/
027800 C000-RECEIVE-SCREEN SECTION.
027900*
028000******************************************
028100*    THIS SECTION RECEIVES THE SCREEN    *
028200******************************************
028300*
028400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
028500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
028600*
028700**************************************************************
028800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
028900**************************************************************
029000*
029100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
029200     PERFORM MB60PD-NEW-TRANS-ROUTINE
029300                                 THRU MB60PD-NTR-EXIT.
029400*
029500*****************************************
029600*    READ THE STORE MASTER RECORD       *
029700*****************************************
029800*
029900     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
030000     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
030100*
030200 C020-FIELD-EDITS.
030300*
030400*
030500***************************************
030600*    FIELD EDIT FOR CLOSE STORE FLAG  *
030700***************************************
030800*
030900     IF  S101-CLOSE-FLAG-L       IS GREATER THAN ZERO
031000         MOVE DFHBMASF           TO S101-CLOSE-FLAG-A
031100     ELSE
031200         MOVE 'N'                TO S101-CLOSE-FLAG.
031300*
031400     IF  S101-VALID-CLOSE-FLAG
031500         NEXT SENTENCE
031600     ELSE
031700         GO TO C025-CLOSE-FLAG-ERROR.
031800*
031900     GO TO D000-RETURN-ERRORS.
032000*
032100 C025-CLOSE-FLAG-ERROR.
032200*
032300     IF  S101-CLOSE-FLAG-L       IS GREATER THAN ZERO
032400         MOVE DFHBMUBF           TO S101-CLOSE-FLAG-A.
032500*
032600     SET SS08WS-ERROR-SW-YES     TO TRUE.
032700     MOVE DFHBMASB               TO S101-CLOSE-FLAG-LP-A
032800                                    S101-CLOSE-FLAG-RP-A.
032900     MOVE SS08WS-CURSOR          TO S101-CLOSE-FLAG-L.
033000*
033100/
033200 D000-RETURN-ERRORS SECTION.
033300*
033400     IF  SS08WS-ERROR-SW-NO
033500         GO TO E000-UPDATE-FILE.
033600*
033700***************************************************************
033800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
033900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
034000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
034100***************************************************************
034200*
034300     PERFORM MB60PD-INIT-STD-MAP-LINES
034400                                 THRU MB60PD-ISML-EXIT.
034500*
034600**********************
034700*    SEND THE MAP    *
034800**********************
034900*
035000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
035100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
035200                                 THRU MB60PD-SMDO-EXIT.
035300*
035400************************
035500*    RETURN TO CICS    *
035600************************
035700*
035800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
035900     PERFORM MB70PD-RETURN-TRANS-ID
036000                                 THRU MB70PD-RTI-EXIT.
036100/
036200 E000-UPDATE-FILE SECTION.
036300*
036400****************************************************
036500*    READ THE STORE MASTER RECORD FOR UPDATE       *
036600****************************************************
036700*
036800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
036900     SET MBIORO-READ-RANDOM-UPDATE
037000                                 TO TRUE.
037100     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
037200*
037300 E010-CONTINUE.
037400*
037500*************************************
037600*    OBTAIN STORAGE FOR LOG FILE    *
037700*    RECORD IF DOING MAINTENANCE    *
037800*************************************
037900*
038000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
038100     SET MBIORO-GETMAIN          TO TRUE.
038200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
038300*
038400 E020-UPDATE-FIELDS.
038500*
038600     IF  S101-CLOSE-FLAG-L       IS GREATER THAN ZERO
038700         IF S101-CLOSE-FLAG IS EQUAL TO 'Y'
038800             SET WS-UPDATE-SW-YES
038900                                 TO TRUE
039000             MOVE 0197           TO MML1-FIELD-CODE
039100             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
039200                                    MML1-FIELD-OCCURRENCE-2
039300             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
039400             MOVE MMSM-REC-STATUS
039500                                 TO MML1-VL01-B-DATA-9
039600             SET MMSM-REC-ACTIVE TO TRUE
039700             MOVE MMSM-REC-STATUS
039800                                 TO MML1-VL01-A-DATA-9
039900             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
040000             PERFORM 9200-WRITE-LOG-REC-STORE
040100                                 THRU 9299-WLRS-EXIT
040200             MOVE 0196           TO MML1-FIELD-CODE
040300             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
040400                                    MML1-FIELD-OCCURRENCE-2
040500             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
040600             MOVE MMSM-STATUS-CHANGE-OPER
040700                                 TO MML1-VL03-B-DATA-X
040800             MOVE MBCA-OPERATOR-ID
040900                                 TO MMSM-STATUS-CHANGE-OPER
041000             MOVE MMSM-STATUS-CHANGE-OPER
041100                                 TO MML1-VL03-A-DATA-X
041200             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
041300             PERFORM 9200-WRITE-LOG-REC-STORE
041400                                 THRU 9299-WLRS-EXIT
041500             MOVE 0195           TO MML1-FIELD-CODE
041600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
041700                                    MML1-FIELD-OCCURRENCE-2
041800             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
041900             MOVE MMSM-DATE-CLOSED
042000                                 TO MML1-VL07-B-DATA-9
042100             MOVE ZEROS          TO MMSM-DATE-CLOSED
042200             MOVE MMSM-DATE-CLOSED
042300                                 TO MML1-VL07-A-DATA-9
042400             MOVE 'FC06'         TO MBCA-PROGRAM-LOCATION
042500             PERFORM 9200-WRITE-LOG-REC-STORE
042600                                 THRU 9299-WLRS-EXIT.
042700*
042800 E040-UPDATE-MMSM.
042900*
043000**************************************************************
043100*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
043200*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
043300*    ON THE SCREEN                                           *
043400**************************************************************
043500*
043600     IF  WS-UPDATE-SW-YES
043700         MOVE 0198               TO MML1-FIELD-CODE
043800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
043900                                    MML1-FIELD-OCCURRENCE-2
044000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
044100         MOVE MMSM-LAST-MAINT-OPER
044200                                 TO MML1-VL03-B-DATA-X
044300         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
044400         MOVE MMSM-LAST-MAINT-OPER
044500                                 TO MML1-VL03-A-DATA-X
044600         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044700         PERFORM 9200-WRITE-LOG-REC-STORE
044800                                 THRU 9299-WLRS-EXIT
044900         MOVE 0199               TO MML1-FIELD-CODE
045000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
045100         MOVE MMSM-LAST-MAINT-DATE
045200                                 TO MML1-VL07-B-DATA-9
045300         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
045400         MOVE MMSM-LAST-MAINT-DATE
045500                                 TO MML1-VL07-A-DATA-9
045600         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
045700         PERFORM 9200-WRITE-LOG-REC-STORE
045800                                 THRU 9299-WLRS-EXIT.
045900*
046000**************************************************************
046100*    REWRITE THE STORE MASTER RECORD                         *
046200*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
046300*    UNLOCK IT IF THEY HAVE NOT                              *
046400**************************************************************
046500*
046600     IF  WS-UPDATE-SW-YES
046700         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
046800         SET MBIORO-REWRITE      TO TRUE
046900         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
047000     ELSE
047100         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
047200         SET MBIORO-UNLOCK       TO TRUE
047300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
047400/
047500 F000-SETUP-COMMAREA SECTION.
047600*
047700***************************************************************
047800*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
047900***************************************************************
048000*
048100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
048200*
048300     PERFORM MB60PD-EDIT-PAGE-NBR
048400                                 THRU MB60PD-EPN-EXIT.
048500*
048600     IF  SS08WS-VALID-PF-KEY
048700     OR  SS08WS-EIBAID-VALID-PF-KEY
048800         SET MBCA-INITIAL-SCREEN-NBR
048900                                 TO TRUE.
049000*
049100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
049200     PERFORM MB70PD-XCTL-TO-MBOXCTL
049300                                 THRU MB70PD-XTM-EXIT.
049400/
049500 9000-PERFORMED-AREA SECTION.
049600*
049700 9100-READ-MMSM.
049800*
049900*****************************************
050000*    READ THE STORE MASTER RECORD       *
050100*****************************************
050200*
050300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
050400                                    S101-ORG.
050500     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
050600                                    S101-STORE.
050700     SET MBIORO-READ-RANDOM      TO TRUE.
050800     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
050900*
051000 9199-READ-MMSM-EXIT.
051100     EXIT.
051200*
051300 9200-WRITE-LOG-REC-STORE.
051400*
051500     MOVE 'SM'                   TO MML1-FILE-CODE.
051600     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
051700     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
051800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
051900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
052000     MOVE ZEROS                  TO MML1-SOURCE-CODE.
052100     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
052200     SET MBIORO-WRITE            TO TRUE.
052300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
052400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
052500*
052600 9299-WLRS-EXIT.
052700     EXIT.
052800/
052900 Z000-COPIED-ROUTINES SECTION.
053000**********************************
053100*    JUL TO GREG DATE ROUTINE    *
053200**********************************
053300*
053400     COPY SS08PD.
053500/
053600     COPY SS26PD.
053700/
053800     COPY SS27PD.
053900/
054000*********************************
054100*    LINE 24 PF KEYS ROUTINE    *
054200*********************************
054300*
054400     COPY SS15PD.
054500/
054600************************************************
054700*    STORE MASTER RECORD ACCESS ROUTINES       *
054800************************************************
054900*
055000     COPY MMSMAO.
055100/
055200************************************************
055300*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
055400************************************************
055500*
055600     COPY MMMMAO.
055700/
055800*****************************************
055900*    LOG FILE RECORD ACCESS ROUTINES    *
056000*****************************************
056100*
056200     COPY MML1AO.
056300/
056400*******************************************
056500*    FORMAT NBR AND AMTS BY CURRENCY CODE *
056600*******************************************
056700*
056800     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
056900/
057000*****************************
057100*    ONLINE MAP ROUTINES    *
057200*****************************
057300*
057400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB1S01 '
057500                           MBMAPXXI BY MB1S01I
057600                           MBMAPXXO BY MB1S01O.
057700/
057800***************************
057900*    ONLINE PROCEDURES    *
058000***************************
058100*
058200     COPY MB70PD.
058300/
058400     COPY SMFTPXO.
