000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO3M01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO3M01 - MERCHANT MODEL PURGE
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB3M                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB3M01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 B. MMMP (MERCH PRODUCT ASSSIGN FILE)          *
001700*                 C. MML1 (LOG FILE)                            *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(17)      VALUE
003000     'PROGRAM SWITCHES:'.
003100*
003200 01  WS-PROGRAM-SWITCHES.
003300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003400         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003500         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003600     03  WS-SAVE-PRODUCT     PIC  9(02)      VALUE ZEROS.
003700     03  WS-END-OF-FILE-MMMP PIC  X(01)      VALUE 'N'.
003800         88  WS-END-OF-MMMP                  VALUE 'Y'.
003900/
004000 01  FILLER                  PIC  X(29)      VALUE
004100     'I/O REQUEST BLOCK WORK AREAS:'.
004200*
004300     COPY MBIOWS.
004400/
004500 01  FILLER                  PIC  X(21)      VALUE
004600     'ERROR MESSAGES TABLE:'.
004700*
004800     COPY MBEMWS.
004900/
005000 01  FILLER                  PIC  X(18)      VALUE
005100     'I/O REQUEST BLOCK:'.
005200*
005300     COPY MBIORO.
005400/
005500 01  FILLER                  PIC  X(25)      VALUE
005600     'LOG RECORD REQUEST BLOCK:'.
005700*
005800     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005900/
006000 01  FILLER                  PIC  X(20)      VALUE
006100     'CCS DATE WORK AREAS:'.
006200*
006300     COPY SS01WS.
006400/
006500 01  FILLER                  PIC  X(15)      VALUE
006600     'CCS WORK AREAS:'.
006700*
006800     COPY SS08WS.
006900/
007000     COPY SS00WS.
007100/
007200     COPY SMFTWS.
007300/
007400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007500/
007600     COPY MB61LK.
007700/
007800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007900/
008000 LINKAGE SECTION.
008100*
008200 01  DFHCOMMAREA.
008300*
008400     COPY MB60WS.
008500********************************
008600*    MERCHANT MODEL PURGE MAP  *
008700********************************
008800*
008900     COPY MB3M01.
009000/
009100***********************************************
009200*    MERCHANT MODEL PURGE MAP REDEFINITION    *
009300***********************************************
009400*
009500     COPY MB3M01R.
009600/
009700****************************************
009800*    MERCHANT MASTER RECORD LAYOUT     *
009900****************************************
010000*
010100     COPY MMMMRL.
010200/
010300**********************************************
010400*    MERCH PRODUCT RECORD LAYOUT             *
010500**********************************************
010600*
010700     COPY MMMPRL.
010800/
010900***************************
011000*    LOG RECORD LAYOUT    *
011100***************************
011200*
011300     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011400/
011500 PROCEDURE DIVISION.
011600*
011700 A000-HOUSEKEEPING SECTION.
011800*
011900 A020-INIT.
012000*
012100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012300                                 THRU MB70PD-OLH-EXIT.
012400*
012500     IF  MBCA-RECEIVE-SCREEN
012600         GO TO C000-RECEIVE-SCREEN.
012700/
012800 B000-SEND-SCREEN SECTION.
012900*
013000*********************************************
013100*    GET CICS STORAGE NEEDED FOR THE MAP    *
013200*********************************************
013300*
013400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM MB60PD-GETMAIN-FOR-MAP
013600                                 THRU MB60PD-GFM-EXIT.
013700*
013800*******************************************
013900*    INITIALIZE THE STANDARD MAP LINES    *
014000*******************************************
014100*
014200     PERFORM MB60PD-INIT-STD-MAP-LINES
014300                                 THRU MB60PD-ISML-EXIT.
014400*
014500*****************************************
014600*    READ THE MERCHANT MASTER RECORD    *
014700*****************************************
014800*
014900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015000     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
015100*
015200 B020-MOVE-FIELDS-TO-SCREEN.
015300*
015400     MOVE 'N'                    TO M301-PURGE-REC.
015500     MOVE MMMM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
015600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
015700        THRU SS26PD-NED-EXIT.
015800     MOVE SS01WS-XX-XX-YYYY      TO M301-LAST-MAINT-DATE.
015900     MOVE MMMM-LAST-MAINT-OPER   TO M301-LAST-MAINT-OPER.
016000     MOVE MMMM-DBA-NAME          TO M301-DBA-NAME.
016100     MOVE MMMM-DBA-CITY          TO M301-DBA-CITY.
016200     MOVE MMMM-DBA-COUNTRY-CODE  TO M301-DBA-STATE.
016300     MOVE MMMM-COUNTRY-CODE (1)  TO M301-COUNTRY-CODE.
016400*
016500     PERFORM
016600         VARYING X-MMMM-NA
016700         FROM 1 BY 1
016800         UNTIL X-MMMM-NA IS GREATER THAN 5
016900         SET X-M301-NA           TO X-MMMM-NA
017000         MOVE MMMM-NA-LINE (1 X-MMMM-NA)
017100                                 TO M301-NA-LINE (X-M301-NA)
017200     END-PERFORM.
017300*
017400     MOVE MMMM-STATE-CODE (1)    TO M301-STATE-CODE.
017500     MOVE MMMM-PHONE (1)         TO M301-PHONE.
017600     MOVE MMMM-POSTAL-CODE (1)   TO M301-POSTAL-CODE.
017700     MOVE MMMM-FAX (1)           TO M301-FAX.
017800*
017900******************************************
018000*    SET THE CURSOR AND SCREEN NUMBER    *
018100******************************************
018200*
018300     IF  MMMM-REC-MODEL
018400         MOVE SS08WS-CURSOR      TO M301-PURGE-REC-L
018500     ELSE
018600         MOVE SS08WS-CURSOR      TO M301-ALT-TRANID-L.
018700*
018800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
018900*
019000**********************
019100*    SEND THE MAP    *
019200**********************
019300*
019400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
019600                                 THRU MB60PD-SMWE-EXIT.
019700*
019800************************
019900*    RETURN TO CICS    *
020000************************
020100*
020200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB70PD-RETURN-TRANS-ID
020400                                 THRU MB70PD-RTI-EXIT.
020500/
020600 C000-RECEIVE-SCREEN SECTION.
020700*
020800******************************************
020900*    THIS SECTION RECEIVES THE SCREEN    *
021000******************************************
021100*
021200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
021300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
021400*
021500**************************************************************
021600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
021700**************************************************************
021800*
021900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
022000     PERFORM MB60PD-NEW-TRANS-ROUTINE
022100                                 THRU MB60PD-NTR-EXIT.
022200*
022300*****************************************
022400*    READ THE MERCHANT MASTER RECORD    *
022500*****************************************
022600*
022700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
022800     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
022900*
023000 C020-FIELD-EDITS.
023100*
023200***************************************
023300*    FIELD EDIT FOR PURGE RECORD      *
023400***************************************
023500*
023600     IF  M301-PURGE-REC-L        IS GREATER THAN ZERO
023700         MOVE DFHBMASF           TO M301-PURGE-REC-A
023800     ELSE
023900         MOVE 'N'                TO M301-PURGE-REC.
024000*
024100     IF  M301-VALID-PURGE-REC
024200         NEXT SENTENCE
024300     ELSE
024400         GO TO C025-PURGE-REC-ERROR.
024500*
024600     GO TO D000-RETURN-ERRORS.
024700*
024800 C025-PURGE-REC-ERROR.
024900*
025000     IF  M301-PURGE-REC-L        IS GREATER THAN ZERO
025100         MOVE DFHBMUBF           TO M301-PURGE-REC-A.
025200*
025300     SET SS08WS-ERROR-SW-YES     TO TRUE.
025400     MOVE DFHBMASB               TO M301-PURGE-REC-LP-A
025500                                    M301-PURGE-REC-RP-A.
025600     MOVE SS08WS-CURSOR          TO M301-PURGE-REC-L.
025700*
025800/
025900 D000-RETURN-ERRORS SECTION.
026000*
026100     IF  SS08WS-ERROR-SW-NO
026200         GO TO E000-UPDATE-FILE.
026300*
026400***************************************************************
026500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
026600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
026700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
026800***************************************************************
026900*
027000     PERFORM MB60PD-INIT-STD-MAP-LINES
027100                                 THRU MB60PD-ISML-EXIT.
027200*
027300**********************
027400*    SEND THE MAP    *
027500**********************
027600*
027700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
027800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
027900                                 THRU MB60PD-SMDO-EXIT.
028000*
028100************************
028200*    RETURN TO CICS    *
028300************************
028400*
028500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
028600     PERFORM MB70PD-RETURN-TRANS-ID
028700                                 THRU MB70PD-RTI-EXIT.
028800/
028900 E000-UPDATE-FILE SECTION.
029000*
029100****************************************************
029200*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
029300****************************************************
029400*
029500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
029600     SET MBIORO-READ-RANDOM-UPDATE
029700                                 TO TRUE.
029800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
029900*
030000 E010-CONTINUE.
030100*
030200*************************************
030300*    OBTAIN STORAGE FOR LOG FILE    *
030400*    RECORD IF DOING MAINTENANCE    *
030500*************************************
030600*
030700     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
030800     SET MBIORO-GETMAIN          TO TRUE.
030900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
031000*
031100 E020-UPDATE-FIELDS.
031200*
031300     IF  M301-PURGE-REC-L        IS GREATER THAN ZERO
031400         IF M301-PURGE-REC IS EQUAL TO 'Y'
031500             SET WS-UPDATE-SW-YES
031600                                 TO TRUE
031700             MOVE 0197           TO MML1-FIELD-CODE
031800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
031900                                    MML1-FIELD-OCCURRENCE-2
032000             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
032100             MOVE MMMM-REC-STATUS
032200                                 TO MML1-VL01-B-DATA-9
032300             SET MMMM-REC-PURGED TO TRUE
032400             MOVE MMMM-REC-STATUS
032500                                 TO MML1-VL01-A-DATA-9
032600             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
032700             PERFORM 9200-WRITE-LOG-REC-MERCHANT
032800                                 THRU 9299-WLRM-EXIT
032900             MOVE 0196           TO MML1-FIELD-CODE
033000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
033100                                    MML1-FIELD-OCCURRENCE-2
033200             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
033300             MOVE MMMM-STATUS-CHANGE-OPER
033400                                 TO MML1-VL03-B-DATA-X
033500             MOVE MBCA-OPERATOR-ID
033600                                 TO MMMM-STATUS-CHANGE-OPER
033700             MOVE MMMM-STATUS-CHANGE-OPER
033800                                 TO MML1-VL03-A-DATA-X
033900             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
034000             PERFORM 9200-WRITE-LOG-REC-MERCHANT
034100                                 THRU 9299-WLRM-EXIT.
034200*
034300 E040-UPDATE-MMMM.
034400*
034500**************************************************************
034600*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
034700*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
034800*    ON THE SCREEN                                           *
034900**************************************************************
035000*
035100     IF  WS-UPDATE-SW-YES
035200         PERFORM 9700-START-MERCH-PRODUCT
035300                                 THRU 9799-SMP-EXIT
035400         MOVE 0198               TO MML1-FIELD-CODE
035500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
035600                                    MML1-FIELD-OCCURRENCE-2
035700         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
035800         MOVE MMMM-LAST-MAINT-OPER
035900                                 TO MML1-VL03-B-DATA-X
036000         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
036100         MOVE MMMM-LAST-MAINT-OPER
036200                                 TO MML1-VL03-A-DATA-X
036300         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
036400         PERFORM 9200-WRITE-LOG-REC-MERCHANT
036500                                 THRU 9299-WLRM-EXIT
036600         MOVE 0199               TO MML1-FIELD-CODE
036700         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
036800         MOVE MMMM-LAST-MAINT-DATE
036900                                 TO MML1-VL07-B-DATA-9
037000         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
037100         MOVE MMMM-LAST-MAINT-DATE
037200                                 TO MML1-VL07-A-DATA-9
037300         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
037400         PERFORM 9200-WRITE-LOG-REC-MERCHANT
037500                                 THRU 9299-WLRM-EXIT.
037600*
037700**************************************************************
037800*    REWRITE THE MERCHANT MASTER RECORD                      *
037900*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
038000*    UNLOCK IT IF THEY HAVE NOT                              *
038100**************************************************************
038200*
038300     IF  WS-UPDATE-SW-YES
038400         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
038500         SET MBIORO-REWRITE      TO TRUE
038600         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
038700     ELSE
038800         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
038900         SET MBIORO-UNLOCK       TO TRUE
039000         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
039100/
039200 F000-SETUP-COMMAREA SECTION.
039300*
039400***************************************************************
039500*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
039600***************************************************************
039700*
039800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
039900*
040000     PERFORM MB60PD-EDIT-PAGE-NBR
040100                                 THRU MB60PD-EPN-EXIT.
040200*
040300     IF  SS08WS-VALID-PF-KEY
040400     OR  SS08WS-EIBAID-VALID-PF-KEY
040500         SET MBCA-INITIAL-SCREEN-NBR
040600                                 TO TRUE.
040700*
040800     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
040900     PERFORM MB70PD-XCTL-TO-MBOXCTL
041000                                 THRU MB70PD-XTM-EXIT.
041100/
041200 9000-PERFORMED-AREA SECTION.
041300*
041400 9100-READ-MMMM.
041500*
041600*****************************************
041700*    READ THE MERCHANT MASTER RECORD    *
041800*****************************************
041900*
042000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
042100                                    M301-ORG.
042200     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
042300                                    M301-MERCHANT.
042400     SET MBIORO-READ-RANDOM      TO TRUE.
042500     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
042600*
042700 9199-READ-MMMM-EXIT.
042800     EXIT.
042900*
043000 9200-WRITE-LOG-REC-MERCHANT.
043100*
043200     MOVE 'MM'                   TO MML1-FILE-CODE.
043300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
043400     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
043500     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
043600     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
043700     MOVE ZEROS                  TO MML1-SOURCE-CODE.
043800     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
043900     SET MBIORO-WRITE            TO TRUE.
044000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
044100     MOVE SPACES                 TO MML1-VARIABLE-AREA.
044200*
044300 9299-WLRM-EXIT.
044400     EXIT.
044500*
044600 9300-WRITE-LOG-REC-MMMP.
044700*
044800     MOVE 'MP'                   TO MML1-FILE-CODE.
044900     MOVE MMMP-ORG               TO MML1-MMMP-ORG.
045000     MOVE MMMP-MERCHANT          TO MML1-MMMP-MERCHANT.
045100     MOVE MMMP-PRODUCT           TO MML1-MMMP-PRODUCT.
045200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
045300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
045400     MOVE ZEROS                  TO MML1-SOURCE-CODE.
045500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
045600     SET MBIORO-WRITE            TO TRUE.
045700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
045800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
045900*
046000 9399-WLRMMMP-EXIT.
046100     EXIT.
046200*
046300 9700-START-MERCH-PRODUCT.
046400*
046500     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
046600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
046700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
046800     MOVE WS-SAVE-PRODUCT        TO MBIOWS-MMMP-PRODUCT.
046900     SET MBIORO-STARTBR-GTE      TO TRUE.
047000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
047100*
047200 9710-READ-NEXT-MMMP.
047300*
047400     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
047500     SET MBIORO-READ-SEQ         TO TRUE.
047600     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
047700*
047800     MOVE MMMP-PRODUCT           TO WS-SAVE-PRODUCT.
047900*
048000     IF  MMMP-ORG-MERCHANT IS GREATER THAN MMMM-KEY
048100         SET WS-END-OF-MMMP      TO TRUE.
048200*
048300 9740-MMMP-ENDBR.
048400*
048500     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
048600     SET MBIORO-ENDBR            TO TRUE.
048700     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
048800*
048900 9750-MMMP-PROCESS.
049000*
049100     IF  WS-END-OF-MMMP
049200         GO TO 9799-SMP-EXIT.
049300*
049400     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
049500     MOVE MMMP-ORG               TO MBIOWS-MMMP-ORG.
049600     MOVE MMMP-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
049700     MOVE MMMP-PRODUCT           TO MBIOWS-MMMP-PRODUCT.
049800     SET MBIORO-READ-RANDOM-UPDATE
049900                                 TO TRUE.
050000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
050100*
050200     MOVE 0197                   TO MML1-FIELD-CODE.
050300     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
050400                                    MML1-FIELD-OCCURRENCE-2.
050500     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
050600     MOVE MMMP-REC-STATUS        TO MML1-VL01-B-DATA-9.
050700     SET MMMP-REC-PURGED         TO TRUE.
050800     MOVE MMMP-REC-STATUS        TO MML1-VL01-A-DATA-9.
050900     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
051000     PERFORM 9300-WRITE-LOG-REC-MMMP
051100                                 THRU 9399-WLRMMMP-EXIT.
051200*
051300     MOVE 0198                   TO MML1-FIELD-CODE.
051400     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
051500                                    MML1-FIELD-OCCURRENCE-2.
051600     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
051700     MOVE MMMP-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
051800     MOVE MBCA-OPERATOR-ID       TO MMMP-LAST-MAINT-OPER.
051900     MOVE MMMP-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
052000     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
052100     PERFORM 9300-WRITE-LOG-REC-MMMP
052200                                 THRU 9399-WLRMMMP-EXIT.
052300*
052400     MOVE 0199                   TO MML1-FIELD-CODE.
052500     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
052600     MOVE MMMP-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
052700     MOVE MBCA-START-DATE        TO MMMP-LAST-MAINT-DATE.
052800     MOVE MMMP-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
052900     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
053000     PERFORM 9300-WRITE-LOG-REC-MMMP
053100                                 THRU 9399-WLRMMMP-EXIT.
053200*
053300     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
053400     SET MBIORO-REWRITE          TO TRUE.
053500     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
053600*
053700     ADD 1                       TO WS-SAVE-PRODUCT.
053800*
053900     GO TO 9700-START-MERCH-PRODUCT.
054000*
054100 9799-SMP-EXIT.
054200     EXIT.
054300/
054400 Z000-COPIED-ROUTINES SECTION.
054500**********************************
054600*    JUL TO GREG DATE ROUTINE    *
054700**********************************
054800*
054900     COPY SS08PD.
055000/
055100     COPY SS26PD.
055200/
055300     COPY SS27PD.
055400/
055500*********************************
055600*    LINE 24 PF KEYS ROUTINE    *
055700*********************************
055800*
055900     COPY SS15PD.
056000/
056100************************************************
056200*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
056300************************************************
056400*
056500     COPY MMMMAO.
056600/
056700*******************************************************
056800*    MERCH PRODUCT RECORD ACCESS ROUTINES             *
056900*******************************************************
057000*
057100     COPY MMMPAO.
057200/
057300*****************************************
057400*    LOG FILE RECORD ACCESS ROUTINES    *
057500*****************************************
057600*
057700     COPY MML1AO.
057800/
057900*****************************
058000*    ONLINE MAP ROUTINES    *
058100*****************************
058200*
058300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB3M01 '
058400                           MBMAPXXI BY MB3M01I
058500                           MBMAPXXO BY MB3M01O.
058600/
058700***************************
058800*    ONLINE PROCEDURES    *
058900***************************
059000*
059100     COPY MB70PD.
059200/
059300     COPY SMFTPXO.
