000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO7M01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO7M01 - MERCHANT RECORD PURGING                        *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB7M                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB7M01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 B. MMSM (STORE MASTER FILE)                   *
001700*                 C. MMXR (STORE MERCHANT CROSS REF FILE)       *
001800*                 D. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-NBR-CHAINS       PIC  9(02)      VALUE ZEROS.
003500*
003600 01  FILLER                  PIC  X(17)      VALUE
003700     'PROGRAM SWITCHES:'.
003800*
003900 01  WS-PROGRAM-SWITCHES.
004000     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004100         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004200         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004300/
004400 01  FILLER                  PIC  X(29)      VALUE
004500     'I/O REQUEST BLOCK WORK AREAS:'.
004600*
004700     COPY MBIOWS.
004800/
004900 01  FILLER                  PIC  X(18)      VALUE
005000     'I/O REQUEST BLOCK:'.
005100*
005200     COPY MBIORO.
005300/
005400 01  FILLER                  PIC  X(25)      VALUE
005500     'LOG RECORD REQUEST BLOCK:'.
005600*
005700     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005800/
005900 01  FILLER                  PIC  X(31)      VALUE
006000     'DYNAMICALLY CALLED SUBROUTINES:'.
006100*
006200     COPY MB00WS.
006300/
006400 01  FILLER                  PIC  X(37)      VALUE
006500     'FORMAT NBR AND AMTS BY CURRENCY CODE:'.
006600*
006700     COPY SS95WS.
006800/
006900 01  FILLER                  PIC  X(20)      VALUE
007000     'CCS DATE WORK AREAS:'.
007100*
007200     COPY SS01WS.
007300/
007400 01  FILLER                  PIC  X(15)      VALUE
007500     'CCS WORK AREAS:'.
007600*
007700     COPY SS08WS.
007800/
007900     COPY SS00WS.
008000/
008100     COPY SMFTWS.
008200/
008300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008400/
008500     COPY MB61LK.
008600/
008700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008800/
008900 LINKAGE SECTION.
009000*
009100 01  DFHCOMMAREA.
009200*
009300     COPY MB60WS.
009400/
009500***********************************
009600*    MERCHANT PURGING MAP         *
009700***********************************
009800*
009900     COPY MB7M01.
010000/
010100************************************************
010200*    MERCHANT PURGING MAP REDEFINITION         *
010300************************************************
010400*
010500     COPY MB7M01R.
010600/
010700****************************************
010800*    MERCHANT MASTER RECORD LAYOUT     *
010900****************************************
011000*
011100     COPY MMMMRL.
011200/
011300****************************************
011400*    STORE MASTER  RECORD LAYOUT       *
011500****************************************
011600*
011700     COPY MMSMRL.
011800/
011900****************************************************
012000*    STORE MERCHANT CROSS REF MASTER RECORD LAYOUT *
012100****************************************************
012200*
012300     COPY MMXRRL.
012400/
012500***************************
012600*    LOG RECORD LAYOUT    *
012700***************************
012800*
012900     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013000/
013100 PROCEDURE DIVISION.
013200*
013300 A000-HOUSEKEEPING SECTION.
013400*
013500 A020-INIT.
013600*
013700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013900                                 THRU MB70PD-OLH-EXIT.
014000*
014100     SET SS95WS-FUNCTION-INITIALIZE
014200                                 TO TRUE.
014300     PERFORM SS95PD-NAP-ROUTINE
014400        THRU SS95PD-NAP-EXIT.
014500*
014600     IF  MBCA-RECEIVE-SCREEN
014700         GO TO C000-RECEIVE-SCREEN.
014800/
014900 B000-SEND-SCREEN SECTION.
015000*
015100*********************************************
015200*    GET CICS STORAGE NEEDED FOR THE MAP    *
015300*********************************************
015400*
015500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB60PD-GETMAIN-FOR-MAP
015700                                 THRU MB60PD-GFM-EXIT.
015800*
015900*******************************************
016000*    INITIALIZE THE STANDARD MAP LINES    *
016100*******************************************
016200*
016300     PERFORM MB60PD-INIT-STD-MAP-LINES
016400                                 THRU MB60PD-ISML-EXIT.
016500*
016600*****************************************
016700*    READ THE MERCHANT MASTER RECORD    *
016800*****************************************
016900*
017000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017100     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
017200*
017300*********************************************
017400*    MOVE THE PRIMARY NAME TO THE SCREEN    *
017500*********************************************
017600*
017700     MOVE MMMM-NA-LINE (1 1)     TO M701-MERCH-NAME.
017800*
017900 B020-MOVE-FIELDS-TO-SCREEN.
018000*
018100     IF  MMMM-SETT-HIST-PRESENT
018200         MOVE DFHBMDAS           TO M701-CLOSE-FLAG-LIT-A
018300                                    M701-CLOSE-FLAG-LP-A
018400                                    M701-CLOSE-FLAG-RP-A
018500                                    M701-CLOSE-FLAG-A
018600         MOVE 'SETTLEMENT HISTORY IS PRESENT CLOSE FLAG DARKENED'
018700                                 TO M701-ERR-MESSAGE
018800     ELSE
018900         MOVE 'N'                TO M701-CLOSE-FLAG.
019000*
019100     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
019200     MOVE MMMM-CLOSE-REASON      TO M701-CLOSE-REASON.
019300     MOVE MMMM-DATE-OPENED       TO SS01WS-JULIAN.
019400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019500        THRU SS26PD-NED-EXIT.
019600     MOVE SS01WS-XX-XX-YYYY      TO M701-DATE-OPEN.
019700     MOVE MMMM-DBA-NAME          TO M701-DBA-NAME.
019800     MOVE MMMM-DATE-CLOSED       TO SS01WS-JULIAN.
019900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020000        THRU SS26PD-NED-EXIT.
020100     MOVE SS01WS-XX-XX-YYYY      TO M701-DATE-CLOSED.
020200     MOVE MMMM-DBA-CITY          TO M701-DBA-CITY.
020300     MOVE MMMM-DBA-COUNTRY-CODE  TO M701-DBA-STATE.
020400     MOVE MMMM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
020500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020600        THRU SS26PD-NED-EXIT.
020700     MOVE SS01WS-XX-XX-YYYY      TO M701-DATE-LAST-ACT.
020800     MOVE MMMM-BLOCK-CODE        TO M701-BLOCK-CODE.
020900     MOVE MMMM-AGENT-BANK        TO M701-AGENT.
021000     MOVE MMMM-DATE-LAST-STMT    TO SS01WS-JULIAN.
021100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021200        THRU SS26PD-NED-EXIT.
021300     MOVE SS01WS-XX-XX-YYYY      TO M701-DATE-LAST-STMT.
021400     MOVE MMMM-STMT-FREQ-1       TO M701-STMT-FREQ1.
021500     MOVE MMMM-STMT-FREQ-2       TO M701-STMT-FREQ2.
021600     MOVE MMMM-BRANCH            TO M701-BRANCH.
021700     MOVE MMMM-DATE-LAST-SETT    TO SS01WS-JULIAN.
021800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021900        THRU SS26PD-NED-EXIT.
022000     MOVE SS01WS-XX-XX-YYYY      TO M701-DATE-LAST-SETT.
022100     MOVE MMMM-SETT-FREQ-1       TO M701-SETT-FREQ1.
022200     MOVE MMMM-SETT-FREQ-2       TO M701-SETT-FREQ2.
022300     MOVE MMMM-BAL-SETT          TO SS95WS-IN-AMT.
022400     PERFORM SS95PD-NAP-ROUTINE
022500                                 THRU SS95PD-NAP-EXIT.
022600     MOVE SS95WS-OUT-AMT-L21     TO M701-SETT-BAL.
022700     MOVE MMMM-BAL-RESV-1        TO SS95WS-IN-AMT.
022800     PERFORM SS95PD-NAP-ROUTINE
022900                                 THRU SS95PD-NAP-EXIT.
023000     MOVE SS95WS-OUT-AMT-L21     TO M701-RESV-BAL1.
023100     MOVE MMMM-BAL-RESV-2        TO SS95WS-IN-AMT.
023200     PERFORM SS95PD-NAP-ROUTINE
023300                                 THRU SS95PD-NAP-EXIT.
023400     MOVE SS95WS-OUT-AMT-L21     TO M701-RESV-BAL2.
023500     MOVE MMMM-BAL-RESV-3        TO SS95WS-IN-AMT.
023600     PERFORM SS95PD-NAP-ROUTINE
023700                                 THRU SS95PD-NAP-EXIT.
023800     MOVE SS95WS-OUT-AMT-L21     TO M701-RESV-BAL3.
023900     MOVE MMMM-BAL-RESV-4        TO SS95WS-IN-AMT.
024000     PERFORM SS95PD-NAP-ROUTINE
024100                                 THRU SS95PD-NAP-EXIT.
024200     MOVE SS95WS-OUT-AMT-L21     TO M701-RESV-BAL4.
024300     MOVE MMMM-IMP-DEV-TITLE (1) TO M701-IMP-TITLE1.
024400     MOVE MMMM-IMP-DEV-TITLE (2) TO M701-IMP-TITLE2.
024500     MOVE MMMM-IMP-DEV-TITLE (3) TO M701-IMP-TITLE3.
024600     MOVE MMMM-POS-DEV-TITLE (1) TO M701-POS-TITLE1.
024700     MOVE MMMM-POS-DEV-TITLE (2) TO M701-POS-TITLE2.
024800     MOVE MMMM-POS-DEV-TITLE (3) TO M701-POS-TITLE3.
024900     MOVE MMMM-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
025000     PERFORM SS95PD-NAP-ROUTINE
025100                                 THRU SS95PD-NAP-EXIT.
025200     MOVE SS95WS-OUT-NBR-L07     TO M701-IMP-NBR1.
025300     MOVE MMMM-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
025400     PERFORM SS95PD-NAP-ROUTINE
025500                                 THRU SS95PD-NAP-EXIT.
025600     MOVE SS95WS-OUT-NBR-L07     TO M701-IMP-NBR2.
025700     MOVE MMMM-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
025800     PERFORM SS95PD-NAP-ROUTINE
025900                                 THRU SS95PD-NAP-EXIT.
026000     MOVE SS95WS-OUT-NBR-L07     TO M701-IMP-NBR3.
026100     MOVE MMMM-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
026200     PERFORM SS95PD-NAP-ROUTINE
026300                                 THRU SS95PD-NAP-EXIT.
026400     MOVE SS95WS-OUT-NBR-L07     TO M701-POS-NBR1.
026500     MOVE MMMM-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
026600     PERFORM SS95PD-NAP-ROUTINE
026700                                 THRU SS95PD-NAP-EXIT.
026800     MOVE SS95WS-OUT-NBR-L07     TO M701-POS-NBR2.
026900     MOVE MMMM-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
027000     PERFORM SS95PD-NAP-ROUTINE
027100                                 THRU SS95PD-NAP-EXIT.
027200     MOVE SS95WS-OUT-NBR-L07     TO M701-POS-NBR3.
027300*
027400********************************************
027500*  TO FORMAT AND POPULATE THE MESSAGE LINE *
027600********************************************
027700*
027800     IF M701-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
027900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
028000           THRU MB06PD-FML-EXIT
028100        MOVE SS08WS-FORMATTED-MSG   TO M701-ERR-MESSAGE
028200     END-IF.
028300*
028400******************************************
028500*    SET THE CURSOR AND SCREEN NUMBER    *
028600******************************************
028700*
028800     IF  MMMM-SETT-HIST-PRESENT
028900         MOVE SS08WS-CURSOR      TO M701-ALT-TRANID-L
029000     ELSE
029100         MOVE SS08WS-CURSOR      TO M701-CLOSE-FLAG-L.
029200*
029300     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
029400*
029500**********************
029600*    SEND THE MAP    *
029700**********************
029800*
029900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030100                                 THRU MB60PD-SMWE-EXIT.
030200*
030300************************
030400*    RETURN TO CICS    *
030500************************
030600*
030700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
030800     PERFORM MB70PD-RETURN-TRANS-ID
030900                                 THRU MB70PD-RTI-EXIT.
031000/
031100 C000-RECEIVE-SCREEN SECTION.
031200*
031300******************************************
031400*    THIS SECTION RECEIVES THE SCREEN    *
031500******************************************
031600*
031700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
031800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
031900*
032000**************************************************************
032100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
032200**************************************************************
032300*
032400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
032500     PERFORM MB60PD-NEW-TRANS-ROUTINE
032600                                 THRU MB60PD-NTR-EXIT.
032700*
032800*****************************************
032900*    READ THE MERCH MASTER RECORD       *
033000*****************************************
033100*
033200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
033300     PERFORM 9100-READ-MMMM      THRU 9199-READ-MMMM-EXIT.
033400*
033500 C020-FIELD-EDITS.
033600*
033700***************************************
033800*    FIELD EDIT FOR CLOSE MERCH FLAG  *
033900***************************************
034000*
034100     IF  M701-CLOSE-FLAG-L       IS GREATER THAN ZERO
034200         MOVE DFHBMASF           TO M701-CLOSE-FLAG-A
034300     ELSE
034400         MOVE 'N'                TO M701-CLOSE-FLAG.
034500*
034600     IF  M701-VALID-CLOSE-FLAG
034700         NEXT SENTENCE
034800     ELSE
034900         GO TO C025-CLOSE-FLAG-ERROR.
035000*
035100     GO TO D000-RETURN-ERRORS.
035200*
035300 C025-CLOSE-FLAG-ERROR.
035400*
035500     IF  M701-CLOSE-FLAG-L       IS GREATER THAN ZERO
035600         MOVE DFHBMUBF           TO M701-CLOSE-FLAG-A.
035700*
035800     SET SS08WS-ERROR-SW-YES     TO TRUE.
035900     MOVE DFHBMASB               TO M701-CLOSE-FLAG-LP-A
036000                                    M701-CLOSE-FLAG-RP-A.
036100     MOVE SS08WS-CURSOR          TO M701-CLOSE-FLAG-L.
036200*
036300/
036400 D000-RETURN-ERRORS SECTION.
036500*
036600     IF  SS08WS-ERROR-SW-NO
036700         GO TO E000-UPDATE-FILE.
036800*
036900***************************************************************
037000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
037100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
037200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
037300***************************************************************
037400*
037500     PERFORM MB60PD-INIT-STD-MAP-LINES
037600                                 THRU MB60PD-ISML-EXIT.
037700*
037800********************************************
037900*  TO FORMAT AND POPULATE THE MESSAGE LINE *
038000********************************************
038100*
038200     IF M701-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
038300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
038400           THRU MB06PD-FML-EXIT
038500        MOVE SS08WS-FORMATTED-MSG   TO M701-ERR-MESSAGE
038600     END-IF.
038700*
038800**********************
038900*    SEND THE MAP    *
039000**********************
039100*
039200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
039300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
039400                                 THRU MB60PD-SMDO-EXIT.
039500*
039600************************
039700*    RETURN TO CICS    *
039800************************
039900*
040000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
040100     PERFORM MB70PD-RETURN-TRANS-ID
040200                                 THRU MB70PD-RTI-EXIT.
040300/
040400 E000-UPDATE-FILE SECTION.
040500*
040600****************************************************
040700*    READ THE MERCH MASTER RECORD FOR UPDATE       *
040800****************************************************
040900*
041000     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
041100     SET MBIORO-READ-RANDOM-UPDATE
041200                                 TO TRUE.
041300     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
041400*
041500 E010-CONTINUE.
041600*
041700*************************************
041800*    OBTAIN STORAGE FOR LOG FILE    *
041900*    RECORD IF DOING MAINTENANCE    *
042000*************************************
042100*
042200     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
042300     SET MBIORO-GETMAIN          TO TRUE.
042400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
042500*
042600 E020-UPDATE-FIELDS.
042700*
042800     IF  M701-CLOSE-FLAG-L       IS GREATER THAN ZERO
042900         IF M701-CLOSE-FLAG IS EQUAL TO 'Y'
043000             EVALUATE TRUE
043100                 WHEN MMMM-SINGLE-STORE-YES
043200                     PERFORM 9600-SINGLE-STORE
043300                                 THRU 9699-SS-EXIT
043400                 WHEN OTHER
043500                     PERFORM 9400-START-CROSS-REF
043600                                 THRU 9499-SCR-EXIT
043700             END-EVALUATE
043800             SET WS-UPDATE-SW-YES
043900                                 TO TRUE
044000             MOVE 0197           TO MML1-FIELD-CODE
044100             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
044200                                    MML1-FIELD-OCCURRENCE-2
044300             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
044400             MOVE MMMM-REC-STATUS
044500                                 TO MML1-VL01-B-DATA-9
044600             SET MMMM-REC-PENDING-PURGE
044700                                 TO TRUE
044800             MOVE MMMM-REC-STATUS
044900                                 TO MML1-VL01-A-DATA-9
045000             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
045100             PERFORM 9200-WRITE-LOG-REC-MERCH
045200                                 THRU 9299-WLRM-EXIT
045300             MOVE 0196           TO MML1-FIELD-CODE
045400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
045500                                    MML1-FIELD-OCCURRENCE-2
045600             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
045700             MOVE MMMM-STATUS-CHANGE-OPER
045800                                 TO MML1-VL03-B-DATA-X
045900             MOVE MBCA-OPERATOR-ID
046000                                 TO MMMM-STATUS-CHANGE-OPER
046100             MOVE MMMM-STATUS-CHANGE-OPER
046200                                 TO MML1-VL03-A-DATA-X
046300             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
046400             PERFORM 9200-WRITE-LOG-REC-MERCH
046500                                 THRU 9299-WLRM-EXIT.
046600*
046700 E040-UPDATE-MMMM.
046800*
046900**************************************************************
047000*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
047100*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
047200*    ON THE SCREEN                                           *
047300**************************************************************
047400*
047500     IF  WS-UPDATE-SW-YES
047600         MOVE 0198               TO MML1-FIELD-CODE
047700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
047800                                    MML1-FIELD-OCCURRENCE-2
047900         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
048000         MOVE MMMM-LAST-MAINT-OPER
048100                                 TO MML1-VL03-B-DATA-X
048200         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
048300         MOVE MMMM-LAST-MAINT-OPER
048400                                 TO MML1-VL03-A-DATA-X
048500         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
048600         PERFORM 9200-WRITE-LOG-REC-MERCH
048700                                 THRU 9299-WLRM-EXIT
048800         MOVE 0199               TO MML1-FIELD-CODE
048900         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
049000         MOVE MMMM-LAST-MAINT-DATE
049100                                 TO MML1-VL07-B-DATA-9
049200         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
049300         MOVE MMMM-LAST-MAINT-DATE
049400                                 TO MML1-VL07-A-DATA-9
049500         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
049600         PERFORM 9200-WRITE-LOG-REC-MERCH
049700                                 THRU 9299-WLRM-EXIT.
049800*
049900**************************************************************
050000*    REWRITE THE MERCH MASTER RECORD                         *
050100*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
050200*    UNLOCK IT IF THEY HAVE NOT                              *
050300**************************************************************
050400*
050500     IF  WS-UPDATE-SW-YES
050600         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
050700         SET MBIORO-REWRITE      TO TRUE
050800         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
050900     ELSE
051000         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
051100         SET MBIORO-UNLOCK       TO TRUE
051200         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
051300/
051400 F000-SETUP-COMMAREA SECTION.
051500*
051600***************************************************************
051700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
051800***************************************************************
051900*
052000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
052100*
052200     PERFORM MB60PD-EDIT-PAGE-NBR
052300                                 THRU MB60PD-EPN-EXIT.
052400*
052500     IF  SS08WS-VALID-PF-KEY
052600     OR  SS08WS-EIBAID-VALID-PF-KEY
052700         SET MBCA-INITIAL-SCREEN-NBR
052800                                 TO TRUE.
052900*
053000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
053100     PERFORM MB70PD-XCTL-TO-MBOXCTL
053200                                 THRU MB70PD-XTM-EXIT.
053300/
053400 9000-PERFORMED-AREA SECTION.
053500*
053600 9100-READ-MMMM.
053700*
053800*****************************************
053900*    READ THE MERCH MASTER RECORD       *
054000*****************************************
054100*
054200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
054300                                    M701-ORG.
054400     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
054500                                    M701-MERCHANT.
054600     SET MBIORO-READ-RANDOM      TO TRUE.
054700     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
054800*
054900 9199-READ-MMMM-EXIT.
055000     EXIT.
055100*
055200 9200-WRITE-LOG-REC-MERCH.
055300*
055400     MOVE 'MM'                   TO MML1-FILE-CODE.
055500     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
055600     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
055700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
055800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
055900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
056000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
056100     SET MBIORO-WRITE            TO TRUE.
056200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
056300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
056400*
056500 9299-WLRM-EXIT.
056600     EXIT.
056700*
056800 9300-WRITE-LOG-REC-STORE.
056900*
057000     MOVE 'SM'                   TO MML1-FILE-CODE.
057100     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
057200     MOVE MMSM-STORE             TO MML1-MMSM-STORE.
057300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
057400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
057500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
057600     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
057700     SET MBIORO-WRITE            TO TRUE.
057800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
057900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
058000*
058100 9399-WLRS-EXIT.
058200     EXIT.
058300*
058400 9400-START-CROSS-REF.
058500*
058600     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
058700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
058800     MOVE MMMM-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
058900     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
059000     SET MBIORO-STARTBR-GTE      TO TRUE.
059100     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
059200*
059300 9410-READ-NEXT-MMXR.
059400*
059500     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
059600     SET MBIORO-READ-SEQ         TO TRUE.
059700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
059800*
059900     IF  MMXR-ORG-MERCHANT IS GREATER THAN MMMM-KEY
060000         GO TO 9420-MMXR-ENDBR
060100     ELSE
060200         IF  MMXR-ORG-MERCHANT IS GREATER THAN MMMM-KEY
060300             GO TO 9420-MMXR-ENDBR
060400         ELSE
060500             PERFORM 9500-STORE-CLOSE
060600                                 THRU 9599-SC-EXIT.
060700*
060800     GO TO 9410-READ-NEXT-MMXR.
060900*
061000 9420-MMXR-ENDBR.
061100*
061200     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
061300     SET MBIORO-ENDBR            TO TRUE.
061400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
061500*
061600 9499-SCR-EXIT.
061700     EXIT.
061800*
061900 9500-STORE-CLOSE.
062000*
062100     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
062200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
062300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
062400     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
062500     SET MBIORO-READ-RANDOM-UPDATE
062600                                 TO TRUE.
062700     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
062800*
062900     IF  SS08WS-RC-FC-NOTFND
063000         GO TO 9599-SC-EXIT.
063100*
063200     IF  MMSM-REC-CLOSED
063300         PERFORM 9700-UPDATE-STORE THRU 9799-US-EXIT
063400     ELSE
063500         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
063600         SET MBIORO-UNLOCK       TO TRUE
063700         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
063800*
063900 9599-SC-EXIT.
064000     EXIT.
064100*
064200 9600-SINGLE-STORE.
064300*
064400     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
064500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
064600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
064700     MOVE MMMM-STORE-NBR         TO MBIOWS-MMSM-STORE.
064800     SET MBIORO-READ-RANDOM-UPDATE
064900                                 TO TRUE.
065000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
065100*
065200     IF  SS08WS-RC-FC-NOTFND
065300         GO TO 9699-SS-EXIT.
065400*
065500     IF  MMSM-REC-CLOSED
065600         PERFORM 9700-UPDATE-STORE
065700                                 THRU 9799-US-EXIT
065800     ELSE
065900         MOVE 'FC16'             TO MBCA-PROGRAM-LOCATION
066000         SET MBIORO-UNLOCK       TO TRUE
066100         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
066200*
066300 9699-SS-EXIT.
066400     EXIT.
066500*
066600 9700-UPDATE-STORE.
066700*
066800     MOVE 0197                   TO MML1-FIELD-CODE.
066900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
067000                                    MML1-FIELD-OCCURRENCE-2.
067100     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
067200     MOVE MMSM-REC-STATUS        TO MML1-VL01-B-DATA-9.
067300     SET MMSM-REC-PENDING-PURGE  TO TRUE.
067400     MOVE MMSM-REC-STATUS        TO MML1-VL01-A-DATA-9.
067500     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
067600     PERFORM 9300-WRITE-LOG-REC-STORE
067700                                 THRU 9399-WLRS-EXIT.
067800     MOVE 0196                   TO MML1-FIELD-CODE.
067900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
068000                                    MML1-FIELD-OCCURRENCE-2.
068100     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
068200     MOVE MMSM-STATUS-CHANGE-OPER
068300                                 TO MML1-VL03-B-DATA-X.
068400     MOVE MBCA-OPERATOR-ID       TO MMSM-STATUS-CHANGE-OPER.
068500     MOVE MMSM-STATUS-CHANGE-OPER
068600                                 TO MML1-VL03-A-DATA-X.
068700     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
068800     PERFORM 9300-WRITE-LOG-REC-STORE
068900                                 THRU 9399-WLRS-EXIT.
069000*
069100     MOVE 0198                   TO MML1-FIELD-CODE.
069200     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
069300                                    MML1-FIELD-OCCURRENCE-2.
069400     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
069500     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
069600     MOVE MBCA-OPERATOR-ID       TO MMSM-LAST-MAINT-OPER.
069700     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
069800     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
069900     PERFORM 9300-WRITE-LOG-REC-STORE
070000                                 THRU 9399-WLRS-EXIT.
070100     MOVE 0199                   TO MML1-FIELD-CODE.
070200     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
070300     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
070400     MOVE MBCA-START-DATE        TO MMSM-LAST-MAINT-DATE.
070500     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
070600     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
070700     PERFORM 9300-WRITE-LOG-REC-STORE
070800                                 THRU 9399-WLRS-EXIT.
070900*
071000     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
071100     SET MBIORO-REWRITE          TO TRUE.
071200     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
071300*
071400 9799-US-EXIT.
071500     EXIT.
071600*
071700/
071800 Z000-COPIED-ROUTINES SECTION.
071900**********************************
072000*    JUL TO GREG DATE ROUTINE    *
072100**********************************
072200*
072300     COPY SS08PD.
072400/
072500     COPY SS26PD.
072600/
072700     COPY SS27PD.
072800/
072900*********************************
073000*    LINE 24 PF KEYS ROUTINE    *
073100*********************************
073200*
073300     COPY SS15PD.
073400/
073500************************************************
073600*    STORE MASTER RECORD ACCESS ROUTINES       *
073700************************************************
073800*
073900     COPY MMSMAO.
074000/
074100************************************************
074200*    MERCH MASTER RECORD ACCESS ROUTINES       *
074300************************************************
074400*
074500     COPY MMMMAO.
074600/
074700************************************************************
074800*    STORE MERCHANT CROSS REF MASTER RECORD ACCESS ROUTINES*
074900************************************************************
075000*
075100     COPY MMXRAO.
075200/
075300*****************************************
075400*    LOG FILE RECORD ACCESS ROUTINES    *
075500*****************************************
075600*
075700     COPY MML1AO.
075800/
075900*******************************************
076000*    FORMAT NBR AND AMTS BY CURRENCY CODE *
076100*******************************************
076200*
076300     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
076400/
076500*****************************
076600*    FORMATTED MESSAGE LINE *
076700*****************************
076800*
076900     COPY MB06PD.
077000/
077100*****************************
077200*    ONLINE MAP ROUTINES    *
077300*****************************
077400*
077500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB7M01 '
077600                           MBMAPXXI BY MB7M01I
077700                           MBMAPXXO BY MB7M01O.
077800/
077900***************************
078000*    ONLINE PROCEDURES    *
078100***************************
078200*
078300     COPY MB70PD.
078400/
078500     COPY SMFTPXO.
