000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO7S00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO7S00 - STORE PURGING                                  *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MB7S                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB7S00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMSM (STORE MASTER)                        *
001600*                 B. MMOC (ORG CONTROL RECORD)                  *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE
002700     '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003100*
003200 01  WS-MISCELLANEOUS.
003300     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003400                                             VALUE +001.
003500     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003600                                             VALUE +998.
003700/
003800 01  FILLER                  PIC  X(29)      VALUE
003900     'I/O REQUEST BLOCK WORK AREAS:'.
004000*
004100     COPY MBIOWS.
004200/
004300 01  FILLER                  PIC  X(18)      VALUE
004400     'I/O REQUEST BLOCK:'.
004500*
004600     COPY MBIORO.
004700/
004800 01  FILLER                  PIC  X(21)      VALUE
004900     'ERROR MESSAGES TABLE:'.
005000*
005100     COPY MBEMWS.
005200/
005300 01  FILLER                  PIC  X(27)      VALUE
005400     'STORE MASTER WORK AREAS:'.
005500*
005600     COPY MMSMWS.
005700/
005800 01  FILLER                  PIC  X(20)      VALUE
005900     'CCS DATE WORK AREAS:'.
006000*
006100     COPY SS01WS.
006200/
006300 01  FILLER                  PIC  X(27)      VALUE
006400     'CCS CHECK DIGIT WORK AREAS:'.
006500*
006600     COPY SS05WS.
006700/
006800 01  FILLER                  PIC  X(15)      VALUE
006900     'CCS WORK AREAS:'.
007000*
007100     COPY SS08WS.
007200/
007300     COPY SS00WS.
007400/
007500     COPY SMFTWS.
007600/
007700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007800/
007900     COPY MB61LK.
008000/
008100 01  FILLER                  PIC  X(12)      VALUE
008200     '** WS-END **'.
008300/
008400 LINKAGE SECTION.
008500*
008600 01  DFHCOMMAREA.
008700*
008800     COPY MB60WS.
008900/
009000************************************
009100*    STORE PURGING LOCATE MAP      *
009200************************************
009300*
009400     COPY MB7S00.
009500/
009600***********************************************
009700*    STORE PURGING LOCATE MAP REDEFINITION *
009800***********************************************
009900*
010000     COPY MB7S00R.
010100/
010200***************************
010300*    ORG RECORD LAYOUT    *
010400***************************
010500*
010600     COPY MMOCRL.
010700/
010800***************************************
010900*    STORE MASTER RECORD LAYOUT       *
011000***************************************
011100*
011200     COPY MMSMRL.
011300/
011400 PROCEDURE DIVISION.
011500*
011600 A000-HOUSEKEEPING SECTION.
011700*
011800 A020-INIT.
011900*
012000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012200                                 THRU MB70PD-OLH-EXIT.
012300*
012400     IF  MBCA-RECEIVE-SCREEN
012500         GO TO C000-RECEIVE-SCREEN.
012600/
012700 B000-SEND-SCREEN SECTION.
012800*
012900*********************************************
013000*    GET CICS STORAGE NEEDED FOR THE MAP    *
013100*********************************************
013200*
013300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013400     PERFORM MB60PD-GETMAIN-FOR-MAP
013500                                 THRU MB60PD-GFM-EXIT.
013600*
013700*
013800*****************************************************************
013900*    SEE IF THE MBCA-MERCHANT-ORG IS GREATER THAN ZERO. IF IT   *
014000*    IS, PLUG IT INTO THE MAP. THE THE MBCA-STORE IS GREATER    *
014100*    THAN ZERO, PLUG IT INTO THE MAP.                           *
014200*****************************************************************
014300*
014400     IF  MBCA-MMSM-KEY-CODE
014500         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014600         AND MBCA-STORE        IS GREATER THAN ZERO
014700             MOVE MBCA-MERCHANT-ORG
014800                                 TO S700-ORG
014900             MOVE MBCA-STORE     TO S700-STORE
015000             MOVE DFHBMUNF       TO S700-ORG-A
015100                                    S700-STORE-A
015200             IF  MBCA-DIRECT-TRANSFER-CODE
015300             AND MBCA-INITIAL-SCREEN-NBR
015400                 MOVE 00         TO MBCA-SCREEN-NBR
015500                 GO TO C082-READ-ORG
015600             ELSE
015700                 GO TO B020-BUILD-SCREEN.
015800*
015900     IF  MBCA-VALID-KEY-CODES
016000         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016100             MOVE MBCA-MERCHANT-ORG
016200                                 TO S700-ORG
016300             MOVE DFHBMUNF       TO S700-ORG-A
016400             IF  MBCA-STORE IS GREATER THAN ZERO
016500                 MOVE MBCA-STORE
016600                                 TO S700-STORE
016700                 MOVE DFHBMUNF   TO S700-STORE-A.
016800*
016900 B020-BUILD-SCREEN.
017000*
017100*******************************************
017200*    INITIALIZE THE STANDARD MAP LINES    *
017300*******************************************
017400*
017500     MOVE SS08WS-CURSOR          TO S700-ORG-L.
017600     MOVE 00                     TO MBCA-SCREEN-NBR.
017700     PERFORM MB60PD-INIT-STD-MAP-LINES
017800                                 THRU MB60PD-ISML-EXIT.
017900*
018000**********************
018100*    SEND THE MAP    *
018200**********************
018300*
018400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018600                                 THRU MB60PD-SMWE-EXIT.
018700*
018800************************
018900*    RETURN TO CICS    *
019000************************
019100*
019200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019300     PERFORM MB70PD-RETURN-TRANS-ID
019400                                 THRU MB70PD-RTI-EXIT.
019500/
019600 C000-RECEIVE-SCREEN SECTION.
019700*
019800*************************************************
019900*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
020000*************************************************
020100*
020200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020400*
020500**************************************************************
020600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
020700**************************************************************
020800*
020900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021000     PERFORM MB60PD-NEW-TRANS-ROUTINE
021100                                 THRU MB60PD-NTR-EXIT.
021200*
021300 C020-FIELD-EDITS.
021400*
021500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
021600*
021700     IF  (S700-ORG-L IS LESS THAN 1
021800     AND  S700-STORE-L IS LESS THAN 1)
021900     AND (SS08WS-VALID-PF-KEY
022000     OR   SS08WS-EIBAID-VALID-PF-KEY)
022100         SET MBCA-INITIAL-SCREEN-NBR
022200                                 TO TRUE
022300         GO TO F090-TRANSFER-XCTL.
022400*
022500******************************************************
022600*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
022700*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
022800******************************************************
022900*
023000     MOVE DFHBMUNN               TO S700-ORG-A
023100                                    S700-STORE-A.
023200     MOVE DFHBMASK               TO S700-ORG-LP-A
023300                                    S700-ORG-RP-A
023400                                    S700-STORE-LP-A
023500                                    S700-STORE-RP-A.
023600*
023700 C080-EDIT-ORG.
023800*
023900     IF  S700-ORG IS NOT NUMERIC
024000     OR  S700-ORG IS LESS THAN MBCA-ORG-LOW
024100     OR  S700-ORG IS GREATER THAN MBCA-ORG-HIGH
024200     OR  S700-ORG IS LESS THAN WS-ORG-LOW
024300     OR  S700-ORG IS GREATER THAN WS-ORG-HIGH
024400         MOVE MBEMWS-INVALID-ORG TO S700-ERR-MESSAGE
024500         GO TO C098-ORG-ERROR.
024600*
024700 C082-READ-ORG.
024800*
024900************************************************
025000*    READ THE ORGANIZATION RECORD.  IT MUST    *
025100*    BE ON FILE AND AN ACTIVE RECORD.          *
025200************************************************
025300*
025400     MOVE S700-ORG               TO MBIOWS-MMOC-ORG.
025500     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
025600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
025700     SET MBIORO-READ-RANDOM      TO TRUE.
025800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
025900*
026000     IF  SS08WS-RC-FC-NOTFND
026100         MOVE MBEMWS-NOT-ON-FILE TO S700-ERR-MESSAGE
026200     ELSE
026300         IF  MMOC-ADD-PENDING
026400             MOVE MBEMWS-ADD-PENDING
026500                                 TO S700-ERR-MESSAGE
026600         ELSE
026700             IF  MMOC-REC-PURGED
026800                 MOVE MBEMWS-NOT-ACTIVE
026900                                 TO S700-ERR-MESSAGE
027000             ELSE
027100                 MOVE DFHBMUNF   TO S700-ORG-A
027200                 MOVE S700-ORG   TO MBCA-MERCHANT-ORG
027300                 MOVE MMOC-CURRENCY-CODE
027400                                 TO MBCA-CURRENCY-CODE
027500                 GO TO C100-EDIT-STORE.
027600*
027700 C098-ORG-ERROR.
027800*
027900     SET SS08WS-ERROR-SW-YES     TO TRUE.
028000     MOVE DFHBMASB               TO S700-ORG-LP-A
028100                                    S700-ORG-RP-A.
028200     MOVE SS08WS-CURSOR          TO S700-ORG-L.
028300     MOVE DFHBMNBF               TO S700-ORG-A.
028400     MOVE DFHBMUNF               TO S700-STORE-A.
028500     GO TO D000-RETURN-ERRORS.
028600*
028700 C100-EDIT-STORE.
028800*
028900     IF  S700-STORE IS NOT NUMERIC
029000     OR  S700-STORE IS EQUAL TO ZEROES OR 999999999
029100         MOVE MBEMWS-INVALID-STORE
029200                                 TO S700-ERR-MESSAGE
029300         GO TO C118-STORE-ERROR.
029400*
029500 C102-READ-STORE.
029600*
029700***************************************************************
029800*    READ THE STORE MASTER RECORD.     IT MUST BE ON          *
029900*    FILE AND AN ACTIVE OR CLOSED RECORD.                     *
030000***************************************************************
030100*
030200     MOVE DFHBMUNF               TO S700-STORE-A.
030300*
030400     MOVE S700-ORG               TO MBIOWS-MMSM-ORG.
030500     MOVE S700-STORE             TO MBIOWS-MMSM-STORE.
030600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
030800     SET MBIORO-READ-RANDOM      TO TRUE.
030900     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
031000*
031100     IF  SS08WS-RC-FC-VALID-RTN-CODE
031200         MOVE S700-STORE         TO MBCA-STORE.
031300*
031400     IF  SS08WS-RC-FC-NOTFND
031500         MOVE MBEMWS-NOT-ON-FILE TO S700-ERR-MESSAGE
031600         GO TO C118-STORE-ERROR.
031700*
031800     IF  MMSM-REC-SINGLE-STORE
031900         MOVE MBEMWS-SINGLE-STORE
032000                                 TO S700-ERR-MESSAGE
032100         GO TO C118-STORE-ERROR.
032200*
032300     IF  MMSM-REC-CLOSED
032400         NEXT SENTENCE
032500     ELSE
032600         MOVE MBEMWS-BAD-REC-STATUS
032700                                 TO S700-ERR-MESSAGE
032800         GO TO C118-STORE-ERROR.
032900*
033000************************************************
033100*    OTHERWISE, WE PASSED THE STORE EDIT       *
033200************************************************
033300*
033400     GO TO D000-RETURN-ERRORS.
033500*
033600 C118-STORE-ERROR.
033700*
033800     SET SS08WS-ERROR-SW-YES     TO TRUE.
033900     MOVE DFHBMASB               TO S700-STORE-LP-A
034000                                    S700-STORE-RP-A.
034100     MOVE SS08WS-CURSOR          TO S700-STORE-L.
034200     MOVE DFHBMNBF               TO S700-STORE-A.
034300/
034400 D000-RETURN-ERRORS SECTION.
034500*
034600     IF  SS08WS-ERROR-SW-NO
034700         GO TO F000-SETUP-COMMAREA
034800     ELSE
034900         IF  SS08WS-VALID-PF-KEY
035000         OR  SS08WS-EIBAID-VALID-PF-KEY
035100             SET MBCA-INITIAL-SCREEN-NBR
035200                                 TO TRUE
035300             GO TO F090-TRANSFER-XCTL.
035400*
035500***************************************************************
035600*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
035700*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
035800*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
035900***************************************************************
036000*
036100     PERFORM MB60PD-INIT-STD-MAP-LINES
036200                                 THRU MB60PD-ISML-EXIT.
036300*
036400**********************
036500*    SEND THE MAP    *
036600**********************
036700*
036800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
036900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
037000                                 THRU MB60PD-SMWE-EXIT.
037100*
037200************************
037300*    RETURN TO CICS    *
037400************************
037500*
037600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
037700     PERFORM MB70PD-RETURN-TRANS-ID
037800                                 THRU MB70PD-RTI-EXIT.
037900/
038000 F000-SETUP-COMMAREA SECTION.
038100*
038200***************************************************************
038300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
038400***************************************************************
038500*
038600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038700*
038800     MOVE MBIOWS-MMSM-DIRECT-KEY-CODE
038900                                 TO MBCA-KEY-CODE.
039000*
039100     PERFORM MB60PD-EDIT-PAGE-NBR
039200                                 THRU MB60PD-EPN-EXIT.
039300*
039400     IF  SS08WS-VALID-PF-KEY
039500     OR  SS08WS-EIBAID-VALID-PF-KEY
039600         SET MBCA-INITIAL-SCREEN-NBR
039700                                 TO TRUE.
039800*
039900 F090-TRANSFER-XCTL.
040000*
040100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
040200     PERFORM MB70PD-XCTL-TO-MBOXCTL
040300                                 THRU MB70PD-XTM-EXIT.
040400/
040500 Z000-COPIED-ROUTINES SECTION.
040600**********************************
040700*    JUL TO GREG DATE ROUTINE    *
040800**********************************
040900*
041000     COPY SS08PD.
041100/
041200     COPY SS26PD.
041300/
041400     COPY SS27PD.
041500/
041600*****************************
041700*    CHECK DIGIT ROUITNE    *
041800*****************************
041900*
042000     COPY SS09PD.
042100/
042200*********************************
042300*    LINE 24 PF KEYS ROUTINE    *
042400*********************************
042500*
042600     COPY SS15PD.
042700/
042800*******************************************
042900*    ORG FILE RECORD 1 ACCESS ROUTINES    *
043000*******************************************
043100*
043200     COPY MMOCAO.
043300/
043400*********************************************
043500*    STORE MASTER RECORD ACCESS ROUTINES *
043600*********************************************
043700*
043800     COPY MMSMAO.
043900/
044000*****************************
044100*    ONLINE MAP ROUTINES    *
044200*****************************
044300*
044400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB7S00 '
044500                           MBMAPXXI BY MB7S00I
044600                           MBMAPXXO BY MB7S00O.
044700/
044800***************************
044900*    ONLINE PROCEDURES    *
045000***************************
045100*
045200     COPY MB70PD.
045300/
045400     COPY SMFTPXO.
