000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9B01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9B01 - BAR CODE STATUS MAINT                         *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9B                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9B01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMBC (BAR CODE FILE)                       *
001600*                 B. MML1 (LOG FILE)                            *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  FILLER                  PIC  X(17)      VALUE
003200     'PROGRAM SWITCHES:'.
003300*
003400 01  WS-PROGRAM-SWITCHES.
003500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003800/
003900 01  FILLER                  PIC  X(29)      VALUE
004000     'I/O REQUEST BLOCK WORK AREAS:'.
004100*
004200     COPY MBIOWS.
004300/
004400 01  FILLER                  PIC  X(18)      VALUE
004500     'I/O REQUEST BLOCK:'.
004600*
004700     COPY MBIORO.
004800/
004900 01  FILLER                  PIC  X(25)      VALUE
005000     'LOG RECORD REQUEST BLOCK:'.
005100*
005200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005300/
005400 01  FILLER                  PIC  X(20)      VALUE
005500     'CCS DATE WORK AREAS:'.
005600*
005700     COPY SS01WS.
005800/
005900 01  FILLER                  PIC  X(15)      VALUE
006000     'CCS WORK AREAS:'.
006100*
006200     COPY SS08WS.
006300/
006400     COPY SS00WS.
006500/
006600     COPY SMFTWS.
006700/
006800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006900/
007000     COPY MB61LK.
007100/
007200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700*
007800     COPY MB60WS.
007900/
008000***********************************
008100*    MERCHANT PURGED MAP          *
008200***********************************
008300*
008400     COPY MB9B01.
008500/
008600************************************************
008700*    MERCHANT PURGED MAP REDEFINITION          *
008800************************************************
008900*
009000     COPY MB9B01R.
009100/
009200****************************************
009300*    BAR CODE MASTER RECORD LAYOUT     *
009400****************************************
009500*
009600     COPY MMBCRL.
009700/
009800***************************
009900*    LOG RECORD LAYOUT    *
010000***************************
010100*
010200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-HOUSEKEEPING SECTION.
010700*
010800 A020-INIT.
010900*
011000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011200                                 THRU MB70PD-OLH-EXIT.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO C000-RECEIVE-SCREEN.
011600/
011700 B000-SEND-SCREEN SECTION.
011800*
011900*********************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP    *
012100*********************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700*******************************************
012800*    INITIALIZE THE STANDARD MAP LINES    *
012900*******************************************
013000*
013100     PERFORM MB60PD-INIT-STD-MAP-LINES
013200                                 THRU MB60PD-ISML-EXIT.
013300*
013400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM 9100-READ-MMBC      THRU 9109-READ-MMBC-EXIT.
013600*
013700 B020-MOVE-FIELDS-TO-SCREEN.
013800*
013900     MOVE MMBC-REC-STATUS        TO B901-CURRENT-STATUS.
014000     MOVE ZERO                   TO B901-CHANGE-STATUS.
014100     MOVE MMBC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
014200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
014300        THRU SS26PD-NED-EXIT.
014400     MOVE SS01WS-XX-XX-YYYY      TO B901-LAST-MAINT-DATE.
014500     MOVE MMBC-LAST-MAINT-OPER   TO B901-LAST-MAINT-OPER.
014600*
014700******************************************
014800*    SET THE CURSOR AND SCREEN NUMBER    *
014900******************************************
015000*
015100     MOVE SS08WS-CURSOR          TO B901-CHANGE-STATUS-L.
015200*
015300     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
015400*
015500**********************
015600*    SEND THE MAP    *
015700**********************
015800*
015900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
016000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
016100                                 THRU MB60PD-SMWE-EXIT.
016200*
016300************************
016400*    RETURN TO CICS    *
016500************************
016600*
016700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
016800     PERFORM MB70PD-RETURN-TRANS-ID
016900                                 THRU MB70PD-RTI-EXIT.
017000/
017100 C000-RECEIVE-SCREEN SECTION.
017200*
017300******************************************
017400*    THIS SECTION RECEIVES THE SCREEN    *
017500******************************************
017600*
017700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
017800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
017900*
018000**************************************************************
018100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
018200**************************************************************
018300*
018400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-NEW-TRANS-ROUTINE
018600                                 THRU MB60PD-NTR-EXIT.
018700*
018800*****************************************
018900*    READ THE BAR CODE MASTER FILE      *
019000*****************************************
019100*
019200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019300     PERFORM 9100-READ-MMBC      THRU 9109-READ-MMBC-EXIT.
019400*
019500 C020-FIELD-EDITS.
019600*
019700***************************************
019800*    FIELD EDIT FOR CHANGE STATUS     *
019900***************************************
020000*
020100     IF  B901-CHANGE-STATUS-L    IS GREATER THAN ZERO
020200         MOVE DFHBMASF           TO B901-CHANGE-STATUS-A
020300     ELSE
020400         MOVE ZERO               TO B901-CHANGE-STATUS
020500         GO TO D000-RETURN-ERRORS.
020600*
020700     IF  B901-CHANGE-STATUS IS NOT NUMERIC
020800         GO TO C025-CHANGE-STATUS-ERROR.
020900*
021000     IF  B901-VALID-CHANGE-STATUS
021100         NEXT SENTENCE
021200     ELSE
021300         GO TO C025-CHANGE-STATUS-ERROR.
021400*
021500     GO TO D000-RETURN-ERRORS.
021600*
021700 C025-CHANGE-STATUS-ERROR.
021800*
021900     MOVE DFHBMUBF               TO B901-CHANGE-STATUS-A.
022000*
022100     SET SS08WS-ERROR-SW-YES     TO TRUE.
022200     MOVE DFHBMASB               TO B901-CHANGE-STATUS-LP-A
022300                                    B901-CHANGE-STATUS-RP-A.
022400     MOVE SS08WS-CURSOR          TO B901-CHANGE-STATUS-L.
022500*
022600/
022700 D000-RETURN-ERRORS SECTION.
022800*
022900     IF  SS08WS-ERROR-SW-NO
023000         GO TO E000-UPDATE-FILE.
023100*
023200***************************************************************
023300*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
023400*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
023500*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
023600***************************************************************
023700*
023800     PERFORM MB60PD-INIT-STD-MAP-LINES
023900                                 THRU MB60PD-ISML-EXIT.
024000*
024100**********************
024200*    SEND THE MAP    *
024300**********************
024400*
024500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
024600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
024700                                 THRU MB60PD-SMDO-EXIT.
024800*
024900************************
025000*    RETURN TO CICS    *
025100************************
025200*
025300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
025400     PERFORM MB70PD-RETURN-TRANS-ID
025500                                 THRU MB70PD-RTI-EXIT.
025600/
025700 E000-UPDATE-FILE SECTION.
025800*
025900****************************************************
026000*    READ THE MERCH MASTER RECORD FOR UPDATE       *
026100****************************************************
026200*
026300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
026400     SET MBIORO-READ-RANDOM-UPDATE
026500                                 TO TRUE.
026600     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
026700*
026800 E010-CONTINUE.
026900*
027000*************************************
027100*    OBTAIN STORAGE FOR LOG FILE    *
027200*    RECORD IF DOING MAINTENANCE    *
027300*************************************
027400*
027500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
027600     SET MBIORO-GETMAIN          TO TRUE.
027700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
027800*
027900 E020-UPDATE-FIELDS.
028000*
028100     IF  B901-CHANGE-STATUS-L    IS GREATER THAN ZERO
028200         IF B901-CHANGE-STATUS IS NOT EQUAL
028300                                 TO MMBC-REC-STATUS
028400             SET WS-UPDATE-SW-YES
028500                                 TO TRUE
028600             MOVE 0197           TO MML1-FIELD-CODE
028700             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
028800                                    MML1-FIELD-OCCURRENCE-2
028900             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
029000             MOVE MMBC-REC-STATUS
029100                                 TO MML1-VL01-B-DATA-9
029200             MOVE B901-CHANGE-STATUS
029300                                 TO MMBC-REC-STATUS
029400             MOVE MMBC-REC-STATUS
029500                                 TO MML1-VL01-A-DATA-9
029600             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
029700             PERFORM 9150-WRITE-LOG-REC-MMBC
029800                                 THRU 9159-WLR-EXIT.
029900*
030000 E040-UPDATE-MMBC.
030100*
030200**************************************************************
030300*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
030400*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
030500*    ON THE SCREEN                                           *
030600**************************************************************
030700*
030800     IF  WS-UPDATE-SW-YES
030900         MOVE 0198               TO MML1-FIELD-CODE
031000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
031100                                    MML1-FIELD-OCCURRENCE-2
031200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
031300         MOVE MMBC-LAST-MAINT-OPER
031400                                 TO MML1-VL03-B-DATA-X
031500         MOVE MBCA-OPERATOR-ID   TO MMBC-LAST-MAINT-OPER
031600         MOVE MMBC-LAST-MAINT-OPER
031700                                 TO MML1-VL03-A-DATA-X
031800         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
031900         PERFORM 9150-WRITE-LOG-REC-MMBC
032000                                 THRU 9159-WLR-EXIT
032100         MOVE 0199               TO MML1-FIELD-CODE
032200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
032300         MOVE MMBC-LAST-MAINT-DATE
032400                                 TO MML1-VL07-B-DATA-9
032500         MOVE MBCA-START-DATE    TO MMBC-LAST-MAINT-DATE
032600         MOVE MMBC-LAST-MAINT-DATE
032700                                 TO MML1-VL07-A-DATA-9
032800         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
032900         PERFORM 9150-WRITE-LOG-REC-MMBC
033000                                 THRU 9159-WLR-EXIT.
033100*
033200**************************************************************
033300*    REWRITE THE MERCH MASTER RECORD                         *
033400*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
033500*    UNLOCK IT IF THEY HAVE NOT                              *
033600**************************************************************
033700*
033800     IF  WS-UPDATE-SW-YES
033900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
034000         SET MBIORO-REWRITE      TO TRUE
034100         PERFORM MMBCAO-ACCESS   THRU MMBCAO-ACCESS-EXIT
034200     ELSE
034300         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
034400         SET MBIORO-UNLOCK       TO TRUE
034500         PERFORM MMBCAO-ACCESS   THRU MMBCAO-ACCESS-EXIT.
034600/
034700 F000-SETUP-COMMAREA SECTION.
034800*
034900***************************************************************
035000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
035100***************************************************************
035200*
035300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
035400*
035500     PERFORM MB60PD-EDIT-PAGE-NBR
035600                                 THRU MB60PD-EPN-EXIT.
035700*
035800     IF  SS08WS-VALID-PF-KEY
035900     OR  SS08WS-EIBAID-VALID-PF-KEY
036000         SET MBCA-INITIAL-SCREEN-NBR
036100                                 TO TRUE.
036200*
036300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM MB70PD-XCTL-TO-MBOXCTL
036500                                 THRU MB70PD-XTM-EXIT.
036600/
036700 9000-PERFORMED-AREA SECTION.
036800*
036900 9100-READ-MMBC.
037000*
037100*****************************************
037200*    READ THE BAR CODE MASTER FILE      *
037300*****************************************
037400*
037500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMBC-ORG
037600                                    B901-ORG.
037700     MOVE MBCA-INSERT-NBR        TO MBIOWS-MMBC-INSERT-NBR
037800                                    B901-INSERT-NBR.
037900     SET MBIORO-READ-RANDOM      TO TRUE.
038000     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
038100*
038200 9109-READ-MMBC-EXIT.
038300     EXIT.
038400*
038500 9150-WRITE-LOG-REC-MMBC.
038600*
038700     MOVE 'BC'                   TO MML1-FILE-CODE.
038800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMBC-ORG.
038900     MOVE MBCA-INSERT-NBR        TO MML1-MMBC-INSERT-NBR.
039000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
039100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
039200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
039300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
039400     SET MBIORO-WRITE            TO TRUE.
039500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
039600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
039700*
039800 9159-WLR-EXIT.
039900     EXIT.
040000*
040100/
040200 Z000-COPIED-ROUTINES SECTION.
040300**********************************
040400*    JUL TO GREG DATE ROUTINE    *
040500**********************************
040600*
040700     COPY SS08PD.
040800/
040900     COPY SS26PD.
041000/
041100     COPY SS27PD.
041200/
041300*********************************
041400*    LINE 24 PF KEYS ROUTINE    *
041500*********************************
041600*
041700     COPY SS15PD.
041800/
041900************************************************
042000*    BAR CODE MASTER RECORD ACCESS ROUTINES    *
042100************************************************
042200*
042300     COPY MMBCAO.
042400/
042500*****************************************
042600*    LOG FILE RECORD ACCESS ROUTINES    *
042700*****************************************
042800*
042900     COPY MML1AO.
043000/
043100*****************************
043200*    ONLINE MAP ROUTINES    *
043300*****************************
043400*
043500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9B01 '
043600                           MBMAPXXI BY MB9B01I
043700                           MBMAPXXO BY MB9B01O.
043800/
043900***************************
044000*    ONLINE PROCEDURES    *
044100***************************
044200*
044300     COPY MB70PD.
044400/
044500     COPY SMFTPXO.
