000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9E01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9E01 - MERCH EXPENSE STATUS MAINT                    *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9E                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9E01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMEF (MERCH EXPENSE FILE)                  *
001600*                 B. MML1 (LOG FILE)                            *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  FILLER                  PIC  X(17)      VALUE
003200     'PROGRAM SWITCHES:'.
003300*
003400 01  WS-PROGRAM-SWITCHES.
003500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003800/
003900 01  FILLER                  PIC  X(29)      VALUE
004000     'I/O REQUEST BLOCK WORK AREAS:'.
004100*
004200     COPY MBIOWS.
004300/
004400 01  FILLER                  PIC  X(18)      VALUE
004500     'I/O REQUEST BLOCK:'.
004600*
004700     COPY MBIORO.
004800/
004900 01  FILLER                  PIC  X(25)      VALUE
005000     'LOG RECORD REQUEST BLOCK:'.
005100*
005200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005300/
005400 01  FILLER                  PIC  X(20)      VALUE
005500     'CCS DATE WORK AREAS:'.
005600*
005700     COPY SS01WS.
005800/
005900 01  FILLER                  PIC  X(15)      VALUE
006000     'CCS WORK AREAS:'.
006100*
006200     COPY SS08WS.
006300/
006400     COPY SS00WS.
006500/
006600     COPY SMFTWS.
006700/
006800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006900/
007000     COPY MB61LK.
007100/
007200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700*
007800     COPY MB60WS.
007900/
008000***********************************
008100*    MERCHANT PURGED MAP          *
008200***********************************
008300*
008400     COPY MB9E01.
008500/
008600************************************************
008700*    MERCHANT PURGED MAP REDEFINITION          *
008800************************************************
008900*
009000     COPY MB9E01R.
009100/
009200****************************************
009300*    MERCH EXPENSE MASTER RECORD LAYOUT *
009400****************************************
009500*
009600     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
009700/
009800***************************
009900*    LOG RECORD LAYOUT    *
010000***************************
010100*
010200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-HOUSEKEEPING SECTION.
010700*
010800 A020-INIT.
010900*
011000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011200                                 THRU MB70PD-OLH-EXIT.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO C000-RECEIVE-SCREEN.
011600/
011700 B000-SEND-SCREEN SECTION.
011800*
011900*********************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP    *
012100*********************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700*******************************************
012800*    INITIALIZE THE STANDARD MAP LINES    *
012900*******************************************
013000*
013100     PERFORM MB60PD-INIT-STD-MAP-LINES
013200                                 THRU MB60PD-ISML-EXIT.
013300*
013400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM 9100-READ-MMEF      THRU 9109-READ-MMEF-EXIT.
013600*
013700 B020-MOVE-FIELDS-TO-SCREEN.
013800*
013900     IF  MMEF-REC-ACTIVE
014000         MOVE DFHBMDAS           TO E901-CHANGE-STATUS-LIT-A
014100                                    E901-CHANGE-STATUS-LP-A
014200                                    E901-CHANGE-STATUS-RP-A
014300                                    E901-CHANGE-STATUS-A
014400     ELSE
014500         MOVE ZERO               TO E901-CHANGE-STATUS.
014600*
014700     MOVE MMEF-REC-STATUS        TO E901-CURRENT-STATUS.
014800     MOVE MMEF-LAST-MAINT-DATE   TO SS01WS-JULIAN.
014900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
015000        THRU SS26PD-NED-EXIT.
015100     MOVE SS01WS-XX-XX-YYYY      TO E901-LAST-MAINT-DATE.
015200     MOVE MMEF-LAST-MAINT-OPER   TO E901-LAST-MAINT-OPER.
015300     MOVE MMEF-TABLE-NAME        TO E901-DESCRIPTION.
015400*
015500******************************************
015600*    SET THE CURSOR AND SCREEN NUMBER    *
015700******************************************
015800*
015900     IF  MMEF-REC-ACTIVE
016000         MOVE SS08WS-CURSOR      TO E901-ALT-TRANID-L
016100     ELSE
016200         MOVE SS08WS-CURSOR      TO E901-CHANGE-STATUS-L.
016300*
016400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
016500*
016600**********************
016700*    SEND THE MAP    *
016800**********************
016900*
017000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017200                                 THRU MB60PD-SMWE-EXIT.
017300*
017400************************
017500*    RETURN TO CICS    *
017600************************
017700*
017800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017900     PERFORM MB70PD-RETURN-TRANS-ID
018000                                 THRU MB70PD-RTI-EXIT.
018100/
018200 C000-RECEIVE-SCREEN SECTION.
018300*
018400******************************************
018500*    THIS SECTION RECEIVES THE SCREEN    *
018600******************************************
018700*
018800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
018900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
019000*
019100**************************************************************
019200*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
019300**************************************************************
019400*
019500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
019600     PERFORM MB60PD-NEW-TRANS-ROUTINE
019700                                 THRU MB60PD-NTR-EXIT.
019800*
019900*****************************************
020000*    READ THE MERCH EXPENSE MASTER FILE *
020100*****************************************
020200*
020300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020400     PERFORM 9100-READ-MMEF      THRU 9109-READ-MMEF-EXIT.
020500*
020600 C020-FIELD-EDITS.
020700*
020800***************************************
020900*    FIELD EDIT FOR CHANGE STATUS     *
021000***************************************
021100*
021200     IF  E901-CHANGE-STATUS-L    IS GREATER THAN ZERO
021300         MOVE DFHBMASF           TO E901-CHANGE-STATUS-A
021400     ELSE
021500         MOVE ZERO               TO E901-CHANGE-STATUS
021600         GO TO D000-RETURN-ERRORS.
021700*
021800     IF  E901-CHANGE-STATUS IS NOT NUMERIC
021900         GO TO C025-CHANGE-STATUS-ERROR.
022000*
022100     IF  E901-VALID-CHANGE-STATUS
022200         NEXT SENTENCE
022300     ELSE
022400         GO TO C025-CHANGE-STATUS-ERROR.
022500*
022600     GO TO D000-RETURN-ERRORS.
022700*
022800 C025-CHANGE-STATUS-ERROR.
022900*
023000     IF  E901-CHANGE-STATUS-L    IS GREATER THAN ZERO
023100         MOVE DFHBMUBF           TO E901-CHANGE-STATUS-A.
023200*
023300     SET SS08WS-ERROR-SW-YES     TO TRUE.
023400     MOVE DFHBMASB               TO E901-CHANGE-STATUS-LP-A
023500                                    E901-CHANGE-STATUS-RP-A.
023600     MOVE SS08WS-CURSOR          TO E901-CHANGE-STATUS-L.
023700*
023800/
023900 D000-RETURN-ERRORS SECTION.
024000*
024100     IF  SS08WS-ERROR-SW-NO
024200         GO TO E000-UPDATE-FILE.
024300*
024400***************************************************************
024500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
024600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
024700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
024800***************************************************************
024900*
025000     PERFORM MB60PD-INIT-STD-MAP-LINES
025100                                 THRU MB60PD-ISML-EXIT.
025200*
025300**********************
025400*    SEND THE MAP    *
025500**********************
025600*
025700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
025900                                 THRU MB60PD-SMDO-EXIT.
026000*
026100************************
026200*    RETURN TO CICS    *
026300************************
026400*
026500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
026600     PERFORM MB70PD-RETURN-TRANS-ID
026700                                 THRU MB70PD-RTI-EXIT.
026800/
026900 E000-UPDATE-FILE SECTION.
027000*
027100****************************************************
027200*    READ THE MERCH MASTER RECORD FOR UPDATE       *
027300****************************************************
027400*
027500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
027600     SET MBIORO-READ-RANDOM-UPDATE
027700                                 TO TRUE.
027800     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
027900*
028000 E010-CONTINUE.
028100*
028200*************************************
028300*    OBTAIN STORAGE FOR LOG FILE    *
028400*    RECORD IF DOING MAINTENANCE    *
028500*************************************
028600*
028700     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
028800     SET MBIORO-GETMAIN          TO TRUE.
028900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
029000*
029100 E020-UPDATE-FIELDS.
029200*
029300     IF  E901-CHANGE-STATUS-L    IS GREATER THAN ZERO
029400         IF E901-CHANGE-STATUS IS NOT EQUAL
029500                                 TO MMEF-REC-STATUS
029600             SET WS-UPDATE-SW-YES
029700                                 TO TRUE
029800             MOVE 0197           TO MML1-FIELD-CODE
029900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
030000                                    MML1-FIELD-OCCURRENCE-2
030100             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
030200             MOVE MMEF-REC-STATUS
030300                                 TO MML1-VL01-B-DATA-9
030400             MOVE E901-CHANGE-STATUS
030500                                 TO MMEF-REC-STATUS
030600             MOVE MMEF-REC-STATUS
030700                                 TO MML1-VL01-A-DATA-9
030800             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
030900             PERFORM 9150-WRITE-LOG-REC-MMEF
031000                                 THRU 9159-WLR-EXIT.
031100*
031200 E040-UPDATE-MMEF.
031300*
031400**************************************************************
031500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
031600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
031700*    ON THE SCREEN                                           *
031800**************************************************************
031900*
032000     IF  WS-UPDATE-SW-YES
032100         MOVE 0198               TO MML1-FIELD-CODE
032200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
032300                                    MML1-FIELD-OCCURRENCE-2
032400         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
032500         MOVE MMEF-LAST-MAINT-OPER
032600                                 TO MML1-VL03-B-DATA-X
032700         MOVE MBCA-OPERATOR-ID   TO MMEF-LAST-MAINT-OPER
032800         MOVE MMEF-LAST-MAINT-OPER
032900                                 TO MML1-VL03-A-DATA-X
033000         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
033100         PERFORM 9150-WRITE-LOG-REC-MMEF
033200                                 THRU 9159-WLR-EXIT
033300         MOVE 0199               TO MML1-FIELD-CODE
033400         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
033500         MOVE MMEF-LAST-MAINT-DATE
033600                                 TO MML1-VL07-B-DATA-9
033700         MOVE MBCA-START-DATE    TO MMEF-LAST-MAINT-DATE
033800         MOVE MMEF-LAST-MAINT-DATE
033900                                 TO MML1-VL07-A-DATA-9
034000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
034100         PERFORM 9150-WRITE-LOG-REC-MMEF
034200                                 THRU 9159-WLR-EXIT.
034300*
034400**************************************************************
034500*    REWRITE THE MERCH MASTER RECORD                         *
034600*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
034700*    UNLOCK IT IF THEY HAVE NOT                              *
034800**************************************************************
034900*
035000     IF  WS-UPDATE-SW-YES
035100         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
035200         SET MBIORO-REWRITE      TO TRUE
035300         PERFORM MMEFAO-ACCESS   THRU MMEFAO-ACCESS-EXIT
035400     ELSE
035500         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
035600         SET MBIORO-UNLOCK       TO TRUE
035700         PERFORM MMEFAO-ACCESS   THRU MMEFAO-ACCESS-EXIT.
035800/
035900 F000-SETUP-COMMAREA SECTION.
036000*
036100***************************************************************
036200*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
036300***************************************************************
036400*
036500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
036600*
036700     PERFORM MB60PD-EDIT-PAGE-NBR
036800                                 THRU MB60PD-EPN-EXIT.
036900*
037000     IF  SS08WS-VALID-PF-KEY
037100     OR  SS08WS-EIBAID-VALID-PF-KEY
037200         SET MBCA-INITIAL-SCREEN-NBR
037300                                 TO TRUE.
037400*
037500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037600     PERFORM MB70PD-XCTL-TO-MBOXCTL
037700                                 THRU MB70PD-XTM-EXIT.
037800/
037900 9000-PERFORMED-AREA SECTION.
038000*
038100 9100-READ-MMEF.
038200*
038300*****************************************
038400*    READ THE MERCH EXPENSE MASTER FILE *
038500*****************************************
038600*
038700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEF-ORG
038800                                    E901-ORG.
038900     MOVE MBCA-TABLE             TO MBIOWS-MMEF-TABLE
039000                                    E901-TABLE-NBR.
039100     SET MBIORO-READ-RANDOM      TO TRUE.
039200     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
039300*
039400 9109-READ-MMEF-EXIT.
039500     EXIT.
039600*
039700 9150-WRITE-LOG-REC-MMEF.
039800*
039900     MOVE 'EF'                   TO MML1-FILE-CODE.
040000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMEF-ORG.
040100     MOVE MBCA-TABLE             TO MML1-MMEF-TABLE-NBR.
040200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
040300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
040400     MOVE ZEROS                  TO MML1-SOURCE-CODE.
040500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
040600     SET MBIORO-WRITE            TO TRUE.
040700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
040800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
040900*
041000 9159-WLR-EXIT.
041100     EXIT.
041200*
041300/
041400 Z000-COPIED-ROUTINES SECTION.
041500**********************************
041600*    JUL TO GREG DATE ROUTINE    *
041700**********************************
041800*
041900     COPY SS08PD.
042000/
042100     COPY SS26PD.
042200/
042300     COPY SS27PD.
042400/
042500*********************************
042600*    LINE 24 PF KEYS ROUTINE    *
042700*********************************
042800*
042900     COPY SS15PD.
043000/
043100************************************************
043200*    MERCH EXPENSE MASTER RECORD ACCESS ROUTINES *
043300************************************************
043400*
043500     COPY MMEFAO.
043600/
043700*****************************************
043800*    LOG FILE RECORD ACCESS ROUTINES    *
043900*****************************************
044000*
044100     COPY MML1AO.
044200/
044300*****************************
044400*    ONLINE MAP ROUTINES    *
044500*****************************
044600*
044700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9E01 '
044800                           MBMAPXXI BY MB9E01I
044900                           MBMAPXXO BY MB9E01O.
045000/
045100***************************
045200*    ONLINE PROCEDURES    *
045300***************************
045400*
045500     COPY MB70PD.
045600/
045700     COPY SMFTPXO.
