000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9F00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9F00 - FIELD SEC STATUS CHANGE                        *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9F                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9F00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC (ORG CONTROL FILE)                    *
001600*                 B. MMFS (FIELD SEC FILE)                      *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE
002700     '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003100*
003200 01  WS-MISCELLANEOUS.
003300     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003400                                             VALUE +001.
003500     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003600                                             VALUE +998.
003700/
003800 01  FILLER                  PIC  X(29)      VALUE
003900     'I/O REQUEST BLOCK WORK AREAS:'.
004000*
004100     COPY MBIOWS.
004200/
004300 01  FILLER                  PIC  X(18)      VALUE
004400     'I/O REQUEST BLOCK:'.
004500*
004600     COPY MBIORO.
004700/
004800 01  FILLER                  PIC  X(21)      VALUE
004900     'ERROR MESSAGES TABLE:'.
005000*
005100     COPY MBEMWS.
005200/
005300 01  FILLER                  PIC  X(20)      VALUE
005400     'CCS DATE WORK AREAS:'.
005500*
005600     COPY SS01WS.
005700/
005800 01  FILLER                  PIC  X(15)      VALUE
005900     'CCS WORK AREAS:'.
006000*
006100     COPY SS08WS.
006200/
006300     COPY SS00WS.
006400/
006500     COPY SMFTWS.
006600/
006700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006800/
006900     COPY MB61LK.
007000/
007100 01  FILLER                  PIC  X(12)      VALUE
007200     '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700*
007800     COPY MB60WS.
007900/
008000******************************************
008100*    FIELD SEC LOCATE MAP                *
008200******************************************
008300*
008400     COPY MB9F00.
008500/
008600*******************************************************
008700*    FIELD SEC LOCATE MAP REDEFINITION                *
008800*******************************************************
008900*
009000     COPY MB9F00R.
009100/
009200***************************
009300*    ORG RECORD LAYOUT    *
009400***************************
009500*
009600     COPY MMOCRL.
009700/
009800*********************************************
009900*    FIELD SEC RECORD LAYOUT                *
010000*********************************************
010100*
010200     COPY MMFSRL.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-HOUSEKEEPING SECTION.
010700*
010800 A020-INIT.
010900*
011000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011200                                 THRU MB70PD-OLH-EXIT.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO C000-RECEIVE-SCREEN.
011600/
011700 B000-SEND-SCREEN SECTION.
011800*
011900*********************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP    *
012100*********************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700*
012800*
012900     IF  MBCA-MMFS-KEY-CODE
013000         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013100*TXH     AND MBCA-PROFILE IS GREATER THAN ZEROS
013200             MOVE MBCA-MERCHANT-ORG
013300                                 TO F900-ORG
013400             MOVE MBCA-PROFILE   TO F900-PROFILE
013500             MOVE DFHBMUNF       TO F900-ORG-A
013600             MOVE DFHBMFSE       TO F900-PROFILE-A
013700             IF  MBCA-DIRECT-TRANSFER-CODE
013800             AND MBCA-INITIAL-SCREEN-NBR
013900                 MOVE 00         TO MBCA-SCREEN-NBR
014000                 GO TO C082-READ-ORG
014100             ELSE
014200                 GO TO B020-BUILD-SCREEN.
014300*
014400     IF  MBCA-VALID-KEY-CODES
014500         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014600             MOVE MBCA-MERCHANT-ORG
014700                                 TO F900-ORG
014800             MOVE DFHBMUNF       TO F900-ORG-A
014900*TXH         IF  MBCA-PROFILE IS GREATER THAN ZEROS
015000                 MOVE MBCA-PROFILE
015100                                 TO F900-PROFILE
015200                 MOVE DFHBMFSE   TO F900-PROFILE-A.
015300*
015400 B020-BUILD-SCREEN.
015500*
015600*******************************************
015700*    INITIALIZE THE STANDARD MAP LINES    *
015800*******************************************
015900*
016000     MOVE SS08WS-CURSOR          TO F900-ORG-L.
016100     MOVE 00                     TO MBCA-SCREEN-NBR.
016200     PERFORM MB60PD-INIT-STD-MAP-LINES
016300                                 THRU MB60PD-ISML-EXIT.
016400*
016500**********************
016600*    SEND THE MAP    *
016700**********************
016800*
016900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017100                                 THRU MB60PD-SMWE-EXIT.
017200*
017300************************
017400*    RETURN TO CICS    *
017500************************
017600*
017700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB70PD-RETURN-TRANS-ID
017900                                 THRU MB70PD-RTI-EXIT.
018000/
018100 C000-RECEIVE-SCREEN SECTION.
018200*
018300*************************************************
018400*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
018500*************************************************
018600*
018700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018900*
019000**************************************************************
019100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
019200**************************************************************
019300*
019400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB60PD-NEW-TRANS-ROUTINE
019600                                 THRU MB60PD-NTR-EXIT.
019700*
019800 C020-EDIT-SCREEN.
019900*
020000     SET SS08WS-ERROR-SW-NO      TO TRUE.
020100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
020200*
020300     IF  (F900-ORG-L IS LESS THAN 1
020400     AND  F900-PROFILE-L IS LESS THAN 1)
020500     AND (SS08WS-VALID-PF-KEY
020600     OR   SS08WS-EIBAID-VALID-PF-KEY)
020700         SET MBCA-INITIAL-SCREEN-NBR
020800                                 TO TRUE
020900         GO TO F090-TRANSFER-XCTL.
021000*
021100******************************************************
021200*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
021300*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
021400******************************************************
021500*
021600     MOVE DFHBMUNN               TO F900-ORG-A
021700                                    F900-PROFILE-A.
021800     MOVE DFHBMASK               TO F900-ORG-LP-A
021900                                    F900-ORG-RP-A
022000                                    F900-PROFILE-LP-A
022100                                    F900-PROFILE-RP-A.
022200*
022300 C080-EDIT-ORG.
022400*
022500     IF  F900-ORG-L IS EQUAL TO ZERO
022600     OR  F900-ORG IS NOT NUMERIC
022700     OR  F900-ORG IS LESS THAN MBCA-ORG-LOW
022800     OR  F900-ORG IS GREATER THAN MBCA-ORG-HIGH
022900     OR  F900-ORG IS LESS THAN WS-ORG-LOW
023000     OR  F900-ORG IS GREATER THAN WS-ORG-HIGH
023100         MOVE MBEMWS-INVALID-ORG TO F900-ERR-MESSAGE
023200         GO TO C098-ORG-ERROR.
023300*
023400 C082-READ-ORG.
023500*
023600************************************************
023700*    READ THE ORGANIZATION RECORD.  IT MUST    *
023800*    BE ON FILE AND AN ACTIVE RECORD.          *
023900************************************************
024000*
024100     MOVE F900-ORG               TO MBIOWS-MMOC-ORG.
024200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
024300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
024400     SET MBIORO-READ-RANDOM      TO TRUE.
024500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
024600*
024700     IF  SS08WS-RC-FC-NOTFND
024800         MOVE MBEMWS-NOT-ON-FILE TO F900-ERR-MESSAGE
024900     ELSE
025000         IF  MMOC-ADD-PENDING
025100             MOVE MBEMWS-ADD-PENDING
025200                                 TO F900-ERR-MESSAGE
025300         ELSE
025400             IF  MMOC-REC-PURGED
025500                 MOVE MBEMWS-NOT-ACTIVE
025600                                 TO F900-ERR-MESSAGE
025700             ELSE
025800                 MOVE DFHBMUNF   TO F900-ORG-A
025900                 MOVE F900-ORG   TO MBCA-MERCHANT-ORG
026000                 GO TO C100-EDIT-PROFILE.
026100*
026200 C098-ORG-ERROR.
026300*
026400     SET SS08WS-ERROR-SW-YES     TO TRUE.
026500     MOVE DFHBMASB               TO F900-ORG-LP-A
026600                                    F900-ORG-RP-A.
026700     MOVE SS08WS-CURSOR          TO F900-ORG-L.
026800     MOVE DFHBMNBF               TO F900-ORG-A
026900                                    F900-PROFILE-A.
027000     GO TO D000-RETURN-ERRORS.
027100*
027200 C100-EDIT-PROFILE.
027300*
027400***********************************************************
027500*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
027600*    SEE IF ANYTHING WAS KEYED.                           *
027700***********************************************************
027800*
027900     IF  F900-PROFILE-L IS GREATER THAN ZERO
028000     AND F900-PROFILE IS EQUAL TO LOW-VALUES
028100         MOVE MBEMWS-INVALID-PROFILE
028200                                 TO F900-ERR-MESSAGE
028300         GO TO C118-PROFILE-ERROR.
028400*
028500 C102-READ-PROFILE.
028600*
028700***************************************************************
028800*    READ THE SECURITY RECORD. IT MUST BE ON FILE AND         *
028900*    IT MUST                                                  *
029000*    NOT BE ON FILE (OR IN AN ADD PENDING STATE), IF IN ADD.  *
029100***************************************************************
029200*
029300     IF  MBCA-DIRECT-TRANSFER-CODE
029400         NEXT SENTENCE
029500     ELSE
029600         IF  F900-PROFILE-L IS EQUAL TO ZEROS
029700             MOVE MBEMWS-INVALID-PROFILE
029800                                 TO F900-ERR-MESSAGE
029900             GO TO C118-PROFILE-ERROR.
030000*
030100     MOVE F900-ORG               TO MBIOWS-MMFS-ORG.
030200     MOVE F900-PROFILE           TO MBIOWS-MMFS-FS-CODE.
030300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030400     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
030500     SET MBIORO-READ-RANDOM      TO TRUE.
030600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
030700*
030800     IF  SS08WS-RC-FC-VALID-RTN-CODE
030900         MOVE F900-PROFILE       TO MBCA-PROFILE.
031000*
031100     IF  SS08WS-RC-FC-VALID-RTN-CODE
031200         IF  MMFS-ADD-PENDING
031300             MOVE MBEMWS-ADD-PENDING
031400                                 TO F900-ERR-MESSAGE
031500             GO TO C118-PROFILE-ERROR
031600         ELSE
031700             GO TO F000-SETUP-COMMAREA
031800     ELSE
031900         MOVE MBEMWS-NOT-ON-FILE
032000                                 TO F900-ERR-MESSAGE
032100         GO TO C118-PROFILE-ERROR.
032200*
032300***********************************************
032400*    OTHERWISE, WE PASSED THE PROFILE EDIT *
032500***********************************************
032600*
032700     GO TO F000-SETUP-COMMAREA.
032800*
032900 C118-PROFILE-ERROR.
033000*
033100     SET SS08WS-ERROR-SW-YES     TO TRUE.
033200     MOVE DFHBMASB               TO F900-PROFILE-LP-A
033300                                    F900-PROFILE-RP-A.
033400     MOVE SS08WS-CURSOR          TO F900-PROFILE-L.
033500     MOVE DFHBMNBF               TO F900-PROFILE-A.
033600/
033700 D000-RETURN-ERRORS SECTION.
033800*
033900     IF  SS08WS-ERROR-SW-NO
034000         GO TO F000-SETUP-COMMAREA
034100     ELSE
034200         IF  SS08WS-VALID-PF-KEY
034300         OR  SS08WS-EIBAID-VALID-PF-KEY
034400             SET MBCA-INITIAL-SCREEN-NBR
034500                                 TO TRUE
034600             GO TO F090-TRANSFER-XCTL.
034700*
034800***************************************************************
034900*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
035000*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
035100*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
035200***************************************************************
035300*
035400     PERFORM MB60PD-INIT-STD-MAP-LINES
035500                                 THRU MB60PD-ISML-EXIT.
035600*
035700**********************
035800*    SEND THE MAP    *
035900**********************
036000*
036100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
036200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036300                                 THRU MB60PD-SMWE-EXIT.
036400*
036500************************
036600*    RETURN TO CICS    *
036700************************
036800*
036900     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
037000     PERFORM MB70PD-RETURN-TRANS-ID
037100                                 THRU MB70PD-RTI-EXIT.
037200/
037300 F000-SETUP-COMMAREA SECTION.
037400*
037500***************************************************************
037600*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
037700***************************************************************
037800*
037900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038000*
038100     MOVE MBIOWS-MMFS-DIRECT-KEY-CODE
038200                                 TO MBCA-KEY-CODE.
038300*
038400     PERFORM MB60PD-EDIT-PAGE-NBR
038500                                 THRU MB60PD-EPN-EXIT.
038600*
038700     IF  SS08WS-VALID-PF-KEY
038800     OR  SS08WS-EIBAID-VALID-PF-KEY
038900         SET MBCA-INITIAL-SCREEN-NBR
039000                                 TO TRUE.
039100*
039200 F090-TRANSFER-XCTL.
039300*
039400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039500     PERFORM MB70PD-XCTL-TO-MBOXCTL
039600                                 THRU MB70PD-XTM-EXIT.
039700/
039800 Z000-COPIED-ROUTINES SECTION.
039900*
040000**********************************
040100*    JUL TO GREG DATE ROUTINE    *
040200**********************************
040300*
040400     COPY SS08PD.
040500/
040600     COPY SS26PD.
040700/
040800     COPY SS27PD.
040900/
041000*********************************
041100*    LINE 24 PF KEYS ROUTINE    *
041200*********************************
041300*
041400     COPY SS15PD.
041500/
041600*******************************************
041700*    ORG FILE ACCESS ROUTINES             *
041800*******************************************
041900*
042000     COPY MMOCAO.
042100/
042200******************************************************
042300*    FIELD SEC RECORD ACCESS ROUTINES                *
042400******************************************************
042500*
042600     COPY MMFSAO.
042700/
042800*****************************
042900*    ONLINE MAP ROUTINES    *
043000*****************************
043100*
043200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9F00 '
043300                           MBMAPXXI BY MB9F00I
043400                           MBMAPXXO BY MB9F00O.
043500/
043600***************************
043700*    ONLINE PROCEDURES    *
043800***************************
043900*
044000     COPY MB70PD.
044100/
044200     COPY SMFTPXO.
