000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9F01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9F01 - FIELD SECURITY STATUS MAINT                   *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9F                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9F01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMFS (FIELD SECURITY FILE)                 *
001600*                 B. MML1 (LOG FILE)                            *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  FILLER                  PIC  X(17)      VALUE
003200     'PROGRAM SWITCHES:'.
003300*
003400 01  WS-PROGRAM-SWITCHES.
003500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003800/
003900 01  FILLER                  PIC  X(29)      VALUE
004000     'I/O REQUEST BLOCK WORK AREAS:'.
004100*
004200     COPY MBIOWS.
004300/
004400 01  FILLER                  PIC  X(18)      VALUE
004500     'I/O REQUEST BLOCK:'.
004600*
004700     COPY MBIORO.
004800/
004900 01  FILLER                  PIC  X(25)      VALUE
005000     'LOG RECORD REQUEST BLOCK:'.
005100*
005200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005300/
005400 01  FILLER                  PIC  X(20)      VALUE
005500     'CCS DATE WORK AREAS:'.
005600*
005700     COPY SS01WS.
005800/
005900 01  FILLER                  PIC  X(15)      VALUE
006000     'CCS WORK AREAS:'.
006100*
006200     COPY SS08WS.
006300/
006400     COPY SS00WS.
006500/
006600     COPY SMFTWS.
006700/
006800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006900/
007000     COPY MB61LK.
007100/
007200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700*
007800     COPY MB60WS.
007900/
008000***********************************
008100*    MERCHANT PURGED MAP          *
008200***********************************
008300*
008400     COPY MB9F01.
008500/
008600************************************************
008700*    MERCHANT PURGED MAP REDEFINITION          *
008800************************************************
008900*
009000     COPY MB9F01R.
009100/
009200****************************************
009300*    FIELD SECURITY MASTER RECORD LAYOUT *
009400****************************************
009500*
009600     COPY MMFSRL.
009700/
009800***************************
009900*    LOG RECORD LAYOUT    *
010000***************************
010100*
010200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-HOUSEKEEPING SECTION.
010700*
010800 A020-INIT.
010900*
011000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011200                                 THRU MB70PD-OLH-EXIT.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO C000-RECEIVE-SCREEN.
011600/
011700 B000-SEND-SCREEN SECTION.
011800*
011900*********************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP    *
012100*********************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700*******************************************
012800*    INITIALIZE THE STANDARD MAP LINES    *
012900*******************************************
013000*
013100     PERFORM MB60PD-INIT-STD-MAP-LINES
013200                                 THRU MB60PD-ISML-EXIT.
013300*
013400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM 9100-READ-MMFS      THRU 9109-READ-MMFS-EXIT.
013600*
013700 B020-MOVE-FIELDS-TO-SCREEN.
013800*
013900     MOVE MMFS-REC-STATUS        TO F901-CURRENT-STATUS.
014000     MOVE ZERO                   TO F901-CHANGE-STATUS.
014100     MOVE MMFS-LAST-MAINT-DATE   TO SS01WS-JULIAN.
014200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
014300        THRU SS26PD-NED-EXIT.
014400     MOVE SS01WS-XX-XX-YYYY      TO F901-LAST-MAINT-DATE.
014500     MOVE MMFS-LAST-MAINT-OPER   TO F901-LAST-MAINT-OPER.
014600     MOVE MMFS-NAME              TO F901-DESCRIPTION.
014700*
014800******************************************
014900*    SET THE CURSOR AND SCREEN NUMBER    *
015000******************************************
015100*
015200     MOVE SS08WS-CURSOR          TO F901-CHANGE-STATUS-L.
015300*
015400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
015500*
015600**********************
015700*    SEND THE MAP    *
015800**********************
015900*
016000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
016100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
016200                                 THRU MB60PD-SMWE-EXIT.
016300*
016400************************
016500*    RETURN TO CICS    *
016600************************
016700*
016800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
016900     PERFORM MB70PD-RETURN-TRANS-ID
017000                                 THRU MB70PD-RTI-EXIT.
017100/
017200 C000-RECEIVE-SCREEN SECTION.
017300*
017400******************************************
017500*    THIS SECTION RECEIVES THE SCREEN    *
017600******************************************
017700*
017800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
017900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018000*
018100**************************************************************
018200*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
018300**************************************************************
018400*
018500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
018600     PERFORM MB60PD-NEW-TRANS-ROUTINE
018700                                 THRU MB60PD-NTR-EXIT.
018800*
018900*****************************************
019000*    READ THE FIELD SECURITY MASTER FILE *
019100*****************************************
019200*
019300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019400     PERFORM 9100-READ-MMFS      THRU 9109-READ-MMFS-EXIT.
019500*
019600 C020-FIELD-EDITS.
019700*
019800***************************************
019900*    FIELD EDIT FOR CHANGE STATUS     *
020000***************************************
020100*
020200     IF  F901-CHANGE-STATUS-L    IS GREATER THAN ZERO
020300         MOVE DFHBMASF           TO F901-CHANGE-STATUS-A
020400     ELSE
020500         MOVE ZERO               TO F901-CHANGE-STATUS
020600         GO TO D000-RETURN-ERRORS.
020700*
020800     IF  F901-CHANGE-STATUS IS NOT NUMERIC
020900         GO TO C025-CHANGE-STATUS-ERROR.
021000*
021100     IF  F901-VALID-CHANGE-STATUS
021200         NEXT SENTENCE
021300     ELSE
021400         GO TO C025-CHANGE-STATUS-ERROR.
021500*
021600     GO TO D000-RETURN-ERRORS.
021700*
021800 C025-CHANGE-STATUS-ERROR.
021900*
022000     IF  F901-CHANGE-STATUS-L    IS GREATER THAN ZERO
022100         MOVE DFHBMUBF           TO F901-CHANGE-STATUS-A.
022200*
022300     SET SS08WS-ERROR-SW-YES     TO TRUE.
022400     MOVE DFHBMASB               TO F901-CHANGE-STATUS-LP-A
022500                                    F901-CHANGE-STATUS-RP-A.
022600     MOVE SS08WS-CURSOR          TO F901-CHANGE-STATUS-L.
022700*
022800/
022900 D000-RETURN-ERRORS SECTION.
023000*
023100     IF  SS08WS-ERROR-SW-NO
023200         GO TO E000-UPDATE-FILE.
023300*
023400***************************************************************
023500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
023600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
023700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
023800***************************************************************
023900*
024000     PERFORM MB60PD-INIT-STD-MAP-LINES
024100                                 THRU MB60PD-ISML-EXIT.
024200*
024300**********************
024400*    SEND THE MAP    *
024500**********************
024600*
024700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
024800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
024900                                 THRU MB60PD-SMDO-EXIT.
025000*
025100************************
025200*    RETURN TO CICS    *
025300************************
025400*
025500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
025600     PERFORM MB70PD-RETURN-TRANS-ID
025700                                 THRU MB70PD-RTI-EXIT.
025800/
025900 E000-UPDATE-FILE SECTION.
026000*
026100****************************************************
026200*    READ THE MERCH MASTER RECORD FOR UPDATE       *
026300****************************************************
026400*
026500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
026600     SET MBIORO-READ-RANDOM-UPDATE
026700                                 TO TRUE.
026800     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
026900*
027000 E010-CONTINUE.
027100*
027200*************************************
027300*    OBTAIN STORAGE FOR LOG FILE    *
027400*    RECORD IF DOING MAINTENANCE    *
027500*************************************
027600*
027700     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
027800     SET MBIORO-GETMAIN          TO TRUE.
027900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
028000*
028100 E020-UPDATE-FIELDS.
028200*
028300     IF  F901-CHANGE-STATUS-L    IS GREATER THAN ZERO
028400         IF F901-CHANGE-STATUS IS NOT EQUAL
028500                                 TO MMFS-REC-STATUS
028600             SET WS-UPDATE-SW-YES
028700                                 TO TRUE
028800             MOVE 0197           TO MML1-FIELD-CODE
028900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
029000                                    MML1-FIELD-OCCURRENCE-2
029100             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
029200             MOVE MMFS-REC-STATUS
029300                                 TO MML1-VL01-B-DATA-9
029400             MOVE F901-CHANGE-STATUS
029500                                 TO MMFS-REC-STATUS
029600             MOVE MMFS-REC-STATUS
029700                                 TO MML1-VL01-A-DATA-9
029800             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
029900             PERFORM 9150-WRITE-LOG-REC-MMFS
030000                                 THRU 9159-WLR-EXIT.
030100*
030200 E040-UPDATE-MMFS.
030300*
030400**************************************************************
030500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
030600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
030700*    ON THE SCREEN                                           *
030800**************************************************************
030900*
031000     IF  WS-UPDATE-SW-YES
031100         MOVE 0198               TO MML1-FIELD-CODE
031200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
031300                                    MML1-FIELD-OCCURRENCE-2
031400         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
031500         MOVE MMFS-LAST-MAINT-OPER
031600                                 TO MML1-VL03-B-DATA-X
031700         MOVE MBCA-OPERATOR-ID   TO MMFS-LAST-MAINT-OPER
031800         MOVE MMFS-LAST-MAINT-OPER
031900                                 TO MML1-VL03-A-DATA-X
032000         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
032100         PERFORM 9150-WRITE-LOG-REC-MMFS
032200                                 THRU 9159-WLR-EXIT
032300         MOVE 0199               TO MML1-FIELD-CODE
032400         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
032500         MOVE MMFS-LAST-MAINT-DATE
032600                                 TO MML1-VL07-B-DATA-9
032700         MOVE MBCA-START-DATE    TO MMFS-LAST-MAINT-DATE
032800         MOVE MMFS-LAST-MAINT-DATE
032900                                 TO MML1-VL07-A-DATA-9
033000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
033100         PERFORM 9150-WRITE-LOG-REC-MMFS
033200                                 THRU 9159-WLR-EXIT.
033300*
033400**************************************************************
033500*    REWRITE THE MERCH MASTER RECORD                         *
033600*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
033700*    UNLOCK IT IF THEY HAVE NOT                              *
033800**************************************************************
033900*
034000     IF  WS-UPDATE-SW-YES
034100         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
034200         SET MBIORO-REWRITE      TO TRUE
034300         PERFORM MMFSAO-ACCESS   THRU MMFSAO-ACCESS-EXIT
034400     ELSE
034500         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
034600         SET MBIORO-UNLOCK       TO TRUE
034700         PERFORM MMFSAO-ACCESS   THRU MMFSAO-ACCESS-EXIT.
034800/
034900 F000-SETUP-COMMAREA SECTION.
035000*
035100***************************************************************
035200*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
035300***************************************************************
035400*
035500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
035600*
035700     PERFORM MB60PD-EDIT-PAGE-NBR
035800                                 THRU MB60PD-EPN-EXIT.
035900*
036000     IF  SS08WS-VALID-PF-KEY
036100     OR  SS08WS-EIBAID-VALID-PF-KEY
036200         SET MBCA-INITIAL-SCREEN-NBR
036300                                 TO TRUE.
036400*
036500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
036600     PERFORM MB70PD-XCTL-TO-MBOXCTL
036700                                 THRU MB70PD-XTM-EXIT.
036800/
036900 9000-PERFORMED-AREA SECTION.
037000*
037100 9100-READ-MMFS.
037200*
037300*****************************************
037400*    READ THE FIELD SECURITY MASTER FILE *
037500*****************************************
037600*
037700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG
037800                                    F901-ORG.
037900     MOVE MBCA-PROFILE           TO MBIOWS-MMFS-FS-CODE
038000                                    F901-PROFILE.
038100     SET MBIORO-READ-RANDOM      TO TRUE.
038200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
038300*
038400 9109-READ-MMFS-EXIT.
038500     EXIT.
038600*
038700 9150-WRITE-LOG-REC-MMFS.
038800*
038900     MOVE 'FS'                   TO MML1-FILE-CODE.
039000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMFS-ORG.
039100     MOVE MBCA-PROFILE           TO MML1-MMFS-FS-CODE.
039200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
039300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
039400     MOVE ZEROS                  TO MML1-SOURCE-CODE.
039500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
039600     SET MBIORO-WRITE            TO TRUE.
039700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
039800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
039900*
040000 9159-WLR-EXIT.
040100     EXIT.
040200*
040300/
040400 Z000-COPIED-ROUTINES SECTION.
040500**********************************
040600*    JUL TO GREG DATE ROUTINE    *
040700**********************************
040800*
040900     COPY SS08PD.
041000/
041100     COPY SS26PD.
041200/
041300     COPY SS27PD.
041400/
041500*********************************
041600*    LINE 24 PF KEYS ROUTINE    *
041700*********************************
041800*
041900     COPY SS15PD.
042000/
042100************************************************
042200*    FIELD SECURITY MASTER RECORD ACCESS ROUTINES *
042300************************************************
042400*
042500     COPY MMFSAO.
042600/
042700*****************************************
042800*    LOG FILE RECORD ACCESS ROUTINES    *
042900*****************************************
043000*
043100     COPY MML1AO.
043200/
043300*****************************
043400*    ONLINE MAP ROUTINES    *
043500*****************************
043600*
043700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9F01 '
043800                           MBMAPXXI BY MB9F01I
043900                           MBMAPXXO BY MB9F01O.
044000/
044100***************************
044200*    ONLINE PROCEDURES    *
044300***************************
044400*
044500     COPY MB70PD.
044600/
044700     COPY SMFTPXO.
