000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9G00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9G00 - STORE CHAIN DEFINITION ADD/MAINT/INQ           *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9G                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9G00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC (ORG CONTROL FILE)                    *
001600*                 B. MMSR (STORE RELATIONSHIP CONTROL)          *
001700*                 C. MMRD (STORE RELATIONSHIP DETAIL)           *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE
002800     '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003500                                             VALUE +001.
003600     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003700                                             VALUE +998.
003800/
003900 01  FILLER                  PIC  X(29)      VALUE
004000     'I/O REQUEST BLOCK WORK AREAS:'.
004100*
004200     COPY MBIOWS.
004300/
004400 01  FILLER                  PIC  X(18)      VALUE
004500     'I/O REQUEST BLOCK:'.
004600*
004700     COPY MBIORO.
004800/
004900 01  FILLER                  PIC  X(21)      VALUE
005000     'ERROR MESSAGES TABLE:'.
005100*
005200     COPY MBEMWS.
005300/
005400 01  FILLER                  PIC  X(20)      VALUE
005500     'CCS DATE WORK AREAS:'.
005600*
005700     COPY SS01WS.
005800/
005900 01  FILLER                  PIC  X(15)      VALUE
006000     'CCS WORK AREAS:'.
006100*
006200     COPY SS08WS.
006300/
006400     COPY SS00WS.
006500/
006600     COPY SMFTWS.
006700/
006800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006900/
007000     COPY MB61LK.
007100/
007200 01  FILLER                  PIC  X(12)      VALUE
007300     '** WS-END **'.
007400/
007500 LINKAGE SECTION.
007600*
007700 01  DFHCOMMAREA.
007800*
007900     COPY MB60WS.
008000/
008100******************************************
008200*    STORE RELATIONSHIP LOCATE MAP       *
008300******************************************
008400*
008500     COPY MB9G00.
008600/
008700*******************************************************
008800*    STORE RELATIONSHIP LOCATE MAP REDEFINITION       *
008900*******************************************************
009000*
009100     COPY MB9G00R.
009200/
009300***************************
009400*    ORG RECORD LAYOUT    *
009500***************************
009600*
009700     COPY MMOCRL.
009800/
009900*****************************************************
010000*    STORE RELATIONSHIP CONTROL RECORD LAYOUT       *
010100*****************************************************
010200*
010300     COPY MMSRRL.
010400/
010500****************************************************
010600*    STORE RELATIONSHIP DETAIL RECORD LAYOUT       *
010700****************************************************
010800*
010900     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
011000/
011100 PROCEDURE DIVISION.
011200*
011300 A000-HOUSEKEEPING SECTION.
011400*
011500 A020-INIT.
011600*
011700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011900                                 THRU MB70PD-OLH-EXIT.
012000*
012100     IF  MBCA-RECEIVE-SCREEN
012200         GO TO C000-RECEIVE-SCREEN.
012300/
012400 B000-SEND-SCREEN SECTION.
012500*
012600*********************************************
012700*    GET CICS STORAGE NEEDED FOR THE MAP    *
012800*********************************************
012900*
013000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013100     PERFORM MB60PD-GETMAIN-FOR-MAP
013200                                 THRU MB60PD-GFM-EXIT.
013300*
013400*
013500     IF  MBCA-INITIAL-KEY-CODE
013600     OR  MBCA-PTI-FUNCTION-IS-ADD
013700         GO TO B020-BUILD-SCREEN.
013800*
013900     IF  MBCA-MMSR-KEY-CODE
014000         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014100         AND MBCA-S-CHAIN      IS GREATER THAN LOW-VALUE
014200             MOVE MBCA-MERCHANT-ORG
014300                                 TO G900-ORG
014400             MOVE MBCA-S-CHAIN   TO G900-CHAIN
014500             MOVE DFHBMUNF       TO G900-ORG-A
014600                                    G900-CHAIN-A
014700             IF  MBCA-DIRECT-TRANSFER-CODE
014800             AND MBCA-INITIAL-SCREEN-NBR
014900                 MOVE 00         TO MBCA-SCREEN-NBR
015000                 GO TO C082-READ-ORG
015100             ELSE
015200                 GO TO B020-BUILD-SCREEN.
015300*
015400     IF  MBCA-VALID-KEY-CODES
015500         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
015600             MOVE MBCA-MERCHANT-ORG
015700                                 TO G900-ORG
015800             MOVE DFHBMUNF       TO G900-ORG-A
015900             IF  MBCA-S-CHAIN IS GREATER THAN LOW-VALUE
016000                 MOVE MBCA-S-CHAIN
016100                                 TO G900-CHAIN
016200                 MOVE DFHBMUNF   TO G900-CHAIN-A.
016300*
016400 B020-BUILD-SCREEN.
016500*
016600*******************************************
016700*    INITIALIZE THE STANDARD MAP LINES    *
016800*******************************************
016900*
017000     MOVE SS08WS-CURSOR          TO G900-ORG-L.
017100     MOVE 00                     TO MBCA-SCREEN-NBR.
017200     PERFORM MB60PD-INIT-STD-MAP-LINES
017300                                 THRU MB60PD-ISML-EXIT.
017400*
017500     IF  MBCA-MERCHANT-ORG IS GREATER THAN ZEROS
017600         MOVE MBCA-MERCHANT-ORG
017700                                 TO G900-ORG
017800         MOVE DFHBMUNF           TO G900-ORG-A
017900         IF  MBCA-S-CHAIN IS GREATER THAN ZEROS
018000             MOVE MBCA-S-CHAIN   TO G900-CHAIN
018100             MOVE DFHBMUNF       TO G900-CHAIN-A.
018200*
018300**********************
018400*    SEND THE MAP    *
018500**********************
018600*
018700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018900                                 THRU MB60PD-SMWE-EXIT.
019000*
019100************************
019200*    RETURN TO CICS    *
019300************************
019400*
019500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019600     PERFORM MB70PD-RETURN-TRANS-ID
019700                                 THRU MB70PD-RTI-EXIT.
019800/
019900 C000-RECEIVE-SCREEN SECTION.
020000*
020100*************************************************
020200*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
020300*************************************************
020400*
020500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020700*
020800**************************************************************
020900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
021000**************************************************************
021100*
021200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021300     PERFORM MB60PD-NEW-TRANS-ROUTINE
021400                                 THRU MB60PD-NTR-EXIT.
021500*
021600 C020-EDIT-SCREEN.
021700*
021800     SET SS08WS-ERROR-SW-NO      TO TRUE.
021900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
022000*
022100     IF  (G900-ORG-L IS LESS THAN 1
022200     AND  G900-CHAIN-L IS LESS THAN 1)
022300     AND (SS08WS-VALID-PF-KEY
022400     OR   SS08WS-EIBAID-VALID-PF-KEY)
022500         SET MBCA-INITIAL-SCREEN-NBR
022600                                 TO TRUE
022700         GO TO F090-TRANSFER-XCTL.
022800*
022900******************************************************
023000*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
023100*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
023200******************************************************
023300*
023400     MOVE DFHBMUNN               TO G900-ORG-A
023500                                    G900-CHAIN-A.
023600     MOVE DFHBMASK               TO G900-ORG-LP-A
023700                                    G900-ORG-RP-A
023800                                    G900-CHAIN-LP-A
023900                                    G900-CHAIN-RP-A.
024000*
024100 C080-EDIT-ORG.
024200*
024300     IF  G900-ORG-L IS EQUAL TO ZERO
024400     OR  G900-ORG IS NOT NUMERIC
024500     OR  G900-ORG IS LESS THAN MBCA-ORG-LOW
024600     OR  G900-ORG IS GREATER THAN MBCA-ORG-HIGH
024700     OR  G900-ORG IS LESS THAN WS-ORG-LOW
024800     OR  G900-ORG IS GREATER THAN WS-ORG-HIGH
024900         MOVE MBEMWS-INVALID-ORG TO G900-ERR-MESSAGE
025000         GO TO C098-ORG-ERROR.
025100*
025200 C082-READ-ORG.
025300*
025400************************************************
025500*    READ THE ORGANIZATION RECORD.  IT MUST    *
025600*    BE ON FILE AND AN ACTIVE RECORD.          *
025700************************************************
025800*
025900     MOVE G900-ORG               TO MBIOWS-MMOC-ORG.
026000     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
026100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026200     SET MBIORO-READ-RANDOM      TO TRUE.
026300     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
026400*
026500     IF  SS08WS-RC-FC-NOTFND
026600         MOVE MBEMWS-NOT-ON-FILE TO G900-ERR-MESSAGE
026700     ELSE
026800         IF  MMOC-ADD-PENDING
026900             MOVE MBEMWS-ADD-PENDING
027000                                 TO G900-ERR-MESSAGE
027100         ELSE
027200             IF  MMOC-REC-PURGED
027300                 MOVE MBEMWS-NOT-ACTIVE
027400                                 TO G900-ERR-MESSAGE
027500             ELSE
027600                 MOVE DFHBMUNF   TO G900-ORG-A
027700                 MOVE G900-ORG   TO MBCA-MERCHANT-ORG
027800                 GO TO C100-EDIT-CHAIN.
027900*
028000 C098-ORG-ERROR.
028100*
028200     SET SS08WS-ERROR-SW-YES     TO TRUE.
028300     MOVE DFHBMASB               TO G900-ORG-LP-A
028400                                    G900-ORG-RP-A.
028500     MOVE SS08WS-CURSOR          TO G900-ORG-L.
028600     MOVE DFHBMNBF               TO G900-ORG-A
028700                                    G900-CHAIN-A.
028800     GO TO D000-RETURN-ERRORS.
028900*
029000 C100-EDIT-CHAIN.
029100*
029200***********************************************************
029300*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
029400*    SEE IF ANYTHING WAS KEYED.                           *
029500***********************************************************
029600*
029700     IF  G900-CHAIN IS EQUAL TO ZEROS
029800     OR  G900-CHAIN IS NOT NUMERIC
029900     OR  G900-CHAIN IS EQUAL TO ZEROS OR 999999999
030000         MOVE MBEMWS-INVALID-CHAIN
030100                                 TO G900-ERR-MESSAGE
030200         GO TO C118-CHAIN-ERROR.
030300*
030400 C102-READ-CHAIN.
030500*
030600***************************************************************
030700*    READ THE CHAIN RECORD.    IT MUST BE ON FILE AND         *
030800*    AN ACTIVE RECORD IF IN MAINTENANCE OR INQUIRY.  IT MUST  *
030900*    NOT BE ON FILE (OR IN AN ADD PENDING STATE), IF IN ADD.  *
031000***************************************************************
031100*
031200     MOVE G900-ORG               TO MBIOWS-MMSR-ORG.
031300     MOVE G900-CHAIN             TO MBIOWS-MMSR-CHAIN.
031400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
031500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
031600     SET MBIORO-READ-RANDOM      TO TRUE.
031700     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
031800*
031900     IF  SS08WS-RC-FC-VALID-RTN-CODE
032000         MOVE G900-CHAIN         TO MBCA-S-CHAIN.
032100*
032200     IF  SS08WS-RC-FC-VALID-RTN-CODE
032300         IF  MMSR-ADD-PENDING
032400             MOVE MBEMWS-ADD-PENDING
032500                             TO G900-ERR-MESSAGE
032600             GO TO C118-CHAIN-ERROR
032700         ELSE
032800             GO TO F000-SETUP-COMMAREA
032900     ELSE
033000         MOVE MBEMWS-NOT-ON-FILE
033100                             TO G900-ERR-MESSAGE
033200         GO TO C118-CHAIN-ERROR.
033300*
033400 C118-CHAIN-ERROR.
033500*
033600     SET SS08WS-ERROR-SW-YES     TO TRUE.
033700     MOVE DFHBMASB               TO G900-CHAIN-LP-A
033800                                    G900-CHAIN-RP-A.
033900     MOVE SS08WS-CURSOR          TO G900-CHAIN-L.
034000     MOVE DFHBMNBF               TO G900-CHAIN-A.
034100/
034200 D000-RETURN-ERRORS SECTION.
034300*
034400     IF  SS08WS-ERROR-SW-NO
034500         GO TO F000-SETUP-COMMAREA
034600     ELSE
034700         IF  SS08WS-VALID-PF-KEY
034800         OR  SS08WS-EIBAID-VALID-PF-KEY
034900             SET MBCA-INITIAL-SCREEN-NBR
035000                                 TO TRUE
035100             GO TO F090-TRANSFER-XCTL.
035200*
035300***************************************************************
035400*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
035500*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
035600*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
035700***************************************************************
035800*
035900     PERFORM MB60PD-INIT-STD-MAP-LINES
036000                                 THRU MB60PD-ISML-EXIT.
036100*
036200**********************
036300*    SEND THE MAP    *
036400**********************
036500*
036600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
036700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036800                                 THRU MB60PD-SMWE-EXIT.
036900*
037000************************
037100*    RETURN TO CICS    *
037200************************
037300*
037400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
037500     PERFORM MB70PD-RETURN-TRANS-ID
037600                                 THRU MB70PD-RTI-EXIT.
037700/
037800 F000-SETUP-COMMAREA SECTION.
037900*
038000***************************************************************
038100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
038200***************************************************************
038300*
038400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038500*
038600     MOVE MBIOWS-MMSR-DIRECT-KEY-CODE
038700                                 TO MBCA-KEY-CODE.
038800*
038900     PERFORM MB60PD-EDIT-PAGE-NBR
039000                                 THRU MB60PD-EPN-EXIT.
039100*
039200     IF  SS08WS-VALID-PF-KEY
039300     OR  SS08WS-EIBAID-VALID-PF-KEY
039400         SET MBCA-INITIAL-SCREEN-NBR
039500                                 TO TRUE.
039600*
039700 F090-TRANSFER-XCTL.
039800*
039900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
040000     PERFORM MB70PD-XCTL-TO-MBOXCTL
040100                                 THRU MB70PD-XTM-EXIT.
040200/
040300 Z000-COPIED-ROUTINES SECTION.
040400*
040500**********************************
040600*    JUL TO GREG DATE ROUTINE    *
040700**********************************
040800*
040900     COPY SS08PD.
041000/
041100     COPY SS26PD.
041200/
041300     COPY SS27PD.
041400/
041500*********************************
041600*    LINE 24 PF KEYS ROUTINE    *
041700*********************************
041800*
041900     COPY SS15PD.
042000/
042100*******************************************
042200*    ORG FILE ACCESS ROUTINES             *
042300*******************************************
042400*
042500     COPY MMOCAO.
042600/
042700******************************************************
042800*    STORE RELATIONSHIP RECORD ACCESS ROUTINES       *
042900******************************************************
043000*
043100     COPY MMSRAO.
043200/
043300*****************************
043400*    ONLINE MAP ROUTINES    *
043500*****************************
043600*
043700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9G00 '
043800                           MBMAPXXI BY MB9G00I
043900                           MBMAPXXO BY MB9G00O.
044000/
044100***************************
044200*    ONLINE PROCEDURES    *
044300***************************
044400*
044500     COPY MB70PD.
044600/
044700     COPY SMFTPXO.
