000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9M00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9M00 - MERCHANT PURGED                                *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MB9M                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9M00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER)                     *
001600*                 B. MMOC (ORG CONTROL RECORD)                  *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE
002700     '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003100*
003200 01  WS-MISCELLANEOUS.
003300     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003400                                             VALUE +001.
003500     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003600                                             VALUE +998.
003700/
003800 01  FILLER                  PIC  X(29)      VALUE
003900     'I/O REQUEST BLOCK WORK AREAS:'.
004000*
004100     COPY MBIOWS.
004200/
004300 01  FILLER                  PIC  X(18)      VALUE
004400     'I/O REQUEST BLOCK:'.
004500*
004600     COPY MBIORO.
004700/
004800 01  FILLER                  PIC  X(21)      VALUE
004900     'ERROR MESSAGES TABLE:'.
005000*
005100     COPY MBEMWS.
005200/
005300 01  FILLER                  PIC  X(27)      VALUE
005400     'MERCHANT MASTER WORK AREAS:'.
005500*
005600     COPY MMMMWS.
005700/
005800 01  FILLER                  PIC  X(20)      VALUE
005900     'CCS DATE WORK AREAS:'.
006000*
006100     COPY SS01WS.
006200/
006300 01  FILLER                  PIC  X(27)      VALUE
006400     'CCS CHECK DIGIT WORK AREAS:'.
006500*
006600     COPY SS05WS.
006700/
006800 01  FILLER                  PIC  X(15)      VALUE
006900     'CCS WORK AREAS:'.
007000*
007100     COPY SS08WS.
007200/
007300     COPY SS00WS.
007400/
007500     COPY SMFTWS.
007600/
007700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007800/
007900     COPY MB61LK.
008000/
008100 01  FILLER                  PIC  X(12)      VALUE
008200     '** WS-END **'.
008300/
008400 LINKAGE SECTION.
008500*
008600 01  DFHCOMMAREA.
008700*
008800     COPY MB60WS.
008900/
009000************************************
009100*    MERCHANT PURGED  LOCATE MAP   *
009200************************************
009300*
009400     COPY MB9M00.
009500/
009600***********************************************
009700*    MERCHANT PURGED  LOCATE MAP REDEFINITION *
009800***********************************************
009900*
010000     COPY MB9M00R.
010100/
010200***************************
010300*    ORG RECORD LAYOUT    *
010400***************************
010500*
010600     COPY MMOCRL.
010700/
010800***************************************
010900*    MERCHANT MASTER RECORD LAYOUT    *
011000***************************************
011100*
011200     COPY MMMMRL.
011300/
011400 PROCEDURE DIVISION.
011500*
011600 A000-HOUSEKEEPING SECTION.
011700*
011800 A020-INIT.
011900*
012000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012200                                 THRU MB70PD-OLH-EXIT.
012300*
012400     IF  MBCA-RECEIVE-SCREEN
012500         GO TO C000-RECEIVE-SCREEN.
012600/
012700 B000-SEND-SCREEN SECTION.
012800*
012900*********************************************
013000*    GET CICS STORAGE NEEDED FOR THE MAP    *
013100*********************************************
013200*
013300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013400     PERFORM MB60PD-GETMAIN-FOR-MAP
013500                                 THRU MB60PD-GFM-EXIT.
013600*
013700*
013800*****************************************************************
013900*    SEE IF THE MBCA-MERCHANT-ORG IS GREATER THAN ZERO. IF IT   *
014000*    IS, PLUG IT INTO THE MAP. THE THE MBCA-MERCHANT IS GREATER *
014100*    THAN ZERO, PLUG IT INTO THE MAP.                           *
014200*****************************************************************
014300*
014400     IF  MBCA-MMMM-KEY-CODE
014500         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014600         AND MBCA-MERCHANT     IS GREATER THAN ZERO
014700             MOVE MBCA-MERCHANT-ORG
014800                                 TO M900-ORG
014900             MOVE MBCA-MERCHANT  TO M900-MERCHANT
015000             MOVE DFHBMUNF       TO M900-ORG-A
015100                                    M900-MERCHANT-A
015200             IF  MBCA-DIRECT-TRANSFER-CODE
015300             AND MBCA-INITIAL-SCREEN-NBR
015400                 MOVE 00         TO MBCA-SCREEN-NBR
015500                 GO TO C082-READ-ORG
015600             ELSE
015700                 GO TO B020-BUILD-SCREEN.
015800*
015900     IF  MBCA-VALID-KEY-CODES
016000         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016100             MOVE MBCA-MERCHANT-ORG
016200                                 TO M900-ORG
016300             MOVE DFHBMUNF       TO M900-ORG-A
016400             IF  MBCA-MERCHANT IS GREATER THAN ZERO
016500                 MOVE MBCA-MERCHANT
016600                                 TO M900-MERCHANT
016700                 MOVE DFHBMUNF   TO M900-MERCHANT-A.
016800*
016900 B020-BUILD-SCREEN.
017000*
017100*******************************************
017200*    INITIALIZE THE STANDARD MAP LINES    *
017300*******************************************
017400*
017500     MOVE SS08WS-CURSOR          TO M900-ORG-L.
017600     MOVE 00                     TO MBCA-SCREEN-NBR.
017700     PERFORM MB60PD-INIT-STD-MAP-LINES
017800                                 THRU MB60PD-ISML-EXIT.
017900*
018000**********************
018100*    SEND THE MAP    *
018200**********************
018300*
018400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018600                                 THRU MB60PD-SMWE-EXIT.
018700*
018800************************
018900*    RETURN TO CICS    *
019000************************
019100*
019200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019300     PERFORM MB70PD-RETURN-TRANS-ID
019400                                 THRU MB70PD-RTI-EXIT.
019500/
019600 C000-RECEIVE-SCREEN SECTION.
019700*
019800*************************************************
019900*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
020000*************************************************
020100*
020200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020400*
020500**************************************************************
020600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
020700**************************************************************
020800*
020900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021000     PERFORM MB60PD-NEW-TRANS-ROUTINE
021100                                 THRU MB60PD-NTR-EXIT.
021200*
021300 C020-FIELD-EDITS.
021400*
021500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
021600*
021700     IF  (M900-ORG-L IS LESS THAN 1
021800     AND  M900-MERCHANT-L IS LESS THAN 1)
021900     AND (SS08WS-VALID-PF-KEY
022000     OR   SS08WS-EIBAID-VALID-PF-KEY)
022100         SET MBCA-INITIAL-SCREEN-NBR
022200                                 TO TRUE
022300         GO TO F090-TRANSFER-XCTL.
022400*
022500******************************************************
022600*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
022700*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
022800******************************************************
022900*
023000     MOVE DFHBMUNN               TO M900-ORG-A
023100                                    M900-MERCHANT-A.
023200     MOVE DFHBMASK               TO M900-ORG-LP-A
023300                                    M900-ORG-RP-A
023400                                    M900-MERCHANT-LP-A
023500                                    M900-MERCHANT-RP-A.
023600*
023700 C080-EDIT-ORG.
023800*
023900     IF  M900-ORG IS NOT NUMERIC
024000     OR  M900-ORG IS LESS THAN MBCA-ORG-LOW
024100     OR  M900-ORG IS GREATER THAN MBCA-ORG-HIGH
024200     OR  M900-ORG IS LESS THAN WS-ORG-LOW
024300     OR  M900-ORG IS GREATER THAN WS-ORG-HIGH
024400         MOVE MBEMWS-INVALID-ORG TO M900-ERR-MESSAGE
024500         GO TO C098-ORG-ERROR.
024600*
024700 C082-READ-ORG.
024800*
024900************************************************
025000*    READ THE ORGANIZATION RECORD.  IT MUST    *
025100*    BE ON FILE AND AN ACTIVE RECORD.          *
025200************************************************
025300*
025400     MOVE M900-ORG               TO MBIOWS-MMOC-ORG.
025500     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
025600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
025700     SET MBIORO-READ-RANDOM      TO TRUE.
025800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
025900*
026000     IF  SS08WS-RC-FC-NOTFND
026100         MOVE MBEMWS-NOT-ON-FILE TO M900-ERR-MESSAGE
026200     ELSE
026300         IF  MMOC-ADD-PENDING
026400             MOVE MBEMWS-ADD-PENDING
026500                                 TO M900-ERR-MESSAGE
026600         ELSE
026700             IF  MMOC-REC-PURGED
026800                 MOVE MBEMWS-NOT-ACTIVE
026900                                 TO M900-ERR-MESSAGE
027000             ELSE
027100                 MOVE DFHBMUNF   TO M900-ORG-A
027200                 MOVE M900-ORG   TO MBCA-MERCHANT-ORG
027300                 MOVE MMOC-CURRENCY-CODE
027400                                 TO MBCA-CURRENCY-CODE
027500                 MOVE MMOC-CURRENCY-NOD
027600                                 TO MBCA-CURRENCY-NOD
027700                 MOVE MMOC-PER-ITEM-NOD
027800                                 TO MBCA-PER-ITEM-NOD
027900                 MOVE MMOC-PERCENT-NOD
028000                                 TO MBCA-PERCENT-NOD
028100                 GO TO C100-EDIT-MERCHANT.
028200*
028300 C098-ORG-ERROR.
028400*
028500     SET SS08WS-ERROR-SW-YES     TO TRUE.
028600     MOVE DFHBMASB               TO M900-ORG-LP-A
028700                                    M900-ORG-RP-A.
028800     MOVE SS08WS-CURSOR          TO M900-ORG-L.
028900     MOVE DFHBMNBF               TO M900-ORG-A.
029000     MOVE DFHBMUNF               TO M900-MERCHANT-A.
029100     GO TO D000-RETURN-ERRORS.
029200*
029300 C100-EDIT-MERCHANT.
029400*
029500     IF  M900-MERCHANT IS NOT NUMERIC
029600     OR  M900-MERCHANT IS EQUAL TO ZEROES OR 999999999
029700         MOVE MBEMWS-INVALID-MERCHANT
029800                                 TO M900-ERR-MESSAGE
029900         GO TO C118-MERCHANT-ERROR.
030000*
030100 C102-READ-MERCHANT.
030200*
030300***************************************************************
030400*    READ THE MERCHANT MASTER RECORD.  IT MUST BE ON          *
030500*    FILE AND AN ACTIVE OR CLOSED RECORD.                     *
030600***************************************************************
030700*
030800     MOVE DFHBMUNF               TO M900-MERCHANT-A.
030900*
031000     MOVE M900-ORG               TO MBIOWS-MMMM-ORG.
031100     MOVE M900-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
031200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
031300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
031400     SET MBIORO-READ-RANDOM      TO TRUE.
031500     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
031600*
031700     IF  SS08WS-RC-FC-VALID-RTN-CODE
031800         MOVE M900-MERCHANT      TO MBCA-MERCHANT.
031900*
032000     IF  SS08WS-RC-FC-NOTFND
032100         MOVE MBEMWS-NOT-ON-FILE TO M900-ERR-MESSAGE
032200         GO TO C118-MERCHANT-ERROR.
032300*
032400     IF  MMMM-REC-PURGING
032500         NEXT SENTENCE
032600     ELSE
032700         MOVE MBEMWS-BAD-REC-STATUS
032800                                 TO M900-ERR-MESSAGE
032900         GO TO C118-MERCHANT-ERROR.
033000*
033100************************************************
033200*    OTHERWISE, WE PASSED THE MERCHANT EDIT    *
033300************************************************
033400*
033500     GO TO D000-RETURN-ERRORS.
033600*
033700 C118-MERCHANT-ERROR.
033800*
033900     SET SS08WS-ERROR-SW-YES     TO TRUE.
034000     MOVE DFHBMASB               TO M900-MERCHANT-LP-A
034100                                    M900-MERCHANT-RP-A.
034200     MOVE SS08WS-CURSOR          TO M900-MERCHANT-L.
034300     MOVE DFHBMNBF               TO M900-MERCHANT-A.
034400/
034500 D000-RETURN-ERRORS SECTION.
034600*
034700     IF  SS08WS-ERROR-SW-NO
034800         GO TO F000-SETUP-COMMAREA
034900     ELSE
035000         IF  SS08WS-VALID-PF-KEY
035100         OR  SS08WS-EIBAID-VALID-PF-KEY
035200             SET MBCA-INITIAL-SCREEN-NBR
035300                                 TO TRUE
035400             GO TO F090-TRANSFER-XCTL.
035500*
035600***************************************************************
035700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
035800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
035900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
036000***************************************************************
036100*
036200     PERFORM MB60PD-INIT-STD-MAP-LINES
036300                                 THRU MB60PD-ISML-EXIT.
036400*
036500**********************
036600*    SEND THE MAP    *
036700**********************
036800*
036900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
037000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
037100                                 THRU MB60PD-SMWE-EXIT.
037200*
037300************************
037400*    RETURN TO CICS    *
037500************************
037600*
037700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
037800     PERFORM MB70PD-RETURN-TRANS-ID
037900                                 THRU MB70PD-RTI-EXIT.
038000/
038100 F000-SETUP-COMMAREA SECTION.
038200*
038300***************************************************************
038400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
038500***************************************************************
038600*
038700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038800*
038900     MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
039000                                 TO MBCA-KEY-CODE.
039100*
039200     PERFORM MB60PD-EDIT-PAGE-NBR
039300                                 THRU MB60PD-EPN-EXIT.
039400*
039500     IF  SS08WS-VALID-PF-KEY
039600     OR  SS08WS-EIBAID-VALID-PF-KEY
039700         SET MBCA-INITIAL-SCREEN-NBR
039800                                 TO TRUE.
039900*
040000 F090-TRANSFER-XCTL.
040100*
040200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
040300     PERFORM MB70PD-XCTL-TO-MBOXCTL
040400                                 THRU MB70PD-XTM-EXIT.
040500/
040600 Z000-COPIED-ROUTINES SECTION.
040700**********************************
040800*    JUL TO GREG DATE ROUTINE    *
040900**********************************
041000*
041100     COPY SS08PD.
041200/
041300     COPY SS26PD.
041400/
041500     COPY SS27PD.
041600/
041700*****************************
041800*    CHECK DIGIT ROUITNE    *
041900*****************************
042000*
042100     COPY SS09PD.
042200/
042300*********************************
042400*    LINE 24 PF KEYS ROUTINE    *
042500*********************************
042600*
042700     COPY SS15PD.
042800/
042900*******************************************
043000*    ORG FILE RECORD 1 ACCESS ROUTINES    *
043100*******************************************
043200*
043300     COPY MMOCAO.
043400/
043500*********************************************
043600*    MERCHANT MASTER RECORD ACCESS ROUTINES *
043700*********************************************
043800*
043900     COPY MMMMAO.
044000/
044100*****************************
044200*    ONLINE MAP ROUTINES    *
044300*****************************
044400*
044500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9M00 '
044600                           MBMAPXXI BY MB9M00I
044700                           MBMAPXXO BY MB9M00O.
044800/
044900***************************
045000*    ONLINE PROCEDURES    *
045100***************************
045200*
045300     COPY MB70PD.
045400/
045500     COPY SMFTPXO.
