000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9M01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9M01 - MERCHANT RECORD PURGED                         *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9M                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9M01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 B. MMSM (STORE MASTER FILE)                   *
001700*                 C. MMSD (STORE RELATIONSHIP DETAIL FILE)      *
001800*                 D. MMRD (MERCH RELATIONSHIP DETAIL FILE)      *
001900*                 E. MMMP (MERCH PRODUCT ASSSIGN FILE)          *
002000*                 F. MMXR (STORE MERCHANT CROSS REF FILE)       *
002100*                 G. MML1 (LOG FILE)                            *
002200*                                                               *
002300*****************************************************************
002400*
002500 ENVIRONMENT DIVISION.
002600*
002700 DATA DIVISION.
002800*
002900 WORKING-STORAGE SECTION.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003200*
003300 01  FILLER                  PIC  X(14)      VALUE
003400     'MISCELLANEOUS:'.
003500*
003600 01  WS-MISCELLANEOUS.
003700     03  WS-NBR-CHAINS       PIC  9(02)      VALUE ZEROS.
003800     03  WS-PRODUCT          PIC  9(02)      VALUE ZEROS.
003900     03  WS-ORIGINAL-MEMBER  PIC S9(09)      COMP-3
004000                                             VALUE ZEROES.
004100     03  WS-ORIGINAL-NBR-MEMBERS
004200                             PIC S9(03)      COMP-3
004300                                             VALUE ZEROES.
004400     03  WS-SEQ-NBR          PIC S9(03)      BINARY
004500                                             VALUE +1.
004600*
004700 01  FILLER                  PIC  X(17)      VALUE
004800     'PROGRAM SWITCHES:'.
004900*
005000 01  WS-PROGRAM-SWITCHES.
005100     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005200         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005300         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005400/
005500 01  FILLER                  PIC  X(29)      VALUE
005600     'I/O REQUEST BLOCK WORK AREAS:'.
005700*
005800     COPY MBIOWS.
005900/
006000 01  FILLER                  PIC  X(18)      VALUE
006100     'I/O REQUEST BLOCK:'.
006200*
006300     COPY MBIORO.
006400/
006500 01  FILLER                  PIC  X(25)      VALUE
006600     'LOG RECORD REQUEST BLOCK:'.
006700*
006800     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006900/
007000 01  FILLER                  PIC  X(31)      VALUE
007100     'DYNAMICALLY CALLED SUBROUTINES:'.
007200*
007300     COPY MB00WS.
007400/
007500 01  FILLER                  PIC  X(37)      VALUE
007600     'FORMAT NBR AND AMTS BY CURRENCY CODE:'.
007700*
007800     COPY SS95WS.
007900/
008000 01  FILLER                  PIC  X(20)      VALUE
008100     'CCS DATE WORK AREAS:'.
008200*
008300     COPY SS01WS.
008400/
008500 01  FILLER                  PIC  X(15)      VALUE
008600     'CCS WORK AREAS:'.
008700*
008800     COPY SS08WS.
008900/
009000     COPY SS00WS.
009100/
009200     COPY SMFTWS.
009300/
009400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009500/
009600     COPY MB61LK.
009700/
009800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009900/
010000 LINKAGE SECTION.
010100*
010200 01  DFHCOMMAREA.
010300*
010400     COPY MB60WS.
010500/
010600***********************************
010700*    MERCHANT PURGED MAP          *
010800***********************************
010900*
011000     COPY MB9M01.
011100/
011200************************************************
011300*    MERCHANT PURGED MAP REDEFINITION          *
011400************************************************
011500*
011600     COPY MB9M01R.
011700/
011800****************************************
011900*    MERCHANT MASTER RECORD LAYOUT     *
012000****************************************
012100*
012200     COPY MMMMRL.
012300/
012400****************************************
012500*    STORE MASTER  RECORD LAYOUT       *
012600****************************************
012700*
012800     COPY MMSMRL.
012900/
013000**********************************************
013100*    STORE RELATIONSHIP DETAIL RECORD LAYOUT *
013200**********************************************
013300*
013400     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
013500/
013600**********************************************
013700*    MERCH RELATIONSHIP DETAIL RECORD LAYOUT *
013800**********************************************
013900*
014000     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
014100/
014200**********************************************
014300*    MERCH PRODUCT RECORD LAYOUT             *
014400**********************************************
014500*
014600     COPY MMMPRL.
014700/
014800****************************************************
014900*    STORE MERCHANT CROSS REF MASTER RECORD LAYOUT *
015000****************************************************
015100*
015200     COPY MMXRRL.
015300/
015400***************************
015500*    LOG RECORD LAYOUT    *
015600***************************
015700*
015800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
015900/
016000 PROCEDURE DIVISION.
016100*
016200 A000-HOUSEKEEPING SECTION.
016300*
016400 A020-INIT.
016500*
016600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
016700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
016800                                 THRU MB70PD-OLH-EXIT.
016900*
017000     SET SS95WS-FUNCTION-INITIALIZE
017100                                 TO TRUE.
017200     PERFORM SS95PD-NAP-ROUTINE
017300        THRU SS95PD-NAP-EXIT.
017400*
017500     IF  MBCA-RECEIVE-SCREEN
017600         GO TO C000-RECEIVE-SCREEN.
017700/
017800 B000-SEND-SCREEN SECTION.
017900*
018000*********************************************
018100*    GET CICS STORAGE NEEDED FOR THE MAP    *
018200*********************************************
018300*
018400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-GETMAIN-FOR-MAP
018600                                 THRU MB60PD-GFM-EXIT.
018700*
018800*******************************************
018900*    INITIALIZE THE STANDARD MAP LINES    *
019000*******************************************
019100*
019200     PERFORM MB60PD-INIT-STD-MAP-LINES
019300                                 THRU MB60PD-ISML-EXIT.
019400*
019500*****************************************
019600*    READ THE MERCHANT MASTER RECORD    *
019700*****************************************
019800*
019900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020000     PERFORM 9100-READ-MMMM      THRU 9109-READ-MMMM-EXIT.
020100*
020200*********************************************
020300*    MOVE THE PRIMARY NAME TO THE SCREEN    *
020400*********************************************
020500*
020600     MOVE MMMM-NA-LINE (1 1)     TO M901-MERCH-NAME.
020700*
020800 B020-MOVE-FIELDS-TO-SCREEN.
020900*
021000     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
021100     MOVE 'N'                    TO M901-CLOSE-FLAG.
021200     MOVE MMMM-CLOSE-REASON      TO M901-CLOSE-REASON.
021300     MOVE MMMM-DATE-OPENED       TO SS01WS-JULIAN.
021400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021500        THRU SS26PD-NED-EXIT.
021600     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-OPEN.
021700     MOVE MMMM-DBA-NAME          TO M901-DBA-NAME.
021800     MOVE MMMM-DATE-CLOSED       TO SS01WS-JULIAN.
021900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
022000        THRU SS26PD-NED-EXIT.
022100     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-CLOSED.
022200     MOVE MMMM-DBA-CITY          TO M901-DBA-CITY.
022300     MOVE MMMM-DBA-COUNTRY-CODE  TO M901-DBA-STATE.
022400     MOVE MMMM-PURGING-DATE      TO SS01WS-JULIAN.
022500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
022600        THRU SS26PD-NED-EXIT.
022700     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-PURGING.
022800     MOVE MMMM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
022900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
023000        THRU SS26PD-NED-EXIT.
023100     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-LAST-ACT.
023200     MOVE MMMM-BLOCK-CODE        TO M901-BLOCK-CODE.
023300     MOVE MMMM-AGENT-BANK        TO M901-AGENT.
023400     MOVE MMMM-DATE-LAST-STMT    TO SS01WS-JULIAN.
023500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
023600        THRU SS26PD-NED-EXIT.
023700     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-LAST-STMT.
023800     MOVE MMMM-STMT-FREQ-1       TO M901-STMT-FREQ1.
023900     MOVE MMMM-STMT-FREQ-2       TO M901-STMT-FREQ2.
024000     MOVE MMMM-BRANCH            TO M901-BRANCH.
024100     MOVE MMMM-DATE-LAST-SETT    TO SS01WS-JULIAN.
024200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
024300        THRU SS26PD-NED-EXIT.
024400     MOVE SS01WS-XX-XX-YYYY      TO M901-DATE-LAST-SETT.
024500     MOVE MMMM-SETT-FREQ-1       TO M901-SETT-FREQ1.
024600     MOVE MMMM-SETT-FREQ-2       TO M901-SETT-FREQ2.
024700     MOVE MMMM-BAL-SETT          TO SS95WS-IN-AMT.
024800     PERFORM SS95PD-NAP-ROUTINE
024900                                 THRU SS95PD-NAP-EXIT.
025000     MOVE SS95WS-OUT-AMT-L21     TO M901-SETT-BAL.
025100     MOVE MMMM-BAL-RESV-1        TO SS95WS-IN-AMT.
025200     PERFORM SS95PD-NAP-ROUTINE
025300                                 THRU SS95PD-NAP-EXIT.
025400     MOVE SS95WS-OUT-AMT-L21     TO M901-RESV-BAL1.
025500     MOVE MMMM-BAL-RESV-2        TO SS95WS-IN-AMT.
025600     PERFORM SS95PD-NAP-ROUTINE
025700                                 THRU SS95PD-NAP-EXIT.
025800     MOVE SS95WS-OUT-AMT-L21     TO M901-RESV-BAL2.
025900     MOVE MMMM-BAL-RESV-3        TO SS95WS-IN-AMT.
026000     PERFORM SS95PD-NAP-ROUTINE
026100                                 THRU SS95PD-NAP-EXIT.
026200     MOVE SS95WS-OUT-AMT-L21     TO M901-RESV-BAL3.
026300     MOVE MMMM-BAL-RESV-4        TO SS95WS-IN-AMT.
026400     PERFORM SS95PD-NAP-ROUTINE
026500                                 THRU SS95PD-NAP-EXIT.
026600     MOVE SS95WS-OUT-AMT-L21     TO M901-RESV-BAL4.
026700     MOVE MMMM-IMP-DEV-TITLE (1) TO M901-IMP-TITLE1.
026800     MOVE MMMM-IMP-DEV-TITLE (2) TO M901-IMP-TITLE2.
026900     MOVE MMMM-IMP-DEV-TITLE (3) TO M901-IMP-TITLE3.
027000     MOVE MMMM-POS-DEV-TITLE (1) TO M901-POS-TITLE1.
027100     MOVE MMMM-POS-DEV-TITLE (2) TO M901-POS-TITLE2.
027200     MOVE MMMM-POS-DEV-TITLE (3) TO M901-POS-TITLE3.
027300     MOVE MMMM-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
027400     PERFORM SS95PD-NAP-ROUTINE
027500                                 THRU SS95PD-NAP-EXIT.
027600     MOVE SS95WS-OUT-NBR-L07     TO M901-IMP-NBR1.
027700     MOVE MMMM-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
027800     PERFORM SS95PD-NAP-ROUTINE
027900                                 THRU SS95PD-NAP-EXIT.
028000     MOVE SS95WS-OUT-NBR-L07     TO M901-IMP-NBR2.
028100     MOVE MMMM-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
028200     PERFORM SS95PD-NAP-ROUTINE
028300                                 THRU SS95PD-NAP-EXIT.
028400     MOVE SS95WS-OUT-NBR-L07     TO M901-IMP-NBR3.
028500     MOVE MMMM-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
028600     PERFORM SS95PD-NAP-ROUTINE
028700                                 THRU SS95PD-NAP-EXIT.
028800     MOVE SS95WS-OUT-NBR-L07     TO M901-POS-NBR1.
028900     MOVE MMMM-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
029000     PERFORM SS95PD-NAP-ROUTINE
029100                                 THRU SS95PD-NAP-EXIT.
029200     MOVE SS95WS-OUT-NBR-L07     TO M901-POS-NBR2.
029300     MOVE MMMM-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
029400     PERFORM SS95PD-NAP-ROUTINE
029500                                 THRU SS95PD-NAP-EXIT.
029600     MOVE SS95WS-OUT-NBR-L07     TO M901-POS-NBR3.
029700*
029800********************************************
029900*  TO FORMAT AND POPULATE THE MESSAGE LINE *
030000********************************************
030100*
030200     IF M901-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
030300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
030400           THRU MB06PD-FML-EXIT
030500        MOVE SS08WS-FORMATTED-MSG   TO M901-ERR-MESSAGE
030600     END-IF.
030700*
030800******************************************
030900*    SET THE CURSOR AND SCREEN NUMBER    *
031000******************************************
031100*
031200     MOVE SS08WS-CURSOR          TO M901-CLOSE-FLAG-L.
031300*
031400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
031500*
031600**********************
031700*    SEND THE MAP    *
031800**********************
031900*
032000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
032100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
032200                                 THRU MB60PD-SMWE-EXIT.
032300*
032400************************
032500*    RETURN TO CICS    *
032600************************
032700*
032800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
032900     PERFORM MB70PD-RETURN-TRANS-ID
033000                                 THRU MB70PD-RTI-EXIT.
033100/
033200 C000-RECEIVE-SCREEN SECTION.
033300*
033400******************************************
033500*    THIS SECTION RECEIVES THE SCREEN    *
033600******************************************
033700*
033800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
033900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
034000*
034100**************************************************************
034200*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
034300**************************************************************
034400*
034500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB60PD-NEW-TRANS-ROUTINE
034700                                 THRU MB60PD-NTR-EXIT.
034800*
034900*****************************************
035000*    READ THE MERCH MASTER RECORD       *
035100*****************************************
035200*
035300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
035400     PERFORM 9100-READ-MMMM      THRU 9109-READ-MMMM-EXIT.
035500*
035600 C020-FIELD-EDITS.
035700*
035800***************************************
035900*    FIELD EDIT FOR CLOSE MERCH FLAG  *
036000***************************************
036100*
036200     IF  M901-CLOSE-FLAG-L       IS GREATER THAN ZERO
036300         MOVE DFHBMASF           TO M901-CLOSE-FLAG-A
036400     ELSE
036500         MOVE 'N'                TO M901-CLOSE-FLAG.
036600*
036700     IF  M901-VALID-CLOSE-FLAG
036800         NEXT SENTENCE
036900     ELSE
037000         GO TO C025-CLOSE-FLAG-ERROR.
037100*
037200     GO TO D000-RETURN-ERRORS.
037300*
037400 C025-CLOSE-FLAG-ERROR.
037500*
037600     IF  M901-CLOSE-FLAG-L       IS GREATER THAN ZERO
037700         MOVE DFHBMUBF           TO M901-CLOSE-FLAG-A.
037800*
037900     SET SS08WS-ERROR-SW-YES     TO TRUE.
038000     MOVE DFHBMASB               TO M901-CLOSE-FLAG-LP-A
038100                                    M901-CLOSE-FLAG-RP-A.
038200     MOVE SS08WS-CURSOR          TO M901-CLOSE-FLAG-L.
038300*
038400/
038500 D000-RETURN-ERRORS SECTION.
038600*
038700     IF  SS08WS-ERROR-SW-NO
038800         GO TO E000-UPDATE-FILE.
038900*
039000***************************************************************
039100*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
039200*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
039300*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
039400***************************************************************
039500*
039600     PERFORM MB60PD-INIT-STD-MAP-LINES
039700                                 THRU MB60PD-ISML-EXIT.
039800*
039900********************************************
040000*  TO FORMAT AND POPULATE THE MESSAGE LINE *
040100********************************************
040200*
040300     IF M901-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
040400        PERFORM MB06PD-FORMAT-MESSAGE-LINE
040500           THRU MB06PD-FML-EXIT
040600        MOVE SS08WS-FORMATTED-MSG   TO M901-ERR-MESSAGE
040700     END-IF.
040800*
040900**********************
041000*    SEND THE MAP    *
041100**********************
041200*
041300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
041400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
041500                                 THRU MB60PD-SMDO-EXIT.
041600*
041700************************
041800*    RETURN TO CICS    *
041900************************
042000*
042100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
042200     PERFORM MB70PD-RETURN-TRANS-ID
042300                                 THRU MB70PD-RTI-EXIT.
042400/
042500 E000-UPDATE-FILE SECTION.
042600*
042700****************************************************
042800*    READ THE MERCH MASTER RECORD FOR UPDATE       *
042900****************************************************
043000*
043100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
043200     SET MBIORO-READ-RANDOM-UPDATE
043300                                 TO TRUE.
043400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
043500*
043600 E010-CONTINUE.
043700*
043800*************************************
043900*    OBTAIN STORAGE FOR LOG FILE    *
044000*    RECORD IF DOING MAINTENANCE    *
044100*************************************
044200*
044300     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
044400     SET MBIORO-GETMAIN          TO TRUE.
044500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
044600*
044700 E020-UPDATE-FIELDS.
044800*
044900     IF  M901-CLOSE-FLAG-L       IS GREATER THAN ZERO
045000         IF M901-CLOSE-FLAG IS EQUAL TO 'Y'
045100             SET WS-UPDATE-SW-YES
045200                                 TO TRUE
045300             MOVE 0197           TO MML1-FIELD-CODE
045400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
045500                                    MML1-FIELD-OCCURRENCE-2
045600             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
045700             MOVE MMMM-REC-STATUS
045800                                 TO MML1-VL01-B-DATA-9
045900             SET MMMM-REC-PURGED
046000                                 TO TRUE
046100             MOVE MMMM-REC-STATUS
046200                                 TO MML1-VL01-A-DATA-9
046300             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
046400             PERFORM 9150-WRITE-LOG-REC-MERCH
046500                                 THRU 9159-WLRM-EXIT
046600             MOVE 0196           TO MML1-FIELD-CODE
046700             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
046800                                    MML1-FIELD-OCCURRENCE-2
046900             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
047000             MOVE MMMM-STATUS-CHANGE-OPER
047100                                 TO MML1-VL03-B-DATA-X
047200             MOVE MBCA-OPERATOR-ID
047300                                 TO MMMM-STATUS-CHANGE-OPER
047400             MOVE MMMM-STATUS-CHANGE-OPER
047500                                 TO MML1-VL03-A-DATA-X
047600             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
047700             PERFORM 9150-WRITE-LOG-REC-MERCH
047800                                 THRU 9159-WLRM-EXIT.
047900*
048000 E040-UPDATE-MMMM.
048100*
048200**************************************************************
048300*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
048400*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
048500*    ON THE SCREEN                                           *
048600**************************************************************
048700*
048800     IF  WS-UPDATE-SW-YES
048900         EVALUATE TRUE
049000             WHEN MMMM-SINGLE-STORE-YES
049100                 PERFORM 9400-SINGLE-STORE
049200                                 THRU 9499-SS-EXIT
049300             WHEN OTHER
049400                 PERFORM 9300-START-CROSS-REF
049500                                 THRU 9399-SCR-EXIT
049600         END-EVALUATE
049700         PERFORM 9700-START-MERCH-PRODUCT
049800                                 THRU 9799-SMP-EXIT
049900         PERFORM 9800-UPDATE-DELETE-MMRD
050000                                 THRU 9899-UDMMRD-EXIT
050100             VARYING X-MMMM-MERCH-CHAIN
050200             FROM 1 BY 1
050300             UNTIL X-MMMM-MERCH-CHAIN IS GREATER THAN 10
050400*
050500         PERFORM
050600             VARYING X-MMMM-MERCH-CHAIN
050700             FROM 1 BY 1
050800             UNTIL X-MMMM-MERCH-CHAIN IS GREATER THAN 10
050900             IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
051000                                 IS GREATER THAN ZEROS
051100                 MOVE 0901       TO MML1-FIELD-CODE
051200                 SET MML1-FIELD-OCCURRENCE
051300                                 TO X-MMMM-MERCH-CHAIN
051400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
051500                 MOVE MML1WS-VL-10
051600                                 TO MML1-VARIABLE-LENGTH
051700                 MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
051800                                 TO MML1-VL10-B-DATA-9
051900                 MOVE ZEROS      TO MMMM-MERCH-CHAIN-ID
052000                                    (X-MMMM-MERCH-CHAIN)
052100                 MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
052200                                 TO MML1-VL10-A-DATA-9
052300                 MOVE 'FC06'     TO MBCA-PROGRAM-LOCATION
052400                 PERFORM 9150-WRITE-LOG-REC-MERCH
052500                                 THRU 9159-WLRM-EXIT
052600             END-IF
052700         END-PERFORM
052800*
052900         MOVE 0198               TO MML1-FIELD-CODE
053000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
053100                                    MML1-FIELD-OCCURRENCE-2
053200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
053300         MOVE MMMM-LAST-MAINT-OPER
053400                                 TO MML1-VL03-B-DATA-X
053500         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
053600         MOVE MMMM-LAST-MAINT-OPER
053700                                 TO MML1-VL03-A-DATA-X
053800         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
053900         PERFORM 9150-WRITE-LOG-REC-MERCH
054000                                 THRU 9159-WLRM-EXIT
054100         MOVE 0199               TO MML1-FIELD-CODE
054200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
054300         MOVE MMMM-LAST-MAINT-DATE
054400                                 TO MML1-VL07-B-DATA-9
054500         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
054600         MOVE MMMM-LAST-MAINT-DATE
054700                                 TO MML1-VL07-A-DATA-9
054800         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
054900         PERFORM 9150-WRITE-LOG-REC-MERCH
055000                                 THRU 9159-WLRM-EXIT.
055100*
055200**************************************************************
055300*    REWRITE THE MERCH MASTER RECORD                         *
055400*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
055500*    UNLOCK IT IF THEY HAVE NOT                              *
055600**************************************************************
055700*
055800     IF  WS-UPDATE-SW-YES
055900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
056000         SET MBIORO-REWRITE      TO TRUE
056100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
056200     ELSE
056300         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
056400         SET MBIORO-UNLOCK       TO TRUE
056500         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
056600/
056700 F000-SETUP-COMMAREA SECTION.
056800*
056900***************************************************************
057000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
057100***************************************************************
057200*
057300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
057400*
057500     PERFORM MB60PD-EDIT-PAGE-NBR
057600                                 THRU MB60PD-EPN-EXIT.
057700*
057800     IF  SS08WS-VALID-PF-KEY
057900     OR  SS08WS-EIBAID-VALID-PF-KEY
058000         SET MBCA-INITIAL-SCREEN-NBR
058100                                 TO TRUE.
058200*
058300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
058400     PERFORM MB70PD-XCTL-TO-MBOXCTL
058500                                 THRU MB70PD-XTM-EXIT.
058600/
058700 9000-PERFORMED-AREA SECTION.
058800*
058900 9100-READ-MMMM.
059000*
059100*****************************************
059200*    READ THE MERCH MASTER RECORD       *
059300*****************************************
059400*
059500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
059600                                    M901-ORG.
059700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
059800                                    M901-MERCHANT.
059900     SET MBIORO-READ-RANDOM      TO TRUE.
060000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
060100*
060200 9109-READ-MMMM-EXIT.
060300     EXIT.
060400*
060500 9110-WRITE-LOG-REC-STORE.
060600*
060700     MOVE 'SM'                   TO MML1-FILE-CODE.
060800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
060900     MOVE MMSM-STORE             TO MML1-MMSM-STORE.
061000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
061100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
061200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
061300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
061400     SET MBIORO-WRITE            TO TRUE.
061500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
061600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
061700*
061800 9119-WLRS-EXIT.
061900     EXIT.
062000*
062100 9120-WRITE-LOG-REC-MMSD.
062200*
062300     MOVE 'SD'                   TO MML1-FILE-CODE.
062400     MOVE MMSD-ORG               TO MML1-MMSD-ORG.
062500     MOVE MMSD-CHAIN             TO MML1-MMSD-CHAIN.
062600     MOVE MMSD-SEQ-NBR           TO MML1-MMSD-SEQ-NBR.
062700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
062800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
062900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
063000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
063100     SET MBIORO-WRITE            TO TRUE.
063200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
063300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
063400*
063500 9129-WLRMMSD-EXIT.
063600     EXIT.
063700*
063800 9140-WRITE-LOG-REC-MMMP.
063900*
064000     MOVE 'MP'                   TO MML1-FILE-CODE.
064100     MOVE MMMP-ORG               TO MML1-MMMP-ORG.
064200     MOVE MMMP-MERCHANT          TO MML1-MMMP-MERCHANT.
064300     MOVE MMMP-PRODUCT           TO MML1-MMMP-PRODUCT.
064400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
064500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
064600     MOVE ZEROS                  TO MML1-SOURCE-CODE.
064700     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
064800     SET MBIORO-WRITE            TO TRUE.
064900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
065000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
065100*
065200 9149-WLRMMMP-EXIT.
065300     EXIT.
065400*
065500 9150-WRITE-LOG-REC-MERCH.
065600*
065700     MOVE 'MM'                   TO MML1-FILE-CODE.
065800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
065900     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
066000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
066100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
066200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
066300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
066400     SET MBIORO-WRITE            TO TRUE.
066500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
066600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
066700*
066800 9159-WLRM-EXIT.
066900     EXIT.
067000*
067100 9160-WRITE-LOG-REC-MMRD.
067200*
067300     MOVE 'RD'                   TO MML1-FILE-CODE.
067400     MOVE MMRD-ORG               TO MML1-MMRD-ORG.
067500     MOVE MMRD-CHAIN             TO MML1-MMRD-CHAIN.
067600     MOVE MMRD-SEQ-NBR           TO MML1-MMRD-SEQ-NBR.
067700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
067800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
067900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
068000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
068100     SET MBIORO-WRITE            TO TRUE.
068200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
068300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
068400*
068500 9169-WLRMMRD-EXIT.
068600     EXIT.
068700*
068800 9200-UPDATE-DELETE-MMSD.
068900*
069000     IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
069100                                 IS EQUAL TO ZEROS
069200         GO TO 9299-UDMMSD-EXIT.
069300*
069400     MOVE 1                      TO WS-SEQ-NBR.
069500*
069600 9231-GET-NEXT-MMSD.
069700*
069800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
069900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSD-ORG.
070000     MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
070100                                 TO MBIOWS-MMSD-CHAIN.
070200     MOVE WS-SEQ-NBR             TO MBIOWS-MMSD-SEQ-NBR.
070300     SET MBIORO-READ-RANDOM-UPDATE
070400                                 TO TRUE.
070500     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
070600     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
070700*
070800     IF  SS08WS-RC-FC-NOTFND
070900         GO TO 9299-UDMMSD-EXIT.
071000*
071100     SET X-MMSD-MEMBER           TO 1.
071200     SEARCH MMSD-MEMBER-TABLE VARYING X-MMSD-MEMBER
071300         AT END
071400             GO TO 9235-UNLOCK-RECORD
071500         WHEN MMSD-MEMBER (X-MMSD-MEMBER)
071600                                 IS EQUAL TO MMSM-STORE
071700             NEXT SENTENCE.
071800*
071900     MOVE MMSD-MEMBER (X-MMSD-MEMBER)
072000                                 TO WS-ORIGINAL-MEMBER.
072100     MOVE ZEROES                 TO MMSD-MEMBER
072200                                    (X-MMSD-MEMBER).
072300     MOVE MMSD-NBR-OF-MEMBERS    TO WS-ORIGINAL-NBR-MEMBERS.
072400     SUBTRACT 1                  FROM MMSD-NBR-OF-MEMBERS.
072500*
072600     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
072700*
072800******************************************************
072900*    WRITE THE REPLACEMENT RECORD OR MAINTENANCE     *
073000*    RECORD TO THE LOG FILE                          *
073100******************************************************
073200*
073300     MOVE 0990                   TO MML1-FIELD-CODE.
073400     SET MML1-FIELD-OCCURRENCE   TO X-MMSD-MEMBER.
073500     MOVE ZEROS                  TO MML1-FIELD-OCCURRENCE-2.
073600     MOVE MML1WS-VL-10           TO MML1-VARIABLE-LENGTH.
073700     MOVE WS-ORIGINAL-MEMBER     TO MML1-VL10-B-DATA-9.
073800     MOVE MMSD-MEMBER (X-MMSD-MEMBER)
073900                                 TO MML1-VL10-A-DATA-9.
074000     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
074100     PERFORM 9120-WRITE-LOG-REC-MMSD
074200                                 THRU 9129-WLRMMSD-EXIT.
074300     MOVE 0991                   TO MML1-FIELD-CODE.
074400     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
074500                                    MML1-FIELD-OCCURRENCE-2.
074600     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
074700     MOVE WS-ORIGINAL-NBR-MEMBERS
074800                                 TO MML1-VL03-B-DATA-9.
074900     MOVE MMSD-NBR-OF-MEMBERS    TO MML1-VL03-A-DATA-9.
075000     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
075100     PERFORM 9120-WRITE-LOG-REC-MMSD
075200                                 THRU 9129-WLRMMSD-EXIT.
075300*
075400     MOVE 0198                   TO MML1-FIELD-CODE.
075500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
075600                                    MML1-FIELD-OCCURRENCE-2.
075700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
075800     MOVE MMSD-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
075900     MOVE MBCA-OPERATOR-ID       TO MMSD-LAST-MAINT-OPER.
076000     MOVE MMSD-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
076100     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
076200     PERFORM 9120-WRITE-LOG-REC-MMSD
076300                                 THRU 9129-WLRMMSD-EXIT.
076400     MOVE 0199                   TO MML1-FIELD-CODE.
076500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
076600                                    MML1-FIELD-OCCURRENCE-2.
076700     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
076800     MOVE MMSD-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
076900     MOVE MBCA-START-DATE        TO MMSD-LAST-MAINT-DATE.
077000     MOVE MMSD-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
077100     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
077200     PERFORM 9120-WRITE-LOG-REC-MMSD
077300                                 THRU 9129-WLRMMSD-EXIT.
077400*
077500     SET MBIORO-REWRITE          TO TRUE.
077600     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
077700*
077800     ADD +1                      TO WS-SEQ-NBR.
077900*
078000     GO TO 9231-GET-NEXT-MMSD.
078100*
078200 9235-UNLOCK-RECORD.
078300*
078400******************************************
078500*    UNLOCK THE RECORD.  ADD 1 TO THE    *
078600*    SEQUENCE NUMBER, AND TRY AGAIN.     *
078700******************************************
078800*
078900     SET MBIORO-UNLOCK           TO TRUE.
079000     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
079100     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
079200*
079300     ADD +1                      TO WS-SEQ-NBR.
079400*
079500     GO TO 9231-GET-NEXT-MMSD.
079600*
079700 9299-UDMMSD-EXIT.
079800     EXIT.
079900*
080000 9300-START-CROSS-REF.
080100*
080200     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
080300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
080400     MOVE MMMM-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
080500     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
080600     SET MBIORO-STARTBR-GTE      TO TRUE.
080700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
080800*
080900 9310-READ-NEXT-MMXR.
081000*
081100     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
081200     SET MBIORO-READ-SEQ         TO TRUE.
081300     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
081400*
081500     IF  MMXR-ORG-MERCHANT IS GREATER THAN MMMM-KEY
081600         GO TO 9320-MMXR-ENDBR.
081700*
081800     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
081900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
082000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
082100     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
082200     SET MBIORO-READ-RANDOM-UPDATE
082300                                 TO TRUE.
082400     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
082500*
082600     IF  SS08WS-RC-FC-NOTFND
082700         GO TO 9399-SCR-EXIT.
082800*
082900     PERFORM 9200-UPDATE-DELETE-MMSD
083000                                 THRU 9299-UDMMSD-EXIT
083100         VARYING X-MMSM-STORE-CHAIN
083200         FROM 1 BY 1
083300         UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10.
083400*
083500     PERFORM 9500-UPDATE-STORE   THRU 9599-US-EXIT.
083600*
083700     GO TO 9310-READ-NEXT-MMXR.
083800*
083900 9320-MMXR-ENDBR.
084000*
084100     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
084200     SET MBIORO-ENDBR            TO TRUE.
084300     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
084400*
084500 9399-SCR-EXIT.
084600     EXIT.
084700*
084800 9400-SINGLE-STORE.
084900*
085000     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
085100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
085200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
085300     MOVE MMMM-STORE-NBR         TO MBIOWS-MMSM-STORE.
085400     SET MBIORO-READ-RANDOM-UPDATE
085500                                 TO TRUE.
085600     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
085700*
085800     IF  SS08WS-RC-FC-NOTFND
085900         GO TO 9499-SS-EXIT.
086000*
086100     PERFORM 9200-UPDATE-DELETE-MMSD
086200                                 THRU 9299-UDMMSD-EXIT
086300         VARYING X-MMSM-STORE-CHAIN
086400         FROM 1 BY 1
086500         UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10.
086600*
086700     PERFORM 9500-UPDATE-STORE   THRU 9599-US-EXIT.
086800*
086900 9499-SS-EXIT.
087000     EXIT.
087100*
087200 9500-UPDATE-STORE.
087300*
087400     IF  MMSM-NBR-BULLETINS IS GREATER THAN ZEROS
087500     OR  MMSM-VI-FLOOR-LIMIT IS GREATER THAN ZEROS
087600     OR  MMSM-MC-FLOOR-LIMIT IS GREATER THAN ZEROS
087700         MOVE 9010               TO MML1-FIELD-CODE
087800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
087900                                    MML1-FIELD-OCCURRENCE-2
088000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
088100         MOVE MMSM-CRB-FLAG      TO MML1-VL01-B-DATA-X
088200         SET MMSM-CRB-DELETE     TO TRUE
088300         MOVE MMSM-CRB-FLAG      TO MML1-VL01-A-DATA-X
088400         MOVE 'FC23'             TO MBCA-PROGRAM-LOCATION
088500         PERFORM 9110-WRITE-LOG-REC-STORE
088600                                 THRU 9119-WLRS-EXIT.
088700*
088800     PERFORM
088900         VARYING X-MMSM-STORE-CHAIN
089000         FROM 1 BY 1
089100         UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10
089200         IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
089300                                 IS GREATER THAN ZERO
089400             MOVE 0901           TO MML1-FIELD-CODE
089500             SET MML1-FIELD-OCCURRENCE
089600                                 TO X-MMSM-STORE-CHAIN
089700             MOVE ZEROS          TO MML1-FIELD-OCCURRENCE-2
089800             MOVE MML1WS-VL-10   TO MML1-VARIABLE-LENGTH
089900             MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
090000                                 TO MML1-VL10-B-DATA-9
090100             MOVE ZEROS          TO MMSM-STORE-CHAIN-ID
090200                                    (X-MMSM-STORE-CHAIN)
090300             MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
090400                                 TO MML1-VL10-A-DATA-9
090500             MOVE 'FC24'         TO MBCA-PROGRAM-LOCATION
090600             PERFORM 9110-WRITE-LOG-REC-STORE
090700                                 THRU 9119-WLRS-EXIT
090800         END-IF
090900     END-PERFORM.
091000*
091100     MOVE 0197                   TO MML1-FIELD-CODE.
091200     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
091300                                    MML1-FIELD-OCCURRENCE-2.
091400     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
091500     MOVE MMSM-REC-STATUS        TO MML1-VL01-B-DATA-9.
091600     SET MMSM-REC-PURGED         TO TRUE.
091700     MOVE MMSM-REC-STATUS        TO MML1-VL01-A-DATA-9.
091800     MOVE 'FC24'                 TO MBCA-PROGRAM-LOCATION.
091900     PERFORM 9110-WRITE-LOG-REC-STORE
092000                                 THRU 9119-WLRS-EXIT.
092100     MOVE 0196                   TO MML1-FIELD-CODE.
092200     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
092300                                    MML1-FIELD-OCCURRENCE-2.
092400     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
092500     MOVE MMSM-STATUS-CHANGE-OPER
092600                                 TO MML1-VL03-B-DATA-X.
092700     MOVE MBCA-OPERATOR-ID       TO MMSM-STATUS-CHANGE-OPER.
092800     MOVE MMSM-STATUS-CHANGE-OPER
092900                                 TO MML1-VL03-A-DATA-X.
093000     MOVE 'FC25'                 TO MBCA-PROGRAM-LOCATION.
093100     PERFORM 9110-WRITE-LOG-REC-STORE
093200                                 THRU 9119-WLRS-EXIT.
093300*
093400     MOVE 0198                   TO MML1-FIELD-CODE.
093500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
093600                                    MML1-FIELD-OCCURRENCE-2.
093700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
093800     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
093900     MOVE MBCA-OPERATOR-ID       TO MMSM-LAST-MAINT-OPER.
094000     MOVE MMSM-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
094100     MOVE 'FC26'                 TO MBCA-PROGRAM-LOCATION.
094200     PERFORM 9110-WRITE-LOG-REC-STORE
094300                                 THRU 9119-WLRS-EXIT.
094400     MOVE 0199                   TO MML1-FIELD-CODE.
094500     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
094600     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
094700     MOVE MBCA-START-DATE        TO MMSM-LAST-MAINT-DATE.
094800     MOVE MMSM-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
094900     MOVE 'FC27'                 TO MBCA-PROGRAM-LOCATION.
095000     PERFORM 9110-WRITE-LOG-REC-STORE
095100                                 THRU 9119-WLRS-EXIT.
095200*
095300     MOVE 'FC28'                 TO MBCA-PROGRAM-LOCATION.
095400     SET MBIORO-REWRITE          TO TRUE.
095500     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
095600*
095700 9599-US-EXIT.
095800     EXIT.
095900*
096000 9700-START-MERCH-PRODUCT.
096100*
096200     MOVE 'FC29'                 TO MBCA-PROGRAM-LOCATION.
096300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
096400     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
096500     MOVE WS-PRODUCT             TO MBIOWS-MMMP-PRODUCT.
096600     SET MBIORO-STARTBR-GTE      TO TRUE.
096700     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
096800*
096900 9710-READ-NEXT-MMMP.
097000*
097100     MOVE 'FC30'                 TO MBCA-PROGRAM-LOCATION.
097200     SET MBIORO-READ-SEQ         TO TRUE.
097300     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
097400*
097500     IF  MMMP-ORG-MERCHANT IS GREATER THAN MMMM-KEY
097600         GO TO 9740-MMMP-ENDBR.
097700*
097800     MOVE MMMP-PRODUCT           TO WS-PRODUCT.
097900*
098000     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
098100     SET MBIORO-ENDBR            TO TRUE.
098200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
098300*
098400     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
098500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
098600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
098700     MOVE WS-PRODUCT             TO MBIOWS-MMMP-PRODUCT.
098800     SET MBIORO-READ-RANDOM-UPDATE
098900                                 TO TRUE.
099000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
099100*
099200     MOVE 0197                   TO MML1-FIELD-CODE.
099300     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
099400                                    MML1-FIELD-OCCURRENCE-2.
099500     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
099600     MOVE MMMP-REC-STATUS        TO MML1-VL01-B-DATA-9.
099700     SET MMMP-REC-PURGED         TO TRUE.
099800     MOVE MMMP-REC-STATUS        TO MML1-VL01-A-DATA-9.
099900     MOVE 'FC31'                 TO MBCA-PROGRAM-LOCATION.
100000     PERFORM 9140-WRITE-LOG-REC-MMMP
100100                                 THRU 9149-WLRMMMP-EXIT.
100200*
100300     MOVE 0198                   TO MML1-FIELD-CODE.
100400     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
100500                                    MML1-FIELD-OCCURRENCE-2.
100600     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
100700     MOVE MMMP-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
100800     MOVE MBCA-OPERATOR-ID       TO MMMP-LAST-MAINT-OPER.
100900     MOVE MMMP-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
101000     MOVE 'FC32'                 TO MBCA-PROGRAM-LOCATION.
101100     PERFORM 9140-WRITE-LOG-REC-MMMP
101200                                 THRU 9149-WLRMMMP-EXIT.
101300*
101400     MOVE 0199                   TO MML1-FIELD-CODE.
101500     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
101600     MOVE MMMP-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
101700     MOVE MBCA-START-DATE        TO MMMP-LAST-MAINT-DATE.
101800     MOVE MMMP-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
101900     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
102000     PERFORM 9140-WRITE-LOG-REC-MMMP
102100                                 THRU 9149-WLRMMMP-EXIT.
102200*
102300     MOVE 'FC28'                 TO MBCA-PROGRAM-LOCATION.
102400     SET MBIORO-REWRITE          TO TRUE.
102500     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
102600*
102700     ADD 1                       TO WS-PRODUCT.
102800     GO TO 9700-START-MERCH-PRODUCT.
102900*
103000 9740-MMMP-ENDBR.
103100*
103200     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
103300     SET MBIORO-ENDBR            TO TRUE.
103400     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
103500*
103600 9799-SMP-EXIT.
103700     EXIT.
103800*
103900 9800-UPDATE-DELETE-MMRD.
104000*
104100*
104200     IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
104300                                 IS EQUAL TO ZEROS
104400         GO TO 9899-UDMMRD-EXIT.
104500*
104600     MOVE 1                      TO WS-SEQ-NBR.
104700     MOVE ZEROS                  TO WS-ORIGINAL-MEMBER
104800                                    WS-ORIGINAL-NBR-MEMBERS.
104900*
105000 9831-GET-NEXT-MMRD.
105100*
105200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
105300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
105400     MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
105500                                 TO MBIOWS-MMRD-CHAIN.
105600     MOVE WS-SEQ-NBR             TO MBIOWS-MMRD-SEQ-NBR.
105700     SET MBIORO-READ-RANDOM-UPDATE
105800                                 TO TRUE.
105900     MOVE 'FC35'                 TO MBCA-PROGRAM-LOCATION.
106000     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
106100*
106200     IF  SS08WS-RC-FC-NOTFND
106300         GO TO 9899-UDMMRD-EXIT.
106400*
106500     SET X-MMRD-MEMBER           TO 1.
106600     SEARCH MMRD-MEMBER-TABLE VARYING X-MMRD-MEMBER
106700         AT END
106800             GO TO 9835-UNLOCK-RECORD
106900         WHEN MMRD-MEMBER (X-MMRD-MEMBER)
107000                                 IS EQUAL TO MMMM-MERCHANT
107100             NEXT SENTENCE.
107200*
107300     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
107400                                 TO WS-ORIGINAL-MEMBER.
107500     MOVE ZEROES                 TO MMRD-MEMBER
107600                                    (X-MMRD-MEMBER).
107700     MOVE MMRD-NBR-OF-MEMBERS    TO WS-ORIGINAL-NBR-MEMBERS.
107800     SUBTRACT 1                  FROM MMRD-NBR-OF-MEMBERS.
107900*
108000     MOVE 'FC36'                 TO MBCA-PROGRAM-LOCATION.
108100*
108200******************************************************
108300*    WRITE THE REPLACEMENT RECORD OR MAINTENANCE     *
108400*    RECORD TO THE LOG FILE                          *
108500******************************************************
108600*
108700     MOVE 0990                   TO MML1-FIELD-CODE.
108800     SET MML1-FIELD-OCCURRENCE   TO X-MMRD-MEMBER.
108900     MOVE ZEROS                  TO MML1-FIELD-OCCURRENCE-2.
109000     MOVE MML1WS-VL-10           TO MML1-VARIABLE-LENGTH.
109100     MOVE WS-ORIGINAL-MEMBER     TO MML1-VL10-B-DATA-9.
109200     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
109300                                 TO MML1-VL10-A-DATA-9.
109400     MOVE 'FC37'                 TO MBCA-PROGRAM-LOCATION.
109500     PERFORM 9160-WRITE-LOG-REC-MMRD
109600                                 THRU 9169-WLRMMRD-EXIT.
109700     MOVE 0991                   TO MML1-FIELD-CODE.
109800     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
109900                                    MML1-FIELD-OCCURRENCE-2.
110000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
110100     MOVE WS-ORIGINAL-NBR-MEMBERS
110200                                 TO MML1-VL03-B-DATA-9.
110300     MOVE MMRD-NBR-OF-MEMBERS    TO MML1-VL03-A-DATA-9.
110400     MOVE 'FC38'                 TO MBCA-PROGRAM-LOCATION.
110500     PERFORM 9160-WRITE-LOG-REC-MMRD
110600                                 THRU 9169-WLRMMRD-EXIT.
110700*
110800     MOVE 0198                   TO MML1-FIELD-CODE.
110900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
111000                                    MML1-FIELD-OCCURRENCE-2.
111100     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
111200     MOVE MMRD-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
111300     MOVE MBCA-OPERATOR-ID       TO MMRD-LAST-MAINT-OPER.
111400     MOVE MMRD-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
111500     MOVE 'FC39'                 TO MBCA-PROGRAM-LOCATION.
111600     PERFORM 9160-WRITE-LOG-REC-MMRD
111700                                 THRU 9169-WLRMMRD-EXIT.
111800     MOVE 0199                   TO MML1-FIELD-CODE.
111900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
112000                                    MML1-FIELD-OCCURRENCE-2.
112100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
112200     MOVE MMRD-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
112300     MOVE MBCA-START-DATE        TO MMRD-LAST-MAINT-DATE.
112400     MOVE MMRD-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
112500     MOVE 'FC40'                 TO MBCA-PROGRAM-LOCATION.
112600     PERFORM 9160-WRITE-LOG-REC-MMRD
112700                                 THRU 9169-WLRMMRD-EXIT.
112800*
112900     SET MBIORO-REWRITE          TO TRUE.
113000     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
113100*
113200     ADD +1                      TO WS-SEQ-NBR.
113300*
113400     GO TO 9831-GET-NEXT-MMRD.
113500*
113600 9835-UNLOCK-RECORD.
113700*
113800******************************************
113900*    UNLOCK THE RECORD.  ADD 1 TO THE    *
114000*    SEQUENCE NUMBER, AND TRY AGAIN.     *
114100******************************************
114200*
114300     SET MBIORO-UNLOCK           TO TRUE.
114400     MOVE 'FC41'                 TO MBCA-PROGRAM-LOCATION.
114500     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
114600*
114700     ADD +1                      TO WS-SEQ-NBR.
114800*
114900     GO TO 9831-GET-NEXT-MMRD.
115000*
115100 9899-UDMMRD-EXIT.
115200     EXIT.
115300*
115400/
115500 Z000-COPIED-ROUTINES SECTION.
115600**********************************
115700*    JUL TO GREG DATE ROUTINE    *
115800**********************************
115900*
116000     COPY SS08PD.
116100/
116200     COPY SS26PD.
116300/
116400     COPY SS27PD.
116500/
116600*********************************
116700*    LINE 24 PF KEYS ROUTINE    *
116800*********************************
116900*
117000     COPY SS15PD.
117100/
117200************************************************
117300*    STORE MASTER RECORD ACCESS ROUTINES       *
117400************************************************
117500*
117600     COPY MMSMAO.
117700/
117800************************************************
117900*    MERCH MASTER RECORD ACCESS ROUTINES       *
118000************************************************
118100*
118200     COPY MMMMAO.
118300/
118400*******************************************************
118500*    STORE RELATIONSHIP DETAIL RECORD ACCESS ROUTINES *
118600*******************************************************
118700*
118800     COPY MMSDAO.
118900/
119000*******************************************************
119100*    MERCH RELATIONSHIP DETAIL RECORD ACCESS ROUTINES *
119200*******************************************************
119300*
119400     COPY MMRDAO.
119500/
119600*******************************************************
119700*    MERCH PRODUCT RECORD ACCESS ROUTINES             *
119800*******************************************************
119900*
120000     COPY MMMPAO.
120100/
120200************************************************************
120300*    STORE MERCHANT CROSS REF MASTER RECORD ACCESS ROUTINES*
120400************************************************************
120500*
120600     COPY MMXRAO.
120700/
120800*****************************************
120900*    LOG FILE RECORD ACCESS ROUTINES    *
121000*****************************************
121100*
121200     COPY MML1AO.
121300/
121400*******************************************
121500*    FORMAT NBR AND AMTS BY CURRENCY CODE *
121600*******************************************
121700*
121800     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
121900/
122000*****************************
122100*    FORMATTED MESSAGE LINE *
122200*****************************
122300*
122400     COPY MB06PD.
122500/
122600*****************************
122700*    ONLINE MAP ROUTINES    *
122800*****************************
122900*
123000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9M01 '
123100                           MBMAPXXI BY MB9M01I
123200                           MBMAPXXO BY MB9M01O.
123300/
123400***************************
123500*    ONLINE PROCEDURES    *
123600***************************
123700*
123800     COPY MB70PD.
123900/
124000     COPY SMFTPXO.
