000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9R00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9R00 - RATE TABLE STATUS CHANGE                       *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9R                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9R00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC (ORG CONTROL FILE)                    *
001600*                 B. MMRT (RATE TABLE FILE)                     *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE
002700     '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003100*
003200 01  WS-MISCELLANEOUS.
003300     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003400                                             VALUE +001.
003500     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003600                                             VALUE +998.
003700/
003800 01  FILLER                  PIC  X(29)      VALUE
003900     'I/O REQUEST BLOCK WORK AREAS:'.
004000*
004100     COPY MBIOWS.
004200/
004300 01  FILLER                  PIC  X(18)      VALUE
004400     'I/O REQUEST BLOCK:'.
004500*
004600     COPY MBIORO.
004700/
004800 01  FILLER                  PIC  X(21)      VALUE
004900     'ERROR MESSAGES TABLE:'.
005000*
005100     COPY MBEMWS.
005200/
005300 01  FILLER                  PIC  X(20)      VALUE
005400     'CCS DATE WORK AREAS:'.
005500*
005600     COPY SS01WS.
005700/
005800 01  FILLER                  PIC  X(15)      VALUE
005900     'CCS WORK AREAS:'.
006000*
006100     COPY SS08WS.
006200/
006300     COPY SS00WS.
006400/
006500     COPY SMFTWS.
006600/
006700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006800/
006900     COPY MB61LK.
007000/
007100 01  FILLER                  PIC  X(12)      VALUE
007200     '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700*
007800     COPY MB60WS.
007900/
008000******************************************
008100*    RATE TABLE LOCATE MAP               *
008200******************************************
008300*
008400     COPY MB9R00.
008500/
008600*******************************************************
008700*    RATE TABLE LOCATE MAP REDEFINITION               *
008800*******************************************************
008900*
009000     COPY MB9R00R.
009100/
009200***************************
009300*    ORG RECORD LAYOUT    *
009400***************************
009500*
009600     COPY MMOCRL.
009700/
009800*********************************************
009900*    RATE TABLE RECORD LAYOUT               *
010000*********************************************
010100*
010200     COPY MMRTRL.
010300/
010400 PROCEDURE DIVISION.
010500*
010600 A000-HOUSEKEEPING SECTION.
010700*
010800 A020-INIT.
010900*
011000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011200                                 THRU MB70PD-OLH-EXIT.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO C000-RECEIVE-SCREEN.
011600/
011700 B000-SEND-SCREEN SECTION.
011800*
011900*********************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP    *
012100*********************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700*
012800     IF  MBCA-INITIAL-KEY-CODE
012900         GO TO B020-BUILD-SCREEN.
013000*
013100     IF  MBCA-MMRT-KEY-CODE
013200         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013300             MOVE MBCA-MERCHANT-ORG
013400                                 TO R900-ORG
013500             MOVE DFHBMUNF       TO R900-ORG-A
013600             MOVE 3              TO R900-ORG-L
013700             IF  MBCA-TABLE         IS GREATER THAN ZERO
013800                 MOVE MBCA-TABLE TO R900-TABLE-NBR
013900                 MOVE DFHBMUNF   TO R900-TABLE-NBR-A
014000                 MOVE 9          TO R900-TABLE-NBR-L
014100                 IF  MBCA-TT-VALID
014200                     MOVE MBCA-TABLE-TYPE
014300                                 TO R900-TABLE-TYPE
014400                     MOVE DFHBMFSE
014500                                 TO R900-TABLE-TYPE-A
014600                     MOVE 1      TO R900-TABLE-TYPE-L
014700
014800                 ELSE
014900                     GO TO B010-CHECK-KEY-CODE
015000             ELSE
015100                 GO TO B010-CHECK-KEY-CODE
015200         ELSE
015300             GO TO B010-CHECK-KEY-CODE
015400     ELSE
015500         GO TO B010-CHECK-KEY-CODE.
015600*
015700     IF  MBCA-DIRECT-TRANSFER-CODE
015800     AND MBCA-INITIAL-SCREEN-NBR
015900         MOVE 00                 TO MBCA-SCREEN-NBR
016000         GO TO C082-READ-ORG
016100     ELSE
016200         GO TO B020-BUILD-SCREEN.
016300*
016400 B010-CHECK-KEY-CODE.
016500*
016600     IF  MBCA-VALID-KEY-CODES
016700         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016800             MOVE MBCA-MERCHANT-ORG
016900                                 TO R900-ORG
017000             MOVE DFHBMUNF       TO R900-ORG-A
017100             IF  MBCA-TABLE IS GREATER THAN ZERO
017200                 MOVE MBCA-TABLE TO R900-TABLE-NBR
017300                 MOVE DFHBMUNF   TO R900-TABLE-NBR-A
017400                 IF  MBCA-TT-VALID
017500                     MOVE MBCA-TABLE-TYPE
017600                                 TO R900-TABLE-TYPE
017700                     MOVE DFHBMFSE
017800                                 TO R900-TABLE-TYPE-A.
017900*
018000*
018100 B020-BUILD-SCREEN.
018200*
018300*******************************************
018400*    INITIALIZE THE STANDARD MAP LINES    *
018500*******************************************
018600*
018700     MOVE SS08WS-CURSOR          TO R900-ORG-L.
018800     MOVE 00                     TO MBCA-SCREEN-NBR.
018900     PERFORM MB60PD-INIT-STD-MAP-LINES
019000                                 THRU MB60PD-ISML-EXIT.
019100*
019200**********************
019300*    SEND THE MAP    *
019400**********************
019500*
019600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
019700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
019800                                 THRU MB60PD-SMWE-EXIT.
019900*
020000************************
020100*    RETURN TO CICS    *
020200************************
020300*
020400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
020500     PERFORM MB70PD-RETURN-TRANS-ID
020600                                 THRU MB70PD-RTI-EXIT.
020700/
020800 C000-RECEIVE-SCREEN SECTION.
020900*
021000*************************************************
021100*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
021200*************************************************
021300*
021400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
021500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
021600*
021700**************************************************************
021800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
021900**************************************************************
022000*
022100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
022200     PERFORM MB60PD-NEW-TRANS-ROUTINE
022300                                 THRU MB60PD-NTR-EXIT.
022400*
022500 C020-EDIT-SCREEN.
022600*
022700     SET SS08WS-ERROR-SW-NO      TO TRUE.
022800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
022900*
023000     IF  (R900-ORG-L IS LESS THAN 1
023100     AND  R900-TABLE-NBR-L IS LESS THAN 1
023200     AND  R900-TABLE-TYPE-L IS LESS THAN 1)
023300     AND (SS08WS-VALID-PF-KEY
023400     OR   SS08WS-EIBAID-VALID-PF-KEY)
023500         SET MBCA-INITIAL-SCREEN-NBR
023600                                 TO TRUE
023700         GO TO F090-TRANSFER-XCTL.
023800*
023900******************************************************
024000*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
024100*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
024200******************************************************
024300*
024400     MOVE DFHBMUNP               TO R900-TABLE-TYPE-A.
024500     MOVE DFHBMUNN               TO R900-ORG-A
024600                                    R900-TABLE-NBR-A.
024700     MOVE DFHBMASK               TO R900-ORG-LP-A
024800                                    R900-ORG-RP-A
024900                                    R900-TABLE-NBR-LP-A
025000                                    R900-TABLE-NBR-RP-A
025100                                    R900-TABLE-TYPE-LP-A
025200                                    R900-TABLE-TYPE-RP-A.
025300*
025400 C080-EDIT-ORG.
025500*
025600     IF  R900-ORG-L IS EQUAL TO ZERO
025700     OR  R900-ORG IS NOT NUMERIC
025800     OR  R900-ORG IS LESS THAN MBCA-ORG-LOW
025900     OR  R900-ORG IS GREATER THAN MBCA-ORG-HIGH
026000     OR  R900-ORG IS LESS THAN WS-ORG-LOW
026100     OR  R900-ORG IS GREATER THAN WS-ORG-HIGH
026200         MOVE MBEMWS-INVALID-ORG TO R900-ERR-MESSAGE
026300         GO TO C098-ORG-ERROR.
026400*
026500 C082-READ-ORG.
026600*
026700************************************************
026800*    READ THE ORGANIZATION RECORD.  IT MUST    *
026900*    BE ON FILE AND AN ACTIVE RECORD.          *
027000************************************************
027100*
027200     MOVE R900-ORG               TO MBIOWS-MMOC-ORG.
027300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
027400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
027500     SET MBIORO-READ-RANDOM      TO TRUE.
027600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
027700*
027800     IF  SS08WS-RC-FC-NOTFND
027900         MOVE MBEMWS-NOT-ON-FILE TO R900-ERR-MESSAGE
028000     ELSE
028100         IF  MMOC-ADD-PENDING
028200             MOVE MBEMWS-ADD-PENDING
028300                                 TO R900-ERR-MESSAGE
028400         ELSE
028500             IF  MMOC-REC-PURGED
028600                 MOVE MBEMWS-NOT-ACTIVE
028700                                 TO R900-ERR-MESSAGE
028800             ELSE
028900                 MOVE DFHBMUNF   TO R900-ORG-A
029000                 MOVE R900-ORG   TO MBCA-MERCHANT-ORG
029100                 GO TO C099-EDIT-TYPE.
029200*
029300 C098-ORG-ERROR.
029400*
029500     SET SS08WS-ERROR-SW-YES     TO TRUE.
029600     MOVE DFHBMASB               TO R900-ORG-LP-A
029700                                    R900-ORG-RP-A.
029800     MOVE SS08WS-CURSOR          TO R900-ORG-L.
029900     MOVE DFHBMNBF               TO R900-ORG-A
030000                                    R900-TABLE-NBR-A.
030100     MOVE DFHBMFSE               TO R900-TABLE-TYPE-A.
030200     GO TO D000-RETURN-ERRORS.
030300*
030400 C099-EDIT-TYPE.
030500*
030600     IF  NOT R900-TABLE-TYPE-VALID
030700         MOVE MBEMWS-INVALID-TYPE
030800                                 TO R900-ERR-MESSAGE
030900         GO TO C099-TYPE-ERROR.
031000*
031100     MOVE DFHBMFSE               TO R900-TABLE-TYPE-A.
031200     MOVE R900-TABLE-TYPE        TO MBCA-TABLE-TYPE.
031300     GO TO C100-EDIT-TABLE-NBR.
031400*
031500 C099-TYPE-ERROR.
031600*
031700     MOVE 'Y'                    TO SS08WS-ERROR.
031800     MOVE DFHBMASB               TO R900-TABLE-TYPE-LP-A
031900                                    R900-TABLE-TYPE-RP-A.
032000     MOVE SS08WS-CURSOR          TO R900-TABLE-TYPE-L.
032100     MOVE DFHBMUBF               TO R900-TABLE-TYPE-A.
032200     MOVE DFHBMNBF               TO R900-TABLE-NBR-A.
032300     GO TO D000-RETURN-ERRORS.
032400*
032500 C100-EDIT-TABLE-NBR.
032600*
032700***********************************************************
032800*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
032900*    SEE IF ANYTHING WAS KEYED.                           *
033000***********************************************************
033100*
033200     IF  R900-TABLE-NBR-L IS GREATER THAN ZERO
033300     AND (R900-TABLE-NBR IS EQUAL TO ZEROS
033400     OR  R900-TABLE-NBR IS EQUAL TO LOW-VALUES)
033500         MOVE MBEMWS-INVALID-TABLE
033600                                 TO R900-ERR-MESSAGE
033700         GO TO C118-TABLE-NBR-ERROR.
033800*
033900 C102-READ-TABLE-NBR.
034000*
034100***************************************************************
034200*    READ THE SECURITY RECORD. IT MUST BE ON FILE AND         *
034300*    IT MUST                                                  *
034400*    NOT BE ON FILE (OR IN AN ADD PENDING STATE), IF IN ADD.  *
034500***************************************************************
034600*
034700     IF  R900-TABLE-NBR IS EQUAL TO SPACES
034800         MOVE MBEMWS-INVALID-TABLE
034900                                 TO R900-ERR-MESSAGE
035000         GO TO C118-TABLE-NBR-ERROR.
035100*
035200     IF  R900-TABLE-NBR-L IS EQUAL TO ZEROS
035300         MOVE MBEMWS-INVALID-TABLE
035400                                 TO R900-ERR-MESSAGE
035500         GO TO C118-TABLE-NBR-ERROR.
035600*
035700     MOVE R900-ORG               TO MBIOWS-MMRT-ORG.
035800     MOVE R900-TABLE-NBR         TO MBIOWS-MMRT-TABLE-NBR.
035900     MOVE R900-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
036000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
036100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
036200     SET MBIORO-READ-RANDOM      TO TRUE.
036300     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
036400*
036500     IF  SS08WS-RC-FC-VALID-RTN-CODE
036600         MOVE R900-TABLE-NBR     TO MBCA-TABLE.
036700*
036800     IF  SS08WS-RC-FC-VALID-RTN-CODE
036900         IF  MMRT-ADD-PENDING
037000             MOVE MBEMWS-ADD-PENDING
037100                                 TO R900-ERR-MESSAGE
037200             GO TO C118-TABLE-NBR-ERROR
037300         ELSE
037400             IF  MMRT-REC-INCOMPLETE
037500                 MOVE MBEMWS-NOT-ACTIVE
037600                                 TO R900-ERR-MESSAGE
037700                 GO TO C118-TABLE-NBR-ERROR
037800             ELSE
037900                 GO TO F000-SETUP-COMMAREA
038000     ELSE
038100         MOVE MBEMWS-NOT-ON-FILE
038200                                 TO R900-ERR-MESSAGE
038300         GO TO C118-TABLE-NBR-ERROR.
038400*
038500 C118-TABLE-NBR-ERROR.
038600*
038700     SET SS08WS-ERROR-SW-YES     TO TRUE.
038800     MOVE DFHBMASB               TO R900-TABLE-NBR-LP-A
038900                                    R900-TABLE-NBR-RP-A
039000                                    R900-TABLE-TYPE-RP-A
039100                                    R900-TABLE-TYPE-LP-A.
039200     MOVE SS08WS-CURSOR          TO R900-TABLE-NBR-L.
039300     MOVE DFHBMNBF               TO R900-TABLE-NBR-A.
039400     MOVE DFHBMUBF               TO R900-TABLE-TYPE-A.
039500/
039600 D000-RETURN-ERRORS SECTION.
039700*
039800     IF  SS08WS-ERROR-SW-NO
039900         GO TO F000-SETUP-COMMAREA
040000     ELSE
040100         IF  SS08WS-VALID-PF-KEY
040200         OR  SS08WS-EIBAID-VALID-PF-KEY
040300             SET MBCA-INITIAL-SCREEN-NBR
040400                                 TO TRUE
040500             GO TO F090-TRANSFER-XCTL.
040600*
040700***************************************************************
040800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
040900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
041000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
041100***************************************************************
041200*
041300     PERFORM MB60PD-INIT-STD-MAP-LINES
041400                                 THRU MB60PD-ISML-EXIT.
041500*
041600**********************
041700*    SEND THE MAP    *
041800**********************
041900*
042000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
042100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
042200                                 THRU MB60PD-SMWE-EXIT.
042300*
042400************************
042500*    RETURN TO CICS    *
042600************************
042700*
042800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
042900     PERFORM MB70PD-RETURN-TRANS-ID
043000                                 THRU MB70PD-RTI-EXIT.
043100/
043200 F000-SETUP-COMMAREA SECTION.
043300*
043400***************************************************************
043500*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
043600***************************************************************
043700*
043800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
043900*
044000     MOVE MBIOWS-MMRT-DIRECT-KEY-CODE
044100                                 TO MBCA-KEY-CODE.
044200*
044300     PERFORM MB60PD-EDIT-PAGE-NBR
044400                                 THRU MB60PD-EPN-EXIT.
044500*
044600     IF  SS08WS-VALID-PF-KEY
044700     OR  SS08WS-EIBAID-VALID-PF-KEY
044800         SET MBCA-INITIAL-SCREEN-NBR
044900                                 TO TRUE.
045000*
045100 F090-TRANSFER-XCTL.
045200*
045300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
045400     PERFORM MB70PD-XCTL-TO-MBOXCTL
045500                                 THRU MB70PD-XTM-EXIT.
045600/
045700 Z000-COPIED-ROUTINES SECTION.
045800*
045900**********************************
046000*    JUL TO GREG DATE ROUTINE    *
046100**********************************
046200*
046300     COPY SS08PD.
046400/
046500     COPY SS26PD.
046600/
046700     COPY SS27PD.
046800/
046900*********************************
047000*    LINE 24 PF KEYS ROUTINE    *
047100*********************************
047200*
047300     COPY SS15PD.
047400/
047500*******************************************
047600*    ORG FILE ACCESS ROUTINES             *
047700*******************************************
047800*
047900     COPY MMOCAO.
048000/
048100******************************************************
048200*    RATE TABLE RECORD ACCESS ROUTINES               *
048300******************************************************
048400*
048500     COPY MMRTAO.
048600/
048700*****************************
048800*    ONLINE MAP ROUTINES    *
048900*****************************
049000*
049100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9R00 '
049200                           MBMAPXXI BY MB9R00I
049300                           MBMAPXXO BY MB9R00O.
049400/
049500***************************
049600*    ONLINE PROCEDURES    *
049700***************************
049800*
049900     COPY MB70PD.
050000/
050100     COPY SMFTPXO.
