000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9S01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOS901 - STORE PURGED                                   *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9S                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9S01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMSM (STORE MASTER FILE)                   *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 C. MMSD (STORE RELATIONSHIP DETAIL FILE)      *
001800*                 D. MMXR (STORE MERCHANT CROSS REF)           *
001900*                 E. MML1 (LOG FILE)                            *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-ORIGINAL-MEMBER  PIC S9(09)      COMP-3
003600                                             VALUE ZEROES.
003700     03  WS-ORIGINAL-NBR-MEMBERS
003800                             PIC S9(03)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SEQ-NBR          PIC S9(03)      BINARY
004100                                             VALUE +1.
004200*
004300 01  FILLER                  PIC  X(17)      VALUE
004400     'PROGRAM SWITCHES:'.
004500*
004600 01  WS-PROGRAM-SWITCHES.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005000/
005100 01  FILLER                  PIC  X(29)      VALUE
005200     'I/O REQUEST BLOCK WORK AREAS:'.
005300*
005400     COPY MBIOWS.
005500/
005600 01  FILLER                  PIC  X(21)      VALUE
005700     'ERROR MESSAGES TABLE:'.
005800*
005900     COPY MBEMWS.
006000/
006100 01  FILLER                  PIC  X(18)      VALUE
006200     'I/O REQUEST BLOCK:'.
006300*
006400     COPY MBIORO.
006500/
006600 01  FILLER                  PIC  X(25)      VALUE
006700     'LOG RECORD REQUEST BLOCK:'.
006800*
006900     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
007000/
007100 01  FILLER                  PIC  X(31)      VALUE
007200     'DYNAMICALLY CALLED SUBROUTINES:'.
007300*
007400     COPY MB00WS.
007500/
007600 01  FILLER                  PIC  X(37)      VALUE
007700     'FORMAT NBR AND AMTS BY CURRENCY CODE:'.
007800*
007900     COPY SS95WS.
008000/
008100 01  FILLER                  PIC  X(20)      VALUE
008200     'CCS DATE WORK AREAS:'.
008300*
008400     COPY SS01WS.
008500/
008600 01  FILLER                  PIC  X(15)      VALUE
008700     'CCS WORK AREAS:'.
008800*
008900     COPY SS08WS.
009000/
009100     COPY SS00WS.
009200/
009300     COPY SMFTWS.
009400/
009500     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009600/
009700     COPY MB61LK.
009800/
009900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010000/
010100 LINKAGE SECTION.
010200*
010300 01  DFHCOMMAREA.
010400*
010500     COPY MB60WS.
010600/
010700********************************
010800*    STORE PURGED  MAP         *
010900********************************
011000*
011100     COPY MB9S01.
011200/
011300***********************************************
011400*    STORE PURGED  MAP REDEFINITION           *
011500***********************************************
011600*
011700     COPY MB9S01R.
011800/
011900****************************************
012000*    STORE MASTER  RECORD LAYOUT       *
012100****************************************
012200*
012300     COPY MMSMRL.
012400/
012500****************************************
012600*    MERCHANT MASTER RECORD LAYOUT     *
012700****************************************
012800*
012900     COPY MMMMRL.
013000/
013100**********************************************
013200*    STORE RELATIONSHIP DETAIL RECORD LAYOUT *
013300**********************************************
013400*
013500     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
013600/
013700**********************************************
013800*    STORE MERCHANT CROSS REF RECORD LAYOUT  *
013900**********************************************
014000*
014100     COPY MMXRRL.
014200/
014300***************************
014400*    LOG RECORD LAYOUT    *
014500***************************
014600*
014700     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
014800/
014900 PROCEDURE DIVISION.
015000*
015100 A000-HOUSEKEEPING SECTION.
015200*
015300 A020-INIT.
015400*
015500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015700                                 THRU MB70PD-OLH-EXIT.
015800*
015900     SET SS95WS-FUNCTION-INITIALIZE
016000                                 TO TRUE.
016100     PERFORM SS95PD-NAP-ROUTINE
016200        THRU SS95PD-NAP-EXIT.
016300*
016400     IF  MBCA-RECEIVE-SCREEN
016500         GO TO C000-RECEIVE-SCREEN.
016600/
016700 B000-SEND-SCREEN SECTION.
016800*
016900*********************************************
017000*    GET CICS STORAGE NEEDED FOR THE MAP    *
017100*********************************************
017200*
017300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017400     PERFORM MB60PD-GETMAIN-FOR-MAP
017500                                 THRU MB60PD-GFM-EXIT.
017600*
017700*******************************************
017800*    INITIALIZE THE STANDARD MAP LINES    *
017900*******************************************
018000*
018100     PERFORM MB60PD-INIT-STD-MAP-LINES
018200                                 THRU MB60PD-ISML-EXIT.
018300*
018400*****************************************
018500*    READ THE STORE MASTER RECORD       *
018600*****************************************
018700*
018800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018900     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
019000*
019100*********************************************
019200*    MOVE THE PRIMARY NAME TO THE SCREEN    *
019300*********************************************
019400*
019500     MOVE MMSM-NA-LINE (1 1)     TO S901-STORE-NAME.
019600*
019700 B020-MOVE-FIELDS-TO-SCREEN.
019800*
019900*
020000     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
020100     MOVE 'N'                    TO S901-CLOSE-FLAG.
020200     MOVE MMSM-CLOSE-REASON      TO S901-CLOSE-REASON.
020300     MOVE MMSM-DATE-OPENED       TO SS01WS-JULIAN.
020400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020500        THRU SS26PD-NED-EXIT.
020600     MOVE SS01WS-XX-XX-YYYY      TO S901-DATE-OPEN.
020700     MOVE MMSM-DBA-NAME          TO S901-DBA-NAME.
020800     MOVE MMSM-DATE-CLOSED       TO SS01WS-JULIAN.
020900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021000        THRU SS26PD-NED-EXIT.
021100     MOVE SS01WS-XX-XX-YYYY      TO S901-DATE-CLOSED.
021200     MOVE MMSM-DBA-CITY          TO S901-DBA-CITY.
021300     MOVE MMSM-DBA-COUNTRY-CODE  TO S901-DBA-STATE.
021400     MOVE MMSM-PURGING-DATE      TO SS01WS-JULIAN.
021500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021600        THRU SS26PD-NED-EXIT.
021700     MOVE SS01WS-XX-XX-YYYY      TO S901-DATE-PURGING.
021800     MOVE MMSM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
021900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
022000        THRU SS26PD-NED-EXIT.
022100     MOVE SS01WS-XX-XX-YYYY      TO S901-DATE-LAST-ACT.
022200     MOVE MMSM-STORE-TYPE        TO S901-STORE-TYPE.
022300     MOVE MMSM-AGENT-BANK        TO S901-AGENT.
022400     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
022500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
022600        THRU SS26PD-NED-EXIT.
022700     MOVE SS01WS-XX-XX-YYYY      TO S901-SETT-ACT-DATE.
022800     MOVE MMSM-AUTH-CODE         TO S901-AUTH-FLAG.
022900     MOVE MMSM-BRANCH            TO S901-BRANCH.
023000     MOVE MMSM-STORE-SETT-FLAG   TO S901-SETT-FLAG.
023100     MOVE MMSM-AUTH-LOGO         TO S901-AUTH-LOGO.
023200     MOVE MMSM-IMP-DEV-TITLE (1) TO S901-IMP-TITLE1.
023300     MOVE MMSM-IMP-DEV-TITLE (2) TO S901-IMP-TITLE2.
023400     MOVE MMSM-IMP-DEV-TITLE (3) TO S901-IMP-TITLE3.
023500     MOVE MMSM-POS-DEV-TITLE (1) TO S901-POS-TITLE1.
023600     MOVE MMSM-POS-DEV-TITLE (2) TO S901-POS-TITLE2.
023700     MOVE MMSM-POS-DEV-TITLE (3) TO S901-POS-TITLE3.
023800     MOVE MMSM-IMP-DEV-NBR (1)   TO SS95WS-IN-NBR.
023900     PERFORM SS95PD-NAP-ROUTINE
024000                                 THRU SS95PD-NAP-EXIT.
024100     MOVE SS95WS-OUT-NBR-L07     TO S901-IMP-NBR1.
024200     MOVE MMSM-IMP-DEV-NBR (2)   TO SS95WS-IN-NBR.
024300     PERFORM SS95PD-NAP-ROUTINE
024400                                 THRU SS95PD-NAP-EXIT.
024500     MOVE SS95WS-OUT-NBR-L07     TO S901-IMP-NBR2.
024600     MOVE MMSM-IMP-DEV-NBR (3)   TO SS95WS-IN-NBR.
024700     PERFORM SS95PD-NAP-ROUTINE
024800                                 THRU SS95PD-NAP-EXIT.
024900     MOVE SS95WS-OUT-NBR-L07     TO S901-IMP-NBR3.
025000     MOVE MMSM-POS-DEV-NBR (1)   TO SS95WS-IN-NBR.
025100     PERFORM SS95PD-NAP-ROUTINE
025200                                 THRU SS95PD-NAP-EXIT.
025300     MOVE SS95WS-OUT-NBR-L07     TO S901-POS-NBR1.
025400     MOVE MMSM-POS-DEV-NBR (2)   TO SS95WS-IN-NBR.
025500     PERFORM SS95PD-NAP-ROUTINE
025600                                 THRU SS95PD-NAP-EXIT.
025700     MOVE SS95WS-OUT-NBR-L07     TO S901-POS-NBR2.
025800     MOVE MMSM-POS-DEV-NBR (3)   TO SS95WS-IN-NBR.
025900     PERFORM SS95PD-NAP-ROUTINE
026000                                 THRU SS95PD-NAP-EXIT.
026100     MOVE SS95WS-OUT-NBR-L07     TO S901-POS-NBR3.
026200*
026300******************************************
026400*    SET THE CURSOR AND SCREEN NUMBER    *
026500******************************************
026600*
026700     IF  MMSM-SETT-HIST-NOT-PRESENT
026800         MOVE SS08WS-CURSOR      TO S901-CLOSE-FLAG-L
026900     ELSE
027000         MOVE SS08WS-CURSOR      TO S901-ALT-TRANID-L.
027100*
027200     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
027300*
027400**********************
027500*    SEND THE MAP    *
027600**********************
027700*
027800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
027900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
028000                                 THRU MB60PD-SMWE-EXIT.
028100*
028200************************
028300*    RETURN TO CICS    *
028400************************
028500*
028600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
028700     PERFORM MB70PD-RETURN-TRANS-ID
028800                                 THRU MB70PD-RTI-EXIT.
028900/
029000 C000-RECEIVE-SCREEN SECTION.
029100*
029200******************************************
029300*    THIS SECTION RECEIVES THE SCREEN    *
029400******************************************
029500*
029600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
029700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
029800*
029900**************************************************************
030000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
030100**************************************************************
030200*
030300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
030400     PERFORM MB60PD-NEW-TRANS-ROUTINE
030500                                 THRU MB60PD-NTR-EXIT.
030600*
030700*****************************************
030800*    READ THE STORE MASTER RECORD       *
030900*****************************************
031000*
031100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
031200     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
031300*
031400 C020-FIELD-EDITS.
031500*
031600***************************************
031700*    FIELD EDIT FOR CLOSE STORE FLAG  *
031800***************************************
031900*
032000     IF  S901-CLOSE-FLAG-L       IS GREATER THAN ZERO
032100         MOVE DFHBMASF           TO S901-CLOSE-FLAG-A
032200     ELSE
032300         MOVE 'N'                TO S901-CLOSE-FLAG.
032400*
032500     IF  S901-VALID-CLOSE-FLAG
032600         NEXT SENTENCE
032700     ELSE
032800         GO TO C025-CLOSE-FLAG-ERROR.
032900*
033000     GO TO D000-RETURN-ERRORS.
033100*
033200 C025-CLOSE-FLAG-ERROR.
033300*
033400     IF  S901-CLOSE-FLAG-L       IS GREATER THAN ZERO
033500         MOVE DFHBMUBF           TO S901-CLOSE-FLAG-A.
033600*
033700     SET SS08WS-ERROR-SW-YES     TO TRUE.
033800     MOVE DFHBMASB               TO S901-CLOSE-FLAG-LP-A
033900                                    S901-CLOSE-FLAG-RP-A.
034000     MOVE SS08WS-CURSOR          TO S901-CLOSE-FLAG-L.
034100*
034200/
034300 D000-RETURN-ERRORS SECTION.
034400*
034500     IF  SS08WS-ERROR-SW-NO
034600         GO TO E000-UPDATE-FILE.
034700*
034800***************************************************************
034900*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
035000*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
035100*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
035200***************************************************************
035300*
035400     PERFORM MB60PD-INIT-STD-MAP-LINES
035500                                 THRU MB60PD-ISML-EXIT.
035600*
035700**********************
035800*    SEND THE MAP    *
035900**********************
036000*
036100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
036200     PERFORM MB60PD-SEND-MAP-DATA-ONLY
036300                                 THRU MB60PD-SMDO-EXIT.
036400*
036500************************
036600*    RETURN TO CICS    *
036700************************
036800*
036900     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
037000     PERFORM MB70PD-RETURN-TRANS-ID
037100                                 THRU MB70PD-RTI-EXIT.
037200/
037300 E000-UPDATE-FILE SECTION.
037400*
037500****************************************************
037600*    READ THE STORE MASTER RECORD FOR UPDATE       *
037700****************************************************
037800*
037900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
038000     SET MBIORO-READ-RANDOM-UPDATE
038100                                 TO TRUE.
038200     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
038300*
038400 E010-CONTINUE.
038500*
038600*************************************
038700*    OBTAIN STORAGE FOR LOG FILE    *
038800*    RECORD IF DOING MAINTENANCE    *
038900*************************************
039000*
039100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
039200     SET MBIORO-GETMAIN          TO TRUE.
039300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
039400*
039500 E020-UPDATE-FIELDS.
039600*
039700     IF  S901-CLOSE-FLAG-L       IS GREATER THAN ZERO
039800         IF S901-CLOSE-FLAG IS EQUAL TO 'Y'
039900             SET WS-UPDATE-SW-YES
040000                                 TO TRUE
040100             MOVE 0197           TO MML1-FIELD-CODE
040200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
040300                                    MML1-FIELD-OCCURRENCE-2
040400             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
040500             MOVE MMSM-REC-STATUS
040600                                 TO MML1-VL01-B-DATA-9
040700             SET MMSM-REC-PURGED
040800                                 TO TRUE
040900             MOVE MMSM-REC-STATUS
041000                                 TO MML1-VL01-A-DATA-9
041100             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
041200             PERFORM 9210-WRITE-LOG-REC-STORE
041300                                 THRU 9219-WLRS-EXIT
041400             MOVE 0196           TO MML1-FIELD-CODE
041500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
041600                                    MML1-FIELD-OCCURRENCE-2
041700             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
041800             MOVE MMSM-STATUS-CHANGE-OPER
041900                                 TO MML1-VL03-B-DATA-X
042000             MOVE MBCA-OPERATOR-ID
042100                                 TO MMSM-STATUS-CHANGE-OPER
042200             MOVE MMSM-STATUS-CHANGE-OPER
042300                                 TO MML1-VL03-A-DATA-X
042400             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
042500             PERFORM 9210-WRITE-LOG-REC-STORE
042600                                 THRU 9219-WLRS-EXIT.
042700*
042800 E040-UPDATE-MMSM.
042900*
043000**************************************************************
043100*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
043200*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
043300*    ON THE SCREEN                                           *
043400**************************************************************
043500*
043600     IF  WS-UPDATE-SW-YES
043700         PERFORM 9300-UPDATE-DELETE-MMSD
043800                                 THRU 9399-UDMMSD-EXIT
043900             VARYING X-MMSM-STORE-CHAIN
044000             FROM 1 BY 1
044100             UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10
044200*
044300         PERFORM 9500-UPDATE-PURGE-MMXR
044400                                 THRU 9599-UPMMXR-EXIT
044500*
044600         PERFORM 9600-UPDATE-MMMM
044700                                 THRU 9699-UMMMM-EXIT
044800*
044900         PERFORM
045000             VARYING X-MMSM-STORE-CHAIN
045100             FROM 1 BY 1
045200             UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10
045300             IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
045400                                 IS GREATER THAN ZEROS
045500                 MOVE 0901       TO MML1-FIELD-CODE
045600                 SET MML1-FIELD-OCCURRENCE
045700                                 TO X-MMSM-STORE-CHAIN
045800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
045900                 MOVE MML1WS-VL-10
046000                                 TO MML1-VARIABLE-LENGTH
046100                 MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
046200                                 TO MML1-VL10-B-DATA-9
046300                 MOVE ZEROS      TO MMSM-STORE-CHAIN-ID
046400                                    (X-MMSM-STORE-CHAIN)
046500                 MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
046600                                 TO MML1-VL10-A-DATA-9
046700                 MOVE 'FC06'     TO MBCA-PROGRAM-LOCATION
046800                 PERFORM 9210-WRITE-LOG-REC-STORE
046900                                 THRU 9219-WLRS-EXIT
047000             END-IF
047100         END-PERFORM
047200*
047300         IF MMSM-NBR-BULLETINS IS GREATER THAN ZEROS
047400         OR MMSM-VI-FLOOR-LIMIT IS GREATER THAN ZEROS
047500         OR MMSM-MC-FLOOR-LIMIT IS GREATER THAN ZEROS
047600             MOVE 9010           TO MML1-FIELD-CODE
047700             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
047800                                    MML1-FIELD-OCCURRENCE-2
047900             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
048000             MOVE MMSM-CRB-FLAG  TO MML1-VL01-B-DATA-X
048100             SET MMSM-CRB-DELETE TO TRUE
048200             MOVE MMSM-CRB-FLAG  TO MML1-VL01-A-DATA-X
048300             MOVE 'FC07'         TO MBCA-PROGRAM-LOCATION
048400             PERFORM 9210-WRITE-LOG-REC-STORE
048500                                 THRU 9219-WLRS-EXIT
048600         END-IF
048700*
048800         MOVE 0198               TO MML1-FIELD-CODE
048900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
049000                                    MML1-FIELD-OCCURRENCE-2
049100         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
049200         MOVE MMSM-LAST-MAINT-OPER
049300                                 TO MML1-VL03-B-DATA-X
049400         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
049500         MOVE MMSM-LAST-MAINT-OPER
049600                                 TO MML1-VL03-A-DATA-X
049700         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
049800         PERFORM 9210-WRITE-LOG-REC-STORE
049900                                 THRU 9219-WLRS-EXIT
050000         MOVE 0199               TO MML1-FIELD-CODE
050100         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
050200         MOVE MMSM-LAST-MAINT-DATE
050300                                 TO MML1-VL07-B-DATA-9
050400         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
050500         MOVE MMSM-LAST-MAINT-DATE
050600                                 TO MML1-VL07-A-DATA-9
050700         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
050800         PERFORM 9210-WRITE-LOG-REC-STORE
050900                                 THRU 9219-WLRS-EXIT.
051000*
051100**************************************************************
051200*    REWRITE THE STORE MASTER RECORD                         *
051300*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
051400*    UNLOCK IT IF THEY HAVE NOT                              *
051500**************************************************************
051600*
051700     IF  WS-UPDATE-SW-YES
051800         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
051900         SET MBIORO-REWRITE      TO TRUE
052000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
052100     ELSE
052200         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
052300         SET MBIORO-UNLOCK       TO TRUE
052400         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
052500/
052600 F000-SETUP-COMMAREA SECTION.
052700*
052800***************************************************************
052900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
053000***************************************************************
053100*
053200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
053300*
053400     PERFORM MB60PD-EDIT-PAGE-NBR
053500                                 THRU MB60PD-EPN-EXIT.
053600*
053700     IF  SS08WS-VALID-PF-KEY
053800     OR  SS08WS-EIBAID-VALID-PF-KEY
053900         SET MBCA-INITIAL-SCREEN-NBR
054000                                 TO TRUE.
054100*
054200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
054300     PERFORM MB70PD-XCTL-TO-MBOXCTL
054400                                 THRU MB70PD-XTM-EXIT.
054500/
054600 9000-PERFORMED-AREA SECTION.
054700*
054800 9100-READ-MMSM.
054900*
055000*****************************************
055100*    READ THE STORE MASTER RECORD       *
055200*****************************************
055300*
055400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
055500                                    S901-ORG.
055600     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
055700                                    S901-STORE.
055800     SET MBIORO-READ-RANDOM      TO TRUE.
055900     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
056000*
056100 9199-READ-MMSM-EXIT.
056200     EXIT.
056300*
056400 9210-WRITE-LOG-REC-STORE.
056500*
056600     MOVE 'SM'                   TO MML1-FILE-CODE.
056700     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
056800     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
056900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
057000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
057100     MOVE ZEROS                  TO MML1-SOURCE-CODE.
057200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
057300     SET MBIORO-WRITE            TO TRUE.
057400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
057500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
057600*
057700 9219-WLRS-EXIT.
057800     EXIT.
057900*
058000 9220-WRITE-LOG-REC-MMSD.
058100*
058200     MOVE 'SD'                   TO MML1-FILE-CODE.
058300     MOVE MMSD-ORG               TO MML1-MMSD-ORG.
058400     MOVE MMSD-CHAIN             TO MML1-MMSD-CHAIN.
058500     MOVE MMSD-SEQ-NBR           TO MML1-MMSD-SEQ-NBR.
058600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
058700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
058800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
058900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
059000     SET MBIORO-WRITE            TO TRUE.
059100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
059200     MOVE SPACES                 TO MML1-VARIABLE-AREA.
059300*
059400 9229-WLRMMSD-EXIT.
059500     EXIT.
059600*
059700 9230-WRITE-LOG-REC-MMXR.
059800*
059900     MOVE 'XR'                   TO MML1-FILE-CODE.
060000     MOVE MMXR-ORG               TO MML1-MMXR-ORG.
060100     MOVE MMXR-MERCHANT          TO MML1-MMXR-MERCHANT.
060200     MOVE MMXR-STORE             TO MML1-MMXR-STORE.
060300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
060400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
060500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
060600     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
060700     SET MBIORO-WRITE            TO TRUE.
060800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
060900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
061000*
061100 9239-WLRMMXR-EXIT.
061200     EXIT.
061300*
061400 9240-WRITE-LOG-REC-MMMM.
061500*
061600     MOVE 'MM'                   TO MML1-FILE-CODE.
061700     MOVE MMMM-ORG               TO MML1-MMMM-ORG.
061800     MOVE MMMM-MERCHANT          TO MML1-MMMM-MERCHANT.
061900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
062000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
062100     MOVE ZEROS                  TO MML1-SOURCE-CODE.
062200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
062300     SET MBIORO-WRITE            TO TRUE.
062400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
062500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
062600*
062700 9249-WLRMMMM-EXIT.
062800     EXIT.
062900*
063000 9300-UPDATE-DELETE-MMSD.
063100*
063200     IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
063300                                 IS EQUAL TO ZEROS
063400         GO TO 9399-UDMMSD-EXIT.
063500*
063600     MOVE 1                      TO WS-SEQ-NBR.
063700*
063800 9331-GET-NEXT-MMSD.
063900*
064000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
064100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSD-ORG.
064200     MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
064300                                 TO MBIOWS-MMSD-CHAIN.
064400     MOVE WS-SEQ-NBR             TO MBIOWS-MMSD-SEQ-NBR.
064500     SET MBIORO-READ-RANDOM-UPDATE
064600                                 TO TRUE.
064700     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
064800     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
064900*
065000     IF  SS08WS-RC-FC-NOTFND
065100         GO TO 9399-UDMMSD-EXIT.
065200*
065300     SET X-MMSD-MEMBER           TO 1.
065400     SEARCH MMSD-MEMBER-TABLE VARYING X-MMSD-MEMBER
065500         AT END
065600             GO TO 9335-UNLOCK-RECORD
065700         WHEN MMSD-MEMBER (X-MMSD-MEMBER)
065800                                 IS EQUAL TO MMSM-STORE
065900             NEXT SENTENCE.
066000*
066100     MOVE MMSD-MEMBER (X-MMSD-MEMBER)
066200                                 TO WS-ORIGINAL-MEMBER.
066300     MOVE ZEROES                 TO MMSD-MEMBER
066400                                    (X-MMSD-MEMBER).
066500     MOVE MMSD-NBR-OF-MEMBERS    TO WS-ORIGINAL-NBR-MEMBERS.
066600     SUBTRACT 1                  FROM MMSD-NBR-OF-MEMBERS.
066700*
066800     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
066900     PERFORM 9400-UPDATE         THRU 9499-U-EXIT.
067000*
067100     SET MBIORO-REWRITE          TO TRUE.
067200     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
067300*
067400     ADD +1                      TO WS-SEQ-NBR.
067500*
067600     GO TO 9331-GET-NEXT-MMSD.
067700*
067800 9335-UNLOCK-RECORD.
067900*
068000******************************************
068100*    UNLOCK THE RECORD.  ADD 1 TO THE    *
068200*    SEQUENCE NUMBER, AND TRY AGAIN.     *
068300******************************************
068400*
068500     SET MBIORO-UNLOCK           TO TRUE.
068600     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
068700     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
068800*
068900     ADD +1                      TO WS-SEQ-NBR.
069000*
069100     GO TO 9331-GET-NEXT-MMSD.
069200*
069300 9399-UDMMSD-EXIT.
069400     EXIT.
069500*
069600 9400-UPDATE.
069700*
069800******************************************************
069900*    WRITE THE REPLACEMENT RECORD OR MAINTENANCE     *
070000*    RECORD TO THE LOG FILE                          *
070100******************************************************
070200*
070300     MOVE 0990                   TO MML1-FIELD-CODE.
070400     SET MML1-FIELD-OCCURRENCE   TO X-MMSD-MEMBER.
070500     MOVE ZEROS                  TO MML1-FIELD-OCCURRENCE-2.
070600     MOVE MML1WS-VL-10           TO MML1-VARIABLE-LENGTH.
070700     MOVE WS-ORIGINAL-MEMBER     TO MML1-VL10-B-DATA-9.
070800     MOVE MMSD-MEMBER (X-MMSD-MEMBER)
070900                                 TO MML1-VL10-A-DATA-9.
071000     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
071100     PERFORM 9220-WRITE-LOG-REC-MMSD
071200                                 THRU 9229-WLRMMSD-EXIT.
071300     MOVE 0991                   TO MML1-FIELD-CODE.
071400     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
071500                                    MML1-FIELD-OCCURRENCE-2.
071600     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
071700     MOVE WS-ORIGINAL-NBR-MEMBERS
071800                                 TO MML1-VL03-B-DATA-9.
071900     MOVE MMSD-NBR-OF-MEMBERS    TO MML1-VL03-A-DATA-9.
072000     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
072100     PERFORM 9220-WRITE-LOG-REC-MMSD
072200                                 THRU 9229-WLRMMSD-EXIT.
072300*
072400     MOVE 0198                   TO MML1-FIELD-CODE.
072500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
072600                                    MML1-FIELD-OCCURRENCE-2.
072700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
072800     MOVE MMSD-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
072900     MOVE MBCA-OPERATOR-ID       TO MMSD-LAST-MAINT-OPER.
073000     MOVE MMSD-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
073100     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
073200     PERFORM 9220-WRITE-LOG-REC-MMSD
073300                                 THRU 9229-WLRMMSD-EXIT.
073400     MOVE 0199                   TO MML1-FIELD-CODE.
073500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
073600                                    MML1-FIELD-OCCURRENCE-2.
073700     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
073800     MOVE MMSD-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
073900     MOVE MBCA-START-DATE        TO MMSD-LAST-MAINT-DATE.
074000     MOVE MMSD-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
074100     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
074200     PERFORM 9220-WRITE-LOG-REC-MMSD
074300                                 THRU 9229-WLRMMSD-EXIT.
074400*
074500 9499-U-EXIT.
074600     EXIT.
074700*
074800*
074900 9500-UPDATE-PURGE-MMXR.
075000*
075100     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
075200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
075300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
075400     MOVE MMSM-MERCHANT-ID       TO MBIOWS-MMXR-MERCHANT.
075500     MOVE MMSM-STORE             TO MBIOWS-MMXR-STORE.
075600     SET MBIORO-READ-RANDOM-UPDATE
075700                                 TO TRUE.
075800     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
075900*
076000     IF  SS08WS-RC-FC-NOTFND
076100         GO TO 9599-UPMMXR-EXIT.
076200*
076300     MOVE 0101                   TO MML1-FIELD-CODE.
076400     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
076500                                    MML1-FIELD-OCCURRENCE-2.
076600     MOVE MML1WS-VL-01           TO MML1-VARIABLE-LENGTH.
076700     MOVE MMXR-REC-STATUS        TO MML1-VL01-B-DATA-9.
076800     SET MMXR-REC-PURGED         TO TRUE.
076900     MOVE MMXR-REC-STATUS        TO MML1-VL01-A-DATA-9.
077000     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
077100     PERFORM 9230-WRITE-LOG-REC-MMXR
077200                                 THRU 9239-WLRMMXR-EXIT.
077300*
077400     MOVE 0198                   TO MML1-FIELD-CODE.
077500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
077600                                    MML1-FIELD-OCCURRENCE-2.
077700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
077800     MOVE MMXR-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
077900     MOVE MBCA-OPERATOR-ID       TO MMXR-LAST-MAINT-OPER.
078000     MOVE MMXR-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
078100     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
078200     PERFORM 9230-WRITE-LOG-REC-MMXR
078300                                 THRU 9239-WLRMMXR-EXIT.
078400*
078500     MOVE 0199                   TO MML1-FIELD-CODE.
078600     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
078700     MOVE MMXR-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
078800     MOVE MBCA-START-DATE        TO MMXR-LAST-MAINT-DATE.
078900     MOVE MMXR-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
079000     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
079100     PERFORM 9230-WRITE-LOG-REC-MMXR
079200                                 THRU 9239-WLRMMXR-EXIT.
079300*
079400     SET MBIORO-REWRITE          TO TRUE.
079500     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
079600*
079700*
079800 9599-UPMMXR-EXIT.
079900     EXIT.
080000*
080100 9600-UPDATE-MMMM.
080200*
080300     MOVE 'FC23'                 TO MBCA-PROGRAM-LOCATION.
080400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
080500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
080600     MOVE MMSM-MERCHANT-ID       TO MBIOWS-MMMM-MERCHANT.
080700     SET MBIORO-READ-RANDOM-UPDATE
080800                                 TO TRUE.
080900     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
081000*
081100     IF  SS08WS-RC-FC-NOTFND
081200         GO TO 9699-UMMMM-EXIT.
081300*
081400*
081500     IF  MMMM-NBR-STORES IS GREATER THAN ZERO
081600         MOVE 0910               TO MML1-FIELD-CODE
081700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
081800                                    MML1-FIELD-OCCURRENCE-2
081900         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
082000         MOVE MMMM-NBR-STORES    TO MML1-VL10-B-DATA-9
082100         SUBTRACT 1              FROM MMMM-NBR-STORES
082200         MOVE MMMM-NBR-STORES    TO MML1-VL10-A-DATA-9
082300         MOVE 'FC24'             TO MBCA-PROGRAM-LOCATION
082400         PERFORM 9240-WRITE-LOG-REC-MMMM
082500                                 THRU 9249-WLRMMMM-EXIT.
082600*
082700     IF  MMSM-NBR-BULLETINS IS GREATER THAN ZERO
082800         MOVE 0909               TO MML1-FIELD-CODE
082900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
083000                                    MML1-FIELD-OCCURRENCE-2
083100         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
083200         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-B-DATA-9
083300         SUBTRACT MMSM-NBR-BULLETINS
083400                                 FROM MMMM-NBR-BULLETINS
083500         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-A-DATA-9
083600         MOVE 'FC26'             TO MBCA-PROGRAM-LOCATION
083700         PERFORM 9240-WRITE-LOG-REC-MMMM
083800                                 THRU 9249-WLRMMMM-EXIT.
083900*
084000     IF  MMSM-IMP-DEV-NBR (1) IS GREATER THAN ZERO
084100         MOVE 0903               TO MML1-FIELD-CODE
084200         MOVE 1                  TO MML1-FIELD-OCCURRENCE
084300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
084400         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
084500         MOVE MMMM-IMP-DEV-NBR (1)
084600                                 TO MML1-VL05-B-DATA-9
084700         SUBTRACT MMSM-IMP-DEV-NBR (1)
084800                                 FROM MMMM-IMP-DEV-NBR (1)
084900         MOVE MMMM-IMP-DEV-NBR (1)
085000                                 TO MML1-VL05-A-DATA-9
085100         MOVE 'FC27'             TO MBCA-PROGRAM-LOCATION
085200         PERFORM 9240-WRITE-LOG-REC-MMMM
085300                                 THRU 9249-WLRMMMM-EXIT.
085400*
085500     IF  MMSM-IMP-DEV-NBR (2) IS GREATER THAN ZERO
085600         MOVE 0903               TO MML1-FIELD-CODE
085700         MOVE 2                  TO MML1-FIELD-OCCURRENCE
085800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
085900         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
086000         MOVE MMMM-IMP-DEV-NBR (2)
086100                                 TO MML1-VL05-B-DATA-9
086200         SUBTRACT MMSM-IMP-DEV-NBR (2)
086300                                 FROM MMMM-IMP-DEV-NBR (2)
086400         MOVE MMMM-IMP-DEV-NBR (2)
086500                                 TO MML1-VL05-A-DATA-9
086600         MOVE 'FC28'             TO MBCA-PROGRAM-LOCATION
086700         PERFORM 9240-WRITE-LOG-REC-MMMM
086800                                 THRU 9249-WLRMMMM-EXIT.
086900*
087000     IF  MMSM-IMP-DEV-NBR (3) IS GREATER THAN ZERO
087100         MOVE 0903               TO MML1-FIELD-CODE
087200         MOVE 3                  TO MML1-FIELD-OCCURRENCE
087300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
087400         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
087500         MOVE MMMM-IMP-DEV-NBR (3)
087600                                 TO MML1-VL05-B-DATA-9
087700         SUBTRACT MMSM-IMP-DEV-NBR (3)
087800                                 FROM MMMM-IMP-DEV-NBR (3)
087900         MOVE MMMM-IMP-DEV-NBR (3)
088000                                 TO MML1-VL05-A-DATA-9
088100         MOVE 'FC29'             TO MBCA-PROGRAM-LOCATION
088200         PERFORM 9240-WRITE-LOG-REC-MMMM
088300                                 THRU 9249-WLRMMMM-EXIT.
088400*
088500     IF  MMSM-POS-DEV-NBR (1) IS GREATER THAN ZERO
088600         MOVE 0905               TO MML1-FIELD-CODE
088700         MOVE 1                  TO MML1-FIELD-OCCURRENCE
088800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
088900         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
089000         MOVE MMMM-POS-DEV-NBR (1)
089100                                 TO MML1-VL05-B-DATA-9
089200         SUBTRACT MMSM-POS-DEV-NBR (1)
089300                                 FROM MMMM-POS-DEV-NBR (1)
089400         MOVE MMMM-POS-DEV-NBR (1)
089500                                 TO MML1-VL05-A-DATA-9
089600         MOVE 'FC30'             TO MBCA-PROGRAM-LOCATION
089700         PERFORM 9240-WRITE-LOG-REC-MMMM
089800                                 THRU 9249-WLRMMMM-EXIT.
089900*
090000     IF  MMSM-POS-DEV-NBR (2) IS GREATER THAN ZERO
090100         MOVE 0905               TO MML1-FIELD-CODE
090200         MOVE 2                  TO MML1-FIELD-OCCURRENCE
090300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
090400         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
090500         MOVE MMMM-POS-DEV-NBR (2)
090600                                 TO MML1-VL05-B-DATA-9
090700         SUBTRACT MMSM-POS-DEV-NBR (2)
090800                                 FROM MMMM-POS-DEV-NBR (2)
090900         MOVE MMMM-POS-DEV-NBR (2)
091000                                 TO MML1-VL05-A-DATA-9
091100         MOVE 'FC31'             TO MBCA-PROGRAM-LOCATION
091200         PERFORM 9240-WRITE-LOG-REC-MMMM
091300                                 THRU 9249-WLRMMMM-EXIT.
091400*
091500     IF  MMSM-POS-DEV-NBR (3) IS GREATER THAN ZERO
091600         MOVE 0905               TO MML1-FIELD-CODE
091700         MOVE 3                  TO MML1-FIELD-OCCURRENCE
091800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
091900         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
092000         MOVE MMMM-POS-DEV-NBR (3)
092100                                 TO MML1-VL05-B-DATA-9
092200         SUBTRACT MMSM-POS-DEV-NBR (3)
092300                                 FROM MMMM-POS-DEV-NBR (3)
092400         MOVE MMMM-POS-DEV-NBR (3)
092500                                 TO MML1-VL05-A-DATA-9
092600         MOVE 'FC32'             TO MBCA-PROGRAM-LOCATION
092700         PERFORM 9240-WRITE-LOG-REC-MMMM
092800                                 THRU 9249-WLRMMMM-EXIT.
092900*
093000     MOVE 0198                   TO MML1-FIELD-CODE.
093100     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
093200                                    MML1-FIELD-OCCURRENCE-2.
093300     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
093400     MOVE MMMM-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
093500     MOVE MBCA-OPERATOR-ID       TO MMMM-LAST-MAINT-OPER.
093600     MOVE MMMM-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
093700     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
093800     PERFORM 9240-WRITE-LOG-REC-MMMM
093900                                 THRU 9249-WLRMMMM-EXIT.
094000*
094100     MOVE 0199                   TO MML1-FIELD-CODE.
094200     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
094300     MOVE MMMM-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
094400     MOVE MBCA-START-DATE        TO MMMM-LAST-MAINT-DATE.
094500     MOVE MMMM-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
094600     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
094700     PERFORM 9240-WRITE-LOG-REC-MMMM
094800                                 THRU 9249-WLRMMMM-EXIT.
094900*
095000     SET MBIORO-REWRITE          TO TRUE.
095100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
095200*
095300*
095400 9699-UMMMM-EXIT.
095500     EXIT.
095600*
095700/
095800 Z000-COPIED-ROUTINES SECTION.
095900**********************************
096000*    JUL TO GREG DATE ROUTINE    *
096100**********************************
096200*
096300     COPY SS08PD.
096400/
096500     COPY SS26PD.
096600/
096700     COPY SS27PD.
096800/
096900*********************************
097000*    LINE 24 PF KEYS ROUTINE    *
097100*********************************
097200*
097300     COPY SS15PD.
097400/
097500************************************************
097600*    STORE MASTER RECORD ACCESS ROUTINES       *
097700************************************************
097800*
097900     COPY MMSMAO.
098000/
098100************************************************
098200*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
098300************************************************
098400*
098500     COPY MMMMAO.
098600/
098700*******************************************************
098800*    STORE RELATIONSHIP DETAIL RECORD ACCESS ROUTINES *
098900*******************************************************
099000*
099100     COPY MMSDAO.
099200/
099300*******************************************************
099400*    STORE MERCHANT CROSS REF  RECORD ACCESS ROUTINES *
099500*******************************************************
099600*
099700     COPY MMXRAO.
099800/
099900*****************************************
100000*    LOG FILE RECORD ACCESS ROUTINES    *
100100*****************************************
100200*
100300     COPY MML1AO.
100400/
100500*******************************************
100600*    FORMAT NBR AND AMTS BY CURRENCY CODE *
100700*******************************************
100800*
100900     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
101000/
101100*****************************
101200*    ONLINE MAP ROUTINES    *
101300*****************************
101400*
101500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9S01 '
101600                           MBMAPXXI BY MB9S01I
101700                           MBMAPXXO BY MB9S01O.
101800/
101900***************************
102000*    ONLINE PROCEDURES    *
102100***************************
102200*
102300     COPY MB70PD.
102400/
102500     COPY SMFTPXO.
