000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBO9V01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBO9V01 - INVENTORY STATUS MAINT                        *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MB9V                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MB9V01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMIC (INVENTORY FILE)                      *
001600*                 B. MML1 (LOG FILE)                            *
001700*                 C. MMMM (MERCHANT MASTER FILE)                *
001800*                 D. MMSM (STORE MASTER FILE)                   *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  FILLER                  PIC  X(17)      VALUE
003400     'PROGRAM SWITCHES:'.
003500*
003600 01  WS-PROGRAM-SWITCHES.
003700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004000/
004100 01  FILLER                  PIC  X(29)      VALUE
004200     'I/O REQUEST BLOCK WORK AREAS:'.
004300*
004400     COPY MBIOWS.
004500/
004600 01  FILLER                  PIC  X(18)      VALUE
004700     'I/O REQUEST BLOCK:'.
004800*
004900     COPY MBIORO.
005000/
005100 01  FILLER                  PIC  X(25)      VALUE
005200     'LOG RECORD REQUEST BLOCK:'.
005300*
005400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005500/
005600 01  FILLER                  PIC  X(20)      VALUE
005700     'CCS DATE WORK AREAS:'.
005800*
005900     COPY SS01WS.
006000/
006100 01  FILLER                  PIC  X(15)      VALUE
006200     'CCS WORK AREAS:'.
006300*
006400     COPY SS08WS.
006500/
006600     COPY SS00WS.
006700/
006800     COPY SMFTWS.
006900/
007000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007100/
007200     COPY MB61LK.
007300/
007400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007500/
007600 LINKAGE SECTION.
007700*
007800 01  DFHCOMMAREA.
007900*
008000     COPY MB60WS.
008100/
008200***********************************
008300*    MERCHANT PURGED MAP          *
008400***********************************
008500*
008600     COPY MB9V01.
008700/
008800************************************************
008900*    MERCHANT PURGED MAP REDEFINITION          *
009000************************************************
009100*
009200     COPY MB9V01R.
009300/
009400****************************************
009500*    INVENTORY MASTER RECORD LAYOUT *
009600****************************************
009700*
009800     COPY MMICRL.
009900/
010000***************************************
010100*    MERCHANT MASTER RECORD LAYOUT    *
010200***************************************
010300*
010400     COPY MMMMRL.
010500/
010600************************************
010700*    STORE MASTER RECORD LAYOUT    *
010800************************************
010900*
011000     COPY MMSMRL.
011100/
011200***************************
011300*    LOG RECORD LAYOUT    *
011400***************************
011500*
011600     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011700/
011800 PROCEDURE DIVISION.
011900*
012000 A000-HOUSEKEEPING SECTION.
012100*
012200 A020-INIT.
012300*
012400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012600                                 THRU MB70PD-OLH-EXIT.
012700*
012800     IF  MBCA-RECEIVE-SCREEN
012900         GO TO C000-RECEIVE-SCREEN.
013000/
013100 B000-SEND-SCREEN SECTION.
013200*
013300*********************************************
013400*    GET CICS STORAGE NEEDED FOR THE MAP    *
013500*********************************************
013600*
013700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB60PD-GETMAIN-FOR-MAP
013900                                 THRU MB60PD-GFM-EXIT.
014000*
014100*******************************************
014200*    INITIALIZE THE STANDARD MAP LINES    *
014300*******************************************
014400*
014500     PERFORM MB60PD-INIT-STD-MAP-LINES
014600                                 THRU MB60PD-ISML-EXIT.
014700*
014800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
014900     PERFORM 9100-READ-MMIC      THRU 9109-READ-MMIC-EXIT.
015000*
015100 B020-MOVE-FIELDS-TO-SCREEN.
015200*
015300     MOVE MMIC-REC-STATUS        TO V901-CURRENT-STATUS.
015400     MOVE ZERO                   TO V901-CHANGE-STATUS.
015500     MOVE MMIC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
015600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
015700        THRU SS26PD-NED-EXIT.
015800     MOVE SS01WS-XX-XX-YYYY      TO V901-LAST-MAINT-DATE.
015900     MOVE MMIC-LAST-MAINT-OPER   TO V901-LAST-MAINT-OPER.
016000     MOVE MMIC-NA-LINE (1 1)     TO V901-DESCRIPTION.
016100*
016200******************************************
016300*    SET THE CURSOR AND SCREEN NUMBER    *
016400******************************************
016500*
016600     MOVE SS08WS-CURSOR          TO V901-CHANGE-STATUS-L.
016700*
016800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
016900*
017000**********************
017100*    SEND THE MAP    *
017200**********************
017300*
017400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017600                                 THRU MB60PD-SMWE-EXIT.
017700*
017800************************
017900*    RETURN TO CICS    *
018000************************
018100*
018200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
018300     PERFORM MB70PD-RETURN-TRANS-ID
018400                                 THRU MB70PD-RTI-EXIT.
018500/
018600 C000-RECEIVE-SCREEN SECTION.
018700*
018800******************************************
018900*    THIS SECTION RECEIVES THE SCREEN    *
019000******************************************
019100*
019200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
019300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
019400*
019500**************************************************************
019600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
019700**************************************************************
019800*
019900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
020000     PERFORM MB60PD-NEW-TRANS-ROUTINE
020100                                 THRU MB60PD-NTR-EXIT.
020200*
020300*****************************************
020400*    READ THE INVENTORY MASTER FILE *
020500*****************************************
020600*
020700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020800     PERFORM 9100-READ-MMIC      THRU 9109-READ-MMIC-EXIT.
020900*
021000 C020-FIELD-EDITS.
021100*
021200***************************************
021300*    FIELD EDIT FOR CHANGE STATUS     *
021400***************************************
021500*
021600     IF  V901-CHANGE-STATUS-L    IS GREATER THAN ZERO
021700         MOVE DFHBMASF           TO V901-CHANGE-STATUS-A
021800     ELSE
021900         MOVE ZERO               TO V901-CHANGE-STATUS
022000         GO TO D000-RETURN-ERRORS.
022100*
022200     IF  V901-CHANGE-STATUS IS NOT NUMERIC
022300         GO TO C025-CHANGE-STATUS-ERROR.
022400*
022500     IF  V901-VALID-CHANGE-STATUS
022600         GO TO C026-CROSS-EDITS.
022700*
022800 C025-CHANGE-STATUS-ERROR.
022900*
023000     IF  V901-CHANGE-STATUS-L    IS GREATER THAN ZERO
023100         MOVE DFHBMUBF           TO V901-CHANGE-STATUS-A.
023200*
023300     SET SS08WS-ERROR-SW-YES     TO TRUE.
023400     MOVE DFHBMASB               TO V901-CHANGE-STATUS-LP-A
023500                                    V901-CHANGE-STATUS-RP-A.
023600     MOVE SS08WS-CURSOR          TO V901-CHANGE-STATUS-L.
023700*
023800 C026-CROSS-EDITS.
023900*
024000***************************************************************
024100*    CROSS EDIT TO BE SURE THAT THE STORE OR MERCHANT STATUS  *
024200*    IS ACTIVE IF CHANGING TO ACTIVE.                         *
024300***************************************************************
024400*
024500     IF ((MMIC-REC-STATUS IS EQUAL TO 2
024600     OR  MMIC-REC-STATUS IS EQUAL TO 9)
024700     AND V901-CHANGE-STATUS-L IS GREATER THAN 0
024800     AND V901-CHANGE-STATUS IS EQUAL 1)
024900         IF  MBCA-S-M IS EQUAL TO 'M'
025000             MOVE MBCA-MERCHANT-ORG
025100                                 TO MBIOWS-MMMM-ORG
025200             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
025300             SET MBIORO-READ-RANDOM
025400                                 TO TRUE
025500             PERFORM MMMMAO-ACCESS
025600                                 THRU MMMMAO-ACCESS-EXIT
025700             IF  MMMM-REC-INCOMPLETE
025800             OR  MMMM-REC-MODEL
025900             OR  MMMM-REC-PENDING-PURGE
026000             OR  MMMM-REC-PURGING
026100             OR  MMMM-REC-PURGED
026200                 MOVE DFHBMUBF   TO V901-CHANGE-STATUS-A
026300                 SET SS08WS-ERROR-SW-YES
026400                                 TO TRUE
026500                 MOVE DFHBMASB   TO V901-CHANGE-STATUS-LP-A
026600                                    V901-CHANGE-STATUS-RP-A
026700                 MOVE SS08WS-CURSOR TO V901-CHANGE-STATUS-L
026800             END-IF
026900         ELSE
027000             MOVE MBCA-MERCHANT-ORG
027100                                 TO MBIOWS-MMSM-ORG
027200             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
027300             SET MBIORO-READ-RANDOM
027400                                 TO TRUE
027500             PERFORM MMSMAO-ACCESS
027600                                 THRU MMSMAO-ACCESS-EXIT
027700             IF  MMSM-REC-INCOMPLETE
027800             OR  MMSM-REC-MODEL
027900             OR  MMSM-REC-PENDING-PURGE
028000             OR  MMSM-REC-PURGING
028100             OR  MMSM-REC-PURGED
028200                 MOVE DFHBMUBF   TO V901-CHANGE-STATUS-A
028300                 SET SS08WS-ERROR-SW-YES
028400                                 TO TRUE
028500                 MOVE DFHBMASB   TO V901-CHANGE-STATUS-LP-A
028600                                    V901-CHANGE-STATUS-RP-A
028700                 MOVE SS08WS-CURSOR TO V901-CHANGE-STATUS-L
028800             END-IF
028900         END-IF
029000     END-IF.
029100*
029200/
029300 D000-RETURN-ERRORS SECTION.
029400*
029500     IF  SS08WS-ERROR-SW-NO
029600         GO TO E000-UPDATE-FILE.
029700*
029800***************************************************************
029900*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
030000*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
030100*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
030200***************************************************************
030300*
030400     PERFORM MB60PD-INIT-STD-MAP-LINES
030500                                 THRU MB60PD-ISML-EXIT.
030600*
030700**********************
030800*    SEND THE MAP    *
030900**********************
031000*
031100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
031200     PERFORM MB60PD-SEND-MAP-DATA-ONLY
031300                                 THRU MB60PD-SMDO-EXIT.
031400*
031500************************
031600*    RETURN TO CICS    *
031700************************
031800*
031900     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
032000     PERFORM MB70PD-RETURN-TRANS-ID
032100                                 THRU MB70PD-RTI-EXIT.
032200/
032300 E000-UPDATE-FILE SECTION.
032400*
032500****************************************************
032600*    READ THE MERCH MASTER RECORD FOR UPDATE       *
032700****************************************************
032800*
032900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
033000     SET MBIORO-READ-RANDOM-UPDATE
033100                                 TO TRUE.
033200     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
033300*
033400 E010-CONTINUE.
033500*
033600*************************************
033700*    OBTAIN STORAGE FOR LOG FILE    *
033800*    RECORD IF DOING MAINTENANCE    *
033900*************************************
034000*
034100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
034200     SET MBIORO-GETMAIN          TO TRUE.
034300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
034400*
034500 E020-UPDATE-FIELDS.
034600*
034700     IF  V901-CHANGE-STATUS-L    IS GREATER THAN ZERO
034800         IF V901-CHANGE-STATUS IS NOT EQUAL
034900                                 TO MMIC-REC-STATUS
035000             SET WS-UPDATE-SW-YES
035100                                 TO TRUE
035200             MOVE 0197           TO MML1-FIELD-CODE
035300             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
035400                                    MML1-FIELD-OCCURRENCE-2
035500             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
035600             MOVE MMIC-REC-STATUS
035700                                 TO MML1-VL01-B-DATA-9
035800             MOVE V901-CHANGE-STATUS
035900                                 TO MMIC-REC-STATUS
036000             MOVE MMIC-REC-STATUS
036100                                 TO MML1-VL01-A-DATA-9
036200             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
036300             PERFORM 9150-WRITE-LOG-REC-MMIC
036400                                 THRU 9159-WLR-EXIT.
036500*
036600 E040-UPDATE-MMIC.
036700*
036800**************************************************************
036900*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
037000*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
037100*    ON THE SCREEN                                           *
037200**************************************************************
037300*
037400     IF  WS-UPDATE-SW-YES
037500         MOVE 0198               TO MML1-FIELD-CODE
037600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
037700                                    MML1-FIELD-OCCURRENCE-2
037800         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
037900         MOVE MMIC-LAST-MAINT-OPER
038000                                 TO MML1-VL03-B-DATA-X
038100         MOVE MBCA-OPERATOR-ID   TO MMIC-LAST-MAINT-OPER
038200         MOVE MMIC-LAST-MAINT-OPER
038300                                 TO MML1-VL03-A-DATA-X
038400         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
038500         PERFORM 9150-WRITE-LOG-REC-MMIC
038600                                 THRU 9159-WLR-EXIT
038700         MOVE 0199               TO MML1-FIELD-CODE
038800         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
038900         MOVE MMIC-LAST-MAINT-DATE
039000                                 TO MML1-VL07-B-DATA-9
039100         MOVE MBCA-START-DATE    TO MMIC-LAST-MAINT-DATE
039200         MOVE MMIC-LAST-MAINT-DATE
039300                                 TO MML1-VL07-A-DATA-9
039400         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
039500         PERFORM 9150-WRITE-LOG-REC-MMIC
039600                                 THRU 9159-WLR-EXIT.
039700*
039800**************************************************************
039900*    REWRITE THE MERCH MASTER RECORD                         *
040000*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
040100*    UNLOCK IT IF THEY HAVE NOT                              *
040200**************************************************************
040300*
040400     IF  WS-UPDATE-SW-YES
040500         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
040600         SET MBIORO-REWRITE      TO TRUE
040700         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT
040800     ELSE
040900         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
041000         SET MBIORO-UNLOCK       TO TRUE
041100         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT.
041200/
041300 F000-SETUP-COMMAREA SECTION.
041400*
041500***************************************************************
041600*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
041700***************************************************************
041800*
041900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
042000*
042100     PERFORM MB60PD-EDIT-PAGE-NBR
042200                                 THRU MB60PD-EPN-EXIT.
042300*
042400     IF  SS08WS-VALID-PF-KEY
042500     OR  SS08WS-EIBAID-VALID-PF-KEY
042600         SET MBCA-INITIAL-SCREEN-NBR
042700                                 TO TRUE.
042800*
042900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
043000     PERFORM MB70PD-XCTL-TO-MBOXCTL
043100                                 THRU MB70PD-XTM-EXIT.
043200/
043300 9000-PERFORMED-AREA SECTION.
043400*
043500 9100-READ-MMIC.
043600*
043700*****************************************
043800*    READ THE INVENTORY MASTER FILE *
043900*****************************************
044000*
044100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG
044200                                    V901-ORG.
044300     MOVE MBCA-MERCHANT          TO MBIOWS-MMIC-MERCHANT
044400                                    V901-MERCHANT.
044500     MOVE MBCA-S-M               TO MBIOWS-MMIC-TYPE
044600                                    V901-TYPE.
044700     SET MBIORO-READ-RANDOM      TO TRUE.
044800     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
044900*
045000 9109-READ-MMIC-EXIT.
045100     EXIT.
045200*
045300 9150-WRITE-LOG-REC-MMIC.
045400*
045500     MOVE 'IC'                   TO MML1-FILE-CODE.
045600     MOVE MBCA-MERCHANT-ORG      TO MML1-MMIC-ORG.
045700     MOVE MBCA-MERCHANT          TO MML1-MMIC-MERCHANT.
045800     MOVE MBCA-S-M               TO MML1-MMIC-TYPE.
045900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
046000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
046100     MOVE ZEROS                  TO MML1-SOURCE-CODE.
046200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
046300     SET MBIORO-WRITE            TO TRUE.
046400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
046500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
046600*
046700 9159-WLR-EXIT.
046800     EXIT.
046900*
047000/
047100 Z000-COPIED-ROUTINES SECTION.
047200**********************************
047300*    JUL TO GREG DATE ROUTINE    *
047400**********************************
047500*
047600     COPY SS08PD.
047700/
047800     COPY SS26PD.
047900/
048000     COPY SS27PD.
048100/
048200*********************************
048300*    LINE 24 PF KEYS ROUTINE    *
048400*********************************
048500*
048600     COPY SS15PD.
048700/
048800************************************************
048900*    INVENTORY MASTER RECORD ACCESS ROUTINES *
049000************************************************
049100*
049200     COPY MMICAO.
049300/
049400************************************************
049500*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
049600************************************************
049700*
049800     COPY MMMMAO.
049900/
050000*********************************************
050100*    STORE MASTER RECORD ACCESS ROUTINES    *
050200*********************************************
050300*
050400     COPY MMSMAO.
050500/
050600*****************************************
050700*    LOG FILE RECORD ACCESS ROUTINES    *
050800*****************************************
050900*
051000     COPY MML1AO.
051100/
051200*****************************
051300*    ONLINE MAP ROUTINES    *
051400*****************************
051500*
051600     COPY MB60PD REPLACING 'MBMAPXX' BY 'MB9V01 '
051700                           MBMAPXXI BY MB9V01I
051800                           MBMAPXXO BY MB9V01O.
051900/
052000***************************
052100*    ONLINE PROCEDURES    *
052200***************************
052300*
052400     COPY MB70PD.
052500/
052600     COPY SMFTPXO.
