000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOCS01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOCS01 - STORE RECORD CLOSE                             *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBCS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBCS01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMSM (STORE MASTER FILE)                   *
001600*                 B. MML1 (LOG FILE)                            *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200     03  WS-NBR-CHAINS       PIC  9(02)      VALUE ZEROS.
003300*
003400 01  FILLER                  PIC  X(17)      VALUE
003500     'PROGRAM SWITCHES:'.
003600*
003700 01  WS-PROGRAM-SWITCHES.
003800     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004000         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004100/
004200 01  FILLER                  PIC  X(29)      VALUE
004300     'I/O REQUEST BLOCK WORK AREAS:'.
004400*
004500     COPY MBIOWS.
004600/
004700 01  FILLER                  PIC  X(18)      VALUE
004800     'I/O REQUEST BLOCK:'.
004900*
005000     COPY MBIORO.
005100/
005200 01  FILLER                  PIC  X(25)      VALUE
005300     'LOG RECORD REQUEST BLOCK:'.
005400*
005500     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005600/
005700 01  FILLER                  PIC  X(20)      VALUE
005800     'CCS DATE WORK AREAS:'.
005900*
006000     COPY SS01WS.
006100/
006200 01  FILLER                  PIC  X(15)      VALUE
006300     'CCS WORK AREAS:'.
006400*
006500     COPY SS08WS.
006600/
006700     COPY SS00WS.
006800/
006900     COPY SMFTWS.
007000/
007100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007200/
007300     COPY MB61LK.
007400/
007500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007600/
007700 LINKAGE SECTION.
007800*
007900 01  DFHCOMMAREA.
008000*
008100     COPY MB60WS.
008200/
008300*****************************
008400*    STORE CLOSE  MAP       *
008500*****************************
008600*
008700     COPY MBCS01.
008800/
008900******************************************
009000*    STORE CLOSE  MAP REDEFINITION       *
009100******************************************
009200*
009300     COPY MBCS01R.
009400/
009500****************************************
009600*    STORE MASTER  RECORD LAYOUT       *
009700****************************************
009800*
009900     COPY MMSMRL.
010000/
010100****************************************
010200*    ORGANIZATION RECORD    LAYOUT     *
010300****************************************
010400*
010500     COPY MMOCRL.
010600/
010700****************************************
010800*    MERCHANT MASTER RECORD LAYOUT     *
010900****************************************
011000*
011100     COPY MMMMRL.
011200/
011300***************************
011400*    LOG RECORD LAYOUT    *
011500***************************
011600*
011700     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011800/
011900 PROCEDURE DIVISION.
012000*
012100 A000-HOUSEKEEPING SECTION.
012200*
012300 A020-INIT.
012400*
012500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012700                                 THRU MB70PD-OLH-EXIT.
012800*
012900     IF  MBCA-RECEIVE-SCREEN
013000         GO TO C000-RECEIVE-SCREEN.
013100/
013200 B000-SEND-SCREEN SECTION.
013300*
013400*********************************************
013500*    GET CICS STORAGE NEEDED FOR THE MAP    *
013600*********************************************
013700*
013800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013900     PERFORM MB60PD-GETMAIN-FOR-MAP
014000                                 THRU MB60PD-GFM-EXIT.
014100*
014200*******************************************
014300*    INITIALIZE THE STANDARD MAP LINES    *
014400*******************************************
014500*
014600     PERFORM MB60PD-INIT-STD-MAP-LINES
014700                                 THRU MB60PD-ISML-EXIT.
014800*
014900*****************************************
015000*    READ THE STORE MASTER RECORD       *
015100*****************************************
015200*
015300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015400     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
015500*
015600*********************************************
015700*    MOVE THE PRIMARY NAME TO THE SCREEN    *
015800*********************************************
015900*
016000     MOVE MMSM-NA-LINE (1 1)     TO CS01-STORE-NAME.
016100*
016200 B020-MOVE-FIELDS-TO-SCREEN.
016300*
016400     IF  MMSM-REC-CLOSED
016500         MOVE DFHBMDAS           TO CS01-CLOSE-FLAG-LIT-A
016600                                    CS01-CLOSE-FLAG-LP-A
016700                                    CS01-CLOSE-FLAG-RP-A
016800                                    CS01-CLOSE-FLAG-A
016900     ELSE
017000         MOVE 'N'                TO CS01-CLOSE-FLAG.
017100*
017200     MOVE MMSM-CLOSE-REASON      TO CS01-CLOSE-REASON.
017300     MOVE MMSM-DATE-OPENED       TO SS01WS-JULIAN.
017400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017500        THRU SS26PD-NED-EXIT.
017600     MOVE SS01WS-XX-XX-YYYY      TO CS01-DATE-OPEN.
017700     MOVE MMSM-DBA-NAME          TO CS01-DBA-NAME.
017800     MOVE MMSM-MERCHANT-ID       TO CS01-MERCHANT.
017900     MOVE MMSM-DBA-CITY          TO CS01-DBA-CITY.
018000     MOVE MMSM-DBA-COUNTRY-CODE  TO CS01-DBA-STATE.
018100     MOVE MMSM-OUT-OF-BUS-DATE   TO SS01WS-JULIAN.
018200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
018300     MOVE SS01WS-DATE            TO CS01-OUT-OF-BUS-DATE.
018400     MOVE MMSM-OWNERSHIP-CHG-DATE
018500                                 TO SS01WS-JULIAN.
018600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
018700     MOVE SS01WS-DATE            TO CS01-OWNERSHIP-CHG-DATE.
018800*
018900     PERFORM
019000         VARYING X-MMSM-STORE-CHAIN
019100         FROM 1 BY 1
019200         UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10
019300         IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
019400                                 IS GREATER THAN ZEROS
019500             COMPUTE WS-NBR-CHAINS = WS-NBR-CHAINS + 1
019600         END-IF
019700     END-PERFORM.
019800*
019900     MOVE WS-NBR-CHAINS          TO CS01-NBR-CHAINS.
020000     MOVE MMSM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
020100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020200        THRU SS26PD-NED-EXIT.
020300     MOVE SS01WS-XX-XX-YYYY      TO CS01-DATE-LAST-ACT.
020400     MOVE MMSM-STORE-TYPE        TO CS01-STORE-TYPE.
020500     MOVE MMSM-AGENT-BANK        TO CS01-AGENT.
020600     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
020700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020800        THRU SS26PD-NED-EXIT.
020900     MOVE SS01WS-XX-XX-YYYY      TO CS01-SETT-ACT-DATE.
021000     MOVE MMSM-AUTH-CODE         TO CS01-AUTH-FLAG.
021100     MOVE MMSM-BRANCH            TO CS01-BRANCH.
021200     MOVE MMSM-STORE-SETT-FLAG   TO CS01-SETT-FLAG.
021300     MOVE MMSM-AUTH-LOGO         TO CS01-AUTH-LOGO.
021400     MOVE MMSM-IMP-DEV-TITLE (1) TO CS01-IMP-TITLE1.
021500     MOVE MMSM-IMP-DEV-TITLE (2) TO CS01-IMP-TITLE2.
021600     MOVE MMSM-IMP-DEV-TITLE (3) TO CS01-IMP-TITLE3.
021700     MOVE MMSM-POS-DEV-TITLE (1) TO CS01-POS-TITLE1.
021800     MOVE MMSM-POS-DEV-TITLE (2) TO CS01-POS-TITLE2.
021900     MOVE MMSM-POS-DEV-TITLE (3) TO CS01-POS-TITLE3.
022000     MOVE MMSM-IMP-DEV-NBR   (1) TO CS01-IMP-NBR1.
022100     MOVE MMSM-IMP-DEV-NBR   (2) TO CS01-IMP-NBR2.
022200     MOVE MMSM-IMP-DEV-NBR   (3) TO CS01-IMP-NBR3.
022300     MOVE MMSM-POS-DEV-NBR   (1) TO CS01-POS-NBR1.
022400     MOVE MMSM-POS-DEV-NBR   (2) TO CS01-POS-NBR2.
022500     MOVE MMSM-POS-DEV-NBR   (3) TO CS01-POS-NBR3.
022600*
022700******************************************
022800*    SET THE CURSOR AND SCREEN NUMBER    *
022900******************************************
023000*
023100     IF  MMSM-REC-CLOSED
023200         MOVE SS08WS-CURSOR      TO CS01-ALT-TRANID-L
023300     ELSE
023400         MOVE SS08WS-CURSOR      TO CS01-CLOSE-FLAG-L.
023500*
023600     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
023700*
023800**********************
023900*    SEND THE MAP    *
024000**********************
024100*
024200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
024300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024400                                 THRU MB60PD-SMWE-EXIT.
024500*
024600************************
024700*    RETURN TO CICS    *
024800************************
024900*
025000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
025100     PERFORM MB70PD-RETURN-TRANS-ID
025200                                 THRU MB70PD-RTI-EXIT.
025300/
025400 C000-RECEIVE-SCREEN SECTION.
025500*
025600******************************************
025700*    THIS SECTION RECEIVES THE SCREEN    *
025800******************************************
025900*
026000     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION
026100     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
026200*
026300**************************************************************
026400*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026500**************************************************************
026600*
026700     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026800     PERFORM MB60PD-NEW-TRANS-ROUTINE
026900                                 THRU MB60PD-NTR-EXIT.
027000*
027100************************************************
027200*    READ THE ORGANIZATION RECORD.             *
027300************************************************
027400*
027500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
027600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
027700     SET MBIORO-READ-RANDOM      TO TRUE.
027800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
027900*
028000*****************************************
028100*    READ THE STORE MASTER RECORD       *
028200*****************************************
028300*
028400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
028500     PERFORM 9100-READ-MMSM      THRU 9199-READ-MMSM-EXIT.
028600*
028700*****************************************
028800*    READ THE MERCHANT MASTER RECORD    *
028900*****************************************
029000*
029100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
029200     PERFORM 9300-READ-MMMM      THRU 9399-READ-MMMM-EXIT.
029300*
029400*********************************************
029500*    MOVE THE PRIMARY NAME TO THE SCREEN    *
029600*********************************************
029700*
029800     MOVE MMSM-NA-LINE (1 1)     TO CS01-STORE-NAME.
029900*
030000 C020-FIELD-EDITS.
030100*
030200*
030300     MOVE MMSM-DATE-OPENED       TO SS01WS-JULIAN.
030400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
030500        THRU SS26PD-NED-EXIT.
030600     MOVE SS01WS-XX-XX-YYYY      TO CS01-DATE-OPEN.
030700     MOVE MMSM-DBA-NAME          TO CS01-DBA-NAME.
030800     MOVE MMSM-MERCHANT-ID       TO CS01-MERCHANT.
030900     MOVE MMSM-DBA-CITY          TO CS01-DBA-CITY.
031000     MOVE MMSM-DBA-COUNTRY-CODE  TO CS01-DBA-STATE.
031100*
031200     PERFORM
031300         VARYING X-MMSM-STORE-CHAIN
031400         FROM 1 BY 1
031500         UNTIL X-MMSM-STORE-CHAIN IS GREATER THAN 10
031600         IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
031700                                 IS GREATER THAN ZEROS
031800             COMPUTE WS-NBR-CHAINS = WS-NBR-CHAINS + 1
031900         END-IF
032000     END-PERFORM.
032100*
032200     MOVE WS-NBR-CHAINS          TO CS01-NBR-CHAINS.
032300     MOVE MMSM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
032400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
032500        THRU SS26PD-NED-EXIT.
032600     MOVE SS01WS-XX-XX-YYYY      TO CS01-DATE-LAST-ACT.
032700     MOVE MMSM-STORE-TYPE        TO CS01-STORE-TYPE.
032800     MOVE MMSM-AGENT-BANK        TO CS01-AGENT.
032900     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
033000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
033100        THRU SS26PD-NED-EXIT.
033200     MOVE SS01WS-XX-XX-YYYY      TO CS01-SETT-ACT-DATE.
033300     MOVE MMSM-AUTH-CODE         TO CS01-AUTH-FLAG.
033400     MOVE MMSM-BRANCH            TO CS01-BRANCH.
033500     MOVE MMSM-STORE-SETT-FLAG   TO CS01-SETT-FLAG.
033600     MOVE MMSM-AUTH-LOGO         TO CS01-AUTH-LOGO.
033700     MOVE MMSM-IMP-DEV-TITLE (1) TO CS01-IMP-TITLE1.
033800     MOVE MMSM-IMP-DEV-TITLE (2) TO CS01-IMP-TITLE2.
033900     MOVE MMSM-IMP-DEV-TITLE (3) TO CS01-IMP-TITLE3.
034000     MOVE MMSM-POS-DEV-TITLE (1) TO CS01-POS-TITLE1.
034100     MOVE MMSM-POS-DEV-TITLE (2) TO CS01-POS-TITLE2.
034200     MOVE MMSM-POS-DEV-TITLE (3) TO CS01-POS-TITLE3.
034300     MOVE MMSM-IMP-DEV-NBR   (1) TO CS01-IMP-NBR1.
034400     MOVE MMSM-IMP-DEV-NBR   (2) TO CS01-IMP-NBR2.
034500     MOVE MMSM-IMP-DEV-NBR   (3) TO CS01-IMP-NBR3.
034600     MOVE MMSM-POS-DEV-NBR   (1) TO CS01-POS-NBR1.
034700     MOVE MMSM-POS-DEV-NBR   (2) TO CS01-POS-NBR2.
034800     MOVE MMSM-POS-DEV-NBR   (3) TO CS01-POS-NBR3.
034900*
035000***************************************
035100*    FIELD EDIT FOR CLOSE STORE FLAG  *
035200***************************************
035300*
035400     IF  CS01-CLOSE-FLAG-L       IS GREATER THAN ZERO
035500         MOVE DFHBMASF           TO CS01-CLOSE-FLAG-A
035600     ELSE
035700         MOVE 'N'                TO CS01-CLOSE-FLAG.
035800*
035900     IF  CS01-VALID-CLOSE-FLAG
036000         NEXT SENTENCE
036100     ELSE
036200         GO TO C025-CLOSE-FLAG-ERROR.
036300*
036400     GO TO C030-CLOSE-REASON.
036500*
036600 C025-CLOSE-FLAG-ERROR.
036700*
036800     IF  CS01-CLOSE-FLAG-L       IS GREATER THAN ZERO
036900         MOVE DFHBMUBF           TO CS01-CLOSE-FLAG-A.
037000*
037100     SET SS08WS-ERROR-SW-YES     TO TRUE.
037200     MOVE DFHBMASB               TO CS01-CLOSE-FLAG-LP-A
037300                                    CS01-CLOSE-FLAG-RP-A.
037400     MOVE SS08WS-CURSOR          TO CS01-CLOSE-FLAG-L.
037500*
037600 C030-CLOSE-REASON.
037700*
037800***************************************
037900*    FIELD EDIT FOR CLOSE REASON      *
038000***************************************
038100*
038200     IF  CS01-CLOSE-REASON-L     IS GREATER THAN ZERO
038300         MOVE DFHBMASF           TO CS01-CLOSE-REASON-A
038400     ELSE
038500         MOVE MMSM-CLOSE-REASON  TO CS01-CLOSE-REASON.
038600*
038700     IF  CS01-CLOSE-FLAG-L IS GREATER THAN ZERO
038800     AND CS01-CLOSE-FLAG  IS EQUAL TO 'Y'
038900     AND CS01-CLOSE-REASON IS EQUAL TO SPACES
039000         GO TO C035-CLOSE-REASON-ERROR.
039100*
039200     GO TO C040-EDIT-OUT-OF-BUS-DATE.
039300*
039400 C035-CLOSE-REASON-ERROR.
039500*
039600     IF  CS01-CLOSE-REASON-L     IS GREATER THAN ZERO
039700         MOVE DFHBMUBF           TO CS01-CLOSE-REASON-A.
039800*
039900     SET SS08WS-ERROR-SW-YES     TO TRUE.
040000     MOVE DFHBMASB               TO CS01-CLOSE-REASON-LP-A
040100                                    CS01-CLOSE-REASON-RP-A.
040200     MOVE SS08WS-CURSOR          TO CS01-CLOSE-REASON-L.
040300*
040400 C040-EDIT-OUT-OF-BUS-DATE.
040500*
040600     IF  CS01-OUT-OF-BUS-DATE-L IS EQUAL TO ZERO
040700         MOVE MMSM-OUT-OF-BUS-DATE
040800                                 TO SS01WS-JULIAN
040900         PERFORM SS08PD-JUL-TO-GREG
041000                                 THRU SS08PD-JTG-EXIT
041100         MOVE SS01WS-DATE        TO CS01-OUT-OF-BUS-DATE.
041200*
041300     IF  CS01-OUT-OF-BUS-DATE IS NOT NUMERIC
041400         GO TO C045-OUT-OF-BUS-DATE-ERROR.
041500*
041600     IF  CS01-OUT-OF-BUS-DATE IS LESS THAN 1000000
041700         MOVE CS01-OUT-OF-BUS-DATE
041800                                 TO SS01WS-MDY
041900         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
042000     ELSE
042100         MOVE CS01-OUT-OF-BUS-DATE
042200                                 TO SS01WS-DATE.
042300*
042400     PERFORM SS05PD-DATE-VALIDATION
042500                                 THRU SS05PD-DV-EXIT.
042600*
042700     IF  SS01WS-DATE-IS-INVALID
042800         GO TO C045-OUT-OF-BUS-DATE-ERROR
042900     ELSE
043000         MOVE SS01WS-DATE        TO CS01-OUT-OF-BUS-DATE.
043100*
043200     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
043300*
043400     IF  MMMM-OUT-OF-BUS-DATE IS EQUAL TO ZEROS
043500         NEXT SENTENCE
043600     ELSE
043700         IF  MMMM-OUT-OF-BUS-DATE IS GREATER THAN SS01WS-JULIAN
043800         OR  MMMM-OUT-OF-BUS-DATE IS EQUAL TO SS01WS-JULIAN
043900             NEXT SENTENCE
044000         ELSE
044100             GO TO C045-OUT-OF-BUS-DATE-ERROR.
044200*
044300     IF  MMOC-TODAYS-JULIAN IS GREATER THAN SS01WS-JULIAN
044400     OR  MMOC-TODAYS-JULIAN IS EQUAL TO SS01WS-JULIAN
044500         NEXT SENTENCE
044600     ELSE
044700         GO TO C045-OUT-OF-BUS-DATE-ERROR.
044800*
044900     IF  SS01WS-JULIAN IS GREATER THAN MMSM-DATE-LAST-ACTIVE
045000     OR  SS01WS-JULIAN IS EQUAL TO ZEROS
045100         NEXT SENTENCE
045200     ELSE
045300         GO TO C045-OUT-OF-BUS-DATE-ERROR.
045400*
045500     GO TO C050-EDIT-OWNERSHIP-CHG-DATE.
045600*
045700 C045-OUT-OF-BUS-DATE-ERROR.
045800*
045900     IF  CS01-OUT-OF-BUS-DATE-L  IS GREATER THAN ZERO
046000         MOVE DFHBMNBF           TO CS01-OUT-OF-BUS-DATE-A.
046100*
046200     SET SS08WS-ERROR-SW-YES     TO TRUE.
046300     MOVE DFHBMASB               TO CS01-OUT-OF-BUS-DATE-LP-A
046400                                    CS01-OUT-OF-BUS-DATE-RP-A.
046500     MOVE SS08WS-CURSOR          TO CS01-OUT-OF-BUS-DATE-L.
046600*
046700 C050-EDIT-OWNERSHIP-CHG-DATE.
046800*
046900     IF  CS01-OWNERSHIP-CHG-DATE-L IS EQUAL TO ZERO
047000         MOVE MMSM-OWNERSHIP-CHG-DATE
047100                                 TO SS01WS-JULIAN
047200         PERFORM SS08PD-JUL-TO-GREG
047300                                 THRU SS08PD-JTG-EXIT
047400         MOVE SS01WS-DATE        TO CS01-OWNERSHIP-CHG-DATE.
047500*
047600     IF  CS01-OWNERSHIP-CHG-DATE IS NOT NUMERIC
047700         GO TO C055-OWNERSHIP-CHG-DATE-ERROR.
047800*
047900     IF  CS01-OWNERSHIP-CHG-DATE IS LESS THAN 1000000
048000         MOVE CS01-OWNERSHIP-CHG-DATE
048100                                 TO SS01WS-MDY
048200         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
048300     ELSE
048400         MOVE CS01-OWNERSHIP-CHG-DATE
048500                                 TO SS01WS-DATE.
048600*
048700     PERFORM SS05PD-DATE-VALIDATION
048800                                 THRU SS05PD-DV-EXIT.
048900*
049000     IF  SS01WS-DATE-IS-INVALID
049100         GO TO C055-OWNERSHIP-CHG-DATE-ERROR
049200     ELSE
049300         MOVE SS01WS-DATE        TO CS01-OWNERSHIP-CHG-DATE.
049400*
049500     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
049600*
049700     IF  MMOC-TODAYS-JULIAN IS GREATER THAN SS01WS-JULIAN
049800     OR  MMOC-TODAYS-JULIAN IS EQUAL TO SS01WS-JULIAN
049900         NEXT SENTENCE
050000     ELSE
050100         GO TO C055-OWNERSHIP-CHG-DATE-ERROR.
050200*
050300     IF  MMMM-OWNERSHIP-CHG-DATE IS EQUAL TO ZEROS
050400         NEXT SENTENCE
050500     ELSE
050600         IF  MMMM-OWNERSHIP-CHG-DATE IS GREATER THAN SS01WS-JULIAN
050700         OR  MMMM-OWNERSHIP-CHG-DATE IS EQUAL TO SS01WS-JULIAN
050800             NEXT SENTENCE
050900         ELSE
051000             GO TO C055-OWNERSHIP-CHG-DATE-ERROR.
051100*
051200     IF  SS01WS-JULIAN IS GREATER THAN MMSM-DATE-OPENED
051300     OR  SS01WS-JULIAN IS EQUAL TO ZEROS
051400         NEXT SENTENCE
051500     ELSE
051600         GO TO C055-OWNERSHIP-CHG-DATE-ERROR.
051700*
051800     GO TO D000-RETURN-ERRORS.
051900*
052000 C055-OWNERSHIP-CHG-DATE-ERROR.
052100*
052200     IF  CS01-OWNERSHIP-CHG-DATE-L IS GREATER THAN ZERO
052300         MOVE DFHBMNBF           TO CS01-OWNERSHIP-CHG-DATE-A.
052400*
052500     SET SS08WS-ERROR-SW-YES     TO TRUE.
052600     MOVE DFHBMASB               TO CS01-OWNERSHIP-CHG-DATE-LP-A
052700                                    CS01-OWNERSHIP-CHG-DATE-RP-A.
052800     MOVE SS08WS-CURSOR          TO CS01-OWNERSHIP-CHG-DATE-L.
052900*
053000/
053100 D000-RETURN-ERRORS SECTION.
053200*
053300     IF  SS08WS-ERROR-SW-NO
053400         GO TO E000-UPDATE-FILE.
053500*
053600***************************************************************
053700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
053800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
053900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
054000***************************************************************
054100*
054200     PERFORM MB60PD-INIT-STD-MAP-LINES
054300                                 THRU MB60PD-ISML-EXIT.
054400*
054500**********************
054600*    SEND THE MAP    *
054700**********************
054800*
054900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
055000     PERFORM MB60PD-SEND-MAP-DATA-ONLY
055100                                 THRU MB60PD-SMDO-EXIT.
055200*
055300************************
055400*    RETURN TO CICS    *
055500************************
055600*
055700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
055800     PERFORM MB70PD-RETURN-TRANS-ID
055900                                 THRU MB70PD-RTI-EXIT.
056000/
056100 E000-UPDATE-FILE SECTION.
056200*
056300****************************************************
056400*    READ THE STORE MASTER RECORD FOR UPDATE       *
056500****************************************************
056600*
056700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
056800     SET MBIORO-READ-RANDOM-UPDATE
056900                                 TO TRUE.
057000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
057100*
057200 E010-CONTINUE.
057300*
057400*************************************
057500*    OBTAIN STORAGE FOR LOG FILE    *
057600*    RECORD IF DOING MAINTENANCE    *
057700*************************************
057800*
057900     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
058000     SET MBIORO-GETMAIN          TO TRUE.
058100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
058200*
058300 E020-UPDATE-FIELDS.
058400*
058500     IF  CS01-CLOSE-FLAG-L       IS GREATER THAN ZERO
058600         IF CS01-CLOSE-FLAG IS EQUAL TO 'Y'
058700             SET WS-UPDATE-SW-YES
058800                                 TO TRUE
058900             MOVE 0197           TO MML1-FIELD-CODE
059000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
059100                                    MML1-FIELD-OCCURRENCE-2
059200             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
059300             MOVE MMSM-REC-STATUS
059400                                 TO MML1-VL01-B-DATA-9
059500             SET MMSM-REC-CLOSED TO TRUE
059600             MOVE MMSM-REC-STATUS
059700                                 TO MML1-VL01-A-DATA-9
059800             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
059900             PERFORM 9200-WRITE-LOG-REC-STORE
060000                                 THRU 9299-WLRS-EXIT
060100             MOVE 0196           TO MML1-FIELD-CODE
060200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
060300                                    MML1-FIELD-OCCURRENCE-2
060400             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
060500             MOVE MMSM-STATUS-CHANGE-OPER
060600                                 TO MML1-VL03-B-DATA-X
060700             MOVE MBCA-OPERATOR-ID
060800                                 TO MMSM-STATUS-CHANGE-OPER
060900             MOVE MMSM-STATUS-CHANGE-OPER
061000                                 TO MML1-VL03-A-DATA-X
061100             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
061200             PERFORM 9200-WRITE-LOG-REC-STORE
061300                                 THRU 9299-WLRS-EXIT.
061400*
061500     IF  CS01-CLOSE-REASON-L     IS GREATER THAN ZERO
061600         IF  CS01-CLOSE-REASON IS NOT EQUAL TO MMSM-CLOSE-REASON
061700         AND CS01-CLOSE-FLAG IS EQUAL TO 'Y'
061800             SET WS-UPDATE-SW-YES
061900                                 TO TRUE
062000             MOVE 0192           TO MML1-FIELD-CODE
062100             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
062200                                    MML1-FIELD-OCCURRENCE-2
062300             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
062400             MOVE MMSM-CLOSE-REASON
062500                                 TO MML1-VL02-B-DATA-X
062600             MOVE CS01-CLOSE-REASON
062700                                 TO MMSM-CLOSE-REASON
062800             MOVE MMSM-CLOSE-REASON
062900                                 TO MML1-VL02-A-DATA-X
063000             MOVE 'FC06'         TO MBCA-PROGRAM-LOCATION
063100             PERFORM 9200-WRITE-LOG-REC-STORE
063200                                 THRU 9299-WLRS-EXIT.
063300*
063400     IF  CS01-OUT-OF-BUS-DATE-L  IS GREATER THAN ZERO
063500         MOVE CS01-OUT-OF-BUS-DATE
063600                                 TO SS01WS-DATE
063700         PERFORM SS07PD-GREG-TO-JUL
063800                                 THRU SS07PD-GTJ-EXIT
063900         IF  SS01WS-JULIAN IS NOT EQUAL
064000                                 TO MMSM-OUT-OF-BUS-DATE
064100             SET WS-UPDATE-SW-YES
064200                                 TO TRUE
064300             MOVE 0190           TO MML1-FIELD-CODE
064400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
064500                                    MML1-FIELD-OCCURRENCE-2
064600             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
064700             MOVE MMSM-OUT-OF-BUS-DATE
064800                                 TO MML1-VL07-B-DATA-9
064900             MOVE SS01WS-JULIAN  TO MMSM-OUT-OF-BUS-DATE
065000             MOVE MMSM-OUT-OF-BUS-DATE
065100                                 TO MML1-VL07-A-DATA-9
065200             MOVE 'FC07'         TO MBCA-PROGRAM-LOCATION
065300             PERFORM 9200-WRITE-LOG-REC-STORE
065400                                 THRU 9299-WLRS-EXIT.
065500*
065600     IF  CS01-OWNERSHIP-CHG-DATE-L IS GREATER THAN ZERO
065700         MOVE CS01-OWNERSHIP-CHG-DATE
065800                                 TO SS01WS-DATE
065900         PERFORM SS07PD-GREG-TO-JUL
066000                                 THRU SS07PD-GTJ-EXIT
066100         IF  SS01WS-JULIAN IS NOT EQUAL
066200                                 TO MMSM-OWNERSHIP-CHG-DATE
066300             SET WS-UPDATE-SW-YES
066400                                 TO TRUE
066500             MOVE 0191           TO MML1-FIELD-CODE
066600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
066700                                    MML1-FIELD-OCCURRENCE-2
066800             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
066900             MOVE MMSM-OWNERSHIP-CHG-DATE
067000                                 TO MML1-VL07-B-DATA-9
067100             MOVE SS01WS-JULIAN  TO MMSM-OWNERSHIP-CHG-DATE
067200             MOVE MMSM-OWNERSHIP-CHG-DATE
067300                                 TO MML1-VL07-A-DATA-9
067400             MOVE 'FC08'         TO MBCA-PROGRAM-LOCATION
067500             PERFORM 9200-WRITE-LOG-REC-STORE
067600                                 THRU 9299-WLRS-EXIT.
067700*
067800 E040-UPDATE-MMSM.
067900*
068000**************************************************************
068100*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
068200*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
068300*    ON THE SCREEN                                           *
068400**************************************************************
068500*
068600     IF  WS-UPDATE-SW-YES
068700         MOVE 0198               TO MML1-FIELD-CODE
068800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
068900                                    MML1-FIELD-OCCURRENCE-2
069000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
069100         MOVE MMSM-LAST-MAINT-OPER
069200                                 TO MML1-VL03-B-DATA-X
069300         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
069400         MOVE MMSM-LAST-MAINT-OPER
069500                                 TO MML1-VL03-A-DATA-X
069600         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
069700         PERFORM 9200-WRITE-LOG-REC-STORE
069800                                 THRU 9299-WLRS-EXIT
069900         MOVE 0199               TO MML1-FIELD-CODE
070000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
070100         MOVE MMSM-LAST-MAINT-DATE
070200                                 TO MML1-VL07-B-DATA-9
070300         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
070400         MOVE MMSM-LAST-MAINT-DATE
070500                                 TO MML1-VL07-A-DATA-9
070600         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
070700         PERFORM 9200-WRITE-LOG-REC-STORE
070800                                 THRU 9299-WLRS-EXIT.
070900*
071000**************************************************************
071100*    REWRITE THE STORE MASTER RECORD                         *
071200*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
071300*    UNLOCK IT IF THEY HAVE NOT                              *
071400**************************************************************
071500*
071600     IF  WS-UPDATE-SW-YES
071700         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
071800         SET MBIORO-REWRITE      TO TRUE
071900         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
072000     ELSE
072100         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
072200         SET MBIORO-UNLOCK       TO TRUE
072300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
072400/
072500 F000-SETUP-COMMAREA SECTION.
072600*
072700***************************************************************
072800*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
072900***************************************************************
073000*
073100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
073200*
073300     PERFORM MB60PD-EDIT-PAGE-NBR
073400                                 THRU MB60PD-EPN-EXIT.
073500*
073600     IF  SS08WS-VALID-PF-KEY
073700     OR  SS08WS-EIBAID-VALID-PF-KEY
073800         SET MBCA-INITIAL-SCREEN-NBR
073900                                 TO TRUE.
074000*
074100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
074200     PERFORM MB70PD-XCTL-TO-MBOXCTL
074300                                 THRU MB70PD-XTM-EXIT.
074400/
074500 9000-PERFORMED-AREA SECTION.
074600*
074700 9100-READ-MMSM.
074800*
074900*****************************************
075000*    READ THE STORE MASTER RECORD       *
075100*****************************************
075200*
075300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
075400                                    CS01-ORG.
075500     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
075600                                    CS01-STORE.
075700     SET MBIORO-READ-RANDOM      TO TRUE.
075800     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
075900*
076000 9199-READ-MMSM-EXIT.
076100     EXIT.
076200*
076300 9200-WRITE-LOG-REC-STORE.
076400*
076500     MOVE 'SM'                   TO MML1-FILE-CODE.
076600     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
076700     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
076800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
076900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
077000     MOVE ZEROS                  TO MML1-SOURCE-CODE.
077100     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
077200     SET MBIORO-WRITE            TO TRUE.
077300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
077400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
077500*
077600 9299-WLRS-EXIT.
077700     EXIT.
077800*
077900 9300-READ-MMMM.
078000*
078100*****************************************
078200*    READ THE MERCHANT MASTER RECORD    *
078300*****************************************
078400*
078500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
078600     MOVE MMSM-MERCHANT-ID       TO MBIOWS-MMMM-MERCHANT.
078700     SET MBIORO-READ-RANDOM      TO TRUE.
078800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
078900*
079000 9399-READ-MMMM-EXIT.
079100     EXIT.
079200/
079300 Z000-COPIED-ROUTINES SECTION.
079400**********************************
079500*    JUL TO GREG DATE ROUTINE    *
079600**********************************
079700*
079800     COPY SS08PD.
079900/
080000**********************************
080100*    DATE VALIDATION ROUTINE     *
080200**********************************
080300*
080400     COPY SS05PD.
080500/
080600**********************************
080700*    GREG TO JULIAN              *
080800**********************************
080900*
081000     COPY SS07PD.
081100/
081200     COPY SS26PD.
081300/
081400     COPY SS27PD.
081500/
081600*********************************
081700*    LINE 24 PF KEYS ROUTINE    *
081800*********************************
081900*
082000     COPY SS15PD.
082100/
082200************************************************
082300*    STORE MASTER RECORD ACCESS ROUTINES       *
082400************************************************
082500*
082600     COPY MMSMAO.
082700/
082800************************************************
082900*    ORGANIZATION RECORD ACCESS ROUTINES       *
083000************************************************
083100*
083200     COPY MMOCAO.
083300/
083400************************************************
083500*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
083600************************************************
083700*
083800     COPY MMMMAO.
083900/
084000*****************************************
084100*    LOG FILE RECORD ACCESS ROUTINES    *
084200*****************************************
084300*
084400     COPY MML1AO.
084500/
084600*****************************
084700*    ONLINE MAP ROUTINES    *
084800*****************************
084900*
085000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBCS01 '
085100                           MBMAPXXI BY MBCS01I
085200                           MBMAPXXO BY MBCS01O.
085300/
085400***************************
085500*    ONLINE PROCEDURES    *
085600***************************
085700*
085800     COPY MB70PD.
085900/
086000     COPY SMFTPXO.
