000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODA00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODA00 - ON-LINE MERCHANT ADJUSTMENT DIRECTORY          *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDA                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDA00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMT1   (MONRTARY TRANS FILE)               *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400 01  TS-QUEUE-NAME.
002500     03  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
002600     03  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDA'.
002700/         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         DATE WORK AREAS
003200     COPY SS01WS.
003300/         ONLINE WORK AREAS
003400     COPY SS08WS.
003500/
003600     COPY SS00WS.
003700/
003800     COPY SMFTWS.
003900/
004000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004100/
004200     COPY MB61LK.
004300/         STANDARD ERROR MESSAGES
004400     COPY MBEMWS.
004500*
004600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004700/
004800 LINKAGE SECTION.
004900 01  DFHCOMMAREA.
005000     COPY MB60WS.
005100/         MERCHANT DIRECTORY SCREEN 00 MAP DSECT
005200     COPY MBDA00.
005300/         MERCHANT DIRECTORY SCREEN 00 MAP REDEFINITION
005400     COPY MBDA00R.
005500/         ORG CONTROL RECORD LAYOUT
005600     COPY MMOCRL.
005700/         MONETARY TRANS RECORD LAYOUT
005800     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMT1==.
005900/
006000 PROCEDURE DIVISION.
006100 0000-HOUSEKEEPING SECTION.
006200 0100-INIT.
006300*
006400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006600                                 THRU MB70PD-OLH-EXIT.
006700*
006800     IF  MBCA-RECEIVE-SCREEN
006900         GO TO 2000-RECEIVE-SCREEN.
007000*
007100 1000-SEND-SCREEN SECTION.
007200*
007300****************************************************************
007400*    DELETE TEMP STORAGE RECORD IF ONE IS LEFT.                *
007500****************************************************************
007600*
007700     EXEC CICS IGNORE CONDITION
007800               QIDERR
007900          END-EXEC.
008000*
008100     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
008200     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
008300*
008400     EXEC CICS DELETEQ TS
008500               QUEUE  (TS-QUEUE-NAME)
008600          END-EXEC.
008700*
008800****************************************************************
008900*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009000****************************************************************
009100*
009200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009300     PERFORM MB60PD-GETMAIN-FOR-MAP
009400                                 THRU MB60PD-GFM-EXIT.
009500*
009600*****************************************************************
009700*    CHECK KEY CODES                                            *
009800* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009900* 2. IF MMT1 KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
010000*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
010100*    ORG AND MERCHANT INTO THE MAP. IF AN ERROR OCCURS IN THE   *
010200*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
010300*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
010400*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
010500*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND MERCHANT INTO THE *
010600*    MAP AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.         *
010700* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
010800*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP.         *
010900*    SEE IF THE MBCA-MERCHANT FIELD IS GREATER THAN ZERO. IF SO,*
011000*    PLUG INTO MAP.                                             *
011100*    HANDLE IF THEY WERE NON-DIRECT.                            *
011200*****************************************************************
011300*
011400     IF  MBCA-INITIAL-KEY-CODE
011500         GO TO 1100-BUILD-SCREEN.
011600*
011700     IF  MBCA-MMMM-KEY-CODE
011800     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011900         MOVE MBCA-MERCHANT-ORG  TO DA00-ORG
012000         MOVE DFHBMUNF           TO DA00-ORG-A
012100         IF  MBCA-MERCHANT IS GREATER THAN ZEROES
012200             MOVE MBCA-MERCHANT  TO DA00-MERCHANT
012300             MOVE DFHBMUNF       TO DA00-MERCHANT-A
012400             IF  MBCA-DIRECT-TRANSFER-CODE
012500             AND MBCA-INITIAL-SCREEN-NBR
012600                 MOVE 00         TO MBCA-SCREEN-NBR
012700                 GO TO 2120-READ-ORG
012800             ELSE
012900                 GO TO 1100-BUILD-SCREEN.
013000*
013100     IF  MBCA-VALID-KEY-CODES
013200     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013300         MOVE MBCA-MERCHANT-ORG  TO DA00-ORG
013400         MOVE DFHBMUNF           TO DA00-ORG-A
013500         IF  MBCA-MERCHANT IS GREATER THAN ZEROES
013600             MOVE MBCA-MERCHANT  TO DA00-MERCHANT
013700             MOVE DFHBMUNF       TO DA00-MERCHANT-A.
013800*
013900 1100-BUILD-SCREEN.
014000*
014100****************************************************************
014200*    INITIALIZE THE STANDARD MAP LINES                         *
014300****************************************************************
014400*
014500     MOVE SS08WS-CURSOR          TO DA00-ORG-L.
014600     MOVE 00                     TO MBCA-SCREEN-NBR.
014700     PERFORM MB60PD-INIT-STD-MAP-LINES
014800                                 THRU MB60PD-ISML-EXIT.
014900*
015000     IF  MBCA-MERCHANT-ORG IS NUMERIC
015100     AND MBCA-MERCHANT-ORG IS GREATER THAN ZEROES
015200         MOVE MBCA-MERCHANT-ORG  TO DA00-ORG
015300         MOVE DFHBMUNF           TO DA00-ORG-A.
015400*
015500     IF  MBCA-MERCHANT IS NUMERIC
015600     AND MBCA-MERCHANT IS GREATER THAN ZEROES
015700         MOVE MBCA-MERCHANT      TO DA00-MERCHANT
015800         MOVE DFHBMUNF           TO DA00-MERCHANT-A.
015900*
016000     MOVE DFHBMASK               TO DA00-CURRENT-PAGE-A.
016100*
016200****************************************************************
016300*    SEND THE MAP                                              *
016400****************************************************************
016500*
016600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
016700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
016800                                 THRU MB60PD-SMWE-EXIT.
016900*
017000****************************************************************
017100*    RETURN TO CICS                                            *
017200****************************************************************
017300*
017400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017500     PERFORM MB70PD-RETURN-TRANS-ID
017600                                 THRU MB70PD-RTI-EXIT.
017700/
017800 2000-RECEIVE-SCREEN SECTION.
017900*
018000****************************************************************
018100*    THIS SECTION RECEIVES THE 00 SCREEN                       *
018200****************************************************************
018300*
018400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018600*
018700****************************************************************
018800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
018900****************************************************************
019000*
019100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
019200     PERFORM MB60PD-NEW-TRANS-ROUTINE
019300                                 THRU MB60PD-NTR-EXIT.
019400*
019500 2100-EDIT-SCREEN.
019600*
019700     SET SS08WS-ERROR-SW-NO      TO TRUE.
019800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
019900*
020000     IF  (DA00-ORG-L IS LESS THAN 1
020100     AND  DA00-MERCHANT-L IS LESS THAN 1)
020200     AND (SS08WS-VALID-PF-KEY
020300     OR   SS08WS-EIBAID-VALID-PF-KEY)
020400         SET MBCA-INITIAL-SCREEN-NBR
020500                                 TO TRUE
020600         GO TO 2690-TRANSFER-XCTL.
020700*
020800 2110-EDIT-ORG.
020900*
021000     MOVE DFHBMUNF               TO DA00-ORG-A.
021100     MOVE DFHBMASK               TO DA00-ORG-LP-A
021200                                    DA00-ORG-RP-A.
021300*
021400     IF  DA00-ORG-L IS EQUAL TO ZERO
021500     OR  DA00-ORG IS NOT NUMERIC
021600         MOVE MBEMWS-INVALID-ORG TO DA00-ERR-MESSAGE
021700         GO TO 2130-ORG-ERROR.
021800*
021900     IF  DA00-ORG IS LESS THAN MBCA-ORG-LOW
022000     OR  DA00-ORG IS GREATER THAN MBCA-ORG-HIGH
022100         MOVE MBEMWS-INVALID-ORG TO DA00-ERR-MESSAGE
022200         GO TO 2130-ORG-ERROR.
022300*
022400 2120-READ-ORG.
022500*
022600****************************************************************
022700*    READ THE ORGANIZATION FILE                                *
022800****************************************************************
022900*
023000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
023100     MOVE DA00-ORG               TO MBIOWS-MMOC-ORG.
023200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
023300     SET MBIORO-READ-RANDOM      TO TRUE.
023400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
023500*
023600     IF  SS08WS-RC-FC-VALID-RTN-CODE
023700         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
023800                                    MBCA-MBDA-ORG
023900         IF  MMOC-ADD-PENDING
024000             MOVE MBEMWS-ADD-PENDING
024100                                 TO DA00-ERR-MESSAGE
024200         ELSE
024300             IF  MMOC-REC-INCOMPLETE
024400             OR  MMOC-REC-PURGED
024500                 MOVE MBEMWS-NOT-ACTIVE
024600                                 TO DA00-ERR-MESSAGE
024700             ELSE
024800                 MOVE MMOC-NA-LINE (1 1)
024900                                 TO MBCA-MBDA-ORG-NAME
025000                 GO TO 2140-EDIT-MERCHANT
025100     ELSE
025200         MOVE MBEMWS-NOT-ON-FILE TO DA00-ERR-MESSAGE.
025300*
025400 2130-ORG-ERROR.
025500*
025600     MOVE DFHBMNBF               TO DA00-ORG-A.
025700     MOVE DFHBMASB               TO DA00-ORG-LP-A
025800                                    DA00-ORG-RP-A.
025900     MOVE SS08WS-CURSOR          TO DA00-ORG-L.
026000     SET SS08WS-ERROR-SW-YES     TO TRUE.
026100*
026200 2140-EDIT-MERCHANT.
026300*
026400     MOVE DFHBMUNF               TO DA00-MERCHANT-A.
026500     MOVE DFHBMASK               TO DA00-MERCHANT-LP-A
026600                                    DA00-MERCHANT-RP-A.
026700*
026800     IF  DA00-MERCHANT-L IS EQUAL TO ZERO
026900         MOVE ZEROES             TO DA00-MERCHANT
027000     ELSE
027100         IF  DA00-MERCHANT IS NOT NUMERIC
027200             MOVE MBEMWS-INVALID-MERCHANT
027300                                 TO DA00-ERR-MESSAGE
027400             GO TO 2150-MERCHANT-ERROR.
027500*
027600     IF  SS08WS-ERROR-SW-YES
027700         GO TO 2290-CHECK-ERROR.
027800*
027900****************************************************************
028000*    START BROWSE THE MONETARY TRANS FILE                      *
028100****************************************************************
028200*
028300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
028400     MOVE MBCA-MBDA-ORG          TO MBIOWS-MMT1-ORG.
028500     MOVE DA00-MERCHANT          TO MBIOWS-MMT1-MERCHANT.
028600     MOVE ZEROS                  TO MBIOWS-MMT1-SEQ-NBR.
028700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
028800     SET MBIORO-STARTBR-GTE      TO TRUE.
028900     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
029000*
029100     IF  SS08WS-RC-FC-NOTFND
029200         GO TO 2150-MERCHANT-ERROR.
029300*
029400****************************************************************
029500*    READNEXT THE MONETARY TRANS FILE                          *
029600****************************************************************
029700*
029800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
029900     SET MBIORO-READ-SEQ         TO TRUE.
030000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
030100*
030200****************************************************************
030300*    END BROWSE THE MONETARY TRANS FILE                        *
030400****************************************************************
030500*
030600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
030700     SET MBIORO-ENDBR            TO TRUE.
030800     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
030900*
031000     IF  MMT1-ORG IS GREATER THAN MBCA-MBDA-ORG
031100         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
031200                                 TO DA00-ERR-MESSAGE
031300         MOVE DFHBMNBF           TO DA00-ORG-A
031400         MOVE DFHBMASB           TO DA00-ORG-LP-A
031500                                    DA00-ORG-RP-A
031600         MOVE SS08WS-CURSOR      TO DA00-ORG-L
031700     ELSE
031800         MOVE MMT1-MERCHANT      TO MBCA-MBDA-FIRST-MERCHANT
031900                                    MBCA-MBDA-FWD-MERCHANT
032000                                    MBCA-MERCHANT
032100         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-FIRST-SEQ-NBR
032200                                    MBCA-MBDA-FWD-SEQ-NBR
032300         MOVE SPACES             TO MBCA-MBDA-RETURN-FLAG
032400         MOVE ZEROES             TO MBCA-MBDA-BACK-MERCHANT
032500                                    MBCA-MBDA-BACK-SEQ-NBR
032600         GO TO 2290-CHECK-ERROR.
032700*
032800 2150-MERCHANT-ERROR.
032900*
033000     MOVE DFHBMNBF               TO DA00-MERCHANT-A.
033100     MOVE DFHBMASB               TO DA00-MERCHANT-LP-A
033200                                    DA00-MERCHANT-RP-A.
033300     MOVE SS08WS-CURSOR          TO DA00-MERCHANT-L
033400     SET SS08WS-ERROR-SW-YES     TO TRUE.
033500*
033600 2290-CHECK-ERROR.
033700*
033800     IF  SS08WS-ERROR-SW-NO
033900         GO TO 2600-SETUP-COMMAREA
034000     ELSE
034100         IF  SS08WS-VALID-PF-KEY
034200         OR  SS08WS-EIBAID-VALID-PF-KEY
034300             SET MBCA-INITIAL-SCREEN-NBR
034400                                 TO TRUE
034500             GO TO 2690-TRANSFER-XCTL.
034600*
034700 2300-SEND-MAP.
034800*
034900****************************************************************
035000*    SEND THE MAP                                              *
035100****************************************************************
035200*
035300     PERFORM MB60PD-INIT-STD-MAP-LINES
035400                                 THRU MB60PD-ISML-EXIT.
035500*
035600     MOVE DFHBMASK               TO DA00-CURRENT-PAGE-A.
035700*
035800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
035900     PERFORM MB60PD-SEND-MAP-DATA-ONLY
036000                                 THRU MB60PD-SMDO-EXIT.
036100*
036200****************************************************************
036300*    RETURN TO CICS                                            *
036400****************************************************************
036500*
036600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
036700     PERFORM MB70PD-RETURN-TRANS-ID
036800                                 THRU MB70PD-RTI-EXIT.
036900/
037000 2600-SETUP-COMMAREA.
037100*
037200****************************************************************
037300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
037400****************************************************************
037500*
037600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
037700*
037800     MOVE MBIOWS-MMT1-KEY-CODE   TO MBCA-KEY-CODE.
037900*
038000     PERFORM MB60PD-EDIT-PAGE-NBR
038100                                 THRU MB60PD-EPN-EXIT.
038200*
038300     IF  SS08WS-VALID-PF-KEY
038400     OR  SS08WS-EIBAID-VALID-PF-KEY
038500         SET MBCA-INITIAL-SCREEN-NBR
038600                                 TO TRUE.
038700*
038800 2690-TRANSFER-XCTL.
038900*
039000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039100     PERFORM MB70PD-XCTL-TO-MBOXCTL
039200                                 THRU MB70PD-XTM-EXIT.
039300/
039400 9000-PERFORMED-ROUTINES-SECT SECTION.
039500*         JULIAN TO GREGORIAN DATE ROUTINE
039600     COPY SS08PD.
039700/
039800     COPY SS26PD.
039900/
040000     COPY SS27PD.
040100/         LINE 24 PF KEYS ROUTINE
040200     COPY SS15PD.
040300/         ORG RECORD ACCESS ROUTINES
040400     COPY MMOCAO.
040500/         MONETARY TRANS RECORD ACCESS ROUTINES
040600     COPY MMT1AO.
040700/         ON-LINE MAP ROUTINES
040800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDA00 '
040900                           MBMAPXXI BY MBDA00I
041000                           MBMAPXXO BY MBDA00O.
041100/         ON-LINE PROCEDURES
041200     COPY MB70PD.
041300/
041400     COPY SMFTPXO.
