000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODA01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODA01 - ON-LINE MERCHANT ADJUSTMENT DIRECTORY          *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDA                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDA01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMT1   (MERCHANT ADJUSTMENT MASTER FILE)   *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-MERCHANT     PIC  9(09)      VALUE ZEROES.
004300     03  WS-FWD-SEQ-NBR      PIC  9(08)      VALUE ZEROES.
004400     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004500         88  WS-SELECT-NO                    VALUE 'N'.
004600         88  WS-SELECT-YES                   VALUE 'Y'.
004700     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-BYPASS-NO                    VALUE 'N'.
004900         88  WS-BYPASS-YES                   VALUE 'Y'.
005000     03  TS-QUEUE-NAME.
005100         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005200         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDA'.
005300*
005400 01  WS-DETAIL-LINE.
005500     03  WS-MERCHANT-NBR     PIC  9(09).
005600     03  FILLER              PIC  X(01)      VALUE SPACES.
005700     03  WS-SEQ-NBR          PIC  9(08).
005800     03  FILLER              PIC  X(01)      VALUE SPACES.
005900     03  WS-TRANS-CODE       PIC  9(03).
006000     03  FILLER              PIC  X(01)      VALUE SPACES.
006100     03  WS-DESCRIPTION      PIC  X(15).
006200     03  FILLER              PIC  X(01)      VALUE SPACES.
006300     03  WS-AMOUNT           PIC  9(15).99-.
006400     03  WS-TYPE             PIC  X(01).
006500     03  FILLER              PIC  X(01)      VALUE SPACES.
006600     03  WS-ORIG-OPER        PIC  X(03).
006700     03  FILLER              PIC  X(01)      VALUE SPACES.
006800     03  WS-LAST-OPER        PIC  X(03).
006900     03  FILLER              PIC  X(02)      VALUE SPACES.
007000     03  WS-TRANS-STATUS     PIC  X(01).
007100*
007200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007300/
007400 LINKAGE SECTION.
007500 01  DFHCOMMAREA.
007600     COPY MB60WS.
007700/         MERCHANT DIRECTORY SCREEN 01 MAP DSECT
007800     COPY MBDA01.
007900/         MERCHANT DIRECTORY SCREEN 01 MAP REDEFINITION
008000     COPY MBDA01R.
008100/         MERCHANT MASTER RECORD LAYOUT
008200     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMT1==.
008300/         MERCHANT DIRECTORY TEMPORARY STORAGE
008400     COPY MBDATS.
008500/
008600 PROCEDURE DIVISION.
008700 0000-HOUSEKEEPING SECTION.
008800 0100-INIT.
008900*
009000     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
009100     SET MBCA-EIBAID-ENTER       TO TRUE.
009200*
009300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009500                                 THRU MB70PD-OLH-EXIT.
009600*
009700     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
009800     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
009900*
010000     IF  MBCA-RECEIVE-SCREEN
010100         GO TO 2000-RECEIVE-SCREEN.
010200*
010300 1000-SEND-SCREEN SECTION.
010400*
010500****************************************************************
010600*    GET CICS STORAGE NEEDED FOR THE MAP                       *
010700****************************************************************
010800*
010900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011000     PERFORM MB60PD-GETMAIN-FOR-MAP
011100                                 THRU MB60PD-GFM-EXIT.
011200*
011300     MOVE MBCA-MBDA-ORG          TO DA01-ORG.
011400     MOVE MBCA-MBDA-ORG-NAME     TO DA01-ORG-NAME.
011500     MOVE MBCA-MBDA-FIRST-MERCHANT
011600                                 TO DA01-MERCHANT.
011700     MOVE 01                     TO MBCA-SCREEN-NBR.
011800*
011900****************************************************************
012000*    INITIALIZE THE STANDARD MAP LINES                         *
012100****************************************************************
012200*
012300     PERFORM MB60PD-INIT-STD-MAP-LINES
012400                                 THRU MB60PD-ISML-EXIT.
012500*
012600****************************************************************
012700*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
012800****************************************************************
012900*
013000     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
013100     PERFORM 8100-TEMP-STORAGE-GETMAIN
013200                                 THRU 8199-TSG-EXIT.
013300*
013400     EXEC CICS HANDLE CONDITION
013500               QIDERR (1010-CHECK-RETURN-FLAG)
013600          END-EXEC.
013700*
013800***********************************************
013900*    READ THE TEMP STORAGE RECORD             *
014000***********************************************
014100*
014200     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
014300     PERFORM 8200-TEMP-STORAGE-READ
014400                                 THRU 8299-TSR-EXIT.
014500*
014600***********************************************
014700*    DELETE THE TEMP STORAGE RECORD           *
014800***********************************************
014900*
015000     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM 8300-TEMP-STORAGE-DELETE
015200                                 THRU 8399-TSD-EXIT.
015300*
015400     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
015500     GO TO 1080-CONTINUE.
015600*
015700 1010-CHECK-RETURN-FLAG.
015800*
015900     IF  MBCA-MBDA-RETURN-BOTTOM
016000         PERFORM 8900-LAST-SCREEN
016100                                 THRU 8999-LS-EXIT
016200         IF  WS-BYPASS-YES
016300             GO TO 1015-READ-MERCH-ADJUST
016400         ELSE
016500             GO TO 1080-CONTINUE
016600     ELSE
016700         IF  MBCA-MBDA-RETURN-BWD
016800             PERFORM 9000-BACK-SCREEN
016900                                 THRU 9099-BS-EXIT
017000             IF  WS-BYPASS-YES
017100                 GO TO 1015-READ-MERCH-ADJUST
017200             ELSE
017300                 GO TO 1080-CONTINUE.
017400*
017500 1015-READ-MERCH-ADJUST.
017600*
017700****************************************************************
017800*    START BROWSE THE ADJUSTMENT FILE                          *
017900****************************************************************
018000*
018100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018200     MOVE MBCA-MBDA-ORG          TO MBIOWS-MMT1-ORG.
018300     MOVE MBCA-MBDA-FWD-MERCHANT TO MBIOWS-MMT1-MERCHANT.
018400     MOVE MBCA-MBDA-FWD-SEQ-NBR  TO MBIOWS-MMT1-SEQ-NBR.
018500     SET MBIORO-STARTBR-GTE      TO TRUE.
018600     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
018700*
018800     SET X-ADJUST-INDEX          TO +1.
018900*
019000 1020-READ-LOOP.
019100*
019200****************************************************************
019300*    READNEXT THE ADJUSTMENT FILE                              *
019400****************************************************************
019500*
019600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019700     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
019800     SET MBIORO-READ-SEQ         TO TRUE.
019900     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
020000*
020100*
020200     IF  MMT1-ORG IS GREATER THAN MBCA-MBDA-ORG
020300     OR  SS08WS-RC-FC-ENDFILE
020400         GO TO 1020-END-BROWSE.
020500*
020600     PERFORM 9500-BUILD-SCREEN-LINE
020700                                 THRU 9599-BSL-EXIT.
020800*
020900     IF  X-ADJUST-INDEX IS EQUAL TO +1
021000         MOVE MMT1-MERCHANT      TO MBCA-MBDA-BACK-MERCHANT
021100         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-BACK-SEQ-NBR.
021200*
021300     IF  X-ADJUST-INDEX IS LESS THAN +13
021400         SET X-ADJUST-INDEX      UP BY +1
021500         GO TO 1020-READ-LOOP
021600     ELSE
021700         MOVE MMT1-MERCHANT      TO MBCA-MBDA-FWD-MERCHANT
021800         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-FWD-SEQ-NBR
021900         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
022000         SET X-ADJUST-INDEX      UP BY +1.
022100*
022200 1020-END-BROWSE.
022300*
022400****************************************************************
022500*    END BROWSE THE ADJUSTMENT FILE                            *
022600****************************************************************
022700*
022800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
022900     SET MBIORO-ENDBR            TO TRUE.
023000     PERFORM MMT1AO-ACCESS      THRU MMT1AO-ACCESS-EXIT.
023100*
023200 1060-SET-ATTRIBUTE.
023300*
023400     IF  X-ADJUST-INDEX IS EQUAL TO +1
023500         IF  MBCA-MBDA-RETURN-NORMAL
023600             SET MBCA-INITIAL-SCREEN-NBR
023700                                 TO TRUE
023800             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
023900             PERFORM MB70PD-XCTL-TO-MBOXCTL
024000                                 THRU MB70PD-XTM-EXIT
024100         ELSE
024200             MOVE MBCA-MBDA-BACK-MERCHANT
024300                                 TO MBCA-MBDA-FWD-MERCHANT
024400             MOVE MBCA-MBDA-BACK-SEQ-NBR
024500                                 TO MBCA-MBDA-FWD-SEQ-NBR
024600             GO TO 1015-READ-MERCH-ADJUST.
024700*
024800     IF  X-ADJUST-INDEX IS LESS THAN +14
024900         SET X-MBDATS-INDEX      TO X-ADJUST-INDEX
025000         MOVE ZEROES             TO MBCA-MBDA-FWD-MERCHANT
025100                                    WS-FWD-MERCHANT
025200                                    MBDATS-MERCHANT
025300                                    (X-MBDATS-INDEX)
025400                                    MBCA-MBDA-FWD-SEQ-NBR
025500                                    WS-FWD-SEQ-NBR
025600                                    MBDATS-SEQ-NBR
025700                                    (X-MBDATS-INDEX)
025800                                    MBDATS-TRANS-CODE
025900                                    (X-MBDATS-INDEX)
026000                                    MBDATS-AMOUNT
026100                                    (X-MBDATS-INDEX)
026200         MOVE SPACES             TO MBDATS-DESCRIPTION
026300                                    (X-MBDATS-INDEX)
026400                                    MBDATS-TYPE
026500                                    (X-MBDATS-INDEX)
026600                                    MBDATS-ORIG-OPER
026700                                    (X-MBDATS-INDEX)
026800                                    MBDATS-LAST-OPER
026900                                    (X-MBDATS-INDEX)
027000                                    MBDATS-TRANS-STATUS
027100                                    (X-MBDATS-INDEX)
027200         MOVE DFHBMASK           TO DA01-SELECT-A
027300                                    (X-ADJUST-INDEX)
027400         MOVE DFHBMDAS           TO DA01-DIRECTORY-LINE-A
027500                                    (X-ADJUST-INDEX)
027600                                    DA01-SELECT-LP-A
027700                                    (X-ADJUST-INDEX)
027800                                    DA01-SELECT-RP-A
027900                                    (X-ADJUST-INDEX)
028000         SET X-ADJUST-INDEX      UP BY +1
028100         GO TO 1060-SET-ATTRIBUTE.
028200*
028300 1080-CONTINUE.
028400*
028500     IF  MBCA-MBDA-BACK-MERCHANT IS NOT EQUAL
028600                                 TO MBCA-MBDA-FIRST-MERCHANT
028700     AND MBCA-MBDA-BACK-SEQ-NBR  IS NOT EQUAL
028800                                 TO MBCA-MBDA-FIRST-SEQ-NBR
028900         MOVE DFHBMASB           TO DA01-FWD-BACK-IND-A (1).
029000*
029100     IF  WS-FWD-MERCHANT IS NOT EQUAL TO ZEROES
029200     AND WS-FWD-SEQ-NBR  IS NOT EQUAL TO ZEROES
029300         MOVE DFHBMASB           TO DA01-FWD-BACK-IND-A (13).
029400*
029500****************************************************************
029600*    WRITE THE TEMP STORAGE RECORD                             *
029700****************************************************************
029800*
029900     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
030000     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
030100*
030200     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
030300         VARYING X-ADJUST-INDEX FROM +1 BY +1
030400         UNTIL   X-ADJUST-INDEX IS GREATER THAN +13.
030500*
030600     SET X-ADJUST-INDEX          TO +1.
030700*
030800 1090-CURSOR-LOOP.
030900*
031000     IF  X-ADJUST-INDEX IS GREATER THAN +13
031100         MOVE SS08WS-CURSOR      TO DA01-ALT-TRANID-L
031200         GO TO 1100-CONTINUE.
031300*
031400     IF  DA01-SELECT-A (X-ADJUST-INDEX)
031500                                 IS EQUAL TO DFHBMASK
031600         SET X-ADJUST-INDEX      UP BY +1
031700         GO TO 1090-CURSOR-LOOP
031800     ELSE
031900         MOVE SS08WS-CURSOR      TO DA01-SELECT-L
032000                                    (X-ADJUST-INDEX).
032100*
032200 1100-CONTINUE.
032300*
032400     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
032500     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
032600     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
032700     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
032800     MOVE SS08WS-LINE-24         TO DA01-PF-KEYS.
032900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
033000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
033100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
033200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
033300*
033400     MOVE DFHBMASK               TO DA01-CURRENT-PAGE-A.
033500*
033600****************************************************************
033700*    SEND THE MAP                                              *
033800****************************************************************
033900*
034000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
034100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
034200                                 THRU MB60PD-SMWE-EXIT.
034300*
034400****************************************************************
034500*    RETURN TO CICS                                            *
034600****************************************************************
034700*
034800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034900     PERFORM MB70PD-RETURN-TRANS-ID
035000                                 THRU MB70PD-RTI-EXIT.
035100/
035200 2000-RECEIVE-SCREEN SECTION.
035300*
035400     IF  MBCA-EIBAID-CLEAR
035500         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
035600         PERFORM 8300-TEMP-STORAGE-DELETE
035700                                 THRU 8399-TSD-EXIT
035800         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
035900         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
036000                                 THRU MB70PD-OLH-EXIT.
036100*
036200****************************************************************
036300*    THIS SECTION RECEIVES THE 01 SCREEN                       *
036400****************************************************************
036500*
036600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
036800*
036900*****************************************************
037000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
037100*****************************************************
037200*
037300     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM 8100-TEMP-STORAGE-GETMAIN
037500                                 THRU 8199-TSG-EXIT.
037600*
037700***********************************************
037800*    READ THE TEMP STORAGE RECORD             *
037900***********************************************
038000*
038100     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
038200     PERFORM 8200-TEMP-STORAGE-READ
038300                                 THRU 8299-TSR-EXIT.
038400*
038500***********************************************
038600*    DELETE THE TEMP STORAGE RECORD           *
038700***********************************************
038800*
038900     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
039000     PERFORM 8300-TEMP-STORAGE-DELETE
039100                                 THRU 8399-TSD-EXIT.
039200*
039300****************************************************************
039400*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
039500****************************************************************
039600*
039700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039800     PERFORM MB60PD-NEW-TRANS-ROUTINE
039900                                 THRU MB60PD-NTR-EXIT.
040000*
040100 2005-EDIT-SELECT.
040200*
040300****************************************************************
040400*    EDIT SELECT FIELD                                         *
040500****************************************************************
040600*
040700     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
040800*
040900 2090-CHECK-ERROR.
041000*
041100     IF  SS08WS-ERROR-SW-NO
041200         GO TO 2400-CHECK-SELECT.
041300*
041400 2300-SEND-MAP.
041500*
041600***********************************************
041700*    WRITE THE TEMP STORAGE RECORD            *
041800***********************************************
041900*
042000     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
042100     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
042200*
042300****************************************************************
042400*    SEND THE MAP                                              *
042500****************************************************************
042600*
042700     PERFORM MB60PD-INIT-STD-MAP-LINES
042800                                 THRU MB60PD-ISML-EXIT.
042900*
043000     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
043100     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
043200     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
043300     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
043400     MOVE SS08WS-LINE-24         TO DA01-PF-KEYS.
043500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
043600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
043700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
043800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
043900*
044000     MOVE DFHBMASK               TO DA01-CURRENT-PAGE-A.
044100*
044200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
044300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
044400                                 THRU MB60PD-SMDO-EXIT.
044500*
044600****************************************************************
044700*    RETURN TO CICS                                            *
044800****************************************************************
044900*
045000     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
045100     PERFORM MB70PD-RETURN-TRANS-ID
045200                                 THRU MB70PD-RTI-EXIT.
045300/
045400 2400-CHECK-SELECT.
045500*
045600     IF  WS-SELECT-YES
045700         SET X-MBDATS-INDEX      TO X-ADJUST-INDEX
045800         MOVE MBDATS-MERCHANT (X-MBDATS-INDEX)
045900                                 TO MBCA-MERCHANT
046000         MOVE MBIOWS-MMT1-DIRECT-KEY-CODE
046100                                 TO MBCA-KEY-CODE
046200         SET MBCA-INITIAL-SCREEN-NBR
046300                                 TO TRUE
046400         IF  DA01-VALID-INQUIRY (X-ADJUST-INDEX)
046500             MOVE '..QA'         TO SS08WS-WORK-TRANS-ID
046600             GO TO 2690-PF-KEY-BYPASS
046700         ELSE
046800             IF  DA01-VALID-MAINT (X-ADJUST-INDEX)
046900                 MOVE '..MA'     TO SS08WS-WORK-TRANS-ID
047000                 GO TO 2690-PF-KEY-BYPASS.
047100/
047200 2600-SETUP-COMMAREA.
047300*
047400****************************************************************
047500*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047600****************************************************************
047700*
047800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
047900*
048000     IF  SS08WS-VALID-PF3
048100     OR  SS08WS-EIBAID-VALID-PF3
048200         MOVE 51                 TO MBCA-SCREEN-NBR
048300         MOVE MBCA-MBDA-FIRST-MERCHANT
048400                                 TO MBCA-MBDA-FWD-MERCHANT
048500         MOVE MBCA-MBDA-FIRST-SEQ-NBR
048600                                 TO MBCA-MBDA-FWD-SEQ-NBR
048700         SET MBCA-MBDA-RETURN-NORMAL
048800                                 TO TRUE
048900         GO TO 2690-PF-KEY-BYPASS.
049000*
049100     IF  SS08WS-VALID-PF4
049200     OR  SS08WS-EIBAID-VALID-PF4
049300         MOVE 51                 TO MBCA-SCREEN-NBR
049400         IF (MBDATS-MERCHANT (1) IS GREATER THAN ZEROES
049500         AND MBDATS-MERCHANT (13) IS EQUAL TO ZEROES)
049600         OR (MBCA-MBDA-FWD-MERCHANT IS EQUAL TO ZEROES)
049700             SET MBCA-MBDA-RETURN-NORMAL
049800                                 TO TRUE
049900             MOVE ZEROES         TO MBCA-MBDA-FWD-MERCHANT
050000                                    MBCA-MBDA-FWD-SEQ-NBR
050100             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
050200             PERFORM 8400-WRITE-QUEUE
050300                                 THRU 8499-WQ-EXIT
050400             GO TO 2690-PF-KEY-BYPASS
050500         ELSE
050600             SET MBCA-MBDA-RETURN-BOTTOM
050700                                 TO TRUE
050800             GO TO 2690-PF-KEY-BYPASS.
050900*
051000     IF  SS08WS-VALID-PF5
051100     OR  SS08WS-EIBAID-VALID-PF5
051200         MOVE 51                 TO MBCA-SCREEN-NBR
051300         IF (MBDATS-MERCHANT (1) IS GREATER THAN ZEROES
051400         AND MBDATS-MERCHANT (13) IS EQUAL TO ZEROES)
051500         OR (MBCA-MBDA-FWD-MERCHANT IS EQUAL TO ZEROES)
051600             SET MBCA-MBDA-RETURN-NORMAL
051700                                 TO TRUE
051800             MOVE ZEROES         TO MBCA-MBDA-FWD-MERCHANT
051900                                    MBCA-MBDA-FWD-SEQ-NBR
052000             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
052100             PERFORM 8400-WRITE-QUEUE
052200                                 THRU 8499-WQ-EXIT
052300             GO TO 2690-PF-KEY-BYPASS
052400         ELSE
052500             SET MBCA-MBDA-RETURN-FWD
052600                                 TO TRUE
052700             ADD 1               TO MBCA-MBDA-FWD-SEQ-NBR
052800             GO TO 2690-PF-KEY-BYPASS.
052900*
053000     IF  SS08WS-VALID-PF6
053100     OR  SS08WS-EIBAID-VALID-PF6
053200         MOVE 51                 TO MBCA-SCREEN-NBR
053300         IF  MBCA-MBDA-BACK-MERCHANT IS EQUAL
053400                                 TO MBCA-MBDA-FIRST-MERCHANT
053500         AND MBCA-MBDA-BACK-SEQ-NBR IS EQUAL
053600                                 TO MBCA-MBDA-FIRST-SEQ-NBR
053700             SET MBCA-MBDA-RETURN-NORMAL
053800                                 TO TRUE
053900             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
054000             PERFORM 8400-WRITE-QUEUE
054100                                 THRU 8499-WQ-EXIT
054200             GO TO 2690-PF-KEY-BYPASS
054300         ELSE
054400             MOVE MBCA-MBDA-BACK-MERCHANT
054500                                 TO MBCA-MBDA-FWD-MERCHANT
054600             MOVE MBCA-MBDA-BACK-SEQ-NBR
054700                                 TO MBCA-MBDA-FWD-SEQ-NBR
054800             SET MBCA-MBDA-RETURN-BWD
054900                                 TO TRUE
055000             GO TO 2690-PF-KEY-BYPASS.
055100*
055200     IF  SS08WS-VALID-PF-KEY
055300     OR  SS08WS-EIBAID-VALID-PF-KEY
055400     OR  MBDATS-MERCHANT (13) IS EQUAL TO ZEROES
055500     OR  MBCA-MBDA-FWD-MERCHANT IS EQUAL TO ZEROES
055600         SET MBCA-INITIAL-SCREEN-NBR
055700                                 TO TRUE
055800         MOVE MBIOWS-MMT1-KEY-CODE
055900                                 TO MBCA-KEY-CODE
056000         SET MBCA-MBDA-RETURN-NORMAL
056100                                 TO TRUE
056200         GO TO 2690-PF-KEY-BYPASS.
056300*
056400     MOVE 51                     TO MBCA-SCREEN-NBR.
056500     ADD 1                       TO MBCA-MBDA-FWD-SEQ-NBR.
056600     SET MBCA-MBDA-RETURN-NORMAL TO TRUE.
056700*
056800 2690-PF-KEY-BYPASS.
056900*
057000     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
057100     PERFORM MB70PD-XCTL-TO-MBOXCTL
057200                                 THRU MB70PD-XTM-EXIT.
057300/
057400 8000-PERFORMED-ROUTINES-SECT SECTION.
057500*
057600 8100-TEMP-STORAGE-GETMAIN.
057700*
057800     EXEC CICS GETMAIN
057900               FLENGTH (LENGTH  OF MBDATS-RECORD)
058000               SET     (ADDRESS OF MBDATS-RECORD)
058100          END-EXEC.
058200*
058300 8199-TSG-EXIT.
058400     EXIT.
058500*
058600 8200-TEMP-STORAGE-READ.
058700*
058800     EXEC CICS READQ TS
058900               QUEUE   (TS-QUEUE-NAME)
059000               INTO    (MBDATS-RECORD)
059100               LENGTH  (LENGTH  OF MBDATS-RECORD)
059200               ITEM    (1)
059300          END-EXEC.
059400*
059500 8299-TSR-EXIT.
059600     EXIT.
059700*
059800 8300-TEMP-STORAGE-DELETE.
059900*
060000     EXEC CICS IGNORE CONDITION
060100               QIDERR
060200          END-EXEC.
060300*
060400     EXEC CICS DELETEQ TS
060500               QUEUE  (TS-QUEUE-NAME)
060600          END-EXEC.
060700*
060800 8399-TSD-EXIT.
060900     EXIT.
061000*
061100 8400-WRITE-QUEUE.
061200*
061300     EXEC CICS WRITEQ TS
061400               QUEUE   (TS-QUEUE-NAME)
061500               FROM    (MBDATS-RECORD)
061600               LENGTH  (LENGTH  OF MBDATS-RECORD)
061700          END-EXEC.
061800*
061900 8499-WQ-EXIT.
062000     EXIT.
062100*
062200 8600-EDIT-SELECT.
062300*
062400     SET X-ADJUST-INDEX          TO +1.
062500*
062600 8600-EDIT-LOOP.
062700*
062800     IF  DA01-SELECT-L (X-ADJUST-INDEX) IS GREATER THAN ZERO
062900         IF  DA01-VALID-SELECT (X-ADJUST-INDEX)
063000             MOVE DFHBMASF       TO DA01-SELECT-A
063100                                    (X-ADJUST-INDEX)
063200             MOVE DFHBMDAS       TO DA01-SELECT-LP-A
063300                                    (X-ADJUST-INDEX)
063400                                    DA01-SELECT-RP-A
063500                                    (X-ADJUST-INDEX)
063600             IF  DA01-VALID-INQUIRY-MAINT (X-ADJUST-INDEX)
063700                 SET WS-SELECT-YES
063800                                 TO TRUE
063900                 GO TO 8699-ES-EXIT
064000             ELSE
064100                 NEXT SENTENCE
064200         ELSE
064300             SET SS08WS-ERROR-SW-YES TO TRUE
064400             MOVE SS08WS-CURSOR  TO DA01-SELECT-L
064500                                    (X-ADJUST-INDEX)
064600             MOVE DFHBMUBF       TO DA01-SELECT-A
064700                                    (X-ADJUST-INDEX)
064800             MOVE DFHBMASB       TO DA01-SELECT-LP-A
064900                                    (X-ADJUST-INDEX)
065000                                    DA01-SELECT-RP-A
065100                                    (X-ADJUST-INDEX)
065200             GO TO 8699-ES-EXIT.
065300*
065400     IF  X-ADJUST-INDEX IS LESS THAN +15
065500         SET X-ADJUST-INDEX      UP BY +1
065600         GO TO 8600-EDIT-LOOP.
065700*
065800 8699-ES-EXIT.
065900     EXIT.
066000*
066100 8800-BUILD-SCREEN.
066200*
066300     SET X-ADJUST-INDEX          TO +1.
066400*
066500 8800-BUILD-LOOP.
066600*
066700     SET X-MBDATS-INDEX          TO X-ADJUST-INDEX.
066800*
066900     IF  MBDATS-MERCHANT (X-MBDATS-INDEX)
067000                                 IS GREATER THAN ZEROES
067100         MOVE MBDATS-MERCHANT (X-MBDATS-INDEX)
067200                                 TO WS-MERCHANT-NBR
067300         MOVE MBDATS-SEQ-NBR (X-MBDATS-INDEX)
067400                                 TO WS-SEQ-NBR
067500         MOVE MBDATS-TRANS-CODE (X-MBDATS-INDEX)
067600                                 TO WS-TRANS-CODE
067700         MOVE MBDATS-DESCRIPTION (X-MBDATS-INDEX)
067800                                 TO WS-DESCRIPTION
067900         MOVE MBDATS-AMOUNT (X-MBDATS-INDEX)
068000                                 TO WS-AMOUNT
068100         MOVE MBDATS-TYPE (X-MBDATS-INDEX)
068200                                 TO WS-TYPE
068300         MOVE MBDATS-ORIG-OPER (X-MBDATS-INDEX)
068400                                 TO WS-ORIG-OPER
068500         MOVE MBDATS-LAST-OPER (X-MBDATS-INDEX)
068600                                 TO WS-LAST-OPER
068700         MOVE MBDATS-TRANS-STATUS (X-MBDATS-INDEX)
068800                                 TO WS-TRANS-STATUS
068900         MOVE WS-DETAIL-LINE     TO DA01-DIRECTORY-LINE
069000                                    (X-ADJUST-INDEX)
069100     ELSE
069200         MOVE DFHBMASK           TO DA01-SELECT-A
069300                                    (X-ADJUST-INDEX)
069400         MOVE DFHBMDAS           TO DA01-DIRECTORY-LINE-A
069500                                    (X-ADJUST-INDEX)
069600                                    DA01-SELECT-LP-A
069700                                    (X-ADJUST-INDEX)
069800                                    DA01-SELECT-RP-A
069900                                    (X-ADJUST-INDEX).
070000*
070100     IF  X-ADJUST-INDEX IS LESS THAN +13
070200         SET X-ADJUST-INDEX      UP BY +1
070300         GO TO 8800-BUILD-LOOP
070400     ELSE
070500         MOVE MBCA-MBDA-FWD-MERCHANT
070600                                 TO WS-FWD-MERCHANT
070700         MOVE MBCA-MBDA-FWD-SEQ-NBR
070800                                 TO WS-FWD-SEQ-NBR.
070900*
071000 8899-BS-EXIT.
071100     EXIT.
071200*
071300 8900-LAST-SCREEN.
071400*
071500****************************************************************
071600*    START BROWSE THE MERCHANT FILE                            *
071700****************************************************************
071800*
071900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
072000     MOVE HIGH-VALUES            TO MBIOWS-MMT1-KEY.
072100     SET MBIORO-STARTBR-GTE      TO TRUE.
072200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
072300*
072400****************************************************************
072500*    READPREV THE MERCHANT FILE                                *
072600****************************************************************
072700*
072800*    MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
072900*    SET MBIORO-READ-SEQ         TO TRUE.
073000*    PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
073100*
073200     SET X-ADJUST-INDEX          TO +13.
073300     SET WS-BYPASS-NO            TO TRUE.
073400*
073500 8900-READ-MERCH-ADJUST-FILE.
073600*
073700****************************************************************
073800*    READPREV THE ADJUSTMENT FILE                              *
073900****************************************************************
074000*
074100     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
074200     SET MBIORO-READ-PREV        TO TRUE.
074300     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
074400*
074500 8900-BUILD-LOOP.
074600*
074700     IF  MMT1-ORG IS LESS THAN MBCA-MBDA-ORG
074800     OR  MMT1-MERCHANT IS LESS THAN MBCA-MBDA-FIRST-MERCHANT
074900         GO TO 8900-END-BROWSE.
075000*
075100     IF  MMT1-MERCHANT IS EQUAL TO MBCA-MBDA-FIRST-MERCHANT
075200     AND X-ADJUST-INDEX IS GREATER THAN +1
075300         SET MBCA-MBDA-RETURN-NORMAL
075400                                 TO TRUE
075500         MOVE MBCA-MBDA-FIRST-MERCHANT
075600                                 TO MBCA-MBDA-FWD-MERCHANT
075700         SET WS-BYPASS-YES       TO TRUE
075800         GO TO 8900-END-BROWSE.
075900*
076000     PERFORM 9500-BUILD-SCREEN-LINE
076100                                 THRU 9599-BSL-EXIT.
076200*
076300     IF  X-ADJUST-INDEX IS GREATER THAN +1
076400         SET X-ADJUST-INDEX      DOWN BY +1
076500         GO TO 8900-READ-MERCH-ADJUST-FILE
076600     ELSE
076700         MOVE MMT1-MERCHANT      TO MBCA-MBDA-BACK-MERCHANT
076800         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-BACK-SEQ-NBR.
076900*
077000 8900-END-BROWSE.
077100*
077200****************************************************************
077300*    END BROWSE THE MERCHANT FILE                              *
077400****************************************************************
077500*
077600     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
077700     SET MBIORO-ENDBR            TO TRUE.
077800     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
077900*
078000     IF  WS-BYPASS-YES
078100         GO TO 8999-LS-EXIT.
078200*
078300     MOVE ZEROES                 TO MBCA-MBDA-FWD-MERCHANT
078400                                    WS-FWD-MERCHANT
078500                                    MBCA-MBDA-FWD-SEQ-NBR
078600                                    WS-FWD-SEQ-NBR.
078700*
078800 8999-LS-EXIT.
078900     EXIT.
079000*
079100 9000-BACK-SCREEN.
079200*
079300****************************************************************
079400*    START BROWSE THE MERCHANT FILE                            *
079500****************************************************************
079600*
079700     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
079800     MOVE MBCA-MBDA-ORG          TO MBIOWS-MMT1-ORG.
079900     MOVE MBCA-MBDA-FWD-MERCHANT TO MBIOWS-MMT1-MERCHANT.
080000     MOVE MBCA-MBDA-FWD-SEQ-NBR  TO MBIOWS-MMT1-SEQ-NBR.
080100     SET MBIORO-STARTBR-GTE      TO TRUE.
080200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
080300*
080400****************************************************************
080500*    READNEXT THE MERCHANT FILE                                *
080600****************************************************************
080700*
080800     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
080900     SET MBIORO-READ-SEQ         TO TRUE.
081000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
081100*
081200****************************************************************
081300*    READPREV THE MERCHANT FILE                                *
081400****************************************************************
081500*
081600     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
081700     SET MBIORO-READ-PREV        TO TRUE.
081800     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
081900*
082000     SET X-ADJUST-INDEX          TO +13.
082100     SET WS-BYPASS-NO            TO TRUE.
082200*
082300 9000-READ-MERCHANT-FILE.
082400*
082500****************************************************************
082600*    READPREV THE MERCHANT FILE                                *
082700****************************************************************
082800*
082900     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
083000     SET MBIORO-READ-PREV        TO TRUE.
083100     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
083200*
083300 9000-BUILD-LOOP.
083400*
083500     IF  X-ADJUST-INDEX IS GREATER THAN +1
083600     AND MMT1-MERCHANT IS EQUAL TO MBCA-MBDA-FIRST-MERCHANT
083700         SET MBCA-MBDA-RETURN-NORMAL
083800                                 TO TRUE
083900         MOVE MBCA-MBDA-FIRST-MERCHANT
084000                                 TO MBCA-MBDA-FWD-MERCHANT
084100         MOVE MBCA-MBDA-FIRST-SEQ-NBR
084200                                 TO MBCA-MBDA-FWD-SEQ-NBR
084300         SET WS-BYPASS-YES       TO TRUE
084400         GO TO 9000-END-BROWSE.
084500*
084600     IF  MMT1-MERCHANT IS EQUAL TO MBCA-MBDA-BACK-MERCHANT
084700     AND X-ADJUST-INDEX IS EQUAL TO +13
084800         GO TO 9000-READ-MERCHANT-FILE.
084900*
085000     PERFORM 9500-BUILD-SCREEN-LINE
085100                                 THRU 9599-BSL-EXIT.
085200*
085300     IF  X-ADJUST-INDEX IS EQUAL TO +13
085400         MOVE MMT1-MERCHANT      TO MBCA-MBDA-FWD-MERCHANT
085500                                    WS-FWD-MERCHANT
085600         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-FWD-SEQ-NBR
085700                                    WS-FWD-SEQ-NBR.
085800*
085900     IF  X-ADJUST-INDEX IS GREATER THAN +1
086000         SET X-ADJUST-INDEX      DOWN BY +1
086100         GO TO 9000-READ-MERCHANT-FILE
086200     ELSE
086300         MOVE MMT1-MERCHANT      TO MBCA-MBDA-BACK-MERCHANT
086400         MOVE MMT1-SEQ-NBR       TO MBCA-MBDA-BACK-SEQ-NBR.
086500*
086600 9000-END-BROWSE.
086700*
086800****************************************************************
086900*    END BROWSE THE MERCHANT FILE                              *
087000****************************************************************
087100*
087200     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
087300     SET MBIORO-ENDBR            TO TRUE.
087400     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
087500*
087600 9099-BS-EXIT.
087700     EXIT.
087800*
087900 9100-SET-ATTRIBUTE.
088000*
088100     SET X-MBDATS-INDEX          TO X-ADJUST-INDEX.
088200*
088300 9199-SA-EXIT.
088400     EXIT.
088500*
088600 9400-READ-AHEAD.
088700*
088800****************************************************************
088900*    READNEXT THE MERCHANT FILE                                *
089000****************************************************************
089100*
089200     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
089300     SET MBIORO-READ-SEQ         TO TRUE.
089400     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
089500*
089600     IF  MMT1-ORG IS GREATER THAN MBCA-MBDA-ORG
089700         MOVE ZEROES             TO WS-FWD-MERCHANT
089800                                    MBCA-MBDA-FWD-MERCHANT
089900                                    WS-FWD-SEQ-NBR
090000                                    MBCA-MBDA-FWD-SEQ-NBR
090100         GO TO 9499-RA-EXIT.
090200*
090300     MOVE MMT1-MERCHANT          TO WS-FWD-MERCHANT.
090400     MOVE MMT1-SEQ-NBR           TO WS-FWD-SEQ-NBR.
090500*
090600 9499-RA-EXIT.
090700     EXIT.
090800*
090900 9500-BUILD-SCREEN-LINE.
091000*
091100     SET X-MBDATS-INDEX          TO X-ADJUST-INDEX.
091200*
091300     MOVE MMT1-MERCHANT          TO WS-MERCHANT-NBR
091400                                    MBDATS-MERCHANT
091500                                    (X-MBDATS-INDEX).
091600*
091700     MOVE MMT1-SEQ-NBR           TO WS-SEQ-NBR
091800                                    MBDATS-SEQ-NBR
091900                                    (X-MBDATS-INDEX).
092000*
092100     MOVE MMT1-TRANS-CODE        TO WS-TRANS-CODE
092200                                    MBDATS-TRANS-CODE
092300                                    (X-MBDATS-INDEX).
092400*
092500     MOVE MMT1-RPT-DESC          TO WS-DESCRIPTION
092600                                    MBDATS-DESCRIPTION
092700                                    (X-MBDATS-INDEX).
092800*
092900     MOVE MMT1-AMOUNT            TO WS-AMOUNT
093000                                    MBDATS-AMOUNT
093100                                    (X-MBDATS-INDEX).
093200*
093300     MOVE MMT1-TRANS-FLAG        TO WS-TYPE
093400                                    MBDATS-TYPE
093500                                    (X-MBDATS-INDEX).
093600*
093700     MOVE MMT1-ORIG-OPERATOR     TO WS-ORIG-OPER
093800                                    MBDATS-ORIG-OPER
093900                                    (X-MBDATS-INDEX).
094000*
094100     MOVE MMT1-LAST-OPERATOR     TO WS-LAST-OPER
094200                                    MBDATS-LAST-OPER
094300                                    (X-MBDATS-INDEX).
094400*
094500     MOVE MMT1-TRANS-STATUS      TO WS-TRANS-STATUS
094600                                    MBDATS-TRANS-STATUS
094700                                    (X-MBDATS-INDEX).
094800*
094900     MOVE WS-DETAIL-LINE         TO DA01-DIRECTORY-LINE
095000                                    (X-ADJUST-INDEX).
095100*
095200 9599-BSL-EXIT.
095300     EXIT.
095400/         JULIAN TO GREGORIAN DATE ROUTINE
095500     COPY SS08PD.
095600/
095700     COPY SS26PD.
095800/
095900     COPY SS27PD.
096000/         LINE 24 PF KEYS ROUTINE
096100     COPY SS15PD.
096200/         MERCHANT RECORD ACCESS ROUTINES
096300     COPY MMT1AO.
096400/         ON-LINE MAP ROUTINES
096500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDA01 '
096600                           MBMAPXXI BY MBDA01I
096700                           MBMAPXXO BY MBDA01O.
096800/         ON-LINE PROCEDURES
096900     COPY MB70PD.
097000/
097100     COPY SMFTPXO.
