000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODD01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODD01 - ON-LINE DISCOUNT METHOD DESCRIPTION DIRECTORY  *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDD                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDD01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. NONE                                       *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         DISCOUNT METHOD DESCRIPTIONS TABLE
002400     COPY MMRTTB.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/
002800     COPY MBIOWS.
002900/         DATE WORK AREAS
003000     COPY SS01WS.
003100/         ONLINE WORK AREAS
003200     COPY SS08WS.
003300/
003400     COPY SS00WS.
003500/
003600     COPY SMFTWS.
003700/
003800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003900/
004000     COPY MB61LK.
004100/
004200 01  WS-MISCELLANEOUS.
004300     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004400*
004500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004600/
004700 LINKAGE SECTION.
004800 01  DFHCOMMAREA.
004900     COPY MB60WS.
005000/         DISCOUNT METHOD DIRECTORY SCREEN 01 MAP DSECT
005100     COPY MBDD01.
005200/         DISCOUNT METHOD DIRECTORY SCREEN 01 MAP REDEFINITION
005300     COPY MBDD01R.
005400/
005500 PROCEDURE DIVISION.
005600 0000-HOUSEKEEPING SECTION.
005700 0100-INIT.
005800*
005900     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
006000     SET MBCA-EIBAID-ENTER       TO TRUE.
006100*
006200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006400                                 THRU MB70PD-OLH-EXIT.
006500*
006600     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
006700*
006800     IF  MBCA-RECEIVE-SCREEN
006900         GO TO 2000-RECEIVE-SCREEN.
007000*
007100 1000-SEND-SCREEN SECTION.
007200*
007300****************************************************************
007400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
007500****************************************************************
007600*
007700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007800     PERFORM MB60PD-GETMAIN-FOR-MAP
007900                                 THRU MB60PD-GFM-EXIT.
008000*
008100     IF  MBCA-INITIAL-SCREEN-NBR
008200         MOVE 01                 TO MBCA-SCREEN-NBR
008300     ELSE
008400         MOVE 02                 TO MBCA-SCREEN-NBR.
008500*
008600     MOVE SS08WS-CURSOR          TO DD01-ALT-TRANID-L.
008700*
008800****************************************************************
008900*    INITIALIZE THE STANDARD MAP LINES                         *
009000****************************************************************
009100*
009200     PERFORM MB60PD-INIT-STD-MAP-LINES
009300                                 THRU MB60PD-ISML-EXIT.
009400*
009500     IF  MBCA-SCREEN-NBR IS EQUAL TO 01
009600         PERFORM
009700             VARYING X-DISC-METH-INDEX FROM 1 BY 1
009800             UNTIL   X-DISC-METH-INDEX IS GREATER
009900                                 THAN 30
010000             SET X-MMRTTB        TO X-DISC-METH-INDEX
010100             MOVE MMRTTB-METHOD (X-MMRTTB)
010200                                 TO DD01-METHOD-CODE
010300                                    (X-DISC-METH-INDEX)
010400             MOVE MMRTTB-METHOD-DESC (X-MMRTTB)
010500                                 TO DD01-METHOD-NAME
010600                                    (X-DISC-METH-INDEX)
010700         END-PERFORM
010800     END-IF.
010900*
011000     IF  MBCA-SCREEN-NBR IS EQUAL TO 02
011100         SET X-MMRTTB            TO 31
011200         PERFORM
011300             VARYING X-DISC-METH-INDEX FROM 1 BY 1
011400             UNTIL   X-DISC-METH-INDEX IS GREATER THAN 20
011500             MOVE MMRTTB-METHOD (X-MMRTTB)
011600                                 TO DD01-METHOD-CODE
011700                                    (X-DISC-METH-INDEX)
011800             MOVE MMRTTB-METHOD-DESC (X-MMRTTB)
011900                                 TO DD01-METHOD-NAME
012000                                    (X-DISC-METH-INDEX)
012100             SET X-MMRTTB        UP BY 1
012200         END-PERFORM
012300     END-IF.
012400*
012500     MOVE DFHBMASK               TO DD01-CURRENT-PAGE-A.
012600*
012700****************************************************************
012800*    SEND THE MAP                                              *
012900****************************************************************
013000*
013100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
013200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
013300                                 THRU MB60PD-SMWE-EXIT.
013400*
013500****************************************************************
013600*    RETURN TO CICS                                            *
013700****************************************************************
013800*
013900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM MB70PD-RETURN-TRANS-ID
014100                                 THRU MB70PD-RTI-EXIT.
014200/
014300 2000-RECEIVE-SCREEN SECTION.
014400*
014500****************************************************************
014600*    THIS SECTION RECEIVES THE 01 SCREEN                       *
014700****************************************************************
014800*
014900     IF  MBCA-EIBAID-CLEAR
015000         MOVE 98                 TO MBCA-SCREEN-NBR
015100         MOVE 'PC03'             TO MBCA-PROGRAM-LOCATION
015200         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015300                                 THRU MB70PD-OLH-EXIT.
015400*
015500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
015700*
015800****************************************************************
015900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
016000****************************************************************
016100*
016200     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
016300     PERFORM MB60PD-NEW-TRANS-ROUTINE
016400                                 THRU MB60PD-NTR-EXIT.
016500/
016600 2600-SETUP-COMMAREA.
016700*
016800****************************************************************
016900*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
017000****************************************************************
017100*
017200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
017300*
017400     PERFORM MB60PD-EDIT-PAGE-NBR
017500                                 THRU MB60PD-EPN-EXIT.
017600*
017700     IF  SS08WS-VALID-PF-KEY
017800     OR  SS08WS-EIBAID-VALID-PF-KEY
017900         SET MBCA-INITIAL-SCREEN-NBR
018000                                 TO TRUE.
018100*
018200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
018300     PERFORM MB70PD-XCTL-TO-MBOXCTL
018400                                 THRU MB70PD-XTM-EXIT.
018500/
018600 9000-PERFORMED-ROUTINES-SECT SECTION.
018700*
018800 9100-BUILD-SCREEN.
018900*
019000     SET X-MMRTTB                TO X-DISC-METH-INDEX.
019100*
019200     MOVE MMRTTB-METHOD (X-MMRTTB)
019300                                 TO DD01-METHOD-CODE
019400                                    (X-DISC-METH-INDEX).
019500     MOVE MMRTTB-METHOD-DESC (X-MMRTTB)
019600                                 TO DD01-METHOD-NAME
019700                                    (X-DISC-METH-INDEX).
019800*
019900 9199-BS-EXIT.
020000     EXIT.
020100/         JULIAN TO GREGORIAN DATE ROUTINE
020200     COPY SS08PD.
020300/
020400     COPY SS26PD.
020500/
020600     COPY SS27PD.
020700/         LINE 24 PF KEYS ROUTINE
020800     COPY SS15PD.
020900/         ON-LINE MAP ROUTINES
021000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDD01 '
021100                           MBMAPXXI BY MBDD01I
021200                           MBMAPXXO BY MBDD01O.
021300/         ON-LINE PROCEDURES
021400     COPY MB70PD.
021500/
021600     COPY SMFTPXO.
