000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODE00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODE00 - ON-LINE EXPENSE FACTORS DIRECTORY              *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDE                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDE00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMEF   (EXPENSE FACTORS MASTER FILE)       *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500*         I/O REQUEST BLOCK WORK AREAS
002600     COPY MBIOWS.
002700*
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000*
003100/         DATE WORK AREAS
003200     COPY SS01WS.
003300*
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/         STANDARD ERROR MESSAGES
004500     COPY MBEMWS.
004600*
004700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004800/
004900 LINKAGE SECTION.
005000 01  DFHCOMMAREA.
005100     COPY MB60WS.
005200/         MERCHANT EXPENSE FACTORS DIRECTORY SCREEN 00 MAP DSECT
005300     COPY MBDE00.
005400/         MERCHANT EXPENSE FACTORS DIRECTORY SCREEN 00 REDEFINE
005500     COPY MBDE00R.
005600/         ORG CONTROL RECORD LAYOUT
005700     COPY MMOCRL.
005800/         MERCHANT EXPENSE FACTORS MASTER RECORD
005900     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
006000/
006100 PROCEDURE DIVISION.
006200 0000-HOUSEKEEPING SECTION.
006300 0100-INIT.
006400*
006500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006700        THRU MB70PD-OLH-EXIT.
006800*
006900     IF  MBCA-RECEIVE-SCREEN
007000         GO TO 2000-RECEIVE-SCREEN.
007100*
007200 1000-SEND-SCREEN SECTION.
007300*
007400****************************************************************
007500*    GET CICS STORAGE NEEDED FOR THE MAP                       *
007600****************************************************************
007700*
007800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007900     PERFORM MB60PD-GETMAIN-FOR-MAP
008000        THRU MB60PD-GFM-EXIT.
008100*
008200*****************************************************************
008300*    CHECK KEY CODES                                            *
008400* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
008500* 2. IF MMEF KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
008600*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
008700*    ORG AND MERCHANT INTO THE MAP. IF AN ERROR OCCURS IN THE   *
008800*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
008900*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
009000*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
009100*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND TABLE NBR INTO THE*
009200*    MAP AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.         *
009300* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
009400*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP.         *
009500*    SEE IF THE MBCA-TABLE FIELD IS GREATER THAN ZERO. IF SO,   *
009600*    PLUG INTO MAP.                                             *
009700*    HANDLE IF THEY WERE NON-DIRECT.                            *
009800*****************************************************************
009900*
010000     IF  MBCA-INITIAL-KEY-CODE
010100         GO TO 1100-BUILD-SCREEN.
010200*
010300     IF  MBCA-MMEF-KEY-CODE
010400     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
010500     AND MBCA-TABLE        IS GREATER THAN ZERO
010600         MOVE MBCA-MERCHANT-ORG  TO DE00-ORG
010700         MOVE MBCA-TABLE         TO DE00-TABLE-NBR
010800         MOVE DFHBMUNF           TO DE00-ORG-A
010900                                    DE00-TABLE-NBR-A
011000         IF  MBCA-DIRECT-TRANSFER-CODE
011100         AND MBCA-INITIAL-SCREEN-NBR
011200             MOVE 00         TO MBCA-SCREEN-NBR
011300             GO TO 2120-READ-ORG
011400         ELSE
011500             GO TO 1100-BUILD-SCREEN.
011600*
011700     IF  MBCA-VALID-KEY-CODES
011800     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011900     AND MBCA-TABLE        IS GREATER THAN ZERO
012000         MOVE MBCA-MERCHANT-ORG  TO DE00-ORG
012100         MOVE MBCA-TABLE         TO DE00-TABLE-NBR
012200         MOVE DFHBMUNF           TO DE00-ORG-A
012300                                    DE00-TABLE-NBR-A.
012400*
012500 1100-BUILD-SCREEN.
012600*
012700****************************************************************
012800*    INITIALIZE THE STANDARD MAP LINES                         *
012900****************************************************************
013000*
013100     MOVE SS08WS-CURSOR          TO DE00-ORG-L.
013200     MOVE 00                     TO MBCA-SCREEN-NBR.
013300     PERFORM MB60PD-INIT-STD-MAP-LINES
013400        THRU MB60PD-ISML-EXIT.
013500*
013600     IF  MBCA-MERCHANT-ORG IS NUMERIC
013700     AND MBCA-MERCHANT-ORG IS GREATER THAN ZEROES
013800         MOVE MBCA-MERCHANT-ORG  TO DE00-ORG
013900         MOVE DFHBMUNF           TO DE00-ORG-A.
014000*
014100     IF  MBCA-TABLE IS NUMERIC
014200     AND MBCA-TABLE IS GREATER THAN ZEROES
014300         MOVE MBCA-TABLE         TO DE00-TABLE-NBR
014400         MOVE DFHBMUNF           TO DE00-TABLE-NBR-A.
014500*
014600     MOVE DFHBMASK               TO DE00-CURRENT-PAGE-A.
014700*
014800****************************************************************
014900*    SEND THE MAP                                              *
015000****************************************************************
015100*
015200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
015300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
015400        THRU MB60PD-SMWE-EXIT.
015500*
015600****************************************************************
015700*    RETURN TO CICS                                            *
015800****************************************************************
015900*
016000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
016100     PERFORM MB70PD-RETURN-TRANS-ID
016200        THRU MB70PD-RTI-EXIT.
016300/
016400 2000-RECEIVE-SCREEN SECTION.
016500*
016600****************************************************************
016700*    THIS SECTION RECEIVES THE 00 SCREEN                       *
016800****************************************************************
016900*
017000     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
017100     PERFORM MB60PD-RECEIVE-MAP
017200        THRU MB60PD-RM-EXIT.
017300*
017400****************************************************************
017500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017600****************************************************************
017700*
017800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
017900     PERFORM MB60PD-NEW-TRANS-ROUTINE
018000        THRU MB60PD-NTR-EXIT.
018100*
018200 2100-EDIT-SCREEN.
018300*
018400     SET SS08WS-ERROR-SW-NO      TO TRUE.
018500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
018600*
018700******************************************************************
018800*    IF NOTHING WAS ENTERED ON THE SCREEN AND A VALID PF KEY WAS *
018900*    DEPRESSED TRANSFER CONTROL TO THAT PROGRAM.                 *
019000******************************************************************
019100*
019200     IF  (DE00-ORG-L IS LESS THAN 1
019300     AND  DE00-TABLE-NBR-L IS LESS THAN 1)
019400     AND (SS08WS-VALID-PF-KEY
019500     OR   SS08WS-EIBAID-VALID-PF-KEY)
019600         SET MBCA-INITIAL-SCREEN-NBR
019700                                 TO TRUE
019800         GO TO 2690-TRANSFER-XCTL.
019900*
020000 2110-EDIT-ORG.
020100*
020200     MOVE DFHBMUNF               TO DE00-ORG-A.
020300     MOVE DFHBMASK               TO DE00-ORG-LP-A
020400                                    DE00-ORG-RP-A.
020500*
020600     IF  DE00-ORG-L IS EQUAL TO ZERO
020700     OR  DE00-ORG IS NOT NUMERIC
020800         MOVE MBEMWS-INVALID-ORG TO DE00-ERR-MESSAGE
020900         GO TO 2130-ORG-ERROR.
021000*
021100     IF  DE00-ORG IS LESS THAN MBCA-ORG-LOW
021200     OR  DE00-ORG IS GREATER THAN MBCA-ORG-HIGH
021300         MOVE MBEMWS-INVALID-ORG TO DE00-ERR-MESSAGE
021400         GO TO 2130-ORG-ERROR.
021500*
021600 2120-READ-ORG.
021700*
021800****************************************************************
021900*    READ THE ORGANIZATION FILE                                *
022000****************************************************************
022100*
022200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022300     MOVE DE00-ORG               TO MBIOWS-MMOC-ORG.
022400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
022500     SET MBIORO-READ-RANDOM      TO TRUE.
022600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
022700*
022800     IF  SS08WS-RC-FC-VALID-RTN-CODE
022900         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
023000                                    MBCA-MBDE-ORG
023100         IF  MMOC-ADD-PENDING
023200             MOVE MBEMWS-ADD-PENDING
023300                                 TO DE00-ERR-MESSAGE
023400         ELSE
023500             IF  MMOC-REC-INCOMPLETE
023600             OR  MMOC-REC-PURGED
023700                 MOVE MBEMWS-NOT-ACTIVE
023800                                 TO DE00-ERR-MESSAGE
023900             ELSE
024000                 MOVE MMOC-NA-LINE (1 1)
024100                                 TO MBCA-MBDE-EXP-TABLE-NAME
024200                 GO TO 2140-EDIT-TABLE-NBR
024300     ELSE
024400         MOVE MBEMWS-NOT-ON-FILE TO DE00-ERR-MESSAGE.
024500*
024600 2130-ORG-ERROR.
024700*
024800     MOVE DFHBMNBF               TO DE00-ORG-A.
024900     MOVE DFHBMASB               TO DE00-ORG-LP-A
025000                                    DE00-ORG-RP-A.
025100     MOVE SS08WS-CURSOR          TO DE00-ORG-L.
025200     SET SS08WS-ERROR-SW-YES     TO TRUE.
025300*
025400 2140-EDIT-TABLE-NBR.
025500*
025600     MOVE DFHBMUNF               TO DE00-TABLE-NBR-A.
025700     MOVE DFHBMASK               TO DE00-TABLE-NBR-LP-A
025800                                    DE00-TABLE-NBR-RP-A.
025900*
026000     IF  DE00-TABLE-NBR-L IS EQUAL TO ZERO
026100         MOVE ZEROES             TO DE00-TABLE-NBR
026200     ELSE
026300         IF  DE00-TABLE-NBR IS NOT NUMERIC
026400             MOVE MBEMWS-INVALID-TABLE
026500                                 TO DE00-ERR-MESSAGE
026600             GO TO 2150-TABLE-NBR-ERROR.
026700*
026800     IF  SS08WS-ERROR-SW-YES
026900         GO TO 2290-CHECK-ERROR.
027000*
027100****************************************************************
027200*    START BROWSE THE EXPENSE FILE                             *
027300****************************************************************
027400*
027500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027600     MOVE MBCA-MBDE-ORG          TO MBIOWS-MMEF-ORG.
027700     MOVE DE00-TABLE-NBR         TO MBIOWS-MMEF-TABLE.
027800     SET MBIORO-STARTBR-GTE      TO TRUE.
027900     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
028000*
028100****************************************************************
028200*    READNEXT THE EXPENSE FILE                                 *
028300****************************************************************
028400*
028500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
028600     SET MBIORO-READ-SEQ         TO TRUE.
028700     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
028800*
028900****************************************************************
029000*    END BROWSE THE MERCHANT FILE                              *
029100****************************************************************
029200*
029300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
029400     SET MBIORO-ENDBR            TO TRUE.
029500     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
029600*
029700     IF  MMEF-ORG IS GREATER THAN MBCA-MBDE-ORG
029800         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
029900                                 TO DE00-ERR-MESSAGE
030000         MOVE DFHBMNBF           TO DE00-ORG-A
030100         MOVE DFHBMASB           TO DE00-ORG-LP-A
030200                                    DE00-ORG-RP-A
030300         MOVE SS08WS-CURSOR      TO DE00-ORG-L
030400     ELSE
030500         MOVE MMEF-TABLE-NBR     TO MBCA-MBDE-FIRST-TABLE-NBR
030600                                    MBCA-MBDE-FWD-TABLE-NBR
030700                                    MBCA-TABLE
030800         MOVE SPACES             TO MBCA-MBDE-RETURN-FLAG
030900         MOVE ZEROES             TO MBCA-MBDE-BACK-TABLE-NBR
031000         GO TO 2290-CHECK-ERROR.
031100*
031200 2150-TABLE-NBR-ERROR.
031300*
031400     MOVE DFHBMNBF               TO DE00-TABLE-NBR-A.
031500     MOVE DFHBMASB               TO DE00-TABLE-NBR-LP-A
031600                                    DE00-TABLE-NBR-RP-A.
031700     MOVE SS08WS-CURSOR          TO DE00-TABLE-NBR-L
031800     SET SS08WS-ERROR-SW-YES     TO TRUE.
031900*
032000 2290-CHECK-ERROR.
032100*
032200     IF  SS08WS-ERROR-SW-NO
032300         GO TO 2600-SETUP-COMMAREA
032400     ELSE
032500         IF  SS08WS-VALID-PF-KEY
032600         OR  SS08WS-EIBAID-VALID-PF-KEY
032700             SET MBCA-INITIAL-SCREEN-NBR
032800                                 TO TRUE
032900             GO TO 2690-TRANSFER-XCTL.
033000*
033100 2300-SEND-MAP.
033200*
033300****************************************************************
033400*    SEND THE MAP                                              *
033500****************************************************************
033600*
033700     PERFORM MB60PD-INIT-STD-MAP-LINES
033800        THRU MB60PD-ISML-EXIT.
033900*
034000     MOVE DFHBMASK               TO DE00-CURRENT-PAGE-A.
034100*
034200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
034300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
034400        THRU MB60PD-SMDO-EXIT.
034500*
034600****************************************************************
034700*    RETURN TO CICS                                            *
034800****************************************************************
034900*
035000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
035100     PERFORM MB70PD-RETURN-TRANS-ID
035200        THRU MB70PD-RTI-EXIT.
035300/
035400 2600-SETUP-COMMAREA.
035500*
035600****************************************************************
035700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
035800****************************************************************
035900*
036000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
036100*
036200     MOVE MBIOWS-MMEF-KEY-CODE   TO MBCA-KEY-CODE.
036300*
036400     PERFORM MB60PD-EDIT-PAGE-NBR
036500        THRU MB60PD-EPN-EXIT.
036600*
036700     IF  SS08WS-VALID-PF-KEY
036800     OR  SS08WS-EIBAID-VALID-PF-KEY
036900         SET MBCA-INITIAL-SCREEN-NBR
037000                                 TO TRUE.
037100*
037200 2690-TRANSFER-XCTL.
037300*
037400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037500     PERFORM MB70PD-XCTL-TO-MBOXCTL
037600        THRU MB70PD-XTM-EXIT.
037700/
037800 9000-PERFORMED-ROUTINES-SECT SECTION.
037900*
038000*         JULIAN TO GREGORIAN DATE ROUTINE
038100     COPY SS08PD.
038200/
038300     COPY SS26PD.
038400/
038500     COPY SS27PD.
038600*
038700/         LINE 24 PF KEYS ROUTINE
038800     COPY SS15PD.
038900*
039000/         ORG RECORD ACCESS ROUTINES
039100     COPY MMOCAO.
039200*
039300/         MERCHANT EXPENSE FACTORS ACCESS ROUTINES
039400     COPY MMEFAO.
039500*
039600/         ON-LINE MAP ROUTINES
039700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDE00 '
039800                           MBMAPXXI BY MBDE00I
039900                           MBMAPXXO BY MBDE00O.
040000*
040100/         ON-LINE PROCEDURES
040200     COPY MB70PD.
040300/
040400     COPY SMFTPXO.
