000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODF00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODF00 - ON-LINE FIELD SECURITY DIRECTORY               *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDF                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDF00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMFS   (FIELD SECURITY MASTER FILE)        *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/         STANDARD ERROR MESSAGES
004100     COPY MBEMWS.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004400/
004500 LINKAGE SECTION.
004600 01  DFHCOMMAREA.
004700     COPY MB60WS.
004800/         FIELD SECURITY DIRECTORY SCREEN 00 MAP DSECT
004900     COPY MBDF00.
005000/         FIELD SECURITY DIRECTORY SCREEN 00 MAP REDEFINITION
005100     COPY MBDF00R.
005200/         ORG CONTROL RECORD LAYOUT
005300     COPY MMOCRL.
005400/         FIELD SECURITY MASTER RECORD LAYOUT
005500     COPY MMFSRL.
005600/
005700 PROCEDURE DIVISION.
005800 0000-HOUSEKEEPING SECTION.
005900 0100-INIT.
006000*
006100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006300                                 THRU MB70PD-OLH-EXIT.
006400*
006500     IF  MBCA-RECEIVE-SCREEN
006600         GO TO 2000-RECEIVE-SCREEN.
006700/
006800*
006900 1000-SEND-SCREEN SECTION.
007000*
007100****************************************************************
007200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
007300****************************************************************
007400*
007500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007600     PERFORM MB60PD-GETMAIN-FOR-MAP
007700                                 THRU MB60PD-GFM-EXIT.
007800*
007900*****************************************************************
008000*    CHECK KEY CODES                                            *
008100* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
008200* 2. IF MMOC KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
008300*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
008400*    ORG IN THE MAP.  IF AN ERROR OCCURS IN THE                 *
008500*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
008600*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
008700*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
008800*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG INTO MAP              *
008900*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
009000* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
009100*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP          *
009200*    HANDLE IF THEY WERE NON-DIRECT.                            *
009300*****************************************************************
009400*
009500     IF  MBCA-INITIAL-KEY-CODE
009600         GO TO 1100-BUILD-SCREEN.
009700*
009800     IF  MBCA-MMOC-KEY-CODE
009900     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
010000         MOVE MBCA-MERCHANT-ORG  TO DF00-ORG
010100         MOVE DFHBMUNF           TO DF00-ORG-A
010200         IF  MBCA-DIRECT-TRANSFER-CODE
010300         AND MBCA-INITIAL-SCREEN-NBR
010400             MOVE 00             TO MBCA-SCREEN-NBR
010500             GO TO 2120-READ-ORG
010600         ELSE
010700             GO TO 1100-BUILD-SCREEN.
010800*
010900     IF  MBCA-VALID-KEY-CODES
011000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011100         MOVE MBCA-MERCHANT-ORG  TO DF00-ORG
011200         MOVE DFHBMUNF           TO DF00-ORG-A.
011300*
011400 1100-BUILD-SCREEN.
011500*
011600****************************************************************
011700*    INITIALIZE THE STANDARD MAP LINES                         *
011800****************************************************************
011900*
012000     MOVE SS08WS-CURSOR          TO DF00-ORG-L.
012100     MOVE 00                     TO MBCA-SCREEN-NBR.
012200     PERFORM MB60PD-INIT-STD-MAP-LINES
012300                                 THRU MB60PD-ISML-EXIT.
012400*
012500     IF  MBCA-MERCHANT-ORG IS NUMERIC
012600     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
012700         MOVE MBCA-MERCHANT-ORG  TO DF00-ORG
012800         MOVE DFHBMUNF           TO DF00-ORG-A.
012900*
013000     MOVE DFHBMASK               TO DF00-CURRENT-PAGE-A.
013100*
013200****************************************************************
013300*    SEND THE MAP                                              *
013400****************************************************************
013500*
013600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
013700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
013800                                 THRU MB60PD-SMWE-EXIT.
013900*
014000****************************************************************
014100*    RETURN TO CICS                                            *
014200****************************************************************
014300*
014400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
014500     PERFORM MB70PD-RETURN-TRANS-ID
014600                                 THRU MB70PD-RTI-EXIT.
014700/
014800 2000-RECEIVE-SCREEN SECTION.
014900*
015000****************************************************************
015100*    THIS SECTION RECEIVES THE 00 SCREEN                       *
015200****************************************************************
015300*
015400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
015500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
015600*
015700****************************************************************
015800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
015900****************************************************************
016000*
016100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
016200     PERFORM MB60PD-NEW-TRANS-ROUTINE
016300                                 THRU MB60PD-NTR-EXIT.
016400*
016500 2100-EDIT-SCREEN.
016600*
016700     SET SS08WS-ERROR-SW-NO      TO TRUE.
016800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
016900*
017000     IF  (DF00-ORG-L IS LESS THAN 1)
017100     AND (SS08WS-VALID-PF-KEY
017200     OR   SS08WS-EIBAID-VALID-PF-KEY)
017300         SET MBCA-INITIAL-SCREEN-NBR
017400                                 TO TRUE
017500         GO TO 2690-TRANSFER-XCTL.
017600*
017700 2110-EDIT-ORG.
017800*
017900     MOVE DFHBMUNF               TO DF00-ORG-A.
018000     MOVE DFHBMASK               TO DF00-ORG-LP-A
018100                                    DF00-ORG-RP-A.
018200*
018300     IF  DF00-ORG-L IS EQUAL TO ZERO
018400     OR  DF00-ORG IS NOT NUMERIC
018500         MOVE MBEMWS-INVALID-ORG TO DF00-ERR-MESSAGE
018600         GO TO 2130-ORG-ERROR.
018700*
018800     IF  DF00-ORG IS LESS THAN MBCA-ORG-LOW
018900     OR  DF00-ORG IS GREATER THAN MBCA-ORG-HIGH
019000         MOVE MBEMWS-INVALID-ORG TO DF00-ERR-MESSAGE
019100         GO TO 2130-ORG-ERROR.
019200*
019300 2120-READ-ORG.
019400*
019500****************************************************************
019600*    READ THE ORGANIZATION FILE                                *
019700****************************************************************
019800*
019900     MOVE DF00-ORG               TO MBIOWS-MMOC-ORG.
020000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
020200     SET MBIORO-READ-RANDOM      TO TRUE.
020300     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
020400*
020500     IF  SS08WS-RC-FC-VALID-RTN-CODE
020600         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
020700                                    MBCA-MBDF-ORG
020800         IF  MMOC-ADD-PENDING
020900             MOVE MBEMWS-ADD-PENDING
021000                                 TO DF00-ERR-MESSAGE
021100         ELSE
021200             IF  MMOC-REC-INCOMPLETE
021300             OR  MMOC-REC-PURGED
021400                 MOVE MBEMWS-NOT-ACTIVE
021500                                 TO DF00-ERR-MESSAGE
021600             ELSE
021700                 MOVE MMOC-NA-LINE (1 1)
021800                                 TO MBCA-MBDF-ORG-NAME
021900                 GO TO 2140-START-FIELD-SECURITY
022000     ELSE
022100         MOVE MBEMWS-NOT-ON-FILE TO DF00-ERR-MESSAGE.
022200*
022300 2130-ORG-ERROR.
022400*
022500     MOVE DFHBMNBF               TO DF00-ORG-A.
022600     MOVE DFHBMASB               TO DF00-ORG-LP-A
022700                                    DF00-ORG-RP-A.
022800     MOVE SS08WS-CURSOR          TO DF00-ORG-L.
022900     SET SS08WS-ERROR-SW-YES     TO TRUE.
023000     GO TO 2290-CHECK-ERROR.
023100*
023200 2140-START-FIELD-SECURITY.
023300*
023400****************************************************************
023500*    START BROWSE THE FIELD SECURITY FILE                      *
023600****************************************************************
023700*
023800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
023900     MOVE MBCA-MBDF-ORG          TO MBIOWS-MMFS-ORG.
024000     MOVE LOW-VALUES             TO MBIOWS-MMFS-FS-CODE.
024100     SET MBIORO-STARTBR-GTE      TO TRUE.
024200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
024300*
024400****************************************************************
024500*    READNEXT THE FIELD SECURITY FILE                          *
024600****************************************************************
024700*
024800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
024900     SET MBIORO-READ-SEQ         TO TRUE.
025000     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
025100*
025200****************************************************************
025300*    END BROWSE THE FIELD SECURITY FILE                        *
025400****************************************************************
025500*
025600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
025700     SET MBIORO-ENDBR            TO TRUE.
025800     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
025900*
026000     IF  MMFS-ORG IS NOT EQUAL TO MBCA-MBDF-ORG
026100         MOVE 'NO FIELD SECURITY RECORDS ON FILE FOR THIS ORG'
026200                                 TO DF00-ERR-MESSAGE
026300         GO TO 2130-ORG-ERROR
026400     ELSE
026500         MOVE MMFS-FS-CODE       TO MBCA-MBDF-FIRST-CODE
026600                                    MBCA-MBDF-FWD-CODE
026700         MOVE SPACES             TO MBCA-MBDF-RETURN-FLAG
026800                                    MBCA-MBDF-FWD-FILLER
026900                                    MBCA-MBDF-BACK-CODE.
027000*
027100 2290-CHECK-ERROR.
027200*
027300     IF  SS08WS-ERROR-SW-NO
027400         GO TO 2600-SETUP-COMMAREA
027500     ELSE
027600         IF  SS08WS-VALID-PF-KEY
027700         OR  SS08WS-EIBAID-VALID-PF-KEY
027800             SET MBCA-INITIAL-SCREEN-NBR
027900                                 TO TRUE
028000             GO TO 2690-TRANSFER-XCTL.
028100*
028200 2300-SEND-MAP.
028300*
028400****************************************************************
028500*    SEND THE MAP                                              *
028600****************************************************************
028700*
028800     PERFORM MB60PD-INIT-STD-MAP-LINES
028900                                 THRU MB60PD-ISML-EXIT.
029000*
029100     MOVE DFHBMASK               TO DF00-CURRENT-PAGE-A.
029200*
029300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
029400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
029500                                 THRU MB60PD-SMDO-EXIT.
029600*
029700****************************************************************
029800*    RETURN TO CICS                                            *
029900****************************************************************
030000*
030100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
030200     PERFORM MB70PD-RETURN-TRANS-ID
030300                                 THRU MB70PD-RTI-EXIT.
030400/
030500 2600-SETUP-COMMAREA.
030600*
030700****************************************************************
030800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
030900****************************************************************
031000*
031100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
031200*
031300     MOVE MBIOWS-MMOC-KEY-CODE   TO MBCA-KEY-CODE.
031400*
031500     PERFORM MB60PD-EDIT-PAGE-NBR
031600                                 THRU MB60PD-EPN-EXIT.
031700*
031800     IF  SS08WS-VALID-PF-KEY
031900     OR  SS08WS-EIBAID-VALID-PF-KEY
032000         SET MBCA-INITIAL-SCREEN-NBR
032100                                 TO TRUE.
032200*
032300 2690-TRANSFER-XCTL.
032400*
032500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
032600     PERFORM MB70PD-XCTL-TO-MBOXCTL
032700                                 THRU MB70PD-XTM-EXIT.
032800/
032900 9000-PERFORMED-ROUTINES-SECT SECTION.
033000*         JULIAN TO GREGORIAN DATE ROUTINE
033100     COPY SS08PD.
033200/
033300     COPY SS26PD.
033400/
033500     COPY SS27PD.
033600/         LINE 24 PF KEYS ROUTINE
033700     COPY SS15PD.
033800/         ORG RECORD ACCESS ROUTINES
033900     COPY MMOCAO.
034000/         FIELD SECURITY RECORD ACCESS ROUTINES
034100     COPY MMFSAO.
034200/         ON-LINE MAP ROUTINES
034300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDF00 '
034400                           MBMAPXXI BY MBDF00I
034500                           MBMAPXXO BY MBDF00O.
034600/         ON-LINE PROCEDURES
034700     COPY MB70PD.
034800/
034900     COPY SMFTPXO.
