000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODF01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODF01 - ON-LINE FIELD SECURITY DIRECTORY               *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDF                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDF01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMFS   (FIELD SECURITY MASTER FILE)        *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-CODE         PIC  X(01)      VALUE LOW-VALUES.
004300     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-SELECT-NO                    VALUE 'N'.
004500         88  WS-SELECT-YES                   VALUE 'Y'.
004600     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-BYPASS-NO                    VALUE 'N'.
004800         88  WS-BYPASS-YES                   VALUE 'Y'.
004900     03  TS-QUEUE-NAME.
005000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDF'.
005200*
005300 01  WS-DETAIL-LINE.
005400     03  WS-PROFILE          PIC  X(01).
005500     03  FILLER              PIC  X(05)      VALUE SPACES.
005600     03  WS-PROFILE-NAME     PIC  X(30).
005700     03  FILLER              PIC  X(07)      VALUE SPACES.
005800     03  WS-STATUS-CODE      PIC  9(01).
005900*
006000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006100/
006200 LINKAGE SECTION.
006300 01  DFHCOMMAREA.
006400     COPY MB60WS.
006500/         FIELD SECURITY DIRECTORY SCREEN 01 MAP DSECT
006600     COPY MBDF01.
006700/         FIELD SECURITY DIRECTORY SCREEN 01 MAP REDEFINITION
006800     COPY MBDF01R.
006900/         FIELD SECURITY MASTER RECORD LAYOUT
007000     COPY MMFSRL.
007100/         FIELD SECURITY DIRECTORY TEMPORARY STORAGE
007200     COPY MBDFTS.
007300/
007400 PROCEDURE DIVISION.
007500 0000-HOUSEKEEPING SECTION.
007600 0100-INIT.
007700*
007800     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
007900     SET MBCA-EIBAID-ENTER       TO TRUE.
008000*
008100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008300                                 THRU MB70PD-OLH-EXIT.
008400*
008500     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
008600     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
008700*
008800     IF  MBCA-RECEIVE-SCREEN
008900         GO TO 2000-RECEIVE-SCREEN.
009000*
009100 1000-SEND-SCREEN SECTION.
009200*
009300****************************************************************
009400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009500****************************************************************
009600*
009700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009800     PERFORM MB60PD-GETMAIN-FOR-MAP
009900                                 THRU MB60PD-GFM-EXIT.
010000*
010100     MOVE MBCA-MBDF-ORG          TO DF01-ORG.
010200     MOVE MBCA-MBDF-ORG-NAME     TO DF01-ORG-NAME.
010300     MOVE 01                     TO MBCA-SCREEN-NBR.
010400*
010500****************************************************************
010600*    INITIALIZE THE STANDARD MAP LINES                         *
010700****************************************************************
010800*
010900     PERFORM MB60PD-INIT-STD-MAP-LINES
011000                                 THRU MB60PD-ISML-EXIT.
011100*
011200****************************************************************
011300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
011400****************************************************************
011500*
011600     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
011700     PERFORM 8100-TEMP-STORAGE-GETMAIN
011800                                 THRU 8199-TSG-EXIT.
011900*
012000     EXEC CICS HANDLE CONDITION
012100               QIDERR (1010-CHECK-RETURN-FLAG)
012200          END-EXEC.
012300*
012400***********************************************
012500*    READ THE TEMP STORAGE RECORD             *
012600***********************************************
012700*
012800     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
012900     PERFORM 8200-TEMP-STORAGE-READ
013000                                 THRU 8299-TSR-EXIT.
013100*
013200***********************************************
013300*    DELETE THE TEMP STORAGE RECORD           *
013400***********************************************
013500*
013600     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
013700     PERFORM 8300-TEMP-STORAGE-DELETE
013800                                 THRU 8399-TSD-EXIT.
013900*
014000     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
014100     GO TO 1080-CONTINUE.
014200*
014300 1010-CHECK-RETURN-FLAG.
014400*
014500     IF  MBCA-MBDF-RETURN-BOTTOM
014600         PERFORM 8900-LAST-SCREEN
014700                                 THRU 8999-LS-EXIT
014800         IF  WS-BYPASS-YES
014900             GO TO 1015-READ-FIELD-SECURITY
015000         ELSE
015100             GO TO 1080-CONTINUE
015200     ELSE
015300         IF  MBCA-MBDF-RETURN-BWD
015400             PERFORM 9000-BACK-SCREEN
015500                                 THRU 9099-BS-EXIT
015600             IF  WS-BYPASS-YES
015700                 GO TO 1015-READ-FIELD-SECURITY
015800             ELSE
015900                 GO TO 1080-CONTINUE.
016000*
016100 1015-READ-FIELD-SECURITY.
016200*
016300****************************************************************
016400*    START BROWSE THE FIELD SECURITY FILE                      *
016500****************************************************************
016600*
016700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016800     MOVE MBCA-MBDF-ORG          TO MBIOWS-MMFS-ORG.
016900     MOVE MBCA-MBDF-FWD-CODE     TO MBIOWS-MMFS-FS-CODE.
017000     SET MBIORO-STARTBR-GTE      TO TRUE.
017100     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
017200*
017300     SET X-FLD-INDEX             TO +1.
017400*
017500 1020-READ-LOOP.
017600*
017700****************************************************************
017800*    READNEXT THE FIELD SECURITY FILE                          *
017900****************************************************************
018000*
018100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018200     SET MBIORO-READ-SEQ         TO TRUE.
018300     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
018400*
018500     IF  MMFS-ORG IS GREATER THAN MBCA-MBDF-ORG
018600         GO TO 1020-END-BROWSE.
018700*
018800     PERFORM 9500-BUILD-SCREEN-LINE
018900                                 THRU 9599-BSL-EXIT.
019000*
019100     IF  X-FLD-INDEX IS EQUAL TO +1
019200         MOVE MMFS-FS-CODE       TO MBCA-MBDF-BACK-CODE.
019300*
019400     IF  X-FLD-INDEX IS LESS THAN +15
019500         SET X-FLD-INDEX         UP BY +1
019600         GO TO 1020-READ-LOOP
019700     ELSE
019800         MOVE MMFS-FS-CODE       TO MBCA-MBDF-FWD-CODE
019900         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
020000         SET X-FLD-INDEX         UP BY +1.
020100*
020200 1020-END-BROWSE.
020300*
020400****************************************************************
020500*    END BROWSE THE FIELD SECURITY FILE                        *
020600****************************************************************
020700*
020800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
020900     SET MBIORO-ENDBR            TO TRUE.
021000     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
021100*
021200 1060-SET-ATTRIBUTE.
021300*
021400     IF  X-FLD-INDEX IS EQUAL TO +1
021500         IF  MBCA-MBDF-RETURN-NORMAL
021600             SET MBCA-INITIAL-SCREEN-NBR
021700                                 TO TRUE
021800             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
021900             PERFORM MB70PD-XCTL-TO-MBOXCTL
022000                                 THRU MB70PD-XTM-EXIT
022100         ELSE
022200             MOVE MBCA-MBDF-BACK-CODE
022300                                 TO MBCA-MBDF-FWD-CODE
022400             GO TO 1015-READ-FIELD-SECURITY.
022500*
022600     IF  X-FLD-INDEX IS LESS THAN +16
022700         SET X-MBDFTS-INDEX      TO X-FLD-INDEX
022800         MOVE ZEROES             TO MBDFTS-STATUS-CODE
022900                                    (X-MBDFTS-INDEX)
023000         MOVE SPACES             TO MBDFTS-PROFILE-NAME
023100                                    (X-MBDFTS-INDEX)
023200         MOVE LOW-VALUES         TO MBCA-MBDF-FWD-CODE
023300                                    WS-FWD-CODE
023400                                    MBDFTS-PROFILE
023500                                    (X-MBDFTS-INDEX)
023600         MOVE DFHBMASK           TO DF01-SELECT-A
023700                                    (X-FLD-INDEX)
023800         MOVE DFHBMDAS           TO DF01-DIRECTORY-LINE-A
023900                                    (X-FLD-INDEX)
024000                                    DF01-SELECT-LP-A
024100                                    (X-FLD-INDEX)
024200                                    DF01-SELECT-RP-A
024300                                    (X-FLD-INDEX)
024400         SET X-FLD-INDEX         UP BY +1
024500         GO TO 1060-SET-ATTRIBUTE.
024600*
024700 1080-CONTINUE.
024800*
024900     IF  MBCA-MBDF-BACK-CODE IS NOT EQUAL
025000                                 TO MBCA-MBDF-FIRST-CODE
025100         MOVE DFHBMASB           TO DF01-FWD-BACK-IND-A (1).
025200*
025300     IF  WS-FWD-CODE IS NOT EQUAL TO LOW-VALUES
025400         MOVE DFHBMASB           TO DF01-FWD-BACK-IND-A (15).
025500*
025600****************************************************************
025700*    WRITE THE TEMP STORAGE RECORD                             *
025800****************************************************************
025900*
026000     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
026100     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
026200*
026300     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
026400         VARYING X-FLD-INDEX     FROM +1 BY +1
026500         UNTIL   X-FLD-INDEX IS GREATER THAN +15.
026600*
026700     SET X-FLD-INDEX             TO +1.
026800*
026900 1090-CURSOR-LOOP.
027000*
027100     IF  X-FLD-INDEX IS GREATER THAN +15
027200         MOVE SS08WS-CURSOR      TO DF01-ALT-TRANID-L
027300         GO TO 1100-CONTINUE.
027400*
027500     IF  DF01-SELECT-A (X-FLD-INDEX)
027600                                 IS EQUAL TO DFHBMASK
027700         SET X-FLD-INDEX         UP BY +1
027800         GO TO 1090-CURSOR-LOOP
027900     ELSE
028000         MOVE SS08WS-CURSOR      TO DF01-SELECT-L
028100                                    (X-FLD-INDEX).
028200*
028300 1100-CONTINUE.
028400*
028500     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
028600     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
028700     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
028800     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
028900     MOVE SS08WS-LINE-24         TO DF01-PF-KEYS.
029000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
029100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
029200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
029300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
029400*
029500     MOVE DFHBMASK               TO DF01-CURRENT-PAGE-A.
029600*
029700****************************************************************
029800*    SEND THE MAP                                              *
029900****************************************************************
030000*
030100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030300                                 THRU MB60PD-SMWE-EXIT.
030400*
030500****************************************************************
030600*    RETURN TO CICS                                            *
030700****************************************************************
030800*
030900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031000     PERFORM MB70PD-RETURN-TRANS-ID
031100                                 THRU MB70PD-RTI-EXIT.
031200/
031300 2000-RECEIVE-SCREEN SECTION.
031400*
031500     IF  MBCA-EIBAID-CLEAR
031600         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
031700         PERFORM 8300-TEMP-STORAGE-DELETE
031800                                 THRU 8399-TSD-EXIT
031900         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
032000         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
032100                                 THRU MB70PD-OLH-EXIT.
032200*
032300****************************************************************
032400*    THIS SECTION RECEIVES THE 01 SCREEN                       *
032500****************************************************************
032600*
032700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
032800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
032900*
033000*****************************************************
033100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
033200*****************************************************
033300*
033400     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
033500     PERFORM 8100-TEMP-STORAGE-GETMAIN
033600                                 THRU 8199-TSG-EXIT.
033700*
033800***********************************************
033900*    READ THE TEMP STORAGE RECORD             *
034000***********************************************
034100*
034200     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
034300     PERFORM 8200-TEMP-STORAGE-READ
034400                                 THRU 8299-TSR-EXIT.
034500*
034600***********************************************
034700*    DELETE THE TEMP STORAGE RECORD           *
034800***********************************************
034900*
035000     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
035100     PERFORM 8300-TEMP-STORAGE-DELETE
035200                                 THRU 8399-TSD-EXIT.
035300*
035400****************************************************************
035500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
035600****************************************************************
035700*
035800     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
035900     PERFORM MB60PD-NEW-TRANS-ROUTINE
036000                                 THRU MB60PD-NTR-EXIT.
036100*
036200 2005-EDIT-SELECT.
036300*
036400****************************************************************
036500*    EDIT SELECT FIELD                                         *
036600****************************************************************
036700*
036800     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
036900*
037000 2090-CHECK-ERROR.
037100*
037200     IF  SS08WS-ERROR-SW-NO
037300         GO TO 2400-CHECK-SELECT.
037400*
037500 2300-SEND-MAP.
037600*
037700***********************************************
037800*    WRITE THE TEMP STORAGE RECORD            *
037900***********************************************
038000*
038100     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
038200     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
038300*
038400****************************************************************
038500*    SEND THE MAP                                              *
038600****************************************************************
038700*
038800     PERFORM MB60PD-INIT-STD-MAP-LINES
038900                                 THRU MB60PD-ISML-EXIT.
039000*
039100     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
039200     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
039300     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
039400     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
039500     MOVE SS08WS-LINE-24         TO DF01-PF-KEYS.
039600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
039700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
039800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
039900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
040000*
040100     MOVE DFHBMASK               TO DF01-CURRENT-PAGE-A.
040200*
040300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
040400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
040500                                 THRU MB60PD-SMDO-EXIT.
040600*
040700****************************************************************
040800*    RETURN TO CICS                                            *
040900****************************************************************
041000*
041100     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
041200     PERFORM MB70PD-RETURN-TRANS-ID
041300                                 THRU MB70PD-RTI-EXIT.
041400/
041500 2400-CHECK-SELECT.
041600*
041700     IF  WS-SELECT-YES
041800         SET X-MBDFTS-INDEX      TO X-FLD-INDEX
041900         MOVE MBDFTS-PROFILE (X-MBDFTS-INDEX)
042000                                 TO MBCA-PROFILE
042100         MOVE MBIOWS-MMFS-DIRECT-KEY-CODE
042200                                 TO MBCA-KEY-CODE
042300         SET MBCA-INITIAL-SCREEN-NBR
042400                                 TO TRUE
042500         EVALUATE TRUE
042600           WHEN DF01-VALID-INQUIRY (X-FLD-INDEX)
042700               MOVE '..QF'       TO SS08WS-WORK-TRANS-ID
042800           WHEN DF01-VALID-STATUS-MAINT (X-FLD-INDEX)
042900               MOVE '..9F'       TO SS08WS-WORK-TRANS-ID
043000           WHEN OTHER
043100               MOVE '..MF'       TO SS08WS-WORK-TRANS-ID
043200         END-EVALUATE
043300         GO TO 2690-PF-KEY-BYPASS.
043400/
043500 2600-SETUP-COMMAREA.
043600*
043700****************************************************************
043800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
043900****************************************************************
044000*
044100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
044200*
044300     IF  SS08WS-VALID-PF3
044400     OR  SS08WS-EIBAID-VALID-PF3
044500         MOVE 51                 TO MBCA-SCREEN-NBR
044600         MOVE MBCA-MBDF-FIRST-CODE
044700                                 TO MBCA-MBDF-FWD-CODE
044800         SET MBCA-MBDF-RETURN-NORMAL
044900                                 TO TRUE
045000         GO TO 2690-PF-KEY-BYPASS.
045100*
045200     IF  SS08WS-VALID-PF4
045300     OR  SS08WS-EIBAID-VALID-PF4
045400         MOVE 51                 TO MBCA-SCREEN-NBR
045500         IF (MBDFTS-PROFILE (1) IS NOT EQUAL TO LOW-VALUES
045600         AND MBDFTS-PROFILE (15) IS EQUAL TO LOW-VALUES)
045700         OR (MBCA-MBDF-FWD-CODE IS EQUAL TO LOW-VALUES)
045800             SET MBCA-MBDF-RETURN-NORMAL
045900                                 TO TRUE
046000             MOVE LOW-VALUES     TO MBCA-MBDF-FWD-CODE
046100             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
046200             PERFORM 8400-WRITE-QUEUE
046300                                 THRU 8499-WQ-EXIT
046400             GO TO 2690-PF-KEY-BYPASS
046500         ELSE
046600             SET MBCA-MBDF-RETURN-BOTTOM
046700                                 TO TRUE
046800             GO TO 2690-PF-KEY-BYPASS.
046900*
047000     IF  SS08WS-VALID-PF5
047100     OR  SS08WS-EIBAID-VALID-PF5
047200         MOVE 51                 TO MBCA-SCREEN-NBR
047300         IF (MBDFTS-PROFILE (1) IS NOT EQUAL TO LOW-VALUES
047400         AND MBDFTS-PROFILE (15) IS EQUAL TO LOW-VALUES)
047500         OR (MBCA-MBDF-FWD-CODE IS EQUAL TO LOW-VALUES)
047600             SET MBCA-MBDF-RETURN-NORMAL
047700                                 TO TRUE
047800             MOVE LOW-VALUES     TO MBCA-MBDF-FWD-CODE
047900             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
048000             PERFORM 8400-WRITE-QUEUE
048100                                 THRU 8499-WQ-EXIT
048200             GO TO 2690-PF-KEY-BYPASS
048300         ELSE
048400             SET MBCA-MBDF-RETURN-FWD
048500                                 TO TRUE
048600             ADD 1               TO MBCA-MBDF-FWD-CODE-NUM
048700             GO TO 2690-PF-KEY-BYPASS.
048800*
048900     IF  SS08WS-VALID-PF6
049000     OR  SS08WS-EIBAID-VALID-PF6
049100         MOVE 51                 TO MBCA-SCREEN-NBR
049200         IF  MBCA-MBDF-BACK-CODE IS EQUAL
049300                                 TO MBCA-MBDF-FIRST-CODE
049400             SET MBCA-MBDF-RETURN-NORMAL
049500                                 TO TRUE
049600             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
049700             PERFORM 8400-WRITE-QUEUE
049800                                 THRU 8499-WQ-EXIT
049900             GO TO 2690-PF-KEY-BYPASS
050000         ELSE
050100             MOVE MBCA-MBDF-BACK-CODE
050200                                 TO MBCA-MBDF-FWD-CODE
050300             SET MBCA-MBDF-RETURN-BWD
050400                                 TO TRUE
050500             GO TO 2690-PF-KEY-BYPASS.
050600*
050700     IF  SS08WS-VALID-PF-KEY
050800     OR  SS08WS-EIBAID-VALID-PF-KEY
050900     OR  MBDFTS-PROFILE (15) IS EQUAL TO LOW-VALUES
051000     OR  MBCA-MBDF-FWD-CODE IS EQUAL TO LOW-VALUES
051100         SET MBCA-INITIAL-SCREEN-NBR
051200                                 TO TRUE
051300         MOVE MBIOWS-MMFS-KEY-CODE
051400                                 TO MBCA-KEY-CODE
051500         SET MBCA-MBDF-RETURN-NORMAL
051600                                 TO TRUE
051700         GO TO 2690-PF-KEY-BYPASS.
051800*
051900     MOVE 51                     TO MBCA-SCREEN-NBR.
052000     ADD 1                       TO MBCA-MBDF-FWD-CODE-NUM.
052100     SET MBCA-MBDF-RETURN-NORMAL TO TRUE.
052200*
052300 2690-PF-KEY-BYPASS.
052400*
052500     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
052600     PERFORM MB70PD-XCTL-TO-MBOXCTL
052700                                 THRU MB70PD-XTM-EXIT.
052800/
052900 8000-PERFORMED-ROUTINES-SECT SECTION.
053000*
053100 8100-TEMP-STORAGE-GETMAIN.
053200*
053300     EXEC CICS GETMAIN
053400               FLENGTH (LENGTH  OF MBDFTS-RECORD)
053500               SET     (ADDRESS OF MBDFTS-RECORD)
053600          END-EXEC.
053700*
053800 8199-TSG-EXIT.
053900     EXIT.
054000*
054100 8200-TEMP-STORAGE-READ.
054200*
054300     EXEC CICS READQ TS
054400               QUEUE   (TS-QUEUE-NAME)
054500               INTO    (MBDFTS-RECORD)
054600               LENGTH  (LENGTH  OF MBDFTS-RECORD)
054700               ITEM    (1)
054800          END-EXEC.
054900*
055000 8299-TSR-EXIT.
055100     EXIT.
055200*
055300 8300-TEMP-STORAGE-DELETE.
055400*
055500     EXEC CICS IGNORE CONDITION
055600               QIDERR
055700          END-EXEC.
055800*
055900     EXEC CICS DELETEQ TS
056000               QUEUE  (TS-QUEUE-NAME)
056100          END-EXEC.
056200*
056300 8399-TSD-EXIT.
056400     EXIT.
056500*
056600 8400-WRITE-QUEUE.
056700*
056800     EXEC CICS WRITEQ TS
056900               QUEUE   (TS-QUEUE-NAME)
057000               FROM    (MBDFTS-RECORD)
057100               LENGTH  (LENGTH OF MBDFTS-RECORD)
057200          END-EXEC.
057300*
057400 8499-WQ-EXIT.
057500     EXIT.
057600*
057700 8600-EDIT-SELECT.
057800*
057900     SET X-FLD-INDEX             TO +1.
058000*
058100 8600-EDIT-LOOP.
058200*
058300     IF  DF01-SELECT-L (X-FLD-INDEX) IS GREATER THAN ZERO
058400         IF  DF01-VALID-SELECT (X-FLD-INDEX)
058500             MOVE DFHBMASF       TO DF01-SELECT-A
058600                                    (X-FLD-INDEX)
058700             MOVE DFHBMDAS       TO DF01-SELECT-LP-A
058800                                    (X-FLD-INDEX)
058900                                    DF01-SELECT-RP-A
059000                                    (X-FLD-INDEX)
059100             IF  DF01-VALID-INQUIRY-MAINT (X-FLD-INDEX)
059200                 SET WS-SELECT-YES
059300                                 TO TRUE
059400                 GO TO 8699-ES-EXIT
059500             ELSE
059600                 NEXT SENTENCE
059700         ELSE
059800             SET SS08WS-ERROR-SW-YES TO TRUE
059900             MOVE SS08WS-CURSOR  TO DF01-SELECT-L
060000                                    (X-FLD-INDEX)
060100             MOVE DFHBMUBF       TO DF01-SELECT-A
060200                                    (X-FLD-INDEX)
060300             MOVE DFHBMASB       TO DF01-SELECT-LP-A
060400                                    (X-FLD-INDEX)
060500                                    DF01-SELECT-RP-A
060600                                    (X-FLD-INDEX)
060700             GO TO 8699-ES-EXIT.
060800*
060900     IF  X-FLD-INDEX IS LESS THAN +15
061000         SET X-FLD-INDEX         UP BY +1
061100         GO TO 8600-EDIT-LOOP.
061200*
061300 8699-ES-EXIT.
061400     EXIT.
061500*
061600 8800-BUILD-SCREEN.
061700*
061800     SET X-FLD-INDEX             TO +1.
061900*
062000 8800-BUILD-LOOP.
062100*
062200     SET X-MBDFTS-INDEX          TO X-FLD-INDEX.
062300*
062400     IF  MBDFTS-PROFILE (X-MBDFTS-INDEX)
062500                                 IS NOT EQUAL TO LOW-VALUES
062600         MOVE MBDFTS-PROFILE (X-MBDFTS-INDEX)
062700                                 TO WS-PROFILE
062800         MOVE MBDFTS-PROFILE-NAME (X-MBDFTS-INDEX)
062900                                 TO WS-PROFILE-NAME
063000         MOVE MBDFTS-STATUS-CODE (X-MBDFTS-INDEX)
063100                                 TO WS-STATUS-CODE
063200         MOVE WS-DETAIL-LINE     TO DF01-DIRECTORY-LINE
063300                                    (X-FLD-INDEX)
063400     ELSE
063500         MOVE DFHBMASK           TO DF01-SELECT-A
063600                                    (X-FLD-INDEX)
063700         MOVE DFHBMDAS           TO DF01-DIRECTORY-LINE-A
063800                                    (X-FLD-INDEX)
063900                                    DF01-SELECT-LP-A
064000                                    (X-FLD-INDEX)
064100                                    DF01-SELECT-RP-A
064200                                    (X-FLD-INDEX).
064300*
064400     IF  X-FLD-INDEX IS LESS THAN +15
064500         SET X-FLD-INDEX         UP BY +1
064600         GO TO 8800-BUILD-LOOP
064700     ELSE
064800         MOVE MBCA-MBDF-FWD-CODE TO WS-FWD-CODE.
064900*
065000 8899-BS-EXIT.
065100     EXIT.
065200*
065300 8900-LAST-SCREEN.
065400*
065500****************************************************************
065600*    START BROWSE THE FIELD SECURITY FILE                      *
065700****************************************************************
065800*
065900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
066000     MOVE MBCA-MBDF-ORG          TO MBIOWS-MMFS-ORG.
066100     MOVE HIGH-VALUE             TO MBIOWS-MMFS-FS-CODE.
066200     SET MBIORO-STARTBR-GTE      TO TRUE.
066300     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
066400*
066500****************************************************************
066600*    READNEXT THE FIELD SECURITY FILE                          *
066700****************************************************************
066800*
066900     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
067000     SET MBIORO-READ-SEQ         TO TRUE.
067100     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
067200*
067300****************************************************************
067400*    READPREV THE FIELD SECURITY FILE                          *
067500****************************************************************
067600*
067700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
067800     SET MBIORO-READ-PREV        TO TRUE.
067900     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
068000*
068100     SET X-FLD-INDEX             TO +15.
068200     SET WS-BYPASS-NO            TO TRUE.
068300*
068400 8900-READ-FIELD-SECURITY-FILE.
068500*
068600****************************************************************
068700*    READPREV THE FIELD SECURITY FILE                          *
068800****************************************************************
068900*
069000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
069100     SET MBIORO-READ-PREV        TO TRUE.
069200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
069300*
069400 8900-BUILD-LOOP.
069500*
069600     IF  MMFS-ORG IS LESS THAN MBCA-MBDF-ORG
069700         GO TO 8900-END-BROWSE.
069800*
069900     IF  MMFS-FS-CODE IS EQUAL TO MBCA-MBDF-FIRST-CODE
070000     AND X-FLD-INDEX IS GREATER THAN +1
070100         SET MBCA-MBDF-RETURN-NORMAL
070200                                 TO TRUE
070300         MOVE MBCA-MBDF-FIRST-CODE
070400                                 TO MBCA-MBDF-FWD-CODE
070500         SET WS-BYPASS-YES       TO TRUE
070600         GO TO 8900-END-BROWSE.
070700*
070800     PERFORM 9500-BUILD-SCREEN-LINE
070900                                 THRU 9599-BSL-EXIT.
071000*
071100     IF  X-FLD-INDEX IS GREATER THAN +1
071200         SET X-FLD-INDEX         DOWN BY +1
071300         GO TO 8900-READ-FIELD-SECURITY-FILE
071400     ELSE
071500         MOVE MMFS-FS-CODE       TO MBCA-MBDF-BACK-CODE.
071600*
071700 8900-END-BROWSE.
071800*
071900****************************************************************
072000*    END BROWSE THE FIELD SECURITY FILE                        *
072100****************************************************************
072200*
072300     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
072400     SET MBIORO-ENDBR            TO TRUE.
072500     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
072600*
072700     IF  WS-BYPASS-YES
072800         GO TO 8999-LS-EXIT.
072900*
073000     MOVE LOW-VALUES             TO MBCA-MBDF-FWD-CODE
073100                                    WS-FWD-CODE.
073200*
073300 8999-LS-EXIT.
073400     EXIT.
073500*
073600 9000-BACK-SCREEN.
073700*
073800****************************************************************
073900*    START BROWSE THE FIELD SECURITY FILE                      *
074000****************************************************************
074100*
074200     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
074300     MOVE MBCA-MBDF-ORG          TO MBIOWS-MMFS-ORG.
074400     MOVE MBCA-MBDF-FWD-CODE     TO MBIOWS-MMFS-FS-CODE.
074500     SET MBIORO-STARTBR-GTE      TO TRUE.
074600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
074700*
074800****************************************************************
074900*    READNEXT THE FIELD SECURITY FILE                          *
075000****************************************************************
075100*
075200     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
075300     SET MBIORO-READ-SEQ         TO TRUE.
075400     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
075500*
075600****************************************************************
075700*    READPREV THE FIELD SECURITY FILE                          *
075800****************************************************************
075900*
076000     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
076100     SET MBIORO-READ-PREV        TO TRUE.
076200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
076300*
076400     SET X-FLD-INDEX             TO +15.
076500     SET WS-BYPASS-NO            TO TRUE.
076600*
076700 9000-READ-FIELD-SECURITY-FILE.
076800*
076900****************************************************************
077000*    READPREV THE FIELD SECURITY FILE                          *
077100****************************************************************
077200*
077300     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
077400     SET MBIORO-READ-PREV        TO TRUE.
077500     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
077600*
077700 9000-BUILD-LOOP.
077800*
077900     IF  X-FLD-INDEX IS GREATER THAN +1
078000     AND MMFS-FS-CODE IS EQUAL TO MBCA-MBDF-FIRST-CODE
078100         SET MBCA-MBDF-RETURN-NORMAL
078200                                 TO TRUE
078300         MOVE MBCA-MBDF-FIRST-CODE
078400                                 TO MBCA-MBDF-FWD-CODE
078500         SET WS-BYPASS-YES       TO TRUE
078600         GO TO 9000-END-BROWSE.
078700*
078800     IF  MMFS-FS-CODE IS EQUAL TO MBCA-MBDF-BACK-CODE
078900     AND X-FLD-INDEX IS EQUAL TO +15
079000         GO TO 9000-READ-FIELD-SECURITY-FILE.
079100*
079200     PERFORM 9500-BUILD-SCREEN-LINE
079300                                 THRU 9599-BSL-EXIT.
079400*
079500     IF  X-FLD-INDEX IS EQUAL TO +15
079600         MOVE MMFS-FS-CODE       TO MBCA-MBDF-FWD-CODE
079700                                    WS-FWD-CODE.
079800*
079900     IF  X-FLD-INDEX IS GREATER THAN +1
080000         SET X-FLD-INDEX         DOWN BY +1
080100         GO TO 9000-READ-FIELD-SECURITY-FILE
080200     ELSE
080300         MOVE MMFS-FS-CODE       TO MBCA-MBDF-BACK-CODE.
080400*
080500 9000-END-BROWSE.
080600*
080700****************************************************************
080800*    END BROWSE THE FIELD SECURITY FILE                        *
080900****************************************************************
081000*
081100     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
081200     SET MBIORO-ENDBR            TO TRUE.
081300     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
081400*
081500 9099-BS-EXIT.
081600     EXIT.
081700*
081800 9100-SET-ATTRIBUTE.
081900*
082000     SET X-MBDFTS-INDEX          TO X-FLD-INDEX.
082100*
082200     IF  MBDFTS-STATUS-INCOMPLETE   (X-MBDFTS-INDEX)
082300         MOVE DFHBMASK           TO DF01-SELECT-A
082400                                    (X-FLD-INDEX)
082500         MOVE DFHBMDAS           TO DF01-SELECT-LP-A
082600                                    (X-FLD-INDEX)
082700                                    DF01-SELECT-RP-A
082800                                    (X-FLD-INDEX).
082900*
083000 9199-SA-EXIT.
083100     EXIT.
083200*
083300 9400-READ-AHEAD.
083400*
083500****************************************************************
083600*    READNEXT THE FIELD SECURITY FILE                          *
083700****************************************************************
083800*
083900     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
084000     SET MBIORO-READ-SEQ         TO TRUE.
084100     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
084200*
084300     IF  MMFS-ORG IS GREATER THAN MBCA-MBDF-ORG
084400         MOVE LOW-VALUES         TO WS-FWD-CODE
084500                                    MBCA-MBDF-FWD-CODE
084600         GO TO 9499-RA-EXIT.
084700*
084800     MOVE MMFS-FS-CODE           TO WS-FWD-CODE.
084900*
085000 9499-RA-EXIT.
085100     EXIT.
085200*
085300 9500-BUILD-SCREEN-LINE.
085400*
085500     SET X-MBDFTS-INDEX          TO X-FLD-INDEX.
085600*
085700     MOVE MMFS-FS-CODE           TO WS-PROFILE
085800                                    MBDFTS-PROFILE
085900                                    (X-MBDFTS-INDEX).
086000*
086100     MOVE MMFS-NAME              TO WS-PROFILE-NAME
086200                                    MBDFTS-PROFILE-NAME
086300                                    (X-MBDFTS-INDEX).
086400*
086500     MOVE MMFS-REC-STATUS        TO WS-STATUS-CODE
086600                                    MBDFTS-STATUS-CODE
086700                                    (X-MBDFTS-INDEX).
086800*
086900     MOVE WS-DETAIL-LINE         TO DF01-DIRECTORY-LINE
087000                                    (X-FLD-INDEX).
087100*
087200 9599-BSL-EXIT.
087300     EXIT.
087400/         JULIAN TO GREGORIAN DATE ROUTINE
087500     COPY SS08PD.
087600/
087700     COPY SS26PD.
087800/
087900     COPY SS27PD.
088000/         LINE 24 PF KEYS ROUTINE
088100     COPY SS15PD.
088200/         FIELD SECURITY RECORD ACCESS ROUTINES
088300     COPY MMFSAO.
088400/         ON-LINE MAP ROUTINES
088500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDF01 '
088600                           MBMAPXXI BY MBDF01I
088700                           MBMAPXXO BY MBDF01O.
088800/         ON-LINE PROCEDURES
088900     COPY MB70PD.
089000/
089100     COPY SMFTPXO.
