000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODG01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBODG01 - ON-LINE STORE CHAIN DIRECTORY                  *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDG                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDG01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMSR   (STORE RELATIONSHIP CONTROL FILE)   *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-CHAIN-NBR    PIC  9(09)      VALUE ZEROES.
004300     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-SELECT-NO                    VALUE 'N'.
004500         88  WS-SELECT-YES                   VALUE 'Y'.
004600     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-BYPASS-NO                    VALUE 'N'.
004800         88  WS-BYPASS-YES                   VALUE 'Y'.
004900     03  TS-QUEUE-NAME.
005000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDG'.
005200*
005300 01  WS-DETAIL-LINE.
005400     03  FILLER              PIC  X(02)      VALUE SPACES.
005500     03  WS-CHAIN-NBR        PIC  9(09).
005600     03  FILLER              PIC  X(05)      VALUE SPACES.
005700     03  WS-CHAIN-NAME       PIC  X(30).
005800     03  FILLER              PIC  X(05)      VALUE SPACES.
005900     03  WS-STATUS-CODE      PIC  9(01).
006000*
006100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006200/
006300 LINKAGE SECTION.
006400 01  DFHCOMMAREA.
006500     COPY MB60WS.
006600/         STORE CHAIN DIRECTORY SCREEN 01 MAP DSECT
006700     COPY MBDG01.
006800/         STORE CHAIN DIRECTORY SCREEN 01 MAP REDEFINITION
006900     COPY MBDG01R.
007000/         STORE RELATIONSHIP CONTROL RECORD LAYOUT
007100     COPY MMSRRL.
007200/         STORE CHAIN DIRECTORY TEMPORARY STORAGE
007300     COPY MBDGTS.
007400/
007500 PROCEDURE DIVISION.
007600 0000-HOUSEKEEPING SECTION.
007700 0100-INIT.
007800*
007900     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008000     SET MBCA-EIBAID-ENTER       TO TRUE.
008100*
008200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008400                                 THRU MB70PD-OLH-EXIT.
008500*
008600     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
008700     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
008800*
008900     IF  MBCA-RECEIVE-SCREEN
009000         GO TO 2000-RECEIVE-SCREEN.
009100*
009200 1000-SEND-SCREEN SECTION.
009300*
009400****************************************************************
009500*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009600****************************************************************
009700*
009800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009900     PERFORM MB60PD-GETMAIN-FOR-MAP
010000                                 THRU MB60PD-GFM-EXIT.
010100*
010200     MOVE MBCA-MBDG-ORG          TO DG01-ORG.
010300     MOVE MBCA-MBDG-ORG-NAME     TO DG01-ORG-NAME.
010400     MOVE MBCA-MBDG-FIRST-CHAIN-NBR
010500                                 TO DG01-CHAIN.
010600     MOVE 01                     TO MBCA-SCREEN-NBR.
010700*
010800****************************************************************
010900*    INITIALIZE THE STANDARD MAP LINES                         *
011000****************************************************************
011100*
011200     PERFORM MB60PD-INIT-STD-MAP-LINES
011300                                 THRU MB60PD-ISML-EXIT.
011400*
011500****************************************************************
011600*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
011700****************************************************************
011800*
011900     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
012000     PERFORM 8100-TEMP-STORAGE-GETMAIN
012100                                 THRU 8199-TSG-EXIT.
012200*
012300     EXEC CICS HANDLE CONDITION
012400               QIDERR (1010-CHECK-RETURN-FLAG)
012500          END-EXEC.
012600*
012700***********************************************
012800*    READ THE TEMP STORAGE RECORD             *
012900***********************************************
013000*
013100     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
013200     PERFORM 8200-TEMP-STORAGE-READ
013300                                 THRU 8299-TSR-EXIT.
013400*
013500***********************************************
013600*    DELETE THE TEMP STORAGE RECORD           *
013700***********************************************
013800*
013900     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM 8300-TEMP-STORAGE-DELETE
014100                                 THRU 8399-TSD-EXIT.
014200*
014300     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
014400     GO TO 1080-CONTINUE.
014500*
014600 1010-CHECK-RETURN-FLAG.
014700*
014800     IF  MBCA-MBDG-RETURN-BOTTOM
014900         PERFORM 8900-LAST-SCREEN
015000                                 THRU 8999-LS-EXIT
015100         IF  WS-BYPASS-YES
015200             GO TO 1015-READ-RELATIONSHIP
015300         ELSE
015400             GO TO 1080-CONTINUE
015500     ELSE
015600         IF  MBCA-MBDG-RETURN-BWD
015700             PERFORM 9000-BACK-SCREEN
015800                                 THRU 9099-BS-EXIT
015900             IF  WS-BYPASS-YES
016000                 GO TO 1015-READ-RELATIONSHIP
016100             ELSE
016200                 GO TO 1080-CONTINUE.
016300*
016400 1015-READ-RELATIONSHIP.
016500*
016600****************************************************************
016700*    START BROWSE THE STORE RELATIONSHIP FILE                  *
016800****************************************************************
016900*
017000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017100     MOVE MBCA-MBDG-ORG          TO MBIOWS-MMSR-ORG.
017200     MOVE MBCA-MBDG-FWD-CHAIN-NBR
017300                                 TO MBIOWS-MMSR-CHAIN.
017400     SET MBIORO-STARTBR-GTE      TO TRUE.
017500     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
017600*
017700     SET X-CHAIN-INDEX           TO +1.
017800*
017900 1020-READ-LOOP.
018000*
018100****************************************************************
018200*    READNEXT THE STORE RELATIONSHIP FILE                      *
018300****************************************************************
018400*
018500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018600     SET MBIORO-READ-SEQ         TO TRUE.
018700     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
018800*
018900     IF  MMSR-ORG    IS GREATER THAN MBCA-MBDG-ORG
019000         GO TO 1020-END-BROWSE.
019100*
019200     PERFORM 9500-BUILD-SCREEN-LINE
019300                                 THRU 9599-BSL-EXIT.
019400*
019500     IF  X-CHAIN-INDEX IS EQUAL TO +1
019600         MOVE MMSR-CHAIN         TO MBCA-MBDG-BACK-CHAIN-NBR.
019700*
019800     IF  X-CHAIN-INDEX IS LESS THAN +15
019900         SET X-CHAIN-INDEX       UP BY +1
020000         GO TO 1020-READ-LOOP
020100     ELSE
020200         MOVE MMSR-CHAIN         TO MBCA-MBDG-FWD-CHAIN-NBR
020300         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
020400         SET X-CHAIN-INDEX       UP BY +1.
020500*
020600 1020-END-BROWSE.
020700*
020800****************************************************************
020900*    END BROWSE THE STORE RELATIONSHIP FILE                    *
021000****************************************************************
021100*
021200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
021300     SET MBIORO-ENDBR            TO TRUE.
021400     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
021500*
021600 1060-SET-ATTRIBUTE.
021700*
021800     IF  X-CHAIN-INDEX IS EQUAL TO +1
021900         IF  MBCA-MBDG-RETURN-NORMAL
022000             SET MBCA-INITIAL-SCREEN-NBR
022100                                 TO TRUE
022200             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
022300             PERFORM MB70PD-XCTL-TO-MBOXCTL
022400                                 THRU MB70PD-XTM-EXIT
022500         ELSE
022600             MOVE MBCA-MBDG-BACK-CHAIN-NBR
022700                                 TO MBCA-MBDG-FWD-CHAIN-NBR
022800             GO TO 1015-READ-RELATIONSHIP.
022900*
023000     IF  X-CHAIN-INDEX IS LESS THAN +16
023100         SET X-TS-MBDG-INDEX     TO X-CHAIN-INDEX
023200         MOVE ZEROES             TO MBCA-MBDG-FWD-CHAIN-NBR
023300                                    WS-FWD-CHAIN-NBR
023400                                    TS-MBDG-CHAIN-NBR
023500                                    (X-TS-MBDG-INDEX)
023600                                    TS-MBDG-STATUS-CODE
023700                                    (X-TS-MBDG-INDEX)
023800         MOVE SPACES             TO TS-MBDG-CHAIN-NAME
023900                                    (X-TS-MBDG-INDEX)
024000         MOVE DFHBMASK           TO DG01-SELECT-A
024100                                    (X-CHAIN-INDEX)
024200         MOVE DFHBMDAS           TO DG01-DIRECTORY-LINE-A
024300                                    (X-CHAIN-INDEX)
024400                                    DG01-SELECT-LP-A
024500                                    (X-CHAIN-INDEX)
024600                                    DG01-SELECT-RP-A
024700                                    (X-CHAIN-INDEX)
024800         SET X-CHAIN-INDEX       UP BY +1
024900         GO TO 1060-SET-ATTRIBUTE.
025000*
025100 1080-CONTINUE.
025200*
025300     IF  MBCA-MBDG-BACK-CHAIN-NBR IS NOT EQUAL
025400                                 TO MBCA-MBDG-FIRST-CHAIN-NBR
025500         MOVE DFHBMASB           TO DG01-FWD-BACK-IND-A (1).
025600*
025700     IF  WS-FWD-CHAIN-NBR IS NOT EQUAL TO ZEROES
025800         MOVE DFHBMASB           TO DG01-FWD-BACK-IND-A (15).
025900*
026000****************************************************************
026100*    WRITE THE TEMP STORAGE RECORD                             *
026200****************************************************************
026300*
026400     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
026600*
026700     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
026800         VARYING X-CHAIN-INDEX   FROM +1 BY +1
026900         UNTIL   X-CHAIN-INDEX IS GREATER THAN +15.
027000*
027100     SET X-CHAIN-INDEX           TO +1.
027200*
027300 1090-CURSOR-LOOP.
027400*
027500     IF  X-CHAIN-INDEX IS GREATER THAN +15
027600         MOVE SS08WS-CURSOR      TO DG01-ALT-TRANID-L
027700         GO TO 1100-CONTINUE.
027800*
027900     IF  DG01-SELECT-A (X-CHAIN-INDEX)
028000                                 IS EQUAL TO DFHBMASK
028100         SET X-CHAIN-INDEX       UP BY +1
028200         GO TO 1090-CURSOR-LOOP
028300     ELSE
028400         MOVE SS08WS-CURSOR      TO DG01-SELECT-L
028500                                    (X-CHAIN-INDEX).
028600*
028700 1100-CONTINUE.
028800*
028900     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
029000     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
029100     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
029200     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
029300     MOVE SS08WS-LINE-24         TO DG01-PF-KEYS.
029400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
029500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
029600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
029700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
029800*
029900     MOVE DFHBMASK               TO DG01-CURRENT-PAGE-A.
030000*
030100****************************************************************
030200*    SEND THE MAP                                              *
030300****************************************************************
030400*
030500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030700                                 THRU MB60PD-SMWE-EXIT.
030800*
030900****************************************************************
031000*    RETURN TO CICS                                            *
031100****************************************************************
031200*
031300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031400     PERFORM MB70PD-RETURN-TRANS-ID
031500                                 THRU MB70PD-RTI-EXIT.
031600/
031700 2000-RECEIVE-SCREEN SECTION.
031800*
031900     IF  MBCA-EIBAID-CLEAR
032000         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
032100         PERFORM 8300-TEMP-STORAGE-DELETE
032200                                 THRU 8399-TSD-EXIT
032300         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
032400         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
032500                                 THRU MB70PD-OLH-EXIT.
032600*
032700****************************************************************
032800*    THIS SECTION RECEIVES THE 01 SCREEN                       *
032900****************************************************************
033000*
033100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
033200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
033300*
033400*****************************************************
033500*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
033600*****************************************************
033700*
033800     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
033900     PERFORM 8100-TEMP-STORAGE-GETMAIN
034000                                 THRU 8199-TSG-EXIT.
034100*
034200***********************************************
034300*    READ THE TEMP STORAGE RECORD             *
034400***********************************************
034500*
034600     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
034700     PERFORM 8200-TEMP-STORAGE-READ
034800                                 THRU 8299-TSR-EXIT.
034900*
035000***********************************************
035100*    DELETE THE TEMP STORAGE RECORD           *
035200***********************************************
035300*
035400     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
035500     PERFORM 8300-TEMP-STORAGE-DELETE
035600                                 THRU 8399-TSD-EXIT.
035700*
035800****************************************************************
035900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
036000****************************************************************
036100*
036200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
036300     PERFORM MB60PD-NEW-TRANS-ROUTINE
036400                                 THRU MB60PD-NTR-EXIT.
036500*
036600 2005-EDIT-SELECT.
036700*
036800****************************************************************
036900*    EDIT SELECT FIELD                                         *
037000****************************************************************
037100*
037200     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
037300*
037400 2090-CHECK-ERROR.
037500*
037600     IF  SS08WS-ERROR-SW-NO
037700         GO TO 2400-CHECK-SELECT.
037800*
037900 2300-SEND-MAP.
038000*
038100***********************************************
038200*    WRITE THE TEMP STORAGE RECORD            *
038300***********************************************
038400*
038500     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
038600     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
038700*
038800****************************************************************
038900*    SEND THE MAP                                              *
039000****************************************************************
039100*
039200     PERFORM MB60PD-INIT-STD-MAP-LINES
039300                                 THRU MB60PD-ISML-EXIT.
039400*
039500     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
039600     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
039700     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
039800     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
039900     MOVE SS08WS-LINE-24         TO DG01-PF-KEYS.
040000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
040100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
040200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
040300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
040400*
040500     MOVE DFHBMASK               TO DG01-CURRENT-PAGE-A.
040600*
040700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
040800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
040900                                 THRU MB60PD-SMDO-EXIT.
041000*
041100****************************************************************
041200*    RETURN TO CICS                                            *
041300****************************************************************
041400*
041500     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
041600     PERFORM MB70PD-RETURN-TRANS-ID
041700                                 THRU MB70PD-RTI-EXIT.
041800/
041900 2400-CHECK-SELECT.
042000*
042100     IF  WS-SELECT-YES
042200         SET X-TS-MBDG-INDEX     TO X-CHAIN-INDEX
042300         MOVE TS-MBDG-CHAIN-NBR (X-TS-MBDG-INDEX)
042400                                 TO MBCA-S-CHAIN
042500         MOVE MBIOWS-MMSR-DIRECT-KEY-CODE
042600                                 TO MBCA-KEY-CODE
042700         SET MBCA-INITIAL-SCREEN-NBR
042800                                 TO TRUE
042900         EVALUATE TRUE
043000           WHEN DG01-VALID-INQUIRY (X-CHAIN-INDEX)
043100               MOVE '..QG'       TO SS08WS-WORK-TRANS-ID
043200           WHEN DG01-VALID-STATUS-MAINT (X-CHAIN-INDEX)
043300               MOVE '..9G'       TO SS08WS-WORK-TRANS-ID
043400           WHEN OTHER
043500               MOVE '..MG'       TO SS08WS-WORK-TRANS-ID
043600         END-EVALUATE
043700         GO TO 2690-PF-KEY-BYPASS.
043800/
043900 2600-SETUP-COMMAREA.
044000*
044100****************************************************************
044200*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
044300****************************************************************
044400*
044500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
044600*
044700     IF  SS08WS-VALID-PF3
044800     OR  SS08WS-EIBAID-VALID-PF3
044900         MOVE 51                 TO MBCA-SCREEN-NBR
045000         MOVE MBCA-MBDG-FIRST-CHAIN-NBR
045100                                 TO MBCA-MBDG-FWD-CHAIN-NBR
045200         MOVE ' '                TO MBCA-MBDG-RETURN-FLAG
045300         GO TO 2690-PF-KEY-BYPASS.
045400*
045500     IF  SS08WS-VALID-PF4
045600     OR  SS08WS-EIBAID-VALID-PF4
045700         MOVE 51                 TO MBCA-SCREEN-NBR
045800         IF (TS-MBDG-CHAIN-NBR (1) IS GREATER THAN ZEROES
045900         AND TS-MBDG-CHAIN-NBR (15) IS EQUAL TO ZEROES)
046000         OR (MBCA-MBDG-FWD-CHAIN-NBR IS EQUAL TO ZEROES)
046100             MOVE ' '            TO MBCA-MBDG-RETURN-FLAG
046200             MOVE ZEROES         TO MBCA-MBDG-FWD-CHAIN-NBR
046300             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
046400             PERFORM 8400-WRITE-QUEUE
046500                                 THRU 8499-WQ-EXIT
046600             GO TO 2690-PF-KEY-BYPASS
046700         ELSE
046800             MOVE 'E'            TO MBCA-MBDG-RETURN-FLAG
046900             GO TO 2690-PF-KEY-BYPASS.
047000*
047100     IF  SS08WS-VALID-PF5
047200     OR  SS08WS-EIBAID-VALID-PF5
047300         MOVE 51                 TO MBCA-SCREEN-NBR
047400         IF (TS-MBDG-CHAIN-NBR (1) IS GREATER THAN ZEROES
047500         AND TS-MBDG-CHAIN-NBR (15) IS EQUAL TO ZEROES)
047600         OR (MBCA-MBDG-FWD-CHAIN-NBR IS EQUAL TO ZEROES)
047700             MOVE ' '            TO MBCA-MBDG-RETURN-FLAG
047800             MOVE ZEROES         TO MBCA-MBDG-FWD-CHAIN-NBR
047900             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
048000             PERFORM 8400-WRITE-QUEUE
048100                                 THRU 8499-WQ-EXIT
048200             GO TO 2690-PF-KEY-BYPASS
048300         ELSE
048400             MOVE 'F'            TO MBCA-MBDG-RETURN-FLAG
048500             ADD 1               TO MBCA-MBDG-FWD-CHAIN-NBR
048600             GO TO 2690-PF-KEY-BYPASS.
048700*
048800     IF  SS08WS-VALID-PF6
048900     OR  SS08WS-EIBAID-VALID-PF6
049000         MOVE 51                 TO MBCA-SCREEN-NBR
049100         IF  MBCA-MBDG-BACK-CHAIN-NBR IS EQUAL
049200                                 TO MBCA-MBDG-FIRST-CHAIN-NBR
049300             MOVE ' '            TO MBCA-MBDG-RETURN-FLAG
049400             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
049500             PERFORM 8400-WRITE-QUEUE
049600                                 THRU 8499-WQ-EXIT
049700             GO TO 2690-PF-KEY-BYPASS
049800         ELSE
049900             MOVE MBCA-MBDG-BACK-CHAIN-NBR
050000                                 TO MBCA-MBDG-FWD-CHAIN-NBR
050100             MOVE 'B'            TO MBCA-MBDG-RETURN-FLAG
050200             GO TO 2690-PF-KEY-BYPASS.
050300*
050400     IF  SS08WS-VALID-PF-KEY
050500     OR  SS08WS-EIBAID-VALID-PF-KEY
050600     OR  TS-MBDG-CHAIN-NBR (15) IS EQUAL TO ZEROES
050700     OR  MBCA-MBDG-FWD-CHAIN-NBR IS EQUAL TO ZEROES
050800         SET MBCA-INITIAL-SCREEN-NBR
050900                                 TO TRUE
051000         MOVE MBIOWS-MMSR-KEY-CODE
051100                                 TO MBCA-KEY-CODE
051200         MOVE ' '                TO MBCA-MBDG-RETURN-FLAG
051300         GO TO 2690-PF-KEY-BYPASS.
051400*
051500     MOVE 51                     TO MBCA-SCREEN-NBR.
051600     ADD 1                       TO MBCA-MBDG-FWD-CHAIN-NBR.
051700     MOVE ' '                    TO MBCA-MBDG-RETURN-FLAG.
051800*
051900 2690-PF-KEY-BYPASS.
052000*
052100     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
052200     PERFORM MB70PD-XCTL-TO-MBOXCTL
052300                                 THRU MB70PD-XTM-EXIT.
052400/
052500 8000-PERFORMED-ROUTINES-SECT SECTION.
052600*
052700 8100-TEMP-STORAGE-GETMAIN.
052800*
052900     EXEC CICS GETMAIN
053000               FLENGTH (LENGTH  OF TS-MBDG-RECORD)
053100               SET     (ADDRESS OF TS-MBDG-RECORD)
053200          END-EXEC.
053300*
053400 8199-TSG-EXIT.
053500     EXIT.
053600*
053700 8200-TEMP-STORAGE-READ.
053800*
053900     EXEC CICS READQ TS
054000               QUEUE   (TS-QUEUE-NAME)
054100               INTO    (TS-MBDG-RECORD)
054200               LENGTH  (LENGTH  OF TS-MBDG-RECORD)
054300               ITEM    (1)
054400          END-EXEC.
054500*
054600 8299-TSR-EXIT.
054700     EXIT.
054800*
054900 8300-TEMP-STORAGE-DELETE.
055000*
055100     EXEC CICS IGNORE CONDITION
055200               QIDERR
055300          END-EXEC.
055400*
055500     EXEC CICS DELETEQ TS
055600               QUEUE  (TS-QUEUE-NAME)
055700          END-EXEC.
055800*
055900 8399-TSD-EXIT.
056000     EXIT.
056100*
056200 8400-WRITE-QUEUE.
056300*
056400     EXEC CICS WRITEQ TS
056500               QUEUE   (TS-QUEUE-NAME)
056600               FROM    (TS-MBDG-RECORD)
056700               LENGTH  (LENGTH  OF TS-MBDG-RECORD)
056800          END-EXEC.
056900*
057000 8499-WQ-EXIT.
057100     EXIT.
057200*
057300 8600-EDIT-SELECT.
057400*
057500     SET X-CHAIN-INDEX           TO +1.
057600*
057700 8600-EDIT-LOOP.
057800*
057900     IF  DG01-SELECT-L (X-CHAIN-INDEX) IS GREATER THAN ZERO
058000         IF  DG01-VALID-SELECT (X-CHAIN-INDEX)
058100             MOVE DFHBMASF       TO DG01-SELECT-A
058200                                    (X-CHAIN-INDEX)
058300             MOVE DFHBMDAS       TO DG01-SELECT-LP-A
058400                                    (X-CHAIN-INDEX)
058500                                    DG01-SELECT-RP-A
058600                                    (X-CHAIN-INDEX)
058700             IF  DG01-VALID-INQUIRY-MAINT (X-CHAIN-INDEX)
058800                 MOVE 'Y'        TO WS-SELECT-SW
058900                 GO TO 8699-ES-EXIT
059000             ELSE
059100                 NEXT SENTENCE
059200         ELSE
059300             SET SS08WS-ERROR-SW-YES TO TRUE
059400             MOVE SS08WS-CURSOR  TO DG01-SELECT-L
059500                                    (X-CHAIN-INDEX)
059600             MOVE DFHBMUBF       TO DG01-SELECT-A
059700                                    (X-CHAIN-INDEX)
059800             MOVE DFHBMASB       TO DG01-SELECT-LP-A
059900                                    (X-CHAIN-INDEX)
060000                                    DG01-SELECT-RP-A
060100                                    (X-CHAIN-INDEX)
060200             GO TO 8699-ES-EXIT.
060300*
060400     IF  X-CHAIN-INDEX IS LESS THAN +15
060500         SET X-CHAIN-INDEX       UP BY +1
060600         GO TO 8600-EDIT-LOOP.
060700*
060800 8699-ES-EXIT.
060900     EXIT.
061000*
061100 8800-BUILD-SCREEN.
061200*
061300     SET X-CHAIN-INDEX           TO +1.
061400*
061500 8800-BUILD-LOOP.
061600*
061700     SET X-TS-MBDG-INDEX         TO X-CHAIN-INDEX.
061800*
061900     IF  TS-MBDG-CHAIN-NBR (X-TS-MBDG-INDEX)
062000                                 IS GREATER THAN ZEROES
062100         MOVE TS-MBDG-CHAIN-NBR (X-TS-MBDG-INDEX)
062200                                 TO WS-CHAIN-NBR
062300         MOVE TS-MBDG-CHAIN-NAME (X-TS-MBDG-INDEX)
062400                                 TO WS-CHAIN-NAME
062500         MOVE TS-MBDG-STATUS-CODE (X-TS-MBDG-INDEX)
062600                                 TO WS-STATUS-CODE
062700         MOVE WS-DETAIL-LINE     TO DG01-DIRECTORY-LINE
062800                                    (X-CHAIN-INDEX)
062900     ELSE
063000         MOVE DFHBMASK           TO DG01-SELECT-A
063100                                    (X-CHAIN-INDEX)
063200         MOVE DFHBMDAS           TO DG01-DIRECTORY-LINE-A
063300                                    (X-CHAIN-INDEX)
063400                                    DG01-SELECT-LP-A
063500                                    (X-CHAIN-INDEX)
063600                                    DG01-SELECT-RP-A
063700                                    (X-CHAIN-INDEX).
063800*
063900     IF  X-CHAIN-INDEX IS LESS THAN +15
064000         SET X-CHAIN-INDEX       UP BY +1
064100         GO TO 8800-BUILD-LOOP
064200     ELSE
064300         MOVE MBCA-MBDG-FWD-CHAIN-NBR
064400                                 TO WS-FWD-CHAIN-NBR.
064500*
064600 8899-BS-EXIT.
064700     EXIT.
064800*
064900 8900-LAST-SCREEN.
065000*
065100****************************************************************
065200*    START BROWSE THE STORE RELATIONSHIP FILE                  *
065300****************************************************************
065400*
065500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
065600     MOVE MBCA-MBDG-ORG          TO MBIOWS-MMSR-ORG.
065700     MOVE 999999999              TO MBIOWS-MMSR-CHAIN.
065800     SET MBIORO-STARTBR-GTE      TO TRUE.
065900     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
066000*
066100****************************************************************
066200*    READNEXT THE STORE RELATIONSHIP FILE                      *
066300****************************************************************
066400*
066500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
066600     SET MBIORO-READ-SEQ         TO TRUE.
066700     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
066800*
066900****************************************************************
067000*    READPREV THE STORE RELATIONSHIP FILE                      *
067100****************************************************************
067200*
067300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
067400     SET MBIORO-READ-PREV        TO TRUE.
067500     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
067600*
067700     SET X-CHAIN-INDEX           TO +15.
067800     MOVE 'N'                    TO WS-BYPASS-SW.
067900*
068000 8900-READ-RELATIONSHIP-FILE.
068100*
068200****************************************************************
068300*    READPREV THE STORE RELATIONSHIP FILE                      *
068400****************************************************************
068500*
068600     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
068700     SET MBIORO-READ-PREV        TO TRUE.
068800     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
068900*
069000 8900-BUILD-LOOP.
069100*
069200     IF (MMSR-ORG    IS LESS THAN MBCA-MBDG-ORG)
069300     OR (MMSR-ORG    IS EQUAL TO MBCA-MBDG-ORG
069400     AND MMSR-CHAIN    IS LESS THAN MBCA-MBDG-FIRST-CHAIN-NBR)
069500         GO TO 8900-END-BROWSE.
069600*
069700     IF  MMSR-CHAIN    IS EQUAL TO MBCA-MBDG-FIRST-CHAIN-NBR
069800     AND X-CHAIN-INDEX IS GREATER THAN +1
069900         MOVE ' '                TO MBCA-MBDG-RETURN-FLAG
070000         MOVE MBCA-MBDG-FIRST-CHAIN-NBR
070100                                 TO MBCA-MBDG-FWD-CHAIN-NBR
070200         MOVE 'Y'                TO WS-BYPASS-SW
070300         GO TO 8900-END-BROWSE.
070400*
070500     PERFORM 9500-BUILD-SCREEN-LINE
070600                                 THRU 9599-BSL-EXIT.
070700*
070800     IF  X-CHAIN-INDEX IS GREATER THAN +1
070900         SET X-CHAIN-INDEX       DOWN BY +1
071000         GO TO 8900-READ-RELATIONSHIP-FILE
071100     ELSE
071200         MOVE MMSR-CHAIN         TO MBCA-MBDG-BACK-CHAIN-NBR.
071300*
071400 8900-END-BROWSE.
071500*
071600****************************************************************
071700*    END BROWSE THE STORE RELATIONSHIP FILE                    *
071800****************************************************************
071900*
072000     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
072100     SET MBIORO-ENDBR            TO TRUE.
072200     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
072300*
072400     IF  WS-BYPASS-YES
072500         GO TO 8999-LS-EXIT.
072600*
072700     MOVE ZEROES                 TO MBCA-MBDG-FWD-CHAIN-NBR
072800                                    WS-FWD-CHAIN-NBR.
072900*
073000 8999-LS-EXIT.
073100     EXIT.
073200*
073300 9000-BACK-SCREEN.
073400*
073500****************************************************************
073600*    START BROWSE THE STORE RELATIONSHIP FILE                  *
073700****************************************************************
073800*
073900     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
074000     MOVE MBCA-MBDG-ORG          TO MBIOWS-MMSR-ORG.
074100     MOVE MBCA-MBDG-FWD-CHAIN-NBR
074200                                 TO MBIOWS-MMSR-CHAIN.
074300     SET MBIORO-STARTBR-GTE      TO TRUE.
074400     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
074500*
074600****************************************************************
074700*    READNEXT THE STORE RELATIONSHIP FILE                      *
074800****************************************************************
074900*
075000     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
075100     SET MBIORO-READ-SEQ         TO TRUE.
075200     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
075300*
075400****************************************************************
075500*    READPREV THE STORE RELATIONSHIP FILE                      *
075600****************************************************************
075700*
075800     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
075900     SET MBIORO-READ-PREV        TO TRUE.
076000     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
076100*
076200     SET X-CHAIN-INDEX           TO +15.
076300     MOVE 'N'                    TO WS-BYPASS-SW.
076400*
076500 9000-READ-RELATIONSHIP-FILE.
076600*
076700****************************************************************
076800*    READPREV THE STORE RELATIONSHIP FILE                      *
076900****************************************************************
077000*
077100     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
077200     SET MBIORO-READ-PREV        TO TRUE.
077300     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
077400*
077500 9000-BUILD-LOOP.
077600*
077700     IF  X-CHAIN-INDEX IS GREATER THAN +1
077800     AND MMSR-CHAIN    IS EQUAL TO MBCA-MBDG-FIRST-CHAIN-NBR
077900         MOVE ' '                TO MBCA-MBDG-RETURN-FLAG
078000         MOVE MBCA-MBDG-FIRST-CHAIN-NBR
078100                                 TO MBCA-MBDG-FWD-CHAIN-NBR
078200         MOVE 'Y'                TO WS-BYPASS-SW
078300         GO TO 9000-END-BROWSE.
078400*
078500     IF  MMSR-CHAIN    IS EQUAL TO MBCA-MBDG-BACK-CHAIN-NBR
078600     AND X-CHAIN-INDEX IS EQUAL TO +15
078700         GO TO 9000-READ-RELATIONSHIP-FILE.
078800*
078900     PERFORM 9500-BUILD-SCREEN-LINE
079000                                 THRU 9599-BSL-EXIT.
079100*
079200     IF  X-CHAIN-INDEX IS EQUAL TO +15
079300         MOVE MMSR-CHAIN         TO MBCA-MBDG-FWD-CHAIN-NBR
079400                                    WS-FWD-CHAIN-NBR.
079500*
079600     IF  X-CHAIN-INDEX IS GREATER THAN +1
079700         SET X-CHAIN-INDEX       DOWN BY +1
079800         GO TO 9000-READ-RELATIONSHIP-FILE
079900     ELSE
080000         MOVE MMSR-CHAIN         TO MBCA-MBDG-BACK-CHAIN-NBR.
080100*
080200 9000-END-BROWSE.
080300*
080400****************************************************************
080500*    END BROWSE THE STORE RELATIONSHIP FILE                    *
080600****************************************************************
080700*
080800     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
080900     SET MBIORO-ENDBR            TO TRUE.
081000     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
081100*
081200 9099-BS-EXIT.
081300     EXIT.
081400*
081500 9100-SET-ATTRIBUTE.
081600*
081700     SET X-TS-MBDG-INDEX         TO X-CHAIN-INDEX.
081800*
081900     IF  TS-MBDG-STATUS-INCOMPLETE (X-TS-MBDG-INDEX)
082000         MOVE DFHBMASK           TO DG01-SELECT-A
082100                                    (X-CHAIN-INDEX)
082200         MOVE DFHBMDAS           TO DG01-SELECT-LP-A
082300                                    (X-CHAIN-INDEX)
082400                                    DG01-SELECT-RP-A
082500                                    (X-CHAIN-INDEX).
082600*
082700 9199-SA-EXIT.
082800     EXIT.
082900*
083000 9400-READ-AHEAD.
083100*
083200****************************************************************
083300*    READNEXT THE STORE RELATIONSHIP FILE                      *
083400****************************************************************
083500*
083600     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
083700     SET MBIORO-READ-SEQ         TO TRUE.
083800     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
083900*
084000     IF  MMSR-ORG    IS GREATER THAN MBCA-MBDG-ORG
084100         MOVE ZEROES             TO WS-FWD-CHAIN-NBR
084200                                    MBCA-MBDG-FWD-CHAIN-NBR
084300         GO TO 9499-RA-EXIT.
084400*
084500     MOVE MMSR-CHAIN             TO WS-FWD-CHAIN-NBR.
084600*
084700 9499-RA-EXIT.
084800     EXIT.
084900*
085000 9500-BUILD-SCREEN-LINE.
085100*
085200     SET X-TS-MBDG-INDEX         TO X-CHAIN-INDEX.
085300*
085400     MOVE MMSR-CHAIN             TO WS-CHAIN-NBR
085500                                    TS-MBDG-CHAIN-NBR
085600                                    (X-TS-MBDG-INDEX).
085700*
085800     MOVE MMSR-NA-LINE (1)       TO WS-CHAIN-NAME
085900                                    TS-MBDG-CHAIN-NAME
086000                                    (X-TS-MBDG-INDEX).
086100*
086200     MOVE MMSR-REC-STATUS        TO WS-STATUS-CODE
086300                                    TS-MBDG-STATUS-CODE
086400                                    (X-TS-MBDG-INDEX).
086500*
086600     MOVE WS-DETAIL-LINE         TO DG01-DIRECTORY-LINE
086700                                    (X-CHAIN-INDEX).
086800*
086900 9599-BSL-EXIT.
087000     EXIT.
087100/         JULIAN TO GREGORIAN DATE ROUTINE
087200     COPY SS08PD.
087300/
087400     COPY SS26PD.
087500/
087600     COPY SS27PD.
087700/         LINE 24 PF KEYS ROUTINE
087800     COPY SS15PD.
087900/         STORE RELATIONSHIP RECORD 0 ACCESS ROUTINES
088000     COPY MMSRAO.
088100/         ON-LINE MAP ROUTINES
088200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDG01 '
088300                           MBMAPXXI BY MBDG01I
088400                           MBMAPXXO BY MBDG01O.
088500/         ON-LINE PROCEDURES
088600     COPY MB70PD.
088700/
088800     COPY SMFTPXO.
