000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODI01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODI01 - ON-LINE INCOME FACTORS DIRECTORY               *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDI01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMIF   (INCOME FACTORS MASTER FILE)        *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100*
004200     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004300     03  WS-FWD-TABLE-NBR    PIC  9(09)      VALUE ZEROES.
004400*
004500     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004600         88  WS-SELECT-NO                    VALUE 'N'.
004700         88  WS-SELECT-YES                   VALUE 'Y'.
004800*
004900     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
005000         88  WS-BYPASS-NO                    VALUE 'N'.
005100         88  WS-BYPASS-YES                   VALUE 'Y'.
005200*
005300     03  TS-QUEUE-NAME.
005400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDI'.
005600*
005700 01  WS-DETAIL-LINE.
005800     03  WS-TABLE-NBR        PIC  9(09).
005900     03  FILLER              PIC  X(07)      VALUE SPACES.
006000     03  WS-INC-TABLE-NAME   PIC  X(30).
006100     03  FILLER              PIC  X(07)      VALUE SPACES.
006200     03  WS-STATUS-CODE      PIC  9(01).
006300*
006400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006500/
006600 LINKAGE SECTION.
006700 01  DFHCOMMAREA.
006800     COPY MB60WS.
006900/         MERCHANT INCOME FACTORS DIRECTORY SCREEN MAP 01.
007000     COPY MBDI01.
007100/         MERCHANT INCOME FACTORS DIRECTORY SCREEN 01 REDEFINE.
007200     COPY MBDI01R.
007300/         INCOME FACTORS RECORD LAYOUT
007400     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
007500/         INCOME FACTORS DIRECTORY TEMPORARY STORAGE
007600     COPY MBDITS.
007700/
007800 PROCEDURE DIVISION.
007900 0000-HOUSEKEEPING SECTION.
008000 0100-INIT.
008100*
008200     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008300     SET MBCA-EIBAID-ENTER       TO TRUE.
008400*
008500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008700                                 THRU MB70PD-OLH-EXIT.
008800*
008900     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
009000     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
009100*
009200     IF  MBCA-RECEIVE-SCREEN
009300         GO TO 2000-RECEIVE-SCREEN.
009400*
009500 1000-SEND-SCREEN SECTION.
009600*
009700****************************************************************
009800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009900****************************************************************
010000*
010100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010200     PERFORM MB60PD-GETMAIN-FOR-MAP
010300                                 THRU MB60PD-GFM-EXIT.
010400*
010500     MOVE MBCA-MBDI-ORG          TO DI01-ORG.
010600     MOVE MBCA-MBDI-INC-TABLE-NAME
010700                                 TO DI01-INC-NAME.
010800     MOVE MBCA-MBDI-FIRST-TABLE-NBR
010900                                 TO DI01-BEG-TABLE-NBR.
011000     MOVE 01                     TO MBCA-SCREEN-NBR.
011100*
011200****************************************************************
011300*    INITIALIZE THE STANDARD MAP LINES                         *
011400****************************************************************
011500*
011600     PERFORM MB60PD-INIT-STD-MAP-LINES
011700                                 THRU MB60PD-ISML-EXIT.
011800*
011900****************************************************************
012000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
012100****************************************************************
012200*
012300     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM 8100-TEMP-STORAGE-GETMAIN
012500                                 THRU 8199-TSG-EXIT.
012600*
012700******************************************************************
012800*    IF NO TS HANDLE QUEUE ERROR AND GO TO 1010-CHECK RETURN-FLAG*
012900******************************************************************
013000*
013100     EXEC CICS HANDLE CONDITION
013200               QIDERR (1010-CHECK-RETURN-FLAG)
013300          END-EXEC.
013400*
013500***********************************************
013600*    READ THE TEMP STORAGE RECORD             *
013700***********************************************
013800*
013900     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM 8200-TEMP-STORAGE-READ
014100                                 THRU 8299-TSR-EXIT.
014200*
014300***********************************************
014400*    DELETE THE TEMP STORAGE RECORD           *
014500***********************************************
014600*
014700     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM 8300-TEMP-STORAGE-DELETE
014900                                 THRU 8399-TSD-EXIT.
015000*
015100     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
015200*
015300     GO TO 1080-CONTINUE.
015400*
015500 1010-CHECK-RETURN-FLAG.
015600*
015700******************************************************************
015800*    TO ENTER THIS CODE NO TS QUEUE WAS AVAILABLE                *
015900******************************************************************
016000*
016100     IF  MBCA-MBDI-RETURN-BOTTOM
016200         PERFORM 8900-LAST-SCREEN
016300                                 THRU 8999-LS-EXIT
016400         IF  WS-BYPASS-YES
016500             GO TO 1015-READ-INC-FILE
016600         ELSE
016700             GO TO 1080-CONTINUE
016800     ELSE
016900         IF  MBCA-MBDI-RETURN-BWD
017000             PERFORM 9000-BACK-SCREEN
017100                                 THRU 9099-BS-EXIT
017200             IF  WS-BYPASS-YES
017300                 GO TO 1015-READ-INC-FILE
017400             ELSE
017500                 GO TO 1080-CONTINUE.
017600*
017700 1015-READ-INC-FILE.
017800*
017900****************************************************************
018000*    START BROWSE THE INCOME FILE                              *
018100****************************************************************
018200*
018300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018400     MOVE MBCA-MBDI-ORG          TO MBIOWS-MMIF-ORG.
018500     MOVE MBCA-MBDI-FWD-TABLE-NBR
018600                                 TO MBIOWS-MMIF-TABLE.
018700     SET MBIORO-STARTBR-GTE      TO TRUE.
018800     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
018900*
019000     SET X-DI01-MAP-SEL          TO +1.
019100*
019200 1020-READ-LOOP.
019300*
019400****************************************************************
019500*    READNEXT THE INCOME FACTORS FILE                          *
019600****************************************************************
019700*
019800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019900     SET MBIORO-READ-SEQ         TO TRUE.
020000     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
020100*
020200     IF  MMIF-ORG IS GREATER THAN MBCA-MBDI-ORG
020300         GO TO 1020-END-BROWSE.
020400*
020500     PERFORM 9500-BUILD-SCREEN-LINE
020600                                 THRU 9599-BSL-EXIT.
020700*
020800     IF  X-DI01-MAP-SEL IS EQUAL TO +1
020900         MOVE MMIF-TABLE-NBR     TO MBCA-MBDI-BACK-TABLE-NBR.
021000*
021100     IF  X-DI01-MAP-SEL IS LESS THAN +15
021200         SET X-DI01-MAP-SEL      UP BY +1
021300         GO TO 1020-READ-LOOP
021400     ELSE
021500         MOVE MMIF-TABLE-NBR     TO MBCA-MBDI-FWD-TABLE-NBR
021600         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
021700         SET X-DI01-MAP-SEL      UP BY +1.
021800*
021900 1020-END-BROWSE.
022000*
022100****************************************************************
022200*    END BROWSE THE INCOME FILE                                *
022300****************************************************************
022400*
022500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
022600     SET MBIORO-ENDBR            TO TRUE.
022700     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
022800*
022900 1060-SET-ATTRIBUTE.
023000*
023100     IF  X-DI01-MAP-SEL IS EQUAL TO +1
023200         IF  MBCA-MBDI-RETURN-NORMAL
023300             SET MBCA-INITIAL-SCREEN-NBR
023400                                 TO TRUE
023500             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
023600             PERFORM MB70PD-XCTL-TO-MBOXCTL
023700                                 THRU MB70PD-XTM-EXIT
023800         ELSE
023900             MOVE MBCA-MBDI-BACK-TABLE-NBR
024000                                 TO MBCA-MBDI-FWD-TABLE-NBR
024100             GO TO 1015-READ-INC-FILE.
024200*
024300     IF  X-DI01-MAP-SEL IS LESS THAN +16
024400         SET X-MBDITS-INDEX      TO X-DI01-MAP-SEL
024500         MOVE ZEROES             TO MBCA-MBDI-FWD-TABLE-NBR
024600                                    WS-FWD-TABLE-NBR
024700                                    MBDITS-TABLE-NBR
024800                                    (X-MBDITS-INDEX)
024900                                    MBDITS-STATUS-CODE
025000                                    (X-MBDITS-INDEX)
025100         MOVE SPACES             TO MBDITS-INC-NAME
025200                                    (X-MBDITS-INDEX)
025300         MOVE DFHBMASK           TO DI01-SELECT-A
025400                                    (X-DI01-MAP-SEL)
025500         MOVE DFHBMDAS           TO DI01-TABLE-NBR-A
025600                                    (X-DI01-MAP-SEL)
025700                                    DI01-NAME-A
025800                                    (X-DI01-MAP-SEL)
025900                                    DI01-STAT-A
026000                                    (X-DI01-MAP-SEL)
026100                                    DI01-SELECT-LP-A
026200                                    (X-DI01-MAP-SEL)
026300                                    DI01-SELECT-RP-A
026400                                    (X-DI01-MAP-SEL)
026500         SET X-DI01-MAP-SEL      UP BY +1
026600         GO TO 1060-SET-ATTRIBUTE.
026700*
026800 1080-CONTINUE.
026900*
027000     IF  MBCA-MBDI-BACK-TABLE-NBR IS NOT EQUAL
027100                                 TO MBCA-MBDI-FIRST-TABLE-NBR
027200         MOVE DFHBMASB           TO DI01-FWD-BACK-IND-A (1).
027300*
027400     IF  WS-FWD-TABLE-NBR IS NOT EQUAL TO ZEROES
027500         MOVE DFHBMASB           TO DI01-FWD-BACK-IND-A (15).
027600*
027700****************************************************************
027800*    WRITE THE TEMP STORAGE RECORD                             *
027900****************************************************************
028000*
028100     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
028200     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
028300*
028400     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
028500         VARYING X-DI01-MAP-SEL FROM +1 BY +1
028600         UNTIL   X-DI01-MAP-SEL IS GREATER THAN +15.
028700*
028800     SET X-DI01-MAP-SEL          TO +1.
028900*
029000 1090-CURSOR-LOOP.
029100*
029200******************************************************************
029300*    THIS PARAGRAPH WILL POSITION THE CURSOR. IT WILL LOOP THRU  *
029400*    MAP UNTILL IT FINDS A SELECT FIELD THAT IS NOT EQUAL TO     *
029500*    DFHBMASK, IT WILL THEN POSITION CURSOR THERE IF ALL FIELDS  *
029600*    ARE EQUAL TO MASK IT WILL POSITION CURSOR ON ALT TRANID     *
029700******************************************************************
029800*
029900     IF  X-DI01-MAP-SEL IS GREATER THAN +15
030000         MOVE SS08WS-CURSOR      TO DI01-ALT-TRANID-L
030100         GO TO 1100-CONTINUE.
030200*
030300     IF  DI01-SELECT-A (X-DI01-MAP-SEL)
030400                                 IS EQUAL TO DFHBMASK
030500         SET X-DI01-MAP-SEL      UP BY +1
030600         GO TO 1090-CURSOR-LOOP
030700     ELSE
030800         MOVE SS08WS-CURSOR      TO DI01-SELECT-L
030900                                    (X-DI01-MAP-SEL).
031000*
031100 1100-CONTINUE.
031200*
031300     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
031400     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
031500     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
031600     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
031700     MOVE SS08WS-LINE-24         TO DI01-PF-KEYS.
031800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
031900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
032000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
032100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
032200*
032300     MOVE DFHBMASK               TO DI01-CURRENT-PAGE-A.
032400*
032500****************************************************************
032600*    SEND THE MAP                                              *
032700****************************************************************
032800*
032900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033100                                 THRU MB60PD-SMWE-EXIT.
033200*
033300****************************************************************
033400*    RETURN TO CICS                                            *
033500****************************************************************
033600*
033700     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB70PD-RETURN-TRANS-ID
033900                                 THRU MB70PD-RTI-EXIT.
034000/
034100 2000-RECEIVE-SCREEN SECTION.
034200*
034300******************************************************************
034400*    IF THE CLEAR KEY IS DEPRESSED DELETE TS QUEUE AND TRANSFER  *
034500*    CONTROL.                                                    *
034600******************************************************************
034700*
034800     IF  MBCA-EIBAID-CLEAR
034900         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
035000         PERFORM 8300-TEMP-STORAGE-DELETE
035100                                 THRU 8399-TSD-EXIT
035200         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
035300         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
035400                                 THRU MB70PD-OLH-EXIT.
035500*
035600****************************************************************
035700*    THIS SECTION RECEIVES THE 01 SCREEN                       *
035800****************************************************************
035900*
036000     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036100     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
036200*
036300*****************************************************
036400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
036500*****************************************************
036600*
036700     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
036800     PERFORM 8100-TEMP-STORAGE-GETMAIN
036900                                 THRU 8199-TSG-EXIT.
037000*
037100***********************************************
037200*    READ THE TEMP STORAGE RECORD             *
037300***********************************************
037400*
037500     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
037600     PERFORM 8200-TEMP-STORAGE-READ
037700                                 THRU 8299-TSR-EXIT.
037800*
037900***********************************************
038000*    DELETE THE TEMP STORAGE RECORD           *
038100***********************************************
038200*
038300     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
038400     PERFORM 8300-TEMP-STORAGE-DELETE
038500                                 THRU 8399-TSD-EXIT.
038600*
038700****************************************************************
038800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
038900****************************************************************
039000*
039100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039200     PERFORM MB60PD-NEW-TRANS-ROUTINE
039300                                 THRU MB60PD-NTR-EXIT.
039400*
039500 2005-EDIT-SELECT.
039600*
039700****************************************************************
039800*    EDIT SELECT FIELD                                         *
039900****************************************************************
040000*
040100     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
040200*
040300 2090-CHECK-ERROR.
040400*
040500     IF  SS08WS-ERROR-SW-NO
040600         GO TO 2400-CHECK-SELECT.
040700*
040800 2300-SEND-MAP.
040900*
041000***********************************************
041100*    WRITE THE TEMP STORAGE RECORD            *
041200***********************************************
041300*
041400     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
041500     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
041600*
041700****************************************************************
041800*    SEND THE MAP                                              *
041900****************************************************************
042000*
042100     PERFORM MB60PD-INIT-STD-MAP-LINES
042200                                 THRU MB60PD-ISML-EXIT.
042300*
042400     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
042500     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
042600     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
042700     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
042800     MOVE SS08WS-LINE-24         TO DI01-PF-KEYS.
042900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
043000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
043100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
043200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
043300*
043400     MOVE DFHBMASK               TO DI01-CURRENT-PAGE-A.
043500*
043600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
043700     PERFORM MB60PD-SEND-MAP-DATA-ONLY
043800                                 THRU MB60PD-SMDO-EXIT.
043900*
044000****************************************************************
044100*    RETURN TO CICS                                            *
044200****************************************************************
044300*
044400     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
044500     PERFORM MB70PD-RETURN-TRANS-ID
044600                                 THRU MB70PD-RTI-EXIT.
044700/
044800 2400-CHECK-SELECT.
044900*
045000******************************************************************
045100*    IF DATA WAS ENTERED ON THE SCREEN WS-SELET-SW WILL BE SET TO*
045200*    YES IN PARAGRAPH 8600-EDIT-LOOP .                           *
045300******************************************************************
045400*
045500     IF  WS-SELECT-YES
045600         SET X-MBDITS-INDEX      TO X-DI01-MAP-SEL
045700         MOVE MBDITS-TABLE-NBR (X-MBDITS-INDEX)
045800                                 TO MBCA-TABLE
045900         MOVE MBIOWS-MMIF-DIRECT-KEY-CODE
046000                                 TO MBCA-KEY-CODE
046100         SET MBCA-INITIAL-SCREEN-NBR
046200                                 TO TRUE
046300         EVALUATE TRUE
046400           WHEN DI01-VALID-INQUIRY (X-DI01-MAP-SEL)
046500               MOVE '..QI'       TO SS08WS-WORK-TRANS-ID
046600           WHEN DI01-VALID-STATUS-MAINT (X-DI01-MAP-SEL)
046700               MOVE '..9I'       TO SS08WS-WORK-TRANS-ID
046800           WHEN OTHER
046900               MOVE '..MI'       TO SS08WS-WORK-TRANS-ID
047000         END-EVALUATE
047100         GO TO 2690-PF-KEY-BYPASS.
047200/
047300 2600-SETUP-COMMAREA.
047400*
047500****************************************************************
047600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047700****************************************************************
047800*
047900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
048000*
048100     IF  SS08WS-VALID-PF3
048200     OR  SS08WS-EIBAID-VALID-PF3
048300         MOVE 51                 TO MBCA-SCREEN-NBR
048400         MOVE MBCA-MBDI-FIRST-TABLE-NBR
048500                                 TO MBCA-MBDI-FWD-TABLE-NBR
048600         SET MBCA-MBDI-RETURN-NORMAL
048700                                 TO TRUE
048800         GO TO 2690-PF-KEY-BYPASS.
048900*
049000     IF  SS08WS-VALID-PF4
049100     OR  SS08WS-EIBAID-VALID-PF4
049200         MOVE 51                 TO MBCA-SCREEN-NBR
049300         IF (MBDITS-TABLE-NBR (1) IS GREATER THAN ZEROES
049400         AND MBDITS-TABLE-NBR (15) IS EQUAL TO ZEROES)
049500         OR (MBCA-MBDI-FWD-TABLE-NBR IS EQUAL TO ZEROES)
049600             SET MBCA-MBDI-RETURN-NORMAL
049700                                 TO TRUE
049800             MOVE ZEROES         TO MBCA-MBDI-FWD-TABLE-NBR
049900             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
050000             PERFORM 8400-WRITE-QUEUE
050100                                 THRU 8499-WQ-EXIT
050200             GO TO 2690-PF-KEY-BYPASS
050300         ELSE
050400             SET MBCA-MBDI-RETURN-BOTTOM
050500                                 TO TRUE
050600             GO TO 2690-PF-KEY-BYPASS.
050700*
050800     IF  SS08WS-VALID-PF5
050900     OR  SS08WS-EIBAID-VALID-PF5
051000         MOVE 51                 TO MBCA-SCREEN-NBR
051100         IF (MBDITS-TABLE-NBR (1) IS GREATER THAN ZEROES
051200         AND MBDITS-TABLE-NBR (15) IS EQUAL TO ZEROES)
051300         OR (MBCA-MBDI-FWD-TABLE-NBR IS EQUAL TO ZEROES)
051400             SET MBCA-MBDI-RETURN-NORMAL
051500                                 TO TRUE
051600             MOVE ZEROES         TO MBCA-MBDI-FWD-TABLE-NBR
051700             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
051800             PERFORM 8400-WRITE-QUEUE
051900                                 THRU 8499-WQ-EXIT
052000             GO TO 2690-PF-KEY-BYPASS
052100         ELSE
052200             SET MBCA-MBDI-RETURN-FWD
052300                                 TO TRUE
052400             ADD 1               TO MBCA-MBDI-FWD-TABLE-NBR
052500             GO TO 2690-PF-KEY-BYPASS.
052600*
052700     IF  SS08WS-VALID-PF6
052800     OR  SS08WS-EIBAID-VALID-PF6
052900         MOVE 51                 TO MBCA-SCREEN-NBR
053000         IF  MBCA-MBDI-BACK-TABLE-NBR IS EQUAL
053100                                 TO MBCA-MBDI-FIRST-TABLE-NBR
053200             SET MBCA-MBDI-RETURN-NORMAL
053300                                 TO TRUE
053400             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
053500             PERFORM 8400-WRITE-QUEUE
053600                                 THRU 8499-WQ-EXIT
053700             GO TO 2690-PF-KEY-BYPASS
053800         ELSE
053900             MOVE MBCA-MBDI-BACK-TABLE-NBR
054000                                 TO MBCA-MBDI-FWD-TABLE-NBR
054100             SET MBCA-MBDI-RETURN-BWD
054200                                 TO TRUE
054300             GO TO 2690-PF-KEY-BYPASS.
054400*
054500     IF  SS08WS-VALID-PF-KEY
054600     OR  SS08WS-EIBAID-VALID-PF-KEY
054700     OR  MBDITS-TABLE-NBR (15) IS EQUAL TO ZEROES
054800     OR  MBCA-MBDI-FWD-TABLE-NBR IS EQUAL TO ZEROES
054900         SET MBCA-INITIAL-SCREEN-NBR
055000                                 TO TRUE
055100         MOVE MBIOWS-MMIF-KEY-CODE
055200                                 TO MBCA-KEY-CODE
055300         SET MBCA-MBDI-RETURN-NORMAL
055400                                 TO TRUE
055500         GO TO 2690-PF-KEY-BYPASS.
055600*
055700     MOVE 51                     TO MBCA-SCREEN-NBR.
055800     ADD 1                       TO MBCA-MBDI-FWD-TABLE-NBR.
055900     SET MBCA-MBDI-RETURN-NORMAL TO TRUE.
056000*
056100 2690-PF-KEY-BYPASS.
056200*
056300     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
056400     PERFORM MB70PD-XCTL-TO-MBOXCTL
056500                                 THRU MB70PD-XTM-EXIT.
056600/
056700 8000-PERFORMED-ROUTINES-SECT SECTION.
056800*
056900 8100-TEMP-STORAGE-GETMAIN.
057000*
057100     EXEC CICS GETMAIN
057200               FLENGTH (LENGTH  OF MBDITS-RECORD)
057300               SET     (ADDRESS OF MBDITS-RECORD)
057400          END-EXEC.
057500*
057600 8199-TSG-EXIT.
057700     EXIT.
057800*
057900 8200-TEMP-STORAGE-READ.
058000*
058100     EXEC CICS READQ TS
058200               QUEUE   (TS-QUEUE-NAME)
058300               INTO    (MBDITS-RECORD)
058400               LENGTH  (LENGTH  OF MBDITS-RECORD)
058500               ITEM    (1)
058600          END-EXEC.
058700*
058800 8299-TSR-EXIT.
058900     EXIT.
059000*
059100 8300-TEMP-STORAGE-DELETE.
059200*
059300     EXEC CICS IGNORE CONDITION
059400               QIDERR
059500          END-EXEC.
059600*
059700     EXEC CICS DELETEQ TS
059800               QUEUE  (TS-QUEUE-NAME)
059900          END-EXEC.
060000*
060100 8399-TSD-EXIT.
060200     EXIT.
060300*
060400 8400-WRITE-QUEUE.
060500*
060600     EXEC CICS WRITEQ TS
060700               QUEUE   (TS-QUEUE-NAME)
060800               FROM    (MBDITS-RECORD)
060900               LENGTH  (LENGTH  OF MBDITS-RECORD)
061000          END-EXEC.
061100*
061200 8499-WQ-EXIT.
061300     EXIT.
061400*
061500 8600-EDIT-SELECT.
061600*
061700     SET X-DI01-MAP-SEL          TO +1.
061800*
061900 8600-EDIT-LOOP.
062000*
062100******************************************************************
062200*    THIS CODE LOOPS THRU THE SCREEN UNTIL FIRST SELECTION       *
062300*    IS ENCOUNTERED                                              *
062400******************************************************************
062500*
062600     IF  DI01-SELECT-L (X-DI01-MAP-SEL) IS GREATER THAN ZERO
062700         IF  DI01-VALID-SELECT (X-DI01-MAP-SEL)
062800             MOVE DFHBMASF       TO DI01-SELECT-A
062900                                    (X-DI01-MAP-SEL)
063000             MOVE DFHBMDAS       TO DI01-SELECT-LP-A
063100                                    (X-DI01-MAP-SEL)
063200                                    DI01-SELECT-RP-A
063300                                    (X-DI01-MAP-SEL)
063400             IF  DI01-VALID-INQUIRY-MAINT (X-DI01-MAP-SEL)
063500                 SET WS-SELECT-YES
063600                                 TO TRUE
063700                 GO TO 8699-ES-EXIT
063800             ELSE
063900                 NEXT SENTENCE
064000         ELSE
064100             SET SS08WS-ERROR-SW-YES TO TRUE
064200             MOVE SS08WS-CURSOR  TO DI01-SELECT-L
064300                                    (X-DI01-MAP-SEL)
064400             MOVE DFHBMUBF       TO DI01-SELECT-A
064500                                    (X-DI01-MAP-SEL)
064600             MOVE DFHBMASB       TO DI01-SELECT-LP-A
064700                                    (X-DI01-MAP-SEL)
064800                                    DI01-SELECT-RP-A
064900                                    (X-DI01-MAP-SEL)
065000             GO TO 8699-ES-EXIT.
065100*
065200     IF  X-DI01-MAP-SEL IS LESS THAN +15
065300         SET X-DI01-MAP-SEL      UP BY +1
065400         GO TO 8600-EDIT-LOOP.
065500*
065600 8699-ES-EXIT.
065700     EXIT.
065800*
065900 8800-BUILD-SCREEN.
066000*
066100     SET X-DI01-MAP-SEL          TO +1.
066200*
066300 8800-BUILD-LOOP.
066400*
066500     SET X-MBDITS-INDEX          TO X-DI01-MAP-SEL.
066600*
066700     IF  MBDITS-TABLE-NBR (X-MBDITS-INDEX)
066800                                 IS GREATER THAN ZEROES
066900         MOVE MBDITS-TABLE-NBR (X-MBDITS-INDEX)
067000                                 TO WS-TABLE-NBR
067100         MOVE MBDITS-INC-NAME (X-MBDITS-INDEX)
067200                                 TO WS-INC-TABLE-NAME
067300         MOVE MBDITS-STATUS-CODE (X-MBDITS-INDEX)
067400                                 TO WS-STATUS-CODE
067500         MOVE WS-TABLE-NBR       TO DI01-TABLE-NBR
067600                                    (X-DI01-MAP-SEL)
067700         MOVE WS-INC-TABLE-NAME  TO DI01-NAME
067800                                    (X-DI01-MAP-SEL)
067900         MOVE WS-STATUS-CODE     TO DI01-STAT
068000                                    (X-DI01-MAP-SEL)
068100     ELSE
068200         MOVE DFHBMASK           TO DI01-SELECT-A
068300                                    (X-DI01-MAP-SEL)
068400         MOVE DFHBMDAS           TO DI01-TABLE-NBR-A
068500                                    (X-DI01-MAP-SEL)
068600                                    DI01-NAME-A
068700                                    (X-DI01-MAP-SEL)
068800                                    DI01-STAT-A
068900                                    (X-DI01-MAP-SEL)
069000                                    DI01-SELECT-LP-A
069100                                    (X-DI01-MAP-SEL)
069200                                    DI01-SELECT-RP-A
069300                                    (X-DI01-MAP-SEL).
069400*
069500     IF  X-DI01-MAP-SEL IS LESS THAN +15
069600         SET X-DI01-MAP-SEL      UP BY +1
069700         GO TO 8800-BUILD-LOOP
069800     ELSE
069900         MOVE MBCA-MBDI-FWD-TABLE-NBR
070000                                 TO WS-FWD-TABLE-NBR.
070100*
070200 8899-BS-EXIT.
070300     EXIT.
070400*
070500 8900-LAST-SCREEN.
070600*
070700****************************************************************
070800* THIS PARA WILL BUILD THE SCREEN FROM THE BOTTOM UP, MOVE     *
070900* 999999999 TO THE TABLE NUMBER TO GET THE LAST TABLE ON FILE  *
071000* WE THEN SET THE SCREEN INDEX TO 15 AND DO READ PREVIOUS      *
071100* MOVING DATA TO SCREEN AND SETTING INDEX DOWN BY 1 UNTIL INDEX*
071200* IS EQUAL TO 1 OR MMIF-ORG-NBR IS LESS THEN COMMAREA ORG NBR  *
071300* OR TABLE NBR IS LESS THAN FIRST TABLE NUMBER.                *
071400****************************************************************
071500*
071600*
071700****************************************************************
071800*    START BROWSE THE INCOME FACTORS FILE                      *
071900****************************************************************
072000*
072100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
072200     MOVE MBCA-MBDI-ORG          TO MBIOWS-MMIF-ORG.
072300     MOVE 999999999              TO MBIOWS-MMIF-TABLE.
072400     SET MBIORO-STARTBR-GTE      TO TRUE.
072500     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
072600*
072700****************************************************************
072800*    READNEXT THE INCOME FACTORS FILE                          *
072900****************************************************************
073000*
073100     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
073200     SET MBIORO-READ-SEQ         TO TRUE.
073300     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
073400*
073500****************************************************************
073600*    READPREV THE INCOME FILE                                  *
073700****************************************************************
073800*
073900     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
074000     SET MBIORO-READ-PREV        TO TRUE.
074100     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
074200*
074300     SET X-DI01-MAP-SEL          TO +15.
074400     SET WS-BYPASS-NO            TO TRUE.
074500*
074600 8900-READ-INC-FILE.
074700*
074800****************************************************************
074900*    READPREV THE INCOME FILE                                  *
075000****************************************************************
075100*
075200     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
075300     SET MBIORO-READ-PREV        TO TRUE.
075400     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
075500*
075600 8900-BUILD-LOOP.
075700*
075800     IF  MMIF-ORG IS LESS THAN MBCA-MBDI-ORG
075900     OR  MMIF-TABLE-NBR IS LESS THAN MBCA-MBDI-FIRST-TABLE-NBR
076000         GO TO 8900-END-BROWSE.
076100*
076200     IF  MMIF-TABLE-NBR IS EQUAL TO MBCA-MBDI-FIRST-TABLE-NBR
076300     AND X-DI01-MAP-SEL IS GREATER THAN +1
076400         SET MBCA-MBDI-RETURN-NORMAL
076500                                 TO TRUE
076600         MOVE MBCA-MBDI-FIRST-TABLE-NBR
076700                                 TO MBCA-MBDI-FWD-TABLE-NBR
076800         SET WS-BYPASS-YES       TO TRUE
076900         GO TO 8900-END-BROWSE.
077000*
077100     PERFORM 9500-BUILD-SCREEN-LINE
077200                                 THRU 9599-BSL-EXIT.
077300*
077400     IF  X-DI01-MAP-SEL IS GREATER THAN +1
077500         SET X-DI01-MAP-SEL      DOWN BY +1
077600         GO TO 8900-READ-INC-FILE
077700     ELSE
077800         MOVE MMIF-TABLE-NBR     TO MBCA-MBDI-BACK-TABLE-NBR.
077900*
078000 8900-END-BROWSE.
078100*
078200****************************************************************
078300*    END BROWSE THE INCOME FACTORS FILE                        *
078400****************************************************************
078500*
078600     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
078700     SET MBIORO-ENDBR            TO TRUE.
078800     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
078900*
079000     IF  WS-BYPASS-YES
079100         GO TO 8999-LS-EXIT.
079200*
079300     MOVE ZEROES                 TO MBCA-MBDI-FWD-TABLE-NBR
079400                                    WS-FWD-TABLE-NBR.
079500*
079600 8999-LS-EXIT.
079700     EXIT.
079800*
079900 9000-BACK-SCREEN.
080000*
080100****************************************************************
080200*  THIS PARAGRAPH WILL BUILD THE SCREEN BASED ON THE FWD TABLE *
080300*  NBR IT WILL DO READ PREVIOUS FROM THIS NUMBER BACK.         *
080400****************************************************************
080500*
080600*
080700****************************************************************
080800*    START BROWSE THE INCOME FACTORS FILE                      *
080900****************************************************************
081000*
081100     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
081200     MOVE MBCA-MBDI-ORG          TO MBIOWS-MMIF-ORG.
081300     MOVE MBCA-MBDI-FWD-TABLE-NBR
081400                                 TO MBIOWS-MMIF-TABLE.
081500     SET MBIORO-STARTBR-GTE      TO TRUE.
081600     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
081700*
081800****************************************************************
081900*    READNEXT THE INCOME FACTORS FILE                          *
082000****************************************************************
082100*
082200     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
082300     SET MBIORO-READ-SEQ         TO TRUE.
082400     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
082500*
082600****************************************************************
082700*    READPREV THE INCOME FACTORS FILE                          *
082800****************************************************************
082900*
083000     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
083100     SET MBIORO-READ-PREV        TO TRUE.
083200     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
083300*
083400     SET X-DI01-MAP-SEL          TO +15.
083500     SET WS-BYPASS-NO            TO TRUE.
083600*
083700 9000-READ-INC-FILE.
083800*
083900****************************************************************
084000*    READPREV THE INCOME FACTORS FILE                          *
084100****************************************************************
084200*
084300     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
084400     SET MBIORO-READ-PREV        TO TRUE.
084500     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
084600*
084700 9000-BUILD-LOOP.
084800*
084900     IF  X-DI01-MAP-SEL IS GREATER THAN +1
085000     AND MMIF-TABLE-NBR IS EQUAL TO MBCA-MBDI-FIRST-TABLE-NBR
085100         SET MBCA-MBDI-RETURN-NORMAL
085200                                 TO TRUE
085300         MOVE MBCA-MBDI-FIRST-TABLE-NBR
085400                                 TO MBCA-MBDI-FWD-TABLE-NBR
085500         SET WS-BYPASS-YES       TO TRUE
085600         GO TO 9000-END-BROWSE.
085700*
085800     IF  MMIF-TABLE-NBR IS EQUAL TO MBCA-MBDI-BACK-TABLE-NBR
085900     AND X-DI01-MAP-SEL IS EQUAL TO +15
086000         GO TO 9000-READ-INC-FILE.
086100*
086200     PERFORM 9500-BUILD-SCREEN-LINE
086300                                 THRU 9599-BSL-EXIT.
086400*
086500     IF  X-DI01-MAP-SEL IS EQUAL TO +15
086600         MOVE MMIF-TABLE-NBR     TO MBCA-MBDI-FWD-TABLE-NBR
086700                                    WS-FWD-TABLE-NBR.
086800*
086900     IF  X-DI01-MAP-SEL IS GREATER THAN +1
087000         SET X-DI01-MAP-SEL      DOWN BY +1
087100         GO TO 9000-READ-INC-FILE
087200     ELSE
087300         MOVE MMIF-TABLE-NBR     TO MBCA-MBDI-BACK-TABLE-NBR.
087400*
087500 9000-END-BROWSE.
087600*
087700****************************************************************
087800*    END BROWSE THE INCOME FACTORS FILE                        *
087900****************************************************************
088000*
088100     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
088200     SET MBIORO-ENDBR            TO TRUE.
088300     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
088400*
088500 9099-BS-EXIT.
088600     EXIT.
088700*
088800 9100-SET-ATTRIBUTE.
088900*
089000******************************************************************
089100*    THIS PARAGRAPH WILL LOOP THRU MAP CHECKING STATUS OF TEMP   *
089200*    STORAGE RECORD IF IT IS NOT ACTIVE IT WILL DARKEN PARENS AND*
089300*    MASK SELECT FIELD.                                          *
089400******************************************************************
089500*
089600     SET X-MBDITS-INDEX          TO X-DI01-MAP-SEL.
089700*
089800     IF  MBDITS-STATUS-INCOMPLETE   (X-MBDITS-INDEX)
089900         MOVE DFHBMASK           TO DI01-SELECT-A
090000                                    (X-DI01-MAP-SEL)
090100         MOVE DFHBMDAS           TO DI01-SELECT-LP-A
090200                                    (X-DI01-MAP-SEL)
090300                                    DI01-SELECT-RP-A
090400                                    (X-DI01-MAP-SEL).
090500*
090600 9199-SA-EXIT.
090700     EXIT.
090800*
090900 9400-READ-AHEAD.
091000*
091100****************************************************************
091200*    READNEXT THE INCOME FACTORS FILE                          *
091300****************************************************************
091400*
091500     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
091600     SET MBIORO-READ-SEQ         TO TRUE.
091700     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
091800*
091900     IF  MMIF-ORG IS GREATER THAN MBCA-MBDI-ORG
092000         MOVE ZEROES             TO WS-FWD-TABLE-NBR
092100                                    MBCA-MBDI-FWD-TABLE-NBR
092200         GO TO 9499-RA-EXIT.
092300*
092400     MOVE MMIF-TABLE-NBR         TO WS-FWD-TABLE-NBR.
092500*
092600 9499-RA-EXIT.
092700     EXIT.
092800*
092900 9500-BUILD-SCREEN-LINE.
093000*
093100     SET X-MBDITS-INDEX          TO X-DI01-MAP-SEL.
093200*
093300     MOVE MMIF-TABLE-NBR         TO WS-TABLE-NBR
093400                                    MBDITS-TABLE-NBR
093500                                    (X-MBDITS-INDEX).
093600*
093700     MOVE MMIF-REC-STATUS        TO WS-STATUS-CODE
093800                                    MBDITS-STATUS-CODE
093900                                    (X-MBDITS-INDEX).
094000*
094100     MOVE MMIF-TABLE-NAME        TO WS-INC-TABLE-NAME
094200                                    MBDITS-INC-NAME
094300                                    (X-MBDITS-INDEX).
094400*
094500     MOVE WS-TABLE-NBR           TO DI01-TABLE-NBR
094600                                    (X-DI01-MAP-SEL).
094700*
094800     MOVE WS-STATUS-CODE         TO DI01-STAT
094900                                    (X-DI01-MAP-SEL).
095000*
095100     MOVE WS-INC-TABLE-NAME      TO DI01-NAME
095200                                    (X-DI01-MAP-SEL).
095300*
095400 9599-BSL-EXIT.
095500     EXIT.
095600*
095700/         JULIAN TO GREGORIAN DATE ROUTINE
095800     COPY SS08PD.
095900/
096000     COPY SS26PD.
096100/
096200     COPY SS27PD.
096300*
096400/         LINE 24 PF KEYS ROUTINE
096500     COPY SS15PD.
096600*
096700/         MERCHANT INCOME FACTORS ACCESS ROUTINES.
096800     COPY MMIFAO.
096900*
097000/         ON-LINE MAP ROUTINES
097100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDI01 '
097200                           MBMAPXXI BY MBDI01I
097300                           MBMAPXXO BY MBDI01O.
097400*
097500/         ON-LINE PROCEDURES
097600     COPY MB70PD.
097700/
097800     COPY SMFTPXO.
