000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODQ00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODQ00 - EXTRACT AND MAINTENANCE DIRECTORY              *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDQ                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDQ00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMEX   (EXAM MASTER FILE)                  *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/         STANDARD ERROR MESSAGES
004100     COPY MBEMWS.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004400 01  TS-QUEUE-NAME.
004500     03  TS-QN-TERMID        PIC  X(04)      VALUE SPACES.
004600     03  TS-QN-TRANID        PIC  X(04)      VALUE 'MBDQ'.
004700/
004800 LINKAGE SECTION.
004900 01  DFHCOMMAREA.
005000     COPY MB60WS.
005100/         EXAM DIRECTORY SCREEN 00 MAP DSECT
005200     COPY MBDQ00.
005300/         EXAM DIRECTORY SCREEN 00 MAP REDEFINITION
005400     COPY MBDQ00R.
005500/         ORG CONTROL RECORD LAYOUT
005600     COPY MMOCRL.
005700/         EXAM MASTER RECORD LAYOUT
005800     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
005900/
006000 PROCEDURE DIVISION.
006100 0000-HOUSEKEEPING SECTION.
006200 0100-INIT.
006300*
006400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006600                                 THRU MB70PD-OLH-EXIT.
006700*
006800     IF  MBCA-RECEIVE-SCREEN
006900         GO TO 2000-RECEIVE-SCREEN.
007000*
007100 1000-SEND-SCREEN SECTION.
007200*
007300     EXEC CICS IGNORE CONDITION
007400               QIDERR
007500          END-EXEC.
007600*
007700     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
007800     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
007900*
008000     EXEC CICS DELETEQ TS
008100               QUEUE  (TS-QUEUE-NAME)
008200          END-EXEC.
008300*
008400****************************************************************
008500*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008600****************************************************************
008700*
008800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008900     PERFORM MB60PD-GETMAIN-FOR-MAP
009000                                 THRU MB60PD-GFM-EXIT.
009100*
009200*****************************************************************
009300*    CHECK KEY CODES                                            *
009400* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009500* 2. IF MMEX KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
009600*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
009700*    ORG AND REQUEST INTO THE MAP. IF AN ERROR OCCURS IN THE    *
009800*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
009900*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
010000*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
010100*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND REQUEST INTO THE *
010200*    MAP AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.         *
010300* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
010400*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP.         *
010500*    SEE IF THE MBCA-REQUEST-NBR FIELD IS GREATER THAN ZERO. IF SO
010600*    PLUG INTO MAP.                                             *
010700*    HANDLE IF THEY WERE NON-DIRECT.                            *
010800*****************************************************************
010900*
011000     IF  MBCA-INITIAL-KEY-CODE
011100         GO TO 1100-BUILD-SCREEN.
011200*
011300     IF  MBCA-MMEX-KEY-CODE
011400     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011500         MOVE MBCA-MERCHANT-ORG  TO DQ00-ORG
011600         MOVE DFHBMUNF           TO DQ00-ORG-A
011700         IF  MBCA-REQUEST-NBR IS GREATER THAN ZEROES
011800             MOVE MBCA-REQUEST-NBR
011900                                 TO DQ00-REQUEST
012000             MOVE DFHBMUNF       TO DQ00-REQUEST-A
012100             IF  MBCA-DIRECT-TRANSFER-CODE
012200             AND MBCA-INITIAL-SCREEN-NBR
012300                 MOVE 00         TO MBCA-SCREEN-NBR
012400                 GO TO 2120-READ-ORG
012500             ELSE
012600                 GO TO 1100-BUILD-SCREEN.
012700*
012800     IF  MBCA-VALID-KEY-CODES
012900     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013000         MOVE MBCA-MERCHANT-ORG  TO DQ00-ORG
013100         MOVE DFHBMUNF           TO DQ00-ORG-A
013200         IF  MBCA-REQUEST-NBR IS GREATER THAN ZEROES
013300             MOVE MBCA-REQUEST-NBR
013400                                 TO DQ00-REQUEST
013500             MOVE DFHBMUNF       TO DQ00-REQUEST-A.
013600*
013700 1100-BUILD-SCREEN.
013800*
013900****************************************************************
014000*    INITIALIZE THE STANDARD MAP LINES                         *
014100****************************************************************
014200*
014300     MOVE SS08WS-CURSOR          TO DQ00-ORG-L.
014400     MOVE 00                     TO MBCA-SCREEN-NBR.
014500     PERFORM MB60PD-INIT-STD-MAP-LINES
014600                                 THRU MB60PD-ISML-EXIT.
014700*
014800     IF  MBCA-MERCHANT-ORG IS NUMERIC
014900         MOVE MBCA-MERCHANT-ORG  TO DQ00-ORG
015000         MOVE DFHBMUNF           TO DQ00-ORG-A.
015100*
015200     IF  MBCA-REQUEST-NBR IS NUMERIC
015300     AND MBCA-REQUEST-NBR IS GREATER THAN ZEROES
015400         MOVE MBCA-REQUEST-NBR   TO DQ00-REQUEST
015500         MOVE DFHBMUNF           TO DQ00-REQUEST-A.
015600*
015700     MOVE DFHBMASK               TO DQ00-CURRENT-PAGE-A.
015800*
015900****************************************************************
016000*    SEND THE MAP                                              *
016100****************************************************************
016200*
016300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
016400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
016500                                 THRU MB60PD-SMWE-EXIT.
016600*
016700****************************************************************
016800*    RETURN TO CICS                                            *
016900****************************************************************
017000*
017100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017200     PERFORM MB70PD-RETURN-TRANS-ID
017300                                 THRU MB70PD-RTI-EXIT.
017400/
017500 2000-RECEIVE-SCREEN SECTION.
017600*
017700****************************************************************
017800*    THIS SECTION RECEIVES THE 00 SCREEN                       *
017900****************************************************************
018000*
018100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
018200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018300*
018400****************************************************************
018500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
018600****************************************************************
018700*
018800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
018900     PERFORM MB60PD-NEW-TRANS-ROUTINE
019000                                 THRU MB60PD-NTR-EXIT.
019100*
019200 2100-EDIT-SCREEN.
019300*
019400     SET SS08WS-ERROR-SW-NO      TO TRUE.
019500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
019600*
019700     IF  (DQ00-ORG-L IS LESS THAN 1
019800     AND  DQ00-REQUEST-L IS LESS THAN 1)
019900     AND (SS08WS-VALID-PF-KEY
020000     OR   SS08WS-EIBAID-VALID-PF-KEY)
020100         SET MBCA-INITIAL-SCREEN-NBR
020200                                 TO TRUE
020300         GO TO 2690-TRANSFER-XCTL.
020400*
020500 2110-EDIT-ORG.
020600*
020700     MOVE DFHBMUNF               TO DQ00-ORG-A.
020800     MOVE DFHBMASK               TO DQ00-ORG-LP-A
020900                                    DQ00-ORG-RP-A.
021000*
021100     IF  DQ00-ORG-L IS EQUAL TO ZERO
021200     OR  DQ00-ORG IS NOT NUMERIC
021300         MOVE MBEMWS-INVALID-ORG TO DQ00-ERR-MESSAGE
021400         GO TO 2130-ORG-ERROR.
021500*
021600     IF  DQ00-ORG IS LESS THAN MBCA-ORG-LOW
021700     OR  DQ00-ORG IS GREATER THAN MBCA-ORG-HIGH
021800         MOVE MBEMWS-INVALID-ORG TO DQ00-ERR-MESSAGE
021900         GO TO 2130-ORG-ERROR.
022000*
022100 2120-READ-ORG.
022200*
022300     IF  DQ00-ORG IS EQUAL TO ZEROS
022400         MOVE DQ00-ORG           TO MBCA-MERCHANT-ORG
022500                                    MBCA-MBDQ-ORG
022600         GO TO 2140-EDIT-REQUEST.
022700*
022800****************************************************************
022900*    READ THE ORGANIZATION FILE                                *
023000****************************************************************
023100*
023200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
023300     MOVE DQ00-ORG               TO MBIOWS-MMOC-ORG.
023400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
023500     SET MBIORO-READ-RANDOM      TO TRUE.
023600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
023700*
023800     IF  SS08WS-RC-FC-VALID-RTN-CODE
023900         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
024000                                    MBCA-MBDQ-ORG
024100         IF  MMOC-ADD-PENDING
024200             MOVE MBEMWS-ADD-PENDING
024300                                 TO DQ00-ERR-MESSAGE
024400         ELSE
024500             IF  MMOC-REC-INCOMPLETE
024600             OR  MMOC-REC-PURGED
024700                 MOVE MBEMWS-NOT-ACTIVE
024800                                 TO DQ00-ERR-MESSAGE
024900             ELSE
025000                 GO TO 2140-EDIT-REQUEST
025100     ELSE
025200         MOVE MBEMWS-NOT-ON-FILE TO DQ00-ERR-MESSAGE.
025300*
025400 2130-ORG-ERROR.
025500*
025600     MOVE DFHBMNBF               TO DQ00-ORG-A.
025700     MOVE DFHBMASB               TO DQ00-ORG-LP-A
025800                                    DQ00-ORG-RP-A.
025900     MOVE SS08WS-CURSOR          TO DQ00-ORG-L.
026000     SET SS08WS-ERROR-SW-YES     TO TRUE.
026100*
026200 2140-EDIT-REQUEST.
026300*
026400     MOVE DFHBMUNF               TO DQ00-REQUEST-A.
026500     MOVE DFHBMASK               TO DQ00-REQUEST-LP-A
026600                                    DQ00-REQUEST-RP-A.
026700*
026800     IF  DQ00-REQUEST-L IS EQUAL TO ZERO
026900         MOVE ZEROES             TO DQ00-REQUEST
027000     ELSE
027100         IF  DQ00-REQUEST IS NOT NUMERIC
027200             MOVE MBEMWS-INVALID-REQUEST-NBR
027300                                 TO DQ00-ERR-MESSAGE
027400             GO TO 2150-REQUEST-ERROR.
027500*
027600     IF  SS08WS-ERROR-SW-YES
027700         GO TO 2290-CHECK-ERROR.
027800*
027900****************************************************************
028000*    START BROWSE THE EXAM FILE                                *
028100****************************************************************
028200*
028300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
028400     MOVE DQ00-ORG               TO MBIOWS-MMEX-ORG.
028500     MOVE DQ00-REQUEST           TO MBIOWS-MMEX-REQUEST-NBR.
028600     SET MBIORO-STARTBR-GTE      TO TRUE.
028700     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
028800*
028900 2145-READ-NEXT-MMEX.
029000*
029100****************************************************************
029200*    READNEXT THE EXAM FILE                                    *
029300****************************************************************
029400*
029500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
029600     SET MBIORO-READ-SEQ         TO TRUE.
029700     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
029800*
029900     IF  MMEX-HEADER
030000         GO TO 2145-READ-NEXT-MMEX.
030100*
030200****************************************************************
030300*    END BROWSE THE EXAM FILE                                  *
030400****************************************************************
030500*
030600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
030700     SET MBIORO-ENDBR            TO TRUE.
030800     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
030900*
031000     IF  MMEX-ORG IS GREATER THAN MBCA-MBDQ-ORG
031100         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
031200                                 TO DQ00-ERR-MESSAGE
031300         MOVE DFHBMNBF           TO DQ00-ORG-A
031400         MOVE DFHBMASB           TO DQ00-ORG-LP-A
031500                                    DQ00-ORG-RP-A
031600         MOVE SS08WS-CURSOR      TO DQ00-ORG-L
031700     ELSE
031800         MOVE MMEX-REQUEST-NBR   TO MBCA-MBDQ-FIRST-REQUEST
031900                                    MBCA-MBDQ-FWD-REQUEST
032000                                    MBCA-REQUEST-NBR
032100         MOVE SPACES             TO MBCA-MBDQ-RETURN-FLAG
032200         MOVE ZEROES             TO MBCA-MBDQ-BACK-REQUEST
032300         GO TO 2290-CHECK-ERROR.
032400*
032500 2150-REQUEST-ERROR.
032600*
032700     MOVE DFHBMNBF               TO DQ00-REQUEST-A.
032800     MOVE DFHBMASB               TO DQ00-REQUEST-LP-A
032900                                    DQ00-REQUEST-RP-A.
033000     MOVE SS08WS-CURSOR          TO DQ00-REQUEST-L
033100     SET SS08WS-ERROR-SW-YES     TO TRUE.
033200*
033300 2290-CHECK-ERROR.
033400*
033500     IF  SS08WS-ERROR-SW-NO
033600         GO TO 2600-SETUP-COMMAREA
033700     ELSE
033800         IF  SS08WS-VALID-PF-KEY
033900         OR  SS08WS-EIBAID-VALID-PF-KEY
034000             SET MBCA-INITIAL-SCREEN-NBR
034100                                 TO TRUE
034200             GO TO 2690-TRANSFER-XCTL.
034300*
034400 2300-SEND-MAP.
034500*
034600****************************************************************
034700*    SEND THE MAP                                              *
034800****************************************************************
034900*
035000     PERFORM MB60PD-INIT-STD-MAP-LINES
035100                                 THRU MB60PD-ISML-EXIT.
035200*
035300     MOVE DFHBMASK               TO DQ00-CURRENT-PAGE-A.
035400*
035500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
035600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
035700                                 THRU MB60PD-SMDO-EXIT.
035800*
035900****************************************************************
036000*    RETURN TO CICS                                            *
036100****************************************************************
036200*
036300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM MB70PD-RETURN-TRANS-ID
036500                                 THRU MB70PD-RTI-EXIT.
036600/
036700 2600-SETUP-COMMAREA.
036800*
036900****************************************************************
037000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
037100****************************************************************
037200*
037300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
037400*
037500     MOVE MBIOWS-MMEX-KEY-CODE   TO MBCA-KEY-CODE.
037600*
037700     PERFORM MB60PD-EDIT-PAGE-NBR
037800                                 THRU MB60PD-EPN-EXIT.
037900*
038000     IF  SS08WS-VALID-PF-KEY
038100     OR  SS08WS-EIBAID-VALID-PF-KEY
038200         SET MBCA-INITIAL-SCREEN-NBR
038300                                 TO TRUE.
038400*
038500 2690-TRANSFER-XCTL.
038600*
038700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
038800     PERFORM MB70PD-XCTL-TO-MBOXCTL
038900                                 THRU MB70PD-XTM-EXIT.
039000/
039100 9000-PERFORMED-ROUTINES-SECT SECTION.
039200*         JULIAN TO GREGORIAN DATE ROUTINE
039300     COPY SS08PD.
039400/
039500     COPY SS26PD.
039600/
039700     COPY SS27PD.
039800/         LINE 24 PF KEYS ROUTINE
039900     COPY SS15PD.
040000/         ORG RECORD ACCESS ROUTINES
040100     COPY MMOCAO.
040200/         EXAM RECORD ACCESS ROUTINES
040300     COPY MMEXAO.
040400/         ON-LINE MAP ROUTINES
040500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDQ00 '
040600                           MBMAPXXI BY MBDQ00I
040700                           MBMAPXXO BY MBDQ00O.
040800/         ON-LINE PROCEDURES
040900     COPY MB70PD.
041000/
041100     COPY SMFTPXO.
