000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODR01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODR01 - ON-LINE RATE TABLE DIRECTORY                   *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDR                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDR01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMRT   (RATE TABLE MASTER FILE)            *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-TABLE-NBR    PIC  9(09)      VALUE ZEROES.
004300     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-SELECT-NO                    VALUE 'N'.
004500         88  WS-SELECT-YES                   VALUE 'Y'.
004600     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-BYPASS-NO                    VALUE 'N'.
004800         88  WS-BYPASS-YES                   VALUE 'Y'.
004900     03  TS-QUEUE-NAME.
005000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDR'.
005200*
005300 01  WS-DETAIL-LINE.
005400     03  WS-TABLE-NBR        PIC  9(09).
005500     03  FILLER              PIC  X(03)      VALUE SPACES.
005600     03  WS-TABLE-TYPE       PIC  X(01).
005700     03  FILLER              PIC  X(04)      VALUE SPACES.
005800     03  WS-METHOD           PIC  X(03).
005900     03  FILLER              PIC  X(03)      VALUE SPACES.
006000     03  WS-TITLE            PIC  X(30).
006100     03  FILLER              PIC  X(04)      VALUE SPACES.
006200     03  WS-LEVEL            PIC  X(01).
006300     03  FILLER              PIC  X(05)      VALUE SPACES.
006400     03  WS-STATUS-CODE      PIC  9(01).
006500     03  FILLER              PIC  X(03)      VALUE SPACES.
006600*
006700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006800/
006900 LINKAGE SECTION.
007000 01  DFHCOMMAREA.
007100     COPY MB60WS.
007200/         RATE TABLE DIRECTORY SCREEN 01 MAP DSECT
007300     COPY MBDR01.
007400/         RATE TABLE DIRECTORY SCREEN 01 MAP REDEFINITION
007500     COPY MBDR01R.
007600/         RATE TABLE MASTER RECORD LAYOUT
007700     COPY MMRTRL.
007800/         RATE TABLE DIRECTORY TEMPORARY STORAGE
007900     COPY MBDRTS.
008000/
008100 PROCEDURE DIVISION.
008200 0000-HOUSEKEEPING SECTION.
008300 0100-INIT.
008400*
008500     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008600     SET MBCA-EIBAID-ENTER       TO TRUE.
008700*
008800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009000                                 THRU MB70PD-OLH-EXIT.
009100*
009200     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
009300     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
009400*
009500     IF  MBCA-RECEIVE-SCREEN
009600         GO TO 2000-RECEIVE-SCREEN.
009700*
009800 1000-SEND-SCREEN SECTION.
009900*
010000****************************************************************
010100*    GET CICS STORAGE NEEDED FOR THE MAP                       *
010200****************************************************************
010300*
010400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010500     PERFORM MB60PD-GETMAIN-FOR-MAP
010600                                 THRU MB60PD-GFM-EXIT.
010700*
010800     MOVE MBCA-MBDR-ORG          TO DR01-ORG.
010900     MOVE MBCA-MBDR-ORG-NAME     TO DR01-ORG-NAME.
011000     MOVE 01                     TO MBCA-SCREEN-NBR.
011100*
011200****************************************************************
011300*    INITIALIZE THE STANDARD MAP LINES                         *
011400****************************************************************
011500*
011600     PERFORM MB60PD-INIT-STD-MAP-LINES
011700                                 THRU MB60PD-ISML-EXIT.
011800*
011900****************************************************************
012000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
012100****************************************************************
012200*
012300     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM 8100-TEMP-STORAGE-GETMAIN
012500                                 THRU 8199-TSG-EXIT.
012600*
012700     EXEC CICS HANDLE CONDITION
012800               QIDERR (1010-CHECK-RETURN-FLAG)
012900          END-EXEC.
013000*
013100***********************************************
013200*    READ THE TEMP STORAGE RECORD             *
013300***********************************************
013400*
013500     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
013600     PERFORM 8200-TEMP-STORAGE-READ
013700                                 THRU 8299-TSR-EXIT.
013800*
013900***********************************************
014000*    DELETE THE TEMP STORAGE RECORD           *
014100***********************************************
014200*
014300     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
014400     PERFORM 8300-TEMP-STORAGE-DELETE
014500                                 THRU 8399-TSD-EXIT.
014600*
014700     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
014800     GO TO 1080-CONTINUE.
014900*
015000 1010-CHECK-RETURN-FLAG.
015100*
015200     IF  MBCA-MBDR-RETURN-BOTTOM
015300         PERFORM 8900-LAST-SCREEN
015400                                 THRU 8999-LS-EXIT
015500         IF  WS-BYPASS-YES
015600             GO TO 1015-READ-TABLE
015700         ELSE
015800             GO TO 1080-CONTINUE
015900     ELSE
016000         IF  MBCA-MBDR-RETURN-BWD
016100             PERFORM 9000-BACK-SCREEN
016200                                 THRU 9099-BS-EXIT
016300             IF  WS-BYPASS-YES
016400                 GO TO 1015-READ-TABLE
016500             ELSE
016600                 GO TO 1080-CONTINUE.
016700*
016800 1015-READ-TABLE.
016900*
017000****************************************************************
017100*    START BROWSE THE RATE TABLE FILE                          *
017200****************************************************************
017300*
017400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017500     MOVE MBCA-MBDR-ORG          TO MBIOWS-MMRT-ORG.
017600     MOVE MBCA-MBDR-FWD-TABLE-NBR
017700                                 TO MBIOWS-MMRT-TABLE-NBR.
017800     MOVE MBCA-MBDR-TABLE-TYPE   TO MBIOWS-MMRT-TABLE-TYPE.
017900     SET MBIORO-STARTBR-GTE      TO TRUE.
018000     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
018100*
018200     SET X-TABLE-INDEX           TO +1.
018300*
018400 1020-READ-LOOP.
018500*
018600****************************************************************
018700*    READNEXT THE RATE TABLE FILE                              *
018800****************************************************************
018900*
019000     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019100     SET MBIORO-READ-SEQ         TO TRUE.
019200     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
019300*
019400     IF  MMRT-ORG IS GREATER THAN MBCA-MBDR-ORG
019500         GO TO 1020-END-BROWSE.
019600*
019700     IF  MBCA-TABLE-TYPE IS EQUAL TO SPACES
019800         NEXT SENTENCE
019900     ELSE
020000         IF  MMRT-TABLE-TYPE IS NOT EQUAL TO MBCA-TABLE-TYPE
020100             GO TO 1020-READ-LOOP.
020200*
020300     PERFORM 9500-BUILD-SCREEN-LINE
020400                                 THRU 9599-BSL-EXIT.
020500*
020600     IF  X-TABLE-INDEX IS EQUAL TO +1
020700         MOVE MMRT-TABLE-NBR     TO MBCA-MBDR-BACK-TABLE-NBR.
020800*
020900     IF  X-TABLE-INDEX IS LESS THAN +15
021000         SET X-TABLE-INDEX       UP BY +1
021100         GO TO 1020-READ-LOOP
021200     ELSE
021300         MOVE MMRT-TABLE-NBR     TO MBCA-MBDR-FWD-TABLE-NBR
021400         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
021500         SET X-TABLE-INDEX       UP BY +1.
021600*
021700 1020-END-BROWSE.
021800*
021900****************************************************************
022000*    END BROWSE THE RATE TABLE FILE                            *
022100****************************************************************
022200*
022300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
022400     SET MBIORO-ENDBR            TO TRUE.
022500     PERFORM MMRTAO-ACCESS      THRU MMRTAO-ACCESS-EXIT.
022600*
022700 1060-SET-ATTRIBUTE.
022800*
022900     IF  X-TABLE-INDEX IS EQUAL TO +1
023000         IF  MBCA-MBDR-RETURN-NORMAL
023100             SET MBCA-INITIAL-SCREEN-NBR
023200                                 TO TRUE
023300             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
023400             PERFORM MB70PD-XCTL-TO-MBOXCTL
023500                                 THRU MB70PD-XTM-EXIT
023600         ELSE
023700             MOVE MBCA-MBDR-BACK-TABLE-NBR
023800                                 TO MBCA-MBDR-FWD-TABLE-NBR
023900             GO TO 1015-READ-TABLE.
024000*
024100     IF  X-TABLE-INDEX IS LESS THAN +16
024200         SET X-MBDRTS-INDEX      TO X-TABLE-INDEX
024300         MOVE ZEROES             TO MBCA-MBDR-FWD-TABLE-NBR
024400                                    WS-FWD-TABLE-NBR
024500                                    MBDRTS-TABLE-NBR
024600                                    (X-MBDRTS-INDEX)
024700                                    MBDRTS-STATUS-CODE
024800                                    (X-MBDRTS-INDEX)
024900         MOVE SPACES             TO MBDRTS-TITLE
025000                                    (X-MBDRTS-INDEX)
025100                                    MBDRTS-METHOD
025200                                    (X-MBDRTS-INDEX)
025300                                    MBDRTS-TABLE-TYPE
025400                                    (X-MBDRTS-INDEX)
025500                                    MBDRTS-LEVEL
025600                                    (X-MBDRTS-INDEX)
025700         MOVE DFHBMASK           TO DR01-SELECT-A
025800                                    (X-TABLE-INDEX)
025900         MOVE DFHBMDAS           TO DR01-DIRECTORY-LINE-A
026000                                    (X-TABLE-INDEX)
026100                                    DR01-SELECT-LP-A
026200                                    (X-TABLE-INDEX)
026300                                    DR01-SELECT-RP-A
026400                                    (X-TABLE-INDEX)
026500         SET X-TABLE-INDEX       UP BY +1
026600         GO TO 1060-SET-ATTRIBUTE.
026700*
026800 1080-CONTINUE.
026900*
027000     IF  MBCA-MBDR-BACK-TABLE-NBR IS NOT EQUAL
027100                                 TO MBCA-MBDR-FIRST-TABLE-NBR
027200         MOVE DFHBMASB           TO DR01-FWD-BACK-IND-A (1).
027300*
027400     IF  WS-FWD-TABLE-NBR IS NOT EQUAL TO ZEROES
027500         MOVE DFHBMASB           TO DR01-FWD-BACK-IND-A (15).
027600*
027700****************************************************************
027800*    WRITE THE TEMP STORAGE RECORD                             *
027900****************************************************************
028000*
028100     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
028200     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
028300*
028400     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
028500         VARYING X-TABLE-INDEX FROM +1 BY +1
028600         UNTIL   X-TABLE-INDEX IS GREATER THAN +15.
028700*
028800     SET X-TABLE-INDEX           TO +1.
028900*
029000 1090-CURSOR-LOOP.
029100*
029200     IF  X-TABLE-INDEX IS GREATER THAN +15
029300         MOVE SS08WS-CURSOR      TO DR01-ALT-TRANID-L
029400         GO TO 1100-CONTINUE.
029500*
029600     IF  DR01-SELECT-A (X-TABLE-INDEX)
029700                                 IS EQUAL TO DFHBMASK
029800         SET X-TABLE-INDEX       UP BY +1
029900         GO TO 1090-CURSOR-LOOP
030000     ELSE
030100         MOVE SS08WS-CURSOR      TO DR01-SELECT-L
030200                                    (X-TABLE-INDEX).
030300*
030400 1100-CONTINUE.
030500*
030600     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
030700     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
030800     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
030900     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
031000     MOVE SS08WS-LINE-24         TO DR01-PF-KEYS.
031100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
031200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
031300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
031400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
031500*
031600     MOVE DFHBMASK               TO DR01-CURRENT-PAGE-A.
031700*
031800****************************************************************
031900*    SEND THE MAP                                              *
032000****************************************************************
032100*
032200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
032300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
032400                                 THRU MB60PD-SMWE-EXIT.
032500*
032600****************************************************************
032700*    RETURN TO CICS                                            *
032800****************************************************************
032900*
033000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
033100     PERFORM MB70PD-RETURN-TRANS-ID
033200                                 THRU MB70PD-RTI-EXIT.
033300/
033400 2000-RECEIVE-SCREEN SECTION.
033500*
033600     IF  MBCA-EIBAID-CLEAR
033700         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
033800         PERFORM 8300-TEMP-STORAGE-DELETE
033900                                 THRU 8399-TSD-EXIT
034000         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
034100         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
034200                                 THRU MB70PD-OLH-EXIT.
034300*
034400****************************************************************
034500*    THIS SECTION RECEIVES THE 01 SCREEN                       *
034600****************************************************************
034700*
034800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
034900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
035000*
035100*****************************************************
035200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
035300*****************************************************
035400*
035500     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
035600     PERFORM 8100-TEMP-STORAGE-GETMAIN
035700                                 THRU 8199-TSG-EXIT.
035800*
035900***********************************************
036000*    READ THE TEMP STORAGE RECORD             *
036100***********************************************
036200*
036300     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM 8200-TEMP-STORAGE-READ
036500                                 THRU 8299-TSR-EXIT.
036600*
036700***********************************************
036800*    DELETE THE TEMP STORAGE RECORD           *
036900***********************************************
037000*
037100     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
037200     PERFORM 8300-TEMP-STORAGE-DELETE
037300                                 THRU 8399-TSD-EXIT.
037400*
037500****************************************************************
037600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
037700****************************************************************
037800*
037900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
038000     PERFORM MB60PD-NEW-TRANS-ROUTINE
038100                                 THRU MB60PD-NTR-EXIT.
038200*
038300 2005-EDIT-SELECT.
038400*
038500****************************************************************
038600*    EDIT SELECT FIELD                                         *
038700****************************************************************
038800*
038900     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
039000*
039100 2090-CHECK-ERROR.
039200*
039300     IF  SS08WS-ERROR-SW-NO
039400         GO TO 2400-CHECK-SELECT.
039500*
039600 2300-SEND-MAP.
039700*
039800***********************************************
039900*    WRITE THE TEMP STORAGE RECORD            *
040000***********************************************
040100*
040200     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
040300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
040400*
040500****************************************************************
040600*    SEND THE MAP                                              *
040700****************************************************************
040800*
040900     PERFORM MB60PD-INIT-STD-MAP-LINES
041000                                 THRU MB60PD-ISML-EXIT.
041100*
041200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
041300     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
041400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
041500     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
041600     MOVE SS08WS-LINE-24         TO DR01-PF-KEYS.
041700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
041800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
041900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
042000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
042100*
042200     MOVE DFHBMASK               TO DR01-CURRENT-PAGE-A.
042300*
042400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
042500     PERFORM MB60PD-SEND-MAP-DATA-ONLY
042600                                 THRU MB60PD-SMDO-EXIT.
042700*
042800****************************************************************
042900*    RETURN TO CICS                                            *
043000****************************************************************
043100*
043200     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
043300     PERFORM MB70PD-RETURN-TRANS-ID
043400                                 THRU MB70PD-RTI-EXIT.
043500/
043600 2400-CHECK-SELECT.
043700*
043800     IF  WS-SELECT-YES
043900         SET X-MBDRTS-INDEX      TO X-TABLE-INDEX
044000         MOVE MBDRTS-TABLE-NBR (X-MBDRTS-INDEX)
044100                                 TO MBCA-TABLE
044200         MOVE MBDRTS-TABLE-TYPE (X-MBDRTS-INDEX)
044300                                 TO MBCA-TABLE-TYPE
044400         MOVE MBIOWS-MMRT-DIRECT-KEY-CODE
044500                                 TO MBCA-KEY-CODE
044600         SET MBCA-INITIAL-SCREEN-NBR
044700                                 TO TRUE
044800         EVALUATE TRUE
044900           WHEN DR01-VALID-INQUIRY (X-TABLE-INDEX)
045000               MOVE '..QR'       TO SS08WS-WORK-TRANS-ID
045100           WHEN DR01-VALID-STATUS-MAINT (X-TABLE-INDEX)
045200               MOVE '..9R'       TO SS08WS-WORK-TRANS-ID
045300           WHEN OTHER
045400               MOVE '..MR'       TO SS08WS-WORK-TRANS-ID
045500         END-EVALUATE
045600         GO TO 2690-PF-KEY-BYPASS.
045700/
045800 2600-SETUP-COMMAREA.
045900*
046000****************************************************************
046100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
046200****************************************************************
046300*
046400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
046500*
046600     IF  SS08WS-VALID-PF3
046700     OR  SS08WS-EIBAID-VALID-PF3
046800         MOVE 51                 TO MBCA-SCREEN-NBR
046900         MOVE MBCA-MBDR-FIRST-TABLE-NBR
047000                                 TO MBCA-MBDR-FWD-TABLE-NBR
047100         SET MBCA-MBDR-RETURN-NORMAL
047200                                 TO TRUE
047300         GO TO 2690-PF-KEY-BYPASS.
047400*
047500     IF  SS08WS-VALID-PF4
047600     OR  SS08WS-EIBAID-VALID-PF4
047700         MOVE 51                 TO MBCA-SCREEN-NBR
047800         IF (MBDRTS-TABLE-NBR (1) IS GREATER THAN ZEROES
047900         AND MBDRTS-TABLE-NBR (15) IS EQUAL TO ZEROES)
048000         OR (MBCA-MBDR-FWD-TABLE-NBR IS EQUAL TO ZEROES)
048100             SET MBCA-MBDR-RETURN-NORMAL
048200                                 TO TRUE
048300             MOVE ZEROES         TO MBCA-MBDR-FWD-TABLE-NBR
048400             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
048500             PERFORM 8400-WRITE-QUEUE
048600                                 THRU 8499-WQ-EXIT
048700             GO TO 2690-PF-KEY-BYPASS
048800         ELSE
048900             SET MBCA-MBDR-RETURN-BOTTOM
049000                                 TO TRUE
049100             GO TO 2690-PF-KEY-BYPASS.
049200*
049300     IF  SS08WS-VALID-PF5
049400     OR  SS08WS-EIBAID-VALID-PF5
049500         MOVE 51                 TO MBCA-SCREEN-NBR
049600         IF (MBDRTS-TABLE-NBR (1) IS GREATER THAN ZEROES
049700         AND MBDRTS-TABLE-NBR (15) IS EQUAL TO ZEROES)
049800         OR (MBCA-MBDR-FWD-TABLE-NBR IS EQUAL TO ZEROES)
049900             SET MBCA-MBDR-RETURN-NORMAL
050000                                 TO TRUE
050100             MOVE ZEROES         TO MBCA-MBDR-FWD-TABLE-NBR
050200             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
050300             PERFORM 8400-WRITE-QUEUE
050400                                 THRU 8499-WQ-EXIT
050500             GO TO 2690-PF-KEY-BYPASS
050600         ELSE
050700             SET MBCA-MBDR-RETURN-FWD
050800                                 TO TRUE
050900             ADD 1               TO MBCA-MBDR-FWD-TABLE-NBR
051000             GO TO 2690-PF-KEY-BYPASS.
051100*
051200     IF  SS08WS-VALID-PF6
051300     OR  SS08WS-EIBAID-VALID-PF6
051400         MOVE 51                 TO MBCA-SCREEN-NBR
051500         IF  MBCA-MBDR-BACK-TABLE-NBR IS EQUAL
051600                                 TO MBCA-MBDR-FIRST-TABLE-NBR
051700             SET MBCA-MBDR-RETURN-NORMAL
051800                                 TO TRUE
051900             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
052000             PERFORM 8400-WRITE-QUEUE
052100                                 THRU 8499-WQ-EXIT
052200             GO TO 2690-PF-KEY-BYPASS
052300         ELSE
052400             MOVE MBCA-MBDR-BACK-TABLE-NBR
052500                                 TO MBCA-MBDR-FWD-TABLE-NBR
052600             SET MBCA-MBDR-RETURN-BWD
052700                                 TO TRUE
052800             GO TO 2690-PF-KEY-BYPASS.
052900*
053000     IF  SS08WS-VALID-PF-KEY
053100     OR  SS08WS-EIBAID-VALID-PF-KEY
053200     OR  MBDRTS-TABLE-NBR (15) IS EQUAL TO ZEROES
053300     OR  MBCA-MBDR-FWD-TABLE-NBR IS EQUAL TO ZEROES
053400         SET MBCA-INITIAL-SCREEN-NBR
053500                                 TO TRUE
053600         MOVE MBIOWS-MMRT-KEY-CODE
053700                                 TO MBCA-KEY-CODE
053800         SET MBCA-MBDR-RETURN-NORMAL
053900                                 TO TRUE
054000         GO TO 2690-PF-KEY-BYPASS.
054100*
054200     MOVE 51                     TO MBCA-SCREEN-NBR.
054300     ADD 1                       TO MBCA-MBDR-FWD-TABLE-NBR.
054400     SET MBCA-MBDR-RETURN-NORMAL TO TRUE.
054500*
054600 2690-PF-KEY-BYPASS.
054700*
054800     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
054900     PERFORM MB70PD-XCTL-TO-MBOXCTL
055000                                 THRU MB70PD-XTM-EXIT.
055100/
055200 8000-PERFORMED-ROUTINES-SECT SECTION.
055300*
055400 8100-TEMP-STORAGE-GETMAIN.
055500*
055600     EXEC CICS GETMAIN
055700               FLENGTH (LENGTH  OF MBDRTS-RECORD)
055800               SET     (ADDRESS OF MBDRTS-RECORD)
055900          END-EXEC.
056000*
056100 8199-TSG-EXIT.
056200     EXIT.
056300*
056400 8200-TEMP-STORAGE-READ.
056500*
056600     EXEC CICS READQ TS
056700               QUEUE   (TS-QUEUE-NAME)
056800               INTO    (MBDRTS-RECORD)
056900               LENGTH  (LENGTH  OF MBDRTS-RECORD)
057000               ITEM    (1)
057100          END-EXEC.
057200*
057300 8299-TSR-EXIT.
057400     EXIT.
057500*
057600 8300-TEMP-STORAGE-DELETE.
057700*
057800     EXEC CICS IGNORE CONDITION
057900               QIDERR
058000          END-EXEC.
058100*
058200     EXEC CICS DELETEQ TS
058300               QUEUE  (TS-QUEUE-NAME)
058400          END-EXEC.
058500*
058600 8399-TSD-EXIT.
058700     EXIT.
058800*
058900 8400-WRITE-QUEUE.
059000*
059100     EXEC CICS WRITEQ TS
059200               QUEUE   (TS-QUEUE-NAME)
059300               FROM    (MBDRTS-RECORD)
059400               LENGTH  (LENGTH  OF MBDRTS-RECORD)
059500          END-EXEC.
059600*
059700 8499-WQ-EXIT.
059800     EXIT.
059900*
060000 8600-EDIT-SELECT.
060100*
060200     SET X-TABLE-INDEX           TO +1.
060300*
060400 8600-EDIT-LOOP.
060500*
060600     IF  DR01-SELECT-L (X-TABLE-INDEX) IS GREATER THAN ZERO
060700         IF  DR01-VALID-SELECT (X-TABLE-INDEX)
060800             MOVE DFHBMASF       TO DR01-SELECT-A
060900                                    (X-TABLE-INDEX)
061000             MOVE DFHBMDAS       TO DR01-SELECT-LP-A
061100                                    (X-TABLE-INDEX)
061200                                    DR01-SELECT-RP-A
061300                                    (X-TABLE-INDEX)
061400             IF  DR01-VALID-INQUIRY-MAINT (X-TABLE-INDEX)
061500                 SET WS-SELECT-YES
061600                                 TO TRUE
061700                 GO TO 8699-ES-EXIT
061800             ELSE
061900                 NEXT SENTENCE
062000         ELSE
062100             SET SS08WS-ERROR-SW-YES TO TRUE
062200             MOVE SS08WS-CURSOR  TO DR01-SELECT-L
062300                                    (X-TABLE-INDEX)
062400             MOVE DFHBMUBF       TO DR01-SELECT-A
062500                                    (X-TABLE-INDEX)
062600             MOVE DFHBMASB       TO DR01-SELECT-LP-A
062700                                    (X-TABLE-INDEX)
062800                                    DR01-SELECT-RP-A
062900                                    (X-TABLE-INDEX)
063000             GO TO 8699-ES-EXIT.
063100*
063200     IF  X-TABLE-INDEX IS LESS THAN +15
063300         SET X-TABLE-INDEX       UP BY +1
063400         GO TO 8600-EDIT-LOOP.
063500*
063600 8699-ES-EXIT.
063700     EXIT.
063800*
063900 8800-BUILD-SCREEN.
064000*
064100     SET X-TABLE-INDEX           TO +1.
064200*
064300 8800-BUILD-LOOP.
064400*
064500     SET X-MBDRTS-INDEX          TO X-TABLE-INDEX.
064600*
064700     IF  MBDRTS-TABLE-NBR (X-MBDRTS-INDEX)
064800                                 IS GREATER THAN ZEROES
064900         MOVE MBDRTS-TABLE-NBR (X-MBDRTS-INDEX)
065000                                 TO WS-TABLE-NBR
065100         MOVE MBDRTS-TABLE-TYPE (X-MBDRTS-INDEX)
065200                                 TO WS-TABLE-TYPE
065300         MOVE MBDRTS-METHOD (X-MBDRTS-INDEX)
065400                                 TO WS-METHOD
065500         MOVE MBDRTS-TITLE (X-MBDRTS-INDEX)
065600                                 TO WS-TITLE
065700         MOVE MBDRTS-LEVEL (X-MBDRTS-INDEX)
065800                                 TO WS-LEVEL
065900         MOVE MBDRTS-STATUS-CODE (X-MBDRTS-INDEX)
066000                                 TO WS-STATUS-CODE
066100         MOVE WS-DETAIL-LINE     TO DR01-DIRECTORY-LINE
066200                                    (X-TABLE-INDEX)
066300     ELSE
066400         MOVE DFHBMASK           TO DR01-SELECT-A
066500                                    (X-TABLE-INDEX)
066600         MOVE DFHBMDAS           TO DR01-DIRECTORY-LINE-A
066700                                    (X-TABLE-INDEX)
066800                                    DR01-SELECT-LP-A
066900                                    (X-TABLE-INDEX)
067000                                    DR01-SELECT-RP-A
067100                                    (X-TABLE-INDEX).
067200*
067300     IF  X-TABLE-INDEX IS LESS THAN +15
067400         SET X-TABLE-INDEX       UP BY +1
067500         GO TO 8800-BUILD-LOOP
067600     ELSE
067700         MOVE MBCA-MBDR-FWD-TABLE-NBR
067800                                 TO WS-FWD-TABLE-NBR.
067900*
068000 8899-BS-EXIT.
068100     EXIT.
068200*
068300 8900-LAST-SCREEN.
068400*
068500****************************************************************
068600*    START BROWSE THE RATE TABLE FILE                          *
068700****************************************************************
068800*
068900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
069000     MOVE MBCA-MBDR-ORG          TO MBIOWS-MMRT-ORG.
069100     MOVE 999999999              TO MBIOWS-MMRT-TABLE-NBR.
069200     MOVE SPACES                 TO MBIOWS-MMRT-TABLE-TYPE.
069300     SET MBIORO-STARTBR-GTE      TO TRUE.
069400     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
069500*
069600****************************************************************
069700*    READNEXT THE RATE TABLE FILE                              *
069800****************************************************************
069900*
070000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
070100     SET MBIORO-READ-SEQ         TO TRUE.
070200     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
070300*
070400****************************************************************
070500*    READPREV THE RATE TABLE FILE                              *
070600****************************************************************
070700*
070800     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
070900     SET MBIORO-READ-PREV        TO TRUE.
071000     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
071100*
071200     SET X-TABLE-INDEX           TO +15.
071300     SET WS-BYPASS-NO            TO TRUE.
071400*
071500 8900-READ-TABLE-FILE.
071600*
071700****************************************************************
071800*    READPREV THE RATE TABLE FILE                              *
071900****************************************************************
072000*
072100     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
072200     SET MBIORO-READ-PREV        TO TRUE.
072300     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
072400*
072500 8900-BUILD-LOOP.
072600*
072700     IF  MMRT-ORG IS LESS THAN MBCA-MBDR-ORG
072800     OR  MMRT-TABLE-NBR IS LESS THAN MBCA-MBDR-FIRST-TABLE-NBR
072900         GO TO 8900-END-BROWSE.
073000*
073100     IF  MMRT-TABLE-NBR IS EQUAL TO MBCA-MBDR-FIRST-TABLE-NBR
073200     AND X-TABLE-INDEX IS GREATER THAN +1
073300         SET MBCA-MBDR-RETURN-NORMAL
073400                                 TO TRUE
073500         MOVE MBCA-MBDR-FIRST-TABLE-NBR
073600                                 TO MBCA-MBDR-FWD-TABLE-NBR
073700         SET WS-BYPASS-YES       TO TRUE
073800         GO TO 8900-END-BROWSE.
073900*
074000     PERFORM 9500-BUILD-SCREEN-LINE
074100                                 THRU 9599-BSL-EXIT.
074200*
074300     IF  X-TABLE-INDEX IS GREATER THAN +1
074400         SET X-TABLE-INDEX       DOWN BY +1
074500         GO TO 8900-READ-TABLE-FILE
074600     ELSE
074700         MOVE MMRT-TABLE-NBR     TO MBCA-MBDR-BACK-TABLE-NBR.
074800*
074900 8900-END-BROWSE.
075000*
075100****************************************************************
075200*    END BROWSE THE RATE TABLE FILE                            *
075300****************************************************************
075400*
075500     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
075600     SET MBIORO-ENDBR            TO TRUE.
075700     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
075800*
075900     IF  WS-BYPASS-YES
076000         GO TO 8999-LS-EXIT.
076100*
076200     MOVE ZEROES                 TO MBCA-MBDR-FWD-TABLE-NBR
076300                                    WS-FWD-TABLE-NBR.
076400*
076500 8999-LS-EXIT.
076600     EXIT.
076700*
076800 9000-BACK-SCREEN.
076900*
077000****************************************************************
077100*    START BROWSE THE RATE TABLE FILE                          *
077200****************************************************************
077300*
077400     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
077500     MOVE MBCA-MBDR-ORG          TO MBIOWS-MMRT-ORG.
077600     MOVE MBCA-MBDR-FWD-TABLE-NBR
077700                                 TO MBIOWS-MMRT-TABLE-NBR.
077800     MOVE SPACES                 TO MBIOWS-MMRT-TABLE-TYPE.
077900     SET MBIORO-STARTBR-GTE      TO TRUE.
078000     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
078100*
078200****************************************************************
078300*    READNEXT THE RATE TABLE FILE                              *
078400****************************************************************
078500*
078600     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
078700     SET MBIORO-READ-SEQ         TO TRUE.
078800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
078900*
079000****************************************************************
079100*    READPREV THE RATE TABLE FILE                              *
079200****************************************************************
079300*
079400     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
079500     SET MBIORO-READ-PREV        TO TRUE.
079600     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
079700*
079800     SET X-TABLE-INDEX           TO +15.
079900     SET WS-BYPASS-NO            TO TRUE.
080000*
080100 9000-READ-TABLE-FILE.
080200*
080300****************************************************************
080400*    READPREV THE RATE TABLE FILE                              *
080500****************************************************************
080600*
080700     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
080800     SET MBIORO-READ-PREV        TO TRUE.
080900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
081000*
081100 9000-BUILD-LOOP.
081200*
081300     IF  X-TABLE-INDEX IS GREATER THAN +1
081400     AND MMRT-TABLE-NBR IS EQUAL TO MBCA-MBDR-FIRST-TABLE-NBR
081500         SET MBCA-MBDR-RETURN-NORMAL
081600                                 TO TRUE
081700         MOVE MBCA-MBDR-FIRST-TABLE-NBR
081800                                 TO MBCA-MBDR-FWD-TABLE-NBR
081900         SET WS-BYPASS-YES       TO TRUE
082000         GO TO 9000-END-BROWSE.
082100*
082200     IF  MMRT-TABLE-NBR IS EQUAL TO MBCA-MBDR-BACK-TABLE-NBR
082300     AND X-TABLE-INDEX IS EQUAL TO +15
082400         GO TO 9000-READ-TABLE-FILE.
082500*
082600     PERFORM 9500-BUILD-SCREEN-LINE
082700                                 THRU 9599-BSL-EXIT.
082800*
082900     IF  X-TABLE-INDEX IS EQUAL TO +15
083000         MOVE MMRT-TABLE-NBR     TO MBCA-MBDR-FWD-TABLE-NBR
083100                                    WS-FWD-TABLE-NBR.
083200*
083300     IF  X-TABLE-INDEX IS GREATER THAN +1
083400         SET X-TABLE-INDEX       DOWN BY +1
083500         GO TO 9000-READ-TABLE-FILE
083600     ELSE
083700         MOVE MMRT-TABLE-NBR     TO MBCA-MBDR-BACK-TABLE-NBR.
083800*
083900 9000-END-BROWSE.
084000*
084100****************************************************************
084200*    END BROWSE THE RATE TABLE FILE                            *
084300****************************************************************
084400*
084500     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
084600     SET MBIORO-ENDBR            TO TRUE.
084700     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
084800*
084900 9099-BS-EXIT.
085000     EXIT.
085100*
085200 9100-SET-ATTRIBUTE.
085300*
085400     SET X-MBDRTS-INDEX          TO X-TABLE-INDEX.
085500*
085600     IF  MBDRTS-STATUS-INCOMPLETE   (X-MBDRTS-INDEX)
085700         MOVE DFHBMASK           TO DR01-SELECT-A
085800                                    (X-TABLE-INDEX)
085900         MOVE DFHBMDAS           TO DR01-SELECT-LP-A
086000                                    (X-TABLE-INDEX)
086100                                    DR01-SELECT-RP-A
086200                                    (X-TABLE-INDEX).
086300*
086400 9199-SA-EXIT.
086500     EXIT.
086600*
086700 9400-READ-AHEAD.
086800*
086900****************************************************************
087000*    READNEXT THE RATE TABLE FILE                              *
087100****************************************************************
087200*
087300     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
087400     SET MBIORO-READ-SEQ         TO TRUE.
087500     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
087600*
087700     IF  MMRT-ORG IS GREATER THAN MBCA-MBDR-ORG
087800         MOVE ZEROES             TO WS-FWD-TABLE-NBR
087900                                    MBCA-MBDR-FWD-TABLE-NBR
088000         GO TO 9499-RA-EXIT.
088100*
088200     MOVE MMRT-TABLE-NBR         TO WS-FWD-TABLE-NBR.
088300*
088400 9499-RA-EXIT.
088500     EXIT.
088600*
088700 9500-BUILD-SCREEN-LINE.
088800*
088900     SET X-MBDRTS-INDEX          TO X-TABLE-INDEX.
089000*
089100     MOVE MMRT-TABLE-NBR         TO WS-TABLE-NBR
089200                                    MBDRTS-TABLE-NBR
089300                                    (X-MBDRTS-INDEX).
089400*
089500     MOVE MMRT-TABLE-TYPE        TO WS-TABLE-TYPE
089600                                    MBDRTS-TABLE-TYPE
089700                                    (X-MBDRTS-INDEX).
089800*
089900     MOVE MMRT-METHOD            TO WS-METHOD
090000                                    MBDRTS-METHOD
090100                                    (X-MBDRTS-INDEX).
090200*
090300     MOVE MMRT-TITLE             TO WS-TITLE
090400                                    MBDRTS-TITLE
090500                                    (X-MBDRTS-INDEX).
090600*
090700     MOVE MMRT-LEVEL             TO WS-LEVEL
090800                                    MBDRTS-LEVEL
090900                                    (X-MBDRTS-INDEX).
091000*
091100     MOVE MMRT-REC-STATUS        TO WS-STATUS-CODE
091200                                    MBDRTS-STATUS-CODE
091300                                    (X-MBDRTS-INDEX).
091400*
091500     MOVE WS-DETAIL-LINE         TO DR01-DIRECTORY-LINE
091600                                    (X-TABLE-INDEX).
091700*
091800 9599-BSL-EXIT.
091900     EXIT.
092000/         JULIAN TO GREGORIAN DATE ROUTINE
092100     COPY SS08PD.
092200/
092300     COPY SS26PD.
092400/
092500     COPY SS27PD.
092600/         LINE 24 PF KEYS ROUTINE
092700     COPY SS15PD.
092800/         RATE TABLE RECORD ACCESS ROUTINES
092900     COPY MMRTAO.
093000/         ON-LINE MAP ROUTINES
093100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDR01 '
093200                           MBMAPXXI BY MBDR01I
093300                           MBMAPXXO BY MBDR01O.
093400/         ON-LINE PROCEDURES
093500     COPY MB70PD.
093600/
093700     COPY SMFTPXO.
