000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODU01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODU01 - ON-LINE FRAUD TABLE DIRECTORY                  *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDU                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDU01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMFP   (FRAUD TABLE MASTER FILE)           *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-TABLE-NBR    PIC  9(09)      VALUE ZEROES.
004300     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-SELECT-NO                    VALUE 'N'.
004500         88  WS-SELECT-YES                   VALUE 'Y'.
004600     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-BYPASS-NO                    VALUE 'N'.
004800         88  WS-BYPASS-YES                   VALUE 'Y'.
004900     03  TS-QUEUE-NAME.
005000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDU'.
005200*
005300 01  WS-DETAIL-LINE.
005400     03  WS-TABLE-NBR        PIC  9(09).
005500     03  FILLER              PIC  X(03)      VALUE SPACES.
005600     03  WS-DESCRIPTION      PIC  X(30).
005700     03  FILLER              PIC  X(05)      VALUE SPACES.
005800     03  WS-STATUS-CODE      PIC  9(01).
005900     03  FILLER              PIC  X(04)      VALUE SPACES.
006000*
006100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006200/
006300 LINKAGE SECTION.
006400 01  DFHCOMMAREA.
006500     COPY MB60WS.
006600/         FRAUD TABLE DIRECTORY SCREEN 01 MAP DSECT
006700     COPY MBDU01.
006800/         FRAUD TABLE DIRECTORY SCREEN 01 MAP REDEFINITION
006900     COPY MBDU01R.
007000/         FRAUD TABLE MASTER RECORD LAYOUT
007100     COPY MMFPRL.
007200/         FRAUD TABLE DIRECTORY TEMPORARY STORAGE
007300     COPY MBDUTS.
007400/
007500 PROCEDURE DIVISION.
007600 0000-HOUSEKEEPING SECTION.
007700 0100-INIT.
007800*
007900     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008000     SET MBCA-EIBAID-ENTER       TO TRUE.
008100*
008200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008400                                 THRU MB70PD-OLH-EXIT.
008500*
008600     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
008700     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
008800*
008900     IF  MBCA-RECEIVE-SCREEN
009000         GO TO 2000-RECEIVE-SCREEN.
009100*
009200 1000-SEND-SCREEN SECTION.
009300*
009400****************************************************************
009500*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009600****************************************************************
009700*
009800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009900     PERFORM MB60PD-GETMAIN-FOR-MAP
010000                                 THRU MB60PD-GFM-EXIT.
010100*
010200     MOVE MBCA-MBDU-ORG          TO DU01-ORG.
010300     MOVE MBCA-MBDU-ORG-NAME     TO DU01-ORG-NAME.
010400     MOVE 01                     TO MBCA-SCREEN-NBR.
010500*
010600****************************************************************
010700*    INITIALIZE THE STANDARD MAP LINES                         *
010800****************************************************************
010900*
011000     PERFORM MB60PD-INIT-STD-MAP-LINES
011100                                 THRU MB60PD-ISML-EXIT.
011200*
011300****************************************************************
011400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
011500****************************************************************
011600*
011700     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
011800     PERFORM 8100-TEMP-STORAGE-GETMAIN
011900                                 THRU 8199-TSG-EXIT.
012000*
012100     EXEC CICS HANDLE CONDITION
012200               QIDERR (1010-CHECK-RETURN-FLAG)
012300          END-EXEC.
012400*
012500***********************************************
012600*    READ THE TEMP STORAGE RECORD             *
012700***********************************************
012800*
012900     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
013000     PERFORM 8200-TEMP-STORAGE-READ
013100                                 THRU 8299-TSR-EXIT.
013200*
013300***********************************************
013400*    DELETE THE TEMP STORAGE RECORD           *
013500***********************************************
013600*
013700     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM 8300-TEMP-STORAGE-DELETE
013900                                 THRU 8399-TSD-EXIT.
014000*
014100     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
014200     GO TO 1080-CONTINUE.
014300*
014400 1010-CHECK-RETURN-FLAG.
014500*
014600     IF  MBCA-MBDU-RETURN-BOTTOM
014700         PERFORM 8900-LAST-SCREEN
014800                                 THRU 8999-LS-EXIT
014900         IF  WS-BYPASS-YES
015000             GO TO 1015-READ-TABLE
015100         ELSE
015200             GO TO 1080-CONTINUE
015300     ELSE
015400         IF  MBCA-MBDU-RETURN-BWD
015500             PERFORM 9000-BACK-SCREEN
015600                                 THRU 9099-BS-EXIT
015700             IF  WS-BYPASS-YES
015800                 GO TO 1015-READ-TABLE
015900             ELSE
016000                 GO TO 1080-CONTINUE.
016100*
016200 1015-READ-TABLE.
016300*
016400****************************************************************
016500*    START BROWSE THE FRAUD TABLE FILE                         *
016600****************************************************************
016700*
016800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016900     MOVE MBCA-MBDU-ORG          TO MBIOWS-MMFP-ORG.
017000     MOVE MBCA-MBDU-FWD-TABLE-NBR
017100                                 TO MBIOWS-MMFP-TABLE-NBR.
017200     SET MBIORO-STARTBR-GTE      TO TRUE.
017300     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
017400*
017500     SET X-TABLE-INDEX           TO +1.
017600*
017700 1020-READ-LOOP.
017800*
017900****************************************************************
018000*    READNEXT THE FRAUD TABLE FILE                             *
018100****************************************************************
018200*
018300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018400     SET MBIORO-READ-SEQ         TO TRUE.
018500     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
018600*
018700     IF  MMFP-ORG IS GREATER THAN MBCA-MBDU-ORG
018800         GO TO 1020-END-BROWSE.
018900*
019000     PERFORM 9500-BUILD-SCREEN-LINE
019100                                 THRU 9599-BSL-EXIT.
019200*
019300     IF  X-TABLE-INDEX IS EQUAL TO +1
019400         MOVE MMFP-TABLE-NBR     TO MBCA-MBDU-BACK-TABLE-NBR.
019500*
019600     IF  X-TABLE-INDEX IS LESS THAN +15
019700         SET X-TABLE-INDEX       UP BY +1
019800         GO TO 1020-READ-LOOP
019900     ELSE
020000         MOVE MMFP-TABLE-NBR     TO MBCA-MBDU-FWD-TABLE-NBR
020100         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
020200         SET X-TABLE-INDEX       UP BY +1.
020300*
020400 1020-END-BROWSE.
020500*
020600****************************************************************
020700*    END BROWSE THE FRAUD TABLE FILE                           *
020800****************************************************************
020900*
021000     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
021100     SET MBIORO-ENDBR            TO TRUE.
021200     PERFORM MMFPAO-ACCESS      THRU MMFPAO-ACCESS-EXIT.
021300*
021400 1060-SET-ATTRIBUTE.
021500*
021600     IF  X-TABLE-INDEX IS EQUAL TO +1
021700         IF  MBCA-MBDU-RETURN-NORMAL
021800             SET MBCA-INITIAL-SCREEN-NBR
021900                                 TO TRUE
022000             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
022100             PERFORM MB70PD-XCTL-TO-MBOXCTL
022200                                 THRU MB70PD-XTM-EXIT
022300         ELSE
022400             MOVE MBCA-MBDU-BACK-TABLE-NBR
022500                                 TO MBCA-MBDU-FWD-TABLE-NBR
022600             GO TO 1015-READ-TABLE.
022700*
022800     IF  X-TABLE-INDEX IS LESS THAN +16
022900         SET X-MBDUTS-INDEX      TO X-TABLE-INDEX
023000         MOVE ZEROES             TO MBCA-MBDU-FWD-TABLE-NBR
023100                                    WS-FWD-TABLE-NBR
023200                                    MBDUTS-TABLE-NBR
023300                                    (X-MBDUTS-INDEX)
023400                                    MBDUTS-STATUS-CODE
023500                                    (X-MBDUTS-INDEX)
023600         MOVE SPACES             TO MBDUTS-DESCRIPTION
023700                                    (X-MBDUTS-INDEX)
023800         MOVE DFHBMASK           TO DU01-SELECT-A
023900                                    (X-TABLE-INDEX)
024000         MOVE DFHBMDAS           TO DU01-DIRECTORY-LINE-A
024100                                    (X-TABLE-INDEX)
024200                                    DU01-SELECT-LP-A
024300                                    (X-TABLE-INDEX)
024400                                    DU01-SELECT-RP-A
024500                                    (X-TABLE-INDEX)
024600         SET X-TABLE-INDEX       UP BY +1
024700         GO TO 1060-SET-ATTRIBUTE.
024800*
024900 1080-CONTINUE.
025000*
025100     IF  MBCA-MBDU-BACK-TABLE-NBR IS NOT EQUAL
025200                                 TO MBCA-MBDU-FIRST-TABLE-NBR
025300         MOVE DFHBMASB           TO DU01-FWD-BACK-IND-A (1).
025400*
025500     IF  WS-FWD-TABLE-NBR IS NOT EQUAL TO ZEROES
025600         MOVE DFHBMASB           TO DU01-FWD-BACK-IND-A (15).
025700*
025800****************************************************************
025900*    WRITE THE TEMP STORAGE RECORD                             *
026000****************************************************************
026100*
026200     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
026300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
026400*
026500     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
026600         VARYING X-TABLE-INDEX FROM +1 BY +1
026700         UNTIL   X-TABLE-INDEX IS GREATER THAN +15.
026800*
026900     SET X-TABLE-INDEX           TO +1.
027000*
027100 1090-CURSOR-LOOP.
027200*
027300     IF  X-TABLE-INDEX IS GREATER THAN +15
027400         MOVE SS08WS-CURSOR      TO DU01-ALT-TRANID-L
027500         GO TO 1100-CONTINUE.
027600*
027700     IF  DU01-SELECT-A (X-TABLE-INDEX)
027800                                 IS EQUAL TO DFHBMASK
027900         SET X-TABLE-INDEX       UP BY +1
028000         GO TO 1090-CURSOR-LOOP
028100     ELSE
028200         MOVE SS08WS-CURSOR      TO DU01-SELECT-L
028300                                    (X-TABLE-INDEX).
028400*
028500 1100-CONTINUE.
028600*
028700     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
028800     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
028900     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
029000     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
029100     MOVE SS08WS-LINE-24         TO DU01-PF-KEYS.
029200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
029300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
029400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
029500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
029600*
029700     MOVE DFHBMASK               TO DU01-CURRENT-PAGE-A.
029800*
029900****************************************************************
030000*    SEND THE MAP                                              *
030100****************************************************************
030200*
030300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030500                                 THRU MB60PD-SMWE-EXIT.
030600*
030700****************************************************************
030800*    RETURN TO CICS                                            *
030900****************************************************************
031000*
031100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031200     PERFORM MB70PD-RETURN-TRANS-ID
031300                                 THRU MB70PD-RTI-EXIT.
031400/
031500 2000-RECEIVE-SCREEN SECTION.
031600*
031700     IF  MBCA-EIBAID-CLEAR
031800         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
031900         PERFORM 8300-TEMP-STORAGE-DELETE
032000                                 THRU 8399-TSD-EXIT
032100         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
032200         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
032300                                 THRU MB70PD-OLH-EXIT.
032400*
032500****************************************************************
032600*    THIS SECTION RECEIVES THE 01 SCREEN                       *
032700****************************************************************
032800*
032900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
033000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
033100*
033200*****************************************************
033300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
033400*****************************************************
033500*
033600     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
033700     PERFORM 8100-TEMP-STORAGE-GETMAIN
033800                                 THRU 8199-TSG-EXIT.
033900*
034000***********************************************
034100*    READ THE TEMP STORAGE RECORD             *
034200***********************************************
034300*
034400     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
034500     PERFORM 8200-TEMP-STORAGE-READ
034600                                 THRU 8299-TSR-EXIT.
034700*
034800***********************************************
034900*    DELETE THE TEMP STORAGE RECORD           *
035000***********************************************
035100*
035200     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
035300     PERFORM 8300-TEMP-STORAGE-DELETE
035400                                 THRU 8399-TSD-EXIT.
035500*
035600****************************************************************
035700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
035800****************************************************************
035900*
036000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
036100     PERFORM MB60PD-NEW-TRANS-ROUTINE
036200                                 THRU MB60PD-NTR-EXIT.
036300*
036400 2005-EDIT-SELECT.
036500*
036600****************************************************************
036700*    EDIT SELECT FIELD                                         *
036800****************************************************************
036900*
037000     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
037100*
037200 2090-CHECK-ERROR.
037300*
037400     IF  SS08WS-ERROR-SW-NO
037500         GO TO 2400-CHECK-SELECT.
037600*
037700 2300-SEND-MAP.
037800*
037900***********************************************
038000*    WRITE THE TEMP STORAGE RECORD            *
038100***********************************************
038200*
038300     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
038400     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
038500*
038600****************************************************************
038700*    SEND THE MAP                                              *
038800****************************************************************
038900*
039000     PERFORM MB60PD-INIT-STD-MAP-LINES
039100                                 THRU MB60PD-ISML-EXIT.
039200*
039300     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
039400     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
039500     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
039600     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
039700     MOVE SS08WS-LINE-24         TO DU01-PF-KEYS.
039800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
039900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
040000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
040100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
040200*
040300     MOVE DFHBMASK               TO DU01-CURRENT-PAGE-A.
040400*
040500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
040600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
040700                                 THRU MB60PD-SMDO-EXIT.
040800*
040900****************************************************************
041000*    RETURN TO CICS                                            *
041100****************************************************************
041200*
041300     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
041400     PERFORM MB70PD-RETURN-TRANS-ID
041500                                 THRU MB70PD-RTI-EXIT.
041600/
041700 2400-CHECK-SELECT.
041800*
041900     IF  WS-SELECT-YES
042000         SET X-MBDUTS-INDEX      TO X-TABLE-INDEX
042100         MOVE MBDUTS-TABLE-NBR (X-MBDUTS-INDEX)
042200                                 TO MBCA-TABLE
042300         MOVE MBIOWS-MMFP-DIRECT-KEY-CODE
042400                                 TO MBCA-KEY-CODE
042500         SET MBCA-INITIAL-SCREEN-NBR
042600                                 TO TRUE
042700         EVALUATE TRUE
042800           WHEN DU01-VALID-INQUIRY (X-TABLE-INDEX)
042900               MOVE '..QU'       TO SS08WS-WORK-TRANS-ID
043000           WHEN DU01-VALID-STATUS-MAINT (X-TABLE-INDEX)
043100               MOVE '..9U'       TO SS08WS-WORK-TRANS-ID
043200           WHEN OTHER
043300               MOVE '..MU'       TO SS08WS-WORK-TRANS-ID
043400         END-EVALUATE
043500         GO TO 2690-PF-KEY-BYPASS.
043600/
043700 2600-SETUP-COMMAREA.
043800*
043900****************************************************************
044000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
044100****************************************************************
044200*
044300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
044400*
044500     IF  SS08WS-VALID-PF3
044600     OR  SS08WS-EIBAID-VALID-PF3
044700         MOVE 51                 TO MBCA-SCREEN-NBR
044800         MOVE MBCA-MBDU-FIRST-TABLE-NBR
044900                                 TO MBCA-MBDU-FWD-TABLE-NBR
045000         SET MBCA-MBDU-RETURN-NORMAL
045100                                 TO TRUE
045200         GO TO 2690-PF-KEY-BYPASS.
045300*
045400     IF  SS08WS-VALID-PF4
045500     OR  SS08WS-EIBAID-VALID-PF4
045600         MOVE 51                 TO MBCA-SCREEN-NBR
045700         IF (MBDUTS-TABLE-NBR (1) IS GREATER THAN ZEROES
045800         AND MBDUTS-TABLE-NBR (15) IS EQUAL TO ZEROES)
045900         OR (MBCA-MBDU-FWD-TABLE-NBR IS EQUAL TO ZEROES)
046000             SET MBCA-MBDU-RETURN-NORMAL
046100                                 TO TRUE
046200             MOVE ZEROES         TO MBCA-MBDU-FWD-TABLE-NBR
046300             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
046400             PERFORM 8400-WRITE-QUEUE
046500                                 THRU 8499-WQ-EXIT
046600             GO TO 2690-PF-KEY-BYPASS
046700         ELSE
046800             SET MBCA-MBDU-RETURN-BOTTOM
046900                                 TO TRUE
047000             GO TO 2690-PF-KEY-BYPASS.
047100*
047200     IF  SS08WS-VALID-PF5
047300     OR  SS08WS-EIBAID-VALID-PF5
047400         MOVE 51                 TO MBCA-SCREEN-NBR
047500         IF (MBDUTS-TABLE-NBR (1) IS GREATER THAN ZEROES
047600         AND MBDUTS-TABLE-NBR (15) IS EQUAL TO ZEROES)
047700         OR (MBCA-MBDU-FWD-TABLE-NBR IS EQUAL TO ZEROES)
047800             SET MBCA-MBDU-RETURN-NORMAL
047900                                 TO TRUE
048000             MOVE ZEROES         TO MBCA-MBDU-FWD-TABLE-NBR
048100             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
048200             PERFORM 8400-WRITE-QUEUE
048300                                 THRU 8499-WQ-EXIT
048400             GO TO 2690-PF-KEY-BYPASS
048500         ELSE
048600             SET MBCA-MBDU-RETURN-FWD
048700                                 TO TRUE
048800             ADD 1               TO MBCA-MBDU-FWD-TABLE-NBR
048900             GO TO 2690-PF-KEY-BYPASS.
049000*
049100     IF  SS08WS-VALID-PF6
049200     OR  SS08WS-EIBAID-VALID-PF6
049300         MOVE 51                 TO MBCA-SCREEN-NBR
049400         IF  MBCA-MBDU-BACK-TABLE-NBR IS EQUAL
049500                                 TO MBCA-MBDU-FIRST-TABLE-NBR
049600             SET MBCA-MBDU-RETURN-NORMAL
049700                                 TO TRUE
049800             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
049900             PERFORM 8400-WRITE-QUEUE
050000                                 THRU 8499-WQ-EXIT
050100             GO TO 2690-PF-KEY-BYPASS
050200         ELSE
050300             MOVE MBCA-MBDU-BACK-TABLE-NBR
050400                                 TO MBCA-MBDU-FWD-TABLE-NBR
050500             SET MBCA-MBDU-RETURN-BWD
050600                                 TO TRUE
050700             GO TO 2690-PF-KEY-BYPASS.
050800*
050900     IF  SS08WS-VALID-PF-KEY
051000     OR  SS08WS-EIBAID-VALID-PF-KEY
051100     OR  MBDUTS-TABLE-NBR (15) IS EQUAL TO ZEROES
051200     OR  MBCA-MBDU-FWD-TABLE-NBR IS EQUAL TO ZEROES
051300         SET MBCA-INITIAL-SCREEN-NBR
051400                                 TO TRUE
051500         MOVE MBIOWS-MMFP-KEY-CODE
051600                                 TO MBCA-KEY-CODE
051700         SET MBCA-MBDU-RETURN-NORMAL
051800                                 TO TRUE
051900         GO TO 2690-PF-KEY-BYPASS.
052000*
052100     MOVE 51                     TO MBCA-SCREEN-NBR.
052200     ADD 1                       TO MBCA-MBDU-FWD-TABLE-NBR.
052300     SET MBCA-MBDU-RETURN-NORMAL TO TRUE.
052400*
052500 2690-PF-KEY-BYPASS.
052600*
052700     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
052800     PERFORM MB70PD-XCTL-TO-MBOXCTL
052900                                 THRU MB70PD-XTM-EXIT.
053000/
053100 8000-PERFORMED-ROUTINES-SECT SECTION.
053200*
053300 8100-TEMP-STORAGE-GETMAIN.
053400*
053500     EXEC CICS GETMAIN
053600               FLENGTH (LENGTH  OF MBDUTS-RECORD)
053700               SET     (ADDRESS OF MBDUTS-RECORD)
053800          END-EXEC.
053900*
054000 8199-TSG-EXIT.
054100     EXIT.
054200*
054300 8200-TEMP-STORAGE-READ.
054400*
054500     EXEC CICS READQ TS
054600               QUEUE   (TS-QUEUE-NAME)
054700               INTO    (MBDUTS-RECORD)
054800               LENGTH  (LENGTH  OF MBDUTS-RECORD)
054900               ITEM    (1)
055000          END-EXEC.
055100*
055200 8299-TSR-EXIT.
055300     EXIT.
055400*
055500 8300-TEMP-STORAGE-DELETE.
055600*
055700     EXEC CICS IGNORE CONDITION
055800               QIDERR
055900          END-EXEC.
056000*
056100     EXEC CICS DELETEQ TS
056200               QUEUE  (TS-QUEUE-NAME)
056300          END-EXEC.
056400*
056500 8399-TSD-EXIT.
056600     EXIT.
056700*
056800 8400-WRITE-QUEUE.
056900*
057000     EXEC CICS WRITEQ TS
057100               QUEUE   (TS-QUEUE-NAME)
057200               FROM    (MBDUTS-RECORD)
057300               LENGTH  (LENGTH  OF MBDUTS-RECORD)
057400          END-EXEC.
057500*
057600 8499-WQ-EXIT.
057700     EXIT.
057800*
057900 8600-EDIT-SELECT.
058000*
058100     SET X-TABLE-INDEX           TO +1.
058200*
058300 8600-EDIT-LOOP.
058400*
058500     IF  DU01-SELECT-L (X-TABLE-INDEX) IS GREATER THAN ZERO
058600         IF  DU01-VALID-SELECT (X-TABLE-INDEX)
058700             MOVE DFHBMASF       TO DU01-SELECT-A
058800                                    (X-TABLE-INDEX)
058900             MOVE DFHBMDAS       TO DU01-SELECT-LP-A
059000                                    (X-TABLE-INDEX)
059100                                    DU01-SELECT-RP-A
059200                                    (X-TABLE-INDEX)
059300             IF  DU01-VALID-INQUIRY-MAINT (X-TABLE-INDEX)
059400                 SET WS-SELECT-YES
059500                                 TO TRUE
059600                 GO TO 8699-ES-EXIT
059700             ELSE
059800                 NEXT SENTENCE
059900         ELSE
060000             SET SS08WS-ERROR-SW-YES TO TRUE
060100             MOVE SS08WS-CURSOR  TO DU01-SELECT-L
060200                                    (X-TABLE-INDEX)
060300             MOVE DFHBMUBF       TO DU01-SELECT-A
060400                                    (X-TABLE-INDEX)
060500             MOVE DFHBMASB       TO DU01-SELECT-LP-A
060600                                    (X-TABLE-INDEX)
060700                                    DU01-SELECT-RP-A
060800                                    (X-TABLE-INDEX)
060900             GO TO 8699-ES-EXIT.
061000*
061100     IF  X-TABLE-INDEX IS LESS THAN +15
061200         SET X-TABLE-INDEX       UP BY +1
061300         GO TO 8600-EDIT-LOOP.
061400*
061500 8699-ES-EXIT.
061600     EXIT.
061700*
061800 8800-BUILD-SCREEN.
061900*
062000     SET X-TABLE-INDEX           TO +1.
062100*
062200 8800-BUILD-LOOP.
062300*
062400     SET X-MBDUTS-INDEX          TO X-TABLE-INDEX.
062500*
062600     IF  MBDUTS-TABLE-NBR (X-MBDUTS-INDEX)
062700                                 IS GREATER THAN ZEROES
062800         MOVE MBDUTS-TABLE-NBR (X-MBDUTS-INDEX)
062900                                 TO WS-TABLE-NBR
063000         MOVE MBDUTS-STATUS-CODE (X-MBDUTS-INDEX)
063100                                 TO WS-STATUS-CODE
063200         MOVE MBDUTS-DESCRIPTION (X-MBDUTS-INDEX)
063300                                 TO WS-DESCRIPTION
063400         MOVE WS-DETAIL-LINE     TO DU01-DIRECTORY-LINE
063500                                    (X-TABLE-INDEX)
063600     ELSE
063700         MOVE DFHBMASK           TO DU01-SELECT-A
063800                                    (X-TABLE-INDEX)
063900         MOVE DFHBMDAS           TO DU01-DIRECTORY-LINE-A
064000                                    (X-TABLE-INDEX)
064100                                    DU01-SELECT-LP-A
064200                                    (X-TABLE-INDEX)
064300                                    DU01-SELECT-RP-A
064400                                    (X-TABLE-INDEX).
064500*
064600     IF  X-TABLE-INDEX IS LESS THAN +15
064700         SET X-TABLE-INDEX       UP BY +1
064800         GO TO 8800-BUILD-LOOP
064900     ELSE
065000         MOVE MBCA-MBDU-FWD-TABLE-NBR
065100                                 TO WS-FWD-TABLE-NBR.
065200*
065300 8899-BS-EXIT.
065400     EXIT.
065500*
065600 8900-LAST-SCREEN.
065700*
065800****************************************************************
065900*    START BROWSE THE FRAUD TABLE FILE                         *
066000****************************************************************
066100*
066200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
066300     MOVE MBCA-MBDU-ORG          TO MBIOWS-MMFP-ORG.
066400     MOVE 999999999              TO MBIOWS-MMFP-TABLE-NBR.
066500     SET MBIORO-STARTBR-GTE      TO TRUE.
066600     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
066700*
066800****************************************************************
066900*    READNEXT THE FRAUD TABLE FILE                             *
067000****************************************************************
067100*
067200     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
067300     SET MBIORO-READ-SEQ         TO TRUE.
067400     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
067500*
067600****************************************************************
067700*    READPREV THE FRAUD TABLE FILE                             *
067800****************************************************************
067900*
068000     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
068100     SET MBIORO-READ-PREV        TO TRUE.
068200     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
068300*
068400     SET X-TABLE-INDEX           TO +15.
068500     SET WS-BYPASS-NO            TO TRUE.
068600*
068700 8900-READ-TABLE-FILE.
068800*
068900****************************************************************
069000*    READPREV THE FRAUD TABLE FILE                             *
069100****************************************************************
069200*
069300     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
069400     SET MBIORO-READ-PREV        TO TRUE.
069500     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
069600*
069700 8900-BUILD-LOOP.
069800*
069900     IF  MMFP-ORG IS LESS THAN MBCA-MBDU-ORG
070000     OR  MMFP-TABLE-NBR IS LESS THAN MBCA-MBDU-FIRST-TABLE-NBR
070100         GO TO 8900-END-BROWSE.
070200*
070300     IF  MMFP-TABLE-NBR IS EQUAL TO MBCA-MBDU-FIRST-TABLE-NBR
070400     AND X-TABLE-INDEX IS GREATER THAN +1
070500         SET MBCA-MBDU-RETURN-NORMAL
070600                                 TO TRUE
070700         MOVE MBCA-MBDU-FIRST-TABLE-NBR
070800                                 TO MBCA-MBDU-FWD-TABLE-NBR
070900         SET WS-BYPASS-YES       TO TRUE
071000         GO TO 8900-END-BROWSE.
071100*
071200     PERFORM 9500-BUILD-SCREEN-LINE
071300                                 THRU 9599-BSL-EXIT.
071400*
071500     IF  X-TABLE-INDEX IS GREATER THAN +1
071600         SET X-TABLE-INDEX       DOWN BY +1
071700         GO TO 8900-READ-TABLE-FILE
071800     ELSE
071900         MOVE MMFP-TABLE-NBR     TO MBCA-MBDU-BACK-TABLE-NBR.
072000*
072100 8900-END-BROWSE.
072200*
072300****************************************************************
072400*    END BROWSE THE FRAUD TABLE FILE                           *
072500****************************************************************
072600*
072700     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
072800     SET MBIORO-ENDBR            TO TRUE.
072900     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
073000*
073100     IF  WS-BYPASS-YES
073200         GO TO 8999-LS-EXIT.
073300*
073400     MOVE ZEROES                 TO MBCA-MBDU-FWD-TABLE-NBR
073500                                    WS-FWD-TABLE-NBR.
073600*
073700 8999-LS-EXIT.
073800     EXIT.
073900*
074000 9000-BACK-SCREEN.
074100*
074200****************************************************************
074300*    START BROWSE THE FRAUD TABLE FILE                         *
074400****************************************************************
074500*
074600     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
074700     MOVE MBCA-MBDU-ORG          TO MBIOWS-MMFP-ORG.
074800     MOVE MBCA-MBDU-FWD-TABLE-NBR
074900                                 TO MBIOWS-MMFP-TABLE-NBR.
075000     SET MBIORO-STARTBR-GTE      TO TRUE.
075100     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
075200*
075300****************************************************************
075400*    READNEXT THE FRAUD TABLE FILE                             *
075500****************************************************************
075600*
075700     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
075800     SET MBIORO-READ-SEQ         TO TRUE.
075900     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
076000*
076100****************************************************************
076200*    READPREV THE FRAUD TABLE FILE                             *
076300****************************************************************
076400*
076500     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
076600     SET MBIORO-READ-PREV        TO TRUE.
076700     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
076800*
076900     SET X-TABLE-INDEX           TO +15.
077000     SET WS-BYPASS-NO            TO TRUE.
077100*
077200 9000-READ-TABLE-FILE.
077300*
077400****************************************************************
077500*    READPREV THE FRAUD TABLE FILE                             *
077600****************************************************************
077700*
077800     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
077900     SET MBIORO-READ-PREV        TO TRUE.
078000     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
078100*
078200 9000-BUILD-LOOP.
078300*
078400     IF  X-TABLE-INDEX IS GREATER THAN +1
078500     AND MMFP-TABLE-NBR IS EQUAL TO MBCA-MBDU-FIRST-TABLE-NBR
078600         SET MBCA-MBDU-RETURN-NORMAL
078700                                 TO TRUE
078800         MOVE MBCA-MBDU-FIRST-TABLE-NBR
078900                                 TO MBCA-MBDU-FWD-TABLE-NBR
079000         SET WS-BYPASS-YES       TO TRUE
079100         GO TO 9000-END-BROWSE.
079200*
079300     IF  MMFP-TABLE-NBR IS EQUAL TO MBCA-MBDU-BACK-TABLE-NBR
079400     AND X-TABLE-INDEX IS EQUAL TO +15
079500         GO TO 9000-READ-TABLE-FILE.
079600*
079700     PERFORM 9500-BUILD-SCREEN-LINE
079800                                 THRU 9599-BSL-EXIT.
079900*
080000     IF  X-TABLE-INDEX IS EQUAL TO +15
080100         MOVE MMFP-TABLE-NBR     TO MBCA-MBDU-FWD-TABLE-NBR
080200                                    WS-FWD-TABLE-NBR.
080300*
080400     IF  X-TABLE-INDEX IS GREATER THAN +1
080500         SET X-TABLE-INDEX       DOWN BY +1
080600         GO TO 9000-READ-TABLE-FILE
080700     ELSE
080800         MOVE MMFP-TABLE-NBR     TO MBCA-MBDU-BACK-TABLE-NBR.
080900*
081000 9000-END-BROWSE.
081100*
081200****************************************************************
081300*    END BROWSE THE FRAUD TABLE FILE                           *
081400****************************************************************
081500*
081600     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
081700     SET MBIORO-ENDBR            TO TRUE.
081800     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
081900*
082000 9099-BS-EXIT.
082100     EXIT.
082200*
082300 9100-SET-ATTRIBUTE.
082400*
082500     SET X-MBDUTS-INDEX          TO X-TABLE-INDEX.
082600*
082700     IF  MBDUTS-STATUS-INCOMPLETE   (X-MBDUTS-INDEX)
082800         MOVE DFHBMASK           TO DU01-SELECT-A
082900                                    (X-TABLE-INDEX)
083000         MOVE DFHBMDAS           TO DU01-SELECT-LP-A
083100                                    (X-TABLE-INDEX)
083200                                    DU01-SELECT-RP-A
083300                                    (X-TABLE-INDEX).
083400*
083500 9199-SA-EXIT.
083600     EXIT.
083700*
083800 9400-READ-AHEAD.
083900*
084000****************************************************************
084100*    READNEXT THE FRAUD TABLE FILE                             *
084200****************************************************************
084300*
084400     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
084500     SET MBIORO-READ-SEQ         TO TRUE.
084600     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
084700*
084800     IF  MMFP-ORG IS GREATER THAN MBCA-MBDU-ORG
084900         MOVE ZEROES             TO WS-FWD-TABLE-NBR
085000                                    MBCA-MBDU-FWD-TABLE-NBR
085100         GO TO 9499-RA-EXIT.
085200*
085300     MOVE MMFP-TABLE-NBR         TO WS-FWD-TABLE-NBR.
085400*
085500 9499-RA-EXIT.
085600     EXIT.
085700*
085800 9500-BUILD-SCREEN-LINE.
085900*
086000     SET X-MBDUTS-INDEX          TO X-TABLE-INDEX.
086100*
086200     MOVE MMFP-TABLE-NBR         TO WS-TABLE-NBR
086300                                    MBDUTS-TABLE-NBR
086400                                    (X-MBDUTS-INDEX).
086500*
086600     MOVE MMFP-REC-STATUS        TO WS-STATUS-CODE
086700                                    MBDUTS-STATUS-CODE
086800                                    (X-MBDUTS-INDEX).
086900*
087000     MOVE MMFP-FRAUD-TABLE-DESC  TO WS-DESCRIPTION
087100                                    MBDUTS-DESCRIPTION
087200                                    (X-MBDUTS-INDEX).
087300*
087400     MOVE WS-DETAIL-LINE         TO DU01-DIRECTORY-LINE
087500                                    (X-TABLE-INDEX).
087600*
087700 9599-BSL-EXIT.
087800     EXIT.
087900/         JULIAN TO GREGORIAN DATE ROUTINE
088000     COPY SS08PD.
088100/
088200     COPY SS26PD.
088300/
088400     COPY SS27PD.
088500/         LINE 24 PF KEYS ROUTINE
088600     COPY SS15PD.
088700/         FRAUD TABLE RECORD ACCESS ROUTINES
088800     COPY MMFPAO.
088900/         ON-LINE MAP ROUTINES
089000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDU01 '
089100                           MBMAPXXI BY MBDU01I
089200                           MBMAPXXO BY MBDU01O.
089300/         ON-LINE PROCEDURES
089400     COPY MB70PD.
089500/
089600     COPY SMFTPXO.
