000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODV00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODV00 - ON-LINE INVENTORY DIRECTORY                    *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDV                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDV00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMIC   (INVENTORY CONTROL MASTER FILE)     *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/         STANDARD ERROR MESSAGES
004100     COPY MBEMWS.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004400/
004500 LINKAGE SECTION.
004600 01  DFHCOMMAREA.
004700     COPY MB60WS.
004800/         INVENTORY DIRECTORY SCREEN 00 MAP DSECT
004900     COPY MBDV00.
005000/         INVENTORY DIRECTORY SCREEN 00 MAP REDEFINITION
005100     COPY MBDV00R.
005200/         ORG CONTROL RECORD LAYOUT
005300     COPY MMOCRL.
005400/         INVENTORY CONTROL MASTER RECORD LAYOUT
005500     COPY MMICRL.
005600/
005700 PROCEDURE DIVISION.
005800 0000-HOUSEKEEPING SECTION.
005900 0100-INIT.
006000*
006100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006300                                 THRU MB70PD-OLH-EXIT.
006400*
006500     IF  MBCA-RECEIVE-SCREEN
006600         GO TO 2000-RECEIVE-SCREEN.
006700*
006800 1000-SEND-SCREEN SECTION.
006900*
007000****************************************************************
007100*    GET CICS STORAGE NEEDED FOR THE MAP                       *
007200****************************************************************
007300*
007400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007500     PERFORM MB60PD-GETMAIN-FOR-MAP
007600                                 THRU MB60PD-GFM-EXIT.
007700*
007800*****************************************************************
007900*    CHECK KEY CODES                                            *
008000* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
008100* 2. IF MMIC KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
008200*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
008300*    ORG AND MERCHANT INTO THE MAP.  IF AN ERROR OCCURS         *
008400*    IN THE RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE *
008500*    MAP AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE   *
008600*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
008700*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND MERCHANT          *
008800*    INTO THE MAP AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.*
008900* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
009000*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP.         *
009100*    SEE IF THE MBCA-MERCHANT FIELD IS GREATER THAN ZERO. IF SO,*
009200*    PLUG INTO MAP. HANDLE IF THEY WERE NON-DIRECT.             *
009300*****************************************************************
009400*
009500     IF  MBCA-INITIAL-KEY-CODE
009600         GO TO 1100-BUILD-SCREEN.
009700*
009800     IF  MBCA-MMIC-KEY-CODE
009900     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
010000         MOVE MBCA-MERCHANT-ORG  TO DV00-ORG
010100         MOVE DFHBMUNF           TO DV00-ORG-A
010200         IF  MBCA-MERCHANT IS GREATER THAN ZEROES
010300             MOVE MBCA-MERCHANT  TO DV00-MERCHANT
010400             MOVE DFHBMUNF       TO DV00-MERCHANT-A
010500         ELSE
010600             GO TO 1050-CHECK-KEY-CODE
010700     ELSE
010800         GO TO 1050-CHECK-KEY-CODE.
010900*
011000     IF  MBCA-DIRECT-TRANSFER-CODE
011100     AND MBCA-INITIAL-SCREEN-NBR
011200         MOVE 00         TO MBCA-SCREEN-NBR
011300         GO TO 2120-READ-ORG
011400     ELSE
011500         GO TO 1100-BUILD-SCREEN.
011600*
011700 1050-CHECK-KEY-CODE.
011800*
011900     IF  MBCA-VALID-KEY-CODES
012000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
012100         MOVE MBCA-MERCHANT-ORG  TO DV00-ORG
012200         MOVE DFHBMUNF           TO DV00-ORG-A
012300         IF  MBCA-MERCHANT IS GREATER THAN ZEROES
012400             MOVE MBCA-MERCHANT  TO DV00-MERCHANT
012500             MOVE DFHBMUNF       TO DV00-MERCHANT-A.
012600*
012700 1100-BUILD-SCREEN.
012800*
012900****************************************************************
013000*    INITIALIZE THE STANDARD MAP LINES                         *
013100****************************************************************
013200*
013300     MOVE SS08WS-CURSOR          TO DV00-ORG-L.
013400     MOVE 00                     TO MBCA-SCREEN-NBR.
013500     PERFORM MB60PD-INIT-STD-MAP-LINES
013600                                 THRU MB60PD-ISML-EXIT.
013700*
013800     IF  MBCA-MERCHANT-ORG IS NUMERIC
013900     AND MBCA-MERCHANT-ORG IS GREATER THAN ZEROES
014000         MOVE MBCA-MERCHANT-ORG  TO DV00-ORG
014100         MOVE DFHBMUNF           TO DV00-ORG-A.
014200*
014300     IF  MBCA-MERCHANT IS NUMERIC
014400     AND MBCA-MERCHANT IS GREATER THAN ZEROES
014500         MOVE MBCA-MERCHANT      TO DV00-MERCHANT
014600         MOVE DFHBMUNF           TO DV00-MERCHANT-A.
014700*
014800     MOVE DFHBMASK               TO DV00-CURRENT-PAGE-A.
014900*
015000****************************************************************
015100*    SEND THE MAP                                              *
015200****************************************************************
015300*
015400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
015500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
015600                                 THRU MB60PD-SMWE-EXIT.
015700*
015800****************************************************************
015900*    RETURN TO CICS                                            *
016000****************************************************************
016100*
016200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
016300     PERFORM MB70PD-RETURN-TRANS-ID
016400                                 THRU MB70PD-RTI-EXIT.
016500/
016600 2000-RECEIVE-SCREEN SECTION.
016700*
016800****************************************************************
016900*    THIS SECTION RECEIVES THE 00 SCREEN                       *
017000****************************************************************
017100*
017200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
017300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
017400*
017500****************************************************************
017600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017700****************************************************************
017800*
017900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
018000     PERFORM MB60PD-NEW-TRANS-ROUTINE
018100                                 THRU MB60PD-NTR-EXIT.
018200*
018300 2100-EDIT-SCREEN.
018400*
018500     SET SS08WS-ERROR-SW-NO      TO TRUE.
018600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
018700*
018800     IF  (DV00-ORG-L IS LESS THAN 1
018900     AND  DV00-MERCHANT-L IS LESS THAN 1)
019000     AND (SS08WS-VALID-PF-KEY
019100     OR   SS08WS-EIBAID-VALID-PF-KEY)
019200         SET MBCA-INITIAL-SCREEN-NBR
019300                                 TO TRUE
019400         GO TO 2690-TRANSFER-XCTL.
019500*
019600 2110-EDIT-ORG.
019700*
019800     MOVE DFHBMUNF               TO DV00-ORG-A.
019900     MOVE DFHBMASK               TO DV00-ORG-LP-A
020000                                    DV00-ORG-RP-A.
020100*
020200     IF  DV00-ORG-L IS EQUAL TO ZERO
020300     OR  DV00-ORG IS NOT NUMERIC
020400         MOVE MBEMWS-INVALID-ORG TO DV00-ERR-MESSAGE
020500         GO TO 2130-ORG-ERROR.
020600*
020700     IF  DV00-ORG IS LESS THAN MBCA-ORG-LOW
020800     OR  DV00-ORG IS GREATER THAN MBCA-ORG-HIGH
020900         MOVE MBEMWS-INVALID-ORG TO DV00-ERR-MESSAGE
021000         GO TO 2130-ORG-ERROR.
021100*
021200 2120-READ-ORG.
021300*
021400****************************************************************
021500*    READ THE ORGANIZATION FILE                                *
021600****************************************************************
021700*
021800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021900     MOVE DV00-ORG               TO MBIOWS-MMOC-ORG.
022000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
022100     SET MBIORO-READ-RANDOM      TO TRUE.
022200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
022300*
022400     IF  SS08WS-RC-FC-VALID-RTN-CODE
022500         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
022600                                    MBCA-MBDV-ORG
022700         IF  MMOC-ADD-PENDING
022800             MOVE MBEMWS-ADD-PENDING
022900                                 TO DV00-ERR-MESSAGE
023000         ELSE
023100             IF  MMOC-REC-INCOMPLETE
023200             OR  MMOC-REC-PURGED
023300                 MOVE MBEMWS-NOT-ACTIVE
023400                                 TO DV00-ERR-MESSAGE
023500             ELSE
023600                 MOVE MMOC-NA-LINE (1 1)
023700                                 TO MBCA-MBDV-ORG-NAME
023800                 GO TO 2140-EDIT-MERCHANT
023900     ELSE
024000         MOVE MBEMWS-NOT-ON-FILE TO DV00-ERR-MESSAGE.
024100*
024200 2130-ORG-ERROR.
024300*
024400     MOVE DFHBMNBF               TO DV00-ORG-A.
024500     MOVE DFHBMASB               TO DV00-ORG-LP-A
024600                                    DV00-ORG-RP-A.
024700     MOVE SS08WS-CURSOR          TO DV00-ORG-L.
024800     SET SS08WS-ERROR-SW-YES     TO TRUE.
024900*
025000 2140-EDIT-MERCHANT.
025100*
025200     MOVE DFHBMUNF               TO DV00-MERCHANT-A.
025300     MOVE DFHBMASK               TO DV00-MERCHANT-LP-A
025400                                    DV00-MERCHANT-RP-A.
025500*
025600     IF  DV00-MERCHANT-L IS EQUAL TO ZERO
025700         MOVE ZEROES             TO DV00-MERCHANT
025800     ELSE
025900         IF  DV00-MERCHANT IS NOT NUMERIC
026000             MOVE 'INVALID BEG MERCHANT NUMBER'
026100                                 TO DV00-ERR-MESSAGE
026200             GO TO 2150-MERCHANT-ERROR.
026300*
026400     IF  SS08WS-ERROR-SW-YES
026500         GO TO 2290-CHECK-ERROR.
026600*
026700****************************************************************
026800*    START BROWSE THE INVENTORY FILE                           *
026900****************************************************************
027000*
027100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027200     MOVE DV00-ORG               TO MBIOWS-MMIC-ORG.
027300     MOVE DV00-MERCHANT          TO MBIOWS-MMIC-MERCHANT.
027400     MOVE 'M'                    TO MBIOWS-MMIC-TYPE.
027500     SET MBIORO-STARTBR-GTE      TO TRUE.
027600     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
027700*
027800****************************************************************
027900*    READNEXT THE INVENTORY FILE                               *
028000****************************************************************
028100*
028200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
028300     SET MBIORO-READ-SEQ         TO TRUE.
028400     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
028500*
028600****************************************************************
028700*    END BROWSE THE INVENTORY FILE                             *
028800****************************************************************
028900*
029000     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
029100     SET MBIORO-ENDBR            TO TRUE.
029200     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
029300*
029400     IF  MMIC-ORG IS GREATER THAN MBCA-MBDV-ORG
029500         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
029600                                 TO DV00-ERR-MESSAGE
029700         MOVE DFHBMNBF           TO DV00-ORG-A
029800         MOVE DFHBMASB           TO DV00-ORG-LP-A
029900                                    DV00-ORG-RP-A
030000         MOVE SS08WS-CURSOR      TO DV00-ORG-L
030100     ELSE
030200         MOVE MMIC-MERCHANT      TO MBCA-MBDV-FIRST-MERCHANT
030300                                    MBCA-MBDV-FWD-MERCHANT
030400                                    MBCA-MERCHANT
030500         MOVE MMIC-TYPE          TO MBCA-MBDV-FWD-TYPE
030600         MOVE SPACES             TO MBCA-MBDV-RETURN-FLAG
030700         MOVE ZEROES             TO MBCA-MBDV-BACK-MERCHANT
030800         GO TO 2290-CHECK-ERROR.
030900*
031000 2150-MERCHANT-ERROR.
031100*
031200     MOVE DFHBMNBF               TO DV00-MERCHANT-A.
031300     MOVE DFHBMASB               TO DV00-MERCHANT-LP-A
031400                                    DV00-MERCHANT-RP-A.
031500     MOVE SS08WS-CURSOR          TO DV00-MERCHANT-L.
031600     SET SS08WS-ERROR-SW-YES     TO TRUE.
031700*
031800 2290-CHECK-ERROR.
031900*
032000     IF  SS08WS-ERROR-SW-NO
032100         GO TO 2600-SETUP-COMMAREA
032200     ELSE
032300         IF  SS08WS-VALID-PF-KEY
032400         OR  SS08WS-EIBAID-VALID-PF-KEY
032500             SET MBCA-INITIAL-SCREEN-NBR
032600                                 TO TRUE
032700             GO TO 2690-TRANSFER-XCTL.
032800*
032900 2300-SEND-MAP.
033000*
033100****************************************************************
033200*    SEND THE MAP                                              *
033300****************************************************************
033400*
033500     PERFORM MB60PD-INIT-STD-MAP-LINES
033600                                 THRU MB60PD-ISML-EXIT.
033700*
033800     MOVE DFHBMASK               TO DV00-CURRENT-PAGE-A.
033900*
034000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
034100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
034200                                 THRU MB60PD-SMDO-EXIT.
034300*
034400****************************************************************
034500*    RETURN TO CICS                                            *
034600****************************************************************
034700*
034800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
034900     PERFORM MB70PD-RETURN-TRANS-ID
035000                                 THRU MB70PD-RTI-EXIT.
035100/
035200 2600-SETUP-COMMAREA.
035300*
035400****************************************************************
035500*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
035600****************************************************************
035700*
035800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
035900*
036000     MOVE MBIOWS-MMIC-KEY-CODE   TO MBCA-KEY-CODE.
036100*
036200     PERFORM MB60PD-EDIT-PAGE-NBR
036300                                 THRU MB60PD-EPN-EXIT.
036400*
036500     IF  SS08WS-VALID-PF-KEY
036600     OR  SS08WS-EIBAID-VALID-PF-KEY
036700         SET MBCA-INITIAL-SCREEN-NBR
036800                                 TO TRUE.
036900*
037000 2690-TRANSFER-XCTL.
037100*
037200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037300     PERFORM MB70PD-XCTL-TO-MBOXCTL
037400                                 THRU MB70PD-XTM-EXIT.
037500/
037600 9000-PERFORMED-ROUTINES-SECT SECTION.
037700*         JULIAN TO GREGORIAN DATE ROUTINE
037800     COPY SS08PD.
037900/
038000     COPY SS26PD.
038100/
038200     COPY SS27PD.
038300/         LINE 24 PF KEYS ROUTINE
038400     COPY SS15PD.
038500/         ORG RECORD ACCESS ROUTINES
038600     COPY MMOCAO.
038700/         INVENTORY CONTROL RECORD ACCESS ROUTINES
038800     COPY MMICAO.
038900/         ON-LINE MAP ROUTINES
039000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDV00 '
039100                           MBMAPXXI BY MBDV00I
039200                           MBMAPXXO BY MBDV00O.
039300/         ON-LINE PROCEDURES
039400     COPY MB70PD.
039500/
039600     COPY SMFTPXO.
