000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODV01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBODV01 - ON-LINE INVENTORY DIRECTORY                    *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDV                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDV01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMIC   (INVENTORY CONTROL MASTER FILE)     *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FWD-MERCHANT     PIC  9(09)      VALUE ZEROES.
004300     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-SELECT-NO                    VALUE 'N'.
004500         88  WS-SELECT-YES                   VALUE 'Y'.
004600     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-BYPASS-NO                    VALUE 'N'.
004800         88  WS-BYPASS-YES                   VALUE 'Y'.
004900     03  TS-QUEUE-NAME.
005000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBDV'.
005200*
005300 01  WS-DETAIL-LINE.
005400     03  WS-MERCHANT-NBR     PIC  9(09).
005500     03  FILLER              PIC  X(03)      VALUE SPACES.
005600     03  WS-MERCHANT-TYPE    PIC  X(01).
005700     03  FILLER              PIC  X(03)      VALUE SPACES.
005800     03  WS-MERCHANT-NAME    PIC  X(30).
005900     03  FILLER              PIC  X(03)      VALUE SPACES.
006000     03  WS-PHONE-NUMBER     PIC  X(17).
006100     03  FILLER              PIC  X(02)      VALUE SPACES.
006200     03  WS-STATUS-CODE      PIC  9(01).
006300*
006400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006500/
006600 LINKAGE SECTION.
006700 01  DFHCOMMAREA.
006800     COPY MB60WS.
006900/         INVENTORY DIRECTORY SCREEN 01 MAP DSECT
007000     COPY MBDV01.
007100/         INVENTORY DIRECTORY SCREEN 01 MAP REDEFINITION
007200     COPY MBDV01R.
007300/         INVENTORY CONTROL MASTER RECORD LAYOUT
007400     COPY MMICRL.
007500/         INVENTORY DIRECTORY TEMPORARY STORAGE
007600     COPY MBDVTS.
007700/
007800 PROCEDURE DIVISION.
007900 0000-HOUSEKEEPING SECTION.
008000 0100-INIT.
008100*
008200     MOVE MBCA-EIBAID                 TO WS-SAVE-EIBAID.
008300     SET MBCA-EIBAID-ENTER            TO TRUE.
008400*
008500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008700                                 THRU MB70PD-OLH-EXIT.
008800*
008900     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
009000     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
009100*
009200     IF  MBCA-RECEIVE-SCREEN
009300         GO TO 2000-RECEIVE-SCREEN.
009400*
009500 1000-SEND-SCREEN SECTION.
009600*
009700****************************************************************
009800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009900****************************************************************
010000*
010100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010200     PERFORM MB60PD-GETMAIN-FOR-MAP
010300                                 THRU MB60PD-GFM-EXIT.
010400*
010500     MOVE MBCA-MBDV-ORG          TO DV01-ORG.
010600     MOVE MBCA-MBDV-ORG-NAME     TO DV01-ORG-NAME.
010700     MOVE MBCA-MBDV-FIRST-MERCHANT
010800                                 TO DV01-MERCHANT.
010900     MOVE 01                     TO MBCA-SCREEN-NBR.
011000*
011100****************************************************************
011200*    INITIALIZE THE STANDARD MAP LINES                         *
011300****************************************************************
011400*
011500     PERFORM MB60PD-INIT-STD-MAP-LINES
011600                                 THRU MB60PD-ISML-EXIT.
011700*
011800****************************************************************
011900*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
012000****************************************************************
012100*
012200     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
012300     PERFORM 8100-TEMP-STORAGE-GETMAIN
012400                                 THRU 8199-TSG-EXIT.
012500*
012600     EXEC CICS HANDLE CONDITION
012700               QIDERR (1010-CHECK-RETURN-FLAG)
012800          END-EXEC.
012900*
013000***********************************************
013100*    READ THE TEMP STORAGE RECORD             *
013200***********************************************
013300*
013400     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM 8200-TEMP-STORAGE-READ
013600                                 THRU 8299-TSR-EXIT.
013700*
013800***********************************************
013900*    DELETE THE TEMP STORAGE RECORD           *
014000***********************************************
014100*
014200     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
014300     PERFORM 8300-TEMP-STORAGE-DELETE
014400                                 THRU 8399-TSD-EXIT.
014500*
014600     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
014700     GO TO 1080-CONTINUE.
014800*
014900 1010-CHECK-RETURN-FLAG.
015000*
015100     IF  MBCA-MBDV-RETURN-BOTTOM
015200         PERFORM 8900-LAST-SCREEN
015300                                 THRU 8999-LS-EXIT
015400         IF  WS-BYPASS-YES
015500             GO TO 1015-READ-INVENTORY
015600         ELSE
015700             GO TO 1080-CONTINUE
015800     ELSE
015900         IF  MBCA-MBDV-RETURN-BWD
016000             PERFORM 9000-BACK-SCREEN
016100                                 THRU 9099-BS-EXIT
016200             IF  WS-BYPASS-YES
016300                 GO TO 1015-READ-INVENTORY
016400             ELSE
016500                 GO TO 1080-CONTINUE.
016600*
016700 1015-READ-INVENTORY.
016800*
016900****************************************************************
017000*    START BROWSE THE INVENTORY FILE                           *
017100****************************************************************
017200*
017300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017400     MOVE MBCA-MBDV-ORG          TO MBIOWS-MMIC-ORG.
017500     MOVE MBCA-MBDV-FWD-MERCHANT TO MBIOWS-MMIC-MERCHANT.
017600     MOVE MBCA-MBDV-FWD-TYPE     TO MBIOWS-MMIC-TYPE.
017700     SET MBIORO-STARTBR-GTE      TO TRUE.
017800     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
017900*
018000     SET X-MERCHANT-INDEX        TO +1.
018100*
018200 1020-READ-LOOP.
018300*
018400****************************************************************
018500*    READNEXT THE INVENTORY FILE                               *
018600****************************************************************
018700*
018800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018900     SET MBIORO-READ-SEQ         TO TRUE.
019000     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
019100*
019200     IF  MMIC-ORG IS GREATER THAN MBCA-MBDV-ORG
019300         GO TO 1020-END-BROWSE.
019400*
019500     PERFORM 9500-BUILD-SCREEN-LINE
019600                                 THRU 9599-BSL-EXIT.
019700*
019800     IF  X-MERCHANT-INDEX IS EQUAL TO +1
019900         MOVE MMIC-MERCHANT      TO MBCA-MBDV-BACK-MERCHANT.
020000*
020100     IF  X-MERCHANT-INDEX IS LESS THAN +14
020200         SET X-MERCHANT-INDEX    UP BY +1
020300         GO TO 1020-READ-LOOP
020400     ELSE
020500         MOVE MMIC-MERCHANT      TO MBCA-MBDV-FWD-MERCHANT
020600         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
020700         SET X-MERCHANT-INDEX    UP BY +1.
020800*
020900 1020-END-BROWSE.
021000*
021100****************************************************************
021200*    END BROWSE THE INVENTORY FILE                             *
021300****************************************************************
021400*
021500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
021600     SET MBIORO-ENDBR            TO TRUE.
021700     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
021800*
021900 1060-SET-ATTRIBUTE.
022000*
022100     IF  X-MERCHANT-INDEX IS EQUAL TO +1
022200         IF  MBCA-MBDV-RETURN-NORMAL
022300             SET MBCA-INITIAL-SCREEN-NBR
022400                                 TO TRUE
022500             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
022600             PERFORM MB70PD-XCTL-TO-MBOXCTL
022700                                 THRU MB70PD-XTM-EXIT
022800         ELSE
022900             MOVE MBCA-MBDV-BACK-MERCHANT
023000                                 TO MBCA-MBDV-FWD-MERCHANT
023100             GO TO 1015-READ-INVENTORY.
023200*
023300     IF  X-MERCHANT-INDEX IS LESS THAN +15
023400         SET X-MBDVTS-INDEX      TO X-MERCHANT-INDEX
023500         MOVE ZEROES             TO MBCA-MBDV-FWD-MERCHANT
023600                                    WS-FWD-MERCHANT
023700                                    MBDVTS-MERCHANT-NBR
023800                                    (X-MBDVTS-INDEX)
023900                                    MBDVTS-STATUS-CODE
024000                                    (X-MBDVTS-INDEX)
024100         MOVE SPACES             TO MBDVTS-MERCHANT-NAME
024200                                    (X-MBDVTS-INDEX)
024300                                    MBDVTS-PHONE-NUMBER
024400                                    (X-MBDVTS-INDEX)
024500                                    MBDVTS-MERCHANT-TYPE
024600                                    (X-MBDVTS-INDEX)
024700         MOVE DFHBMASK           TO DV01-SELECT-A
024800                                    (X-MERCHANT-INDEX)
024900         MOVE DFHBMDAS           TO DV01-DIRECTORY-LINE-A
025000                                    (X-MERCHANT-INDEX)
025100                                    DV01-SELECT-LP-A
025200                                    (X-MERCHANT-INDEX)
025300                                    DV01-SELECT-RP-A
025400                                    (X-MERCHANT-INDEX)
025500         SET X-MERCHANT-INDEX    UP BY +1
025600         GO TO 1060-SET-ATTRIBUTE.
025700*
025800 1080-CONTINUE.
025900*
026000     IF  MBCA-MBDV-BACK-MERCHANT IS NOT EQUAL
026100                                 TO MBCA-MBDV-FIRST-MERCHANT
026200         MOVE DFHBMASB           TO DV01-FWD-BACK-IND-A (1).
026300*
026400     IF  WS-FWD-MERCHANT IS NOT EQUAL TO ZEROES
026500         MOVE DFHBMASB           TO DV01-FWD-BACK-IND-A (14).
026600*
026700****************************************************************
026800*    WRITE THE TEMP STORAGE RECORD                             *
026900****************************************************************
027000*
027100     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
027200     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
027300*
027400     PERFORM 9100-SET-ATTRIBUTE  THRU 9199-SA-EXIT
027500         VARYING X-MERCHANT-INDEX FROM +1 BY +1
027600         UNTIL   X-MERCHANT-INDEX IS GREATER THAN +14.
027700*
027800     SET X-MERCHANT-INDEX        TO +1.
027900*
028000 1090-CURSOR-LOOP.
028100*
028200     IF  X-MERCHANT-INDEX IS GREATER THAN +14
028300         MOVE SS08WS-CURSOR      TO DV01-ALT-TRANID-L
028400         GO TO 1100-CONTINUE.
028500*
028600     IF  DV01-SELECT-A (X-MERCHANT-INDEX)
028700                                 IS EQUAL TO DFHBMASK
028800         SET X-MERCHANT-INDEX    UP BY +1
028900         GO TO 1090-CURSOR-LOOP
029000     ELSE
029100         MOVE SS08WS-CURSOR      TO DV01-SELECT-L
029200                                    (X-MERCHANT-INDEX).
029300*
029400 1100-CONTINUE.
029500*
029600     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
029700     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
029800     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
029900     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
030000     MOVE SS08WS-LINE-24         TO DV01-PF-KEYS.
030100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
030200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
030300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
030400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
030500*
030600     MOVE DFHBMASK               TO DV01-CURRENT-PAGE-A.
030700*
030800****************************************************************
030900*    SEND THE MAP                                              *
031000****************************************************************
031100*
031200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
031300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
031400                                 THRU MB60PD-SMWE-EXIT.
031500*
031600****************************************************************
031700*    RETURN TO CICS                                            *
031800****************************************************************
031900*
032000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
032100     PERFORM MB70PD-RETURN-TRANS-ID
032200                                 THRU MB70PD-RTI-EXIT.
032300/
032400 2000-RECEIVE-SCREEN SECTION.
032500*
032600     IF  MBCA-EIBAID-CLEAR
032700         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
032800         PERFORM 8300-TEMP-STORAGE-DELETE
032900                                 THRU 8399-TSD-EXIT
033000         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
033100         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
033200                                 THRU MB70PD-OLH-EXIT.
033300*
033400****************************************************************
033500*    THIS SECTION RECEIVES THE 01 SCREEN                       *
033600****************************************************************
033700*
033800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
033900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
034000*
034100*****************************************************
034200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
034300*****************************************************
034400*
034500     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM 8100-TEMP-STORAGE-GETMAIN
034700                                 THRU 8199-TSG-EXIT.
034800*
034900***********************************************
035000*    READ THE TEMP STORAGE RECORD             *
035100***********************************************
035200*
035300     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
035400     PERFORM 8200-TEMP-STORAGE-READ
035500                                 THRU 8299-TSR-EXIT.
035600*
035700***********************************************
035800*    DELETE THE TEMP STORAGE RECORD           *
035900***********************************************
036000*
036100     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
036200     PERFORM 8300-TEMP-STORAGE-DELETE
036300                                 THRU 8399-TSD-EXIT.
036400*
036500****************************************************************
036600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
036700****************************************************************
036800*
036900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037000     PERFORM MB60PD-NEW-TRANS-ROUTINE
037100                                 THRU MB60PD-NTR-EXIT.
037200*
037300 2005-EDIT-SELECT.
037400*
037500****************************************************************
037600*    EDIT SELECT FIELD                                         *
037700****************************************************************
037800*
037900     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
038000*
038100 2090-CHECK-ERROR.
038200*
038300     IF  SS08WS-ERROR-SW-NO
038400         GO TO 2400-CHECK-SELECT.
038500*
038600 2300-SEND-MAP.
038700*
038800***********************************************
038900*    WRITE THE TEMP STORAGE RECORD            *
039000***********************************************
039100*
039200     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
039300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
039400*
039500****************************************************************
039600*    SEND THE MAP                                              *
039700****************************************************************
039800*
039900     PERFORM MB60PD-INIT-STD-MAP-LINES
040000                                 THRU MB60PD-ISML-EXIT.
040100*
040200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
040300     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
040400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
040500     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
040600     MOVE SS08WS-LINE-24         TO DV01-PF-KEYS.
040700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
040800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
040900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
041000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
041100*
041200     MOVE DFHBMASK               TO DV01-CURRENT-PAGE-A.
041300*
041400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
041500     PERFORM MB60PD-SEND-MAP-DATA-ONLY
041600                                 THRU MB60PD-SMDO-EXIT.
041700*
041800****************************************************************
041900*    RETURN TO CICS                                            *
042000****************************************************************
042100*
042200     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
042300     PERFORM MB70PD-RETURN-TRANS-ID
042400                                 THRU MB70PD-RTI-EXIT.
042500/
042600 2400-CHECK-SELECT.
042700*
042800     IF  WS-SELECT-YES
042900         SET X-MBDVTS-INDEX      TO X-MERCHANT-INDEX
043000         MOVE MBIOWS-MMIC-DIRECT-KEY-CODE
043100                                 TO MBCA-KEY-CODE
043200         SET MBCA-INITIAL-SCREEN-NBR
043300                                 TO TRUE
043400         MOVE MBDVTS-MERCHANT-TYPE (X-MBDVTS-INDEX)
043500                                 TO MBCA-S-M
043600         IF  MBDVTS-MERCHANT-TYPE (X-MBDVTS-INDEX)
043700                                 IS EQUAL TO 'M'
043800             MOVE MBDVTS-MERCHANT-NBR (X-MBDVTS-INDEX)
043900                                 TO MBCA-MERCHANT
044000         ELSE
044100             MOVE MBDVTS-MERCHANT-NBR (X-MBDVTS-INDEX)
044200                                 TO MBCA-STORE
044300     ELSE
044400         GO TO 2600-SETUP-COMMAREA.
044500*
044600     EVALUATE TRUE
044700       WHEN DV01-VALID-INQUIRY (X-MERCHANT-INDEX)
044800           MOVE '..QV'           TO SS08WS-WORK-TRANS-ID
044900       WHEN DV01-VALID-MAINT (X-MERCHANT-INDEX)
045000           MOVE '..MV'           TO SS08WS-WORK-TRANS-ID
045100       WHEN OTHER
045200           MOVE '..9V'           TO SS08WS-WORK-TRANS-ID
045300     END-EVALUATE
045400     GO TO 2690-PF-KEY-BYPASS.
045500/
045600 2600-SETUP-COMMAREA.
045700*
045800****************************************************************
045900*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
046000****************************************************************
046100*
046200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
046300*
046400     IF  SS08WS-VALID-PF3
046500     OR  SS08WS-EIBAID-VALID-PF3
046600         MOVE 51                 TO MBCA-SCREEN-NBR
046700         MOVE MBCA-MBDV-FIRST-MERCHANT
046800                                 TO MBCA-MBDV-FWD-MERCHANT
046900         SET MBCA-MBDV-RETURN-NORMAL
047000                                 TO TRUE
047100         GO TO 2690-PF-KEY-BYPASS.
047200*
047300     IF  SS08WS-VALID-PF4
047400     OR  SS08WS-EIBAID-VALID-PF4
047500         MOVE 51                 TO MBCA-SCREEN-NBR
047600         IF (MBDVTS-MERCHANT-NBR (1) IS GREATER THAN ZEROES
047700         AND MBDVTS-MERCHANT-NBR (14) IS EQUAL TO ZEROES)
047800         OR (MBCA-MBDV-FWD-MERCHANT IS EQUAL TO ZEROES)
047900             SET MBCA-MBDV-RETURN-NORMAL
048000                                 TO TRUE
048100             MOVE ZEROES         TO MBCA-MBDV-FWD-MERCHANT
048200             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
048300             PERFORM 8400-WRITE-QUEUE
048400                                 THRU 8499-WQ-EXIT
048500             GO TO 2690-PF-KEY-BYPASS
048600         ELSE
048700             SET MBCA-MBDV-RETURN-BOTTOM
048800                                 TO TRUE
048900             GO TO 2690-PF-KEY-BYPASS.
049000*
049100     IF  SS08WS-VALID-PF5
049200     OR  SS08WS-EIBAID-VALID-PF5
049300         MOVE 51                 TO MBCA-SCREEN-NBR
049400         IF (MBDVTS-MERCHANT-NBR (1) IS GREATER THAN ZEROES
049500         AND MBDVTS-MERCHANT-NBR (14) IS EQUAL TO ZEROES)
049600         OR (MBCA-MBDV-FWD-MERCHANT IS EQUAL TO ZEROES)
049700             SET MBCA-MBDV-RETURN-NORMAL
049800                                 TO TRUE
049900             MOVE ZEROES         TO MBCA-MBDV-FWD-MERCHANT
050000             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
050100             PERFORM 8400-WRITE-QUEUE
050200                                 THRU 8499-WQ-EXIT
050300             GO TO 2690-PF-KEY-BYPASS
050400         ELSE
050500             SET MBCA-MBDV-RETURN-FWD
050600                                 TO TRUE
050700             ADD 1               TO MBCA-MBDV-FWD-MERCHANT
050800             GO TO 2690-PF-KEY-BYPASS.
050900*
051000     IF  SS08WS-VALID-PF6
051100     OR  SS08WS-EIBAID-VALID-PF6
051200         MOVE 51                 TO MBCA-SCREEN-NBR
051300         IF  MBCA-MBDV-BACK-MERCHANT IS EQUAL
051400                                 TO MBCA-MBDV-FIRST-MERCHANT
051500             SET MBCA-MBDV-RETURN-NORMAL
051600                                 TO TRUE
051700             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
051800             PERFORM 8400-WRITE-QUEUE
051900                                 THRU 8499-WQ-EXIT
052000             GO TO 2690-PF-KEY-BYPASS
052100         ELSE
052200             MOVE MBCA-MBDV-BACK-MERCHANT
052300                                 TO MBCA-MBDV-FWD-MERCHANT
052400             SET MBCA-MBDV-RETURN-BWD
052500                                 TO TRUE
052600             GO TO 2690-PF-KEY-BYPASS.
052700*
052800     IF  SS08WS-VALID-PF-KEY
052900     OR  SS08WS-EIBAID-VALID-PF-KEY
053000     OR  MBDVTS-MERCHANT-NBR (14) IS EQUAL TO ZEROES
053100     OR  MBCA-MBDV-FWD-MERCHANT IS EQUAL TO ZEROES
053200         SET MBCA-INITIAL-SCREEN-NBR
053300                                 TO TRUE
053400         MOVE MBIOWS-MMIC-KEY-CODE
053500                                 TO MBCA-KEY-CODE
053600         SET MBCA-MBDV-RETURN-NORMAL
053700                                 TO TRUE
053800         GO TO 2690-PF-KEY-BYPASS.
053900*
054000     MOVE 51                     TO MBCA-SCREEN-NBR.
054100     ADD 1                       TO MBCA-MBDV-FWD-MERCHANT.
054200     SET MBCA-MBDV-RETURN-NORMAL TO TRUE.
054300*
054400 2690-PF-KEY-BYPASS.
054500*
054600     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
054700     PERFORM MB70PD-XCTL-TO-MBOXCTL
054800                                 THRU MB70PD-XTM-EXIT.
054900/
055000 8000-PERFORMED-ROUTINES-SECT SECTION.
055100*
055200 8100-TEMP-STORAGE-GETMAIN.
055300*
055400     EXEC CICS GETMAIN
055500               FLENGTH (LENGTH  OF MBDVTS-RECORD)
055600               SET     (ADDRESS OF MBDVTS-RECORD)
055700          END-EXEC.
055800*
055900 8199-TSG-EXIT.
056000     EXIT.
056100*
056200 8200-TEMP-STORAGE-READ.
056300*
056400     EXEC CICS READQ TS
056500               QUEUE   (TS-QUEUE-NAME)
056600               INTO    (MBDVTS-RECORD)
056700               LENGTH  (LENGTH  OF MBDVTS-RECORD)
056800               ITEM    (1)
056900          END-EXEC.
057000*
057100 8299-TSR-EXIT.
057200     EXIT.
057300*
057400 8300-TEMP-STORAGE-DELETE.
057500*
057600     EXEC CICS IGNORE CONDITION
057700               QIDERR
057800          END-EXEC.
057900*
058000     EXEC CICS DELETEQ TS
058100               QUEUE  (TS-QUEUE-NAME)
058200          END-EXEC.
058300*
058400 8399-TSD-EXIT.
058500     EXIT.
058600*
058700 8400-WRITE-QUEUE.
058800*
058900     EXEC CICS WRITEQ TS
059000               QUEUE   (TS-QUEUE-NAME)
059100               FROM    (MBDVTS-RECORD)
059200               LENGTH  (LENGTH  OF MBDVTS-RECORD)
059300          END-EXEC.
059400*
059500 8499-WQ-EXIT.
059600     EXIT.
059700*
059800 8600-EDIT-SELECT.
059900*
060000     SET X-MERCHANT-INDEX        TO +1.
060100*
060200 8600-EDIT-LOOP.
060300*
060400     IF  DV01-SELECT-L (X-MERCHANT-INDEX) IS GREATER THAN ZERO
060500         IF  DV01-VALID-SELECT (X-MERCHANT-INDEX)
060600             MOVE DFHBMASF       TO DV01-SELECT-A
060700                                    (X-MERCHANT-INDEX)
060800             MOVE DFHBMDAS       TO DV01-SELECT-LP-A
060900                                    (X-MERCHANT-INDEX)
061000                                    DV01-SELECT-RP-A
061100                                    (X-MERCHANT-INDEX)
061200             IF  DV01-VALID-INQUIRY-MAINT (X-MERCHANT-INDEX)
061300                 SET WS-SELECT-YES
061400                                 TO TRUE
061500                 GO TO 8699-ES-EXIT
061600             ELSE
061700                 NEXT SENTENCE
061800         ELSE
061900             SET SS08WS-ERROR-SW-YES TO TRUE
062000             MOVE SS08WS-CURSOR  TO DV01-SELECT-L
062100                                    (X-MERCHANT-INDEX)
062200             MOVE DFHBMUBF       TO DV01-SELECT-A
062300                                    (X-MERCHANT-INDEX)
062400             MOVE DFHBMASB       TO DV01-SELECT-LP-A
062500                                    (X-MERCHANT-INDEX)
062600                                    DV01-SELECT-RP-A
062700                                    (X-MERCHANT-INDEX)
062800             GO TO 8699-ES-EXIT.
062900*
063000     IF  X-MERCHANT-INDEX IS LESS THAN +14
063100         SET X-MERCHANT-INDEX    UP BY +1
063200         GO TO 8600-EDIT-LOOP.
063300*
063400 8699-ES-EXIT.
063500     EXIT.
063600*
063700 8800-BUILD-SCREEN.
063800*
063900     SET X-MERCHANT-INDEX        TO +1.
064000*
064100 8800-BUILD-LOOP.
064200*
064300     SET X-MBDVTS-INDEX          TO X-MERCHANT-INDEX.
064400*
064500     IF  MBDVTS-MERCHANT-NBR (X-MBDVTS-INDEX)
064600                                 IS GREATER THAN ZEROES
064700         MOVE MBDVTS-MERCHANT-NBR (X-MBDVTS-INDEX)
064800                                 TO WS-MERCHANT-NBR
064900         MOVE MBDVTS-MERCHANT-TYPE (X-MBDVTS-INDEX)
065000                                 TO WS-MERCHANT-TYPE
065100         MOVE MBDVTS-MERCHANT-NAME (X-MBDVTS-INDEX)
065200                                 TO WS-MERCHANT-NAME
065300         MOVE MBDVTS-PHONE-NUMBER (X-MBDVTS-INDEX)
065400                                 TO WS-PHONE-NUMBER
065500         MOVE MBDVTS-STATUS-CODE (X-MBDVTS-INDEX)
065600                                 TO WS-STATUS-CODE
065700         MOVE WS-DETAIL-LINE     TO DV01-DIRECTORY-LINE
065800                                    (X-MERCHANT-INDEX)
065900     ELSE
066000         MOVE DFHBMASK           TO DV01-SELECT-A
066100                                    (X-MERCHANT-INDEX)
066200         MOVE DFHBMDAS           TO DV01-DIRECTORY-LINE-A
066300                                    (X-MERCHANT-INDEX)
066400                                    DV01-SELECT-LP-A
066500                                    (X-MERCHANT-INDEX)
066600                                    DV01-SELECT-RP-A
066700                                    (X-MERCHANT-INDEX).
066800*
066900     IF  X-MERCHANT-INDEX IS LESS THAN +14
067000         SET X-MERCHANT-INDEX    UP BY +1
067100         GO TO 8800-BUILD-LOOP
067200     ELSE
067300         MOVE MBCA-MBDV-FWD-MERCHANT
067400                                 TO WS-FWD-MERCHANT.
067500*
067600 8899-BS-EXIT.
067700     EXIT.
067800*
067900 8900-LAST-SCREEN.
068000*
068100****************************************************************
068200*    START BROWSE THE INVENTORY FILE                           *
068300****************************************************************
068400*
068500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
068600     MOVE MBCA-MBDV-ORG          TO MBIOWS-MMIC-ORG.
068700     MOVE 999999999              TO MBIOWS-MMIC-MERCHANT.
068800     SET MBIORO-STARTBR-GTE      TO TRUE.
068900     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
069000*
069100****************************************************************
069200*    READNEXT THE INVENTORY FILE                               *
069300****************************************************************
069400*
069500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
069600     SET MBIORO-READ-SEQ         TO TRUE.
069700     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
069800*
069900****************************************************************
070000*    READPREV THE INVENTORY FILE                               *
070100****************************************************************
070200*
070300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
070400     SET MBIORO-READ-PREV        TO TRUE.
070500     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
070600*
070700     SET X-MERCHANT-INDEX        TO +14.
070800     SET WS-BYPASS-NO            TO TRUE.
070900*
071000 8900-READ-INVENTORY-FILE.
071100*
071200****************************************************************
071300*    READPREV THE INVENTORY FILE                               *
071400****************************************************************
071500*
071600     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
071700     SET MBIORO-READ-PREV        TO TRUE.
071800     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
071900*
072000 8900-BUILD-LOOP.
072100*
072200     IF (MMIC-ORG IS LESS THAN MBCA-MBDV-ORG)
072300     OR (MMIC-ORG IS EQUAL TO  MBCA-MBDV-ORG
072400     AND MMIC-MERCHANT IS LESS THAN MBCA-MBDV-FIRST-MERCHANT)
072500         GO TO 8900-END-BROWSE.
072600*
072700     IF  MMIC-MERCHANT IS EQUAL TO MBCA-MBDV-FIRST-MERCHANT
072800     AND X-MERCHANT-INDEX IS GREATER THAN +1
072900         SET MBCA-MBDV-RETURN-NORMAL
073000                                 TO TRUE
073100         MOVE MBCA-MBDV-FIRST-MERCHANT
073200                                 TO MBCA-MBDV-FWD-MERCHANT
073300         SET WS-BYPASS-YES       TO TRUE
073400         GO TO 8900-END-BROWSE.
073500*
073600     PERFORM 9500-BUILD-SCREEN-LINE
073700                                 THRU 9599-BSL-EXIT.
073800*
073900     IF  X-MERCHANT-INDEX IS GREATER THAN +1
074000         SET X-MERCHANT-INDEX    DOWN BY +1
074100         GO TO 8900-READ-INVENTORY-FILE
074200     ELSE
074300         MOVE MMIC-MERCHANT      TO MBCA-MBDV-BACK-MERCHANT.
074400*
074500 8900-END-BROWSE.
074600*
074700****************************************************************
074800*    END BROWSE THE INVENTORY FILE                             *
074900****************************************************************
075000*
075100     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
075200     SET MBIORO-ENDBR            TO TRUE.
075300     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
075400*
075500     IF  WS-BYPASS-YES
075600         GO TO 8999-LS-EXIT.
075700*
075800     MOVE ZEROES                 TO MBCA-MBDV-FWD-MERCHANT
075900                                    WS-FWD-MERCHANT.
076000*
076100 8999-LS-EXIT.
076200     EXIT.
076300*
076400 9000-BACK-SCREEN.
076500*
076600****************************************************************
076700*    START BROWSE THE INVENTORY FILE                           *
076800****************************************************************
076900*
077000     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
077100     MOVE MBCA-MBDV-ORG          TO MBIOWS-MMIC-ORG.
077200     MOVE MBCA-MBDV-FWD-MERCHANT TO MBIOWS-MMIC-MERCHANT.
077300     SET MBIORO-STARTBR-GTE      TO TRUE.
077400     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
077500*
077600****************************************************************
077700*    READNEXT THE INVENTORY FILE                               *
077800****************************************************************
077900*
078000     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
078100     SET MBIORO-READ-SEQ         TO TRUE.
078200     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
078300*
078400****************************************************************
078500*    READPREV THE INVENTORY FILE                               *
078600****************************************************************
078700*
078800     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
078900     SET MBIORO-READ-PREV        TO TRUE.
079000     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
079100*
079200     SET X-MERCHANT-INDEX        TO +14.
079300     SET WS-BYPASS-NO            TO TRUE.
079400*
079500 9000-READ-INVENTORY-FILE.
079600*
079700****************************************************************
079800*    READPREV THE INVENTORY FILE                               *
079900****************************************************************
080000*
080100     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
080200     SET MBIORO-READ-PREV        TO TRUE.
080300     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
080400*
080500 9000-BUILD-LOOP.
080600*
080700     IF  X-MERCHANT-INDEX IS GREATER THAN +1
080800     AND MMIC-MERCHANT IS EQUAL TO MBCA-MBDV-FIRST-MERCHANT
080900         SET MBCA-MBDV-RETURN-NORMAL
081000                                 TO TRUE
081100         MOVE MBCA-MBDV-FIRST-MERCHANT
081200                                 TO MBCA-MBDV-FWD-MERCHANT
081300         SET WS-BYPASS-YES       TO TRUE
081400         GO TO 9000-END-BROWSE.
081500*
081600     IF  MMIC-MERCHANT IS EQUAL TO MBCA-MBDV-BACK-MERCHANT
081700     AND X-MERCHANT-INDEX IS EQUAL TO +14
081800         GO TO 9000-READ-INVENTORY-FILE.
081900*
082000     PERFORM 9500-BUILD-SCREEN-LINE
082100                                 THRU 9599-BSL-EXIT.
082200*
082300     IF  X-MERCHANT-INDEX IS EQUAL TO +14
082400         MOVE MMIC-MERCHANT      TO MBCA-MBDV-FWD-MERCHANT
082500                                    WS-FWD-MERCHANT.
082600*
082700     IF  X-MERCHANT-INDEX IS GREATER THAN +1
082800         SET X-MERCHANT-INDEX    DOWN BY +1
082900         GO TO 9000-READ-INVENTORY-FILE
083000     ELSE
083100         MOVE MMIC-MERCHANT      TO MBCA-MBDV-BACK-MERCHANT.
083200*
083300 9000-END-BROWSE.
083400*
083500****************************************************************
083600*    END BROWSE THE INVENTORY FILE                             *
083700****************************************************************
083800*
083900     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
084000     SET MBIORO-ENDBR            TO TRUE.
084100     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
084200*
084300 9099-BS-EXIT.
084400     EXIT.
084500*
084600 9100-SET-ATTRIBUTE.
084700*
084800     SET X-MBDVTS-INDEX          TO X-MERCHANT-INDEX.
084900*
085000     IF  MBDVTS-STATUS-INCOMPLETE   (X-MBDVTS-INDEX)
085100         MOVE DFHBMASK           TO DV01-SELECT-A
085200                                    (X-MERCHANT-INDEX)
085300         MOVE DFHBMDAS           TO DV01-SELECT-LP-A
085400                                    (X-MERCHANT-INDEX)
085500                                    DV01-SELECT-RP-A
085600                                    (X-MERCHANT-INDEX).
085700*
085800 9199-SA-EXIT.
085900     EXIT.
086000*
086100 9400-READ-AHEAD.
086200*
086300****************************************************************
086400*    READNEXT THE INVENTORY FILE                               *
086500****************************************************************
086600*
086700     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
086800     SET MBIORO-READ-SEQ         TO TRUE.
086900     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
087000*
087100     IF  MMIC-ORG IS GREATER THAN MBCA-MBDV-ORG
087200         MOVE ZEROES             TO WS-FWD-MERCHANT
087300                                    MBCA-MBDV-FWD-MERCHANT
087400         GO TO 9499-RA-EXIT.
087500*
087600     MOVE MMIC-MERCHANT          TO WS-FWD-MERCHANT.
087700*
087800 9499-RA-EXIT.
087900     EXIT.
088000*
088100 9500-BUILD-SCREEN-LINE.
088200*
088300     SET X-MBDVTS-INDEX          TO X-MERCHANT-INDEX.
088400*
088500     MOVE MMIC-MERCHANT          TO WS-MERCHANT-NBR
088600                                    MBDVTS-MERCHANT-NBR
088700                                    (X-MBDVTS-INDEX).
088800*
088900     MOVE MMIC-TYPE              TO WS-MERCHANT-TYPE
089000                                    MBDVTS-MERCHANT-TYPE
089100                                    (X-MBDVTS-INDEX).
089200*
089300     MOVE MMIC-NA-LINE (1 1)     TO WS-MERCHANT-NAME
089400                                    MBDVTS-MERCHANT-NAME
089500                                    (X-MBDVTS-INDEX).
089600*
089700     MOVE MMIC-PHONE (1)         TO WS-PHONE-NUMBER
089800                                    MBDVTS-PHONE-NUMBER
089900                                    (X-MBDVTS-INDEX).
090000*
090100     MOVE MMIC-REC-STATUS        TO WS-STATUS-CODE
090200                                    MBDVTS-STATUS-CODE
090300                                    (X-MBDVTS-INDEX).
090400*
090500     MOVE WS-DETAIL-LINE         TO DV01-DIRECTORY-LINE
090600                                    (X-MERCHANT-INDEX).
090700*
090800 9599-BSL-EXIT.
090900     EXIT.
091000/         JULIAN TO GREGORIAN DATE ROUTINE
091100     COPY SS08PD.
091200/
091300     COPY SS26PD.
091400/
091500     COPY SS27PD.
091600/         LINE 24 PF KEYS ROUTINE
091700     COPY SS15PD.
091800/         INVENTORY CONTROL RECORD ACCESS ROUTINES
091900     COPY MMICAO.
092000/         ON-LINE MAP ROUTINES
092100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDV01 '
092200                           MBMAPXXI BY MBDV01I
092300                           MBMAPXXO BY MBDV01O.
092400/         ON-LINE PROCEDURES
092500     COPY MB70PD.
092600/
092700     COPY SMFTPXO.
