000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBODX00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBODX00 - ON-LINE MERCHANT CHAIN DIRECTORY               *
000800*                SCREEN 00                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBDX                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBDX00 (SCREEN 00)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMTC   (MONETARY TRANS CONTROL FILE)       *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/         STANDARD ERROR MESSAGES
004100     COPY MBEMWS.
004200*
004300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004400/
004500 LINKAGE SECTION.
004600 01  DFHCOMMAREA.
004700     COPY MB60WS.
004800/         MERCHANT CHAIN DIRECTORY SCREEN 01 MAP DSECT
004900     COPY MBDX00.
005000/         MERCHANT CHAIN DIRECTORY SCREEN 01 MAP REDEFINITION
005100     COPY MBDX00R.
005200/         ORG CONTROL RECORD LAYOUT
005300     COPY MMOCRL.
005400/         MONETARY TRANS CONTROL RECORD LAYOUT
005500     COPY MMTCRL.
005600/
005700 PROCEDURE DIVISION.
005800 0000-HOUSEKEEPING SECTION.
005900 0100-INIT.
006000*
006100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006300                                 THRU MB70PD-OLH-EXIT.
006400*
006500     IF  MBCA-RECEIVE-SCREEN
006600         GO TO 2000-RECEIVE-SCREEN.
006700*
006800 1000-SEND-SCREEN SECTION.
006900*
007000****************************************************************
007100*    GET CICS STORAGE NEEDED FOR THE MAP                       *
007200****************************************************************
007300*
007400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007500     PERFORM MB60PD-GETMAIN-FOR-MAP
007600                                 THRU MB60PD-GFM-EXIT.
007700*
007800*****************************************************************
007900*    CHECK KEY CODES                                            *
008000* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
008100* 2. IF MMTC KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
008200*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
008300*    ORG AND CHAIN INTO THE MAP.  IF AN ERROR OCCURS IN THE     *
008400*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
008500*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
008600*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
008700*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND CHAIN INTO THE MAP*
008800*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
008900* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
009000*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP.         *
009100*    SEE IF THE MBCA-CHAIN FIELD IS GREATER THAN ZERO.  IF SO,  *
009200*    PLUG INTO MAP.                                             *
009300*    HANDLE IF THEY WERE NON-DIRECT.                            *
009400*****************************************************************
009500*
009600     IF  MBCA-INITIAL-KEY-CODE
009700         GO TO 1100-BUILD-SCREEN.
009800*
009900     IF  MBCA-MMTC-KEY-CODE
010000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
010100         MOVE MBCA-MERCHANT-ORG  TO DX00-ORG
010200         MOVE DFHBMUNF           TO DX00-ORG-A
010300         IF  MBCA-DIRECT-TRANSFER-CODE
010400         AND MBCA-INITIAL-SCREEN-NBR
010500             MOVE 00             TO MBCA-SCREEN-NBR
010600             GO TO 2120-READ-ORG
010700         ELSE
010800             GO TO 1100-BUILD-SCREEN.
010900*
011000     IF  MBCA-VALID-KEY-CODES
011100     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011200         MOVE MBCA-MERCHANT-ORG  TO DX00-ORG
011300         MOVE DFHBMUNF           TO DX00-ORG-A.
011400*
011500 1100-BUILD-SCREEN.
011600*
011700****************************************************************
011800*    INITIALIZE THE STANDARD MAP LINES                         *
011900****************************************************************
012000*
012100     MOVE SS08WS-CURSOR          TO DX00-ORG-L.
012200     MOVE 00                     TO MBCA-SCREEN-NBR.
012300     PERFORM MB60PD-INIT-STD-MAP-LINES
012400                                 THRU MB60PD-ISML-EXIT.
012500*
012600     IF  MBCA-MERCHANT-ORG IS NUMERIC
012700     AND MBCA-MERCHANT-ORG IS GREATER THAN ZEROES
012800         MOVE MBCA-MERCHANT-ORG  TO DX00-ORG
012900         MOVE DFHBMUNF           TO DX00-ORG-A.
013000*
013100     MOVE DFHBMASK               TO DX00-CURRENT-PAGE-A.
013200*
013300****************************************************************
013400*    SEND THE MAP                                              *
013500****************************************************************
013600*
013700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
013900                                 THRU MB60PD-SMWE-EXIT.
014000*
014100****************************************************************
014200*    RETURN TO CICS                                            *
014300****************************************************************
014400*
014500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
014600     PERFORM MB70PD-RETURN-TRANS-ID
014700                                 THRU MB70PD-RTI-EXIT.
014800/
014900 2000-RECEIVE-SCREEN SECTION.
015000*
015100****************************************************************
015200*    THIS SECTION RECEIVES THE 00 SCREEN                       *
015300****************************************************************
015400*
015500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
015700*
015800****************************************************************
015900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
016000****************************************************************
016100*
016200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
016300     PERFORM MB60PD-NEW-TRANS-ROUTINE
016400                                 THRU MB60PD-NTR-EXIT.
016500*
016600 2100-EDIT-SCREEN.
016700*
016800     SET SS08WS-ERROR-SW-NO      TO TRUE.
016900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
017000*
017100     IF  DX00-ORG-L IS LESS THAN 1
017200     AND (SS08WS-VALID-PF-KEY
017300     OR   SS08WS-EIBAID-VALID-PF-KEY)
017400         SET MBCA-INITIAL-SCREEN-NBR
017500                                 TO TRUE
017600         GO TO 2690-TRANSFER-XCTL.
017700*
017800 2110-EDIT-ORG.
017900*
018000     MOVE DFHBMUNF               TO DX00-ORG-A.
018100     MOVE DFHBMASK               TO DX00-ORG-LP-A
018200                                    DX00-ORG-RP-A.
018300*
018400     IF  DX00-ORG-L IS EQUAL TO ZERO
018500     OR  DX00-ORG IS NOT NUMERIC
018600         MOVE MBEMWS-INVALID-ORG TO DX00-ERR-MESSAGE
018700         GO TO 2130-ORG-ERROR.
018800*
018900     IF  DX00-ORG IS LESS THAN MBCA-ORG-LOW
019000     OR  DX00-ORG IS GREATER THAN MBCA-ORG-HIGH
019100         MOVE MBEMWS-INVALID-ORG TO DX00-ERR-MESSAGE
019200         GO TO 2130-ORG-ERROR.
019300*
019400 2120-READ-ORG.
019500*
019600****************************************************************
019700*    READ THE ORGANIZATION FILE                                *
019800****************************************************************
019900*
020000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020100     MOVE DX00-ORG               TO MBIOWS-MMOC-ORG.
020200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
020300     SET MBIORO-READ-RANDOM      TO TRUE.
020400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
020500*
020600     IF  SS08WS-RC-FC-VALID-RTN-CODE
020700         MOVE MMOC-ORG           TO MBCA-MERCHANT-ORG
020800                                    MBCA-MBDX-ORG
020900         IF  MMOC-ADD-PENDING
021000             MOVE MBEMWS-ADD-PENDING
021100                                 TO DX00-ERR-MESSAGE
021200         ELSE
021300             IF  MMOC-REC-INCOMPLETE
021400             OR  MMOC-REC-PURGED
021500                 MOVE MBEMWS-NOT-ACTIVE
021600                                 TO DX00-ERR-MESSAGE
021700             ELSE
021800                 MOVE MMOC-NA-LINE (1 1)
021900                                 TO MBCA-MBDX-ORG-NAME
022000                 GO TO 2140-EDIT-MMTC
022100     ELSE
022200         MOVE MBEMWS-NOT-ON-FILE TO DX00-ERR-MESSAGE.
022300*
022400 2130-ORG-ERROR.
022500*
022600     MOVE DFHBMNBF               TO DX00-ORG-A.
022700     MOVE DFHBMASB               TO DX00-ORG-LP-A
022800                                    DX00-ORG-RP-A.
022900     MOVE SS08WS-CURSOR          TO DX00-ORG-L.
023000     SET SS08WS-ERROR-SW-YES     TO TRUE.
023100*
023200     IF  SS08WS-ERROR-SW-YES
023300         GO TO 2290-CHECK-ERROR.
023400*
023500 2140-EDIT-MMTC.
023600*
023700****************************************************************
023800*    START BROWSE THE MONETARY TRANS CONTROL FILE              *
023900****************************************************************
024000*
024100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
024200     MOVE MBCA-MBDX-ORG          TO MBIOWS-MMTC-ORG.
024300     MOVE ZEROS                  TO MBIOWS-MMTC-TXN-CODE.
024400     SET MBIORO-STARTBR-GTE      TO TRUE.
024500     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
024600*
024700****************************************************************
024800*    READNEXT THE MONETARY TRANS CONTROL FILE                  *
024900****************************************************************
025000*
025100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
025200     SET MBIORO-READ-SEQ         TO TRUE.
025300     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
025400*
025500****************************************************************
025600*    END BROWSE THE MONETARY TRANS CONTROL FILE               *
025700****************************************************************
025800*
025900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
026000     SET MBIORO-ENDBR            TO TRUE.
026100     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
026200*
026300     IF  MMTC-ORG    IS GREATER THAN MBCA-MBDX-ORG
026400         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
026500                                 TO DX00-ERR-MESSAGE
026600         MOVE DFHBMNBF           TO DX00-ORG-A
026700         MOVE DFHBMASB           TO DX00-ORG-LP-A
026800                                    DX00-ORG-RP-A
026900         MOVE SS08WS-CURSOR      TO DX00-ORG-L
027000         SET SS08WS-ERROR-SW-YES TO TRUE
027100     ELSE
027200         MOVE MMTC-TXN-CODE      TO MBCA-MBDX-FIRST-TXN-CODE
027300                                    MBCA-MBDX-FWD-TXN-CODE
027400                                    MBCA-TRANS-CODE
027500         MOVE SPACES             TO MBCA-MBDX-RETURN-FLAG
027600         MOVE ZEROES             TO MBCA-MBDX-BACK-TXN-CODE
027700         GO TO 2290-CHECK-ERROR.
027800*
027900 2290-CHECK-ERROR.
028000*
028100     IF  SS08WS-ERROR-SW-NO
028200         GO TO 2600-SETUP-COMMAREA
028300     ELSE
028400         IF  SS08WS-VALID-PF-KEY
028500         OR  SS08WS-EIBAID-VALID-PF-KEY
028600             SET MBCA-INITIAL-SCREEN-NBR
028700                                 TO TRUE
028800             GO TO 2690-TRANSFER-XCTL.
028900*
029000 2300-SEND-MAP.
029100*
029200****************************************************************
029300*    SEND THE MAP                                              *
029400****************************************************************
029500*
029600     PERFORM MB60PD-INIT-STD-MAP-LINES
029700                                 THRU MB60PD-ISML-EXIT.
029800*
029900     MOVE DFHBMASK               TO DX00-CURRENT-PAGE-A.
030000*
030100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
030200     PERFORM MB60PD-SEND-MAP-DATA-ONLY
030300                                 THRU MB60PD-SMDO-EXIT.
030400*
030500****************************************************************
030600*    RETURN TO CICS                                            *
030700****************************************************************
030800*
030900     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
031000     PERFORM MB70PD-RETURN-TRANS-ID
031100                                 THRU MB70PD-RTI-EXIT.
031200/
031300 2600-SETUP-COMMAREA.
031400*
031500****************************************************************
031600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
031700****************************************************************
031800*
031900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
032000*
032100     MOVE MBIOWS-MMOC-KEY-CODE   TO MBCA-KEY-CODE.
032200*
032300     PERFORM MB60PD-EDIT-PAGE-NBR
032400                                 THRU MB60PD-EPN-EXIT.
032500*
032600     IF  SS08WS-VALID-PF-KEY
032700     OR  SS08WS-EIBAID-VALID-PF-KEY
032800         SET MBCA-INITIAL-SCREEN-NBR
032900                                 TO TRUE.
033000*
033100 2690-TRANSFER-XCTL.
033200*
033300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
033400     PERFORM MB70PD-XCTL-TO-MBOXCTL
033500                                 THRU MB70PD-XTM-EXIT.
033600/
033700 9000-PERFORMED-ROUTINES-SECT SECTION.
033800*         JULIAN TO GREGORIAN DATE ROUTINE
033900     COPY SS08PD.
034000/
034100     COPY SS26PD.
034200/
034300     COPY SS27PD.
034400/         LINE 24 PF KEYS ROUTINE
034500     COPY SS15PD.
034600/         ORG RECORD ACCESS ROUTINES
034700     COPY MMOCAO.
034800/         MONETARY TRANS CONTROL ACCESS ROUTINES
034900     COPY MMTCAO.
035000/         ON-LINE MAP ROUTINES
035100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBDX00 '
035200                           MBMAPXXI BY MBDX00I
035300                           MBMAPXXO BY MBDX00O.
035400/         ON-LINE PROCEDURES
035500     COPY MB70PD.
035600/
035700     COPY SMFTPXO.
