000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIB02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIB02 - ON-LINE DEPOSIT BATCH DIRECTORY                *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBIB                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIB02 (SCREEN 02)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMD3   (DEPOSIT BATCH D3)                  *
001600*                 B. MMD4   (DEPOSIT BATCH D4)                  *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/
004100 01  WS-MISCELLANEOUS.
004200     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004300     03  WS-FWD-TRANS-CODE   PIC  9(03)      VALUE ZEROES.
004400     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004500         88  WS-SELECT-NO                    VALUE 'N'.
004600         88  WS-SELECT-YES                   VALUE 'Y'.
004700     03  WS-SWITCH           PIC  X(01)      VALUE SPACES.
004800         88  WS-READ                         VALUE 'R'.
004900         88  WS-ENDBR                        VALUE 'E'.
005000     03  WS-SETT-FLAG-X.
005100         05  WS-SETT-FLAG    PIC  X(01).
005200         05  WS-SETT-ACCT    PIC  9(01).
005300     03  TS-QUEUE-NAME.
005400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBIB'.
005600/
005700 01  FILLER                  PIC  X(36)      VALUE
005800     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
005900/         DEPOSIT BATCH MASTER RECORD LAYOUT WORK FILE 3
006000     COPY MMD3RL REPLACING ==:MMD3:== BY ==MWD3==.
006100*
006200     COPY MMTCWS.
006300*
006400     COPY MB00WS.
006500*
006600     COPY SS95WS.
006700*
006800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006900/
007000 LINKAGE SECTION.
007100 01  DFHCOMMAREA.
007200     COPY MB60WS.
007300/         DEPOSIT BATCH DIRECTORY SCREEN 01 MAP DSECT
007400     COPY MBIB02.
007500/         DEPOSIT BATCH DIRECTORY SCREEN 01 MAP REDEFINITION
007600     COPY MBIB02R.
007700/         DEPOSIT BATCH MASTER RECORD LAYOUT FILE 3
007800     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
007900/         DEPOSIT BATCH MASTER RECORD LAYOUT FILE 4
008000     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD4==.
008100/         DEPOSIT BATCH TEMPORARY STORAGE
008200     COPY MBIBTS2.
008300/
008400 PROCEDURE DIVISION.
008500 0000-HOUSEKEEPING SECTION.
008600 0100-INIT.
008700*
008800     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008900     SET MBCA-EIBAID-ENTER       TO TRUE.
009000*
009100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009300                                 THRU MB70PD-OLH-EXIT.
009400*
009500     SET SS95WS-FUNCTION-INITIALIZE
009600                           TO TRUE.
009700     PERFORM SS95PD-NAP-ROUTINE
009800       THRU SS95PD-NAP-EXIT.
009900*
010000     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
010100     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010200     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
010300*
010400     IF  MBCA-RECEIVE-SCREEN
010500         GO TO 2000-RECEIVE-SCREEN.
010600*
010700 1000-SEND-SCREEN SECTION.
010800*
010900****************************************************************
011000*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011100****************************************************************
011200*
011300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011400     PERFORM MB60PD-GETMAIN-FOR-MAP
011500                                 THRU MB60PD-GFM-EXIT.
011600*
011700*******************************************
011800*    READ THE DEPOSIT BATCH RECORD HEADER *
011900*    TO DISPLAY HEADER INFORMATION        *
012000*******************************************
012100*
012200     MOVE MBCA-MBIB-HDR-KEY      TO MBIOWS-MMD3-KEY.
012300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012400     SET MBIORO-READ-RANDOM      TO TRUE.
012500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
012600     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
012700*
012800     IF  SS08WS-RC-FC-NOTFND
012900         MOVE MBCA-MBIB-HDR-KEY  TO MBIOWS-MMD4-KEY
013000         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
013100         SET MBIORO-READ-RANDOM  TO TRUE
013200         PERFORM MMD4AO-ACCESS   THRU MMD4AO-ACCESS-EXIT
013300         MOVE MMD4-RECORD        TO MWD3-RECORD
013400     ELSE
013500         MOVE MMD3-RECORD        TO MWD3-RECORD.
013600*
013700     MOVE MWD3-ORG               TO IB02-ORG.
013800*
013900     MOVE SPACES                 TO SS01WS-EDIT-X.
014000     MOVE MWD3-BATCH-DATE        TO SS01WS-JULIAN
014100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
014200        THRU SS26PD-NED-EXIT.
014300     MOVE SS01WS-XX-XX-YYYY      TO IB02-BATCH-DATE.
014400*
014500     MOVE MWD3-BATCH-NBR         TO IB02-BATCH-NBR.
014600     MOVE MWD3-BATCH-SOURCE      TO IB02-BATCH-SOURCE.
014700     MOVE MWD3-MERCHANT          TO IB02-MERCHANT.
014800*
014900     MOVE SPACES                 TO SS01WS-EDIT-X.
015000     MOVE MWD3-REF-BATCH-DATE    TO SS01WS-JULIAN
015100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
015200        THRU SS26PD-NED-EXIT.
015300     MOVE SS01WS-XX-XX-YYYY      TO IB02-REF-DATE.
015400*
015500     MOVE MWD3-REF-BATCH-NBR     TO IB02-REF-NBR.
015600     MOVE MWD3-REF-BATCH-SOURCE  TO IB02-REF-SOURCE.
015700     MOVE MWD3-STORE             TO IB02-STORE.
015800*
015900     MOVE SPACES                 TO SS01WS-EDIT-X.
016000     MOVE MWD3-POST-DATE         TO SS01WS-JULIAN.
016100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
016200        THRU SS26PD-NED-EXIT.
016300     MOVE SS01WS-XX-XX-YYYY      TO IB02-HDR-POST-DATE.
016400*
016500     MOVE MWD3-REJECT-REENTRY-FLAG
016600                                 TO IB02-REJ-REENTRY.
016700     MOVE MWD3-SETT-FLAG         TO WS-SETT-FLAG.
016800     MOVE MWD3-SETT-ACCT         TO WS-SETT-ACCT.
016900     MOVE WS-SETT-FLAG-X         TO IB02-SETT-FLAG.
017000     MOVE MWD3-STMT-FLAG         TO IB02-STMT-FLAG.
017100     MOVE MWD3-DESC              TO IB02-ORG-NAME.
017200     MOVE MWD3-NBR-ITEMS         TO IB02-HDR-NBR-ITEMS.
017300*
017400     IF  MWD3-TF-DEBIT
017500         COMPUTE MWD3-AMOUNT = 0 - MWD3-AMOUNT.
017600*
017700     MOVE MWD3-AMOUNT            TO SS95WS-IN-AMT.
017800     PERFORM SS95PD-NAP-ROUTINE
017900                                 THRU SS95PD-NAP-EXIT.
018000     MOVE SS95WS-OUT-AMT-L23     TO IB02-HDR-AMOUNT.
018100*
018200     MOVE 02                     TO MBCA-SCREEN-NBR.
018300*
018400****************************************************************
018500*    INITIALIZE THE STANDARD MAP LINES                         *
018600****************************************************************
018700*
018800     PERFORM MB60PD-INIT-STD-MAP-LINES
018900                                 THRU MB60PD-ISML-EXIT.
019000*
019100****************************************************************
019200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
019300****************************************************************
019400*
019500     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
019600     PERFORM 8100-TEMP-STORAGE-GETMAIN
019700                                 THRU 8199-TSG-EXIT.
019800*
019900     EXEC CICS HANDLE CONDITION
020000               QIDERR (1010-CHECK-RETURN-FLAG)
020100          END-EXEC.
020200*
020300***********************************************
020400*    READ THE TEMP STORAGE RECORD             *
020500***********************************************
020600*
020700     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
020800     PERFORM 8200-TEMP-STORAGE-READ
020900                                 THRU 8299-TSR-EXIT.
021000*
021100***********************************************
021200*    DELETE THE TEMP STORAGE RECORD           *
021300***********************************************
021400*
021500     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
021600     PERFORM 8300-TEMP-STORAGE-DELETE
021700                                 THRU 8399-TSD-EXIT.
021800*
021900     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
022000     GO TO 1080-CONTINUE.
022100*
022200 1010-CHECK-RETURN-FLAG.
022300*
022400 1015-READ-DEPOSITS.
022500*
022600     SET X-IB02-BATCH-INDEX      TO +1.
022700*
022800     IF  MBCA-MBIB-FILE4
022900         GO TO 1015-CONTINUE.
023000*
023100     PERFORM 9630-START-MMD3     THRU 9639-MMD3-EXIT.
023200*
023300     IF  X-IB02-BATCH-INDEX IS GREATER THAN 11
023400         GO TO 1080-CONTINUE.
023500*
023600 1015-CONTINUE.
023700*
023800     PERFORM 9640-START-MMD4     THRU 9649-MMD4-EXIT.
023900*
024000     IF  X-IB02-BATCH-INDEX IS GREATER THAN 11
024100         GO TO 1080-CONTINUE.
024200*
024300 1060-SET-ATTRIBUTE.
024400*
024500     IF  X-IB02-BATCH-INDEX IS EQUAL TO +1
024600     AND IB02-TRAN-CODE (1) IS NOT NUMERIC
024700         SET MBCA-MBIB-FILE3     TO TRUE
024800         MOVE MBCA-MBIB-1ST-KEY
024900                                 TO MBCA-MBIB-FWD-KEY
025000         MOVE 53                 TO MBCA-SCREEN-NBR
025100         MOVE 'PC02'             TO MBCA-PROGRAM-LOCATION
025200         PERFORM MB70PD-XCTL-TO-MBOXCTL
025300                                 THRU MB70PD-XTM-EXIT.
025400*
025500     IF  X-IB02-BATCH-INDEX IS LESS THAN +12
025600         SET X-TS-IB02-INDEX     TO X-IB02-BATCH-INDEX
025700         MOVE ZEROS              TO MBCA-MBIB-FWD-TRANS-CODE
025800                                    WS-FWD-TRANS-CODE
025900                                    TS-IB02-TRANS-CODE
026000                                    (X-TS-IB02-INDEX)
026100                                    TS-IB02-POST-DATE
026200                                    (X-TS-IB02-INDEX)
026300                                    TS-IB02-NBR-ITEMS
026400                                    (X-TS-IB02-INDEX)
026500                                    TS-IB02-AMOUNT
026600                                    (X-TS-IB02-INDEX)
026700         MOVE SPACES             TO TS-IB02-RPT-DESC
026800                                    (X-TS-IB02-INDEX)
026900         MOVE DFHBMASK           TO IB02-SELECT-A
027000                                    (X-IB02-BATCH-INDEX)
027100         MOVE DFHBMDAS           TO IB02-TRAN-CODE-A
027200                                    (X-IB02-BATCH-INDEX)
027300                                    IB02-DESCRIPTION-A
027400                                    (X-IB02-BATCH-INDEX)
027500                                    IB02-ADJ-NBR-ITEMS-A
027600                                    (X-IB02-BATCH-INDEX)
027700                                    IB02-ADJ-POST-DATE-A
027800                                    (X-IB02-BATCH-INDEX)
027900                                    IB02-ADJ-AMOUNT-A
028000                                    (X-IB02-BATCH-INDEX)
028100                                    IB02-SELECT-LP-A
028200                                    (X-IB02-BATCH-INDEX)
028300                                    IB02-SELECT-RP-A
028400                                    (X-IB02-BATCH-INDEX)
028500         SET X-IB02-BATCH-INDEX  UP BY +1
028600         GO TO 1060-SET-ATTRIBUTE.
028700*
028800 1080-CONTINUE.
028900*
029000     IF  WS-FWD-TRANS-CODE IS NOT EQUAL TO ZEROES
029100         MOVE DFHBMASB           TO IB02-BACK-IND-A.
029200*
029300****************************************************************
029400*    WRITE THE TEMP STORAGE RECORD                             *
029500****************************************************************
029600*
029700     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
029800     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
029900*
030000     SET X-IB02-BATCH-INDEX      TO +1.
030100*
030200 1090-CURSOR-LOOP.
030300*
030400     IF  X-IB02-BATCH-INDEX IS GREATER THAN +11
030500         MOVE SS08WS-CURSOR      TO IB02-ALT-TRANID-L
030600         GO TO 1100-CONTINUE.
030700*
030800     IF  IB02-SELECT-A (X-IB02-BATCH-INDEX)
030900                                 IS EQUAL TO DFHBMASK
031000         SET X-IB02-BATCH-INDEX  UP BY +1
031100         GO TO 1090-CURSOR-LOOP
031200     ELSE
031300         MOVE SS08WS-CURSOR      TO IB02-SELECT-L
031400                                    (X-IB02-BATCH-INDEX).
031500*
031600 1100-CONTINUE.
031700*
031800     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
031900     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
032000     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
032100     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
032200     MOVE SS08WS-LINE-24         TO IB02-PF-KEYS.
032300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
032400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
032500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
032600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
032700*
032800***********************************************************
032900*    SET THE CURRENCY CODE, CURRENCY NOD                  *
033000*            PER ITEM NOD, PERCENT NOD.                   *
033100***********************************************************
033200     IF IB02-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
033300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
033400                                      THRU MB06PD-FML-EXIT
033500        MOVE SS08WS-FORMATTED-MSG   TO IB02-ERR-MESSAGE
033600     END-IF.
033700*
033800****************************************************************
033900*    SEND THE MAP                                              *
034000****************************************************************
034100*
034200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
034300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
034400                                 THRU MB60PD-SMWE-EXIT.
034500*
034600****************************************************************
034700*    RETURN TO CICS                                            *
034800****************************************************************
034900*
035000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
035100     PERFORM MB70PD-RETURN-TRANS-ID
035200                                 THRU MB70PD-RTI-EXIT.
035300/
035400 2000-RECEIVE-SCREEN SECTION.
035500*
035600     IF  MBCA-EIBAID-CLEAR
035700         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
035800         PERFORM 8300-TEMP-STORAGE-DELETE
035900                                 THRU 8399-TSD-EXIT
036000         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
036100         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
036200                                 THRU MB70PD-OLH-EXIT.
036300*
036400****************************************************************
036500*    THIS SECTION RECEIVES THE 01 SCREEN                       *
036600****************************************************************
036700*
036800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
037000*
037100*****************************************************
037200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
037300*****************************************************
037400*
037500     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
037600     PERFORM 8100-TEMP-STORAGE-GETMAIN
037700                                 THRU 8199-TSG-EXIT.
037800*
037900***********************************************
038000*    READ THE TEMP STORAGE RECORD             *
038100***********************************************
038200*
038300     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
038400     PERFORM 8200-TEMP-STORAGE-READ
038500                                 THRU 8299-TSR-EXIT.
038600*
038700***********************************************
038800*    DELETE THE TEMP STORAGE RECORD           *
038900***********************************************
039000*
039100     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
039200     PERFORM 8300-TEMP-STORAGE-DELETE
039300                                 THRU 8399-TSD-EXIT.
039400*
039500****************************************************************
039600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
039700****************************************************************
039800*
039900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
040000     PERFORM MB60PD-NEW-TRANS-ROUTINE
040100                                 THRU MB60PD-NTR-EXIT.
040200*
040300 2005-EDIT-SELECT.
040400*
040500****************************************************************
040600*    EDIT SELECT FIELD                                         *
040700****************************************************************
040800*
040900     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
041000*
041100 2090-CHECK-ERROR.
041200*
041300     IF  SS08WS-ERROR-SW-NO
041400         GO TO 2400-CHECK-SELECT.
041500*
041600 2300-SEND-MAP.
041700*
041800***********************************************
041900*    WRITE THE TEMP STORAGE RECORD            *
042000***********************************************
042100*
042200     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
042300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
042400*
042500****************************************************************
042600*    SEND THE MAP                                              *
042700****************************************************************
042800*
042900     PERFORM MB60PD-INIT-STD-MAP-LINES
043000                                 THRU MB60PD-ISML-EXIT.
043100*
043200***********************************************************
043300*    SET THE CURRENCY CODE, CURRENCY NOD                  *
043400*            PER ITEM NOD, PERCENT NOD.                   *
043500***********************************************************
043600     IF IB02-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
043700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
043800                                 THRU MB06PD-FML-EXIT
043900        MOVE SS08WS-FORMATTED-MSG   TO IB02-ERR-MESSAGE
044000     END-IF.
044100*
044200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
044300     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
044400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
044500     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
044600     MOVE SS08WS-LINE-24         TO IB02-PF-KEYS.
044700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
044800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
044900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
045000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
045100*
045200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
045300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
045400                                 THRU MB60PD-SMDO-EXIT.
045500*
045600****************************************************************
045700*    RETURN TO CICS                                            *
045800****************************************************************
045900*
046000     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
046100     PERFORM MB70PD-RETURN-TRANS-ID
046200                                 THRU MB70PD-RTI-EXIT.
046300/
046400 2400-CHECK-SELECT.
046500*
046600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
046700*
046800     IF  SS08WS-VALID-PF3
046900     OR  SS08WS-EIBAID-VALID-PF3
047000         GO TO 2600-SETUP-COMMAREA.
047100*
047200     IF  SS08WS-VALID-PF5
047300     OR  SS08WS-EIBAID-VALID-PF5
047400         GO TO 2600-SETUP-COMMAREA.
047500*
047600     IF  WS-SELECT-YES
047700         MOVE MBCA-MBIB-BACK-KEY TO MBCA-MBIB-1ST-KEY
047800                                    MBCA-MBIB-FWD-KEY.
047900/
048000 2600-SETUP-COMMAREA.
048100*
048200****************************************************************
048300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
048400****************************************************************
048500*
048600     IF  SS08WS-VALID-PF3
048700     OR  SS08WS-EIBAID-VALID-PF3
048800         MOVE 52                 TO MBCA-SCREEN-NBR
048900         MOVE MBCA-MBIB-1ST-KEY  TO MBCA-MBIB-FWD-KEY
049000         SET MBCA-MBIB-FILE3     TO TRUE
049100         SET MBCA-MBIB-RETURN-NORMAL
049200                                 TO TRUE
049300         GO TO 2690-PF-KEY-BYPASS.
049400*
049500     IF  SS08WS-VALID-PF5
049600     OR  SS08WS-EIBAID-VALID-PF5
049700         MOVE 52                 TO MBCA-SCREEN-NBR
049800         IF (TS-IB02-TRANS-CODE (1) IS GREATER THAN ZEROES
049900         AND TS-IB02-TRANS-CODE (11) IS EQUAL TO ZEROES)
050000         OR (MBCA-MBIB-FWD-TRANS-CODE IS EQUAL TO ZEROES)
050100             MOVE ' '            TO MBCA-MBIB-RETURN-FLAG
050200             MOVE ZEROES         TO MBCA-MBIB-FWD-TRANS-CODE
050300             MOVE 'TS09'         TO MBCA-PROGRAM-LOCATION
050400             PERFORM 8400-WRITE-QUEUE
050500                                 THRU 8499-WQ-EXIT
050600             GO TO 2690-PF-KEY-BYPASS
050700         ELSE
050800             SET MBCA-MBIB-RETURN-FWD
050900                                 TO TRUE
051000             GO TO 2690-PF-KEY-BYPASS.
051100*
051200     IF  IB02-CURRENT-PAGE-L IS GREATER THAN ZERO
051300     AND IB02-CURRENT-PAGE   IS NUMERIC
051400         IF  IB02-CURRENT-PAGE IS EQUAL TO 1
051500             MOVE MBCA-MBIB-PAGE-1-KEY
051600                                 TO MBCA-MBIB-FWD-KEY
051700                                    MBCA-MBIB-1ST-KEY
051800             SET MBCA-MBIB-FILE3 TO TRUE
051900             MOVE 51             TO MBCA-SCREEN-NBR
052000             GO TO 2690-PF-KEY-BYPASS
052100         ELSE
052200             IF  IB02-CURRENT-PAGE IS EQUAL TO 3
052300                 MOVE MBCA-MBIB-PAGE-2-3-KEY
052400                                 TO MBCA-MBIB-FWD-KEY
052500                                    MBCA-MBIB-1ST-KEY
052600                 SET MBCA-MBIB-FILE3
052700                                 TO TRUE
052800                 MOVE 53         TO MBCA-SCREEN-NBR
052900                 GO TO 2690-PF-KEY-BYPASS
053000             ELSE
053100                 IF  IB02-CURRENT-PAGE IS EQUAL TO 5
053200                     MOVE 55     TO MBCA-SCREEN-NBR
053300                     GO TO 2690-PF-KEY-BYPASS
053400                 ELSE
053500                     SET MBCA-INITIAL-SCREEN-NBR
053600                                 TO TRUE
053700                     SET MBCA-MBIB-RETURN-NORMAL
053800                                 TO TRUE
053900                     GO TO 2690-PF-KEY-BYPASS.
054000*
054100     IF  SS08WS-VALID-PF-KEY
054200     OR  SS08WS-EIBAID-VALID-PF-KEY
054300         SET MBCA-INITIAL-SCREEN-NBR
054400                                 TO TRUE
054500         SET MBCA-MBIB-RETURN-NORMAL
054600                                 TO TRUE
054700         GO TO 2690-PF-KEY-BYPASS.
054800*
054900     IF  WS-SELECT-YES
055000         MOVE 54                 TO MBCA-SCREEN-NBR
055100     ELSE
055200         MOVE 53                 TO MBCA-SCREEN-NBR
055300         MOVE MBCA-MBIB-1ST-KEY  TO MBCA-MBIB-FWD-KEY
055400         MOVE 1                  TO MBCA-MBIB-FWD-BATCH-SEQ
055500         MOVE ZEROS              TO MBCA-MBIB-FWD-SEQ-NBR
055600         MOVE ' '                TO MBCA-MBIB-RETURN-FLAG.
055700*
055800 2690-PF-KEY-BYPASS.
055900*
056000     IF  SS08WS-VALID-PF5
056100     OR  SS08WS-EIBAID-VALID-PF5
056200         NEXT SENTENCE
056300     ELSE
056400         SET MBCA-MBIB-FILE3         TO TRUE.
056500*
056600     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
056700     PERFORM MB70PD-XCTL-TO-MBOXCTL
056800                                 THRU MB70PD-XTM-EXIT.
056900/
057000 8000-PERFORMED-ROUTINES-SECT SECTION.
057100*
057200 8100-TEMP-STORAGE-GETMAIN.
057300*
057400     EXEC CICS GETMAIN
057500               FLENGTH (LENGTH  OF MBIBTS-RECORD-2)
057600               SET     (ADDRESS OF MBIBTS-RECORD-2)
057700          END-EXEC.
057800*
057900 8199-TSG-EXIT.
058000     EXIT.
058100*
058200 8200-TEMP-STORAGE-READ.
058300*
058400     EXEC CICS READQ TS
058500               QUEUE   (TS-QUEUE-NAME)
058600               INTO    (MBIBTS-RECORD-2)
058700               LENGTH  (LENGTH  OF MBIBTS-RECORD-2)
058800               ITEM    (1)
058900          END-EXEC.
059000*
059100 8299-TSR-EXIT.
059200     EXIT.
059300*
059400 8300-TEMP-STORAGE-DELETE.
059500*
059600     EXEC CICS IGNORE CONDITION
059700               QIDERR
059800          END-EXEC.
059900*
060000     EXEC CICS DELETEQ TS
060100               QUEUE  (TS-QUEUE-NAME)
060200          END-EXEC.
060300*
060400 8399-TSD-EXIT.
060500     EXIT.
060600*
060700 8400-WRITE-QUEUE.
060800*
060900     EXEC CICS WRITEQ TS
061000               QUEUE   (TS-QUEUE-NAME)
061100               FROM    (MBIBTS-RECORD-2)
061200               LENGTH  (LENGTH  OF MBIBTS-RECORD-2)
061300          END-EXEC.
061400*
061500 8499-WQ-EXIT.
061600     EXIT.
061700*
061800 8600-EDIT-SELECT.
061900*
062000     SET X-IB02-BATCH-INDEX      TO +1.
062100*
062200 8600-EDIT-LOOP.
062300*
062400     SET X-TS-IB02-INDEX         TO X-IB02-BATCH-INDEX.
062500*
062600     IF  IB02-SELECT-L (X-IB02-BATCH-INDEX) IS GREATER THAN ZERO
062700         IF  IB02-VALID-SELECT (X-IB02-BATCH-INDEX)
062800             MOVE DFHBMASF       TO IB02-SELECT-A
062900                                    (X-IB02-BATCH-INDEX)
063000             MOVE DFHBMDAS       TO IB02-SELECT-LP-A
063100                                    (X-IB02-BATCH-INDEX)
063200                                    IB02-SELECT-RP-A
063300                                    (X-IB02-BATCH-INDEX)
063400             IF  IB02-VALID-X (X-IB02-BATCH-INDEX)
063500                 SET WS-SELECT-YES
063600                                 TO TRUE
063700                 MOVE TS-IB02-KEY (X-TS-IB02-INDEX)
063800                                 TO MBCA-MBIB-BACK-KEY
063900                 GO TO 8699-ES-EXIT
064000             ELSE
064100                 NEXT SENTENCE
064200         ELSE
064300             SET SS08WS-ERROR-SW-YES TO TRUE
064400             MOVE SS08WS-CURSOR  TO IB02-SELECT-L
064500                                    (X-IB02-BATCH-INDEX)
064600             MOVE DFHBMUBF       TO IB02-SELECT-A
064700                                    (X-IB02-BATCH-INDEX)
064800             MOVE DFHBMASB       TO IB02-SELECT-LP-A
064900                                    (X-IB02-BATCH-INDEX)
065000                                    IB02-SELECT-RP-A
065100                                    (X-IB02-BATCH-INDEX)
065200             GO TO 8699-ES-EXIT.
065300*
065400     IF  X-IB02-BATCH-INDEX IS LESS THAN +11
065500         SET X-IB02-BATCH-INDEX  UP BY +1
065600         GO TO 8600-EDIT-LOOP.
065700*
065800     SET X-IB02-BATCH-INDEX      TO +1.
065900     SET X-TS-IB02-INDEX         TO +1.
066000     MOVE TS-IB02-KEY (X-TS-IB02-INDEX)
066100                                 TO MBCA-MBIB-BACK-KEY.
066200*
066300 8699-ES-EXIT.
066400     EXIT.
066500*
066600 8800-BUILD-SCREEN.
066700*
066800     SET X-IB02-BATCH-INDEX      TO +1.
066900*
067000 8800-BUILD-LOOP.
067100*
067200     SET X-TS-IB02-INDEX         TO X-IB02-BATCH-INDEX.
067300*
067400     IF  TS-IB02-TRANS-CODE (X-TS-IB02-INDEX)
067500                                 IS GREATER THAN ZEROES
067600         MOVE TS-IB02-TRANS-CODE (X-TS-IB02-INDEX)
067700                                 TO IB02-TRAN-CODE
067800                                    (X-IB02-BATCH-INDEX)
067900         MOVE SPACES             TO SS01WS-EDIT-X
068000         MOVE TS-IB02-POST-DATE (X-TS-IB02-INDEX)
068100                                 TO SS01WS-JULIAN
068200         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
068300            THRU SS26PD-NED-EXIT
068400         MOVE SS01WS-XX-XX-YYYY  TO IB02-ADJ-POST-DATE
068500                                    (X-IB02-BATCH-INDEX)
068600         MOVE TS-IB02-RPT-DESC (X-TS-IB02-INDEX)
068700                                 TO IB02-DESCRIPTION
068800                                    (X-IB02-BATCH-INDEX)
068900         MOVE TS-IB02-NBR-ITEMS (X-TS-IB02-INDEX)
069000                                 TO IB02-ADJ-NBR-ITEMS
069100                                    (X-IB02-BATCH-INDEX)
069200*
069300         MOVE TS-IB02-AMOUNT (X-TS-IB02-INDEX)
069400                                 TO SS95WS-IN-AMT
069500         PERFORM SS95PD-NAP-ROUTINE
069600                                 THRU SS95PD-NAP-EXIT
069700         MOVE SS95WS-OUT-AMT-L23 TO IB02-ADJ-AMOUNT
069800                                    (X-IB02-BATCH-INDEX)
069900     ELSE
070000         MOVE DFHBMASK           TO IB02-SELECT-A
070100                                    (X-IB02-BATCH-INDEX)
070200         MOVE DFHBMDAS           TO IB02-TRAN-CODE-A
070300                                    (X-IB02-BATCH-INDEX)
070400                                    IB02-ADJ-POST-DATE-A
070500                                    (X-IB02-BATCH-INDEX)
070600                                    IB02-DESCRIPTION-A
070700                                    (X-IB02-BATCH-INDEX)
070800                                    IB02-ADJ-NBR-ITEMS-A
070900                                    (X-IB02-BATCH-INDEX)
071000                                    IB02-ADJ-AMOUNT-A
071100                                    (X-IB02-BATCH-INDEX)
071200                                    IB02-SELECT-LP-A
071300                                    (X-IB02-BATCH-INDEX)
071400                                    IB02-SELECT-RP-A
071500                                    (X-IB02-BATCH-INDEX).
071600*
071700     IF  X-IB02-BATCH-INDEX IS LESS THAN +11
071800         SET X-IB02-BATCH-INDEX  UP BY +1
071900         GO TO 8800-BUILD-LOOP
072000     ELSE
072100         MOVE MBCA-MBIB-FWD-TRANS-CODE
072200                                 TO WS-FWD-TRANS-CODE.
072300*
072400 8899-BS-EXIT.
072500     EXIT.
072600*
072700 9500-BUILD-SCREEN-LINE.
072800*
072900     SET X-TS-IB02-INDEX         TO X-IB02-BATCH-INDEX.
073000*
073100     MOVE MWD3-KEY               TO TS-IB02-KEY
073200                                    (X-TS-IB02-INDEX).
073300*
073400     MOVE MWD3-TRANS-CODE        TO IB02-TRAN-CODE
073500                                    (X-IB02-BATCH-INDEX)
073600                                    TS-IB02-TRANS-CODE
073700                                    (X-TS-IB02-INDEX).
073800*
073900     MOVE SPACES                 TO SS01WS-EDIT-X.
074000     MOVE MWD3-POST-DATE         TO SS01WS-JULIAN
074100                                    TS-IB02-POST-DATE
074200                                    (X-TS-IB02-INDEX).
074300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
074400        THRU SS26PD-NED-EXIT.
074500     MOVE SS01WS-XX-XX-YYYY      TO IB02-ADJ-POST-DATE
074600                                    (X-IB02-BATCH-INDEX).
074700*
074800     MOVE MWD3-RPT-DESC          TO IB02-DESCRIPTION
074900                                    (X-IB02-BATCH-INDEX)
075000                                    TS-IB02-RPT-DESC
075100                                    (X-TS-IB02-INDEX).
075200*
075300     MOVE MWD3-NBR-ITEMS         TO IB02-ADJ-NBR-ITEMS
075400                                    (X-IB02-BATCH-INDEX)
075500                                    TS-IB02-NBR-ITEMS
075600                                    (X-TS-IB02-INDEX).
075700*
075800     IF  MWD3-TF-DEBIT
075900         COMPUTE MWD3-AMOUNT = 0 - MWD3-AMOUNT.
076000*
076100     MOVE MWD3-AMOUNT            TO SS95WS-IN-AMT
076200                                    TS-IB02-AMOUNT
076300                                    (X-TS-IB02-INDEX).
076400     PERFORM SS95PD-NAP-ROUTINE
076500                                 THRU SS95PD-NAP-EXIT.
076600     MOVE SS95WS-OUT-AMT-L23     TO IB02-ADJ-AMOUNT
076700                                    (X-IB02-BATCH-INDEX).
076800*
076900 9599-BSL-EXIT.
077000     EXIT.
077100*
077200 9630-START-MMD3.
077300*
077400     MOVE MBCA-MBIB-FWD-KEY      TO MBIOWS-MMD3-KEY.
077500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
077600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
077700     SET MBIORO-STARTBR-GTE      TO TRUE.
077800     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
077900     SET MBCA-MBIB-1ST-TIME-YES  TO TRUE.
078000*
078100     IF  SS08WS-RC-FC-NOTFND
078200         SET SS08WS-ERROR-SW-YES     TO TRUE
078300         GO TO 9639-MMD3-EXIT.
078400*
078500 9631-READ-MMD3.
078600*
078700     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
078800     SET MBIORO-READ-SEQ         TO TRUE.
078900     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
079000*
079100     MOVE MMD3-RECORD            TO MWD3-RECORD.
079200*
079300     IF  MMD3-HEADER
079400         GO TO 9631-READ-MMD3.
079500*
079600     IF  MMD3-TRAILER
079700         SET MBCA-MBIB-FILE4     TO TRUE
079800         GO TO 9635-MMD3-ENDBR.
079900*
080000     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
080100*
080200     IF  MWD3-KEY (1:27) IS GREATER THAN
080300                              MBCA-MBIB-1ST-KEY (1:27)
080400         SET MBCA-MBIB-FILE4     TO TRUE
080500         GO TO 9635-MMD3-ENDBR.
080600*
080700     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
080800         GO TO 9631-READ-MMD3.
080900*
081000     IF  MMTCWS-LM-BATCH-HDR
081100     OR  MMTCWS-LM-ADJUSTMENT
081200         PERFORM 9500-BUILD-SCREEN-LINE
081300                                 THRU 9599-BSL-EXIT
081400         IF  X-IB02-BATCH-INDEX IS LESS THAN +11
081500             SET X-IB02-BATCH-INDEX  UP BY +1
081600             GO TO 9631-READ-MMD3
081700         ELSE
081800             PERFORM 9700-READ-AHEAD-FILE3
081900                                 THRU 9709-RAF3-EXIT
082000     ELSE
082100         GO TO 9631-READ-MMD3.
082200*
082300 9635-MMD3-ENDBR.
082400*
082500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
082600     SET MBIORO-ENDBR            TO TRUE.
082700     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
082800*
082900 9639-MMD3-EXIT.
083000      EXIT.
083100*
083200 9640-START-MMD4.
083300*
083400     IF  MBCA-MBIB-1ST-TIME-YES
083500         MOVE MBCA-MBIB-1ST-KEY  TO MBIOWS-MMD4-KEY
083600         SET MBCA-MBIB-1ST-TIME-NO
083700                                 TO TRUE
083800     ELSE
083900         MOVE MBCA-MBIB-FWD-KEY  TO MBIOWS-MMD4-KEY.
084000*
084100     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
084200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
084300     SET MBIORO-STARTBR-GTE      TO TRUE.
084400     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
084500*
084600     IF  SS08WS-RC-FC-NOTFND
084700         SET SS08WS-ERROR-SW-YES     TO TRUE
084800         GO TO 9649-MMD4-EXIT.
084900*
085000 9641-READ-MMD4.
085100*
085200     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
085300     SET MBIORO-READ-SEQ         TO TRUE.
085400     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
085500*
085600     IF  MMD4-HEADER
085700         GO TO 9641-READ-MMD4.
085800*
085900     IF  MMD4-TRAILER
086000         SET MBCA-MBIB-FILE3     TO TRUE
086100         GO TO 9645-MMD4-ENDBR.
086200*
086300     MOVE MMD4-RECORD            TO MWD3-RECORD.
086400*
086500     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
086600*
086700     IF  MWD3-KEY (1:27) IS GREATER THAN
086800                              MBCA-MBIB-1ST-KEY (1:27)
086900         SET MBCA-MBIB-FILE3  TO TRUE
087000         GO TO 9645-MMD4-ENDBR.
087100*
087200     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
087300         GO TO 9641-READ-MMD4.
087400*
087500     IF  MMTCWS-LM-BATCH-HDR
087600     OR  MMTCWS-LM-ADJUSTMENT
087700         PERFORM 9500-BUILD-SCREEN-LINE
087800                                 THRU 9599-BSL-EXIT
087900         IF  X-IB02-BATCH-INDEX IS LESS THAN +11
088000             SET X-IB02-BATCH-INDEX  UP BY +1
088100             GO TO 9641-READ-MMD4
088200         ELSE
088300             MOVE MWD3-KEY       TO MBCA-MBIB-FWD-KEY
088400             MOVE MWD3-TRANS-CODE
088500                                 TO MBCA-MBIB-FWD-TRANS-CODE
088600             PERFORM 9720-READ-AHEAD-FILE4
088700                                 THRU 9729-RAF4-EXIT
088800     ELSE
088900         GO TO 9641-READ-MMD4.
089000*
089100 9645-MMD4-ENDBR.
089200*
089300     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
089400     SET MBIORO-ENDBR            TO TRUE.
089500     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
089600*
089700 9649-MMD4-EXIT.
089800      EXIT.
089900*
090000 9700-READ-AHEAD-FILE3.
090100*
090200****************************************************************
090300*    READNEXT THE DEPOSIT BATCH FILE 3                         *
090400****************************************************************
090500*
090600     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
090700     SET MBIORO-READ-SEQ         TO TRUE.
090800     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
090900*
091000     MOVE MMD3-RECORD            TO MWD3-RECORD.
091100*
091200     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
091300*
091400     IF  MWD3-KEY (1:27) IS GREATER THAN
091500                                    MBCA-MBIB-1ST-KEY (1:27)
091600         MOVE ZEROS              TO MBCA-MBIB-FWD-TRANS-CODE
091700         SET MBCA-MBIB-FILE4     TO TRUE
091800         GO TO 9709-RAF3-EXIT.
091900*
092000     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
092100         GO TO 9700-READ-AHEAD-FILE3.
092200*
092300     IF  MMTCWS-LM-BATCH-HDR
092400     OR  MMTCWS-LM-ADJUSTMENT
092500         MOVE MWD3-KEY           TO MBCA-MBIB-FWD-KEY
092600         MOVE MWD3-TRANS-CODE    TO MBCA-MBIB-FWD-TRANS-CODE
092700                                    WS-FWD-TRANS-CODE
092800         SET X-IB02-BATCH-INDEX  UP BY +1
092900     ELSE
093000         GO TO 9700-READ-AHEAD-FILE3.
093100*
093200 9709-RAF3-EXIT.
093300     EXIT.
093400*
093500 9720-READ-AHEAD-FILE4.
093600*
093700****************************************************************
093800*    READNEXT THE DEPOSIT BATCH FILE 4                         *
093900****************************************************************
094000*
094100     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
094200     SET MBIORO-READ-SEQ         TO TRUE.
094300     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
094400*
094500     IF  MMD4-KEY (1:27) IS GREATER THAN
094600                                    MBCA-MBIB-1ST-KEY (1:27)
094700         MOVE ZEROS              TO MBCA-MBIB-FWD-TRANS-CODE
094800         SET MBCA-MBIB-FILE3     TO TRUE
094900         GO TO 9729-RAF4-EXIT.
095000*
095100     IF  MMD4-BATCH-SEQ IS EQUAL TO ZEROS
095200         GO TO 9720-READ-AHEAD-FILE4.
095300*
095400     MOVE MMD4-RECORD            TO MWD3-RECORD.
095500*
095600     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
095700*
095800     IF  MMTCWS-LM-BATCH-HDR
095900     OR  MMTCWS-LM-ADJUSTMENT
096000         MOVE MWD3-KEY           TO MBCA-MBIB-FWD-KEY
096100         MOVE MWD3-TRANS-CODE    TO MBCA-MBIB-FWD-TRANS-CODE
096200                                    WS-FWD-TRANS-CODE
096300         SET X-IB02-BATCH-INDEX  UP BY +1
096400     ELSE
096500         GO TO 9720-READ-AHEAD-FILE4.
096600
096700*
096800 9729-RAF4-EXIT.
096900     EXIT.
097000*
097100/         JULIAN TO GREGORIAN DATE ROUTINE
097200     COPY SS08PD.
097300/
097400     COPY SS26PD.
097500/
097600     COPY SS27PD.
097700/         LINE 24 PF KEYS ROUTINE
097800     COPY SS15PD.
097900/         DEPOSIT BATCH D3 RECORD ACCESS ROUTINES
098000     COPY MMD3AO.
098100/         DEPOSIT BATCH D4 RECORD ACCESS ROUTINES
098200     COPY MMD4AO.
098300/         FORMAT NBR AND AMOUNTS BY CURRENCY CODE
098400     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
098500/
098600     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIB02 '
098700                           MBMAPXXI BY MBIB02I
098800                           MBMAPXXO BY MBIB02O.
098900/         FORMAT MESSAGE LINE BUILDER
099000     COPY MB06PD.
099100/         ON-LINE PROCEDURES
099200     COPY MB70PD.
099300/
099400     COPY SMFTPXO.
