000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIB03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIB03 - ON-LINE DEPOSIT BATCH DIRECTORY                *
000800*                SCREEN 03                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBIB                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIB03 (SCREEN 03)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMD3   (DEPOSIT BATCH D3)                  *
001600*                 B. MMD4   (DEPOSIT BATCH D4)                  *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/
004100 01  WS-MISCELLANEOUS.
004200     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004300     03  WS-FWD-TRANS-CODE   PIC  9(03)      VALUE ZEROES.
004400     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004500         88  WS-SELECT-NO                    VALUE 'N'.
004600         88  WS-SELECT-YES                   VALUE 'Y'.
004700     03  WS-SWITCH           PIC  X(01)      VALUE SPACES.
004800         88  WS-READ                         VALUE 'R'.
004900         88  WS-ENDBR                        VALUE 'E'.
005000     03  WS-SETT-FLAG-X.
005100         05  WS-SETT-FLAG    PIC  X(01).
005200         05  WS-SETT-ACCT    PIC  9(01).
005210     03  WS-FULL-SCREEN-SW   PIC X           VALUE 'N'.
005212         88  WS-SCREEN-FULL                  VALUE 'Y'.
005214         88  WS-SCREEN-NOT-FULL              VALUE 'N'.
005300     03  TS-QUEUE-NAME.
005400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBIB'.
005600/
005700 01  FILLER                  PIC  X(36)      VALUE
005800     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
005900/         DEPOSIT BATCH MASTER RECORD LAYOUT WORK FILE 3
006000     COPY MMD3RL REPLACING ==:MMD3:== BY ==MWD3==.
006100*
006200     COPY MMTCWS.
006300*
006400     COPY MB00WS.
006500*
006600     COPY SS95WS.
006700*
006800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006900/
007000 LINKAGE SECTION.
007100 01  DFHCOMMAREA.
007200     COPY MB60WS.
007300/         DEPOSIT BATCH DIRECTORY SCREEN 03 MAP DSECT
007400     COPY MBIB03.
007500/         DEPOSIT BATCH DIRECTORY SCREEN 03 MAP REDEFINITION
007600     COPY MBIB03R.
007700/         DEPOSIT BATCH MASTER RECORD LAYOUT FILE 3
007800     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD3==.
007900/         DEPOSIT BATCH MASTER RECORD LAYOUT FILE 4
008000     COPY MMD3RL REPLACING ==:MMD3:== BY ==MMD4==.
008100/         DEPOSIT BATCH TEMPORARY STORAGE
008200     COPY MBIBTS3.
008300/
008400 PROCEDURE DIVISION.
008500 0000-HOUSEKEEPING SECTION.
008600 0100-INIT.
008700*
008800     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008900     SET MBCA-EIBAID-ENTER       TO TRUE.
009000*
009100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009300                                 THRU MB70PD-OLH-EXIT.
009400*
009500     SET SS95WS-FUNCTION-INITIALIZE
009600                           TO TRUE.
009700     PERFORM SS95PD-NAP-ROUTINE
009800        THRU SS95PD-NAP-EXIT.
009900*
010000     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
010100     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010200     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
010300*
010400     IF  MBCA-RECEIVE-SCREEN
010500         GO TO 2000-RECEIVE-SCREEN.
010600*
010700 1000-SEND-SCREEN SECTION.
010800*
010900****************************************************************
011000*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011100****************************************************************
011200*
011300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011400     PERFORM MB60PD-GETMAIN-FOR-MAP
011500                                 THRU MB60PD-GFM-EXIT.
011600*
011700*******************************************
011800*    READ THE DEPOSIT BATCH RECORD HEADER *
011900*    TO DISPLAY HEADER INFORMATION        *
012000*******************************************
012100*
012200     MOVE MBCA-MBIB-HDR-KEY      TO MBIOWS-MMD3-KEY.
012300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012400     SET MBIORO-READ-RANDOM      TO TRUE.
012500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
012600     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
012700*
012800     IF  SS08WS-RC-FC-NOTFND
012900         MOVE MBCA-MBIB-HDR-KEY  TO MBIOWS-MMD4-KEY
013000         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
013100         SET MBIORO-READ-RANDOM  TO TRUE
013200         PERFORM MMD4AO-ACCESS   THRU MMD4AO-ACCESS-EXIT
013300         MOVE MMD4-RECORD        TO MWD3-RECORD
013400     ELSE
013500         MOVE MMD3-RECORD        TO MWD3-RECORD.
013600*
013700     MOVE MWD3-ORG               TO IB03-ORG.
013800*
013900     MOVE SPACES                 TO SS01WS-EDIT-X.
014000     MOVE MWD3-BATCH-DATE        TO SS01WS-JULIAN
014100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
014200        THRU SS26PD-NED-EXIT.
014300     MOVE SS01WS-XX-XX-YYYY      TO IB03-BATCH-DATE.
014400*
014500     MOVE MWD3-BATCH-NBR         TO IB03-BATCH-NBR.
014600     MOVE MWD3-BATCH-SOURCE      TO IB03-BATCH-SOURCE.
014700     MOVE MWD3-MERCHANT          TO IB03-MERCHANT.
014800*
014900     MOVE SPACES                 TO SS01WS-EDIT-X.
015000     MOVE MWD3-REF-BATCH-DATE    TO SS01WS-JULIAN
015100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
015200        THRU SS26PD-NED-EXIT.
015300     MOVE SS01WS-XX-XX-YYYY      TO IB03-REF-DATE.
015400*
015500     MOVE MWD3-REF-BATCH-NBR     TO IB03-REF-NBR.
015600     MOVE MWD3-REF-BATCH-SOURCE  TO IB03-REF-SOURCE.
015700     MOVE MWD3-STORE             TO IB03-STORE.
015800*
015900     MOVE SPACES                 TO SS01WS-EDIT-X.
016000     MOVE MWD3-POST-DATE         TO SS01WS-JULIAN
016100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
016200        THRU SS26PD-NED-EXIT.
016300     MOVE SS01WS-XX-XX-YYYY      TO IB03-HDR-POST-DATE
016400*
016500     MOVE MWD3-REJECT-REENTRY-FLAG
016600                                 TO IB03-REJ-REENTRY.
016700     MOVE MWD3-SETT-FLAG         TO WS-SETT-FLAG.
016800     MOVE MWD3-SETT-ACCT         TO WS-SETT-ACCT.
016900     MOVE WS-SETT-FLAG-X         TO IB03-SETT-FLAG.
017000     MOVE MWD3-STMT-FLAG         TO IB03-STMT-FLAG.
017100     MOVE MWD3-DESC              TO IB03-ORG-NAME.
017200     MOVE MWD3-NBR-ITEMS         TO IB03-HDR-NBR-ITEMS.
017300*
017400     IF  MWD3-TF-DEBIT
017500         COMPUTE MWD3-AMOUNT = 0 - MWD3-AMOUNT.
017600*
017700     MOVE MWD3-AMOUNT            TO SS95WS-IN-AMT.
017800     PERFORM SS95PD-NAP-ROUTINE
017900                                 THRU SS95PD-NAP-EXIT.
018000     MOVE SS95WS-OUT-AMT-L23     TO IB03-HDR-AMOUNT.
018100*
018200     MOVE 03                     TO MBCA-SCREEN-NBR.
018300*
018400****************************************************************
018500*    INITIALIZE THE STANDARD MAP LINES                         *
018600****************************************************************
018700*
018800     PERFORM MB60PD-INIT-STD-MAP-LINES
018900                                 THRU MB60PD-ISML-EXIT.
019000*
019100****************************************************************
019200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
019300****************************************************************
019400*
019500     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
019600     PERFORM 8100-TEMP-STORAGE-GETMAIN
019700                                 THRU 8199-TSG-EXIT.
019800*
019900     EXEC CICS HANDLE CONDITION
020000               QIDERR (1010-CHECK-RETURN-FLAG)
020100          END-EXEC.
020200*
020300***********************************************
020400*    READ THE TEMP STORAGE RECORD             *
020500***********************************************
020600*
020700     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
020800     PERFORM 8200-TEMP-STORAGE-READ
020900                                 THRU 8299-TSR-EXIT.
021000*
021100***********************************************
021200*    DELETE THE TEMP STORAGE RECORD           *
021300***********************************************
021400*
021500     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
021600     PERFORM 8300-TEMP-STORAGE-DELETE
021700                                 THRU 8399-TSD-EXIT.
021800*
021900     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
022000     GO TO 1080-CONTINUE.
022100*
022200 1010-CHECK-RETURN-FLAG.
022300*
022400 1015-READ-DEPOSITS.
022500*
022600     SET X-IB03-BATCH-INDEX      TO +1.
022700*
022800     IF  MBCA-MBIB-FILE4
022900         GO TO 1015-CONTINUE.
023000*
023100     PERFORM 9630-START-MMD3     THRU 9639-MMD3-EXIT.
023200*
023300     IF  X-IB03-BATCH-INDEX IS GREATER THAN 9
023400         IF  X-IB03-BATCH-INDEX IS EQUAL TO 10
023500             PERFORM 1080-CONTINUE
023600             GO TO 1060-SET-ATTRIBUTE
023700         ELSE
023800             GO TO 1080-CONTINUE.
023900*
024000 1015-CONTINUE.
024100*
024200     PERFORM 9640-START-MMD4     THRU 9649-MMD4-EXIT.
024300*
024400     IF  X-IB03-BATCH-INDEX IS GREATER THAN 10
024500         GO TO 1080-CONTINUE.
024600*
024700 1060-SET-ATTRIBUTE.
024800*
024900     IF  X-IB03-BATCH-INDEX IS EQUAL TO +1
025000     AND IB03-TRAN-CODE (1) IS NOT NUMERIC
025100         MOVE 55                 TO MBCA-SCREEN-NBR
025200         MOVE 'PC02'             TO MBCA-PROGRAM-LOCATION
025300         SET MBCA-MBIB-FILE3     TO TRUE
025400         PERFORM MB70PD-XCTL-TO-MBOXCTL
025500                                 THRU MB70PD-XTM-EXIT.
025600*
025700     IF  X-IB03-BATCH-INDEX IS LESS THAN +11
025710     AND (WS-SCREEN-NOT-FULL)
025800         SET X-TS-IB03-INDEX     TO X-IB03-BATCH-INDEX
025900         MOVE ZEROS              TO MBCA-MBIB-FWD-TRANS-CODE
026000                                    WS-FWD-TRANS-CODE
026100                                    TS-IB03-TRANS-CODE
026200                                    (X-TS-IB03-INDEX)
026300                                    TS-IB03-PRODUCT
026400                                    (X-TS-IB03-INDEX)
026500                                    TS-IB03-QUAL-LEVEL
026600                                    (X-TS-IB03-INDEX)
026700                                    TS-IB03-PLAN
026800                                    (X-TS-IB03-INDEX)
026900                                    TS-IB03-LOGO
027000                                    (X-TS-IB03-INDEX)
027100                                    TS-IB03-AMOUNT
027200                                    (X-TS-IB03-INDEX)
027300         MOVE SPACES             TO TS-IB03-AR-ACCOUNT
027400                                    (X-TS-IB03-INDEX)
027500         MOVE DFHBMASK           TO IB03-SELECT-A
027600                                    (X-IB03-BATCH-INDEX)
027700         MOVE DFHBMDAS           TO IB03-TRAN-CODE-A
027800                                    (X-IB03-BATCH-INDEX)
027900                                    IB03-PRODUCT-A
028000                                    (X-IB03-BATCH-INDEX)
028100                                    IB03-QUAL-LEVEL-A
028200                                    (X-IB03-BATCH-INDEX)
028300                                    IB03-PLAN-A
028400                                    (X-IB03-BATCH-INDEX)
028500                                    IB03-LOGO-A
028600                                    (X-IB03-BATCH-INDEX)
028700                                    IB03-AR-ACCOUNT-A
028800                                    (X-IB03-BATCH-INDEX)
028900                                    IB03-S-R-AMOUNT-A
029000                                    (X-IB03-BATCH-INDEX)
029100                                    IB03-SELECT-LP-A
029200                                    (X-IB03-BATCH-INDEX)
029300                                    IB03-SELECT-RP-A
029400                                    (X-IB03-BATCH-INDEX)
029500         SET X-IB03-BATCH-INDEX  UP BY +1
029600         GO TO 1060-SET-ATTRIBUTE.
029700*
029800 1080-CONTINUE.
029900*
030000     IF  WS-FWD-TRANS-CODE IS NOT EQUAL TO ZEROES
030100         MOVE DFHBMASB           TO IB03-BACK-IND-A.
030200*
030300****************************************************************
030400*    WRITE THE TEMP STORAGE RECORD                             *
030500****************************************************************
030600*
030700     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
030800     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
030810*                                                                 FX800050
030820 1085-CONTINUE.                                                   FX800050
030900*
031000     SET X-IB03-BATCH-INDEX      TO +1.
031100*
031200 1090-CURSOR-LOOP.
031300*
031400     IF  X-IB03-BATCH-INDEX IS GREATER THAN +10
031500         MOVE SS08WS-CURSOR      TO IB03-ALT-TRANID-L
031600         GO TO 1100-CONTINUE.
031700*
031800     IF  IB03-SELECT-A (X-IB03-BATCH-INDEX)
031900                                 IS EQUAL TO DFHBMASK
032000         SET X-IB03-BATCH-INDEX  UP BY +1
032100         GO TO 1090-CURSOR-LOOP
032200     ELSE
032300         MOVE SS08WS-CURSOR      TO IB03-SELECT-L
032400                                    (X-IB03-BATCH-INDEX).
032500*
032600 1100-CONTINUE.
032700*
032800     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
032900     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
033000     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
033100     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
033200     MOVE SS08WS-LINE-24         TO IB03-PF-KEYS.
033300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
033400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
033500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
033600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
033700*
033800***********************************************************
033900*    SET THE CURRENCY CODE, CURRENCY NOD                  *
034000*            PER ITEM NOD, PERCENT NOD.                   *
034100***********************************************************
034200     IF IB03-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
034300          PERFORM MB06PD-FORMAT-MESSAGE-LINE
034400                                   THRU MB06PD-FML-EXIT
034500     MOVE SS08WS-FORMATTED-MSG   TO IB03-ERR-MESSAGE
034600       END-IF.
034700*
034800****************************************************************
034900*    SEND THE MAP                                              *
035000****************************************************************
035100*
035200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
035300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
035400                                 THRU MB60PD-SMWE-EXIT.
035500*
035600****************************************************************
035700*    RETURN TO CICS                                            *
035800****************************************************************
035900*
036000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
036100     PERFORM MB70PD-RETURN-TRANS-ID
036200                                 THRU MB70PD-RTI-EXIT.
036300/
036400 2000-RECEIVE-SCREEN SECTION.
036500*
036600     IF  MBCA-EIBAID-CLEAR
036700         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
036800         PERFORM 8300-TEMP-STORAGE-DELETE
036900                                 THRU 8399-TSD-EXIT
037000         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
037100         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
037200                                 THRU MB70PD-OLH-EXIT.
037300*
037400****************************************************************
037500*    THIS SECTION RECEIVES THE 03 SCREEN                       *
037600****************************************************************
037700*
037800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
037900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
038000*
038100*****************************************************
038200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
038300*****************************************************
038400*
038500     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
038600     PERFORM 8100-TEMP-STORAGE-GETMAIN
038700                                 THRU 8199-TSG-EXIT.
038800*
038900***********************************************
039000*    READ THE TEMP STORAGE RECORD             *
039100***********************************************
039200*
039300     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
039400     PERFORM 8200-TEMP-STORAGE-READ
039500                                 THRU 8299-TSR-EXIT.
039600*
039700***********************************************
039800*    DELETE THE TEMP STORAGE RECORD           *
039900***********************************************
040000*
040100     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
040200     PERFORM 8300-TEMP-STORAGE-DELETE
040300                                 THRU 8399-TSD-EXIT.
040400*
040500****************************************************************
040600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
040700****************************************************************
040800*
040900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
041000     PERFORM MB60PD-NEW-TRANS-ROUTINE
041100                                 THRU MB60PD-NTR-EXIT.
041200*
041300 2005-EDIT-SELECT.
041400*
041500****************************************************************
041600*    EDIT SELECT FIELD                                         *
041700****************************************************************
041800*
041900     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
042000*
042100 2090-CHECK-ERROR.
042200*
042300     IF  SS08WS-ERROR-SW-NO
042400         GO TO 2400-CHECK-SELECT.
042500*
042600 2300-SEND-MAP.
042700*
042800***********************************************
042900*    WRITE THE TEMP STORAGE RECORD            *
043000***********************************************
043100*
043200     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
043300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
043400*
043500****************************************************************
043600*    SEND THE MAP                                              *
043700****************************************************************
043800*
043900     PERFORM MB60PD-INIT-STD-MAP-LINES
044000                                 THRU MB60PD-ISML-EXIT.
044100*
044200***********************************************************
044300*    SET THE CURRENCY CODE, CURRENCY NOD                  *
044400*            PER ITEM NOD, PERCENT NOD.                   *
044500***********************************************************
044600     IF IB03-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
044700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
044800                                 THRU MB06PD-FML-EXIT
044900        MOVE SS08WS-FORMATTED-MSG   TO IB03-ERR-MESSAGE
045000     END-IF.
045100*
045200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
045300     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
045400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
045500     MOVE 'RESV*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
045600     MOVE SS08WS-LINE-24         TO IB03-PF-KEYS.
045700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
045800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
045900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
046000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
046100*
046200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
046300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
046400                                 THRU MB60PD-SMDO-EXIT.
046500*
046600****************************************************************
046700*    RETURN TO CICS                                            *
046800****************************************************************
046900*
047000     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
047100     PERFORM MB70PD-RETURN-TRANS-ID
047200                                 THRU MB70PD-RTI-EXIT.
047300/
047400 2400-CHECK-SELECT.
047500*
047600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
047700*
047800     IF  SS08WS-VALID-PF3
047900     OR  SS08WS-EIBAID-VALID-PF3
048000         GO TO 2600-SETUP-COMMAREA.
048100*
048200     IF  SS08WS-VALID-PF5
048300     OR  SS08WS-EIBAID-VALID-PF5
048400         GO TO 2600-SETUP-COMMAREA.
048500*
048600     IF  WS-SELECT-YES
048700         MOVE MBCA-MBIB-BACK-KEY TO MBCA-MBIB-1ST-KEY
048800                                    MBCA-MBIB-FWD-KEY.
048900/
049000 2600-SETUP-COMMAREA.
049100*
049200****************************************************************
049300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
049400****************************************************************
049500*
049600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
049700*
049800     IF  SS08WS-VALID-PF3
049900     OR  SS08WS-EIBAID-VALID-PF3
050000         MOVE 53                 TO MBCA-SCREEN-NBR
050100         MOVE MBCA-MBIB-1ST-KEY  TO MBCA-MBIB-FWD-KEY
050200         SET MBCA-MBIB-FILE3     TO TRUE
050300         SET MBCA-MBIB-RETURN-NORMAL
050400                                 TO TRUE
050500         GO TO 2690-PF-KEY-BYPASS.
050600*
050700     IF  SS08WS-VALID-PF5
050800     OR  SS08WS-EIBAID-VALID-PF5
050900         MOVE 53                 TO MBCA-SCREEN-NBR
051000         IF (TS-IB03-TRANS-CODE (1) IS GREATER THAN ZEROES
051100         AND TS-IB03-TRANS-CODE (10) IS EQUAL TO ZEROES)
051200         OR (MBCA-MBIB-FWD-TRANS-CODE IS EQUAL TO ZEROES)
051300             MOVE ' '            TO MBCA-MBIB-RETURN-FLAG
051400             MOVE ZEROES         TO MBCA-MBIB-FWD-TRANS-CODE
051500             MOVE 'TS09'         TO MBCA-PROGRAM-LOCATION
051600             PERFORM 8400-WRITE-QUEUE
051700                                 THRU 8499-WQ-EXIT
051800             GO TO 2690-PF-KEY-BYPASS
051900         ELSE
052000             SET MBCA-MBIB-RETURN-FWD
052100                                 TO TRUE
052200             GO TO 2690-PF-KEY-BYPASS.
052300*
052400     IF  IB03-CURRENT-PAGE-L IS GREATER THAN ZERO
052500     AND IB03-CURRENT-PAGE   IS NUMERIC
052600         IF  IB03-CURRENT-PAGE IS EQUAL TO 1
052700             MOVE MBCA-MBIB-PAGE-1-KEY
052800                                 TO MBCA-MBIB-FWD-KEY
052900                                    MBCA-MBIB-1ST-KEY
053000             SET MBCA-MBIB-FILE3 TO TRUE
053100             MOVE 51             TO MBCA-SCREEN-NBR
053200             GO TO 2690-PF-KEY-BYPASS
053300         ELSE
053400             IF  IB03-CURRENT-PAGE IS EQUAL TO 2
053500                 MOVE MBCA-MBIB-PAGE-2-3-KEY
053600                                 TO MBCA-MBIB-FWD-KEY
053700                                    MBCA-MBIB-1ST-KEY
053800                 SET MBCA-MBIB-FILE3
053900                                 TO TRUE
054000                 MOVE 52         TO MBCA-SCREEN-NBR
054100                 GO TO 2690-PF-KEY-BYPASS
054200             ELSE
054300                 IF  IB03-CURRENT-PAGE IS EQUAL TO 5
054400                     MOVE 55     TO MBCA-SCREEN-NBR
054500                     GO TO 2690-PF-KEY-BYPASS
054600                 ELSE
054700                     SET MBCA-INITIAL-SCREEN-NBR
054800                                 TO TRUE
054900                     SET MBCA-MBIB-RETURN-NORMAL
055000                                 TO TRUE
055100                     GO TO 2690-PF-KEY-BYPASS.
055200*
055300     IF  SS08WS-VALID-PF-KEY
055400     OR  SS08WS-EIBAID-VALID-PF-KEY
055500         SET MBCA-INITIAL-SCREEN-NBR
055600                                 TO TRUE
055700         MOVE ' '                TO MBCA-MBIB-RETURN-FLAG
055800         GO TO 2690-PF-KEY-BYPASS.
055900*
056000     IF  WS-SELECT-YES
056100         MOVE 54                 TO MBCA-SCREEN-NBR
056200     ELSE
056300         SET MBCA-INITIAL-SCREEN-NBR
056400                                 TO TRUE
056500         SET MBCA-MBIB-RETURN-NORMAL
056600                                 TO TRUE.
056700*
056800 2690-PF-KEY-BYPASS.
056900*
057000     IF  SS08WS-VALID-PF5
057100     OR  SS08WS-EIBAID-VALID-PF5
057200         NEXT SENTENCE
057300     ELSE
057400         SET MBCA-MBIB-FILE3     TO TRUE.
057500*
057600     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
057700     PERFORM MB70PD-XCTL-TO-MBOXCTL
057800                                 THRU MB70PD-XTM-EXIT.
057900/
058000 8000-PERFORMED-ROUTINES-SECT SECTION.
058100*
058200 8100-TEMP-STORAGE-GETMAIN.
058300*
058400     EXEC CICS GETMAIN
058500               FLENGTH (LENGTH  OF MBIBTS-RECORD-3)
058600               SET     (ADDRESS OF MBIBTS-RECORD-3)
058700          END-EXEC.
058800*
058900 8199-TSG-EXIT.
059000     EXIT.
059100*
059200 8200-TEMP-STORAGE-READ.
059300*
059400     EXEC CICS READQ TS
059500               QUEUE   (TS-QUEUE-NAME)
059600               INTO    (MBIBTS-RECORD-3)
059700               LENGTH  (LENGTH  OF MBIBTS-RECORD-3)
059800               ITEM    (1)
059900          END-EXEC.
060000*
060100 8299-TSR-EXIT.
060200     EXIT.
060300*
060400 8300-TEMP-STORAGE-DELETE.
060500*
060600     EXEC CICS IGNORE CONDITION
060700               QIDERR
060800          END-EXEC.
060900*
061000     EXEC CICS DELETEQ TS
061100               QUEUE  (TS-QUEUE-NAME)
061200          END-EXEC.
061300*
061400 8399-TSD-EXIT.
061500     EXIT.
061600*
061700 8400-WRITE-QUEUE.
061800*
061900     EXEC CICS WRITEQ TS
062000               QUEUE   (TS-QUEUE-NAME)
062100               FROM    (MBIBTS-RECORD-3)
062200               LENGTH  (LENGTH  OF MBIBTS-RECORD-3)
062300          END-EXEC.
062400*
062500 8499-WQ-EXIT.
062600     EXIT.
062700*
062800 8600-EDIT-SELECT.
062900*
063000     SET X-IB03-BATCH-INDEX      TO +1.
063100*
063200 8600-EDIT-LOOP.
063300*
063400     SET X-TS-IB03-INDEX           TO X-IB03-BATCH-INDEX.
063500*
063600     IF  IB03-SELECT-L (X-IB03-BATCH-INDEX) IS GREATER THAN ZERO
063700         IF  IB03-VALID-SELECT (X-IB03-BATCH-INDEX)
063800             MOVE DFHBMASF       TO IB03-SELECT-A
063900                                    (X-IB03-BATCH-INDEX)
064000             MOVE DFHBMDAS       TO IB03-SELECT-LP-A
064100                                    (X-IB03-BATCH-INDEX)
064200                                    IB03-SELECT-RP-A
064300                                    (X-IB03-BATCH-INDEX)
064400             IF  IB03-VALID-X (X-IB03-BATCH-INDEX)
064500                 SET WS-SELECT-YES
064600                                 TO TRUE
064700                 MOVE TS-IB03-KEY   (X-TS-IB03-INDEX)
064800                                 TO MBCA-MBIB-BACK-KEY
064900                 GO TO 8699-ES-EXIT
065000             ELSE
065100                 NEXT SENTENCE
065200         ELSE
065300             SET SS08WS-ERROR-SW-YES TO TRUE
065400             MOVE SS08WS-CURSOR  TO IB03-SELECT-L
065500                                    (X-IB03-BATCH-INDEX)
065600             MOVE DFHBMUBF       TO IB03-SELECT-A
065700                                    (X-IB03-BATCH-INDEX)
065800             MOVE DFHBMASB       TO IB03-SELECT-LP-A
065900                                    (X-IB03-BATCH-INDEX)
066000                                    IB03-SELECT-RP-A
066100                                    (X-IB03-BATCH-INDEX)
066200             GO TO 8699-ES-EXIT.
066300*
066400     IF  X-IB03-BATCH-INDEX IS LESS THAN +10
066500         SET X-IB03-BATCH-INDEX  UP BY +1
066600         GO TO 8600-EDIT-LOOP.
066700*
066800     SET X-IB03-BATCH-INDEX      TO +1.
066900     SET X-TS-IB03-INDEX         TO +1.
067000     MOVE TS-IB03-KEY   (X-TS-IB03-INDEX)
067100                                 TO MBCA-MBIB-BACK-KEY.
067200*
067300 8699-ES-EXIT.
067400     EXIT.
067500*
067600 8800-BUILD-SCREEN.
067700*
067800     SET X-IB03-BATCH-INDEX      TO +1.
067900*
068000 8800-BUILD-LOOP.
068100*
068200     SET X-TS-IB03-INDEX         TO X-IB03-BATCH-INDEX.
068300*
068400     IF  TS-IB03-TRANS-CODE (X-TS-IB03-INDEX)
068500                                 IS GREATER THAN ZEROES
068600         MOVE TS-IB03-TRANS-CODE (X-TS-IB03-INDEX)
068700                                 TO IB03-TRAN-CODE
068800                                    (X-IB03-BATCH-INDEX)
068900         MOVE TS-IB03-PRODUCT (X-TS-IB03-INDEX)
069000                                 TO IB03-PRODUCT
069100                                    (X-IB03-BATCH-INDEX)
069200         MOVE TS-IB03-QUAL-LEVEL (X-TS-IB03-INDEX)
069300                                 TO IB03-QUAL-LEVEL
069400                                    (X-IB03-BATCH-INDEX)
069500         MOVE TS-IB03-PLAN (X-TS-IB03-INDEX)
069600                                 TO IB03-PLAN
069700                                    (X-IB03-BATCH-INDEX)
069800         MOVE TS-IB03-LOGO (X-TS-IB03-INDEX)
069900                                 TO IB03-LOGO
070000                                    (X-IB03-BATCH-INDEX)
070100         MOVE TS-IB03-AR-ACCOUNT (X-TS-IB03-INDEX)
070200                                 TO IB03-AR-ACCOUNT
070300                                    (X-IB03-BATCH-INDEX)
070400*
070500         MOVE TS-IB03-AMOUNT (X-TS-IB03-INDEX)
070600                                 TO SS95WS-IN-AMT
070700         PERFORM SS95PD-NAP-ROUTINE
070800                                 THRU SS95PD-NAP-EXIT
070900         MOVE SS95WS-OUT-AMT-L23 TO IB03-S-R-AMOUNT
071000                                    (X-IB03-BATCH-INDEX)
071100     ELSE
071200         MOVE DFHBMASK           TO IB03-SELECT-A
071300                                    (X-IB03-BATCH-INDEX)
071400         MOVE DFHBMDAS           TO IB03-TRAN-CODE-A
071500                                    (X-IB03-BATCH-INDEX)
071600                                    IB03-PRODUCT-A
071700                                    (X-IB03-BATCH-INDEX)
071800                                    IB03-QUAL-LEVEL-A
071900                                    (X-IB03-BATCH-INDEX)
072000                                    IB03-PLAN-A
072100                                    (X-IB03-BATCH-INDEX)
072200                                    IB03-LOGO-A
072300                                    (X-IB03-BATCH-INDEX)
072400                                    IB03-AR-ACCOUNT-A
072500                                    (X-IB03-BATCH-INDEX)
072600                                    IB03-S-R-AMOUNT-A
072700                                    (X-IB03-BATCH-INDEX)
072800                                    IB03-SELECT-LP-A
072900                                    (X-IB03-BATCH-INDEX)
073000                                    IB03-SELECT-RP-A
073100                                    (X-IB03-BATCH-INDEX).
073200*
073300     IF  X-IB03-BATCH-INDEX IS LESS THAN +10
073400         SET X-IB03-BATCH-INDEX  UP BY +1
073500         GO TO 8800-BUILD-LOOP
073600     ELSE
073700         MOVE MBCA-MBIB-FWD-TRANS-CODE
073800                                 TO WS-FWD-TRANS-CODE.
073900*
074000 8899-BS-EXIT.
074100     EXIT.
074200*
074300 9500-BUILD-SCREEN-LINE.
074400*
074500     SET X-TS-IB03-INDEX         TO X-IB03-BATCH-INDEX.
074600*
074700     MOVE MWD3-KEY               TO TS-IB03-KEY
074800                                    (X-TS-IB03-INDEX).
074900*
074912     IF  X-IB03-BATCH-INDEX IS EQUAL TO 10
074914         SET WS-SCREEN-FULL      TO TRUE
074916     END-IF.
074918*
075000     MOVE MWD3-TRANS-CODE        TO IB03-TRAN-CODE
075100                                    (X-IB03-BATCH-INDEX)
075200                                    TS-IB03-TRANS-CODE
075300                                    (X-TS-IB03-INDEX).
075400*
075500     MOVE MWD3-PRODUCT           TO IB03-PRODUCT
075600                                    (X-IB03-BATCH-INDEX)
075700                                    TS-IB03-PRODUCT
075800                                    (X-TS-IB03-INDEX).
075900*
076000     MOVE MWD3-QUAL-LEVEL        TO IB03-QUAL-LEVEL
076100                                    (X-IB03-BATCH-INDEX)
076200                                    TS-IB03-QUAL-LEVEL
076300                                    (X-TS-IB03-INDEX).
076400*
076500     MOVE MWD3-PLAN              TO IB03-PLAN
076600                                    (X-IB03-BATCH-INDEX)
076700                                    TS-IB03-PLAN
076800                                    (X-TS-IB03-INDEX).
076900*
077000     MOVE MWD3-LOGO              TO IB03-LOGO
077100                                    (X-IB03-BATCH-INDEX)
077200                                    TS-IB03-LOGO
077300                                    (X-TS-IB03-INDEX).
077400*
077500     MOVE MWD3-AR-ACCT           TO IB03-AR-ACCOUNT
077600                                    (X-IB03-BATCH-INDEX)
077700                                    TS-IB03-AR-ACCOUNT
077800                                    (X-TS-IB03-INDEX).
077900*
078000     IF  MWD3-TF-DEBIT
078100         COMPUTE MWD3-AMOUNT = 0 - MWD3-AMOUNT.
078200*
078300     MOVE MWD3-AMOUNT            TO SS95WS-IN-AMT
078400                                    TS-IB03-AMOUNT
078500                                    (X-TS-IB03-INDEX).
078600     PERFORM SS95PD-NAP-ROUTINE
078700                                 THRU SS95PD-NAP-EXIT.
078800     MOVE SS95WS-OUT-AMT-L23     TO IB03-S-R-AMOUNT
078900                                    (X-IB03-BATCH-INDEX).
079000*
079100 9599-BSL-EXIT.
079200     EXIT.
079300*
079400 9630-START-MMD3.
079500*
079600     MOVE MBCA-MBIB-FWD-KEY      TO MBIOWS-MMD3-KEY.
079700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
079800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
079900     SET MBIORO-STARTBR-GTE      TO TRUE.
080000     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
080100     SET MBCA-MBIB-1ST-TIME-YES  TO TRUE.
080200*
080300     IF  SS08WS-RC-FC-NOTFND
080400         SET SS08WS-ERROR-SW-YES     TO TRUE
080500         GO TO 9639-MMD3-EXIT.
080600*
080700 9631-READ-MMD3.
080800*
080900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
081000     SET MBIORO-READ-SEQ         TO TRUE.
081100     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
081200*
081300     MOVE MMD3-RECORD            TO MWD3-RECORD.
081400*
081500     IF  MMD3-HEADER
081600         GO TO 9631-READ-MMD3.
081700*
081800     IF  MMD3-TRAILER
081900         SET MBCA-MBIB-FILE4     TO TRUE
082000         GO TO 9635-MMD3-ENDBR.
082100*
082200     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
082300*
082400     IF  MWD3-KEY (1:27) IS GREATER THAN
082500                                    MBCA-MBIB-1ST-KEY (1:27)
082600         SET MBCA-MBIB-FILE4     TO TRUE
082700         GO TO 9635-MMD3-ENDBR.
082800*
082900     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
083000         GO TO 9631-READ-MMD3.
083100*
083200     IF  MMTCWS-LM-SALE
083300     OR  MMTCWS-LM-SALE-REV
083400     OR  MMTCWS-LM-RETURN
083500     OR  MMTCWS-LM-RETURN-REV
083600         PERFORM 9500-BUILD-SCREEN-LINE
083700                                 THRU 9599-BSL-EXIT
083800         IF  X-IB03-BATCH-INDEX IS LESS THAN +10
083900             SET X-IB03-BATCH-INDEX  UP BY +1
084000             GO TO 9631-READ-MMD3
084100         ELSE
084200             PERFORM 9700-READ-AHEAD-FILE3
084300                                 THRU 9709-RAF3-EXIT
084400     ELSE
084500         GO TO 9631-READ-MMD3.
084600*
084700 9635-MMD3-ENDBR.
084800*
084900     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
085000     SET MBIORO-ENDBR            TO TRUE.
085100     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
085200*
085300 9639-MMD3-EXIT.
085400      EXIT.
085500*
085600 9640-START-MMD4.
085700*
085800     IF  MBCA-MBIB-1ST-TIME-YES
085900         MOVE MBCA-MBIB-1ST-KEY  TO MBIOWS-MMD4-KEY
086000         SET MBCA-MBIB-1ST-TIME-NO
086100                                 TO TRUE
086200     ELSE
086300         MOVE MBCA-MBIB-FWD-KEY  TO MBIOWS-MMD4-KEY.
086400*
086500     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
086600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
086700     SET MBIORO-STARTBR-GTE      TO TRUE.
086800     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
086900*
087000     IF  SS08WS-RC-FC-NOTFND
087100         SET SS08WS-ERROR-SW-YES     TO TRUE
087200         GO TO 9649-MMD4-EXIT.
087300*
087400 9641-READ-MMD4.
087500*
087600     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
087700     SET MBIORO-READ-SEQ         TO TRUE.
087800     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
087900*
088000     IF  MMD4-HEADER
088100         GO TO 9641-READ-MMD4.
088200*
088300     IF  MMD4-TRAILER
088400         SET MBCA-MBIB-FILE4     TO TRUE
088500         GO TO 9645-MMD4-ENDBR.
088600*
088700     MOVE MMD4-RECORD            TO MWD3-RECORD.
088800*
088900     MOVE MWD3-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
089000*
089100     IF  MWD3-KEY (1:27) IS GREATER THAN
089200                              MBCA-MBIB-1ST-KEY (1:27)
089300         SET MBCA-MBIB-FILE3     TO TRUE
089400         GO TO 9645-MMD4-ENDBR.
089500*
089600     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
089700         GO TO 9641-READ-MMD4.
089800*
089900     IF  MMTCWS-LM-SALE
090000     OR  MMTCWS-LM-SALE-REV
090100     OR  MMTCWS-LM-RETURN
090200     OR  MMTCWS-LM-RETURN-REV
090300         PERFORM 9500-BUILD-SCREEN-LINE
090400                                 THRU 9599-BSL-EXIT
090500         IF  X-IB03-BATCH-INDEX IS LESS THAN +10
090600             SET X-IB03-BATCH-INDEX  UP BY +1
090700             GO TO 9641-READ-MMD4
090800         ELSE
090900             MOVE MWD3-KEY       TO MBCA-MBIB-FWD-KEY
091000             MOVE MWD3-TRANS-CODE
091100                                 TO MBCA-MBIB-FWD-TRANS-CODE
091200             PERFORM 9720-READ-AHEAD-FILE4
091300                                 THRU 9729-RAF4-EXIT
091400     ELSE
091500         GO TO 9641-READ-MMD4.
091600*
091700 9645-MMD4-ENDBR.
091800*
091900     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
092000     SET MBIORO-ENDBR            TO TRUE.
092100     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
092200*
092300 9649-MMD4-EXIT.
092400      EXIT.
092500*
092600 9700-READ-AHEAD-FILE3.
092700*
092800****************************************************************
092900*    READNEXT THE DEPOSIT BATCH FILE 3                         *
093000****************************************************************
093100*
093200     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
093300     SET MBIORO-READ-SEQ         TO TRUE.
093400     PERFORM MMD3AO-ACCESS       THRU MMD3AO-ACCESS-EXIT.
093500*
093600     MOVE MMD3-RECORD            TO MWD3-RECORD.
093700*
093800     IF  MWD3-KEY (1:27) IS GREATER THAN
093900                                    MBCA-MBIB-1ST-KEY (1:27)
094000         MOVE ZEROS              TO MBCA-MBIB-FWD-TRANS-CODE
094100         SET MBCA-MBIB-FILE4     TO TRUE
094200         GO TO 9709-RAF3-EXIT.
094300*
094400     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
094500         GO TO 9700-READ-AHEAD-FILE3.
094600*
094700     IF  MMTCWS-LM-SALE
094800     OR  MMTCWS-LM-SALE-REV
094900     OR  MMTCWS-LM-RETURN
095000     OR  MMTCWS-LM-RETURN-REV
095100         MOVE MWD3-KEY           TO MBCA-MBIB-FWD-KEY
095200         MOVE MWD3-TRANS-CODE    TO MBCA-MBIB-FWD-TRANS-CODE
095300                                    WS-FWD-TRANS-CODE
095400         SET X-IB03-BATCH-INDEX  UP BY +1
095500     ELSE
095600         GO TO 9700-READ-AHEAD-FILE3.
095700*
095800 9709-RAF3-EXIT.
095900     EXIT.
096000*
096100 9720-READ-AHEAD-FILE4.
096200*
096300****************************************************************
096400*    READNEXT THE DEPOSIT BATCH FILE 4                         *
096500****************************************************************
096600*
096700     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
096800     SET MBIORO-READ-SEQ         TO TRUE.
096900     PERFORM MMD4AO-ACCESS       THRU MMD4AO-ACCESS-EXIT.
097000*
097100     IF  MMD4-KEY (1:27) IS GREATER THAN
097200                                    MBCA-MBIB-1ST-KEY (1:27)
097300         SET MBCA-MBIB-FILE3     TO TRUE
097400         MOVE ZEROES             TO WS-FWD-TRANS-CODE
097500                                    MBCA-MBIB-FWD-TRANS-CODE
097600         GO TO 9729-RAF4-EXIT.
097700*
097800     MOVE MMD4-RECORD            TO MWD3-RECORD.
097900*
098000     IF  MWD3-BATCH-SEQ IS EQUAL TO ZEROS
098100         GO TO 9720-READ-AHEAD-FILE4.
098200*
098300     IF  MMTCWS-LM-SALE
098400     OR  MMTCWS-LM-SALE-REV
098500     OR  MMTCWS-LM-RETURN
098600     OR  MMTCWS-LM-RETURN-REV
098700         MOVE MWD3-KEY           TO MBCA-MBIB-FWD-KEY
098800         MOVE MWD3-TRANS-CODE    TO MBCA-MBIB-FWD-TRANS-CODE
098900                                    WS-FWD-TRANS-CODE
099000         SET X-IB03-BATCH-INDEX  UP BY +1
099100     ELSE
099200         GO TO 9720-READ-AHEAD-FILE4.
099300*
099400 9729-RAF4-EXIT.
099500     EXIT.
099600*
099700*
099800/         JULIAN TO GREGORIAN DATE ROUTINE
099900     COPY SS08PD.
100000/
100100     COPY SS26PD.
100200/
100300     COPY SS27PD.
100400/         LINE 24 PF KEYS ROUTINE
100500     COPY SS15PD.
100600/         DEPOSIT BATCH D3 RECORD ACCESS ROUTINES
100700     COPY MMD3AO.
100800/         DEPOSIT BATCH D4 RECORD ACCESS ROUTINES
100900     COPY MMD4AO.
101000/         FORMAT NBR AND AMOUNTS BY CURRENCY CODE
101100     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
101200/
101300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIB03 '
101400                           MBMAPXXI BY MBIB03I
101500                           MBMAPXXO BY MBIB03O.
101600/         FORMAT MESSAGE LINE BUILDER
101700     COPY MB06PD.
101800/         ON-LINE PROCEDURES
101900     COPY MB70PD.
102000/
102100     COPY SMFTPXO.
