000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIC00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIC00 - CHAIN STATS INQUIRY                            *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBIC                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIC00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC (ORG CONTROL FILE)                    *
001600*                 B. MMPG (MERCH PROD GROUP STATS FILE)         *
001700*                 C. MMRC (MERCH/RELATIONSHIP CONTROL FILE)     *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE
002800     '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400*
003500     03  TS-QUEUE-NAME.
003600         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
003700         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBIC'.
003800     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003900                                             VALUE +001.
004000     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
004100                                             VALUE +998.
004200/
004300 01  FILLER                  PIC  X(29)      VALUE
004400     'I/O REQUEST BLOCK WORK AREAS:'.
004500*
004600     COPY MBIOWS.
004700/
004800 01  FILLER                  PIC  X(18)      VALUE
004900     'I/O REQUEST BLOCK:'.
005000*
005100     COPY MBIORO.
005200/
005300 01  FILLER                  PIC  X(21)      VALUE
005400     'ERROR MESSAGES TABLE:'.
005500*
005600     COPY MBEMWS.
005700/
005800 01  FILLER                  PIC  X(20)      VALUE
005900     'CCS DATE WORK AREAS:'.
006000*
006100     COPY SS01WS.
006200/
006300 01  FILLER                  PIC  X(15)      VALUE
006400     'CCS WORK AREAS:'.
006500*
006600     COPY SS08WS.
006700/
006800     COPY SS00WS.
006900/
007000     COPY SMFTWS.
007100/
007200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007300/
007400     COPY MB61LK.
007500/
007600 01  FILLER                  PIC  X(12)      VALUE
007700     '** WS-END **'.
007800/
007900 LINKAGE SECTION.
008000*
008100 01  DFHCOMMAREA.
008200*
008300     COPY MB60WS.
008400/
008500******************************************
008600*    CHAIN INQUIRY LOCATE MAP            *
008700******************************************
008800*
008900     COPY MBIC00.
009000/
009100*******************************************************
009200*    CHAIN INQUIRY LOCATE MAP REDEFINITION            *
009300*******************************************************
009400*
009500     COPY MBIC00R.
009600/
009700***************************
009800*    ORG RECORD LAYOUT    *
009900***************************
010000*
010100     COPY MMOCRL.
010200/
010300*****************************************************
010400*    MERCH PROD GROUP STATS RECORD LAYOUT           *
010500*****************************************************
010600*
010700     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPG==.
010800/         MERCH/RELATIONSHIP CONTROL FILE RECORD LAYOUT
010900     COPY MMRCRL.
011000/
011100 PROCEDURE DIVISION.
011200*
011300 A000-HOUSEKEEPING SECTION.
011400*
011500 A020-INIT.
011600*
011700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011900                                 THRU MB70PD-OLH-EXIT.
012000*
012100     MOVE 'N'                    TO MBCA-MBIC-FWD-SW.
012200*
012300     IF  MBCA-RECEIVE-SCREEN
012400         GO TO C000-RECEIVE-SCREEN.
012500/
012600 B000-SEND-SCREEN SECTION.
012700*
012800     EXEC CICS IGNORE CONDITION
012900               QIDERR
013000          END-EXEC.
013100*
013200     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
013300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013400*
013500     EXEC CICS DELETEQ TS
013600               QUEUE  (TS-QUEUE-NAME)
013700          END-EXEC.
013800*
013900*********************************************
014000*    GET CICS STORAGE NEEDED FOR THE MAP    *
014100*********************************************
014200*
014300     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
014400     PERFORM MB60PD-GETMAIN-FOR-MAP
014500                                 THRU MB60PD-GFM-EXIT.
014600*
014700 B020-BUILD-SCREEN.
014800*
014900*******************************************
015000*    INITIALIZE THE STANDARD MAP LINES    *
015100*******************************************
015200*
015300     MOVE SS08WS-CURSOR          TO IC00-ORG-L.
015400     MOVE 00                     TO MBCA-SCREEN-NBR.
015500     PERFORM MB60PD-INIT-STD-MAP-LINES
015600                                 THRU MB60PD-ISML-EXIT.
015700*
015800     IF  MBCA-MERCHANT-ORG IS GREATER THAN ZEROS
015900         MOVE MBCA-MERCHANT-ORG
016000                                 TO IC00-ORG
016100         MOVE DFHBMUNF           TO IC00-ORG-A
016200         IF  MBCA-CHAIN IS GREATER THAN ZEROS
016300             MOVE MBCA-CHAIN     TO IC00-CHAIN
016400             MOVE DFHBMUNF       TO IC00-CHAIN-A.
016500*
016600     SET IC00-VALID-TOTALS-NO    TO TRUE.
016700     MOVE DFHBMFSE               TO IC00-TOTALS-A.
016800*
016900*******************************************
017000*    FSET SCREEN-NBR                      *
017100*******************************************
017200*
017300     PERFORM
017400         VARYING X-IC00-DIR-AREA FROM 1 BY 1
017500         UNTIL   X-IC00-DIR-AREA IS GREATER THAN 6
017600         MOVE DFHBMASF           TO IC00-SELECT-SCREEN-NBR-A
017700                                    (X-IC00-DIR-AREA)
017800     END-PERFORM.
017900*
018000**********************
018100*    SEND THE MAP    *
018200**********************
018300*
018400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018600                                 THRU MB60PD-SMWE-EXIT.
018700*
018800************************
018900*    RETURN TO CICS    *
019000************************
019100*
019200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019300     PERFORM MB70PD-RETURN-TRANS-ID
019400                                 THRU MB70PD-RTI-EXIT.
019500/
019600 C000-RECEIVE-SCREEN SECTION.
019700*
019800*************************************************
019900*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
020000*************************************************
020100*
020200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020400*
020500**************************************************************
020600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
020700**************************************************************
020800*
020900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021000     PERFORM MB60PD-NEW-TRANS-ROUTINE
021100                                 THRU MB60PD-NTR-EXIT.
021200*
021300 C020-EDIT-SCREEN.
021400*
021500     SET SS08WS-ERROR-SW-NO      TO TRUE.
021600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
021700*
021800     IF  (IC00-ORG-L IS LESS THAN 1
021900     AND  IC00-CHAIN-L IS LESS THAN 1
022000     AND  IC00-TOTALS-L IS LESS THAN 1)
022100     AND (SS08WS-VALID-PF-KEY
022200     OR   SS08WS-EIBAID-VALID-PF-KEY)
022300         SET MBCA-INITIAL-SCREEN-NBR
022400                                 TO TRUE
022500         GO TO F090-TRANSFER-XCTL.
022600*
022700******************************************************
022800*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
022900*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
023000******************************************************
023100*
023200     MOVE DFHBMUNN               TO IC00-ORG-A
023300                                    IC00-CHAIN-A.
023400     MOVE DFHBMUNP               TO IC00-TOTALS-A.
023500     MOVE DFHBMASK               TO IC00-ORG-LP-A
023600                                    IC00-ORG-RP-A
023700                                    IC00-TOTALS-RP-A
023800                                    IC00-TOTALS-LP-A
023900                                    IC00-CHAIN-LP-A
024000                                    IC00-CHAIN-RP-A.
024100*
024200 C080-EDIT-ORG.
024300*
024400     IF  IC00-ORG-L IS EQUAL TO ZERO
024500     OR  IC00-ORG IS NOT NUMERIC
024600     OR  IC00-ORG IS LESS THAN MBCA-ORG-LOW
024700     OR  IC00-ORG IS GREATER THAN MBCA-ORG-HIGH
024800     OR  IC00-ORG IS LESS THAN WS-ORG-LOW
024900     OR  IC00-ORG IS GREATER THAN WS-ORG-HIGH
025000         MOVE MBEMWS-INVALID-ORG TO IC00-ERR-MESSAGE
025100         GO TO C098-ORG-ERROR.
025200*
025300 C082-READ-ORG.
025400*
025500************************************************
025600*    READ THE ORGANIZATION RECORD.  IT MUST    *
025700*    BE ON FILE AND AN ACTIVE RECORD.          *
025800************************************************
025900*
026000     MOVE IC00-ORG               TO MBIOWS-MMOC-ORG.
026100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
026500*
026600     IF  SS08WS-RC-FC-NOTFND
026700         MOVE MBEMWS-NOT-ON-FILE TO IC00-ERR-MESSAGE
026800     ELSE
026900         IF  MMOC-ADD-PENDING
027000             MOVE MBEMWS-ADD-PENDING
027100                                 TO IC00-ERR-MESSAGE
027200         ELSE
027300             IF  MMOC-REC-PURGED
027400                 MOVE MBEMWS-NOT-ACTIVE
027500                                 TO IC00-ERR-MESSAGE
027600             ELSE
027700                 MOVE MMOC-CURRENCY-CODE
027800                                 TO MBCA-CURRENCY-CODE
027900                 MOVE MMOC-CURRENCY-NOD
028000                                 TO MBCA-CURRENCY-NOD
028100                 MOVE MMOC-PER-ITEM-NOD
028200                                 TO MBCA-PER-ITEM-NOD
028300                 MOVE MMOC-PERCENT-NOD
028400                                 TO MBCA-PERCENT-NOD
028500                 MOVE DFHBMUNF   TO IC00-ORG-A
028600                 MOVE IC00-ORG   TO MBCA-MERCHANT-ORG
028700                 GO TO C100-EDIT-TOTALS.
028800*
028900 C098-ORG-ERROR.
029000*
029100     SET SS08WS-ERROR-SW-YES     TO TRUE.
029200     MOVE DFHBMASB               TO IC00-ORG-LP-A
029300                                    IC00-ORG-RP-A.
029400     MOVE SS08WS-CURSOR          TO IC00-ORG-L.
029500     MOVE DFHBMNBF               TO IC00-ORG-A
029600                                    IC00-CHAIN-A.
029700     GO TO D000-RETURN-ERRORS.
029800*
029900 C100-EDIT-TOTALS.
030000*
030100     IF  IC00-TOTALS-L IS GREATER THAN ZEROS
030200         IF  IC00-VALID-TOTALS
030300             MOVE DFHBMFSE       TO IC00-TOTALS-A
030400             MOVE IC00-TOTALS    TO MBCA-MBIC-TOTALS
030500             GO TO C200-EDIT-CHAIN
030600         ELSE
030700             GO TO C150-TOTALS-ERROR
030800     ELSE
030900         IF  IC00-VALID-TOTALS
031000             MOVE DFHBMFSE       TO IC00-TOTALS-A
031100             MOVE IC00-TOTALS    TO MBCA-MBIC-TOTALS
031200             GO TO C200-EDIT-CHAIN.
031300*
031400 C150-TOTALS-ERROR.
031500*
031600     SET SS08WS-ERROR-SW-YES     TO TRUE.
031700     MOVE DFHBMASB               TO IC00-TOTALS-LP-A
031800                                    IC00-TOTALS-RP-A.
031900     MOVE SS08WS-CURSOR          TO IC00-TOTALS-L.
032000     MOVE DFHBMUBF               TO IC00-TOTALS-A.
032100     MOVE DFHBMUNF               TO IC00-CHAIN-A.
032200     GO TO D000-RETURN-ERRORS.
032300*
032400 C200-EDIT-CHAIN.
032500*
032600***********************************************************
032700*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
032800*    SEE IF ANYTHING WAS KEYED.                           *
032900***********************************************************
033000*
033100     IF  IC00-CHAIN IS EQUAL TO ZEROS
033200     OR  IC00-CHAIN IS NOT NUMERIC
033300     OR  IC00-CHAIN IS EQUAL TO ZEROS OR 999999999
033400         MOVE MBEMWS-INVALID-CHAIN
033500                                 TO IC00-ERR-MESSAGE
033600         GO TO C218-CHAIN-ERROR.
033700*
033800 C202-READ-CHAIN.
033900*
034000****************************************************************
034100*    READ RANDOM  THE MERCH RELATIONSHIP CONTROL FILE          *
034200****************************************************************
034300*
034400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
034500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
034600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
034700     MOVE IC00-CHAIN             TO MBIOWS-MMRC-CHAIN.
034800     SET MBIORO-READ-RANDOM      TO TRUE.
034900     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
035000*
035100     IF  SS08WS-RC-FC-NOTFND
035200         MOVE MBEMWS-NOT-ON-FILE TO IC00-ERR-MESSAGE
035300     ELSE
035400         IF  MMRC-ADD-PENDING
035500             MOVE MBEMWS-ADD-PENDING
035600                                 TO IC00-ERR-MESSAGE
035700         ELSE
035800             IF  MMRC-REC-PURGED
035900                 MOVE MBEMWS-NOT-ACTIVE
036000                                 TO IC00-ERR-MESSAGE
036100             ELSE
036200                 MOVE MMRC-NA-LINE (1)
036300                                 TO MBCA-MBIC-CHAIN-NAME
036400                 MOVE MMRC-ORG   TO MBCA-MBIC-ORG
036500                 MOVE MMRC-CHAIN TO MBCA-MBIC-CHAIN
036600                 MOVE DFHBMUNF   TO IC00-CHAIN-A
036700                 MOVE IC00-CHAIN TO MBCA-CHAIN
036800                 GO TO C200-EDIT-SELECT.
036900*
037000 C218-CHAIN-ERROR.
037100*
037200     SET SS08WS-ERROR-SW-YES     TO TRUE.
037300     MOVE DFHBMASB               TO IC00-CHAIN-LP-A
037400                                    IC00-CHAIN-RP-A.
037500     MOVE SS08WS-CURSOR          TO IC00-CHAIN-L.
037600     MOVE DFHBMNBF               TO IC00-CHAIN-A.
037700     GO TO D000-RETURN-ERRORS.
037800*
037900 C200-EDIT-SELECT.
038000*
038100     PERFORM
038200         VARYING X-IC00-DIR-AREA FROM +1 BY +1
038300         UNTIL   X-IC00-DIR-AREA IS GREATER THAN 6
038400         IF  IC00-SELECT-L (X-IC00-DIR-AREA) IS LESS THAN 1
038500             CONTINUE
038600         ELSE
038700             IF  IC00-SELECT-VALID (X-IC00-DIR-AREA)
038800                 MOVE IC00-SELECT-SCREEN-NBR (X-IC00-DIR-AREA)
038900                                 TO TTN0162I
039000                 MOVE +2         TO TTN0162L
039100                 MOVE DFHBMFSE   TO IC00-SELECT-A
039200                                    (X-IC00-DIR-AREA)
039300                 SET X-IC00-DIR-AREA
039400                                 TO +6
039500             ELSE
039600                 SET SS08WS-ERROR-SW-YES
039700                                 TO TRUE
039800                 MOVE DFHBMASB   TO IC00-SELECT-LP-A
039900                                    (X-IC00-DIR-AREA)
040000                                    IC00-SELECT-RP-A
040100                                    (X-IC00-DIR-AREA)
040200                 MOVE DFHBMUBF   TO IC00-SELECT-A
040300                                    (X-IC00-DIR-AREA)
040400                 MOVE SS08WS-CURSOR TO IC00-SELECT-L
040500                                    (X-IC00-DIR-AREA)
040600             END-IF
040700         END-IF
040800     END-PERFORM.
040900*
041000 C299-ES-EXIT.
041100     EXIT.
041200/
041300*
041400/
041500 D000-RETURN-ERRORS SECTION.
041600*
041700     IF  SS08WS-ERROR-SW-NO
041800         GO TO F000-SETUP-COMMAREA
041900     ELSE
042000         IF  SS08WS-VALID-PF-KEY
042100         OR  SS08WS-EIBAID-VALID-PF-KEY
042200             SET MBCA-INITIAL-SCREEN-NBR
042300                                 TO TRUE
042400             GO TO F090-TRANSFER-XCTL.
042500*
042600***************************************************************
042700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
042800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
042900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
043000***************************************************************
043100*
043200     PERFORM MB60PD-INIT-STD-MAP-LINES
043300                                 THRU MB60PD-ISML-EXIT.
043400*
043500**********************
043600*    SEND THE MAP    *
043700**********************
043800*
043900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
044000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
044100                                 THRU MB60PD-SMWE-EXIT.
044200*
044300************************
044400*    RETURN TO CICS    *
044500************************
044600*
044700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
044800     PERFORM MB70PD-RETURN-TRANS-ID
044900                                 THRU MB70PD-RTI-EXIT.
045000/
045100 F000-SETUP-COMMAREA SECTION.
045200*
045300***************************************************************
045400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045500***************************************************************
045600*
045700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045800*
045900     PERFORM MB60PD-EDIT-PAGE-NBR
046000                                 THRU MB60PD-EPN-EXIT.
046100*
046200     IF  SS08WS-VALID-PF-KEY
046300     OR  SS08WS-EIBAID-VALID-PF-KEY
046400         SET MBCA-INITIAL-SCREEN-NBR
046500                                 TO TRUE.
046600*
046700 F090-TRANSFER-XCTL.
046800*
046900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047000     PERFORM MB70PD-XCTL-TO-MBOXCTL
047100                                 THRU MB70PD-XTM-EXIT.
047200/
047300 Z000-ROUTINES SECTION.
047400*
047500**********************************
047600*    JUL TO GREG DATE ROUTINE    *
047700**********************************
047800*
047900     COPY SS08PD.
048000/
048100     COPY SS26PD.
048200/
048300     COPY SS27PD.
048400/
048500*********************************
048600*    LINE 24 PF KEYS ROUTINE    *
048700*********************************
048800*
048900     COPY SS15PD.
049000/
049100*******************************************
049200*    ORG FILE ACCESS ROUTINES             *
049300*******************************************
049400*
049500     COPY MMOCAO.
049600/
049700******************************************************
049800*    MERCH PROD GROUP STATS RECORD ACCESS ROUTINES   *
049900******************************************************
050000*
050100     COPY MMPGAO.
050200/         MERCH RELATIONSHIP CONTROL ACCESS ROUTINES
050300     COPY MMRCAO.
050400/
050500*****************************
050600*    ONLINE MAP ROUTINES    *
050700*****************************
050800*
050900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIC00 '
051000                           MBMAPXXI BY MBIC00I
051100                           MBMAPXXO BY MBIC00O.
051200/
051300***************************
051400*    ONLINE PROCEDURES    *
051500***************************
051600*
051700     COPY MB70PD.
051800/
051900     COPY SMFTPXO.
