000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIC05.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIC05 - CAHIN SUMMARY INQUIRY                          *
000800*                SCREEN 05,06,07                                *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIC05 (SCREEN 05)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMFG (GROUP FEE ACTIVITY FILE)             *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000*
002100 DATA DIVISION.
002200*
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  FILLER                  PIC  X(14)      VALUE
002800     'MISCELLANEOUS:'.
002900*
003000 01  WS-MISCELLANEOUS.
003100*
003200     03  WS-TOTALS.
003300         05  WS-TOTAL-SALES-AMT
003400                             PIC S9(17)      VALUE ZEROES COMP-3. RG800902
003500         05  WS-TOTAL-SALES-NBR
003600                             PIC S9(09)      VALUE ZEROES COMP-3. RG800902
003700         05  WS-TOTAL-RETURNS-AMT
003800                             PIC S9(17)      VALUE ZEROES COMP-3. RG800902
003900         05  WS-TOTAL-RETURNS-NBR
004000                             PIC S9(09)      VALUE ZEROES COMP-3. RG800902
004100         05  WS-TOTAL-DEPOSITS-AMT
004200                             PIC S9(17)      VALUE ZEROES COMP-3. RG800902
004300         05  WS-TOTAL-DEPOSITS-NBR
004400                             PIC S9(09)      VALUE ZEROES COMP-3. RG800902
004410         05  WS-TOTAL-CHGBACKS-AMT                                RG800902
004412                             PIC S9(17)      VALUE ZEROES COMP-3. RG800902
004414         05  WS-TOTAL-CHGBACKS-NBR                                RG800902
004416                             PIC S9(09)      VALUE ZEROES COMP-3. RG800902
004500*
004600 01  FILLER                  PIC  X(17)      VALUE
004700     'PROGRAM SWITCHES:'.
004800*
004900 01  WS-SWITCHES.
005000     05  WS-1ST-TIME-SW      PIC  X(01)      VALUE 'Y'.
005100         88  WS-1ST-TIME                     VALUE 'Y'.
005200         88  WS-NOT-1ST-TIME                 VALUE 'N'.
005300*
005400/
005500 01  FILLER                  PIC  X(29)      VALUE
005600     'FEE ACTIVITY IR RECORD:      '.
005700*
005800     COPY MMFAIR REPLACING ==:MMFA:== BY ==MMFA==.
005900/
006000 01  FILLER                  PIC  X(29)      VALUE
006100     'I/O REQUEST BLOCK WORK AREAS:'.
006200*
006300     COPY MBIOWS.
006400/
006500 01  FILLER                  PIC  X(18)      VALUE
006600     'I/O REQUEST BLOCK:'.
006700*
006800     COPY MBIORO.
006900/
007000 01  FILLER                  PIC  X(20)      VALUE
007100     'CCS DATE WORK AREAS:'.
007200*
007300     COPY SS01WS.
007400/
007500 01  FILLER                  PIC  X(15)      VALUE
007600     'CCS WORK AREAS:'.
007700*
007800     COPY SS08WS.
007900/
008000     COPY SS00WS.
008100/
008200     COPY SMFTWS.
008300/
008400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008500/
008600     COPY MB61LK.
008700/
008800 01  FILLER                  PIC  X(28)      VALUE
008900     'DYNAMICALY CALLED SUBROUINES'.
009000*
009100     COPY MB00WS.
009200/
009300 01  FILLER                  PIC  X(36)      VALUE
009400     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
009500*
009600     COPY SS95WS.
009700*
009800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009900/
010000 LINKAGE SECTION.
010100*
010200 01  DFHCOMMAREA.
010300*
010400     COPY MB60WS.
010500/
010600*********************************
010700*    CHAIN SUMMARY MAP          *
010800*********************************
010900*
011000     COPY MBIC05.
011100/
011200**********************************************
011300*    CHAIN SUMMARY MAP REDEFINITION          *
011400**********************************************
011500*
011600     COPY MBIC05R.
011700/
011800*********************************************
011900*    GROUP FEE ACTIVITY RECORD LAYOUT       *
012000*********************************************
012100*
012200     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFG==.
012300/
012400 PROCEDURE DIVISION.
012500*
012600 A000-HOUSEKEEPING SECTION.
012700*
012800 A020-INIT.
012900*
013000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013200                                 THRU MB70PD-OLH-EXIT.
013300*
013400     SET SS95WS-FUNCTION-INITIALIZE
013500                           TO TRUE.
013600     PERFORM SS95PD-NAP-ROUTINE
013700        THRU SS95PD-NAP-EXIT.
013800*
013900     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
014000*
014100     IF  MBCA-RECEIVE-SCREEN
014200         GO TO C000-RECEIVE-SCREEN.
014300/
014400 B000-SEND-SCREEN SECTION.
014500*
014600*********************************************
014700*    GET CICS STORAGE NEEDED FOR THE MAP    *
014800*********************************************
014900*
015000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB60PD-GETMAIN-FOR-MAP
015200                                 THRU MB60PD-GFM-EXIT.
015300*
015400*******************************************
015500*    INITIALIZE THE STANDARD MAP LINES    *
015600*******************************************
015700*
015800     PERFORM MB60PD-INIT-STD-MAP-LINES
015900                                 THRU MB60PD-ISML-EXIT.
016000*
016100****************************************************************
016200*    READ RANDOM THE GROUP FEE ACTIVITY FILE                   *
016300****************************************************************
016400*
016500     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
016700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFG-ORG.
016800     MOVE MBCA-CHAIN             TO MBIOWS-MMFG-CHAIN.
016900     SET MBIORO-READ-RANDOM      TO TRUE.
017000     PERFORM MMFGAO-ACCESS       THRU MMFGAO-ACCESS-EXIT.
017100*
017200     IF  SS08WS-RC-FC-NOTFND
017300         MOVE MMFAIR-RECORD      TO MMFG-RECORD.
017400*
017500     EVALUATE TRUE
017600         WHEN MBCA-SCREEN-NBR IS EQUAL TO 55
017700             SET X-MMFG-WTD-ACT  TO 1
017800         WHEN MBCA-SCREEN-NBR IS EQUAL TO 56
017900             SET X-MMFG-WTD-ACT  TO 3
018000         WHEN MBCA-SCREEN-NBR IS EQUAL TO 57
018100             SET X-MMFG-WTD-ACT  TO 6
018200     END-EVALUATE.
018300*
018400     PERFORM B100-MOVE-FIELDS-TO-SCREEN
018500                                 THRU B199-MFTS-EXIT
018600             VARYING X-IC05-DEP-ACT FROM 1 BY 1
018700             UNTIL X-IC05-DEP-ACT IS GREATER THAN 3.
018800*
018900     GO TO B900-SEND-MAP.
019000*
019100 B100-MOVE-FIELDS-TO-SCREEN.
019200*
019300***********************************************
019400*    MOVE THE TOTAL FIELDS TO THE SCREN       *
019500***********************************************
019600*
019700     MOVE MBCA-MERCHANT-ORG      TO IC05-ORG.
019800     MOVE MBCA-CHAIN             TO IC05-CHAIN.
019900     MOVE MBCA-MBIC-CHAIN-NAME   TO IC05-CHAIN-NAME.
020000*
020100     IF  X-MMFG-WTD-ACT IS EQUAL TO 1
020200     AND WS-1ST-TIME
020300         PERFORM
020400           VARYING X-MMFG-WTD-ACT FROM 1 BY 1
020500           UNTIL X-MMFG-WTD-ACT IS GREATER THAN 7
020600             COMPUTE WS-TOTAL-SALES-AMT                           RG800902
020700                             = WS-TOTAL-SALES-AMT                 RG800902
020710                             + MMFG-WTD-SALES-AMT                 RG800902
020712                               (X-MMFG-WTD-ACT)                   RG800902
020714                             - MMFG-WTD-SALES-REV-AMT             RG800902
020716                               (X-MMFG-WTD-ACT)                   RG800902
020800             COMPUTE WS-TOTAL-SALES-NBR                           RG800902
020900                             = WS-TOTAL-SALES-NBR                 RG800902
020910                             + MMFG-WTD-SALES-NBR                 RG800902
020912                               (X-MMFG-WTD-ACT)                   RG800902
020914                             - MMFG-WTD-SALES-REV-NBR             RG800902
020916                               (X-MMFG-WTD-ACT)                   RG800902
021000             COMPUTE WS-TOTAL-RETURNS-AMT                         RG800902
021100                             = WS-TOTAL-RETURNS-AMT               RG800902
021110                             + MMFG-WTD-RETURNS-AMT               RG800902
021112                               (X-MMFG-WTD-ACT)                   RG800902
021114                             - MMFG-WTD-RETURNS-REV-AMT           RG800902
021116                               (X-MMFG-WTD-ACT)                   RG800902
021200             COMPUTE WS-TOTAL-RETURNS-NBR                         RG800902
021300                             = WS-TOTAL-RETURNS-NBR               RG800902
021310                             + MMFG-WTD-RETURNS-NBR               RG800902
021312                               (X-MMFG-WTD-ACT)                   RG800902
021314                             - MMFG-WTD-RETURNS-REV-NBR           RG800902
021316                               (X-MMFG-WTD-ACT)                   RG800902
021400             ADD MMFG-WTD-DEPOSITS-AMT (X-MMFG-WTD-ACT)
021500                                 TO WS-TOTAL-DEPOSITS-AMT
021600             ADD MMFG-WTD-DEPOSITS-NBR (X-MMFG-WTD-ACT)
021700                                 TO WS-TOTAL-DEPOSITS-NBR
021710             ADD MMFG-WTD-CHGBACK-AMT (X-MMFG-WTD-ACT)            RG800902
021712                                 TO WS-TOTAL-CHGBACKS-AMT         RG800902
021714             ADD MMFG-WTD-CHGBACK-NBR (X-MMFG-WTD-ACT)            RG800902
021716                                 TO WS-TOTAL-CHGBACKS-NBR         RG800902
021800         END-PERFORM
021900         SET X-MMFG-WTD-ACT      TO 1
022000         SET WS-NOT-1ST-TIME     TO TRUE
022100         MOVE WS-TOTAL-SALES-AMT TO SS95WS-IN-AMT
022200         MOVE WS-TOTAL-SALES-NBR TO SS95WS-IN-NBR
022300         PERFORM SS95PD-NAP-ROUTINE
022400                                 THRU SS95PD-NAP-EXIT
022500         MOVE SS95WS-OUT-AMT-L22 TO IC05-TOT-SALES-AMT
022600                                    (X-IC05-DEP-ACT)
022700         MOVE SS95WS-OUT-NBR-L12 TO IC05-TOT-SALES-NBR
022800                                    (X-IC05-DEP-ACT)
022900*
023000         MOVE WS-TOTAL-RETURNS-AMT TO SS95WS-IN-AMT
023100         MOVE WS-TOTAL-RETURNS-NBR TO SS95WS-IN-NBR
023200         PERFORM SS95PD-NAP-ROUTINE
023300                                 THRU SS95PD-NAP-EXIT
023400         MOVE SS95WS-OUT-AMT-L22 TO IC05-TOT-RETURNS-AMT
023500                                    (X-IC05-DEP-ACT)
023600         MOVE SS95WS-OUT-NBR-L12 TO IC05-TOT-RETURNS-NBR
023700                                    (X-IC05-DEP-ACT)
023800*
023900         MOVE WS-TOTAL-DEPOSITS-AMT TO SS95WS-IN-AMT
024000         MOVE WS-TOTAL-DEPOSITS-NBR TO SS95WS-IN-NBR
024100         PERFORM SS95PD-NAP-ROUTINE
024200                                 THRU SS95PD-NAP-EXIT
024300         MOVE SS95WS-OUT-AMT-L22 TO IC05-TOT-DEPOSITS-AMT
024400                                    (X-IC05-DEP-ACT)
024500         MOVE SS95WS-OUT-NBR-L12 TO IC05-TOT-DEPOSITS-NBR
024600                                    (X-IC05-DEP-ACT)
024610*                                                                 RG800902
024612         MOVE WS-TOTAL-CHGBACKS-AMT TO SS95WS-IN-AMT              RG800902
024614         MOVE WS-TOTAL-CHGBACKS-NBR TO SS95WS-IN-NBR              RG800902
024616         PERFORM SS95PD-NAP-ROUTINE                               RG800902
024618                                 THRU SS95PD-NAP-EXIT             RG800902
024620         MOVE SS95WS-OUT-AMT-L22 TO IC05-TOT-CHGBACKS-AMT         RG800902
024622                                    (X-IC05-DEP-ACT)              RG800902
024624         MOVE SS95WS-OUT-NBR-L12 TO IC05-TOT-CHGBACKS-NBR         RG800902
024626                                    (X-IC05-DEP-ACT)              RG800902
024700         MOVE 'WTD TOTAL'        TO IC05-DESC-DAY-LIT
024800                                    (X-IC05-DEP-ACT)
024900         GO TO B199-MFTS-EXIT.
025000*
025100     MOVE MMFG-WTD-DEPOSITS-AMT (X-MMFG-WTD-ACT)
025200                                 TO SS95WS-IN-AMT.
025300     MOVE MMFG-WTD-DEPOSITS-NBR (X-MMFG-WTD-ACT)
025400                                 TO SS95WS-IN-NBR.
025500     PERFORM SS95PD-NAP-ROUTINE
025600                                 THRU SS95PD-NAP-EXIT.
025700     MOVE SS95WS-OUT-AMT-L22     TO IC05-TOT-DEPOSITS-AMT
025800                                    (X-IC05-DEP-ACT).
025900     MOVE SS95WS-OUT-NBR-L12     TO IC05-TOT-DEPOSITS-NBR
026000                                    (X-IC05-DEP-ACT).
026100*
026200     COMPUTE SS95WS-IN-AMT       = MMFG-WTD-SALES-AMT             RG800902
026300                                   (X-MMFG-WTD-ACT)               RG800902
026310                                 - MMFG-WTD-SALES-REV-AMT         RG800902
026312                                   (X-MMFG-WTD-ACT).              RG800902
026400     COMPUTE SS95WS-IN-NBR       = MMFG-WTD-SALES-NBR             RG800902
026500                                   (X-MMFG-WTD-ACT)               RG800902
026510                                 - MMFG-WTD-SALES-REV-NBR         RG800902
026512                                   (X-MMFG-WTD-ACT).              RG800902
026600     PERFORM SS95PD-NAP-ROUTINE
026700                                 THRU SS95PD-NAP-EXIT.
026800     MOVE SS95WS-OUT-AMT-L22     TO IC05-TOT-SALES-AMT
026900                                    (X-IC05-DEP-ACT).
027000     MOVE SS95WS-OUT-NBR-L12     TO IC05-TOT-SALES-NBR
027100                                    (X-IC05-DEP-ACT).
027200*
027300     COMPUTE SS95WS-IN-AMT       = MMFG-WTD-RETURNS-AMT           RG800902
027400                                   (X-MMFG-WTD-ACT)               RG800902
027410                                 - MMFG-WTD-RETURNS-REV-AMT       RG800902
027412                                   (X-MMFG-WTD-ACT).              RG800902
027500     COMPUTE SS95WS-IN-NBR       = MMFG-WTD-RETURNS-NBR           RG800902
027600                                   (X-MMFG-WTD-ACT)               RG800902
027610                                 - MMFG-WTD-RETURNS-REV-NBR       RG800902
027612                                   (X-MMFG-WTD-ACT).              RG800902
027700     PERFORM SS95PD-NAP-ROUTINE
027800                                 THRU SS95PD-NAP-EXIT.
027900     MOVE SS95WS-OUT-AMT-L22     TO IC05-TOT-RETURNS-AMT
028000                                    (X-IC05-DEP-ACT).
028100     MOVE SS95WS-OUT-NBR-L12     TO IC05-TOT-RETURNS-NBR
028200                                    (X-IC05-DEP-ACT).
028210*                                                                 RG800902
028212     MOVE MMFG-WTD-CHGBACK-AMT (X-MMFG-WTD-ACT)                   RG800902
028214                                 TO SS95WS-IN-AMT.                RG800902
028216     MOVE MMFG-WTD-CHGBACK-NBR (X-MMFG-WTD-ACT)                   RG800902
028218                                 TO SS95WS-IN-NBR.                RG800902
028220     PERFORM SS95PD-NAP-ROUTINE                                   RG800902
028222                                 THRU SS95PD-NAP-EXIT.            RG800902
028224     MOVE SS95WS-OUT-AMT-L22     TO IC05-TOT-CHGBACKS-AMT         RG800902
028226                                    (X-IC05-DEP-ACT).             RG800902
028228     MOVE SS95WS-OUT-NBR-L12     TO IC05-TOT-CHGBACKS-NBR         RG800902
028230                                    (X-IC05-DEP-ACT).             RG800902
028300*
028400     EVALUATE TRUE
028500         WHEN X-MMFG-WTD-ACT IS EQUAL TO 1
028600             MOVE 'DAY ONE  '    TO IC05-DESC-DAY-LIT
028700                                    (X-IC05-DEP-ACT)
028800         WHEN X-MMFG-WTD-ACT IS EQUAL TO 2
028900             MOVE 'DAY TWO  '    TO IC05-DESC-DAY-LIT
029000                                    (X-IC05-DEP-ACT)
029100         WHEN X-MMFG-WTD-ACT IS EQUAL TO 3
029200             MOVE 'DAY THREE'    TO IC05-DESC-DAY-LIT
029300                                    (X-IC05-DEP-ACT)
029400         WHEN X-MMFG-WTD-ACT IS EQUAL TO 4
029500             MOVE 'DAY FOUR '    TO IC05-DESC-DAY-LIT
029600                                    (X-IC05-DEP-ACT)
029700         WHEN X-MMFG-WTD-ACT IS EQUAL TO 5
029800             MOVE 'DAY FIVE '    TO IC05-DESC-DAY-LIT
029900                                    (X-IC05-DEP-ACT)
030000         WHEN X-MMFG-WTD-ACT IS EQUAL TO 6
030100             MOVE 'DAY SIX  '    TO IC05-DESC-DAY-LIT
030200                                    (X-IC05-DEP-ACT)
030300         WHEN X-MMFG-WTD-ACT IS EQUAL TO 7
030400             MOVE 'DAY SEVEN'    TO IC05-DESC-DAY-LIT
030500                                    (X-IC05-DEP-ACT)
030600     END-EVALUATE.
030700*
030800     SET X-MMFG-WTD-ACT          UP BY 1.
030900*
031000     IF  X-MMFG-WTD-ACT IS GREATER THAN 7
031100         SET X-IC05-DEP-ACT      TO 3
031200         MOVE DFHBMDAS           TO IC05-DESC-DAY-LIT-A
031300                                    (X-IC05-DEP-ACT)
031400                                    IC05-DESC-1-LIT-A
031500                                    (X-IC05-DEP-ACT)
031600                                    IC05-TOT-SALES-LIT-A
031700                                    (X-IC05-DEP-ACT)
031800                                    IC05-TOT-SALES-NBR-A
031900                                    (X-IC05-DEP-ACT)
032000                                    IC05-TOT-SALES-AMT-A
032100                                    (X-IC05-DEP-ACT)
032200                                    IC05-TOT-RETURNS-LIT-A
032300                                    (X-IC05-DEP-ACT)
032400                                    IC05-TOT-RETURNS-NBR-A
032500                                    (X-IC05-DEP-ACT)
032600                                    IC05-TOT-RETURNS-AMT-A
032700                                    (X-IC05-DEP-ACT)
032800                                    IC05-TOT-DEPOSITS-LIT-A
032900                                    (X-IC05-DEP-ACT)
033000                                    IC05-TOT-DEPOSITS-NBR-A
033100                                    (X-IC05-DEP-ACT)
033200                                    IC05-TOT-DEPOSITS-AMT-A
033300                                    (X-IC05-DEP-ACT)
033310                                    IC05-TOT-CHGBACKS-LIT-A       RG800902
033312                                    (X-IC05-DEP-ACT)              RG800902
033314                                    IC05-TOT-CHGBACKS-NBR-A       RG800902
033316                                    (X-IC05-DEP-ACT)              RG800902
033318                                    IC05-TOT-CHGBACKS-AMT-A       RG800902
033320                                    (X-IC05-DEP-ACT)              RG800902
033400         SET X-IC05-DEP-ACT      UP BY 1.
033500*
033600 B199-MFTS-EXIT.
033700     EXIT.
033800*
033810 B900-SEND-MAP.                                                   RG800902
033812*                                                                 RG800902
033900***********************************************************
034000*    SET THE CURRENCY CODE, CURRENCY NOD                  *
034100*            PER ITEM NOD, PERCENT NOD.                   *
034200***********************************************************
034300     IF IC05-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
034400        PERFORM MB06PD-FORMAT-MESSAGE-LINE
034500                                 THRU MB06PD-FML-EXIT
034600        MOVE SS08WS-FORMATTED-MSG   TO IC05-ERR-MESSAGE
034700     END-IF.
034800*
034900**********************
035000*    SEND THE MAP    *
035100**********************
035200*
035300*                                                                 RG800902
035400*
035500     MOVE SS08WS-CURSOR          TO IC05-ALT-TRANID-L.
035600     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
035700*
035800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
035900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036000                                 THRU MB60PD-SMWE-EXIT.
036100*
036200************************
036300*    RETURN TO CICS    *
036400************************
036500*
036600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
036700     PERFORM MB70PD-RETURN-TRANS-ID
036800                                 THRU MB70PD-RTI-EXIT.
036900/
037000 C000-RECEIVE-SCREEN SECTION.
037100*
037200******************************************
037300*    THIS SECTION RECEIVES THE SCREEN    *
037400******************************************
037500*
037600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
037700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
037800*
037900**************************************************************
038000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
038100**************************************************************
038200*
038300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
038400     PERFORM MB60PD-NEW-TRANS-ROUTINE
038500                                 THRU MB60PD-NTR-EXIT.
038600/
038700 F000-SETUP-COMMAREA SECTION.
038800*
038900***************************************************************
039000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
039100***************************************************************
039200*
039300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
039400*
039500     PERFORM MB60PD-EDIT-PAGE-NBR
039600                                 THRU MB60PD-EPN-EXIT.
039700*
039800     IF  SS08WS-VALID-PF-KEY
039900     OR  SS08WS-EIBAID-VALID-PF-KEY
040000         SET MBCA-INITIAL-SCREEN-NBR
040100                                 TO TRUE.
040200*
040300 F090-TRANSFER-XCTL.
040400*
040500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
040600     PERFORM MB70PD-XCTL-TO-MBOXCTL
040700                                 THRU MB70PD-XTM-EXIT.
040800/
040900 Z000-COPIED-ROUTINES SECTION.
041000*
041100**********************************
041200*    JUL TO GREG DATE ROUTINE    *
041300**********************************
041400*
041500     COPY SS08PD.
041600/
041700     COPY SS26PD.
041800/
041900     COPY SS27PD.
042000/
042100**********************************
042200*    GREG TO JUL DATE ROUTINE    *
042300**********************************
042400*
042500     COPY SS07PD.
042600/
042700**********************************
042800*    DATE VALIDATION ROUTINE     *
042900**********************************
043000*
043100     COPY SS05PD.
043200/
043300*********************************
043400*    LINE 24 PF KEYS ROUTINE    *
043500*********************************
043600*
043700     COPY SS15PD.
043800/
043900***************************************************
044000*    GROUP FEE ACTIVITY RECORD ACCESS ROUTINES    *
044100***************************************************
044200*
044300     COPY MMFGAO.
044400/
044500***************************************************
044600*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
044700***************************************************
044800*
044900     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
045000/
045100*****************************
045200*    ONLINE MAP ROUTINES    *
045300*****************************
045400*
045500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIC05 '
045600                           MBMAPXXI BY MBIC05I
045700                           MBMAPXXO BY MBIC05O.
045800/
045900**********************************
046000*    FORMAT MESSAGE LINE BUILDER *
046100**********************************
046200*
046300     COPY MB06PD.
046400/
046500***************************
046600*    ONLINE PROCEDURES    *
046700***************************
046800*
046900     COPY MB70PD.
047000/
047100     COPY SMFTPXO.
