000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIC08.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIC08 - CHAIN SUMMARY INQUIRY                          *
000800*                SCREEN 08                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIC                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIC08 (SCREEN 08)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMRC (MERCHANT RELATIONSHIP MASTER FILE)   *
001600*                 A. MMPG (GROUP PRODUCT STATISTICS FILE)       *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200*
003300     03  WS-STATISTICS.
003400         05  WS-LOGIC-MODULE-LEVEL           OCCURS 4 TIMES
003500                                             INDEXED BY
003600                                             X-WS-LM.
003700             07  WS-STATS-TABLE              OCCURS 18 TIMES
003800                                             INDEXED BY
003900                                             X-WS-STATS.
004000                 09  WS-STATS-NBR
004100                             PIC S9(09)      COMP-3.
004200                 09  WS-STATS-AMT
004300                             PIC S9(17)      COMP-3.
004400 01  WS-TOTALS.
004500     05  WS-TOTAL-SALES-NBR  PIC S9(09)      VALUE ZEROS COMP-3.
004600     05  WS-TOTAL-SALES-AMT  PIC S9(17)      VALUE ZEROS COMP-3.
004700     05  WS-TOTAL-RETURNS-NBR
004800                             PIC S9(09)      VALUE ZEROS COMP-3.
004900     05  WS-TOTAL-RETURNS-AMT
005000                             PIC S9(17)      VALUE ZEROS COMP-3.
005100*
005200/
005300 01  FILLER                  PIC  X(29)      VALUE
005400     'I/O REQUEST BLOCK WORK AREAS:'.
005500*
005600     COPY MBIOWS.
005700/
005800 01  FILLER                  PIC  X(18)      VALUE
005900     'I/O REQUEST BLOCK:'.
006000*
006100     COPY MBIORO.
006200/
006300 01  FILLER                  PIC  X(32)      VALUE
006400     'CHAIN MASTER WORKING STORAGE:'.
006500*
006600     COPY MMRCWS.
006700/
006800 01  FILLER                  PIC  X(32)      VALUE
006900     'CHAIN MASTER INITIALIZE REC :'.
007000*
007100     COPY MMRCIR.
007200/
007300 01  FILLER                  PIC  X(22)      VALUE
007400     'PROD STAT LOGIC MODULE'.
007500*
007600     COPY MMTCWS.
007700/
007800 01  FILLER                  PIC  X(20)      VALUE
007900     'CCS DATE WORK AREAS:'.
008000*
008100     COPY SS01WS.
008200/
008300 01  FILLER                  PIC  X(15)      VALUE
008400     'CCS WORK AREAS:'.
008500*
008600     COPY SS08WS.
008700/
008800     COPY SS00WS.
008900/
009000     COPY SMFTWS.
009100/
009200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009300/
009400     COPY MB61LK.
009500/
009600 01  FILLER                  PIC  X(28)      VALUE
009700     'DYNAMICALY CALLED SUBROUINES'.
009800*
009900     COPY MB00WS.
010000/
010100 01  FILLER                  PIC  X(36)      VALUE
010200     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
010300*
010400     COPY SS95WS.
010500*
010600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010700/
010800 LINKAGE SECTION.
010900*
011000 01  DFHCOMMAREA.
011100*
011200     COPY MB60WS.
011300/
011400*********************************
011500*    CHAIN SUMMARY MAP          *
011600*********************************
011700*
011800     COPY MBIC08.
011900/
012000**********************************************
012100*    CHAIN SUMMARY MAP REDEFINITION          *
012200**********************************************
012300*
012400     COPY MBIC08R.
012500/
012600******************************************
012700*    CHAIN MASTER RECORD LAYOUT          *
012800******************************************
012900*
013000     COPY MMRCRL.
013100/
013200*********************************************
013300*    PRODUCT STATISTICS RECORD LAYOUT       *
013400*********************************************
013500*
013600     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPG==.
013700/
013800 PROCEDURE DIVISION.
013900*
014000 A000-HOUSEKEEPING SECTION.
014100*
014200 A020-INIT.
014300*
014400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014600                                 THRU MB70PD-OLH-EXIT.
014700*
014800     SET SS95WS-FUNCTION-INITIALIZE
014900                           TO TRUE.
015000     PERFORM SS95PD-NAP-ROUTINE
015100        THRU SS95PD-NAP-EXIT.
015200*
015300     IF  MBCA-RECEIVE-SCREEN
015400         GO TO C000-RECEIVE-SCREEN.
015500/
015600 B000-SEND-SCREEN SECTION.
015700*
015800*********************************************
015900*    GET CICS STORAGE NEEDED FOR THE MAP    *
016000*********************************************
016100*
016200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016300     PERFORM MB60PD-GETMAIN-FOR-MAP
016400                                 THRU MB60PD-GFM-EXIT.
016500*
016600*******************************************
016700*    INITIALIZE THE STANDARD MAP LINES    *
016800*******************************************
016900*
017000     PERFORM MB60PD-INIT-STD-MAP-LINES
017100                                 THRU MB60PD-ISML-EXIT.
017200*
017300**********************************************************
017400*    READ THE CHAIN RECORD FOR SUBSEQUENT                *
017500*    DISPLAY.                                            *
017600**********************************************************
017700*
017800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
017900     MOVE MBCA-CHAIN             TO MBIOWS-MMRC-CHAIN.
018000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018100     SET MBIORO-READ-RANDOM      TO TRUE.
018200     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
018300*
018400**********************************************************
018500*    READ THE CHAIN PRODUCT STATS FILE RANDOMLY FOR      *
018600*    THE TOTAL SALES RECORD.                             *
018700**********************************************************
018800*
018900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPG-ORG.
019000     MOVE MBCA-CHAIN             TO MBIOWS-MMPG-ACCT.
019100     MOVE ZERO                   TO MBIOWS-MMPG-MINOR-KEY.
019200     SET MBIOWS-MMPG-TOTALS      TO TRUE.
019300     SET MMTCWS-LM-SALE          TO TRUE.
019400     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPG-LOGIC-MODULE.
019500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
019600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
019700     SET MBIORO-READ-RANDOM      TO TRUE.
019800     PERFORM MMPGAO-ACCESS       THRU MMPGAO-ACCESS-EXIT.
019900*
020000     IF  SS08WS-RC-FC-NOTFND
020100         INITIALIZE              WS-LOGIC-MODULE-LEVEL (1)
020200     ELSE
020300         MOVE MMPG-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (1).
020400*
020500*
020600**********************************************************
020700*    READ THE CHAIN PRODUCT STATS FILE RANDOMLY FOR      *
020800*    THE TOTAL SALE REVERSALS RECORD.                    *
020900**********************************************************
021000*
021100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPG-ORG.
021200     MOVE MBCA-CHAIN             TO MBIOWS-MMPG-ACCT.
021300     MOVE ZERO                   TO MBIOWS-MMPG-MINOR-KEY.
021400     SET MBIOWS-MMPG-TOTALS      TO TRUE.
021500     SET MMTCWS-LM-SALE-REV      TO TRUE.
021600     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPG-LOGIC-MODULE.
021700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
021800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021900     SET MBIORO-READ-RANDOM      TO TRUE.
022000     PERFORM MMPGAO-ACCESS       THRU MMPGAO-ACCESS-EXIT.
022100*
022200     IF  SS08WS-RC-FC-NOTFND
022300         INITIALIZE              WS-LOGIC-MODULE-LEVEL (2)
022400     ELSE
022500         MOVE MMPG-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (2).
022600*
022700**********************************************************
022800*    READ THE CHAIN PRODUCT STATS FILE RANDOMLY FOR      *
022900*    THE TOTAL RETURNS RECORD.                           *
023000**********************************************************
023100*
023200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPG-ORG.
023300     MOVE MBCA-CHAIN             TO MBIOWS-MMPG-ACCT.
023400     MOVE ZERO                   TO MBIOWS-MMPG-MINOR-KEY.
023500     SET MBIOWS-MMPG-TOTALS      TO TRUE.
023600     SET MMTCWS-LM-RETURN        TO TRUE.
023700     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPG-LOGIC-MODULE.
023800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
023900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
024000     SET MBIORO-READ-RANDOM      TO TRUE.
024100     PERFORM MMPGAO-ACCESS       THRU MMPGAO-ACCESS-EXIT.
024200*
024300     IF  SS08WS-RC-FC-NOTFND
024400         INITIALIZE              WS-LOGIC-MODULE-LEVEL (3)
024500     ELSE
024600         MOVE MMPG-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (3).
024700*
024800**********************************************************
024900*    READ THE CHAIN PRODUCT STATS FILE RANDOMLY FOR      *
025000*    THE TOTAL RETURN REVERSALS RECORD.                  *
025100**********************************************************
025200*
025300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPG-ORG.
025400     MOVE MBCA-CHAIN             TO MBIOWS-MMPG-ACCT.
025500     MOVE ZERO                   TO MBIOWS-MMPG-MINOR-KEY.
025600     SET MBIOWS-MMPG-TOTALS      TO TRUE.
025700     SET MMTCWS-LM-RETURN-REV    TO TRUE.
025800     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPG-LOGIC-MODULE.
025900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026100     SET MBIORO-READ-RANDOM      TO TRUE.
026200     PERFORM MMPGAO-ACCESS       THRU MMPGAO-ACCESS-EXIT.
026300*
026400     IF  SS08WS-RC-FC-NOTFND
026500         INITIALIZE              WS-LOGIC-MODULE-LEVEL (4)
026600     ELSE
026700         MOVE MMPG-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (4).
026800*
026900*
027000     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
027100     MOVE MMRC-ORG               TO IC08-ORG.
027200     MOVE MMRC-CHAIN             TO IC08-CHAIN.
027300     MOVE MMRC-NA-LINE (1)       TO IC08-CHAIN-NAME.
027400*
027500****************************************************************
027600*    ACCUMULATE SALES AND RETURNS                              *
027700****************************************************************
027800*
027900***  CURRENT SALES ***
028000*
028100     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 13)
028200                                 +  WS-STATS-NBR (2 13).
028300     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 13)
028400                                 -  WS-STATS-AMT (2 13).
028500     PERFORM SS95PD-NAP-ROUTINE
028600                                 THRU SS95PD-NAP-EXIT.
028700     MOVE SS95WS-OUT-NBR-L09     TO IC08-YEST-SALES-NBR.
028800     MOVE SS95WS-OUT-AMT-L20     TO IC08-YEST-SALES-AMT.
028900*
029000***  CURRENT RETURNS ***
029100*
029200     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 13)
029300                                 +  WS-STATS-NBR (4 13).
029400     COMPUTE SS95WS-IN-AMT       =  0.00
029500                                 -  WS-STATS-AMT (3 13)
029600                                 +  WS-STATS-AMT (4 13).
029700     PERFORM SS95PD-NAP-ROUTINE
029800                                 THRU SS95PD-NAP-EXIT.
029900     MOVE SS95WS-OUT-NBR-L09     TO IC08-YEST-RETURN-NBR.
030000     MOVE SS95WS-OUT-AMT-L20     TO IC08-YEST-RETURN-AMT.
030100*
030200***  CYCLE TO DATE SALES ***
030300*
030400     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 16)
030500                                 +  WS-STATS-NBR (2 16).
030600     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 16)
030700                                 -  WS-STATS-AMT (2 16).
030800     PERFORM SS95PD-NAP-ROUTINE
030900                                 THRU SS95PD-NAP-EXIT.
031000     MOVE SS95WS-OUT-NBR-L09     TO IC08-CTD-SALES-NBR.
031100     MOVE SS95WS-OUT-AMT-L20     TO IC08-CTD-SALES-AMT.
031200*
031300***  CYCLE TO DATE RETURNS ***
031400*
031500     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 16)
031600                                 +  WS-STATS-NBR (4 16).
031700     COMPUTE SS95WS-IN-AMT       =  0.00
031800                                 -  WS-STATS-AMT (3 16)
031900                                 +  WS-STATS-AMT (4 16).
032000     PERFORM SS95PD-NAP-ROUTINE
032100                                 THRU SS95PD-NAP-EXIT.
032200     MOVE SS95WS-OUT-NBR-L09     TO IC08-CTD-RETURN-NBR.
032300     MOVE SS95WS-OUT-AMT-L20     TO IC08-CTD-RETURN-AMT.
032400*
032500***  MONTH TO DATE SALES ***
032600*
032700     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 14)
032800                                 +  WS-STATS-NBR (2 14).
032900     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 14)
033000                                 -  WS-STATS-AMT (2 14).
033100     PERFORM SS95PD-NAP-ROUTINE
033200                                 THRU SS95PD-NAP-EXIT.
033300     MOVE SS95WS-OUT-NBR-L09     TO IC08-MTD-SALES-NBR.
033400     MOVE SS95WS-OUT-AMT-L20     TO IC08-MTD-SALES-AMT.
033500*
033600***  MONTH TO DATE RETURNS ***
033700*
033800     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 14)
033900                                 +  WS-STATS-NBR (4 14).
034000     COMPUTE SS95WS-IN-AMT       =  0.00
034100                                 -  WS-STATS-AMT (3 14)
034200                                 +  WS-STATS-AMT (4 14).
034300     PERFORM SS95PD-NAP-ROUTINE
034400                                 THRU SS95PD-NAP-EXIT.
034500     MOVE SS95WS-OUT-NBR-L09     TO IC08-MTD-RETURN-NBR.
034600     MOVE SS95WS-OUT-AMT-L20     TO IC08-MTD-RETURN-AMT.
034700*
034800***  YEAR TO DATE SALES ***
034900*
035000     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 15)
035100                                 +  WS-STATS-NBR (2 15).
035200     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 15)
035300                                 -  WS-STATS-AMT (2 15).
035400     PERFORM SS95PD-NAP-ROUTINE
035500                                 THRU SS95PD-NAP-EXIT.
035600     MOVE SS95WS-OUT-NBR-L09     TO IC08-YTD-SALES-NBR.
035700     MOVE SS95WS-OUT-AMT-L20     TO IC08-YTD-SALES-AMT.
035800*
035900***  YEAR TO DATE RETURNS ***
036000*
036100     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 15)
036200                                 +  WS-STATS-NBR (4 15).
036300     COMPUTE SS95WS-IN-AMT       =  0.00
036400                                 -  WS-STATS-AMT (3 15)
036500                                 +  WS-STATS-AMT (4 15).
036600     PERFORM SS95PD-NAP-ROUTINE
036700                                 THRU SS95PD-NAP-EXIT.
036800     MOVE SS95WS-OUT-NBR-L09     TO IC08-YTD-RETURN-NBR.
036900     MOVE SS95WS-OUT-AMT-L20     TO IC08-YTD-RETURN-AMT.
037000*
037100*** CALCULATE FOR MONTHS 1-12
037200*
037300     PERFORM
037400         VARYING X-IC08-MONTH FROM 1 BY 1
037500         UNTIL X-IC08-MONTH IS GREATER THAN 12
037600         EVALUATE TRUE
037700             WHEN X-IC08-MONTH IS EQUAL TO 1
037800                 MOVE 'JAN'     TO MMRCWS-OID-SEARCH
037900             WHEN X-IC08-MONTH IS EQUAL TO 2
038000                 MOVE 'FEB'     TO MMRCWS-OID-SEARCH
038100             WHEN X-IC08-MONTH IS EQUAL TO 3
038200                 MOVE 'MAR'     TO MMRCWS-OID-SEARCH
038300             WHEN X-IC08-MONTH IS EQUAL TO 4
038400                 MOVE 'APR'     TO MMRCWS-OID-SEARCH
038500             WHEN X-IC08-MONTH IS EQUAL TO 5
038600                 MOVE 'MAY'     TO MMRCWS-OID-SEARCH
038700             WHEN X-IC08-MONTH IS EQUAL TO 6
038800                 MOVE 'JUN'     TO MMRCWS-OID-SEARCH
038900             WHEN X-IC08-MONTH IS EQUAL TO 7
039000                 MOVE 'JUL'     TO MMRCWS-OID-SEARCH
039100             WHEN X-IC08-MONTH IS EQUAL TO 8
039200                 MOVE 'AUG'     TO MMRCWS-OID-SEARCH
039300             WHEN X-IC08-MONTH IS EQUAL TO 9
039400                 MOVE 'SEP'     TO MMRCWS-OID-SEARCH
039500             WHEN X-IC08-MONTH IS EQUAL TO 10
039600                 MOVE 'OCT'     TO MMRCWS-OID-SEARCH
039700             WHEN X-IC08-MONTH IS EQUAL TO 11
039800                 MOVE 'NOV'     TO MMRCWS-OID-SEARCH
039900             WHEN X-IC08-MONTH IS EQUAL TO 12
040000                 MOVE 'DEC'     TO MMRCWS-OID-SEARCH
040100         END-EVALUATE
040200         PERFORM MMRCPX-FIND-OCCURRENCE
040300                                 THRU MMRCPX-FO-EXIT
040400         IF  MMRCWS-OID-INDEX IS EQUAL TO ZERO
040500             MOVE 1              TO MMRCWS-OID-INDEX
040600         END-IF
040700         SET X-WS-STATS          TO MMRCWS-OID-INDEX
040800         SET X-MMRC              TO MMRCWS-OID-INDEX
040900         MOVE MMRC-OCCURRENCE-YEAR (X-MMRC)
041000                                 TO IC08-MONTH-YEAR (X-IC08-MONTH)
041100*
041200         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (1 X-WS-STATS)
041300                                 +  WS-STATS-NBR (2 X-WS-STATS)
041400         COMPUTE SS95WS-IN-AMT   =  WS-STATS-AMT (1 X-WS-STATS)
041500                                 -  WS-STATS-AMT (2 X-WS-STATS)
041600         ADD SS95WS-IN-NBR       TO WS-TOTAL-SALES-NBR
041700         ADD SS95WS-IN-AMT       TO WS-TOTAL-SALES-AMT
041800         PERFORM SS95PD-NAP-ROUTINE
041900                                 THRU SS95PD-NAP-EXIT
042000         MOVE SS95WS-OUT-NBR-L09 TO IC08-MONTH-SALES-NBR
042100                                    (X-IC08-MONTH)
042200         MOVE SS95WS-OUT-AMT-L20 TO IC08-MONTH-SALES-AMT
042300                                    (X-IC08-MONTH)
042400*
042500*** RETURNS ***
042600*
042700         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (3 X-WS-STATS)
042800                                 +  WS-STATS-NBR (4 X-WS-STATS)
042900         COMPUTE SS95WS-IN-AMT   =  0.00
043000                                 -  WS-STATS-AMT (3 X-WS-STATS)
043100                                 +  WS-STATS-AMT (4 X-WS-STATS)
043200         ADD SS95WS-IN-NBR       TO WS-TOTAL-RETURNS-NBR
043300         ADD SS95WS-IN-AMT       TO WS-TOTAL-RETURNS-AMT
043400         PERFORM SS95PD-NAP-ROUTINE
043500                                 THRU SS95PD-NAP-EXIT
043600         MOVE SS95WS-OUT-NBR-L09 TO IC08-MONTH-RETURN-NBR
043700                                    (X-IC08-MONTH)
043800         MOVE SS95WS-OUT-AMT-L20 TO IC08-MONTH-RETURN-AMT
043900                                    (X-IC08-MONTH)
044000     END-PERFORM.
044100*
044200***  ROLLING SALES TOTALS ***
044300*
044400     MOVE WS-TOTAL-SALES-NBR     TO SS95WS-IN-NBR.
044500     MOVE WS-TOTAL-SALES-AMT     TO SS95WS-IN-AMT.
044600     PERFORM SS95PD-NAP-ROUTINE
044700                                 THRU SS95PD-NAP-EXIT.
044800     MOVE SS95WS-OUT-NBR-L09     TO IC08-ROLLING-SALES-NBR.
044900     MOVE SS95WS-OUT-AMT-L20     TO IC08-ROLLING-SALES-AMT.
045000*
045100***  ROLLING RETURNS TOTALS ***
045200*
045300     MOVE WS-TOTAL-RETURNS-NBR   TO SS95WS-IN-NBR.
045400     MOVE WS-TOTAL-RETURNS-AMT   TO SS95WS-IN-AMT.
045500     PERFORM SS95PD-NAP-ROUTINE
045600                                 THRU SS95PD-NAP-EXIT.
045700     MOVE SS95WS-OUT-NBR-L09     TO IC08-ROLLING-RETURN-NBR.
045800     MOVE SS95WS-OUT-AMT-L20     TO IC08-ROLLING-RETURN-AMT.
045900*
046000***********************************************************
046100*    SET THE CURRENCY CODE, CURRENCY NOD                  *
046200*            PER ITEM NOD, PERCENT NOD.                   *
046300***********************************************************
046400     IF IC08-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
046500         PERFORM MB06PD-FORMAT-MESSAGE-LINE
046600                                  THRU MB06PD-FML-EXIT
046700         MOVE SS08WS-FORMATTED-MSG   TO IC08-ERR-MESSAGE
046800     END-IF.
046900*
047000**********************
047100*    SEND THE MAP    *
047200**********************
047300*
047400 B900-SEND-MAP.
047500*
047600     MOVE SS08WS-CURSOR          TO IC08-ALT-TRANID-L.
047700     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
047800*
047900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
048000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
048100                                 THRU MB60PD-SMWE-EXIT.
048200*
048300************************
048400*    RETURN TO CICS    *
048500************************
048600*
048700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
048800     PERFORM MB70PD-RETURN-TRANS-ID
048900                                 THRU MB70PD-RTI-EXIT.
049000/
049100 C000-RECEIVE-SCREEN SECTION.
049200*
049300******************************************
049400*    THIS SECTION RECEIVES THE SCREEN    *
049500******************************************
049600*
049700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
049800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
049900*
050000**************************************************************
050100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
050200**************************************************************
050300*
050400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
050500     PERFORM MB60PD-NEW-TRANS-ROUTINE
050600                                 THRU MB60PD-NTR-EXIT.
050700/
050800 F000-SETUP-COMMAREA SECTION.
050900*
051000***************************************************************
051100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
051200***************************************************************
051300*
051400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
051500*
051600     PERFORM MB60PD-EDIT-PAGE-NBR
051700                                 THRU MB60PD-EPN-EXIT.
051800*
051900     IF  SS08WS-VALID-PF-KEY
052000     OR  SS08WS-EIBAID-VALID-PF-KEY
052100         SET MBCA-INITIAL-SCREEN-NBR
052200                                 TO TRUE.
052300*
052400 F090-TRANSFER-XCTL.
052500*
052600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
052700     PERFORM MB70PD-XCTL-TO-MBOXCTL
052800                                 THRU MB70PD-XTM-EXIT.
052900/
053000 Z000-COPIED-ROUTINES SECTION.
053100*
053200*
053300**********************************
053400*    JUL TO GREG DATE ROUTINE    *
053500**********************************
053600*
053700     COPY SS08PD.
053800/
053900     COPY SS26PD.
054000/
054100     COPY SS27PD.
054200/
054300**********************************
054400*    GREG TO JUL DATE ROUTINE    *
054500**********************************
054600*
054700     COPY SS07PD.
054800/
054900**********************************
055000*    DATE VALIDATION ROUTINE     *
055100**********************************
055200*
055300     COPY SS05PD.
055400/
055500*********************************
055600*    LINE 24 PF KEYS ROUTINE    *
055700*********************************
055800*
055900     COPY SS15PD.
056000/
056100************************************************
056200*    CHAIN MASTER STATS OCCURANCE DEFINES      *
056300************************************************
056400*
056500     COPY MMRCPX.
056600/
056700************************************************
056800*    CHAIN MASTER RECORD ACCESS ROUTINES       *
056900************************************************
057000*
057100     COPY MMRCAO.
057200/
057300***************************************************
057400*    PRODUCT STATISTICS RECORD ACCESS ROUTINES    *
057500***************************************************
057600*
057700     COPY MMPGAO.
057800/
057900***************************************************
058000*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
058100***************************************************
058200*
058300     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
058400/
058500*****************************
058600*    ONLINE MAP ROUTINES    *
058700*****************************
058800*
058900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIC08 '
059000                           MBMAPXXI BY MBIC08I
059100                           MBMAPXXO BY MBIC08O.
059200/
059300***********************************
059400*    FORMAT MESSAGE LINE BUILDER  *
059500***********************************
059600*
059700     COPY MB06PD.
059800/
059900***************************
060000*    ONLINE PROCEDURES    *
060100***************************
060200*
060300     COPY MB70PD.
060400/
060500     COPY SMFTPXO.
