000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM00 - MERCHANT SUMMARY INQUIRY                       *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER)                     *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000*
002100 DATA DIVISION.
002200*
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE
002600     '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003300                                             VALUE +001.
003400     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003500                                             VALUE +998.
003600/
003700 01  FILLER                  PIC  X(29)      VALUE
003800     'I/O REQUEST BLOCK WORK AREAS:'.
003900*
004000     COPY MBIOWS.
004100/
004200 01  FILLER                  PIC  X(18)      VALUE
004300     'I/O REQUEST BLOCK:'.
004400*
004500     COPY MBIORO.
004600/
004700 01  FILLER                  PIC  X(21)      VALUE
004800     'ERROR MESSAGES TABLE:'.
004900*
005000     COPY MBEMWS.
005100/
005200 01  FILLER                  PIC  X(27)      VALUE
005300     'MERCHANT MASTER WORK AREAS:'.
005400*
005500     COPY MMMMWS.
005600/
005700 01  FILLER                  PIC  X(20)      VALUE
005800     'CCS DATE WORK AREAS:'.
005900*
006000     COPY SS01WS.
006100/
006200 01  FILLER                  PIC  X(27)      VALUE
006300     'CCS CHECK DIGIT WORK AREAS:'.
006400*
006500     COPY SS05WS.
006600/
006700 01  FILLER                  PIC  X(15)      VALUE
006800     'CCS WORK AREAS:'.
006900*
007000     COPY SS08WS.
007100/
007200     COPY SS00WS.
007300/
007400     COPY SMFTWS.
007500/
007600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007700/
007800     COPY MB61LK.
007900/
008000 01  FILLER                  PIC  X(12)      VALUE
008100     '** WS-END **'.
008200/
008300 LINKAGE SECTION.
008400*
008500 01  DFHCOMMAREA.
008600*
008700     COPY MB60WS.
008800/
008900*************************************
009000*    MERCHANT SUMMARY LOCATE MAP    *
009100*************************************
009200*
009300     COPY MBIM00.
009400/
009500*************************************************
009600*    MERCHANT SUMMARY LOCATE MAP REDEFINITION   *
009700*************************************************
009800*
009900     COPY MBIM00R.
010000/
010100***************************
010200*    ORG RECORD LAYOUT    *
010300***************************
010400*
010500     COPY MMOCRL.
010600/
010700***************************************
010800*    MERCHANT MASTER RECORD LAYOUT    *
010900***************************************
011000*
011100     COPY MMMMRL.
011200/
011300 PROCEDURE DIVISION.
011400*
011500 A000-HOUSEKEEPING SECTION.
011600*
011700 A020-INIT.
011800*
011900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012100                                 THRU MB70PD-OLH-EXIT.
012200*
012300     IF  MBCA-RECEIVE-SCREEN
012400         GO TO C000-RECEIVE-SCREEN.
012500/
012600 B000-SEND-SCREEN SECTION.
012700*
012800*********************************************
012900*    GET CICS STORAGE NEEDED FOR THE MAP    *
013000*********************************************
013100*
013200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB60PD-GETMAIN-FOR-MAP
013400                                 THRU MB60PD-GFM-EXIT.
013500*
013600*
013700*****************************************************************
013800*    SEE IF THE MBCA-MERCHANT-ORG IS GREATER THAN ZERO. IF IT   *
013900*    IS, PLUG IT INTO THE MAP. THE THE MBCA-MERCHANT IS GREATER *
014000*    THAN ZERO, PLUG IT INTO THE MAP.                           *
014100*****************************************************************
014200*
014300     IF  MBCA-MMMM-KEY-CODE
014400         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014500         AND MBCA-MERCHANT     IS GREATER THAN ZERO
014600             MOVE MBCA-MERCHANT-ORG
014700                                 TO IM00-ORG
014800             MOVE MBCA-MERCHANT  TO IM00-MERCHANT
014900             MOVE DFHBMUNF       TO IM00-ORG-A
015000                                    IM00-MERCHANT-A
015100             IF  MBCA-DIRECT-TRANSFER-CODE
015200             AND MBCA-INITIAL-SCREEN-NBR
015300                 MOVE 00         TO MBCA-SCREEN-NBR
015400                 GO TO C082-READ-ORG
015500             ELSE
015600                 GO TO B020-BUILD-SCREEN.
015700*
015800     IF  MBCA-VALID-KEY-CODES
015900         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016000             MOVE MBCA-MERCHANT-ORG
016100                                 TO IM00-ORG
016200             MOVE DFHBMUNF       TO IM00-ORG-A
016300             IF  MBCA-MERCHANT IS GREATER THAN ZERO
016400                 MOVE MBCA-MERCHANT
016500                                 TO IM00-MERCHANT
016600                 MOVE DFHBMUNF   TO IM00-MERCHANT-A.
016700*
016800 B020-BUILD-SCREEN.
016900*
017000*******************************************
017100*    FSET SCREEN-NBR                      *
017200*******************************************
017300*
017400     PERFORM
017500         VARYING X-IM00-DIR-AREA FROM 1 BY 1
017600         UNTIL   X-IM00-DIR-AREA IS GREATER THAN 7
017700         MOVE DFHBMASF           TO IM00-SELECT-SCREEN-NBR-A
017800                                    (X-IM00-DIR-AREA)
017900     END-PERFORM.
018000*
018100*******************************************
018200*    INITIALIZE THE STANDARD MAP LINES    *
018300*******************************************
018400*
018500     MOVE SS08WS-CURSOR          TO IM00-ORG-L.
018600     MOVE 00                     TO MBCA-SCREEN-NBR.
018700     PERFORM MB60PD-INIT-STD-MAP-LINES
018800                                 THRU MB60PD-ISML-EXIT.
018900*
019000**********************
019100*    SEND THE MAP    *
019200**********************
019300*
019400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
019600                                 THRU MB60PD-SMWE-EXIT.
019700*
019800************************
019900*    RETURN TO CICS    *
020000************************
020100*
020200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB70PD-RETURN-TRANS-ID
020400                                 THRU MB70PD-RTI-EXIT.
020500/
020600 C000-RECEIVE-SCREEN SECTION.
020700*
020800*************************************************
020900*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
021000*************************************************
021100*
021200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
021300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
021400*
021500**************************************************************
021600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
021700**************************************************************
021800*
021900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
022000     PERFORM MB60PD-NEW-TRANS-ROUTINE
022100                                 THRU MB60PD-NTR-EXIT.
022200*
022300 C020-FIELD-EDITS.
022400*
022500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
022600*
022700     IF  (IM00-ORG-L IS LESS THAN 1
022800     AND  IM00-MERCHANT-L IS LESS THAN 1)
022900     AND (SS08WS-VALID-PF-KEY
023000     OR   SS08WS-EIBAID-VALID-PF-KEY)
023100         SET MBCA-INITIAL-SCREEN-NBR
023200                                 TO TRUE
023300         GO TO F090-TRANSFER-XCTL.
023400*
023500******************************************************
023600*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
023700*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
023800******************************************************
023900*
024000     MOVE DFHBMUNN               TO IM00-ORG-A
024100                                    IM00-MERCHANT-A.
024200     MOVE DFHBMASK               TO IM00-ORG-LP-A
024300                                    IM00-ORG-RP-A
024400                                    IM00-MERCHANT-LP-A
024500                                    IM00-MERCHANT-RP-A.
024600*
024700 C080-EDIT-ORG.
024800*
024900     IF  IM00-ORG IS NOT NUMERIC
025000     OR  IM00-ORG IS LESS THAN MBCA-ORG-LOW
025100     OR  IM00-ORG IS GREATER THAN MBCA-ORG-HIGH
025200     OR  IM00-ORG IS LESS THAN WS-ORG-LOW
025300     OR  IM00-ORG IS GREATER THAN WS-ORG-HIGH
025400         MOVE MBEMWS-INVALID-ORG TO IM00-ERR-MESSAGE
025500         GO TO C098-ORG-ERROR.
025600*
025700 C082-READ-ORG.
025800*
025900************************************************
026000*    READ THE ORGANIZATION RECORD.  IT MUST    *
026100*    BE ON FILE AND AN ACTIVE RECORD.          *
026200************************************************
026300*
026400     MOVE IM00-ORG               TO MBIOWS-MMOC-ORG.
026500     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026700     SET MBIORO-READ-RANDOM      TO TRUE.
026800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
026900*
027000     IF  SS08WS-RC-FC-NOTFND
027100         MOVE MBEMWS-NOT-ON-FILE TO IM00-ERR-MESSAGE
027200     ELSE
027300         IF  MMOC-ADD-PENDING
027400             MOVE MBEMWS-ADD-PENDING
027500                                 TO IM00-ERR-MESSAGE
027600         ELSE
027700             IF  MMOC-REC-PURGED
027800                 MOVE MBEMWS-NOT-ACTIVE
027900                                 TO IM00-ERR-MESSAGE
028000             ELSE
028100                 MOVE DFHBMUNF   TO IM00-ORG-A
028200                 MOVE IM00-ORG   TO MBCA-MERCHANT-ORG
028300                 MOVE MMOC-CURRENCY-CODE
028400                                 TO MBCA-CURRENCY-CODE
028500                 MOVE MMOC-CURRENCY-NOD
028600                                 TO MBCA-CURRENCY-NOD
028700                 MOVE MMOC-PER-ITEM-NOD
028800                                 TO MBCA-PER-ITEM-NOD
028900                 MOVE MMOC-PERCENT-NOD
029000                                 TO MBCA-PERCENT-NOD
029100                 GO TO C100-EDIT-MERCHANT.
029200*
029300 C098-ORG-ERROR.
029400*
029500     SET SS08WS-ERROR-SW-YES     TO TRUE.
029600     MOVE DFHBMASB               TO IM00-ORG-LP-A
029700                                    IM00-ORG-RP-A.
029800     MOVE SS08WS-CURSOR          TO IM00-ORG-L.
029900     MOVE DFHBMNBF               TO IM00-ORG-A.
030000     MOVE DFHBMUNF               TO IM00-MERCHANT-A.
030100     GO TO D000-RETURN-ERRORS.
030200*
030300 C100-EDIT-MERCHANT.
030400*
030500     IF  IM00-MERCHANT IS NOT NUMERIC
030600     OR  IM00-MERCHANT IS EQUAL TO ZEROES OR 999999999
030700         MOVE MBEMWS-INVALID-MERCHANT
030800                                 TO IM00-ERR-MESSAGE
030900         GO TO C118-MERCHANT-ERROR.
031000*
031100**********************************
031200*    VALIDATE THE CHECK DIGIT    *
031300**********************************
031400*
031500     IF  MMOC-MMC-DO-NOT-MOD-CHECK
031600         GO TO C102-READ-MERCHANT.
031700*
031800     PERFORM Y020-VALIDATE-CHECK-DIGIT
031900                                 THRU Y039-VCD-EXIT.
032000*
032100     IF  SS05WS-CD-IS-INVALID
032200         MOVE MBEMWS-INVALID-MERCHANT
032300                                 TO IM00-ERR-MESSAGE
032400         GO TO C118-MERCHANT-ERROR.
032500*
032600 C102-READ-MERCHANT.
032700*
032800***************************************************************
032900*    READ THE MERCHANT MASTER RECORD.  IT MUST BE ON          *
033000*    FILE AND AN ACTIVE RECORD.                               *
033100***************************************************************
033200*
033300     MOVE DFHBMUNF               TO IM00-MERCHANT-A.
033400*
033500     MOVE IM00-ORG               TO MBIOWS-MMMM-ORG.
033600     MOVE IM00-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
033700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
033800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
033900     SET MBIORO-READ-RANDOM      TO TRUE.
034000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
034100*
034200     IF  SS08WS-RC-FC-VALID-RTN-CODE
034300         IF  MMMM-SAC-USE-PRIMARY
034400             MOVE MMMM-NA-LINE (1 1)
034500                                 TO MBCA-MBIM-MERCHANT-NAME
034600         ELSE
034700             MOVE MMMM-NA-LINE (2 1)
034800                                 TO MBCA-MBIM-MERCHANT-NAME
034900         END-IF
035000         MOVE IM00-MERCHANT      TO MBCA-MERCHANT.
035100*
035200     IF  SS08WS-RC-FC-NOTFND
035300         MOVE MBEMWS-NOT-ON-FILE TO IM00-ERR-MESSAGE
035400         GO TO C118-MERCHANT-ERROR.
035500*
035600         IF  MMMM-REC-PURGED
035700             MOVE MBEMWS-REC-PURGED
035800                                 TO IM00-ERR-MESSAGE
035900             GO TO C118-MERCHANT-ERROR.
036000*
036100     IF  MMMM-ADD-PENDING
036200         MOVE MBEMWS-ADD-PENDING TO IM00-ERR-MESSAGE
036300         GO TO C118-MERCHANT-ERROR.
036400*
036500************************************************
036600*    OTHERWISE, WE PASSED THE MERCHANT EDIT    *
036700************************************************
036800*
036900     GO TO C200-EDIT-SELECT.
037000*
037100 C118-MERCHANT-ERROR.
037200*
037300         SET SS08WS-ERROR-SW-YES TO TRUE
037400         MOVE DFHBMASB           TO IM00-MERCHANT-LP-A
037500                                    IM00-MERCHANT-RP-A
037600         MOVE SS08WS-CURSOR      TO IM00-MERCHANT-L
037700         MOVE DFHBMNBF           TO IM00-MERCHANT-A.
037800         GO TO D000-RETURN-ERRORS.
037900*
038000 C200-EDIT-SELECT.
038100*
038200     PERFORM
038300         VARYING X-IM00-DIR-AREA FROM +1 BY +1
038400         UNTIL   X-IM00-DIR-AREA IS GREATER THAN 7
038500         IF  IM00-SELECT-L (X-IM00-DIR-AREA) IS LESS THAN 1
038600             CONTINUE
038700         ELSE
038800             IF  IM00-SELECT-VALID (X-IM00-DIR-AREA)
038900                 MOVE IM00-SELECT-SCREEN-NBR (X-IM00-DIR-AREA)
039000                                 TO TTN0162I
039100                 MOVE +2         TO TTN0162L
039200                 MOVE DFHBMFSE   TO IM00-SELECT-A
039300                                    (X-IM00-DIR-AREA)
039400                 SET X-IM00-DIR-AREA
039500                                 TO +7
039600             ELSE
039700                 SET SS08WS-ERROR-SW-YES
039800                                 TO TRUE
039900                 MOVE DFHBMASB   TO IM00-SELECT-LP-A
040000                                    (X-IM00-DIR-AREA)
040100                                    IM00-SELECT-RP-A
040200                                    (X-IM00-DIR-AREA)
040300                 MOVE DFHBMUBF   TO IM00-SELECT-A
040400                                    (X-IM00-DIR-AREA)
040500                 MOVE SS08WS-CURSOR TO IM00-SELECT-L
040600                                    (X-IM00-DIR-AREA)
040700             END-IF
040800         END-IF
040900     END-PERFORM.
041000*
041100 C299-ES-EXIT.
041200     EXIT.
041300/
041400/
041500 D000-RETURN-ERRORS SECTION.
041600*
041700     IF  SS08WS-ERROR-SW-NO
041800         GO TO F000-SETUP-COMMAREA
041900     ELSE
042000         IF  SS08WS-VALID-PF-KEY
042100         OR  SS08WS-EIBAID-VALID-PF-KEY
042200             SET MBCA-INITIAL-SCREEN-NBR
042300                                 TO TRUE
042400             GO TO F090-TRANSFER-XCTL.
042500*
042600***************************************************************
042700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
042800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
042900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
043000***************************************************************
043100*
043200     PERFORM MB60PD-INIT-STD-MAP-LINES
043300                                 THRU MB60PD-ISML-EXIT.
043400*
043500**********************
043600*    SEND THE MAP    *
043700**********************
043800*
043900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
044000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
044100                                 THRU MB60PD-SMWE-EXIT.
044200*
044300************************
044400*    RETURN TO CICS    *
044500************************
044600*
044700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
044800     PERFORM MB70PD-RETURN-TRANS-ID
044900                                 THRU MB70PD-RTI-EXIT.
045000/
045100 F000-SETUP-COMMAREA SECTION.
045200*
045300***************************************************************
045400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045500***************************************************************
045600*
045700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045800*
045900     MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
046000                                 TO MBCA-KEY-CODE.
046100*
046200     IF  MBCA-PTI-FUNCTION-IS-MODEL
046300         SET MBCA-PTI-FUNCTION-IS-ADD
046400                                 TO TRUE
046500         MOVE MBCA-PTI-POS-3-4   TO MBCA-TI-POS-3-4.
046600*
046700     PERFORM MB60PD-EDIT-PAGE-NBR
046800                                 THRU MB60PD-EPN-EXIT.
046900*
047000     IF  SS08WS-VALID-PF-KEY
047100     OR  SS08WS-EIBAID-VALID-PF-KEY
047200         SET MBCA-INITIAL-SCREEN-NBR
047300                                 TO TRUE.
047400*
047500 F090-TRANSFER-XCTL.
047600*
047700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047800     PERFORM MB70PD-XCTL-TO-MBOXCTL
047900                                 THRU MB70PD-XTM-EXIT.
048000/
048100 U000-USER-ROUTINES SECTION.
048200*
048300 U020-CHECK-DIGIT-ROUTINE-1.
048400*
048500*************************************************************
048600*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
048700*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
048800*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
048900*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
049000*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
049100*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
049200*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
049300*    CHECK DIGIT ERROR.                                     *
049400*************************************************************
049500*
049600     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
049700*
049800 U039-CDR1-EXIT.
049900     EXIT.
050000*
050100 U040-CHECK-DIGIT-ROUTINE-2.
050200*
050300*************************************************************
050400*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
050500*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
050600*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
050700*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
050800*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
050900*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
051000*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
051100*    CHECK DIGIT ERROR.                                     *
051200*************************************************************
051300*
051400     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
051500*
051600 U059-CDR2-EXIT.
051700     EXIT.
051800*
051900 U060-CHECK-DIGIT-ROUTINE-3.
052000*
052100*************************************************************
052200*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
052300*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
052400*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
052500*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
052600*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
052700*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
052800*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
052900*    CHECK DIGIT ERROR.                                     *
053000*************************************************************
053100*
053200     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
053300*
053400 U079-CDR3-EXIT.
053500     EXIT.
053600/
053700 Y000-PERFORMED-ROUTINES SECTION.
053800*
053900 Y020-VALIDATE-CHECK-DIGIT.
054000*
054100     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
054200         NEXT SENTENCE
054300     ELSE
054400         GO TO Y039-VCD-EXIT.
054500*
054600**********************************************
054700*    HANDLE THE USER CHECK DIGIT ROUTINES    *
054800**********************************************
054900*
055000     IF  MMOC-MMC-MOD-CHECK-ROUTINE1
055100         MOVE 'UC01'             TO MBCA-PROGRAM-LOCATION
055200         PERFORM U020-CHECK-DIGIT-ROUTINE-1
055300                                 THRU U039-CDR1-EXIT
055400         GO TO Y039-VCD-EXIT.
055500*
055600     IF  MMOC-MMC-MOD-CHECK-ROUTINE2
055700         MOVE 'UC02'             TO MBCA-PROGRAM-LOCATION
055800         PERFORM U040-CHECK-DIGIT-ROUTINE-2
055900                                 THRU U059-CDR2-EXIT
056000         GO TO Y039-VCD-EXIT.
056100*
056200     IF  MMOC-MMC-MOD-CHECK-ROUTINE3
056300         MOVE 'UC03'             TO MBCA-PROGRAM-LOCATION
056400         PERFORM U060-CHECK-DIGIT-ROUTINE-3
056500                                 THRU U079-CDR3-EXIT
056600         GO TO Y039-VCD-EXIT.
056700*
056800******************************************************
056900*    VALIDATE THE CHECK DIGIT BY THE MBS SUPPLIED    *
057000*    DOUBLE-ADD-DOUBLE CHECK DIGIT ROUTINE           *
057100******************************************************
057200*
057300     MOVE IM00-MERCHANT          TO SS05WS-NBR
057400     MOVE ZERO                   TO SS05WS-OPTION.
057500*
057600     PERFORM SS09PD-DOUBLE-ADD-DOUBLE
057700                                 THRU SS09PD-DAD-EXIT.
057800*
057900 Y039-VCD-EXIT.
058000     EXIT.
058100/
058200 Z000-COPIED-ROUTINES SECTION.
058300**********************************
058400*    JUL TO GREG DATE ROUTINE    *
058500**********************************
058600*
058700     COPY SS08PD.
058800/
058900     COPY SS26PD.
059000/
059100     COPY SS27PD.
059200/
059300*****************************
059400*    CHECK DIGIT ROUITNE    *
059500*****************************
059600*
059700     COPY SS09PD.
059800/
059900*********************************
060000*    LINE 24 PF KEYS ROUTINE    *
060100*********************************
060200*
060300     COPY SS15PD.
060400/
060500*******************************************
060600*    ORG FILE RECORD 1 ACCESS ROUTINES    *
060700*******************************************
060800*
060900     COPY MMOCAO.
061000/
061100*********************************************
061200*    MERCHANT MASTER RECORD ACCESS ROUTINES *
061300*********************************************
061400*
061500     COPY MMMMAO.
061600/
061700*****************************
061800*    ONLINE MAP ROUTINES    *
061900*****************************
062000*
062100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM00 '
062200                           MBMAPXXI BY MBIM00I
062300                           MBMAPXXO BY MBIM00O.
062400/
062500***************************
062600*    ONLINE PROCEDURES    *
062700***************************
062800*
062900     COPY MB70PD.
063000/
063100     COPY SMFTPXO.
