000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM01 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000*
002100 DATA DIVISION.
002200*
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  FILLER                  PIC  X(14)      VALUE
002800     'MISCELLANEOUS:'.
002900*
003000 01  WS-MISCELLANEOUS.
003100     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003200*
003300 01  FILLER                  PIC  X(17)      VALUE
003400     'PROGRAM SWITCHES:'.
003500*
003600/
003700 01  FILLER                  PIC  X(29)      VALUE
003800     'I/O REQUEST BLOCK WORK AREAS:'.
003900*
004000     COPY MBIOWS.
004100/
004200 01  FILLER                  PIC  X(18)      VALUE
004300     'I/O REQUEST BLOCK:'.
004400*
004500     COPY MBIORO.
004600/
004700 01  FILLER                  PIC  X(20)      VALUE
004800     'CCS DATE WORK AREAS:'.
004900*
005000     COPY SS01WS.
005100/
005200 01  FILLER                  PIC  X(15)      VALUE
005300     'CCS WORK AREAS:'.
005400*
005500     COPY SS08WS.
005600/
005700     COPY SS00WS.
005800/
005900     COPY SMFTWS.
006000/
006100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006200/
006300     COPY MB61LK.
006400/
006500     COPY SS12WS.
006600*
006700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006800/
006900 LINKAGE SECTION.
007000*
007100 01  DFHCOMMAREA.
007200*
007300     COPY MB60WS.
007400/
007500*********************************
007600*    MERCHANT SUMMARY MAP       *
007700*********************************
007800*
007900     COPY MBIM01.
008000/
008100**********************************************
008200*    MERCHANT SUMMARY MAP REDEFINITION       *
008300**********************************************
008400*
008500     COPY MBIM01R.
008600/
008700******************************************
008800*    MERCHANT MASTER RECORD LAYOUT       *
008900******************************************
009000*
009100     COPY MMMMRL.
009200/
009300 PROCEDURE DIVISION.
009400*
009500 A000-HOUSEKEEPING SECTION.
009600*
009700 A020-INIT.
009800*
009900     SET SS12WS-ENVIRONMENT-ON-LINE
010000                                 TO TRUE.
010100     SET SS12WS-FUNCTION-INITIALIZE
010200                                 TO TRUE.
010300     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
010400        THRU SS12PD-FD-EXIT.
010500*
010600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010800                                 THRU MB70PD-OLH-EXIT.
010900*
011000     IF  MBCA-RECEIVE-SCREEN
011100         GO TO C000-RECEIVE-SCREEN.
011200/
011300 B000-SEND-SCREEN SECTION.
011400*
011500*********************************************
011600*    GET CICS STORAGE NEEDED FOR THE MAP    *
011700*********************************************
011800*
011900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012000     PERFORM MB60PD-GETMAIN-FOR-MAP
012100                                 THRU MB60PD-GFM-EXIT.
012200*
012300*******************************************
012400*    INITIALIZE THE STANDARD MAP LINES    *
012500*******************************************
012600*
012700     PERFORM MB60PD-INIT-STD-MAP-LINES
012800                                 THRU MB60PD-ISML-EXIT.
012900*
013000**********************************************************
013100*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
013200*    DISPLAY.                                            *
013300**********************************************************
013400*
013500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
013600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
013700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
013800     SET MBIORO-READ-RANDOM      TO TRUE.
013900     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
014000*
014100 B020-MOVE-FIELDS-TO-SCREEN.
014200*
014300*********************************************
014400*    MOVE THE MERCHANT MASTER FIELDS        *
014500*    FROM THE RECORD TO THE SCREEN          *
014600*********************************************
014700*
014800     IF  MMMM-SAC-USE-PRIMARY
014900         SET X-MMMM-DEMOGRAPHICS
015000                                 TO 1
015100     ELSE
015200         SET X-MMMM-DEMOGRAPHICS
015300                                 TO 2
015400     END-IF.
015500*
015600     MOVE MMMM-ORG               TO IM01-ORG.
015700     MOVE MMMM-MERCHANT          TO IM01-MERCHANT.
015800*
015900     EVALUATE TRUE
016000         WHEN MMMM-REC-ACTIVE
016100             MOVE 'ACTIVE'       TO IM01-STATUS
016200         WHEN MMMM-REC-CLOSED
016300             MOVE 'CLOSED'       TO IM01-STATUS
016400         WHEN MMMM-REC-PENDING-PURGE
016500             MOVE 'PENDING PURGE'
016600                                 TO IM01-STATUS
016700         WHEN MMMM-REC-PURGING
016800             MOVE 'PURGING'      TO IM01-STATUS
016900     END-EVALUATE.
017000*
017100     MOVE SPACES                 TO SS12WS-NAME-ADDR-GROUP.
017200*
017300     SET X-MMMM-NA               TO +1.
017400     MOVE MBCA-MBIM-MERCHANT-NAME
017500                                 TO SS12WS-NAME-ADDR (1).
017600     SET X-MMMM-NA               TO +2.
017700     MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS X-MMMM-NA)
017800                                 TO SS12WS-NAME-ADDR (2).
017900     SET X-MMMM-NA               TO +3.
018000     MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS X-MMMM-NA)
018100                                 TO SS12WS-NAME-ADDR (3).
018200     SET X-MMMM-NA               TO +4.
018300     MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS X-MMMM-NA)
018400                                 TO SS12WS-NAME-ADDR (4).
018500     SET X-MMMM-NA               TO +5.
018600     MOVE MMMM-NA-LINE (X-MMMM-DEMOGRAPHICS X-MMMM-NA)
018700                                 TO SS12WS-NAME-ADDR (5).
018800     MOVE MMMM-POSTAL-CODE (X-MMMM-DEMOGRAPHICS)                  FX800019
018810                                 TO SS12WS-POSTAL-CODE.           FX800019
018900     MOVE MMMM-STATE-CODE (X-MMMM-DEMOGRAPHICS)                   FX800019
018910                                 TO SS12WS-STATE-CODE.            FX800019
019000     MOVE MMMM-COUNTRY-CODE (1)  TO SS12WS-COUNTRY-CODE.
019100*
019200     PERFORM SS12PD-FORMAT-DEMOGRAPHICS
019300                                 THRU SS12PD-FD-EXIT.
019400*
019500     MOVE SS12WS-MAIL-LINE (1)
019600                                 TO IM01-MERCH-NAME.
019700     MOVE SS12WS-MAIL-LINE (2)
019800                                 TO IM01-ADDR1.
019900     MOVE SS12WS-MAIL-LINE (3)
020000                                 TO IM01-ADDR2.
020100     MOVE SS12WS-MAIL-LINE (4)
020200                                 TO IM01-ADDR3.
020300     MOVE SS12WS-MAIL-LINE (5)
020400                                 TO IM01-ADDR4.
020500*
020600     MOVE MMMM-DBA-NAME          TO IM01-DBA-NAME.
020700     MOVE MMMM-DBA-CITY          TO IM01-DBA-CITY.
020800     MOVE MMMM-DBA-COUNTRY-CODE  TO IM01-DBA-ST-PR.
020900     SET X-MMMM-CONTACT          TO +1.
021000     MOVE MMMM-CONTACT       (X-MMMM-CONTACT)
021100                                 TO IM01-CONTACT-NAME.
021200     MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
021300                                 TO IM01-PHONE-NBR.
021400     MOVE MMMM-CONTACT-FAX   (X-MMMM-CONTACT)
021500                                 TO IM01-FAX-NBR.
021600     MOVE MMMM-AGENT-BANK        TO IM01-AGENT.
021700     MOVE MMMM-OFFICER-ID        TO IM01-OFFICER.
021800     MOVE MMMM-BRANCH            TO IM01-BRANCH.
021900     MOVE MMMM-NBR-STORES        TO IM01-NBR-STORES.
022000*
022100     MOVE SS08WS-CURSOR          TO IM01-ALT-TRANID-L.
022200     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
022300*
022400**********************
022500*    SEND THE MAP    *
022600**********************
022700*
022800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
022900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
023000                                 THRU MB60PD-SMWE-EXIT.
023100*
023200************************
023300*    RETURN TO CICS    *
023400************************
023500*
023600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
023700     PERFORM MB70PD-RETURN-TRANS-ID
023800                                 THRU MB70PD-RTI-EXIT.
023900/
024000 C000-RECEIVE-SCREEN SECTION.
024100*
024200******************************************
024300*    THIS SECTION RECEIVES THE SCREEN    *
024400******************************************
024500*
024600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
024700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
024800*
024900**************************************************************
025000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
025100**************************************************************
025200*
025300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
025400     PERFORM MB60PD-NEW-TRANS-ROUTINE
025500                                 THRU MB60PD-NTR-EXIT.
025600/
025700 F000-SETUP-COMMAREA SECTION.
025800*
025900***************************************************************
026000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
026100***************************************************************
026200*
026300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
026400*
026500     PERFORM MB60PD-EDIT-PAGE-NBR
026600                                 THRU MB60PD-EPN-EXIT.
026700*
026800     IF  SS08WS-VALID-PF-KEY
026900     OR  SS08WS-EIBAID-VALID-PF-KEY
027000         SET MBCA-INITIAL-SCREEN-NBR
027100                                 TO TRUE.
027200*
027300 F090-TRANSFER-XCTL.
027400*
027500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
027600     PERFORM MB70PD-XCTL-TO-MBOXCTL
027700                                 THRU MB70PD-XTM-EXIT.
027800/
027900 Z000-COPIED-ROUTINES SECTION.
028000*
028100**********************************
028200*    JUL TO GREG DATE ROUTINE    *
028300**********************************
028400*
028500     COPY SS08PD.
028600/
028700     COPY SS26PD.
028800/
028900     COPY SS27PD.
029000/
029100**********************************
029200*    GREG TO JUL DATE ROUTINE    *
029300**********************************
029400*
029500     COPY SS07PD.
029600/
029700**********************************
029800*    DATE VALIDATION ROUTINE     *
029900**********************************
030000*
030100     COPY SS05PD.
030200/
030300***************************************
030400*    FORMAT NAME/ADDR DEMOGRAPHICS    *
030500***************************************
030600*
030700     COPY SS12PD.
030800/
030900*********************************
031000*    LINE 24 PF KEYS ROUTINE    *
031100*********************************
031200*
031300     COPY SS15PD.
031400/
031500************************************************
031600*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
031700************************************************
031800*
031900     COPY MMMMAO.
032000/
032100*****************************
032200*    ONLINE MAP ROUTINES    *
032300*****************************
032400*
032500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM01 '
032600                           MBMAPXXI BY MBIM01I
032700                           MBMAPXXO BY MBIM01O.
032800/
032900***************************
033000*    ONLINE PROCEDURES    *
033100***************************
033200*
033300     COPY MB70PD.
033400/
033500     COPY SMFTPXO.
