000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM02 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM02 (SCREEN 02)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000*
002100 DATA DIVISION.
002200*
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  FILLER                  PIC  X(14)      VALUE
002800     'MISCELLANEOUS:'.
002900*
003000 01  WS-MISCELLANEOUS.
003100     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003200*
003300 01  FILLER                  PIC  X(17)      VALUE
003400     'PROGRAM SWITCHES:'.
003500*
003600/
003700 01  FILLER                  PIC  X(29)      VALUE
003800     'I/O REQUEST BLOCK WORK AREAS:'.
003900*
004000     COPY MBIOWS.
004100/
004200 01  FILLER                  PIC  X(18)      VALUE
004300     'I/O REQUEST BLOCK:'.
004400*
004500     COPY MBIORO.
004600/
004700 01  FILLER                  PIC  X(20)      VALUE
004800     'CCS DATE WORK AREAS:'.
004900*
005000     COPY SS01WS.
005100/
005200 01  FILLER                  PIC  X(15)      VALUE
005300     'CCS WORK AREAS:'.
005400*
005500     COPY SS08WS.
005600/
005700     COPY SS00WS.
005800/
005900     COPY SMFTWS.
006000/
006100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
006200/
006300     COPY MB61LK.
006400/
006500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006600/
006700 LINKAGE SECTION.
006800*
006900 01  DFHCOMMAREA.
007000*
007100     COPY MB60WS.
007200/
007300*********************************
007400*    MERCHANT SUMMARY MAP       *
007500*********************************
007600*
007700     COPY MBIM02.
007800/
007900**********************************************
008000*    MERCHANT SUMMARY MAP REDEFINITION       *
008100**********************************************
008200*
008300     COPY MBIM02R.
008400/
008500******************************************
008600*    MERCHANT MASTER RECORD LAYOUT       *
008700******************************************
008800*
008900     COPY MMMMRL.
009000/
009100 PROCEDURE DIVISION.
009200*
009300 A000-HOUSEKEEPING SECTION.
009400*
009500 A020-INIT.
009600*
009700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009900                                 THRU MB70PD-OLH-EXIT.
010000*
010100     IF  MBCA-RECEIVE-SCREEN
010200         GO TO C000-RECEIVE-SCREEN.
010300/
010400 B000-SEND-SCREEN SECTION.
010500*
010600*********************************************
010700*    GET CICS STORAGE NEEDED FOR THE MAP    *
010800*********************************************
010900*
011000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011100     PERFORM MB60PD-GETMAIN-FOR-MAP
011200                                 THRU MB60PD-GFM-EXIT.
011300*
011400*******************************************
011500*    INITIALIZE THE STANDARD MAP LINES    *
011600*******************************************
011700*
011800     PERFORM MB60PD-INIT-STD-MAP-LINES
011900                                 THRU MB60PD-ISML-EXIT.
012000*
012100**********************************************************
012200*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
012300*    DISPLAY.                                            *
012400**********************************************************
012500*
012600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
012700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
012800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012900     SET MBIORO-READ-RANDOM      TO TRUE.
013000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
013100*
013200 B020-MOVE-FIELDS-TO-SCREEN.
013300*
013400*********************************************
013500*    MOVE THE MERCHANT MASTER FIELDS        *
013600*    FROM THE RECORD TO THE SCREEN          *
013700*********************************************
013800*
013900     MOVE MMMM-ORG               TO IM02-ORG.
014000     MOVE MMMM-MERCHANT          TO IM02-MERCHANT.
014100     MOVE MBCA-MBIM-MERCHANT-NAME
014200                                 TO IM02-MERCH-NME.
014300     MOVE MMMM-DATE-OPENED       TO SS01WS-JULIAN.
014400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
014500     MOVE SS01WS-XX-XX-YYYY      TO IM02-DATE-OPN.
014600     MOVE MMMM-BLOCK-CODE        TO IM02-BLK-CODE.
014700     MOVE MMMM-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
014800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
014900     MOVE SS01WS-XX-XX-YYYY      TO IM02-LAST-REVIEW.
015000     MOVE MMMM-DATE-BLOCK-CODE   TO SS01WS-JULIAN.
015100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
015200     MOVE SS01WS-XX-XX-YYYY      TO IM02-BLK-DATE.
015300     MOVE MMMM-DATE-NEXT-REVIEW  TO SS01WS-JULIAN.
015400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
015500     MOVE SS01WS-XX-XX-YYYY      TO IM02-NEXT-REVIEW.
015600     MOVE MMMM-BLOCK-OPER        TO IM02-BLK-OPER.
015700     MOVE MMMM-DATE-LAST-VISIT   TO SS01WS-JULIAN.
015800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
015900     MOVE SS01WS-XX-XX-YYYY      TO IM02-LAST-VISIT.
016000     MOVE MMMM-DISC-FREQ-1       TO IM02-DISC-FREQ1.
016100     MOVE MMMM-DISC-FREQ-2       TO IM02-DISC-FREQ2.
016200     MOVE MMMM-DATE-NEXT-VISIT   TO SS01WS-JULIAN.
016300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
016400     MOVE SS01WS-XX-XX-YYYY      TO IM02-NEXT-VISIT.
016500     MOVE MMMM-PART-FREQ-1       TO IM02-PART-FREQ1.
016600     MOVE MMMM-PART-FREQ-2       TO IM02-PART-FREQ2.
016700     MOVE MMMM-DATE-LAST-STMT    TO SS01WS-JULIAN.
016800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
016900     MOVE SS01WS-XX-XX-YYYY      TO IM02-LAST-STMT.
017000     MOVE MMMM-SETT-FREQ-1       TO IM02-SETT-FREQ1.
017100     MOVE MMMM-SETT-FREQ-2       TO IM02-SETT-FREQ2.
017200     MOVE MMMM-DATE-LAST-MEMB-FEE
017300                                 TO SS01WS-JULIAN.
017400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
017500     MOVE SS01WS-XX-XX-YYYY      TO IM02-LAST-MEMB-FEE.
017600     MOVE MMMM-STMT-FREQ-1       TO IM02-STMT-CYC1.
017700     MOVE MMMM-STMT-FREQ-2       TO IM02-STMT-CYC2.
017800     MOVE MMMM-DATE-LAST-ACTIVE  TO SS01WS-JULIAN.
017900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
018000     MOVE SS01WS-XX-XX-YYYY      TO IM02-DATE-LACT.
018100     MOVE MMMM-STMT-CONTROL      TO IM02-STMT-FLAG.
018200     MOVE MMMM-INCOME-TABLE-NBR  TO IM02-INCM-TBL.
018300     MOVE MMMM-RETAIN-DEPOSITS   TO IM02-DAYS-TO-RETAIN.
018400     MOVE MMMM-MEMO-1            TO IM02-MEMO1.
018500     MOVE MMMM-MEMO-2            TO IM02-MEMO2.
018600     MOVE MMMM-MEMO-3            TO IM02-MEMO3.
018700     MOVE MMMM-MEMO-4            TO IM02-MEMO4.
018800*
018900     MOVE SS08WS-CURSOR          TO IM02-ALT-TRANID-L.
019000     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
019100*
019200**********************
019300*    SEND THE MAP    *
019400**********************
019500*
019600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
019700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
019800                                 THRU MB60PD-SMWE-EXIT.
019900*
020000************************
020100*    RETURN TO CICS    *
020200************************
020300*
020400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
020500     PERFORM MB70PD-RETURN-TRANS-ID
020600                                 THRU MB70PD-RTI-EXIT.
020700/
020800 C000-RECEIVE-SCREEN SECTION.
020900*
021000******************************************
021100*    THIS SECTION RECEIVES THE SCREEN    *
021200******************************************
021300*
021400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
021500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
021600*
021700**************************************************************
021800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
021900**************************************************************
022000*
022100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
022200     PERFORM MB60PD-NEW-TRANS-ROUTINE
022300                                 THRU MB60PD-NTR-EXIT.
022400/
022500 F000-SETUP-COMMAREA SECTION.
022600*
022700***************************************************************
022800*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
022900***************************************************************
023000*
023100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
023200*
023300     PERFORM MB60PD-EDIT-PAGE-NBR
023400                                 THRU MB60PD-EPN-EXIT.
023500*
023600     IF  SS08WS-VALID-PF-KEY
023700     OR  SS08WS-EIBAID-VALID-PF-KEY
023800         SET MBCA-INITIAL-SCREEN-NBR
023900                                 TO TRUE.
024000*
024100 F090-TRANSFER-XCTL.
024200*
024300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
024400     PERFORM MB70PD-XCTL-TO-MBOXCTL
024500                                 THRU MB70PD-XTM-EXIT.
024600/
024700 Z000-COPIED-ROUTINES SECTION.
024800*
024900**********************************
025000*    JUL TO GREG DATE ROUTINE    *
025100**********************************
025200*
025300     COPY SS08PD.
025400/
025500**********************************
025600*    DATE AND TIME EDIT ROUTINES *
025700**********************************
025800*
025900     COPY SS26PD.
026000     COPY SS27PD.
026100/
026200**********************************
026300*    GREG TO JUL DATE ROUTINE    *
026400**********************************
026500*
026600     COPY SS07PD.
026700/
026800**********************************
026900*    DATE VALIDATION ROUTINE     *
027000**********************************
027100*
027200     COPY SS05PD.
027300/
027400*********************************
027500*    LINE 24 PF KEYS ROUTINE    *
027600*********************************
027700*
027800     COPY SS15PD.
027900/
028000************************************************
028100*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
028200************************************************
028300*
028400     COPY MMMMAO.
028500/
028600*****************************
028700*    ONLINE MAP ROUTINES    *
028800*****************************
028900*
029000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM02 '
029100                           MBMAPXXI BY MBIM02I
029200                           MBMAPXXO BY MBIM02O.
029300/
029400***************************
029500*    ONLINE PROCEDURES    *
029600***************************
029700*
029800     COPY MB70PD.
029900/
030000     COPY SMFTPXO.
