000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM04.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM04 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 04                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM04 (SCREEN 04)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 A. MMPA (PRODUCT STATISTICS FILE)             *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200*
003300     03  WS-TOTALS.
003400         05  WS-TOTALS-X                     OCCURS 4 TIMES
003500                                             INDEXED BY
003600                                             X-WS-TOT.
003700             07  WS-FUNDED   PIC S9(17)      VALUE ZEROES COMP-3.
003800             07  WS-TO-PROC  PIC S9(17)      VALUE ZEROES COMP-3.
003900             07  WS-MANUAL   PIC S9(17)      VALUE ZEROES COMP-3.
004000             07  WS-TO-MERCH PIC S9(17)      VALUE ZEROES COMP-3.
004100*
004200 01  FILLER                  PIC  X(17)      VALUE
004300     'PROGRAM SWITCHES:'.
004400*
004500 01  WS-SWITCHES.
004600     05  WS-DATA-SW          PIC  X(01)      VALUE 'N'.
004700         88  WS-NO-DATA                      VALUE 'N'.
004800         88  WS-HAVE-DATA                    VALUE 'Y'.
004900*
005000/
005100 01  FILLER                  PIC  X(29)      VALUE
005200     'I/O REQUEST BLOCK WORK AREAS:'.
005300*
005400     COPY MBIOWS.
005500/
005600 01  FILLER                  PIC  X(18)      VALUE
005700     'I/O REQUEST BLOCK:'.
005800*
005900     COPY MBIORO.
006000/
006100 01  FILLER                  PIC  X(22)      VALUE
006200     'PROD STAT LOGIC MODULE'.
006300*
006400     COPY MMTCWS.
006500/
006600 01  FILLER                  PIC  X(20)      VALUE
006700     'CCS DATE WORK AREAS:'.
006800*
006900     COPY SS01WS.
007000/
007100 01  FILLER                  PIC  X(15)      VALUE
007200     'CCS WORK AREAS:'.
007300*
007400     COPY SS08WS.
007500/
007600     COPY SS00WS.
007700/
007800     COPY SMFTWS.
007900/
008000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008100/
008200     COPY MB61LK.
008300/
008400 01  FILLER                  PIC  X(28)      VALUE
008500     'DYNAMICALY CALLED SUBROUINES'.
008600*
008700     COPY MB00WS.
008800/
008900 01  FILLER                  PIC  X(36)      VALUE
009000     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
009100*
009200     COPY SS95WS.
009300*
009400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*********************************
010300*    MERCHANT SUMMARY MAP       *
010400*********************************
010500*
010600     COPY MBIM04.
010700/
010800**********************************************
010900*    MERCHANT SUMMARY MAP REDEFINITION       *
011000**********************************************
011100*
011200     COPY MBIM04R.
011300/
011400******************************************
011500*    MERCHANT MASTER RECORD LAYOUT       *
011600******************************************
011700*
011800     COPY MMMMRL.
011900/
012000*********************************************
012100*    PRODUCT STATISTICS RECORD LAYOUT       *
012200*********************************************
012300*
012400     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
012500/
012600 PROCEDURE DIVISION.
012700*
012800 A000-HOUSEKEEPING SECTION.
012900*
013000 A020-INIT.
013100*
013200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013400                                 THRU MB70PD-OLH-EXIT.
013500*
013600     SET SS95WS-FUNCTION-INITIALIZE
013700                            TO TRUE.
013800     PERFORM SS95PD-NAP-ROUTINE
013900        THRU SS95PD-NAP-EXIT.
014000*
014100     IF  MBCA-RECEIVE-SCREEN
014200         GO TO C000-RECEIVE-SCREEN.
014300/
014400 B000-SEND-SCREEN SECTION.
014500*
014600*********************************************
014700*    GET CICS STORAGE NEEDED FOR THE MAP    *
014800*********************************************
014900*
015000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB60PD-GETMAIN-FOR-MAP
015200                                 THRU MB60PD-GFM-EXIT.
015300*
015400*******************************************
015500*    INITIALIZE THE STANDARD MAP LINES    *
015600*******************************************
015700*
015800     PERFORM MB60PD-INIT-STD-MAP-LINES
015900                                 THRU MB60PD-ISML-EXIT.
016000*
016100**********************************************************
016200*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
016300*    DISPLAY.                                            *
016400**********************************************************
016500*
016600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
016700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
016800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016900     SET MBIORO-READ-RANDOM      TO TRUE.
017000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
017100*
017200     MOVE MMMM-ORG               TO IM04-ORG.
017300     MOVE MMMM-MERCHANT          TO IM04-MERCHANT.
017400     MOVE MBCA-MBIM-MERCHANT-NAME
017500                                 TO IM04-MERCH-NME.
017600*
017700****************************************************************
017800*    START BROWSE THE PRODUCT STATISTICE FILE                  *
017900****************************************************************
018000*
018100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
018300     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
018400     MOVE 8                      TO MBIOWS-MMPA-REC-TYPE.
018500     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
018600     MOVE ZERO                   TO MBIOWS-MMPA-LOGIC-MODULE.
018700     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
018800     SET MBIORO-STARTBR-GTE      TO TRUE.
018900     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
019000*
019100     IF SS08WS-RC-FC-ENDFILE
019200         GO TO B900-SEND-MAP.
019300*
019400 B300-READ-LOOP.
019500*
019600****************************************************************
019700*    READNEXT THE MERCHANT RELATIONSHIP FILE                   *
019800****************************************************************
019900*
020000     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
020100     SET MBIORO-READ-SEQ         TO TRUE.
020200     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
020300*
020400     IF  MMPA-TRAILER
020500     OR  MMPA-ALIGN-KEY IS GREATER THAN MMMM-KEY
020600     OR  MMPA-REC-TYPE IS GREATER THAN 8
020700     OR  MMPA-PRODUCT  IS GREATER THAN ZEROS
020800         SET X-WS-TOT            TO +1
020900         SET X-IM04-RD           TO +1
021000         SET X-MMMM-RESV         TO +1
021100         GO TO B600-MOVE-FIELDS-TO-SCREEN.
021200*
021300     IF  NOT MMPA-REC-ACTIVE
021400         GO TO B300-READ-LOOP.
021500*
021600     MOVE MMPA-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
021700*
021800****************************************************************
021900*    ACCUMULATE FIELD TOTALS                                   *
022000*    OCCURS:                                                   *
022100*          16 - CYCLE-TO-DATE                                  *
022200****************************************************************
022300*
022400     EVALUATE TRUE
022500         WHEN MMTCWS-LM-RESV-1-INCREASE
022600              SET WS-HAVE-DATA   TO TRUE
022700              ADD MMPA-AMT (16)  TO WS-FUNDED (1)
022800         WHEN MMTCWS-LM-RESV-2-INCREASE
022900              SET WS-HAVE-DATA   TO TRUE
023000              ADD MMPA-AMT (16)  TO WS-FUNDED (2)
023100         WHEN MMTCWS-LM-RESV-3-INCREASE
023200              SET WS-HAVE-DATA   TO TRUE
023300              ADD MMPA-AMT (16)  TO WS-FUNDED (3)
023400         WHEN MMTCWS-LM-RESV-4-INCREASE
023500              SET WS-HAVE-DATA   TO TRUE
023600              ADD MMPA-AMT (16)  TO WS-FUNDED (4)
023700         WHEN MMTCWS-LM-RESV-1-MANUAL-INCR
023800              SET WS-HAVE-DATA   TO TRUE
023900              ADD MMPA-AMT (16)  TO WS-MANUAL (1)
024000         WHEN MMTCWS-LM-RESV-2-MANUAL-INCR
024100              SET WS-HAVE-DATA   TO TRUE
024200              ADD MMPA-AMT (16)  TO WS-MANUAL (2)
024300         WHEN MMTCWS-LM-RESV-3-MANUAL-INCR
024400              SET WS-HAVE-DATA   TO TRUE
024500              ADD MMPA-AMT (16)  TO WS-MANUAL (3)
024600         WHEN MMTCWS-LM-RESV-4-MANUAL-INCR
024700              SET WS-HAVE-DATA   TO TRUE
024800              ADD MMPA-AMT (16)  TO WS-MANUAL (4)
024900         WHEN MMTCWS-LM-RESV-1-DECREASE-PROC
025000              SET WS-HAVE-DATA   TO TRUE
025100              ADD MMPA-AMT (16)  TO WS-TO-PROC (1)
025200         WHEN MMTCWS-LM-RESV-2-DECREASE-PROC
025300              SET WS-HAVE-DATA   TO TRUE
025400              ADD MMPA-AMT (16)  TO WS-TO-PROC (2)
025500         WHEN MMTCWS-LM-RESV-3-DECREASE-PROC
025600              SET WS-HAVE-DATA   TO TRUE
025700              ADD MMPA-AMT (16)  TO WS-TO-PROC (3)
025800         WHEN MMTCWS-LM-RESV-4-DECREASE-PROC
025900              SET WS-HAVE-DATA   TO TRUE
026000              ADD MMPA-AMT (16)  TO WS-TO-PROC (4)
026100         WHEN MMTCWS-LM-RESV-1-DECREASE-SETT
026200              SET WS-HAVE-DATA   TO TRUE
026300              ADD MMPA-AMT (16)  TO WS-TO-MERCH (1)
026400         WHEN MMTCWS-LM-RESV-2-DECREASE-SETT
026500              SET WS-HAVE-DATA   TO TRUE
026600              ADD MMPA-AMT (16)  TO WS-TO-MERCH (2)
026700         WHEN MMTCWS-LM-RESV-3-DECREASE-SETT
026800              SET WS-HAVE-DATA   TO TRUE
026900              ADD MMPA-AMT (16)  TO WS-TO-MERCH (3)
027000         WHEN MMTCWS-LM-RESV-4-DECREASE-SETT
027100              SET WS-HAVE-DATA   TO TRUE
027200              ADD MMPA-AMT (16)  TO WS-TO-MERCH (4)
027300     END-EVALUATE.
027400*
027500     GO TO B300-READ-LOOP.
027600*
027700 B600-MOVE-FIELDS-TO-SCREEN.
027800*
027900***********************************************
028000*    MOVE THE TOTAL FIELDS TO THE SCREN       *
028100***********************************************
028200*
028300     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
028400*
028500     PERFORM UNTIL X-WS-TOT IS GREATER THAN +4
028600         MOVE MMMM-RESV-FREQ  (X-MMMM-RESV)
028700                                 TO IM04-RESV-USED   (X-IM04-RD)
028800         MOVE MMMM-RESV-LEVEL (X-MMMM-RESV)
028900                                 TO IM04-LEVEL       (X-IM04-RD)
029000         MOVE MMMM-RESV-DESC  (X-MMMM-RESV)
029100                                 TO IM04-NAME        (X-IM04-RD)
029200         EVALUATE TRUE
029300           WHEN WS-NO-DATA
029400             MOVE ZEROS          TO SS95WS-IN-AMT
029500             PERFORM SS95PD-NAP-ROUTINE
029600                                 THRU SS95PD-NAP-EXIT
029700             MOVE SS95WS-OUT-AMT-L22
029800                                 TO IM04-FUNDED      (X-IM04-RD)
029900                                    IM04-TO-PROC     (X-IM04-RD)
030000                                    IM04-MANUAL-INCR (X-IM04-RD)
030100                                    IM04-TO-MERCH    (X-IM04-RD)
030200           WHEN OTHER
030300             MOVE WS-FUNDED       (X-WS-TOT)
030400                                 TO SS95WS-IN-AMT
030500             PERFORM SS95PD-NAP-ROUTINE
030600                                 THRU SS95PD-NAP-EXIT
030700             MOVE SS95WS-OUT-AMT-L22
030800                                 TO IM04-FUNDED      (X-IM04-RD)
030900             MOVE WS-TO-PROC      (X-WS-TOT)
031000                                 TO SS95WS-IN-AMT
031100             PERFORM SS95PD-NAP-ROUTINE
031200                                 THRU SS95PD-NAP-EXIT
031300             MOVE SS95WS-OUT-AMT-L22
031400                                 TO IM04-TO-PROC     (X-IM04-RD)
031500             MOVE WS-MANUAL       (X-WS-TOT)
031600                                 TO SS95WS-IN-AMT
031700             PERFORM SS95PD-NAP-ROUTINE
031800                                 THRU SS95PD-NAP-EXIT
031900             MOVE SS95WS-OUT-AMT-L22
032000                                 TO IM04-MANUAL-INCR (X-IM04-RD)
032100             MOVE WS-TO-MERCH     (X-WS-TOT)
032200                                 TO SS95WS-IN-AMT
032300             PERFORM SS95PD-NAP-ROUTINE
032400                                 THRU SS95PD-NAP-EXIT
032500             MOVE SS95WS-OUT-AMT-L22
032600                                 TO IM04-TO-MERCH    (X-IM04-RD)
032700         END-EVALUATE
032800         IF  X-WS-TOT IS EQUAL TO +1
032900             MOVE MMMM-BAL-RESV-1
033000                                 TO SS95WS-IN-AMT
033100         END-IF
033200         IF  X-WS-TOT IS EQUAL TO +2
033300             MOVE MMMM-BAL-RESV-2
033400                                 TO SS95WS-IN-AMT
033500         END-IF
033600         IF  X-WS-TOT IS EQUAL TO +3
033700             MOVE MMMM-BAL-RESV-3
033800                                 TO SS95WS-IN-AMT
033900         END-IF
034000         IF  X-WS-TOT IS EQUAL TO +4
034100             MOVE MMMM-BAL-RESV-4
034200                                 TO SS95WS-IN-AMT
034300         END-IF
034400         PERFORM SS95PD-NAP-ROUTINE
034500                                 THRU SS95PD-NAP-EXIT
034600         MOVE SS95WS-OUT-AMT-L22 TO IM04-BALANCE     (X-IM04-RD)
034700         SET X-WS-TOT            UP BY +1
034800         SET X-IM04-RD           UP BY +1
034900         SET X-MMMM-RESV         UP BY +1
035000     END-PERFORM.
035100*
035200 B700-END-BROWSE.
035300*
035400****************************************************************
035500*    END BROWSE THE PRODUCT STATISTICE FILE                    *
035600****************************************************************
035700*
035800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
035900     SET MBIORO-ENDBR            TO TRUE.
036000     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
036100*
036200**********************
036300*    SEND THE MAP    *
036400**********************
036500*
036600 B900-SEND-MAP.
036700*
036800     MOVE SS08WS-CURSOR          TO IM04-ALT-TRANID-L.
036900     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
037000*
037100     IF  WS-NO-DATA
037200         MOVE 'NO APPLICABLE STATISTICS FOR THIS MERCHANT'
037300                                 TO IM04-ERR-MESSAGE.
037400*
037500***********************************************************
037600*    SET THE CURRENCY CODE, CURRENCY NOD                  *
037700*            PER ITEM NOD, PERCENT NOD.                   *
037800***********************************************************
037900     IF IM04-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
038000        PERFORM MB06PD-FORMAT-MESSAGE-LINE
038100                                 THRU MB06PD-FML-EXIT
038200        MOVE SS08WS-FORMATTED-MSG TO IM04-ERR-MESSAGE
038300     END-IF.
038400*
038500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
038600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
038700                                 THRU MB60PD-SMWE-EXIT.
038800*
038900************************
039000*    RETURN TO CICS    *
039100************************
039200*
039300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
039400     PERFORM MB70PD-RETURN-TRANS-ID
039500                                 THRU MB70PD-RTI-EXIT.
039600/
039700 C000-RECEIVE-SCREEN SECTION.
039800*
039900******************************************
040000*    THIS SECTION RECEIVES THE SCREEN    *
040100******************************************
040200*
040300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
040400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
040500*
040600**************************************************************
040700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
040800**************************************************************
040900*
041000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
041100     PERFORM MB60PD-NEW-TRANS-ROUTINE
041200                                 THRU MB60PD-NTR-EXIT.
041300/
041400 F000-SETUP-COMMAREA SECTION.
041500*
041600***************************************************************
041700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
041800***************************************************************
041900*
042000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
042100*
042200     PERFORM MB60PD-EDIT-PAGE-NBR
042300                                 THRU MB60PD-EPN-EXIT.
042400*
042500     IF  SS08WS-VALID-PF-KEY
042600     OR  SS08WS-EIBAID-VALID-PF-KEY
042700         SET MBCA-INITIAL-SCREEN-NBR
042800                                 TO TRUE.
042900*
043000 F090-TRANSFER-XCTL.
043100*
043200     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
043300     PERFORM MB70PD-XCTL-TO-MBOXCTL
043400                                 THRU MB70PD-XTM-EXIT.
043500/
043600 Z000-COPIED-ROUTINES SECTION.
043700*
043800**********************************
043900*    JUL TO GREG DATE ROUTINE    *
044000**********************************
044100*
044200     COPY SS08PD.
044300/
044400     COPY SS26PD.
044500/
044600     COPY SS27PD.
044700/
044800**********************************
044900*    GREG TO JUL DATE ROUTINE    *
045000**********************************
045100*
045200     COPY SS07PD.
045300/
045400**********************************
045500*    DATE VALIDATION ROUTINE     *
045600**********************************
045700*
045800     COPY SS05PD.
045900/
046000*********************************
046100*    LINE 24 PF KEYS ROUTINE    *
046200*********************************
046300*
046400     COPY SS15PD.
046500/
046600************************************************
046700*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
046800************************************************
046900*
047000     COPY MMMMAO.
047100/
047200***************************************************
047300*    PRODUCT STATISTICS RECORD ACCESS ROUTINES    *
047400***************************************************
047500*
047600     COPY MMPAAO.
047700/
047800***************************************************
047900*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
048000***************************************************
048100*
048200     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
048300/
048400*****************************
048500*    ONLINE MAP ROUTINES    *
048600*****************************
048700*
048800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM04 '
048900                           MBMAPXXI BY MBIM04I
049000                           MBMAPXXO BY MBIM04O.
049100/
049200***********************************
049300*    FORMAT MESSAGE LINE BUILDER  *
049400**********************************
049500*
049600     COPY MB06PD.
049700/
049800***************************
049900*    ONLINE PROCEDURES    *
050000***************************
050100*
050200     COPY MB70PD.
050300/
050400     COPY SMFTPXO.
