000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM05.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM05 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 05                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM05 (SCREEN 05)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 A. MMPA (PRODUCT STATISTICS FILE)             *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200*
003300     03  WS-TOTALS.
003400         05  WS-TOTALS-X                     OCCURS 3 TIMES
003500                                             INDEXED BY
003600                                             X-WS-TOT.
003700             07  WS-DISCOUNT
003800                             PIC S9(17)      VALUE ZEROES COMP-3.
003900             07  WS-MBS-FEES
004000                             PIC S9(17)      VALUE ZEROES COMP-3.
004100             07  WS-REFUND
004200                             PIC S9(17)      VALUE ZEROES COMP-3.
004300             07  WS-USER-FEES
004400                             PIC S9(17)      VALUE ZEROES COMP-3.
004500             07  WS-PART-EARNED
004600                             PIC S9(17)      VALUE ZEROES COMP-3.
004700             07  WS-INTCHG-FEES
004800                             PIC S9(17)      VALUE ZEROES COMP-3.
004900             07  WS-PART-OWED
005000                             PIC S9(17)      VALUE ZEROES COMP-3.
005100*
005200 01  FILLER                  PIC  X(17)      VALUE
005300     'PROGRAM SWITCHES:'.
005400*
005500 01  WS-SWITCHES.
005600     05  WS-DATA-SW          PIC  X(01)      VALUE 'N'.
005700         88  WS-NO-DATA                      VALUE 'N'.
005800         88  WS-HAVE-DATA                    VALUE 'Y'.
005900*
006000/
006100 01  FILLER                  PIC  X(29)      VALUE
006200     'I/O REQUEST BLOCK WORK AREAS:'.
006300*
006400     COPY MBIOWS.
006500/
006600 01  FILLER                  PIC  X(18)      VALUE
006700     'I/O REQUEST BLOCK:'.
006800*
006900     COPY MBIORO.
007000/
007100 01  FILLER                  PIC  X(22)      VALUE
007200     'PROD STAT LOGIC MODULE'.
007300*
007400     COPY MMTCWS.
007500/
007600 01  FILLER                  PIC  X(20)      VALUE
007700     'CCS DATE WORK AREAS:'.
007800*
007900     COPY SS01WS.
008000/
008100 01  FILLER                  PIC  X(15)      VALUE
008200     'CCS WORK AREAS:'.
008300*
008400     COPY SS08WS.
008500/
008600     COPY SS00WS.
008700/
008800     COPY SMFTWS.
008900/
009000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009100/
009200     COPY MB61LK.
009300/
009400 01  FILLER                  PIC  X(28)      VALUE
009500     'DYNAMICALY CALLED SUBROUINES'.
009600*
009700     COPY MB00WS.
009800/
009900 01  FILLER                  PIC  X(36)      VALUE
010000     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
010100*
010200     COPY SS95WS.
010300*
010400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010500/
010600 LINKAGE SECTION.
010700*
010800 01  DFHCOMMAREA.
010900*
011000     COPY MB60WS.
011100/
011200*********************************
011300*    MERCHANT SUMMARY MAP       *
011400*********************************
011500*
011600     COPY MBIM05.
011700/
011800**********************************************
011900*    MERCHANT SUMMARY MAP REDEFINITION       *
012000**********************************************
012100*
012200     COPY MBIM05R.
012300/
012400******************************************
012500*    MERCHANT MASTER RECORD LAYOUT       *
012600******************************************
012700*
012800     COPY MMMMRL.
012900/
013000*********************************************
013100*    PRODUCT STATISTICS RECORD LAYOUT       *
013200*********************************************
013300*
013400     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
013500/
013600 PROCEDURE DIVISION.
013700*
013800 A000-HOUSEKEEPING SECTION.
013900*
014000 A020-INIT.
014100*
014200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014400                                 THRU MB70PD-OLH-EXIT.
014500*
014600     SET SS95WS-FUNCTION-INITIALIZE
014700                            TO TRUE.
014800     PERFORM SS95PD-NAP-ROUTINE
014900        THRU SS95PD-NAP-EXIT.
015000*
015100     IF  MBCA-RECEIVE-SCREEN
015200         GO TO C000-RECEIVE-SCREEN.
015300/
015400 B000-SEND-SCREEN SECTION.
015500*
015600*********************************************
015700*    GET CICS STORAGE NEEDED FOR THE MAP    *
015800*********************************************
015900*
016000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016100     PERFORM MB60PD-GETMAIN-FOR-MAP
016200                                 THRU MB60PD-GFM-EXIT.
016300*
016400*******************************************
016500*    INITIALIZE THE STANDARD MAP LINES    *
016600*******************************************
016700*
016800     PERFORM MB60PD-INIT-STD-MAP-LINES
016900                                 THRU MB60PD-ISML-EXIT.
017000*
017100**********************************************************
017200*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
017300*    DISPLAY.                                            *
017400**********************************************************
017500*
017600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
017700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
017800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017900     SET MBIORO-READ-RANDOM      TO TRUE.
018000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
018100*
018200****************************************************************
018300*    START BROWSE THE PRODUCT STATISTICE FILE                  *
018400****************************************************************
018500*
018600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
018700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
018800     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
018900     MOVE 8                      TO MBIOWS-MMPA-REC-TYPE.
019000     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
019100     MOVE ZERO                   TO MBIOWS-MMPA-LOGIC-MODULE.
019200     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
019300     SET MBIORO-STARTBR-GTE      TO TRUE.
019400     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
019500*
019600     IF SS08WS-RC-FC-ENDFILE
019700         GO TO B900-SEND-MAP.
019800*
019900 B300-READ-LOOP.
020000*
020100****************************************************************
020200*    READNEXT THE MERCHANT RELATIONSHIP FILE                   *
020300****************************************************************
020400*
020500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
020600     SET MBIORO-READ-SEQ         TO TRUE.
020700     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
020800*
020900     IF  MMPA-TRAILER
021000     OR  MMPA-ALIGN-KEY IS GREATER THAN MMMM-KEY
021100     OR  MMPA-REC-TYPE IS GREATER THAN 8
021200     OR  MMPA-PRODUCT  IS GREATER THAN ZEROS
021300         SET X-WS-TOT            TO +1
021400         SET X-IM05-RD           TO +1
021500         GO TO B600-MOVE-FIELDS-TO-SCREEN.
021600*
021700     IF  NOT MMPA-REC-ACTIVE
021800         GO TO B300-READ-LOOP.
021900*
022000     MOVE MMPA-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
022100*
022200****************************************************************
022300*    ACCUMULATE FIELD TOTALS                                   *
022400*    OCCURS:                                                   *
022500*          13 - TODAYS                                         *
022600*          15 - YEAR-TO-DATE                                   *
022700*          16 - CYCLE-TO-DATE                                  *
022800****************************************************************
022900*
023000     EVALUATE TRUE
023100         WHEN MMTCWS-LM-DISCOUNT
023200              SET WS-HAVE-DATA   TO TRUE
023300              ADD MMPA-AMT (13)  TO WS-DISCOUNT (1)
023400              ADD MMPA-AMT (15)  TO WS-DISCOUNT (3)
023500              ADD MMPA-AMT (16)  TO WS-DISCOUNT (2)
023600         WHEN MMTCWS-LM-SYSTEM-FEES-DR
023700              SET WS-HAVE-DATA   TO TRUE
023800              ADD MMPA-AMT (13)  TO WS-MBS-FEES (1)
023900              ADD MMPA-AMT (15)  TO WS-MBS-FEES (3)
024000              ADD MMPA-AMT (16)  TO WS-MBS-FEES (2)
024100         WHEN MMTCWS-LM-SYSTEM-FEES-CR
024200              SET WS-HAVE-DATA   TO TRUE
024300              SUBTRACT MMPA-AMT (13)
024400                                 FROM WS-MBS-FEES (1)
024500              SUBTRACT MMPA-AMT (15)
024600                                 FROM WS-MBS-FEES (3)
024700              SUBTRACT MMPA-AMT (16)
024800                                 FROM WS-MBS-FEES (2)
024900         WHEN MMTCWS-LM-REFUND
025000              SET WS-HAVE-DATA   TO TRUE
025100              ADD MMPA-AMT (13)  TO WS-REFUND (1)
025200              ADD MMPA-AMT (15)  TO WS-REFUND (3)
025300              ADD MMPA-AMT (16)  TO WS-REFUND (2)
025400         WHEN MMTCWS-LM-USER-FEES-DR
025500              SET WS-HAVE-DATA   TO TRUE
025600              ADD MMPA-AMT (13)  TO WS-USER-FEES (1)
025700              ADD MMPA-AMT (15)  TO WS-USER-FEES (3)
025800              ADD MMPA-AMT (16)  TO WS-USER-FEES (2)
025900         WHEN MMTCWS-LM-USER-FEES-CR
026000              SET WS-HAVE-DATA   TO TRUE
026100              SUBTRACT MMPA-AMT (13)
026200                                 FROM WS-USER-FEES (1)
026300              SUBTRACT MMPA-AMT (15)
026400                                 FROM WS-USER-FEES (3)
026500              SUBTRACT MMPA-AMT (16)
026600                                 FROM WS-USER-FEES (2)
026700         WHEN MMTCWS-LM-PART-CR
026800              SET WS-HAVE-DATA   TO TRUE
026900              ADD MMPA-AMT (13)  TO WS-PART-EARNED (1)
027000              ADD MMPA-AMT (15)  TO WS-PART-EARNED (3)
027100              ADD MMPA-AMT (16)  TO WS-PART-EARNED (2)
027200         WHEN MMTCWS-LM-INTCHG-FEES-DR
027300              SET WS-HAVE-DATA   TO TRUE
027400              ADD MMPA-AMT (13)  TO WS-INTCHG-FEES (1)
027500              ADD MMPA-AMT (15)  TO WS-INTCHG-FEES (3)
027600              ADD MMPA-AMT (16)  TO WS-INTCHG-FEES (2)
027700         WHEN MMTCWS-LM-INTCHG-FEES-CR
027800              SET WS-HAVE-DATA   TO TRUE
027900              SUBTRACT MMPA-AMT (13)
028000                                 FROM WS-INTCHG-FEES (1)
028100              SUBTRACT MMPA-AMT (15)
028200                                 FROM WS-INTCHG-FEES (3)
028300              SUBTRACT MMPA-AMT (16)
028400                                 FROM WS-INTCHG-FEES (2)
028500         WHEN MMTCWS-LM-PART-DR
028600              SET WS-HAVE-DATA   TO TRUE
028700              ADD MMPA-AMT (13)  TO WS-PART-OWED (1)
028800              ADD MMPA-AMT (15)  TO WS-PART-OWED (3)
028900              ADD MMPA-AMT (16)  TO WS-PART-OWED (2)
029000     END-EVALUATE.
029100*
029200     GO TO B300-READ-LOOP.
029300*
029400 B600-MOVE-FIELDS-TO-SCREEN.
029500*
029600***********************************************
029700*    MOVE THE TOTAL FIELDS TO THE SCREN       *
029800***********************************************
029900*
030000     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
030100     MOVE MMMM-ORG               TO IM05-ORG.
030200     MOVE MMMM-MERCHANT          TO IM05-MERCHANT.
030300     MOVE MBCA-MBIM-MERCHANT-NAME
030400                                 TO IM05-MERCH-NME.
030500*
030600     PERFORM UNTIL X-WS-TOT IS GREATER THAN +3
030700         EVALUATE TRUE
030800           WHEN WS-NO-DATA
030900             MOVE ZEROS          TO SS95WS-IN-AMT
031000             PERFORM SS95PD-NAP-ROUTINE
031100                                 THRU SS95PD-NAP-EXIT
031200             MOVE SS95WS-OUT-AMT-L22
031300                                 TO IM05-DISC        (X-IM05-RD)
031400                                    IM05-MBS-FEE     (X-IM05-RD)
031500                                    IM05-REFUND      (X-IM05-RD)
031600                                    IM05-USER-FEE    (X-IM05-RD)
031700                                    IM05-PART-EARN   (X-IM05-RD)
031800                                    IM05-INTCHG      (X-IM05-RD)
031900                                    IM05-PART-OWED   (X-IM05-RD)
032000                                    IM05-FEE-REVNU   (X-IM05-RD)
032100                                    IM05-TOTAL       (X-IM05-RD)
032200           WHEN OTHER
032300             MOVE WS-DISCOUNT    (X-WS-TOT)
032400                                 TO SS95WS-IN-AMT
032500             PERFORM SS95PD-NAP-ROUTINE
032600                                 THRU SS95PD-NAP-EXIT
032700             MOVE SS95WS-OUT-AMT-L22
032800                                 TO IM05-DISC        (X-IM05-RD)
032900             MOVE WS-MBS-FEES    (X-WS-TOT)
033000                                 TO SS95WS-IN-AMT
033100             PERFORM SS95PD-NAP-ROUTINE
033200                                 THRU SS95PD-NAP-EXIT
033300             MOVE SS95WS-OUT-AMT-L22
033400                                 TO IM05-MBS-FEE     (X-IM05-RD)
033500             MOVE WS-REFUND      (X-WS-TOT)
033600                                 TO SS95WS-IN-AMT
033700             PERFORM SS95PD-NAP-ROUTINE
033800                                 THRU SS95PD-NAP-EXIT
033900             MOVE SS95WS-OUT-AMT-L22
034000                                 TO IM05-REFUND      (X-IM05-RD)
034100             MOVE WS-USER-FEES   (X-WS-TOT)
034200                                 TO SS95WS-IN-AMT
034300             PERFORM SS95PD-NAP-ROUTINE
034400                                 THRU SS95PD-NAP-EXIT
034500             MOVE SS95WS-OUT-AMT-L22
034600                                 TO IM05-USER-FEE    (X-IM05-RD)
034700             MOVE WS-PART-EARNED (X-WS-TOT)
034800                                 TO SS95WS-IN-AMT
034900             PERFORM SS95PD-NAP-ROUTINE
035000                                 THRU SS95PD-NAP-EXIT
035100             MOVE SS95WS-OUT-AMT-L22
035200                                 TO IM05-PART-EARN   (X-IM05-RD)
035300             MOVE WS-INTCHG-FEES (X-WS-TOT)
035400                                 TO SS95WS-IN-AMT
035500             PERFORM SS95PD-NAP-ROUTINE
035600                                 THRU SS95PD-NAP-EXIT
035700             MOVE SS95WS-OUT-AMT-L22
035800                                 TO IM05-INTCHG      (X-IM05-RD)
035900             MOVE WS-PART-OWED   (X-WS-TOT)
036000                                 TO SS95WS-IN-AMT
036100             PERFORM SS95PD-NAP-ROUTINE
036200                                 THRU SS95PD-NAP-EXIT
036300             MOVE SS95WS-OUT-AMT-L22
036400                                 TO IM05-PART-OWED   (X-IM05-RD)
036500             COMPUTE SS95WS-IN-AMT = WS-MBS-FEES     (X-WS-TOT)
036600                                   + WS-USER-FEES    (X-WS-TOT)
036700                                   + WS-INTCHG-FEES  (X-WS-TOT)
036800             PERFORM SS95PD-NAP-ROUTINE
036900                                 THRU SS95PD-NAP-EXIT
037000             MOVE SS95WS-OUT-AMT-L22
037100                                 TO IM05-FEE-REVNU   (X-IM05-RD)
037200             COMPUTE SS95WS-IN-AMT   = SS95WS-IN-AMT
037300                                 + WS-DISCOUNT       (X-WS-TOT)
037400             PERFORM SS95PD-NAP-ROUTINE
037500                                 THRU SS95PD-NAP-EXIT
037600             MOVE SS95WS-OUT-AMT-L22
037700                                 TO IM05-TOTAL       (X-IM05-RD)
037800         END-EVALUATE
037900         SET X-WS-TOT            UP BY +1
038000         SET X-IM05-RD           UP BY +1
038100     END-PERFORM.
038200*
038300 B700-END-BROWSE.
038400*
038500****************************************************************
038600*    END BROWSE THE PRODUCT STATISTICE FILE                    *
038700****************************************************************
038800*
038900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
039000     SET MBIORO-ENDBR            TO TRUE.
039100     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
039200*
039300**********************
039400*    SEND THE MAP    *
039500**********************
039600*
039700 B900-SEND-MAP.
039800*
039900     MOVE SS08WS-CURSOR          TO IM05-ALT-TRANID-L.
040000     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
040100*
040200     IF  WS-NO-DATA
040300         MOVE 'NO APPLICABLE STATISTICS FOR THIS MERCHANT'
040400                                 TO IM05-ERR-MESSAGE.
040500*
040600***********************************************************
040700*    SET THE CURRENCY CODE, CURRENCY NOD                  *
040800*            PER ITEM NOD, PERCENT NOD.                   *
040900***********************************************************
041000     IF IM05-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
041100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
041200                                 THRU MB06PD-FML-EXIT
041300        MOVE SS08WS-FORMATTED-MSG   TO IM05-ERR-MESSAGE
041400     END-IF.
041500*
041600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
041700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
041800                                 THRU MB60PD-SMWE-EXIT.
041900*
042000************************
042100*    RETURN TO CICS    *
042200************************
042300*
042400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
042500     PERFORM MB70PD-RETURN-TRANS-ID
042600                                 THRU MB70PD-RTI-EXIT.
042700/
042800 C000-RECEIVE-SCREEN SECTION.
042900*
043000******************************************
043100*    THIS SECTION RECEIVES THE SCREEN    *
043200******************************************
043300*
043400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
043500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
043600*
043700**************************************************************
043800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
043900**************************************************************
044000*
044100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
044200     PERFORM MB60PD-NEW-TRANS-ROUTINE
044300                                 THRU MB60PD-NTR-EXIT.
044400/
044500 F000-SETUP-COMMAREA SECTION.
044600*
044700***************************************************************
044800*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
044900***************************************************************
045000*
045100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045200*
045300     PERFORM MB60PD-EDIT-PAGE-NBR
045400                                 THRU MB60PD-EPN-EXIT.
045500*
045600     IF  SS08WS-VALID-PF-KEY
045700     OR  SS08WS-EIBAID-VALID-PF-KEY
045800         SET MBCA-INITIAL-SCREEN-NBR
045900                                 TO TRUE.
046000*
046100 F090-TRANSFER-XCTL.
046200*
046300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
046400     PERFORM MB70PD-XCTL-TO-MBOXCTL
046500                                 THRU MB70PD-XTM-EXIT.
046600/
046700 Z000-COPIED-ROUTINES SECTION.
046800*
046900**********************************
047000*    JUL TO GREG DATE ROUTINE    *
047100**********************************
047200*
047300     COPY SS08PD.
047400/
047500     COPY SS26PD.
047600/
047700     COPY SS27PD.
047800/
047900**********************************
048000*    GREG TO JUL DATE ROUTINE    *
048100**********************************
048200*
048300     COPY SS07PD.
048400/
048500**********************************
048600*    DATE VALIDATION ROUTINE     *
048700**********************************
048800*
048900     COPY SS05PD.
049000/
049100*********************************
049200*    LINE 24 PF KEYS ROUTINE    *
049300*********************************
049400*
049500     COPY SS15PD.
049600/
049700************************************************
049800*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
049900************************************************
050000*
050100     COPY MMMMAO.
050200/
050300***************************************************
050400*    PRODUCT STATISTICS RECORD ACCESS ROUTINES    *
050500***************************************************
050600*
050700     COPY MMPAAO.
050800/
050900***************************************************
051000*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
051100***************************************************
051200*
051300     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
051400/
051500*****************************
051600*    ONLINE MAP ROUTINES    *
051700*****************************
051800*
051900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM05 '
052000                           MBMAPXXI BY MBIM05I
052100                           MBMAPXXO BY MBIM05O.
052200/
052300***********************************
052400*    FORMAT MESSAGE LINE BUILDER  *
052500***********************************
052600*
052700     COPY MB06PD.
052800/
052900***************************
053000*    ONLINE PROCEDURES    *
053100***************************
053200*
053300     COPY MB70PD.
053400/
053500     COPY SMFTPXO.
