000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM09 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 09                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM09 (SCREEN 09)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 A. MMPA (PRODUCT STATISTICS FILE)             *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200*
003300     03  WS-STATISTICS.
003400         05  WS-LOGIC-MODULE-LEVEL           OCCURS 4 TIMES
003500                                             INDEXED BY
003600                                             X-WS-LM.
003700             07  WS-STATS-TABLE              OCCURS 18 TIMES
003800                                             INDEXED BY
003900                                             X-WS-STATS.
004000                 09  WS-STATS-NBR
004100                             PIC S9(09)      COMP-3 VALUE ZERO.
004200                 09  WS-STATS-AMT
004300                             PIC S9(17)      COMP-3 VALUE ZERO.
004400 01  WS-TOTALS.
004500     05  WS-TOTAL-SALES-NBR  PIC S9(09)      VALUE ZEROS COMP-3.
004600     05  WS-TOTAL-SALES-AMT  PIC S9(17)      VALUE ZEROS COMP-3.
004700     05  WS-TOTAL-RETURNS-NBR
004800                             PIC S9(09)      VALUE ZEROS COMP-3.
004900     05  WS-TOTAL-RETURNS-AMT
005000                             PIC S9(17)      VALUE ZEROS COMP-3.
005100*
005200/
005300     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMPA==.
005400/
005500 01  FILLER                  PIC  X(29)      VALUE
005600     'I/O REQUEST BLOCK WORK AREAS:'.
005700*
005800     COPY MBIOWS.
005900/
006000 01  FILLER                  PIC  X(18)      VALUE
006100     'I/O REQUEST BLOCK:'.
006200*
006300     COPY MBIORO.
006400/
006500 01  FILLER                  PIC  X(32)      VALUE
006600     'MERCHANT MASTER WORKING STORAGE:'.
006700*
006800     COPY MMMMWS.
006900/
007000 01  FILLER                  PIC  X(32)      VALUE
007100     'MERCHANT MASTER INITIALIZE REC :'.
007200*
007300     COPY MMMMIR.
007400/
007500 01  FILLER                  PIC  X(22)      VALUE
007600     'PROD STAT LOGIC MODULE'.
007700*
007800     COPY MMTCWS.
007900/
008000 01  FILLER                  PIC  X(20)      VALUE
008100     'CCS DATE WORK AREAS:'.
008200*
008300     COPY SS01WS.
008400/
008500 01  FILLER                  PIC  X(15)      VALUE
008600     'CCS WORK AREAS:'.
008700*
008800     COPY SS08WS.
008900/
009000     COPY SS00WS.
009100/
009200     COPY SMFTWS.
009300/
009400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009500/
009600     COPY MB61LK.
009700/
009800 01  FILLER                  PIC  X(28)      VALUE
009900     'DYNAMICALY CALLED SUBROUINES'.
010000*
010100     COPY MB00WS.
010200/
010300 01  FILLER                  PIC  X(36)      VALUE
010400     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
010500*
010600     COPY SS95WS.
010700*
010800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010900/
011000 LINKAGE SECTION.
011100*
011200 01  DFHCOMMAREA.
011300*
011400     COPY MB60WS.
011500/
011600*********************************
011700*    MERCHANT SUMMARY MAP       *
011800*********************************
011900*
012000     COPY MBIM09.
012100/
012200**********************************************
012300*    MERCHANT SUMMARY MAP REDEFINITION       *
012400**********************************************
012500*
012600     COPY MBIM09R.
012700/
012800******************************************
012900*    MERCHANT MASTER RECORD LAYOUT       *
013000******************************************
013100*
013200     COPY MMMMRL.
013300/
013400*********************************************
013500*    PRODUCT STATISTICS RECORD LAYOUT       *
013600*********************************************
013700*
013800     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
013900/
014000 PROCEDURE DIVISION.
014100*
014200 A000-HOUSEKEEPING SECTION.
014300*
014400 A020-INIT.
014500*
014600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014800                                 THRU MB70PD-OLH-EXIT.
014900*
015000     SET SS95WS-FUNCTION-INITIALIZE
015100                            TO TRUE.
015200     PERFORM SS95PD-NAP-ROUTINE
015300        THRU SS95PD-NAP-EXIT.
015400*
015500     IF  MBCA-RECEIVE-SCREEN
015600         GO TO C000-RECEIVE-SCREEN.
015700/
015800 B000-SEND-SCREEN SECTION.
015900*
016000*********************************************
016100*    GET CICS STORAGE NEEDED FOR THE MAP    *
016200*********************************************
016300*
016400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016500     PERFORM MB60PD-GETMAIN-FOR-MAP
016600                                 THRU MB60PD-GFM-EXIT.
016700*
016800*******************************************
016900*    INITIALIZE THE STANDARD MAP LINES    *
017000*******************************************
017100*
017200     PERFORM MB60PD-INIT-STD-MAP-LINES
017300                                 THRU MB60PD-ISML-EXIT.
017400*
017500**********************************************************
017600*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
017700*    DISPLAY.                                            *
017800**********************************************************
017900*
018000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
018100     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
018200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018300     SET MBIORO-READ-RANDOM      TO TRUE.
018400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
018500*
018600**********************************************************
018700*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
018800*    THE SALES TOTAL RECORD.                             *
018900**********************************************************
019000*
019100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
019200     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
019300     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
019400     SET MBIOWS-MMPA-TOTALS      TO TRUE.
019500     SET MMTCWS-LM-SALE          TO TRUE.
019600     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
019700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
019800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
019900     SET MBIORO-READ-RANDOM      TO TRUE.
020000     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
020100*
020200     IF  SS08WS-RC-FC-NOTFND
020300         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (1)
020400     ELSE
020500         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (1).
020600*
020700*
020800**********************************************************
020900*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
021000*    THE SALE REVERSALS TOTAL RECORD.                    *
021100**********************************************************
021200*
021300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
021400     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
021500     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
021600     SET MBIOWS-MMPA-TOTALS      TO TRUE.
021700     SET MMTCWS-LM-SALE-REV      TO TRUE.
021800     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
021900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
022000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022100     SET MBIORO-READ-RANDOM      TO TRUE.
022200     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
022300*
022400     IF  SS08WS-RC-FC-NOTFND
022500         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (2)
022600     ELSE
022700         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (2).
022800*
022900**********************************************************
023000*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
023100*    THE RETURNS TOTALS RECORD.                          *
023200**********************************************************
023300*
023400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
023500     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
023600     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
023700     SET MBIOWS-MMPA-TOTALS      TO TRUE.
023800     SET MMTCWS-LM-RETURN        TO TRUE.
023900     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
024000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
024100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
024200     SET MBIORO-READ-RANDOM      TO TRUE.
024300     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
024400*
024500     IF  SS08WS-RC-FC-NOTFND
024600         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (3)
024700     ELSE
024800         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (3).
024900*
025000**********************************************************
025100*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
025200*    THE RETURN REVERSALS TOTAL RECORD.                  *
025300**********************************************************
025400*
025500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
025600     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
025700     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
025800     SET MBIOWS-MMPA-TOTALS      TO TRUE.
025900     SET MMTCWS-LM-RETURN-REV    TO TRUE.
026000     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
026100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
026500*
026600     IF  SS08WS-RC-FC-NOTFND
026700         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (4)
026800     ELSE
026900         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (4).
027000*
027100*
027200     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
027300     MOVE MMMM-ORG               TO IM09-ORG.
027400     MOVE MMMM-MERCHANT          TO IM09-MERCHANT.
027500     MOVE MMMM-NA-LINE (1 1)     TO IM09-MERCHANT-NAME.
027600*
027700****************************************************************
027800*    ACCUMULATE SALES AND RETURNS                              *
027900****************************************************************R
028000*
028100***  CURRENT SALES ***
028200*
028300     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 13)
028400                                 +  WS-STATS-NBR (2 13).
028500     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 13)
028600                                 -  WS-STATS-AMT (2 13).
028700     PERFORM SS95PD-NAP-ROUTINE
028800                                 THRU SS95PD-NAP-EXIT.
028900     MOVE SS95WS-OUT-NBR-L09     TO IM09-YEST-SALES-NBR.
029000     MOVE SS95WS-OUT-AMT-L20     TO IM09-YEST-SALES-AMT.
029100*
029200***  CURRENT RETURNS ***
029300*
029400     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 13)
029500                                 +  WS-STATS-NBR (4 13).
029600     COMPUTE SS95WS-IN-AMT       =  0.00
029700                                 -  WS-STATS-AMT (3 13)
029800                                 +  WS-STATS-AMT (4 13).
029900     PERFORM SS95PD-NAP-ROUTINE
030000                                 THRU SS95PD-NAP-EXIT.
030100     MOVE SS95WS-OUT-NBR-L09     TO IM09-YEST-RETURN-NBR.
030200     MOVE SS95WS-OUT-AMT-L20     TO IM09-YEST-RETURN-AMT.
030300*
030400***  CYCLE TO DATE SALES ***
030500*
030600     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 16)
030700                                 +  WS-STATS-NBR (2 16).
030800     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 16)
030900                                 -  WS-STATS-AMT (2 16).
031000     PERFORM SS95PD-NAP-ROUTINE
031100                                 THRU SS95PD-NAP-EXIT.
031200     MOVE SS95WS-OUT-NBR-L09     TO IM09-CTD-SALES-NBR.
031300     MOVE SS95WS-OUT-AMT-L20     TO IM09-CTD-SALES-AMT.
031400*
031500***  CYCLE TO DATE RETURNS ***
031600*
031700     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 16)
031800                                 +  WS-STATS-NBR (4 16).
031900     COMPUTE SS95WS-IN-AMT       =  0.00
032000                                 -  WS-STATS-AMT (3 16)
032100                                 +  WS-STATS-AMT (4 16).
032200     PERFORM SS95PD-NAP-ROUTINE
032300                                 THRU SS95PD-NAP-EXIT.
032400     MOVE SS95WS-OUT-NBR-L09     TO IM09-CTD-RETURN-NBR.
032500     MOVE SS95WS-OUT-AMT-L20     TO IM09-CTD-RETURN-AMT.
032600*
032700***  MONTH TO DATE SALES ***
032800*
032900     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 14)
033000                                 +  WS-STATS-NBR (2 14).
033100     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 14)
033200                                 -  WS-STATS-AMT (2 14).
033300     PERFORM SS95PD-NAP-ROUTINE
033400                                 THRU SS95PD-NAP-EXIT.
033500     MOVE SS95WS-OUT-NBR-L09     TO IM09-MTD-SALES-NBR.
033600     MOVE SS95WS-OUT-AMT-L20     TO IM09-MTD-SALES-AMT.
033700*
033800***  MONTH TO DATE RETURNS ***
033900*
034000     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 14)
034100                                 +  WS-STATS-NBR (4 14).
034200     COMPUTE SS95WS-IN-AMT       =  0.00
034300                                 -  WS-STATS-AMT (3 14)
034400                                 +  WS-STATS-AMT (4 14).
034500     PERFORM SS95PD-NAP-ROUTINE
034600                                 THRU SS95PD-NAP-EXIT.
034700     MOVE SS95WS-OUT-NBR-L09     TO IM09-MTD-RETURN-NBR.
034800     MOVE SS95WS-OUT-AMT-L20     TO IM09-MTD-RETURN-AMT.
034900*
035000***  YEAR TO DATE SALES ***
035100*
035200     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 15)
035300                                 +  WS-STATS-NBR (2 15).
035400     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 15)
035500                                 -  WS-STATS-AMT (2 15).
035600     PERFORM SS95PD-NAP-ROUTINE
035700                                 THRU SS95PD-NAP-EXIT.
035800     MOVE SS95WS-OUT-NBR-L09     TO IM09-YTD-SALES-NBR.
035900     MOVE SS95WS-OUT-AMT-L20     TO IM09-YTD-SALES-AMT.
036000*
036100***  YEAR TO DATE RETURNS ***
036200*
036300     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (3 15)
036400                                 +  WS-STATS-NBR (4 15).
036500     COMPUTE SS95WS-IN-AMT       =  0.00
036600                                 -  WS-STATS-AMT (3 15)
036700                                 +  WS-STATS-AMT (4 15).
036800     PERFORM SS95PD-NAP-ROUTINE
036900                                 THRU SS95PD-NAP-EXIT.
037000     MOVE SS95WS-OUT-NBR-L09     TO IM09-YTD-RETURN-NBR.
037100     MOVE SS95WS-OUT-AMT-L20     TO IM09-YTD-RETURN-AMT.
037200*
037300*** CALCULATE FOR MONTHS 1-12
037400*
037500     PERFORM
037600         VARYING X-IM09-MONTH FROM 1 BY 1
037700         UNTIL X-IM09-MONTH IS GREATER THAN 12
037800         EVALUATE TRUE
037900             WHEN X-IM09-MONTH IS EQUAL TO 1
038000                 MOVE 'JAN'     TO MMMMWS-OID-SEARCH
038100             WHEN X-IM09-MONTH IS EQUAL TO 2
038200                 MOVE 'FEB'     TO MMMMWS-OID-SEARCH
038300             WHEN X-IM09-MONTH IS EQUAL TO 3
038400                 MOVE 'MAR'     TO MMMMWS-OID-SEARCH
038500             WHEN X-IM09-MONTH IS EQUAL TO 4
038600                 MOVE 'APR'     TO MMMMWS-OID-SEARCH
038700             WHEN X-IM09-MONTH IS EQUAL TO 5
038800                 MOVE 'MAY'     TO MMMMWS-OID-SEARCH
038900             WHEN X-IM09-MONTH IS EQUAL TO 6
039000                 MOVE 'JUN'     TO MMMMWS-OID-SEARCH
039100             WHEN X-IM09-MONTH IS EQUAL TO 7
039200                 MOVE 'JUL'     TO MMMMWS-OID-SEARCH
039300             WHEN X-IM09-MONTH IS EQUAL TO 8
039400                 MOVE 'AUG'     TO MMMMWS-OID-SEARCH
039500             WHEN X-IM09-MONTH IS EQUAL TO 9
039600                 MOVE 'SEP'     TO MMMMWS-OID-SEARCH
039700             WHEN X-IM09-MONTH IS EQUAL TO 10
039800                 MOVE 'OCT'     TO MMMMWS-OID-SEARCH
039900             WHEN X-IM09-MONTH IS EQUAL TO 11
040000                 MOVE 'NOV'     TO MMMMWS-OID-SEARCH
040100             WHEN X-IM09-MONTH IS EQUAL TO 12
040200                 MOVE 'DEC'     TO MMMMWS-OID-SEARCH
040300         END-EVALUATE
040400         PERFORM MMMMPX-FIND-OCCURRENCE
040500                                 THRU MMMMPX-FO-EXIT
040600         IF  MMMMWS-OID-INDEX IS EQUAL TO ZERO
040700             MOVE 1              TO MMMMWS-OID-INDEX
040800         END-IF
040900         SET X-WS-STATS          TO MMMMWS-OID-INDEX
041000         SET X-MMMM              TO MMMMWS-OID-INDEX
041100         MOVE MMMM-OCCURRENCE-YEAR (X-MMMM)
041200                                 TO IM09-MONTH-YEAR (X-IM09-MONTH)
041300*
041400         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (1 X-WS-STATS)
041500                                 +  WS-STATS-NBR (2 X-WS-STATS)
041600         COMPUTE SS95WS-IN-AMT   =  WS-STATS-AMT (1 X-WS-STATS)
041700                                 -  WS-STATS-AMT (2 X-WS-STATS)
041800         ADD SS95WS-IN-NBR       TO WS-TOTAL-SALES-NBR
041900         ADD SS95WS-IN-AMT       TO WS-TOTAL-SALES-AMT
042000         PERFORM SS95PD-NAP-ROUTINE
042100                                 THRU SS95PD-NAP-EXIT
042200         MOVE SS95WS-OUT-NBR-L09 TO IM09-MONTH-SALES-NBR
042300                                    (X-IM09-MONTH)
042400         MOVE SS95WS-OUT-AMT-L20 TO IM09-MONTH-SALES-AMT
042500                                    (X-IM09-MONTH)
042600*
042700*** RETURNS ***
042800*
042900         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (3 X-WS-STATS)
043000                                 +  WS-STATS-NBR (4 X-WS-STATS)
043100         COMPUTE SS95WS-IN-AMT   =  0.00
043200                                 -  WS-STATS-AMT (3 X-WS-STATS)
043300                                 +  WS-STATS-AMT (4 X-WS-STATS)
043400         ADD SS95WS-IN-NBR       TO WS-TOTAL-RETURNS-NBR
043500         ADD SS95WS-IN-AMT       TO WS-TOTAL-RETURNS-AMT
043600         PERFORM SS95PD-NAP-ROUTINE
043700                                 THRU SS95PD-NAP-EXIT
043800         MOVE SS95WS-OUT-NBR-L09 TO IM09-MONTH-RETURN-NBR
043900                                    (X-IM09-MONTH)
044000         MOVE SS95WS-OUT-AMT-L20 TO IM09-MONTH-RETURN-AMT
044100                                    (X-IM09-MONTH)
044200     END-PERFORM.
044300*
044400***  ROLLING SALES TOTALS ***
044500*
044600     MOVE WS-TOTAL-SALES-NBR     TO SS95WS-IN-NBR.
044700     MOVE WS-TOTAL-SALES-AMT     TO SS95WS-IN-AMT.
044800     PERFORM SS95PD-NAP-ROUTINE
044900                                 THRU SS95PD-NAP-EXIT.
045000     MOVE SS95WS-OUT-NBR-L09     TO IM09-ROLLING-SALES-NBR.
045100     MOVE SS95WS-OUT-AMT-L20     TO IM09-ROLLING-SALES-AMT.
045200*
045300***  ROLLING RETURNS TOTALS ***
045400*
045500     MOVE WS-TOTAL-RETURNS-NBR   TO SS95WS-IN-NBR.
045600     MOVE WS-TOTAL-RETURNS-AMT   TO SS95WS-IN-AMT.
045700     PERFORM SS95PD-NAP-ROUTINE
045800                                 THRU SS95PD-NAP-EXIT.
045900     MOVE SS95WS-OUT-NBR-L09     TO IM09-ROLLING-RETURN-NBR.
046000     MOVE SS95WS-OUT-AMT-L20     TO IM09-ROLLING-RETURN-AMT.
046100*
046200***********************************************************
046300*    SET THE CURRENCY CODE, CURRENCY NOD                  *
046400*            PER ITEM NOD, PERCENT NOD.                   *
046500***********************************************************
046600     IF IM09-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
046700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
046800                                 THRU MB06PD-FML-EXIT
046900        MOVE SS08WS-FORMATTED-MSG   TO IM09-ERR-MESSAGE
047000     END-IF.
047100*
047200**********************
047300*    SEND THE MAP    *
047400**********************
047500*
047600 B900-SEND-MAP.
047700*
047800     MOVE SS08WS-CURSOR          TO IM09-ALT-TRANID-L.
047900     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
048000*
048100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
048200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
048300                                 THRU MB60PD-SMWE-EXIT.
048400*
048500************************
048600*    RETURN TO CICS    *
048700************************
048800*
048900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
049000     PERFORM MB70PD-RETURN-TRANS-ID
049100                                 THRU MB70PD-RTI-EXIT.
049200/
049300 C000-RECEIVE-SCREEN SECTION.
049400*
049500******************************************
049600*    THIS SECTION RECEIVES THE SCREEN    *
049700******************************************
049800*
049900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
050000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
050100*
050200**************************************************************
050300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
050400**************************************************************
050500*
050600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
050700     PERFORM MB60PD-NEW-TRANS-ROUTINE
050800                                 THRU MB60PD-NTR-EXIT.
050900/
051000 F000-SETUP-COMMAREA SECTION.
051100*
051200***************************************************************
051300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
051400***************************************************************
051500*
051600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
051700*
051800     PERFORM MB60PD-EDIT-PAGE-NBR
051900                                 THRU MB60PD-EPN-EXIT.
052000*
052100     IF  SS08WS-VALID-PF-KEY
052200     OR  SS08WS-EIBAID-VALID-PF-KEY
052300         SET MBCA-INITIAL-SCREEN-NBR
052400                                 TO TRUE.
052500*
052600 F090-TRANSFER-XCTL.
052700*
052800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
052900     PERFORM MB70PD-XCTL-TO-MBOXCTL
053000                                 THRU MB70PD-XTM-EXIT.
053100/
053200 Z000-COPIED-ROUTINES SECTION.
053300*
053400*
053500**********************************
053600*    JUL TO GREG DATE ROUTINE    *
053700**********************************
053800*
053900     COPY SS08PD.
054000/
054100     COPY SS26PD.
054200/
054300     COPY SS27PD.
054400/
054500**********************************
054600*    GREG TO JUL DATE ROUTINE    *
054700**********************************
054800*
054900     COPY SS07PD.
055000/
055100**********************************
055200*    DATE VALIDATION ROUTINE     *
055300**********************************
055400*
055500     COPY SS05PD.
055600/
055700*********************************
055800*    LINE 24 PF KEYS ROUTINE    *
055900*********************************
056000*
056100     COPY SS15PD.
056200/
056300************************************************
056400*    MERCHANT MASTER STATS OCCURANCE DEFINES   *
056500************************************************
056600*
056700     COPY MMMMPX.
056800/
056900************************************************
057000*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
057100************************************************
057200*
057300     COPY MMMMAO.
057400/
057500***************************************************
057600*    PRODUCT STATISTICS RECORD ACCESS ROUTINES    *
057700***************************************************
057800*
057900     COPY MMPAAO.
058000/
058100***************************************************
058200*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
058300***************************************************
058400*
058500     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
058600/
058700*****************************
058800*    ONLINE MAP ROUTINES    *
058900*****************************
059000*
059100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM09 '
059200                           MBMAPXXI BY MBIM09I
059300                           MBMAPXXO BY MBIM09O.
059400/
059500***********************************
059600*    FORMAT MESSAGE LINE BUILDER  *
059700***********************************
059800*
059900     COPY MB06PD.
060000/
060100***************************
060200*    ONLINE PROCEDURES    *
060300***************************
060400*
060500     COPY MB70PD.
060600/
060700     COPY SMFTPXO.
