000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIM10.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIM10 - MERCHANT SUMMARY INQUIRY                       *
000800*                SCREEN 10                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIM10 (SCREEN 10)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER FILE)                *
001600*                 A. MMPA (PRODUCT STATISTICS FILE)             *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISCELLANEOUS.
003200*
003300     03  WS-STATISTICS.
003400         05  WS-LOGIC-MODULE-LEVEL           OCCURS 6 TIMES
003500                                             INDEXED BY
003600                                             X-WS-LM.
003700             07  WS-STATS-TABLE              OCCURS 18 TIMES
003800                                             INDEXED BY
003900                                             X-WS-STATS.
004000                 09  WS-STATS-NBR
004100                             PIC S9(09)      COMP-3.
004200                 09  WS-STATS-AMT
004300                             PIC S9(17)      COMP-3.
004400 01  WS-TOTALS.
004500     05  WS-TOTAL-TOTALS-NBR PIC S9(09)      VALUE ZEROS COMP-3.
004600     05  WS-TOTAL-TOTALS-AMT PIC S9(17)      VALUE ZEROS COMP-3.
004700     05  WS-TOTAL-CHRGBACK-NBR
004800                             PIC S9(09)      VALUE ZEROS COMP-3.
004900     05  WS-TOTAL-CHRGBACK-AMT
005000                             PIC S9(17)      VALUE ZEROS COMP-3.
005100*
005200/
005300     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMPA==.
005400/
005500 01  FILLER                  PIC  X(29)      VALUE
005600     'I/O REQUEST BLOCK WORK AREAS:'.
005700*
005800     COPY MBIOWS.
005900/
006000 01  FILLER                  PIC  X(18)      VALUE
006100     'I/O REQUEST BLOCK:'.
006200*
006300     COPY MBIORO.
006400/
006500 01  FILLER                  PIC  X(32)      VALUE
006600     'MERCHANT MASTER WORKING STORAGE:'.
006700*
006800     COPY MMMMWS.
006900/
007000 01  FILLER                  PIC  X(32)      VALUE
007100     'MERCHANT MASTER INITIALIZE REC :'.
007200*
007300     COPY MMMMIR.
007400/
007500 01  FILLER                  PIC  X(22)      VALUE
007600     'PROD STAT LOGIC MODULE'.
007700*
007800     COPY MMTCWS.
007900/
008000 01  FILLER                  PIC  X(20)      VALUE
008100     'CCS DATE WORK AREAS:'.
008200*
008300     COPY SS01WS.
008400/
008500 01  FILLER                  PIC  X(15)      VALUE
008600     'CCS WORK AREAS:'.
008700*
008800     COPY SS08WS.
008900/
009000     COPY SS00WS.
009100/
009200     COPY SMFTWS.
009300/
009400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009500/
009600     COPY MB61LK.
009700/
009800 01  FILLER                  PIC  X(28)      VALUE
009900     'DYNAMICALY CALLED SUBROUINES'.
010000*
010100     COPY MB00WS.
010200/
010300 01  FILLER                  PIC  X(36)      VALUE
010400     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
010500*
010600     COPY SS95WS.
010700*
010800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010900/
011000 LINKAGE SECTION.
011100*
011200 01  DFHCOMMAREA.
011300*
011400     COPY MB60WS.
011500/
011600*********************************
011700*    MERCHANT SUMMARY MAP       *
011800*********************************
011900*
012000     COPY MBIM10.
012100/
012200**********************************************
012300*    MERCHANT SUMMARY MAP REDEFINITION       *
012400**********************************************
012500*
012600     COPY MBIM10R.
012700/
012800******************************************
012900*    MERCHANT MASTER RECORD LAYOUT       *
013000******************************************
013100*
013200     COPY MMMMRL.
013300/
013400*********************************************
013500*    PRODUCT STATISTICS RECORD LAYOUT       *
013600*********************************************
013700*
013800     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
013900/
014000 PROCEDURE DIVISION.
014100*
014200 A000-HOUSEKEEPING SECTION.
014300*
014400 A020-INIT.
014500*
014600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014800                                 THRU MB70PD-OLH-EXIT.
014900*
015000     SET SS95WS-FUNCTION-INITIALIZE
015100                            TO TRUE.
015200     PERFORM SS95PD-NAP-ROUTINE
015300        THRU SS95PD-NAP-EXIT.
015400*
015500     IF  MBCA-RECEIVE-SCREEN
015600         GO TO C000-RECEIVE-SCREEN.
015700/
015800 B000-SEND-SCREEN SECTION.
015900*
016000*********************************************
016100*    GET CICS STORAGE NEEDED FOR THE MAP    *
016200*********************************************
016300*
016400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016500     PERFORM MB60PD-GETMAIN-FOR-MAP
016600                                 THRU MB60PD-GFM-EXIT.
016700*
016800*******************************************
016900*    INITIALIZE THE STANDARD MAP LINES    *
017000*******************************************
017100*
017200     PERFORM MB60PD-INIT-STD-MAP-LINES
017300                                 THRU MB60PD-ISML-EXIT.
017400*
017500**********************************************************
017600*    READ THE MERCHANT MERCHANT RECORD FOR SUBSEQUENT    *
017700*    DISPLAY.                                            *
017800**********************************************************
017900*
018000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
018100     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
018200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018300     SET MBIORO-READ-RANDOM      TO TRUE.
018400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
018500*
018600**********************************************************
018700*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
018800*    THE SALES TOTAL RECORD.                             *
018900**********************************************************
019000*
019100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
019200     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
019300     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
019400     SET MBIOWS-MMPA-TOTALS      TO TRUE.
019500     SET MMTCWS-LM-SALE          TO TRUE.
019600     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
019700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
019800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
019900     SET MBIORO-READ-RANDOM      TO TRUE.
020000     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
020100*
020200     IF  SS08WS-RC-FC-NOTFND
020300         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (1)
020400     ELSE
020500         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (1).
020600*
020700*
020800**********************************************************
020900*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
021000*    THE SALE REVERSALS TOTAL RECORD.                    *
021100**********************************************************
021200*
021300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
021400     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
021500     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
021600     SET MBIOWS-MMPA-TOTALS      TO TRUE.
021700     SET MMTCWS-LM-SALE-REV      TO TRUE.
021800     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
021900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
022000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022100     SET MBIORO-READ-RANDOM      TO TRUE.
022200     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
022300*
022400     IF  SS08WS-RC-FC-NOTFND
022500         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (2)
022600     ELSE
022700         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (2).
022800*
022900**********************************************************
023000*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
023100*    THE RETURNS TOTALS RECORD.                          *
023200**********************************************************
023300*
023400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
023500     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
023600     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
023700     SET MBIOWS-MMPA-TOTALS      TO TRUE.
023800     SET MMTCWS-LM-RETURN        TO TRUE.
023900     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
024000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
024100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
024200     SET MBIORO-READ-RANDOM      TO TRUE.
024300     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
024400*
024500     IF  SS08WS-RC-FC-NOTFND
024600         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (3)
024700     ELSE
024800         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (3).
024900*
025000**********************************************************
025100*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
025200*    THE RETURN REVERSALS TOTAL RECORD.                  *
025300**********************************************************
025400*
025500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
025600     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
025700     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
025800     SET MBIOWS-MMPA-TOTALS      TO TRUE.
025900     SET MMTCWS-LM-RETURN-REV    TO TRUE.
026000     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
026100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
026200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
026500*
026600     IF  SS08WS-RC-FC-NOTFND
026700         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (4)
026800     ELSE
026900         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (4).
027000*
027100**********************************************************
027200*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
027300*    THE CHARGEBACK CREDITS TOTALS RECORD.               *
027400**********************************************************
027500*
027600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
027700     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
027800     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
027900     SET MBIOWS-MMPA-TOTALS      TO TRUE.
028000     SET MMTCWS-LM-CHGBACK-CR    TO TRUE.
028100     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
028200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
028300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
028400     SET MBIORO-READ-RANDOM      TO TRUE.
028500     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
028600*
028700     IF  SS08WS-RC-FC-NOTFND
028800         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (5)
028900     ELSE
029000         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (5).
029100*
029200**********************************************************
029300*    READ THE MERCHANT PRODUCT STATS FILE RANDOMLY FOR   *
029400*    THE CHARGEBACK DEBITS TOTALS RECORD.                *
029500**********************************************************
029600*
029700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPA-ORG.
029800     MOVE MBCA-MERCHANT          TO MBIOWS-MMPA-ACCT.
029900     MOVE ZERO                   TO MBIOWS-MMPA-MINOR-KEY.
030000     SET MBIOWS-MMPA-TOTALS      TO TRUE.
030100     SET MMTCWS-LM-CHGBACK-DR    TO TRUE.
030200     MOVE MMTCWS-LOGIC-MODULE    TO MBIOWS-MMPA-LOGIC-MODULE.
030300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
030500     SET MBIORO-READ-RANDOM      TO TRUE.
030600     PERFORM MMPAAO-ACCESS       THRU MMPAAO-ACCESS-EXIT.
030700*
030800     IF  SS08WS-RC-FC-NOTFND
030900         MOVE MMPAIR-TOTALS-DATA TO WS-LOGIC-MODULE-LEVEL (6)
031000     ELSE
031100         MOVE MMPA-TOTALS-DATA   TO WS-LOGIC-MODULE-LEVEL (6).
031200*
031300*
031400     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
031500     MOVE MMMM-ORG               TO IM10-ORG.
031600     MOVE MMMM-MERCHANT          TO IM10-MERCHANT.
031700     MOVE MMMM-NA-LINE (1 1)     TO IM10-MERCHANT-NAME.
031800*
031900****************************************************************
032000*    ACCUMULATE TOTALS AND CHRGBACK                            *
032100****************************************************************R
032200*
032300***  CURRENT TOTALS ***
032400*
032500     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 13)
032600                                 +  WS-STATS-NBR (2 13)
032700                                 +  WS-STATS-NBR (3 13)
032800                                 +  WS-STATS-NBR (4 13).
032900     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 13)
033000                                 -  WS-STATS-AMT (2 13)
033100                                 -  WS-STATS-AMT (3 13)
033200                                 +  WS-STATS-AMT (4 13).
033300     PERFORM SS95PD-NAP-ROUTINE
033400                                 THRU SS95PD-NAP-EXIT.
033500     MOVE SS95WS-OUT-NBR-L09     TO IM10-YEST-TOTALS-NBR.
033600     MOVE SS95WS-OUT-AMT-L20     TO IM10-YEST-TOTALS-AMT.
033700*
033800***  CURRENT CHRGBACK ***
033900*
034000     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (5 13)
034100                                 +  WS-STATS-NBR (6 13).
034200     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (5 13)
034300                                 -  WS-STATS-AMT (6 13).
034400     PERFORM SS95PD-NAP-ROUTINE
034500                                 THRU SS95PD-NAP-EXIT.
034600     MOVE SS95WS-OUT-NBR-L09     TO IM10-YEST-CHRGBACK-NBR.
034700     MOVE SS95WS-OUT-AMT-L20     TO IM10-YEST-CHRGBACK-AMT.
034800*
034900***  CYCLE TO DATE TOTALS ***
035000*
035100     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 16)
035200                                 +  WS-STATS-NBR (2 16)
035300                                 +  WS-STATS-NBR (3 16)
035400                                 +  WS-STATS-NBR (4 16).
035500     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 16)
035600                                 -  WS-STATS-AMT (2 16)
035700                                 -  WS-STATS-AMT (3 16)
035800                                 +  WS-STATS-AMT (4 16).
035900     PERFORM SS95PD-NAP-ROUTINE
036000                                 THRU SS95PD-NAP-EXIT.
036100     MOVE SS95WS-OUT-NBR-L09     TO IM10-CTD-TOTALS-NBR.
036200     MOVE SS95WS-OUT-AMT-L20     TO IM10-CTD-TOTALS-AMT.
036300*
036400***  CYCLE TO DATE CHRGBACK ***
036500*
036600     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (5 16)
036700                                 +  WS-STATS-NBR (6 16).
036800     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (5 16)
036900                                 -  WS-STATS-AMT (6 16).
037000     PERFORM SS95PD-NAP-ROUTINE
037100                                 THRU SS95PD-NAP-EXIT.
037200     MOVE SS95WS-OUT-NBR-L09     TO IM10-CTD-CHRGBACK-NBR.
037300     MOVE SS95WS-OUT-AMT-L20     TO IM10-CTD-CHRGBACK-AMT.
037400*
037500***  MONTH TO DATE TOTALS ***
037600*
037700     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 14)
037800                                 +  WS-STATS-NBR (2 14)
037900                                 +  WS-STATS-NBR (3 14)
038000                                 +  WS-STATS-NBR (4 14).
038100     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 14)
038200                                 -  WS-STATS-AMT (2 14)
038300                                 -  WS-STATS-AMT (3 14)
038400                                 +  WS-STATS-AMT (4 14).
038500     PERFORM SS95PD-NAP-ROUTINE
038600                                 THRU SS95PD-NAP-EXIT.
038700     MOVE SS95WS-OUT-NBR-L09     TO IM10-MTD-TOTALS-NBR.
038800     MOVE SS95WS-OUT-AMT-L20     TO IM10-MTD-TOTALS-AMT.
038900*
039000***  MONTH TO DATE CHRGBACK ***
039100*
039200     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (5 14)
039300                                 +  WS-STATS-NBR (6 14).
039400     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (5 14)
039500                                 -  WS-STATS-AMT (6 14).
039600     PERFORM SS95PD-NAP-ROUTINE
039700                                 THRU SS95PD-NAP-EXIT.
039800     MOVE SS95WS-OUT-NBR-L09     TO IM10-MTD-CHRGBACK-NBR.
039900     MOVE SS95WS-OUT-AMT-L20     TO IM10-MTD-CHRGBACK-AMT.
040000*
040100***  YEAR TO DATE TOTALS ***
040200*
040300     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (1 15)
040400                                 +  WS-STATS-NBR (2 15)
040500                                 +  WS-STATS-NBR (3 15)
040600                                 +  WS-STATS-NBR (4 15).
040700     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (1 15)
040800                                 -  WS-STATS-AMT (2 15)
040900                                 -  WS-STATS-AMT (3 15)
041000                                 +  WS-STATS-AMT (4 15).
041100     PERFORM SS95PD-NAP-ROUTINE
041200                                 THRU SS95PD-NAP-EXIT.
041300     MOVE SS95WS-OUT-NBR-L09     TO IM10-YTD-TOTALS-NBR.
041400     MOVE SS95WS-OUT-AMT-L20     TO IM10-YTD-TOTALS-AMT.
041500*
041600***  YEAR TO DATE CHRGBACK ***
041700*
041800     COMPUTE SS95WS-IN-NBR       =  WS-STATS-NBR (5 15)
041900                                 +  WS-STATS-NBR (6 15).
042000     COMPUTE SS95WS-IN-AMT       =  WS-STATS-AMT (5 15)
042100                                 -  WS-STATS-AMT (6 15).
042200     PERFORM SS95PD-NAP-ROUTINE
042300                                 THRU SS95PD-NAP-EXIT.
042400     MOVE SS95WS-OUT-NBR-L09     TO IM10-YTD-CHRGBACK-NBR.
042500     MOVE SS95WS-OUT-AMT-L20     TO IM10-YTD-CHRGBACK-AMT.
042600*
042700*** CALCULATE FOR MONTHS 1-12
042800*
042900     PERFORM
043000         VARYING X-IM10-MONTH FROM 1 BY 1
043100         UNTIL X-IM10-MONTH IS GREATER THAN 12
043200         EVALUATE TRUE
043300             WHEN X-IM10-MONTH IS EQUAL TO 1
043400                 MOVE 'JAN'     TO MMMMWS-OID-SEARCH
043500             WHEN X-IM10-MONTH IS EQUAL TO 2
043600                 MOVE 'FEB'     TO MMMMWS-OID-SEARCH
043700             WHEN X-IM10-MONTH IS EQUAL TO 3
043800                 MOVE 'MAR'     TO MMMMWS-OID-SEARCH
043900             WHEN X-IM10-MONTH IS EQUAL TO 4
044000                 MOVE 'APR'     TO MMMMWS-OID-SEARCH
044100             WHEN X-IM10-MONTH IS EQUAL TO 5
044200                 MOVE 'MAY'     TO MMMMWS-OID-SEARCH
044300             WHEN X-IM10-MONTH IS EQUAL TO 6
044400                 MOVE 'JUN'     TO MMMMWS-OID-SEARCH
044500             WHEN X-IM10-MONTH IS EQUAL TO 7
044600                 MOVE 'JUL'     TO MMMMWS-OID-SEARCH
044700             WHEN X-IM10-MONTH IS EQUAL TO 8
044800                 MOVE 'AUG'     TO MMMMWS-OID-SEARCH
044900             WHEN X-IM10-MONTH IS EQUAL TO 9
045000                 MOVE 'SEP'     TO MMMMWS-OID-SEARCH
045100             WHEN X-IM10-MONTH IS EQUAL TO 10
045200                 MOVE 'OCT'     TO MMMMWS-OID-SEARCH
045300             WHEN X-IM10-MONTH IS EQUAL TO 11
045400                 MOVE 'NOV'     TO MMMMWS-OID-SEARCH
045500             WHEN X-IM10-MONTH IS EQUAL TO 12
045600                 MOVE 'DEC'     TO MMMMWS-OID-SEARCH
045700         END-EVALUATE
045800         PERFORM MMMMPX-FIND-OCCURRENCE
045900                                 THRU MMMMPX-FO-EXIT
046000         IF  MMMMWS-OID-INDEX IS EQUAL TO ZERO
046100             MOVE 1              TO MMMMWS-OID-INDEX
046200         END-IF
046300         SET X-WS-STATS          TO MMMMWS-OID-INDEX
046400         SET X-MMMM              TO MMMMWS-OID-INDEX
046500         MOVE MMMM-OCCURRENCE-YEAR (X-MMMM)
046600                                 TO IM10-MONTH-YEAR (X-IM10-MONTH)
046700         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (1 X-WS-STATS)
046800                                 +  WS-STATS-NBR (2 X-WS-STATS)
046900                                 +  WS-STATS-NBR (3 X-WS-STATS)
047000                                 +  WS-STATS-NBR (4 X-WS-STATS)
047100         COMPUTE SS95WS-IN-AMT   =  WS-STATS-AMT (1 X-WS-STATS)
047200                                 -  WS-STATS-AMT (2 X-WS-STATS)
047300                                 -  WS-STATS-AMT (3 X-WS-STATS)
047400                                 +  WS-STATS-AMT (4 X-WS-STATS)
047500         ADD SS95WS-IN-NBR       TO WS-TOTAL-TOTALS-NBR
047600         ADD SS95WS-IN-AMT       TO WS-TOTAL-TOTALS-AMT
047700         PERFORM SS95PD-NAP-ROUTINE
047800                                 THRU SS95PD-NAP-EXIT
047900         MOVE SS95WS-OUT-NBR-L09 TO IM10-MONTH-TOTALS-NBR
048000                                    (X-IM10-MONTH)
048100         MOVE SS95WS-OUT-AMT-L20 TO IM10-MONTH-TOTALS-AMT
048200                                    (X-IM10-MONTH)
048300*
048400***   CHRGBACK  ***
048500*
048600         COMPUTE SS95WS-IN-NBR   =  WS-STATS-NBR (5 X-WS-STATS)
048700                                 +  WS-STATS-NBR (6 X-WS-STATS)
048800         COMPUTE SS95WS-IN-AMT   =  WS-STATS-AMT (5 X-WS-STATS)
048900                                 -  WS-STATS-AMT (6 X-WS-STATS)
049000         ADD SS95WS-IN-NBR       TO WS-TOTAL-CHRGBACK-NBR
049100         ADD SS95WS-IN-AMT       TO WS-TOTAL-CHRGBACK-AMT
049200         PERFORM SS95PD-NAP-ROUTINE
049300                                 THRU SS95PD-NAP-EXIT
049400         MOVE SS95WS-OUT-NBR-L09 TO IM10-MONTH-CHRGBACK-NBR
049500                                    (X-IM10-MONTH)
049600         MOVE SS95WS-OUT-AMT-L20 TO IM10-MONTH-CHRGBACK-AMT
049700                                    (X-IM10-MONTH)
049800     END-PERFORM
049900*
050000***  ROLLING TOTALS TOTALS ***
050100*
050200     MOVE WS-TOTAL-TOTALS-NBR    TO SS95WS-IN-NBR.
050300     MOVE WS-TOTAL-TOTALS-AMT    TO SS95WS-IN-AMT.
050400     PERFORM SS95PD-NAP-ROUTINE
050500                                 THRU SS95PD-NAP-EXIT.
050600     MOVE SS95WS-OUT-NBR-L09     TO IM10-ROLLING-TOTALS-NBR.
050700     MOVE SS95WS-OUT-AMT-L20     TO IM10-ROLLING-TOTALS-AMT.
050800*
050900***  ROLLING CHRGBACK TOTALS ***
051000*
051100     MOVE WS-TOTAL-CHRGBACK-NBR  TO SS95WS-IN-NBR.
051200     MOVE WS-TOTAL-CHRGBACK-AMT  TO SS95WS-IN-AMT.
051300     PERFORM SS95PD-NAP-ROUTINE
051400                                 THRU SS95PD-NAP-EXIT.
051500     MOVE SS95WS-OUT-NBR-L09     TO IM10-ROLLING-CHRGBACK-NBR.
051600     MOVE SS95WS-OUT-AMT-L20     TO IM10-ROLLING-CHRGBACK-AMT.
051700*
051800***********************************************************
051900*    SET THE CURRENCY CODE, CURRENCY NOD                  *
052000*            PER ITEM NOD, PERCENT NOD.                   *
052100***********************************************************
052200     IF IM10-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
052300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
052400                                 THRU MB06PD-FML-EXIT
052500        MOVE SS08WS-FORMATTED-MSG   TO IM10-ERR-MESSAGE
052600     END-IF.
052700*
052800**********************
052900*    SEND THE MAP    *
053000**********************
053100*
053200 B900-SEND-MAP.
053300*
053400     MOVE SS08WS-CURSOR          TO IM10-ALT-TRANID-L.
053500     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
053600*
053700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
053800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
053900                                 THRU MB60PD-SMWE-EXIT.
054000*
054100************************
054200*    RETURN   TO CICS  *
054300************************
054400*
054500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
054600     PERFORM MB70PD-RETURN-TRANS-ID
054700                                 THRU MB70PD-RTI-EXIT.
054800/
054900 C000-RECEIVE-SCREEN SECTION.
055000*
055100******************************************
055200*    THIS SECTION RECEIVES THE SCREEN    *
055300******************************************
055400*
055500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
055600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
055700*
055800**************************************************************
055900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
056000**************************************************************
056100*
056200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
056300     PERFORM MB60PD-NEW-TRANS-ROUTINE
056400                                 THRU MB60PD-NTR-EXIT.
056500/
056600 F000-SETUP-COMMAREA SECTION.
056700*
056800***************************************************************
056900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
057000***************************************************************
057100*
057200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
057300*
057400     PERFORM MB60PD-EDIT-PAGE-NBR
057500                                 THRU MB60PD-EPN-EXIT.
057600*
057700     IF  SS08WS-VALID-PF-KEY
057800     OR  SS08WS-EIBAID-VALID-PF-KEY
057900         SET MBCA-INITIAL-SCREEN-NBR
058000                                 TO TRUE.
058100*
058200 F090-TRANSFER-XCTL.
058300*
058400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
058500     PERFORM MB70PD-XCTL-TO-MBOXCTL
058600                                 THRU MB70PD-XTM-EXIT.
058700/
058800 Z000-COPIED-ROUTINES SECTION.
058900*
059000*
059100**********************************
059200*    JUL TO GREG DATE ROUTINE    *
059300**********************************
059400*
059500     COPY SS08PD.
059600/
059700     COPY SS26PD.
059800/
059900     COPY SS27PD.
060000/
060100**********************************
060200*    GREG TO JUL DATE ROUTINE    *
060300**********************************
060400*
060500     COPY SS07PD.
060600/
060700**********************************
060800*    DATE VALIDATION ROUTINE     *
060900**********************************
061000*
061100     COPY SS05PD.
061200/
061300*********************************
061400*    LINE 24 PF KEYS ROUTINE    *
061500*********************************
061600*
061700     COPY SS15PD.
061800/
061900************************************************
062000*    MERCHANT MASTER STATS OCCURANCE DEFINES   *
062100************************************************
062200*
062300     COPY MMMMPX.
062400/
062500************************************************
062600*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
062700************************************************
062800*
062900     COPY MMMMAO.
063000/
063100***************************************************
063200*    PRODUCT STATISTICS RECORD ACCESS ROUTINES    *
063300***************************************************
063400*
063500     COPY MMPAAO.
063600/
063700***************************************************
063800*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
063900***************************************************
064000*
064100     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
064200/
064300*****************************
064400*    ONLINE MAP ROUTINES    *
064500*****************************
064600*
064700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIM10 '
064800                           MBMAPXXI BY MBIM10I
064900                           MBMAPXXO BY MBIM10O.
065000/
065100***********************************
065200*    FORMAT MESSAGE LINE BUILDER  *
065300***********************************
065400*
065500     COPY MB06PD.
065600/
065700***************************
065800*    ONLINE PROCEDURES    *
065900***************************
066000*
066100     COPY MB70PD.
066200/
066300     COPY SMFTPXO.
