000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS00 - MERCHANT ON-LINE STATEMENT                     *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM (MERCHANT MASTER)                     *
001600*                 B. MMRC (CHAIN MASTER)                        *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE
002700     '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003010 01  WS-MBIS-QUEUE-ID-NAME.                                       FX800022
003012     03  WS-MBIS-TERMINAL-ID                                      FX800022
003014                             PIC X(4)        VALUE SPACES.        FX800022
003016     03  WS-MBIS-QUEUE-LIT                                        FX800022
003018                             PIC X(4)        VALUE 'IS01'.        FX800022
003020*                                                                 FX800022
003100*
003200 01  WS-MISCELLANEOUS.
003300     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003400                                             VALUE +001.
003500     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003600                                             VALUE +998.
003700/
003800 01  FILLER                  PIC  X(29)      VALUE
003900     'I/O REQUEST BLOCK WORK AREAS:'.
004000*
004100     COPY MBIOWS.
004200/
004300 01  FILLER                  PIC  X(18)      VALUE
004400     'I/O REQUEST BLOCK:'.
004500*
004600     COPY MBIORO.
004700/
004800 01  FILLER                  PIC  X(21)      VALUE
004900     'ERROR MESSAGES TABLE:'.
005000*
005100     COPY MBEMWS.
005200/
005300 01  FILLER                  PIC  X(27)      VALUE
005400     'MERCHANT MASTER WORK AREAS:'.
005500*
005600     COPY MMMMWS.
005700/
005800 01  FILLER                  PIC  X(20)      VALUE
005900     'CCS DATE WORK AREAS:'.
006000*
006100     COPY SS01WS.
006200/
006300 01  FILLER                  PIC  X(27)      VALUE
006400     'CCS CHECK DIGIT WORK AREAS:'.
006500*
006600     COPY SS05WS.
006700/
006800 01  FILLER                  PIC  X(15)      VALUE
006900     'CCS WORK AREAS:'.
007000*
007100     COPY SS08WS.
007200/
007300     COPY SS00WS.
007400/
007500     COPY SMFTWS.
007600/
007700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007800/
007900     COPY MB61LK.
008000/
008100 01  FILLER                  PIC  X(12)      VALUE
008200     '** WS-END **'.
008300/
008400 LINKAGE SECTION.
008500*
008600 01  DFHCOMMAREA.
008700*
008800     COPY MB60WS.
008900/
009000*************************************
009100*    MERCHANT SUMMARY LOCATE MAP    *
009200*************************************
009300*
009400     COPY MBIS00.
009500/
009600*************************************************
009700*    MERCHANT SUMMARY LOCATE MAP REDEFINITION   *
009800*************************************************
009900*
010000     COPY MBIS00R.
010100/
010200***************************
010300*    ORG RECORD LAYOUT    *
010400***************************
010500*
010600     COPY MMOCRL.
010700/
010800***************************************
010900*    MERCHANT MASTER RECORD LAYOUT    *
011000***************************************
011100*
011200     COPY MMMMRL.
011300/
011400************************************
011500*    CHAIN MASTER RECORD LAYOUT    *
011600************************************
011700*
011800     COPY MMRCRL.
011900/
012000 PROCEDURE DIVISION.
012100*
012200 A000-HOUSEKEEPING SECTION.
012300*
012400 A020-INIT.
012500*
012520     IF  MBCA-EIBAID-CLEAR                                        FX800022
012522         PERFORM E000-DELETE-TEMP-STORAGE                         FX800022
012524                                 THRU E099-DTSS-EXIT              FX800022
012526     END-IF.                                                      FX800022
012528*                                                                 FX800022
012600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012800                                 THRU MB70PD-OLH-EXIT.
012900*
013000     IF  MBCA-RECEIVE-SCREEN
013100         GO TO C000-RECEIVE-SCREEN.
013200/
013300 B000-SEND-SCREEN SECTION.
013400*
013500*********************************************
013600*    GET CICS STORAGE NEEDED FOR THE MAP    *
013700*********************************************
013800*
013900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM MB60PD-GETMAIN-FOR-MAP
014100                                 THRU MB60PD-GFM-EXIT.
014200*
014210     MOVE ZERO                   TO MBCA-MBIS-P1-CURR-PAGE.       FX800022
014212     MOVE ZERO                   TO MBCA-MBIS-P1-TOT-PAGES.       FX800022
014216     SET  MBCA-MBIS-P1-BUILD-TS  TO TRUE.                         FX800022
014220     PERFORM E000-DELETE-TEMP-STORAGE                             FX800022
014222                                 THRU E099-DTSS-EXIT.             FX800022
014300*
014400*****************************************************************
014500*    SEE IF THE MBCA-MERCHANT-ORG IS GREATER THAN ZERO. IF IT   *
014600*    IS, PLUG IT INTO THE MAP. THE THE MBCA-MERCHANT IS GREATER *
014700*    THAN ZERO, PLUG IT INTO THE MAP.                           *
014800*****************************************************************
014900*
015000     IF  MBCA-MMMM-KEY-CODE
015100     OR  MBCA-MMRC-KEY-CODE
015200         IF  MBCA-MERCHANT-ORG   IS GREATER THAN ZERO
015300         AND MBCA-MERCHANT       IS GREATER THAN ZERO
015400             MOVE MBCA-MERCHANT-ORG
015500                                 TO IS00-ORG
015600             MOVE MBCA-MERCHANT  TO IS00-MERCHANT
015700             MOVE DFHBMUNF       TO IS00-ORG-A
015800                                    IS00-MERCHANT-A
015900             EVALUATE TRUE
016000             WHEN MBCA-KEY-CODE  IS EQUAL TO 59
016100             WHEN MBCA-MBIS-MERCH
016200                  MOVE 'M'       TO IS00-REQ-TYPE
016300                  MOVE DFHBMFSE  TO IS00-REQ-TYPE-A
016400             WHEN MBCA-KEY-CODE  IS EQUAL TO 60
016500             WHEN MBCA-MBIS-CHAIN
016600                  MOVE 'C'       TO IS00-REQ-TYPE
016700                  MOVE DFHBMFSE  TO IS00-REQ-TYPE-A
016800             END-EVALUATE
016900             IF  MBCA-DIRECT-TRANSFER-CODE
017000             AND MBCA-INITIAL-SCREEN-NBR
017100                 MOVE 00         TO MBCA-SCREEN-NBR
017200                 GO TO C082-READ-ORG
017300             ELSE
017400                 GO TO B020-BUILD-SCREEN.
017500*
017600     IF  MBCA-VALID-KEY-CODES
017700         IF  MBCA-MERCHANT-ORG   IS GREATER THAN ZERO
017800             MOVE MBCA-MERCHANT-ORG
017900                                 TO IS00-ORG
018000             MOVE DFHBMUNF       TO IS00-ORG-A
018100             IF  MBCA-MERCHANT   IS GREATER THAN ZERO
018200                 MOVE MBCA-MERCHANT
018300                                 TO IS00-MERCHANT
018400                 MOVE DFHBMUNF   TO IS00-MERCHANT-A
018500                 IF  MBCA-MBIS-MERCH
018600                 OR  MBCA-MBIS-CHAIN
018700                 MOVE MBCA-MBIS-REC-TYPE
018800                                 TO IS00-REQ-TYPE
018900                 MOVE DFHBMFSE   TO IS00-REQ-TYPE-A.
019000*
019100 B020-BUILD-SCREEN.
019200*
019300*******************************************
019400*    INITIALIZE THE STANDARD MAP LINES    *
019500*******************************************
019600*
019700     MOVE SS08WS-CURSOR          TO IS00-ORG-L.
019800     MOVE 00                     TO MBCA-SCREEN-NBR.
019810     MOVE 00                     TO MBCA-MBIS-TOTAL-PAGES.        FX800022
019812*                                                                 FX800022
019900     PERFORM MB60PD-INIT-STD-MAP-LINES
020000                                 THRU MB60PD-ISML-EXIT.
020100*
020200**********************
020300*    SEND THE MAP    *
020400**********************
020500*
020600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
020700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
020800                                 THRU MB60PD-SMWE-EXIT.
020900*
021000************************
021100*    RETURN TO CICS    *
021200************************
021300*
021400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
021500     PERFORM MB70PD-RETURN-TRANS-ID
021600                                 THRU MB70PD-RTI-EXIT.
021700/
021800 C000-RECEIVE-SCREEN SECTION.
021900*
022000*************************************************
022100*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
022200*************************************************
022300*
022400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
022500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
022600*
022700**************************************************************
022800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
022900**************************************************************
023000*
023100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
023200     PERFORM MB60PD-NEW-TRANS-ROUTINE
023300                                 THRU MB60PD-NTR-EXIT.
023400*
023500**************************************************************
023600*    EDIT SCREEN FIELDS                                      *
023700**************************************************************
023800*
023900*
024000 C020-FIELD-EDITS.
024100*
024200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
024300*
024400     IF  (IS00-ORG-L IS LESS THAN 1
024500     AND  IS00-MERCHANT-L IS LESS THAN 1)
024600     AND (SS08WS-VALID-PF-KEY
024700     OR   SS08WS-EIBAID-VALID-PF-KEY)
024710         PERFORM E000-DELETE-TEMP-STORAGE                         FX800022
024712                                 THRU E099-DTSS-EXIT              FX800022
024800         SET MBCA-INITIAL-SCREEN-NBR
024900                                 TO TRUE
025000         GO TO F090-TRANSFER-XCTL.
025100*
025200******************************************************
025300*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
025400*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
025500******************************************************
025600*
025700     MOVE DFHBMUNN               TO IS00-ORG-A
025800                                    IS00-MERCHANT-A.
025900     MOVE DFHBMASK               TO IS00-ORG-LP-A
026000                                    IS00-ORG-RP-A
026100                                    IS00-MERCHANT-LP-A
026200                                    IS00-MERCHANT-RP-A.
026300*
026400 C080-EDIT-ORG.
026500*
026600     IF  IS00-ORG-L              IS EQUAL TO ZERO
026700     OR  IS00-ORG                IS NOT NUMERIC
026800     OR  IS00-ORG                IS LESS THAN MBCA-ORG-LOW
026900     OR  IS00-ORG                IS GREATER THAN MBCA-ORG-HIGH
027000     OR  IS00-ORG                IS LESS THAN WS-ORG-LOW
027100     OR  IS00-ORG                IS GREATER THAN WS-ORG-HIGH
027200         MOVE MBEMWS-INVALID-ORG TO IS00-ERR-MESSAGE
027300         SET SS08WS-ERROR-SW-YES TO TRUE
027400         MOVE DFHBMASB           TO IS00-ORG-LP-A
027500                                    IS00-ORG-RP-A
027600         MOVE SS08WS-CURSOR      TO IS00-ORG-L
027700         MOVE DFHBMNBF           TO IS00-ORG-A
027800         GO TO C100-EDIT-MERCHANT.
027900*
028000************************************************
028100*    READ THE ORGANIZATION RECORD.  IT MUST    *
028200*    BE ON FILE AND AN ACTIVE RECORD.          *
028300************************************************
028400*
028500 C082-READ-ORG.
028600*
028700     MOVE IS00-ORG               TO MBIOWS-MMOC-ORG.
028800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
028900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
029000     SET MBIORO-READ-RANDOM      TO TRUE.
029100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
029200*
029300     IF  SS08WS-RC-FC-NOTFND
029400         MOVE MBEMWS-NOT-ON-FILE TO IS00-ERR-MESSAGE
029500     ELSE
029600         IF  MMOC-ADD-PENDING
029700             MOVE MBEMWS-ADD-PENDING
029800                                 TO IS00-ERR-MESSAGE
029900         ELSE
030000             IF  MMOC-REC-PURGED
030100                 MOVE MBEMWS-NOT-ACTIVE
030200                                 TO IS00-ERR-MESSAGE
030300             ELSE
030400                 MOVE DFHBMUNF   TO IS00-ORG-A
030500                 MOVE IS00-ORG   TO MBCA-MERCHANT-ORG
030600                 MOVE MMOC-CURRENCY-CODE
030700                                 TO MBCA-CURRENCY-CODE.
030800                 MOVE MMOC-CURRENCY-NOD
030900                                 TO MBCA-CURRENCY-NOD.
031000                 MOVE MMOC-PER-ITEM-NOD
031100                                 TO MBCA-PER-ITEM-NOD.
031200                 MOVE MMOC-PERCENT-NOD
031300                                 TO MBCA-PERCENT-NOD.
031400*
031500     IF  SS08WS-RC-FC-VALID-RTN-CODE
031600         MOVE IS00-ORG           TO MBCA-ORG
031700     ELSE
031800         SET SS08WS-ERROR-SW-YES TO TRUE
031900         MOVE DFHBMASB           TO IS00-ORG-LP-A
032000                                    IS00-ORG-RP-A
032100         MOVE SS08WS-CURSOR      TO IS00-ORG-L
032200         MOVE DFHBMNBF           TO IS00-ORG-A.
032300*
032400 C100-EDIT-MERCHANT.
032500*
032600     IF  IS00-MERCHANT           IS NOT NUMERIC
032700     OR  IS00-MERCHANT           IS EQUAL TO ZEROES OR 999999999
032800         EVALUATE TRUE
032900             WHEN SS08WS-ERROR-SW-NO
033000             MOVE MBEMWS-INVALID-MERCHANT
033100                                 TO IS00-ERR-MESSAGE
033200         END-EVALUATE
033300         SET SS08WS-ERROR-SW-YES TO TRUE
033400         MOVE DFHBMASB           TO IS00-MERCHANT-LP-A
033500                                    IS00-MERCHANT-RP-A
033600         MOVE SS08WS-CURSOR      TO IS00-MERCHANT-L
033700         MOVE DFHBMNBF           TO IS00-MERCHANT-A
033800         GO TO C120-EDIT-REQUEST-TYPE.
033900*
034000***********************************
034100**    VALIDATE THE CHECK DIGIT    *
034200***********************************
034300**
034400*    IF  MMOC-MMC-DO-NOT-MOD-CHECK
034500*        GO TO C120-EDIT-REQUEST-TYPE.
034600*
034700*    PERFORM Y020-VALIDATE-CHECK-DIGIT
034800*                                THRU Y039-VCD-EXIT.
034900*
035000*    IF  WS-BAD-NUMBER
035100*        EVALUATE TRUE
035200*            WHEN WS-ERROR-SW-NO
035300*            MOVE MBEMWS-INVALID-MERCHANT
035400*                                TO IS00-ERR-MESSAGE
035500*        END-EVALUATE
035600*        SET WS-ERROR-SW-YES     TO TRUE
035700*        MOVE DFHBMASB           TO IS00-MERCHANT-LP-A
035800*                                   IS00-MERCHANT-RP-A
035900*        MOVE WS-CURSOR          TO IS00-MERCHANT-L
036000*        MOVE DFHBMNBF           TO IS00-MERCHANT-A.
036100*
036200 C120-EDIT-REQUEST-TYPE.
036300*
036400     IF  (IS00-REQ-TYPE IS NOT EQUAL TO 'M'
036500     AND  IS00-REQ-TYPE IS NOT EQUAL TO 'C')
036600         EVALUATE TRUE
036700             WHEN SS08WS-ERROR-SW-NO
036800             MOVE MBEMWS-INVALID-MERCH-CHAIN-IND
036900                                 TO IS00-ERR-MESSAGE
037000         END-EVALUATE
037100         SET SS08WS-ERROR-SW-YES TO TRUE
037200         MOVE DFHBMASB           TO IS00-REQ-TYPE-LP-A
037300                                    IS00-REQ-TYPE-RP-A
037400         MOVE SS08WS-CURSOR      TO IS00-REQ-TYPE-L
037500         MOVE DFHBMUBF           TO IS00-REQ-TYPE-A
037600         MOVE DFHBMUNF           TO IS00-MERCHANT-A
037700         GO TO D000-RETURN-ERRORS.
037800*
037900     MOVE IS00-REQ-TYPE          TO MBCA-MBIS-REC-TYPE.
038000     MOVE DFHBMFSE               TO IS00-REQ-TYPE-A.
038100*
038200 C102-READ-MERCHANT.
038300*
038400     MOVE DFHBMUNF               TO IS00-MERCHANT-A.
038500*
038600     IF  SS08WS-ERROR-SW-YES
038700         GO TO D000-RETURN-ERRORS.
038800*
038900***************************************************************
039000*    IF THIS REQUEST IS NOT A MERCHANT VERIFY THE RECORD IS   *
039100*    ON THE CHAIN MASTER.                                     *
039200***************************************************************
039300*
039400     IF  IS00-REQ-TYPE IS EQUAL TO 'C'
039500         GO TO C500-READ-CHAIN.
039600*
039700***************************************************************
039800*    READ THE MERCHANT MASTER RECORD.  IT MUST BE ON          *
039900*    FILE AND AN ACTIVE RECORD.                               *
040000***************************************************************
040100*
040200     MOVE DFHBMUNF               TO IS00-MERCHANT-A.
040300*
040400     MOVE IS00-ORG               TO MBIOWS-MMMM-ORG.
040500     MOVE IS00-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
040600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
040700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
040800     SET MBIORO-READ-RANDOM      TO TRUE.
040900     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
041000*
041100     IF  SS08WS-RC-FC-NOTFND
041200         MOVE MBEMWS-NOT-ON-FILE TO IS00-ERR-MESSAGE
041300         GO TO C900-MERCH-CHAIN-ERROR.
041400*
041500     IF  MMMM-ADD-PENDING
041600         MOVE MBEMWS-ADD-PENDING TO IS00-ERR-MESSAGE
041700         GO TO C900-MERCH-CHAIN-ERROR.
041800*
041900     MOVE IS00-MERCHANT          TO MBCA-MERCHANT.
042000     MOVE ZERO                   TO MBCA-CHAIN.
042100     SET MBCA-MBIS-MERCH         TO TRUE.
042200     GO TO D000-RETURN-ERRORS.
042300*
042400 C500-READ-CHAIN.
042500*
042600***************************************************************
042700*    READ THE CHAIN MASTER RECORD.  IT MUST BE ON             *
042800*    FILE AND AN ACTIVE RECORD.                               *
042900***************************************************************
043000*
043100     MOVE IS00-ORG               TO MBIOWS-MMRC-ORG.
043200     MOVE IS00-MERCHANT          TO MBIOWS-MMRC-CHAIN.
043300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
043400     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
043500     SET MBIORO-READ-RANDOM      TO TRUE.
043600     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
043700*
043800     IF  SS08WS-RC-FC-NOTFND
043900         MOVE MBEMWS-NOT-ON-FILE TO IS00-ERR-MESSAGE
044000         GO TO C900-MERCH-CHAIN-ERROR.
044100*
044200     IF  MMRC-ADD-PENDING
044300         MOVE MBEMWS-ADD-PENDING TO IS00-ERR-MESSAGE
044400         GO TO C900-MERCH-CHAIN-ERROR.
044500*
044600     MOVE IS00-MERCHANT          TO MBCA-CHAIN.
044700     MOVE IS00-MERCHANT          TO MBCA-MERCHANT.
044800     SET MBCA-MBIS-CHAIN         TO TRUE.
044900     GO TO D000-RETURN-ERRORS.
045000*
045100************************************************
045200*    EITHER THE MERCHANT OR CHAIN RECORD WAS   *
045300*    SUCCESSFULLY READ.                        *
045400************************************************
045500*
045600 C900-MERCH-CHAIN-ERROR.
045700*
045800     SET SS08WS-ERROR-SW-YES     TO TRUE.
045900     MOVE DFHBMASB               TO IS00-ORG-LP-A
046000                                    IS00-ORG-RP-A.
046100     MOVE DFHBMNBF               TO IS00-ORG-A.
046200     MOVE DFHBMASB               TO IS00-MERCHANT-LP-A
046300                                    IS00-MERCHANT-RP-A.
046400     MOVE DFHBMNBF               TO IS00-MERCHANT-A.
046500     MOVE DFHBMNBF               TO IS00-ORG-A.
046600     MOVE DFHBMASB               TO IS00-REQ-TYPE-LP-A
046700                                    IS00-REQ-TYPE-RP-A.
046800     MOVE DFHBMUBF               TO IS00-REQ-TYPE-A.
046900     MOVE SS08WS-CURSOR          TO IS00-ORG-L.
047000/
047100 D000-RETURN-ERRORS SECTION.
047200*
047300     IF  SS08WS-ERROR-SW-NO
047400         GO TO F000-SETUP-COMMAREA
047500     ELSE
047600         IF  SS08WS-VALID-PF-KEY
047700         OR  SS08WS-EIBAID-VALID-PF-KEY
047710         PERFORM E000-DELETE-TEMP-STORAGE                         FX800022
047712                                 THRU E099-DTSS-EXIT              FX800022
047800             SET MBCA-INITIAL-SCREEN-NBR
047900                                 TO TRUE
048000             GO TO F090-TRANSFER-XCTL.
048100*
048200***************************************************************
048300*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
048400*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
048500*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
048600***************************************************************
048700*
048800     PERFORM MB60PD-INIT-STD-MAP-LINES
048900                                 THRU MB60PD-ISML-EXIT.
049000*
049100**********************
049200*    SEND THE MAP    *
049300**********************
049400*
049500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
049700                                 THRU MB60PD-SMWE-EXIT.
049800*
049900************************
050000*    RETURN TO CICS    *
050100************************
050200*
050300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
050400     PERFORM MB70PD-RETURN-TRANS-ID
050500                                 THRU MB70PD-RTI-EXIT.
050600/
050620 E000-DELETE-TEMP-STORAGE SECTION.                                FX800022
050621 E010-DTSS-BEGIN.                                                 FX800022
050622*                                                                 FX800022
050623     EXEC CICS IGNORE CONDITION                                   FX800022
050624               QIDERR                                             FX800022
050625          END-EXEC.                                               FX800022
050626*                                                                 FX800022
050627     MOVE MBCA-TERMINAL-ID       TO WS-MBIS-TERMINAL-ID.          FX800022
050628     MOVE 'IS01'                 TO WS-MBIS-QUEUE-LIT.            FX800022
050629     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.        FX800022
050630     EXEC CICS DELETEQ TS                                         FX800022
050631               QUEUE (WS-MBIS-QUEUE-ID-NAME)                      FX800022
050632          END-EXEC.                                               FX800022
050633*                                                                 FX800022
050634 E099-DTSS-EXIT.                                                  FX800022
050635     EXIT.                                                        FX800022
050636/                                                                 FX800022
050700 F000-SETUP-COMMAREA SECTION.
050800*
050900***************************************************************
051000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
051100***************************************************************
051200*
051300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
051400*
051500     IF  MBCA-MBIS-MERCH
051600         MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
051700                                 TO MBCA-KEY-CODE
051800     ELSE
051900         MOVE MBIOWS-MMRC-DIRECT-KEY-CODE
052000                                 TO MBCA-KEY-CODE
052100     END-IF.
052200*
052300     MOVE 51                     TO MBCA-SCREEN-NBR.
052400*
052500     IF  SS08WS-VALID-PF-KEY
052600     OR  SS08WS-EIBAID-VALID-PF-KEY
052610         PERFORM E000-DELETE-TEMP-STORAGE                         FX800022
052612                                 THRU E099-DTSS-EXIT              FX800022
052700         SET MBCA-INITIAL-SCREEN-NBR
052800                                 TO TRUE.
052900*
053000 F090-TRANSFER-XCTL.
053100*
053200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
053300     PERFORM MB70PD-XCTL-TO-MBOXCTL
053400                                 THRU MB70PD-XTM-EXIT.
053500/
053600 U000-USER-ROUTINES SECTION.
053700*
053800 U020-CHECK-DIGIT-ROUTINE-1.
053900*
054000*************************************************************
054100*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
054200*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
054300*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
054400*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
054500*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
054600*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
054700*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
054800*    CHECK DIGIT ERROR.                                     *
054900*************************************************************
055000*
055100     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
055200*
055300 U039-CDR1-EXIT.
055400     EXIT.
055500*
055600 U040-CHECK-DIGIT-ROUTINE-2.
055700*
055800*************************************************************
055900*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
056000*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
056100*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
056200*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
056300*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
056400*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
056500*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
056600*    CHECK DIGIT ERROR.                                     *
056700*************************************************************
056800*
056900     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
057000*
057100 U059-CDR2-EXIT.
057200     EXIT.
057300*
057400 U060-CHECK-DIGIT-ROUTINE-3.
057500*
057600*************************************************************
057700*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
057800*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
057900*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
058000*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
058100*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
058200*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
058300*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
058400*    CHECK DIGIT ERROR.                                     *
058500*************************************************************
058600*
058700     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
058800*
058900 U079-CDR3-EXIT.
059000     EXIT.
059100/
059200 Y000-PERFORMED-ROUTINES SECTION.
059300*
059400 Y020-VALIDATE-CHECK-DIGIT.
059500*
059600     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
059700         NEXT SENTENCE
059800     ELSE
059900         GO TO Y039-VCD-EXIT.
060000*
060100**********************************************
060200*    HANDLE THE USER CHECK DIGIT ROUTINES    *
060300**********************************************
060400*
060500     IF  MMOC-MMC-MOD-CHECK-ROUTINE1
060600         MOVE 'UC01'             TO MBCA-PROGRAM-LOCATION
060700         PERFORM U020-CHECK-DIGIT-ROUTINE-1
060800                                 THRU U039-CDR1-EXIT
060900         GO TO Y039-VCD-EXIT.
061000*
061100     IF  MMOC-MMC-MOD-CHECK-ROUTINE2
061200         MOVE 'UC02'             TO MBCA-PROGRAM-LOCATION
061300         PERFORM U040-CHECK-DIGIT-ROUTINE-2
061400                                 THRU U059-CDR2-EXIT
061500         GO TO Y039-VCD-EXIT.
061600*
061700     IF  MMOC-MMC-MOD-CHECK-ROUTINE3
061800         MOVE 'UC03'             TO MBCA-PROGRAM-LOCATION
061900         PERFORM U060-CHECK-DIGIT-ROUTINE-3
062000                                 THRU U079-CDR3-EXIT
062100         GO TO Y039-VCD-EXIT.
062200*
062300******************************************************
062400*    VALIDATE THE CHECK DIGIT BY THE MBS SUPPLIED    *
062500*    DOUBLE-ADD-DOUBLE CHECK DIGIT ROUTINE           *
062600******************************************************
062700*
062800     MOVE IS00-MERCHANT          TO SS05WS-NBR
062900     MOVE ZERO                   TO SS05WS-OPTION.
063000*
063100     PERFORM SS09PD-DOUBLE-ADD-DOUBLE
063200                                 THRU SS09PD-DAD-EXIT.
063300*
063400 Y039-VCD-EXIT.
063500     EXIT.
063600/
063700 Z000-COPIED-ROUTINES SECTION.
063800**********************************
063900*    JUL TO GREG DATE ROUTINE    *
064000**********************************
064100*
064200     COPY SS08PD.
064300/
064400     COPY SS26PD.
064500/
064600     COPY SS27PD.
064700/
064800*****************************
064900*    CHECK DIGIT ROUITNE    *
065000*****************************
065100*
065200     COPY SS09PD.
065300/
065400*********************************
065500*    LINE 24 PF KEYS ROUTINE    *
065600*********************************
065700*
065800     COPY SS15PD.
065900/
066000*******************************************
066100*    ORG FILE RECORD 1 ACCESS ROUTINES    *
066200*******************************************
066300*
066400     COPY MMOCAO.
066500/
066600*********************************************
066700*    MERCHANT MASTER RECORD ACCESS ROUTINES *
066800*********************************************
066900*
067000     COPY MMMMAO.
067100/
067200*********************************************
067300*    CHAIN MASTER RECORD ACCESS ROUTINES *
067400*********************************************
067500*
067600     COPY MMRCAO.
067700/
067800*****************************
067900*    ONLINE MAP ROUTINES    *
068000*****************************
068100*
068200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS00 '
068300                           MBMAPXXI BY MBIS00I
068400                           MBMAPXXO BY MBIS00O.
068500/
068600***************************
068700*    ONLINE PROCEDURES    *
068800***************************
068900*
069000     COPY MB70PD.
069100/
069200     COPY SMFTPXO.
