000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS03 - ON-LINE STATEMENT                              *
000800*                SCREEN 03                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS03 (SCREEN 03)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-RESERVE-ID-LINE.
003200     03  WS-RESV-ID-LIT1     PIC X(10)       VALUE
003300                      '  RESERVE '.
003400     03  WS-RESV-ID-NBR      PIC 9(01).
003500     03  WS-RESV-ID-DASH     PIC X(03)       VALUE ' - '.
003600     03  WS-RESV-ID-NAME     PIC X(30).
003700     03  WS-RESV-ID-LIT2     PIC X(28)       VALUE
003800                      '     NUMBER           AMOUNT'.
003900*
004000 01  WS-RESERVE-DESC-ENTRIES.
004100     03  WS-RESV-DESC-1.
004200         05  WS-DSC-1        PIC  X(41)      VALUE
004300                      '  BEGINNING BALANCE .....................'.
004400     03  WS-RESV-DESC-2.
004500         05  WS-LIT-2        PIC  X(10)      VALUE
004600                      '+ RESERVE '.
004700         05  WS-NBR-2        PIC  9(01).
004800         05  WS-DSC-2        PIC  X(30)      VALUE
004900                      ' FUNDING ..............'.
005000     03  WS-RESV-DESC-3.
005100         05  WS-LIT-3        PIC  X(10)      VALUE
005200                      '+ RESERVE '.
005300         05  WS-NBR-3        PIC  9(01).
005400         05  WS-DSC-3        PIC  X(30)      VALUE
005500                      ' MANUAL INCREASE ......'.
005600     03  WS-RESV-DESC-4.
005700         05  WS-LIT-4        PIC  X(10)      VALUE
005800                      '- RESERVE '.
005900         05  WS-NBR-4        PIC  9(01).
006000         05  WS-DSC-4        PIC  X(30)      VALUE
006100                      ' TO PROCESSOR .........'.
006200     03  WS-RESV-DESC-5.
006300         05  WS-LIT-5        PIC  X(10)      VALUE
006400                      '- RESERVE '.
006500         05  WS-NBR-5        PIC  9(01).
006600         05  WS-DSC-5        PIC  X(30)      VALUE
006700                      ' TO SETTLEMENT ........'.
006800     03  WS-RESV-DESC-6.
006900         05  WS-DSC-6        PIC  X(41)      VALUE
007000                      '  ENDING BALANCE ........................'.
007100*
007200 01  WS-RESV-DESC-ENTRIES    REDEFINES WS-RESERVE-DESC-ENTRIES.
007300     03  WS-TBL-ENT                          OCCURS 6 TIMES
007400                                             INDEXED BY
007500                                             X-WS-RDE.
007600         05  WS-RESV-DESC    PIC X(41).
007700         05  WS-RESV-DESC-X  REDEFINES WS-RESV-DESC.
007800             07  WS-RESV-LITERAL-1.
007900                 09  WS-RESV-LIT1
008000                             PIC  X(10).
008100             07  WS-RESV-NUMBER.
008200                 09  WS-RESV-NBR
008300                             PIC  9(01).
008400             07  WS-RESV-LITERAL-2.
008500                 09  WS-RESV-LIT2
008600                             PIC  X(30).
008700*
008800 01  FILLER                  PIC  X(17)      VALUE
008900     'PROGRAM SWITCHES:'.
009000*
009100 01  WS-SWITCHES.
009200     03  WS-DISPLAY-SCREEN   PIC  S9(01).
009300         88 WS-DISP-SCREEN-1                 VALUE +1.
009400         88 WS-DISP-SCREEN-2                 VALUE +2.
009500     03  WS-DISPLAY-RESV-AREA
009600                             PIC  S9(01).
009700         88 WS-DISP-RESV-AREA-1              VALUE +1.
009800         88 WS-DISP-RESV-AREA-2              VALUE +2.
009900     03  WS-READ-RESV-RECORD
010000                             PIC   X(04).
010100         88 WS-READ-RESV-NONE                VALUE '0000'.
010200         88 WS-READ-RESV-REC-1               VALUE '0201'.
010300         88 WS-READ-RESV-REC-2               VALUE '0202'.
010400         88 WS-READ-RESV-REC-3               VALUE '0203'.
010500         88 WS-READ-RESV-REC-4               VALUE '0204'.
010600     03  WS-DATA-AVAILABLE   PIC  S9(01).
010700         88 WS-HAVE-NO-DATA                  VALUE +1.
010800         88 WS-HAVE-DATA                     VALUE +2.
010900*
011000/
011100 01  FILLER                  PIC  X(22)      VALUE
011200     'STATEMENT WORK AREAS: '.
011300*
011400     COPY MB50WS.
011500/
011600 01  FILLER                  PIC  X(29)      VALUE
011700     'I/O REQUEST BLOCK WORK AREAS:'.
011800*
011900     COPY MBIOWS.
012000/
012100 01  FILLER                  PIC  X(18)      VALUE
012200     'I/O REQUEST BLOCK:'.
012300*
012400     COPY MBIORO.
012500/
012600 01  FILLER                  PIC  X(20)      VALUE
012700     'CCS DATE WORK AREAS:'.
012800*
012900     COPY SS01WS.
013000/
013100 01  FILLER                  PIC  X(15)      VALUE
013200     'CCS WORK AREAS:'.
013300*
013400     COPY SS08WS.
013500/
013600     COPY SS00WS.
013700/
013800     COPY SMFTWS.
013900/
014000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
014100/
014200     COPY MB61LK.
014300/
014400 01  FILLER                  PIC  X(28)      VALUE
014500     'DYNAMICALY CALLED SUBROUINES'.
014600*
014700     COPY MB00WS.
014800/
014900 01  FILLER                  PIC  X(36)      VALUE
015000     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
015100*
015200     COPY SS95WS.
015300*
015400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
015500/
015600 LINKAGE SECTION.
015700*
015800 01  DFHCOMMAREA.
015900*
016000     COPY MB60WS.
016100/
016200*********************************
016300*    ON-LINE STATEMENT MAP      *
016400*********************************
016500*
016600     COPY MBIS03.
016700/
016800**********************************************
016900*    ON-LINE STATEMENT MAP REDEFINITION      *
017000**********************************************
017100*
017200     COPY MBIS03R.
017300/
017400*********************************************
017500*    STATEMENT FILE 1 RECORD LAYOUT         *
017600*********************************************
017700*
017800     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
017900/
018000*********************************************
018100*    STATEMENT FILE 2 RECORD LAYOUT         *
018200*********************************************
018300*
018400     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
018500/
018600 PROCEDURE DIVISION.
018700*
018800 A000-HOUSEKEEPING SECTION.
018900*
019000 A020-INIT.
019100*
019200     IF  MBCA-EIBAID-CLEAR
019300         MOVE ZERO               TO MBCA-INDEX-1
019400         MOVE ZERO               TO MBCA-INDEX-2.
019500*
019600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
019700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
019800                                 THRU MB70PD-OLH-EXIT.
019900*
020000     SET SS95WS-FUNCTION-INITIALIZE
020100                            TO TRUE.
020200     PERFORM SS95PD-NAP-ROUTINE
020300        THRU SS95PD-NAP-EXIT.
020400*
020500     IF  MBCA-RECEIVE-SCREEN
020600         GO TO C000-RECEIVE-SCREEN.
020700/
020800 B000-SEND-SCREEN SECTION.
020900*
021000*********************************************
021100*    GET CICS STORAGE NEEDED FOR THE MAP    *
021200*********************************************
021300*
021400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
021500     PERFORM MB60PD-GETMAIN-FOR-MAP
021600                                 THRU MB60PD-GFM-EXIT.
021700*
021800*******************************************
021900*    INITIALIZE THE STANDARD MAP LINES    *
022000*******************************************
022100*
022200     PERFORM MB60PD-INIT-STD-MAP-LINES
022300                                 THRU MB60PD-ISML-EXIT.
022400*
022500     SET WS-DISP-RESV-AREA-1     TO TRUE.
022600     SET WS-HAVE-NO-DATA         TO TRUE.
022700*
022800********************************************
022900*    DETERMINE THE SCREEN BEING FORMATED   *
023000********************************************
023100*
023200     EVALUATE TRUE
023300         WHEN MBCA-INDEX-1 IS EQUAL TO +2
023400             SET WS-DISP-SCREEN-2
023500                                 TO TRUE
023600         WHEN OTHER
023700             MOVE +1             TO MBCA-INDEX-1
023800             SET WS-DISP-SCREEN-1
023900                                 TO TRUE
024000     END-EVALUATE.
024100*
024200*************************************************************
024300*    IF SCREEN 2 IS TO BE FORMATTED AND SETTLEMENT RECORD   *
024400*    4 HAS ALREADY BEEN READ EXIT THIS PROGRAM.             *
024500*************************************************************
024600*
024700     EVALUATE TRUE ALSO TRUE
024800         WHEN WS-DISP-SCREEN-2
024900         ALSO MBCA-INDEX-2 IS EQUAL TO +4
025000             MOVE ZERO           TO MBCA-INDEX-1
025100             MOVE ZERO           TO MBCA-INDEX-2
025200             GO TO F000-SETUP-COMMAREA
025300         WHEN OTHER
025400             CONTINUE
025500     END-EVALUATE.
025600*
025700 B200-FORMAT-SCREEN.
025800*
025900*********************************************************
026000*    DETERMINE WHICH STATEMENT RESERVE RECORD TO READ.  *
026100*    INDEX-2 WILL CONTAIN THE LAST STATEMENT (1-4)      *
026200*    RECORD READ.                                       *
026300*********************************************************
026400*
026500     EVALUATE TRUE
026600         WHEN MBCA-INDEX-2 IS EQUAL TO +1
026700             SET WS-READ-RESV-REC-2
026800                                 TO TRUE
026900             MOVE +2             TO MBCA-INDEX-2
027000         WHEN MBCA-INDEX-2 IS EQUAL TO +2
027100             SET WS-READ-RESV-REC-3
027200                                 TO TRUE
027300             MOVE +3             TO MBCA-INDEX-2
027400         WHEN MBCA-INDEX-2 IS EQUAL TO +3
027500             SET WS-READ-RESV-REC-4
027600                                 TO TRUE
027700             MOVE +4             TO MBCA-INDEX-2
027800         WHEN OTHER
027900             SET WS-READ-RESV-REC-1
028000                                 TO TRUE
028100             MOVE +1             TO MBCA-INDEX-2
028200     END-EVALUATE.
028300*
028400**********************************************************
028500*    READ THE STATEMENT FILE FOR FIRST RECORD            *
028600**********************************************************
028700*
028800     PERFORM Y100-READ-STATEMENT THRU Y199-RS-EXIT.
028900*
029000     IF  SS08WS-RC-FC-NOTFND
029100     AND WS-READ-RESV-REC-4
029200     AND WS-HAVE-DATA
029300         GO TO B900-SEND-MAP.
029400*
029500     IF  SS08WS-RC-FC-NOTFND
029600     AND WS-READ-RESV-REC-4
029700         GO TO F000-SETUP-COMMAREA.
029800*
029900     IF  SS08WS-RC-FC-NOTFND
030000         GO TO B200-FORMAT-SCREEN.
030100*
030200     MOVE MMS1-REC-TYPE-DATA     TO MB50WS-REC-ID-0201.
030300*
030400**********************************************************
030500*    CHECK AMOUNT FIELDS. IF ALL ZEROS READ NEXT RECORD  *
030600**********************************************************
030700*
030800     IF  MB50WS-RESV-1-BEG-BAL   IS EQUAL TO ZERO
030900     AND MB50WS-RESV-1-END-BAL   IS EQUAL TO ZERO
031000     AND MB50WS-RESV-1-FUNDING-AMT
031100                                 IS EQUAL TO ZERO
031200     AND MB50WS-RESV-1-INCREASE-AMT
031300                                 IS EQUAL TO ZERO
031400     AND MB50WS-RESV-1-TO-SETT-AMT
031500                                 IS EQUAL TO ZERO
031600     AND MB50WS-RESV-1-TO-PROC-AMT
031700                                 IS EQUAL TO ZERO
031800         GO TO B200-FORMAT-SCREEN
031900     END-IF.
032000*
032100     SET WS-HAVE-DATA            TO TRUE.
032200*
032300**************************
032400*    FORMAT THE MAP AREA *
032500**************************
032600*
032700     EVALUATE TRUE
032800         WHEN WS-DISP-RESV-AREA-1
032900             SET X-IS03-RD       TO +1
033000         WHEN OTHER
033100             SET X-IS03-RD       TO +2
033200     END-EVALUATE.
033300*
033400*********************************
033500*    FORMAT MAP STATIC FIELDS   *
033600*********************************
033700*
033800     EVALUATE TRUE
033900         WHEN MBCA-MBIS-CHAIN
034000              MOVE 'CHAIN'       TO IS03-MERCHANT-LIT
034100     END-EVALUATE.
034200*
034300     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
034400     MOVE MBCA-ORG               TO IS03-ORG.
034500     MOVE MBCA-MERCHANT          TO IS03-MERCHANT.
034600     MOVE MBCA-MBIS-NAME         TO IS03-NAME.
034700     MOVE MBCA-MBIS-STMT-DATE    TO IS03-STMT-DATE.
034800*
034900***************************************
035000*    FORMAT MAP RESERVE HEADER LINE   *
035100***************************************
035200*
035300     MOVE MBCA-INDEX-2           TO WS-RESV-ID-NBR.
035400     MOVE MB50WS-RESV-1-DESC     TO WS-RESV-ID-NAME.
035500     MOVE WS-RESERVE-ID-LINE     TO IS03-RESV-ID      (X-IS03-RD).
035600*
035700*********************************************
035800*    FORMAT REMAINDER OF THE RESERVE-AREA   *
035900*********************************************
036000*
036100     SET X-WS-RDE                TO +1.
036200     SET X-IS03-RL               TO +1.
036300*
036400     EVALUATE TRUE
036500         WHEN MBCA-MBIS-MERCH
036600              MOVE WS-RESV-DESC (X-WS-RDE)
036700                                 TO IS03-LINE-DESC
036800                                            (X-IS03-RD X-IS03-RL)
036900              MOVE SPACES        TO IS03-LINE-NBR
037000                                            (X-IS03-RD X-IS03-RL)
037100              MOVE MB50WS-RESV-1-BEG-BAL
037200                                 TO SS95WS-IN-AMT
037300              PERFORM SS95PD-NAP-ROUTINE
037400                                 THRU SS95PD-NAP-EXIT
037500              MOVE SS95WS-OUT-AMT-L22
037600                                 TO IS03-LINE-AMT
037700                                            (X-IS03-RD X-IS03-RL)
037800         WHEN OTHER
037900              MOVE SPACES        TO IS03-RESERVE-LINES
038000                                            (X-IS03-RD X-IS03-RL)
038100     END-EVALUATE.
038200*
038300     SET X-WS-RDE                TO +2.
038400     SET X-IS03-RL               TO +2.
038500     MOVE MBCA-INDEX-2           TO WS-RESV-NBR        (X-WS-RDE).
038600     MOVE WS-RESV-DESC (X-WS-RDE)
038700                                 TO IS03-LINE-DESC
038800                                            (X-IS03-RD X-IS03-RL).
038900     MOVE MB50WS-RESV-1-FUNDING-NBR
039000                                 TO SS95WS-IN-NBR.
039100     MOVE MB50WS-RESV-1-FUNDING-AMT
039200                                 TO SS95WS-IN-AMT.
039300     PERFORM SS95PD-NAP-ROUTINE
039400                                 THRU SS95PD-NAP-EXIT.
039500     MOVE SS95WS-OUT-NBR-L12     TO IS03-LINE-NBR
039600                                            (X-IS03-RD X-IS03-RL).
039700     MOVE SS95WS-OUT-AMT-L22     TO IS03-LINE-AMT
039800                                            (X-IS03-RD X-IS03-RL).
039900*
040000     SET X-WS-RDE                TO +3.
040100     SET X-IS03-RL               TO +3.
040200     MOVE MBCA-INDEX-2           TO WS-RESV-NBR (X-WS-RDE).
040300     MOVE WS-RESV-DESC (X-WS-RDE)
040400                                 TO IS03-LINE-DESC
040500                                            (X-IS03-RD X-IS03-RL).
040600     MOVE MB50WS-RESV-1-INCREASE-NBR
040700                                 TO SS95WS-IN-NBR.
040800     MOVE MB50WS-RESV-1-INCREASE-AMT
040900                                 TO SS95WS-IN-AMT.
041000     PERFORM SS95PD-NAP-ROUTINE
041100                                 THRU SS95PD-NAP-EXIT.
041200     MOVE SS95WS-OUT-NBR-L12     TO IS03-LINE-NBR
041300                                            (X-IS03-RD X-IS03-RL).
041400     MOVE SS95WS-OUT-AMT-L22     TO IS03-LINE-AMT
041500                                            (X-IS03-RD X-IS03-RL).
041600*
041700     SET X-WS-RDE                TO +4.
041800     SET X-IS03-RL               TO +4.
041900     MOVE MBCA-INDEX-2           TO WS-RESV-NBR        (X-WS-RDE).
042000     MOVE WS-RESV-DESC (X-WS-RDE)
042100                                 TO IS03-LINE-DESC
042200                                            (X-IS03-RD X-IS03-RL).
042300     MOVE MB50WS-RESV-1-TO-PROC-NBR
042400                                 TO SS95WS-IN-NBR.
042500     MOVE MB50WS-RESV-1-TO-PROC-AMT
042600                                 TO SS95WS-IN-AMT.
042700     PERFORM SS95PD-NAP-ROUTINE
042800                                 THRU SS95PD-NAP-EXIT.
042900     MOVE SS95WS-OUT-NBR-L12     TO IS03-LINE-NBR
043000                                            (X-IS03-RD X-IS03-RL).
043100     MOVE SS95WS-OUT-AMT-L22     TO IS03-LINE-AMT
043200                                            (X-IS03-RD X-IS03-RL).
043300*
043400     SET X-WS-RDE                TO +5.
043500     SET X-IS03-RL               TO +5.
043600     MOVE MBCA-INDEX-2           TO WS-RESV-NBR        (X-WS-RDE).
043700     MOVE WS-RESV-DESC (X-WS-RDE)
043800                                 TO IS03-LINE-DESC
043900                                            (X-IS03-RD X-IS03-RL).
044000     MOVE MB50WS-RESV-1-TO-SETT-NBR
044100                                 TO SS95WS-IN-NBR.
044200     MOVE MB50WS-RESV-1-TO-SETT-AMT
044300                                 TO SS95WS-IN-AMT.
044400     PERFORM SS95PD-NAP-ROUTINE
044500                                 THRU SS95PD-NAP-EXIT.
044600     MOVE SS95WS-OUT-NBR-L12     TO IS03-LINE-NBR
044700                                            (X-IS03-RD X-IS03-RL).
044800     MOVE SS95WS-OUT-AMT-L22     TO IS03-LINE-AMT
044900                                            (X-IS03-RD X-IS03-RL).
045000*
045100     EVALUATE TRUE
045200         WHEN MBCA-MBIS-MERCH
045300              SET X-WS-RDE       TO +6
045400              SET X-IS03-RL      TO +6
045500              MOVE WS-RESV-DESC (X-WS-RDE)
045600                                 TO IS03-LINE-DESC
045700                                            (X-IS03-RD X-IS03-RL)
045800              MOVE SPACES        TO IS03-LINE-NBR
045900                                            (X-IS03-RD X-IS03-RL)
046000              MOVE MB50WS-RESV-1-END-BAL
046100                                 TO SS95WS-IN-AMT
046200              PERFORM SS95PD-NAP-ROUTINE
046300                                 THRU SS95PD-NAP-EXIT
046400              MOVE SS95WS-OUT-AMT-L22
046500                                 TO IS03-LINE-AMT
046600                                            (X-IS03-RD X-IS03-RL)
046700         WHEN OTHER
046800              MOVE SPACES        TO IS03-RESERVE-LINES
046900                                            (X-IS03-RD X-IS03-RL)
047000     END-EVALUATE.
047100*
047200***************************************************
047300*    WHEN SETTLEMENT RECORD 4 HAS BEEN FORMATED   *
047400*    GET OUT.                                     *
047500***************************************************
047600*
047700     EVALUATE TRUE
047800         WHEN WS-READ-RESV-REC-4
047900             GO TO B900-SEND-MAP
048000         WHEN OTHER
048100             CONTINUE
048200     END-EVALUATE.
048300*
048400***************************************************
048500*    DETERMINE NEXT RESERVE AREA TO BE FORMATED   *
048600***************************************************
048700*
048800     EVALUATE TRUE
048900         WHEN WS-DISP-RESV-AREA-1
049000             SET WS-DISP-RESV-AREA-2
049100                                 TO TRUE
049200             GO TO B200-FORMAT-SCREEN
049300         WHEN OTHER
049400             CONTINUE
049500     END-EVALUATE.
049600*
049700***********************************************************
049800*    SET THE CURRENCY CODE, CURRENCY NOD                  *
049900*            PER ITEM NOD, PERCENT NOD.                   *
050000***********************************************************
050100     IF IS03-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
050200        PERFORM MB06PD-FORMAT-MESSAGE-LINE
050300                                 THRU MB06PD-FML-EXIT
050400        MOVE SS08WS-FORMATTED-MSG   TO IS03-ERR-MESSAGE
050500     END-IF.
050600*
050700**********************
050800*    SEND THE MAP    *
050900**********************
051000*
051100 B900-SEND-MAP.
051200*
051300     EVALUATE TRUE
051400         WHEN WS-DISP-SCREEN-1
051500             MOVE '*FWD*'        TO SS08WS-LINE-24-PF-KEY-FUNC(5)
051600             PERFORM Y200-SET-FWD-IND
051700                                 THRU Y299-SFI-EXIT
051800         WHEN OTHER
051900             MOVE '*BWD*'        TO SS08WS-LINE-24-PF-KEY-FUNC(5)
052000             MOVE DFHBMASB       TO IS03-BACK-IND-A
052100     END-EVALUATE.
052200*
052300     MOVE SS08WS-LINE-24         TO IS03-PF-KEYS.
052400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
052500     MOVE SS08WS-CURSOR          TO IS03-ALT-TRANID-L
052600     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
052700*
052800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
052900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
053000                                 THRU MB60PD-SMWE-EXIT.
053100*
053200************************
053300*    RETURN TO CICS    *
053400************************
053500*
053600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
053700     PERFORM MB70PD-RETURN-TRANS-ID
053800                                 THRU MB70PD-RTI-EXIT.
053900/
054000 C000-RECEIVE-SCREEN SECTION.
054100*
054200******************************************
054300*    THIS SECTION RECEIVES THE SCREEN    *
054400******************************************
054500*
054600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
054700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
054800*
054900**************************************************************
055000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
055100**************************************************************
055200*
055300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
055400     PERFORM MB60PD-NEW-TRANS-ROUTINE
055500                                 THRU MB60PD-NTR-EXIT.
055600*
055700**************************************************************
055800*    CHECK SCREEN FOR SCROLLING                              *
055900**************************************************************
056000*
056100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
056200*
056300     EVALUATE TRUE
056400         WHEN SS08WS-VALID-PF5
056500         WHEN SS08WS-EIBAID-VALID-PF5
056600             EVALUATE TRUE
056700                 WHEN MBCA-INDEX-1 IS EQUAL TO +1
056800                      PERFORM Y300-NEXT-SCROLL-RECORD
056900                                 THRU Y399-NSR-EXIT
057000                 WHEN OTHER
057100                     MOVE +1     TO MBCA-INDEX-1
057200                     MOVE +0     TO MBCA-INDEX-2
057300             END-EVALUATE
057400             MOVE 53             TO MBCA-SCREEN-NBR
057500             GO TO B000-SEND-SCREEN
057600         WHEN OTHER
057700             MOVE ZERO           TO MBCA-INDEX-1
057800             MOVE ZERO           TO MBCA-INDEX-2
057900     END-EVALUATE.
058000*
058100     IF  SS08WS-VALID-PF-KEY
058200     OR  SS08WS-EIBAID-VALID-PF-KEY
058300         SET MBCA-INITIAL-SCREEN-NBR
058400                                 TO TRUE.
058500*
058600/
058700 F000-SETUP-COMMAREA SECTION.
058800*
058900***************************************************************
059000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
059100***************************************************************
059200*
059300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
059400*
059500     PERFORM MB60PD-EDIT-PAGE-NBR
059600                                 THRU MB60PD-EPN-EXIT.
059700*
059800 F090-TRANSFER-XCTL.
059900*
060000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
060100     PERFORM MB70PD-XCTL-TO-MBOXCTL
060200                                 THRU MB70PD-XTM-EXIT.
060300/
060400 Y000-PERFORMED-ROUTINES SECTION.
060500*
060600****************************************
060700*    READ THE INDICATED STATEMENT FILE *
060800****************************************
060900*
061000 Y100-READ-STATEMENT.
061100*
061200**************************************************************
061300*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
061400*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
061500*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
061600**************************************************************
061700*
061800     EVALUATE TRUE ALSO TRUE
061900         WHEN MBCA-MBIS-MMS2
062000         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
062100              MOVE 'FC20'        TO MBCA-PROGRAM-LOCATION
062200              SET MBIORO-GETMAIN TO TRUE
062300              PERFORM MMS1AO-ACCESS
062400                                 THRU MMS1AO-ACCESS-EXIT
062500     END-EVALUATE.
062600*
062700     IF  MBCA-MBIS-MMS1
062800         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
062900         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
063000         MOVE MBCA-MBIS-STMT-ID-CODE
063100                                 TO MBIOWS-MMS1-STMT-ID-CODE
063200         MOVE WS-READ-RESV-RECORD
063300                                 TO MBIOWS-MMS1-REC-ID
063400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
063500         MOVE 'FC01'             TO MBCA-PROGRAM-LOCATION
063600         SET MBIORO-READ-RANDOM  TO TRUE
063700         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
063800     ELSE
063900         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
064000         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
064100         MOVE MBCA-MBIS-STMT-ID-CODE
064200                                 TO MBIOWS-MMS2-STMT-ID-CODE
064300         MOVE WS-READ-RESV-RECORD
064400                                 TO MBIOWS-MMS2-REC-ID
064500         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
064600         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
064700         SET MBIORO-READ-RANDOM  TO TRUE
064800         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
064900         MOVE MMS2-RECORD        TO MMS1-RECORD.
065000*
065100 Y199-RS-EXIT.
065200     EXIT.
065300*
065400**************************************************************
065500*    IF ANOTHER RESERVE SUMMARY RECORD IS ON FILE SET        *
065600*    THE FORWARD INDICATOR.                                  *
065700**************************************************************
065800*
065900 Y200-SET-FWD-IND.
066000*
066100     EVALUATE TRUE
066200         WHEN WS-READ-RESV-REC-2
066300             SET WS-READ-RESV-REC-3
066400                                 TO TRUE
066500         WHEN WS-READ-RESV-REC-3
066600             SET WS-READ-RESV-REC-4
066700                                 TO TRUE
066800         WHEN OTHER
066900             GO TO Y299-SFI-EXIT
067000     END-EVALUATE.
067100*
067200     PERFORM Y100-READ-STATEMENT THRU Y199-RS-EXIT.
067300*
067400     EVALUATE TRUE
067500         WHEN SS08WS-RC-FC-NOTFND
067600              EVALUATE TRUE
067700                  WHEN WS-READ-RESV-REC-4
067800                       CONTINUE
067900                  WHEN OTHER
068000                       GO TO Y200-SET-FWD-IND
068100              END-EVALUATE
068200         WHEN OTHER
068300              MOVE DFHBMASB      TO IS03-FWD-IND-A
068400     END-EVALUATE.
068500*
068600 Y299-SFI-EXIT.
068700     EXIT.
068800*
068900**************************************************************
069000*    DETERMINE IF DATA EXISTS FOR SCREEN 2 WHEN SCROLLING.   *
069100*        MBCA-INDEX-1:                                       *
069200*             1 = SCREEN 1 WAS LAST DISPLAYED                *
069300*             2 = SCREEN 2 WAS LAST DISPLAYED                *
069400*        MBCA-INDEX-2:                                       *
069500*             1-4  - LAST STATEMENT RECORD READ              *
069600**************************************************************
069700*
069800 Y300-NEXT-SCROLL-RECORD.
069900*
070000     EVALUATE TRUE
070100         WHEN MBCA-INDEX-2 IS EQUAL TO 4
070200              MOVE +1            TO MBCA-INDEX-1
070300              MOVE 0             TO MBCA-INDEX-2
070400              GO TO Y399-NSR-EXIT
070500     END-EVALUATE
070600*
070700     EVALUATE TRUE
070800         WHEN MBCA-INDEX-2 IS EQUAL TO 1
070900         WHEN MBCA-INDEX-2 IS EQUAL TO 2
071000              SET WS-READ-RESV-REC-3
071100                                 TO TRUE
071200         WHEN MBCA-INDEX-2 IS EQUAL TO 3
071300              SET WS-READ-RESV-REC-4
071400                                 TO TRUE
071500     END-EVALUATE.
071600*
071700 Y310-READ-NEXT-SCROLL-RECORD.
071800*
071900     PERFORM Y100-READ-STATEMENT
072000                                 THRU Y199-RS-EXIT
072100     EVALUATE TRUE
072200         WHEN SS08WS-RC-FC-NOTFND
072300              EVALUATE TRUE
072400                  WHEN WS-READ-RESV-REC-3
072500                       SET WS-READ-RESV-REC-4
072600                                 TO TRUE
072700                       GO TO Y310-READ-NEXT-SCROLL-RECORD
072800               END-EVALUATE
072900         WHEN OTHER
073000              CONTINUE
073100     END-EVALUATE.
073200*
073300     EVALUATE TRUE
073400         WHEN SS08WS-RC-FC-NOTFND
073500              MOVE +1            TO MBCA-INDEX-1
073600              MOVE 0             TO MBCA-INDEX-2
073700         WHEN OTHER
073800              MOVE +2            TO MBCA-INDEX-1
073900     END-EVALUATE.
074000*
074100 Y399-NSR-EXIT.
074200     EXIT.
074300/
074400 Z000-COPIED-ROUTINES SECTION.
074500*
074600**********************************
074700*    JUL TO GREG DATE ROUTINE    *
074800**********************************
074900*
075000     COPY SS08PD.
075100/
075200     COPY SS26PD.
075300/
075400     COPY SS27PD.
075500/
075600**********************************
075700*    GREG TO JUL DATE ROUTINE    *
075800**********************************
075900*
076000     COPY SS07PD.
076100/
076200*********************************
076300*    LINE 24 PF KEYS ROUTINE    *
076400*********************************
076500*
076600     COPY SS15PD.
076700/
076800***************************************************
076900*    STATEMENT FILE 1                             *
077000***************************************************
077100*
077200     COPY MMS1AO.
077300/
077400***************************************************
077500*    STATEMENT FILE 2                             *
077600***************************************************
077700*
077800     COPY MMS2AO.
077900/
078000***************************************************
078100*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
078200***************************************************
078300*
078400     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
078500/
078600*****************************
078700*    ONLINE MAP ROUTINES    *
078800*****************************
078900*
079000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS03 '
079100                           MBMAPXXI BY MBIS03I
079200                           MBMAPXXO BY MBIS03O.
079300/
079400***********************************
079500*    FORMAT MESSAGE LINE BUILDER  *
079600***********************************
079700*
079800     COPY MB06PD.
079900/
080000***************************
080100*    ONLINE PROCEDURES    *
080200***************************
080300*
080400     COPY MB70PD.
080500/
080600     COPY SMFTPXO.
