000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS06.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS06 - ON-LINE STATEMENT                              *
000800*                SCREEN 06                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS06 (SCREEN 06)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100*
002200 DATA DIVISION.
002300*
002400 WORKING-STORAGE SECTION.
002500*
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800 01  FILLER                  PIC  X(14)      VALUE
002900     'MISCELLANEOUS:'.
003000*
003100 01  WS-MISC-AREAS.
003200*
003300     03  WS-WORK-AREAS.
003400         05  WS-READ-REC-600 PIC  X(04)      VALUE '0600'.
003500         05  WS-SUB-TOT-NBR  PIC S9(12)      COMP-3 VALUE ZERO.
003600         05  WS-SUB-TOT-AMT  PIC S9(17)      COMP-3 VALUE ZERO.
003700         05  WS-NET-TOT-NBR  PIC S9(12)      COMP-3 VALUE ZERO.
003800         05  WS-NET-TOT-AMT  PIC S9(17)      COMP-3 VALUE ZERO.
003900         05  WS-HOLD-LM      PIC S9(03)      COMP-3 VALUE ZERO.
004000         05  WS-LAST-PAGE    PIC S9(04)      BINARY VALUE ZERO.
004100         05  WS-MBISTS-ITEM-NBR
004200                             PIC S9(04)      BINARY VALUE ZERO.
004300         05  WS-DESC-FIELD-BEG
004400                             PIC S9(04)      BINARY VALUE ZERO.
004500         05  WS-DESC-FIELD-TOT
004600                             PIC S9(04)      BINARY VALUE ZERO.
004700         05  WS-DESC-WORK-AREA
004800                             PIC  X(41).
004900*
005000     03  WS-TS-QUEUE-NAME.
005100         05  WS-TS-QN-TERMID PIC  X(04)      VALUE SPACES.
005200         05  WS-TS-QN-TRANID PIC  X(02)      VALUE 'IS'.
005300         05  WS-TS-QN-SCRNBR PIC  X(02)      VALUE '06'.
005400*
005500     03  WS-DISPLAY-FEE-LINES.
005600         05  WS-DISPLAY-FEE-LINE-X           OCCURS 16 TIMES
005700                                             INDEXED BY
005800                                             X-WS-FL.
005900             07  WS-DISPLAY-LINE.
006000                 09  WS-DISP-LINE.
006100                     11  WS-DISP-LINE-DESC
006200                             PIC  X(43).
006300                 09  WS-DISP-LINE-LIT.
006400                     11  WS-DISP-LINE-NBR
006500                             PIC  X(12).
006600                     11  WS-DISP-LINE-AMT
006700                             PIC  X(22).
006800*
006900*****************************************************************
007000*        SUB-TOTAL/NET LINE LITERALS                            *
007100*****************************************************************
007200*
007300     03  WS-USER-FEE-LITRALS.
007400         05  WS-LM-LIT-UFS   PIC  X(43)      VALUE
007500                    '  USER FEES SUB-TOTAL ...................  '.
007600         05  WS-LM-LIT-SFS   PIC  X(43)      VALUE
007700                    '  SYSTEM FEES SUB-TOTAL .................  '.
007800         05  WS-LM-LIT-IFS   PIC  X(43)      VALUE
007900                    '  INTERCHANGE FEES SUB-TOTAL ............  '.
008000         05  WS-LM-LIT-NFC   PIC  X(43)      VALUE
008100                    'NET FEES THIS CYCLE .....................  '.
008200*
008300     03  WS-STATEMENT-TABLE.
008400         05  WS-STMT-TABLE                   OCCURS 60 TIMES
008500                                             INDEXED BY
008600                                             X-WS-ST.
008700             07  WS-STMT-TBL-LM
008800                             PIC S9(03)      COMP-3.
008900             07  WS-STMT-TBL-NBR
009000                             PIC S9(09)      COMP-3.
009100             07  WS-STMT-TBL-AMT
009200                             PIC S9(17)      COMP-3.
009300*
009400 01  FILLER                  PIC  X(17)      VALUE
009500     'PROGRAM SWITCHES:'.
009600*
009700 01  WS-SWITCHES.
009800     03  WS-DATA-AVAILABLE   PIC  S9(01)     VALUE +1.
009900         88 WS-HAVE-NO-DATA                  VALUE +1.
010000         88 WS-HAVE-DATA                     VALUE +2.
010100     03  WS-REC-FEES         PIC  S9(01)     VALUE +1.
010200         88 WS-HAVE-NO-FEES                  VALUE +1.
010300         88 WS-HAVE-FEES                     VALUE +2.
010400     03  WS-DETAIL-AVAIL     PIC  S9(01)     VALUE +1.
010500         88 WS-HAVE-NO-DETAIL                VALUE +1.
010600         88 WS-HAVE-DETAIL                   VALUE +2.
010700     03  WS-READ-600-REC     PIC  S9(01)     VALUE +1.
010800         88 WS-HAVE-NO-600-REC               VALUE +1.
010900         88 WS-HAVE-600-REC                  VALUE +2.
011000     03  WS-TOTALS           PIC  S9(01)     VALUE +1.
011100         88 WS-HAVE-NO-TOTALS                VALUE +1.
011200         88 WS-HAVE-TOTALS                   VALUE +2.
011300     03  WS-FORMATTING-DATA  PIC   X(10)     VALUE 'C'.
011400         88 WS-FORMATING-USER                VALUE 'U'.
011500         88 WS-FORMATING-SYS                 VALUE 'S'.
011600         88 WS-FORMATING-INTCHG              VALUE 'I'.
011700         88 WS-FORMATING-NET                 VALUE 'N'.
011800*
011900/
012000 01  FILLER                  PIC  X(22)      VALUE
012100     'STATEMENT WORK AREAS: '.
012200*
012300     COPY MB50WS.
012400/
012500 01  FILLER                  PIC  X(29)      VALUE
012600     'I/O REQUEST BLOCK WORK AREAS:'.
012700*
012800     COPY MBIOWS.
012900/
013000 01  FILLER                  PIC  X(18)      VALUE
013100     'I/O REQUEST BLOCK:'.
013200*
013300     COPY MBIORO.
013400/
013500 01  FILLER                  PIC  X(24)      VALUE
013600     'LOGIC MODULE WORK AREA: '.
013700*
013800     COPY MMTCWS.
013900/
014000 01  FILLER                  PIC  X(20)      VALUE
014100     'CCS DATE WORK AREAS:'.
014200*
014300     COPY SS01WS.
014400/
014500 01  FILLER                  PIC  X(15)      VALUE
014600     'CCS WORK AREAS:'.
014700*
014800     COPY SS08WS.
014900/
015000     COPY SS00WS.
015100/
015200     COPY SMFTWS.
015300/
015400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
015500/
015600     COPY MB61LK.
015700/
015800 01  FILLER                  PIC  X(28)      VALUE
015900     'DYNAMICALY CALLED SUBROUINES'.
016000*
016100     COPY MB00WS.
016200/
016300 01  FILLER                  PIC  X(36)      VALUE
016400     'LOGIG MODULE DESCRIPTION TABLE      '.
016500*
016600     COPY MMGDTB.
016700/
016800 01  FILLER                  PIC  X(36)      VALUE
016900     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
017000*
017100     COPY SS95WS.
017200*
017300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
017400/
017500 LINKAGE SECTION.
017600*
017700 01  DFHCOMMAREA.
017800*
017900     COPY MB60WS.
018000/
018100*********************************
018200*    ON-LINE STATEMENT MAP      *
018300*********************************
018400*
018500     COPY MBIS06.
018600/
018700**********************************************
018800*    ON-LINE STATEMENT MAP REDEFINITION      *
018900**********************************************
019000*
019100     COPY MBIS06R.
019200/
019300******************************************
019400*    ORGANIZATION CONTROL RECORD LAYOUT  *
019500******************************************
019600*
019700     COPY MMOCRL.
019800/
019900*********************************************
020000*    STATEMENT FILE 1 RECORD LAYOUT         *
020100*********************************************
020200*
020300     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
020400/
020500*********************************************
020600*    STATEMENT FILE 2 RECORD LAYOUT         *
020700*********************************************
020800*
020900     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
021000*
021100*********************************************
021200*    TEMPORARY STORAGE RECORD               *
021300*********************************************
021400*
021500     COPY MBISTS.
021600/
021700 PROCEDURE DIVISION.
021800*
021900 A000-HOUSEKEEPING SECTION.
022000*
022100 A020-INIT.
022200*
022300     IF  MBCA-EIBAID-CLEAR
022400         PERFORM Y980-TEMP-STORAGE-DELETE
022500                                 THRU Y989-TSD-EXIT.
022600*
022700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
022800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
022900                                 THRU MB70PD-OLH-EXIT.
023000*
023100     SET SS95WS-FUNCTION-INITIALIZE
023200                           TO TRUE.
023300     PERFORM SS95PD-NAP-ROUTINE
023400        THRU SS95PD-NAP-EXIT.
023500*
023600     MOVE MBCA-TERMINAL-ID       TO WS-TS-QN-TERMID.
023700     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
023800*
023900     IF  MBCA-RECEIVE-SCREEN
024000         GO TO C000-RECEIVE-SCREEN.
024100/
024200 B000-SEND-SCREEN SECTION.
024300*
024400*********************************************
024500*    GET CICS STORAGE NEEDED FOR THE MAP    *
024600*********************************************
024700*
024800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
024900     PERFORM MB60PD-GETMAIN-FOR-MAP
025000                                 THRU MB60PD-GFM-EXIT.
025100*
025200*******************************************
025300*    INITIALIZE THE STANDARD MAP LINES    *
025400*******************************************
025500*
025600     PERFORM MB60PD-INIT-STD-MAP-LINES
025700                                 THRU MB60PD-ISML-EXIT.
025800*
025900 B200-FORMAT-SCREEN.
026000*
026100****************************************************************
026200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
026300****************************************************************
026400*
026500     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
026600     PERFORM Y960-TEMP-STORAGE-GETMAIN
026700                                 THRU Y969-TSG-EXIT.
026800*
026900     EXEC CICS HANDLE CONDITION
027000               QIDERR (B400-LOAD-DATA)
027100               ITEMERR (B300-DELETE-TEMP-STORAGE)
027200          END-EXEC.
027300*
027400***********************************************
027500*    READ THE TEMP STORAGE RECORD             *
027600***********************************************
027700*
027800     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
027900     PERFORM Y970-TEMP-STORAGE-READ
028000                                 THRU Y979-TSR-EXIT.
028100     GO TO B500-BYPASS-FORMAT-TS.
028200*
028300***********************************************
028400*    DELETE TEMP STORAGE                      *
028500***********************************************
028600*
028700 B300-DELETE-TEMP-STORAGE.
028800*
028900     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
029000     PERFORM Y980-TEMP-STORAGE-DELETE
029100                                 THRU Y989-TSD-EXIT.
029200*
029300 B400-LOAD-DATA.
029400*
029500************************************************
029600*    READ THE ORGANIZATION RECORD.             *
029700************************************************
029800*
029900     MOVE MBCA-ORG               TO MBIOWS-MMOC-ORG.
030000     MOVE 'OC01'                 TO MBCA-PROGRAM-LOCATION.
030100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030200     SET MBIORO-READ-RANDOM      TO TRUE.
030300     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
030400*
030500************************************************************
030600*    SINCE THERE WAS NO TEMPORARY STORAGE RECORD THIS IS   *
030700*    THE FIRST TIME IN THIS PROGRAM. READ THE STATEMENT    *
030800*    FILE AND FORMAT THE TEMPORARY STORAGE RECORD WITH     *
030900*    ALL THE SCREEN DATA REQUIRED FOR ALL PAGES TO BE      *
031000*    DISPLAYED. SET THE CURRENT PAGE TO +1. IF THERE IS    *
031100*    NO DATA TO BE DISPLAYED GET OUT OF THIS PROGRAM.      *
031200************************************************************
031300*
031400     INITIALIZE MBISTS-DATA-AREA.
031500     INITIALIZE WS-DISPLAY-FEE-LINES.
031600     SET WS-HAVE-NO-DATA         TO TRUE.
031700     SET WS-HAVE-NO-DETAIL       TO TRUE.
031800     SET X-WS-FL                 TO +1.
031900     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
032000     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
032100*
032200     PERFORM Y600-LOAD-MB50WS-600
032300                                 THRU Y649-LM6-EXIT.
032400*
032500     EVALUATE TRUE
032600         WHEN WS-HAVE-NO-600-REC
032700              GO TO F000-SETUP-COMMAREA
032800     END-EVALUATE.
032900*
033000************************************************************
033100*    FORMAT USER FEES PORTION OF THE DISPLAYS              *
033200************************************************************
033300*
033400     PERFORM
033500         VARYING X-MB50WS-FEE FROM +1 BY +1
033600         UNTIL X-MB50WS-FEE      IS GREATER THAN +60
033700         OR    MB50WS-FEE-LM     (X-MB50WS-FEE)
033800                                 IS EQUAL TO 900
033900             MOVE MB50WS-FEE-LM  (X-MB50WS-FEE)
034000                                 TO MMTCWS-LOGIC-MODULE
034100             EVALUATE TRUE
034200                 WHEN MMTCWS-LM-USER-FEES
034300                      SET WS-FORMATING-USER
034400                                 TO TRUE
034500                      PERFORM Y200-FORMAT-FEE-DATA
034600                                 THRU Y299-FFD-EXIT
034700             END-EVALUATE
034800     END-PERFORM.
034900*
035000     EVALUATE TRUE
035100         WHEN WS-HAVE-DETAIL
035200              PERFORM Y440-DISPLAY-SUB-TOT
035300                                 THRU Y449-DST-EXIT
035400     END-EVALUATE.
035500*
035600************************************************************
035700*    FORMAT SYSTEM FEES PORTION OF THE DISPLAYES           *
035800************************************************************
035900*
036000     PERFORM
036100         VARYING X-MB50WS-FEE FROM +1 BY +1
036200         UNTIL X-MB50WS-FEE      IS GREATER THAN +60
036300         OR    MB50WS-FEE-LM     (X-MB50WS-FEE)
036400                                 IS EQUAL TO 900
036500             MOVE MB50WS-FEE-LM  (X-MB50WS-FEE)
036600                                 TO MMTCWS-LOGIC-MODULE
036700             EVALUATE TRUE
036800                 WHEN MMTCWS-LM-SYSTEM-FEES
036900                      SET WS-FORMATING-SYS
037000                                 TO TRUE
037100                      PERFORM Y200-FORMAT-FEE-DATA
037200                                 THRU Y299-FFD-EXIT
037300             END-EVALUATE
037400     END-PERFORM.
037500*
037600     EVALUATE TRUE
037700         WHEN WS-HAVE-DETAIL
037800              PERFORM Y440-DISPLAY-SUB-TOT
037900                                 THRU Y449-DST-EXIT
038000     END-EVALUATE.
038100*
038200************************************************************
038300*    FORMAT INTERCHANGE FEES PORTION OF THE DISPLAYES      *
038400************************************************************
038500*
038600     PERFORM
038700         VARYING X-MB50WS-FEE FROM +1 BY +1
038800         UNTIL X-MB50WS-FEE      IS GREATER THAN +60
038900         OR    MB50WS-FEE-LM     (X-MB50WS-FEE)
039000                                 IS EQUAL TO 900
039100             MOVE MB50WS-FEE-LM  (X-MB50WS-FEE)
039200                                 TO MMTCWS-LOGIC-MODULE
039300             EVALUATE TRUE
039400                 WHEN MMTCWS-LM-INTCHG-FEES
039500                      SET WS-FORMATING-INTCHG
039600                                 TO TRUE
039700                      PERFORM Y200-FORMAT-FEE-DATA
039800                                 THRU Y299-FFD-EXIT
039900             END-EVALUATE
040000     END-PERFORM.
040100*
040200     EVALUATE TRUE
040300         WHEN WS-HAVE-TOTALS
040400              PERFORM Y440-DISPLAY-SUB-TOT
040500                                 THRU Y449-DST-EXIT
040600     END-EVALUATE.
040700*
040800     EVALUATE TRUE
040900         WHEN WS-HAVE-NO-DATA
041000              GO TO F000-SETUP-COMMAREA
041100     END-EVALUATE.
041200*
041300     SET WS-FORMATING-NET        TO TRUE.
041400     SET WS-HAVE-TOTALS          TO TRUE.
041500     PERFORM Y440-DISPLAY-SUB-TOT
041600                                 THRU Y449-DST-EXIT.
041700     PERFORM Y530-MOVE-TO-TS     THRU Y539-MTT-EXIT.
041800*
041900     MOVE +1                     TO MBCA-MBIS-CURRENT-PAGE.
042000     MOVE WS-LAST-PAGE           TO MBCA-MBIS-LAST-PAGE.
042100*
042200***********************************************************
042300*    READ THE TEMP STORAGE RECORD TO GET THE FIRST PAGE   *
042400***********************************************************
042500*
042600     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
042700     PERFORM Y970-TEMP-STORAGE-READ
042800                                 THRU Y979-TSR-EXIT.
042900*
043000*********************************
043100*    FORMAT MAP STATIC FIELDS   *
043200*********************************
043300*
043400 B500-BYPASS-FORMAT-TS.
043500*
043600     EVALUATE TRUE
043700         WHEN MBCA-MBIS-CHAIN
043800              MOVE 'CHAIN'       TO IS06-MERCHANT-LIT
043900     END-EVALUATE.
044000*
044100     MOVE MBCA-ORG               TO IS06-ORG.
044200     MOVE MBCA-MERCHANT          TO IS06-MERCHANT.
044300     MOVE MBCA-MBIS-NAME         TO IS06-NAME.
044400     MOVE MBCA-MBIS-STMT-DATE    TO IS06-STMT-DATE.
044500*
044600 B800-SEND-MAP.
044700*
044800********************************************************
044900*    MOVE THE WS DISPLAY LINES TO THE SCREEN           *
045000********************************************************
045100*
045200     PERFORM Y540-MOVE-TS-TO-MAP THRU Y549-MTTM-EXIT.
045300*
045400 B900-SEND-MAP.
045500*
045600     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
045700     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
045800     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
045900     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
046000     MOVE SS08WS-LINE-24         TO IS06-PF-KEYS.
046100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
046200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
046300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
046400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
046500*
046600***********************************************************
046700*    SET THE CURRENCY CODE, CURRENCY NOD                  *
046800*            PER ITEM NOD, PERCENT NOD.                   *
046900***********************************************************
047000     IF IS06-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
047100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
047200                                 THRU MB06PD-FML-EXIT
047300        MOVE SS08WS-FORMATTED-MSG   TO IS06-ERR-MESSAGE
047400     END-IF.
047500*
047600     MOVE SS08WS-CURSOR          TO IS06-ALT-TRANID-L.
047700     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
047800*
047900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
048000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
048100                                 THRU MB60PD-SMWE-EXIT.
048200*
048300************************
048400*    RETURN TO CICS    *
048500************************
048600*
048700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
048800     PERFORM MB70PD-RETURN-TRANS-ID
048900                                 THRU MB70PD-RTI-EXIT.
049000/
049100 C000-RECEIVE-SCREEN SECTION.
049200*
049300******************************************
049400*    THIS SECTION RECEIVES THE SCREEN    *
049500******************************************
049600*
049700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
049800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
049900*
050000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
050100*
050200****************************************************************
050300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
050400****************************************************************
050500*
050600     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
050700     PERFORM Y960-TEMP-STORAGE-GETMAIN
050800                                 THRU Y969-TSG-EXIT.
050900*
051000***********************************************
051100*    READ THE TEMP STORAGE RECORD             *
051200***********************************************
051300*
051400     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
051500     PERFORM Y970-TEMP-STORAGE-READ
051600                                 THRU Y979-TSR-EXIT.
051700*
051800***********************************************
051900*    IF PF3, PF4, PF5, OR PF6 WAS PRESSED     *
052000*    DO NOT DELETE TEMPORARY STORAGE.         *
052100***********************************************
052200*
052300     IF  SS08WS-VALID-PF3
052400     OR  SS08WS-EIBAID-VALID-PF3
052500     OR  SS08WS-VALID-PF4
052600     OR  SS08WS-EIBAID-VALID-PF4
052700     OR  SS08WS-VALID-PF5
052800     OR  SS08WS-EIBAID-VALID-PF5
052900     OR  SS08WS-VALID-PF6
053000     OR  SS08WS-EIBAID-VALID-PF6
053100         CONTINUE
053200     ELSE
053300         PERFORM Y980-TEMP-STORAGE-DELETE
053400                                 THRU Y989-TSD-EXIT
053500     END-IF.
053600*
053700**************************************************************
053800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
053900**************************************************************
054000*
054100 C050-CHECK-NEW-TRANS.
054200*
054300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
054400     PERFORM MB60PD-NEW-TRANS-ROUTINE
054500                                 THRU MB60PD-NTR-EXIT.
054600*
054700**************************************************************
054800*    CHECK SCREEN FOR SCROLLING                              *
054900**************************************************************
055000*
055100     IF  SS08WS-VALID-PF3
055200     OR  SS08WS-EIBAID-VALID-PF3
055300         MOVE 56                 TO MBCA-SCREEN-NBR
055400         MOVE +1                 TO MBCA-MBIS-CURRENT-PAGE
055500         GO TO F090-TRANSFER-XCTL.
055600*
055700     IF  SS08WS-VALID-PF4
055800     OR  SS08WS-EIBAID-VALID-PF4
055900         MOVE 56                 TO MBCA-SCREEN-NBR
056000         MOVE MBCA-MBIS-LAST-PAGE
056100                                 TO MBCA-MBIS-CURRENT-PAGE
056200         GO TO F090-TRANSFER-XCTL.
056300*
056400     IF  SS08WS-VALID-PF5
056500     OR  SS08WS-EIBAID-VALID-PF5
056600         MOVE 56                 TO MBCA-SCREEN-NBR
056700         COMPUTE MBCA-MBIS-CURRENT-PAGE
056800                                 = MBCA-MBIS-CURRENT-PAGE + 1
056900         EVALUATE TRUE
057000             WHEN MBCA-MBIS-CURRENT-PAGE
057100                             IS GREATER THAN MBCA-MBIS-LAST-PAGE
057200             MOVE MBCA-MBIS-LAST-PAGE
057300                                 TO MBCA-MBIS-CURRENT-PAGE
057400         END-EVALUATE
057500         GO TO F090-TRANSFER-XCTL.
057600*
057700     IF  SS08WS-VALID-PF6
057800     OR  SS08WS-EIBAID-VALID-PF6
057900         MOVE 56                 TO MBCA-SCREEN-NBR
058000         COMPUTE MBCA-MBIS-CURRENT-PAGE
058100                                 = MBCA-MBIS-CURRENT-PAGE - 1
058200         EVALUATE TRUE
058300             WHEN MBCA-MBIS-CURRENT-PAGE
058400                                 IS LESS THAN +1
058500             MOVE +1             TO MBCA-MBIS-CURRENT-PAGE
058600         END-EVALUATE
058700         GO TO F090-TRANSFER-XCTL.
058800*
058900     IF  SS08WS-VALID-PF-KEY
059000     OR  SS08WS-EIBAID-VALID-PF-KEY
059100         SET MBCA-INITIAL-SCREEN-NBR
059200                                 TO TRUE.
059300/
059400 F000-SETUP-COMMAREA SECTION.
059500*
059600***************************************************************
059700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
059800***************************************************************
059900*
060000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
060100*
060200     PERFORM MB60PD-EDIT-PAGE-NBR
060300                                 THRU MB60PD-EPN-EXIT.
060400*
060500 F090-TRANSFER-XCTL.
060600*
060700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
060800     PERFORM MB70PD-XCTL-TO-MBOXCTL
060900                                 THRU MB70PD-XTM-EXIT.
061000/
061100 Y000-PERFORMED-ROUTINES SECTION.
061200*
061300*************************************************************
061400*    FORMAT THE SCREEN WITH FEE SUMMARY DATA.               *
061500*    RECORD-ID = 0600.                                      *
061600*************************************************************
061700*
061800 Y200-FORMAT-FEE-DATA.
061900*
062000     SET WS-HAVE-DATA            TO TRUE.
062100     SET WS-HAVE-DETAIL          TO TRUE.
062200     SET WS-HAVE-TOTALS          TO TRUE.
062300*
062400     EVALUATE TRUE
062500         WHEN X-WS-FL            IS EQUAL TO +1
062600              MOVE '     NUMBER           AMOUNT'
062700                                 TO WS-DISP-LINE-LIT    (X-WS-FL)
062800     END-EVALUATE.
062900*
063000     SET X-WS-FL                 UP BY +1.
063100*
063200     PERFORM Y700-SEARCH-MMGDTB  THRU Y709-SM-EXIT.
063300     MOVE MMGDTB-DT-DESC         (X-MMGDTB-DT-SEARCH)
063400                                 TO WS-DISP-LINE-DESC   (X-WS-FL).
063500     PERFORM Y720-DOT-THE-DESC   THRU Y729-DTD-EXIT.
063600*
063700     EVALUATE TRUE ALSO TRUE
063800         WHEN MMTCWS-LM-USER-FEE-01
063900         ALSO MMOC-UF-TITLES-DESC (1)
064000                                 IS NOT EQUAL TO SPACES
064100              MOVE MMOC-UF-TITLES-DESC (1)
064200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
064300         WHEN MMTCWS-LM-USER-FEE-02
064400         ALSO MMOC-UF-TITLES-DESC (2)
064500                                 IS NOT EQUAL TO SPACES
064600              MOVE MMOC-UF-TITLES-DESC (2)
064700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
064800         WHEN MMTCWS-LM-USER-FEE-03
064900         ALSO MMOC-UF-TITLES-DESC (3)
065000                                 IS NOT EQUAL TO SPACES
065100              MOVE MMOC-UF-TITLES-DESC (3)
065200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
065300         WHEN MMTCWS-LM-USER-FEE-04
065400         ALSO MMOC-UF-TITLES-DESC (4)
065500                                 IS NOT EQUAL TO SPACES
065600              MOVE MMOC-UF-TITLES-DESC (4)
065700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
065800         WHEN MMTCWS-LM-USER-FEE-05
065900         ALSO MMOC-UF-TITLES-DESC (5)
066000                                 IS NOT EQUAL TO SPACES
066100              MOVE MMOC-UF-TITLES-DESC (5)
066200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
066300         WHEN MMTCWS-LM-USER-FEE-06
066400         ALSO MMOC-UF-TITLES-DESC (6)
066500                                 IS NOT EQUAL TO SPACES
066600              MOVE MMOC-UF-TITLES-DESC (6)
066700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
066800         WHEN MMTCWS-LM-USER-FEE-07
066900         ALSO MMOC-UF-TITLES-DESC (7)
067000                                 IS NOT EQUAL TO SPACES
067100              MOVE MMOC-UF-TITLES-DESC (7)
067200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
067300         WHEN MMTCWS-LM-USER-FEE-08
067400         ALSO MMOC-UF-TITLES-DESC (8)
067500                                 IS NOT EQUAL TO SPACES
067600              MOVE MMOC-UF-TITLES-DESC (8)
067700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
067800         WHEN MMTCWS-LM-IMP-1-FEE
067900         ALSO MBCA-MBIS-TITLE (1)
068000                                 IS NOT EQUAL TO SPACES
068100              MOVE MBCA-MBIS-TITLE (1)
068200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
068300         WHEN MMTCWS-LM-IMP-2-FEE
068400         ALSO MBCA-MBIS-TITLE (2)
068500                                 IS NOT EQUAL TO SPACES
068600              MOVE MBCA-MBIS-TITLE (2)
068700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
068800         WHEN MMTCWS-LM-IMP-3-FEE
068900         ALSO MBCA-MBIS-TITLE (3)
069000                                 IS NOT EQUAL TO SPACES
069100              MOVE MBCA-MBIS-TITLE (3)
069200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
069300         WHEN MMTCWS-LM-POS-1-DEV-FEE
069400         ALSO MBCA-MBIS-TITLE (4)
069500                                 IS NOT EQUAL TO SPACES
069600              MOVE MBCA-MBIS-TITLE (4)
069700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
069800         WHEN MMTCWS-LM-POS-2-DEV-FEE
069900         ALSO MBCA-MBIS-TITLE (5)
070000                                 IS NOT EQUAL TO SPACES
070100              MOVE MBCA-MBIS-TITLE (5)
070200                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
070300         WHEN MMTCWS-LM-POS-3-DEV-FEE
070400         ALSO MBCA-MBIS-TITLE (6)
070500                                 IS NOT EQUAL TO SPACES
070600              MOVE MBCA-MBIS-TITLE (6)
070700                   TO WS-DISP-LINE-DESC  (X-WS-FL) (27:15)
070800     END-EVALUATE.
070900*
071000     MOVE MB50WS-FEE-NBR         (X-MB50WS-FEE)
071100                                 TO SS95WS-IN-NBR.
071200     MOVE MB50WS-FEE-AMT         (X-MB50WS-FEE)
071300                                 TO SS95WS-IN-AMT.
071400     PERFORM SS95PD-NAP-ROUTINE
071500                                 THRU SS95PD-NAP-EXIT.
071600     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-FL).
071700     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-FL).
071800     ADD SS95WS-IN-NBR           TO WS-SUB-TOT-NBR.
071900     ADD SS95WS-IN-AMT           TO WS-SUB-TOT-AMT.
072000     ADD SS95WS-IN-NBR           TO WS-NET-TOT-NBR.
072100     ADD SS95WS-IN-AMT           TO WS-NET-TOT-AMT.
072200*
072300     EVALUATE TRUE
072400         WHEN X-WS-FL    IS GREATER THAN +15
072500              PERFORM Y530-MOVE-TO-TS
072600                                 THRU Y539-MTT-EXIT
072700     END-EVALUATE.
072800*
072900 Y299-FFD-EXIT.
073000     EXIT.
073100*
073200/
073300*************************************************************
073400*    MOVE SUB-TOTAL STAT TO THE DISPLAY AREA                *
073500*************************************************************
073600*
073700 Y440-DISPLAY-SUB-TOT.
073800*
073900     EVALUATE TRUE
074000         WHEN WS-HAVE-NO-TOTALS
074100              GO TO Y449-DST-EXIT
074200     END-EVALUATE.
074300*
074400     SET WS-HAVE-DETAIL          TO TRUE.
074500     SET X-WS-FL                 UP BY +1.
074600*
074700     EVALUATE TRUE
074800         WHEN WS-FORMATING-USER
074900              MOVE WS-LM-LIT-UFS TO WS-DISP-LINE-DESC   (X-WS-FL)
075000         WHEN WS-FORMATING-SYS
075100              MOVE WS-LM-LIT-SFS TO WS-DISP-LINE-DESC   (X-WS-FL)
075200         WHEN WS-FORMATING-INTCHG
075300              MOVE WS-LM-LIT-IFS TO WS-DISP-LINE-DESC   (X-WS-FL)
075400         WHEN WS-FORMATING-NET
075500              MOVE WS-LM-LIT-NFC TO WS-DISP-LINE-DESC   (X-WS-FL)
075600     END-EVALUATE.
075700*
075800     EVALUATE TRUE
075900         WHEN WS-FORMATING-NET
076000              MOVE WS-NET-TOT-NBR
076100                                 TO SS95WS-IN-NBR
076200              MOVE WS-NET-TOT-AMT
076300                                 TO SS95WS-IN-AMT
076400         WHEN OTHER
076500              MOVE WS-SUB-TOT-NBR
076600                                 TO SS95WS-IN-NBR
076700              MOVE WS-SUB-TOT-AMT
076800                                 TO SS95WS-IN-AMT
076900     END-EVALUATE.
077000*
077100     PERFORM SS95PD-NAP-ROUTINE
077200                                 THRU SS95PD-NAP-EXIT.
077300     MOVE SS95WS-OUT-NBR-L12     TO WS-DISP-LINE-NBR    (X-WS-FL).
077400     MOVE SS95WS-OUT-AMT-L22     TO WS-DISP-LINE-AMT    (X-WS-FL).
077500     MOVE ZERO                   TO WS-SUB-TOT-NBR.
077600     MOVE ZERO                   TO WS-SUB-TOT-AMT.
077700*
077800     EVALUATE TRUE
077900         WHEN X-WS-FL   IS LESS THAN +16
078000              SET X-WS-FL        UP BY +1
078100              MOVE SPACES        TO WS-DISP-LINE-DESC   (X-WS-FL)
078200     END-EVALUATE.
078300*
078400     EVALUATE TRUE
078500         WHEN X-WS-FL   IS GREATER THAN +15
078600              PERFORM Y530-MOVE-TO-TS
078700                                 THRU Y539-MTT-EXIT
078800     END-EVALUATE.
078900*
079000     SET WS-HAVE-NO-TOTALS       TO TRUE.
079100*
079200 Y449-DST-EXIT.
079300     EXIT.
079400/
079500******************************************************************
079600*    MOVE SCREEN DATA LINES TO TEMP STORAGE RECORD.              *
079700******************************************************************
079800*
079900 Y530-MOVE-TO-TS.
080000*
080100     EVALUATE TRUE
080200         WHEN WS-HAVE-NO-DETAIL
080300              GO TO Y539-MTT-EXIT
080400     END-EVALUATE.
080500*
080600     SET X-MBISTS-DA             TO +1.
080700*
080800     PERFORM
080900         VARYING X-WS-FL FROM +1 BY +1
081000         UNTIL X-WS-FL           IS GREATER THAN +16
081100             MOVE WS-DISPLAY-LINE                       (X-WS-FL)
081200                                 TO MBISTS-LINE     (X-MBISTS-DA)
081300             SET X-MBISTS-DA     UP BY +1
081400     END-PERFORM.
081500*
081600     INITIALIZE WS-DISPLAY-FEE-LINES.
081700     SET X-WS-FL                 TO +1.
081800     SET WS-HAVE-NO-DETAIL       TO TRUE.
081900     PERFORM Y990-TEMP-STORAGE-WRITE
082000                                 THRU Y999-TSW-EXIT.
082100*
082200 Y539-MTT-EXIT.
082300     EXIT.
082400/
082500******************************************************************
082600*    MOVE TEMP STORAGE DATA TO THE MAP                           *
082700******************************************************************
082800*
082900 Y540-MOVE-TS-TO-MAP.
083000*
083100     SET X-MBISTS-DA             TO +1.
083200*
083300     PERFORM
083400         VARYING X-IS06-FL FROM +1 BY +1
083500         UNTIL X-IS06-FL         IS GREATER THAN +16
083600             MOVE MBISTS-LINE    (X-MBISTS-DA)
083700                                 TO IS06-FEE-LINE     (X-IS06-FL)
083800             SET X-MBISTS-DA     UP BY +1
083900     END-PERFORM.
084000*
084100     EVALUATE TRUE ALSO TRUE
084200         WHEN MBCA-MBIS-CURRENT-PAGE
084300                                 IS EQUAL TO +1
084400         ALSO MBCA-MBIS-CURRENT-PAGE
084500                                 IS LESS THAN MBCA-MBIS-LAST-PAGE
084600              MOVE DFHBMASB      TO IS06-FWD-IND-A
084700         WHEN MBCA-MBIS-CURRENT-PAGE
084800                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
084900         ALSO MBCA-MBIS-CURRENT-PAGE
085000                                 IS GREATER THAN +1
085100              MOVE DFHBMASB      TO IS06-BACK-IND-A
085200         WHEN MBCA-MBIS-CURRENT-PAGE
085300                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
085400         ALSO MBCA-MBIS-CURRENT-PAGE
085500                                 IS EQUAL TO +1
085600              CONTINUE
085700         WHEN OTHER
085800              MOVE DFHBMASB      TO IS06-FWD-IND-A
085900              MOVE DFHBMASB      TO IS06-BACK-IND-A
086000     END-EVALUATE.
086100*
086200 Y549-MTTM-EXIT.
086300     EXIT.
086400/
086500******************************************************************
086600*    LOAD THE MB50WS RECORD 600 DATA AREA WITH FIELDS CONTAINED  *
086700*    ON THE STATEMENT FILE. IT IS POSSIBLE TO HAVE MORE THAN 1   *
086800*    STATEMENT RECORD.                                           *
086900******************************************************************
087000*
087100 Y600-LOAD-MB50WS-600.
087200*
087300**************************************************************
087400*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
087500*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
087600*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
087700**************************************************************
087800*
087900     EVALUATE TRUE ALSO TRUE
088000         WHEN MBCA-MBIS-MMS2
088100         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
088200              MOVE 'FC20'        TO MBCA-PROGRAM-LOCATION
088300              SET MBIORO-GETMAIN TO TRUE
088400              PERFORM MMS1AO-ACCESS
088500                                 THRU MMS1AO-ACCESS-EXIT
088600     END-EVALUATE.
088700*
088800****************************************************************
088900*    START BROWSE THE STATEMENT FILE                           *
089000****************************************************************
089100*
089200     IF  MBCA-MBIS-MMS1
089300         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
089400         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
089500         MOVE MBCA-MBIS-STMT-ID-CODE
089600                                 TO MBIOWS-MMS1-STMT-ID-CODE
089700         MOVE WS-READ-REC-600    TO MBIOWS-MMS1-REC-ID
089800         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
089900         MOVE 'FC01'             TO MBCA-PROGRAM-LOCATION
090000         SET MBIORO-STARTBR-GTE  TO TRUE
090100         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
090200     ELSE
090300         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
090400         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
090500         MOVE MBCA-MBIS-STMT-ID-CODE
090600                                 TO MBIOWS-MMS2-STMT-ID-CODE
090700         MOVE WS-READ-REC-600    TO MBIOWS-MMS2-REC-ID
090800         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
090900         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
091000         SET MBIORO-STARTBR-GTE  TO TRUE
091100         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
091200         MOVE MMS2-RECORD        TO MMS1-RECORD.
091300*
091400     IF SS08WS-RC-FC-ENDFILE
091500         GO TO Y645-END-BROWSE.
091600*
091700     SET X-MB50WS-FEE            TO +1.
091800*
091900 Y610-READ-LOOP.
092000*
092100     SET X-WS-ST                 TO +1.
092200*
092300****************************************************************
092400*    READNEXT THE STATEMENT FILE                               *
092500****************************************************************
092600*
092700     IF  MBCA-MBIS-MMS1
092800         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
092900         SET MBIORO-READ-SEQ     TO TRUE
093000         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
093100     ELSE
093200         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
093300         SET MBIORO-READ-SEQ     TO TRUE
093400         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
093500         MOVE MMS2-RECORD        TO MMS1-RECORD.
093600*
093700     IF  NOT MMS1-O50-FEE-SUMMARY
093800         GO TO Y645-END-BROWSE.
093900*
094000     SET WS-HAVE-600-REC         TO TRUE.
094100     MOVE MMS1-REC-TYPE-DATA     TO WS-STATEMENT-TABLE.
094200*
094300     PERFORM
094400         VARYING X-WS-ST FROM +1 BY +1
094500         UNTIL   X-WS-ST         IS GREATER THAN +20
094600         MOVE WS-STMT-TABLE      (X-WS-ST)
094700                                 TO MB50WS-FEE (X-MB50WS-FEE)
094800         SET X-MB50WS-FEE        UP BY +1
094900     END-PERFORM.
095000*
095100     GO TO Y610-READ-LOOP.
095200*
095300****************************************************************
095400*    END BROWSE THE SETTLEMENT FILE                            *
095500****************************************************************
095600*
095700 Y645-END-BROWSE.
095800*
095900     IF  MBCA-MBIS-MMS1
096000         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
096100         SET MBIORO-ENDBR        TO TRUE
096200         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
096300     ELSE
096400         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
096500         SET MBIORO-ENDBR        TO TRUE
096600         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT.
096700*
096800 Y649-LM6-EXIT.
096900     EXIT.
097000*
097100******************************************
097200*    GET STORAGE FOR TEMPORARY STORAGE   *
097300******************************************
097400*
097500 Y960-TEMP-STORAGE-GETMAIN.
097600*
097700     EXEC CICS GETMAIN
097800               FLENGTH (LENGTH  OF MBISTS-RECORD)
097900               SET     (ADDRESS OF MBISTS-RECORD)
098000          END-EXEC.
098100*
098200 Y969-TSG-EXIT.
098300     EXIT.
098400/
098500****************************************************************
098600*    FIND THE DETAIL LINE DESCRIPTION FOR DEFAULT TRANSACTIONS *
098700****************************************************************
098800*
098900 Y700-SEARCH-MMGDTB.
099000*
099100     SET X-MMGDTB-DT-SEARCH      TO 1.
099200     SEARCH MMGDTB-DT-TABLE VARYING X-MMGDTB-DT-SEARCH
099300         AT END
099400             SET X-MMGDTB-DT-SEARCH
099500                                 TO 495
099600             MOVE '***UNKNOWN L/M DESCRIPTION***'
099700                                 TO MMGDTB-DT-DESC (495)
099800             PERFORM Y710-SEARCH-GEN-TRANS
099900                                 THRU Y719-SGT-EXIT
100000         WHEN MMTCWS-LOGIC-MODULE
100100                                 IS EQUAL TO MMGDTB-DT-LM
100200                                              (X-MMGDTB-DT-SEARCH)
100300              NEXT SENTENCE.
100400*
100500 Y709-SM-EXIT.
100600     EXIT.
100700/
100800*****************************************************************
100900*    FIND THE DETAIL LINE DESCRIPTION FOR GENRATED TRANSACTIONS *
101000*****************************************************************
101100*
101200 Y710-SEARCH-GEN-TRANS.
101300*
101400     SET X-MMGDTB-GT-SEARCH      TO 1.
101500     SEARCH MMGDTB-GT-TABLE VARYING X-MMGDTB-GT-SEARCH
101600         AT END
101700             SET X-MMGDTB-GT-SEARCH
101800                                 TO 495
101900             MOVE '***UNKNOWN L/M DESCRIPTION***'
102000                                 TO MMGDTB-GT-DESC (495)
102100         WHEN MMTCWS-LOGIC-MODULE
102200                                 IS EQUAL TO MMGDTB-GT-LM
102300                                              (X-MMGDTB-GT-SEARCH)
102400              NEXT SENTENCE.
102500*
102600     MOVE MMGDTB-GT-DESC (X-MMGDTB-GT-SEARCH)
102700                                 TO MMGDTB-DT-DESC (495).
102800*
102900 Y719-SGT-EXIT.
103000     EXIT.
103100/
103200*****************************************************************
103300*    FLOAT DOTS INTO THE REMAINDER OF THE DESCRIPTION FIELD     *
103400*****************************************************************
103500*
103600 Y720-DOT-THE-DESC.
103700*
103800     MOVE WS-DISP-LINE-DESC      (X-WS-FL)
103900                                 TO WS-DESC-WORK-AREA.
104000     MOVE LENGTH OF WS-DESC-WORK-AREA
104100                                 TO WS-DESC-FIELD-TOT.
104200     MOVE LENGTH OF WS-DESC-WORK-AREA
104300                                 TO WS-DESC-FIELD-BEG.
104400*
104500     PERFORM
104600         VARYING WS-DESC-FIELD-BEG FROM WS-DESC-FIELD-TOT BY -1
104700         UNTIL   WS-DESC-FIELD-BEG
104800                               IS LESS THAN 2
104900            OR   WS-DESC-WORK-AREA
105000                               (WS-DESC-FIELD-BEG : 1)
105100                               IS NOT EQUAL TO SPACES
105200                 MOVE '.'      TO WS-DESC-WORK-AREA
105300                               (WS-DESC-FIELD-BEG : 1)
105400     END-PERFORM.
105500*
105600     MOVE WS-DESC-WORK-AREA      TO WS-DISP-LINE-DESC   (X-WS-FL).
105700*
105800 Y729-DTD-EXIT.
105900     EXIT.
106000/
106100******************************************
106200*    READ TEMPROARY STORAGE              *
106300******************************************
106400*
106500 Y970-TEMP-STORAGE-READ.
106600*
106700     EXEC CICS READQ TS
106800               QUEUE   (WS-TS-QUEUE-NAME)
106900               INTO    (MBISTS-RECORD)
107000               LENGTH  (LENGTH OF MBISTS-RECORD)
107100               ITEM    (MBCA-MBIS-CURRENT-PAGE)
107200          END-EXEC.
107300*
107400 Y979-TSR-EXIT.
107500     EXIT.
107600*
107700******************************************
107800*    DELETE TEMPROARY STORAGE            *
107900******************************************
108000*
108100 Y980-TEMP-STORAGE-DELETE.
108200*
108300     EXEC CICS IGNORE CONDITION
108400               QIDERR
108500          END-EXEC.
108600*
108700     EXEC CICS DELETEQ TS
108800               QUEUE  (WS-TS-QUEUE-NAME)
108900          END-EXEC.
109000*
109100     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
109200     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
109300*
109400 Y989-TSD-EXIT.
109500     EXIT.
109600*
109700******************************************
109800*    WRITE TEMPORARY STORAGE             *
109900******************************************
110000*
110100 Y990-TEMP-STORAGE-WRITE.
110200*
110300     EXEC CICS WRITEQ TS
110400               QUEUE   (WS-TS-QUEUE-NAME)
110500               FROM    (MBISTS-RECORD)
110600               LENGTH  (LENGTH OF MBISTS-RECORD)
110700               ITEM    (WS-MBISTS-ITEM-NBR)
110800          END-EXEC.
110900*
111000     MOVE WS-MBISTS-ITEM-NBR     TO WS-LAST-PAGE.
111100*
111200 Y999-TSW-EXIT.
111300     EXIT.
111400*
111500/
111600 Z000-COPIED-ROUTINES SECTION.
111700*
111800**********************************
111900*    JUL TO GREG DATE ROUTINE    *
112000**********************************
112100*
112200     COPY SS08PD.
112300/
112400     COPY SS26PD.
112500/
112600     COPY SS27PD.
112700/
112800**********************************
112900*    GREG TO JUL DATE ROUTINE    *
113000**********************************
113100*
113200     COPY SS07PD.
113300/
113400*********************************
113500*    LINE 24 PF KEYS ROUTINE    *
113600*********************************
113700*
113800     COPY SS15PD.
113900/
114000***************************************************
114100*    ORGANIZATION CONTROL FILE                    *
114200***************************************************
114300*
114400     COPY MMOCAO.
114500/
114600***************************************************
114700*    STATEMENT FILE 1                             *
114800***************************************************
114900*
115000     COPY MMS1AO.
115100/
115200***************************************************
115300*    STATEMENT FILE 2                             *
115400***************************************************
115500*
115600     COPY MMS2AO.
115700/
115800***************************************************
115900*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
116000***************************************************
116100*
116200     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
116300/
116400*****************************
116500*    ONLINE MAP ROUTINES    *
116600*****************************
116700*
116800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS06 '
116900                           MBMAPXXI BY MBIS06I
117000                           MBMAPXXO BY MBIS06O.
117100/
117200***********************************
117300*    FORMAT MESSAGE LINE BUILDER  *
117400***********************************
117500*
117600     COPY MB06PD.
117700/
117800***************************
117900*    ONLINE PROCEDURES    *
118000***************************
118100*
118200     COPY MB70PD.
118300/
118400     COPY SMFTPXO.
