000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOIS11.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOIS11 - ON-LINE STATEMENT                              *
000800*                SCREEN 11                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 A. MBIS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBIS11 (SCREEN 11)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMS1 (STATEMENT FILE 1)                    *
001600*                 B. MMS2 (STATEMENT FILE 2)                    *
001700*                 B. MMMM (MNERCHANT MASTER FILE)               *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200*
002300 DATA DIVISION.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*
002900 01  FILLER                  PIC  X(14)      VALUE
003000     'MISCELLANEOUS:'.
003100*
003200 01  WS-MISC-AREAS.
003300*
003400     03  WS-WORK-AREAS.
003500         05  WS-READ-REC-1100
003600                             PIC  X(04)      VALUE '1100'.
003700         05  WS-LAST-PAGE    PIC S9(04)      BINARY VALUE ZERO.
003800         05  WS-MBISTS-ITEM-NBR
003900                             PIC S9(04)      BINARY VALUE ZERO.
004000*
004100     03  WS-TS-QUEUE-NAME.
004200         05  WS-TS-QN-TERMID PIC  X(04)      VALUE SPACES.
004300         05  WS-TS-QN-TRANID PIC  X(02)      VALUE 'IS'.
004400         05  WS-TS-QN-SCRNBR PIC  X(02)      VALUE '11'.
004500*
004600     03  WS-DISPLAY-CHAIN-LINES.
004700         05  WS-DISPLAY-CHAIN-LINE-X         OCCURS 16 TIMES
004800                                             INDEXED BY
004900                                             X-WS-CL.
005000             07  WS-DISPLAY-LINE.
005100                 09  WS-DISPLAY-TOT-DESC.
005200                     11  WS-DISP-LINE-DESC
005300                             PIC  X(44).
005400                     11  WS-DISP-LINE-NBR
005500                             PIC  X(12).
005600                  09  WS-DISP-LINE-AMT
005700                             PIC  X(22).
005800*
005900*****************************************************************
006000*        STORE HEADER LINE                                      *
006100*****************************************************************
006200*
006300     03  WS-MERCH-HEADER.
006400         05  WS-MERCH-LIT-1  PIC  X(09)      VALUE 'MERCHANT '.
006500         05  WS-MERCH-NBR    PIC  ZZZZZZZZ9.
006600         05  WS-FILLER-1     PIC  X(02)      VALUE SPACES.
006700         05  WS-MERCH-NAME   PIC  X(25).
006800         05  WS-PROD-LIT-3   PIC  X(29)      VALUE
006900                         ' NUMBER               AMOUNT'.
007000*
007100*****************************************************************
007200*        DISPLAY LINE DESCRIPTIONS                              *
007300*****************************************************************
007400*
007500 01  WS-TABLE-ENTRIES.
007600     03  WS-TABLE-ENTRY-1.
007700         05  WS-DSC-1        PIC  X(41)      VALUE
007800                      '  BEGINNING BALANCE .....................'.
007900         05  WS-NBR-1        PIC  X(11).
008000         05  WS-AMT-1        PIC  X(22).
008100     03  WS-TABLE-ENTRY-2.
008200         05  WS-DSC-2        PIC  X(41)      VALUE
008300                      '+ DEPOSITS/WITHDRAWALS ..................'.
008400         05  WS-NBR-2        PIC  X(11).
008500         05  WS-AMT-2        PIC  X(22).
008600     03  WS-TABLE-ENTRY-2.
008700         05  WS-DSC-3        PIC  X(41)      VALUE
008800                      '+ RESERVE TO SETTLEMENT .................'.
008900         05  WS-NBR-3        PIC  X(11).
009000         05  WS-AMT-3        PIC  X(22).
009100     03  WS-TABLE-ENTRY-4.
009200         05  WS-DSC-4        PIC  X(41)      VALUE
009300                      '+ REFUND OF DISCOUNT ....................'.
009400         05  WS-NBR-4        PIC  X(11).
009500         05  WS-AMT-4        PIC  X(22).
009600     03  WS-TABLE-ENTRY-5.
009700         05  WS-DSC-5        PIC  X(41)      VALUE
009800                      '+ PARTICIPATION EARNED ..................'.
009900         05  WS-NBR-5        PIC  X(11).
010000         05  WS-AMT-5        PIC  X(22).
010100     03  WS-TABLE-ENTRY-6.
010200         05  WS-DSC-6        PIC  X(41)      VALUE
010300                      '+ ADJUSTMENT CREDITS ....................'.
010400         05  WS-NBR-6        PIC  X(11).
010500         05  WS-AMT-6        PIC  X(22).
010600     03  WS-TABLE-ENTRY-7.
010700         05  WS-DSC-7        PIC  X(41)      VALUE
010800                      '+ RECOVERY ADJUSTMENT CREDITS ...........'.
010900         05  WS-NBR-7        PIC  X(11).
011000         05  WS-AMT-7        PIC  X(22).
011100     03  WS-TABLE-ENTRY-8.
011200         05  WS-DSC-8        PIC  X(41)      VALUE
011300                      '+ USER CREDITS ..........................'.
011400         05  WS-NBR-8       PIC  X(11).
011500         05  WS-AMT-8       PIC  X(22).
011600     03  WS-TABLE-ENTRY-9.
011700         05  WS-DSC-9        PIC  X(41)      VALUE
011800                      '- RESERVE FUNDING .......................'.
011900         05  WS-NBR-9        PIC  X(11).
012000         05  WS-AMT-9        PIC  X(22).
012100     03  WS-TABLE-ENTRY-10.
012200         05  WS-DSC-10       PIC  X(41)      VALUE
012300                      '- DISCOUNT ..............................'.
012400         05  WS-NBR-10       PIC  X(11).
012500         05  WS-AMT-10       PIC  X(22).
012600     03  WS-TABLE-ENTRY-11.
012700         05  WS-DSC-11       PIC  X(41)      VALUE
012800                      '- PARTICIPATION OWED ....................'.
012900         05  WS-NBR-11       PIC  X(11).
013000         05  WS-AMT-11       PIC  X(22).
013100     03  WS-TABLE-ENTRY-12.
013200         05  WS-DSC-12       PIC  X(41)      VALUE
013300                      '- ADJUSTMENT DEBITS .....................'.
013400         05  WS-NBR-12       PIC  X(11).
013500         05  WS-AMT-12       PIC  X(22).
013600     03  WS-TABLE-ENTRY-13.
013700         05  WS-DSC-13       PIC  X(41)      VALUE
013800                      '- RECOVERY ADJUSTMENT DEBITS ............'.
013900         05  WS-NBR-13       PIC  X(11).
014000         05  WS-AMT-13       PIC  X(22).
014100     03  WS-TABLE-ENTRY-14.
014200         05  WS-DSC-14       PIC  X(41)      VALUE
014300                      '- USER FEES .............................'.
014400         05  WS-NBR-14       PIC  X(11).
014500         05  WS-AMT-14       PIC  X(22).
014600     03  WS-TABLE-ENTRY-15.
014700         05  WS-DSC-15       PIC  X(41)      VALUE
014800                      '- SYSTEM FEES ...........................'.
014900         05  WS-NBR-15       PIC  X(11).
015000         05  WS-AMT-15       PIC  X(22).
015100     03  WS-TABLE-ENTRY-16.
015200         05  WS-DSC-16       PIC  X(41)      VALUE
015300                      '- INTERCHANGE FEES ......................'.
015400         05  WS-NBR-16       PIC  X(11).
015500         05  WS-AMT-16       PIC  X(22).
015600     03  WS-TABLE-ENTRY-17.
015700         05  WS-DSC-17       PIC  X(41)      VALUE
015800                      '- TRANSFERRED TO INVOICE ................'.
015900         05  WS-NBR-17       PIC  X(11).
016000         05  WS-AMT-17       PIC  X(22).
016100     03  WS-TABLE-ENTRY-18.
016200         05  WS-DSC-18       PIC  X(41)      VALUE
016300                      '- NET SETTLEMENT PAID IN CYCLE ..........'.
016400         05  WS-NBR-18       PIC  X(11).
016500         05  WS-AMT-18       PIC  X(22).
016600     03  WS-TABLE-ENTRY-19.
016700         05  WS-DSC-19       PIC  X(41)      VALUE
016800                      '-----------------------------------------'.
016900         05  FILLER          PIC  X(11).
017000         05  FILLER          PIC  X(22).
017100     03  WS-TABLE-ENTRY-20.
017200         05  WS-DSC-20       PIC  X(41)      VALUE
017300                      '= ENDING BALANCE ........................'.
017400         05  FILLER          PIC  X(11).
017500         05  WS-AMT-20       PIC  X(22).
017600     03  WS-TABLE-ENTRY-21.
017700         05  WS-DSC-21       PIC  X(41)      VALUE
017800                      'CURRENT HOLDOVER AMOUNT .................'.
017900         05  FILLER          PIC  X(11).
018000         05  WS-AMT-21       PIC  X(22).
018100*
018200 01  WS-TABLE-ENTRIES-X      REDEFINES WS-TABLE-ENTRIES.
018300     03  WS-TBL-ENT                          OCCURS 21 TIMES
018400                                             INDEXED BY
018500                                             X-WS-TBL.
018600         05  WS-TABLE-DESC.
018700             07  WS-TBL-DESC PIC  X(41).
018800         05  WS-TABLE-NUMBER.
018900             07  WS-TBL-NBR  PIC  X(11).
019000         05  WS-TABLE-AMOUNT.
019100             07  WS-TBL-AMT  PIC  X(22).
019200*
019300 01  FILLER                  PIC  X(17)      VALUE
019400     'PROGRAM SWITCHES:'.
019500*
019600 01  WS-SWITCHES.
019700     03  WS-DATA-AVAILABLE   PIC  S9(01)     VALUE +1.
019800         88 WS-HAVE-NO-DATA                  VALUE +1.
019900         88 WS-HAVE-DATA                     VALUE +2.
020000     03  WS-900-RECORDS      PIC  S9(01)     VALUE +1.
020100         88 WS-NO-MORE-CHAIN-REC             VALUE +1.
020200         88 WS-MORE-CHAIN-REC                VALUE +2.
020300     03  WS-DETAIL-AVAIL     PIC  S9(01)     VALUE +1.
020400         88 WS-HAVE-NO-DETAIL                VALUE +1.
020500         88 WS-HAVE-DETAIL                   VALUE +2.
020600     03  WS-STARTBR-SW       PIC  S9(01)     VALUE +1.
020700         88 WS-STARTBR-REQ                   VALUE +1.
020800         88 WS-STARTBR-COMPLETE              VALUE +2.
020900*
021000/
021100 01  FILLER                  PIC  X(22)      VALUE
021200     'STATEMENT WORK AREAS: '.
021300*
021400     COPY MB50WS.
021500/
021600 01  FILLER                  PIC  X(29)      VALUE
021700     'I/O REQUEST BLOCK WORK AREAS:'.
021800*
021900     COPY MBIOWS.
022000/
022100 01  FILLER                  PIC  X(18)      VALUE
022200     'I/O REQUEST BLOCK:'.
022300*
022400     COPY MBIORO.
022500/
022600 01  FILLER                  PIC  X(20)      VALUE
022700     'CCS DATE WORK AREAS:'.
022800*
022900     COPY SS01WS.
023000/
023100 01  FILLER                  PIC  X(15)      VALUE
023200     'CCS WORK AREAS:'.
023300*
023400     COPY SS08WS.
023500/
023600     COPY SS00WS.
023700/
023800     COPY SMFTWS.
023900/
024000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
024100/
024200     COPY MB61LK.
024300/
024400 01  FILLER                  PIC  X(28)      VALUE
024500     'DYNAMICALY CALLED SUBROUINES'.
024600*
024700     COPY MB00WS.
024800/
024900 01  FILLER                  PIC  X(36)      VALUE
025000     'FORMAT NBR AND AMTS BY CURRENCY CODE'.
025100*
025200     COPY SS95WS.
025300*
025400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
025500/
025600 LINKAGE SECTION.
025700*
025800 01  DFHCOMMAREA.
025900*
026000     COPY MB60WS.
026100/
026200*********************************
026300*    ON-LINE STATEMENT MAP      *
026400*********************************
026500*
026600     COPY MBIS11.
026700/
026800**********************************************
026900*    ON-LINE STATEMENT MAP REDEFINITION      *
027000**********************************************
027100*
027200     COPY MBIS11R.
027300/
027400*********************************************
027500*    STATEMENT FILE 1 RECORD LAYOUT         *
027600*********************************************
027700*
027800     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
027900/
028000*********************************************
028100*    STATEMENT FILE 2 RECORD LAYOUT         *
028200*********************************************
028300*
028400     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS2==.
028500/
028600*********************************************
028700*    MERCHANT MASTER RECORD LAYOUT          *
028800*********************************************
028900*
029000     COPY MMMMRL.
029100*
029200*********************************************
029300*    TEMPORARY STORAGE RECORD               *
029400*********************************************
029500*
029600     COPY MBISTS.
029700/
029800 PROCEDURE DIVISION.
029900*
030000 A000-HOUSEKEEPING SECTION.
030100*
030200 A020-INIT.
030300*
030400     IF  MBCA-EIBAID-CLEAR
030500         PERFORM Y980-TEMP-STORAGE-DELETE
030600                                 THRU Y989-TSD-EXIT.
030700*
030800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
030900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
031000                                 THRU MB70PD-OLH-EXIT.
031100*
031200     SET SS95WS-FUNCTION-INITIALIZE
031300                                 TO TRUE.
031400     PERFORM SS95PD-NAP-ROUTINE
031500        THRU SS95PD-NAP-EXIT.
031600*
031700     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
031800*
031900*********************************************
032000*    IF THIS IS NOT A CHAIN REQUEST GET OUT *
032100*********************************************
032200*
032300     EVALUATE TRUE
032400         WHEN MBCA-MBIS-CHAIN
032500              CONTINUE
032600         WHEN OTHER
032700              PERFORM MB60PD-GETMAIN-FOR-MAP
032800                                 THRU MB60PD-GFM-EXIT
032900              GO TO F000-SETUP-COMMAREA
033000     END-EVALUATE.
033100*
033200     MOVE MBCA-TERMINAL-ID       TO WS-TS-QN-TERMID.
033300*
033400     IF  MBCA-RECEIVE-SCREEN
033500         GO TO C000-RECEIVE-SCREEN.
033600/
033700 B000-SEND-SCREEN SECTION.
033800*
033900*********************************************
034000*    GET CICS STORAGE NEEDED FOR THE MAP    *
034100*********************************************
034200*
034300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
034400     PERFORM MB60PD-GETMAIN-FOR-MAP
034500                                 THRU MB60PD-GFM-EXIT.
034600*
034700*******************************************
034800*    INITIALIZE THE STANDARD MAP LINES    *
034900*******************************************
035000*
035100     PERFORM MB60PD-INIT-STD-MAP-LINES
035200                                 THRU MB60PD-ISML-EXIT.
035300*
035400 B200-FORMAT-SCREEN.
035500*
035600****************************************************************
035700*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
035800****************************************************************
035900*
036000     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
036100     PERFORM Y960-TEMP-STORAGE-GETMAIN
036200                                 THRU Y969-TSG-EXIT.
036300*
036400     EXEC CICS HANDLE CONDITION
036500               QIDERR  (B400-LOAD-DATA)
036600               ITEMERR (B300-DELETE-TEMP-STORAGE)
036700          END-EXEC.
036800*
036900***********************************************
037000*    READ THE TEMP STORAGE RECORD             *
037100***********************************************
037200*
037300     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM Y970-TEMP-STORAGE-READ
037500                                 THRU Y979-TSR-EXIT.
037600     GO TO B500-BYPASS-FORMAT-TS.
037700*
037800***********************************************
037900*    DELETE TEMP STORAGE                      *
038000***********************************************
038100*
038200 B300-DELETE-TEMP-STORAGE.
038300*
038400     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
038500     PERFORM Y980-TEMP-STORAGE-DELETE
038600                                 THRU Y989-TSD-EXIT.
038700*
038800 B400-LOAD-DATA.
038900*
039000************************************************************
039100*    SINCE THERE WAS NO TEMPORARY STORAGE RECORD THIS IS   *
039200*    THE FIRST TIME IN THIS PROGRAM. READ THE STATEMENT    *
039300*    FILE AND FORMAT THE TEMPORARY STORAGE RECORD WITH     *
039400*    ALL THE SCREEN DATA REQUIRED FOR ALL PAGES TO BE      *
039500*    DISPLAYED. SET THE CURRENT PAGE TO +1. IF THERE IS    *
039600*    NO DATA TO BE DISPLAYED GET OUT OF THIS PROGRAM.      *
039700************************************************************
039800*
039900     INITIALIZE WS-DISPLAY-CHAIN-LINES.
040000     INITIALIZE MBISTS-DATA-AREA.
040100     SET WS-HAVE-NO-DATA         TO TRUE.
040200     SET X-WS-CL                 TO +1.
040300     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
040400     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
040500*
040600 B410-LOAD-NEXT-MERCH.
040700*
040800     PERFORM Y600-LOAD-MB50WS-1100
040900                                 THRU Y649-LM11-EXIT.
041000*
041100     EVALUATE TRUE ALSO TRUE
041200         WHEN WS-NO-MORE-CHAIN-REC
041300         ALSO WS-HAVE-NO-DATA
041400              GO TO F000-SETUP-COMMAREA
041500         WHEN WS-NO-MORE-CHAIN-REC
041600         ALSO WS-HAVE-DATA
041700              EVALUATE TRUE
041800              WHEN WS-HAVE-DETAIL
041900                   PERFORM Y530-MOVE-TO-TS
042000                                 THRU Y539-MTT-EXIT
042100              END-EVALUATE
042200              GO TO B450-READ-TEMP-STORAGE
042300     END-EVALUATE.
042400*
042500     PERFORM Y730-MERCH-HEADER   THRU Y739-MH-EXIT.
042600     SET X-WS-CL                 UP BY +1.
042700*
042800************************************************************
042900*    FORMAT DETAIL PORTION OF THE DISPLAYS                 *
043000************************************************************
043100*
043200     PERFORM Y200-FORMAT-DETAIL-DATA
043300                                 THRU Y299-FFD-EXIT.
043400*
043500************************************************************
043600*    MOVE DETAIL PORTION TO TEMP STORAGE                   *
043700************************************************************
043800*
043900     PERFORM
044000         VARYING X-WS-TBL FROM +1 BY +1
044100         UNTIL   X-WS-TBL IS GREATER THAN +21
044200             MOVE WS-TBL-ENT     (X-WS-TBL)
044300                                 TO WS-DISPLAY-LINE    (X-WS-CL)
044400             EVALUATE TRUE
044500                 WHEN X-WS-CL IS GREATER THAN +15
044600                      PERFORM Y530-MOVE-TO-TS
044700                                 THRU Y539-MTT-EXIT
044800                      MOVE WS-MERCH-HEADER
044900                                 TO WS-DISPLAY-LINE     (X-WS-CL)
045000                      SET WS-HAVE-DETAIL
045100                                 TO TRUE
045200             END-EVALUATE
045300             SET X-WS-CL         UP BY +1
045400     END-PERFORM.
045500*
045600     GO TO B410-LOAD-NEXT-MERCH.
045700*
045800 B450-READ-TEMP-STORAGE.
045900*
046000     MOVE +1                     TO MBCA-MBIS-CURRENT-PAGE.
046100     MOVE WS-LAST-PAGE           TO MBCA-MBIS-LAST-PAGE.
046200*
046300***********************************************************
046400*    READ THE TEMP STORAGE RECORD TO GET THE FIRST PAGE   *
046500***********************************************************
046600*
046700     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
046800     PERFORM Y970-TEMP-STORAGE-READ
046900                                 THRU Y979-TSR-EXIT.
047000*
047100*********************************
047200*    FORMAT MAP STATIC FIELDS   *
047300*********************************
047400*
047500 B500-BYPASS-FORMAT-TS.
047600*
047700     EVALUATE TRUE
047800         WHEN MBCA-MBIS-CHAIN
047900              MOVE 'CHAIN'       TO IS11-MERCHANT-LIT
048000     END-EVALUATE.
048100*
048200     MOVE MBCA-ORG               TO IS11-ORG.
048300     MOVE MBCA-MERCHANT          TO IS11-MERCHANT.
048400     MOVE MBCA-MBIS-NAME         TO IS11-NAME.
048500     MOVE MBCA-MBIS-STMT-DATE    TO IS11-STMT-DATE.
048600*
048700 B800-SEND-MAP.
048800*
048900********************************************************
049000*    MOVE THE WS DISPLAY LINES TO THE SCREEN           *
049100********************************************************
049200*
049300     PERFORM Y540-MOVE-TS-TO-MAP THRU Y549-MTTM-EXIT.
049400*
049500 B900-SEND-MAP.
049600*
049700     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
049800     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
049900     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
050000     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
050100     MOVE SS08WS-LINE-24         TO IS11-PF-KEYS.
050200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
050300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
050400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
050500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
050600*
050700     MOVE SS08WS-CURSOR          TO IS11-ALT-TRANID-L.
050800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
050900****************************************
051000*    FORMAT THE MESSAGE LINE           *
051100****************************************
051200     IF IS11-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
051300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
051400           THRU MB06PD-FML-EXIT
051500        MOVE SS08WS-FORMATTED-MSG TO IS11-ERR-MESSAGE.
051600*
051700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
051800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
051900                                 THRU MB60PD-SMWE-EXIT.
052000*
052100************************
052200*    RETURN TO CICS    *
052300************************
052400*
052500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
052600     PERFORM MB70PD-RETURN-TRANS-ID
052700                                 THRU MB70PD-RTI-EXIT.
052800/
052900 C000-RECEIVE-SCREEN SECTION.
053000*
053100******************************************
053200*    THIS SECTION RECEIVES THE SCREEN    *
053300******************************************
053400*
053500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
053600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
053700*
053800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
053900*
054000****************************************************************
054100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
054200****************************************************************
054300*
054400     MOVE 'TS05'                 TO MBCA-PROGRAM-LOCATION.
054500     PERFORM Y960-TEMP-STORAGE-GETMAIN
054600                                 THRU Y969-TSG-EXIT.
054700*
054800***********************************************
054900*    READ THE TEMP STORAGE RECORD             *
055000***********************************************
055100*
055200     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
055300     PERFORM Y970-TEMP-STORAGE-READ
055400                                 THRU Y979-TSR-EXIT.
055500*
055600***********************************************
055700*    IF PF3, PF4, PF5, OR PF6 WAS PRESSED     *
055800*    DO NOT DELETE TEMPORARY STORAGE.         *
055900***********************************************
056000*
056100     IF  SS08WS-VALID-PF3
056200     OR  SS08WS-EIBAID-VALID-PF3
056300     OR  SS08WS-VALID-PF4
056400     OR  SS08WS-EIBAID-VALID-PF4
056500     OR  SS08WS-VALID-PF5
056600     OR  SS08WS-EIBAID-VALID-PF5
056700     OR  SS08WS-VALID-PF6
056800     OR  SS08WS-EIBAID-VALID-PF6
056900         CONTINUE
057000     ELSE
057100         PERFORM Y980-TEMP-STORAGE-DELETE
057200                                 THRU Y989-TSD-EXIT
057300     END-IF.
057400*
057500**************************************************************
057600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
057700**************************************************************
057800*
057900 C050-CHECK-NEW-TRANS.
058000*
058100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
058200     PERFORM MB60PD-NEW-TRANS-ROUTINE
058300                                 THRU MB60PD-NTR-EXIT.
058400*
058500**************************************************************
058600*    CHECK SCREEN FOR SCROLLING                              *
058700**************************************************************
058800*
058900     IF  SS08WS-VALID-PF3
059000     OR  SS08WS-EIBAID-VALID-PF3
059100         MOVE 61                 TO MBCA-SCREEN-NBR
059200         MOVE +1                 TO MBCA-MBIS-CURRENT-PAGE
059300         GO TO F090-TRANSFER-XCTL.
059400*
059500     IF  SS08WS-VALID-PF4
059600     OR  SS08WS-EIBAID-VALID-PF4
059700         MOVE 61                 TO MBCA-SCREEN-NBR
059800         MOVE MBCA-MBIS-LAST-PAGE
059900                                 TO MBCA-MBIS-CURRENT-PAGE
060000         GO TO F090-TRANSFER-XCTL.
060100*
060200     IF  SS08WS-VALID-PF5
060300     OR  SS08WS-EIBAID-VALID-PF5
060400         MOVE 61                 TO MBCA-SCREEN-NBR
060500         COMPUTE MBCA-MBIS-CURRENT-PAGE
060600                                 = MBCA-MBIS-CURRENT-PAGE + 1
060700         EVALUATE TRUE
060800             WHEN MBCA-MBIS-CURRENT-PAGE
060900                             IS GREATER THAN MBCA-MBIS-LAST-PAGE
061000             MOVE MBCA-MBIS-LAST-PAGE
061100                                 TO MBCA-MBIS-CURRENT-PAGE
061200         END-EVALUATE
061300         GO TO F090-TRANSFER-XCTL.
061400*
061500     IF  SS08WS-VALID-PF6
061600     OR  SS08WS-EIBAID-VALID-PF6
061700         MOVE 61                 TO MBCA-SCREEN-NBR
061800         COMPUTE MBCA-MBIS-CURRENT-PAGE
061900                                 = MBCA-MBIS-CURRENT-PAGE - 1
062000         EVALUATE TRUE
062100             WHEN MBCA-MBIS-CURRENT-PAGE
062200                                 IS LESS THAN +1
062300             MOVE +1             TO MBCA-MBIS-CURRENT-PAGE
062400         END-EVALUATE
062500         GO TO F090-TRANSFER-XCTL.
062600*
062700     IF  SS08WS-VALID-PF-KEY
062800     OR  SS08WS-EIBAID-VALID-PF-KEY
062900         SET MBCA-INITIAL-SCREEN-NBR
063000                                 TO TRUE.
063100/
063200 F000-SETUP-COMMAREA SECTION.
063300*
063400***************************************************************
063500*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
063600***************************************************************
063700*
063800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
063900*
064000     PERFORM MB60PD-EDIT-PAGE-NBR
064100                                 THRU MB60PD-EPN-EXIT.
064200*
064300 F090-TRANSFER-XCTL.
064400*
064500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
064600     PERFORM MB70PD-XCTL-TO-MBOXCTL
064700                                 THRU MB70PD-XTM-EXIT.
064800/
064900 Y000-PERFORMED-ROUTINES SECTION.
065000*
065100*************************************************************
065200*    FORMAT THE SCREEN WITH DETAIL DATA                     *
065300*************************************************************
065400*
065500 Y200-FORMAT-DETAIL-DATA.
065600*
065700     SET WS-HAVE-DETAIL          TO TRUE.
065800*
065900*********************************************
066000*    CLEAR TABLE NUMBER AND AMOUNT FIELDS   *
066100*********************************************
066200*
066300     PERFORM
066400         VARYING X-WS-TBL FROM +1 BY +1
066500         UNTIL   X-WS-TBL IS GREATER THAN +21
066600               MOVE SPACES       TO WS-TABLE-NUMBER (X-WS-TBL)
066700               MOVE SPACES       TO WS-TABLE-AMOUNT (X-WS-TBL)
066800     END-PERFORM.
066900*
067000*************************************
067100*    LOAD THE WORKING STORAGE TABLE *
067200*************************************
067300*
067400     SET X-WS-TBL                TO +1.
067500     MOVE SPACES                 TO WS-TABLE-NUMBER (X-WS-TBL).
067600     MOVE MB50WS-MER-BEG-BALANCE TO SS95WS-IN-AMT.
067700     PERFORM SS95PD-NAP-ROUTINE
067800                                 THRU SS95PD-NAP-EXIT.
067900     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
068000*
068100     SET X-WS-TBL                TO +2
068200     MOVE MB50WS-MER-BATCH-HEADER-NBR
068300                                 TO SS95WS-IN-NBR.
068400     MOVE MB50WS-MER-BATCH-HEADER-AMT
068500                                 TO SS95WS-IN-AMT.
068600     PERFORM SS95PD-NAP-ROUTINE
068700                                 THRU SS95PD-NAP-EXIT.
068800     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
068900     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
069000*
069100     SET X-WS-TBL                TO +3.
069200     MOVE MB50WS-MER-RESV-TO-SETT-NBR
069300                                 TO SS95WS-IN-NBR.
069400     MOVE MB50WS-MER-RESV-TO-SETT-AMT
069500                                 TO SS95WS-IN-AMT.
069600     PERFORM SS95PD-NAP-ROUTINE
069700                                 THRU SS95PD-NAP-EXIT.
069800     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
069900     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
070000*
070100     SET X-WS-TBL                TO +4.
070200     MOVE MB50WS-MER-REFUND-NBR  TO SS95WS-IN-NBR.
070300     MOVE MB50WS-MER-REFUND-AMT  TO SS95WS-IN-AMT.
070400     PERFORM SS95PD-NAP-ROUTINE
070500                                 THRU SS95PD-NAP-EXIT.
070600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
070700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
070800*
070900     SET X-WS-TBL                TO +5.
071000     MOVE MB50WS-MER-PART-CR-NBR TO SS95WS-IN-NBR.
071100     MOVE MB50WS-MER-PART-CR-AMT TO SS95WS-IN-AMT.
071200     PERFORM SS95PD-NAP-ROUTINE
071300                                 THRU SS95PD-NAP-EXIT.
071400     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
071500     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
071600*
071700     SET X-WS-TBL                TO +6.
071800     MOVE MB50WS-MER-ADJ-CR-NBR  TO SS95WS-IN-NBR.
071900     MOVE MB50WS-MER-ADJ-CR-AMT  TO SS95WS-IN-AMT.
072000     PERFORM SS95PD-NAP-ROUTINE
072100                                 THRU SS95PD-NAP-EXIT.
072200     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
072300     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
072400*
072500     SET X-WS-TBL                TO +7.
072600     MOVE MB50WS-MER-REC-ADJ-CR-NBR
072700                                 TO SS95WS-IN-NBR.
072800     MOVE MB50WS-MER-REC-ADJ-CR-AMT
072900                                 TO SS95WS-IN-AMT.
073000     PERFORM SS95PD-NAP-ROUTINE
073100                                 THRU SS95PD-NAP-EXIT.
073200     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
073300     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
073400*
073500     SET X-WS-TBL                TO +8.
073600     MOVE MB50WS-MER-USER-CR-NBR TO SS95WS-IN-NBR.
073700     MOVE MB50WS-MER-USER-CR-AMT TO SS95WS-IN-AMT.
073800     PERFORM SS95PD-NAP-ROUTINE
073900                                 THRU SS95PD-NAP-EXIT.
074000     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
074100     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
074200*
074300     SET X-WS-TBL                TO +9.
074400     MOVE MB50WS-MER-RESV-FUNDING-NBR
074500                                 TO SS95WS-IN-NBR.
074600     MOVE MB50WS-MER-RESV-FUNDING-AMT
074700                                 TO SS95WS-IN-AMT.
074800     PERFORM SS95PD-NAP-ROUTINE
074900                                 THRU SS95PD-NAP-EXIT.
075000     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
075100     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
075200*
075300     SET X-WS-TBL                TO +10.
075400     MOVE MB50WS-MER-DISCOUNT-NBR
075500                                 TO SS95WS-IN-NBR.
075600     MOVE MB50WS-MER-DISCOUNT-AMT
075700                                 TO SS95WS-IN-AMT.
075800     PERFORM SS95PD-NAP-ROUTINE
075900                                 THRU SS95PD-NAP-EXIT.
076000     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
076100     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
076200*
076300     SET X-WS-TBL                TO +11.
076400     MOVE MB50WS-MER-PART-DR-NBR TO SS95WS-IN-NBR.
076500     MOVE MB50WS-MER-PART-DR-AMT TO SS95WS-IN-AMT.
076600     PERFORM SS95PD-NAP-ROUTINE
076700                                 THRU SS95PD-NAP-EXIT.
076800     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
076900     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
077000*
077100     SET X-WS-TBL                TO +12.
077200     MOVE MB50WS-MER-ADJ-DR-NBR  TO SS95WS-IN-NBR.
077300     MOVE MB50WS-MER-ADJ-DR-AMT  TO SS95WS-IN-AMT.
077400     PERFORM SS95PD-NAP-ROUTINE
077500                                 THRU SS95PD-NAP-EXIT.
077600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
077700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
077800*
077900     SET X-WS-TBL                TO +13.
078000     MOVE MB50WS-MER-REC-ADJ-DR-NBR
078100                                 TO SS95WS-IN-NBR.
078200     MOVE MB50WS-MER-REC-ADJ-DR-AMT
078300                                 TO SS95WS-IN-AMT.
078400     PERFORM SS95PD-NAP-ROUTINE
078500                                 THRU SS95PD-NAP-EXIT.
078600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
078700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
078800*
078900     SET X-WS-TBL                TO +14.
079000     MOVE MB50WS-MER-USER-FEES-NBR
079100                                 TO SS95WS-IN-NBR.
079200     MOVE MB50WS-MER-USER-FEES-AMT
079300                                 TO SS95WS-IN-AMT.
079400     PERFORM SS95PD-NAP-ROUTINE
079500                                 THRU SS95PD-NAP-EXIT.
079600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
079700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
079800*
079900     SET X-WS-TBL                TO +15.
080000     MOVE MB50WS-MER-SYSTEM-FEES-NBR
080100                                 TO SS95WS-IN-NBR.
080200     MOVE MB50WS-MER-SYSTEM-FEES-AMT
080300                                 TO SS95WS-IN-AMT.
080400     PERFORM SS95PD-NAP-ROUTINE
080500                                 THRU SS95PD-NAP-EXIT.
080600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
080700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
080800*
080900     SET X-WS-TBL                TO +16.
081000     MOVE MB50WS-MER-INTCHG-FEES-NBR
081100                                 TO SS95WS-IN-NBR.
081200     MOVE MB50WS-MER-INTCHG-FEES-AMT
081300                                 TO SS95WS-IN-AMT.
081400     PERFORM SS95PD-NAP-ROUTINE
081500                                 THRU SS95PD-NAP-EXIT.
081600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
081700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
081800*
081900     SET X-WS-TBL                TO +17.
082000     MOVE MB50WS-MER-TRANSFER-NBR
082100                                 TO SS95WS-IN-NBR.
082200     MOVE MB50WS-MER-TRANSFER-AMT
082300                                 TO SS95WS-IN-AMT.
082400     PERFORM SS95PD-NAP-ROUTINE
082500                                 THRU SS95PD-NAP-EXIT.
082600     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
082700     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
082800*
082900     SET X-WS-TBL                TO +18.
083000     MOVE MB50WS-MER-NET-SETT-AMT
083100                                 TO SS95WS-IN-AMT.
083200     PERFORM SS95PD-NAP-ROUTINE
083300                                 THRU SS95PD-NAP-EXIT.
083400     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
083500     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
083600*
083700     EVALUATE TRUE
083800         WHEN SS95WS-IN-AMT      IS LESS THAN ZERO
083900              CONTINUE
084000         WHEN OTHER
084100              MOVE '+ NET SETTLEMENT OWED IN CYCLE ..........'
084200                                 TO WS-TABLE-DESC   (X-WS-TBL)
084300     END-EVALUATE.
084400*
084500     SET X-WS-TBL                TO +19.
084600     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
084700     MOVE SPACES                 TO WS-TBL-AMT      (X-WS-TBL).
084800*
084900     SET X-WS-TBL                TO +20.
085000     MOVE MB50WS-MER-END-BALANCE TO SS95WS-IN-AMT.
085100     PERFORM SS95PD-NAP-ROUTINE
085200                                 THRU SS95PD-NAP-EXIT.
085300     MOVE SPACES                 TO WS-TBL-NBR      (X-WS-TBL).
085400     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
085500*
085600     SET X-WS-TBL                TO +21.
085700     MOVE MB50WS-MER-HOLDOVER-NBR
085800                                 TO SS95WS-IN-NBR.
085900     MOVE MB50WS-MER-HOLDOVER-AMT
086000                                 TO SS95WS-IN-AMT.
086100     PERFORM SS95PD-NAP-ROUTINE
086200                                 THRU SS95PD-NAP-EXIT.
086300     MOVE SS95WS-OUT-NBR-L12     TO WS-TBL-NBR      (X-WS-TBL).
086400     MOVE SS95WS-OUT-AMT-L22     TO WS-TBL-AMT      (X-WS-TBL).
086500*
086600*
086700 Y299-FFD-EXIT.
086800     EXIT.
086900/
087000******************************************************************
087100*    MOVE SCREEN DATA LINES TO TEMP STORAGE RECORD.              *
087200******************************************************************
087300*
087400 Y530-MOVE-TO-TS.
087500*
087600     EVALUATE TRUE
087700         WHEN WS-HAVE-NO-DETAIL
087800              GO TO Y539-MTT-EXIT
087900     END-EVALUATE.
088000*
088100     SET X-MBISTS-DA             TO +1.
088200*
088300     PERFORM
088400         VARYING X-WS-CL FROM +1 BY +1
088500         UNTIL X-WS-CL           IS GREATER THAN +16
088600             MOVE WS-DISPLAY-LINE                       (X-WS-CL)
088700                                 TO MBISTS-LINE     (X-MBISTS-DA)
088800             SET X-MBISTS-DA     UP BY +1
088900     END-PERFORM.
089000*
089100     PERFORM Y990-TEMP-STORAGE-WRITE
089200                                 THRU Y999-TSW-EXIT.
089300     INITIALIZE WS-DISPLAY-CHAIN-LINES.
089400     INITIALIZE MBISTS-DATA-AREA.
089500     SET X-WS-CL                 TO +1.
089600     SET WS-HAVE-NO-DETAIL       TO TRUE.
089700*
089800 Y539-MTT-EXIT.
089900     EXIT.
090000/
090100******************************************************************
090200*    MOVE TEMP STORAGE DATA TO THE MAP                           *
090300******************************************************************
090400*
090500 Y540-MOVE-TS-TO-MAP.
090600*
090700     SET X-MBISTS-DA             TO +1.
090800*
090900     PERFORM
091000         VARYING X-IS11-CL FROM +1 BY +1
091100         UNTIL X-IS11-CL         IS GREATER THAN +16
091200             MOVE MBISTS-LINE    (X-MBISTS-DA)
091300                                 TO IS11-CHAIN-LINE   (X-IS11-CL)
091400             SET X-MBISTS-DA     UP BY +1
091500     END-PERFORM.
091600*
091700     EVALUATE TRUE ALSO TRUE
091800         WHEN MBCA-MBIS-CURRENT-PAGE
091900                                 IS EQUAL TO +1
092000         ALSO MBCA-MBIS-CURRENT-PAGE
092100                                 IS LESS THAN MBCA-MBIS-LAST-PAGE
092200              MOVE DFHBMASB      TO IS11-FWD-IND-A
092300         WHEN MBCA-MBIS-CURRENT-PAGE
092400                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
092500         ALSO MBCA-MBIS-CURRENT-PAGE
092600                                 IS GREATER THAN +1
092700              MOVE DFHBMASB      TO IS11-BACK-IND-A
092800         WHEN MBCA-MBIS-CURRENT-PAGE
092900                                 IS EQUAL TO MBCA-MBIS-LAST-PAGE
093000         ALSO MBCA-MBIS-CURRENT-PAGE
093100                                 IS EQUAL TO +1
093200              CONTINUE
093300         WHEN OTHER
093400              MOVE DFHBMASB      TO IS11-FWD-IND-A
093500              MOVE DFHBMASB      TO IS11-BACK-IND-A
093600     END-EVALUATE.
093700*
093800 Y549-MTTM-EXIT.
093900     EXIT.
094000/
094100******************************************************************
094200*    LOAD THE MB50WS RECORD 600 DATA AREA WITH FIELDS CONTAINED  *
094300*    ON THE STATEMENT FILE. IT IS POSSIBLE TO HAVE MORE THAN 1   *
094400*    STATEMENT RECORD.                                           *
094500******************************************************************
094600*
094700 Y600-LOAD-MB50WS-1100.
094800*
094900****************************************************************
095000*    ONLY ONE START BROWSE IS REQUIRED                         *
095100****************************************************************
095200*
095300     EVALUATE TRUE
095400         WHEN WS-STARTBR-COMPLETE
095500              GO TO Y610-READ-LOOP
095600     END-EVALUATE.
095700*
095800**************************************************************
095900*    IF STATEMENT SELECTED IS ON THE MMS2 FILE THE MMS2      *
096000*    RECORD IS MOVED TO THE MMS1 RECORD FOR PROCESSING SO    *
096100*    A GETMAIN MUST PERFORMED TO PROVIDE THE WORK AREA.      *
096200**************************************************************
096300*
096400     EVALUATE TRUE ALSO TRUE
096500         WHEN MBCA-MBIS-MMS2
096600         ALSO MBIOWS-MMS1-GETMAIN-REQUIRED
096700              MOVE 'FC01'        TO MBCA-PROGRAM-LOCATION
096800              SET MBIORO-GETMAIN TO TRUE
096900              PERFORM MMS1AO-ACCESS
097000                                 THRU MMS1AO-ACCESS-EXIT
097100     END-EVALUATE.
097200*
097300****************************************************************
097400*    START BROWSE THE STATEMENT FILE                           *
097500****************************************************************
097600*
097700     IF  MBCA-MBIS-MMS1
097800         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS1-ORG-MERCHANT
097900         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS1-KEY-TYPE
098000         MOVE MBCA-MBIS-STMT-ID-CODE
098100                                 TO MBIOWS-MMS1-STMT-ID-CODE
098200         MOVE WS-READ-REC-1100   TO MBIOWS-MMS1-REC-ID
098300         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
098400         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
098500         SET MBIORO-STARTBR-GTE  TO TRUE
098600         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
098700     ELSE
098800         MOVE MBCA-ORG-MERCHANT  TO MBIOWS-MMS2-ORG-MERCHANT
098900         MOVE MBCA-MBIS-REC-TYPE TO MBIOWS-MMS2-KEY-TYPE
099000         MOVE MBCA-MBIS-STMT-ID-CODE
099100                                 TO MBIOWS-MMS2-STMT-ID-CODE
099200         MOVE WS-READ-REC-1100   TO MBIOWS-MMS2-REC-ID
099300         MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1
099400         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
099500         SET MBIORO-STARTBR-GTE  TO TRUE
099600         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
099700         MOVE MMS2-RECORD        TO MMS1-RECORD.
099800*
099900     IF SS08WS-RC-FC-ENDFILE
100000         GO TO Y645-END-BROWSE.
100100*
100200     SET WS-STARTBR-COMPLETE     TO TRUE.
100300*
100400 Y610-READ-LOOP.
100500*
100600****************************************************************
100700*    READNEXT THE STATEMENT FILE                               *
100800****************************************************************
100900*
101000     IF  MBCA-MBIS-MMS1
101100         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
101200         SET MBIORO-READ-SEQ     TO TRUE
101300         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
101400     ELSE
101500         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
101600         SET MBIORO-READ-SEQ     TO TRUE
101700         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT
101800         MOVE MMS2-RECORD        TO MMS1-RECORD.
101900*
102000     IF  NOT MMS1-O50-MERCH-SUMMARY
102100         SET WS-NO-MORE-CHAIN-REC TO TRUE
102200         GO TO Y645-END-BROWSE.
102300*
102400     SET WS-MORE-CHAIN-REC       TO TRUE.
102500     SET WS-HAVE-DATA            TO TRUE.
102600     MOVE MMS1-REC-TYPE-DATA     TO MB50WS-MER-BAL-SUMMARY.
102700     GO TO Y649-LM11-EXIT.
102800*
102900****************************************************************
103000*    END BROWSE THE STATEMENT FILE                             *
103100****************************************************************
103200*
103300 Y645-END-BROWSE.
103400*
103500     IF  MBCA-MBIS-MMS1
103600         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
103700         SET MBIORO-ENDBR        TO TRUE
103800         PERFORM MMS1AO-ACCESS   THRU MMS1AO-ACCESS-EXIT
103900     ELSE
104000         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
104100         SET MBIORO-ENDBR        TO TRUE
104200         PERFORM MMS2AO-ACCESS   THRU MMS2AO-ACCESS-EXIT.
104300*
104400 Y649-LM11-EXIT.
104500     EXIT.
104600/
104700*****************************************************************
104800*    FORMAT THE STORE HEADER LINE                               *
104900*****************************************************************
105000*
105100 Y730-MERCH-HEADER.
105200*
105300     EVALUATE TRUE
105400         WHEN X-WS-CL            IS GREATER THAN +13
105500              PERFORM Y530-MOVE-TO-TS
105600                                 THRU Y539-MTT-EXIT
105700              SET WS-HAVE-DETAIL TO TRUE
105800     END-EVALUATE.
105900*
106000     EVALUATE TRUE
106100         WHEN X-WS-CL            IS GREATER THAN +1
106200              SET X-WS-CL        UP BY +1
106300     END-EVALUATE.
106400*
106500     MOVE MMS1-REC-ID-SEQ        TO WS-MERCH-NBR.
106600*
106700     MOVE MMS1-ORG               TO MBIOWS-MMMM-ORG.
106800     MOVE WS-MERCH-NBR           TO MBIOWS-MMMM-MERCHANT.
106900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
107000     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
107100     SET MBIORO-READ-RANDOM      TO TRUE.
107200     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
107300*
107400     IF  SS08WS-RC-FC-NOTFND
107500         MOVE 'NO DBA NAME AVAILABLE'
107600                                 TO WS-MERCH-NAME
107700     ELSE
107800         MOVE MMMM-DBA-NAME      TO WS-MERCH-NAME.
107900*
108000     MOVE WS-MERCH-HEADER        TO WS-DISPLAY-LINE     (X-WS-CL).
108100*
108200 Y739-MH-EXIT.
108300     EXIT.
108400*
108500******************************************
108600*    GET STORAGE FOR TEMPORARY STORAGE   *
108700******************************************
108800*
108900 Y960-TEMP-STORAGE-GETMAIN.
109000*
109100     EXEC CICS GETMAIN
109200               FLENGTH (LENGTH  OF MBISTS-RECORD)
109300               SET     (ADDRESS OF MBISTS-RECORD)
109400          END-EXEC.
109500*
109600 Y969-TSG-EXIT.
109700     EXIT.
109800*
109900******************************************
110000*    READ TEMPROARY STORAGE              *
110100******************************************
110200*
110300 Y970-TEMP-STORAGE-READ.
110400*
110500     EXEC CICS READQ TS
110600               QUEUE   (WS-TS-QUEUE-NAME)
110700               INTO    (MBISTS-RECORD)
110800               LENGTH  (LENGTH OF MBISTS-RECORD)
110900               ITEM    (MBCA-MBIS-CURRENT-PAGE)
111000          END-EXEC.
111100*
111200 Y979-TSR-EXIT.
111300     EXIT.
111400*
111500******************************************
111600*    DELETE TEMPROARY STORAGE            *
111700******************************************
111800*
111900 Y980-TEMP-STORAGE-DELETE.
112000*
112100     EXEC CICS IGNORE CONDITION
112200               QIDERR
112300          END-EXEC.
112400*
112500     EXEC CICS DELETEQ TS
112600               QUEUE  (WS-TS-QUEUE-NAME)
112700          END-EXEC.
112800*
112900     MOVE ZERO                   TO MBCA-MBIS-CURRENT-PAGE.
113000     MOVE ZERO                   TO MBCA-MBIS-LAST-PAGE.
113100*
113200 Y989-TSD-EXIT.
113300     EXIT.
113400*
113500******************************************
113600*    WRITE TEMPROARY STORAGE             *
113700******************************************
113800*
113900 Y990-TEMP-STORAGE-WRITE.
114000*
114100     EXEC CICS WRITEQ TS
114200               QUEUE   (WS-TS-QUEUE-NAME)
114300               FROM    (MBISTS-RECORD)
114400               LENGTH  (LENGTH OF MBISTS-RECORD)
114500               ITEM    (WS-MBISTS-ITEM-NBR)
114600          END-EXEC.
114700*
114800     MOVE WS-MBISTS-ITEM-NBR     TO WS-LAST-PAGE.
114900*
115000 Y999-TSW-EXIT.
115100     EXIT.
115200*
115300/
115400 Z000-COPIED-ROUTINES SECTION.
115500*
115600**********************************
115700*    JUL TO GREG DATE ROUTINE    *
115800**********************************
115900*
116000     COPY SS08PD.
116100/
116200**********************************
116300*    DATE AND TIME EDIT ROUTINES *
116400**********************************
116500*
116600     COPY SS26PD.
116700     COPY SS27PD.
116800/
116900**********************************
117000*    GREG TO JUL DATE ROUTINE    *
117100**********************************
117200*
117300     COPY SS07PD.
117400/
117500*********************************
117600*    LINE 24 PF KEYS ROUTINE    *
117700*********************************
117800*
117900     COPY SS15PD.
118000/
118100***************************************************
118200*    STATEMENT FILE 1                             *
118300***************************************************
118400*
118500     COPY MMS1AO.
118600/
118700***************************************************
118800*    STATEMENT FILE 2                             *
118900***************************************************
119000*
119100     COPY MMS2AO.
119200/
119300***************************************************
119400*    MERCHANT MASTER FILE                         *
119500***************************************************
119600*
119700     COPY MMMMAO.
119800/
119900***************************************************
120000*    FORMAT NBR AND AMOUNTS BY CURRENCY CODE      *
120100***************************************************
120200*
120300     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
120400/
120500*****************************
120600*    ONLINE MAP ROUTINES    *
120700*****************************
120800*
120900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBIS11 '
121000                           MBMAPXXI BY MBIS11I
121100                           MBMAPXXO BY MBIS11O.
121200/
121300*****************************
121400*    MESSAGE FORMAT ROUTINE *
121500*****************************
121600*
121700     COPY MB06PD.
121800/
121900***************************
122000*    ONLINE PROCEDURES    *
122100***************************
122200*
122300     COPY MB70PD.
122400/
122500/
122600     COPY SMFTPXO.
