000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOL1AO.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBOL1AO - MBS COMMON ONLINE ACCESS ROUTINE              *
000800*                 FOR THE LOG FILE(S)                           *
000900*                                                               *
001000*              1. TRANSID - NONE                                *
001100*              2. MAP USED - NONE                               *
001200*              3. FILES USED -                                  *
001300*                 A. XXXX (XXXXXXXXXXXXXXXX)                    *
001400*                                                               *
001500*    THIS PROGRAM IS THE COMMON ONLINE I/O ROUTINE FOR THE      *
001600*    MBS LOG FILE(S). IT IS "CALLED" FROM ALL ONLINE PROGRAMS   *
001700*    THAT ATTEMPT TO ACCESS AN ONLINE LOG FILE DATASET.         *
001800*                                                               *
001900*    SPECIFIC PARAMETERS MUST BE PASSED DEPENDING ON THE        *
002000*    FUNCTION BEING PERFORMED.                                  *
002100*                                                               *
002200******************************************************************
002300 ENVIRONMENT DIVISION.
002400 CONFIGURATION SECTION.
002500 SOURCE-COMPUTER.            IBM-4341.
002600 OBJECT-COMPUTER.            IBM-4341.
002700*
002800 DATA DIVISION.
002900 WORKING-STORAGE SECTION.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE
003200     '** WS-BEG **'.
003300*
003400 01  WS-WORK-AREAS.
003500*
003600     03  WS-WORK-FIELD       PIC  X(01)      VALUE SPACE.
003700     03  WS-VARIABLE-LENGTH  PIC S9(04)      BINARY VALUE ZEROES.
003800*
003900************************
004000*    CCS WORK AREAS    *
004100************************
004200*
004300     COPY SS01WS.
004400/
004500     COPY SS08WS.
004600/
004700     COPY SS00WS.
004800/
004900     COPY SMFTWS.
005000/
005100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
005200/
005300     COPY MB61LK.
005400/
005500     COPY MBIOWS.
005600/
005700     COPY MB00RB REPLACING ==:MB00:== BY ==MML1==.
005800*
005900 01  FILLER                      PIC  X(12)  VALUE
006000     '** WS-END **'.
006100/
006200 LINKAGE SECTION.
006300*
006400 01  DFHCOMMAREA.
006500*
006600     COPY MB60WS.
006700/
006800     COPY MBIORO.
006900/
007000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
007100/
007200 PROCEDURE DIVISION USING MBIORO-REQUEST-BLOCK.
007300*
007400 A100-BEGIN.
007500*
007600     PERFORM MB70PD-SET-ADDRESS  THRU MB70PD-OLH-EXIT.
007700     SET MBIORO-IO-REQUEST-IS-VALID
007800                                 TO TRUE.
007900     MOVE ZEROES                 TO MBIORO-STATUS.
008000     MOVE LOW-VALUES             TO SS08WS-RTN-CODE.
008100*
008200     EXEC CICS IGNORE CONDITION
008300               ERROR
008400          END-EXEC.
008500*
008600******************************************************
008700*    A VALID COMMAREA MUST HAVE BEEN PASSED TO US    *
008800******************************************************
008900*
009000     IF  EIBCALEN IS NOT EQUAL TO LENGTH OF DFHCOMMAREA
009100         MOVE 'CALE'             TO MBCA-WORK-TRANS-ID
009200         SET MBIORO-IO-REQUEST-IS-INVALID
009300                                 TO TRUE
009400         GO TO MBOL1AO-ACCESS-RESET.
009500*
009600     SET MBIORO-FILE-MML1        TO TRUE.
009700     SET X-MBOFILE               TO MBIORO-FILE-NBR.
009800     MOVE MBOFILE-FILE-NAME (X-MBOFILE)
009900                                 TO MBIORO-FILE-NAME.
010000*
010100 MBOL1AO-CONTROL.
010200*
010300     GO TO    MBOL1AO-INVALID-REQUEST
010400              MBOL1AO-INVALID-REQUEST
010500              MBOL1AO-WRITE
010600              MBOL1AO-INVALID-REQUEST
010700              MBOL1AO-INVALID-REQUEST
010800              MBOL1AO-INVALID-REQUEST
010900              MBOL1AO-INVALID-REQUEST
011000              MBOL1AO-INVALID-REQUEST
011100              MBOL1AO-INVALID-REQUEST
011200              MBOL1AO-INVALID-REQUEST
011300              MBOL1AO-GETMAIN
011400              MBOL1AO-INVALID-REQUEST
011500              MBOL1AO-INVALID-REQUEST
011600              MBOL1AO-INVALID-REQUEST
011700              MBOL1AO-INVALID-REQUEST
011800              MBOL1AO-INVALID-REQUEST
011900              MBOL1AO-INVALID-REQUEST
012000              MBOL1AO-INVALID-REQUEST
012100              MBOL1AO-INVALID-REQUEST
012200              MBOL1AO-INVALID-REQUEST
012300              DEPENDING ON MBIORO-IO-REQUEST.
012400*
012500 MBOL1AO-INVALID-REQUEST.
012600*
012700     MOVE 'INVALID FILE REQUEST' TO MBCA-ERRR-MSG1.
012800     MOVE LOW-VALUES             TO MBCA-ERRR-EIBFN-CODES.
012900     MOVE LOW-VALUES             TO MBCA-ERRR-EIBRCODE.
013000     SET MBIORO-IO-REQUEST-IS-INVALID
013100                                 TO TRUE.
013200     GO TO MBOL1AO-ABORT.
013300*
013400*****************************
013500*    OBTAIN MAIN STORAGE    *
013600*****************************
013700*
013800 MBOL1AO-GETMAIN.
013900*
014000     PERFORM MBOL1AO-CHECK-GETMAIN
014100                                 THRU MBOL1AO-CG-EXIT.
014200*
014300     GO TO MBOL1AO-ACCESS-RESET.
014400*
014500 MBOL1AO-CHECK-GETMAIN.
014600*
014700     IF  MBIORO-GETMAIN1-COMPLETED
014800         GO TO MBOL1AO-CG-EXIT.
014900*
015000     EXEC CICS GETMAIN
015100               FLENGTH   (LENGTH  OF MML1-RECORD)
015200               SET       (ADDRESS OF MML1-RECORD)
015300               INITIMG   (SS08WS-SPACE)
015400          END-EXEC.
015500*
015600     MOVE EIBRCODE               TO SS08WS-RTN-CODE.
015700     MOVE SS08WS-RC              TO MBIORO-STATUS.
015800*
015900     IF  SS08WS-RC-FC-VALID-RTN-CODE
016000         NEXT SENTENCE
016100     ELSE
016200         MOVE 'GETMAIN1 FAILURE' TO MBCA-ERRR-MSG1
016300         SET MBIORO-IO-REQUEST-IS-INVALID
016400                                 TO TRUE
016500         GO TO MBOL1AO-ABORT.
016600*
016700     SET MBIORO-POINTER1         TO ADDRESS OF MML1-RECORD.
016800     SET MBIORO-GETMAIN1-COMPLETED
016900                                 TO TRUE.
017000     MOVE ZEROES                 TO MML1-TIE-BREAKER.
017100*
017200 MBOL1AO-CG-EXIT.
017300     EXIT.
017400*
017500***********************
017600*    WRITE A RECORD   *
017700***********************
017800*
017900 MBOL1AO-WRITE.
018000*
018100     SET ADDRESS OF MML1-RECORD  TO MBIORO-POINTER1.
018200*
018300     IF  MML1-FIELD-CODE IS EQUAL TO 0199
018400         IF  MML1-VL07-A-DATA-9 IS EQUAL TO MML1-VL07-B-DATA-9
018500             MOVE LOW-VALUES     TO SS08WS-RTN-CODE
018600             MOVE ZERO           TO MBIORO-STATUS
018700             GO TO MBOL1AO-ACCESS-RESET.
018800*
018900     IF  MML1-FIELD-CODE IS EQUAL TO 0198
019000         IF  MML1-VL03-A-DATA-X IS EQUAL TO MML1-VL03-B-DATA-X
019100             MOVE LOW-VALUES     TO SS08WS-RTN-CODE
019200             MOVE ZERO           TO MBIORO-STATUS
019300             GO TO MBOL1AO-ACCESS-RESET.
019400*
019500 MBOL1AO-WRITE-RETRY.
019600*
019700     PERFORM SS82PD-ASKTIME
019800        THRU SS82PD-A-EXIT.
019900*
020000     MOVE SS01WS-JULIAN          TO MML1-DATE-STAMP.
020100     COMPUTE MML1-TIME-STAMP     =  EIBTIME * 100.
020200     MOVE ZEROES                 TO MML1-TASK-NUMBER.
020300     MOVE SS01WS-ABSTIME-MILLISEC
020400                                 TO MML1-TIE-BREAKER.
020500*
020600     COMPUTE WS-VARIABLE-LENGTH  =  MML1-VARIABLE-LENGTH
020700                                 +  MML1RB-FIXED-LENGTH.
020800*
020900     EXEC CICS WRITE
021000               DATASET (MBOFILE-MML1)
021100               RIDFLD  (MML1-KEY)
021200               FROM    (MML1-RECORD)
021300               LENGTH  (WS-VARIABLE-LENGTH)
021400          END-EXEC.
021500*
021600     MOVE EIBRCODE               TO SS08WS-RTN-CODE.
021700*
021800     IF  SS08WS-RC-FC-DUPREC
021900         GO TO MBOL1AO-WRITE-RETRY.
022000*
022100     PERFORM MBOL1AO-CHECK-STATUS
022200                                 THRU MBOL1AO-CS-EXIT.
022300*
022400     IF  MBIORO-IO-REQUEST-IS-INVALID
022500         MOVE 'WRITE ERROR - MML1AO'
022600                                 TO MBCA-ERRR-MSG1
022700         GO TO MBOL1AO-ABORT.
022800*
022900     IF  MBOFILE-LOG-2-IS-ACTIVE
023000         EXEC CICS WRITE
023100                   DATASET (MBOFILE-MML2)
023200                   RIDFLD  (MML1-KEY)
023300                   FROM    (MML1-RECORD)
023400                   LENGTH  (WS-VARIABLE-LENGTH)
023500              END-EXEC
023600     ELSE
023700         GO TO MBOL1AO-ACCESS-RESET.
023800*
023900     PERFORM MBOL1AO-CHECK-STATUS
024000                                 THRU MBOL1AO-CS-EXIT.
024100*
024200     IF  MBIORO-IO-REQUEST-IS-VALID
024300         GO TO MBOL1AO-ACCESS-RESET.
024400*
024500     MOVE 'WRITE ERROR - MML1AO' TO MBCA-ERRR-MSG1.
024600     GO TO MBOL1AO-ABORT.
024700*
024800 MBOL1AO-CHECK-STATUS.
024900*
025000     MOVE EIBRCODE               TO SS08WS-RTN-CODE.
025100*
025200     IF  SS08WS-RC-FC-VALID-RTN-CODE
025300         MOVE ZERO               TO MBIORO-STATUS
025400     ELSE
025500         MOVE SS08WS-RC          TO MBIORO-STATUS.
025600*
025700     IF  MBIORO-STATUS IS EQUAL TO MBIORO-TEMP-STATUS-1
025800     OR  MBIORO-STATUS IS EQUAL TO MBIORO-TEMP-STATUS-2
025900     OR  MBIORO-STATUS IS EQUAL TO MBIORO-PERM-STATUS-1
026000     OR  MBIORO-STATUS IS EQUAL TO MBIORO-PERM-STATUS-2
026100     OR  MBIORO-STATUS IS EQUAL TO MBIORO-PERM-STATUS-3
026200     OR  MBIORO-STATUS IS EQUAL TO MBIORO-PERM-STATUS-4
026300     OR  MBIORO-STATUS IS EQUAL TO MBIORO-PERM-STATUS-5
026400         SET MBIORO-IO-REQUEST-IS-VALID
026500                                 TO TRUE
026600     ELSE
026700         SET MBIORO-IO-REQUEST-IS-INVALID
026800                                 TO TRUE.
026900*
027000     MOVE SS08WS-RC              TO MBIORO-STATUS.
027100*
027200 MBOL1AO-CS-EXIT.
027300     EXIT.
027400*
027500 MBOL1AO-ABORT.
027600*
027700     MOVE 'CONTACT PROGRAMMING DEPARTMENT'
027800                                 TO MBCA-ERRR-MSG2.
027900*
028000     IF  SS08WS-RC-FC-NOTOPEN
028100         MOVE '***    T H E   F I L E S   A R E     ***'
028200                                 TO MBCA-ERRR-MSG1
028300         MOVE '***    N O T   O P E N E D ! ! ! !   ***'
028400                                 TO MBCA-ERRR-MSG2.
028500*
028600     MOVE MBIORO-IO-REQUEST      TO MBCA-ERRR-IO-REQUEST.
028700     MOVE EIBDS                  TO MBCA-ERRR-EIBDS.
028800     MOVE EIBFN                  TO MBCA-ERRR-EIBFN-CODES.
028900     MOVE MBCA-PROGRAM-ID        TO MBCA-ERRR-BAD-PROGRAM.
029000     MOVE MBCA-TRANS-ID          TO MBCA-ERRR-BAD-TRANSID.
029100     SET MBCA-ERROR-MSGS-PROVIDED
029200                                 TO TRUE.
029300*
029400 MBOL1AO-ACCESS-RESET.
029500*
029600     MOVE ZERO                   TO MBIORO-TEMP-STATUS-1.
029700     MOVE ZERO                   TO MBIORO-TEMP-STATUS-2.
029800     MOVE EIBRCODE               TO MBCA-ERRR-EIBRCODE.
029900*
030000 MBOL1AO-GOBACK.
030100*
030200     GOBACK.
030300/
030400     COPY SS23PD.
030500/
030600     COPY MB70PD.
030700/
030800     COPY SS08PD.
030900/
031000     COPY SS26PD.
031100/
031200     COPY SS27PD.
031300/
031400     COPY SS82PD.
031500/
031600     COPY SMFTPXO.
