000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMA01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMA01 - ON-LINE MERCHANT ADJUSTMENTS                   *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBMA                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBMA01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMT1   (MONETARY TRANSACTION FILE)         *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         FORMAT NBR AND AMT WORK AREAS
002800     COPY SS95WS.
002900/         DYNAMIC ALLOC ROUTINS
003000     COPY MB00WS.
003100/         DATE WORK AREAS
003200     COPY SS01WS.
003300/         ONLINE WORK AREAS
003400     COPY SS08WS.
003500/
003600     COPY SS00WS.
003700/
003800     COPY SMFTWS.
003900/
004000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004100/
004200     COPY MB61LK.
004300/
004400 01  WS-MISCELLANEOUS.
004500     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004600     03  WS-FWD-SEQ-NBR      PIC  9(09)      VALUE ZEROES.
004700     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-SELECT-NO                    VALUE 'N'.
004900         88  WS-SELECT-YES                   VALUE 'Y'.
005000     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
005100         88  WS-BYPASS-NO                    VALUE 'N'.
005200         88  WS-BYPASS-YES                   VALUE 'Y'.
005300     03  TS-QUEUE-NAME.
005400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBMA'.
005600*
005700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005800/
005900 LINKAGE SECTION.
006000 01  DFHCOMMAREA.
006100     COPY MB60WS.
006200/         MERCHANT DIRECTORY SCREEN 01 MAP DSECT
006300     COPY MBMA01.
006400/         MERCHANT DIRECTORY SCREEN 01 MAP REDEFINITION
006500     COPY MBMA01R.
006600/         MONETARY TRANSACTION RECORD LAYOUT
006700     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMT1==.
006800/         MERCHANT DIRECTORY TEMPORARY STORAGE
006900     COPY MBMATS.
007000/
007100 PROCEDURE DIVISION.
007200 0000-HOUSEKEEPING SECTION.
007300 0100-INIT.
007400*
007500     SET SS95WS-FUNCTION-INITIALIZE
007600                                 TO TRUE.
007700
007800     PERFORM SS95PD-NAP-ROUTINE
007900        THRU SS95PD-NAP-EXIT.
008000*
008100     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
008200     SET MBCA-EIBAID-ENTER       TO TRUE.
008300*
008400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008600                                 THRU MB70PD-OLH-EXIT.
008700*
008800     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
008900     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
009000*
009100     IF  MBCA-RECEIVE-SCREEN
009200         GO TO 2000-RECEIVE-SCREEN.
009300*
009400 1000-SEND-SCREEN SECTION.
009500*
009600****************************************************************
009700*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009800****************************************************************
009900*
010000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010100     PERFORM MB60PD-GETMAIN-FOR-MAP
010200                                 THRU MB60PD-GFM-EXIT.
010300*
010400     MOVE MBCA-MBMA-ORG          TO MA01-ORG.
010500     MOVE MBCA-MERCHANT          TO MA01-MERCHANT.
010600     MOVE MBCA-MBMA-DBA-NAME     TO MA01-DBA-NAME.
010700     MOVE MBCA-MBMA-DBA-CITY     TO MA01-DBA-CITY.
010800     MOVE MBCA-MBMA-MERCHANT-NAME
010900                                 TO MA01-MERCHANT-NAME.
011000     MOVE MBCA-MBMA-DBA-COUNTRY-CODE
011100                                 TO MA01-DBA-COUNTRY-CODE.
011200     MOVE 01                     TO MBCA-SCREEN-NBR.
011300*
011400****************************************************************
011500*    INITIALIZE THE STANDARD MAP LINES                         *
011600****************************************************************
011700*
011800     PERFORM MB60PD-INIT-STD-MAP-LINES
011900                                 THRU MB60PD-ISML-EXIT.
012000*
012100****************************************************************
012200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
012300****************************************************************
012400*
012500     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
012600     PERFORM 8100-TEMP-STORAGE-GETMAIN
012700                                 THRU 8199-TSG-EXIT.
012800*
012900     EXEC CICS HANDLE CONDITION
013000               QIDERR (1010-CHECK-RETURN-FLAG)
013100          END-EXEC.
013200*
013300***********************************************
013400*    READ THE TEMP STORAGE RECORD             *
013500***********************************************
013600*
013700     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM 8200-TEMP-STORAGE-READ
013900                                 THRU 8299-TSR-EXIT.
014000*
014100***********************************************
014200*    DELETE THE TEMP STORAGE RECORD           *
014300***********************************************
014400*
014500     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
014600     PERFORM 8300-TEMP-STORAGE-DELETE
014700                                 THRU 8399-TSD-EXIT.
014800*
014900     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
015000     GO TO 1080-CONTINUE.
015100*
015200 1010-CHECK-RETURN-FLAG.
015300*
015400     IF  MBCA-MBMA-RETURN-BOTTOM
015500         PERFORM 8900-LAST-SCREEN
015600                                 THRU 8999-LS-EXIT
015700         IF  WS-BYPASS-YES
015800             GO TO 1015-READ-TRANSACTIONS
015900         ELSE
016000             GO TO 1080-CONTINUE
016100     ELSE
016200         IF  MBCA-MBMA-RETURN-BWD
016300             PERFORM 9000-BACK-SCREEN
016400                                 THRU 9099-BS-EXIT
016500             IF  WS-BYPASS-YES
016600                 GO TO 1015-READ-TRANSACTIONS
016700             ELSE
016800                 GO TO 1080-CONTINUE.
016900*
017000 1015-READ-TRANSACTIONS.
017100*
017200****************************************************************
017300*    START BROWSE THE MONETARY TANS FILE                       *
017400****************************************************************
017500*
017600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
017700     MOVE MBCA-MBMA-ORG          TO MBIOWS-MMT1-ORG.
017800     MOVE MBCA-MBMA-MERCHANT     TO MBIOWS-MMT1-MERCHANT.
017900     MOVE MBCA-MBMA-FWD-SEQ-NBR  TO MBIOWS-MMT1-SEQ-NBR.
018000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
018100     SET MBIORO-STARTBR-GTE      TO TRUE.
018200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
018300*
018400     IF  SS08WS-RC-FC-NOTFND
018500         MOVE MBCA-MBMA-BACK-SEQ-NBR
018600                                 TO MBIOWS-MMT1-SEQ-NBR
018700         SET MBIORO-STARTBR-GTE  TO TRUE
018800         PERFORM MMT1AO-ACCESS   THRU MMT1AO-ACCESS-EXIT.
018900*
019000     SET X-MA01-SEL-ADJ          TO +1.
019100*
019200 1020-READ-LOOP.
019300*
019400****************************************************************
019500*    READNEXT THE MONETARY TRANS RECORD                        *
019600****************************************************************
019700*
019800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019900     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
020000     SET MBIORO-READ-SEQ         TO TRUE.
020100     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
020200*
020300     IF  SS08WS-RC-FC-ENDFILE
020400     OR  MMT1-ORG-MERCHANT IS GREATER THAN MBCA-MBMA-ORG-MERCHANT
020500         GO TO 1020-END-BROWSE.
020600*
020700     PERFORM 9500-BUILD-SCREEN-LINE
020800                                 THRU 9599-BSL-EXIT.
020900*
021000     IF  X-MA01-SEL-ADJ IS EQUAL TO +1
021100         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-BACK-SEQ-NBR.
021200*
021300     IF  X-MA01-SEL-ADJ IS LESS THAN +14
021400         SET X-MA01-SEL-ADJ      UP BY +1
021500         GO TO 1020-READ-LOOP
021600     ELSE
021700         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-FWD-SEQ-NBR
021800         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
021900         SET X-MA01-SEL-ADJ      UP BY +1.
022000*
022100 1020-END-BROWSE.
022200*
022300****************************************************************
022400*    END BROWSE THE MONETARY TRANS FILE                       *
022500****************************************************************
022600*
022700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
022800     SET MBIORO-ENDBR            TO TRUE.
022900     PERFORM MMT1AO-ACCESS      THRU MMT1AO-ACCESS-EXIT.
023000*
023100 1060-SET-ATTRIBUTE.
023200*
023300     IF  X-MA01-SEL-ADJ IS EQUAL TO +1
023400         IF  MBCA-MBMA-RETURN-NORMAL
023500             SET MBCA-INITIAL-SCREEN-NBR
023600                                 TO TRUE
023700             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
023800             PERFORM MB70PD-XCTL-TO-MBOXCTL
023900                                 THRU MB70PD-XTM-EXIT
024000         ELSE
024100             MOVE MBCA-MBMA-BACK-SEQ-NBR
024200                                 TO MBCA-MBMA-FWD-SEQ-NBR
024300             GO TO 1015-READ-TRANSACTIONS.
024400*
024500     IF  X-MA01-SEL-ADJ IS LESS THAN +15
024600         SET X-MBMATS-INDEX      TO X-MA01-SEL-ADJ
024700         MOVE ZEROES             TO MBCA-MBMA-FWD-SEQ-NBR
024800                                    WS-FWD-SEQ-NBR
024900                                    MBMATS-SEQ-NBR
025000                                    (X-MBMATS-INDEX)
025100                                    MBMATS-TRANS-CODE
025200                                    (X-MBMATS-INDEX)
025300                                    MBMATS-AMOUNT
025400                                    (X-MBMATS-INDEX)
025500                                    MBMATS-ENTRY-DATE
025600                                    (X-MBMATS-INDEX)
025700         MOVE SPACES             TO MBMATS-DESC
025800                                    (X-MBMATS-INDEX)
025900         MOVE DFHBMASK           TO MA01-SELECT-A
026000                                    (X-MA01-SEL-ADJ)
026100         MOVE DFHBMDAS           TO MA01-SEQ-NBR-A
026200                                    (X-MA01-SEL-ADJ)
026300                                    MA01-TRANS-CODE-A
026400                                    (X-MA01-SEL-ADJ)
026500                                    MA01-AMOUNT-A
026600                                    (X-MA01-SEL-ADJ)
026700                                    MA01-ENTRY-DATE-A
026800                                    (X-MA01-SEL-ADJ)
026900                                    MA01-DESC-A
027000                                    (X-MA01-SEL-ADJ)
027100                                    MA01-SELECT-LP-A
027200                                    (X-MA01-SEL-ADJ)
027300                                    MA01-SELECT-RP-A
027400                                    (X-MA01-SEL-ADJ)
027500         SET X-MA01-SEL-ADJ      UP BY +1
027600         GO TO 1060-SET-ATTRIBUTE.
027700*
027800 1080-CONTINUE.
027900*
028000     IF  MBCA-MBMA-BACK-SEQ-NBR IS NOT EQUAL
028100                                 TO MBCA-MBMA-FIRST-SEQ-NBR
028200         MOVE DFHBMASB           TO MA01-FWD-BACK-IND-A (1).
028300*
028400     IF  WS-FWD-SEQ-NBR IS NOT EQUAL TO ZEROES
028500         MOVE DFHBMASB           TO MA01-FWD-BACK-IND-A (14).
028600*
028700****************************************************************
028800*    WRITE THE TEMP STORAGE RECORD                             *
028900****************************************************************
029000*
029100     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
029200     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
029300*
029400     SET X-MA01-SEL-ADJ          TO +1.
029500*
029600 1090-CURSOR-LOOP.
029700*
029800     IF  X-MA01-SEL-ADJ IS GREATER THAN +14
029900         MOVE SS08WS-CURSOR      TO MA01-ALT-TRANID-L
030000         GO TO 1100-CONTINUE.
030100*
030200     IF  MA01-SELECT-A (X-MA01-SEL-ADJ)
030300                                 IS EQUAL TO DFHBMASK
030400         SET X-MA01-SEL-ADJ      UP BY +1
030500         GO TO 1090-CURSOR-LOOP
030600     ELSE
030700         MOVE SS08WS-CURSOR      TO MA01-SELECT-L
030800                                    (X-MA01-SEL-ADJ).
030900*
031000 1100-CONTINUE.
031100*
031200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
031300     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
031400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
031500     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
031600     MOVE SS08WS-LINE-24         TO MA01-PF-KEYS.
031700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
031800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
031900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
032000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
032100*
032200     MOVE DFHBMASK               TO MA01-CURRENT-PAGE-A.
032300*
032400****************************************************************
032500*    FORMAT THE MESSAGE LINE                                   *
032600****************************************************************
032700*
032800     IF MA01-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
032900     PERFORM MB06PD-FORMAT-MESSAGE-LINE
033000        THRU MB06PD-FML-EXIT.
033100     MOVE SS08WS-FORMATTED-MSG TO MA01-ERR-MESSAGE.
033200*
033300****************************************************************
033400*    SEND THE MAP                                              *
033500****************************************************************
033600*
033700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033900                                 THRU MB60PD-SMWE-EXIT.
034000*
034100****************************************************************
034200*    RETURN TO CICS                                            *
034300****************************************************************
034400*
034500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB70PD-RETURN-TRANS-ID
034700                                 THRU MB70PD-RTI-EXIT.
034800/
034900 2000-RECEIVE-SCREEN SECTION.
035000*
035100     IF  MBCA-EIBAID-CLEAR
035200         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
035300         PERFORM 8300-TEMP-STORAGE-DELETE
035400                                 THRU 8399-TSD-EXIT
035500         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
035600         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
035700                                 THRU MB70PD-OLH-EXIT.
035800*
035900****************************************************************
036000*    THIS SECTION RECEIVES THE 01 SCREEN                       *
036100****************************************************************
036200*
036300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
036500*
036600*****************************************************
036700*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
036800*****************************************************
036900*
037000     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
037100     PERFORM 8100-TEMP-STORAGE-GETMAIN
037200                                 THRU 8199-TSG-EXIT.
037300*
037400***********************************************
037500*    READ THE TEMP STORAGE RECORD             *
037600***********************************************
037700*
037800     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
037900     PERFORM 8200-TEMP-STORAGE-READ
038000                                 THRU 8299-TSR-EXIT.
038100*
038200***********************************************
038300*    DELETE THE TEMP STORAGE RECORD           *
038400***********************************************
038500*
038600     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
038700     PERFORM 8300-TEMP-STORAGE-DELETE
038800                                 THRU 8399-TSD-EXIT.
038900*
039000****************************************************************
039100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
039200****************************************************************
039300*
039400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039500     PERFORM MB60PD-NEW-TRANS-ROUTINE
039600                                 THRU MB60PD-NTR-EXIT.
039700*
039800 2005-EDIT-SELECT.
039900*
040000****************************************************************
040100*    EDIT SELECT FIELD                                         *
040200****************************************************************
040300*
040400     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
040500*
040600 2090-CHECK-ERROR.
040700*
040800     IF  SS08WS-ERROR-SW-NO
040900         GO TO 2400-CHECK-SELECT.
041000*
041100 2300-SEND-MAP.
041200*
041300***********************************************
041400*    WRITE THE TEMP STORAGE RECORD            *
041500***********************************************
041600*
041700     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
041800     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
041900*
042000****************************************************************
042100*    SEND THE MAP                                              *
042200****************************************************************
042300*
042400     PERFORM MB60PD-INIT-STD-MAP-LINES
042500                                 THRU MB60PD-ISML-EXIT.
042600*
042700     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
042800     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
042900     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
043000     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
043100     MOVE SS08WS-LINE-24         TO MA01-PF-KEYS.
043200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
043300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
043400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
043500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
043600     MOVE DFHBMASK               TO MA01-CURRENT-PAGE-A.
043700*
043800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
043900*
044000
044100     IF MA01-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
044200        PERFORM MB06PD-FORMAT-MESSAGE-LINE
044300              THRU MB06PD-FML-EXIT.
044400        MOVE SS08WS-FORMATTED-MSG TO MA01-ERR-MESSAGE.
044500*
044600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
044700                                 THRU MB60PD-SMDO-EXIT.
044800*
044900****************************************************************
045000*    RETURN TO CICS                                            *
045100****************************************************************
045200*
045300     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
045400     PERFORM MB70PD-RETURN-TRANS-ID
045500                                 THRU MB70PD-RTI-EXIT.
045600/
045700 2400-CHECK-SELECT.
045800*
045900     IF  WS-SELECT-YES
046000         SET X-MBMATS-INDEX      TO X-MA01-SEL-ADJ
046100         MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
046200                                 TO MBCA-KEY-CODE
046300         MOVE MBMATS-SEQ-NBR (X-MBMATS-INDEX)
046400                                 TO MBCA-MBMA-FIRST-SEQ-NBR
046500*TXH     MOVE MA01-SEQ-NBR (X-MA01-SEL-ADJ)
046600*TXH                             TO MBCA-MBMA-FIRST-SEQ-NBR
046700         MOVE 52                 TO MBCA-SCREEN-NBR
046800         GO TO 2690-PF-KEY-BYPASS.
046900/
047000 2600-SETUP-COMMAREA.
047100*
047200****************************************************************
047300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047400****************************************************************
047500*
047600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
047700*
047800     IF  SS08WS-VALID-PF3
047900     OR  SS08WS-EIBAID-VALID-PF3
048000         MOVE 51                 TO MBCA-SCREEN-NBR
048100         MOVE MBCA-MBMA-FIRST-SEQ-NBR
048200                                 TO MBCA-MBMA-FWD-SEQ-NBR
048300         SET MBCA-MBMA-RETURN-NORMAL
048400                                 TO TRUE
048500         GO TO 2690-PF-KEY-BYPASS.
048600*
048700     IF  SS08WS-VALID-PF4
048800     OR  SS08WS-EIBAID-VALID-PF4
048900         MOVE 51                 TO MBCA-SCREEN-NBR
049000         IF (MBMATS-SEQ-NBR (1) IS GREATER THAN ZEROES
049100         AND MBMATS-SEQ-NBR (14) IS EQUAL TO ZEROES)
049200         OR (MBCA-MBMA-FWD-SEQ-NBR IS EQUAL TO ZEROES)
049300             SET MBCA-MBMA-RETURN-NORMAL
049400                                 TO TRUE
049500             MOVE ZEROES         TO MBCA-MBMA-FWD-SEQ-NBR
049600             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
049700             PERFORM 8400-WRITE-QUEUE
049800                                 THRU 8499-WQ-EXIT
049900             GO TO 2690-PF-KEY-BYPASS
050000         ELSE
050100             SET MBCA-MBMA-RETURN-BOTTOM
050200                                 TO TRUE
050300             GO TO 2690-PF-KEY-BYPASS.
050400*
050500     IF  SS08WS-VALID-PF5
050600     OR  SS08WS-EIBAID-VALID-PF5
050700         MOVE 51                 TO MBCA-SCREEN-NBR
050800         IF (MBMATS-SEQ-NBR (1) IS GREATER THAN ZEROES
050900         AND MBMATS-SEQ-NBR (14) IS EQUAL TO ZEROES)
051000         OR (MBCA-MBMA-FWD-SEQ-NBR IS EQUAL TO ZEROES)
051100             SET MBCA-MBMA-RETURN-NORMAL
051200                                 TO TRUE
051300             MOVE ZEROES         TO MBCA-MBMA-FWD-SEQ-NBR
051400             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
051500             PERFORM 8400-WRITE-QUEUE
051600                                 THRU 8499-WQ-EXIT
051700             GO TO 2690-PF-KEY-BYPASS
051800         ELSE
051900             SET MBCA-MBMA-RETURN-FWD
052000                                 TO TRUE
052100             ADD 1               TO MBCA-MBMA-FWD-SEQ-NBR
052200             GO TO 2690-PF-KEY-BYPASS.
052300*
052400     IF  SS08WS-VALID-PF6
052500     OR  SS08WS-EIBAID-VALID-PF6
052600         MOVE 51                 TO MBCA-SCREEN-NBR
052700         IF  MBCA-MBMA-BACK-SEQ-NBR IS EQUAL
052800                                 TO MBCA-MBMA-FIRST-SEQ-NBR
052900             SET MBCA-MBMA-RETURN-NORMAL
053000                                 TO TRUE
053100             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
053200             PERFORM 8400-WRITE-QUEUE
053300                                 THRU 8499-WQ-EXIT
053400             GO TO 2690-PF-KEY-BYPASS
053500         ELSE
053600             MOVE MBCA-MBMA-BACK-SEQ-NBR
053700                                 TO MBCA-MBMA-FWD-SEQ-NBR
053800             SET MBCA-MBMA-RETURN-BWD
053900                                 TO TRUE
054000             GO TO 2690-PF-KEY-BYPASS.
054100*
054200     IF  SS08WS-VALID-PF-KEY
054300     OR  SS08WS-EIBAID-VALID-PF-KEY
054400     OR  MBMATS-SEQ-NBR (14) IS EQUAL TO ZEROES
054500     OR  MBCA-MBMA-FWD-SEQ-NBR IS EQUAL TO ZEROES
054600         SET MBCA-INITIAL-SCREEN-NBR
054700                                 TO TRUE
054800         MOVE MBIOWS-MMMM-KEY-CODE
054900                                 TO MBCA-KEY-CODE
055000         SET MBCA-MBMA-RETURN-NORMAL
055100                                 TO TRUE
055200         GO TO 2690-PF-KEY-BYPASS.
055300*
055400     MOVE 51                     TO MBCA-SCREEN-NBR.
055500     ADD 1                       TO MBCA-MBMA-FWD-SEQ-NBR.
055600     SET MBCA-MBMA-RETURN-NORMAL TO TRUE.
055700*
055800 2690-PF-KEY-BYPASS.
055900*
056000     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
056100     PERFORM MB70PD-XCTL-TO-MBOXCTL
056200                                 THRU MB70PD-XTM-EXIT.
056300/
056400 8000-PERFORMED-ROUTINES-SECT SECTION.
056500*
056600 8100-TEMP-STORAGE-GETMAIN.
056700*
056800     EXEC CICS GETMAIN
056900               FLENGTH (LENGTH  OF MBMATS-RECORD)
057000               SET     (ADDRESS OF MBMATS-RECORD)
057100          END-EXEC.
057200*
057300 8199-TSG-EXIT.
057400     EXIT.
057500*
057600 8200-TEMP-STORAGE-READ.
057700*
057800     EXEC CICS READQ TS
057900               QUEUE   (TS-QUEUE-NAME)
058000               INTO    (MBMATS-RECORD)
058100               LENGTH  (LENGTH  OF MBMATS-RECORD)
058200               ITEM    (1)
058300          END-EXEC.
058400*
058500 8299-TSR-EXIT.
058600     EXIT.
058700*
058800 8300-TEMP-STORAGE-DELETE.
058900*
059000     EXEC CICS IGNORE CONDITION
059100               QIDERR
059200          END-EXEC.
059300*
059400     EXEC CICS DELETEQ TS
059500               QUEUE  (TS-QUEUE-NAME)
059600          END-EXEC.
059700*
059800 8399-TSD-EXIT.
059900     EXIT.
060000*
060100 8400-WRITE-QUEUE.
060200*
060300     EXEC CICS WRITEQ TS
060400               QUEUE   (TS-QUEUE-NAME)
060500               FROM    (MBMATS-RECORD)
060600               LENGTH  (LENGTH  OF MBMATS-RECORD)
060700          END-EXEC.
060800*
060900 8499-WQ-EXIT.
061000     EXIT.
061100*
061200 8600-EDIT-SELECT.
061300*
061400     SET X-MA01-SEL-ADJ          TO +1.
061500*
061600 8600-EDIT-LOOP.
061700*
061800     IF  MA01-SELECT-L (X-MA01-SEL-ADJ) IS GREATER THAN ZERO
061900         IF  MA01-VALID-SELECT (X-MA01-SEL-ADJ)
062000             MOVE DFHBMASF       TO MA01-SELECT-A
062100                                    (X-MA01-SEL-ADJ)
062200             MOVE DFHBMDAS       TO MA01-SELECT-LP-A
062300                                    (X-MA01-SEL-ADJ)
062400                                    MA01-SELECT-RP-A
062500                                    (X-MA01-SEL-ADJ)
062600             MOVE DFHBMABF       TO MA01-SEQ-NBR-A
062700                                    (X-MA01-SEL-ADJ)
062800             SET WS-SELECT-YES   TO TRUE
062900             GO TO 8699-ES-EXIT
063000         ELSE
063100             SET SS08WS-ERROR-SW-YES TO TRUE
063200             MOVE SS08WS-CURSOR  TO MA01-SELECT-L
063300                                    (X-MA01-SEL-ADJ)
063400             MOVE DFHBMUBF       TO MA01-SELECT-A
063500                                    (X-MA01-SEL-ADJ)
063600             MOVE DFHBMASB       TO MA01-SELECT-LP-A
063700                                    (X-MA01-SEL-ADJ)
063800                                    MA01-SELECT-RP-A
063900                                    (X-MA01-SEL-ADJ)
064000             GO TO 8699-ES-EXIT.
064100*
064200     IF  X-MA01-SEL-ADJ IS LESS THAN +14
064300         SET X-MA01-SEL-ADJ      UP BY +1
064400         GO TO 8600-EDIT-LOOP.
064500*
064600 8699-ES-EXIT.
064700     EXIT.
064800*
064900 8800-BUILD-SCREEN.
065000*
065100     SET X-MA01-SEL-ADJ          TO +1.
065200*
065300 8800-BUILD-LOOP.
065400*
065500     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
065600*
065700     SET X-MBMATS-INDEX          TO X-MA01-SEL-ADJ.
065800*
065900     IF  MBMATS-SEQ-NBR (X-MBMATS-INDEX)
066000                                 IS GREATER THAN ZEROES
066100         MOVE MBMATS-SEQ-NBR (X-MBMATS-INDEX)
066200                                 TO MA01-SEQ-NBR
066300                                    (X-MA01-SEL-ADJ)
066400         MOVE MBMATS-TRANS-CODE (X-MBMATS-INDEX)
066500                                 TO MA01-TRANS-CODE
066600                                    (X-MA01-SEL-ADJ)
066700         MOVE MBMATS-AMOUNT (X-MBMATS-INDEX)
066800                                 TO SS95WS-IN-AMT
066900         PERFORM SS95PD-NAP-ROUTINE
067000                                 THRU SS95PD-NAP-EXIT
067100         MOVE SS95WS-OUT-AMT-L23
067200                                 TO MA01-AMOUNT
067300                                    (X-MA01-SEL-ADJ)
067400         MOVE MBMATS-ENTRY-DATE (X-MBMATS-INDEX)
067500                                 TO MA01-ENTRY-DATE
067600                                    (X-MA01-SEL-ADJ)
067700*        MOVE MBMATS-ENTRY-DATE (X-MBMATS-INDEX)
067800*                                TO SS01WS-JULIAN
067900*        PERFORM SS26PD-NUMERICALLY-EDIT-DATE
068000*                                THRU SS26PD-NED-EXIT
068100*        MOVE SS01WS-DATE        TO MA01-ENTRY-DATE
068200*                                   (X-MA01-SEL-ADJ)
068300         MOVE MBMATS-DESC (X-MBMATS-INDEX)
068400                                 TO MA01-DESC
068500                                    (X-MA01-SEL-ADJ)
068600     ELSE
068700         MOVE DFHBMASK           TO MA01-SELECT-A
068800                                    (X-MA01-SEL-ADJ)
068900         MOVE DFHBMDAS           TO MA01-SEQ-NBR-A
069000                                    (X-MA01-SEL-ADJ)
069100                                    MA01-TRANS-CODE-A
069200                                    (X-MA01-SEL-ADJ)
069300                                    MA01-AMOUNT-A
069400                                    (X-MA01-SEL-ADJ)
069500                                    MA01-ENTRY-DATE-A
069600                                    (X-MA01-SEL-ADJ)
069700                                    MA01-DESC-A
069800                                    (X-MA01-SEL-ADJ)
069900                                    MA01-SELECT-LP-A
070000                                    (X-MA01-SEL-ADJ)
070100                                    MA01-SELECT-RP-A
070200                                    (X-MA01-SEL-ADJ).
070300*
070400     IF  X-MA01-SEL-ADJ IS LESS THAN +14
070500         SET X-MA01-SEL-ADJ      UP BY +1
070600         GO TO 8800-BUILD-LOOP
070700     ELSE
070800         MOVE MBCA-MBMA-FWD-SEQ-NBR
070900                                 TO WS-FWD-SEQ-NBR.
071000*
071100 8899-BS-EXIT.
071200     EXIT.
071300*
071400 8900-LAST-SCREEN.
071500*
071600****************************************************************
071700*    START BROWSE THE MONETARY TRANS FILE                     *
071800****************************************************************
071900*
072000     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
072100     MOVE MBCA-MBMA-ORG          TO MBIOWS-MMT1-ORG.
072200     MOVE MBCA-MBMA-MERCHANT     TO MBIOWS-MMT1-MERCHANT.
072300     MOVE 99999999               TO MBIOWS-MMT1-SEQ-NBR.
072400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
072500     SET MBIORO-STARTBR-GTE      TO TRUE.
072600     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
072700*
072800     IF  SS08WS-RC-FC-NOTFND
072900         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
073000         MOVE 00000000           TO MBIOWS-MMT1-SEQ-NBR
073100         SET MBIORO-STARTBR-GTE  TO TRUE
073200         PERFORM MMT1AO-ACCESS   THRU MMT1AO-ACCESS-EXIT
073300         PERFORM 9600-READ-MMT1  THRU 9699-RMMT1-EXIT
073400             UNTIL SS08WS-RC-FC-ENDFILE
073500         GO TO 8900-CONTINUE.
073600*
073700****************************************************************
073800*    READNEXT THE MONETARY TRANS FILE                          *
073900****************************************************************
074000*
074100     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
074200     SET MBIORO-READ-SEQ         TO TRUE.
074300     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
074400*
074500****************************************************************
074600*    READPREV THE MONETARY TRANS FILE                          *
074700****************************************************************
074800*
074900     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
075000     SET MBIORO-READ-PREV        TO TRUE.
075100     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
075200*
075300 8900-CONTINUE.
075400*
075500     SET X-MA01-SEL-ADJ          TO +14.
075600     SET WS-BYPASS-NO            TO TRUE.
075700*
075800 8900-READ-TRANSACTIONS-FILE.
075900*
076000****************************************************************
076100*    READPREV THE MONETARY TRANS FILE                         *
076200****************************************************************
076300*
076400     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
076500     SET MBIORO-READ-PREV        TO TRUE.
076600     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
076700*
076800 8900-BUILD-LOOP.
076900*
077000     IF  MMT1-ORG-MERCHANT IS LESS THAN MBCA-MBMA-ORG-MERCHANT
077100     OR  MMT1-SEQ-NBR IS LESS THAN MBCA-MBMA-FIRST-SEQ-NBR
077200         GO TO 8900-END-BROWSE.
077300*
077400     IF  MMT1-SEQ-NBR IS EQUAL TO MBCA-MBMA-FIRST-SEQ-NBR
077500     AND X-MA01-SEL-ADJ IS GREATER THAN +1
077600         SET MBCA-MBMA-RETURN-NORMAL
077700                                 TO TRUE
077800         MOVE MBCA-MBMA-FIRST-SEQ-NBR
077900                                 TO MBCA-MBMA-FWD-SEQ-NBR
078000         SET WS-BYPASS-YES       TO TRUE
078100         GO TO 8900-END-BROWSE.
078200*
078300     PERFORM 9500-BUILD-SCREEN-LINE
078400                                 THRU 9599-BSL-EXIT.
078500*
078600     IF  X-MA01-SEL-ADJ IS GREATER THAN +1
078700         SET X-MA01-SEL-ADJ      DOWN BY +1
078800         GO TO 8900-READ-TRANSACTIONS-FILE
078900     ELSE
079000         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-BACK-SEQ-NBR.
079100*
079200 8900-END-BROWSE.
079300*
079400****************************************************************
079500*    END BROWSE THE MONETARY TRANS FILE                        *
079600****************************************************************
079700*
079800     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
079900     SET MBIORO-ENDBR            TO TRUE.
080000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
080100*
080200     IF  WS-BYPASS-YES
080300         GO TO 8999-LS-EXIT.
080400*
080500     MOVE ZEROES                 TO MBCA-MBMA-FWD-SEQ-NBR
080600                                    WS-FWD-SEQ-NBR.
080700*
080800 8999-LS-EXIT.
080900     EXIT.
081000*
081100 9000-BACK-SCREEN.
081200*
081300****************************************************************
081400*    START BROWSE THE MONETARY TRANS FILE                      *
081500****************************************************************
081600*
081700     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
081800     MOVE MBCA-MBMA-ORG          TO MBIOWS-MMT1-ORG.
081900     MOVE MBCA-MBMA-MERCHANT     TO MBIOWS-MMT1-MERCHANT.
082000     MOVE MBCA-MBMA-FWD-SEQ-NBR  TO MBIOWS-MMT1-SEQ-NBR.
082100     SET MBIORO-STARTBR-GTE      TO TRUE.
082200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
082300*
082400****************************************************************
082500*    READNEXT THE MONETARY TRANS FILE                          *
082600****************************************************************
082700*
082800     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
082900     SET MBIORO-READ-SEQ         TO TRUE.
083000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
083100*
083200****************************************************************
083300*    READPREV THE MONETARY TRANS FILE                         *
083400****************************************************************
083500*
083600     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
083700     SET MBIORO-READ-PREV        TO TRUE.
083800     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
083900*
084000     SET X-MA01-SEL-ADJ          TO +14.
084100     SET WS-BYPASS-NO            TO TRUE.
084200*
084300 9000-READ-TRANSACTIONS-FILE.
084400*
084500****************************************************************
084600*    READPREV THE MONETARY TRANS FILE                          *
084700****************************************************************
084800*
084900     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
085000     SET MBIORO-READ-PREV        TO TRUE.
085100     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
085200*
085300 9000-BUILD-LOOP.
085400*
085500     IF  X-MA01-SEL-ADJ IS GREATER THAN +1
085600     AND MMT1-SEQ-NBR IS EQUAL TO MBCA-MBMA-FIRST-SEQ-NBR
085700         SET MBCA-MBMA-RETURN-NORMAL
085800                                 TO TRUE
085900         MOVE MBCA-MBMA-FIRST-SEQ-NBR
086000                                 TO MBCA-MBMA-FWD-SEQ-NBR
086100         SET WS-BYPASS-YES       TO TRUE
086200         GO TO 9000-END-BROWSE.
086300*
086400     IF  MMT1-SEQ-NBR IS EQUAL TO MBCA-MBMA-BACK-SEQ-NBR
086500     AND X-MA01-SEL-ADJ IS EQUAL TO +14
086600         GO TO 9000-READ-TRANSACTIONS-FILE.
086700*
086800     PERFORM 9500-BUILD-SCREEN-LINE
086900                                 THRU 9599-BSL-EXIT.
087000*
087100     IF  X-MA01-SEL-ADJ IS EQUAL TO +14
087200         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-FWD-SEQ-NBR
087300                                    WS-FWD-SEQ-NBR.
087400*
087500     IF  X-MA01-SEL-ADJ IS GREATER THAN +1
087600         SET X-MA01-SEL-ADJ      DOWN BY +1
087700         GO TO 9000-READ-TRANSACTIONS-FILE
087800     ELSE
087900         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-BACK-SEQ-NBR.
088000*
088100 9000-END-BROWSE.
088200*
088300****************************************************************
088400*    END BROWSE THE MONETARY TRANS FILE                        *
088500****************************************************************
088600*
088700     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
088800     SET MBIORO-ENDBR            TO TRUE.
088900     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
089000*
089100 9099-BS-EXIT.
089200     EXIT.
089300*
089400 9400-READ-AHEAD.
089500*
089600****************************************************************
089700*    READNEXT THE MONETARY TRANS FILE                          *
089800****************************************************************
089900*
090000     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
090100     SET MBIORO-READ-SEQ         TO TRUE.
090200     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
090300     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
090400*
090500     IF  SS08WS-RC-FC-ENDFILE
090600         GO TO 9499-RA-EXIT.
090700*
090800     IF  MMT1-ORG-MERCHANT IS GREATER THAN MBCA-MBMA-ORG-MERCHANT
090900         MOVE ZEROES             TO WS-FWD-SEQ-NBR
091000                                    MBCA-MBMA-FWD-SEQ-NBR
091100         GO TO 9499-RA-EXIT.
091200*
091300     MOVE MMT1-SEQ-NBR           TO WS-FWD-SEQ-NBR.
091400*
091500 9499-RA-EXIT.
091600     EXIT.
091700*
091800 9500-BUILD-SCREEN-LINE.
091900*
092000     MOVE MBCA-CURRENCY-CODE     TO SS95WS-CURRENCY-CODE.
092100*
092200     SET X-MBMATS-INDEX          TO X-MA01-SEL-ADJ.
092300*
092400     MOVE MBCA-MBMA-DBA-NAME     TO MA01-DBA-NAME.
092500*
092600     MOVE MBCA-MBMA-DBA-CITY     TO MA01-DBA-CITY.
092700*
092800     MOVE MBCA-MBMA-DBA-COUNTRY-CODE
092900                                 TO MA01-DBA-COUNTRY-CODE.
093000*
093100     MOVE MMT1-SEQ-NBR           TO MA01-SEQ-NBR
093200                                    (X-MA01-SEL-ADJ)
093300                                    MBMATS-SEQ-NBR
093400                                    (X-MBMATS-INDEX).
093500     MOVE DFHBMABF               TO MA01-SEQ-NBR-A
093600                                   (X-MA01-SEL-ADJ).
093700*
093800     MOVE MMT1-TRANS-CODE        TO MBMATS-TRANS-CODE
093900                                    (X-MBMATS-INDEX)
094000                                    MA01-TRANS-CODE
094100                                    (X-MA01-SEL-ADJ).
094200*
094300     MOVE MMT1-AMOUNT            TO MBMATS-AMOUNT
094400                                    (X-MBMATS-INDEX).
094500*
094600     MOVE MMT1-AMOUNT            TO SS95WS-IN-AMT.
094700     PERFORM SS95PD-NAP-ROUTINE
094800                                 THRU SS95PD-NAP-EXIT
094900     MOVE SS95WS-OUT-AMT-L23     TO MA01-AMOUNT
095000                                    (X-MA01-SEL-ADJ)
095100*
095200     MOVE MMT1-ENTRY-DATE        TO SS01WS-JULIAN.
095300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
095400     MOVE SS01WS-DATE            TO MBMATS-ENTRY-DATE
095500                                    (X-MBMATS-INDEX)
095600                                    MA01-ENTRY-DATE
095700                                    (X-MA01-SEL-ADJ).
095800*
095900     MOVE MMT1-RPT-DESC          TO MBMATS-DESC
096000                                    (X-MBMATS-INDEX)
096100                                    MA01-DESC
096200                                    (X-MA01-SEL-ADJ).
096300*
096400 9599-BSL-EXIT.
096500     EXIT.
096600*
096700*
096800 9600-READ-MMT1.
096900*
097000****************************************************************
097100*    READNEXT THE MONETARY TRANS FILE                          *
097200****************************************************************
097300*
097400     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
097500     SET MBIORO-READ-SEQ         TO TRUE.
097600     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
097700     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
097800*
097900 9699-RMMT1-EXIT.
098000     EXIT.
098100*
098200/         JULIAN TO GREGORIAN DATE ROUTINE
098300     COPY SS08PD.
098400/         DATE AND TIME EDIT ROUTINES
098500     COPY SS26PD.
098600     COPY SS27PD.
098700/         LINE 24 PF KEYS ROUTINE
098800     COPY SS15PD.
098900/         MONEATRY TRANS FILE ACCESS ROUTINE.
099000     COPY MMT1AO.
099100/         FORMAT NBR AND AMT PROCEDURS
099200     COPY SS95PDO REPLACING ==:XXCA:== BY ==MBCA==.
099300/         ON-LINE MAP ROUTINES
099400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMA01 '
099500                           MBMAPXXI BY MBMA01I
099600                           MBMAPXXO BY MBMA01O.
099700/         ON-LINE PROCEDURES
099800     COPY MB70PD.
099900/         MESSAGE FORMAT ROUTINE
100000     COPY MB06PD.
100100/
100200     COPY SMFTPXO.
