000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMA02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMA02 - ON-LINE MONETARY TRANSACTION RECORDS           *
000800*                ADD/MAINTENANCE/INQUIRY SCREEN 02              *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAA                                       *
001200*                 B. MBMA                                       *
001300*                 C. MBQA                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMA02 (SCREEN 02)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MML1   (LOG/JOURNAL FILE)                  *
001800*                 B. MMT1   (TRANSACTION ENTRY FILE)            *
001900*                 C. MMTC   (TRANSACTION CONTROL FILE)          *
002000*                 D. MMOC   (ORG CONTROL FILE )                 *
002100*                 E. MMSM   (STORE MASTER FILE )                *
002200*                                                               *
002300*****************************************************************
002400*
002500 ENVIRONMENT DIVISION.
002600 DATA DIVISION.
002700 WORKING-STORAGE SECTION.
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*         I/O REQUEST BLOCK WORK AREAS
003000     COPY MBIOWS.
003100/         I/O REQUEST BLOCK
003200     COPY MBIORO.
003300/         LOG/JOURNAL FILE WORK AREAS
003400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003500/         TRANSACTION CONTROL FILE WORK AREAS
003600     COPY MMTCWS.
003700/         TRANSACTION ENTRY FILE INITIALIZE VALUES
003800     COPY MTPTIR REPLACING ==:MTPT:== BY ==MMT1==.
003900/         MONETARY TRANSACTION RECORD
004000     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
004100/         DATE WORK AREAS
004200     COPY SS01WS.
004300/         ONLINE WORK AREAS
004400     COPY SS08WS.
004500/
004600     COPY SS00WS.
004700/
004800     COPY SMFTWS.
004900/
005000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
005100/
005200     COPY MB61LK.
005300/
005400 01  WS-MISCELLANEOUS.
005500     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
005600     03  WS-TEMP-DATE        PIC  9(08)      VALUE ZERO.
005700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
006000     03  WS-TRAN-CODE-SW     PIC  X(01)      VALUE 'N'.
006100         88  WS-INVALID-TRAN-CODE            VALUE 'N'.
006200         88  WS-VALID-TRAN-CODE              VALUE 'Y'.
006300     03  WS-VAR-DATA-SW      PIC  X(01)      VALUE 'N'.
006400         88  WS-VAR-DATA-YES                 VALUE 'Y'.
006500         88  WS-VAR-DATA-NO                  VALUE 'N'.
006600     03  WS-VAR-DATA-IND     PIC  9(01)      VALUE ZEROS.
006700     03  WS-TRAN-STATUS-SW   PIC  X(01)      VALUE 'N'.
006800         88  WS-INVALID-TRAN-STATUS          VALUE 'N'.
006900         88  WS-VALID-TRAN-STATUS            VALUE 'Y'.
007000     03  WS-AR-ORG           PIC  9(03)      VALUE ZERO.
007100     03  WS-AR-ACCT          PIC  X(19)      VALUE SPACES.
007200     03  WS-AR-TRANS-CODE    PIC S9(03)      COMP-3 VALUE ZERO.
007300     03  WS-ACCT-INFO        PIC  X(28)      VALUE SPACES.
007400     03  WS-VAR-TYPE-FLAG    PIC  X(01)      VALUE SPACES.
007500         88  WS-VARIABLE-DATA-IR             VALUE 'V'.
007600         88  WS-DEPOSIT-DATA-IR              VALUE 'D'.
007700         88  WS-FEE-DATA-IR                  VALUE 'F'.
007800*
007900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008000/
008100 LINKAGE SECTION.
008200 01  DFHCOMMAREA.
008300     COPY MB60WS.
008400/         MERCHANT TRANSACTION SCREEN 02 MAP DSECT
008500     COPY MBMA02.
008600/         MERCHANT TRANSACTION SCREEN 02 MAP REDEFINITION
008700     COPY MBMA02R.
008800/         LOG/JOURNAL RECORD LAYOUT
008900     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
009000/         MONETARY TRANSACTION RECORD LAYOUT
009100     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMT1==.
009200/         TRANSACTION CONTROL RECORD LAYOUT
009300     COPY MMTCRL.
009400/         ORG CONTROL FILE RECORD LAYOUT
009500     COPY MMOCRL.
009600/         STORE MASTER FILE RECORD LAYOUT
009700     COPY MMSMRL.
009800/
009900 PROCEDURE DIVISION.
010000 0000-HOUSEKEEPING SECTION.
010100 0100-INIT.
010200*
010300     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
010400     SET MBCA-EIBAID-ENTER       TO TRUE.
010500*
010600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010800                                 THRU MB70PD-OLH-EXIT.
010900*
011000     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
011100*
011200     IF  MBCA-RECEIVE-SCREEN
011300         GO TO 2000-RECEIVE-SCREEN.
011400*
011500 1000-SEND-SCREEN SECTION.
011600*
011700****************************************************************
011800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011900****************************************************************
012000*
012100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012200     PERFORM MB60PD-GETMAIN-FOR-MAP
012300                                 THRU MB60PD-GFM-EXIT.
012400*
012500     MOVE MBCA-MERCHANT-ORG      TO MA02-ORG.
012600     MOVE MBCA-MERCHANT          TO MA02-MERCHANT.
012700     MOVE MBCA-MBMA-MERCHANT-NAME
012800                                 TO MA02-MERCHANT-NAME.
012900*
013000     MOVE 02                     TO MBCA-SCREEN-NBR.
013100*
013200****************************************************************
013300*    INITIALIZE THE STANDARD MAP LINES                         *
013400****************************************************************
013500*
013600     PERFORM MB60PD-INIT-STD-MAP-LINES
013700                                 THRU MB60PD-ISML-EXIT.
013800*
013900****************************************************************
014000*    GETMAIN FOR LOG/JOURNAL RECORD                            *
014100****************************************************************
014200*
014300     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
014400     SET MBIORO-GETMAIN          TO TRUE.
014500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
014600*
014700     IF  MBCA-PTI-FUNCTION-IS-ADD
014800         MOVE SPACES             TO MA02-STATUS
014900                                    MA02-DESC
015000         MOVE ZEROS              TO MA02-TRANS-CODE
015100                                    MA02-AMOUNT
015200                                    MA02-ENTRY-DATE
015300                                    MA02-PRODUCT
015400                                    MA02-STORE
015500                                    MA02-PLAN
015600                                    MA02-QUAL-LEVEL
015700                                    MA02-BATCH-AMOUNT
015800                                    MA02-BATCH-NBR
015900                                    MA02-BATCH-SOURCE
016000                                    MA02-BATCH-DATE
016100         MOVE 1                  TO MA02-NBR-ITEMS
016200         GO TO 1010-CONTINUE.
016300*
016400****************************************************************
016500*    READ RANDOM THE MONETARY TRANSACTION RECORD               *
016600****************************************************************
016700*
016800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMT1-ORG.
017000     MOVE MBCA-MERCHANT          TO MBIOWS-MMT1-MERCHANT.
017100     MOVE MBCA-MBMA-FIRST-SEQ-NBR
017200                                 TO MBIOWS-MMT1-SEQ-NBR.
017300     SET MBIORO-READ-RANDOM      TO TRUE.
017400     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
017500*
017600     MOVE MMT1-TRANS-STATUS      TO MA02-STATUS.
017700     MOVE MMT1-TRANS-CODE        TO MA02-TRANS-CODE.
017800     MOVE MMT1-AMOUNT            TO MA02-AMOUNT.
017900     MOVE MMT1-ENTRY-DATE        TO SS01WS-JULIAN.
018000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
018100     MOVE SS01WS-DATE            TO MA02-ENTRY-DATE.
018200     MOVE MMT1-DESC              TO MA02-DESC.
018300     MOVE MMT1-PRODUCT           TO MA02-PRODUCT.
018400     MOVE MMT1-STORE             TO MA02-STORE.
018500     MOVE MMT1-PLAN              TO MA02-PLAN.
018600     MOVE MMT1-QUAL-LEVEL        TO MA02-QUAL-LEVEL.
018700     MOVE MMT1-REF-AMOUNT-1      TO MA02-BATCH-AMOUNT.
018800     MOVE MMT1-REF-BATCH-NBR     TO MA02-BATCH-NBR.
018900     MOVE MMT1-REF-BATCH-SOURCE  TO MA02-BATCH-SOURCE.
019000     MOVE MMT1-REF-BATCH-DATE    TO SS01WS-JULIAN.
019100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
019200     MOVE SS01WS-DATE            TO MA02-BATCH-DATE.
019300     MOVE MMT1-NBR-ITEMS         TO MA02-NBR-ITEMS.
019400*
019500 1010-CONTINUE.
019600*
019700     MOVE DFHBMASK               TO MA02-CURRENT-PAGE-A.
019800*
019900****************************************************************
020000*    IF  INQUIRY, DARKEN PARENS AND ASKIP FIELDS               *
020100****************************************************************
020200*
020300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
020400         MOVE SS08WS-CURSOR      TO MA02-ALT-TRANID-L
020500         PERFORM 7700-SET-ATTRIBUTES
020600                                 THRU 7799-SA-EXIT
020700     ELSE
020800         MOVE SS08WS-CURSOR      TO MA02-TRANS-CODE-L.
020900*
021000     IF  MBCA-PTI-FUNCTION-IS-ADD
021100         MOVE DFHBMDAS           TO MA02-STATUS-A
021200                                    MA02-STATUS-LP-A
021300                                    MA02-STATUS-RP-A
021400                                    MA02-STATUS-LIT-A.
021500****************************************************************
021600*    FORMAT THE MESSAGE LINE                                   *
021700****************************************************************
021800*
021900     IF MA02-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
022000        PERFORM MB06PD-FORMAT-MESSAGE-LINE
022100            THRU MB06PD-FML-EXIT
022200        MOVE SS08WS-FORMATTED-MSG TO MA02-ERR-MESSAGE.
022300*
022400****************************************************************
022500*    SEND THE MAP                                              *
022600****************************************************************
022700*
022800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
022900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
023000                                 THRU MB60PD-SMWE-EXIT.
023100*
023200****************************************************************
023300*    RETURN TO CICS                                            *
023400****************************************************************
023500*
023600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
023700     PERFORM MB70PD-RETURN-TRANS-ID
023800                                 THRU MB70PD-RTI-EXIT.
023900/
024000 2000-RECEIVE-SCREEN SECTION.
024100*
024200****************************************************************
024300*    THIS SECTION RECEIVES THE 01 SCREEN                       *
024400****************************************************************
024500*
024600****************************************************************
024700*    GETMAIN FOR LOG/JOURNAL RECORD                            *
024800****************************************************************
024900*
025000     MOVE 'SC03'                 TO MBCA-PROGRAM-LOCATION.
025100     SET MBIORO-GETMAIN          TO TRUE.
025200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
025300*
025400****************************************************************
025500*    GETMAIN FOR MONETARY TRANSACTION RECORD                  *
025600****************************************************************
025700*
025800     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
025900     SET MBIORO-GETMAIN          TO TRUE.
026000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
026100*
026200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
026300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
026400*
026500****************************************************************
026600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
026700****************************************************************
026800*
026900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
027000     PERFORM MB60PD-NEW-TRANS-ROUTINE
027100                                 THRU MB60PD-NTR-EXIT.
027200*
027300****************************************************************
027400*    READ RANDOM THE ORG CONTROL FILE                          *
027500****************************************************************
027600*
027700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
027900     SET MBIORO-READ-RANDOM      TO TRUE.
028000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
028100*
028200****************************************************************
028300*    READ RANDOM THE MONETARY TRANSACTION RECORD               *
028400****************************************************************
028500*
028600     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
028700         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
028800         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMT1-ORG
028900         MOVE MBCA-MERCHANT      TO MBIOWS-MMT1-MERCHANT
029000         MOVE MBCA-MBMA-FIRST-SEQ-NBR
029100                                 TO MBIOWS-MMT1-SEQ-NBR
029200         SET MBIORO-READ-RANDOM
029300                                 TO TRUE
029400         PERFORM MMT1AO-ACCESS   THRU MMT1AO-ACCESS-EXIT.
029500*
029600****************************************************************
029700*    BYPASS EDITS ON INQUIRY                                   *
029800****************************************************************
029900*
030000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
030100         GO TO 2600-SETUP-COMMAREA.
030200*
030300****************************************************************
030400*    EDIT FIELDS                                               *
030500****************************************************************
030600*
030700     PERFORM 7900-EDIT-SCREEN    THRU 7999-ES-EXIT.
030800*
030900     IF  SS08WS-ERROR-SW-NO
031000         GO TO 2400-UPDATE-FILE.
031100*
031200 2300-SEND-MAP.
031300*
031400****************************************************************
031500*    SEND THE MAP                                              *
031600****************************************************************
031700*
031800     PERFORM MB60PD-INIT-STD-MAP-LINES
031900                                 THRU MB60PD-ISML-EXIT.
032000*
032100*
032200     IF MA02-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
032300          PERFORM MB06PD-FORMAT-MESSAGE-LINE
032400                THRU MB06PD-FML-EXIT
032500          MOVE SS08WS-FORMATTED-MSG TO MA02-ERR-MESSAGE.
032600*
032700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
032800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
032900                                 THRU MB60PD-SMDO-EXIT.
033000*
033100****************************************************************
033200*    RETURN TO CICS                                            *
033300****************************************************************
033400*
033500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
033600     PERFORM MB70PD-RETURN-TRANS-ID
033700                                 THRU MB70PD-RTI-EXIT.
033800/
033900 2400-UPDATE-FILE.
034000*
034100     IF  WS-UPDATE-SW-NO
034200         GO TO 2600-SETUP-COMMAREA.
034300*
034400     IF  MBCA-PTI-FUNCTION-IS-ADD
034500         PERFORM 8800-ADD-RECORDS
034600                                 THRU 8899-AR-EXIT
034700     ELSE
034800         PERFORM 9000-MAINT-RECORDS
034900                                 THRU 9099-MR-EXIT.
035000*
035100 2600-SETUP-COMMAREA.
035200*
035300****************************************************************
035400*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
035500****************************************************************
035600*
035700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
035800*
035900     IF  MMT1-VDI-DEPOSIT-DATA
036000     OR  MMT1-VDI-FEE-DATA
036100         MOVE 53                 TO MBCA-SCREEN-NBR
036200     ELSE
036300         SET MBCA-INITIAL-SCREEN-NBR
036400                                 TO TRUE.
036500*
036600     IF  SS08WS-VALID-PF-KEY
036700     OR  SS08WS-EIBAID-VALID-PF-KEY
036800         SET MBCA-INITIAL-SCREEN-NBR
036900                                 TO TRUE.
037000*
037100 2690-PF-KEY-BYPASS.
037200*
037300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM MB70PD-XCTL-TO-MBOXCTL
037500                                 THRU MB70PD-XTM-EXIT.
037600/
037700 7000-PERFORMED-ROUTINES-SECT SECTION.
037800*
037900 7700-SET-ATTRIBUTES.
038000*
038100     MOVE DFHBMASB               TO MA02-STATUS-A
038200                                    MA02-TRANS-CODE-A
038300                                    MA02-AMOUNT-A
038400                                    MA02-ENTRY-DATE-A
038500                                    MA02-PRODUCT-A
038600                                    MA02-STORE-A
038700                                    MA02-PLAN-A
038800                                    MA02-QUAL-LEVEL-A
038900                                    MA02-BATCH-AMOUNT-A
039000                                    MA02-BATCH-NBR-A
039100                                    MA02-BATCH-SOURCE-A
039200                                    MA02-BATCH-DATE-A
039300                                    MA02-NBR-ITEMS-A
039400                                    MA02-DESC-A.
039500     MOVE DFHBMDAS               TO MA02-STATUS-LP-A
039600                                    MA02-STATUS-RP-A
039700                                    MA02-TRANS-CODE-LP-A
039800                                    MA02-TRANS-CODE-RP-A
039900                                    MA02-AMOUNT-LP-A
040000                                    MA02-AMOUNT-RP-A
040100                                    MA02-ENTRY-DATE-LP-A
040200                                    MA02-ENTRY-DATE-RP-A
040300                                    MA02-PRODUCT-LP-A
040400                                    MA02-PRODUCT-RP-A
040500                                    MA02-STORE-LP-A
040600                                    MA02-STORE-RP-A
040700                                    MA02-PLAN-LP-A
040800                                    MA02-PLAN-RP-A
040900                                    MA02-QUAL-LEVEL-LP-A
041000                                    MA02-QUAL-LEVEL-RP-A
041100                                    MA02-DESC-LP-A
041200                                    MA02-DESC-RP-A
041300                                    MA02-BATCH-AMOUNT-LP-A
041400                                    MA02-BATCH-AMOUNT-RP-A
041500                                    MA02-BATCH-NBR-LP-A
041600                                    MA02-BATCH-NBR-RP-A
041700                                    MA02-BATCH-SOURCE-LP-A
041800                                    MA02-BATCH-SOURCE-RP-A
041900                                    MA02-BATCH-DATE-LP-A
042000                                    MA02-BATCH-DATE-RP-A
042100                                    MA02-NBR-ITEMS-LP-A
042200                                    MA02-NBR-ITEMS-RP-A.
042300*
042400 7799-SA-EXIT.
042500     EXIT.
042600*
042700 7900-EDIT-SCREEN.
042800*
042900     IF  MBCA-PTI-FUNCTION-IS-MAINT
043000         IF  MA02-TRANS-CODE-L IS EQUAL TO ZERO
043100         AND MA02-AMOUNT-L IS EQUAL TO ZERO
043200         AND MA02-ENTRY-DATE-L IS EQUAL TO ZERO
043300         AND MA02-PRODUCT-L IS EQUAL TO ZERO
043400         AND MA02-STORE-L IS EQUAL TO ZERO
043500         AND MA02-PLAN-L IS EQUAL TO ZERO
043600         AND MA02-QUAL-LEVEL-L IS EQUAL TO ZERO
043700         AND MA02-DESC-L IS EQUAL TO ZERO
043800         AND MA02-BATCH-AMOUNT-L IS EQUAL TO ZERO
043900         AND MA02-BATCH-NBR-L IS EQUAL TO ZERO
044000         AND MA02-BATCH-SOURCE-L IS EQUAL TO ZERO
044100         AND MA02-BATCH-DATE-L IS EQUAL TO ZERO
044200         AND MA02-NBR-ITEMS-L IS EQUAL TO ZERO
044300         AND MA02-STATUS-L IS EQUAL TO ZERO
044400         GO TO 7999-ES-EXIT.
044500*
044600     IF  MBCA-PTI-FUNCTION-IS-ADD
044700         MOVE MMT1IR-RECORD      TO MMT1-RECORD
044800         MOVE DFHBMDAS           TO MA02-STATUS-A
044900                                    MA02-STATUS-LP-A
045000                                    MA02-STATUS-RP-A
045100                                    MA02-STATUS-LIT-A.
045200*
045300*            ***** TRANSACTION CODE *****
045400*
045500     IF  MA02-TRANS-CODE-L IS LESS THAN 1
045600         IF  MBCA-PTI-FUNCTION-IS-ADD
045700             MOVE DFHBMNBF       TO MA02-TRANS-CODE-A
045800             MOVE DFHBMASB       TO MA02-TRANS-CODE-LP-A
045900                                    MA02-TRANS-CODE-RP-A
046000             MOVE SS08WS-CURSOR  TO MA02-TRANS-CODE-L
046100             SET SS08WS-ERROR-SW-YES TO TRUE
046200             GO TO 7999-ES-EXIT
046300         ELSE
046400             MOVE DFHBMUNF       TO MA02-TRANS-CODE-A
046500             MOVE DFHBMASK       TO MA02-TRANS-CODE-LP-A
046600                                    MA02-TRANS-CODE-RP-A
046700             MOVE MMT1-TRANS-CODE
046800                                 TO MA02-TRANS-CODE
046900             GO TO 7905-STATUS
047000     ELSE
047100         IF  MA02-TRANS-CODE NUMERIC
047200             MOVE DFHBMUNF       TO MA02-TRANS-CODE-A
047300         ELSE
047400             MOVE DFHBMNBF       TO MA02-TRANS-CODE-A
047500             MOVE DFHBMASB       TO MA02-TRANS-CODE-LP-A
047600                                    MA02-TRANS-CODE-RP-A
047700             MOVE SS08WS-CURSOR  TO MA02-TRANS-CODE-L
047800             SET SS08WS-ERROR-SW-YES TO TRUE
047900             GO TO 7999-ES-EXIT.
048000*
048100     PERFORM 8100-EDIT-TRANS-CODE
048200                                 THRU 8199-ETC-EXIT.
048300     IF  WS-VALID-TRAN-CODE
048400         MOVE DFHBMASF           TO MA02-TRANS-CODE-A
048500         MOVE DFHBMDAS           TO MA02-TRANS-CODE-LP-A
048600                                    MA02-TRANS-CODE-RP-A
048700         SET WS-UPDATE-SW-YES    TO TRUE
048800         PERFORM 9400-MMT1-VAR-DATA
048900                                 THRU 9499-MVD-EXIT
049000     ELSE
049100         MOVE DFHBMNBF           TO MA02-TRANS-CODE-A
049200         MOVE DFHBMASB           TO MA02-TRANS-CODE-LP-A
049300                                    MA02-TRANS-CODE-RP-A
049400         MOVE SS08WS-CURSOR      TO MA02-TRANS-CODE-L
049500         SET SS08WS-ERROR-SW-YES TO TRUE
049600         GO TO 7999-ES-EXIT.
049700*
049800 7905-STATUS.
049900*
050000     IF  MA02-STATUS-L IS LESS THAN 1
050100         EVALUATE TRUE
050200           WHEN MBCA-PTI-FUNCTION-IS-ADD
050300             MOVE DFHBMDAS       TO MA02-STATUS-A
050400                                    MA02-STATUS-LP-A
050500                                    MA02-STATUS-RP-A
050600                                    MA02-STATUS-LIT-A
050700             MOVE SPACES         TO MA02-STATUS
050800           WHEN OTHER
050900             MOVE DFHBMUNP       TO MA02-STATUS-A
051000             MOVE DFHBMASK       TO MA02-STATUS-LP-A
051100                                    MA02-STATUS-RP-A
051200             MOVE MMT1-TRANS-STATUS
051300                                 TO MA02-STATUS
051400         END-EVALUATE
051500     ELSE
051600         IF  MA02-VALID-STATUS
051700             EVALUATE TRUE
051800               WHEN (MMT1-TRANS-STATUS IS EQUAL TO SPACES
051900                AND MA02-STATUS IS EQUAL TO 'D')
052000                 OR (MMT1-TRANS-DELETED
052100                AND  MA02-STATUS IS EQUAL TO 'R')
052200                 OR (MMT1-TRANS-REACTIVATED
052300                AND  MA02-STATUS IS EQUAL TO 'D')
052400                 MOVE DFHBMASF  TO MA02-STATUS-A
052500                 MOVE DFHBMDAS  TO MA02-STATUS-LP-A
052600                                   MA02-STATUS-RP-A
052700                 SET WS-UPDATE-SW-YES
052800                                 TO TRUE
052900               WHEN OTHER
053000                 MOVE DFHBMUBF   TO MA02-STATUS-A
053100                 MOVE DFHBMASB   TO MA02-STATUS-LP-A
053200                                    MA02-STATUS-RP-A
053300                 MOVE SS08WS-CURSOR TO MA02-STATUS-L
053400                 SET SS08WS-ERROR-SW-YES
053500                                 TO TRUE
053600             END-EVALUATE
053700         ELSE
053800             MOVE DFHBMUBF       TO MA02-STATUS-A
053900             MOVE DFHBMASB       TO MA02-STATUS-LP-A
054000                                    MA02-STATUS-RP-A
054100             MOVE SS08WS-CURSOR  TO MA02-STATUS-L
054200             SET SS08WS-ERROR-SW-YES TO TRUE.
054300*
054400 7910-AMOUNT.
054500*
054600     IF  MA02-AMOUNT-L IS LESS THAN 1
054700         MOVE DFHBMASK           TO MA02-AMOUNT-A
054800         MOVE DFHBMDAS           TO MA02-AMOUNT-LP-A
054900                                    MA02-AMOUNT-RP-A
055000         MOVE MMT1-AMOUNT        TO MA02-AMOUNT
055100     ELSE
055200         IF  MA02-AMOUNT IS NOT NUMERIC
055300             MOVE DFHBMNBF       TO MA02-AMOUNT-A
055400             MOVE DFHBMASB       TO MA02-AMOUNT-LP-A
055500                                    MA02-AMOUNT-RP-A
055600             MOVE SS08WS-CURSOR  TO MA02-AMOUNT-L
055700             SET SS08WS-ERROR-SW-YES TO TRUE
055800         ELSE
055900             MOVE DFHBMASF       TO MA02-AMOUNT-A
056000             MOVE DFHBMDAS       TO MA02-AMOUNT-LP-A
056100                                    MA02-AMOUNT-RP-A
056200             SET WS-UPDATE-SW-YES
056300                                 TO TRUE.
056400*
056500 7920-ENTRY-DATE.
056600*
056700     IF  MA02-ENTRY-DATE-L IS LESS THAN 1
056800         MOVE MMOC-DATE-NEXT-PROC
056900                                 TO SS01WS-JULIAN
057000         PERFORM SS08PD-JUL-TO-GREG
057100                                 THRU SS08PD-JTG-EXIT
057200         MOVE SS01WS-DATE        TO MA02-ENTRY-DATE
057300         MOVE DFHBMASK           TO MA02-ENTRY-DATE-A
057400         MOVE DFHBMDAS           TO MA02-ENTRY-DATE-LP-A
057500                                    MA02-ENTRY-DATE-RP-A
057600     ELSE
057700         IF  MA02-ENTRY-DATE IS NOT NUMERIC
057800             MOVE DFHBMNBF       TO MA02-ENTRY-DATE-A
057900             MOVE DFHBMASB       TO MA02-ENTRY-DATE-LP-A
058000                                    MA02-ENTRY-DATE-RP-A
058100             MOVE SS08WS-CURSOR  TO MA02-ENTRY-DATE-L
058200             SET SS08WS-ERROR-SW-YES TO TRUE
058300         ELSE
058400             PERFORM 9100-VERIFY-ENTRY-DATE
058500                                 THRU 9199-VED-EXIT
058600             IF  SS01WS-DATE-IS-INVALID
058700                 MOVE DFHBMNBF   TO MA02-ENTRY-DATE-A
058800                 MOVE DFHBMASB   TO MA02-ENTRY-DATE-LP-A
058900                                    MA02-ENTRY-DATE-RP-A
059000                 MOVE SS08WS-CURSOR TO MA02-ENTRY-DATE-L
059100                 SET SS08WS-ERROR-SW-YES
059200                                 TO TRUE
059300             ELSE
059400                 MOVE SS01WS-DATE
059500                                 TO WS-TEMP-DATE
059600                 MOVE MA02-ENTRY-DATE
059700                                 TO SS01WS-DATE
059800                 PERFORM SS07PD-GREG-TO-JUL
059900                                 THRU SS07PD-GTJ-EXIT
060000                 IF  SS01WS-JULIAN IS GREATER THAN
060100                                 MMOC-DATE-NEXT-PROC
060200                     MOVE DFHBMNBF
060300                                 TO MA02-ENTRY-DATE-A
060400                     MOVE DFHBMASB
060500                                 TO MA02-ENTRY-DATE-LP-A
060600                                    MA02-ENTRY-DATE-RP-A
060700                     MOVE SS08WS-CURSOR
060800                                 TO MA02-ENTRY-DATE-L
060900                     SET SS08WS-ERROR-SW-YES
061000                                 TO TRUE
061100                 ELSE
061200                     MOVE WS-TEMP-DATE
061300                                 TO MA02-ENTRY-DATE
061400                     MOVE DFHBMASF
061500                                 TO MA02-ENTRY-DATE-A
061600                     MOVE DFHBMDAS
061700                                 TO MA02-ENTRY-DATE-LP-A
061800                                    MA02-ENTRY-DATE-RP-A
061900                     SET WS-UPDATE-SW-YES
062000                                 TO TRUE.
062100*
062200 7925-PRODUCT.
062300*
062400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTC-ORG.
062500     MOVE MA02-TRANS-CODE        TO MBIOWS-MMTC-TXN-CODE.
062600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
062700     SET MBIORO-READ-RANDOM      TO TRUE.
062800     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
062900*
063000     MOVE MMTC-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
063100*
063200     IF  MA02-PRODUCT-L IS LESS THAN 1
063300         EVALUATE TRUE
063400           WHEN MMTCWS-LM-PRODUCT-REQUIRED
063500             MOVE DFHBMNBF       TO MA02-PRODUCT-A
063600             MOVE DFHBMASB       TO MA02-PRODUCT-LP-A
063700                                    MA02-PRODUCT-RP-A
063800             MOVE SS08WS-CURSOR  TO MA02-PRODUCT-L
063900             SET SS08WS-ERROR-SW-YES
064000                                 TO TRUE
064100           WHEN OTHER
064200             MOVE DFHBMASK       TO MA02-PRODUCT-A
064300             MOVE DFHBMDAS       TO MA02-PRODUCT-LP-A
064400                                    MA02-PRODUCT-RP-A
064500             MOVE MMT1-PRODUCT   TO MA02-PRODUCT
064600         END-EVALUATE
064700     ELSE
064800         EVALUATE TRUE
064900           WHEN  MA02-PRODUCT IS NOT NUMERIC
065000             MOVE DFHBMNBF       TO MA02-PRODUCT-A
065100             MOVE DFHBMASB       TO MA02-PRODUCT-LP-A
065200                                    MA02-PRODUCT-RP-A
065300             MOVE SS08WS-CURSOR  TO MA02-PRODUCT-L
065400             SET SS08WS-ERROR-SW-YES TO TRUE
065500           WHEN  MMTCWS-LM-PRODUCT-REQUIRED
065600             IF  MA02-PRODUCT IS GREATER THAN ZERO
065700                 MOVE DFHBMASF   TO MA02-PRODUCT-A
065800                 MOVE DFHBMDAS   TO MA02-PRODUCT-LP-A
065900                                    MA02-PRODUCT-RP-A
066000                 SET WS-UPDATE-SW-YES
066100                                 TO TRUE
066200             ELSE
066300                 MOVE DFHBMNBF   TO MA02-PRODUCT-A
066400                 MOVE DFHBMASB   TO MA02-PRODUCT-LP-A
066500                                    MA02-PRODUCT-RP-A
066600                 MOVE SS08WS-CURSOR TO MA02-PRODUCT-L
066700                 SET SS08WS-ERROR-SW-YES
066800                                 TO TRUE
066900             END-IF
067000           WHEN  MMTCWS-LM-PRODUCT-OPTIONAL
067100             MOVE DFHBMASF       TO MA02-PRODUCT-A
067200             MOVE DFHBMDAS       TO MA02-PRODUCT-LP-A
067300                                    MA02-PRODUCT-RP-A
067400             SET WS-UPDATE-SW-YES
067500                                 TO TRUE
067600           WHEN  OTHER
067700             IF  MA02-PRODUCT IS GREATER THAN ZERO
067800                 MOVE DFHBMNBF   TO MA02-PRODUCT-A
067900                 MOVE DFHBMASB   TO MA02-PRODUCT-LP-A
068000                                    MA02-PRODUCT-RP-A
068100                 MOVE SS08WS-CURSOR TO MA02-PRODUCT-L
068200                 SET SS08WS-ERROR-SW-YES
068300                                 TO TRUE
068400             ELSE
068500                 MOVE DFHBMASF   TO MA02-PRODUCT-A
068600                 MOVE DFHBMDAS   TO MA02-PRODUCT-LP-A
068700                                    MA02-PRODUCT-RP-A
068800                 SET WS-UPDATE-SW-YES
068900                                 TO TRUE
069000             END-IF
069100         END-EVALUATE
069200     END-IF.
069300*
069400 7935-STORE.
069500*
069600     IF  MA02-STORE-L IS LESS THAN 1
069700         EVALUATE TRUE
069800           WHEN (MBCA-PTI-FUNCTION-IS-ADD
069900            AND MMTCWS-LM-STORE-REQUIRED)
070000             MOVE DFHBMNBF       TO MA02-STORE-A
070100             MOVE DFHBMASB       TO MA02-STORE-LP-A
070200                                    MA02-STORE-RP-A
070300             MOVE SS08WS-CURSOR  TO MA02-STORE-L
070400             SET SS08WS-ERROR-SW-YES
070500                                 TO TRUE
070600           WHEN OTHER
070700             MOVE DFHBMASK       TO MA02-STORE-A
070800             MOVE DFHBMDAS       TO MA02-STORE-LP-A
070900                                    MA02-STORE-RP-A
071000             MOVE MMT1-STORE     TO MA02-STORE
071100         END-EVALUATE
071200     ELSE
071300         EVALUATE TRUE
071400           WHEN  MA02-STORE IS NOT NUMERIC
071500             MOVE DFHBMNBF       TO MA02-STORE-A
071600             MOVE DFHBMASB       TO MA02-STORE-LP-A
071700                                    MA02-STORE-RP-A
071800             MOVE SS08WS-CURSOR  TO MA02-STORE-L
071900             SET SS08WS-ERROR-SW-YES TO TRUE
072000           WHEN  MMTCWS-LM-STORE-REQUIRED
072100             IF  MA02-STORE IS GREATER THAN ZERO
072200                 MOVE DFHBMASF   TO MA02-STORE-A
072300                 MOVE DFHBMDAS   TO MA02-STORE-LP-A
072400                                    MA02-STORE-RP-A
072500                 PERFORM 9300-VERIFY-STORE
072600                                 THRU 9399-VS-EXIT
072700                 IF  SS08WS-RC-FC-NOTFND
072800                     MOVE 'STORE RECORD NOT ON FILE '
072900                                 TO MA02-ERR-MESSAGE
073000                     MOVE DFHBMNBF
073100                                 TO MA02-STORE-A
073200                     MOVE DFHBMASB
073300                                 TO MA02-STORE-LP-A
073400                                    MA02-STORE-RP-A
073500                     MOVE SS08WS-CURSOR
073600                                 TO MA02-STORE-L
073700                     SET SS08WS-ERROR-SW-YES
073800                                 TO TRUE
073900                 ELSE
074000                     EVALUATE TRUE
074100                       WHEN MBCA-MERCHANT IS NOT EQUAL
074200                                 TO MMSM-MERCHANT-ID
074300                         MOVE 'STORE MERCH NOT EQ TO MERCHANT'
074400                                 TO MA02-ERR-MESSAGE
074500                         MOVE DFHBMNBF
074600                                 TO MA02-STORE-A
074700                         MOVE DFHBMASB
074800                                 TO MA02-STORE-LP-A
074900                                    MA02-STORE-RP-A
075000                         MOVE SS08WS-CURSOR
075100                                 TO MA02-STORE-L
075200                         SET SS08WS-ERROR-SW-YES
075300                                 TO TRUE
075400                       WHEN (MMSM-REC-ACTIVE
075500                         OR  MMSM-REC-CLOSED)
075600                         SET WS-UPDATE-SW-YES
075700                                 TO TRUE
075800                       WHEN OTHER
075900                         MOVE 'INVALID RECORD STATUS'
076000                                 TO MA02-ERR-MESSAGE
076100                         MOVE DFHBMNBF
076200                                 TO MA02-STORE-A
076300                         MOVE DFHBMASB
076400                                 TO MA02-STORE-LP-A
076500                                    MA02-STORE-RP-A
076600                         MOVE SS08WS-CURSOR
076700                                 TO MA02-STORE-L
076800                         SET SS08WS-ERROR-SW-YES
076900                                 TO TRUE
077000                     END-EVALUATE
077100                 END-IF
077200             ELSE
077300                 MOVE DFHBMNBF   TO MA02-STORE-A
077400                 MOVE DFHBMASB   TO MA02-STORE-LP-A
077500                                    MA02-STORE-RP-A
077600                 MOVE SS08WS-CURSOR TO MA02-STORE-L
077700                 SET SS08WS-ERROR-SW-YES
077800                                 TO TRUE
077900             END-IF
078000           WHEN  MMTCWS-LM-STORE-OPTIONAL
078100             MOVE DFHBMASF       TO MA02-STORE-A
078200             MOVE DFHBMDAS       TO MA02-STORE-LP-A
078300                                    MA02-STORE-RP-A
078400             SET WS-UPDATE-SW-YES
078500                                 TO TRUE
078600             IF  MA02-STORE IS GREATER THAN ZERO
078700                 PERFORM 9300-VERIFY-STORE
078800                                 THRU 9399-VS-EXIT
078900                 IF  SS08WS-RC-FC-NOTFND
079000                     MOVE 'STORE RECORD NOT ON FILE '
079100                                 TO MA02-ERR-MESSAGE
079200                     MOVE DFHBMNBF
079300                                 TO MA02-STORE-A
079400                     MOVE DFHBMASB
079500                                 TO MA02-STORE-LP-A
079600                                    MA02-STORE-RP-A
079700                     MOVE SS08WS-CURSOR
079800                                 TO MA02-STORE-L
079900                     SET SS08WS-ERROR-SW-YES
080000                                 TO TRUE
080100                 ELSE
080200                     EVALUATE TRUE
080300                       WHEN MBCA-MERCHANT IS NOT EQUAL
080400                                 TO MMSM-MERCHANT-ID
080500                         MOVE 'STORE MERCH NOT EQ TO MERCHANT'
080600                                 TO MA02-ERR-MESSAGE
080700                         MOVE DFHBMNBF
080800                                 TO MA02-STORE-A
080900                         MOVE DFHBMASB
081000                                 TO MA02-STORE-LP-A
081100                                    MA02-STORE-RP-A
081200                         MOVE SS08WS-CURSOR
081300                                 TO MA02-STORE-L
081400                         SET SS08WS-ERROR-SW-YES
081500                                 TO TRUE
081600                       WHEN (MMSM-REC-ACTIVE
081700                         OR  MMSM-REC-CLOSED)
081800                         CONTINUE
081900                       WHEN OTHER
082000                         MOVE 'INVALID RECORD STATUS'
082100                                 TO MA02-ERR-MESSAGE
082200                         MOVE DFHBMNBF
082300                                 TO MA02-STORE-A
082400                         MOVE DFHBMASB
082500                                 TO MA02-STORE-LP-A
082600                                    MA02-STORE-RP-A
082700                         MOVE SS08WS-CURSOR
082800                                 TO MA02-STORE-L
082900                         SET SS08WS-ERROR-SW-YES
083000                                 TO TRUE
083100                     END-EVALUATE
083200                 END-IF
083300             END-IF
083400           WHEN  OTHER
083500             IF  MA02-STORE IS GREATER THAN ZERO
083600                 MOVE DFHBMNBF   TO MA02-STORE-A
083700                 MOVE DFHBMASB   TO MA02-STORE-LP-A
083800                                    MA02-STORE-RP-A
083900                 MOVE SS08WS-CURSOR TO MA02-STORE-L
084000                 SET SS08WS-ERROR-SW-YES
084100                                 TO TRUE
084200             ELSE
084300                 MOVE DFHBMASF   TO MA02-STORE-A
084400                 MOVE DFHBMDAS   TO MA02-STORE-LP-A
084500                                    MA02-STORE-RP-A
084600                 SET WS-UPDATE-SW-YES
084700                                 TO TRUE
084800             END-IF
084900         END-EVALUATE
085000     END-IF.
085100*
085200 7945-PLAN.
085300*
085400     IF  MA02-PLAN-L IS LESS THAN 1
085500         EVALUATE TRUE
085600           WHEN (MBCA-PTI-FUNCTION-IS-ADD
085700            AND MMTCWS-LM-PLAN-REQUIRED)
085800             MOVE DFHBMNBF       TO MA02-PLAN-A
085900             MOVE DFHBMASB       TO MA02-PLAN-LP-A
086000                                    MA02-PLAN-RP-A
086100             MOVE SS08WS-CURSOR  TO MA02-PLAN-L
086200             SET SS08WS-ERROR-SW-YES
086300                                 TO TRUE
086400           WHEN OTHER
086500             MOVE DFHBMASK       TO MA02-PLAN-A
086600             MOVE DFHBMDAS       TO MA02-PLAN-LP-A
086700                                    MA02-PLAN-RP-A
086800             MOVE MMT1-PLAN      TO MA02-PLAN
086900         END-EVALUATE
087000     ELSE
087100         EVALUATE TRUE
087200           WHEN  MA02-PLAN IS NOT NUMERIC
087300             MOVE DFHBMNBF       TO MA02-PLAN-A
087400             MOVE DFHBMASB       TO MA02-PLAN-LP-A
087500                                    MA02-PLAN-RP-A
087600             MOVE SS08WS-CURSOR  TO MA02-PLAN-L
087700             SET SS08WS-ERROR-SW-YES TO TRUE
087800           WHEN  MMTCWS-LM-PLAN-REQUIRED
087900             IF  MA02-PLAN IS GREATER THAN ZERO
088000                 MOVE DFHBMASF   TO MA02-PLAN-A
088100                 MOVE DFHBMDAS   TO MA02-PLAN-LP-A
088200                                    MA02-PLAN-RP-A
088300                 SET WS-UPDATE-SW-YES
088400                                 TO TRUE
088500             ELSE
088600                 MOVE DFHBMNBF   TO MA02-PLAN-A
088700                 MOVE DFHBMASB   TO MA02-PLAN-LP-A
088800                                    MA02-PLAN-RP-A
088900                 MOVE SS08WS-CURSOR TO MA02-PLAN-L
089000                 SET SS08WS-ERROR-SW-YES
089100                                 TO TRUE
089200             END-IF
089300           WHEN  MMTCWS-LM-PLAN-OPTIONAL
089400             MOVE DFHBMASF       TO MA02-PLAN-A
089500             MOVE DFHBMDAS       TO MA02-PLAN-LP-A
089600                                    MA02-PLAN-RP-A
089700             SET WS-UPDATE-SW-YES
089800                                 TO TRUE
089900           WHEN  OTHER
090000             IF  MA02-PLAN IS GREATER THAN ZERO
090100                 MOVE DFHBMNBF   TO MA02-PLAN-A
090200                 MOVE DFHBMASB   TO MA02-PLAN-LP-A
090300                                    MA02-PLAN-RP-A
090400                 MOVE SS08WS-CURSOR TO MA02-PLAN-L
090500                 SET SS08WS-ERROR-SW-YES
090600                                 TO TRUE
090700             ELSE
090800                 MOVE DFHBMASF   TO MA02-PLAN-A
090900                 MOVE DFHBMDAS   TO MA02-PLAN-LP-A
091000                                    MA02-PLAN-RP-A
091100                 SET WS-UPDATE-SW-YES
091200                                 TO TRUE
091300             END-IF
091400         END-EVALUATE
091500     END-IF.
091600*
091700 7950-QUAL-LEVEL.
091800*
091900     IF  MA02-QUAL-LEVEL-L IS LESS THAN 1
092000         EVALUATE TRUE
092100           WHEN (MBCA-PTI-FUNCTION-IS-ADD
092200            AND MMTCWS-LM-QUAL-LEVEL-REQUIRED)
092300             MOVE DFHBMNBF       TO MA02-QUAL-LEVEL-A
092400             MOVE DFHBMASB       TO MA02-QUAL-LEVEL-LP-A
092500                                    MA02-QUAL-LEVEL-RP-A
092600             MOVE SS08WS-CURSOR  TO MA02-QUAL-LEVEL-L
092700             SET SS08WS-ERROR-SW-YES
092800                                 TO TRUE
092900           WHEN OTHER
093000             MOVE DFHBMASK       TO MA02-QUAL-LEVEL-A
093100             MOVE DFHBMDAS       TO MA02-QUAL-LEVEL-LP-A
093200                                    MA02-QUAL-LEVEL-RP-A
093300             MOVE MMT1-QUAL-LEVEL
093400                                 TO MA02-QUAL-LEVEL
093500         END-EVALUATE
093600     ELSE
093700         EVALUATE TRUE
093800           WHEN  MA02-QUAL-LEVEL IS NOT NUMERIC
093900             MOVE DFHBMNBF       TO MA02-QUAL-LEVEL-A
094000             MOVE DFHBMASB       TO MA02-QUAL-LEVEL-LP-A
094100                                    MA02-QUAL-LEVEL-RP-A
094200             MOVE SS08WS-CURSOR  TO MA02-QUAL-LEVEL-L
094300             SET SS08WS-ERROR-SW-YES TO TRUE
094400           WHEN  MMTCWS-LM-QUAL-LEVEL-REQUIRED
094500             IF  MA02-QUAL-LEVEL IS GREATER THAN ZERO
094600                 MOVE DFHBMASF   TO MA02-QUAL-LEVEL-A
094700                 MOVE DFHBMDAS   TO MA02-QUAL-LEVEL-LP-A
094800                                    MA02-QUAL-LEVEL-RP-A
094900                 SET WS-UPDATE-SW-YES
095000                                 TO TRUE
095100             ELSE
095200                 MOVE DFHBMNBF   TO MA02-QUAL-LEVEL-A
095300                 MOVE DFHBMASB   TO MA02-QUAL-LEVEL-LP-A
095400                                    MA02-QUAL-LEVEL-RP-A
095500                 MOVE SS08WS-CURSOR TO MA02-QUAL-LEVEL-L
095600                 SET SS08WS-ERROR-SW-YES
095700                                 TO TRUE
095800             END-IF
095900           WHEN  MMTCWS-LM-QUAL-LEVEL-OPTIONAL
096000             MOVE DFHBMASF       TO MA02-QUAL-LEVEL-A
096100             MOVE DFHBMDAS       TO MA02-QUAL-LEVEL-LP-A
096200                                    MA02-QUAL-LEVEL-RP-A
096300             SET WS-UPDATE-SW-YES
096400                                 TO TRUE
096500           WHEN  OTHER
096600             IF  MA02-QUAL-LEVEL IS GREATER THAN ZERO
096700                 MOVE DFHBMNBF   TO MA02-QUAL-LEVEL-A
096800                 MOVE DFHBMASB   TO MA02-QUAL-LEVEL-LP-A
096900                                    MA02-QUAL-LEVEL-RP-A
097000                 MOVE SS08WS-CURSOR TO MA02-QUAL-LEVEL-L
097100                 SET SS08WS-ERROR-SW-YES
097200                                 TO TRUE
097300             ELSE
097400                 MOVE DFHBMASF   TO MA02-QUAL-LEVEL-A
097500                 MOVE DFHBMDAS   TO MA02-QUAL-LEVEL-LP-A
097600                                    MA02-QUAL-LEVEL-RP-A
097700                 SET WS-UPDATE-SW-YES
097800                                 TO TRUE
097900             END-IF
098000         END-EVALUATE
098100     END-IF.
098200*
098300 7960-NBR-ITEMS.
098400*
098500     IF  MA02-NBR-ITEMS-L IS LESS THAN 1
098600         EVALUATE TRUE
098700           WHEN MBCA-PTI-FUNCTION-IS-ADD
098800             MOVE DFHBMASK       TO MA02-NBR-ITEMS-A
098900             MOVE DFHBMDAS       TO MA02-NBR-ITEMS-LP-A
099000                                    MA02-NBR-ITEMS-RP-A
099100             MOVE 1              TO MA02-NBR-ITEMS
099200           WHEN OTHER
099300             MOVE DFHBMASK       TO MA02-NBR-ITEMS-A
099400             MOVE DFHBMDAS       TO MA02-NBR-ITEMS-LP-A
099500                                    MA02-NBR-ITEMS-RP-A
099600             MOVE MMT1-NBR-ITEMS
099700                                 TO MA02-NBR-ITEMS
099800         END-EVALUATE
099900     ELSE
100000         EVALUATE TRUE
100100           WHEN  MA02-NBR-ITEMS IS NOT NUMERIC
100200             MOVE DFHBMNBF       TO MA02-NBR-ITEMS-A
100300             MOVE DFHBMASB       TO MA02-NBR-ITEMS-LP-A
100400                                    MA02-NBR-ITEMS-RP-A
100500             MOVE SS08WS-CURSOR  TO MA02-NBR-ITEMS-L
100600             SET SS08WS-ERROR-SW-YES TO TRUE
100700           WHEN  OTHER
100800             EVALUATE TRUE
100900               WHEN MA02-NBR-ITEMS IS GREATER THAN ZERO
101000                 MOVE DFHBMASF   TO MA02-NBR-ITEMS-A
101100                 MOVE DFHBMDAS   TO MA02-NBR-ITEMS-LP-A
101200                                    MA02-NBR-ITEMS-RP-A
101300                 SET WS-UPDATE-SW-YES
101400                                 TO TRUE
101500               WHEN OTHER
101600                 MOVE DFHBMNBF   TO MA02-NBR-ITEMS-A
101700                 MOVE DFHBMASB   TO MA02-NBR-ITEMS-LP-A
101800                                    MA02-NBR-ITEMS-RP-A
101900                 MOVE SS08WS-CURSOR TO MA02-NBR-ITEMS-L
102000                 SET SS08WS-ERROR-SW-YES
102100                                 TO TRUE
102200             END-EVALUATE
102300         END-EVALUATE
102400     END-IF.
102500*
102600 7970-DESCRIPTION.
102700*
102800     IF  MA02-DESC-L IS LESS THAN 1
102900         IF  MMT1-DESC IS EQUAL TO SPACES
103000             MOVE MMTC-DEFAULT-DESC
103100                                 TO MA02-DESC
103200             MOVE DFHBMASK       TO MA02-DESC-A
103300             MOVE DFHBMDAS       TO MA02-DESC-LP-A
103400                                    MA02-DESC-RP-A
103500         ELSE
103600             MOVE MMT1-DESC      TO MA02-DESC
103700             MOVE DFHBMASK       TO MA02-DESC-A
103800             MOVE DFHBMDAS       TO MA02-DESC-LP-A
103900                                    MA02-DESC-RP-A
104000     ELSE
104100         IF  MA02-DESC IS EQUAL TO SPACES
104200             MOVE MMTC-DEFAULT-DESC
104300                                 TO MA02-DESC
104400             MOVE DFHBMFSE       TO MA02-DESC-A
104500             MOVE DFHBMDAS       TO MA02-DESC-LP-A
104600                                    MA02-DESC-RP-A
104700             SET WS-UPDATE-SW-YES
104800                                 TO TRUE
104900         ELSE
105000             MOVE DFHBMASF       TO MA02-DESC-A
105100             MOVE DFHBMDAS       TO MA02-DESC-LP-A
105200                                    MA02-DESC-RP-A
105300             SET WS-UPDATE-SW-YES
105400                                 TO TRUE.
105500*
105600 7975-REF-ONE-AMOUNT.
105700*
105800     IF  MA02-BATCH-AMOUNT-L IS LESS THAN 1
105900         MOVE DFHBMASK           TO MA02-BATCH-AMOUNT-A
106000         MOVE DFHBMDAS           TO MA02-BATCH-AMOUNT-LP-A
106100                                    MA02-BATCH-AMOUNT-RP-A
106200         MOVE MMT1-REF-AMOUNT-1  TO MA02-BATCH-AMOUNT
106300     ELSE
106400         IF  MA02-BATCH-AMOUNT IS NOT NUMERIC
106500             MOVE DFHBMNBF       TO MA02-BATCH-AMOUNT-A
106600             MOVE DFHBMASB       TO MA02-BATCH-AMOUNT-LP-A
106700                                    MA02-BATCH-AMOUNT-RP-A
106800             MOVE SS08WS-CURSOR  TO MA02-BATCH-AMOUNT-L
106900             SET SS08WS-ERROR-SW-YES TO TRUE
107000         ELSE
107100             MOVE DFHBMASF       TO MA02-BATCH-AMOUNT-A
107200             MOVE DFHBMDAS       TO MA02-BATCH-AMOUNT-LP-A
107300                                    MA02-BATCH-AMOUNT-RP-A
107400             SET WS-UPDATE-SW-YES
107500                                 TO TRUE.
107600*
107700 7980-BATCH-NBR.
107800*
107900     IF  MA02-BATCH-NBR-L IS LESS THAN 1
108000         MOVE DFHBMASK           TO MA02-BATCH-NBR-A
108100         MOVE DFHBMDAS           TO MA02-BATCH-NBR-LP-A
108200                                    MA02-BATCH-NBR-RP-A
108300         MOVE MMT1-REF-BATCH-NBR TO MA02-BATCH-NBR
108400     ELSE
108500         IF  MA02-BATCH-NBR IS NOT NUMERIC
108600             MOVE DFHBMNBF       TO MA02-BATCH-NBR-A
108700             MOVE DFHBMASB       TO MA02-BATCH-NBR-LP-A
108800                                    MA02-BATCH-NBR-RP-A
108900             MOVE SS08WS-CURSOR  TO MA02-BATCH-NBR-L
109000             SET SS08WS-ERROR-SW-YES TO TRUE
109100         ELSE
109200             MOVE DFHBMASF       TO MA02-BATCH-NBR-A
109300             MOVE DFHBMDAS       TO MA02-BATCH-NBR-LP-A
109400                                    MA02-BATCH-NBR-RP-A
109500             SET WS-UPDATE-SW-YES
109600                                 TO TRUE.
109700*
109800 7985-BATCH-SOURCE.
109900*
110000     IF  MA02-BATCH-SOURCE-L IS LESS THAN 1
110100         MOVE DFHBMASK           TO MA02-BATCH-SOURCE-A
110200         MOVE DFHBMDAS           TO MA02-BATCH-SOURCE-LP-A
110300                                    MA02-BATCH-SOURCE-RP-A
110400         MOVE MMT1-REF-BATCH-SOURCE
110500                                 TO MA02-BATCH-SOURCE
110600     ELSE
110700         IF  MA02-BATCH-SOURCE IS NOT NUMERIC
110800             MOVE DFHBMNBF       TO MA02-BATCH-SOURCE-A
110900             MOVE DFHBMASB       TO MA02-BATCH-SOURCE-LP-A
111000                                    MA02-BATCH-SOURCE-RP-A
111100             MOVE SS08WS-CURSOR  TO MA02-BATCH-SOURCE-L
111200             SET SS08WS-ERROR-SW-YES TO TRUE
111300         ELSE
111400             MOVE DFHBMASF       TO MA02-BATCH-SOURCE-A
111500             MOVE DFHBMDAS       TO MA02-BATCH-SOURCE-LP-A
111600                                    MA02-BATCH-SOURCE-RP-A
111700             SET WS-UPDATE-SW-YES
111800                                 TO TRUE.
111900*
112000 7990-BATCH-DATE.
112100*
112200     IF  MA02-BATCH-DATE-L IS LESS THAN 1
112300         IF  MMT1-REF-BATCH-DATE IS GREATER THAN ZERO
112400             MOVE MMT1-REF-BATCH-DATE
112500                                 TO SS01WS-JULIAN
112600             PERFORM SS08PD-JUL-TO-GREG
112700                                 THRU SS08PD-JTG-EXIT
112800             MOVE SS01WS-DATE
112900                                 TO MA02-BATCH-DATE
113000             MOVE DFHBMASK       TO MA02-BATCH-DATE-A
113100             MOVE DFHBMDAS       TO MA02-BATCH-DATE-LP-A
113200                                    MA02-BATCH-DATE-RP-A
113300         ELSE
113400             MOVE DFHBMASK       TO MA02-BATCH-DATE-A
113500             MOVE DFHBMDAS       TO MA02-BATCH-DATE-LP-A
113600                                    MA02-BATCH-DATE-RP-A
113700     ELSE
113800         IF  MA02-BATCH-DATE IS NOT NUMERIC
113900             MOVE DFHBMNBF       TO MA02-BATCH-DATE-A
114000             MOVE DFHBMASB       TO MA02-BATCH-DATE-LP-A
114100                                    MA02-BATCH-DATE-RP-A
114200             MOVE SS08WS-CURSOR  TO MA02-BATCH-DATE-L
114300             SET SS08WS-ERROR-SW-YES TO TRUE
114400         ELSE
114500             PERFORM 9200-VERIFY-BATCH-DATE
114600                                 THRU 9299-VBD-EXIT
114700             IF  SS01WS-DATE-IS-INVALID
114800                 MOVE DFHBMNBF   TO MA02-BATCH-DATE-A
114900                 MOVE DFHBMASB   TO MA02-BATCH-DATE-LP-A
115000                                    MA02-BATCH-DATE-RP-A
115100                 MOVE SS08WS-CURSOR TO MA02-BATCH-DATE-L
115200                 SET SS08WS-ERROR-SW-YES
115300                                 TO TRUE
115400             ELSE
115500                 MOVE SS01WS-DATE
115600                                 TO MA02-BATCH-DATE
115700                 MOVE DFHBMASF   TO MA02-BATCH-DATE-A
115800                 MOVE DFHBMDAS   TO MA02-BATCH-DATE-LP-A
115900                                    MA02-BATCH-DATE-RP-A
116000                 SET WS-UPDATE-SW-YES
116100                                 TO TRUE.
116200*
116300*******************************************************
116400*
116500 7999-ES-EXIT.
116600     EXIT.
116700*
116800 8100-EDIT-TRANS-CODE.
116900*
117000     SET  WS-INVALID-TRAN-CODE   TO TRUE.
117100*
117200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTC-ORG.
117300     MOVE MA02-TRANS-CODE        TO MBIOWS-MMTC-TXN-CODE.
117400     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
117500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
117600     SET MBIORO-READ-RANDOM      TO TRUE.
117700     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT.
117800*
117900     IF  SS08WS-RC-FC-NOTFND
118000         MOVE 'TRANS CODE IS NOT ON FILE'
118100                                 TO MA02-ERR-MESSAGE
118200         GO TO 8199-ETC-EXIT.
118300*
118400     IF  MMTC-REC-PURGED
118500         MOVE 'TRANS CODE RECORD IS IN A PURGED STATUS'
118600                                 TO MA02-ERR-MESSAGE
118700         GO TO 8199-ETC-EXIT.
118800*
118900     IF  MMTC-REC-GENERATED
119000         MOVE 'TRANS CODE IS RESERVED FOR SYSTEM GENERATED TRANSAC
119100-        'TIONS'                 TO MA02-ERR-MESSAGE
119200         GO TO 8199-ETC-EXIT.
119300*
119400     MOVE MMTC-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
119500*
119600     IF  MMTCWS-LM-VALID-ON-ADJ-SCREEN
119700         SET WS-VALID-TRAN-CODE  TO TRUE
119800     ELSE
119900         MOVE 'TRANS CODE ENTERED IS NOT ALLOWED'
120000                                 TO MA02-ERR-MESSAGE.
120100*
120200 8199-ETC-EXIT.
120300     EXIT.
120400*
120500*
120600*
120700 8800-ADD-RECORDS.
120800*
120900****************************************************************
121000*    START BROWSE THE MONETARY TRANSACTION FILE                *
121100****************************************************************
121200*
121300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
121400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMT1-ORG.
121500     MOVE MBCA-MERCHANT          TO MBIOWS-MMT1-MERCHANT.
121600     MOVE MBCA-MBMA-FIRST-SEQ-NBR
121700                                 TO MBIOWS-MMT1-SEQ-NBR.
121800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
121900     SET MBIORO-STARTBR-GTE      TO TRUE.
122000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
122100*
122200     IF  SS08WS-RC-FC-NOTFND
122300         MOVE 1                  TO MBCA-MBMA-FIRST-SEQ-NBR
122400         GO TO 8810-CONTINUE.
122500*
122600****************************************************************
122700*    READNEXT THE MONETARY TRANSACTION FILE                    *
122800****************************************************************
122900*
123000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
123100     SET MBIORO-READ-SEQ         TO TRUE.
123200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
123300*
123400****************************************************************
123500*    READPREV THE MONETARY TRANSACTION FILE                    *
123600****************************************************************
123700*
123800     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
123900     SET MBIORO-READ-PREV        TO TRUE.
124000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
124100*
124200****************************************************************
124300*    READPREV THE MONETARY TRANSACTION FILE                    *
124400****************************************************************
124500*
124600     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
124700     SET MBIORO-READ-PREV        TO TRUE.
124800     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
124900*
125000     IF  MMT1-SEQ-NBR IS EQUAL TO ZEROS
125100         MOVE 1                  TO MBCA-MBMA-FIRST-SEQ-NBR
125200     ELSE
125300         MOVE MMT1-SEQ-NBR       TO MBCA-MBMA-FIRST-SEQ-NBR.
125400*
125500     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
125600     SET MBIORO-ENDBR            TO TRUE.
125700     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
125800*
125900 8810-CONTINUE.
126000*
126100     MOVE MTPT-RECORD            TO MMT1-RECORD.
126200     MOVE MBCA-MERCHANT-ORG      TO MMT1-ORG.
126300     MOVE MBCA-MERCHANT          TO MMT1-MERCHANT.
126400     MOVE MBCA-MBMA-FIRST-SEQ-NBR
126500                                 TO MMT1-SEQ-NBR.
126600     MOVE MA02-STATUS            TO MMT1-TRANS-STATUS.
126700     MOVE MA02-TRANS-CODE        TO MMT1-TRANS-CODE.
126800*
126900     EVALUATE TRUE
127000         WHEN  MMTCWS-LM-VALID-CREDIT
127100             MOVE 'C'            TO MMT1-TRANS-FLAG
127200         WHEN  MMTCWS-LM-VALID-DEBIT
127300             MOVE 'D'            TO MMT1-TRANS-FLAG
127400         WHEN  MMTCWS-LM-VALID-MEMO
127500             MOVE 'M'            TO MMT1-TRANS-FLAG
127600         WHEN  OTHER
127700             MOVE ' '            TO MMT1-TRANS-FLAG
127800     END-EVALUATE.
127900*
128000     IF  MBCA-PTI-FUNCTION-IS-ADD
128100         MOVE MBCA-OPERATOR-ID   TO MMT1-ORIG-OPERATOR
128200     ELSE
128300         IF  MBCA-PTI-FUNCTION-IS-MAINT
128400             MOVE MBCA-OPERATOR-ID
128500                                 TO MMT1-LAST-OPERATOR.
128600*
128700     MOVE MA02-AMOUNT            TO MMT1-AMOUNT.
128800     MOVE MA02-ENTRY-DATE        TO SS01WS-DATE.
128900     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
129000     MOVE SS01WS-JULIAN          TO MMT1-ENTRY-DATE.
129100     MOVE MA02-PRODUCT           TO MMT1-PRODUCT.
129200     MOVE MA02-PRODUCT           TO MMT1-REF-PRODUCT.
129300     MOVE MA02-STORE             TO MMT1-STORE.
129400     MOVE MA02-PLAN              TO MMT1-PLAN.
129500     MOVE MA02-PLAN              TO MMT1-REF-PLAN.
129600     MOVE MA02-QUAL-LEVEL        TO MMT1-QUAL-LEVEL.
129700     MOVE MA02-QUAL-LEVEL        TO MMT1-REF-QUAL-LEVEL.
129800     MOVE MA02-DESC              TO MMT1-DESC.
129900     MOVE MMTC-RPT-DESC          TO MMT1-RPT-DESC.
130000     MOVE MA02-BATCH-AMOUNT      TO MMT1-REF-AMOUNT-1.
130100     MOVE MA02-BATCH-NBR         TO MMT1-REF-BATCH-NBR.
130200     MOVE MA02-BATCH-SOURCE      TO MMT1-REF-BATCH-SOURCE.
130300     MOVE MA02-NBR-ITEMS         TO MMT1-NBR-ITEMS.
130400*
130500     MOVE WS-VAR-DATA-IND        TO MMT1-VAR-DATA-IND.
130600*
130700     IF  MA02-BATCH-DATE-L IS GREATER THAN ZERO
130800         MOVE MA02-BATCH-DATE    TO SS01WS-DATE
130900         PERFORM SS07PD-GREG-TO-JUL
131000                                 THRU SS07PD-GTJ-EXIT
131100         MOVE SS01WS-JULIAN      TO MMT1-REF-BATCH-DATE.
131200*
131300     MOVE MBCA-MERCHANT (1:4)    TO MMT1-BATCH-SOURCE.
131400     MOVE MBCA-MERCHANT (5:5)    TO MMT1-BATCH-NBR.
131500     MOVE MBCA-MBMA-FIRST-SEQ-NBR
131600                                 TO MMT1-BATCH-SEQ.
131700     MOVE MMOC-DATE-NEXT-PROC    TO MMT1-BATCH-DATE.
131800     MOVE MMTC-LOGIC-MODULE      TO MMT1-LOGIC-MODULE.
131900     SET MMT1-AR-MT-NOT-FROM-CMS TO TRUE.
132000     MOVE ZEROS                  TO MMT1-ORIG-GL-SOURCE
132100                                    MMT1-GL-SOURCE.
132200*
132300****************************************************************
132400*    WRITE THE NEW TRANSACTION RECORD                          *
132500****************************************************************
132600*
132700 8850-WRITE-RECORD.
132800*
132900     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
133000     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-1.
133100     SET MBIORO-WRITE            TO TRUE.
133200     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
133300*
133400     IF  SS08WS-RC-FC-DUPREC
133500         ADD +1                  TO MBCA-MBMA-FIRST-SEQ-NBR
133600         MOVE MBCA-MBMA-FIRST-SEQ-NBR
133700                                 TO MMT1-SEQ-NBR
133800         GO TO 8850-WRITE-RECORD.
133900*
134000     PERFORM 8900-CREATE-MAINT-RECORD
134100                                 THRU 8999-CMR-EXIT.
134200*
134300 8899-AR-EXIT.
134400     EXIT.
134500*
134600 8900-CREATE-MAINT-RECORD.
134700*
134800     MOVE 'T1'                   TO MML1-FILE-CODE.
134900     MOVE ZEROES                 TO MML1-FIELD-CODE
135000                                    MML1-FIELD-OCCURRENCE
135100                                    MML1-FIELD-OCCURRENCE-2
135200                                    MML1-SOURCE-CODE.
135300     MOVE MMT1-ORG               TO MML1-MMT1-ORG.
135400     MOVE MMT1-MERCHANT          TO MML1-MMT1-MERCHANT.
135500     MOVE MMT1-SEQ-NBR           TO MML1-MMT1-SEQ-NBR.
135600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
135700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
135800     MOVE LENGTH OF MMT1-RECORD  TO MML1-VARIABLE-LENGTH.
135900     MOVE MMT1-RECORD            TO MML1-ADD-AREA.
136000*
136100****************************************************************
136200*    WRITE FOR THE LOG/JOURNAL FILE                            *
136300****************************************************************
136400*
136500     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
136600     SET MBIORO-WRITE            TO TRUE.
136700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
136800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
136900*
137000 8999-CMR-EXIT.
137100     EXIT.
137200*
137300 9000-MAINT-RECORDS.
137400*
137500     IF  MA02-TRANS-CODE-L IS EQUAL TO ZERO
137600     AND MA02-STATUS-L IS EQUAL TO ZERO
137700     AND MA02-AMOUNT-L IS EQUAL TO ZERO
137800     AND MA02-ENTRY-DATE-L IS EQUAL TO ZERO
137900     AND MA02-PRODUCT-L IS EQUAL TO ZERO
138000     AND MA02-STORE-L IS EQUAL TO ZERO
138100     AND MA02-PLAN-L IS EQUAL TO ZERO
138200     AND MA02-QUAL-LEVEL-L IS EQUAL TO ZERO
138300     AND MA02-DESC-L IS EQUAL TO ZERO
138400     AND MA02-BATCH-AMOUNT-L IS EQUAL TO ZERO
138500     AND MA02-BATCH-NBR-L IS EQUAL TO ZERO
138600     AND MA02-BATCH-SOURCE-L IS EQUAL TO ZERO
138700     AND MA02-BATCH-DATE-L IS EQUAL TO ZERO
138800     AND MA02-NBR-ITEMS-L IS EQUAL TO ZERO
138900         GO TO 9099-MR-EXIT.
139000*
139100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMT1-ORG.
139200     MOVE MBCA-MERCHANT          TO MBIOWS-MMT1-MERCHANT.
139300     MOVE MBCA-MBMA-FIRST-SEQ-NBR
139400                                 TO MBIOWS-MMT1-SEQ-NBR.
139500*
139600****************************************************************
139700*    READ THE TRANSACTION RECORD FOR UPDATE                    *
139800****************************************************************
139900*
140000     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
140100     SET MBIORO-READ-RANDOM-UPDATE
140200                                 TO TRUE.
140300     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
140400*
140500*        ***** TRANSACTION CODE *****
140600*
140700     IF  MA02-TRANS-CODE-L IS GREATER THAN ZERO
140800     AND MA02-TRANS-CODE   IS NOT EQUAL
140900                                 TO MMT1-TRANS-CODE
141000         MOVE MA02-TRANS-CODE    TO MMT1-TRANS-CODE
141100         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMTC-ORG
141200         MOVE MA02-TRANS-CODE    TO MBIOWS-MMTC-TXN-CODE
141300         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
141400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
141500         SET MBIORO-READ-RANDOM  TO TRUE
141600         PERFORM MMTCAO-ACCESS   THRU MMTCAO-ACCESS-EXIT
141700         MOVE MMTC-RPT-DESC      TO MMT1-RPT-DESC
141800         MOVE MMTC-LOGIC-MODULE  TO MMT1-LOGIC-MODULE
141900                                    MMTCWS-LOGIC-MODULE
142000         EVALUATE TRUE
142100             WHEN  MMTCWS-LM-VALID-CREDIT
142200                 MOVE 'C'        TO MMT1-TRANS-FLAG
142300             WHEN  MMTCWS-LM-VALID-DEBIT
142400                 MOVE 'D'        TO MMT1-TRANS-FLAG
142500             WHEN  MMTCWS-LM-VALID-MEMO
142600                 MOVE 'M'        TO MMT1-TRANS-FLAG
142700             WHEN  OTHER
142800                 MOVE ' '        TO MMT1-TRANS-FLAG
142900         END-EVALUATE.
143000*
143100*        ***** STATUS *****
143200*
143300     IF  MA02-STATUS-L IS GREATER THAN ZERO
143400         MOVE MA02-STATUS        TO MMT1-TRANS-STATUS.
143500*
143600*        ***** AMOUNT *****
143700*
143800     IF  MA02-AMOUNT-L IS GREATER THAN ZERO
143900         MOVE MA02-AMOUNT        TO MMT1-AMOUNT.
144000*
144100*        ***** ENTRY DATE *****
144200*
144300     IF  MA02-ENTRY-DATE-L IS GREATER THAN ZERO
144400         MOVE MA02-ENTRY-DATE    TO SS01WS-DATE
144500         PERFORM SS07PD-GREG-TO-JUL
144600                                 THRU SS07PD-GTJ-EXIT
144700         MOVE SS01WS-JULIAN      TO MMT1-ENTRY-DATE.
144800*
144900*        ***** PRODUCT *****
145000*
145100     IF  MA02-PRODUCT-L IS GREATER THAN ZERO
145200         MOVE MA02-PRODUCT       TO MMT1-PRODUCT.
145300*
145400*        ***** STORE *****
145500*
145600     IF  MA02-STORE-L IS GREATER THAN ZERO
145700         MOVE MA02-STORE         TO MMT1-STORE.
145800*
145900*        ***** PLAN *****
146000*
146100     IF  MA02-PLAN-L IS GREATER THAN ZERO
146200         MOVE MA02-PLAN          TO MMT1-PLAN.
146300*
146400*        ***** QUAL-LEVEL *****
146500*
146600     IF  MA02-QUAL-LEVEL-L IS GREATER THAN ZERO
146700         MOVE MA02-QUAL-LEVEL    TO MMT1-QUAL-LEVEL.
146800*
146900*        ***** NBR ITEMS *****
147000*
147100     IF  MA02-NBR-ITEMS IS NOT EQUAL TO MMT1-NBR-ITEMS
147200         MOVE MA02-NBR-ITEMS     TO MMT1-NBR-ITEMS.
147300*
147400*        ***** DESCRIPTION *****
147500*
147600     IF  MA02-DESC IS NOT EQUAL TO MMT1-DESC
147700         MOVE MA02-DESC          TO MMT1-DESC.
147800*
147900*        ***** BATCH AMOUNT *****
148000*
148100     IF  MA02-BATCH-AMOUNT-L IS GREATER THAN ZERO
148200         MOVE MA02-BATCH-AMOUNT  TO MMT1-REF-AMOUNT-1.
148300*
148400*        ***** BATCH NBR *****
148500*
148600     IF  MA02-BATCH-NBR-L IS GREATER THAN ZERO
148700         MOVE MA02-BATCH-NBR     TO MMT1-REF-BATCH-NBR.
148800*
148900*        ***** BATCH SOURCE *****
149000*
149100     IF  MA02-BATCH-SOURCE IS GREATER THAN ZERO
149200         MOVE MA02-BATCH-SOURCE  TO MMT1-REF-BATCH-SOURCE.
149300*
149400*        ***** BATCH DATE *****
149500*
149600     IF  MA02-BATCH-DATE IS GREATER THAN ZERO
149700         MOVE MA02-BATCH-DATE    TO SS01WS-DATE
149800         PERFORM SS07PD-GREG-TO-JUL
149900                                 THRU SS07PD-GTJ-EXIT
150000         MOVE SS01WS-JULIAN      TO MMT1-REF-BATCH-DATE.
150100*
150200*        ***** VAR DATA *****
150300*
150400     EVALUATE TRUE
150500       WHEN  WS-VARIABLE-DATA-IR
150600         MOVE MMT1IR-VARIABLE-DATA
150700                                 TO MMT1-VARIABLE-DATA
150800       WHEN  WS-DEPOSIT-DATA-IR
150900         MOVE MMT1IR-VARIABLE-DATA
151000                                 TO MMT1-VD-DEPOSIT-DATA
151100         IF  WS-ACCT-INFO IS NOT EQUAL TO SPACES
151200             MOVE WS-ACCT-INFO   TO MMT1-VD-DD-AR-ORG-ACCT-TC
151300         END-IF
151400       WHEN  WS-FEE-DATA-IR
151500         MOVE MMT1IR-VD-FEE-DATA
151600                                 TO MMT1-VD-FEE-DATA
151700         IF  WS-ACCT-INFO IS NOT EQUAL TO SPACES
151800             MOVE WS-ACCT-INFO   TO MMT1-VD-FA-AR-ORG-ACCT-TC
151900         END-IF
152000     END-EVALUATE.
152100*
152200     IF  MA02-TRANS-CODE-L IS GREATER THAN ZERO
152300         MOVE WS-VAR-DATA-IND    TO MMT1-VAR-DATA-IND.
152400*
152500*
152600     IF  MA02-TRANS-CODE-L IS GREATER THAN ZERO
152700     OR  MA02-STATUS-L IS GREATER THAN ZERO
152800     OR  MA02-AMOUNT-L IS GREATER THAN ZERO
152900     OR  MA02-ENTRY-DATE-L IS GREATER THAN ZERO
153000     OR  MA02-PRODUCT-L IS GREATER THAN ZERO
153100     OR  MA02-STORE-L IS GREATER THAN ZERO
153200     OR  MA02-PLAN-L IS GREATER THAN ZERO
153300     OR  MA02-QUAL-LEVEL-L IS GREATER THAN ZERO
153400     OR  MA02-DESC-L IS GREATER THAN ZERO
153500     OR  MA02-BATCH-AMOUNT-L IS GREATER THAN ZERO
153600     OR  MA02-BATCH-NBR-L IS GREATER THAN ZERO
153700     OR  MA02-BATCH-SOURCE-L IS GREATER THAN ZERO
153800     OR  MA02-BATCH-DATE-L IS GREATER THAN ZERO
153900     OR  MA02-NBR-ITEMS-L IS GREATER THAN ZERO
154000         MOVE MBCA-OPERATOR-ID   TO MMT1-LAST-OPERATOR
154100         PERFORM 8900-CREATE-MAINT-RECORD
154200                                 THRU 8999-CMR-EXIT.
154300*
154400****************************************************************
154500*    REWRITE THE TRANSACTION RECORD                            *
154600****************************************************************
154700*
154800     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
154900     SET MBIORO-REWRITE          TO TRUE.
155000     PERFORM MMT1AO-ACCESS       THRU MMT1AO-ACCESS-EXIT.
155100*
155200 9099-MR-EXIT.
155300     EXIT.
155400*
155500 9100-VERIFY-ENTRY-DATE.
155600*
155700     IF  MA02-ENTRY-DATE IS LESS THAN 1000000
155800         MOVE MA02-ENTRY-DATE    TO SS01WS-MDY
155900         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
156000     ELSE
156100         MOVE MA02-ENTRY-DATE    TO SS01WS-DATE.
156200*
156300     PERFORM SS05PD-DATE-VALIDATION
156400                                 THRU SS05PD-DV-EXIT.
156500*
156600 9199-VED-EXIT.
156700     EXIT.
156800*
156900 9200-VERIFY-BATCH-DATE.
157000*
157100     IF  MA02-BATCH-DATE IS LESS THAN 1000000
157200         MOVE MA02-BATCH-DATE    TO SS01WS-MDY
157300         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
157400     ELSE
157500         MOVE MA02-BATCH-DATE    TO SS01WS-DATE.
157600*
157700     PERFORM SS05PD-DATE-VALIDATION
157800                                 THRU SS05PD-DV-EXIT.
157900*
158000 9299-VBD-EXIT.
158100     EXIT.
158200*
158300 9300-VERIFY-STORE.
158400*
158500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
158600     MOVE MA02-STORE             TO MBIOWS-MMSM-STORE.
158700     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
158800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
158900     SET MBIORO-READ-RANDOM      TO TRUE.
159000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
159100*
159200 9399-VS-EXIT.
159300     EXIT.
159400*
159500 9400-MMT1-VAR-DATA.
159600*
159700     IF  MBCA-PTI-FUNCTION-IS-ADD
159800         EVALUATE TRUE
159900           WHEN MMTCWS-LM-VAR-DATA-0-ONLY
160000             MOVE MMT1IR-VARIABLE-DATA
160100                                 TO MMT1-VARIABLE-DATA
160200             MOVE 0              TO WS-VAR-DATA-IND
160300           WHEN MMTCWS-LM-VAR-DATA-0-OR-1
160400             MOVE MMT1IR-VD-DEPOSIT-DATA
160500                                 TO MMT1-VD-DEPOSIT-DATA
160600             MOVE 1              TO WS-VAR-DATA-IND
160700           WHEN MMTCWS-LM-VAR-DATA-0-OR-2
160800             MOVE MMT1IR-VD-FEE-DATA
160900                                 TO MMT1-VD-FEE-DATA
161000             MOVE 2              TO WS-VAR-DATA-IND
161100         END-EVALUATE
161200     ELSE
161300         EVALUATE TRUE
161400           WHEN (MMT1-VDI-NOT-PRESENT
161500            AND MMTCWS-LM-VAR-DATA-0-OR-1)
161600             SET WS-DEPOSIT-DATA-IR
161700                                 TO TRUE
161800             MOVE 1              TO WS-VAR-DATA-IND
161900           WHEN (MMT1-VDI-NOT-PRESENT
162000            AND MMTCWS-LM-VAR-DATA-0-OR-2)
162100             SET WS-FEE-DATA-IR  TO TRUE
162200             MOVE 2              TO WS-VAR-DATA-IND
162300           WHEN (MMT1-VDI-NOT-PRESENT
162400            AND MMTCWS-LM-VAR-DATA-0-ONLY)
162500             MOVE 0              TO WS-VAR-DATA-IND
162600           WHEN (MMT1-VDI-DEPOSIT-DATA
162700            AND MMTCWS-LM-VAR-DATA-0-ONLY)
162800             SET WS-VARIABLE-DATA-IR
162900                                 TO TRUE
163000             MOVE 0              TO WS-VAR-DATA-IND
163100           WHEN (MMT1-VDI-DEPOSIT-DATA
163200            AND MMTCWS-LM-VAR-DATA-0-OR-2)
163300             MOVE MMT1-VD-DD-AR-ORG-ACCT-TC
163400                                 TO WS-ACCT-INFO
163500             SET WS-FEE-DATA-IR  TO TRUE
163600             MOVE 2              TO WS-VAR-DATA-IND
163700           WHEN (MMT1-VDI-DEPOSIT-DATA
163800            AND MMTCWS-LM-VAR-DATA-0-OR-1)
163900             MOVE 1              TO WS-VAR-DATA-IND
164000           WHEN (MMT1-VDI-FEE-DATA
164100            AND MMTCWS-LM-VAR-DATA-0-ONLY)
164200             SET WS-VARIABLE-DATA-IR
164300                                 TO TRUE
164400             MOVE 0              TO WS-VAR-DATA-IND
164500           WHEN (MMT1-VDI-FEE-DATA
164600            AND MMTCWS-LM-VAR-DATA-0-OR-1)
164700             MOVE MMT1-VD-FA-AR-ORG-ACCT-TC
164800                                 TO WS-ACCT-INFO
164900             SET WS-DEPOSIT-DATA-IR
165000                                 TO TRUE
165100             MOVE 1              TO WS-VAR-DATA-IND
165200           WHEN (MMT1-VDI-FEE-DATA
165300            AND MMTCWS-LM-VAR-DATA-0-OR-2)
165400             MOVE 2              TO WS-VAR-DATA-IND
165500         END-EVALUATE
165600     END-IF.
165700*
165800     MOVE MMT1-RECORD            TO MTPT-RECORD.
165900*
166000 9499-MVD-EXIT.
166100     EXIT.
166200*
166300*
166400/         DATE VALIDATION ROUTINE
166500     COPY SS05PD.
166600/         GREGORIAN TO JULIAN DATE ROUTINE
166700     COPY SS07PD.
166800/         JULIAN TO GREGORIAN DATE ROUTINE
166900     COPY SS08PD.
167000/         DATE AND TIME EDIT ROUTINES
167100     COPY SS26PD.
167200     COPY SS27PD.
167300/         LINE 24 PF KEYS ROUTINE
167400     COPY SS15PD.
167500/         LOG/JOURNAL RECORD ACCESS ROUTINES
167600     COPY MML1AO.
167700/         MERCHANT TRANSACTION RECORD ACCESS ROUTINES
167800     COPY MMT1AO.
167900/         TRANSACTION RECORD ACCESS ROUTINES
168000     COPY MMTCAO.
168100/         ORG CONTROL RECORD ACCESS ROUTINES
168200     COPY MMOCAO.
168300/         STORE MASTER RECORD ACCESS ROUTINES
168400     COPY MMSMAO.
168500/         ON-LINE MAP ROUTINES
168600     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMA02 '
168700                           MBMAPXXI BY MBMA02I
168800                           MBMAPXXO BY MBMA02O.
168900/         MESSAGE FORMAT ROUTINE
169000     COPY MB06PD.
169100/         ON-LINE PROCEDURES
169200     COPY MB70PD.
169300/
169400     COPY SMFTPXO.
