000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMB00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMB00 - BAR CODE SELECTION ADD/MAINT/INQ               *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAB                                       *
001200*                 B. MBMB                                       *
001300*                 C. MBQB                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMB00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC (ORG CONTROL FILE)                    *
001800*                 B. MMBC (MERCHANT RELATIONSHIP)               *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003600                                             VALUE +001.
003700     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003800                                             VALUE +998.
003900     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
004000         88  WS-COPY-SW-NO                   VALUE 'N'.
004100         88  WS-COPY-SW-YES                  VALUE 'Y'.
004200/
004300 01  FILLER                  PIC  X(29)      VALUE
004400     'I/O REQUEST BLOCK WORK AREAS:'.
004500*
004600     COPY MBIOWS.
004700/
004800 01  FILLER                  PIC  X(18)      VALUE
004900     'I/O REQUEST BLOCK:'.
005000*
005100     COPY MBIORO.
005200/
005300 01  FILLER                  PIC  X(21)      VALUE
005400     'ERROR MESSAGES TABLE:'.
005500*
005600     COPY MBEMWS.
005700/
005800 01  FILLER                  PIC  X(28)      VALUE
005900     'BAR CODE INITIALIZER RECORD:'.
006000*
006100     COPY MMBCIR.
006200/
006300 01  FILLER                  PIC  X(20)      VALUE
006400     'CCS DATE WORK AREAS:'.
006500*
006600     COPY SS01WS.
006700/
006800 01  FILLER                  PIC  X(15)      VALUE
006900     'CCS WORK AREAS:'.
007000*
007100     COPY SS08WS.
007200/
007300     COPY SS00WS.
007400/
007500     COPY SMFTWS.
007600/
007700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007800/
007900     COPY MB61LK.
008000/
008100 01  FILLER                  PIC  X(12)      VALUE
008200     '** WS-END **'.
008300/
008400 LINKAGE SECTION.
008500*
008600 01  DFHCOMMAREA.
008700*
008800     COPY MB60WS.
008900/
009000******************************************
009100*    BAR CODE LOCATE MAP                 *
009200******************************************
009300*
009400     COPY MBMB00.
009500/
009600*******************************************************
009700*    BAR CODE LOCATE MAP REDEFINITION                 *
009800*******************************************************
009900*
010000     COPY MBMB00R.
010100/
010200***************************
010300*    ORG RECORD LAYOUT    *
010400***************************
010500*
010600     COPY MMOCRL.
010700/
010800*********************************************
010900*    BAR CODE RECORD LAYOUT                 *
011000*********************************************
011100*
011200     COPY MMBCRL.
011300/
011400 PROCEDURE DIVISION.
011500*
011600 A000-HOUSEKEEPING SECTION.
011700*
011800 A020-INIT.
011900*
012000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012200                                 THRU MB70PD-OLH-EXIT.
012300*
012400     IF  MBCA-RECEIVE-SCREEN
012500         GO TO C000-RECEIVE-SCREEN.
012600/
012700 B000-SEND-SCREEN SECTION.
012800*
012900*********************************************
013000*    GET CICS STORAGE NEEDED FOR THE MAP    *
013100*********************************************
013200*
013300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013400     PERFORM MB60PD-GETMAIN-FOR-MAP
013500                                 THRU MB60PD-GFM-EXIT.
013600*
013700*****************************************************************
013800*    CHECK KEY CODES                                            *
013900* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
014000* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
014100* 3. IF MMBC KEY CODE, IT MUST HAVE AN ORGANIZATION NUMBER      *
014200*    GREATER THAN ZERO AND A INSERT NBR. IF                     *
014300*    DIRECT, GO TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE    *
014400*    PLUGGED THE ORGANIZATION AND INSERT NBR IN THE MAP. IF AN  *
014500*    ERROR OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL        *
014600*    HANDLE BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.   *
014700*    THIS IS WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE         *
014800*    NO MATTER WHICH ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG   *
014900*    THE ORGANIZATION AND INSER NBR INTO THE MAP AND BYPASS     *
015000*    ANY OTHER CHECKING OF THE KEY CODE.                        *
015100* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG IS      *
015200*    GREATER THAN ZERO.  IF IT IS, PLUG IT INTO THE MAP.  IF    *
015300*    THE MBCA-INSERT-NBR IS GREATER THAN LOW-VALUE, PLUG IT INTO*
015400*    THE MAP.                                                   *
015500*****************************************************************
015600*
015700     IF  MBCA-INITIAL-KEY-CODE
015800     OR  MBCA-PTI-FUNCTION-IS-ADD
015900         GO TO B020-BUILD-SCREEN.
016000*
016100     IF  MBCA-MMBC-KEY-CODE
016200         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016300         AND MBCA-INSERT-NBR    IS GREATER THAN ZEROS
016400             MOVE MBCA-MERCHANT-ORG
016500                                 TO MB00-ORG
016600             MOVE MBCA-INSERT-NBR
016700                                 TO MB00-INSERT-NBR
016800             MOVE DFHBMUNF       TO MB00-ORG-A
016900                                    MB00-INSERT-NBR-A
017000             IF  MBCA-DIRECT-TRANSFER-CODE
017100             AND MBCA-INITIAL-SCREEN-NBR
017200                 MOVE 00         TO MBCA-SCREEN-NBR
017300                 GO TO C082-READ-ORG
017400             ELSE
017500                 GO TO B020-BUILD-SCREEN.
017600*
017700     IF  MBCA-VALID-KEY-CODES
017800         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
017900             MOVE MBCA-MERCHANT-ORG
018000                                 TO MB00-ORG
018100             MOVE DFHBMUNF       TO MB00-ORG-A
018200             IF  MBCA-INSERT-NBR IS GREATER THAN ZEROS
018300                 MOVE MBCA-INSERT-NBR
018400                                 TO MB00-INSERT-NBR
018500                 MOVE DFHBMUNF   TO MB00-INSERT-NBR-A.
018600*
018700 B020-BUILD-SCREEN.
018800*
018900*******************************************
019000*    INITIALIZE THE STANDARD MAP LINES    *
019100*******************************************
019200*
019300     MOVE SS08WS-CURSOR          TO MB00-ORG-L.
019400     MOVE 00                     TO MBCA-SCREEN-NBR.
019500     PERFORM MB60PD-INIT-STD-MAP-LINES
019600                                 THRU MB60PD-ISML-EXIT.
019700*
019800     IF  MBCA-PTI-FUNCTION-IS-MAINT
019900     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
020000         MOVE DFHBMDAS           TO MB00-COPY-ORG-LIT-A
020100                                    MB00-COPY-ORG-LP-A
020200                                    MB00-COPY-ORG-RP-A
020300                                    MB00-COPY-INSERT-NBR-LIT-A
020400                                    MB00-COPY-INSERT-NBR-LP-A
020500                                    MB00-COPY-INSERT-NBR-RP-A
020600         MOVE DFHBMASK           TO MB00-COPY-ORG-A
020700                                    MB00-COPY-INSERT-NBR-A.
020800*
020900**********************
021000*    SEND THE MAP    *
021100**********************
021200*
021300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
021400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
021500                                 THRU MB60PD-SMWE-EXIT.
021600*
021700************************
021800*    RETURN TO CICS    *
021900************************
022000*
022100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
022200     PERFORM MB70PD-RETURN-TRANS-ID
022300                                 THRU MB70PD-RTI-EXIT.
022400/
022500 C000-RECEIVE-SCREEN SECTION.
022600*
022700*************************************************
022800*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
022900*************************************************
023000*
023100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
023200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
023300*
023400**************************************************************
023500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
023600**************************************************************
023700*
023800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
023900     PERFORM MB60PD-NEW-TRANS-ROUTINE
024000                                 THRU MB60PD-NTR-EXIT.
024100*
024200 C020-EDIT-SCREEN.
024300*
024400     SET SS08WS-ERROR-SW-NO      TO TRUE.
024500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
024600*
024700     IF  (MB00-ORG-L IS LESS THAN 1
024800     AND  MB00-INSERT-NBR-L IS LESS THAN 1
024900     AND  MB00-COPY-ORG-L IS LESS THAN 1
025000     AND  MB00-COPY-INSERT-NBR-L IS LESS THAN 1)
025100     AND (SS08WS-VALID-PF-KEY
025200     OR   SS08WS-EIBAID-VALID-PF-KEY)
025300         SET MBCA-INITIAL-SCREEN-NBR
025400                                 TO TRUE
025500         GO TO F090-TRANSFER-XCTL.
025600*
025700******************************************************
025800*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
025900*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
026000******************************************************
026100*
026200     MOVE DFHBMUNN               TO MB00-ORG-A
026300                                    MB00-INSERT-NBR-A.
026400     MOVE DFHBMASK               TO MB00-ORG-LP-A
026500                                    MB00-ORG-RP-A
026600                                    MB00-INSERT-NBR-LP-A
026700                                    MB00-INSERT-NBR-RP-A.
026800*
026900     IF  MBCA-PTI-FUNCTION-IS-ADD
027000         MOVE DFHBMUNN           TO MB00-COPY-ORG-A
027100                                    MB00-COPY-INSERT-NBR-A
027200         MOVE DFHBMASK           TO MB00-COPY-ORG-LP-A
027300                                    MB00-COPY-ORG-RP-A
027400                                    MB00-COPY-INSERT-NBR-LP-A
027500                                    MB00-COPY-INSERT-NBR-RP-A
027600     ELSE
027700         GO TO C080-EDIT-ORG.
027800*
027900************************************************
028000*    BYPASS THE COPY EDITS IF NEITHER THE      *
028100*    COPY ORG OR COPY INSERT-NBR WERE ENTERED. *
028200************************************************
028300*
028400     IF  MB00-COPY-ORG-L IS EQUAL TO ZERO
028500     AND MB00-COPY-INSERT-NBR-L IS EQUAL TO ZERO
028600         GO TO C080-EDIT-ORG.
028700*
028800 C040-EDIT-COPY-ORG.
028900*
029000     IF  MB00-COPY-ORG-L IS EQUAL TO ZERO
029100     OR  MB00-COPY-ORG IS NOT NUMERIC
029200     OR  MB00-COPY-ORG IS LESS THAN MBCA-ORG-LOW
029300     OR  MB00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
029400     OR  MB00-COPY-ORG IS LESS THAN WS-ORG-LOW
029500     OR  MB00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
029600         MOVE MBEMWS-INVALID-ORG TO MB00-ERR-MESSAGE
029700         GO TO C058-COPY-ORG-ERROR.
029800*
029900************************************************
030000*    READ THE COPY ORGANIZATION RECORD.  IT    *
030100*    MUST BE ON FILE AND AN ACTIVE RECORD.     *
030200************************************************
030300*
030400     MOVE MB00-COPY-ORG          TO MBIOWS-MMOC-ORG.
030500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
030700     SET MBIORO-READ-RANDOM      TO TRUE.
030800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
030900*
031000     IF  SS08WS-RC-FC-NOTFND
031100         MOVE MBEMWS-NOT-ON-FILE TO MB00-ERR-MESSAGE
031200     ELSE
031300         IF  MMOC-ADD-PENDING
031400             MOVE MBEMWS-ADD-PENDING
031500                                 TO MB00-ERR-MESSAGE
031600         ELSE
031700             IF  MMOC-REC-PURGED
031800                 MOVE MBEMWS-REC-PURGED
031900                                 TO MB00-ERR-MESSAGE
032000             ELSE
032100                 MOVE DFHBMUNF   TO MB00-COPY-ORG-A
032200                 GO TO C060-EDIT-COPY-INSERT-NBR.
032300*
032400 C058-COPY-ORG-ERROR.
032500*
032600     SET SS08WS-ERROR-SW-YES     TO TRUE.
032700     MOVE DFHBMASB               TO MB00-COPY-ORG-LP-A
032800                                    MB00-COPY-ORG-RP-A.
032900     MOVE SS08WS-CURSOR          TO MB00-COPY-ORG-L.
033000     MOVE DFHBMNBF               TO MB00-COPY-ORG-A.
033100     MOVE DFHBMUNF               TO MB00-ORG-A
033200                                    MB00-COPY-INSERT-NBR-A
033300                                    MB00-INSERT-NBR-A.
033400     GO TO D000-RETURN-ERRORS.
033500*
033600 C060-EDIT-COPY-INSERT-NBR.
033700*
033800***********************************************************
033900*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
034000*    SEE IF ANYTHING WAS KEYED.                           *
034100***********************************************************
034200*
034300     IF  MB00-COPY-INSERT-NBR IS EQUAL ZEROS
034400         MOVE MBEMWS-INVALID-INSERT-NBR
034500                                 TO MB00-ERR-MESSAGE
034600         GO TO C078-COPY-INSERT-NBR-ERROR.
034700*
034800*****************************************************************
034900*    READ THE BAR CODE FILE TO ENSURE THAT THE INSERT-NBR       *
035000*    TO BE COPIED IS ON FILE AND AN ACTIVE RECORD.              *
035100*****************************************************************
035200*
035300     MOVE MB00-COPY-ORG          TO MBIOWS-MMBC-ORG.
035400     MOVE MB00-COPY-INSERT-NBR   TO MBIOWS-MMBC-INSERT-NBR.
035500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
035600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
035700     SET MBIORO-READ-RANDOM      TO TRUE.
035800     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
035900*
036000     IF  SS08WS-RC-FC-NOTFND
036100         MOVE MBEMWS-NOT-ON-FILE TO MB00-ERR-MESSAGE
036200     ELSE
036300         IF  MMBC-ADD-PENDING
036400             MOVE MBEMWS-ADD-PENDING
036500                                 TO MB00-ERR-MESSAGE
036600         ELSE
036700             IF  MMBC-REC-PURGED
036800                 MOVE MBEMWS-REC-PURGED
036900                                 TO MB00-ERR-MESSAGE
037000             ELSE
037100                 SET WS-COPY-SW-YES
037200                                 TO TRUE
037300                 MOVE DFHBMUNF   TO MB00-COPY-INSERT-NBR-A
037400                 GO TO C080-EDIT-ORG.
037500*
037600 C078-COPY-INSERT-NBR-ERROR.
037700*
037800     SET SS08WS-ERROR-SW-YES     TO TRUE.
037900     MOVE DFHBMASB               TO MB00-COPY-INSERT-NBR-LP-A
038000                                    MB00-COPY-INSERT-NBR-RP-A.
038100     MOVE SS08WS-CURSOR          TO MB00-COPY-INSERT-NBR-L.
038200     MOVE DFHBMUNF               TO MB00-COPY-INSERT-NBR-A
038300                                    MB00-ORG-A
038400                                    MB00-INSERT-NBR-A.
038500     GO TO D000-RETURN-ERRORS.
038600*
038700 C080-EDIT-ORG.
038800*
038900     IF  MB00-ORG-L IS EQUAL TO ZERO
039000     OR  MB00-ORG IS NOT NUMERIC
039100     OR  MB00-ORG IS LESS THAN MBCA-ORG-LOW
039200     OR  MB00-ORG IS GREATER THAN MBCA-ORG-HIGH
039300     OR  MB00-ORG IS LESS THAN WS-ORG-LOW
039400     OR  MB00-ORG IS GREATER THAN WS-ORG-HIGH
039500         MOVE MBEMWS-INVALID-ORG TO MB00-ERR-MESSAGE
039600         GO TO C098-ORG-ERROR.
039700*
039800 C082-READ-ORG.
039900*
040000************************************************
040100*    READ THE ORGANIZATION RECORD.  IT MUST    *
040200*    BE ON FILE AND AN ACTIVE RECORD.          *
040300************************************************
040400*
040500     MOVE MB00-ORG               TO MBIOWS-MMOC-ORG.
040600     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
040700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
040800     SET MBIORO-READ-RANDOM      TO TRUE.
040900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
041000*
041100     IF  SS08WS-RC-FC-NOTFND
041200         MOVE MBEMWS-NOT-ON-FILE TO MB00-ERR-MESSAGE
041300     ELSE
041400         IF  MMOC-ADD-PENDING
041500             MOVE MBEMWS-ADD-PENDING
041600                                 TO MB00-ERR-MESSAGE
041700         ELSE
041800             IF  MMOC-REC-PURGED
041900                 MOVE MBEMWS-REC-PURGED
042000                                 TO MB00-ERR-MESSAGE
042100             ELSE
042200                 MOVE DFHBMUNF   TO MB00-ORG-A
042300                 MOVE MB00-ORG   TO MBCA-MERCHANT-ORG
042400                 GO TO C100-EDIT-INSERT-NBR.
042500*
042600 C098-ORG-ERROR.
042700*
042800     SET SS08WS-ERROR-SW-YES     TO TRUE.
042900     MOVE DFHBMASB               TO MB00-ORG-LP-A
043000                                    MB00-ORG-RP-A.
043100     MOVE SS08WS-CURSOR          TO MB00-ORG-L.
043200     MOVE DFHBMNBF               TO MB00-ORG-A
043300                                    MB00-INSERT-NBR-A.
043400     GO TO D000-RETURN-ERRORS.
043500*
043600 C100-EDIT-INSERT-NBR.
043700*
043800***********************************************************
043900*    THE LENGTH FIELD COULD BE CHECKED HERE TO            *
044000*    SEE IF ANYTHING WAS KEYED.                           *
044100***********************************************************
044200*
044300     IF  MB00-INSERT-NBR-L IS GREATER THAN ZERO
044400     AND (MB00-INSERT-NBR IS EQUAL TO ZEROS
044500     OR  MB00-INSERT-NBR IS NOT NUMERIC
044600     OR  MB00-INSERT-NBR IS EQUAL TO LOW-VALUES
044700     OR  MB00-INSERT-NBR IS EQUAL TO ZEROS OR 99)
044800         MOVE MBEMWS-INVALID-INSERT-NBR
044900                                 TO MB00-ERR-MESSAGE
045000         GO TO C118-INSERT-NBR-ERROR.
045100*
045200 C102-READ-INSERT-NBR.
045300*
045400***************************************************************
045500*    READ THE INSERT-NBR RECORD. IT MUST BE ON FILE AND       *
045600*    AN ACTIVE RECORD IF IN MAINTENANCE OR INQUIRY.  IT MUST  *
045700*    NOT BE ON FILE (OR IN AN ADD PENDING STATE), IF IN ADD.  *
045800***************************************************************
045900*
046000     IF  MB00-INSERT-NBR IS NOT NUMERIC
046100         MOVE MBEMWS-INVALID-INSERT-NBR
046200                                 TO MB00-ERR-MESSAGE
046300         GO TO C118-INSERT-NBR-ERROR.
046400*
046500     IF  MB00-INSERT-NBR-1 IS EQUAL TO ZEROS
046600         MOVE MBEMWS-INVALID-INSERT-NBR
046700                                 TO MB00-ERR-MESSAGE
046800         GO TO C118-INSERT-NBR-ERROR.
046900*
047000     MOVE MB00-ORG               TO MBIOWS-MMBC-ORG.
047100     MOVE MB00-INSERT-NBR        TO MBIOWS-MMBC-INSERT-NBR.
047200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
047300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
047400     SET MBIORO-READ-RANDOM      TO TRUE.
047500     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
047600*
047700     IF  SS08WS-RC-FC-VALID-RTN-CODE
047800         MOVE MB00-INSERT-NBR    TO MBCA-INSERT-NBR.
047900*
048000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
048100         IF  SS08WS-RC-FC-VALID-RTN-CODE
048200             IF  MMBC-ADD-PENDING
048300                 MOVE MBEMWS-ADD-PENDING
048400                                 TO MB00-ERR-MESSAGE
048500                 GO TO C118-INSERT-NBR-ERROR
048600             ELSE
048700                 GO TO F000-SETUP-COMMAREA
048800         ELSE
048900             MOVE MBEMWS-NOT-ON-FILE
049000                                 TO MB00-ERR-MESSAGE
049100             GO TO C118-INSERT-NBR-ERROR.
049200*
049300     IF  MBCA-PTI-FUNCTION-IS-ADD
049400     AND SS08WS-RC-FC-NOTFND
049500         GO TO E000-UPDATE-FILE.
049600*
049700     IF  MBCA-PTI-FUNCTION-IS-ADD
049800     AND MMBC-ADD-PENDING
049900         IF  WS-COPY-SW-NO
050000             MOVE MMBC-ONLINE-STATUS
050100                                 TO MBCA-SCREEN-NBR
050200             GO TO F000-SETUP-COMMAREA
050300         ELSE
050400             MOVE MBEMWS-ADD-PENDING
050500                                 TO MB00-ERR-MESSAGE
050600             GO TO C118-INSERT-NBR-ERROR.
050700*
050800     IF  MBCA-PTI-FUNCTION-IS-ADD
050900         MOVE MBEMWS-ALREADY-ON-FILE
051000                                 TO MB00-ERR-MESSAGE
051100         GO TO C118-INSERT-NBR-ERROR.
051200*
051300     IF  MBCA-PTI-FUNCTION-IS-MAINT
051400     AND SS08WS-RC-FC-NOTFND
051500         MOVE MBEMWS-NOT-ON-FILE TO MB00-ERR-MESSAGE
051600         GO TO C118-INSERT-NBR-ERROR.
051700*
051800     IF  MBCA-PTI-FUNCTION-IS-MAINT
051900     AND MMBC-ADD-PENDING
052000         MOVE MBEMWS-ADD-PENDING TO MB00-ERR-MESSAGE
052100         GO TO C118-INSERT-NBR-ERROR.
052200*
052300     IF  MBCA-PTI-FUNCTION-IS-MAINT
052400     AND MMBC-REC-PURGED
052500         MOVE MBEMWS-REC-PURGED  TO MB00-ERR-MESSAGE
052600         GO TO C118-INSERT-NBR-ERROR.
052700*
052800***********************************************
052900*    OTHERWISE, WE PASSED THE INSERT-NBR EDIT *
053000***********************************************
053100*
053200     GO TO F000-SETUP-COMMAREA.
053300*
053400 C118-INSERT-NBR-ERROR.
053500*
053600     SET SS08WS-ERROR-SW-YES     TO TRUE.
053700     MOVE DFHBMASB               TO MB00-INSERT-NBR-LP-A
053800                                    MB00-INSERT-NBR-RP-A.
053900     MOVE SS08WS-CURSOR          TO MB00-INSERT-NBR-L.
054000     MOVE DFHBMNBF               TO MB00-INSERT-NBR-A.
054100/
054200 D000-RETURN-ERRORS SECTION.
054300*
054400     IF  SS08WS-ERROR-SW-NO
054500         GO TO E000-UPDATE-FILE
054600     ELSE
054700         IF  SS08WS-VALID-PF-KEY
054800         OR  SS08WS-EIBAID-VALID-PF-KEY
054900             SET MBCA-INITIAL-SCREEN-NBR
055000                                 TO TRUE
055100             GO TO F090-TRANSFER-XCTL.
055200*
055300***************************************************************
055400*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
055500*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
055600*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
055700***************************************************************
055800*
055900     PERFORM MB60PD-INIT-STD-MAP-LINES
056000                                 THRU MB60PD-ISML-EXIT.
056100*
056200     IF  MBCA-PTI-FUNCTION-IS-MAINT
056300     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
056400         MOVE DFHBMDAS           TO MB00-COPY-ORG-LIT-A
056500                                    MB00-COPY-ORG-LP-A
056600                                    MB00-COPY-ORG-RP-A
056700                                    MB00-COPY-INSERT-NBR-LIT-A
056800                                    MB00-COPY-INSERT-NBR-LP-A
056900                                    MB00-COPY-INSERT-NBR-RP-A
057000         MOVE DFHBMASK           TO MB00-COPY-ORG-A
057100                                    MB00-COPY-INSERT-NBR-A.
057200*
057300**********************
057400*    SEND THE MAP    *
057500**********************
057600*
057700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
057800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
057900                                 THRU MB60PD-SMWE-EXIT.
058000*
058100************************
058200*    RETURN TO CICS    *
058300************************
058400*
058500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
058600     PERFORM MB70PD-RETURN-TRANS-ID
058700                                 THRU MB70PD-RTI-EXIT.
058800/
058900 E000-UPDATE-FILE SECTION.
059000*
059100********************************************************
059200*    WRITE THE NEW SECURITY INSERT-NBR RECORD FROM THE *
059300*    INITIALIZER RECORD OR FROM THE INSERT-NBR RECORD  *
059400*    THAT IS BEING COPIED.                             *
059500********************************************************
059600*
059700     IF  WS-COPY-SW-YES
059800         GO TO E040-COPY-ADD.
059900*
060000 E020-ADD-NEW-RECORD.
060100*
060200********************************************************
060300*    SET UP THE RECORD.  USE THE INITIALIZER RECORD    *
060400*    (MMBCIR) AS THE FIELD DEFAULTS.                   *
060500********************************************************
060600*
060700     MOVE MMBCIR-RECORD          TO MMBC-RECORD.
060800     MOVE MB00-ORG               TO MMBC-ORG.
060900     MOVE MB00-INSERT-NBR        TO MMBC-INSERT-NBR.
061000     MOVE MBCA-START-DATE        TO MMBC-LAST-MAINT-DATE.
061100     MOVE MBCA-OPERATOR-ID       TO MMBC-LAST-MAINT-OPER.
061200*
061300     GO TO E060-WRITE-MMBC.
061400*
061500 E040-COPY-ADD.
061600*
061700*********************************************************
061800*    RE-READ THE MERCH RELATIONSHIP RECORD TO BE COPIED.*
061900*********************************************************
062000*
062100     MOVE MB00-COPY-ORG          TO MBIOWS-MMBC-ORG.
062200     MOVE MB00-COPY-INSERT-NBR   TO MBIOWS-MMBC-INSERT-NBR.
062300     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
062400     SET MBIORO-READ-RANDOM      TO TRUE.
062500     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
062600*
062700***************************
062800*    SET UP THE RECORD    *
062900***************************
063000*
063100     MOVE MB00-ORG               TO MMBC-ORG.
063200     MOVE MB00-INSERT-NBR        TO MMBC-INSERT-NBR.
063300     MOVE MMBCIR-REC-STATUS      TO MMBC-REC-STATUS.
063400     MOVE MMBCIR-ONLINE-STATUS   TO MMBC-ONLINE-STATUS.
063500     MOVE MBCA-START-DATE        TO MMBC-LAST-MAINT-DATE.
063600     MOVE MBCA-OPERATOR-ID       TO MMBC-LAST-MAINT-OPER.
063700*
063800*************************************************************
063900*    INITIALIZE THE FIELDS THAT ARE NOT PART OF THE COPY    *
064000*************************************************************
064100*
064200***  MOVE MMBCIR-NAME            TO MMBC-NAME.
064300*
064400 E060-WRITE-MMBC.
064500*
064600     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
064700     SET MBIORO-WRITE            TO TRUE.
064800     PERFORM MMBCAO-ACCESS       THRU MMBCAO-ACCESS-EXIT.
064900*
065000     MOVE MB00-INSERT-NBR        TO MBCA-INSERT-NBR.
065100/
065200 F000-SETUP-COMMAREA SECTION.
065300*
065400***************************************************************
065500*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
065600***************************************************************
065700*
065800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
065900*
066000     MOVE MBIOWS-MMBC-DIRECT-KEY-CODE
066100                                 TO MBCA-KEY-CODE.
066200*
066300     PERFORM MB60PD-EDIT-PAGE-NBR
066400                                 THRU MB60PD-EPN-EXIT.
066500*
066600     IF  SS08WS-VALID-PF-KEY
066700     OR  SS08WS-EIBAID-VALID-PF-KEY
066800         SET MBCA-INITIAL-SCREEN-NBR
066900                                 TO TRUE.
067000*
067100 F090-TRANSFER-XCTL.
067200*
067300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
067400     PERFORM MB70PD-XCTL-TO-MBOXCTL
067500                                 THRU MB70PD-XTM-EXIT.
067600/
067700 Z000-COPIED-ROUTINES SECTION.
067800*
067900**********************************
068000*    JUL TO GREG DATE ROUTINE    *
068100**********************************
068200*
068300     COPY SS08PD.
068400/
068500**********************************
068600*    DATE AND TIME EDIT ROUTINES *
068700**********************************
068800*
068900     COPY SS26PD.
069000     COPY SS27PD.
069100/
069200*********************************
069300*    LINE 24 PF KEYS ROUTINE    *
069400*********************************
069500*
069600     COPY SS15PD.
069700/
069800*******************************************
069900*    ORG FILE ACCESS ROUTINES             *
070000*******************************************
070100*
070200     COPY MMOCAO.
070300/
070400******************************************************
070500*    BAR CODE RECORD ACCESS ROUTINES                 *
070600******************************************************
070700*
070800     COPY MMBCAO.
070900/
071000*****************************
071100*    ONLINE MAP ROUTINES    *
071200*****************************
071300*
071400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMB00 '
071500                           MBMAPXXI BY MBMB00I
071600                           MBMAPXXO BY MBMB00O.
071700/
071800***************************
071900*    ONLINE PROCEDURES    *
072000***************************
072100*
072200     COPY MB70PD.
072300/
072400     COPY SMFTPXO.
