000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMC01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMC01 - ON-LINE MERCH CHAIN ADD/MAINTENANCE/INQUIRY    *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAC                                       *
001200*                 B. MBMC                                       *
001300*                 C. MBQC                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMC01 (MERCH CHAIN  MAP 01)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMRC   (MERCH/RELATIONSHIP CONTROL FILE)   *
001800*                 B. MMRD   (MERCH/RELATIONSHIP DETAIL FILE)    *
001900*                 C. MMMM   (MERCH/MASTER FILE)                 *
002000*                 D. MMOC   (MASTER CONTROL FILE)               *
002100*                 E. MMNL   (NAME LOCATE FILE)                  *
002200*                 F. MMSC   (SYSTEM CNTL FILE)                  *
002300*                 G. MML1   (LOG/JOURNAL FILE)                  *
002400*                                                               *
002500*****************************************************************
002600*
002700 ENVIRONMENT DIVISION.
002800 DATA DIVISION.
002900 WORKING-STORAGE SECTION.
003000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003100*         I/O REQUEST BLOCK WORK AREAS
003200     COPY MBIOWS.
003300/         I/O REQUEST BLOCK
003400     COPY MBIORO.
003500/         LOG/JOURNAL WORK AREAS
003600     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003700/         MERCH/RELATIONSHIP CONTROL INIT RECORD LAYOUT
003800     COPY MMRCIR.
003900/         DATE WORK AREAS
004000     COPY SS01WS.
004100/         ONLINE WORK AREAS
004200     COPY SS08WS.
004300/
004400     COPY SS00WS.
004500/
004600     COPY SMFTWS.
004700/
004800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004900/
005000     COPY MB61LK.
005100/
005200*
005300 01  WS-WORK-AREAS.
005400     03  WS-INDEX            PIC S9(04)      BINARY.
005500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005600         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005700         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005800     03  TS-QUEUE-NAME.
005900         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006000         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006100 01  WS-DATE-WORK.
006200     03  WS-DW-MM            PIC  9(02).
006300     03  WS-DW-DD            PIC  9(02).
006400 01  WS-BREAK-WW.
006500     03  WS-WORK-WK          PIC  X(01)      OCCURS 7 TIMES
006600                                             INDEXED BY X-WW.
006700 01  WS-WEEK-SWITCHES.
006800     03  WS-MISC-SW          PIC  X(01)      VALUE 'N'.
006900     03  WS-GOOD-WORK-WEEK   PIC  X(01)      VALUE 'N'.
007000         88  WS-VALID-WEEK                   VALUE 'Y'.
007100         88  WS-INVALID-WEEK                 VALUE 'N'.
007200 01  WS-SEQ-NBR              PIC S9(04)      BINARY
007300                                             VALUE +1.
007400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007500/
007600 LINKAGE SECTION.
007700 01  DFHCOMMAREA.
007800     COPY MB60WS.
007900/         ORG SCREEN 01 MAP DSECT
008000     COPY MBMC01.
008100/         ORG SCREEN 01 MAP REDEFINITION
008200     COPY MBMC01R.
008300/         MERCH/RELATIONSHIP CONTROL FILE RECORD LAYOUT
008400     COPY MMRCRL.
008500/         MERCH/RELATIONSHIP DETAIL FILE RECORD LAYOUT
008600     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
008700/         MERCH/MASTER FILE RECORD LAYOUT
008800     COPY MMMMRL.
008900/         CONTROL FILE RECORD LAYOUT
009000     COPY MMOCRL.
009100/         SYSTEM CONTROL FILE RECORD LAYOUT
009200     COPY MMSCRL.
009300/         NAME LOCATE  RECORD LAYOUT
009400     COPY MMNLRL.
009500/         LOG/JOURNAL FILE RECORD LAYOUT
009600     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
009700/         USER INPUT TEMP STORAGE RECORD
009800     COPY MBUITS.
009900 PROCEDURE DIVISION.
010000 0000-HOUSEKEEPING SECTION.
010100 0100-INIT.
010200*
010300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010500                                 THRU MB70PD-OLH-EXIT.
010600*
010700     IF  MBCA-MBUI-UI-YES
010800         NEXT SENTENCE
010900     ELSE
011000         SET MBCA-MBUI-UI-NO     TO TRUE.
011100*
011200     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
011300*
011400     IF  MBCA-RECEIVE-SCREEN
011500         GO TO 2000-RECEIVE-SCREEN.
011600/
011700 1000-SEND-SCREEN SECTION.
011800*
011900****************************************************************
012000*    THIS SECTION BUILDS AND SENDS THE 01 SCREEN.              *
012100****************************************************************
012200*
012300****************************************************************
012400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
012500****************************************************************
012600*
012700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012800     PERFORM MB60PD-GETMAIN-FOR-MAP
012900                                 THRU MB60PD-GFM-EXIT.
013000*
013100     MOVE MBCA-MERCHANT-ORG      TO MC01-ORG.
013200     MOVE MBCA-CHAIN             TO MC01-CHAIN.
013300     MOVE 01                     TO MBCA-SCREEN-NBR.
013400*
013500****************************************************************
013600*    INITIALIZE THE STANDARD MAP LINES                         *
013700****************************************************************
013800*
013900     PERFORM MB60PD-INIT-STD-MAP-LINES
014000                                 THRU MB60PD-ISML-EXIT.
014100*
014200****************************************************************
014300*    READ THE MERCH RELATIONSHIP CONTROL FILE RECORD          *
014400****************************************************************
014500*
014600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
014700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
014800     MOVE MBCA-CHAIN             TO MBIOWS-MMRC-CHAIN.
014900     SET MBIORO-READ-RANDOM      TO TRUE.
015000     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
015100/
015200 1100-BUILD-SCREEN.
015300*
015400****************************************************************
015500*    BUILD THE MAP FROM THE MERCH RELATIONSHIP CONTROL RECORD  *
015600****************************************************************
015700*
015800     MOVE MMRC-STMT-OPTION       TO MC01-STMT-OPTION.
015900     MOVE MMRC-STMT-FLAG         TO MC01-STMT-FLAG.
016000     MOVE MMRC-EURO-REPORTING-FLAG
016100                                 TO MC01-EURO-RPT-FLAG.
016200     MOVE MMRC-STMT-FREQ-1       TO MC01-STMT-FREQ1.
016300     MOVE MMRC-STMT-FREQ-2       TO MC01-STMT-FREQ2.
016400*
016500     PERFORM
016600         VARYING X-MC01-SMF-INDEX FROM 1 BY 1
016700         UNTIL X-MC01-SMF-INDEX IS GREATER THAN 5
016800         SET X-MMRC-STMT-MSG     TO X-MC01-SMF-INDEX
016900         MOVE MMRC-STMT-MSG-FLAG (X-MMRC-STMT-MSG)
017000                                 TO MC01-STMT-MSG-FLAG
017100                                    (X-MC01-SMF-INDEX)
017200     END-PERFORM.
017300*
017400     PERFORM
017500         VARYING X-MC01-NA FROM 1 BY 1
017600         UNTIL X-MC01-NA IS GREATER THAN 5
017700         SET X-MMRC-NA           TO X-MC01-NA
017800         MOVE MMRC-NA-LINE (X-MMRC-NA)
017900                                 TO MC01-NA-LINE (X-MC01-NA)
018000     END-PERFORM.
018100*
018200     MOVE MMRC-STATE-CODE        TO MC01-STATE.
018300     MOVE MMRC-PHONE             TO MC01-PHONE.
018400     MOVE MMRC-POSTAL-CODE       TO MC01-POSTAL-CODE.
018500     MOVE MMRC-FAX               TO MC01-FAX.
018600/
018700****************************************************************
018800*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
018900****************************************************************
019000*
019100     MOVE SS08WS-CURSOR          TO MC01-STMT-FREQ1-L.
019200*
019300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
019400         MOVE SS08WS-CURSOR      TO MC01-ALT-TRANID-L
019500         PERFORM
019600             VARYING X-MC01-NA FROM 1 BY 1
019700             UNTIL X-MC01-NA IS GREATER THAN 5
019800             MOVE DFHBMASB       TO MC01-NA-LINE-A (X-MC01-NA)
019900             MOVE DFHBMDAS       TO MC01-NA-LINE-LP-A (X-MC01-NA)
020000                                    MC01-NA-LINE-RP-A (X-MC01-NA)
020100         END-PERFORM
020200         PERFORM
020300             VARYING X-MC01-SMF-INDEX FROM 1 BY 1
020400             UNTIL X-MC01-SMF-INDEX IS GREATER THAN 5
020500             MOVE DFHBMASB       TO MC01-STMT-MSG-FLAG-A
020600                                    (X-MC01-SMF-INDEX)
020700             MOVE DFHBMDAS       TO MC01-STMT-MSG-FLAG-LP-A
020800                                    (X-MC01-SMF-INDEX)
020900                                    MC01-STMT-MSG-FLAG-RP-A
021000                                    (X-MC01-SMF-INDEX)
021100         END-PERFORM
021200         MOVE DFHBMASB           TO MC01-STMT-OPTION-A
021300                                    MC01-EURO-RPT-FLAG-A
021400                                    MC01-STMT-FLAG-A
021500                                    MC01-STMT-FREQ1-A
021600                                    MC01-STMT-FREQ2-A
021700                                    MC01-STATE-A
021800                                    MC01-PHONE-A
021900                                    MC01-POSTAL-CODE-A
022000                                    MC01-FAX-A
022100         MOVE DFHBMDAS           TO MC01-STMT-OPTION-LP-A
022200                                    MC01-STMT-OPTION-RP-A
022300                                    MC01-EURO-RPT-FLAG-LP-A
022400                                    MC01-EURO-RPT-FLAG-RP-A
022500                                    MC01-STMT-FLAG-LP-A
022600                                    MC01-STMT-FLAG-RP-A
022700                                    MC01-STMT-FREQ1-LP-A
022800                                    MC01-STMT-FREQ1-RP-A
022900                                    MC01-STMT-FREQ2-LP-A
023000                                    MC01-STMT-FREQ2-RP-A
023100                                    MC01-STATE-LP-A
023200                                    MC01-STATE-RP-A
023300                                    MC01-PHONE-LP-A
023400                                    MC01-PHONE-RP-A
023500                                    MC01-POSTAL-CODE-LP-A
023600                                    MC01-POSTAL-CODE-RP-A
023700                                    MC01-FAX-LP-A
023800                                    MC01-FAX-RP-A.
023900*
024000     IF  MBCA-PTI-FUNCTION-IS-ADD
024100         MOVE DFHBMDAS           TO MC01-LAST-MAINT-LIT-A
024200                                    MC01-LAST-MAINT-DATE-A
024300                                    MC01-LAST-MAINT-OPER-LIT-A
024400                                    MC01-LAST-MAINT-OPER-A
024500     ELSE
024600         MOVE MMRC-LAST-MAINT-DATE
024700                                 TO SS01WS-JULIAN
024800         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
024900                                 THRU SS26PD-NED-EXIT
025000         MOVE SS01WS-XX-XX-YYYY  TO MC01-LAST-MAINT-DATE
025100         MOVE MMRC-LAST-MAINT-OPER
025200                                 TO MC01-LAST-MAINT-OPER
025300         MOVE DFHBMASB           TO MC01-LAST-MAINT-DATE-A
025400                                    MC01-LAST-MAINT-OPER-A.
025500*
025600****************************************************************
025700*    SEND THE MAP                                              *
025800****************************************************************
025900*
026000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
026100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
026200                                 THRU MB60PD-SMWE-EXIT.
026300*
026400****************************************************************
026500*    RETURN TO CICS                                            *
026600****************************************************************
026700*
026800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
026900     PERFORM MB70PD-RETURN-TRANS-ID
027000                                 THRU MB70PD-RTI-EXIT.
027100/
027200 2000-RECEIVE-SCREEN SECTION.
027300*
027400******************************************
027500*    THIS SECTION RECEIVES THE SCREEN    *
027600******************************************
027700*
027800     IF  MBCA-MBUI-UI-YES
027900*
028000****************************************************************
028100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
028200****************************************************************
028300*
028400         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
028500         EXEC CICS GETMAIN
028600                   FLENGTH (LENGTH  OF MBUITS-RECORD)
028700
028800                   SET     (ADDRESS OF MBUITS-RECORD)
028900
029000              END-EXEC
029100*
029200***********************************************
029300*    READ THE TEMP STORAGE RECORD             *
029400***********************************************
029500*
029600         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
029700*
029800         EXEC CICS READQ TS
029900                   QUEUE   (TS-QUEUE-NAME)
030000                   INTO    (MBUITS-RECORD)
030100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
030200                   ITEM    (1)
030300              END-EXEC
030400*
030500***********************************************
030600*    DELETE THE TEMP STORAGE RECORD           *
030700***********************************************
030800*
030900         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
031000*
031100         EXEC CICS IGNORE CONDITION
031200                   QIDERR
031300              END-EXEC
031400*
031500         EXEC CICS DELETEQ TS
031600                   QUEUE  (TS-QUEUE-NAME)
031700              END-EXEC
031800         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
031900         PERFORM MB60PD-GETMAIN-FOR-MAP
032000                                 THRU MB60PD-GFM-EXIT
032100         MOVE MBUITS-VAR-DATA    TO MBMC01I
032200     ELSE
032300         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
032400         PERFORM MB60PD-RECEIVE-MAP
032500                                 THRU MB60PD-RM-EXIT.
032600*
032700****************************************************************
032800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
032900****************************************************************
033000*
033100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
033200     PERFORM MB60PD-NEW-TRANS-ROUTINE
033300                                 THRU MB60PD-NTR-EXIT.
033400*
033500****************************************************************
033600*    BYPASS EDITS ON INQUIRY                                   *
033700****************************************************************
033800*
033900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
034000         GO TO 2600-SETUP-COMMAREA.
034100*
034200****************************************************************
034300*    READ THE MERCHANT RELATIONSHIP CONTROL FILE RECORD NUMBER *
034400****************************************************************
034500*
034600*
034700     IF  MBCA-PTI-FUNCTION-IS-ADD
034800     AND MBCA-MBUI-UI-YES
034900     AND MBCA-MBUI-UI-UPDATE-NO
035000         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
035100         SET MBIORO-GETMAIN      TO TRUE
035200         PERFORM MMRCAO-ACCESS   THRU MMRCAO-ACCESS-EXIT
035300         MOVE MMRCIR-RECORD      TO MMRC-RECORD
035400     ELSE
035500         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
035600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
035700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMRC-ORG
035800                                    MC01-ORG
035900         MOVE MBCA-CHAIN         TO MBIOWS-MMRC-CHAIN
036000                                    MC01-CHAIN
036100         SET MBIORO-READ-RANDOM  TO TRUE
036200         PERFORM MMRCAO-ACCESS   THRU MMRCAO-ACCESS-EXIT
036300         IF  SS08WS-RC-FC-NOTFND
036400         AND MBCA-MBUI-UI-YES
036500             MOVE 'MBUI'         TO MBCA-TRANS-ID
036600                                    MBCA-PREV-TRANS-ID
036700             MOVE 01             TO MBCA-SCREEN-NBR
036800             MOVE 'CHN'          TO MC01-FILLER
036900             SET MBCA-MBUI-ERROR-YES
037000                                 TO TRUE
037100             GO TO 2600-SETUP-COMMAREA.
037200*
037300     IF (MBCA-PTI-FUNCTION-IS-MAINT
037400     AND MBCA-MBUI-UI-YES
037500     AND (MMMM-REC-PURGED
037600       OR MMMM-REC-INCOMPLETE))
037700     OR
037800        (MBCA-PTI-FUNCTION-IS-ADD
037900     AND MBCA-MBUI-UI-YES
038000     AND MMMM-REC-PURGED)
038100             MOVE 'MBUI'         TO MBCA-TRANS-ID
038200                                    MBCA-PREV-TRANS-ID
038300             MOVE 01             TO MBCA-SCREEN-NBR
038400             MOVE 'CHN'          TO MC01-FILLER
038500             SET MBCA-MBUI-ERROR-YES
038600                                 TO TRUE
038700             GO TO 2600-SETUP-COMMAREA.
038800*
038900****************************************************************
039000*    READ THE SYSTEM CONTROL FILE                              *
039100****************************************************************
039200*
039300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
039400     MOVE ZEROS                  TO MBIOWS-MMSC-ORG.
039500     SET MBIORO-READ-RANDOM      TO TRUE.
039600     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
039700*
039800****************************************************************
039900*    EDIT FIELDS                                               *
040000****************************************************************
040100*
040200*             ***** EURO REPORTING FLAG *****                  *
040300*
040400     IF  MC01-EURO-RPT-FLAG-L IS LESS THAN 1
040500         MOVE DFHBMASK           TO MC01-EURO-RPT-FLAG-A
040600         MOVE DFHBMDAS           TO MC01-EURO-RPT-FLAG-LP-A
040700                                    MC01-EURO-RPT-FLAG-RP-A
040800         MOVE MMRC-EURO-REPORTING-FLAG
040900                                 TO MC01-EURO-RPT-FLAG
041000     ELSE
041100         IF  MC01-EURO-RPT-FLAG-VALID
041200             MOVE DFHBMASF       TO MC01-EURO-RPT-FLAG-A
041300             MOVE DFHBMDAS       TO MC01-EURO-RPT-FLAG-LP-A
041400                                    MC01-EURO-RPT-FLAG-RP-A
041500             SET WS-UPDATE-SW-YES
041600                                 TO TRUE
041700         ELSE
041800             MOVE DFHBMUBF       TO MC01-EURO-RPT-FLAG-A
041900             MOVE DFHBMASB       TO MC01-EURO-RPT-FLAG-LP-A
042000                                    MC01-EURO-RPT-FLAG-RP-A
042100             MOVE SS08WS-CURSOR  TO MC01-EURO-RPT-FLAG-L
042200             SET SS08WS-ERROR-SW-YES TO TRUE.
042300*
042400*             ***** STATEMENT OPTION *****                     *
042500*
042600*
042700     IF  MC01-STMT-OPTION-L IS LESS THAN 1
042800         MOVE DFHBMASK           TO MC01-STMT-OPTION-A
042900         MOVE DFHBMDAS           TO MC01-STMT-OPTION-LP-A
043000                                    MC01-STMT-OPTION-RP-A
043100         MOVE MMRC-STMT-OPTION
043200                                 TO MC01-STMT-OPTION
043300     ELSE
043400         IF  MC01-STMT-OPTION-VALID
043500             MOVE DFHBMASF       TO MC01-STMT-OPTION-A
043600             MOVE DFHBMDAS       TO MC01-STMT-OPTION-LP-A
043700                                    MC01-STMT-OPTION-RP-A
043800             SET WS-UPDATE-SW-YES
043900                                 TO TRUE
044000         ELSE
044100             MOVE DFHBMUBF       TO MC01-STMT-OPTION-A
044200             MOVE DFHBMASB       TO MC01-STMT-OPTION-LP-A
044300                                    MC01-STMT-OPTION-RP-A
044400             MOVE SS08WS-CURSOR  TO MC01-STMT-OPTION-L
044500             SET SS08WS-ERROR-SW-YES TO TRUE.
044600*
044700*             ***** STATEMENT FLAG *****                       *
044800*
044900*
045000     IF  MC01-STMT-FLAG-L IS LESS THAN 1
045100         MOVE DFHBMASK           TO MC01-STMT-FLAG-A
045200         MOVE DFHBMDAS           TO MC01-STMT-FLAG-LP-A
045300                                    MC01-STMT-FLAG-RP-A
045400         MOVE MMRC-STMT-FLAG
045500                                 TO MC01-STMT-FLAG
045600     ELSE
045700         IF  MC01-STMT-FLAG-VALID
045800             MOVE DFHBMASF       TO MC01-STMT-FLAG-A
045900             MOVE DFHBMDAS       TO MC01-STMT-FLAG-LP-A
046000                                    MC01-STMT-FLAG-RP-A
046100             SET WS-UPDATE-SW-YES
046200                                 TO TRUE
046300         ELSE
046400             MOVE DFHBMUBF       TO MC01-STMT-FLAG-A
046500             MOVE DFHBMASB       TO MC01-STMT-FLAG-LP-A
046600                                    MC01-STMT-FLAG-RP-A
046700             MOVE SS08WS-CURSOR  TO MC01-STMT-FLAG-L
046800             SET SS08WS-ERROR-SW-YES TO TRUE.
046900*
047000*             ***** STATEMENT MSG FLAGS *****                  *
047100*
047200*
047300     PERFORM
047400         VARYING X-MC01-SMF-INDEX FROM 1 BY 1
047500         UNTIL X-MC01-SMF-INDEX IS GREATER THAN 5
047600         SET X-MMRC-STMT-MSG     TO X-MC01-SMF-INDEX
047700         IF  MC01-STMT-MSG-FLAG-L (X-MC01-SMF-INDEX)
047800                                    IS LESS THAN 1
047900             MOVE DFHBMASK       TO MC01-STMT-MSG-FLAG-A
048000                                    (X-MC01-SMF-INDEX)
048100             MOVE DFHBMDAS       TO MC01-STMT-MSG-FLAG-LP-A
048200                                    (X-MC01-SMF-INDEX)
048300                                    MC01-STMT-MSG-FLAG-RP-A
048400                                    (X-MC01-SMF-INDEX)
048500             MOVE MMRC-STMT-MSG-FLAG (X-MMRC-STMT-MSG)
048600                                 TO MC01-STMT-MSG-FLAG
048700                                    (X-MC01-SMF-INDEX)
048800         ELSE
048900             IF  MC01-STMT-MSG-FLAG-VALID (X-MC01-SMF-INDEX)
049000                 MOVE DFHBMASF   TO MC01-STMT-MSG-FLAG-A
049100                                    (X-MC01-SMF-INDEX)
049200                 MOVE DFHBMDAS   TO MC01-STMT-MSG-FLAG-LP-A
049300                                    (X-MC01-SMF-INDEX)
049400                                    MC01-STMT-MSG-FLAG-RP-A
049500                                    (X-MC01-SMF-INDEX)
049600                 SET WS-UPDATE-SW-YES
049700                                 TO TRUE
049800             ELSE
049900                 MOVE DFHBMUBF   TO MC01-STMT-MSG-FLAG-A
050000                                    (X-MC01-SMF-INDEX)
050100                 MOVE DFHBMASB   TO MC01-STMT-MSG-FLAG-LP-A
050200                                    (X-MC01-SMF-INDEX)
050300                                    MC01-STMT-MSG-FLAG-RP-A
050400                                    (X-MC01-SMF-INDEX)
050500                 MOVE SS08WS-CURSOR TO MC01-STMT-MSG-FLAG-L
050600                                    (X-MC01-SMF-INDEX)
050700                 SET SS08WS-ERROR-SW-YES
050800                                 TO TRUE
050900             END-IF
051000         END-IF
051100     END-PERFORM.
051200*
051300*             ***** STATEMENT FREQ 1 *****                     *
051400*
051500*
051600     IF  MC01-STMT-FREQ1-L IS LESS THAN 1
051700         MOVE DFHBMASK           TO MC01-STMT-FREQ1-A
051800         MOVE DFHBMDAS           TO MC01-STMT-FREQ1-LP-A
051900                                    MC01-STMT-FREQ1-RP-A
052000         MOVE MMRC-STMT-FREQ-1
052100                                 TO MC01-STMT-FREQ1
052200     ELSE
052300         IF  MC01-STMT-FREQ1 IS NUMERIC
052400         AND MC01-STMT-FREQ1-VALID
052500             MOVE DFHBMASF       TO MC01-STMT-FREQ1-A
052600             MOVE DFHBMDAS       TO MC01-STMT-FREQ1-LP-A
052700                                    MC01-STMT-FREQ1-RP-A
052800             SET WS-UPDATE-SW-YES
052900                                 TO TRUE
053000         ELSE
053100             MOVE DFHBMNBF       TO MC01-STMT-FREQ1-A
053200             MOVE DFHBMASB       TO MC01-STMT-FREQ1-LP-A
053300                                    MC01-STMT-FREQ1-RP-A
053400             MOVE SS08WS-CURSOR  TO MC01-STMT-FREQ1-L
053500             SET SS08WS-ERROR-SW-YES TO TRUE.
053600*
053700*
053800*             ***** STATEMENT FREQ 2 *****                     *
053900*
054000*
054100     IF  MC01-STMT-FREQ2-L IS LESS THAN 1
054200         MOVE DFHBMASK           TO MC01-STMT-FREQ2-A
054300         MOVE DFHBMDAS           TO MC01-STMT-FREQ2-LP-A
054400                                    MC01-STMT-FREQ2-RP-A
054500         MOVE MMRC-STMT-FREQ-2
054600                                 TO MC01-STMT-FREQ2
054700     ELSE
054800         IF  MC01-STMT-FREQ2 IS NUMERIC
054900         AND MC01-STMT-FREQ2-VALID
055000             MOVE DFHBMASF       TO MC01-STMT-FREQ2-A
055100             MOVE DFHBMDAS       TO MC01-STMT-FREQ2-LP-A
055200                                    MC01-STMT-FREQ2-RP-A
055300             SET WS-UPDATE-SW-YES
055400                                 TO TRUE
055500         ELSE
055600             MOVE DFHBMNBF       TO MC01-STMT-FREQ2-A
055700             MOVE DFHBMASB       TO MC01-STMT-FREQ2-LP-A
055800                                    MC01-STMT-FREQ2-RP-A
055900             MOVE SS08WS-CURSOR  TO MC01-STMT-FREQ2-L
056000             SET SS08WS-ERROR-SW-YES TO TRUE.
056100*
056200*            ***** NAME ADDRESS LINES *****                    *
056300*
056400     PERFORM
056500         VARYING X-MC01-NA FROM 1 BY 1
056600         UNTIL X-MC01-NA IS GREATER THAN 5
056700         SET X-MMRC-NA           TO X-MC01-NA
056800         EVALUATE TRUE
056900         WHEN  (MC01-NA-LINE-L (X-MC01-NA) IS LESS THAN 1
057000          AND   MBCA-PTI-FUNCTION-IS-ADD
057100          AND   X-MC01-NA IS EQUAL TO 1
057200          AND   MMRC-NA-LINE (X-MMRC-NA) IS EQUAL TO SPACES)
057300             MOVE DFHBMUBF       TO MC01-NA-LINE-A (X-MC01-NA)
057400             MOVE DFHBMASB       TO MC01-NA-LINE-LP-A (X-MC01-NA)
057500                                    MC01-NA-LINE-RP-A (X-MC01-NA)
057600             MOVE SS08WS-CURSOR  TO MC01-NA-LINE-L (X-MC01-NA)
057700             SET SS08WS-ERROR-SW-YES TO TRUE
057800         WHEN  MC01-NA-LINE-L (X-MC01-NA) IS LESS THAN 1
057900             MOVE DFHBMASK       TO MC01-NA-LINE-A (X-MC01-NA)
058000             MOVE DFHBMDAS       TO MC01-NA-LINE-LP-A (X-MC01-NA)
058100                                    MC01-NA-LINE-RP-A (X-MC01-NA)
058200             MOVE MMRC-NA-LINE (X-MMRC-NA)
058300                                 TO MC01-NA-LINE (X-MC01-NA)
058400         WHEN  (MC01-NA-LINE-L (X-MC01-NA) IS GREATER THAN 1
058500          AND   X-MC01-NA IS EQUAL TO 1
058600          AND   MC01-NA-LINE (X-MC01-NA) IS EQUAL TO SPACES)
058700             MOVE DFHBMUBF       TO MC01-NA-LINE-A (X-MC01-NA)
058800             MOVE DFHBMASB       TO MC01-NA-LINE-LP-A (X-MC01-NA)
058900                                    MC01-NA-LINE-RP-A (X-MC01-NA)
059000             MOVE SS08WS-CURSOR  TO MC01-NA-LINE-L (X-MC01-NA)
059100             SET SS08WS-ERROR-SW-YES TO TRUE
059200         WHEN OTHER
059300             MOVE DFHBMASF       TO MC01-NA-LINE-A (X-MC01-NA)
059400             MOVE DFHBMDAS       TO MC01-NA-LINE-LP-A (X-MC01-NA)
059500                                    MC01-NA-LINE-RP-A (X-MC01-NA)
059600             SET WS-UPDATE-SW-YES
059700                                 TO TRUE
059800         END-EVALUATE
059900     END-PERFORM.
060000*
060100*            ***** STATE/PROVINCE *****                        *
060200*
060300     IF  MC01-STATE-L IS LESS THAN 1
060400         MOVE DFHBMASK           TO MC01-STATE-A
060500         MOVE DFHBMDAS           TO MC01-STATE-LP-A
060600                                    MC01-STATE-RP-A
060700         MOVE MMRC-STATE-CODE    TO MC01-STATE
060800     ELSE
060900         MOVE DFHBMASF           TO MC01-STATE-A
061000         MOVE DFHBMDAS           TO MC01-STATE-LP-A
061100                                    MC01-STATE-RP-A
061200         SET WS-UPDATE-SW-YES    TO TRUE.
061300*
061400*            ***** PHONE NUMBER *****                          *
061500*
061600     IF  MC01-PHONE-L IS LESS THAN 1
061700         MOVE DFHBMASK           TO MC01-PHONE-A
061800         MOVE DFHBMDAS           TO MC01-PHONE-LP-A
061900                                    MC01-PHONE-RP-A
062000         MOVE MMRC-PHONE         TO MC01-PHONE
062100     ELSE
062200         MOVE DFHBMASF           TO MC01-PHONE-A
062300         MOVE DFHBMDAS           TO MC01-PHONE-LP-A
062400                                    MC01-PHONE-RP-A
062500         SET WS-UPDATE-SW-YES    TO TRUE.
062600*
062700*            ***** FAX PHONE NUMBER *****                      *
062800*
062900     IF  MC01-FAX-L IS LESS THAN 1
063000         MOVE DFHBMASK           TO MC01-FAX-A
063100         MOVE DFHBMDAS           TO MC01-FAX-LP-A
063200                                    MC01-FAX-RP-A
063300         MOVE MMRC-FAX           TO MC01-FAX
063400     ELSE
063500         MOVE DFHBMASF           TO MC01-FAX-A
063600         MOVE DFHBMDAS           TO MC01-FAX-LP-A
063700                                    MC01-FAX-RP-A
063800         SET WS-UPDATE-SW-YES    TO TRUE.
063900*
064000*            ***** POSTAL CODE *****                           *
064100*
064200     IF  MBCA-PTI-FUNCTION-IS-ADD
064300     AND MC01-POSTAL-CODE-L IS LESS THAN 1
064400     AND MMRC-POSTAL-CODE IS EQUAL TO SPACES
064500         MOVE DFHBMUBF           TO MC01-POSTAL-CODE-A
064600         MOVE DFHBMASB           TO MC01-POSTAL-CODE-LP-A
064700                                    MC01-POSTAL-CODE-RP-A
064800         MOVE SS08WS-CURSOR      TO MC01-POSTAL-CODE-L
064900         SET SS08WS-ERROR-SW-YES TO TRUE
065000     ELSE
065100         IF  MC01-POSTAL-CODE-L IS LESS THAN 1
065200             MOVE DFHBMASK       TO MC01-POSTAL-CODE-A
065300             MOVE DFHBMDAS       TO MC01-POSTAL-CODE-LP-A
065400                                    MC01-POSTAL-CODE-RP-A
065500             MOVE MMRC-POSTAL-CODE
065600                                 TO MC01-POSTAL-CODE
065700         ELSE
065800             IF  MC01-POSTAL-CODE IS EQUAL TO SPACES
065900                 MOVE DFHBMUBF   TO MC01-POSTAL-CODE-A
066000                 MOVE DFHBMASB   TO MC01-POSTAL-CODE-LP-A
066100                                    MC01-POSTAL-CODE-RP-A
066200                 MOVE SS08WS-CURSOR TO MC01-POSTAL-CODE-L
066300                 SET SS08WS-ERROR-SW-YES
066400                                 TO TRUE
066500             ELSE
066600                 MOVE DFHBMASF   TO MC01-POSTAL-CODE-A
066700                 MOVE DFHBMDAS   TO MC01-POSTAL-CODE-LP-A
066800                                    MC01-POSTAL-CODE-RP-A
066900                 SET WS-UPDATE-SW-YES
067000                                 TO TRUE.
067100*
067200****************************************************************
067300*     ***** CROSS EDITS FOR OPTION AND FREQ 1 AND 2       ******
067400****************************************************************
067500*
067600     IF  MC01-STMT-OPTION-ON
067700     AND MC01-STMT-FREQ1-VALID-X
067800     AND MC01-STMT-FREQ2-VALID-X
067900         NEXT SENTENCE
068000     ELSE
068100         IF  MC01-STMT-OPTION-OFF
068200         AND MC01-STMT-FREQ1-ZERO
068300         AND MC01-STMT-FREQ2-ZERO
068400             NEXT SENTENCE
068500         ELSE
068600             MOVE DFHBMUBF       TO MC01-STMT-OPTION-A
068700             MOVE DFHBMASB       TO MC01-STMT-OPTION-LP-A
068800                                    MC01-STMT-OPTION-RP-A
068900             MOVE DFHBMNBF       TO MC01-STMT-FREQ1-A
069000                                    MC01-STMT-FREQ2-A
069100             MOVE DFHBMASB       TO MC01-STMT-FREQ1-LP-A
069200                                    MC01-STMT-FREQ1-RP-A
069300                                    MC01-STMT-FREQ2-LP-A
069400                                    MC01-STMT-FREQ2-RP-A
069500             MOVE SS08WS-CURSOR  TO MC01-STMT-FREQ1-L
069600             SET SS08WS-ERROR-SW-YES TO TRUE.
069700*
069800     IF  MC01-STMT-OPTION-ON
069900     AND (MC01-STMT-FREQ1-L IS GREATER THAN ZEROS
070000     OR  MC01-STMT-FREQ2-L IS GREATER THAN ZEROS)
070100         SET X-MMRD-MEMBER       TO 1
070200         MOVE +1                 TO WS-SEQ-NBR
070300         PERFORM 9500-READ-MMRD  THRU 9599-RMRD-EXIT
070400         IF  SS08WS-RC-FC-NOTFND
070500             NEXT SENTENCE
070600         ELSE
070700             PERFORM 9600-XEDIT-FREQS
070800                                 THRU 9699-XF-EXIT.
070900*
071000****************************************************************
071100*     ***** CROSS EDITS FOR MMSC TO CHECK IF STATS ALLOWED *****
071200****************************************************************
071300*
071400     IF  MMSC-MER-GROUP-STAT-NO
071500         IF  MC01-STMT-FREQ1   IS GREATER THAN ZEROS
071600             MOVE DFHBMNBF       TO MC01-STMT-FREQ1-A
071700             MOVE DFHBMASB       TO MC01-STMT-FREQ1-LP-A
071800                                    MC01-STMT-FREQ1-RP-A
071900             MOVE SS08WS-CURSOR  TO MC01-STMT-FREQ1-L
072000             SET SS08WS-ERROR-SW-YES TO TRUE
072100         END-IF
072200         IF  MC01-STMT-FREQ2   IS GREATER THAN ZEROS
072300             MOVE DFHBMNBF       TO MC01-STMT-FREQ2-A
072400             MOVE DFHBMASB       TO MC01-STMT-FREQ2-LP-A
072500                                    MC01-STMT-FREQ2-RP-A
072600             MOVE SS08WS-CURSOR  TO MC01-STMT-FREQ2-L
072700             SET SS08WS-ERROR-SW-YES TO TRUE
072800         END-IF
072900         IF  MC01-STMT-OPTION   IS NOT EQUAL TO 'N'
073000             MOVE DFHBMUBF       TO MC01-STMT-OPTION-A
073100             MOVE DFHBMASB       TO MC01-STMT-OPTION-LP-A
073200                                    MC01-STMT-OPTION-RP-A
073300             MOVE SS08WS-CURSOR  TO MC01-STMT-OPTION-L
073400             SET SS08WS-ERROR-SW-YES TO TRUE
073500         END-IF.
073600*
073700 2300-CONTINUE.
073800*
073900     IF  SS08WS-ERROR-SW-NO
074000         GO TO 2400-UPDATE-FILE.
074100*
074200     IF  MBCA-MBUI-UI-YES
074300         MOVE 'MBUI'             TO MBCA-TRANS-ID
074400                                    MBCA-PREV-TRANS-ID
074500         MOVE 01                 TO MBCA-SCREEN-NBR
074600         SET MBCA-MBUI-ERROR-YES TO TRUE
074700         GO TO 2600-SETUP-COMMAREA.
074800*
074900****************************************************************
075000*    SEND THE MAP                                              *
075100****************************************************************
075200*
075300     PERFORM MB60PD-INIT-STD-MAP-LINES
075400                                 THRU MB60PD-ISML-EXIT.
075500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
075600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
075700                                 THRU MB60PD-SMDO-EXIT.
075800*
075900****************************************************************
076000*    RETURN TO CICS                                            *
076100****************************************************************
076200*
076300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
076400     MOVE 01                     TO MBCA-SCREEN-NBR.
076500     PERFORM MB70PD-RETURN-TRANS-ID
076600                                 THRU MB70PD-RTI-EXIT.
076700/
076800 2400-UPDATE-FILE.
076900*
077000     IF  MBCA-MBUI-UI-YES
077100         SET MBCA-MBUI-ERROR-NO  TO TRUE.
077200*
077300     IF  MBCA-MBUI-UI-YES
077400     AND MBCA-MBUI-UI-UPDATE-NO
077500         GO TO 2600-SETUP-COMMAREA.
077600*
077700     IF  WS-UPDATE-SW-NO
077800         GO TO 2600-SETUP-COMMAREA.
077900*
078000****************************************************************
078100*    GETMAIN FOR LOG/JOURNAL RECORD                            *
078200****************************************************************
078300*
078400     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
078500     SET MBIORO-GETMAIN          TO TRUE.
078600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
078700*
078800*****************************************************************
078900*    READ THE MERCH RELATIONSHIP CONTROL FILE FOR UPDATE        *
079000*****************************************************************
079100*
079200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
079300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
079400     MOVE MBCA-CHAIN             TO MBIOWS-MMRC-CHAIN.
079500     SET MBIORO-READ-RANDOM-UPDATE
079600                                 TO TRUE.
079700     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
079800*
079900     MOVE ZERO                   TO MML1-FIELD-OCCURRENCE-2.
080000*
080100*            ***** EURO REPORTING FLAG *****                   *
080200*
080300     IF  MC01-EURO-RPT-FLAG-L IS GREATER THAN ZEROES
080400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
080500         MOVE 0101               TO MML1-FIELD-CODE
080600         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
080700         MOVE MMRC-EURO-REPORTING-FLAG
080800                                 TO MML1-VL01-B-DATA-X
080900         MOVE MC01-EURO-RPT-FLAG TO MMRC-EURO-REPORTING-FLAG
081000                                    MML1-VL01-A-DATA-X
081100         PERFORM 9050-CREATE-MAINT-RECORD
081200                                 THRU 9099-CMR-EXIT.
081300*
081400*            ***** STATEMENT FLAG *****                        *
081500*
081600     IF  MC01-STMT-FLAG-L IS GREATER THAN ZEROES
081700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
081800         MOVE 0102               TO MML1-FIELD-CODE
081900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
082000         MOVE MMRC-STMT-FLAG     TO MML1-VL01-B-DATA-X
082100         MOVE MC01-STMT-FLAG     TO MMRC-STMT-FLAG
082200         MOVE MMRC-STMT-FLAG     TO MML1-VL01-A-DATA-X
082300         PERFORM 9050-CREATE-MAINT-RECORD
082400                                 THRU 9099-CMR-EXIT.
082500*
082600*            ***** STATEMENT MSG FLAG *****                    *
082700*
082800*
082900     PERFORM
083000         VARYING X-MC01-SMF-INDEX FROM 1 BY 1
083100         UNTIL X-MC01-SMF-INDEX IS GREATER THAN 5
083200         SET X-MMRC-STMT-MSG     TO X-MC01-SMF-INDEX
083300         IF  MC01-STMT-MSG-FLAG-L (X-MC01-SMF-INDEX)
083400                                 IS GREATER THAN ZEROES
083500         AND MC01-STMT-MSG-FLAG (X-MC01-SMF-INDEX)
083600                                 IS NOT EQUAL TO
083700                                    MMRC-STMT-MSG-FLAG
083800                                    (X-MMRC-STMT-MSG)
083900             SET MML1-FIELD-OCCURRENCE
084000                                 TO X-MC01-SMF-INDEX
084100             MOVE 0111           TO MML1-FIELD-CODE
084200             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
084300             MOVE MMRC-STMT-MSG-FLAG (X-MMRC-STMT-MSG)
084400                                 TO MML1-VL01-B-DATA-X
084500             MOVE MC01-STMT-MSG-FLAG (X-MC01-SMF-INDEX)
084600                                 TO MMRC-STMT-MSG-FLAG
084700                                    (X-MMRC-STMT-MSG)
084800             MOVE MMRC-STMT-MSG-FLAG (X-MMRC-STMT-MSG)
084900                                 TO MML1-VL01-A-DATA-X
085000             PERFORM 9050-CREATE-MAINT-RECORD
085100                                 THRU 9099-CMR-EXIT
085200         END-IF
085300     END-PERFORM.
085400*
085500*            ***** STATEMENT OPTION *****                      *
085600*
085700     IF  MC01-STMT-OPTION-L IS GREATER THAN ZEROES
085800     AND MC01-STMT-OPTION IS NOT EQUAL TO MMRC-STMT-OPTION
085900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
086000         MOVE 0103               TO MML1-FIELD-CODE
086100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
086200         MOVE MMRC-STMT-OPTION
086300                                 TO MML1-VL01-B-DATA-X
086400         MOVE MC01-STMT-OPTION   TO MMRC-STMT-OPTION
086500         MOVE MMRC-STMT-OPTION
086600                                 TO MML1-VL01-A-DATA-X
086700         PERFORM 9050-CREATE-MAINT-RECORD
086800                                 THRU 9099-CMR-EXIT.
086900*
087000*            ***** STATEMENT FREQ 1 *****                      *
087100*
087200     IF  MC01-STMT-FREQ1-L IS GREATER THAN ZEROES
087300     AND MC01-STMT-FREQ1 IS NOT EQUAL TO MMRC-STMT-FREQ-1
087400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
087500         MOVE 0104               TO MML1-FIELD-CODE
087600         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
087700         MOVE MMRC-STMT-FREQ-1
087800                                 TO MML1-VL02-B-DATA-9
087900         MOVE MC01-STMT-FREQ1    TO MMRC-STMT-FREQ-1
088000         MOVE MMRC-STMT-FREQ-1
088100                                 TO MML1-VL02-A-DATA-9
088200         PERFORM 9050-CREATE-MAINT-RECORD
088300                                 THRU 9099-CMR-EXIT.
088400*
088500*            ***** STATEMENT FREQ 2 *****                      *
088600*
088700     IF  MC01-STMT-FREQ2-L IS GREATER THAN ZEROES
088800     AND MC01-STMT-FREQ2 IS NOT EQUAL TO MMRC-STMT-FREQ-2
088900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
089000         MOVE 0105               TO MML1-FIELD-CODE
089100         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
089200         MOVE MMRC-STMT-FREQ-2
089300                                 TO MML1-VL02-B-DATA-9
089400         MOVE MC01-STMT-FREQ2    TO MMRC-STMT-FREQ-2
089500         MOVE MMRC-STMT-FREQ-2
089600                                 TO MML1-VL02-A-DATA-9
089700         PERFORM 9050-CREATE-MAINT-RECORD
089800                                 THRU 9099-CMR-EXIT.
089900*
090000*            ***** NAME ADDRESS *****                          *
090100*
090200     PERFORM
090300         VARYING X-MMRC-NA FROM 1 BY 1
090400         UNTIL X-MMRC-NA IS GREATER THAN 5
090500         SET X-MC01-NA           TO X-MMRC-NA
090600         SET WS-INDEX            TO X-MMRC-NA
090700         IF MC01-NA-LINE-L (X-MC01-NA) IS GREATER THAN ZEROES
090800             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE
090900             MOVE 0106           TO MML1-FIELD-CODE
091000             MOVE MML1WS-VL-40   TO MML1-VARIABLE-LENGTH
091100             MOVE MMRC-NA-LINE (X-MMRC-NA)
091200                                 TO MML1-VL40-B-DATA-X
091300             MOVE MC01-NA-LINE (X-MC01-NA)
091400                                 TO MMRC-NA-LINE
091500                                    (X-MMRC-NA)
091600             MOVE MMRC-NA-LINE (X-MMRC-NA)
091700                                 TO MML1-VL40-A-DATA-X
091800             PERFORM 9050-CREATE-MAINT-RECORD
091900                                     THRU 9099-CMR-EXIT
092000         END-IF
092100     END-PERFORM.
092200*
092300*            ***** STATE *****                                 *
092400*
092500     IF  MC01-STATE-L IS GREATER THAN ZEROES
092600         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
092700         MOVE 0107               TO MML1-FIELD-CODE
092800         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
092900         MOVE MMRC-STATE-CODE    TO MML1-VL03-B-DATA-X
093000         MOVE MC01-STATE         TO MMRC-STATE-CODE
093100         MOVE MMRC-STATE-CODE    TO MML1-VL03-A-DATA-X
093200         PERFORM 9050-CREATE-MAINT-RECORD
093300                                 THRU 9099-CMR-EXIT.
093400*
093500*            ***** PHONE NUMBER *****                          *
093600*
093700     IF  MC01-PHONE-L IS GREATER THAN ZEROES
093800         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
093900         MOVE 0108               TO MML1-FIELD-CODE
094000         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
094100         MOVE MMRC-PHONE         TO MML1-VL20-B-DATA-X
094200         MOVE MC01-PHONE         TO MMRC-PHONE
094300         MOVE MMRC-PHONE         TO MML1-VL20-A-DATA-X
094400         PERFORM 9050-CREATE-MAINT-RECORD
094500                                 THRU 9099-CMR-EXIT.
094600*
094700*            ***** POSTAL CODE *****                           *
094800*
094900     IF  MC01-POSTAL-CODE-L IS GREATER THAN ZEROES
095000         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
095100         MOVE 0109               TO MML1-FIELD-CODE
095200         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
095300         MOVE MMRC-POSTAL-CODE   TO MML1-VL10-B-DATA-X
095400         MOVE MC01-POSTAL-CODE   TO MMRC-POSTAL-CODE
095500         MOVE MMRC-POSTAL-CODE   TO MML1-VL10-A-DATA-X
095600         PERFORM 9050-CREATE-MAINT-RECORD
095700                                 THRU 9099-CMR-EXIT.
095800*
095900*            ***** FAX PHONE NUMBER *****                      *
096000*
096100     IF  MC01-FAX-L IS GREATER THAN ZEROES
096200         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
096300         MOVE 0110               TO MML1-FIELD-CODE
096400         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
096500         MOVE MMRC-FAX           TO MML1-VL20-B-DATA-X
096600         MOVE MC01-FAX           TO MMRC-FAX
096700         MOVE MMRC-FAX           TO MML1-VL20-A-DATA-X
096800         PERFORM 9050-CREATE-MAINT-RECORD
096900                                 THRU 9099-CMR-EXIT.
097000*
097100     IF  MC01-STMT-OPTION-L IS GREATER THAN ZEROS
097200         SET X-MMRD-MEMBER       TO 1
097300         MOVE +1                 TO WS-SEQ-NBR
097400         PERFORM 9500-READ-MMRD  THRU 9599-RMRD-EXIT
097500         IF  SS08WS-RC-FC-NOTFND
097600             NEXT SENTENCE
097700         ELSE
097800             PERFORM 9100-MMRD-MEMBERS-LOOP
097900                                 THRU 9199-MML-EXIT.
098000*
098100     IF  MBCA-PTI-FUNCTION-IS-ADD
098200         MOVE 01                 TO MMRC-ONLINE-STATUS.
098300*
098400*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
098500*
098600     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
098700     MOVE 0199                   TO MML1-FIELD-CODE.
098800     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
098900     MOVE MMRC-LAST-MAINT-DATE
099000                                 TO MML1-VL07-B-DATA-9.
099100     MOVE MBCA-START-DATE        TO MMRC-LAST-MAINT-DATE.
099200     MOVE MMRC-LAST-MAINT-DATE
099300                                 TO MML1-VL07-A-DATA-9.
099400     PERFORM 9050-CREATE-MAINT-RECORD
099500                                 THRU 9099-CMR-EXIT.
099600     MOVE 0198                   TO MML1-FIELD-CODE.
099700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
099800     MOVE MMRC-LAST-MAINT-OPER
099900                                 TO MML1-VL03-B-DATA-X.
100000     MOVE MBCA-OPERATOR-ID       TO MMRC-LAST-MAINT-OPER.
100100     MOVE MMRC-LAST-MAINT-OPER
100200                                 TO MML1-VL03-A-DATA-X.
100300     PERFORM 9050-CREATE-MAINT-RECORD
100400                                 THRU 9099-CMR-EXIT.
100500*
100600****************************************************************
100700*    UPDATE THE MERCH RELATIONSHIP FILE RECORD NUMBER 0        *
100800****************************************************************
100900*
101000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
101100     SET MBIORO-REWRITE          TO TRUE.
101200     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
101300*
101400     PERFORM 9750-READ-MMOC      THRU 9759-RMMOC-EXIT.
101500*
101600     MOVE 'SC05'                 TO MBCA-PROGRAM-LOCATION.
101700     SET MBIORO-GETMAIN          TO TRUE.
101800     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
101900*
102000     PERFORM 9700-WRITE-NAME-LOCATE-RECORD
102100                                 THRU 9709-WNLR-EXIT.
102200*
102300 2600-SETUP-COMMAREA.
102400*
102500****************************************************************
102600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
102700****************************************************************
102800*
102900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
103000*
103100     PERFORM MB60PD-EDIT-PAGE-NBR
103200                                 THRU MB60PD-EPN-EXIT.
103300*
103400     IF  SS08WS-VALID-PF-KEY
103500     OR  SS08WS-EIBAID-VALID-PF-KEY
103600         SET MBCA-INITIAL-SCREEN-NBR
103700                                 TO TRUE.
103800*
103900     IF  MBCA-MBUI-UI-YES
104000         MOVE 'MBUI'             TO MBCA-TRANS-ID
104100                                    MBCA-PREV-TRANS-ID
104200         MOVE 01                 TO MBCA-SCREEN-NBR
104300         MOVE MBMC01I            TO MBUITS-VAR-DATA
104400         MOVE LENGTH OF MBMC01I  TO MBUITS-VAR-LENGTH
104500         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
104600         EXEC CICS WRITEQ TS
104700                   QUEUE   (TS-QUEUE-NAME)
104800                   FROM    (MBUITS-RECORD)
104900                   LENGTH  (LENGTH  OF MBUITS-RECORD)
105000
105100              END-EXEC.
105200*
105300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
105400     PERFORM MB70PD-XCTL-TO-MBOXCTL
105500                                 THRU MB70PD-XTM-EXIT.
105600/
105700 9000-PERFORMED-ROUTINES-SECT SECTION.
105800*
105900 9050-CREATE-MAINT-RECORD.
106000*
106100*****************************************************************
106200*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
106300*    LOG/JOURNAL TRANSACTIONS                                   *
106400*****************************************************************
106500*
106600     IF  MBCA-PTI-FUNCTION-IS-ADD
106700         GO TO 9099-CMR-EXIT.
106800*
106900     MOVE 'RC'                   TO MML1-FILE-CODE.
107000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRC-ORG.
107100     MOVE MBCA-CHAIN             TO MML1-MMRC-CHAIN.
107200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
107300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
107400     MOVE ZERO                   TO MML1-SOURCE-CODE.
107500*
107600*****************************************************************
107700*    WRITE THE LOG/JOURNAL FILE RECORD                          *
107800*****************************************************************
107900*
108000     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
108100     SET MBIORO-WRITE            TO TRUE.
108200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
108300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
108400     MOVE ZERO                   TO MML1-FIELD-OCCURRENCE-2.
108500*
108600 9099-CMR-EXIT.
108700     EXIT.
108800*
108900 9100-MMRD-MEMBERS-LOOP.
109000*
109100     IF  X-MMRD-MEMBER IS GREATER THAN 800
109200         ADD 1                   TO WS-SEQ-NBR
109300         PERFORM 9500-READ-MMRD  THRU 9599-RMRD-EXIT
109400         IF  SS08WS-RC-FC-NOTFND
109500             GO TO 9199-MML-EXIT
109600         ELSE
109700             SET X-MMRD-MEMBER   TO 1.
109800*
109900     IF  MMRD-MEMBER (X-MMRD-MEMBER)
110000                        IS LESS THAN 1
110100         SET X-MMRD-MEMBER    UP BY 1
110200         GO TO 9100-MMRD-MEMBERS-LOOP
110300     ELSE
110400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
110500         PERFORM 9200-READ-MMMM-UPDATE
110600                                 THRU 9209-RMU-EXIT
110700         IF  SS08WS-RC-FC-NOTFND
110800             SET X-MMRD-MEMBER   UP BY 1
110900             GO TO 9100-MMRD-MEMBERS-LOOP.
111000*
111100*            ***** STATEMENT OPTION *****                      *
111200*
111300     SET X-MMMM-MERCH-CHAIN      TO 1.
111400     PERFORM 9400-STMT-CHAIN-FLAG-LOOP
111500                                 THRU 9499-SCFL-EXIT.
111600*
111700     IF  MC01-STMT-OPTION-L IS GREATER THAN ZEROES
111800     AND MC01-STMT-OPTION IS NOT EQUAL TO MMMM-STMT-CHAIN-FLAG
111900                                          (X-MMMM-STMT-CHAIN)
112000         SET MML1-FIELD-OCCURRENCE
112100                                 TO X-MMMM-STMT-CHAIN
112200         MOVE 0907               TO MML1-FIELD-CODE
112300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
112400         MOVE MMMM-STMT-CHAIN-FLAG (X-MMMM-STMT-CHAIN)
112500                                 TO MML1-VL01-B-DATA-X
112600         MOVE MC01-STMT-OPTION   TO MMMM-STMT-CHAIN-FLAG
112700                                    (X-MMMM-STMT-CHAIN)
112800         MOVE MMMM-STMT-CHAIN-FLAG (X-MMMM-STMT-CHAIN)
112900                                 TO MML1-VL01-A-DATA-X
113000         PERFORM 9300-CREATE-MAINT-REC-MMMM
113100                                 THRU 9399-CMRM-EXIT
113200*
113300         MOVE 'MM'               TO MML1-FILE-CODE
113400         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMM-ORG
113500         MOVE MMMM-MERCHANT      TO MML1-MMMM-MERCHANT
113600         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
113700         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
113800         MOVE ZERO               TO MML1-SOURCE-CODE
113900*
114000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
114100         MOVE 0199               TO MML1-FIELD-CODE
114200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
114300         MOVE MMMM-LAST-MAINT-DATE
114400                                 TO MML1-VL07-B-DATA-9
114500         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
114600         MOVE MMMM-LAST-MAINT-DATE
114700                                 TO MML1-VL07-A-DATA-9
114800         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
114900         SET MBIORO-WRITE        TO TRUE
115000         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT
115100         MOVE SPACES             TO MML1-VARIABLE-AREA
115200         MOVE ZERO               TO MML1-FIELD-OCCURRENCE-2
115300         MOVE 0198               TO MML1-FIELD-CODE
115400         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
115500         MOVE MMMM-LAST-MAINT-OPER
115600                                 TO MML1-VL03-B-DATA-X
115700         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
115800         MOVE MMMM-LAST-MAINT-OPER
115900                                 TO MML1-VL03-A-DATA-X
116000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
116100         SET MBIORO-WRITE        TO TRUE
116200         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT
116300         MOVE SPACES             TO MML1-VARIABLE-AREA
116400         MOVE ZERO               TO MML1-FIELD-OCCURRENCE-2
116500*
116600         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
116700         SET MBIORO-REWRITE      TO TRUE
116800         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
116900     ELSE
117000         MOVE 'FC15'             TO MBCA-PROGRAM-LOCATION
117100         SET MBIORO-UNLOCK       TO TRUE
117200         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
117300*
117400     SET X-MMRD-MEMBER           UP BY 1.
117500     GO TO 9100-MMRD-MEMBERS-LOOP.
117600*
117700 9199-MML-EXIT.
117800     EXIT.
117900*
118000 9200-READ-MMMM-UPDATE.
118100*
118200     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
118300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
118400     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
118500                                 TO MBIOWS-MMMM-MERCHANT.
118600     SET MBIORO-READ-RANDOM-UPDATE
118700                                 TO TRUE.
118800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
118900*
119000 9209-RMU-EXIT.
119100     EXIT.
119200*
119300 9250-READ-MMMM.
119400*
119500     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
119600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
119700     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
119800                                 TO MBIOWS-MMMM-MERCHANT.
119900     SET MBIORO-READ-RANDOM      TO TRUE.
120000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
120100*
120200 9259-RM-EXIT.
120300     EXIT.
120400*
120500 9300-CREATE-MAINT-REC-MMMM.
120600*
120700     IF  MBCA-PTI-FUNCTION-IS-ADD
120800         GO TO 9399-CMRM-EXIT.
120900*
121000     MOVE 'MM'                   TO MML1-FILE-CODE.
121100     MOVE SPACES                 TO MML1-MMMM-KEY.
121200     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
121300     MOVE MMMM-MERCHANT          TO MML1-MMMM-MERCHANT.
121400*
121500*****************************************************************
121600*    WRITE THE LOG/JOURNAL FILE RECORD                          *
121700*****************************************************************
121800*
121900     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
122000     SET MBIORO-WRITE            TO TRUE.
122100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
122200     MOVE SPACES                 TO MML1-VARIABLE-AREA.
122300     MOVE ZERO                   TO MML1-FIELD-OCCURRENCE-2.
122400*
122500 9399-CMRM-EXIT.
122600     EXIT.
122700*
122800 9400-STMT-CHAIN-FLAG-LOOP.
122900*
123000     IF  X-MMMM-MERCH-CHAIN IS GREATER THAN 10
123100         GO TO 9499-SCFL-EXIT.
123200*
123300     IF  MBCA-CHAIN IS EQUAL TO MMMM-MERCH-CHAIN-ID
123400                                (X-MMMM-MERCH-CHAIN)
123500         SET X-MMMM-STMT-CHAIN   TO X-MMMM-MERCH-CHAIN
123600         GO TO 9499-SCFL-EXIT
123700     ELSE
123800         SET X-MMMM-MERCH-CHAIN  UP BY 1
123900         GO TO 9400-STMT-CHAIN-FLAG-LOOP.
124000*
124100 9499-SCFL-EXIT.
124200     EXIT.
124300*
124400 9500-READ-MMRD.
124500*
124600     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
124700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
124800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
124900     MOVE MBCA-CHAIN             TO MBIOWS-MMRD-CHAIN.
125000     MOVE WS-SEQ-NBR             TO MBIOWS-MMRD-SEQ-NBR.
125100     SET MBIORO-READ-RANDOM      TO TRUE.
125200     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
125300*
125400 9599-RMRD-EXIT.
125500     EXIT.
125600*
125700 9600-XEDIT-FREQS.
125800*
125900     IF  X-MMRD-MEMBER IS GREATER THAN 800
126000         ADD 1                   TO WS-SEQ-NBR
126100         PERFORM 9500-READ-MMRD  THRU 9599-RMRD-EXIT
126200         IF  SS08WS-RC-FC-NOTFND
126300             GO TO 9699-XF-EXIT
126400         ELSE
126500             SET X-MMRD-MEMBER
126600                                 TO 1.
126700*
126800     IF  MMRD-MEMBER (X-MMRD-MEMBER)
126900                        IS LESS THAN 1
127000         SET X-MMRD-MEMBER    UP BY 1
127100         GO TO 9600-XEDIT-FREQS
127200     ELSE
127300         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
127400         PERFORM 9250-READ-MMMM  THRU 9259-RM-EXIT
127500         IF  SS08WS-RC-FC-NOTFND
127600             SET X-MMRD-MEMBER    UP BY 1
127700             GO TO 9600-XEDIT-FREQS.
127800*
127900     IF  MC01-STMT-FREQ1 IS NOT EQUAL TO MMMM-STMT-FREQ-1
128000     OR  MC01-STMT-FREQ2 IS NOT EQUAL TO MMMM-STMT-FREQ-2
128100         MOVE DFHBMUBF           TO MC01-STMT-OPTION-A
128200         MOVE DFHBMNBF           TO MC01-STMT-FREQ1-A
128300                                    MC01-STMT-FREQ2-A
128400         MOVE DFHBMASB           TO MC01-STMT-FREQ1-LP-A
128500                                    MC01-STMT-FREQ1-RP-A
128600                                    MC01-STMT-FREQ2-LP-A
128700                                    MC01-STMT-FREQ2-RP-A
128800                                    MC01-STMT-OPTION-LP-A
128900                                    MC01-STMT-OPTION-RP-A
129000         MOVE SS08WS-CURSOR      TO MC01-STMT-OPTION-L
129100         SET SS08WS-ERROR-SW-YES TO TRUE
129200     ELSE
129300         SET X-MMRD-MEMBER    UP BY 1
129400         GO TO 9600-XEDIT-FREQS.
129500*
129600 9699-XF-EXIT.
129700     EXIT.
129800/
129900 9700-WRITE-NAME-LOCATE-RECORD.
130000*
130100     IF  MMOC-CHAIN-PRIMARY-ON
130200         IF MC01-NA-LINE-L (1) IS GREATER THAN ZERO
130300         OR MC01-NA-LINE-L (2) IS GREATER THAN ZERO
130400         OR MC01-NA-LINE-L (3) IS GREATER THAN ZERO
130500         OR MC01-NA-LINE-L (4) IS GREATER THAN ZERO
130600         OR MC01-NA-LINE-L (5) IS GREATER THAN ZERO
130700         OR MC01-STATE-L IS GREATER THAN ZERO
130800         OR MC01-POSTAL-CODE-L IS GREATER THAN ZERO
130900         OR MC01-PHONE-L IS GREATER THAN ZERO
131000         OR MC01-FAX-L IS GREATER THAN ZERO
131100         MOVE MBCA-MERCHANT-ORG  TO MMNL-ORG
131200         MOVE MMRC-CHAIN         TO MMNL-FILE-NBR
131300         MOVE ZEROS              TO MMNL-TIE-BREAKER
131400         SET MMNL-FILE-IS-CHAIN  TO TRUE
131500         SET MMNL-NAME-IS-PRIMARY
131600                                 TO TRUE
131700         MOVE MMRC-NA-LINE (1)   TO MMNL-NAME
131800         MOVE MMRC-NA-LINE (2)   TO MMNL-ADDR1
131900         MOVE MMRC-PHONE         TO MMNL-PHONE
132000         MOVE MMRC-STATE-CODE    TO MMNL-STATE
132100         MOVE MMRC-POSTAL-CODE   TO MMNL-POSTAL-CODE
132200         EVALUATE TRUE
132300           WHEN  MMRC-NA-LINE (5) IS NOT EQUAL TO SPACES
132400             MOVE MMRC-NA-LINE (5)
132500                                 TO MMNL-CITY
132600           WHEN  MMRC-NA-LINE (4) IS NOT EQUAL TO SPACES
132700             MOVE MMRC-NA-LINE (4)
132800                                 TO MMNL-CITY
132900           WHEN  MMRC-NA-LINE (3) IS NOT EQUAL TO SPACES
133000             MOVE MMRC-NA-LINE (3)
133100                                 TO MMNL-CITY
133200           WHEN  MMRC-NA-LINE (2) IS NOT EQUAL TO SPACES
133300             MOVE MMRC-NA-LINE (2)
133400                                 TO MMNL-CITY
133500           WHEN  MMRC-NA-LINE (1) IS NOT EQUAL TO SPACES
133600             MOVE MMRC-NA-LINE (1)
133700                                 TO MMNL-CITY
133800         END-EVALUATE
133900         MOVE MMRC-STATE-CODE    TO MMNL-STATE
134000         PERFORM 9770-WRITE-MMNL THRU 9779-WMMNL-EXIT.
134100*
134200 9709-WNLR-EXIT.
134300     EXIT.
134400*
134500 9750-READ-MMOC.
134600*
134700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
134800     SET MBIORO-READ-RANDOM      TO TRUE.
134900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
135000*
135100 9759-RMMOC-EXIT.
135200     EXIT.
135300*
135400 9770-WRITE-MMNL.
135500*
135600     IF  MMNL-NAME IS EQUAL TO SPACES
135700         GO TO 9779-WMMNL-EXIT.
135800*
135900     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
136000     MOVE SS08WS-CICS-FC-DUPKEY  TO MBIORO-TEMP-STATUS-1.
136100     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-2.
136200     SET MBIORO-WRITE            TO TRUE.
136300     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
136400*
136500     IF  SS08WS-RC-FC-DUPKEY
136600     OR  SS08WS-RC-FC-DUPREC
136700         ADD 1                   TO MMNL-TIE-BREAKER
136800         GO TO 9770-WRITE-MMNL.
136900*
137000 9779-WMMNL-EXIT.
137100     EXIT.
137200/
137300*
137400*
137500 9899-HA-EXIT.
137600     EXIT.
137700/         DATE VALIDATION ROUTINE
137800     COPY SS05PD.
137900/         GREGORIAN TO JULIAN DATE ROUTINE
138000     COPY SS07PD.
138100/         JULIAN TO GREGORIAN DATE ROUTINE.
138200     COPY SS08PD.
138300/         DATE AND TIME EDIT ROUTINES.
138400     COPY SS26PD.
138500     COPY SS27PD.
138600/         LINE 24 PF KEYS ROUTINE
138700     COPY SS15PD.
138800/         MERCH RELATIONSHIP CONTROL ACCESS ROUTINES
138900     COPY MMRCAO.
139000/         MERCH RELATIONSHIP DETAIL ACCESS ROUTINES
139100     COPY MMRDAO.
139200/         MERCH MASTER RECORD ACCESS ROUTINES
139300     COPY MMMMAO.
139400/         CONTROL FILE RECORD ACCESS ROUTINES
139500     COPY MMOCAO.
139600/         SYSTEM CNTL FILE RECORD ACCESS ROUTINES
139700     COPY MMSCAO.
139800/         NAME LOCATE RECORD ACCESS ROUTINES
139900     COPY MMNLAO.
140000/         LOG/JOURNAL ACCESS ROUTINES
140100     COPY MML1AO.
140200/         ON-LINE MAP ROUTINES
140300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMC01 '
140400                           MBMAPXXI BY MBMC01I
140500                           MBMAPXXO BY MBMC01O.
140600/         ON-LINE PROCEDURES
140700     COPY MB70PD.
140800/
140900     COPY SMFTPXO.
