000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMC02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMC02 - ON-LINE MERCH CHAIN ADD/MAINTENANCE/INQUIRY    *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAC                                       *
001200*                 B. MBMC                                       *
001300*                 C. MBQC                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMC02 (MERCH CHAIN  MAP 02)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMRC   (MERCH/RELATIONSHIP CONTROL FILE)   *
001800*                 B. MMRD   (MERCH/RELATIONSHIP DETAIL FILE)    *
001900*                 C. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         MERCHANT RELATIONSHIP DETAIL INITIALIZER RECORD.
003200     COPY MMRDIR REPLACING ==:MMRD:== BY ==MMRD==.
003300/         LOG/JOURNAL WORK AREAS
003400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003500/         MERCH/RELATIONSHIP CONTROL INIT RECORD LAYOUT
003600     COPY MMRCIR.
003700/         DATE WORK AREAS
003800     COPY SS01WS.
003900/         ONLINE WORK AREAS
004000     COPY SS08WS.
004100/
004200     COPY SS00WS.
004300/
004400     COPY SMFTWS.
004500/
004600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004700/
004800     COPY MB61LK.
004900/
005000 01  WS-WORK-AREAS.
005100     03  WS-INDEX            PIC S9(04)      BINARY.
005200     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005300         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005400         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005500     03  TS-QUEUE-NAME.
005600         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005700         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005800 01  WS-DATE-WORK.
005900     03  WS-DW-MM            PIC  9(02).
006000     03  WS-DW-DD            PIC  9(02).
006100 01  WS-BREAK-WW.
006200     03  WS-WORK-WK          PIC  X(01)      OCCURS 7 TIMES
006300                                             INDEXED BY X-WW.
006400 01  WS-WEEK-SWITCHES.
006500     03  WS-MISC-SW          PIC  X(01)      VALUE 'N'.
006600     03  WS-GOOD-WORK-WEEK   PIC  X(01)      VALUE 'N'.
006700         88  WS-VALID-WEEK                   VALUE 'Y'.
006800         88  WS-INVALID-WEEK                 VALUE 'N'.
006900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007000/
007100 LINKAGE SECTION.
007200 01  DFHCOMMAREA.
007300     COPY MB60WS.
007400/         ORG SCREEN 01 MAP DSECT
007500     COPY MBMC02.
007600/         ORG SCREEN 01 MAP REDEFINITION
007700     COPY MBMC02R.
007800/         MERCH/RELATIONSHIP CONTROL FILE RECORD LAYOUT
007900     COPY MMRCRL.
008000/         MERCH/RELATIONSHIP DETAIL FILE RECORD LAYOUT
008100     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
008200/         LOG/JOURNAL FILE RECORD LAYOUT
008300     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
008400/         USER INPUT TEMP STORAGE RECORD
008500     COPY MBUITS.
008600/
008700 PROCEDURE DIVISION.
008800 0000-HOUSEKEEPING SECTION.
008900 0100-INIT.
009000*
009100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
009300                                 THRU MB70PD-OLH-EXIT.
009400*
009500     IF  MBCA-MBUI-UI-YES
009600         NEXT SENTENCE
009700     ELSE
009800         SET MBCA-MBUI-UI-NO     TO TRUE.
009900*
010000     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010100*
010200     IF  MBCA-RECEIVE-SCREEN
010300         GO TO 2000-RECEIVE-SCREEN.
010400/
010500 1000-SEND-SCREEN SECTION.
010600*
010700****************************************************************
010800*    THIS SECTION BUILDS AND SENDS THE 01 SCREEN.              *
010900****************************************************************
011000*
011100****************************************************************
011200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011300****************************************************************
011400*
011500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011600     PERFORM MB60PD-GETMAIN-FOR-MAP
011700                                 THRU MB60PD-GFM-EXIT.
011800*
011900     MOVE MBCA-MERCHANT-ORG      TO MC02-ORG.
012000     MOVE MBCA-CHAIN             TO MC02-CHAIN.
012100     IF  MBCA-SCREEN-NBR IS EQUAL TO 52
012200         MOVE 02                 TO MBCA-SCREEN-NBR
012300     ELSE
012400         MOVE 03                 TO MBCA-SCREEN-NBR.
012500*
012600****************************************************************
012700*    INITIALIZE THE STANDARD MAP LINES                         *
012800****************************************************************
012900*
013000     PERFORM MB60PD-INIT-STD-MAP-LINES
013100                                 THRU MB60PD-ISML-EXIT.
013200*
013300****************************************************************
013400*    READ THE MERCH RELATIONSHIP CONTROL FILE                  *
013500****************************************************************
013600*
013700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
013800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
013900     MOVE MBCA-CHAIN             TO MBIOWS-MMRC-CHAIN.
014000     SET MBIORO-READ-RANDOM      TO TRUE.
014100     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
014200*
014300     MOVE MMRC-NA-LINE (1)       TO MC02-CHAIN-NAME.
014400/
014500 1100-BUILD-SCREEN.
014600*
014700****************************************************************
014800*    BUILD THE MAP FROM THE MERCH RELATIONSHIP RECORD NUMBER 0 *
014900****************************************************************
015000*
015100*
015200     SET X-MC02-STMT-CHAINS      TO 1.
015300*
015400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
015500         MOVE SS08WS-CURSOR      TO MC02-ALT-TRANID-L
015600     ELSE
015700         MOVE SS08WS-CURSOR      TO MC02-STMT-LINE-L (1 1).
015800*
015900     IF MBCA-SCREEN-NBR IS EQUAL TO 02
016000         PERFORM
016100             VARYING X-MMRC-STMT-MSG FROM +1 BY +1
016200             UNTIL   X-MMRC-STMT-MSG IS GREATER THAN +4
016300             PERFORM
016400                VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
016500                UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
016600                SET  X-MC02-STMT-LINES
016700                                 TO X-MMRC-STMT-MSG-LINE
016800                SET  X-MC02-STMT-CHAINS
016900                                 TO X-MMRC-STMT-MSG
017000                MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
017100                                    X-MMRC-STMT-MSG-LINE)
017200                                 TO MC02-STMT-LINE
017300                                    (X-MC02-STMT-CHAINS
017400                                     X-MC02-STMT-LINES)
017500                IF  MBCA-PTI-FUNCTION-IS-INQUIRY
017600                    MOVE DFHBMASB
017700                                 TO MC02-STMT-LINE-A
017800                                    (X-MC02-STMT-CHAINS
017900                                     X-MC02-STMT-LINES)
018000                    MOVE DFHBMDAS
018100                                 TO MC02-STMT-LINE-LP-A
018200                                    (X-MC02-STMT-CHAINS
018300                                     X-MC02-STMT-LINES)
018400                                    MC02-STMT-LINE-RP-A
018500                                    (X-MC02-STMT-CHAINS
018600                                     X-MC02-STMT-LINES)
018700                END-IF
018800             END-PERFORM
018900         END-PERFORM
019000     END-IF.
019100*
019200     IF  MBCA-SCREEN-NBR IS EQUAL TO 03
019300         SET X-MMRC-STMT-MSG     TO 5
019400         MOVE 'MESSAGE-5'        TO MC02-STMT-LINE-LIT (1 3)
019500         PERFORM
019600            VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
019700            UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
019800            SET  X-MC02-STMT-LINES
019900                                 TO X-MMRC-STMT-MSG-LINE
020000            MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
020100                                    X-MMRC-STMT-MSG-LINE)
020200                                 TO MC02-STMT-LINE
020300                                    (X-MC02-STMT-CHAINS
020400                                     X-MC02-STMT-LINES)
020500            IF  MBCA-PTI-FUNCTION-IS-INQUIRY
020600                MOVE DFHBMASB    TO MC02-STMT-LINE-A
020700                                    (X-MC02-STMT-CHAINS
020800                                     X-MC02-STMT-LINES)
020900                MOVE DFHBMDAS    TO MC02-STMT-LINE-LP-A
021000                                    (X-MC02-STMT-CHAINS
021100                                     X-MC02-STMT-LINES)
021200                                    MC02-STMT-LINE-RP-A
021300                                    (X-MC02-STMT-CHAINS
021400                                     X-MC02-STMT-LINES)
021500            END-IF
021600         END-PERFORM
021700     END-IF.
021800*
021900     IF MBCA-SCREEN-NBR IS EQUAL TO 03
022000         PERFORM
022100             VARYING X-MC02-STMT-CHAINS FROM +2 BY +1
022200             UNTIL   X-MC02-STMT-CHAINS IS GREATER THAN +4
022300             PERFORM
022400                VARYING X-MC02-STMT-LINES FROM +1 BY +1
022500                UNTIL   X-MC02-STMT-LINES IS GREATER THAN +3
022600                MOVE DFHBMASB    TO MC02-STMT-LINE-A
022700                                    (X-MC02-STMT-CHAINS
022800                                     X-MC02-STMT-LINES)
022900                MOVE DFHBMDAS    TO MC02-STMT-LINE-LP-A
023000                                    (X-MC02-STMT-CHAINS
023100                                     X-MC02-STMT-LINES)
023200                                    MC02-STMT-LINE-RP-A
023300                                    (X-MC02-STMT-CHAINS
023400                                     X-MC02-STMT-LINES)
023500                                    MC02-STMT-LINE-LIT-A
023600                                    (X-MC02-STMT-CHAINS
023700                                     X-MC02-STMT-LINES)
023800             END-PERFORM
023900         END-PERFORM
024000     END-IF.
024100*
024200/
024300*
024400****************************************************************
024500*    SEND THE MAP                                              *
024600****************************************************************
024700*
024800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
024900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
025000                                 THRU MB60PD-SMWE-EXIT.
025100*
025200****************************************************************
025300*    RETURN TO CICS                                            *
025400****************************************************************
025500*
025600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
025700     PERFORM MB70PD-RETURN-TRANS-ID
025800                                 THRU MB70PD-RTI-EXIT.
025900/
026000 2000-RECEIVE-SCREEN SECTION.
026100*
026200****************************************************************
026300*    THIS SECTION RECEIVES THE FIRST SCREEN                    *
026400****************************************************************
026500*
026600******************************************
026700*    THIS SECTION RECEIVES THE SCREEN    *
026800******************************************
026900*
027000     IF  MBCA-MBUI-UI-YES
027100*
027200****************************************************************
027300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
027400****************************************************************
027500*
027600         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
027700         EXEC CICS GETMAIN
027800                   FLENGTH (LENGTH  OF MBUITS-RECORD)
027900
028000                   SET     (ADDRESS OF MBUITS-RECORD)
028100
028200              END-EXEC
028300*
028400***********************************************
028500*    READ THE TEMP STORAGE RECORD             *
028600***********************************************
028700*
028800         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
028900*
029000         EXEC CICS READQ TS
029100                   QUEUE   (TS-QUEUE-NAME)
029200                   INTO    (MBUITS-RECORD)
029300                   LENGTH  (LENGTH  OF MBUITS-RECORD)
029400                   ITEM    (1)
029500              END-EXEC
029600*
029700***********************************************
029800*    DELETE THE TEMP STORAGE RECORD           *
029900***********************************************
030000*
030100         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
030200*
030300         EXEC CICS IGNORE CONDITION
030400                   QIDERR
030500              END-EXEC
030600*
030700         EXEC CICS DELETEQ TS
030800                   QUEUE  (TS-QUEUE-NAME)
030900              END-EXEC
031000         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
031100         PERFORM MB60PD-GETMAIN-FOR-MAP
031200                                 THRU MB60PD-GFM-EXIT
031300         MOVE MBUITS-VAR-DATA    TO MBMC02I
031400     ELSE
031500         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
031600         PERFORM MB60PD-RECEIVE-MAP
031700                                 THRU MB60PD-RM-EXIT.
031800*
031900****************************************************************
032000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
032100****************************************************************
032200*
032300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
032400     PERFORM MB60PD-NEW-TRANS-ROUTINE
032500                                 THRU MB60PD-NTR-EXIT.
032600*
032700****************************************************************
032800*    BYPASS EDITS ON INQUIRY                                   *
032900****************************************************************
033000*
033100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
033200         GO TO 2600-SETUP-COMMAREA.
033300*
033400****************************************************************
033500*    READ THE MERCHANT RELATIONSHIP CONTROL FILE RECORD        *
033600****************************************************************
033700*
033800     IF  MBCA-PTI-FUNCTION-IS-ADD
033900     AND MBCA-MBUI-UI-YES
034000     AND MBCA-MBUI-UI-UPDATE-NO
034100         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
034200         SET MBIORO-GETMAIN      TO TRUE
034300         PERFORM MMRCAO-ACCESS   THRU MMRCAO-ACCESS-EXIT
034400         MOVE MMRCIR-RECORD      TO MMRC-RECORD
034500     ELSE
034600         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
034700         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
034800         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMRC-ORG
034900                                    MC02-ORG
035000         MOVE MBCA-CHAIN         TO MBIOWS-MMRC-CHAIN
035100                                    MC02-CHAIN
035200         SET MBIORO-READ-RANDOM  TO TRUE
035300         PERFORM MMRCAO-ACCESS   THRU MMRCAO-ACCESS-EXIT
035400         IF  SS08WS-RC-FC-NOTFND
035500         AND MBCA-MBUI-UI-YES
035600             MOVE 'MBUI'         TO MBCA-TRANS-ID
035700                                    MBCA-PREV-TRANS-ID
035800             MOVE 01             TO MBCA-SCREEN-NBR
035900             MOVE 'CHN'          TO MC02-FILLER
036000             SET MBCA-MBUI-ERROR-YES
036100                                 TO TRUE
036200             GO TO 2600-SETUP-COMMAREA.
036300*
036400     IF (MBCA-PTI-FUNCTION-IS-MAINT
036500     AND MBCA-MBUI-UI-YES
036600     AND (MMRD-REC-PURGED
036700       OR MMRC-REC-INCOMPLETE))
036800     OR
036900        (MBCA-PTI-FUNCTION-IS-ADD
037000     AND MBCA-MBUI-UI-YES
037100     AND MMRC-REC-PURGED)
037200             MOVE 'MBUI'         TO MBCA-TRANS-ID
037300                                    MBCA-PREV-TRANS-ID
037400             MOVE 01             TO MBCA-SCREEN-NBR
037500             MOVE 'CHN'          TO MC02-FILLER
037600             SET MBCA-MBUI-ERROR-YES
037700                                 TO TRUE
037800             GO TO 2600-SETUP-COMMAREA.
037900*
038000****************************************************************
038100*    EDIT FIELDS                                               *
038200****************************************************************
038300*
038400*            ***** STMT MSG LINES *****                        *
038500*
038600*
038700     SET X-MC02-STMT-CHAINS      TO 1.
038800*
038900     IF  MBCA-SCREEN-NBR IS EQUAL TO 02
039000         PERFORM
039100             VARYING X-MMRC-STMT-MSG FROM +1 BY +1
039200             UNTIL   X-MMRC-STMT-MSG IS GREATER THAN +4
039300             PERFORM
039400                 VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
039500                 UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
039600                 SET  X-MC02-STMT-LINES
039700                                 TO X-MMRC-STMT-MSG-LINE
039800                 SET  X-MC02-STMT-CHAINS
039900                                 TO X-MMRC-STMT-MSG
040000                 IF  MC02-STMT-LINE-L (X-MC02-STMT-CHAINS
040100                                   X-MC02-STMT-LINES)
040200                                   IS LESS THAN 1
040300                     MOVE DFHBMASK
040400                                 TO MC02-STMT-LINE-A
040500                                    (X-MC02-STMT-CHAINS
040600                                     X-MC02-STMT-LINES)
040700                     MOVE DFHBMDAS
040800                                 TO MC02-STMT-LINE-LP-A
040900                                    (X-MC02-STMT-CHAINS
041000                                     X-MC02-STMT-LINES)
041100                                    MC02-STMT-LINE-RP-A
041200                                    (X-MC02-STMT-CHAINS
041300                                     X-MC02-STMT-LINES)
041400                     MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
041500                                    X-MMRC-STMT-MSG-LINE)
041600                                 TO MC02-STMT-LINE
041700                                    (X-MC02-STMT-CHAINS
041800                                     X-MC02-STMT-LINES)
041900                 ELSE
042000                     MOVE DFHBMASF
042100                                 TO MC02-STMT-LINE-A
042200                                    (X-MC02-STMT-CHAINS
042300                                     X-MC02-STMT-LINES)
042400                     MOVE DFHBMDAS
042500                                 TO MC02-STMT-LINE-LP-A
042600                                    (X-MC02-STMT-CHAINS
042700                                     X-MC02-STMT-LINES)
042800                                    MC02-STMT-LINE-RP-A
042900                                    (X-MC02-STMT-CHAINS
043000                                     X-MC02-STMT-LINES)
043100                     SET WS-UPDATE-SW-YES
043200                                 TO TRUE
043300                 END-IF
043400             END-PERFORM
043500         END-PERFORM
043600     END-IF.
043700*
043800     IF  MBCA-SCREEN-NBR IS EQUAL TO 03
043900         SET X-MMRC-STMT-MSG     TO 5
044000         PERFORM
044100             VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
044200             UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
044300             SET  X-MC02-STMT-LINES
044400                                 TO X-MMRC-STMT-MSG-LINE
044500             IF  MC02-STMT-LINE-L (X-MC02-STMT-CHAINS
044600                                   X-MC02-STMT-LINES)
044700                                   IS LESS THAN 1
044800                 MOVE DFHBMASK   TO MC02-STMT-LINE-A
044900                                    (X-MC02-STMT-CHAINS
045000                                     X-MC02-STMT-LINES)
045100                 MOVE DFHBMDAS   TO MC02-STMT-LINE-LP-A
045200                                    (X-MC02-STMT-CHAINS
045300                                     X-MC02-STMT-LINES)
045400                                    MC02-STMT-LINE-RP-A
045500                                    (X-MC02-STMT-CHAINS
045600                                     X-MC02-STMT-LINES)
045700                 MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
045800                                    X-MMRC-STMT-MSG-LINE)
045900                                 TO MC02-STMT-LINE
046000                                    (X-MC02-STMT-CHAINS
046100                                     X-MC02-STMT-LINES)
046200             ELSE
046300                 MOVE DFHBMASF   TO MC02-STMT-LINE-A
046400                                    (X-MC02-STMT-CHAINS
046500                                     X-MC02-STMT-LINES)
046600                 MOVE DFHBMDAS   TO MC02-STMT-LINE-LP-A
046700                                    (X-MC02-STMT-CHAINS
046800                                     X-MC02-STMT-LINES)
046900                                    MC02-STMT-LINE-RP-A
047000                                    (X-MC02-STMT-CHAINS
047100                                     X-MC02-STMT-LINES)
047200                 SET WS-UPDATE-SW-YES
047300                                 TO TRUE
047400             END-IF
047500         END-PERFORM
047600     END-IF.
047700*
047800 2300-CONTINUE.
047900*
048000     IF  SS08WS-ERROR-SW-NO
048100         GO TO 2400-UPDATE-FILE.
048200*
048300     IF  MBCA-MBUI-UI-YES
048400         MOVE 'MBUI'             TO MBCA-TRANS-ID
048500                                    MBCA-PREV-TRANS-ID
048600         MOVE 01                 TO MBCA-SCREEN-NBR
048700         SET MBCA-MBUI-ERROR-YES TO TRUE
048800         GO TO 2600-SETUP-COMMAREA.
048900*
049000****************************************************************
049100*    SEND THE MAP                                              *
049200****************************************************************
049300*
049400     PERFORM MB60PD-INIT-STD-MAP-LINES
049500                                 THRU MB60PD-ISML-EXIT.
049600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049700     PERFORM MB60PD-SEND-MAP-DATA-ONLY
049800                                 THRU MB60PD-SMDO-EXIT.
049900*
050000****************************************************************
050100*    RETURN TO CICS                                            *
050200****************************************************************
050300*
050400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
050500     MOVE 02                     TO MBCA-SCREEN-NBR.
050600     PERFORM MB70PD-RETURN-TRANS-ID
050700                                 THRU MB70PD-RTI-EXIT.
050800/
050900 2400-UPDATE-FILE.
051000*
051100     IF  MBCA-MBUI-UI-YES
051200         SET MBCA-MBUI-ERROR-NO  TO TRUE.
051300*
051400     IF  MBCA-MBUI-UI-YES
051500     AND MBCA-MBUI-UI-UPDATE-NO
051600         GO TO 2600-SETUP-COMMAREA.
051700*
051800     IF  MBCA-PTI-FUNCTION-IS-ADD
051900     AND MBCA-SCREEN-NBR IS EQUAL TO 03
052000         NEXT SENTENCE
052100     ELSE
052200         IF  WS-UPDATE-SW-NO
052300             GO TO 2600-SETUP-COMMAREA.
052400*
052500****************************************************************
052600*    GETMAIN FOR LOG/JOURNAL RECORD                            *
052700****************************************************************
052800*
052900     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
053000     SET MBIORO-GETMAIN          TO TRUE.
053100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
053200*
053300*****************************************************************
053400*    READ THE MERCH RELATIONSHIP CONTROL FILE FOR UPDATE        *
053500*****************************************************************
053600*
053700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
053800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
053900     MOVE MBCA-CHAIN             TO MBIOWS-MMRC-CHAIN.
054000     SET MBIORO-READ-RANDOM-UPDATE
054100                                 TO TRUE.
054200     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
054300*
054400*            ***** CHAIN STMT MSG LINES *****                   *
054500*
054600     SET X-MC02-STMT-CHAINS      TO 1.
054700*
054800     IF  MBCA-SCREEN-NBR IS EQUAL TO 02
054900         PERFORM
055000             VARYING X-MMRC-STMT-MSG FROM +1 BY +1
055100             UNTIL   X-MMRC-STMT-MSG IS GREATER THAN +4
055200             PERFORM
055300                 VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
055400                 UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
055500                 SET  X-MC02-STMT-LINES
055600                                 TO X-MMRC-STMT-MSG-LINE
055700                 SET  X-MC02-STMT-CHAINS
055800                                 TO X-MMRC-STMT-MSG
055900                 IF  MC02-STMT-LINE-L (X-MC02-STMT-CHAINS
056000                                   X-MC02-STMT-LINES)
056100                              IS GREATER THAN ZEROES
056200                     SET MML1-FIELD-OCCURRENCE
056300                                 TO X-MMRC-STMT-MSG
056400                     SET MML1-FIELD-OCCURRENCE-2
056500                                 TO X-MMRC-STMT-MSG-LINE
056600                     MOVE 0201   TO MML1-FIELD-CODE
056700                     MOVE MML1WS-VL-50
056800                                 TO MML1-VARIABLE-LENGTH
056900                     MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
057000                                       X-MMRC-STMT-MSG-LINE)
057100                                 TO MML1-VL50-B-DATA-X
057200                     MOVE MC02-STMT-LINE (X-MC02-STMT-CHAINS
057300                                      X-MC02-STMT-LINES)
057400                                 TO MMRC-STMT-MSG-LINE
057500                                    (X-MMRC-STMT-MSG
057600                                     X-MMRC-STMT-MSG-LINE)
057700                     MOVE MMRC-STMT-MSG-LINE
057800                                    (X-MMRC-STMT-MSG
057900                                     X-MMRC-STMT-MSG-LINE)
058000                                 TO MML1-VL50-A-DATA-X
058100                     PERFORM 9050-CREATE-MAINT-RECORD
058200                                 THRU 9099-CMR-EXIT
058300                 END-IF
058400             END-PERFORM
058500         END-PERFORM
058600     END-IF.
058700*
058800     IF  MBCA-SCREEN-NBR IS EQUAL TO 03
058900         SET X-MMRC-STMT-MSG     TO 5
059000         PERFORM
059100             VARYING X-MMRC-STMT-MSG-LINE FROM +1 BY +1
059200             UNTIL   X-MMRC-STMT-MSG-LINE IS GREATER THAN +3
059300             SET  X-MC02-STMT-LINES
059400                                 TO X-MMRC-STMT-MSG-LINE
059500             IF  MC02-STMT-LINE-L (X-MC02-STMT-CHAINS
059600                                   X-MC02-STMT-LINES)
059700                              IS GREATER THAN ZEROES
059800                 SET MML1-FIELD-OCCURRENCE
059900                                 TO X-MMRC-STMT-MSG
060000                 SET MML1-FIELD-OCCURRENCE-2
060100                                 TO X-MMRC-STMT-MSG-LINE
060200                 MOVE 0201       TO MML1-FIELD-CODE
060300                 MOVE MML1WS-VL-50
060400                                 TO MML1-VARIABLE-LENGTH
060500                 MOVE MMRC-STMT-MSG-LINE (X-MMRC-STMT-MSG
060600                                       X-MMRC-STMT-MSG-LINE)
060700                                 TO MML1-VL50-B-DATA-X
060800                 MOVE MC02-STMT-LINE (X-MC02-STMT-CHAINS
060900                                      X-MC02-STMT-LINES)
061000                                 TO MMRC-STMT-MSG-LINE
061100                                    (X-MMRC-STMT-MSG
061200                                     X-MMRC-STMT-MSG-LINE)
061300                 MOVE MMRC-STMT-MSG-LINE
061400                                    (X-MMRC-STMT-MSG
061500                                     X-MMRC-STMT-MSG-LINE)
061600                                 TO MML1-VL50-A-DATA-X
061700                 PERFORM 9050-CREATE-MAINT-RECORD
061800                                 THRU 9099-CMR-EXIT
061900             END-IF
062000         END-PERFORM
062100     END-IF.
062200*
062300*****************************************************************
062400*    WRITE A INITIALIZED ONE RECORD FOR THE MERCH RELATIONSHIP  *
062500*****************************************************************
062600*
062700     IF  MBCA-PTI-FUNCTION-IS-ADD
062800     AND MBCA-SCREEN-NBR IS EQUAL TO 03
062900         SET MMRC-REC-ACTIVE     TO TRUE
063000         SET MMRC-ADD-COMPLETED  TO TRUE
063100         MOVE 'SC05'             TO MBCA-PROGRAM-LOCATION
063200         SET MBIORO-GETMAIN      TO TRUE
063300         PERFORM MMRDAO-ACCESS   THRU MMRDAO-ACCESS-EXIT
063400         MOVE MMRDIR-RECORD      TO MMRD-RECORD
063500         SET MMRD-REC-ACTIVE     TO TRUE
063600         MOVE MBCA-MERCHANT-ORG  TO MMRD-ORG
063700         MOVE MBCA-CHAIN         TO MMRD-CHAIN
063800         MOVE 1                  TO MMRD-SEQ-NBR
063900         MOVE ZEROES             TO MML1-FIELD-CODE
064000                                    MML1-FIELD-OCCURRENCE
064100                                    MML1-FIELD-OCCURRENCE-2
064200         MOVE LENGTH OF MMRD-RECORD
064300                                 TO MML1-VARIABLE-LENGTH
064400         MOVE 'RD'               TO MML1-FILE-CODE
064500         MOVE MBCA-MERCHANT-ORG  TO MML1-MMRD-ORG
064600         MOVE MBCA-CHAIN         TO MML1-MMRD-CHAIN
064700         MOVE 1                  TO MML1-MMRD-SEQ-NBR
064800         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
064900         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
065000         MOVE MMRD-RECORD        TO MML1-ADD-AREA
065100         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
065200         SET MBIORO-WRITE        TO TRUE
065300         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT.
065400*
065500*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
065600*
065700     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE
065800                                    MML1-FIELD-OCCURRENCE-2.
065900     MOVE 0199                   TO MML1-FIELD-CODE.
066000     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
066100     MOVE MMRC-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
066200     MOVE MBCA-START-DATE        TO MMRC-LAST-MAINT-DATE.
066300     MOVE MMRC-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
066400     PERFORM 9050-CREATE-MAINT-RECORD
066500                                 THRU 9099-CMR-EXIT.
066600     MOVE 0198                   TO MML1-FIELD-CODE.
066700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
066800     MOVE MMRC-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
066900     MOVE MBCA-OPERATOR-ID       TO MMRC-LAST-MAINT-OPER.
067000     MOVE MMRC-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
067100     PERFORM 9050-CREATE-MAINT-RECORD
067200                                 THRU 9099-CMR-EXIT.
067300*
067400****************************************************************
067500*    UPDATE THE MERCH RELATIONSHIP CONTROL FILE RECORD         *
067600****************************************************************
067700*
067800     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
067900     SET MBIORO-REWRITE          TO TRUE.
068000     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
068100*
068200     IF  MBCA-PTI-FUNCTION-IS-ADD
068300     AND MBCA-SCREEN-NBR IS EQUAL TO 03
068400         MOVE ZEROES             TO MML1-FIELD-CODE
068500                                    MML1-FIELD-OCCURRENCE
068600                                    MML1-FIELD-OCCURRENCE-2
068700         MOVE LENGTH OF MMRC-RECORD
068800                                 TO MML1-VARIABLE-LENGTH
068900         MOVE 'RC'               TO MML1-FILE-CODE
069000         MOVE MBCA-MERCHANT-ORG  TO MML1-MMRC-ORG
069100         MOVE MBCA-CHAIN         TO MML1-MMRC-CHAIN
069200         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
069300         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
069400         MOVE MMRC-RECORD        TO MML1-ADD-AREA
069500         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
069600         SET MBIORO-WRITE        TO TRUE
069700         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT.
069800*
069900****************************************************************
070000*    WRITE A INITIALIZED MMRD RECORD                           *
070100****************************************************************
070200*
070300     IF  MBCA-PTI-FUNCTION-IS-ADD
070400     AND MBCA-SCREEN-NBR IS EQUAL TO 03
070500         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
070600         SET MBIORO-WRITE        TO TRUE
070700         PERFORM MMRDAO-ACCESS   THRU MMRDAO-ACCESS-EXIT.
070800*
070900 2600-SETUP-COMMAREA.
071000*
071100****************************************************************
071200*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
071300****************************************************************
071400*
071500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
071600*
071700     PERFORM MB60PD-EDIT-PAGE-NBR
071800                                 THRU MB60PD-EPN-EXIT.
071900*
072000     IF  SS08WS-VALID-PF-KEY
072100     OR  SS08WS-EIBAID-VALID-PF-KEY
072200         SET MBCA-INITIAL-SCREEN-NBR
072300                                 TO TRUE.
072400*
072500     IF  MBCA-MBUI-UI-YES
072600         MOVE 'MBUI'             TO MBCA-TRANS-ID
072700                                    MBCA-PREV-TRANS-ID
072800         MOVE 01                 TO MBCA-SCREEN-NBR
072900         MOVE MBMC02I            TO MBUITS-VAR-DATA
073000         MOVE LENGTH OF MBMC02I  TO MBUITS-VAR-LENGTH
073100         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
073200         EXEC CICS WRITEQ TS
073300                   QUEUE   (TS-QUEUE-NAME)
073400                   FROM    (MBUITS-RECORD)
073500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
073600
073700              END-EXEC.
073800*
073900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
074000     PERFORM MB70PD-XCTL-TO-MBOXCTL
074100                                 THRU MB70PD-XTM-EXIT.
074200/
074300 9000-PERFORMED-ROUTINES-SECT SECTION.
074400*
074500 9050-CREATE-MAINT-RECORD.
074600*
074700*****************************************************************
074800*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
074900*    LOG/JOURNAL TRANSACTIONS                                   *
075000*****************************************************************
075100*
075200     IF  MBCA-PTI-FUNCTION-IS-ADD
075300         GO TO 9099-CMR-EXIT.
075400*
075500     MOVE 'RC'                   TO MML1-FILE-CODE.
075600     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRC-ORG.
075700     MOVE MBCA-CHAIN             TO MML1-MMRC-CHAIN.
075800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
075900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
076000     MOVE ZEROES                 TO MML1-SOURCE-CODE.
076100*
076200*****************************************************************
076300*    WRITE THE LOG/JOURNAL FILE RECORD                          *
076400*****************************************************************
076500*
076600     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
076700     SET MBIORO-WRITE            TO TRUE.
076800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
076900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
077000*
077100 9099-CMR-EXIT.
077200     EXIT.
077300*
077400*
077500 9399-HA-EXIT.
077600     EXIT.
077700/         DATE VALIDATION ROUTINE
077800     COPY SS05PD.
077900/         GREGORIAN TO JULIAN DATE ROUTINE
078000     COPY SS07PD.
078100/         JULIAN TO GREGORIAN DATE ROUTINE.
078200     COPY SS08PD.
078300/         DATE AND TIME EDIT ROUTINES.
078400     COPY SS26PD.
078500     COPY SS27PD.
078600/         LINE 24 PF KEYS ROUTINE
078700     COPY SS15PD.
078800/         MERCH RELATIONSHIP CONTROL RECORD ACCESS ROUTINES
078900     COPY MMRCAO.
079000/         MERCH RELATIONSHIP DETAIL RECORD ACCESS ROUTINES
079100     COPY MMRDAO.
079200/         LOG/JOURNAL ACCESS ROUTINES
079300     COPY MML1AO.
079400/         ON-LINE MAP ROUTINES
079500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMC02 '
079600                           MBMAPXXI BY MBMC02I
079700                           MBMAPXXO BY MBMC02O.
079800/         ON-LINE PROCEDURES
079900     COPY MB70PD.
080000/
080100     COPY SMFTPXO.
