000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOME00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOME00 - ON-LINE MERCHANT EXPENSE FACTORS RECORD        *
000800*                ADD/MAINTENANCE/INQUIRY                        *
000900*                SCREEN 00                                      *
001000*                                                               *
001100*              1. TRANSIDS                                      *
001200*                 A. MBAE                                       *
001300*                 B. MBME                                       *
001400*                 C. MBQE                                       *
001500*              2. MAPS USED -                                   *
001600*                 A. MBME00 (LOCATE MAP)                        *
001700*              3. FILES USED -                                  *
001800*                 A. MMEF   (MERCHANT EXPENSE FACTORS FILE)     *
001900*                 B. MMLI   (LOG/JOURNAL FILE)                  *
002000*                 C. MMOC   (ORG CONTROL FILE)                  *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800/         I/O REQUEST BLOCK WORK AREAS
002900     COPY MBIOWS.
003000/         I/O REQUEST BLOCK
003100     COPY MBIORO.
003200/         EXPENSE FACTORS RECORD INITIALIZE VALUES
003300     COPY MMIFIR REPLACING ==:MMIF:== BY ==MMEF==.
003400/         DATE WORK AREAS
003500     COPY SS01WS.
003600/         ONLINE WORK AREAS
003700     COPY SS08WS.
003800/
003900     COPY SS00WS.
004000/
004100     COPY SMFTWS.
004200/
004300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004400/
004500     COPY MB61LK.
004600/         STANDARD ERROR MESSAGES
004700     COPY MBEMWS.
004800/
004900 01  WS-MISCELLANEOUS.
005000     03  WS-ORG-LOW          PIC S9(03)      VALUE +001 COMP-3.
005100     03  WS-ORG-HIGH         PIC S9(03)      VALUE +998 COMP-3.
005200     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
005300         88  WS-COPY-SW-NO                   VALUE 'N'.
005400         88  WS-COPY-SW-YES                  VALUE 'Y'.
005500*
005600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005700/
005800 LINKAGE SECTION.
005900 01  DFHCOMMAREA.
006000     COPY MB60WS.
006100/         MERCHANT EXPENSE FACTORS SCREEN 00 MAP DSECT
006200     COPY MBME00.
006300/         MERCHANT EXPENSE FACTORS SCREEN 00 REDEFINES
006400     COPY MBME00R.
006500/         ORG CONTROL RECORD LAYOUT
006600     COPY MMOCRL.
006700/         MERCHANT EXPENSE FACTORS RECORD LAYOUT
006800     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
006900/
007000 PROCEDURE DIVISION.
007100 0000-HOUSEKEEPING SECTION.
007200 0100-INIT.
007300*
007400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007600                                 THRU MB70PD-OLH-EXIT.
007700*
007800     IF  MBCA-RECEIVE-SCREEN
007900         GO TO 2000-RECEIVE-SCREEN.
008000*
008100 1000-SEND-SCREEN SECTION.
008200*
008300****************************************************************
008400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008500****************************************************************
008600*
008700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008800     PERFORM MB60PD-GETMAIN-FOR-MAP
008900                                 THRU MB60PD-GFM-EXIT.
009000*
009100*****************************************************************
009200*    CHECK KEY CODES                                            *
009300* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
009400* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009500* 3. IF MMEF KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
009600*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
009700*    ORG TABLE IN THE MAP. IF AN ERROR OCCURS IN THE            *
009800*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
009900*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
010000*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
010100*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND TABLE INTO MAP    *
010200*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
010300* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG AND     *
010400*    MBCA-TABLE FIELD IS GREATER THAN ZERO. IF SO, PLUG INTO    *
010500*    HANDLE IF THEY WERE NON-DIRECT.                            *
010600*****************************************************************
010700*
010800     MOVE 'N'                    TO MBCA-MBME-NEXT-PROD-SW.
010900     MOVE 1                      TO MBCA-MBME-QL-INDEX.
011000     MOVE 1                      TO MBCA-MBME-IFT-INDEX.
011100     MOVE 3                      TO MBCA-MBME-PL-INDEX.
011200*
011300     IF  MBCA-PTI-FUNCTION-IS-ADD
011400     OR  MBCA-INITIAL-KEY-CODE
011500         GO TO 1100-BUILD-SCREEN.
011600*
011700     IF  MBCA-MMEF-KEY-CODE
011800     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011900     AND MBCA-TABLE        IS GREATER THAN ZERO
012000         MOVE MBCA-MERCHANT-ORG  TO ME00-ORG
012100         MOVE MBCA-TABLE         TO ME00-TABLE-NBR
012200         MOVE DFHBMUNF           TO ME00-ORG-A
012300         MOVE DFHBMUNF           TO ME00-TABLE-NBR-A
012400         IF  MBCA-DIRECT-TRANSFER-CODE
012500         AND MBCA-INITIAL-SCREEN-NBR
012600             MOVE 00             TO MBCA-SCREEN-NBR
012700             GO TO 2130-READ-EXPENSE-FACTORS-REC
012800         ELSE
012900             GO TO 1100-BUILD-SCREEN.
013000*
013100     IF  MBCA-VALID-KEY-CODES
013200     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013300     AND MBCA-TABLE        IS GREATER THAN ZERO
013400         MOVE MBCA-MERCHANT-ORG  TO ME00-ORG
013500         MOVE MBCA-TABLE         TO ME00-TABLE-NBR
013600         MOVE DFHBMUNF           TO ME00-ORG-A
013700         MOVE DFHBMUNF           TO ME00-TABLE-NBR-A.
013800*
013900 1100-BUILD-SCREEN.
014000*
014100****************************************************************
014200*    INITIALIZE THE STANDARD MAP LINES                         *
014300****************************************************************
014400*
014500     MOVE SS08WS-CURSOR          TO ME00-ORG-L.
014600     MOVE 00                     TO MBCA-SCREEN-NBR.
014700     PERFORM MB60PD-INIT-STD-MAP-LINES
014800                                 THRU MB60PD-ISML-EXIT.
014900*
015000     IF  MBCA-PTI-FUNCTION-IS-MAINT
015100     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
015200         MOVE DFHBMDAS           TO ME00-COPY-ORG-LIT-A
015300                                    ME00-COPY-ORG-LP-A
015400                                    ME00-COPY-ORG-RP-A
015500                                    ME00-COPY-TABLE-NBR-LIT-A
015600                                    ME00-COPY-TABLE-NBR-LP-A
015700                                    ME00-COPY-TABLE-NBR-RP-A
015800         MOVE DFHBMASK           TO ME00-COPY-ORG-A
015900                                    ME00-COPY-TABLE-NBR-A.
016000*
016100     IF  MBCA-MERCHANT-ORG IS NUMERIC
016200     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
016300     AND MBCA-TABLE        IS NUMERIC
016400     AND MBCA-TABLE        IS GREATER THAN ZERO
016500         IF  MBCA-PTI-FUNCTION-IS-ADD
016600             NEXT SENTENCE
016700         ELSE
016800             MOVE MBCA-MERCHANT-ORG
016900                                 TO ME00-ORG
017000             MOVE MBCA-TABLE     TO ME00-TABLE-NBR.
017100*
017200****************************************************************
017300*    SEND THE MAP                                              *
017400****************************************************************
017500*
017600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017800                                 THRU MB60PD-SMWE-EXIT.
017900*
018000****************************************************************
018100*    RETURN TO CICS                                            *
018200****************************************************************
018300*
018400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB70PD-RETURN-TRANS-ID
018600                                 THRU MB70PD-RTI-EXIT.
018700/
018800 2000-RECEIVE-SCREEN SECTION.
018900*
019000****************************************************************
019100*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
019200****************************************************************
019300*
019400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
019600*
019700****************************************************************
019800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
019900****************************************************************
020000*
020100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
020200     PERFORM MB60PD-NEW-TRANS-ROUTINE
020300                                 THRU MB60PD-NTR-EXIT.
020400*
020500 2100-EDIT-SCREEN.
020600*
020700     SET SS08WS-ERROR-SW-NO      TO TRUE.
020800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
020900*
021000******************************************************************
021100*    IF NOTHING WAS ENTERED ON THE SCREEN AND A VALID PF KEY WAS *
021200*    DEPRESSED TRANSFER CONTROL TO THAT PROGRAM.                 *
021300******************************************************************
021400*
021500     IF  (ME00-ORG-L IS LESS THAN 1
021600     AND  ME00-TABLE-NBR-L IS LESS THAN 1)
021700     AND (ME00-COPY-ORG-L IS LESS THAN 1
021800     AND  ME00-COPY-TABLE-NBR-L IS LESS THAN 1)
021900     AND (SS08WS-VALID-PF-KEY
022000     OR   SS08WS-EIBAID-VALID-PF-KEY)
022100          SET MBCA-INITIAL-SCREEN-NBR
022200                                 TO TRUE
022300          GO TO 2690-TRANSFER-XCTL.
022400*
022500     IF  MBCA-PTI-FUNCTION-IS-ADD
022600         NEXT SENTENCE
022700     ELSE
022800         GO TO 2120-EDIT-EXP-ORG-TABLE.
022900*
023000 2110-EDIT-EXP-COPY-ORG-TABLE.
023100*
023200     MOVE DFHBMUNF               TO ME00-COPY-ORG-A
023300                                    ME00-COPY-TABLE-NBR-A.
023400     MOVE DFHBMASK               TO ME00-COPY-ORG-LP-A
023500                                    ME00-COPY-ORG-RP-A
023600                                    ME00-COPY-TABLE-NBR-LP-A
023700                                    ME00-COPY-TABLE-NBR-RP-A.
023800*
023900     IF  ME00-COPY-ORG-L      IS EQUAL TO ZERO
024000     AND ME00-COPY-TABLE-NBR-L IS EQUAL TO ZERO
024100         GO TO 2120-EDIT-EXP-ORG-TABLE.
024200*
024300******************************************************************
024400*    AT THIS POINT WE HAVE ENTERED SOMETHING INTO THE COPY       *
024500*    FIELDS. WE MUST ENTER VALID DATA IN BOTH THE ORG AND THE    *
024600*    TABLE FIELDS ELSE IT IS AN ERROR.                           *
024700******************************************************************
024800*
024900     IF  ME00-COPY-ORG-L      IS GREATER THAN ZERO
025000     AND ME00-COPY-TABLE-NBR-L IS LESS THAN ZERO
025100         GO TO 2116-COPY-EXP-TABLE-ERROR.
025200*
025300     IF  ME00-COPY-TABLE-NBR-L IS GREATER THAN ZERO
025400     AND ME00-COPY-ORG-L      IS LESS THAN ZERO
025500         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
025600*
025700     IF  ME00-COPY-ORG IS NOT NUMERIC
025800         MOVE MBEMWS-INVALID-ORG TO ME00-ERR-MESSAGE
025900         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
026000*
026100     IF  ME00-COPY-TABLE-NBR  IS NOT NUMERIC
026200         MOVE MBEMWS-INVALID-TABLE
026300                                 TO ME00-ERR-MESSAGE
026400         GO TO 2116-COPY-EXP-TABLE-ERROR.
026500*
026600     IF  ME00-COPY-ORG IS LESS THAN    MBCA-ORG-LOW
026700     OR  ME00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
026800     OR  ME00-COPY-ORG IS LESS THAN    WS-ORG-LOW
026900     OR  ME00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
027000         MOVE MBEMWS-INVALID-ORG TO ME00-ERR-MESSAGE
027100         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
027200*
027300****************************************************************
027400*    READ THE COPY EXPENSE RECORD                              *
027500****************************************************************
027600*
027700     SET WS-COPY-SW-YES          TO TRUE.
027800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
027900     MOVE ME00-COPY-ORG          TO MBIOWS-MMEF-ORG.
028000     MOVE ME00-COPY-TABLE-NBR    TO MBIOWS-MMEF-TABLE.
028100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
028200     SET MBIORO-READ-RANDOM      TO TRUE.
028300     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
028400*
028500******************************************************************
028600*    IF NO ERRORS ARE FOUND ON A COPY ORG/TABLE NUMBER WE MUST   *
028700*    READ THE COPY 'TO' ORG/TABLE. IF WE RECEIVE AN FC NOTFND    *
028800*    WE HAVE TRIED TO COPY A RECORD THAT IS NOT ON FILE.         *
028900******************************************************************
029000*
029100     IF  SS08WS-RC-FC-NOTFND
029200         MOVE MBEMWS-NOT-ON-FILE TO ME00-ERR-MESSAGE
029300         GO TO 2116-COPY-EXP-TABLE-ERROR.
029400*
029500     IF  MMEF-ADD-PENDING
029600         MOVE MBEMWS-ADD-PENDING TO ME00-ERR-MESSAGE
029700         GO TO 2116-COPY-EXP-TABLE-ERROR.
029800*
029900     GO TO 2120-EDIT-EXP-ORG-TABLE.
030000*
030100 2115-COPY-EXP-ORG-TABLE-ERROR.
030200*
030300     SET SS08WS-ERROR-SW-YES     TO TRUE.
030400     MOVE SS08WS-CURSOR          TO ME00-COPY-ORG-L.
030500     MOVE DFHBMASB               TO ME00-COPY-ORG-LP-A
030600                                    ME00-COPY-ORG-RP-A.
030700     MOVE DFHBMNBF               TO ME00-COPY-ORG-A.
030800     MOVE DFHBMUNF               TO ME00-ORG-A
030900                                    ME00-TABLE-NBR-A.
031000*
031100     GO TO 2200-VAL-EXP-ORG-TABLE.
031200*
031300 2116-COPY-EXP-TABLE-ERROR.
031400*
031500     SET SS08WS-ERROR-SW-YES     TO TRUE.
031600     MOVE SS08WS-CURSOR          TO ME00-COPY-TABLE-NBR-L.
031700     MOVE DFHBMASB               TO ME00-COPY-TABLE-NBR-RP-A
031800                                    ME00-COPY-TABLE-NBR-LP-A.
031900     MOVE DFHBMNBF               TO ME00-COPY-TABLE-NBR-A.
032000     MOVE DFHBMUNF               TO ME00-ORG-A
032100                                    ME00-TABLE-NBR-A.
032200*
032300     GO TO 2200-VAL-EXP-ORG-TABLE.
032400*
032500 2120-EDIT-EXP-ORG-TABLE.
032600*
032700     MOVE DFHBMUNF               TO ME00-ORG-A
032800                                    ME00-TABLE-NBR-A.
032900     MOVE DFHBMASK               TO ME00-ORG-LP-A
033000                                    ME00-ORG-RP-A
033100                                    ME00-TABLE-NBR-LP-A
033200                                    ME00-TABLE-NBR-RP-A.
033300*
033400     IF  ME00-ORG-L IS EQUAL TO ZERO
033500     OR  ME00-ORG IS NOT NUMERIC
033600         MOVE MBEMWS-INVALID-ORG TO ME00-ERR-MESSAGE
033700         GO TO 2140-EXP-ORG-TABLE-ERROR.
033800*
033900     IF  ME00-TABLE-NBR-L IS EQUAL TO ZERO
034000     OR  ME00-TABLE-NBR  IS NOT NUMERIC
034100         MOVE MBEMWS-INVALID-TABLE
034200                                 TO ME00-ERR-MESSAGE
034300         GO TO 2150-EXP-TABLE-ERROR.
034400*
034500     IF  ME00-ORG IS LESS THAN    MBCA-ORG-LOW
034600     OR  ME00-ORG IS GREATER THAN MBCA-ORG-HIGH
034700     OR  ME00-ORG IS LESS THAN    WS-ORG-LOW
034800     OR  ME00-ORG IS GREATER THAN WS-ORG-HIGH
034900         MOVE MBEMWS-INVALID-ORG TO ME00-ERR-MESSAGE
035000         GO TO 2140-EXP-ORG-TABLE-ERROR.
035100*
035200 2130-READ-EXPENSE-FACTORS-REC.
035300*
035400****************************************************************
035500*    READ THE EXPENSE RECORD                                   *
035600****************************************************************
035700*
035800     MOVE ME00-ORG               TO MBIOWS-MMEF-ORG.
035900     MOVE ME00-TABLE-NBR         TO MBIOWS-MMEF-TABLE.
036000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
036100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
036200     SET MBIORO-READ-RANDOM      TO TRUE.
036300     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
036400*
036500     IF  SS08WS-RC-FC-VALID-RTN-CODE
036600         MOVE ME00-ORG           TO MBCA-MERCHANT-ORG
036700         MOVE ME00-TABLE-NBR     TO MBCA-TABLE.
036800*
036900******************************************************************
037000*    IF THIS IS ADD FUNCTION WE WANT TO RECEIVE A NOT FOUND      *
037100*    CONDITION, FOR AN ADD ORG/TABLE NUMBER.                     *
037200******************************************************************
037300*
037400     IF  MBCA-PTI-FUNCTION-IS-ADD
037500     AND SS08WS-RC-FC-NOTFND
037600         MOVE ME00-ORG           TO MBCA-MERCHANT-ORG
037700         GO TO 2200-VAL-EXP-ORG-TABLE.
037800*
037900******************************************************************
038000*    IF YOU ARE IN IN ADD SCREEN AND THE RECORD YOU ARE TRYING TO*
038100*    TO READ IS IN A PENDING STATE YOU WILL BE SENT TO THE LAST  *
038200*    SCREEN YOU WERE WORKING ON. IF YOU ARE TRYING TO COPY A     *
038300*    A RECORD THAT IS IN A PENDING STATE AN ERROR MESSAGE WILL   *
038400*    BE SENT.                                                    *
038500******************************************************************
038600*
038700     IF  MBCA-PTI-FUNCTION-IS-ADD
038800     AND MMEF-ADD-PENDING
038900         IF  WS-COPY-SW-NO
039000             MOVE MMEF-ONLINE-STATUS
039100                                 TO MBCA-SCREEN-NBR
039200             GO TO 2600-SETUP-COMMAREA
039300         ELSE
039400             MOVE MBEMWS-ADD-PENDING
039500                                 TO ME00-ERR-MESSAGE
039600             GO TO 2116-COPY-EXP-TABLE-ERROR.
039700*
039800******************************************************************
039900*    AT THIS POINT WE HAVE AN ERROR AS WE ARE TRYING TO ADD A    *
040000*    RECORD THAT IS ALREADY ON FILE.                             *
040100******************************************************************
040200*
040300     IF  MBCA-PTI-FUNCTION-IS-ADD
040400         MOVE MBEMWS-ALREADY-ON-FILE
040500                                 TO ME00-ERR-MESSAGE
040600         GO TO 2140-EXP-ORG-TABLE-ERROR.
040700*
040800******************************************************************
040900*    IF WE ARE MAINTAINING/INQUIRING ON A RECORD IT MUST BE ON   *
041000*    FILE AND IT MUST BE ACTIVE ELSE SEND ERROR SCREEN.          *
041100******************************************************************
041200*
041300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
041400     AND SS08WS-RC-FC-NOTFND
041500         MOVE MBEMWS-NOT-ON-FILE TO ME00-ERR-MESSAGE
041600         GO TO 2150-EXP-TABLE-ERROR.
041700*
041800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
041900     AND MMEF-ADD-PENDING
042000         MOVE MBEMWS-ADD-PENDING TO ME00-ERR-MESSAGE
042100         GO TO 2150-EXP-TABLE-ERROR.
042200*
042300     IF  MBCA-PTI-FUNCTION-IS-MAINT
042400     AND SS08WS-RC-FC-NOTFND
042500         MOVE MBEMWS-NOT-ON-FILE TO ME00-ERR-MESSAGE
042600         GO TO 2150-EXP-TABLE-ERROR.
042700*
042800     IF  MBCA-PTI-FUNCTION-IS-MAINT
042900     AND MMEF-ADD-PENDING
043000         MOVE MBEMWS-ADD-PENDING TO ME00-ERR-MESSAGE
043100         GO TO 2150-EXP-TABLE-ERROR.
043200*
043300     IF  MBCA-PTI-FUNCTION-IS-MAINT
043400     AND MMEF-REC-PURGED
043500         MOVE MBEMWS-REC-PURGED  TO ME00-ERR-MESSAGE
043600         GO TO 2150-EXP-TABLE-ERROR.
043700*
043800******************************************************************
043900*    OTHERWISE, WE PASSED THE ORG EDIT                           *
044000******************************************************************
044100*
044200     GO TO 2200-VAL-EXP-ORG-TABLE.
044300*
044400 2140-EXP-ORG-TABLE-ERROR.
044500*
044600     SET SS08WS-ERROR-SW-YES     TO TRUE.
044700     MOVE SS08WS-CURSOR          TO ME00-ORG-L.
044800     MOVE DFHBMASB               TO ME00-ORG-LP-A
044900                                    ME00-ORG-RP-A.
045000     MOVE DFHBMNBF               TO ME00-ORG-A.
045100*
045200     GO TO 2200-VAL-EXP-ORG-TABLE.
045300*
045400 2150-EXP-TABLE-ERROR.
045500*
045600     SET SS08WS-ERROR-SW-YES     TO TRUE.
045700     MOVE SS08WS-CURSOR          TO ME00-TABLE-NBR-L.
045800     MOVE DFHBMASB               TO ME00-TABLE-NBR-RP-A
045900                                    ME00-TABLE-NBR-LP-A.
046000     MOVE DFHBMNBF               TO ME00-TABLE-NBR-A.
046100*
046200 2200-VAL-EXP-ORG-TABLE.
046300*
046400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
046500     OR  MBCA-PTI-FUNCTION-IS-MAINT
046600         IF  SS08WS-ERROR-SW-NO
046700             GO TO 2600-SETUP-COMMAREA
046800         ELSE
046900             GO TO 2290-CHECK-ERROR.
047000*
047100     MOVE ME00-TABLE-NBR         TO MBCA-TABLE.
047200*
047300 2290-CHECK-ERROR.
047400*
047500     IF  SS08WS-ERROR-SW-NO
047600         GO TO 2400-UPDATE-FILE
047700     ELSE
047800         IF  SS08WS-VALID-PF-KEY
047900         OR  SS08WS-EIBAID-VALID-PF-KEY
048000             SET MBCA-INITIAL-SCREEN-NBR
048100                                 TO TRUE
048200             GO TO 2690-TRANSFER-XCTL.
048300*
048400 2300-SEND-MAP.
048500*
048600****************************************************************
048700*    SEND THE MAP                                              *
048800****************************************************************
048900*
049000     PERFORM MB60PD-INIT-STD-MAP-LINES
049100                                 THRU MB60PD-ISML-EXIT.
049200*
049300     IF  MBCA-PTI-FUNCTION-IS-MAINT
049400     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
049500         MOVE DFHBMDAS           TO ME00-COPY-ORG-LIT-A
049600                                    ME00-COPY-TABLE-NBR-LIT-A
049700                                    ME00-COPY-ORG-LP-A
049800                                    ME00-COPY-ORG-RP-A
049900                                    ME00-COPY-TABLE-NBR-RP-A
050000                                    ME00-COPY-TABLE-NBR-LP-A
050100         MOVE DFHBMASK           TO ME00-COPY-ORG-A
050200                                    ME00-COPY-TABLE-NBR-A.
050300*
050400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
050500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
050600                                 THRU MB60PD-SMWE-EXIT.
050700*
050800****************************************************************
050900*    RETURN TO CICS                                            *
051000****************************************************************
051100*
051200     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
051300     PERFORM MB70PD-RETURN-TRANS-ID
051400                                 THRU MB70PD-RTI-EXIT.
051500*
051600/
051700 2400-UPDATE-FILE.
051800*
051900****************************************************************
052000*    WRITE THE NEW EXPENSE RECORD FROM THE INIT RECORD OR FROM *
052100*    THE EXPENSE RECORD THAT IS BEING COPIED.                  *
052200****************************************************************
052300*
052400     IF  ME00-COPY-ORG-L IS GREATER THAN ZERO
052500     AND ME00-COPY-TABLE-NBR-L IS GREATER THAN ZERO
052600         PERFORM 9100-COPY-EXP-FACTORS-TABLE
052700                                 THRU 9199-CEFT-EXIT
052800     ELSE
052900         PERFORM 9200-ADD-EXP-FACTORS-TABLE
053000                                 THRU 9299-AEFT-EXIT.
053100*
053200 2600-SETUP-COMMAREA.
053300****************************************************************
053400*    READ THE ORGANIZATION FILE RECORD                         *
053500****************************************************************
053600*
053700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
053800     MOVE ME00-ORG               TO MBIOWS-MMOC-ORG.
053900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
054000     SET MBIORO-READ-RANDOM      TO TRUE.
054100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
054200*
054300     IF  SS08WS-RC-FC-VALID-RTN-CODE
054400         MOVE MMOC-ORG           TO MBCA-ORG
054500         MOVE MMOC-CURRENCY-CODE
054600                                 TO MBCA-CURRENCY-CODE
054700         MOVE MMOC-CURRENCY-NOD
054800                                 TO MBCA-CURRENCY-NOD
054900         MOVE MMOC-PERCENT-NOD
055000                                 TO MBCA-PERCENT-NOD
055100         MOVE MMOC-PER-ITEM-NOD
055200                                 TO MBCA-PER-ITEM-NOD
055300     ELSE
055400         MOVE MBEMWS-NOT-ON-FILE TO ME00-ERR-MESSAGE.
055500*
055600*
055700****************************************************************
055800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
055900****************************************************************
056000*
056100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
056200*
056300     IF  MBCA-PTI-FUNCTION-IS-ADD
056400         MOVE MBIOWS-MMEF-KEY-CODE
056500                                 TO MBCA-KEY-CODE
056600     ELSE
056700         MOVE MBIOWS-MMEF-DIRECT-KEY-CODE
056800                                 TO MBCA-KEY-CODE.
056900*
057000     PERFORM MB60PD-EDIT-PAGE-NBR
057100                                 THRU MB60PD-EPN-EXIT.
057200*
057300     IF  SS08WS-VALID-PF-KEY
057400     OR  SS08WS-EIBAID-VALID-PF-KEY
057500         SET MBCA-INITIAL-SCREEN-NBR
057600                                 TO TRUE.
057700*
057800 2690-TRANSFER-XCTL.
057900*
058000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
058100     PERFORM MB70PD-XCTL-TO-MBOXCTL
058200                                 THRU MB70PD-XTM-EXIT.
058300/
058400 9000-PERFORMED-ROUTINES-SECT SECTION.
058500*
058600 9100-COPY-EXP-FACTORS-TABLE.
058700*
058800****************************************************************
058900*    READ THE COPY EXPENSE FACTORS RECORD                      *
059000****************************************************************
059100*
059200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
059300     MOVE ME00-COPY-ORG          TO MBIOWS-MMEF-ORG.
059400     MOVE ME00-COPY-TABLE-NBR    TO MBIOWS-MMEF-TABLE.
059500     SET MBIORO-READ-RANDOM      TO TRUE.
059600     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
059700*
059800     MOVE MBCA-MERCHANT-ORG      TO MMEF-ORG.
059900     MOVE MBCA-TABLE             TO MMEF-TABLE-NBR.
060000     MOVE ZERO                   TO MMEF-ONLINE-STATUS.
060100     MOVE ZERO                   TO MMEF-REC-STATUS.
060200*
060300*
060400****************************************************************
060500*    WRITE THE NEW EXPENSE FACTORS                             *
060600****************************************************************
060700*
060800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
060900     SET MBIORO-WRITE            TO TRUE.
061000     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
061100*
061200 9199-CEFT-EXIT.
061300     EXIT.
061400*
061500 9200-ADD-EXP-FACTORS-TABLE.
061600*
061700****************************************************************
061800*    GETMAIN FOR EXPENSE FACTORS RECORD                        *
061900****************************************************************
062000*
062100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
062200     SET MBIORO-GETMAIN          TO TRUE.
062300     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
062400*
062500*
062600****************************************************************
062700*    INITIALIZE THE EXPENSE FACTORS RECORD                     *
062800****************************************************************
062900*
063000     MOVE MMEFIR-RECORD          TO MMEF-RECORD.
063100     MOVE MBCA-MERCHANT-ORG      TO MMEF-ORG.
063200     MOVE MBCA-TABLE             TO MMEF-TABLE-NBR.
063300*
063400****************************************************************
063500*    WRITE THE NEW INITIALIZED EXPENSE FACTORS RECORD          *
063600****************************************************************
063700*
063800     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
063900     SET MBIORO-WRITE            TO TRUE.
064000     PERFORM MMEFAO-ACCESS       THRU MMEFAO-ACCESS-EXIT.
064100*
064200 9299-AEFT-EXIT.
064300     EXIT.
064400*
064500/         GREGORIAN TO JULIAN DATE ROUTINE
064600     COPY SS07PD.
064700*
064800/         JULIAN TO GREGORIAN DATE ROUTINE
064900     COPY SS08PD.
065000/         DATE AND TIME EDIT ROUTINES
065100     COPY SS26PD.
065200     COPY SS27PD.
065300*
065400/         LINE 24 PF KEYS ROUTINE
065500     COPY SS15PD.
065600*
065700/         EXPENSE FILE ACCESS ROUTINE
065800     COPY MMEFAO.
065900*
066000/         ORG RECORD ACCESS ROUTINES
066100     COPY MMOCAO.
066200*
066300/         ON-LINE MAP ROUTINES
066400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBME00 '
066500                           MBMAPXXI BY MBME00I
066600                           MBMAPXXO BY MBME00O.
066700*
066800/         ON-LINE PROCEDURES
066900     COPY MB70PD.
067000/
067100     COPY SMFTPXO.
