000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMG01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMG01 - ON-LINE STORE CHAIN ADD/MAINTENANCE/INQUIRY    *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAG                                       *
001200*                 B. MBMG                                       *
001300*                 C. MBQG                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMG01 (STORE CHAIN  MAP 01)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMSR   (STORE/RELATIONSHIP CONTROL FILE)   *
001800*                 B. MMSD   (STORE/RELATIONSHIP DETAIL FILE)    *
001900*                 C. MMSM   (STORE/MASTER FILE)                 *
002000*                 D. MMOC   (MASTER CONTROL FILE)               *
002100*                 E. MMNL   (NAME LOCATE FILE)                  *
002200*                 F. MMSC   (SYSTEM CNTL FILE)                  *
002300*                 G. MML1   (LOG/JOURNAL FILE)                  *
002400*                                                               *
002500*****************************************************************
002600*
002700 ENVIRONMENT DIVISION.
002800 DATA DIVISION.
002900 WORKING-STORAGE SECTION.
003000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003100*         STORE CHAIN DETAIL INIT RECORD
003200     COPY MMSDIR REPLACING ==:MMSD:== BY ==MMSD==.
003300*         I/O REQUEST BLOCK WORK AREAS
003400     COPY MBIOWS.
003500/         I/O REQUEST BLOCK
003600     COPY MBIORO.
003700/         LOG/JOURNAL WORK AREAS
003800     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003900/         STORE REL CONTROL INIT RECORD
004000     COPY MMSRIR.
004100/         DATE WORK AREAS
004200     COPY SS01WS.
004300/         ONLINE WORK AREAS
004400     COPY SS08WS.
004500/
004600     COPY SS00WS.
004700/
004800     COPY SMFTWS.
004900/
005000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
005100/
005200     COPY MB61LK.
005300/
005400 01  WS-WORK-AREAS.
005500     03  WS-INDEX            PIC S9(04)      BINARY.
005600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005900     03  TS-QUEUE-NAME.
006000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006200 01  WS-DATE-WORK.
006300     03  WS-DW-MM            PIC  9(02).
006400     03  WS-DW-DD            PIC  9(02).
006500 01  WS-BREAK-WW.
006600     03  WS-WORK-WK          PIC  X(01)      OCCURS 7 TIMES
006700                                             INDEXED BY X-WW.
006800 01  WS-WEEK-SWITCHES.
006900     03  WS-MISC-SW          PIC  X(01)      VALUE 'N'.
007000     03  WS-GOOD-WORK-WEEK   PIC  X(01)      VALUE 'N'.
007100         88  WS-VALID-WEEK                   VALUE 'Y'.
007200         88  WS-INVALID-WEEK                 VALUE 'N'.
007300 01  WS-SEQ-NBR              PIC S9(04)      BINARY
007400                                             VALUE +1.
007500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007600/
007700 LINKAGE SECTION.
007800 01  DFHCOMMAREA.
007900     COPY MB60WS.
008000/         ORG SCREEN 01 MAP DSECT
008100     COPY MBMG01.
008200/         ORG SCREEN 01 MAP REDEFINITION
008300     COPY MBMG01R.
008400/         STORE/RELATIONSHIP CONTROL FILE RECORD LAYOUT
008500     COPY MMSRRL.
008600/         STORE/RELATIONSHIP DETAIL FILE RECORD LAYOUT
008700     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
008800/         STORE/MASTER FILE RECORD LAYOUT
008900     COPY MMSMRL.
009000/         CONTROL FILE RECORD LAYOUT
009100     COPY MMOCRL.
009200/         SYSTEM CONTROL FILE RECORD LAYOUT
009300     COPY MMSCRL.
009400/         NAME LOCATE  RECORD LAYOUT
009500     COPY MMNLRL.
009600/         LOG/JOURNAL FILE RECORD LAYOUT
009700     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
009800/         USER INPUT TEMP STORAGE RECORD
009900     COPY MBUITS.
010000 PROCEDURE DIVISION.
010100 0000-HOUSEKEEPING SECTION.
010200 0100-INIT.
010300*
010400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010600                                 THRU MB70PD-OLH-EXIT.
010700*
010800     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010900*
011000     IF  MBCA-RECEIVE-SCREEN
011100         GO TO 2000-RECEIVE-SCREEN.
011200/
011300 1000-SEND-SCREEN SECTION.
011400*
011500****************************************************************
011600*    THIS SECTION BUILDS AND SENDS THE 01 SCREEN.              *
011700****************************************************************
011800*
011900****************************************************************
012000*    GET CICS STORAGE NEEDED FOR THE MAP                       *
012100****************************************************************
012200*
012300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB60PD-GETMAIN-FOR-MAP
012500                                 THRU MB60PD-GFM-EXIT.
012600*
012700     MOVE MBCA-MERCHANT-ORG      TO MG01-ORG.
012800     MOVE MBCA-S-CHAIN           TO MG01-CHAIN.
012900     MOVE 01                     TO MBCA-SCREEN-NBR.
013000*
013100****************************************************************
013200*    INITIALIZE THE STANDARD MAP LINES                         *
013300****************************************************************
013400*
013500     PERFORM MB60PD-INIT-STD-MAP-LINES
013600                                 THRU MB60PD-ISML-EXIT.
013700*
013800****************************************************************
013900*    READ THE STORE RELATIONSHIP CONTROL FILE RECORD          *
014000****************************************************************
014100*
014200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
014300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSR-ORG.
014400     MOVE MBCA-S-CHAIN           TO MBIOWS-MMSR-CHAIN.
014500     SET MBIORO-READ-RANDOM      TO TRUE.
014600     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
014700/
014800 1100-BUILD-SCREEN.
014900*
015000****************************************************************
015100*    BUILD THE MAP FROM THE STORE RELATIONSHIP CONTROL RECORD  *
015200****************************************************************
015300*
015400     PERFORM
015500         VARYING X-MG01-NA FROM 1 BY 1
015600         UNTIL X-MG01-NA IS GREATER THAN 5
015700         SET X-MMSR-NA           TO X-MG01-NA
015800         MOVE MMSR-NA-LINE (X-MMSR-NA)
015900                                 TO MG01-NA-LINE (X-MG01-NA)
016000     END-PERFORM.
016100*
016200     MOVE MMSR-STATE-CODE        TO MG01-STATE.
016300     MOVE MMSR-PHONE             TO MG01-PHONE.
016400     MOVE MMSR-POSTAL-CODE       TO MG01-POSTAL-CODE.
016500     MOVE MMSR-FAX               TO MG01-FAX.
016600/
016700****************************************************************
016800*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
016900****************************************************************
017000*
017100     MOVE SS08WS-CURSOR          TO MG01-NA-LINE-L (1).
017200*
017300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
017400         MOVE SS08WS-CURSOR      TO MG01-ALT-TRANID-L
017500         PERFORM
017600             VARYING X-MG01-NA FROM 1 BY 1
017700             UNTIL X-MG01-NA IS GREATER THAN 5
017800             MOVE DFHBMASB       TO MG01-NA-LINE-A (X-MG01-NA)
017900             MOVE DFHBMDAS       TO MG01-NA-LINE-LP-A (X-MG01-NA)
018000                                    MG01-NA-LINE-RP-A (X-MG01-NA)
018100         END-PERFORM
018200         MOVE DFHBMASB           TO MG01-STATE-A
018300                                    MG01-PHONE-A
018400                                    MG01-POSTAL-CODE-A
018500                                    MG01-FAX-A
018600         MOVE DFHBMDAS           TO MG01-STATE-LP-A
018700                                    MG01-STATE-RP-A
018800                                    MG01-PHONE-LP-A
018900                                    MG01-PHONE-RP-A
019000                                    MG01-POSTAL-CODE-LP-A
019100                                    MG01-POSTAL-CODE-RP-A
019200                                    MG01-FAX-LP-A
019300                                    MG01-FAX-RP-A.
019400*
019500     IF  MBCA-PTI-FUNCTION-IS-ADD
019600         MOVE DFHBMDAS           TO MG01-LAST-MAINT-LIT-A
019700                                    MG01-LAST-MAINT-DATE-A
019800                                    MG01-LAST-MAINT-OPER-LIT-A
019900                                    MG01-LAST-MAINT-OPER-A
020000     ELSE
020100         MOVE MMSR-LAST-MAINT-DATE
020200                                 TO SS01WS-JULIAN
020300         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020400                                 THRU SS26PD-NED-EXIT
020500         MOVE SS01WS-XX-XX-YYYY  TO MG01-LAST-MAINT-DATE
020600         MOVE MMSR-LAST-MAINT-OPER
020700                                 TO MG01-LAST-MAINT-OPER
020800         MOVE DFHBMASB           TO MG01-LAST-MAINT-DATE-A
020900                                    MG01-LAST-MAINT-OPER-A.
021000*
021100****************************************************************
021200*    SEND THE MAP                                              *
021300****************************************************************
021400*
021500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
021600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
021700                                 THRU MB60PD-SMWE-EXIT.
021800*
021900****************************************************************
022000*    RETURN TO CICS                                            *
022100****************************************************************
022200*
022300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
022400     PERFORM MB70PD-RETURN-TRANS-ID
022500                                 THRU MB70PD-RTI-EXIT.
022600/
022700 2000-RECEIVE-SCREEN SECTION.
022800*
022900****************************************************************
023000*    THIS SECTION RECEIVES THE FIRST SCREEN                    *
023100****************************************************************
023200*
023300     IF  MBCA-MBUI-UI-YES
023400*
023500****************************************************************
023600*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
023700****************************************************************
023800*
023900         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
024000         EXEC CICS GETMAIN
024100                   FLENGTH (LENGTH  OF MBUITS-RECORD)
024200
024300                   SET     (ADDRESS OF MBUITS-RECORD)
024400
024500              END-EXEC
024600*
024700***********************************************
024800*    READ THE TEMP STORAGE RECORD             *
024900***********************************************
025000*
025100         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
025200*
025300         EXEC CICS READQ TS
025400                   QUEUE   (TS-QUEUE-NAME)
025500                   INTO    (MBUITS-RECORD)
025600                   LENGTH  (LENGTH  OF MBUITS-RECORD)
025700                   ITEM    (1)
025800              END-EXEC
025900*
026000***********************************************
026100*    DELETE THE TEMP STORAGE RECORD           *
026200***********************************************
026300*
026400         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
026500*
026600         EXEC CICS IGNORE CONDITION
026700                   QIDERR
026800              END-EXEC
026900*
027000         EXEC CICS DELETEQ TS
027100                   QUEUE  (TS-QUEUE-NAME)
027200              END-EXEC
027300         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
027400         PERFORM MB60PD-GETMAIN-FOR-MAP
027500                                 THRU MB60PD-GFM-EXIT
027600         MOVE MBUITS-VAR-DATA    TO MBMG01I
027700     ELSE
027800         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
027900         PERFORM MB60PD-RECEIVE-MAP
028000                                 THRU MB60PD-RM-EXIT.
028100*
028200****************************************************************
028300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
028400****************************************************************
028500*
028600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
028700     PERFORM MB60PD-NEW-TRANS-ROUTINE
028800                                 THRU MB60PD-NTR-EXIT.
028900*
029000****************************************************************
029100*    BYPASS EDITS ON INQUIRY                                   *
029200****************************************************************
029300*
029400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029500         GO TO 2600-SETUP-COMMAREA.
029600*
029700****************************************************************
029800*    READ THE STORE RELATIONSHIP CONTROL FILE RECORD NUMBER *
029900****************************************************************
030000*
030100*
030200     IF  MBCA-PTI-FUNCTION-IS-ADD
030300     AND MBCA-MBUI-UI-YES
030400     AND MBCA-MBUI-UI-UPDATE-NO
030500         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
030600         SET MBIORO-GETMAIN      TO TRUE
030700         PERFORM MMSRAO-ACCESS   THRU MMSRAO-ACCESS-EXIT
030800         MOVE MMSRIR-RECORD      TO MMSR-RECORD
030900     ELSE
031000         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
031100         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
031200         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSR-ORG
031300                                    MG01-ORG
031400         MOVE MBCA-S-CHAIN       TO MBIOWS-MMSR-CHAIN
031500                                    MG01-CHAIN
031600         SET MBIORO-READ-RANDOM  TO TRUE
031700         PERFORM MMSRAO-ACCESS   THRU MMSRAO-ACCESS-EXIT
031800         IF  SS08WS-RC-FC-NOTFND
031900         AND MBCA-MBUI-UI-YES
032000             MOVE 'MBUI'         TO MBCA-TRANS-ID
032100                                    MBCA-PREV-TRANS-ID
032200             MOVE 01             TO MBCA-SCREEN-NBR
032300             MOVE 'CHN'          TO MG01-FILLER
032400             SET MBCA-MBUI-ERROR-YES
032500                                 TO TRUE
032600             GO TO 2600-SETUP-COMMAREA.
032700*
032800     IF (MBCA-PTI-FUNCTION-IS-MAINT
032900     AND MBCA-MBUI-UI-YES
033000     AND (MMSR-REC-PURGED
033100       OR MMSR-REC-INCOMPLETE))
033200     OR
033300        (MBCA-PTI-FUNCTION-IS-ADD
033400     AND MBCA-MBUI-UI-YES
033500     AND MMSR-REC-PURGED)
033600             MOVE 'MBUI'         TO MBCA-TRANS-ID
033700                                    MBCA-PREV-TRANS-ID
033800             MOVE 01             TO MBCA-SCREEN-NBR
033900             MOVE 'CHN'          TO MG01-FILLER
034000             SET MBCA-MBUI-ERROR-YES
034100                                 TO TRUE
034200             GO TO 2600-SETUP-COMMAREA.
034300*
034400****************************************************************
034500*    READ THE SYSTEM CONTROL FILE                              *
034600****************************************************************
034700*
034800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
034900     MOVE ZEROS                  TO MBIOWS-MMSC-ORG.
035000     SET MBIORO-READ-RANDOM      TO TRUE.
035100     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
035200*
035300****************************************************************
035400*    EDIT FIELDS                                               *
035500****************************************************************
035600*
035700*            ***** NAME ADDRESS LINES *****                    *
035800*
035900     PERFORM
036000         VARYING X-MG01-NA FROM 1 BY 1
036100         UNTIL X-MG01-NA IS GREATER THAN 5
036200         SET X-MMSR-NA           TO X-MG01-NA
036300         EVALUATE TRUE
036400         WHEN  (MG01-NA-LINE-L (X-MG01-NA) IS LESS THAN 1
036500          AND   MBCA-PTI-FUNCTION-IS-ADD
036600          AND   X-MG01-NA IS EQUAL TO 1
036700          AND   MMSR-NA-LINE (X-MMSR-NA) IS EQUAL TO SPACES)
036800             MOVE DFHBMUBF       TO MG01-NA-LINE-A (X-MG01-NA)
036900             MOVE DFHBMASB       TO MG01-NA-LINE-LP-A (X-MG01-NA)
037000                                    MG01-NA-LINE-RP-A (X-MG01-NA)
037100             MOVE SS08WS-CURSOR  TO MG01-NA-LINE-L (X-MG01-NA)
037200             SET SS08WS-ERROR-SW-YES TO TRUE
037300         WHEN  MG01-NA-LINE-L (X-MG01-NA) IS LESS THAN 1
037400             MOVE DFHBMASK       TO MG01-NA-LINE-A (X-MG01-NA)
037500             MOVE DFHBMDAS       TO MG01-NA-LINE-LP-A (X-MG01-NA)
037600                                    MG01-NA-LINE-RP-A (X-MG01-NA)
037700             MOVE MMSR-NA-LINE (X-MMSR-NA)
037800                                 TO MG01-NA-LINE (X-MG01-NA)
037900         WHEN  (MG01-NA-LINE-L (X-MG01-NA) IS GREATER THAN 1
038000          AND   X-MG01-NA IS EQUAL TO 1
038100          AND   MG01-NA-LINE (X-MG01-NA) IS EQUAL TO SPACES)
038200             MOVE DFHBMUBF       TO MG01-NA-LINE-A (X-MG01-NA)
038300             MOVE DFHBMASB       TO MG01-NA-LINE-LP-A (X-MG01-NA)
038400                                    MG01-NA-LINE-RP-A (X-MG01-NA)
038500             MOVE SS08WS-CURSOR  TO MG01-NA-LINE-L (X-MG01-NA)
038600             SET SS08WS-ERROR-SW-YES TO TRUE
038700         WHEN OTHER
038800             MOVE DFHBMASF       TO MG01-NA-LINE-A (X-MG01-NA)
038900             MOVE DFHBMDAS       TO MG01-NA-LINE-LP-A (X-MG01-NA)
039000                                    MG01-NA-LINE-RP-A (X-MG01-NA)
039100             SET WS-UPDATE-SW-YES
039200                                 TO TRUE
039300         END-EVALUATE
039400     END-PERFORM.
039500*
039600*            ***** STATE/PROVINCE *****                        *
039700*
039800     IF  MG01-STATE-L IS LESS THAN 1
039900         MOVE DFHBMASK           TO MG01-STATE-A
040000         MOVE DFHBMDAS           TO MG01-STATE-LP-A
040100                                    MG01-STATE-RP-A
040200         MOVE MMSR-STATE-CODE    TO MG01-STATE
040300     ELSE
040400         MOVE DFHBMASF           TO MG01-STATE-A
040500         MOVE DFHBMDAS           TO MG01-STATE-LP-A
040600                                    MG01-STATE-RP-A
040700         SET WS-UPDATE-SW-YES    TO TRUE.
040800*
040900*            ***** PHONE NUMBER *****                          *
041000*
041100     IF  MG01-PHONE-L IS LESS THAN 1
041200         MOVE DFHBMASK           TO MG01-PHONE-A
041300         MOVE DFHBMDAS           TO MG01-PHONE-LP-A
041400                                    MG01-PHONE-RP-A
041500         MOVE MMSR-PHONE         TO MG01-PHONE
041600     ELSE
041700         MOVE DFHBMASF           TO MG01-PHONE-A
041800         MOVE DFHBMDAS           TO MG01-PHONE-LP-A
041900                                    MG01-PHONE-RP-A
042000         SET WS-UPDATE-SW-YES    TO TRUE.
042100*
042200*            ***** FAX PHONE NUMBER *****                      *
042300*
042400     IF  MG01-FAX-L IS LESS THAN 1
042500         MOVE DFHBMASK           TO MG01-FAX-A
042600         MOVE DFHBMDAS           TO MG01-FAX-LP-A
042700                                    MG01-FAX-RP-A
042800         MOVE MMSR-FAX           TO MG01-FAX
042900     ELSE
043000         MOVE DFHBMASF           TO MG01-FAX-A
043100         MOVE DFHBMDAS           TO MG01-FAX-LP-A
043200                                    MG01-FAX-RP-A
043300         SET WS-UPDATE-SW-YES    TO TRUE.
043400*
043500*            ***** POSTAL CODE *****                           *
043600*
043700     IF  MBCA-PTI-FUNCTION-IS-ADD
043800     AND MG01-POSTAL-CODE-L IS LESS THAN 1
043900     AND MMSR-POSTAL-CODE IS EQUAL TO SPACES
044000         MOVE DFHBMUBF           TO MG01-POSTAL-CODE-A
044100         MOVE DFHBMASB           TO MG01-POSTAL-CODE-LP-A
044200                                    MG01-POSTAL-CODE-RP-A
044300         MOVE SS08WS-CURSOR      TO MG01-POSTAL-CODE-L
044400         SET SS08WS-ERROR-SW-YES TO TRUE
044500     ELSE
044600         IF  MG01-POSTAL-CODE-L IS LESS THAN 1
044700             MOVE DFHBMASK       TO MG01-POSTAL-CODE-A
044800             MOVE DFHBMDAS       TO MG01-POSTAL-CODE-LP-A
044900                                    MG01-POSTAL-CODE-RP-A
045000             MOVE MMSR-POSTAL-CODE
045100                                 TO MG01-POSTAL-CODE
045200         ELSE
045300             IF  MG01-POSTAL-CODE IS EQUAL TO SPACES
045400                 MOVE DFHBMUBF   TO MG01-POSTAL-CODE-A
045500                 MOVE DFHBMASB   TO MG01-POSTAL-CODE-LP-A
045600                                    MG01-POSTAL-CODE-RP-A
045700                 MOVE SS08WS-CURSOR TO MG01-POSTAL-CODE-L
045800                 SET SS08WS-ERROR-SW-YES
045900                                 TO TRUE
046000             ELSE
046100                 MOVE DFHBMASF   TO MG01-POSTAL-CODE-A
046200                 MOVE DFHBMDAS   TO MG01-POSTAL-CODE-LP-A
046300                                    MG01-POSTAL-CODE-RP-A
046400                 SET WS-UPDATE-SW-YES
046500                                 TO TRUE.
046600*
046700 2300-CONTINUE.
046800*
046900     IF  SS08WS-ERROR-SW-NO
047000         GO TO 2400-UPDATE-FILE.
047100*
047200     IF  MBCA-MBUI-UI-YES
047300         MOVE 'MBUI'             TO MBCA-TRANS-ID
047400                                    MBCA-PREV-TRANS-ID
047500         MOVE 01                 TO MBCA-SCREEN-NBR
047600         SET MBCA-MBUI-ERROR-YES TO TRUE
047700         GO TO 2600-SETUP-COMMAREA.
047800*
047900****************************************************************
048000*    SEND THE MAP                                              *
048100****************************************************************
048200*
048300     PERFORM MB60PD-INIT-STD-MAP-LINES
048400                                 THRU MB60PD-ISML-EXIT.
048500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
048600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
048700                                 THRU MB60PD-SMDO-EXIT.
048800*
048900****************************************************************
049000*    RETURN TO CICS                                            *
049100****************************************************************
049200*
049300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
049400     MOVE 01                     TO MBCA-SCREEN-NBR.
049500     PERFORM MB70PD-RETURN-TRANS-ID
049600                                 THRU MB70PD-RTI-EXIT.
049700/
049800 2400-UPDATE-FILE.
049900*
050000     IF  MBCA-MBUI-UI-YES
050100         SET MBCA-MBUI-ERROR-NO  TO TRUE.
050200*
050300     IF  MBCA-MBUI-UI-YES
050400     AND MBCA-MBUI-UI-UPDATE-NO
050500         GO TO 2600-SETUP-COMMAREA.
050600*
050700     IF  WS-UPDATE-SW-NO
050800         GO TO 2600-SETUP-COMMAREA.
050900*
051000****************************************************************
051100*    GETMAIN FOR LOG/JOURNAL RECORD                            *
051200****************************************************************
051300*
051400     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
051500     SET MBIORO-GETMAIN          TO TRUE.
051600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
051700*
051800     MOVE 'SR'                   TO MML1-FILE-CODE.
051900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSR-ORG.
052000     MOVE MBCA-S-CHAIN           TO MML1-MMSR-CHAIN.
052100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
052200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
052300     MOVE ZERO                   TO MML1-SOURCE-CODE.
052400*
052500*****************************************************************
052600*    READ THE STORE RELATIONSHIP CONTROL FILE FOR UPDATE        *
052700*****************************************************************
052800*
052900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
053000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSR-ORG.
053100     MOVE MBCA-S-CHAIN           TO MBIOWS-MMSR-CHAIN.
053200     SET MBIORO-READ-RANDOM-UPDATE
053300                                 TO TRUE.
053400     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
053500*
053600     MOVE ZERO                   TO MML1-FIELD-OCCURRENCE-2.
053700*
053800*            ***** NAME ADDRESS *****                          *
053900*
054000     PERFORM
054100         VARYING X-MMSR-NA FROM 1 BY 1
054200         UNTIL X-MMSR-NA IS GREATER THAN 5
054300         SET X-MG01-NA           TO X-MMSR-NA
054400         SET WS-INDEX            TO X-MMSR-NA
054500         IF MG01-NA-LINE-L (X-MG01-NA) IS GREATER THAN ZEROES
054600             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE
054700             MOVE 0106           TO MML1-FIELD-CODE
054800             MOVE MML1WS-VL-40   TO MML1-VARIABLE-LENGTH
054900             MOVE MMSR-NA-LINE (X-MMSR-NA)
055000                                 TO MML1-VL40-B-DATA-X
055100             MOVE MG01-NA-LINE (X-MG01-NA)
055200                                 TO MMSR-NA-LINE
055300                                    (X-MMSR-NA)
055400             MOVE MMSR-NA-LINE (X-MMSR-NA)
055500                                 TO MML1-VL40-A-DATA-X
055600             PERFORM 9050-CREATE-MAINT-RECORD
055700                                     THRU 9099-CMR-EXIT
055800         END-IF
055900     END-PERFORM.
056000*
056100*            ***** STATE *****                                 *
056200*
056300     IF  MG01-STATE-L IS GREATER THAN ZEROES
056400         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
056500         MOVE 0107               TO MML1-FIELD-CODE
056600         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
056700         MOVE MMSR-STATE-CODE    TO MML1-VL03-B-DATA-X
056800         MOVE MG01-STATE         TO MMSR-STATE-CODE
056900         MOVE MMSR-STATE-CODE    TO MML1-VL03-A-DATA-X
057000         PERFORM 9050-CREATE-MAINT-RECORD
057100                                 THRU 9099-CMR-EXIT.
057200*
057300*            ***** PHONE NUMBER *****                          *
057400*
057500     IF  MG01-PHONE-L IS GREATER THAN ZEROES
057600         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
057700         MOVE 0108               TO MML1-FIELD-CODE
057800         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
057900         MOVE MMSR-PHONE         TO MML1-VL20-B-DATA-X
058000         MOVE MG01-PHONE         TO MMSR-PHONE
058100         MOVE MMSR-PHONE         TO MML1-VL20-A-DATA-X
058200         PERFORM 9050-CREATE-MAINT-RECORD
058300                                 THRU 9099-CMR-EXIT.
058400*
058500*            ***** POSTAL CODE *****                           *
058600*
058700     IF  MG01-POSTAL-CODE-L IS GREATER THAN ZEROES
058800         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
058900         MOVE 0109               TO MML1-FIELD-CODE
059000         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
059100         MOVE MMSR-POSTAL-CODE   TO MML1-VL10-B-DATA-X
059200         MOVE MG01-POSTAL-CODE   TO MMSR-POSTAL-CODE
059300         MOVE MMSR-POSTAL-CODE   TO MML1-VL10-A-DATA-X
059400         PERFORM 9050-CREATE-MAINT-RECORD
059500                                 THRU 9099-CMR-EXIT.
059600*
059700*            ***** FAX PHONE NUMBER *****                      *
059800*
059900     IF  MG01-FAX-L IS GREATER THAN ZEROES
060000         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
060100         MOVE 0110               TO MML1-FIELD-CODE
060200         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
060300         MOVE MMSR-FAX           TO MML1-VL20-B-DATA-X
060400         MOVE MG01-FAX           TO MMSR-FAX
060500         MOVE MMSR-FAX           TO MML1-VL20-A-DATA-X
060600         PERFORM 9050-CREATE-MAINT-RECORD
060700                                 THRU 9099-CMR-EXIT.
060800*
060900     IF  MBCA-PTI-FUNCTION-IS-ADD
061000         SET MMSR-REC-ACTIVE     TO TRUE
061100         MOVE 99                 TO MMSR-ONLINE-STATUS
061200         MOVE ZEROES             TO MML1-FIELD-CODE
061300         MOVE LENGTH OF MMSR-RECORD
061400                                 TO MML1-VARIABLE-LENGTH
061500         MOVE MMSR-RECORD        TO MML1-ADD-AREA
061600         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
061700         SET MBIORO-WRITE        TO TRUE
061800         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT
061900         MOVE 'SC05'             TO MBCA-PROGRAM-LOCATION
062000         SET MBIORO-GETMAIN      TO TRUE
062100         PERFORM MMSDAO-ACCESS   THRU MMSDAO-ACCESS-EXIT
062200         MOVE MMSDIR-RECORD      TO MMSD-RECORD
062300         SET MMSD-REC-ACTIVE     TO TRUE
062400         MOVE MBCA-MERCHANT-ORG  TO MMSD-ORG
062500         MOVE MBCA-S-CHAIN       TO MMSD-CHAIN
062600         MOVE 1                  TO MMSD-SEQ-NBR
062700         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
062800         SET MBIORO-WRITE        TO TRUE
062900         PERFORM MMSDAO-ACCESS   THRU MMSDAO-ACCESS-EXIT
063000         MOVE ZEROES             TO MML1-FIELD-CODE
063100                                    MML1-FIELD-OCCURRENCE
063200                                    MML1-FIELD-OCCURRENCE-2
063300         MOVE LENGTH OF MMSD-RECORD
063400                                 TO MML1-VARIABLE-LENGTH
063500         MOVE 'SD'               TO MML1-FILE-CODE
063600         MOVE MBCA-MERCHANT-ORG  TO MML1-MMSD-ORG
063700         MOVE MBCA-S-CHAIN       TO MML1-MMSD-CHAIN
063800         MOVE 1                  TO MML1-MMSD-SEQ-NBR
063900         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
064000         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
064100         MOVE MMSD-RECORD        TO MML1-ADD-AREA
064200         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
064300         SET MBIORO-WRITE        TO TRUE
064400         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT.
064500*
064600*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
064700*
064800     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
064900     MOVE 0199                   TO MML1-FIELD-CODE.
065000     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
065100     MOVE MMSR-LAST-MAINT-DATE
065200                                 TO MML1-VL07-B-DATA-9.
065300     MOVE MBCA-START-DATE        TO MMSR-LAST-MAINT-DATE.
065400     MOVE MMSR-LAST-MAINT-DATE
065500                                 TO MML1-VL07-A-DATA-9.
065600     PERFORM 9050-CREATE-MAINT-RECORD
065700                                 THRU 9099-CMR-EXIT.
065800     MOVE 0198                   TO MML1-FIELD-CODE.
065900     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
066000     MOVE MMSR-LAST-MAINT-OPER
066100                                 TO MML1-VL03-B-DATA-X.
066200     MOVE MBCA-OPERATOR-ID       TO MMSR-LAST-MAINT-OPER.
066300     MOVE MMSR-LAST-MAINT-OPER
066400                                 TO MML1-VL03-A-DATA-X.
066500     PERFORM 9050-CREATE-MAINT-RECORD
066600                                 THRU 9099-CMR-EXIT.
066700*
066800****************************************************************
066900*    UPDATE THE STORE RELATIONSHIP FILE RECORD                 *
067000****************************************************************
067100*
067200     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
067300     SET MBIORO-REWRITE          TO TRUE.
067400     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
067500*
067600     PERFORM 9750-READ-MMOC      THRU 9759-RMMOC-EXIT.
067700*
067800     MOVE 'SC06'                 TO MBCA-PROGRAM-LOCATION.
067900     SET MBIORO-GETMAIN          TO TRUE.
068000     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
068100*
068200     PERFORM 9700-WRITE-NAME-LOCATE-RECORD
068300                                 THRU 9709-WNLR-EXIT.
068400*
068500 2600-SETUP-COMMAREA.
068600*
068700****************************************************************
068800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
068900****************************************************************
069000*
069100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
069200*
069300     PERFORM MB60PD-EDIT-PAGE-NBR
069400                                 THRU MB60PD-EPN-EXIT.
069500*
069600     IF  SS08WS-VALID-PF-KEY
069700     OR  SS08WS-EIBAID-VALID-PF-KEY
069800         SET MBCA-INITIAL-SCREEN-NBR
069900                                 TO TRUE.
070000*
070100     IF  MBCA-MBUI-UI-YES
070200         MOVE 'MBUI'             TO MBCA-TRANS-ID
070300                                    MBCA-PREV-TRANS-ID
070400         MOVE 01                 TO MBCA-SCREEN-NBR
070500         MOVE MBMG01I            TO MBUITS-VAR-DATA
070600         MOVE LENGTH OF MBMG01I  TO MBUITS-VAR-LENGTH
070700         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
070800         EXEC CICS WRITEQ TS
070900                   QUEUE   (TS-QUEUE-NAME)
071000                   FROM    (MBUITS-RECORD)
071100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
071200
071300              END-EXEC.
071400*
071500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
071600     PERFORM MB70PD-XCTL-TO-MBOXCTL
071700                                 THRU MB70PD-XTM-EXIT.
071800/
071900 9000-PERFORMED-ROUTINES-SECT SECTION.
072000*
072100 9050-CREATE-MAINT-RECORD.
072200*
072300*****************************************************************
072400*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
072500*    LOG/JOURNAL TRANSACTIONS                                   *
072600*****************************************************************
072700*
072800     IF  MBCA-PTI-FUNCTION-IS-ADD
072900         GO TO 9099-CMR-EXIT.
073000*
073100*****************************************************************
073200*    WRITE THE LOG/JOURNAL FILE RECORD                          *
073300*****************************************************************
073400*
073500     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
073600     SET MBIORO-WRITE            TO TRUE.
073700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
073800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
073900     MOVE ZERO                   TO MML1-FIELD-OCCURRENCE-2.
074000*
074100 9099-CMR-EXIT.
074200     EXIT.
074300/
074400 9700-WRITE-NAME-LOCATE-RECORD.
074500*
074600     IF  MMOC-STORE-CHAIN-PRIMARY-ON
074700         IF MG01-NA-LINE-L (1) IS GREATER THAN ZERO
074800         OR MG01-NA-LINE-L (2) IS GREATER THAN ZERO
074900         OR MG01-NA-LINE-L (3) IS GREATER THAN ZERO
075000         OR MG01-NA-LINE-L (4) IS GREATER THAN ZERO
075100         OR MG01-NA-LINE-L (5) IS GREATER THAN ZERO
075200         OR MG01-STATE-L IS GREATER THAN ZERO
075300         OR MG01-POSTAL-CODE-L IS GREATER THAN ZERO
075400         OR MG01-PHONE-L IS GREATER THAN ZERO
075500         OR MG01-FAX-L IS GREATER THAN ZERO
075600         MOVE MBCA-MERCHANT-ORG  TO MMNL-ORG
075700         MOVE MMSR-CHAIN         TO MMNL-FILE-NBR
075800         MOVE ZEROS              TO MMNL-TIE-BREAKER
075900         SET MMNL-FILE-IS-STORE-CHAIN
076000                                 TO TRUE
076100         SET MMNL-NAME-IS-PRIMARY
076200                                 TO TRUE
076300         MOVE MMSR-NA-LINE (1)   TO MMNL-NAME
076400         MOVE MMSR-NA-LINE (2)   TO MMNL-ADDR1
076500         MOVE MMSR-PHONE         TO MMNL-PHONE
076600         MOVE MMSR-POSTAL-CODE   TO MMNL-POSTAL-CODE
076700         EVALUATE TRUE
076800           WHEN  MMSR-NA-LINE (5) IS NOT EQUAL TO SPACES
076900             MOVE MMSR-NA-LINE (5)
077000                                 TO MMNL-CITY
077100           WHEN  MMSR-NA-LINE (4) IS NOT EQUAL TO SPACES
077200             MOVE MMSR-NA-LINE (4)
077300                                 TO MMNL-CITY
077400           WHEN  MMSR-NA-LINE (3) IS NOT EQUAL TO SPACES
077500             MOVE MMSR-NA-LINE (3)
077600                                 TO MMNL-CITY
077700           WHEN  MMSR-NA-LINE (2) IS NOT EQUAL TO SPACES
077800             MOVE MMSR-NA-LINE (2)
077900                                 TO MMNL-CITY
078000           WHEN  MMSR-NA-LINE (1) IS NOT EQUAL TO SPACES
078100             MOVE MMSR-NA-LINE (1)
078200                                 TO MMNL-CITY
078300         END-EVALUATE
078400         MOVE MMSR-STATE-CODE    TO MMNL-STATE
078500         PERFORM 9770-WRITE-MMNL THRU 9779-WMMNL-EXIT.
078600*
078700 9709-WNLR-EXIT.
078800     EXIT.
078900*
079000 9750-READ-MMOC.
079100*
079200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
079300     SET MBIORO-READ-RANDOM      TO TRUE.
079400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
079500*
079600 9759-RMMOC-EXIT.
079700     EXIT.
079800*
079900 9770-WRITE-MMNL.
080000*
080100     IF  MMNL-NAME IS EQUAL TO SPACES
080200         GO TO 9779-WMMNL-EXIT.
080300*
080400     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
080500     MOVE SS08WS-CICS-FC-DUPKEY  TO MBIORO-TEMP-STATUS-1.
080600     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-2.
080700     SET MBIORO-WRITE            TO TRUE.
080800     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
080900*
081000     IF  SS08WS-RC-FC-DUPKEY
081100     OR  SS08WS-RC-FC-DUPREC
081200         ADD 1                   TO MMNL-TIE-BREAKER
081300         GO TO 9770-WRITE-MMNL.
081400*
081500 9779-WMMNL-EXIT.
081600     EXIT.
081700/
081800*
081900*
082000 9899-HA-EXIT.
082100     EXIT.
082200/         DATE VALIDATION ROUTINE
082300     COPY SS05PD.
082400/         GREGORIAN TO JULIAN DATE ROUTINE
082500     COPY SS07PD.
082600/         JULIAN TO GREGORIAN DATE ROUTINE.
082700     COPY SS08PD.
082800/         DATE AND TIME EDIT ROUTINES.
082900     COPY SS26PD.
083000     COPY SS27PD.
083100/         LINE 24 PF KEYS ROUTINE
083200     COPY SS15PD.
083300/         STORE RELATIONSHIP CONTROL ACCESS ROUTINES
083400     COPY MMSRAO.
083500/         STORE RELATIONSHIP DETAIL ACCESS ROUTINES
083600     COPY MMSDAO.
083700/         STORE MASTER RECORD ACCESS ROUTINES
083800     COPY MMSMAO.
083900/         CONTROL FILE RECORD ACCESS ROUTINES
084000     COPY MMOCAO.
084100/         SYSTEM CNTL FILE RECORD ACCESS ROUTINES
084200     COPY MMSCAO.
084300/         NAME LOCATE RECORD ACCESS ROUTINES
084400     COPY MMNLAO.
084500/         LOG/JOURNAL ACCESS ROUTINES
084600     COPY MML1AO.
084700/         ON-LINE MAP ROUTINES
084800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMG01 '
084900                           MBMAPXXI BY MBMG01I
085000                           MBMAPXXO BY MBMG01O.
085100/         ON-LINE PROCEDURES
085200     COPY MB70PD.
085300/
085400     COPY SMFTPXO.
