000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMI00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMI00 - ON-LINE MERCHANT INCOME FACTORS RECORD         *
000800*                ADD/MAINTENANCE/INQUIRY                        *
000900*                SCREEN 00                                      *
001000*                                                               *
001100*              1. TRANSIDS                                      *
001200*                 A. MBAI                                       *
001300*                 B. MBMI                                       *
001400*                 C. MBQI                                       *
001500*              2. MAPS USED -                                   *
001600*                 A. MBMI00 (LOCATE MAP)                        *
001700*              3. FILES USED -                                  *
001800*                 A. MMIF   (MERCHANT INCOME FACTORS FILE)      *
001900*                 B. MMLI   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800/         I/O REQUEST BLOCK WORK AREAS
002900     COPY MBIOWS.
003000*
003100/         I/O REQUEST BLOCK
003200     COPY MBIORO.
003300*
003400/         INCOME FACTORS RECORD INITIALIZE VALUES
003500     COPY MMIFIR REPLACING ==:MMIF:== BY ==MMIF==.
003600*
003700/         DATE WORK AREAS
003800     COPY SS01WS.
003900*
004000/         ONLINE WORK AREAS
004100     COPY SS08WS.
004200/
004300     COPY SS00WS.
004400/
004500     COPY SMFTWS.
004600/
004700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004800/
004900     COPY MB61LK.
005000/         STANDARD ERROR MESSAGES
005100     COPY MBEMWS.
005200*
005300 01  WS-MISCELLANEOUS.
005400     03  WS-ORG-LOW          PIC S9(03)      VALUE +001 COMP-3.
005500     03  WS-ORG-HIGH         PIC S9(03)      VALUE +998 COMP-3.
005600     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
005700         88  WS-COPY-SW-NO                   VALUE 'N'.
005800         88  WS-COPY-SW-YES                  VALUE 'Y'.
005900*
006000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006100/
006200 LINKAGE SECTION.
006300 01  DFHCOMMAREA.
006400*
006500     COPY MB60WS.
006600*         ORG CONTROL RECORD LAYOUT
006700     COPY MMOCRL.
006800*
006900/         MERCHANT INCOME FACTORS SCREEN 00 MAP DSECT
007000     COPY MBMI00.
007100*
007200/         MERCHANT INCOME FACTORS SCREEN 00 REDEFINES
007300     COPY MBMI00R.
007400*
007500/         MERCHANT INCOME FACTORS RECORD LAYOUT
007600     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
007700/
007800 PROCEDURE DIVISION.
007900 0000-HOUSEKEEPING SECTION.
008000 0100-INIT.
008100*
008200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008400                                 THRU MB70PD-OLH-EXIT.
008500*
008600     IF  MBCA-RECEIVE-SCREEN
008700         GO TO 2000-RECEIVE-SCREEN.
008800*
008900 1000-SEND-SCREEN SECTION.
009000*
009100****************************************************************
009200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009300****************************************************************
009400*
009500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009600     PERFORM MB60PD-GETMAIN-FOR-MAP
009700                                 THRU MB60PD-GFM-EXIT.
009800*
009900*****************************************************************
010000*    CHECK KEY CODES                                            *
010100* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
010200* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
010300* 3. IF MMIF KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
010400*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
010500*    ORG TABLE IN THE MAP. IF AN ERROR OCCURS IN THE            *
010600*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
010700*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
010800*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
010900*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG AND TABLE INTO MAP    *
011000*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
011100* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG AND     *
011200*    MBCA-TABLE FIELD IS GREATER THAN ZERO. IF SO, PLUG INTO    *
011300*    HANDLE IF THEY WERE NON-DIRECT.                            *
011400*****************************************************************
011500*
011600     MOVE 'N'                    TO MBCA-MBMI-NEXT-PROD-SW.
011700     MOVE 1                      TO MBCA-MBMI-QL-INDEX.
011800     MOVE 1                      TO MBCA-MBMI-IFT-INDEX.
011900     MOVE 3                      TO MBCA-MBMI-PL-INDEX.
012000*
012100     IF  MBCA-PTI-FUNCTION-IS-ADD
012200     OR  MBCA-INITIAL-KEY-CODE
012300         GO TO 1100-BUILD-SCREEN.
012400*
012500     IF  MBCA-MMIF-KEY-CODE
012600     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
012700     AND MBCA-TABLE        IS GREATER THAN ZERO
012800         MOVE MBCA-MERCHANT-ORG  TO MI00-ORG
012900         MOVE MBCA-TABLE         TO MI00-TABLE-NBR
013000         MOVE DFHBMUNF           TO MI00-ORG-A
013100         MOVE DFHBMUNF           TO MI00-TABLE-NBR-A
013200         IF  MBCA-DIRECT-TRANSFER-CODE
013300         AND MBCA-INITIAL-SCREEN-NBR
013400             MOVE 00             TO MBCA-SCREEN-NBR
013500             GO TO 2130-READ-INCOME-FACTORS-REC
013600         ELSE
013700             GO TO 1100-BUILD-SCREEN.
013800*
013900     IF  MBCA-VALID-KEY-CODES
014000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
014100     AND MBCA-TABLE        IS GREATER THAN ZERO
014200         MOVE MBCA-MERCHANT-ORG  TO MI00-ORG
014300         MOVE MBCA-TABLE         TO MI00-TABLE-NBR
014400         MOVE DFHBMUNF           TO MI00-ORG-A
014500         MOVE DFHBMUNF           TO MI00-TABLE-NBR-A.
014600*
014700 1100-BUILD-SCREEN.
014800*
014900****************************************************************
015000*    INITIALIZE THE STANDARD MAP LINES                         *
015100****************************************************************
015200*
015300     MOVE SS08WS-CURSOR          TO MI00-ORG-L.
015400     MOVE 00                     TO MBCA-SCREEN-NBR.
015500     PERFORM MB60PD-INIT-STD-MAP-LINES
015600                                 THRU MB60PD-ISML-EXIT.
015700*
015800     IF  MBCA-PTI-FUNCTION-IS-MAINT
015900     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
016000         MOVE DFHBMDAS           TO MI00-COPY-ORG-LIT-A
016100                                    MI00-COPY-ORG-LP-A
016200                                    MI00-COPY-ORG-RP-A
016300                                    MI00-COPY-TABLE-NBR-LIT-A
016400                                    MI00-COPY-TABLE-NBR-LP-A
016500                                    MI00-COPY-TABLE-NBR-RP-A
016600         MOVE DFHBMASK           TO MI00-COPY-ORG-A
016700                                    MI00-COPY-TABLE-NBR-A.
016800*
016900     IF  MBCA-MERCHANT-ORG IS NUMERIC
017000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
017100     AND MBCA-TABLE        IS NUMERIC
017200     AND MBCA-TABLE        IS GREATER THAN ZERO
017300         IF  MBCA-PTI-FUNCTION-IS-ADD
017400             NEXT SENTENCE
017500         ELSE
017600             MOVE MBCA-MERCHANT-ORG
017700                                 TO MI00-ORG
017800             MOVE MBCA-TABLE     TO MI00-TABLE-NBR.
017900*
018000****************************************************************
018100*    SEND THE MAP                                              *
018200****************************************************************
018300*
018400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018600                                 THRU MB60PD-SMWE-EXIT.
018700*
018800****************************************************************
018900*    RETURN TO CICS                                            *
019000****************************************************************
019100*
019200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019300     PERFORM MB70PD-RETURN-TRANS-ID
019400                                 THRU MB70PD-RTI-EXIT.
019500/
019600 2000-RECEIVE-SCREEN SECTION.
019700*
019800****************************************************************
019900*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
020000****************************************************************
020100*
020200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020400*
020500****************************************************************
020600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
020700****************************************************************
020800*
020900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021000     PERFORM MB60PD-NEW-TRANS-ROUTINE
021100                                 THRU MB60PD-NTR-EXIT.
021200*
021300 2100-EDIT-SCREEN.
021400*
021500     SET SS08WS-ERROR-SW-NO      TO TRUE.
021600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
021700*
021800******************************************************************
021900*    IF NOTHING WAS ENTERED ON THE SCREEN AND A VALID PF KEY WAS *
022000*    DEPRESSED TRANSFER CONTROL TO THAT PROGRAM.                 *
022100******************************************************************
022200*
022300     IF  (MI00-ORG-L IS LESS THAN 1
022400     AND  MI00-TABLE-NBR-L IS LESS THAN 1)
022500     AND (MI00-COPY-ORG-L IS LESS THAN 1
022600     AND  MI00-COPY-TABLE-NBR-L IS LESS THAN 1)
022700     AND (SS08WS-VALID-PF-KEY
022800     OR   SS08WS-EIBAID-VALID-PF-KEY)
022900          SET MBCA-INITIAL-SCREEN-NBR
023000                                 TO TRUE
023100          GO TO 2690-TRANSFER-XCTL.
023200*
023300     IF  MBCA-PTI-FUNCTION-IS-ADD
023400         NEXT SENTENCE
023500     ELSE
023600         GO TO 2120-EDIT-EXP-ORG-TABLE.
023700*
023800 2110-EDIT-EXP-COPY-ORG-TABLE.
023900*
024000     MOVE DFHBMUNF               TO MI00-COPY-ORG-A
024100                                    MI00-COPY-TABLE-NBR-A.
024200     MOVE DFHBMASK               TO MI00-COPY-ORG-LP-A
024300                                    MI00-COPY-ORG-RP-A
024400                                    MI00-COPY-TABLE-NBR-LP-A
024500                                    MI00-COPY-TABLE-NBR-RP-A.
024600*
024700     IF  MI00-COPY-ORG-L      IS EQUAL TO ZERO
024800     AND MI00-COPY-TABLE-NBR-L IS EQUAL TO ZERO
024900         GO TO 2120-EDIT-EXP-ORG-TABLE.
025000*
025100******************************************************************
025200*    AT THIS POINT WE HAVE ENTERED SOMETHING INTO THE COPY       *
025300*    FIELDS. WE MUST ENTER VALID DATA IN BOTH THE ORG AND THE    *
025400*    TABLE FIELDS ELSE IT IS AN ERROR.                           *
025500******************************************************************
025600*
025700     IF  MI00-COPY-ORG-L      IS GREATER THAN ZERO
025800     AND MI00-COPY-TABLE-NBR-L IS LESS THAN ZERO
025900         GO TO 2116-COPY-EXP-TABLE-ERROR.
026000*
026100     IF  MI00-COPY-TABLE-NBR-L IS GREATER THAN ZERO
026200     AND MI00-COPY-ORG-L      IS LESS THAN ZERO
026300         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
026400*
026500     IF  MI00-COPY-ORG IS NOT NUMERIC
026600         MOVE MBEMWS-INVALID-ORG TO MI00-ERR-MESSAGE
026700         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
026800*
026900     IF  MI00-COPY-TABLE-NBR  IS NOT NUMERIC
027000         MOVE MBEMWS-INVALID-TABLE
027100                                 TO MI00-ERR-MESSAGE
027200         GO TO 2116-COPY-EXP-TABLE-ERROR.
027300*
027400     IF  MI00-COPY-ORG IS LESS THAN    MBCA-ORG-LOW
027500     OR  MI00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
027600     OR  MI00-COPY-ORG IS LESS THAN    WS-ORG-LOW
027700     OR  MI00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
027800         MOVE MBEMWS-INVALID-ORG TO MI00-ERR-MESSAGE
027900         GO TO 2115-COPY-EXP-ORG-TABLE-ERROR.
028000*
028100****************************************************************
028200*    READ THE COPY INCOME RECORD                               *
028300****************************************************************
028400*
028500     SET WS-COPY-SW-YES          TO TRUE.
028600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
028700     MOVE MI00-COPY-ORG          TO MBIOWS-MMIF-ORG.
028800     MOVE MI00-COPY-TABLE-NBR    TO MBIOWS-MMIF-TABLE.
028900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
029000     SET MBIORO-READ-RANDOM      TO TRUE.
029100     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
029200*
029300******************************************************************
029400*    IF NO ERRORS ARE FOUND ON A COPY ORG/TABLE NUMBER WE MUST   *
029500*    READ THE COPY 'TO' ORG/TABLE. IF WE RECEIVE AN FC NOTFND    *
029600*    WE HAVE TRIED TO COPY A RECORD THAT IS NOT ON FILE.         *
029700******************************************************************
029800*
029900     IF  SS08WS-RC-FC-NOTFND
030000         MOVE MBEMWS-NOT-ON-FILE TO MI00-ERR-MESSAGE
030100         GO TO 2116-COPY-EXP-TABLE-ERROR.
030200*
030300     IF  MMIF-ADD-PENDING
030400         MOVE MBEMWS-ADD-PENDING TO MI00-ERR-MESSAGE
030500         GO TO 2116-COPY-EXP-TABLE-ERROR.
030600*
030700     GO TO 2120-EDIT-EXP-ORG-TABLE.
030800*
030900 2115-COPY-EXP-ORG-TABLE-ERROR.
031000*
031100     SET SS08WS-ERROR-SW-YES     TO TRUE.
031200     MOVE SS08WS-CURSOR          TO MI00-COPY-ORG-L.
031300     MOVE DFHBMASB               TO MI00-COPY-ORG-LP-A
031400                                    MI00-COPY-ORG-RP-A.
031500     MOVE DFHBMNBF               TO MI00-COPY-ORG-A.
031600     MOVE DFHBMUNF               TO MI00-ORG-A
031700                                    MI00-TABLE-NBR-A.
031800*
031900     GO TO 2200-VAL-EXP-ORG-TABLE.
032000*
032100 2116-COPY-EXP-TABLE-ERROR.
032200*
032300     SET SS08WS-ERROR-SW-YES     TO TRUE.
032400     MOVE SS08WS-CURSOR          TO MI00-COPY-TABLE-NBR-L.
032500     MOVE DFHBMASB               TO MI00-COPY-TABLE-NBR-RP-A
032600                                    MI00-COPY-TABLE-NBR-LP-A.
032700     MOVE DFHBMNBF               TO MI00-COPY-TABLE-NBR-A.
032800     MOVE DFHBMUNF               TO MI00-ORG-A
032900                                    MI00-TABLE-NBR-A.
033000*
033100     GO TO 2200-VAL-EXP-ORG-TABLE.
033200*
033300 2120-EDIT-EXP-ORG-TABLE.
033400*
033500     MOVE DFHBMUNF               TO MI00-ORG-A
033600                                    MI00-TABLE-NBR-A.
033700     MOVE DFHBMASK               TO MI00-ORG-LP-A
033800                                    MI00-ORG-RP-A
033900                                    MI00-TABLE-NBR-LP-A
034000                                    MI00-TABLE-NBR-RP-A.
034100*
034200     IF  MI00-ORG-L IS EQUAL TO ZERO
034300     OR  MI00-ORG IS NOT NUMERIC
034400         MOVE MBEMWS-INVALID-ORG TO MI00-ERR-MESSAGE
034500         GO TO 2140-EXP-ORG-TABLE-ERROR.
034600*
034700     IF  MI00-TABLE-NBR-L IS EQUAL TO ZERO
034800     OR  MI00-TABLE-NBR  IS NOT NUMERIC
034900         MOVE MBEMWS-INVALID-TABLE
035000                                 TO MI00-ERR-MESSAGE
035100         GO TO 2150-EXP-TABLE-ERROR.
035200*
035300     IF  MI00-ORG IS LESS THAN    MBCA-ORG-LOW
035400     OR  MI00-ORG IS GREATER THAN MBCA-ORG-HIGH
035500     OR  MI00-ORG IS LESS THAN    WS-ORG-LOW
035600     OR  MI00-ORG IS GREATER THAN WS-ORG-HIGH
035700         MOVE MBEMWS-INVALID-ORG TO MI00-ERR-MESSAGE
035800         GO TO 2140-EXP-ORG-TABLE-ERROR.
035900*
036000 2130-READ-INCOME-FACTORS-REC.
036100*
036200****************************************************************
036300*    READ THE INCOME RECORD                                    *
036400****************************************************************
036500*
036600     MOVE MI00-ORG               TO MBIOWS-MMIF-ORG.
036700     MOVE MI00-TABLE-NBR         TO MBIOWS-MMIF-TABLE.
036800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
036900     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
037000     SET MBIORO-READ-RANDOM      TO TRUE.
037100     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
037200*
037300     IF  SS08WS-RC-FC-VALID-RTN-CODE
037400         MOVE MI00-ORG           TO MBCA-MERCHANT-ORG
037500         MOVE MI00-TABLE-NBR     TO MBCA-TABLE.
037600*
037700******************************************************************
037800*    IF THIS IS ADD FUNCTION WE WANT TO RECEIVE A NOT FOUND      *
037900*    CONDITION, FOR AN ADD ORG/TABLE NUMBER.                     *
038000******************************************************************
038100*
038200     IF  MBCA-PTI-FUNCTION-IS-ADD
038300     AND SS08WS-RC-FC-NOTFND
038400         MOVE MI00-ORG           TO MBCA-MERCHANT-ORG
038500         GO TO 2200-VAL-EXP-ORG-TABLE.
038600*
038700******************************************************************
038800*    IF YOU ARE IN IN ADD SCREEN AND THE RECORD YOU ARE TRYING TO*
038900*    TO READ IS IN A PENDING STATE YOU WILL BE SENT TO THE LAST  *
039000*    SCREEN YOU WERE WORKING ON. IF YOU ARE TRYING TO COPY A     *
039100*    A RECORD THAT IS IN A PENDING STATE AN ERROR MESSAGE WILL   *
039200*    BE SENT.                                                    *
039300******************************************************************
039400*
039500     IF  MBCA-PTI-FUNCTION-IS-ADD
039600     AND MMIF-ADD-PENDING
039700         IF  WS-COPY-SW-NO
039800             MOVE MMIF-ONLINE-STATUS
039900                                 TO MBCA-SCREEN-NBR
040000             GO TO 2600-SETUP-COMMAREA
040100         ELSE
040200             MOVE MBEMWS-ADD-PENDING
040300                                 TO MI00-ERR-MESSAGE
040400             GO TO 2116-COPY-EXP-TABLE-ERROR.
040500*
040600******************************************************************
040700*    AT THIS POINT WE HAVE AN ERROR AS WE ARE TRYING TO ADD A    *
040800*    RECORD THAT IS ALREADY ON FILE.                             *
040900******************************************************************
041000*
041100     IF  MBCA-PTI-FUNCTION-IS-ADD
041200         MOVE MBEMWS-ALREADY-ON-FILE
041300                                 TO MI00-ERR-MESSAGE
041400         GO TO 2140-EXP-ORG-TABLE-ERROR.
041500*
041600******************************************************************
041700*    IF WE ARE MAINTAINING/INQUIRING ON A RECORD IT MUST BE ON   *
041800*    FILE AND IT MUST BE ACTIVE ELSE SEND ERROR SCREEN.          *
041900******************************************************************
042000*
042100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
042200     AND SS08WS-RC-FC-NOTFND
042300         MOVE MBEMWS-NOT-ON-FILE TO MI00-ERR-MESSAGE
042400         GO TO 2150-EXP-TABLE-ERROR.
042500*
042600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
042700     AND MMIF-ADD-PENDING
042800         MOVE MBEMWS-ADD-PENDING TO MI00-ERR-MESSAGE
042900         GO TO 2150-EXP-TABLE-ERROR.
043000*
043100     IF  MBCA-PTI-FUNCTION-IS-MAINT
043200     AND SS08WS-RC-FC-NOTFND
043300         MOVE MBEMWS-NOT-ON-FILE TO MI00-ERR-MESSAGE
043400         GO TO 2150-EXP-TABLE-ERROR.
043500*
043600     IF  MBCA-PTI-FUNCTION-IS-MAINT
043700     AND MMIF-ADD-PENDING
043800         MOVE MBEMWS-ADD-PENDING TO MI00-ERR-MESSAGE
043900         GO TO 2150-EXP-TABLE-ERROR.
044000*
044100     IF  MBCA-PTI-FUNCTION-IS-MAINT
044200     AND MMIF-REC-PURGED
044300         MOVE MBEMWS-REC-PURGED  TO MI00-ERR-MESSAGE
044400         GO TO 2150-EXP-TABLE-ERROR.
044500*
044600******************************************************************
044700*    OTHERWISE, WE PASSED THE ORG EDIT                           *
044800******************************************************************
044900*
045000     GO TO 2200-VAL-EXP-ORG-TABLE.
045100*
045200 2140-EXP-ORG-TABLE-ERROR.
045300*
045400     SET SS08WS-ERROR-SW-YES     TO TRUE.
045500     MOVE SS08WS-CURSOR          TO MI00-ORG-L.
045600     MOVE DFHBMASB               TO MI00-ORG-LP-A
045700                                    MI00-ORG-RP-A.
045800     MOVE DFHBMNBF               TO MI00-ORG-A.
045900*
046000     GO TO 2200-VAL-EXP-ORG-TABLE.
046100*
046200 2150-EXP-TABLE-ERROR.
046300*
046400     SET SS08WS-ERROR-SW-YES     TO TRUE.
046500     MOVE SS08WS-CURSOR          TO MI00-TABLE-NBR-L.
046600     MOVE DFHBMASB               TO MI00-TABLE-NBR-RP-A
046700                                    MI00-TABLE-NBR-LP-A.
046800     MOVE DFHBMNBF               TO MI00-TABLE-NBR-A.
046900*
047000 2200-VAL-EXP-ORG-TABLE.
047100*
047200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
047300     OR  MBCA-PTI-FUNCTION-IS-MAINT
047400         IF  SS08WS-ERROR-SW-NO
047500             GO TO 2600-SETUP-COMMAREA
047600         ELSE
047700             GO TO 2290-CHECK-ERROR.
047800*
047900     MOVE MI00-TABLE-NBR         TO MBCA-TABLE.
048000*
048100 2290-CHECK-ERROR.
048200*
048300     IF  SS08WS-ERROR-SW-NO
048400         GO TO 2400-UPDATE-FILE
048500     ELSE
048600         IF  SS08WS-VALID-PF-KEY
048700         OR  SS08WS-EIBAID-VALID-PF-KEY
048800             SET MBCA-INITIAL-SCREEN-NBR
048900                                 TO TRUE
049000             GO TO 2690-TRANSFER-XCTL.
049100*
049200 2300-SEND-MAP.
049300*
049400****************************************************************
049500*    SEND THE MAP                                              *
049600****************************************************************
049700*
049800     PERFORM MB60PD-INIT-STD-MAP-LINES
049900                                 THRU MB60PD-ISML-EXIT.
050000*
050100     IF  MBCA-PTI-FUNCTION-IS-MAINT
050200     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
050300         MOVE DFHBMDAS           TO MI00-COPY-ORG-LIT-A
050400                                    MI00-COPY-TABLE-NBR-LIT-A
050500                                    MI00-COPY-ORG-LP-A
050600                                    MI00-COPY-ORG-RP-A
050700                                    MI00-COPY-TABLE-NBR-RP-A
050800                                    MI00-COPY-TABLE-NBR-LP-A
050900         MOVE DFHBMASK           TO MI00-COPY-ORG-A
051000                                    MI00-COPY-TABLE-NBR-A.
051100*
051200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
051300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
051400                                 THRU MB60PD-SMWE-EXIT.
051500*
051600****************************************************************
051700*    RETURN TO CICS                                            *
051800****************************************************************
051900*
052000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
052100     PERFORM MB70PD-RETURN-TRANS-ID
052200                                 THRU MB70PD-RTI-EXIT.
052300*
052400/
052500 2400-UPDATE-FILE.
052600*
052700****************************************************************
052800*    WRITE THE NEW INCOME RECORD FROM THE INIT RECORD OR FROM *
052900*    THE INCOME RECORD THAT IS BEING COPIED.                   *
053000****************************************************************
053100*
053200     IF  MI00-COPY-ORG-L IS GREATER THAN ZERO
053300     AND MI00-COPY-TABLE-NBR-L IS GREATER THAN ZERO
053400         PERFORM 9100-COPY-EXP-FACTORS-TABLE
053500                                 THRU 9199-CEFT-EXIT
053600     ELSE
053700         PERFORM 9200-ADD-EXP-FACTORS-TABLE
053800                                 THRU 9299-AEFT-EXIT.
053900*
054000 2600-SETUP-COMMAREA.
054100*
054200****************************************************************
054300*    READ THE ORGANIZATION FILE RECORD                         *
054400****************************************************************
054500*
054600     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
054700     MOVE MI00-ORG               TO MBIOWS-MMOC-ORG.
054800     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
054900     SET MBIORO-READ-RANDOM      TO TRUE.
055000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
055100*
055200     IF  SS08WS-RC-FC-VALID-RTN-CODE
055300         MOVE MMOC-ORG           TO MBCA-ORG
055400         MOVE MMOC-CURRENCY-CODE
055500                                 TO MBCA-CURRENCY-CODE
055600         MOVE MMOC-CURRENCY-NOD
055700                                 TO MBCA-CURRENCY-NOD
055800         MOVE MMOC-PERCENT-NOD
055900                                 TO MBCA-PERCENT-NOD
056000         MOVE MMOC-PER-ITEM-NOD
056100                                 TO MBCA-PER-ITEM-NOD
056200     ELSE
056300         MOVE MBEMWS-NOT-ON-FILE TO MI00-ERR-MESSAGE.
056400*
056500*
056600****************************************************************
056700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
056800****************************************************************
056900*
057000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
057100*
057200     IF  MBCA-PTI-FUNCTION-IS-ADD
057300         MOVE MBIOWS-MMIF-KEY-CODE
057400                                 TO MBCA-KEY-CODE
057500     ELSE
057600         MOVE MBIOWS-MMIF-DIRECT-KEY-CODE
057700                                 TO MBCA-KEY-CODE.
057800*
057900     PERFORM MB60PD-EDIT-PAGE-NBR
058000                                 THRU MB60PD-EPN-EXIT.
058100*
058200     IF  SS08WS-VALID-PF-KEY
058300     OR  SS08WS-EIBAID-VALID-PF-KEY
058400         SET MBCA-INITIAL-SCREEN-NBR
058500                                 TO TRUE.
058600*
058700 2690-TRANSFER-XCTL.
058800*
058900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
059000     PERFORM MB70PD-XCTL-TO-MBOXCTL
059100                                 THRU MB70PD-XTM-EXIT.
059200/
059300 9000-PERFORMED-ROUTINES-SECT SECTION.
059400*
059500 9100-COPY-EXP-FACTORS-TABLE.
059600*
059700****************************************************************
059800*    READ THE COPY INCOME FACTORS RECORD                       *
059900****************************************************************
060000*
060100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
060200     MOVE MI00-COPY-ORG          TO MBIOWS-MMIF-ORG.
060300     MOVE MI00-COPY-TABLE-NBR    TO MBIOWS-MMIF-TABLE.
060400     SET MBIORO-READ-RANDOM      TO TRUE.
060500     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
060600*
060700     MOVE MBCA-MERCHANT-ORG      TO MMIF-ORG.
060800     MOVE MBCA-TABLE             TO MMIF-TABLE-NBR.
060900     MOVE ZERO                   TO MMIF-ONLINE-STATUS.
061000     MOVE ZERO                   TO MMIF-REC-STATUS.
061100*
061200*
061300****************************************************************
061400*    WRITE THE NEW INCOME FACTORS                              *
061500****************************************************************
061600*
061700     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
061800     SET MBIORO-WRITE            TO TRUE.
061900     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
062000*
062100 9199-CEFT-EXIT.
062200     EXIT.
062300*
062400 9200-ADD-EXP-FACTORS-TABLE.
062500*
062600****************************************************************
062700*    GETMAIN FOR INCOME FACTORS RECORD                         *
062800****************************************************************
062900*
063000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
063100     SET MBIORO-GETMAIN          TO TRUE.
063200     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
063300*
063400*
063500****************************************************************
063600*    INITIALIZE THE INCOME FACTORS RECORD                      *
063700****************************************************************
063800*
063900     MOVE MMIFIR-RECORD          TO MMIF-RECORD.
064000     MOVE MBCA-MERCHANT-ORG      TO MMIF-ORG.
064100     MOVE MBCA-TABLE             TO MMIF-TABLE-NBR.
064200*
064300****************************************************************
064400*    WRITE THE NEW INITIALIZED INCOME FACTORS RECORD           *
064500****************************************************************
064600*
064700     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
064800     SET MBIORO-WRITE            TO TRUE.
064900     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
065000*
065100 9299-AEFT-EXIT.
065200     EXIT.
065300*
065400/         GREGORIAN TO JULIAN DATE ROUTINE
065500     COPY SS07PD.
065600*
065700/         JULIAN TO GREGORIAN DATE ROUTINE
065800     COPY SS08PD.
065900/         DATE AND TIME EDIT ROUTINES
066000     COPY SS26PD.
066100     COPY SS27PD.
066200*
066300/         LINE 24 PF KEYS ROUTINE
066400     COPY SS15PD.
066500*
066600/         ORG RECORD ACCESS ROUTINES
066700     COPY MMOCAO.
066800/         INCOME FILE ACCESS ROUTINE
066900     COPY MMIFAO.
067000*
067100/         ON-LINE MAP ROUTINES
067200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMI00 '
067300                           MBMAPXXI BY MBMI00I
067400                           MBMAPXXO BY MBMI00O.
067500*
067600/         ON-LINE PROCEDURES
067700     COPY MB70PD.
067800/
067900     COPY SMFTPXO.
