000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMI02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMI02 - ON-LINE MERCHANT INCOME FACTORS RECORD         *
000800*                ADD/MAINTENANCE/INQUIRY                        *
000900*                SCREEN 02                                      *
001000*                                                               *
001100*              1. TRANSIDS                                      *
001200*                 A. MBAI                                       *
001300*                 B. MBMI                                       *
001400*                 C. MBQI                                       *
001500*              2. MAPS USED -                                   *
001600*                 A. MBMI02 (MAP 02)                            *
001700*              3. FILES USED -                                  *
001800*                 A. MMIF   (MERCHANT INCOME FACTORS FILE)      *
001900*                 B. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         LOG/JOURNAL WORK AREAS
003200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/         CHECK DIGIT WORK FIELDS
004600     COPY SS05WS.
004700/
004800 01  WS-WORK-AREAS.
004900     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005000         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005100         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500 01  DFHCOMMAREA.
005600     COPY MB60WS.
005700/         ORG SCREEN 02 MAP DSECT
005800     COPY MBMI02.
005900/         ORG SCREEN 02 MAP REDEFINITION
006000     COPY MBMI02R.
006100/         MERCHANT INCOME FACTORS RECORD LAYOUT
006200     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
006300/         LOG/JOURNAL FILE RECORD LAYOUT
006400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 PROCEDURE DIVISION.
006700 0000-HOUSEKEEPING SECTION.
006800 0100-INIT.
006900*
007000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007200                                 THRU MB70PD-OLH-EXIT.
007300*
007400     IF  MBCA-RECEIVE-SCREEN
007500         GO TO 2000-RECEIVE-SCREEN.
007600/
007700 1000-SEND-SCREEN SECTION.
007800*
007900****************************************************************
008000*    THIS SECTION BUILDS AND SENDS THE 02 SCREEN.              *
008100****************************************************************
008200*
008300****************************************************************
008400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008500****************************************************************
008600*
008700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008800     PERFORM MB60PD-GETMAIN-FOR-MAP
008900                                 THRU MB60PD-GFM-EXIT.
009000*
009100     MOVE MBCA-MERCHANT-ORG      TO MI02-ORG.
009200     MOVE MBCA-TABLE             TO MI02-TABLE-NBR.
009300     MOVE DFHBMASB               TO MI02-ORG-A
009400                                    MI02-TABLE-NBR-A.
009500     MOVE 02                     TO MBCA-SCREEN-NBR.
009600*
009700****************************************************************
009800*    INITIALIZE THE STANDARD MAP LINES                         *
009900****************************************************************
010000*
010100     PERFORM MB60PD-INIT-STD-MAP-LINES
010200                                 THRU MB60PD-ISML-EXIT.
010300*
010400****************************************************************
010500*    READ THE INCOME FACTORS FILE                             *
010600****************************************************************
010700*
010800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
010900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIF-ORG.
011000     MOVE MBCA-TABLE             TO MBIOWS-MMIF-TABLE.
011100     SET MBIORO-READ-RANDOM      TO TRUE.
011200     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
011300/
011400 1100-BUILD-SCREEN.
011500*
011600****************************************************************
011700*    BUILD THE MAP FROM THE INCOME RECORD                      *
011800****************************************************************
011900*
012000     MOVE MMIF-TABLE-NAME        TO MI02-TABLE-NAME.
012100     MOVE DFHBMASB               TO MI02-TABLE-NAME-A.
012200     MOVE MMIF-IMP-1-DEV-FEE     TO MI02-IMP-1-DEVICE.
012300     MOVE MMIF-IMP-2-DEV-FEE     TO MI02-IMP-2-DEVICE.
012400     MOVE MMIF-IMP-3-DEV-FEE     TO MI02-IMP-3-DEVICE.
012500     MOVE MMIF-POS-1-DEV-FEE     TO MI02-POS-1-DEVICE.
012600     MOVE MMIF-POS-2-DEV-FEE     TO MI02-POS-2-DEVICE.
012700     MOVE MMIF-POS-3-DEV-FEE     TO MI02-POS-3-DEVICE.
012800     MOVE MMIF-VOICE-AUTH-FEE    TO MI02-VOICE-APPR.
012900     MOVE MMIF-VOICE-AUTH-DECL-FEE
013000                                 TO MI02-VOICE-DECL.
013100     MOVE MMIF-POS-1-AUTH-FEE    TO MI02-POS-1-APPR.
013200     MOVE MMIF-POS-1-AUTH-DECL-FEE
013300                                 TO MI02-POS-1-DECL.
013400     MOVE MMIF-POS-2-AUTH-FEE    TO MI02-POS-2-APPR.
013500     MOVE MMIF-POS-2-AUTH-DECL-FEE
013600                                 TO MI02-POS-2-DECL.
013700     MOVE MMIF-POS-3-AUTH-FEE    TO MI02-POS-3-APPR.
013800     MOVE MMIF-POS-3-AUTH-DECL-FEE
013900                                 TO MI02-POS-3-DECL.
014000/
014100****************************************************************
014200*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
014300****************************************************************
014400*
014500     MOVE SS08WS-CURSOR          TO MI02-IMP-1-DEVICE-L.
014600*
014700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
014800         MOVE SS08WS-CURSOR      TO MI02-ALT-TRANID-L
014900         MOVE DFHBMASB           TO MI02-IMP-1-DEVICE-A
015000                                    MI02-IMP-2-DEVICE-A
015100                                    MI02-IMP-3-DEVICE-A
015200                                    MI02-POS-1-DEVICE-A
015300                                    MI02-POS-2-DEVICE-A
015400                                    MI02-POS-3-DEVICE-A
015500                                    MI02-VOICE-APPR-A
015600                                    MI02-VOICE-DECL-A
015700                                    MI02-POS-1-APPR-A
015800                                    MI02-POS-1-DECL-A
015900                                    MI02-POS-2-APPR-A
016000                                    MI02-POS-2-DECL-A
016100                                    MI02-POS-3-APPR-A
016200                                    MI02-POS-3-DECL-A
016300         MOVE DFHBMDAS           TO MI02-POS-1-DEVICE-LP-A
016400                                    MI02-POS-1-DEVICE-RP-A
016500                                    MI02-POS-2-DEVICE-LP-A
016600                                    MI02-POS-2-DEVICE-RP-A
016700                                    MI02-POS-3-DEVICE-LP-A
016800                                    MI02-POS-3-DEVICE-RP-A
016900                                    MI02-IMP-1-DEVICE-LP-A
017000                                    MI02-IMP-1-DEVICE-RP-A
017100                                    MI02-IMP-2-DEVICE-LP-A
017200                                    MI02-IMP-2-DEVICE-RP-A
017300                                    MI02-IMP-3-DEVICE-LP-A
017400                                    MI02-IMP-3-DEVICE-RP-A
017500                                    MI02-VOICE-APPR-LP-A
017600                                    MI02-VOICE-APPR-RP-A
017700                                    MI02-VOICE-DECL-LP-A
017800                                    MI02-VOICE-DECL-RP-A
017900                                    MI02-POS-1-APPR-LP-A
018000                                    MI02-POS-1-APPR-RP-A
018100                                    MI02-POS-1-DECL-LP-A
018200                                    MI02-POS-1-DECL-RP-A
018300                                    MI02-POS-2-APPR-LP-A
018400                                    MI02-POS-2-APPR-RP-A
018500                                    MI02-POS-2-DECL-LP-A
018600                                    MI02-POS-2-DECL-RP-A
018700                                    MI02-POS-3-APPR-LP-A
018800                                    MI02-POS-3-APPR-RP-A
018900                                    MI02-POS-3-DECL-LP-A
019000                                    MI02-POS-3-DECL-RP-A.
019100*
019200****************************************************************
019300*    FORMAT THE MESAGE LINE                                    *
019400****************************************************************
019500*
019600     IF MI02-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
019700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
019800           THRU MB06PD-FML-EXIT
019900        MOVE SS08WS-FORMATTED-MSG TO MI02-ERR-MESSAGE.
020000*
020100****************************************************************
020200*    SEND THE MAP                                              *
020300****************************************************************
020400*
020500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
020600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
020700                                 THRU MB60PD-SMWE-EXIT.
020800*
020900****************************************************************
021000*    RETURN TO CICS                                            *
021100****************************************************************
021200*
021300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
021400     PERFORM MB70PD-RETURN-TRANS-ID
021500                                 THRU MB70PD-RTI-EXIT.
021600/
021700 2000-RECEIVE-SCREEN SECTION.
021800*
021900****************************************************************
022000*    THIS SECTION RECEIVES THE 02 SCREEN                       *
022100****************************************************************
022200*
022300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
022400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
022500*
022600****************************************************************
022700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
022800****************************************************************
022900*
023000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
023100     PERFORM MB60PD-NEW-TRANS-ROUTINE
023200                                 THRU MB60PD-NTR-EXIT.
023300*
023400****************************************************************
023500*    BYPASS EDITS ON INQUIRY                                   *
023600****************************************************************
023700*
023800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
023900         GO TO 2600-SETUP-COMMAREA.
024000*
024100****************************************************************
024200*    READ THE INCOME FILE                                      *
024300****************************************************************
024400*
024500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
024600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIF-ORG.
024700     MOVE MBCA-TABLE             TO MBIOWS-MMIF-TABLE.
024800     SET MBIORO-READ-RANDOM      TO TRUE.
024900     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
025000*
025100****************************************************************
025200*    EDIT FIELDS                                               *
025300****************************************************************
025400*
025500*            ***** IMP 1 DEVICE FEE *****                      *
025600*
025700     IF  MI02-IMP-1-DEVICE-L IS LESS THAN 1
025800         MOVE DFHBMASK           TO MI02-IMP-1-DEVICE-A
025900         MOVE DFHBMDAS           TO MI02-IMP-1-DEVICE-LP-A
026000                                    MI02-IMP-1-DEVICE-RP-A
026100         MOVE MMIF-IMP-1-DEV-FEE TO MI02-IMP-1-DEVICE
026200     ELSE
026300         IF  MI02-IMP-1-DEVICE IS NUMERIC
026400             MOVE DFHBMASF       TO MI02-IMP-1-DEVICE-A
026500             MOVE DFHBMDAS       TO MI02-IMP-1-DEVICE-LP-A
026600                                    MI02-IMP-1-DEVICE-RP-A
026700             SET WS-UPDATE-SW-YES
026800                                 TO TRUE
026900         ELSE
027000             MOVE DFHBMNBF       TO MI02-IMP-1-DEVICE-A
027100             MOVE DFHBMASB       TO MI02-IMP-1-DEVICE-LP-A
027200                                    MI02-IMP-1-DEVICE-RP-A
027300             MOVE SS08WS-CURSOR  TO MI02-IMP-1-DEVICE-L
027400             SET SS08WS-ERROR-SW-YES TO TRUE.
027500*
027600*            ***** POS 1 DEVICE FEE *****                      *
027700*
027800     IF  MI02-POS-1-DEVICE-L IS LESS THAN 1
027900         MOVE DFHBMASK           TO MI02-POS-1-DEVICE-A
028000         MOVE DFHBMDAS           TO MI02-POS-1-DEVICE-LP-A
028100                                    MI02-POS-1-DEVICE-RP-A
028200         MOVE MMIF-POS-1-DEV-FEE TO MI02-POS-1-DEVICE
028300     ELSE
028400         IF  MI02-POS-1-DEVICE IS NUMERIC
028500             MOVE DFHBMASF       TO MI02-POS-1-DEVICE-A
028600             MOVE DFHBMDAS       TO MI02-POS-1-DEVICE-LP-A
028700                                    MI02-POS-1-DEVICE-RP-A
028800             SET WS-UPDATE-SW-YES
028900                                 TO TRUE
029000         ELSE
029100             MOVE DFHBMNBF       TO MI02-POS-1-DEVICE-A
029200             MOVE DFHBMASB       TO MI02-POS-1-DEVICE-LP-A
029300                                    MI02-POS-1-DEVICE-RP-A
029400             MOVE SS08WS-CURSOR  TO MI02-POS-1-DEVICE-L
029500             SET SS08WS-ERROR-SW-YES TO TRUE.
029600*
029700*            ***** IMP 2 DEVICE FEE *****                      *
029800*
029900     IF  MI02-IMP-2-DEVICE-L IS LESS THAN 1
030000         MOVE DFHBMASK           TO MI02-IMP-2-DEVICE-A
030100         MOVE DFHBMDAS           TO MI02-IMP-2-DEVICE-LP-A
030200                                    MI02-IMP-2-DEVICE-RP-A
030300         MOVE MMIF-IMP-2-DEV-FEE TO MI02-IMP-2-DEVICE
030400     ELSE
030500         IF  MI02-IMP-2-DEVICE IS NUMERIC
030600             MOVE DFHBMASF       TO MI02-IMP-2-DEVICE-A
030700             MOVE DFHBMDAS       TO MI02-IMP-2-DEVICE-LP-A
030800                                    MI02-IMP-2-DEVICE-RP-A
030900             SET WS-UPDATE-SW-YES
031000                                 TO TRUE
031100         ELSE
031200             MOVE DFHBMNBF       TO MI02-IMP-2-DEVICE-A
031300             MOVE DFHBMASB       TO MI02-IMP-2-DEVICE-LP-A
031400                                    MI02-IMP-2-DEVICE-RP-A
031500             MOVE SS08WS-CURSOR  TO MI02-IMP-2-DEVICE-L
031600             SET SS08WS-ERROR-SW-YES TO TRUE.
031700*
031800*            ***** POS 2 DEVICE FEE *****                      *
031900*
032000     IF  MI02-POS-2-DEVICE-L IS LESS THAN 1
032100         MOVE DFHBMASK           TO MI02-POS-2-DEVICE-A
032200         MOVE DFHBMDAS           TO MI02-POS-2-DEVICE-LP-A
032300                                    MI02-POS-2-DEVICE-RP-A
032400         MOVE MMIF-POS-2-DEV-FEE TO MI02-POS-2-DEVICE
032500     ELSE
032600         IF  MI02-POS-2-DEVICE IS NUMERIC
032700             MOVE DFHBMASF       TO MI02-POS-2-DEVICE-A
032800             MOVE DFHBMDAS       TO MI02-POS-2-DEVICE-LP-A
032900                                    MI02-POS-2-DEVICE-RP-A
033000             SET WS-UPDATE-SW-YES
033100                                 TO TRUE
033200         ELSE
033300             MOVE DFHBMNBF       TO MI02-POS-2-DEVICE-A
033400             MOVE DFHBMASB       TO MI02-POS-2-DEVICE-LP-A
033500                                    MI02-POS-2-DEVICE-RP-A
033600             MOVE SS08WS-CURSOR  TO MI02-POS-2-DEVICE-L
033700             SET SS08WS-ERROR-SW-YES TO TRUE.
033800*
033900*            ***** IMP 3 DEVICE FEE *****                      *
034000*
034100     IF  MI02-IMP-3-DEVICE-L IS LESS THAN 1
034200         MOVE DFHBMASK           TO MI02-IMP-3-DEVICE-A
034300         MOVE DFHBMDAS           TO MI02-IMP-3-DEVICE-LP-A
034400                                    MI02-IMP-3-DEVICE-RP-A
034500         MOVE MMIF-IMP-3-DEV-FEE TO MI02-IMP-3-DEVICE
034600     ELSE
034700         IF  MI02-IMP-3-DEVICE IS NUMERIC
034800             MOVE DFHBMASF       TO MI02-IMP-3-DEVICE-A
034900             MOVE DFHBMDAS       TO MI02-IMP-3-DEVICE-LP-A
035000                                    MI02-IMP-3-DEVICE-RP-A
035100             SET WS-UPDATE-SW-YES
035200                                 TO TRUE
035300         ELSE
035400             MOVE DFHBMNBF       TO MI02-IMP-3-DEVICE-A
035500             MOVE DFHBMASB       TO MI02-IMP-3-DEVICE-LP-A
035600                                    MI02-IMP-3-DEVICE-RP-A
035700             MOVE SS08WS-CURSOR  TO MI02-IMP-3-DEVICE-L
035800             SET SS08WS-ERROR-SW-YES TO TRUE.
035900*
036000*            ***** POS 3 DEVICE FEE *****                      *
036100*
036200     IF  MI02-POS-3-DEVICE-L IS LESS THAN 1
036300         MOVE DFHBMASK           TO MI02-POS-3-DEVICE-A
036400         MOVE DFHBMDAS           TO MI02-POS-3-DEVICE-LP-A
036500                                    MI02-POS-3-DEVICE-RP-A
036600         MOVE MMIF-POS-3-DEV-FEE TO MI02-POS-3-DEVICE
036700     ELSE
036800         IF  MI02-POS-3-DEVICE IS NUMERIC
036900             MOVE DFHBMASF       TO MI02-POS-3-DEVICE-A
037000             MOVE DFHBMDAS       TO MI02-POS-3-DEVICE-LP-A
037100                                    MI02-POS-3-DEVICE-RP-A
037200             SET WS-UPDATE-SW-YES
037300                                 TO TRUE
037400         ELSE
037500             MOVE DFHBMNBF       TO MI02-POS-3-DEVICE-A
037600             MOVE DFHBMASB       TO MI02-POS-3-DEVICE-LP-A
037700                                    MI02-POS-3-DEVICE-RP-A
037800             MOVE SS08WS-CURSOR  TO MI02-POS-3-DEVICE-L
037900             SET SS08WS-ERROR-SW-YES TO TRUE.
038000*
038100*            ***** VOICE AUTH FEE *****                        *
038200*
038300     IF  MI02-VOICE-APPR-L IS LESS THAN 1
038400         MOVE DFHBMASK           TO MI02-VOICE-APPR-A
038500         MOVE DFHBMDAS           TO MI02-VOICE-APPR-LP-A
038600                                    MI02-VOICE-APPR-RP-A
038700         MOVE MMIF-VOICE-AUTH-FEE
038800                                 TO MI02-VOICE-APPR
038900     ELSE
039000         IF  MI02-VOICE-APPR IS NUMERIC
039100             MOVE DFHBMASF       TO MI02-VOICE-APPR-A
039200             MOVE DFHBMDAS       TO MI02-VOICE-APPR-LP-A
039300                                    MI02-VOICE-APPR-RP-A
039400             SET WS-UPDATE-SW-YES
039500                                 TO TRUE
039600         ELSE
039700             MOVE DFHBMNBF       TO MI02-VOICE-APPR-A
039800             MOVE DFHBMASB       TO MI02-VOICE-APPR-LP-A
039900                                    MI02-VOICE-APPR-RP-A
040000             MOVE SS08WS-CURSOR  TO MI02-VOICE-APPR-L
040100             SET SS08WS-ERROR-SW-YES TO TRUE.
040200*
040300*            ***** POS 1 AUTH FEE *****                       *
040400*
040500     IF  MI02-POS-1-APPR-L IS LESS THAN 1
040600         MOVE DFHBMASK           TO MI02-POS-1-APPR-A
040700         MOVE DFHBMDAS           TO MI02-POS-1-APPR-LP-A
040800                                    MI02-POS-1-APPR-RP-A
040900         MOVE MMIF-POS-1-AUTH-FEE
041000                                 TO MI02-POS-1-APPR
041100     ELSE
041200         IF  MI02-POS-1-APPR IS NUMERIC
041300             MOVE DFHBMASF       TO MI02-POS-1-APPR-A
041400             MOVE DFHBMDAS       TO MI02-POS-1-APPR-LP-A
041500                                    MI02-POS-1-APPR-RP-A
041600             SET WS-UPDATE-SW-YES
041700                                 TO TRUE
041800         ELSE
041900             MOVE DFHBMNBF       TO MI02-POS-1-APPR-A
042000             MOVE DFHBMASB       TO MI02-POS-1-APPR-LP-A
042100                                    MI02-POS-1-APPR-RP-A
042200             MOVE SS08WS-CURSOR  TO MI02-POS-1-APPR-L
042300             SET SS08WS-ERROR-SW-YES TO TRUE.
042400*
042500*            ***** POS 2 AUTH FEE *****                       *
042600*
042700     IF  MI02-POS-2-APPR-L IS LESS THAN 1
042800         MOVE DFHBMASK           TO MI02-POS-2-APPR-A
042900         MOVE DFHBMDAS           TO MI02-POS-2-APPR-LP-A
043000                                    MI02-POS-2-APPR-RP-A
043100         MOVE MMIF-POS-2-AUTH-FEE
043200                                 TO MI02-POS-2-APPR
043300     ELSE
043400         IF  MI02-POS-2-APPR IS NUMERIC
043500             MOVE DFHBMASF       TO MI02-POS-2-APPR-A
043600             MOVE DFHBMDAS       TO MI02-POS-2-APPR-LP-A
043700                                    MI02-POS-2-APPR-RP-A
043800             SET WS-UPDATE-SW-YES
043900                                 TO TRUE
044000         ELSE
044100             MOVE DFHBMNBF       TO MI02-POS-2-APPR-A
044200             MOVE DFHBMASB       TO MI02-POS-2-APPR-LP-A
044300                                    MI02-POS-2-APPR-RP-A
044400             MOVE SS08WS-CURSOR  TO MI02-POS-2-APPR-L
044500             SET SS08WS-ERROR-SW-YES TO TRUE.
044600*
044700*            ***** POS 3 AUTH FEE *****                       *
044800*
044900     IF  MI02-POS-3-APPR-L IS LESS THAN 1
045000         MOVE DFHBMASK           TO MI02-POS-3-APPR-A
045100         MOVE DFHBMDAS           TO MI02-POS-3-APPR-LP-A
045200                                    MI02-POS-3-APPR-RP-A
045300         MOVE MMIF-POS-3-AUTH-FEE
045400                                 TO MI02-POS-3-APPR
045500     ELSE
045600         IF  MI02-POS-3-APPR IS NUMERIC
045700             MOVE DFHBMASF       TO MI02-POS-3-APPR-A
045800             MOVE DFHBMDAS       TO MI02-POS-3-APPR-LP-A
045900                                    MI02-POS-3-APPR-RP-A
046000             SET WS-UPDATE-SW-YES
046100                                 TO TRUE
046200         ELSE
046300             MOVE DFHBMNBF       TO MI02-POS-3-APPR-A
046400             MOVE DFHBMASB       TO MI02-POS-3-APPR-LP-A
046500                                    MI02-POS-3-APPR-RP-A
046600             MOVE SS08WS-CURSOR  TO MI02-POS-3-APPR-L
046700             SET SS08WS-ERROR-SW-YES TO TRUE.
046800*
046900*            ***** VOICE AUTH DECL FEE *****                   *
047000*
047100     IF  MI02-VOICE-DECL-L IS LESS THAN 1
047200         MOVE DFHBMASK           TO MI02-VOICE-DECL-A
047300         MOVE DFHBMDAS           TO MI02-VOICE-DECL-LP-A
047400                                    MI02-VOICE-DECL-RP-A
047500         MOVE MMIF-VOICE-AUTH-DECL-FEE
047600                                 TO MI02-VOICE-DECL
047700     ELSE
047800         IF  MI02-VOICE-DECL IS NUMERIC
047900             MOVE DFHBMASF       TO MI02-VOICE-DECL-A
048000             MOVE DFHBMDAS       TO MI02-VOICE-DECL-LP-A
048100                                    MI02-VOICE-DECL-RP-A
048200             SET WS-UPDATE-SW-YES
048300                                 TO TRUE
048400         ELSE
048500             MOVE DFHBMNBF       TO MI02-VOICE-DECL-A
048600             MOVE DFHBMASB       TO MI02-VOICE-DECL-LP-A
048700                                    MI02-VOICE-DECL-RP-A
048800             MOVE SS08WS-CURSOR  TO MI02-VOICE-DECL-L
048900             SET SS08WS-ERROR-SW-YES TO TRUE.
049000*
049100*            ***** POS 1 AUTH DECL FEE *****                  *
049200*
049300     IF  MI02-POS-1-DECL-L IS LESS THAN 1
049400         MOVE DFHBMASK           TO MI02-POS-1-DECL-A
049500         MOVE DFHBMDAS           TO MI02-POS-1-DECL-LP-A
049600                                    MI02-POS-1-DECL-RP-A
049700         MOVE MMIF-POS-1-AUTH-DECL-FEE
049800                                 TO MI02-POS-1-DECL
049900     ELSE
050000         IF  MI02-POS-1-DECL IS NUMERIC
050100             MOVE DFHBMASF       TO MI02-POS-1-DECL-A
050200             MOVE DFHBMDAS       TO MI02-POS-1-DECL-LP-A
050300                                    MI02-POS-1-DECL-RP-A
050400             SET WS-UPDATE-SW-YES
050500                                 TO TRUE
050600         ELSE
050700             MOVE DFHBMNBF       TO MI02-POS-1-DECL-A
050800             MOVE DFHBMASB       TO MI02-POS-1-DECL-LP-A
050900                                    MI02-POS-1-DECL-RP-A
051000             MOVE SS08WS-CURSOR  TO MI02-POS-1-DECL-L
051100             SET SS08WS-ERROR-SW-YES TO TRUE.
051200*
051300*            ***** POS 2 AUTH FEE *****                       *
051400*
051500     IF  MI02-POS-2-DECL-L IS LESS THAN 1
051600         MOVE DFHBMASK           TO MI02-POS-2-DECL-A
051700         MOVE DFHBMDAS           TO MI02-POS-2-DECL-LP-A
051800                                    MI02-POS-2-DECL-RP-A
051900         MOVE MMIF-POS-2-AUTH-DECL-FEE
052000                                 TO MI02-POS-2-DECL
052100     ELSE
052200         IF  MI02-POS-2-DECL IS NUMERIC
052300             MOVE DFHBMASF       TO MI02-POS-2-DECL-A
052400             MOVE DFHBMDAS       TO MI02-POS-2-DECL-LP-A
052500                                    MI02-POS-2-DECL-RP-A
052600             SET WS-UPDATE-SW-YES
052700                                 TO TRUE
052800         ELSE
052900             MOVE DFHBMNBF       TO MI02-POS-2-DECL-A
053000             MOVE DFHBMASB       TO MI02-POS-2-DECL-LP-A
053100                                    MI02-POS-2-DECL-RP-A
053200             MOVE SS08WS-CURSOR  TO MI02-POS-2-DECL-L
053300             SET SS08WS-ERROR-SW-YES TO TRUE.
053400*
053500*            ***** POS 3 AUTH FEE *****                       *
053600*
053700     IF  MI02-POS-3-DECL-L IS LESS THAN 1
053800         MOVE DFHBMASK           TO MI02-POS-3-DECL-A
053900         MOVE DFHBMDAS           TO MI02-POS-3-DECL-LP-A
054000                                    MI02-POS-3-DECL-RP-A
054100         MOVE MMIF-POS-3-AUTH-DECL-FEE
054200                                 TO MI02-POS-3-DECL
054300     ELSE
054400         IF  MI02-POS-3-DECL IS NUMERIC
054500             MOVE DFHBMASF       TO MI02-POS-3-DECL-A
054600             MOVE DFHBMDAS       TO MI02-POS-3-DECL-LP-A
054700                                    MI02-POS-3-DECL-RP-A
054800             SET WS-UPDATE-SW-YES
054900                                 TO TRUE
055000         ELSE
055100             MOVE DFHBMNBF       TO MI02-POS-3-DECL-A
055200             MOVE DFHBMASB       TO MI02-POS-3-DECL-LP-A
055300                                    MI02-POS-3-DECL-RP-A
055400             MOVE SS08WS-CURSOR  TO MI02-POS-3-DECL-L
055500             SET SS08WS-ERROR-SW-YES TO TRUE.
055600*
055700     IF  SS08WS-ERROR-SW-NO
055800         GO TO 2400-UPDATE-FILE.
055900*
056000****************************************************************
056100*    FORMAT THE MESSAGE LINE                                   *
056200****************************************************************
056300*
056400     IF MI02-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
056500         PERFORM MB06PD-FORMAT-MESSAGE-LINE
056600           THRU MB06PD-FML-EXIT
056700         MOVE SS08WS-FORMATTED-MSG TO MI02-ERR-MESSAGE.
056800
056900*
057000****************************************************************
057100*    SEND THE MAP                                              *
057200****************************************************************
057300*
057400     PERFORM MB60PD-INIT-STD-MAP-LINES
057500                                 THRU MB60PD-ISML-EXIT.
057600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
057700     PERFORM MB60PD-SEND-MAP-DATA-ONLY
057800                                 THRU MB60PD-SMDO-EXIT.
057900*
058000****************************************************************
058100*    RETURN TO CICS                                            *
058200****************************************************************
058300*
058400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
058500     MOVE 02                     TO MBCA-SCREEN-NBR.
058600     PERFORM MB70PD-RETURN-TRANS-ID
058700                                 THRU MB70PD-RTI-EXIT.
058800/
058900 2400-UPDATE-FILE.
059000*
059100     IF  WS-UPDATE-SW-NO
059200         IF  MBCA-PTI-FUNCTION-IS-ADD
059300             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
059400             MOVE MBCA-MERCHANT-ORG
059500                                 TO MBIOWS-MMIF-ORG
059600             MOVE MBCA-TABLE     TO MBIOWS-MMIF-TABLE
059700             SET MBIORO-READ-RANDOM-UPDATE
059800                                 TO TRUE
059900             PERFORM MMIFAO-ACCESS
060000                                 THRU MMIFAO-ACCESS-EXIT
060100             MOVE MBCA-SCREEN-NBR
060200                                 TO MMIF-ONLINE-STATUS
060300             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
060400             SET MBIORO-REWRITE  TO TRUE
060500             PERFORM MMIFAO-ACCESS
060600                                 THRU MMIFAO-ACCESS-EXIT
060700             GO TO 2600-SETUP-COMMAREA
060800         ELSE
060900             GO TO 2600-SETUP-COMMAREA.
061000*
061100****************************************************************
061200*    GETMAIN FOR LOG/JOURNAL RECORD                            *
061300****************************************************************
061400*
061500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
061600     SET MBIORO-GETMAIN          TO TRUE.
061700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
061800*
061900****************************************************************
062000*    READ THE INCOME RECORD FOR UPDATE                         *
062100****************************************************************
062200*
062300     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
062400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIF-ORG.
062500     MOVE MBCA-TABLE             TO MBIOWS-MMIF-TABLE.
062600     SET MBIORO-READ-RANDOM-UPDATE
062700                                 TO TRUE.
062800     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
062900*
063000*            ***** IMP 1 DEVICE FEE *****                      *
063100*
063200     IF  MI02-IMP-1-DEVICE-L IS GREATER THAN ZEROES
063300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
063400         MOVE 0201               TO MML1-FIELD-CODE
063500         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
063600         MOVE MMIF-IMP-1-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
063700         MOVE MI02-IMP-1-DEVICE  TO MMIF-IMP-1-DEV-FEE
063800         MOVE MMIF-IMP-1-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
063900         PERFORM 9050-CREATE-MAINT-RECORD
064000                                 THRU 9099-CMR-EXIT.
064100*
064200*            ***** POS 1 DEVICE FEE *****                      *
064300*
064400     IF  MI02-POS-1-DEVICE-L IS GREATER THAN ZEROES
064500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
064600         MOVE 0202               TO MML1-FIELD-CODE
064700         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
064800         MOVE MMIF-POS-1-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
064900         MOVE MI02-POS-1-DEVICE  TO MMIF-POS-1-DEV-FEE
065000         MOVE MMIF-POS-1-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
065100         PERFORM 9050-CREATE-MAINT-RECORD
065200                                 THRU 9099-CMR-EXIT.
065300*
065400*            ***** IMP 2 DEVICE FEE *****                      *
065500*
065600     IF  MI02-IMP-2-DEVICE-L IS GREATER THAN ZEROES
065700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
065800         MOVE 0203               TO MML1-FIELD-CODE
065900         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
066000         MOVE MMIF-IMP-2-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
066100         MOVE MI02-IMP-2-DEVICE  TO MMIF-IMP-2-DEV-FEE
066200         MOVE MMIF-IMP-2-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
066300         PERFORM 9050-CREATE-MAINT-RECORD
066400                                 THRU 9099-CMR-EXIT.
066500*
066600*            ***** POS 2 DEVICE FEE *****                      *
066700*
066800     IF  MI02-POS-2-DEVICE-L IS GREATER THAN ZEROES
066900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
067000         MOVE 0204               TO MML1-FIELD-CODE
067100         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
067200         MOVE MMIF-POS-2-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
067300         MOVE MI02-POS-2-DEVICE  TO MMIF-POS-2-DEV-FEE
067400         MOVE MMIF-POS-2-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
067500         PERFORM 9050-CREATE-MAINT-RECORD
067600                                 THRU 9099-CMR-EXIT.
067700*
067800*            ***** IMP 3 DEVICE FEE *****                      *
067900*
068000     IF  MI02-IMP-3-DEVICE-L IS GREATER THAN ZEROES
068100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
068200         MOVE 0205               TO MML1-FIELD-CODE
068300         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
068400         MOVE MMIF-IMP-3-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
068500         MOVE MI02-IMP-3-DEVICE  TO MMIF-IMP-3-DEV-FEE
068600         MOVE MMIF-IMP-3-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
068700         PERFORM 9050-CREATE-MAINT-RECORD
068800                                 THRU 9099-CMR-EXIT.
068900*
069000*            ***** POS 3 DEVICE FEE *****                      *
069100*
069200     IF  MI02-POS-3-DEVICE-L IS GREATER THAN ZEROES
069300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
069400         MOVE 0206               TO MML1-FIELD-CODE
069500         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
069600         MOVE MMIF-POS-3-DEV-FEE TO MML1-VL20-B-NBR-NO-DEC
069700         MOVE MI02-POS-3-DEVICE  TO MMIF-POS-3-DEV-FEE
069800         MOVE MMIF-POS-3-DEV-FEE TO MML1-VL20-A-NBR-NO-DEC
069900         PERFORM 9050-CREATE-MAINT-RECORD
070000                                 THRU 9099-CMR-EXIT.
070100*
070200*            ***** VOICE AUTH FEE *****                       *
070300*
070400     IF  MI02-VOICE-APPR-L IS GREATER THAN ZEROES
070500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
070600         MOVE 0207               TO MML1-FIELD-CODE
070700         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
070800         MOVE MMIF-VOICE-AUTH-FEE
070900                                 TO MML1-VL20-B-NBR-NO-DEC
071000         MOVE MI02-VOICE-APPR    TO MMIF-VOICE-AUTH-FEE
071100         MOVE MMIF-VOICE-AUTH-FEE
071200                                 TO MML1-VL20-A-NBR-NO-DEC
071300         PERFORM 9050-CREATE-MAINT-RECORD
071400                                 THRU 9099-CMR-EXIT.
071500*
071600*            ***** POS 1 AUTH FEE *****                       *
071700*
071800     IF  MI02-POS-1-APPR-L IS GREATER THAN ZEROES
071900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
072000         MOVE 0208               TO MML1-FIELD-CODE
072100         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
072200         MOVE MMIF-POS-1-AUTH-FEE
072300                                 TO MML1-VL20-B-NBR-NO-DEC
072400         MOVE MI02-POS-1-APPR    TO MMIF-POS-1-AUTH-FEE
072500         MOVE MMIF-POS-1-AUTH-FEE
072600                                 TO MML1-VL20-A-NBR-NO-DEC
072700         PERFORM 9050-CREATE-MAINT-RECORD
072800                                 THRU 9099-CMR-EXIT.
072900*
073000*            ***** POS 2 AUTH FEE *****                       *
073100*
073200     IF  MI02-POS-2-APPR-L IS GREATER THAN ZEROES
073300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
073400         MOVE 0209               TO MML1-FIELD-CODE
073500         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
073600         MOVE MMIF-POS-2-AUTH-FEE
073700                                 TO MML1-VL20-B-NBR-NO-DEC
073800         MOVE MI02-POS-2-APPR    TO MMIF-POS-2-AUTH-FEE
073900         MOVE MMIF-POS-2-AUTH-FEE
074000                                 TO MML1-VL20-A-NBR-NO-DEC
074100         PERFORM 9050-CREATE-MAINT-RECORD
074200                                 THRU 9099-CMR-EXIT.
074300*
074400*            ***** POS 3 AUTH FEE *****                       *
074500*
074600     IF  MI02-POS-3-APPR-L IS GREATER THAN ZEROES
074700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
074800         MOVE 0210               TO MML1-FIELD-CODE
074900         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
075000         MOVE MMIF-POS-3-AUTH-FEE
075100                                 TO MML1-VL20-B-NBR-NO-DEC
075200         MOVE MI02-POS-3-APPR    TO MMIF-POS-3-AUTH-FEE
075300         MOVE MMIF-POS-3-AUTH-FEE
075400                                 TO MML1-VL20-A-NBR-NO-DEC
075500         PERFORM 9050-CREATE-MAINT-RECORD
075600                                 THRU 9099-CMR-EXIT.
075700*
075800*            ***** VOICE AUTH DECL FEE *****                  *
075900*
076000     IF  MI02-VOICE-DECL-L IS GREATER THAN ZEROES
076100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
076200         MOVE 0211               TO MML1-FIELD-CODE
076300         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
076400         MOVE MMIF-VOICE-AUTH-DECL-FEE
076500                                 TO MML1-VL20-B-NBR-NO-DEC
076600         MOVE MI02-VOICE-DECL    TO MMIF-VOICE-AUTH-DECL-FEE
076700         MOVE MMIF-VOICE-AUTH-DECL-FEE
076800                                 TO MML1-VL20-A-NBR-NO-DEC
076900         PERFORM 9050-CREATE-MAINT-RECORD
077000                                 THRU 9099-CMR-EXIT.
077100*
077200*            ***** POS 1 AUTH DECL FEE *****                  *
077300*
077400     IF  MI02-POS-1-DECL-L IS GREATER THAN ZEROES
077500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
077600         MOVE 0212               TO MML1-FIELD-CODE
077700         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
077800         MOVE MMIF-POS-1-AUTH-DECL-FEE
077900                                 TO MML1-VL20-B-NBR-NO-DEC
078000         MOVE MI02-POS-1-DECL    TO MMIF-POS-1-AUTH-DECL-FEE
078100         MOVE MMIF-POS-1-AUTH-DECL-FEE
078200                                 TO MML1-VL20-A-NBR-NO-DEC
078300         PERFORM 9050-CREATE-MAINT-RECORD
078400                                 THRU 9099-CMR-EXIT.
078500*
078600*            ***** POS 2 AUTH DECL FEE *****                  *
078700*
078800     IF  MI02-POS-2-DECL-L IS GREATER THAN ZEROES
078900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
079000         MOVE 0213               TO MML1-FIELD-CODE
079100         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
079200         MOVE MMIF-POS-2-AUTH-DECL-FEE
079300                                 TO MML1-VL20-B-NBR-NO-DEC
079400         MOVE MI02-POS-2-DECL    TO MMIF-POS-2-AUTH-DECL-FEE
079500         MOVE MMIF-POS-2-AUTH-DECL-FEE
079600                                 TO MML1-VL20-A-NBR-NO-DEC
079700         PERFORM 9050-CREATE-MAINT-RECORD
079800                                 THRU 9099-CMR-EXIT.
079900*
080000*            ***** POS 3 AUTH DECL FEE *****                  *
080100*
080200     IF  MI02-POS-3-DECL-L IS GREATER THAN ZEROES
080300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
080400         MOVE 0214               TO MML1-FIELD-CODE
080500         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
080600         MOVE MMIF-POS-3-AUTH-DECL-FEE
080700                                 TO MML1-VL20-B-NBR-NO-DEC
080800         MOVE MI02-POS-3-DECL    TO MMIF-POS-3-AUTH-DECL-FEE
080900         MOVE MMIF-POS-3-AUTH-DECL-FEE
081000                                 TO MML1-VL20-A-NBR-NO-DEC
081100         PERFORM 9050-CREATE-MAINT-RECORD
081200                                 THRU 9099-CMR-EXIT.
081300*
081400     IF  MBCA-PTI-FUNCTION-IS-ADD
081500         MOVE 02                 TO MMIF-ONLINE-STATUS.
081600*
081700*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
081800*
081900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
082000     MOVE 0199                   TO MML1-FIELD-CODE.
082100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
082200     MOVE MMIF-LAST-MAINT-DATE
082300                                 TO MML1-VL07-B-DATA-9.
082400     MOVE MBCA-START-DATE        TO MMIF-LAST-MAINT-DATE.
082500     MOVE MMIF-LAST-MAINT-DATE
082600                                 TO MML1-VL07-A-DATA-9.
082700     PERFORM 9050-CREATE-MAINT-RECORD
082800                                 THRU 9099-CMR-EXIT.
082900     MOVE 0198                   TO MML1-FIELD-CODE.
083000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
083100     MOVE MMIF-LAST-MAINT-OPER
083200                                 TO MML1-VL03-B-DATA-X.
083300     MOVE MBCA-OPERATOR-ID       TO MMIF-LAST-MAINT-OPER.
083400     MOVE MMIF-LAST-MAINT-OPER
083500                                 TO MML1-VL03-A-DATA-X.
083600     PERFORM 9050-CREATE-MAINT-RECORD
083700                                 THRU 9099-CMR-EXIT.
083800*
083900****************************************************************
084000*    UPDATE THE INCOME FILE                                    *
084100****************************************************************
084200*
084300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
084400     SET MBIORO-REWRITE          TO TRUE.
084500     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
084600*
084700 2600-SETUP-COMMAREA.
084800*
084900****************************************************************
085000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
085100****************************************************************
085200*
085300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
085400*
085500     PERFORM MB60PD-EDIT-PAGE-NBR
085600                                 THRU MB60PD-EPN-EXIT.
085700*
085800     IF  SS08WS-VALID-PF-KEY
085900     OR  SS08WS-EIBAID-VALID-PF-KEY
086000         SET MBCA-INITIAL-SCREEN-NBR
086100                                 TO TRUE.
086200*
086300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
086400     PERFORM MB70PD-XCTL-TO-MBOXCTL
086500                                 THRU MB70PD-XTM-EXIT.
086600/
086700 9000-PERFORMED-ROUTINES-SECT SECTION.
086800*
086900 9050-CREATE-MAINT-RECORD.
087000*
087100*****************************************************************
087200*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
087300*    LOG/JOURNAL TRANSACTIONS                                   *
087400*****************************************************************
087500*
087600     IF  MBCA-PTI-FUNCTION-IS-ADD
087700         GO TO 9099-CMR-EXIT.
087800*
087900     MOVE 'IF'                   TO MML1-FILE-CODE.
088000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMIF-ORG.
088100     MOVE MBCA-TABLE             TO MML1-MMIF-TABLE-NBR.
088200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
088300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
088400     MOVE ZEROES                 TO MML1-SOURCE-CODE
088500                                    MML1-FIELD-OCCURRENCE-2.
088600*
088700*****************************************************************
088800*    WRITE THE LOG/JOURNAL FILE RECORD                          *
088900*****************************************************************
089000*
089100     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
089200     SET MBIORO-WRITE            TO TRUE.
089300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
089400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
089500*
089600 9099-CMR-EXIT.
089700     EXIT.
089800/         JULIAN TO GREGORIAN DATE ROUTINE.
089900     COPY SS08PD.
090000/         DATE AND TIME EDIT ROUTINES.
090100     COPY SS26PD.
090200     COPY SS27PD.
090300/         CHECK DIGIT ROUTINE.
090400     COPY SS09PD.
090500/         LINE 24 PF KEYS ROUTINE
090600     COPY SS15PD.
090700/         INCOME RECORD ACCESS ROUTINES
090800     COPY MMIFAO.
090900/         LOG/JOURNAL ACCESS ROUTINES
091000     COPY MML1AO.
091100/         ON-LINE MAP ROUTINES
091200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMI02 '
091300                           MBMAPXXI BY MBMI02I
091400                           MBMAPXXO BY MBMI02O.
091500/         ON-LINE PROCEDURES
091600     COPY MB70PD.
091700/         MESSAGE FORMAT ROUTINE
091800     COPY MB06PD.
091900/
092000     COPY SMFTPXO.
