000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMI04.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMI04 - ON-LINE INCOME FACTORS SCREEN                  *
000800*                SCREENS 04                                     *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBMI                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBMI04 (SCREENS 04)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMIF   (INCOME FACTORS FILE)               *
001600*                 B. MMOC   (ORG CONTROL FILE)                  *
001700*                 C. MML1   (LOG FILE)                          *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200 DATA DIVISION.
002300 WORKING-STORAGE SECTION.
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*         I/O REQUEST BLOCK WORK AREAS
002600     COPY MBIOWS.
002700/         I/O REQUEST BLOCK
002800     COPY MBIORO.
002900/         LOG/JOURNAL WORK AREAS
003000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003100/         DESC TABLE FOR VISA MC AND PL
003200     COPY MB80WS.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/
004600 01  WS-MISCELLANEOUS.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005000     03  WS-INDEX            PIC S9(04)      BINARY.
005100     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005200*
005300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005400/
005500 LINKAGE SECTION.
005600 01  DFHCOMMAREA.
005700     COPY MB60WS.
005800/         MERCHANT INCOME FACTORS SCREEN 04 MAP DSECT
005900     COPY MBMI04.
006000/         MERCHANT INCOME FACTORS SCREEN 04 MAP REDEFINITION
006100     COPY MBMI04R.
006200/         INCOME FILE MASTER RECORD LAYOUT
006300     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMIF==.
006400/         ORG CONTROL FILE MASTER RECORD LAYOUT
006500     COPY MMOCRL.
006600/         LOG/JOURNAL FILE RECORD LAYOUT
006700     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006800/
006900 PROCEDURE DIVISION.
007000 0000-HOUSEKEEPING SECTION.
007100 0100-INIT.
007200*
007300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007500                                 THRU MB70PD-OLH-EXIT.
007600*
007700     IF  MBCA-RECEIVE-SCREEN
007800         GO TO 2000-RECEIVE-SCREEN.
007900*
008000 1000-SEND-SCREEN SECTION.
008100*
008200****************************************************************
008300*    THIS SECTION BUILDS AND SENDS THE SCREENS 04              *
008400****************************************************************
008500*
008600****************************************************************
008700*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008800****************************************************************
008900*
009000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009100     PERFORM MB60PD-GETMAIN-FOR-MAP
009200                                 THRU MB60PD-GFM-EXIT.
009300*
009400     MOVE MBCA-MERCHANT-ORG      TO MI04-ORG.
009500     MOVE MBCA-TABLE             TO MI04-INCOME-NBR.
009600*
009700****************************************************************
009800*    INITIALIZE THE STANDARD MAP LINES                         *
009900****************************************************************
010000*
010100     PERFORM MB60PD-INIT-STD-MAP-LINES
010200                                 THRU MB60PD-ISML-EXIT.
010300*
010400*
010500****************************************************************
010600*    READ THE ORG CONTROL FILE                                 *
010700****************************************************************
010800*
010900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
011000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
011100     SET MBIORO-READ-RANDOM      TO TRUE.
011200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
011300*
011400****************************************************************
011500*    READ THE MERCHANT INCOME FILE                             *
011600****************************************************************
011700*
011800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
011900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIF-ORG.
012000     MOVE MBCA-TABLE             TO MBIOWS-MMIF-TABLE.
012100     SET MBIORO-READ-RANDOM      TO TRUE.
012200     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
012300*
012400 1010-CHECK-PRODUCT.
012500*
012600     IF  MBCA-SCREEN-NBR IS EQUAL TO 54
012700         SET X-MMOC-PROD         TO 1
012800         MOVE 1                  TO MBCA-MBMI-IFT-INDEX
012900         IF  MMOC-PRODUCT-ACTIVE (X-MMOC-PROD)
013000             MOVE 04             TO MBCA-SCREEN-NBR
013100             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
013200                                 TO MI04-CARD-PROD-DESC
013300             MOVE 01             TO MI04-CARD-PROD
013400             MOVE DFHBMASB       TO MI04-CARD-PROD-DESC-A
013500                                    MI04-CARD-PROD-A
013600             SET X-MMIF-IFT      TO 1
013700             SET X-MMIF-PROD-FEES
013800                                 TO 1
013900             SET X-MB80WS-IFT    TO 1
014000             GO TO 1050-BUILD-SCREEN
014100         ELSE
014200             MOVE 55             TO MBCA-SCREEN-NBR.
014300*
014400     IF  MBCA-SCREEN-NBR IS EQUAL TO 55
014500         SET X-MMOC-PROD         TO 2
014600         MOVE 2                  TO MBCA-MBMI-IFT-INDEX
014700         IF  MMOC-PRODUCT-ACTIVE (X-MMOC-PROD)
014800             MOVE 05             TO MBCA-SCREEN-NBR
014900             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
015000                                 TO MI04-CARD-PROD-DESC
015100             MOVE 02             TO MI04-CARD-PROD
015200             MOVE DFHBMASB       TO MI04-CARD-PROD-DESC-A
015300                                    MI04-CARD-PROD-A
015400             SET X-MMIF-IFT      TO 2
015500             SET X-MMIF-PROD-FEES
015600                                 TO 2
015700             SET X-MB80WS-IFT    TO 2
015800             GO TO 1050-BUILD-SCREEN.
015900*
016000     MOVE 56                    TO MBCA-SCREEN-NBR.
016100     MOVE 'PC02'                TO MBCA-PROGRAM-LOCATION.
016200     PERFORM MB70PD-XCTL-TO-MBOXCTL
016300                                 THRU MB70PD-XTM-EXIT.
016400*
016500 1050-BUILD-SCREEN.
016600*
016700     PERFORM 9500-BUILD-SCREEN   THRU 9599-BS-EXIT.
016800*
016900 1060-SET-ATTRIBUTE.
017000*
017100     MOVE SS08WS-CURSOR          TO MI04-AUTH-APPR-L.
017200*
017300****************************************************************
017400*    IF  INQUIRY, DARKEN PARENS AND ASKIP FIELDS               *
017500****************************************************************
017600*
017700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
017800         MOVE SS08WS-CURSOR      TO MI04-ALT-TRANID-L
017900         MOVE DFHBMASB           TO MI04-AUTH-APPR-A
018000                                    MI04-AUTH-DECL-A
018100         PERFORM
018200             VARYING X-MI04-PUF FROM 1 BY 1
018300             UNTIL X-MI04-PUF IS GREATER THAN 3
018400             MOVE DFHBMASB       TO MI04-PUF-IND-A
018500                                    (X-MI04-PUF)
018600                                    MI04-PUF-AMT-A
018700                                    (X-MI04-PUF)
018800         END-PERFORM
018900         PERFORM
019000             VARYING X-MI04-QL FROM 1 BY 1
019100             UNTIL X-MI04-QL IS GREATER THAN 9
019200             MOVE DFHBMASB       TO MI04-INTCHG-RATE-A
019300                                    (X-MI04-QL)
019400                                    MI04-INTCHG-PER-ITEM-A
019500                                    (X-MI04-QL)
019600         END-PERFORM
019700         MOVE DFHBMDAS           TO MI04-AUTH-APPR-LP-A
019800                                    MI04-AUTH-APPR-RP-A
019900                                    MI04-AUTH-DECL-LP-A
020000                                    MI04-AUTH-DECL-RP-A
020100         PERFORM
020200             VARYING X-MI04-PUF FROM 1 BY 1
020300             UNTIL X-MI04-PUF IS GREATER THAN 3
020400             MOVE DFHBMDAS       TO MI04-PUF-IND-LP-A
020500                                    (X-MI04-PUF)
020600                                    MI04-PUF-IND-RP-A
020700                                    (X-MI04-PUF)
020800                                    MI04-PUF-AMT-LP-A
020900                                    (X-MI04-PUF)
021000                                    MI04-PUF-AMT-RP-A
021100                                    (X-MI04-PUF)
021200         END-PERFORM
021300         PERFORM
021400             VARYING X-MI04-QL FROM 1 BY 1
021500             UNTIL X-MI04-QL IS GREATER THAN 9
021600             MOVE DFHBMDAS       TO MI04-INTCHG-RATE-LP-A
021700                                    (X-MI04-QL)
021800                                    MI04-INTCHG-RATE-RP-A
021900                                    (X-MI04-QL)
022000                                    MI04-INTCHG-PER-ITEM-LP-A
022100                                    (X-MI04-QL)
022200                                    MI04-INTCHG-PER-ITEM-RP-A
022300                                    (X-MI04-QL)
022400         END-PERFORM.
022500*
022600     PERFORM
022700         VARYING X-MI04-QL FROM 1 BY 1
022800         UNTIL X-MI04-QL IS GREATER THAN 9
022900         MOVE DFHBMASK       TO MI04-INTCHG-DESC-A
023000                                (X-MI04-QL)
023100     END-PERFORM.
023200*
023300 1100-CONTINUE.
023400*
023500     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
023600     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
023700     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
023800     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
023900     MOVE SS08WS-LINE-24         TO MI04-PF-KEYS.
024000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
024100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
024200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
024300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
024400*
024500****************************************************************
024600*    FORMAT THE MESSAGE LINE                                   *
024700****************************************************************
024800*
024900     IF MI04-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
025000        PERFORM MB06PD-FORMAT-MESSAGE-LINE
025100           THRU MB06PD-FML-EXIT
025200        MOVE SS08WS-FORMATTED-MSG TO MI04-ERR-MESSAGE.
025300*
025400****************************************************************
025500*    SEND THE MAP                                              *
025600****************************************************************
025700*
025800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
025900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
026000                                 THRU MB60PD-SMWE-EXIT.
026100*
026200****************************************************************
026300*    RETURN TO CICS                                            *
026400****************************************************************
026500*
026600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026700     PERFORM MB70PD-RETURN-TRANS-ID
026800                                 THRU MB70PD-RTI-EXIT.
026900/
027000 2000-RECEIVE-SCREEN SECTION.
027100*
027200****************************************************************
027300*    THIS SECTION RECEIVES THE 04 SCREEN                       *
027400****************************************************************
027500*
027600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
027700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
027800*
027900****************************************************************
028000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
028100****************************************************************
028200*
028300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
028400     PERFORM MB60PD-NEW-TRANS-ROUTINE
028500                                 THRU MB60PD-NTR-EXIT.
028600*
028700****************************************************************
028800*    BYPASS EDITS ON INQUIRY                                   *
028900****************************************************************
029000*
029100     SET X-MMIF-PROD-FEES        TO MBCA-MBMI-IFT-INDEX.
029200     SET X-MMIF-IFT              TO MBCA-MBMI-IFT-INDEX.
029300*
029400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029500         GO TO 2600-SETUP-COMMAREA.
029600*
029700****************************************************************
029800*    READ RANDOM THE INCOME RECORD                             *
029900****************************************************************
030000*
030100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
030200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIF-ORG.
030300     MOVE MBCA-TABLE             TO MBIOWS-MMIF-TABLE.
030400     SET MBIORO-READ-RANDOM      TO TRUE.
030500     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
030600*
030700****************************************************************
030800*    EDIT FIELDS                                               *
030900****************************************************************
031000*
031100****************************************************************
031200*                  AUTH APPROVAL                               *
031300****************************************************************
031400*
031500     IF  MI04-AUTH-APPR-L        IS LESS THAN 1
031600         MOVE DFHBMASK           TO MI04-AUTH-APPR-A
031700         MOVE DFHBMDAS           TO MI04-AUTH-APPR-LP-A
031800                                    MI04-AUTH-APPR-RP-A
031900         MOVE MMIF-PROD-AUTH-APPR-FEE (X-MMIF-PROD-FEES)
032000                                 TO MI04-AUTH-APPR
032100     ELSE
032200         IF  MI04-AUTH-APPR IS NUMERIC
032300             MOVE DFHBMASF       TO MI04-AUTH-APPR-A
032400             MOVE DFHBMDAS       TO MI04-AUTH-APPR-LP-A
032500                                    MI04-AUTH-APPR-RP-A
032600             SET WS-UPDATE-SW-YES
032700                                 TO TRUE
032800         ELSE
032900             MOVE DFHBMNBF       TO MI04-AUTH-APPR-A
033000             MOVE DFHBMASB       TO MI04-AUTH-APPR-LP-A
033100                                    MI04-AUTH-APPR-RP-A
033200             MOVE SS08WS-CURSOR  TO MI04-AUTH-APPR-L
033300             SET SS08WS-ERROR-SW-YES TO TRUE.
033400*
033500****************************************************************
033600*                  AUTH DECLINE                                *
033700****************************************************************
033800*
033900     IF  MI04-AUTH-DECL-L        IS LESS THAN 1
034000         MOVE DFHBMASK           TO MI04-AUTH-DECL-A
034100         MOVE DFHBMDAS           TO MI04-AUTH-DECL-LP-A
034200                                    MI04-AUTH-DECL-RP-A
034300         MOVE MMIF-PROD-AUTH-DECL-FEE (X-MMIF-PROD-FEES)
034400                                 TO MI04-AUTH-DECL
034500     ELSE
034600         IF  MI04-AUTH-DECL IS NUMERIC
034700             MOVE DFHBMASF       TO MI04-AUTH-DECL-A
034800             MOVE DFHBMDAS       TO MI04-AUTH-DECL-LP-A
034900                                    MI04-AUTH-DECL-RP-A
035000             SET WS-UPDATE-SW-YES
035100                                 TO TRUE
035200         ELSE
035300             MOVE DFHBMNBF       TO MI04-AUTH-DECL-A
035400             MOVE DFHBMASB       TO MI04-AUTH-DECL-LP-A
035500                                    MI04-AUTH-DECL-RP-A
035600             MOVE SS08WS-CURSOR  TO MI04-AUTH-DECL-L
035700             SET SS08WS-ERROR-SW-YES TO TRUE.
035800*
035900****************************************************************
036000*                PRODUCT USER FEES INDICATOR                   *
036100****************************************************************
036200*
036300     PERFORM
036400         VARYING X-MI04-PUF FROM 1 BY 1
036500         UNTIL X-MI04-PUF IS GREATER THAN 3
036600         SET X-MMIF-PUF          TO X-MI04-PUF
036700         IF MI04-PUF-IND-L (X-MI04-PUF) IS LESS THAN 1
036800             MOVE DFHBMASK       TO MI04-PUF-IND-A (X-MI04-PUF)
036900             MOVE DFHBMDAS       TO MI04-PUF-IND-LP-A (X-MI04-PUF)
037000                                    MI04-PUF-IND-RP-A (X-MI04-PUF)
037100             MOVE MMIF-PUF-IND (X-MMIF-PROD-FEES X-MMIF-PUF)
037200                                 TO MI04-PUF-IND (X-MI04-PUF)
037300         ELSE
037400             IF  MI04-VALID-PUF-IND (X-MI04-PUF)
037500                 MOVE DFHBMASF   TO MI04-PUF-IND-A (X-MI04-PUF)
037600                 MOVE DFHBMDAS   TO MI04-PUF-IND-LP-A (X-MI04-PUF)
037700                                    MI04-PUF-IND-RP-A (X-MI04-PUF)
037800                 SET WS-UPDATE-SW-YES
037900                                 TO TRUE
038000             ELSE
038100                 MOVE DFHBMUBF   TO MI04-PUF-IND-A (X-MI04-PUF)
038200                 MOVE DFHBMASB   TO MI04-PUF-IND-LP-A (X-MI04-PUF)
038300                                    MI04-PUF-IND-RP-A (X-MI04-PUF)
038400                 MOVE SS08WS-CURSOR TO MI04-PUF-IND-L (X-MI04-PUF)
038500                 SET SS08WS-ERROR-SW-YES
038600                                 TO TRUE
038700             END-IF
038800         END-IF
038900     END-PERFORM.
039000*
039100****************************************************************
039200*                PRODUCT USER FEES AMOUNT                      *
039300****************************************************************
039400*
039500     PERFORM
039600         VARYING X-MI04-PUF FROM 1 BY 1
039700         UNTIL X-MI04-PUF IS GREATER THAN 3
039800         SET X-MMIF-PUF          TO X-MI04-PUF
039900         IF  MI04-PUF-AMT-L (X-MI04-PUF) IS LESS THAN 1
040000             MOVE DFHBMASK       TO MI04-PUF-AMT-A (X-MI04-PUF)
040100             MOVE DFHBMDAS       TO MI04-PUF-AMT-LP-A (X-MI04-PUF)
040200                                    MI04-PUF-AMT-RP-A (X-MI04-PUF)
040300             MOVE MMIF-PUF-AMT (X-MMIF-PROD-FEES X-MMIF-PUF)
040400                                 TO MI04-PUF-AMT (X-MI04-PUF)
040500         ELSE
040600             IF  MI04-PUF-AMT (X-MI04-PUF) IS NUMERIC
040700                 MOVE DFHBMASF   TO MI04-PUF-AMT-A (X-MI04-PUF)
040800                 MOVE DFHBMDAS   TO MI04-PUF-AMT-LP-A (X-MI04-PUF)
040900                                    MI04-PUF-AMT-RP-A (X-MI04-PUF)
041000                 SET WS-UPDATE-SW-YES
041100                                 TO TRUE
041200             ELSE
041300                 MOVE DFHBMNBF   TO MI04-PUF-AMT-A (X-MI04-PUF)
041400                 MOVE DFHBMASB   TO MI04-PUF-AMT-LP-A (X-MI04-PUF)
041500                                    MI04-PUF-AMT-RP-A (X-MI04-PUF)
041600                 MOVE SS08WS-CURSOR TO MI04-PUF-AMT-L (X-MI04-PUF)
041700                 SET SS08WS-ERROR-SW-YES
041800                                 TO TRUE
041900             END-IF
042000         END-IF
042100         IF (MI04-PUF-IND(X-MI04-PUF) EQUAL 'P' AND
042200             MI04-PUF-AMT(X-MI04-PUF)(1:2) NOT EQUAL 00)
042300             MOVE DFHBMNBF   TO MI04-PUF-AMT-A
042400                                 (X-MI04-PUF)
042500             MOVE DFHBMASB   TO MI04-PUF-AMT-LP-A
042600                                 (X-MI04-PUF)
042700                                MI04-PUF-AMT-RP-A
042800                                 (X-MI04-PUF)
042900             MOVE SS08WS-CURSOR TO MI04-PUF-AMT-L
043000                                 (X-MI04-PUF)
043100             SET SS08WS-ERROR-SW-YES
043200                              TO TRUE
043300             SET WS-UPDATE-SW-NO
043400                              TO TRUE
043500             MOVE 'NOT A VALID PERCENT' TO MI04-ERR-MESSAGE
043600         ELSE
043700             SET WS-UPDATE-SW-YES
043800                              TO TRUE
043900         END-IF
044000     END-PERFORM.
044100*
044200****************************************************************
044300*                INTERCHANGE RATE                              *
044400****************************************************************
044500*
044600     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
044700*
044800     PERFORM
044900         VARYING X-MI04-QL FROM 1 BY 1
045000         UNTIL X-MI04-QL IS GREATER THAN 9
045100         IF MI04-INTCHG-RATE-L (X-MI04-QL) IS LESS THAN 1
045200             MOVE DFHBMASK       TO MI04-INTCHG-RATE-A (X-MI04-QL)
045300             MOVE DFHBMDAS       TO MI04-INTCHG-RATE-LP-A
045400                                    (X-MI04-QL)
045500                                    MI04-INTCHG-RATE-RP-A
045600                                    (X-MI04-QL)
045700             MOVE MMIF-INTCHG-RATE (X-MMIF-IFT X-MMIF-QL)
045800                                 TO MI04-INTCHG-RATE (X-MI04-QL)
045900             SET X-MMIF-QL       UP BY 1
046000         ELSE
046100             IF  MI04-INTCHG-RATE (X-MI04-QL) IS NUMERIC
046200                 MOVE DFHBMASF   TO MI04-INTCHG-RATE-A (X-MI04-QL)
046300                 MOVE DFHBMDAS   TO MI04-INTCHG-RATE-LP-A
046400                                    (X-MI04-QL)
046500                                    MI04-INTCHG-RATE-RP-A
046600                                    (X-MI04-QL)
046700                 SET WS-UPDATE-SW-YES
046800                                 TO TRUE
046900                 SET X-MMIF-QL   UP BY 1
047000             ELSE
047100                 MOVE DFHBMNBF   TO MI04-INTCHG-RATE-A (X-MI04-QL)
047200                 MOVE DFHBMASB   TO MI04-INTCHG-RATE-LP-A
047300                                    (X-MI04-QL)
047400                                    MI04-INTCHG-RATE-RP-A
047500                                    (X-MI04-QL)
047600                 MOVE SS08WS-CURSOR TO MI04-INTCHG-RATE-L
047700                                    (X-MI04-QL)
047800                 SET SS08WS-ERROR-SW-YES
047900                                 TO TRUE
048000                 SET X-MMIF-QL   UP BY 1
048100             END-IF
048200         END-IF
048300     END-PERFORM.
048400*
048500****************************************************************
048600*                INTERCHANGE PER ITEM                          *
048700****************************************************************
048800*
048900     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
049000*
049100     PERFORM
049200         VARYING X-MI04-QL FROM 1 BY 1
049300         UNTIL X-MI04-QL IS GREATER THAN 9
049400         IF MI04-INTCHG-PER-ITEM-L (X-MI04-QL) IS LESS THAN 1
049500             MOVE DFHBMASK       TO MI04-INTCHG-PER-ITEM-A
049600                                    (X-MI04-QL)
049700             MOVE DFHBMDAS       TO MI04-INTCHG-PER-ITEM-LP-A
049800                                    (X-MI04-QL)
049900                                    MI04-INTCHG-PER-ITEM-RP-A
050000                                    (X-MI04-QL)
050100             MOVE MMIF-INTCHG-PER-ITEM (X-MMIF-IFT X-MMIF-QL)
050200                                 TO MI04-INTCHG-PER-ITEM
050300                                    (X-MI04-QL)
050400             SET X-MMIF-QL       UP BY 1
050500         ELSE
050600             IF  MI04-INTCHG-PER-ITEM (X-MI04-QL) IS NUMERIC
050700                 MOVE DFHBMASF   TO MI04-INTCHG-PER-ITEM-A
050800                                    (X-MI04-QL)
050900                 MOVE DFHBMDAS   TO MI04-INTCHG-PER-ITEM-LP-A
051000                                    (X-MI04-QL)
051100                                    MI04-INTCHG-PER-ITEM-RP-A
051200                                    (X-MI04-QL)
051300                 SET WS-UPDATE-SW-YES
051400                                 TO TRUE
051500                 SET X-MMIF-QL   UP BY 1
051600             ELSE
051700                 MOVE DFHBMNBF   TO MI04-INTCHG-PER-ITEM-A
051800                                    (X-MI04-QL)
051900                 MOVE DFHBMASB   TO MI04-INTCHG-PER-ITEM-LP-A
052000                                    (X-MI04-QL)
052100                                    MI04-INTCHG-PER-ITEM-RP-A
052200                                    (X-MI04-QL)
052300                 MOVE SS08WS-CURSOR TO MI04-INTCHG-PER-ITEM-L
052400                                    (X-MI04-QL)
052500                 SET SS08WS-ERROR-SW-YES
052600                                 TO TRUE
052700                 SET X-MMIF-QL   UP BY 1
052800             END-IF
052900         END-IF
053000     END-PERFORM.
053100*
053200     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
053300*
053400     IF  SS08WS-ERROR-SW-NO
053500         GO TO 2400-UPDATE-FILE.
053600*
053700 2300-SEND-MAP.
053800*
053900****************************************************************
054000*    SEND THE MAP                                              *
054100****************************************************************
054200*
054300     PERFORM MB60PD-INIT-STD-MAP-LINES
054400                                 THRU MB60PD-ISML-EXIT.
054500*
054600     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
054700     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
054800     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
054900     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
055000     MOVE SS08WS-LINE-24         TO MI04-PF-KEYS.
055100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
055200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
055300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
055400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
055500*
055600     IF MI04-ERR-MESSAGE EQUAL TO SPACES OR LOW-VALUES
055700         PERFORM MB06PD-FORMAT-MESSAGE-LINE
055800              THRU MB06PD-FML-EXIT
055900         MOVE SS08WS-FORMATTED-MSG TO MI04-ERR-MESSAGE.
056000*
056100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
056200     PERFORM MB60PD-SEND-MAP-DATA-ONLY
056300                                 THRU MB60PD-SMDO-EXIT.
056400*
056500****************************************************************
056600*    RETURN TO CICS                                            *
056700****************************************************************
056800*
056900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
057000     PERFORM MB70PD-RETURN-TRANS-ID
057100                                 THRU MB70PD-RTI-EXIT.
057200/
057300 2400-UPDATE-FILE.
057400*
057500****************************************************
057600*    READ THE INCOME FILE RECORD FOR UPDATE        *
057700****************************************************
057800*
057900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
058000     SET MBIORO-READ-RANDOM-UPDATE
058100                                 TO TRUE.
058200     PERFORM MMIFAO-ACCESS       THRU MMIFAO-ACCESS-EXIT.
058300*
058400*************************************
058500*    OBTAIN STORAGE FOR LOG FILE    *
058600*    RECORD IF DOING MAINTENANCE    *
058700*************************************
058800*
058900     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
059000     SET MBIORO-GETMAIN          TO TRUE.
059100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
059200*
059300 2500-UPDATE-FIELDS.
059400*
059500*
059600*            ***** AUTH APPROVAL *****                         *
059700*
059800     IF  MI04-AUTH-APPR-L IS GREATER THAN ZERO
059900         MOVE MBCA-MBMI-IFT-INDEX
060000                                 TO MML1-FIELD-OCCURRENCE
060100         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
060200         MOVE 0401               TO MML1-FIELD-CODE
060300         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
060400         MOVE MMIF-PROD-AUTH-APPR-FEE (X-MMIF-PROD-FEES)
060500                                 TO MML1-VL20-B-NBR-NO-DEC
060600         MOVE MI04-AUTH-APPR     TO MMIF-PROD-AUTH-APPR-FEE
060700                                    (X-MMIF-PROD-FEES)
060800         MOVE MMIF-PROD-AUTH-APPR-FEE (X-MMIF-PROD-FEES)
060900                                 TO MML1-VL20-A-NBR-NO-DEC
061000         PERFORM 9050-WRITE-LOG-REC
061100                                 THRU 9099-WLR-EXIT.
061200*
061300*            ***** AUTH DECLINE  *****                         *
061400*
061500     IF  MI04-AUTH-DECL-L IS GREATER THAN ZERO
061600         MOVE MBCA-MBMI-IFT-INDEX
061700                                 TO MML1-FIELD-OCCURRENCE
061800         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
061900         MOVE 0402               TO MML1-FIELD-CODE
062000         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
062100         MOVE MMIF-PROD-AUTH-DECL-FEE (X-MMIF-PROD-FEES)
062200                                 TO MML1-VL20-B-NBR-NO-DEC
062300         MOVE MI04-AUTH-DECL     TO MMIF-PROD-AUTH-DECL-FEE
062400                                    (X-MMIF-PROD-FEES)
062500         MOVE MMIF-PROD-AUTH-DECL-FEE (X-MMIF-PROD-FEES)
062600                                 TO MML1-VL20-A-NBR-NO-DEC
062700         PERFORM 9050-WRITE-LOG-REC
062800                                 THRU 9099-WLR-EXIT.
062900*
063000*            ***** PRODUCT USER FEE INDICATOR *****             *
063100*
063200     PERFORM
063300         VARYING X-MI04-PUF FROM 1 BY 1
063400         UNTIL X-MI04-PUF IS GREATER THAN 3
063500         SET X-MMIF-PUF          TO X-MI04-PUF
063600         SET WS-INDEX            TO X-MI04-PUF
063700         IF  MI04-PUF-IND-L (X-MI04-PUF) IS GREATER THAN ZERO
063800             MOVE MBCA-MBMI-IFT-INDEX
063900                                 TO MML1-FIELD-OCCURRENCE
064000             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE-2
064100             MOVE 0403           TO MML1-FIELD-CODE
064200             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
064300             MOVE MMIF-PUF-IND (X-MMIF-PROD-FEES X-MMIF-PUF)
064400                                     TO MML1-VL01-B-DATA-X
064500             MOVE MI04-PUF-IND (X-MI04-PUF)
064600                                 TO MMIF-PUF-IND
064700                                    (X-MMIF-PROD-FEES X-MMIF-PUF)
064800             MOVE MMIF-PUF-IND (X-MMIF-PROD-FEES X-MMIF-PUF)
064900                                     TO MML1-VL01-A-DATA-X
065000             PERFORM 9050-WRITE-LOG-REC
065100                                     THRU 9099-WLR-EXIT
065200         END-IF
065300     END-PERFORM.
065400*
065500*            ***** PRODUCT USER FEE AMOUNT *****                *
065600*
065700     PERFORM
065800         VARYING X-MI04-PUF FROM 1 BY 1
065900         UNTIL X-MI04-PUF IS GREATER THAN 3
066000         SET X-MMIF-PUF          TO X-MI04-PUF
066100         SET WS-INDEX            TO X-MI04-PUF
066200         IF  MI04-PUF-AMT-L (X-MI04-PUF) IS GREATER THAN ZERO
066300             MOVE MBCA-MBMI-IFT-INDEX
066400                                 TO MML1-FIELD-OCCURRENCE
066500             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE-2
066600             MOVE 0404           TO MML1-FIELD-CODE
066700             MOVE MML1WS-VL-20   TO MML1-VARIABLE-LENGTH
066800             MOVE MMIF-PUF-AMT (X-MMIF-PROD-FEES X-MMIF-PUF)
066900                                     TO MML1-VL20-B-NBR-NO-DEC
067000             MOVE MI04-PUF-AMT (X-MI04-PUF)
067100                                 TO MMIF-PUF-AMT
067200                                    (X-MMIF-PROD-FEES X-MMIF-PUF)
067300             MOVE MMIF-PUF-AMT (X-MMIF-PROD-FEES X-MMIF-PUF)
067400                                     TO MML1-VL20-A-NBR-NO-DEC
067500             PERFORM 9050-WRITE-LOG-REC
067600                                     THRU 9099-WLR-EXIT
067700         END-IF
067800     END-PERFORM.
067900*
068000*            ***** INTCHG RATE *****                            *
068100*
068200     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
068300*
068400     PERFORM
068500         VARYING X-MI04-QL FROM 1 BY 1
068600         UNTIL X-MI04-QL IS GREATER THAN 9
068700         SET WS-INDEX            TO X-MMIF-QL
068800         IF  MI04-INTCHG-RATE-L (X-MI04-QL) IS GREATER THAN ZERO
068900             MOVE MBCA-MBMI-IFT-INDEX
069000                                 TO MML1-FIELD-OCCURRENCE
069100             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE-2
069200             MOVE 0405           TO MML1-FIELD-CODE
069300             MOVE MML1WS-VL-20   TO MML1-VARIABLE-LENGTH
069400             MOVE MMIF-INTCHG-RATE (X-MMIF-IFT X-MMIF-QL)
069500                                 TO MML1-VL20-B-NBR-NO-DEC
069600             MOVE MI04-INTCHG-RATE (X-MI04-QL)
069700                                 TO MMIF-INTCHG-RATE
069800                                    (X-MMIF-IFT X-MMIF-QL)
069900             MOVE MMIF-INTCHG-RATE (X-MMIF-IFT X-MMIF-QL)
070000                                 TO MML1-VL20-A-NBR-NO-DEC
070100             PERFORM 9050-WRITE-LOG-REC
070200                                 THRU 9099-WLR-EXIT
070300             SET X-MMIF-QL       UP BY 1
070400         ELSE
070500             SET X-MMIF-QL       UP BY 1
070600         END-IF
070700     END-PERFORM.
070800*
070900*            ***** INTCHG PER ITEM *****                        *
071000*
071100     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
071200*
071300     PERFORM
071400         VARYING X-MI04-QL FROM 1 BY 1
071500         UNTIL X-MI04-QL IS GREATER THAN 9
071600         SET WS-INDEX            TO X-MMIF-QL
071700         IF  MI04-INTCHG-PER-ITEM-L (X-MI04-QL)
071800                                 IS GREATER THAN ZERO
071900             MOVE MBCA-MBMI-IFT-INDEX
072000                                 TO MML1-FIELD-OCCURRENCE
072100             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE-2
072200             MOVE 0406           TO MML1-FIELD-CODE
072300             MOVE MML1WS-VL-20   TO MML1-VARIABLE-LENGTH
072400             MOVE MMIF-INTCHG-PER-ITEM (X-MMIF-IFT X-MMIF-QL)
072500                                 TO MML1-VL20-B-NBR-NO-DEC
072600             MOVE MI04-INTCHG-PER-ITEM (X-MI04-QL)
072700                                 TO MMIF-INTCHG-PER-ITEM
072800                                    (X-MMIF-IFT X-MMIF-QL)
072900             MOVE MMIF-INTCHG-PER-ITEM (X-MMIF-IFT X-MMIF-QL)
073000                                 TO MML1-VL20-A-NBR-NO-DEC
073100             PERFORM 9050-WRITE-LOG-REC
073200                                 THRU 9099-WLR-EXIT
073300             SET X-MMIF-QL       UP BY 1
073400         ELSE
073500             SET X-MMIF-QL       UP BY 1
073600         END-IF
073700     END-PERFORM.
073800*
073900     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
074000*
074100 2650-UPDATE-MMIF.
074200*
074300     IF  MBCA-PTI-FUNCTION-IS-ADD
074400         MOVE MBCA-SCREEN-NBR    TO MMIF-ONLINE-STATUS
074500         MOVE MBCA-START-DATE    TO MMIF-LAST-MAINT-DATE
074600         MOVE MBCA-OPERATOR-ID   TO MMIF-LAST-MAINT-OPER
074700         SET WS-UPDATE-SW-YES    TO TRUE.
074800*
074900**************************************************************
075000*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
075100*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
075200*    ON THE SCREEN                                           *
075300**************************************************************
075400*
075500     IF  MBCA-PTI-FUNCTION-IS-MAINT
075600     AND WS-UPDATE-SW-YES
075700         MOVE 0198               TO MML1-FIELD-CODE
075800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
075900                                    MML1-FIELD-OCCURRENCE-2
076000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
076100         MOVE MMIF-LAST-MAINT-OPER
076200                                 TO MML1-VL03-B-DATA-X
076300         MOVE MBCA-OPERATOR-ID   TO MMIF-LAST-MAINT-OPER
076400         MOVE MMIF-LAST-MAINT-OPER
076500                                 TO MML1-VL03-A-DATA-X
076600         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
076700         PERFORM 9050-WRITE-LOG-REC
076800                                 THRU 9099-WLR-EXIT
076900         MOVE 0199               TO MML1-FIELD-CODE
077000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
077100         MOVE MMIF-LAST-MAINT-DATE
077200                                 TO MML1-VL07-B-DATA-9
077300         MOVE MBCA-START-DATE    TO MMIF-LAST-MAINT-DATE
077400         MOVE MMIF-LAST-MAINT-DATE
077500                                 TO MML1-VL07-A-DATA-9
077600         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
077700         PERFORM 9050-WRITE-LOG-REC
077800                                 THRU 9099-WLR-EXIT.
077900*
078000****************************************************
078100*    REWRITE THE MERCHANT INCOME RECORD IF         *
078200*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
078300*    UNLOCK IT IF THEY HAVE NOT                    *
078400****************************************************
078500*
078600     IF  WS-UPDATE-SW-YES
078700         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
078800         SET MBIORO-REWRITE      TO TRUE
078900         PERFORM MMIFAO-ACCESS   THRU MMIFAO-ACCESS-EXIT
079000     ELSE
079100         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
079200         SET MBIORO-UNLOCK       TO TRUE
079300         PERFORM MMIFAO-ACCESS   THRU MMIFAO-ACCESS-EXIT.
079400/
079500 2600-SETUP-COMMAREA.
079600*
079700****************************************************************
079800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
079900****************************************************************
080000*
080100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
080200*
080300     IF  SS08WS-VALID-PF3
080400     OR  SS08WS-EIBAID-VALID-PF3
080500         MOVE 1                  TO MBCA-MBMI-QL-INDEX
080600         IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
080700             MOVE 54             TO MBCA-SCREEN-NBR
080800             GO TO 2690-PF-KEY-BYPASS
080900         ELSE
081000             MOVE 55             TO MBCA-SCREEN-NBR
081100             GO TO 2690-PF-KEY-BYPASS.
081200*
081300     IF  SS08WS-VALID-PF4
081400     OR  SS08WS-EIBAID-VALID-PF4
081500         MOVE 91                 TO MBCA-MBMI-QL-INDEX
081600         IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
081700             MOVE 54             TO MBCA-SCREEN-NBR
081800             GO TO 2690-PF-KEY-BYPASS
081900         ELSE
082000             MOVE 55             TO MBCA-SCREEN-NBR
082100             GO TO 2690-PF-KEY-BYPASS.
082200*
082300     IF  SS08WS-VALID-PF5
082400     OR  SS08WS-EIBAID-VALID-PF5
082500         IF  MBCA-MBMI-QL-INDEX IS GREATER THAN 90
082600             MOVE 91             TO MBCA-MBMI-QL-INDEX
082700             IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
082800                 MOVE 54         TO MBCA-SCREEN-NBR
082900                 GO TO 2690-PF-KEY-BYPASS
083000             ELSE
083100                 MOVE 55         TO MBCA-SCREEN-NBR
083200                 GO TO 2690-PF-KEY-BYPASS
083300         ELSE
083400             COMPUTE MBCA-MBMI-QL-INDEX
083500                                 = MBCA-MBMI-QL-INDEX
083600                                 + 9
083700             IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
083800                 MOVE 54         TO MBCA-SCREEN-NBR
083900                 GO TO 2690-PF-KEY-BYPASS
084000             ELSE
084100                 MOVE 55         TO MBCA-SCREEN-NBR
084200                 GO TO 2690-PF-KEY-BYPASS.
084300*
084400     IF  SS08WS-VALID-PF6
084500     OR  SS08WS-EIBAID-VALID-PF6
084600         IF  MBCA-MBMI-QL-INDEX IS LESS THAN 10
084700             MOVE 1              TO MBCA-MBMI-QL-INDEX
084800             IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
084900                 MOVE 54         TO MBCA-SCREEN-NBR
085000                 GO TO 2690-PF-KEY-BYPASS
085100             ELSE
085200                 MOVE 55         TO MBCA-SCREEN-NBR
085300                 GO TO 2690-PF-KEY-BYPASS
085400         ELSE
085500             COMPUTE MBCA-MBMI-QL-INDEX
085600                                 = MBCA-MBMI-QL-INDEX
085700                                 - 9
085800             IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 1
085900                 MOVE 54         TO MBCA-SCREEN-NBR
086000                 GO TO 2690-PF-KEY-BYPASS
086100             ELSE
086200                 MOVE 55         TO MBCA-SCREEN-NBR
086300                 GO TO 2690-PF-KEY-BYPASS.
086400*
086500     IF  SS08WS-VALID-PF-KEY
086600     OR  SS08WS-EIBAID-VALID-PF-KEY
086700         SET MBCA-INITIAL-SCREEN-NBR
086800                                 TO TRUE
086900         GO TO 2690-PF-KEY-BYPASS.
087000*
087100     IF  TTN0162L IS GREATER THAN ZERO
087200     AND TTN0162I IS NUMERIC
087300         IF  TTN0162I IS NOT GREATER THAN MBCA-MAX-SCREEN-NBR
087400             MOVE TTN0162I       TO MBCA-SCREEN-NBR
087500             MOVE TTN0162I       TO MBCA-SAVE-SCREEN-NBR
087600             MOVE 1              TO MBCA-MBMI-QL-INDEX
087700             MOVE 1              TO MBCA-MBMI-IFT-INDEX
087800             ADD 50              TO MBCA-SCREEN-NBR
087900             GO TO 2690-PF-KEY-BYPASS.
088000*
088100     IF  MBCA-MBMI-IFT-INDEX IS EQUAL TO 2
088200         MOVE 56                 TO MBCA-SCREEN-NBR
088300         MOVE 1                  TO MBCA-MBMI-QL-INDEX
088400         MOVE 1                  TO MBCA-MBMI-IFT-INDEX
088500     ELSE
088600         MOVE 55                 TO MBCA-SCREEN-NBR
088700         MOVE 1                  TO MBCA-MBMI-QL-INDEX
088800         MOVE 2                  TO MBCA-MBMI-IFT-INDEX.
088900*
089000 2690-PF-KEY-BYPASS.
089100*
089200     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
089300     PERFORM MB70PD-XCTL-TO-MBOXCTL
089400                                 THRU MB70PD-XTM-EXIT.
089500/
089600 9000-PERFORMED-ROUTINES-SECT SECTION.
089700*
089800*
089900 9050-WRITE-LOG-REC.
090000*
090100*****************************************************************
090200*    WRITE THE LOG/JOURNAL FILE RECORD                          *
090300*****************************************************************
090400*
090500     IF  MBCA-PTI-FUNCTION-IS-ADD
090600         GO TO 9099-WLR-EXIT.
090700*
090800     MOVE 'IF'                   TO MML1-FILE-CODE.
090900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMIF-ORG.
091000     MOVE MBCA-TABLE             TO MML1-MMIF-TABLE-NBR.
091100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
091200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
091300     MOVE ZEROES                 TO MML1-SOURCE-CODE.
091400*
091500     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
091600     SET MBIORO-WRITE            TO TRUE.
091700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
091800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
091900*
092000 9099-WLR-EXIT.
092100     EXIT.
092200*
092300 9500-BUILD-SCREEN.
092400*
092500*
092600     MOVE MMIF-PROD-AUTH-APPR-FEE (X-MMIF-PROD-FEES)
092700                                 TO MI04-AUTH-APPR.
092800*
092900     MOVE MMIF-PROD-AUTH-DECL-FEE (X-MMIF-PROD-FEES)
093000                                 TO MI04-AUTH-DECL.
093100*
093200     PERFORM
093300         VARYING X-MMIF-PUF FROM 1 BY 1
093400         UNTIL X-MMIF-PUF IS GREATER THAN 3
093500         SET X-MI04-PUF          TO X-MMIF-PUF
093600         MOVE MMIF-PUF-IND (X-MMIF-PROD-FEES X-MMIF-PUF)
093700                                 TO MI04-PUF-IND (X-MI04-PUF)
093800         MOVE MMIF-PUF-AMT (X-MMIF-PROD-FEES X-MMIF-PUF)
093900                                 TO MI04-PUF-AMT (X-MI04-PUF)
094000     END-PERFORM.
094100*
094200     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
094300     SET X-MB80WS-QL             TO MBCA-MBMI-QL-INDEX.
094400*
094500     PERFORM
094600         VARYING X-MI04-QL FROM 1 BY 1
094700         UNTIL X-MI04-QL IS GREATER THAN 9
094800         SET WS-NBR-INDEX        TO X-MMIF-QL
094900         MOVE WS-NBR-INDEX       TO MI04-PROD-NUMBER
095000                                    (X-MI04-QL)
095100         MOVE '.'                TO MI04-PROD-PERIOD
095200                                    (X-MI04-QL)
095300         MOVE DFHBMASK           TO MI04-PROD-NBR-A
095400                                    (X-MI04-QL)
095500         MOVE MB80WS-INTCHG-QL-DESC (X-MB80WS-IFT X-MB80WS-QL)
095600                                 TO MI04-INTCHG-DESC (X-MI04-QL)
095700         MOVE MMIF-INTCHG-RATE (X-MMIF-IFT X-MMIF-QL)
095800                                 TO MI04-INTCHG-RATE (X-MI04-QL)
095900         MOVE MMIF-INTCHG-PER-ITEM (X-MMIF-IFT X-MMIF-QL)
096000                                 TO MI04-INTCHG-PER-ITEM
096100                                    (X-MI04-QL)
096200         SET X-MMIF-QL           UP BY 1
096300         SET X-MB80WS-QL         UP BY 1
096400     END-PERFORM.
096500*
096600     SET X-MMIF-QL               TO MBCA-MBMI-QL-INDEX.
096700     SET X-MB80WS-QL             TO MBCA-MBMI-QL-INDEX.
096800*
096900 9599-BS-EXIT.
097000     EXIT.
097100*
097200/         JULIAN TO GREGORIAN DATE ROUTINE
097300     COPY SS08PD.
097400/         DATE AND TIME EDIT ROUTINES
097500     COPY SS26PD.
097600     COPY SS27PD.
097700/         LINE 24 PF KEYS ROUTINE
097800     COPY SS15PD.
097900/         ORGANIZATION FILE ACCESS ROUTINES
098000     COPY MMOCAO.
098100/         MERCHANT INCOME FILE ACCESS ROUTINES
098200     COPY MMIFAO.
098300/         LOG/JOURNAL ACCESS ROUTINES
098400     COPY MML1AO.
098500/         ON-LINE MAP ROUTINES
098600     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMI04 '
098700                           MBMAPXXI BY MBMI04I
098800                           MBMAPXXO BY MBMI04O.
098900/         ON-LINE PROCEDURES
099000     COPY MB70PD.
099100/         MESSAGE FORMAT ROUTINE
099200     COPY MB06PD.
099300/
099400     COPY SMFTPXO.
