000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOML00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOML00 - ON-LINE PLAN TRANSLATION RECORD                *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAL                                       *
001200*                 B. MBML                                       *
001300*                 C. MBQL                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBML00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (ORG CONTROL FILE)                  *
001800*                 B. MMCT   (PLAN TRANSLATION FILE)             *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600/         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         PLAN TRANSLATION INITIALIZE VALUES
003100     COPY MMCTIR.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/         STANDARD ERROR MESSAGES
004500     COPY MBEMWS.
004600*
004700 01  WS-MISCELLANEOUS.
004800     03  WS-ORG-LOW          PIC S9(03)      VALUE +001 COMP-3.
004900     03  WS-ORG-HIGH         PIC S9(03)      VALUE +998 COMP-3.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400 01  DFHCOMMAREA.
005500     COPY MB60WS.
005600/         PLAN TRANSLATION SCREEN 00 MAP DSECT
005700     COPY MBML00.
005800/         PLAN TRANSLATION SCREEN 00 MAP REDEFINITION
005900     COPY MBML00R.
006000/         ORG RECORD LAYOUT
006100     COPY MMOCRL.
006200/         PLAN TRANSLATION LAYOUT
006300     COPY MMCTRL.
006400/
006500 PROCEDURE DIVISION.
006600 0000-HOUSEKEEPING SECTION.
006700 0100-INIT.
006800*
006900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007100                                 THRU MB70PD-OLH-EXIT.
007200*
007300     IF  MBCA-RECEIVE-SCREEN
007400         GO TO 2000-RECEIVE-SCREEN.
007500*
007600 1000-SEND-SCREEN SECTION.
007700*
007800****************************************************************
007900*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008000****************************************************************
008100*
008200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008300     PERFORM MB60PD-GETMAIN-FOR-MAP
008400                                 THRU MB60PD-GFM-EXIT.
008500*
008600*****************************************************************
008700*    CHECK KEY CODES                                            *
008800* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
008900* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009000* 3. IF MMCT KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
009100*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
009200*    ORG IN THE MAP. IF AN ERROR OCCURS IN THE                  *
009300*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
009400*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
009500*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
009600*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG INTO MAP              *
009700*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
009800* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG         *
009900*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP          *
010000*    HANDLE IF THEY WERE NON-DIRECT.                            *
010100*****************************************************************
010200*
010300     IF  MBCA-PTI-FUNCTION-IS-ADD
010400     OR  MBCA-INITIAL-KEY-CODE
010500         GO TO 1100-BUILD-SCREEN.
010600*
010700     IF  MBCA-MMCT-KEY-CODE
010800     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
010900         MOVE MBCA-MERCHANT-ORG  TO ML00-ORG
011000         MOVE DFHBMUNF           TO ML00-ORG-A
011100         IF  MBCA-DIRECT-TRANSFER-CODE
011200         AND MBCA-INITIAL-SCREEN-NBR
011300             MOVE 00             TO MBCA-SCREEN-NBR
011400             GO TO 2130-READ-ORG
011500         ELSE
011600             GO TO 1100-BUILD-SCREEN.
011700*
011800     IF  MBCA-VALID-KEY-CODES
011900     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
012000         MOVE MBCA-MERCHANT-ORG  TO ML00-ORG
012100         MOVE DFHBMUNF           TO ML00-ORG-A.
012200*
012300 1100-BUILD-SCREEN.
012400*
012500****************************************************************
012600*    INITIALIZE THE STANDARD MAP LINES                         *
012700****************************************************************
012800*
012900     MOVE SS08WS-CURSOR          TO ML00-ORG-L.
013000     MOVE 00                     TO MBCA-SCREEN-NBR.
013100     PERFORM MB60PD-INIT-STD-MAP-LINES
013200                                 THRU MB60PD-ISML-EXIT.
013300*
013400     IF  MBCA-MERCHANT-ORG IS NUMERIC
013500     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013600         IF  MBCA-PTI-FUNCTION-IS-ADD
013700             NEXT SENTENCE
013800         ELSE
013900             MOVE DFHBMUNF       TO ML00-ORG-A
014000             MOVE MBCA-MERCHANT-ORG
014100                                 TO ML00-ORG.
014200*
014300****************************************************************
014400*    SEND THE MAP                                              *
014500****************************************************************
014600*
014700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
014900                                 THRU MB60PD-SMWE-EXIT.
015000*
015100****************************************************************
015200*    RETURN TO CICS                                            *
015300****************************************************************
015400*
015500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB70PD-RETURN-TRANS-ID
015700                                 THRU MB70PD-RTI-EXIT.
015800/
015900 2000-RECEIVE-SCREEN SECTION.
016000*
016100****************************************************************
016200*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
016300****************************************************************
016400*
016500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
016600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
016700*
016800****************************************************************
016900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017000****************************************************************
017100*
017200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
017300     PERFORM MB60PD-NEW-TRANS-ROUTINE
017400                                 THRU MB60PD-NTR-EXIT.
017500*
017600 2100-EDIT-SCREEN.
017700*
017800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
017900*
018000     IF  (ML00-ORG-L IS LESS THAN 1)
018100     AND (SS08WS-VALID-PF-KEY
018200     OR   SS08WS-EIBAID-VALID-PF-KEY)
018300         SET MBCA-INITIAL-SCREEN-NBR
018400                                 TO TRUE
018500         GO TO 2690-TRANSFER-XCTL.
018600*
018700 2120-EDIT-ORG.
018800*
018900     MOVE DFHBMUNF               TO ML00-ORG-A.
019000     MOVE DFHBMASK               TO ML00-ORG-LP-A
019100                                    ML00-ORG-RP-A.
019200*
019300     IF  ML00-ORG-L IS EQUAL TO ZERO
019400     OR  ML00-ORG IS NOT NUMERIC
019500         MOVE MBEMWS-INVALID-ORG TO ML00-ERR-MESSAGE
019600         GO TO 2140-ORG-ERROR.
019700*
019800     IF  ML00-ORG IS LESS THAN MBCA-ORG-LOW
019900     OR  ML00-ORG IS GREATER THAN MBCA-ORG-HIGH
020000     OR  ML00-ORG IS LESS THAN WS-ORG-LOW
020100     OR  ML00-ORG IS GREATER THAN WS-ORG-HIGH
020200         MOVE MBEMWS-INVALID-ORG TO ML00-ERR-MESSAGE
020300         GO TO 2140-ORG-ERROR.
020400*
020500 2130-READ-ORG.
020600*
020700****************************************************************
020800*    READ THE ORGANIZATION FILE RECORD                         *
020900****************************************************************
021000*
021100     MOVE ML00-ORG               TO MBIOWS-MMOC-ORG.
021200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
021400     SET MBIORO-READ-RANDOM      TO TRUE.
021500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
021600*
021700     IF  SS08WS-RC-FC-NOTFND
021800         MOVE MBEMWS-NOT-ON-FILE TO ML00-ERR-MESSAGE
021900     ELSE
022000         IF  MMOC-ADD-PENDING
022100             MOVE MBEMWS-ADD-PENDING
022200                                 TO ML00-ERR-MESSAGE
022300         ELSE
022400             IF  MMOC-REC-PURGED
022500                 MOVE MBEMWS-REC-PURGED
022600                                 TO ML00-ERR-MESSAGE
022700             ELSE
022800                 MOVE DFHBMUNF   TO ML00-ORG-A
022900                 MOVE ML00-ORG   TO MBCA-MERCHANT-ORG
023000                 MOVE MMOC-NA-LINE (1 1)
023100                                 TO MBCA-MBML-ORG-NAME
023200                 GO TO 2150-READ-MMCT.
023300*
023400 2140-ORG-ERROR.
023500*
023600     SET SS08WS-ERROR-SW-YES     TO TRUE.
023700     MOVE DFHBMASB               TO ML00-ORG-LP-A
023800                                    ML00-ORG-RP-A.
023900     MOVE SS08WS-CURSOR          TO ML00-ORG-L.
024000     MOVE DFHBMNBF               TO ML00-ORG-A.
024100     GO TO 2290-CHECK-ERROR.
024200*
024300 2150-READ-MMCT.
024400*
024500     IF  MBCA-PTI-FUNCTION-IS-ADD
024600         PERFORM 9100-FIND-LAST-RECORD
024700                                 THRU 9199-FLR-EXIT
024800         GO TO 2290-CHECK-ERROR.
024900*
025000****************************************************************
025100*    START BROWSE THE PLAN TRANSLATION FILE                    *
025200****************************************************************
025300*
025400     MOVE ML00-ORG               TO MBIOWS-MMCT-ORG.
025500     MOVE +1                     TO MBIOWS-MMCT-SEQ.
025600*
025700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
025800     SET MBIORO-STARTBR-GTE      TO TRUE.
025900     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
026000*
026100****************************************************************
026200*    READNEXT THE PLAN TRANSLATION FILE                        *
026300****************************************************************
026400*
026500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
026600     SET MBIORO-READ-SEQ         TO TRUE.
026700     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
026800*
026900****************************************************************
027000*    END BROWSE THE PLAN TRANSLATION FILE                      *
027100****************************************************************
027200*
027300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
027400     SET MBIORO-ENDBR            TO TRUE.
027500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
027600*
027700     IF  MMCT-ORG IS EQUAL TO MBCA-MERCHANT-ORG
027800         MOVE MMCT-SEQ           TO MBCA-MBML-FIRST-SEQ
027900                                    MBCA-MBML-FWD-SEQ
028000     ELSE
028100         MOVE 'NO RECORDS ON PLAN TRANSLATION FILE FOR THIS ORG'
028200                                 TO ML00-ERR-MESSAGE
028300         SET SS08WS-ERROR-SW-YES TO TRUE
028400         MOVE SS08WS-CURSOR      TO ML00-ORG-L.
028500*
028600 2290-CHECK-ERROR.
028700*
028800     IF  SS08WS-ERROR-SW-NO
028900         GO TO 2600-SETUP-COMMAREA
029000     ELSE
029100         IF  SS08WS-VALID-PF-KEY
029200         OR  SS08WS-EIBAID-VALID-PF-KEY
029300             SET MBCA-INITIAL-SCREEN-NBR
029400                                 TO TRUE
029500             GO TO 2690-TRANSFER-XCTL.
029600*
029700 2300-SEND-MAP.
029800*
029900****************************************************************
030000*    SEND THE MAP                                              *
030100****************************************************************
030200*
030300     PERFORM MB60PD-INIT-STD-MAP-LINES
030400                                 THRU MB60PD-ISML-EXIT.
030500*
030600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
030700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030800                                 THRU MB60PD-SMWE-EXIT.
030900*
031000****************************************************************
031100*    RETURN TO CICS                                            *
031200****************************************************************
031300*
031400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
031500     PERFORM MB70PD-RETURN-TRANS-ID
031600                                 THRU MB70PD-RTI-EXIT.
031700/
031800 2600-SETUP-COMMAREA.
031900*
032000****************************************************************
032100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
032200****************************************************************
032300*
032400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
032500*
032600     IF  MBCA-PTI-FUNCTION-IS-ADD
032700         MOVE MBIOWS-MMCT-KEY-CODE
032800                                 TO MBCA-KEY-CODE
032900     ELSE
033000         MOVE MBIOWS-MMCT-DIRECT-KEY-CODE
033100                                 TO MBCA-KEY-CODE.
033200*
033300     PERFORM MB60PD-EDIT-PAGE-NBR
033400                                 THRU MB60PD-EPN-EXIT.
033500*
033600     IF  SS08WS-VALID-PF-KEY
033700     OR  SS08WS-EIBAID-VALID-PF-KEY
033800         SET MBCA-INITIAL-SCREEN-NBR
033900                                 TO TRUE.
034000*
034100     MOVE ZEROES                 TO MBCA-MBML-BACK-SEQ.
034200     SET MBCA-MBML-RETURN-NORMAL TO TRUE.
034300*
034400 2690-TRANSFER-XCTL.
034500*
034600     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
034700     PERFORM MB70PD-XCTL-TO-MBOXCTL
034800                                 THRU MB70PD-XTM-EXIT.
034900/
035000 9000-PERFORMED-ROUTINES-SECT SECTION.
035100*
035200 9100-FIND-LAST-RECORD.
035300*
035400****************************************************************
035500*    START BROWSE THE PLAN TRANSLATION FILE                    *
035600****************************************************************
035700*
035800     COMPUTE MBIOWS-MMCT-ORG     =  MBCA-MERCHANT-ORG + 1.
035900     MOVE ZEROES                 TO MBIOWS-MMCT-SEQ.
036000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
036100     SET MBIORO-STARTBR-GTE      TO TRUE.
036200     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
036300*
036400****************************************************************
036500*    READNEXT THE PLAN TRANSLATION FILE                        *
036600****************************************************************
036700*
036800     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
036900     SET MBIORO-READ-SEQ         TO TRUE.
037000     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
037100*
037200****************************************************************
037300*    READPREV THE PLAN TRANSLATION FILE                        *
037400****************************************************************
037500*
037600     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
037700     SET MBIORO-READ-PREV        TO TRUE.
037800     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
037900*
038000****************************************************************
038100*    READPREV THE PLAN TRANSLATION FILE                        *
038200****************************************************************
038300*
038400     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
038500     SET MBIORO-READ-PREV        TO TRUE.
038600     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
038700*
038800****************************************************************
038900*    END BROWSE THE PLAN TRANSLATION FILE                      *
039000****************************************************************
039100*
039200     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
039300     SET MBIORO-ENDBR            TO TRUE.
039400     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
039500*
039600     IF  MMCT-ORG IS EQUAL TO MBCA-MERCHANT-ORG
039700         MOVE MMCT-SEQ           TO MBCA-MBML-FIRST-SEQ
039800                                    MBCA-MBML-FWD-SEQ
039900     ELSE
040000         MOVE ZEROES             TO MBCA-MBML-FIRST-SEQ
040100                                    MBCA-MBML-FWD-SEQ.
040200*
040300 9199-FLR-EXIT.
040400     EXIT.
040500/         GREGORIAN TO JULIAN DATE ROUTINE
040600     COPY SS07PD.
040700/         JULIAN TO GREGORIAN DATE ROUTINE
040800     COPY SS08PD.
040900/         DATE AND TIME EDIT ROUTINES
041000     COPY SS26PD.
041100     COPY SS27PD.
041200/         LINE 24 PF KEYS ROUTINE
041300     COPY SS15PD.
041400/         ORG FILE RECORD ACCESS ROUTINES
041500     COPY MMOCAO.
041600/         PLAN TRANSLATION RECORD ACCESS ROUTINES
041700     COPY MMCTAO.
041800/         ON-LINE MAP ROUTINES
041900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBML00 '
042000                           MBMAPXXI BY MBML00I
042100                           MBMAPXXO BY MBML00O.
042200/         ON-LINE PROCEDURES
042300     COPY MB70PD.
042400/
042500     COPY SMFTPXO.
