000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOML01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOML01 - ON-LINE PLAN TRANSLATION RECORD                *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAL                                       *
001200*                 B. MBML                                       *
001300*                 C. MBQL                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBML01 (SCREEN 01)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMCT   (PLAN TRANSLATION FILE)             *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         PLAN TRANSLATION INITIALIZER RECORD
003300     COPY MMCTIR.
003400/         DATE WORK AREAS
003500     COPY SS01WS.
003600/         ONLINE WORK AREAS
003700     COPY SS08WS.
003800/
003900     COPY SS00WS.
004000/
004100     COPY SMFTWS.
004200/
004300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004400/
004500     COPY MB61LK.
004600/
004700 01  WS-MISCELLANEOUS.
004800     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004900     03  WS-FWD-SEQ          PIC S9(04)      BINARY VALUE ZEROES.
005000     03  WS-HOLD-SEQUENCE    PIC S9(04)      BINARY VALUE ZEROES.
005100*
005200     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
005300         88  WS-BYPASS-NO                    VALUE 'N'.
005400         88  WS-BYPASS-YES                   VALUE 'Y'.
005500*
005600     03  WS-DUPLICATE-SW     PIC  X(01)      VALUE 'N'.
005700         88  WS-DUPLICATE-SW-NO              VALUE 'N'.
005800         88  WS-DUPLICATE-SW-YES             VALUE 'Y'.
005900*
006000     03  WS-INPUT-AREA       PIC  X(05)      VALUE SPACES.
006100     03  WS-INPUT-AREA-CHARACTER
006200                             REDEFINES       WS-INPUT-AREA
006300                             PIC  X(01)      OCCURS 5 TIMES
006400                                             INDEXED BY
006500                                             X-WS-INPUT-CHARACTER.
006600     03  WS-NUMERIC-WORK-AREA
006700                             PIC  X(05)      VALUE SPACES.
006800     03  WS-NUMERIC-CHARACTER-AREA
006900                             REDEFINES WS-NUMERIC-WORK-AREA.
007000         05  WS-NUMERIC-CHARACTER
007100                             PIC  X(01)      OCCURS 5 TIMES
007200                                             INDEXED BY
007300                                             X-WS-NUM-CHARACTER.
007400     03  TS-QUEUE-NAME.
007500         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
007600         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBML'.
007700*
007800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007900/
008000 LINKAGE SECTION.
008100 01  DFHCOMMAREA.
008200     COPY MB60WS.
008300/         PLAN TRANSLATION SCREEN 01 MAP DSECT
008400     COPY MBML01.
008500/         PLAN TRANSLATION SCREEN 01 MAP REDEFINITION
008600     COPY MBML01R.
008700/         PLAN TRANSLATION RECORD LAYOUT
008800     COPY MMCTRL.
008900/         LOG/JOURNAL FILE RECORD LAYOUT
009000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
009100/         PLAN TRANSLATION TEMPORARY STORAGE
009200     COPY MBMLTS.
009300/
009400 PROCEDURE DIVISION.
009500 0000-HOUSEKEEPING SECTION.
009600 0100-INIT.
009700*
009800     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
009900     SET MBCA-EIBAID-ENTER       TO TRUE.
010000*
010100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010300                                 THRU MB70PD-OLH-EXIT.
010400*
010500     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
010600     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010700*
010800     IF  MBCA-RECEIVE-SCREEN
010900         GO TO 2000-RECEIVE-SCREEN.
011000*
011100 1000-SEND-SCREEN SECTION.
011200*
011300****************************************************************
011400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011500****************************************************************
011600*
011700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011800     PERFORM MB60PD-GETMAIN-FOR-MAP
011900                                 THRU MB60PD-GFM-EXIT.
012000*
012100     MOVE MBCA-MERCHANT-ORG      TO ML01-ORG.
012200     MOVE MBCA-MBML-ORG-NAME     TO ML01-ORG-NAME.
012300     MOVE 01                     TO MBCA-SCREEN-NBR.
012400*
012500     IF  MBCA-PTI-FUNCTION-IS-ADD
012600         PERFORM 8500-BUILD-ADD-SCREEN
012700                                 THRU 8599-BAS-EXIT
012800         GO TO 1090-CURSOR.
012900*
013000****************************************************************
013100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
013200****************************************************************
013300*
013400     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM 8100-TEMP-STORAGE-GETMAIN
013600                                 THRU 8199-TSG-EXIT.
013700*
013800     EXEC CICS HANDLE CONDITION
013900               QIDERR (1010-CHECK-RETURN-FLAG)
014000          END-EXEC.
014100*
014200***********************************************
014300*    READ THE TEMP STORAGE RECORD             *
014400***********************************************
014500*
014600     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
014700     PERFORM 8200-TEMP-STORAGE-READ
014800                                 THRU 8299-TSR-EXIT.
014900*
015000***********************************************
015100*    DELETE THE TEMP STORAGE RECORD           *
015200***********************************************
015300*
015400     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
015500     PERFORM 8300-TEMP-STORAGE-DELETE
015600                                 THRU 8399-TSD-EXIT.
015700*
015800     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
015900*
016000     GO TO 1080-CONTINUE.
016100*
016200 1010-CHECK-RETURN-FLAG.
016300*
016400     IF  MBCA-MBML-RETURN-BOTTOM
016500         PERFORM 8900-LAST-SCREEN
016600                                 THRU 8999-LS-EXIT
016700         IF  WS-BYPASS-YES
016800             GO TO 1015-READ-PLAN
016900         ELSE
017000             GO TO 1080-CONTINUE
017100     ELSE
017200         IF  MBCA-MBML-RETURN-BWD
017300             PERFORM 9000-BACK-SCREEN
017400                                 THRU 9099-BS-EXIT
017500             IF  WS-BYPASS-YES
017600                 GO TO 1015-READ-PLAN
017700             ELSE
017800                 GO TO 1080-CONTINUE.
017900*
018000 1015-READ-PLAN.
018100*
018200****************************************************************
018300*    START BROWSE THE PLAN TRANSLATION FILE                    *
018400****************************************************************
018500*
018600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMCT-ORG.
018800     MOVE MBCA-MBML-FWD-SEQ      TO MBIOWS-MMCT-SEQ.
018900     SET MBIORO-STARTBR-GTE      TO TRUE.
019000     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
019100*
019200     SET X-ML01-PD               TO +1.
019300*
019400 1020-READ-LOOP.
019500*
019600****************************************************************
019700*    READNEXT THE PLAN TRANSLATION FILE                        *
019800****************************************************************
019900*
020000     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020100     SET MBIORO-READ-SEQ         TO TRUE.
020200     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
020300*
020400     IF  MMCT-ORG IS GREATER THAN MBCA-MERCHANT-ORG
020500         GO TO 1020-END-BROWSE.
020600*
020700     PERFORM 9300-BUILD-SCREEN-LINE
020800                                 THRU 9399-BSL-EXIT.
020900*
021000     IF  X-ML01-PD IS EQUAL TO +1
021100         MOVE MMCT-SEQ           TO MBCA-MBML-BACK-SEQ.
021200*
021300     IF  X-ML01-PD IS LESS THAN +15
021400         SET X-ML01-PD           UP BY +1
021500         GO TO 1020-READ-LOOP
021600     ELSE
021700         MOVE MMCT-SEQ           TO MBCA-MBML-FWD-SEQ
021800         PERFORM 9200-READ-AHEAD THRU 9299-RA-EXIT
021900         SET X-ML01-PD           UP BY +1.
022000*
022100 1020-END-BROWSE.
022200*
022300****************************************************************
022400*    END BROWSE THE PLAN TRANSLATION FILE                      *
022500****************************************************************
022600*
022700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
022800     SET MBIORO-ENDBR            TO TRUE.
022900     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
023000*
023100 1060-SET-ATTRIBUTE.
023200*
023300     IF  X-ML01-PD IS EQUAL TO +1
023400         IF  MBCA-MBML-RETURN-NORMAL
023500             SET MBCA-INITIAL-SCREEN-NBR
023600                                 TO TRUE
023700             MOVE '..NU'         TO SS08WS-WORK-TRANS-ID
023800             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
023900             PERFORM MB70PD-XCTL-TO-MBOXCTL
024000                                 THRU MB70PD-XTM-EXIT
024100         ELSE
024200             MOVE MBCA-MBML-BACK-SEQ
024300                                 TO MBCA-MBML-FWD-SEQ
024400             GO TO 1015-READ-PLAN.
024500*
024600 1070-FILL-TEMP-STORAGE.
024700*
024800     IF  X-ML01-PD IS LESS THAN +16
024900         SET X-MBMLTS-INDEX      TO X-ML01-PD
025000         MOVE ZEROES             TO MBCA-MBML-FWD-SEQ
025100                                    WS-FWD-SEQ
025200                                    MBMLTS-SEQUENCE
025300                                    (X-MBMLTS-INDEX)
025400                                    MBMLTS-PRIORITY
025500                                    (X-MBMLTS-INDEX)
025600                                    MBMLTS-NEW-PLAN
025700                                    (X-MBMLTS-INDEX)
025800         MOVE SPACES             TO MBMLTS-FROM-PLAN
025900                                    (X-MBMLTS-INDEX)
026000                                    MBMLTS-TO-PLAN
026100                                    (X-MBMLTS-INDEX)
026200                                    MBMLTS-DESC
026300                                    (X-MBMLTS-INDEX)
026400         MOVE DFHBMDAS           TO ML01-PRIORITY-LP-A
026500                                    (X-ML01-PD)
026600                                    ML01-PRIORITY-RP-A
026700                                    (X-ML01-PD)
026800                                    ML01-FROM-PLAN-LP-A
026900                                    (X-ML01-PD)
027000                                    ML01-FROM-PLAN-RP-A
027100                                    (X-ML01-PD)
027200                                    ML01-TO-PLAN-LP-A
027300                                    (X-ML01-PD)
027400                                    ML01-TO-PLAN-RP-A
027500                                    (X-ML01-PD)
027600                                    ML01-NEW-PLAN-LP-A
027700                                    (X-ML01-PD)
027800                                    ML01-NEW-PLAN-RP-A
027900                                    (X-ML01-PD)
028000                                    ML01-PLAN-DESC-LP-A
028100                                    (X-ML01-PD)
028200                                    ML01-PLAN-DESC-RP-A
028300                                    (X-ML01-PD)
028400                                    ML01-SEQUENCE-A
028500                                    (X-ML01-PD)
028600                                    ML01-PRIORITY-A
028700                                    (X-ML01-PD)
028800                                    ML01-FROM-PLAN-A
028900                                    (X-ML01-PD)
029000                                    ML01-TO-PLAN-A
029100                                    (X-ML01-PD)
029200                                    ML01-NEW-PLAN-A
029300                                    (X-ML01-PD)
029400                                    ML01-PLAN-DESC-A
029500                                    (X-ML01-PD)
029600         SET X-ML01-PD           UP BY +1
029700         GO TO 1060-SET-ATTRIBUTE.
029800*
029900 1080-CONTINUE.
030000*
030100     IF  MBCA-MBML-BACK-SEQ IS NOT EQUAL
030200                                 TO MBCA-MBML-FIRST-SEQ
030300         MOVE DFHBMASB           TO ML01-BWD-IND-A.
030400*
030500     IF  WS-FWD-SEQ IS NOT EQUAL TO ZEROES
030600         MOVE DFHBMASB           TO ML01-FWD-IND-A.
030700*
030800****************************************************************
030900*    WRITE THE TEMP STORAGE RECORD                             *
031000****************************************************************
031100*
031200     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
031300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
031400*
031500 1090-CURSOR.
031600*
031700****************************************************************
031800*    INITIALIZE THE STANDARD MAP LINES                         *
031900****************************************************************
032000*
032100     PERFORM MB60PD-INIT-STD-MAP-LINES
032200                                 THRU MB60PD-ISML-EXIT.
032300*
032400     SET X-ML01-PD               TO +1.
032500*
032600     EVALUATE TRUE
032700         WHEN MBCA-PTI-FUNCTION-IS-INQUIRY
032800             MOVE SS08WS-CURSOR  TO ML01-ALT-TRANID-L
032900             PERFORM 9100-SET-ATTRIBUTE
033000                                 THRU 9199-SA-EXIT
033100         WHEN MBCA-PTI-FUNCTION-IS-ADD
033200             MOVE SS08WS-CURSOR  TO ML01-PRIORITY-L (X-ML01-PD)
033300         WHEN OTHER
033400             IF  ML01-PRIORITY-LP-A (X-ML01-PD) IS EQUAL
033500                                 TO DFHBMDAS
033600                 MOVE SS08WS-CURSOR TO ML01-FROM-PLAN-L
033700                                    (X-ML01-PD)
033800             ELSE
033900                 MOVE SS08WS-CURSOR TO ML01-PRIORITY-L
034000                                    (X-ML01-PD)
034100             END-IF
034200     END-EVALUATE.
034300*
034400 1100-CONTINUE.
034500*
034600     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
034700         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
034800         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
034900         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
035000         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
035100         MOVE SS08WS-LINE-24     TO ML01-PF-KEYS
035200         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
035300         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
035400         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
035500         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
035600*
035700     MOVE DFHBMASK               TO ML01-CURRENT-PAGE-A.
035800*
035900****************************************************************
036000*    SEND THE MAP                                              *
036100****************************************************************
036200*
036300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
036400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036500                                 THRU MB60PD-SMWE-EXIT.
036600*
036700****************************************************************
036800*    RETURN TO CICS                                            *
036900****************************************************************
037000*
037100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
037200     PERFORM MB70PD-RETURN-TRANS-ID
037300                                 THRU MB70PD-RTI-EXIT.
037400/
037500 2000-RECEIVE-SCREEN SECTION.
037600*
037700     IF  MBCA-EIBAID-CLEAR
037800         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
037900         PERFORM 8300-TEMP-STORAGE-DELETE
038000                                 THRU 8399-TSD-EXIT
038100         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
038200         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
038300                                 THRU MB70PD-OLH-EXIT.
038400*
038500****************************************************************
038600*    THIS SECTION RECEIVES THE 01 SCREEN                       *
038700****************************************************************
038800*
038900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
039000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
039100*
039200     IF  MBCA-PTI-FUNCTION-IS-ADD
039300         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
039400         SET MBIORO-GETMAIN      TO TRUE
039500         PERFORM MMCTAO-ACCESS   THRU MMCTAO-ACCESS-EXIT
039600         MOVE MMCTIR-RECORD      TO MMCT-RECORD
039700         GO TO 2010-CHECK-TRANS.
039800*
039900*****************************************************
040000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
040100*****************************************************
040200*
040300     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
040400     PERFORM 8100-TEMP-STORAGE-GETMAIN
040500                                 THRU 8199-TSG-EXIT.
040600*
040700***********************************************
040800*    READ THE TEMP STORAGE RECORD             *
040900***********************************************
041000*
041100     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
041200     PERFORM 8200-TEMP-STORAGE-READ
041300                                 THRU 8299-TSR-EXIT.
041400*
041500***********************************************
041600*    DELETE THE TEMP STORAGE RECORD           *
041700***********************************************
041800*
041900     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
042000     PERFORM 8300-TEMP-STORAGE-DELETE
042100                                 THRU 8399-TSD-EXIT.
042200*
042300 2010-CHECK-TRANS.
042400*
042500****************************************************************
042600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
042700****************************************************************
042800*
042900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
043000     PERFORM MB60PD-NEW-TRANS-ROUTINE
043100                                 THRU MB60PD-NTR-EXIT.
043200*
043300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
043400         GO TO 2600-SETUP-COMMAREA.
043500*
043600 2020-EDIT-SCREEN.
043700*
043800     PERFORM
043900         VARYING X-ML01-PD FROM +1 BY +1
044000         UNTIL   X-ML01-PD IS GREATER THAN +15
044100             PERFORM 9900-READ-RECORD
044200                                 THRU 9999-RR-EXIT
044300             PERFORM 6100-EDIT-PRIORITY-CODE
044400                                 THRU 6199-EPC-EXIT
044500             PERFORM 6200-EDIT-FROM-PLAN
044600                                 THRU 6299-EFP-EXIT
044700             PERFORM 6300-EDIT-TO-PLAN
044800                                 THRU 6399-ETP-EXIT
044900             PERFORM 6400-EDIT-NEW-PLAN
045000                                 THRU 6499-ENP-EXIT
045100             PERFORM 6500-EDIT-PLAN-DESC
045200                                 THRU 6599-EPD-EXIT
045300             PERFORM 6900-CROSS-EDITS
045400                                 THRU 6999-CE-EXIT
045500     END-PERFORM.
045600*
045700     IF  SS08WS-ERROR-SW-NO
045800         PERFORM 9700-CHECK-DUPLICATES
045900                                 THRU 9799-CD-EXIT.
046000*
046100 2090-CHECK-ERROR.
046200*
046300     IF  SS08WS-ERROR-SW-NO
046400         GO TO 2400-CHECK-UPDATE.
046500*
046600 2300-SEND-MAP.
046700*
046800***********************************************
046900*    WRITE THE TEMP STORAGE RECORD            *
047000***********************************************
047100*
047200     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
047300         MOVE 'TS09'             TO MBCA-PROGRAM-LOCATION
047400         PERFORM 8400-WRITE-QUEUE
047500                                 THRU 8499-WQ-EXIT.
047600*
047700****************************************************************
047800*    SEND THE MAP                                              *
047900****************************************************************
048000*
048100     PERFORM MB60PD-INIT-STD-MAP-LINES
048200                                 THRU MB60PD-ISML-EXIT.
048300*
048400     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
048500         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
048600         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
048700         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
048800         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
048900         MOVE SS08WS-LINE-24     TO ML01-PF-KEYS
049000         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
049100         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
049200         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
049300         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
049400*
049500     MOVE DFHBMASK               TO ML01-CURRENT-PAGE-A.
049600*
049700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
049900                                 THRU MB60PD-SMDO-EXIT.
050000*
050100****************************************************************
050200*    RETURN TO CICS                                            *
050300****************************************************************
050400*
050500     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
050600     PERFORM MB70PD-RETURN-TRANS-ID
050700                                 THRU MB70PD-RTI-EXIT.
050800/
050900 2400-CHECK-UPDATE.
051000*
051100****************************************************************
051200*    GETMAIN FOR LOG/JOURNAL RECORD                            *
051300****************************************************************
051400*
051500     MOVE 'SC03'                 TO MBCA-PROGRAM-LOCATION.
051600     SET MBIORO-GETMAIN          TO TRUE.
051700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
051800*
051900     SET MML1-FILE-IS-MMCT       TO TRUE.
052000     MOVE ZEROES                 TO MML1-FIELD-CODE
052100                                    MML1-FIELD-OCCURRENCE
052200                                    MML1-FIELD-OCCURRENCE-2
052300                                    MML1-SOURCE-CODE.
052400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
052500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
052600*
052700     IF  MBCA-PTI-FUNCTION-IS-ADD
052800         PERFORM 9400-ADD-RECORD THRU 9499-AR-EXIT
052900     ELSE
053000         PERFORM 9500-UPDATE-RECORD
053100                                 THRU 9599-UR-EXIT.
053200*
053300 2600-SETUP-COMMAREA.
053400*
053500****************************************************************
053600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
053700****************************************************************
053800*
053900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
054000     MOVE MBIOWS-MMCT-KEY-CODE   TO MBCA-KEY-CODE.
054100*
054200     PERFORM MB60PD-EDIT-PAGE-NBR
054300                                 THRU MB60PD-EPN-EXIT.
054400*
054500     IF  MBCA-PTI-FUNCTION-IS-ADD
054600         IF  SS08WS-VALID-PF-KEY
054700         OR  SS08WS-EIBAID-VALID-PF-KEY
054800         OR  ML01-PRIORITY-L (15) IS EQUAL TO ZERO
054900             MOVE 99             TO MBCA-SCREEN-NBR
055000             GO TO 2690-PF-KEY-BYPASS
055100         ELSE
055200             MOVE 51             TO MBCA-SCREEN-NBR
055300             GO TO 2690-PF-KEY-BYPASS.
055400*
055500     IF  SS08WS-VALID-PF3
055600     OR  SS08WS-EIBAID-VALID-PF3
055700         MOVE 51                 TO MBCA-SCREEN-NBR
055800         SET MBCA-MBML-RETURN-NORMAL
055900                                 TO TRUE
056000         IF  MBCA-MBML-FIRST-SEQ IS EQUAL TO ZEROES
056100             MOVE ZEROES         TO MBCA-MBML-FWD-SEQ
056200             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
056300             PERFORM 8400-WRITE-QUEUE
056400                                 THRU 8499-WQ-EXIT
056500             GO TO 2690-PF-KEY-BYPASS
056600         ELSE
056700             MOVE MBCA-MBML-FIRST-SEQ
056800                                 TO MBCA-MBML-FWD-SEQ
056900             GO TO 2690-PF-KEY-BYPASS.
057000*
057100     IF  SS08WS-VALID-PF4
057200     OR  SS08WS-EIBAID-VALID-PF4
057300         MOVE 51                 TO MBCA-SCREEN-NBR
057400         IF (MBMLTS-SEQUENCE (1) IS GREATER THAN ZEROES
057500         AND MBMLTS-SEQUENCE (15) IS EQUAL TO ZEROES)
057600         OR (MBCA-MBML-FWD-SEQ IS EQUAL TO ZEROES)
057700             SET MBCA-MBML-RETURN-NORMAL
057800                                 TO TRUE
057900             MOVE ZEROES         TO MBCA-MBML-FWD-SEQ
058000             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
058100             PERFORM 8400-WRITE-QUEUE
058200                                 THRU 8499-WQ-EXIT
058300             GO TO 2690-PF-KEY-BYPASS
058400         ELSE
058500             SET MBCA-MBML-RETURN-BOTTOM
058600                                 TO TRUE
058700             GO TO 2690-PF-KEY-BYPASS.
058800*
058900     IF  SS08WS-VALID-PF5
059000     OR  SS08WS-EIBAID-VALID-PF5
059100         MOVE 51                 TO MBCA-SCREEN-NBR
059200         IF (MBMLTS-SEQUENCE (1) IS GREATER THAN ZEROES
059300         AND MBMLTS-SEQUENCE (15) IS EQUAL TO ZEROES)
059400         OR (MBCA-MBML-FWD-SEQ IS EQUAL TO ZEROES)
059500             SET MBCA-MBML-RETURN-NORMAL
059600                                 TO TRUE
059700             MOVE ZEROES         TO MBCA-MBML-FWD-SEQ
059800             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
059900             PERFORM 8400-WRITE-QUEUE
060000                                 THRU 8499-WQ-EXIT
060100             GO TO 2690-PF-KEY-BYPASS
060200         ELSE
060300             SET MBCA-MBML-RETURN-FWD
060400                                 TO TRUE
060500             ADD +1              TO MBCA-MBML-FWD-SEQ
060600             GO TO 2690-PF-KEY-BYPASS.
060700*
060800     IF  SS08WS-VALID-PF6
060900     OR  SS08WS-EIBAID-VALID-PF6
061000         MOVE 51                 TO MBCA-SCREEN-NBR
061100         IF  MBCA-MBML-BACK-SEQ IS EQUAL
061200                                 TO MBCA-MBML-FIRST-SEQ
061300             SET MBCA-MBML-RETURN-NORMAL
061400                                 TO TRUE
061500             MOVE 'TS13'         TO MBCA-PROGRAM-LOCATION
061600             PERFORM 8400-WRITE-QUEUE
061700                                 THRU 8499-WQ-EXIT
061800             GO TO 2690-PF-KEY-BYPASS
061900         ELSE
062000             MOVE MBCA-MBML-BACK-SEQ
062100                                 TO MBCA-MBML-FWD-SEQ
062200             SET MBCA-MBML-RETURN-BWD
062300                                 TO TRUE
062400             GO TO 2690-PF-KEY-BYPASS.
062500*
062600     IF  SS08WS-VALID-PF-KEY
062700     OR  SS08WS-EIBAID-VALID-PF-KEY
062800     OR  MBMLTS-SEQUENCE (15) IS EQUAL TO ZEROES
062900     OR  MBCA-MBML-FWD-SEQ IS EQUAL TO ZEROES
063000         SET MBCA-INITIAL-SCREEN-NBR
063100                                 TO TRUE
063200         GO TO 2690-PF-KEY-BYPASS.
063300*
063400     MOVE 51                     TO MBCA-SCREEN-NBR.
063500     ADD +1                      TO MBCA-MBML-FWD-SEQ.
063600     SET MBCA-MBML-RETURN-NORMAL TO TRUE.
063700*
063800 2690-PF-KEY-BYPASS.
063900*
064000     MOVE 'PC08'                 TO MBCA-PROGRAM-LOCATION.
064100     PERFORM MB70PD-XCTL-TO-MBOXCTL
064200                                 THRU MB70PD-XTM-EXIT.
064300/
064400 6000-PERFORMED-ROUTINES-SECT SECTION.
064500*
064600 6100-EDIT-PRIORITY-CODE.
064700*
064800     MOVE DFHBMDAS               TO ML01-PRIORITY-LP-A (X-ML01-PD)
064900                                    ML01-PRIORITY-RP-A (X-ML01-PD)
065000     MOVE DFHBMASK               TO ML01-PRIORITY-A (X-ML01-PD).
065100*
065200     IF  ML01-PRIORITY-L (X-ML01-PD) IS GREATER THAN ZERO
065300         IF  ML01-PRIORITY (X-ML01-PD) IS NUMERIC
065400         AND ML01-PRIORITY (X-ML01-PD) IS GREATER THAN ZEROES
065500             MOVE DFHBMASF       TO ML01-PRIORITY-A (X-ML01-PD)
065600         ELSE
065700             SET SS08WS-ERROR-SW-YES TO TRUE
065800             MOVE SS08WS-CURSOR  TO ML01-PRIORITY-L (X-ML01-PD)
065900             MOVE DFHBMASB       TO ML01-PRIORITY-LP-A (X-ML01-PD)
066000                                    ML01-PRIORITY-RP-A (X-ML01-PD)
066100             MOVE DFHBMNBF       TO ML01-PRIORITY-A (X-ML01-PD)
066200     ELSE
066300         IF  MMCT-SEQ IS GREATER THAN ZERO
066400             MOVE MMCT-PRIORITY  TO ML01-PRIORITY (X-ML01-PD).
066500*
066600 6199-EPC-EXIT.
066700     EXIT.
066800*
066900 6200-EDIT-FROM-PLAN.
067000*
067100     MOVE DFHBMDAS               TO ML01-FROM-PLAN-LP-A
067200                                    (X-ML01-PD)
067300                                    ML01-FROM-PLAN-RP-A
067400                                    (X-ML01-PD).
067500     MOVE DFHBMASK               TO ML01-FROM-PLAN-A
067600                                    (X-ML01-PD).
067700*
067800     IF  ML01-FROM-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
067900         IF  ML01-FROM-PLAN-ASTERICK (X-ML01-PD)
068000             MOVE DFHBMASF       TO ML01-FROM-PLAN-A (X-ML01-PD)
068100         ELSE
068200             MOVE ML01-FROM-PLAN (X-ML01-PD)
068300                                 TO WS-INPUT-AREA
068400             PERFORM 9800-JUSTIFY-NUMERIC-FIELD
068500                                 THRU 9899-JNF-EXIT
068600             MOVE WS-NUMERIC-WORK-AREA
068700                                 TO ML01-FROM-PLAN (X-ML01-PD)
068800             IF  ML01-FROM-PLAN (X-ML01-PD) IS NUMERIC
068900             AND ML01-FROM-PLAN (X-ML01-PD) IS GREATER THAN ZEROES
069000                 MOVE DFHBMASF   TO ML01-FROM-PLAN-A (X-ML01-PD)
069100             ELSE
069200                 SET SS08WS-ERROR-SW-YES
069300                                 TO TRUE
069400                 MOVE SS08WS-CURSOR TO ML01-FROM-PLAN-L
069500                                    (X-ML01-PD)
069600                 MOVE DFHBMASB   TO ML01-FROM-PLAN-LP-A
069700                                    (X-ML01-PD)
069800                                    ML01-FROM-PLAN-RP-A
069900                                    (X-ML01-PD)
070000                 MOVE DFHBMUBF   TO ML01-FROM-PLAN-A
070100                                    (X-ML01-PD)
070200     ELSE
070300         IF  MMCT-SEQ IS GREATER THAN ZERO
070400             MOVE MMCT-BEG-PLAN  TO ML01-FROM-PLAN
070500                                    (X-ML01-PD).
070600*
070700 6299-EFP-EXIT.
070800     EXIT.
070900*
071000 6300-EDIT-TO-PLAN.
071100*
071200     MOVE DFHBMDAS               TO ML01-TO-PLAN-LP-A (X-ML01-PD)
071300                                    ML01-TO-PLAN-RP-A (X-ML01-PD).
071400     MOVE DFHBMASK               TO ML01-TO-PLAN-A (X-ML01-PD).
071500*
071600     IF  ML01-TO-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
071700         IF  ML01-TO-PLAN-ASTERICK (X-ML01-PD)
071800             MOVE DFHBMASF       TO ML01-TO-PLAN-A (X-ML01-PD)
071900         ELSE
072000             MOVE ML01-TO-PLAN (X-ML01-PD)
072100                                 TO WS-INPUT-AREA
072200             PERFORM 9800-JUSTIFY-NUMERIC-FIELD
072300                                 THRU 9899-JNF-EXIT
072400             MOVE WS-NUMERIC-WORK-AREA
072500                                 TO ML01-TO-PLAN (X-ML01-PD)
072600             IF  ML01-TO-PLAN (X-ML01-PD) IS NUMERIC
072700             AND ML01-TO-PLAN (X-ML01-PD) IS GREATER THAN ZEROES
072800                 MOVE DFHBMASF   TO ML01-TO-PLAN-A (X-ML01-PD)
072900             ELSE
073000                 SET SS08WS-ERROR-SW-YES
073100                                 TO TRUE
073200                 MOVE SS08WS-CURSOR TO ML01-TO-PLAN-L (X-ML01-PD)
073300                 MOVE DFHBMASB   TO ML01-TO-PLAN-LP-A (X-ML01-PD)
073400                                    ML01-TO-PLAN-RP-A (X-ML01-PD)
073500                 MOVE DFHBMUBF   TO ML01-TO-PLAN-A (X-ML01-PD)
073600     ELSE
073700         IF  MMCT-SEQ IS GREATER THAN ZERO
073800             MOVE MMCT-END-PLAN  TO ML01-TO-PLAN (X-ML01-PD).
073900*
074000 6399-ETP-EXIT.
074100     EXIT.
074200*
074300 6400-EDIT-NEW-PLAN.
074400*
074500     MOVE DFHBMDAS               TO ML01-NEW-PLAN-LP-A
074600                                    (X-ML01-PD)
074700                                    ML01-NEW-PLAN-RP-A
074800                                    (X-ML01-PD).
074900     MOVE DFHBMASK               TO ML01-NEW-PLAN-A
075000                                    (X-ML01-PD).
075100*
075200     IF  ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
075300         IF  ML01-NEW-PLAN (X-ML01-PD) IS NUMERIC
075400             IF  MBCA-PTI-FUNCTION-IS-MAINT
075500             AND ML01-NEW-PLAN (X-ML01-PD) IS EQUAL TO ZEROES
075600                 MOVE DFHBMASF   TO ML01-NEW-PLAN-A
075700                                    (X-ML01-PD)
075800             ELSE
075900                 IF  ML01-NEW-PLAN (X-ML01-PD) IS GREATER
076000                                 THAN ZEROES
076100                     MOVE DFHBMASF
076200                                 TO ML01-NEW-PLAN-A (X-ML01-PD)
076300                 ELSE
076400                     SET SS08WS-ERROR-SW-YES
076500                                 TO TRUE
076600                     MOVE SS08WS-CURSOR
076700                                 TO ML01-NEW-PLAN-L (X-ML01-PD)
076800                     MOVE DFHBMASB
076900                                 TO ML01-NEW-PLAN-LP-A (X-ML01-PD)
077000                                    ML01-NEW-PLAN-RP-A (X-ML01-PD)
077100                     MOVE DFHBMNBF
077200                                 TO ML01-NEW-PLAN-A (X-ML01-PD)
077300         ELSE
077400             SET SS08WS-ERROR-SW-YES TO TRUE
077500             MOVE SS08WS-CURSOR  TO ML01-NEW-PLAN-L (X-ML01-PD)
077600             MOVE DFHBMASB       TO ML01-NEW-PLAN-LP-A (X-ML01-PD)
077700                                    ML01-NEW-PLAN-RP-A (X-ML01-PD)
077800             MOVE DFHBMNBF       TO ML01-NEW-PLAN-A (X-ML01-PD)
077900     ELSE
078000         IF  MMCT-SEQ IS GREATER THAN ZERO
078100             MOVE MMCT-NEW-PLAN  TO ML01-NEW-PLAN (X-ML01-PD).
078200*
078300 6499-ENP-EXIT.
078400     EXIT.
078500*
078600 6500-EDIT-PLAN-DESC.
078700*
078800     MOVE DFHBMDAS               TO ML01-PLAN-DESC-LP-A
078900                                    (X-ML01-PD)
079000                                    ML01-PLAN-DESC-RP-A
079100                                    (X-ML01-PD).
079200     MOVE DFHBMASK               TO ML01-PLAN-DESC-A
079300                                    (X-ML01-PD).
079400*
079500     IF  ML01-PLAN-DESC-L (X-ML01-PD) IS GREATER THAN ZERO
079600         MOVE DFHBMASF           TO ML01-PLAN-DESC-A
079700                                    (X-ML01-PD)
079800     ELSE
079900         IF  MMCT-SEQ IS GREATER THAN ZERO
080000             MOVE MMCT-DESC      TO ML01-PLAN-DESC
080100                                    (X-ML01-PD).
080200*
080300 6599-EPD-EXIT.
080400     EXIT.
080500*
080600 6900-CROSS-EDITS.
080700*
080800*********************************************************
080900*                                                       *
081000*    THE CROSS EDITS ARE AS FOLLOWS:                    *
081100*                                                       *
081200*    . IF NO PRIORITY, FROM PLAN, TO PLAN OR NEW PLAN   *
081300*      CHANGES ARE MADE, THE CROSS EDITS ARE            *
081400*      NOT DONE. (6910-)                                *
081500*                                                       *
081600*    . IF ERRORS ALREADY EXIST IN THESE FIELDS, THE     *
081700*      CROSS EDITS ARE NOT DONE.                        *
081800*                                                       *
081900*    - - - - - - - - - - - - - - - - - - - - - - - -    *
082000*                                                       *
082100*    . IF A PRIORITY OR FROM PLAN OR TO PLAN OR         *
082200*      NEW PLAN NUMBERS ARE ENTERED, ALL FOUR FIELDS    *
082300*      MUST BE ENTERED.                                 *
082400*      (6910-)                                          *
082500*                                                       *
082600*      IF AN ERROR IS DETECTED, THEN THE PRIORITY,      *
082700*      FROM PLAN, TO PLAN AND NEW PLAN FIELDS ARE       *
082800*      HIGHLIGHTED AND OPENED FOR CORRECTION.           *
082900*                                                       *
083000*    - - - - - - - - - - - - - - - - - - - - - - - -    *
083100*                                                       *
083200*    . IF A FROM PLAN AND TO PLAN ARE ENTERED,          *
083300*      THE TO PLAN CANNOT BE LESS THAN THE FROM PLAN.   *
083400*      (6912-)                                          *
083500*                                                       *
083600*      IF AN ERROR IS DETECTED, THEN THE FROM PLAN      *
083700*      AND THE TO PLAN FIELDS ARE                       *
083800*      HIGHLIGHTED AND OPENED FOR CORRECTION.           *
083900*                                                       *
084000*    - - - - - - - - - - - - - - - - - - - - - - - -    *
084100*                                                       *
084200*********************************************************
084300*
084400 6910-CHECK-ALL-FIELDS.
084500*
084600     IF (ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
084700     AND ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
084800     AND ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
084900     AND ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO)
085000     OR (ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR
085100     OR  ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR
085200     OR  ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR
085300     OR  ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR)
085400         GO TO 6999-CE-EXIT.
085500*
085600     IF  MBCA-PTI-FUNCTION-IS-ADD
085700         IF ((ML01-PRIORITY-L (X-ML01-PD) IS GREATER THAN ZERO)
085800         AND (ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
085900         OR   ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
086000         OR   ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO))
086100         OR ((ML01-FROM-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO)
086200         AND (ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
086300         OR   ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
086400         OR   ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO))
086500         OR ((ML01-TO-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO)
086600         AND (ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
086700         OR   ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
086800         OR   ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO))
086900         OR ((ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO)
087000         AND (ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
087100         OR   ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
087200         OR   ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO))
087300             MOVE DFHBMASB       TO ML01-PRIORITY-LP-A
087400                                    (X-ML01-PD)
087500                                    ML01-PRIORITY-RP-A
087600                                    (X-ML01-PD)
087700                                    ML01-FROM-PLAN-LP-A
087800                                    (X-ML01-PD)
087900                                    ML01-FROM-PLAN-RP-A
088000                                    (X-ML01-PD)
088100                                    ML01-TO-PLAN-LP-A
088200                                    (X-ML01-PD)
088300                                    ML01-TO-PLAN-RP-A
088400                                    (X-ML01-PD)
088500                                    ML01-NEW-PLAN-LP-A
088600                                    (X-ML01-PD)
088700                                    ML01-NEW-PLAN-RP-A
088800                                    (X-ML01-PD)
088900             MOVE DFHBMNBF       TO ML01-PRIORITY-A
089000                                    (X-ML01-PD)
089100                                    ML01-NEW-PLAN-A
089200                                    (X-ML01-PD)
089300             MOVE DFHBMUBF       TO ML01-FROM-PLAN-A
089400                                    (X-ML01-PD)
089500                                    ML01-TO-PLAN-A
089600                                    (X-ML01-PD)
089700             MOVE SS08WS-CURSOR  TO ML01-PRIORITY-L
089800                                    (X-ML01-PD)
089900             SET SS08WS-ERROR-SW-YES TO TRUE
090000             GO TO 6999-CE-EXIT.
090100*
090200     IF  MBCA-PTI-FUNCTION-IS-MAINT
090300         IF  ML01-NEW-PLAN (X-ML01-PD) IS EQUAL TO ZEROES
090400             NEXT SENTENCE
090500         ELSE
090600             IF  ML01-FROM-PLAN (X-ML01-PD) IS EQUAL TO SPACES
090700             OR  ML01-TO-PLAN (X-ML01-PD) IS EQUAL TO SPACES
090800                 MOVE DFHBMASB   TO ML01-FROM-PLAN-LP-A
090900                                    (X-ML01-PD)
091000                                    ML01-FROM-PLAN-RP-A
091100                                    (X-ML01-PD)
091200                                    ML01-TO-PLAN-LP-A
091300                                    (X-ML01-PD)
091400                                    ML01-TO-PLAN-RP-A
091500                                    (X-ML01-PD)
091600                                    ML01-NEW-PLAN-LP-A
091700                                    (X-ML01-PD)
091800                                    ML01-NEW-PLAN-RP-A
091900                                    (X-ML01-PD)
092000                 MOVE DFHBMNBF   TO ML01-NEW-PLAN-A
092100                                    (X-ML01-PD)
092200                 MOVE DFHBMUBF   TO ML01-FROM-PLAN-A
092300                                    (X-ML01-PD)
092400                                    ML01-TO-PLAN-A
092500                                    (X-ML01-PD)
092600                 MOVE SS08WS-CURSOR TO ML01-FROM-PLAN-L
092700                                    (X-ML01-PD)
092800                 SET SS08WS-ERROR-SW-YES
092900                                 TO TRUE
093000                 GO TO 6999-CE-EXIT.
093100*
093200     PERFORM 6912-CHECK-FROM-TO-PLANS
093300                                 THRU 6912-CFTP-EXIT.
093400     GO TO 6999-CE-EXIT.
093500*
093600 6912-CHECK-FROM-TO-PLANS.
093700*
093800     IF  ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR
093900     OR  ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO SS08WS-CURSOR
094000         GO TO 6912-CFTP-EXIT.
094100*
094200     IF  ML01-FROM-PLAN-ASTERICK (X-ML01-PD)
094300         IF  ML01-TO-PLAN-ASTERICK (X-ML01-PD)
094400             GO TO 6912-CFTP-EXIT
094500         ELSE
094600             GO TO 6912-FROM-TO-PLAN-ERROR
094700     ELSE
094800         IF  ML01-TO-PLAN-ASTERICK (X-ML01-PD)
094900             GO TO 6912-FROM-TO-PLAN-ERROR.
095000*
095100     IF  ML01-TO-PLAN (X-ML01-PD) IS LESS
095200                                 THAN ML01-FROM-PLAN (X-ML01-PD)
095300         GO TO 6912-FROM-TO-PLAN-ERROR.
095400*
095500     GO TO 6912-CFTP-EXIT.
095600*
095700 6912-FROM-TO-PLAN-ERROR.
095800*
095900     SET SS08WS-ERROR-SW-YES     TO TRUE.
096000     MOVE DFHBMUBF               TO ML01-FROM-PLAN-A
096100                                    (X-ML01-PD)
096200                                    ML01-TO-PLAN-A
096300                                    (X-ML01-PD).
096400     MOVE DFHBMASB               TO ML01-FROM-PLAN-LP-A
096500                                    (X-ML01-PD)
096600                                    ML01-FROM-PLAN-RP-A
096700                                    (X-ML01-PD)
096800                                    ML01-TO-PLAN-LP-A
096900                                    (X-ML01-PD)
097000                                    ML01-TO-PLAN-RP-A
097100                                    (X-ML01-PD).
097200     MOVE SS08WS-CURSOR          TO ML01-FROM-PLAN-L
097300                                    (X-ML01-PD).
097400*
097500 6912-CFTP-EXIT.
097600     EXIT.
097700*
097800 6999-CE-EXIT.
097900     EXIT.
098000*
098100 8100-TEMP-STORAGE-GETMAIN.
098200*
098300     EXEC CICS GETMAIN
098400               FLENGTH (LENGTH  OF MBMLTS-RECORD)
098500               SET     (ADDRESS OF MBMLTS-RECORD)
098600          END-EXEC.
098700*
098800 8199-TSG-EXIT.
098900     EXIT.
099000*
099100 8200-TEMP-STORAGE-READ.
099200*
099300     EXEC CICS READQ TS
099400               QUEUE   (TS-QUEUE-NAME)
099500               INTO    (MBMLTS-RECORD)
099600               LENGTH  (LENGTH  OF MBMLTS-RECORD)
099700               ITEM    (1)
099800          END-EXEC.
099900*
100000 8299-TSR-EXIT.
100100     EXIT.
100200*
100300 8300-TEMP-STORAGE-DELETE.
100400*
100500     EXEC CICS IGNORE CONDITION
100600               QIDERR
100700          END-EXEC.
100800*
100900     EXEC CICS DELETEQ TS
101000               QUEUE  (TS-QUEUE-NAME)
101100          END-EXEC.
101200*
101300 8399-TSD-EXIT.
101400     EXIT.
101500*
101600 8400-WRITE-QUEUE.
101700*
101800     EXEC CICS WRITEQ TS
101900               QUEUE   (TS-QUEUE-NAME)
102000               FROM    (MBMLTS-RECORD)
102100               LENGTH  (LENGTH  OF MBMLTS-RECORD)
102200          END-EXEC.
102300*
102400 8499-WQ-EXIT.
102500     EXIT.
102600*
102700 8500-BUILD-ADD-SCREEN.
102800*
102900     ADD +1                      TO MBCA-MBML-FIRST-SEQ.
103000*
103100     PERFORM
103200         VARYING X-ML01-PD FROM +1 BY +1
103300         UNTIL   X-ML01-PD IS GREATER THAN +15
103400         MOVE MBCA-MBML-FIRST-SEQ
103500                                 TO ML01-SEQUENCE
103600                                    (X-ML01-PD)
103700         MOVE DFHBMASF           TO ML01-SEQUENCE-A
103800                                    (X-ML01-PD)
103900         ADD +1                  TO MBCA-MBML-FIRST-SEQ
104000     END-PERFORM.
104100*
104200 8599-BAS-EXIT.
104300     EXIT.
104400*
104500 8600-CHECK-DUPLICATES.
104600*
104700     SET WS-DUPLICATE-SW-NO      TO TRUE.
104800*
104900****************************************************************
105000*    START BROWSE THE PLAN TRANSLATION FILE                    *
105100****************************************************************
105200*
105300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
105400     SET MBIORO-STARTBR-GTE      TO TRUE.
105500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
105600*
105700 8610-READ-RECORD.
105800*
105900****************************************************************
106000*    READNEXT THE PLAN TRANSLATION FILE                        *
106100****************************************************************
106200*
106300     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
106400     SET MBIORO-READ-SEQ         TO TRUE.
106500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
106600*
106700     IF  MMCT-ORG IS GREATER THAN MBCA-MERCHANT-ORG
106800         GO TO 8680-END-BROWSE.
106900*
107000     IF  MMCT-PRIORITY IS EQUAL TO ML01-PRIORITY (X-ML01-PD)
107100         SET WS-DUPLICATE-SW-YES TO TRUE
107200     ELSE
107300         GO TO 8610-READ-RECORD.
107400*
107500 8680-END-BROWSE.
107600*
107700****************************************************************
107800*    END BROWSE THE PLAN TRANSLATION FILE                      *
107900****************************************************************
108000*
108100     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
108200     SET MBIORO-ENDBR            TO TRUE.
108300     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
108400*
108500 8699-CD-EXIT.
108600     EXIT.
108700*
108800 8700-MOVE-FIELDS.
108900*
109000     IF  ML01-PRIORITY-L (X-ML01-PD) IS GREATER THAN ZERO
109100         MOVE ML01-PRIORITY (X-ML01-PD)
109200                                 TO MMCT-PRIORITY.
109300*
109400     IF  ML01-FROM-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
109500         MOVE ML01-FROM-PLAN (X-ML01-PD)
109600                                 TO MMCT-BEG-PLAN.
109700*
109800     IF  ML01-TO-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
109900         MOVE ML01-TO-PLAN (X-ML01-PD)
110000                                 TO MMCT-END-PLAN.
110100*
110200     IF  ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
110300         MOVE ML01-NEW-PLAN (X-ML01-PD)
110400                                 TO MMCT-NEW-PLAN.
110500*
110600     IF  ML01-PLAN-DESC-L (X-ML01-PD) IS GREATER THAN ZERO
110700         MOVE ML01-PLAN-DESC (X-ML01-PD)
110800                                 TO MMCT-DESC.
110900*
111000 8799-MF-EXIT.
111100     EXIT.
111200*
111300 8800-BUILD-SCREEN.
111400*
111500     SET X-ML01-PD               TO +1.
111600*
111700 8800-BUILD-LOOP.
111800*
111900     SET X-MBMLTS-INDEX          TO X-ML01-PD.
112000*
112100     IF  MBMLTS-SEQUENCE (X-MBMLTS-INDEX)
112200                                 IS NOT EQUAL TO ZEROES
112300         MOVE MBMLTS-SEQUENCE (X-MBMLTS-INDEX)
112400                                 TO ML01-SEQUENCE
112500                                    (X-ML01-PD)
112600         MOVE DFHBMASF           TO ML01-SEQUENCE-A
112700                                    (X-ML01-PD)
112800         MOVE MBMLTS-PRIORITY (X-MBMLTS-INDEX)
112900                                 TO ML01-PRIORITY
113000                                    (X-ML01-PD)
113100         MOVE MBMLTS-FROM-PLAN (X-MBMLTS-INDEX)
113200                                 TO ML01-FROM-PLAN
113300                                    (X-ML01-PD)
113400         MOVE MBMLTS-TO-PLAN (X-MBMLTS-INDEX)
113500                                 TO ML01-TO-PLAN
113600                                    (X-ML01-PD)
113700         MOVE MBMLTS-NEW-PLAN (X-MBMLTS-INDEX)
113800                                 TO ML01-NEW-PLAN
113900                                    (X-ML01-PD)
114000         MOVE MBMLTS-DESC (X-MBMLTS-INDEX)
114100                                 TO ML01-PLAN-DESC
114200                                    (X-ML01-PD)
114300     ELSE
114400         MOVE DFHBMDAS           TO ML01-PRIORITY-LP-A
114500                                    (X-ML01-PD)
114600                                    ML01-PRIORITY-RP-A
114700                                    (X-ML01-PD)
114800                                    ML01-FROM-PLAN-LP-A
114900                                    (X-ML01-PD)
115000                                    ML01-FROM-PLAN-RP-A
115100                                    (X-ML01-PD)
115200                                    ML01-TO-PLAN-LP-A
115300                                    (X-ML01-PD)
115400                                    ML01-TO-PLAN-RP-A
115500                                    (X-ML01-PD)
115600                                    ML01-NEW-PLAN-LP-A
115700                                    (X-ML01-PD)
115800                                    ML01-NEW-PLAN-RP-A
115900                                    (X-ML01-PD)
116000                                    ML01-PLAN-DESC-LP-A
116100                                    (X-ML01-PD)
116200                                    ML01-PLAN-DESC-RP-A
116300                                    (X-ML01-PD)
116400                                    ML01-PRIORITY-A
116500                                    (X-ML01-PD)
116600                                    ML01-FROM-PLAN-A
116700                                    (X-ML01-PD)
116800                                    ML01-TO-PLAN-A
116900                                    (X-ML01-PD)
117000                                    ML01-NEW-PLAN-A
117100                                    (X-ML01-PD)
117200                                    ML01-PLAN-DESC-A
117300                                    (X-ML01-PD).
117400*
117500     IF  MBMLTS-PRIORITY (X-MBMLTS-INDEX) IS EQUAL TO ZERO
117600         NEXT SENTENCE
117700     ELSE
117800         MOVE DFHBMASK           TO ML01-PRIORITY-A
117900                                    (X-ML01-PD)
118000         MOVE DFHBMDAS           TO ML01-PRIORITY-LP-A
118100                                    (X-ML01-PD)
118200                                    ML01-PRIORITY-RP-A
118300                                    (X-ML01-PD).
118400*
118500     IF  X-ML01-PD IS LESS THAN +15
118600         SET X-ML01-PD           UP BY +1
118700         GO TO 8800-BUILD-LOOP
118800     ELSE
118900         MOVE MBCA-MBML-FWD-SEQ  TO WS-FWD-SEQ.
119000*
119100 8899-BS-EXIT.
119200     EXIT.
119300*
119400 8900-LAST-SCREEN.
119500*
119600****************************************************************
119700*    START BROWSE THE PLAN TRANSLATION FILE                    *
119800****************************************************************
119900*
120000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
120100     COMPUTE MBIOWS-MMCT-ORG     = MBCA-MERCHANT-ORG + 1
120200     MOVE ZEROES                 TO MBIOWS-MMCT-SEQ.
120300     SET MBIORO-STARTBR-GTE      TO TRUE.
120400     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
120500*
120600****************************************************************
120700*    READNEXT THE PLAN TRANSLATION FILE                        *
120800****************************************************************
120900*
121000     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
121100     SET MBIORO-READ-SEQ         TO TRUE.
121200     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
121300*
121400****************************************************************
121500*    READPREV THE PLAN TRANSLATION FILE                        *
121600****************************************************************
121700*
121800     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
121900     SET MBIORO-READ-PREV        TO TRUE.
122000     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
122100*
122200     SET X-ML01-PD               TO +15.
122300     SET WS-BYPASS-NO            TO TRUE.
122400*
122500 8900-READ-PLAN-FILE.
122600*
122700****************************************************************
122800*    READPREV THE PLAN TRANSLATION FILE                        *
122900****************************************************************
123000*
123100     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
123200     SET MBIORO-READ-PREV        TO TRUE.
123300     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
123400*
123500 8900-BUILD-LOOP.
123600*
123700     IF  MMCT-ORG IS LESS THAN MBCA-MERCHANT-ORG
123800         GO TO 8900-END-BROWSE.
123900*
124000     IF  MMCT-SEQ IS EQUAL TO MBCA-MBML-FIRST-SEQ
124100     AND X-ML01-PD IS GREATER THAN +1
124200         SET MBCA-MBML-RETURN-NORMAL
124300                                 TO TRUE
124400         MOVE MBCA-MBML-FIRST-SEQ
124500                                 TO MBCA-MBML-FWD-SEQ
124600         SET WS-BYPASS-YES       TO TRUE
124700         GO TO 8900-END-BROWSE.
124800*
124900     PERFORM 9300-BUILD-SCREEN-LINE
125000                                 THRU 9399-BSL-EXIT.
125100*
125200     IF  X-ML01-PD IS GREATER THAN +1
125300         SET X-ML01-PD           DOWN BY +1
125400         GO TO 8900-READ-PLAN-FILE
125500     ELSE
125600         MOVE MMCT-SEQ           TO MBCA-MBML-BACK-SEQ.
125700*
125800 8900-END-BROWSE.
125900*
126000****************************************************************
126100*    END BROWSE THE PLAN TRANSLATION FILE                      *
126200****************************************************************
126300*
126400     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
126500     SET MBIORO-ENDBR            TO TRUE.
126600     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
126700*
126800     IF  WS-BYPASS-YES
126900         GO TO 8999-LS-EXIT.
127000*
127100     MOVE ZEROES                 TO MBCA-MBML-FWD-SEQ
127200                                    WS-FWD-SEQ.
127300*
127400 8999-LS-EXIT.
127500     EXIT.
127600*
127700 9000-BACK-SCREEN.
127800*
127900****************************************************************
128000*    START BROWSE THE PLAN TRANSLATION FILE                    *
128100****************************************************************
128200*
128300     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
128400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMCT-ORG.
128500     MOVE MBCA-MBML-FWD-SEQ      TO MBIOWS-MMCT-SEQ.
128600     SET MBIORO-STARTBR-GTE      TO TRUE.
128700     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
128800*
128900****************************************************************
129000*    READNEXT THE PLAN TRANSLATION FILE                        *
129100****************************************************************
129200*
129300     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
129400     SET MBIORO-READ-SEQ         TO TRUE.
129500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
129600*
129700****************************************************************
129800*    READPREV THE PLAN TRANSLATION FILE                        *
129900****************************************************************
130000*
130100     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
130200     SET MBIORO-READ-PREV        TO TRUE.
130300     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
130400*
130500     SET X-ML01-PD               TO +15.
130600     SET WS-BYPASS-NO            TO TRUE.
130700*
130800 9000-READ-PLAN-FILE.
130900*
131000****************************************************************
131100*    READPREV THE PLAN TRANSLATION FILE                        *
131200****************************************************************
131300*
131400     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
131500     SET MBIORO-READ-PREV        TO TRUE.
131600     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
131700*
131800 9000-BUILD-LOOP.
131900*
132000     IF  X-ML01-PD IS GREATER THAN +1
132100     AND MMCT-SEQ IS EQUAL TO MBCA-MBML-FIRST-SEQ
132200         SET MBCA-MBML-RETURN-NORMAL
132300                                 TO TRUE
132400         MOVE MBCA-MBML-FIRST-SEQ
132500                                 TO MBCA-MBML-FWD-SEQ
132600         SET WS-BYPASS-YES       TO TRUE
132700         GO TO 9000-END-BROWSE.
132800*
132900     IF  MMCT-SEQ IS EQUAL TO MBCA-MBML-BACK-SEQ
133000     AND X-ML01-PD IS EQUAL TO +15
133100         GO TO 9000-READ-PLAN-FILE.
133200*
133300     PERFORM 9300-BUILD-SCREEN-LINE
133400                                 THRU 9399-BSL-EXIT.
133500*
133600     IF  X-ML01-PD IS EQUAL TO +15
133700         MOVE MMCT-SEQ           TO MBCA-MBML-FWD-SEQ
133800                                    WS-FWD-SEQ.
133900*
134000     IF  X-ML01-PD IS GREATER THAN +1
134100         SET X-ML01-PD           DOWN BY +1
134200         GO TO 9000-READ-PLAN-FILE
134300     ELSE
134400         MOVE MMCT-SEQ           TO MBCA-MBML-BACK-SEQ.
134500*
134600 9000-END-BROWSE.
134700*
134800****************************************************************
134900*    END BROWSE THE PLAN TRANSLATION FILE                      *
135000****************************************************************
135100*
135200     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
135300     SET MBIORO-ENDBR            TO TRUE.
135400     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
135500*
135600 9099-BS-EXIT.
135700     EXIT.
135800*
135900 9100-SET-ATTRIBUTE.
136000*
136100     PERFORM
136200         VARYING X-ML01-PD FROM +1 BY +1
136300         UNTIL   X-ML01-PD IS GREATER THAN +15
136400             MOVE DFHBMDAS       TO ML01-PRIORITY-LP-A
136500                                    (X-ML01-PD)
136600                                    ML01-PRIORITY-RP-A
136700                                    (X-ML01-PD)
136800                                    ML01-FROM-PLAN-LP-A
136900                                    (X-ML01-PD)
137000                                    ML01-FROM-PLAN-RP-A
137100                                    (X-ML01-PD)
137200                                    ML01-TO-PLAN-LP-A
137300                                    (X-ML01-PD)
137400                                    ML01-TO-PLAN-RP-A
137500                                    (X-ML01-PD)
137600                                    ML01-NEW-PLAN-LP-A
137700                                    (X-ML01-PD)
137800                                    ML01-NEW-PLAN-RP-A
137900                                    (X-ML01-PD)
138000                                    ML01-PLAN-DESC-LP-A
138100                                    (X-ML01-PD)
138200                                    ML01-PLAN-DESC-RP-A
138300                                    (X-ML01-PD)
138400             MOVE DFHBMASB       TO ML01-SEQUENCE-A
138500                                    (X-ML01-PD)
138600                                    ML01-PRIORITY-A
138700                                    (X-ML01-PD)
138800                                    ML01-FROM-PLAN-A
138900                                    (X-ML01-PD)
139000                                    ML01-TO-PLAN-A
139100                                    (X-ML01-PD)
139200                                    ML01-NEW-PLAN-A
139300                                    (X-ML01-PD)
139400                                    ML01-PLAN-DESC-A
139500                                    (X-ML01-PD)
139600     END-PERFORM.
139700*
139800 9199-SA-EXIT.
139900     EXIT.
140000*
140100 9200-READ-AHEAD.
140200*
140300****************************************************************
140400*    READNEXT THE PLAN TRANSLATION FILE                        *
140500****************************************************************
140600*
140700     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
140800     SET MBIORO-READ-SEQ         TO TRUE.
140900     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
141000*
141100     IF  MMCT-ORG IS GREATER THAN MBCA-MERCHANT-ORG
141200         MOVE ZEROES             TO WS-FWD-SEQ
141300                                    MBCA-MBML-FWD-SEQ
141400     ELSE
141500         MOVE MMCT-SEQ           TO WS-FWD-SEQ.
141600*
141700 9299-RA-EXIT.
141800     EXIT.
141900*
142000 9300-BUILD-SCREEN-LINE.
142100*
142200     SET X-MBMLTS-INDEX          TO X-ML01-PD.
142300*
142400     MOVE MMCT-SEQ               TO ML01-SEQUENCE
142500                                    (X-ML01-PD)
142600                                    MBMLTS-SEQUENCE
142700                                    (X-MBMLTS-INDEX).
142800*
142900     MOVE MMCT-PRIORITY          TO ML01-PRIORITY
143000                                    (X-ML01-PD)
143100                                    MBMLTS-PRIORITY
143200                                    (X-MBMLTS-INDEX).
143300*
143400     IF  ML01-PRIORITY (X-ML01-PD) IS EQUAL TO ZEROES
143500         NEXT SENTENCE
143600     ELSE
143700         MOVE DFHBMASK           TO ML01-PRIORITY-A
143800                                    (X-ML01-PD)
143900         MOVE DFHBMDAS           TO ML01-PRIORITY-LP-A
144000                                    (X-ML01-PD)
144100                                    ML01-PRIORITY-RP-A
144200                                    (X-ML01-PD).
144300*
144400     MOVE MMCT-BEG-PLAN          TO ML01-FROM-PLAN
144500                                    (X-ML01-PD)
144600                                    MBMLTS-FROM-PLAN
144700                                    (X-MBMLTS-INDEX).
144800*
144900     MOVE MMCT-END-PLAN          TO ML01-TO-PLAN
145000                                    (X-ML01-PD)
145100                                    MBMLTS-TO-PLAN
145200                                    (X-MBMLTS-INDEX).
145300*
145400     MOVE MMCT-NEW-PLAN          TO ML01-NEW-PLAN
145500                                    (X-ML01-PD)
145600                                    MBMLTS-NEW-PLAN
145700                                    (X-MBMLTS-INDEX).
145800*
145900     MOVE MMCT-DESC              TO ML01-PLAN-DESC
146000                                    (X-ML01-PD)
146100                                    MBMLTS-DESC
146200                                    (X-MBMLTS-INDEX).
146300*
146400 9399-BSL-EXIT.
146500     EXIT.
146600*
146700 9400-ADD-RECORD.
146800*
146900****************************************************************
147000*    START BROWSE THE PLAN TRANSLATION FILE                    *
147100****************************************************************
147200*
147300     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
147400     COMPUTE MBIOWS-MMCT-ORG     = MBCA-MERCHANT-ORG + 1.
147500     MOVE ZEROES                 TO MBIOWS-MMCT-SEQ.
147600     SET MBIORO-STARTBR-GTE      TO TRUE.
147700     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
147800*
147900****************************************************************
148000*    READNEXT THE PLAN TRANSLATION FILE                        *
148100****************************************************************
148200*
148300     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
148400     SET MBIORO-READ-SEQ         TO TRUE.
148500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
148600*
148700****************************************************************
148800*    READPREV THE PLAN TRANSLATION FILE                        *
148900****************************************************************
149000*
149100     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
149200     SET MBIORO-READ-PREV        TO TRUE.
149300     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
149400*
149500****************************************************************
149600*    READPREV THE PLAN TRANSLATION FILE                        *
149700****************************************************************
149800*
149900     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
150000     SET MBIORO-READ-PREV        TO TRUE.
150100     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
150200*
150300     MOVE MMCT-SEQ               TO WS-HOLD-SEQUENCE.
150400     SET X-ML01-PD               TO +1.
150500*
150600****************************************************************
150700*    END BROWSE THE PLAN TRANSLATION FILE                      *
150800****************************************************************
150900*
151000     MOVE 'FC36'                 TO MBCA-PROGRAM-LOCATION.
151100     SET MBIORO-ENDBR            TO TRUE.
151200     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
151300*
151400 9400-LOOP.
151500*
151600     IF  ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
151700     AND ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
151800     AND ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
151900     AND ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
152000     AND ML01-PLAN-DESC-L (X-ML01-PD) IS EQUAL TO ZERO
152100         SET X-ML01-PD           UP BY +1
152200         IF  X-ML01-PD IS LESS THAN +16
152300             GO TO 9400-LOOP
152400         ELSE
152500             GO TO 9499-AR-EXIT.
152600*
152700     ADD +1                      TO WS-HOLD-SEQUENCE.
152800     MOVE MMCTIR-RECORD          TO MMCT-RECORD.
152900     MOVE MBCA-MERCHANT-ORG      TO MMCT-ORG.
153000     MOVE WS-HOLD-SEQUENCE       TO MMCT-SEQ.
153100     SET MMCT-REC-ACTIVE         TO TRUE.
153200     SET MMCT-ADD-COMPLETED      TO TRUE.
153300     MOVE MBCA-START-DATE        TO MMCT-LAST-MAINT-DATE.
153400     MOVE MBCA-OPERATOR-ID       TO MMCT-LAST-MAINT-OPER.
153500*
153600     PERFORM 8700-MOVE-FIELDS    THRU 8799-MF-EXIT.
153700*
153800 9400-WRITE-RECORD.
153900*
154000****************************************************************
154100*    WRITE THE PLAN TRANSLATION FILE RECORD                    *
154200****************************************************************
154300*
154400     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
154500     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-1.
154600     SET MBIORO-WRITE            TO TRUE.
154700     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
154800*
154900     IF  SS08WS-RC-FC-DUPREC
155000         ADD +1                  TO WS-HOLD-SEQUENCE
155100         MOVE WS-HOLD-SEQUENCE   TO MMCT-SEQ
155200         GO TO 9400-WRITE-RECORD.
155300*
155400     MOVE MMCT-ORG               TO MML1-MMCT-ORG.
155500     MOVE MMCT-SEQ               TO MML1-MMCT-SEQ.
155600     MOVE LENGTH OF MMCT-RECORD  TO MML1-VARIABLE-LENGTH.
155700     MOVE MMCT-RECORD            TO MML1-ADD-AREA.
155800*
155900****************************************************************
156000*    WRITE FOR THE LOG/JOURNAL FILE                            *
156100****************************************************************
156200*
156300     MOVE 'FC23'                 TO MBCA-PROGRAM-LOCATION.
156400     SET MBIORO-WRITE            TO TRUE.
156500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
156600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
156700*
156800     SET X-ML01-PD               UP BY +1
156900*
157000     IF  X-ML01-PD IS LESS THAN +16
157100         GO TO 9400-LOOP.
157200*
157300 9499-AR-EXIT.
157400     EXIT.
157500*
157600 9500-UPDATE-RECORD.
157700*
157800     SET X-ML01-PD               TO +1.
157900*
158000 9500-LOOP.
158100*
158200     IF  ML01-PRIORITY-L (X-ML01-PD) IS EQUAL TO ZERO
158300     AND ML01-FROM-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
158400     AND ML01-TO-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
158500     AND ML01-NEW-PLAN-L (X-ML01-PD) IS EQUAL TO ZERO
158600     AND ML01-PLAN-DESC-L (X-ML01-PD) IS EQUAL TO ZERO
158700         SET X-ML01-PD           UP BY +1
158800         IF  X-ML01-PD IS LESS THAN +16
158900             GO TO 9500-LOOP
159000         ELSE
159100             GO TO 9599-UR-EXIT.
159200*
159300     SET X-MBMLTS-INDEX          TO X-ML01-PD.
159400*
159500****************************************************************
159600*    READ RANDOM UPDATE THE PLAN TRANSLATION FILE             *
159700****************************************************************
159800*
159900     MOVE 'FC24'                 TO MBCA-PROGRAM-LOCATION.
160000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMCT-ORG.
160100     MOVE MBMLTS-SEQUENCE (X-MBMLTS-INDEX)
160200                                 TO MBIOWS-MMCT-SEQ.
160300     SET MBIORO-READ-RANDOM-UPDATE
160400                                 TO TRUE.
160500     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
160600*
160700     MOVE MMCT-ORG               TO MML1-MMCT-ORG.
160800     MOVE MMCT-SEQ               TO MML1-MMCT-SEQ.
160900*
161000     IF  ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
161100     AND ML01-NEW-PLAN (X-ML01-PD) IS GREATER THAN ZERO
161200     AND MMCT-REC-PURGED
161300         SET MMCT-REC-ACTIVE     TO TRUE
161400         MOVE MBCA-START-DATE    TO MMCT-LAST-MAINT-DATE
161500         MOVE MBCA-OPERATOR-ID   TO MMCT-LAST-MAINT-OPER
161600         MOVE LENGTH OF MMCT-RECORD
161700                                 TO MML1-VARIABLE-LENGTH
161800         PERFORM 8700-MOVE-FIELDS
161900                                 THRU 8799-MF-EXIT
162000         MOVE MMCT-RECORD        TO MML1-ADD-AREA
162100         MOVE 0100               TO MML1-FIELD-CODE
162200         MOVE 'FC25'             TO MBCA-PROGRAM-LOCATION
162300         PERFORM 9600-WRITE-LOG-RECORD
162400                                 THRU 9699-WLR-EXIT
162500         GO TO 9560-REWRITE-RECORD.
162600*
162700     IF  ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
162800     AND ML01-NEW-PLAN (X-ML01-PD) IS EQUAL TO ZERO
162900         MOVE ZEROES             TO ML01-PRIORITY (X-ML01-PD)
163000         MOVE LENGTH OF ML01-PRIORITY (X-ML01-PD)
163100                                 TO ML01-PRIORITY-L (X-ML01-PD)
163200         MOVE SPACES             TO ML01-FROM-PLAN (X-ML01-PD)
163300         MOVE LENGTH OF ML01-FROM-PLAN (X-ML01-PD)
163400                                 TO ML01-FROM-PLAN-L (X-ML01-PD)
163500         MOVE SPACES             TO ML01-TO-PLAN (X-ML01-PD)
163600         MOVE LENGTH OF ML01-TO-PLAN (X-ML01-PD)
163700                                 TO ML01-TO-PLAN-L (X-ML01-PD)
163800         MOVE SPACES             TO ML01-PLAN-DESC (X-ML01-PD)
163900         MOVE LENGTH OF ML01-PLAN-DESC (X-ML01-PD)
164000                                 TO ML01-PLAN-DESC-L (X-ML01-PD)
164100         MOVE 0106               TO MML1-FIELD-CODE
164200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
164300         MOVE MMCT-REC-STATUS    TO MML1-VL01-B-DATA-9
164400         SET MMCT-REC-PURGED     TO TRUE
164500         MOVE MMCT-REC-STATUS    TO MML1-VL01-A-DATA-9
164600         MOVE 'FC26'             TO MBCA-PROGRAM-LOCATION
164700         PERFORM 9600-WRITE-LOG-RECORD
164800                                 THRU 9699-WLR-EXIT.
164900*
165000     IF  ML01-PRIORITY-L (X-ML01-PD) IS GREATER THAN ZERO
165100         IF  ML01-PRIORITY (X-ML01-PD) IS NOT EQUAL
165200                                 TO MMCT-PRIORITY
165300             MOVE 0101           TO MML1-FIELD-CODE
165400             MOVE MML1WS-VL-04   TO MML1-VARIABLE-LENGTH
165500             MOVE MMCT-PRIORITY  TO MML1-VL04-B-DATA-9
165600             MOVE ML01-PRIORITY (X-ML01-PD)
165700                                 TO MMCT-PRIORITY
165800             MOVE MMCT-PRIORITY  TO MML1-VL04-A-DATA-9
165900             MOVE 'FC27'         TO MBCA-PROGRAM-LOCATION
166000             PERFORM 9600-WRITE-LOG-RECORD
166100                                 THRU 9699-WLR-EXIT.
166200*
166300     IF  ML01-FROM-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
166400         IF  ML01-FROM-PLAN (X-ML01-PD) IS NOT EQUAL
166500                                 TO MMCT-BEG-PLAN
166600             MOVE 0102           TO MML1-FIELD-CODE
166700             MOVE MML1WS-VL-05   TO MML1-VARIABLE-LENGTH
166800             MOVE MMCT-BEG-PLAN  TO MML1-VL05-B-DATA-X
166900             MOVE ML01-FROM-PLAN (X-ML01-PD)
167000                                 TO MMCT-BEG-PLAN
167100             MOVE MMCT-BEG-PLAN  TO MML1-VL05-A-DATA-X
167200             MOVE 'FC28'         TO MBCA-PROGRAM-LOCATION
167300             PERFORM 9600-WRITE-LOG-RECORD
167400                                 THRU 9699-WLR-EXIT.
167500*
167600     IF  ML01-TO-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
167700         IF  ML01-TO-PLAN (X-ML01-PD) IS NOT EQUAL
167800                                 TO MMCT-END-PLAN
167900             MOVE 0103           TO MML1-FIELD-CODE
168000             MOVE MML1WS-VL-05   TO MML1-VARIABLE-LENGTH
168100             MOVE MMCT-END-PLAN  TO MML1-VL05-B-DATA-X
168200             MOVE ML01-TO-PLAN (X-ML01-PD)
168300                                 TO MMCT-END-PLAN
168400             MOVE MMCT-END-PLAN  TO MML1-VL05-A-DATA-X
168500             MOVE 'FC29'         TO MBCA-PROGRAM-LOCATION
168600             PERFORM 9600-WRITE-LOG-RECORD
168700                                 THRU 9699-WLR-EXIT.
168800*
168900     IF  ML01-NEW-PLAN-L (X-ML01-PD) IS GREATER THAN ZERO
169000         IF  ML01-NEW-PLAN (X-ML01-PD) IS NOT EQUAL
169100                                 TO MMCT-NEW-PLAN
169200             MOVE 0104           TO MML1-FIELD-CODE
169300             MOVE MML1WS-VL-05   TO MML1-VARIABLE-LENGTH
169400             MOVE MMCT-NEW-PLAN  TO MML1-VL05-B-DATA-9
169500             MOVE ML01-NEW-PLAN (X-ML01-PD)
169600                                 TO MMCT-NEW-PLAN
169700             MOVE MMCT-NEW-PLAN  TO MML1-VL05-A-DATA-9
169800             MOVE 'FC30'         TO MBCA-PROGRAM-LOCATION
169900             PERFORM 9600-WRITE-LOG-RECORD
170000                                 THRU 9699-WLR-EXIT.
170100*
170200     IF  ML01-PLAN-DESC-L (X-ML01-PD) IS GREATER THAN ZERO
170300         IF  ML01-PLAN-DESC (X-ML01-PD) IS NOT EQUAL
170400                                 TO MMCT-DESC
170500             MOVE 0105           TO MML1-FIELD-CODE
170600             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
170700             MOVE MMCT-DESC      TO MML1-VL30-B-DATA-X
170800             MOVE ML01-PLAN-DESC (X-ML01-PD)
170900                                 TO MMCT-DESC
171000             MOVE MMCT-DESC      TO MML1-VL30-A-DATA-X
171100             MOVE 'FC31'         TO MBCA-PROGRAM-LOCATION
171200             PERFORM 9600-WRITE-LOG-RECORD
171300                                 THRU 9699-WLR-EXIT.
171400*
171500     MOVE 0198                   TO MML1-FIELD-CODE.
171600     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
171700     MOVE MMCT-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
171800     MOVE MBCA-OPERATOR-ID       TO MMCT-LAST-MAINT-OPER.
171900     MOVE MMCT-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
172000     MOVE 'FC32'                 TO MBCA-PROGRAM-LOCATION.
172100     PERFORM 9600-WRITE-LOG-RECORD
172200                                 THRU 9699-WLR-EXIT.
172300*
172400     MOVE 0199                   TO MML1-FIELD-CODE.
172500     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
172600     MOVE MMCT-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
172700     MOVE MBCA-START-DATE        TO MMCT-LAST-MAINT-DATE.
172800     MOVE MMCT-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
172900     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
173000     PERFORM 9600-WRITE-LOG-RECORD
173100                                 THRU 9699-WLR-EXIT.
173200*
173300 9560-REWRITE-RECORD.
173400*
173500****************************************************************
173600*    REWRITE THE PLAN TRANSLATION FILE RECORD                  *
173700****************************************************************
173800*
173900     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
174000     SET MBIORO-REWRITE          TO TRUE.
174100     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
174200*
174300     SET X-ML01-PD               UP BY +1.
174400*
174500     IF  X-ML01-PD IS LESS THAN +16
174600         GO TO 9500-LOOP.
174700*
174800 9599-UR-EXIT.
174900     EXIT.
175000*
175100 9600-WRITE-LOG-RECORD.
175200*
175300     SET MBIORO-WRITE            TO TRUE.
175400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
175500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
175600*
175700 9699-WLR-EXIT.
175800     EXIT.
175900*
176000 9700-CHECK-DUPLICATES.
176100*
176200     PERFORM
176300         VARYING X-ML01-PD FROM +1 BY +1
176400         UNTIL   X-ML01-PD IS GREATER THAN +14
176500         SET X-ML01-PD-1         TO X-ML01-PD
176600         SET X-ML01-PD-1         UP BY +1
176700         PERFORM
176800             UNTIL X-ML01-PD-1 IS GREATER THAN +15
176900                 IF  ML01-PRIORITY (X-ML01-PD) IS GREATER
177000                                 THAN ZERO
177100                 AND ML01-PRIORITY (X-ML01-PD) IS EQUAL
177200                                 TO ML01-PRIORITY (X-ML01-PD-1)
177300                     MOVE DFHBMASB
177400                                 TO ML01-PRIORITY-LP-A
177500                                    (X-ML01-PD-1)
177600                                    ML01-PRIORITY-RP-A
177700                                    (X-ML01-PD-1)
177800                     MOVE DFHBMNBF
177900                                 TO ML01-PRIORITY-A
178000                                    (X-ML01-PD-1)
178100                     MOVE SS08WS-CURSOR
178200                                 TO ML01-PRIORITY-L
178300                                    (X-ML01-PD-1)
178400                     SET SS08WS-ERROR-SW-YES
178500                                 TO TRUE
178600                     SET X-ML01-PD-1
178700                                 UP BY +1
178800                 ELSE
178900                     SET X-ML01-PD-1
179000                                 UP BY +1
179100                 END-IF
179200         END-PERFORM
179300     END-PERFORM.
179400*
179500     IF  SS08WS-ERROR-SW-YES
179600         GO TO 9799-CD-EXIT.
179700*
179800     PERFORM
179900         VARYING X-ML01-PD FROM +1 BY +1
180000         UNTIL   X-ML01-PD IS GREATER THAN +15
180100             IF  ML01-PRIORITY-L (X-ML01-PD) IS GREATER THAN ZERO
180200             AND ML01-PRIORITY (X-ML01-PD) IS GREATER THAN ZERO
180300                 MOVE MBCA-MERCHANT-ORG
180400                                 TO MBIOWS-MMCT-ORG
180500                 MOVE ZEROES     TO MBIOWS-MMCT-SEQ
180600                 PERFORM 8600-CHECK-DUPLICATES
180700                                 THRU 8699-CD-EXIT
180800                 IF  WS-DUPLICATE-SW-YES
180900                     MOVE DFHBMASB
181000                                 TO ML01-PRIORITY-LP-A
181100                                    (X-ML01-PD)
181200                                    ML01-PRIORITY-RP-A
181300                                    (X-ML01-PD)
181400                     MOVE DFHBMNBF
181500                                 TO ML01-PRIORITY-A
181600                                    (X-ML01-PD)
181700                     MOVE SS08WS-CURSOR
181800                                 TO ML01-PRIORITY-L
181900                                    (X-ML01-PD)
182000                     SET SS08WS-ERROR-SW-YES
182100                                 TO TRUE
182200                 END-IF
182300             END-IF
182400     END-PERFORM.
182500*
182600 9799-CD-EXIT.
182700     EXIT.
182800*
182900 9800-JUSTIFY-NUMERIC-FIELD.
183000*
183100     SET X-WS-INPUT-CHARACTER    TO +5.
183200     SET X-WS-NUM-CHARACTER      TO +5.
183300     MOVE SPACES                 TO WS-NUMERIC-WORK-AREA.
183400*
183500 9810-MOVE-INPUT-CHARACTERS.
183600*
183700     IF  WS-INPUT-AREA-CHARACTER (X-WS-INPUT-CHARACTER)
183800                                 IS EQUAL TO SPACE
183900         IF  X-WS-INPUT-CHARACTER IS GREATER THAN +1
184000             SET X-WS-INPUT-CHARACTER
184100                                 DOWN BY +1
184200             GO TO 9810-MOVE-INPUT-CHARACTERS
184300         ELSE
184400             GO TO 9830-ZERO-FILL-IT.
184500*
184600     MOVE WS-INPUT-AREA-CHARACTER (X-WS-INPUT-CHARACTER)
184700                                 TO WS-NUMERIC-CHARACTER
184800                                    (X-WS-NUM-CHARACTER).
184900*
185000     IF  X-WS-NUM-CHARACTER IS GREATER THAN +1
185100         SET X-WS-NUM-CHARACTER  DOWN BY +1
185200     ELSE
185300         GO TO 9899-JNF-EXIT.
185400*
185500     IF  X-WS-INPUT-CHARACTER IS GREATER THAN +1
185600         SET X-WS-INPUT-CHARACTER
185700                                 DOWN BY +1
185800         GO TO 9810-MOVE-INPUT-CHARACTERS.
185900*
186000 9830-ZERO-FILL-IT.
186100*
186200     MOVE ZERO                   TO WS-NUMERIC-CHARACTER
186300                                    (X-WS-NUM-CHARACTER).
186400*
186500     IF  X-WS-NUM-CHARACTER IS GREATER THAN +1
186600         SET X-WS-NUM-CHARACTER  DOWN BY +1
186700         GO TO 9830-ZERO-FILL-IT.
186800*
186900 9899-JNF-EXIT.
187000     EXIT.
187100*
187200 9900-READ-RECORD.
187300*
187400     IF  MBCA-PTI-FUNCTION-IS-ADD
187500         GO TO 9999-RR-EXIT.
187600*
187700     SET X-MBMLTS-INDEX          TO X-ML01-PD.
187800*
187900     IF  MBMLTS-SEQUENCE (X-MBMLTS-INDEX) IS GREATER THAN ZEROES
188000         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMCT-ORG
188100         MOVE MBMLTS-SEQUENCE (X-MBMLTS-INDEX)
188200                                 TO MBIOWS-MMCT-SEQ
188300     ELSE
188400         MOVE MMCTIR-RECORD      TO MMCT-RECORD
188500         GO TO 9999-RR-EXIT.
188600*
188700****************************************************************
188800*    READ RANDOM THE PLAN TRANSLATION FILE RECORD              *
188900****************************************************************
189000*
189100     MOVE 'FC35'                 TO MBCA-PROGRAM-LOCATION.
189200     SET MBIORO-READ-RANDOM      TO TRUE.
189300     PERFORM MMCTAO-ACCESS       THRU MMCTAO-ACCESS-EXIT.
189400*
189500 9999-RR-EXIT.
189600     EXIT.
189700/         JULIAN TO GREGORIAN DATE ROUTINE
189800     COPY SS08PD.
189900/         DATE AND TIME EDIT ROUTINES
190000     COPY SS26PD.
190100     COPY SS27PD.
190200/         LINE 24 PF KEYS ROUTINE
190300     COPY SS15PD.
190400/         PLAN TRANSLATION RECORD ACCESS ROUTINES
190500     COPY MMCTAO.
190600/         LOG/JOURNAL ACCESS ROUTINES
190700     COPY MML1AO.
190800/         ON-LINE MAP ROUTINES
190900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBML01 '
191000                           MBMAPXXI BY MBML01I
191100                           MBMAPXXO BY MBML01O.
191200/         ON-LINE PROCEDURES
191300     COPY MB70PD.
191400/
191500     COPY SMFTPXO.
