000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM00 - ON-LINE MERCHANT MASTER ADD/MAINT/INQ          *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC (ORG CONTROL FILE)                    *
001800*                 B. MMMM (MERCHANT MASTER FILE)                *
001900*                 C. MMFS (FIELD SECURITY FILE)                 *
002000*                 D. MMMP (MERCH PRODUCT FILE)                  *
002100*                 E. MMAM (ACTIVITY RECAP FILE)                 *
002200*                                                               *
002300*****************************************************************
002400*
002500 ENVIRONMENT DIVISION.
002600*
002700 DATA DIVISION.
002800*
002900 WORKING-STORAGE SECTION.
003000*
003100 01  FILLER                  PIC  X(12)      VALUE
003200     '** WS-BEG **'.
003300*
003400 01  FILLER                  PIC  X(14)      VALUE
003500     'MISCELLANEOUS:'.
003600*
003700 01  WS-MISCELLANEOUS.
003800     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003900                                             VALUE +001.
004000     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
004100                                             VALUE +998.
004200     03  WS-MMFS-FOUND-SW    PIC  X(01)      VALUE 'Y'.
004300         88  MMFS-RECORD-FOUND               VALUE 'Y'.
004400         88  MMFS-RECORD-NOT-FOUND           VALUE 'N'.
004500     03  WS-MMMM-ADD-PENDING-SW
004600                             PIC  X(01)      VALUE 'N'.
004700         88  MMMM-RECORD-IS-ADD-PENDING      VALUE 'Y'.
004800     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
004900         88  WS-COPY-SW-NO                   VALUE 'N'.
005000         88  WS-COPY-SW-YES                  VALUE 'Y'.
005100     03  WS-SELECT-ERROR-SW  PIC  X(01)      VALUE 'N'.
005200         88  WS-SELECT-ERROR-NO              VALUE 'N'.
005300         88  WS-SELECT-ERROR-YES             VALUE 'Y'.
005400     03  WS-MMAM-SW          PIC  X(01)      VALUE 'N'.
005500         88  WS-MMAM-FOUND                   VALUE 'Y'.
005600     03  WS-PRODUCT          PIC  9(03)      VALUE ZERO.
005700     03  WS-ORG-MERCHANT.
005800         05  WS-ORG          PIC  9(03)      VALUE ZEROS.
005900         05  WS-MERCHANT     PIC  9(09)      VALUE ZEROS.
006000     03  WS-MODEL-DESCRIPTION
006100                             PIC  X(40)      VALUE
006200         '       MERCHANT MODEL RECORD ADD        '.
006300     03  TS-QUEUE-NAME.
006400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006600/
006700 01  FILLER                  PIC  X(29)      VALUE
006800     'I/O REQUEST BLOCK WORK AREAS:'.
006900*
007000     COPY MBIOWS.
007100/
007200 01  FILLER                  PIC  X(18)      VALUE
007300     'I/O REQUEST BLOCK:'.
007400*
007500     COPY MBIORO.
007600/
007700 01  FILLER                  PIC  X(21)      VALUE
007800     'ERROR MESSAGES TABLE:'.
007900*
008000     COPY MBEMWS.
008100/
008200 01  FILLER                  PIC  X(35)      VALUE
008300     'MERCHANT MASTER INITIALIZER RECORD:'.
008400*
008500     COPY MMMMIR.
008600/
008700 01  FILLER                  PIC  X(27)      VALUE
008800     'MERCHANT MASTER WORK AREAS:'.
008900*
009000     COPY MMMMWS.
009100/
009200 01  FILLER                  PIC  X(20)      VALUE
009300     'CCS DATE WORK AREAS:'.
009400*
009500     COPY SS01WS.
009600/
009700 01  FILLER                  PIC  X(27)      VALUE
009800     'CCS CHECK DIGIT WORK AREAS:'.
009900*
010000     COPY SS05WS.
010100/
010200 01  FILLER                  PIC  X(15)      VALUE
010300     'CCS WORK AREAS:'.
010400*
010500     COPY SS08WS.
010600/
010700     COPY SS00WS.
010800/
010900     COPY SMFTWS.
011000/
011100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
011200/
011300     COPY MB61LK.
011400/
011500 01  FILLER                  PIC  X(12)      VALUE
011600     '** WS-END **'.
011700/
011800 LINKAGE SECTION.
011900*
012000 01  DFHCOMMAREA.
012100*
012200     COPY MB60WS.
012300/
012400************************************
012500*    MERCHANT MASTER LOCATE MAP    *
012600************************************
012700*
012800     COPY MBMM00.
012900/
013000*************************************************
013100*    MERCHANT MASTER LOCATE MAP REDEFINITION    *
013200*************************************************
013300*
013400     COPY MBMM00R.
013500/
013600***************************
013700*    ORG RECORD LAYOUT    *
013800***************************
013900*
014000     COPY MMOCRL.
014100/
014200***************************************
014300*    MERCHANT MASTER RECORD LAYOUT    *
014400***************************************
014500*
014600     COPY MMMMRL.
014700/
014800***************************************
014900*    MERCHANT PRODUCT RECORD LAYOUT   *
015000***************************************
015100*
015200     COPY MMMPRL.
015300/
015400***************************************
015500*    ACTIVITY RECAP   RECORD LAYOUT   *
015600***************************************
015700*
015800     COPY MMAMRL REPLACING ==:MMAM:== BY ==MMAM==.
015900/
016000**************************************
016100*    FIELD SECURITY RECORD LAYOUT    *
016200**************************************
016300*
016400     COPY MMFSRL.
016500/
016600***************************************
016700*    USER INPUT TEMP STORAGE RECORD   *
016800***************************************
016900*
017000     COPY MBUITS.
017100/
017200 PROCEDURE DIVISION.
017300*
017400 A000-HOUSEKEEPING SECTION.
017500*
017600 A020-INIT.
017700*
017800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
017900*
018000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
018100                                 THRU MB70PD-OLH-EXIT.
018200*
018300     IF  MBCA-MBUI-UI-YES
018400         NEXT SENTENCE
018500     ELSE
018600         SET MBCA-MBUI-UI-NO     TO TRUE.
018700*
018800     INITIALIZE MBCA-MBMM-WORK-AREA.                              EH800900
019200*
019300     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
019400*
019500     IF  MBCA-RECEIVE-SCREEN
019600         GO TO C000-RECEIVE-SCREEN.
019700/
019800 B000-SEND-SCREEN SECTION.
019900*
020000*********************************************
020100*    GET CICS STORAGE NEEDED FOR THE MAP    *
020200*********************************************
020300*
020400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
020500     PERFORM MB60PD-GETMAIN-FOR-MAP
020600                                 THRU MB60PD-GFM-EXIT.
020700*
020800     SET MBCA-MBMM-PRODUCT-OFF   TO TRUE.
020900*
021000     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
021100         MOVE DFHBMDAS           TO MM00-COPY-LIT-A
021200                                    MM00-COPY-MERCHANT-LIT-A
021300                                    MM00-COPY-MERCHANT-LP-A
021400                                    MM00-COPY-MERCHANT-RP-A
021500                                    MM00-COPY-ORG-LP-A
021600                                    MM00-COPY-ORG-RP-A
021700         MOVE DFHBMASK           TO MM00-COPY-MERCHANT-A
021800                                    MM00-COPY-ORG-A
021900         PERFORM
022000             VARYING X-MM00-DIR-AREA FROM +1 BY +1
022100             UNTIL   X-MM00-DIR-AREA IS GREATER THAN +13
022200             MOVE DFHBMASF       TO MM00-SELECT-SCREEN-NBR-A
022300                                    (X-MM00-DIR-AREA)
022400         END-PERFORM
022500     ELSE
022600         MOVE DFHBMDAS           TO MM00-DIRECTORY-SEL-LIT-A
022700         PERFORM
022800             VARYING X-MM00-DIR-AREA FROM +1 BY +1
022900             UNTIL   X-MM00-DIR-AREA IS GREATER THAN +13
023000                 MOVE DFHBMDAS   TO MM00-SELECT-LP-A
023100                                    (X-MM00-DIR-AREA)
023200                                    MM00-SELECT-RP-A
023300                                    (X-MM00-DIR-AREA)
023400                                    MM00-SELECT-LIT1-A
023500                                    (X-MM00-DIR-AREA)
023600                                    MM00-SELECT-LIT2-A
023700                                    (X-MM00-DIR-AREA)
023800                                    MM00-SELECT-SCREEN-NBR-A
023900                                    (X-MM00-DIR-AREA)
024000                 MOVE DFHBMASK   TO MM00-SELECT-A
024100                                    (X-MM00-DIR-AREA)
024200         END-PERFORM.
024300*
024400*****************************************************************
024500*    CHECK KEY CODES                                            *
024600* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
024700* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
024800* 3. IF MMMM KEY CODE, IT MUST HAVE AN ORGANIZATION NUMBER      *
024900*    GREATER THAN ZERO AND A NUMERIC MERCHANT NUMBER.  IF       *
025000*    DIRECT, GO TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE    *
025100*    PLUGGED THE ORGANIZATION AND MERCHANT IN THE MAP.  IF AN   *
025200*    ERROR OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL        *
025300*    HANDLE BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.   *
025400*    THIS IS WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE         *
025500*    NO MATTER WHICH ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG   *
025600*    THE ORGANIZATION AND MERCHANT INTO THE MAP AND BYPASS      *
025700*    ANY OTHER CHECKING OF THE KEY CODE.                        *
025800* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG IS      *
025900*    GREATER THAN ZERO.  IF IT IS, PLUG IT INTO THE MAP.  IF    *
026000*    THE MBCA-MERCHANT IS GREATER THAN ZERO, PLUG IT INTO THE   *
026100*    MAP.                                                       *
026200*****************************************************************
026300*
026400     IF  MBCA-INITIAL-KEY-CODE
026500     OR  MBCA-PTI-FUNCTION-ADD-OR-MODEL
026600         GO TO B020-BUILD-SCREEN.
026700*
026800     IF  MBCA-MMMM-KEY-CODE
026900         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
027000         AND MBCA-MERCHANT     IS GREATER THAN ZERO
027100             MOVE MBCA-MERCHANT-ORG
027200                                 TO MM00-ORG
027300             MOVE MBCA-MERCHANT  TO MM00-MERCHANT
027400             MOVE DFHBMUNF       TO MM00-ORG-A
027500                                    MM00-MERCHANT-A
027600             IF  MBCA-DIRECT-TRANSFER-CODE
027700             AND MBCA-INITIAL-SCREEN-NBR
027800                 MOVE 00         TO MBCA-SCREEN-NBR
027900                 GO TO C082-READ-ORG
028000             ELSE
028100                 GO TO B020-BUILD-SCREEN.
028200*
028300     IF  MBCA-VALID-KEY-CODES
028400         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
028500             MOVE MBCA-MERCHANT-ORG
028600                                 TO MM00-ORG
028700             MOVE DFHBMUNF       TO MM00-ORG-A
028800             IF  MBCA-MERCHANT IS GREATER THAN ZERO
028900                 MOVE MBCA-MERCHANT
029000                                 TO MM00-MERCHANT
029100                 MOVE DFHBMUNF   TO MM00-MERCHANT-A.
029200*
029300 B020-BUILD-SCREEN.
029400*
029500*******************************************
029600*    INITIALIZE THE STANDARD MAP LINES    *
029700*******************************************
029800*
029900     MOVE SS08WS-CURSOR          TO MM00-ORG-L.
030000     MOVE 00                     TO MBCA-SCREEN-NBR.
030100     PERFORM MB60PD-INIT-STD-MAP-LINES
030200                                 THRU MB60PD-ISML-EXIT.
030300*
030400     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
030500         MOVE ZERO               TO MM00-MERCHANT-L
030600         MOVE DFHBMUNN           TO MM00-MERCHANT-A
030700         MOVE LOW-VALUES         TO MM00-MERCHANT-X.
030800*
030900     IF  MBCA-PTI-FUNCTION-IS-MODEL
031000         MOVE WS-MODEL-DESCRIPTION
031100                                 TO MM00-SCREEN-DESC.
031200*
031300**********************
031400*    SEND THE MAP    *
031500**********************
031600*
031700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
031800     PERFORM MB60PD-SEND-MAP-WITH-ERASE
031900                                 THRU MB60PD-SMWE-EXIT.
032000*
032100************************
032200*    RETURN TO CICS    *
032300************************
032400*
032500     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
032600     PERFORM MB70PD-RETURN-TRANS-ID
032700                                 THRU MB70PD-RTI-EXIT.
032800/
032900 C000-RECEIVE-SCREEN SECTION.
033000*
033100*************************************************
033200*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
033300*************************************************
033400*
033500*
033600     IF  MBCA-MBUI-UI-YES
033700*
033800****************************************************************
033900*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
034000****************************************************************
034100*
034200         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
034300         EXEC CICS GETMAIN
034400                   FLENGTH (LENGTH  OF MBUITS-RECORD)
034500
034600                   SET     (ADDRESS OF MBUITS-RECORD)
034700
034800              END-EXEC
034900*
035000*
035100***********************************************
035200*    READ THE TEMP STORAGE RECORD             *
035300***********************************************
035400*
035500         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
035600*
035700         EXEC CICS READQ TS
035800                   QUEUE   (TS-QUEUE-NAME)
035900                   INTO    (MBUITS-RECORD)
036000                   LENGTH  (LENGTH  OF MBUITS-RECORD)
036100                   ITEM    (1)
036200              END-EXEC
036300*
036400***********************************************
036500*    DELETE THE TEMP STORAGE RECORD           *
036600***********************************************
036700*
036800         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
036900*
037000         EXEC CICS IGNORE CONDITION
037100                   QIDERR
037200              END-EXEC
037300*
037400         EXEC CICS DELETEQ TS
037500                   QUEUE  (TS-QUEUE-NAME)
037600              END-EXEC
037700         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
037800         PERFORM MB60PD-GETMAIN-FOR-MAP
037900                                 THRU MB60PD-GFM-EXIT
038000         MOVE MBUITS-VAR-DATA    TO MBMM00I
038100     ELSE
038200         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
038300         PERFORM MB60PD-RECEIVE-MAP
038400                                 THRU MB60PD-RM-EXIT.
038500*
038600**************************************************************
038700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
038800**************************************************************
038900*
039000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
039100     PERFORM MB60PD-NEW-TRANS-ROUTINE
039200                                 THRU MB60PD-NTR-EXIT.
039300*
039400 C020-FIELD-EDITS.
039500*
039600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
039700*
039800     IF  (MM00-ORG-L IS LESS THAN 1
039900     AND  MM00-MERCHANT-L IS LESS THAN 1
040000     AND  MM00-COPY-ORG-L IS LESS THAN 1
040100     AND  MM00-COPY-MERCHANT-L IS LESS THAN 1)
040200     AND (SS08WS-VALID-PF-KEY
040300     OR   SS08WS-EIBAID-VALID-PF-KEY)
040400         SET MBCA-INITIAL-SCREEN-NBR
040500                                 TO TRUE
040600         GO TO F090-TRANSFER-XCTL.
040700*
040800******************************************************
040900*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
041000*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
041100******************************************************
041200*
041300     MOVE DFHBMUNN               TO MM00-ORG-A
041400                                    MM00-MERCHANT-A.
041500     MOVE DFHBMASK               TO MM00-ORG-LP-A
041600                                    MM00-ORG-RP-A
041700                                    MM00-MERCHANT-LP-A
041800                                    MM00-MERCHANT-RP-A.
041900*
042000     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
042100         MOVE DFHBMUNN           TO MM00-COPY-MERCHANT-A
042200                                    MM00-COPY-ORG-A
042300         MOVE DFHBMASK           TO MM00-COPY-MERCHANT-LP-A
042400                                    MM00-COPY-MERCHANT-RP-A
042500                                    MM00-COPY-ORG-LP-A
042600                                    MM00-COPY-ORG-RP-A
042700         MOVE DFHBMDAS           TO MM00-DIRECTORY-SEL-LIT-A
042800         PERFORM
042900             VARYING X-MM00-DIR-AREA FROM +1 BY +1
043000             UNTIL   X-MM00-DIR-AREA IS GREATER THAN +13
043100                 MOVE DFHBMDAS   TO MM00-SELECT-LP-A
043200                                    (X-MM00-DIR-AREA)
043300                                    MM00-SELECT-RP-A
043400                                    (X-MM00-DIR-AREA)
043500                                    MM00-SELECT-LIT1-A
043600                                    (X-MM00-DIR-AREA)
043700                                    MM00-SELECT-LIT2-A
043800                                    (X-MM00-DIR-AREA)
043900                                    MM00-SELECT-SCREEN-NBR-A
044000                                    (X-MM00-DIR-AREA)
044100                 MOVE DFHBMASK   TO MM00-SELECT-A
044200                                    (X-MM00-DIR-AREA)
044300         END-PERFORM
044400     ELSE
044500         MOVE DFHBMDAS           TO MM00-COPY-LIT-A
044600                                    MM00-COPY-MERCHANT-LIT-A
044700                                    MM00-COPY-MERCHANT-LP-A
044800                                    MM00-COPY-MERCHANT-RP-A
044900                                    MM00-COPY-ORG-LP-A
045000                                    MM00-COPY-ORG-RP-A
045100         MOVE DFHBMASK           TO MM00-COPY-MERCHANT-A
045200                                    MM00-COPY-ORG-A.
045300*
045400 C080-EDIT-ORG.
045500*
045600     IF  MM00-ORG-L IS EQUAL TO ZERO
045700     OR  MM00-ORG IS NOT NUMERIC
045800     OR  MM00-ORG IS LESS THAN MBCA-ORG-LOW
045900     OR  MM00-ORG IS GREATER THAN MBCA-ORG-HIGH
046000     OR  MM00-ORG IS LESS THAN WS-ORG-LOW
046100     OR  MM00-ORG IS GREATER THAN WS-ORG-HIGH
046200         MOVE MBEMWS-INVALID-ORG TO MM00-ERR-MESSAGE
046300         GO TO C098-ORG-ERROR.
046400*
046500 C082-READ-ORG.
046600*
046700************************************************
046800*    READ THE ORGANIZATION RECORD.  IT MUST    *
046900*    BE ON FILE AND AN ACTIVE RECORD.          *
047000************************************************
047100*
047200     MOVE MM00-ORG               TO MBIOWS-MMOC-ORG.
047300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
047400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
047500     SET MBIORO-READ-RANDOM      TO TRUE.
047600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
047700*
047800     IF  SS08WS-RC-FC-NOTFND
047900         MOVE MBEMWS-NOT-ON-FILE TO MM00-ERR-MESSAGE
048000     ELSE
048100         IF  MMOC-ADD-PENDING
048200             MOVE MBEMWS-ADD-PENDING
048300                                 TO MM00-ERR-MESSAGE
048400         ELSE
048500             IF  MMOC-REC-PURGED
048600                 MOVE MBEMWS-REC-PURGED
048700                                 TO MM00-ERR-MESSAGE
048800             ELSE
048900                 MOVE DFHBMUNF   TO MM00-ORG-A
049000                 MOVE MM00-ORG   TO MBCA-MERCHANT-ORG
049100                 MOVE MMOC-CURRENCY-CODE
049200                                 TO MBCA-CURRENCY-CODE
049300                 MOVE MMOC-CURRENCY-NOD
049400                                 TO MBCA-CURRENCY-NOD
049500                 MOVE MMOC-PER-ITEM-NOD
049600                                 TO MBCA-PER-ITEM-NOD
049700                 MOVE MMOC-PERCENT-NOD
049800                                 TO MBCA-PERCENT-NOD
049900                 GO TO C100-EDIT-MERCHANT.
050000*
050100 C098-ORG-ERROR.
050200*
050300     SET SS08WS-ERROR-SW-YES     TO TRUE.
050400     MOVE DFHBMASB               TO MM00-ORG-LP-A
050500                                    MM00-ORG-RP-A.
050600     MOVE SS08WS-CURSOR          TO MM00-ORG-L.
050700     MOVE DFHBMNBF               TO MM00-ORG-A.
050800     MOVE DFHBMUNF               TO MM00-MERCHANT-A.
050900     GO TO C120-EDIT-COPY-ORG.
051000*
051100 C100-EDIT-MERCHANT.
051200*
051300     IF  MBCA-DIRECT-TRANSFER-CODE
051400     AND
051500        (MBCA-PTI-FUNCTION-IS-MAINT
051600     OR  MBCA-PTI-FUNCTION-IS-INQUIRY)
051700         GO TO C102-READ-MERCHANT.
051800*
051900     IF  MM00-MERCHANT-L IS EQUAL TO ZERO
052000     OR  MM00-MERCHANT IS NOT NUMERIC
052100     OR  MM00-MERCHANT IS EQUAL TO ZEROES OR 999999999
052200         MOVE MBEMWS-INVALID-MERCHANT
052300                                 TO MM00-ERR-MESSAGE
052400         GO TO C118-MERCHANT-ERROR.
052500*
052600**********************************
052700*    VALIDATE THE CHECK DIGIT    *
052800**********************************
052900*
053000     IF  MMOC-MMC-DO-NOT-MOD-CHECK
053100         GO TO C102-READ-MERCHANT.
053200*
053300     PERFORM Y020-VALIDATE-CHECK-DIGIT
053400                                 THRU Y039-VCD-EXIT.
053500*
053600     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
053700     AND SS05WS-CD-IS-INVALID
053800         MOVE MBEMWS-INVALID-MERCHANT
053900                                 TO MM00-ERR-MESSAGE
054000         GO TO C118-MERCHANT-ERROR.
054100*
054200 C102-READ-MERCHANT.
054300*
054400***************************************************************
054500*    READ THE MERCHANT MASTER RECORD.  IT MUST BE ON          *
054600*    FILE AND AN ACTIVE RECORD IF IN MAINTENANCE OR INQUIRY.  *
054700*    IT MUST NOT BE ON FILE (OR IN AN ADD PENDING STATE),     *
054800*    IF IN ADD.                                               *
054900***************************************************************
055000*
055100     MOVE DFHBMUNF               TO MM00-MERCHANT-A.
055200*
055300     MOVE MM00-ORG               TO MBIOWS-MMMM-ORG.
055400     MOVE MM00-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
055500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
055600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
055700     SET MBIORO-READ-RANDOM      TO TRUE.
055800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
055900*
056000     IF  SS08WS-RC-FC-VALID-RTN-CODE
056100         MOVE MM00-MERCHANT      TO MBCA-MERCHANT.
056200*
056300     IF  SS08WS-RC-FC-VALID-RTN-CODE
056400     AND MMMM-REC-PURGED
056500         MOVE MBEMWS-REC-PURGED  TO MM00-ERR-MESSAGE
056600         GO TO C118-MERCHANT-ERROR.
056700*
056800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
056900         IF  SS08WS-RC-FC-VALID-RTN-CODE
057000             IF  MMMM-ADD-PENDING
057100                 MOVE MBEMWS-ADD-PENDING
057200                                 TO MM00-ERR-MESSAGE
057300                 GO TO C118-MERCHANT-ERROR
057400             ELSE
057500                 GO TO C120-EDIT-COPY-ORG
057600         ELSE
057700             MOVE MBEMWS-NOT-ON-FILE
057800                                 TO MM00-ERR-MESSAGE
057900             GO TO C118-MERCHANT-ERROR.
058000*
058100     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
058200     AND SS08WS-RC-FC-NOTFND
058300         PERFORM Y930-STARTBR-MMAM
058400                                 THRU Y939-EXIT
058500         EVALUATE TRUE
058600             WHEN WS-MMAM-FOUND
058700                 GO TO C118-MERCHANT-ERROR
058800             WHEN OTHER
058900                 GO TO C120-EDIT-COPY-ORG
059000         END-EVALUATE
059100         GO TO C120-EDIT-COPY-ORG.
059200*
059300     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
059400     AND MMMM-ADD-PENDING
059500         IF  WS-COPY-SW-NO
059600             MOVE MMMM-ONLINE-STATUS
059700                                 TO MBCA-SCREEN-NBR
059800             SET MMMM-RECORD-IS-ADD-PENDING
059900                                 TO TRUE
060000             GO TO C120-EDIT-COPY-ORG
060100         ELSE
060200             MOVE MBEMWS-ADD-PENDING
060300                                 TO MM00-ERR-MESSAGE
060400             GO TO C118-MERCHANT-ERROR.
060500*
060600     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
060700         MOVE MBEMWS-ALREADY-ON-FILE
060800                                 TO MM00-ERR-MESSAGE
060900         GO TO C118-MERCHANT-ERROR.
061000*
061100     IF  MBCA-PTI-FUNCTION-IS-MAINT
061200     AND SS08WS-RC-FC-NOTFND
061300         MOVE MBEMWS-NOT-ON-FILE TO MM00-ERR-MESSAGE
061400         GO TO C118-MERCHANT-ERROR.
061500*
061600     IF  MBCA-PTI-FUNCTION-IS-MAINT
061700     AND MMMM-ADD-PENDING
061800         MOVE MBEMWS-ADD-PENDING TO MM00-ERR-MESSAGE
061900         GO TO C118-MERCHANT-ERROR.
062000*
062100************************************************
062200*    OTHERWISE, WE PASSED THE MERCHANT EDIT    *
062300************************************************
062400*
062500     GO TO C120-EDIT-COPY-ORG.
062600*
062700 C118-MERCHANT-ERROR.
062800*
062900     SET SS08WS-ERROR-SW-YES     TO TRUE.
063000     MOVE DFHBMASB               TO MM00-MERCHANT-LP-A
063100                                    MM00-MERCHANT-RP-A.
063200     MOVE SS08WS-CURSOR          TO MM00-MERCHANT-L.
063300     MOVE DFHBMNBF               TO MM00-MERCHANT-A.
063400*
063500 C120-EDIT-COPY-ORG.
063600*
063700************************************************
063800*    BYPASS THE COPY EDITS IF THE              *
063900*    COPY MERCHANT WAS NOT ENTERED             *
064000************************************************
064100*
064200     IF  MM00-COPY-ORG-L IS EQUAL TO ZERO
064300     AND MM00-COPY-MERCHANT-L IS EQUAL TO ZERO
064400         GO TO C150-EDIT-SELECT.
064500*
064600     IF  MM00-COPY-ORG-L IS EQUAL TO ZERO
064700     OR  MM00-COPY-ORG IS NOT NUMERIC
064800     OR  MM00-COPY-ORG IS LESS THAN MBCA-ORG-LOW
064900     OR  MM00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
065000     OR  MM00-COPY-ORG IS LESS THAN WS-ORG-LOW
065100     OR  MM00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
065200         MOVE MBEMWS-INVALID-ORG TO MM00-ERR-MESSAGE
065300         GO TO C127-COPY-ORG-ERROR.
065400*
065500 C125-READ-ORG.
065600*
065700************************************************
065800*    READ THE ORGANIZATION RECORD.  IT MUST    *
065900*    BE ON FILE AND AN ACTIVE RECORD.          *
066000************************************************
066100*
066200     MOVE MM00-COPY-ORG          TO MBIOWS-MMOC-ORG.
066300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
066400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
066500     SET MBIORO-READ-RANDOM      TO TRUE.
066600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
066700*
066800     IF  SS08WS-RC-FC-NOTFND
066900         MOVE MBEMWS-NOT-ON-FILE TO MM00-ERR-MESSAGE
067000     ELSE
067100         IF  MMOC-ADD-PENDING
067200             MOVE MBEMWS-ADD-PENDING
067300                                 TO MM00-ERR-MESSAGE
067400         ELSE
067500             IF  MMOC-REC-PURGED
067600                 MOVE MBEMWS-REC-PURGED
067700                                 TO MM00-ERR-MESSAGE
067800             ELSE
067900                 MOVE DFHBMUNF   TO MM00-COPY-ORG-A
068000                 GO TO C130-EDIT-COPY-MERCHANT.
068100*
068200 C127-COPY-ORG-ERROR.
068300*
068400     SET SS08WS-ERROR-SW-YES     TO TRUE.
068500     MOVE DFHBMASB               TO MM00-COPY-ORG-LP-A
068600                                    MM00-COPY-ORG-RP-A.
068700     MOVE SS08WS-CURSOR          TO MM00-COPY-ORG-L.
068800     MOVE DFHBMNBF               TO MM00-COPY-ORG-A.
068900     MOVE DFHBMUNF               TO MM00-MERCHANT-A.
069000     GO TO C130-EDIT-COPY-MERCHANT.
069100*
069200 C130-EDIT-COPY-MERCHANT.
069300*
069400*
069500     IF  MM00-COPY-MERCHANT-L IS EQUAL TO ZERO
069600     OR  MM00-COPY-MERCHANT IS NOT NUMERIC
069700     OR  MM00-COPY-MERCHANT IS EQUAL TO ZEROES OR 999999999
069800         MOVE MBEMWS-INVALID-MERCHANT
069900                                 TO MM00-ERR-MESSAGE
070000         GO TO C135-COPY-MERCHANT-ERROR.
070100*
070200     MOVE DFHBMUNF               TO MM00-COPY-MERCHANT-A.
070300*
070400     IF  MM00-ORG-L IS EQUAL TO SS08WS-CURSOR
070500         GO TO C150-EDIT-SELECT.
070600*
070700*****************************************************************
070800*    READ THE MERCHANT MASTER FILE TO ENSURE THAT THE MERCHANT  *
070900*    RECORD TO BE COPIED IS ON FILE AND AN ACTIVE RECORD        *
071000*****************************************************************
071100*
071200     MOVE MM00-COPY-ORG          TO MBIOWS-MMMM-ORG.
071300     MOVE MM00-COPY-MERCHANT     TO MBIOWS-MMMM-MERCHANT.
071400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
071500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
071600     SET MBIORO-READ-RANDOM      TO TRUE.
071700     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
071800*
071900     IF  SS08WS-RC-FC-NOTFND
072000         MOVE MBEMWS-NOT-ON-FILE TO MM00-ERR-MESSAGE
072100     ELSE
072200         IF  MMMM-ADD-PENDING
072300             MOVE MBEMWS-ADD-PENDING
072400                                 TO MM00-ERR-MESSAGE
072500         ELSE
072600             IF  MMMM-REC-CLOSED
072700             OR  MMMM-REC-PURGING
072800             OR  MMMM-REC-PENDING-PURGE
072900             OR  MMMM-REC-PURGED
073000                 MOVE MBEMWS-NOT-ACTIVE
073100                                 TO MM00-ERR-MESSAGE
073200             ELSE
073300                 SET WS-COPY-SW-YES
073400                                 TO TRUE
073500                 MOVE DFHBMUNF   TO MM00-COPY-MERCHANT-A
073600                 GO TO C150-EDIT-SELECT.
073700*
073800 C135-COPY-MERCHANT-ERROR.
073900*
074000     SET SS08WS-ERROR-SW-YES     TO TRUE.
074100     MOVE DFHBMASB               TO MM00-COPY-MERCHANT-LP-A
074200                                    MM00-COPY-MERCHANT-RP-A.
074300     MOVE SS08WS-CURSOR          TO MM00-COPY-MERCHANT-L.
074400     MOVE DFHBMNBF               TO MM00-COPY-MERCHANT-A.
074500     MOVE DFHBMUNF               TO MM00-ORG-A
074600                                    MM00-MERCHANT-A.
074700*
074800 C150-EDIT-SELECT.
074900*
075000     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
075100         PERFORM
075200             VARYING X-MM00-DIR-AREA FROM +1 BY +1
075300             UNTIL   X-MM00-DIR-AREA IS GREATER THAN +13
075400             MOVE DFHBMASF       TO MM00-SELECT-SCREEN-NBR-A
075500                                    (X-MM00-DIR-AREA)
075600         END-PERFORM.
075700*
075800     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
075900         PERFORM Y100-EDIT-SELECT
076000                                 THRU Y199-ES-EXIT
076100             VARYING X-MM00-DIR-AREA FROM +1 BY +1
076200             UNTIL   X-MM00-DIR-AREA IS GREATER THAN +13.
076300/
076400 D000-RETURN-ERRORS SECTION.
076500*
076600     IF  SS08WS-ERROR-SW-NO
076700         GO TO E000-UPDATE-FILE
076800     ELSE
076900         IF  SS08WS-VALID-PF-KEY
077000         OR  SS08WS-EIBAID-VALID-PF-KEY
077100             SET MBCA-INITIAL-SCREEN-NBR
077200                                 TO TRUE
077300             GO TO F090-TRANSFER-XCTL.
077400*
077500     IF  MBCA-MBUI-UI-YES
077600         MOVE 'MBUI'             TO MBCA-TRANS-ID
077700                                    MBCA-PREV-TRANS-ID
077800         MOVE 01                 TO MBCA-SCREEN-NBR
077900         SET MBCA-MBUI-ERROR-YES TO TRUE
078000         GO TO F090-TRANSFER-XCTL.
078100*
078200***************************************************************
078300*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
078400*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
078500*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
078600***************************************************************
078700*
078800     PERFORM MB60PD-INIT-STD-MAP-LINES
078900                                 THRU MB60PD-ISML-EXIT.
079000*
079100**********************
079200*    SEND THE MAP    *
079300**********************
079400*
079500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
079600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
079700                                 THRU MB60PD-SMWE-EXIT.
079800*
079900************************
080000*    RETURN TO CICS    *
080100************************
080200*
080300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
080400     PERFORM MB70PD-RETURN-TRANS-ID
080500                                 THRU MB70PD-RTI-EXIT.
080600/
080700 E000-UPDATE-FILE SECTION.
080800*
080900     IF  MBCA-MBUI-UI-YES
081000         SET MBCA-MBUI-ERROR-NO  TO TRUE.
081100*
081200     IF  MBCA-MBUI-UI-YES
081300     AND MBCA-MBUI-UI-UPDATE-NO
081400         GO TO F090-TRANSFER-XCTL.
081500*
081600********************************************************
081700*    READ THE FIELD SECURITY FILE TO ENSURE THAT       *
081800*    THE FIELD SECURITY RECORD CORRESPONDING TO THE    *
081900*    SIGNON IS ON FILE AND AN ACTIVE RECORD            *
082000********************************************************
082100*
082200     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
082300     PERFORM Y900-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
082400*
082500     IF  MMFS-RECORD-NOT-FOUND
082600         MOVE MBCA-FIELD-SECURITY
082700                                 TO MBEMWS-FS-PROFILE
082800         MOVE SS08WS-CURSOR      TO MM00-ALT-TRANID-L
082900         MOVE MBEMWS-FIELD-SECURITY-NOTFND
083000                                 TO MM00-ERR-MESSAGE
083100         SET SS08WS-ERROR-SW-YES TO TRUE
083200         GO TO D000-RETURN-ERRORS.
083300*
083400*************************************************
083500*    GO TO THE PROPER SECTION OF THE PROGRAM    *
083600*    DEPENDING ON THE FUNCTION BEING DONE       *
083700*************************************************
083800*
083900     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
084000         GO TO F000-SETUP-COMMAREA.
084100*
084200**********************************
084300*    THIS IS THE ADD FUNCTION    *
084400**********************************
084500*
084600     IF  MMMM-RECORD-IS-ADD-PENDING
084700         GO TO F000-SETUP-COMMAREA.
084800*
084900*************************************************
085000*    WRITE THE NEW MERCHANT RECORD FROM THE     *
085100*    INITIALIZED VALUES OR FROM THE MERCHANT    *
085200*    RECORD THAT IS BEING COPIED.               *
085300*************************************************
085400*
085500     IF  WS-COPY-SW-YES
085600         GO TO E040-COPY-ADD.
085700*
085800 E020-ADD-NEW-RECORD.
085900*
086000*********************************************************
086100*    SET UP THE RECORD.  USE THE INITIALIZER RECORD     *
086200*    (MMMMIR) AS THE FIELD DEFAULTS.  CERTAIN FIELDS    *
086300*    FROM THE ORG ARE USED AS THE MERCHANT DEFAULTS.    *
086400*********************************************************
086500*
086600     MOVE MMOC-TODAYS-JULIAN     TO MMMMIR-DATE.
086700     PERFORM MMMMPX-INIT-RECORD  THRU MMMMPX-IR-EXIT.
086800     MOVE MMMMIR-RECORD          TO MMMM-RECORD.
086900     MOVE MM00-ORG               TO MMMM-ORG.
087000     MOVE MM00-MERCHANT          TO MMMM-MERCHANT.
087100     MOVE MBCA-START-DATE        TO MMMM-LAST-MAINT-DATE.
087200     MOVE MBCA-OPERATOR-ID       TO MMMM-LAST-MAINT-OPER.
087300*
087400     PERFORM Y040-MOVE-ORG-DEFAULTS
087500                                 THRU Y059-MOD-EXIT.
087600*
087700     MOVE MMOC-DATE-NEXT-PROC    TO MMMM-DATE-OPENED.
087800*
087900     IF  MBCA-PTI-FUNCTION-IS-MODEL
088000         SET MMMM-REC-MODEL      TO TRUE.
088100*
088200     GO TO E060-WRITE-MMMM.
088300*
088400 E040-COPY-ADD.
088500*
088600**************************************************
088700*    RE-READ THE MERCHANT RECORD TO BE COPIED    *
088800**************************************************
088900*
089000     MOVE MM00-COPY-ORG          TO MBIOWS-MMMM-ORG.
089100     MOVE MM00-COPY-MERCHANT     TO MBIOWS-MMMM-MERCHANT.
089200     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
089300     SET MBIORO-READ-RANDOM      TO TRUE.
089400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
089500*
089600     IF  MM00-COPY-ORG IS EQUAL TO MM00-ORG
089700         PERFORM Y920-WRITE-MMMP-RECS
089800                                 THRU Y929-EXIT
089900     ELSE
090000         EVALUATE TRUE
090100           WHEN NOT MMMM-REC-MODEL
090200             MOVE MMMMIR-TXN-ASSIGNMENTS
090300                                 TO MMMM-TXN-ASSIGNMENTS
090400         END-EVALUATE
090500         MOVE MMMMIR-MERCH-CHAIN-INFO
090600                                 TO MMMM-MERCH-CHAIN-INFO
090700         MOVE MMMMIR-STMT-CHAIN-INFO
090800                                 TO MMMM-STMT-CHAIN-INFO
090900         MOVE MMMMIR-INCOME-TABLE-NBR
091000                                 TO MMMM-INCOME-TABLE-NBR
091100         MOVE MMMMIR-EXPENSE-TABLE-NBR
091200                                 TO MMMM-EXPENSE-TABLE-NBR
091300         MOVE MMMMIR-DISC-RATE-TABLE
091400                                 TO MMMM-DISC-RATE-TABLE
091500         MOVE MMMMIR-PART-RATE-TABLE
091600                                 TO MMMM-PART-RATE-TABLE
091700         MOVE MMMMIR-PART-VOL-RATE-TABLE
091800                                 TO MMMM-PART-VOL-RATE-TABLE
091900         MOVE MMMMIR-FRAUD-TABLE
092000                                 TO MMMM-FRAUD-TABLE
092100         MOVE MMMMIR-RESV-RATE-TABLE (1)
092200                                 TO MMMM-RESV-RATE-TABLE (1)
092300         MOVE MMMMIR-RESV-RATE-TABLE (2)
092400                                 TO MMMM-RESV-RATE-TABLE (2)
092500         MOVE MMMMIR-RESV-RATE-TABLE (3)
092600                                 TO MMMM-RESV-RATE-TABLE (3)
092700         MOVE MMMMIR-RESV-RATE-TABLE (4)
092800                                 TO MMMM-RESV-RATE-TABLE (4).
092900*
093000***************************
093100*    SET UP THE RECORD    *
093200***************************
093300*
093400     MOVE MM00-ORG               TO MMMM-ORG.
093500     MOVE MM00-MERCHANT          TO MMMM-MERCHANT.
093600*
093700     IF  NOT MMMM-REC-MODEL
093800         MOVE MMMMIR-DEMOGRAPHICS-AREA
093900                                 TO MMMM-DEMOGRAPHICS-AREA
094000         MOVE MMMMIR-DBA-DEMOGRAPHICS
094100                                 TO MMMM-DBA-DEMOGRAPHICS
094200         MOVE MMMMIR-ACH-RT-DATA-X
094300                                 TO MMMM-ACH-RT-DATA-X
094400         MOVE MMMMIR-BILLING-DATA-X
094500                                 TO MMMM-BILLING-DATA-X
094600         MOVE MMMMIR-BLOCK-CODE  TO MMMM-BLOCK-CODE
094700         MOVE MMMMIR-BLOCK-OPER  TO MMMM-BLOCK-OPER
094800         MOVE MMMMIR-SETT-ACCT-1-METHOD
094900                                 TO MMMM-SETT-ACCT-1-METHOD
095000         MOVE MMMMIR-SETT-ACCT-2-METHOD
095100                                 TO MMMM-SETT-ACCT-2-METHOD
095200         MOVE MMMMIR-SETT-ACCT-3-METHOD
095300                                 TO MMMM-SETT-ACCT-3-METHOD
095400         MOVE MMMMIR-SETT-ACCT-4-METHOD
095500                                 TO MMMM-SETT-ACCT-4-METHOD
095600         MOVE MMMMIR-TXN-ASSIGNMENTS
095700                                 TO MMMM-TXN-ASSIGNMENTS
095800         MOVE MMMMIR-MEMO-DATA   TO MMMM-MEMO-DATA
095900         MOVE MMMMIR-STORE-PROCESSING-DATA
096000                                 TO MMMM-STORE-PROCESSING-DATA.
096100*
096200     MOVE MMMMIR-REC-STATUS      TO MMMM-REC-STATUS.
096300     MOVE MMMMIR-ONLINE-STATUS   TO MMMM-ONLINE-STATUS.
096400     MOVE MMMMIR-LAST-MAINT-OPER TO MMMM-LAST-MAINT-OPER.
096500*
096600*************************************************************
096700*    INITIALIZE THE FIELDS THAT ARE NOT PART OF THE COPY    *
096800*************************************************************
096900*
097000*
097100     IF  MBCA-PTI-FUNCTION-IS-MODEL
097200         SET MMMM-REC-MODEL      TO TRUE.
097300*
097400     MOVE MMMMIR-STATS-CONTROL-AREA
097500                                 TO MMMM-STATS-CONTROL-AREA.
097600     MOVE MMMMIR-MERCHANT-BALANCES
097700                                 TO MMMM-MERCHANT-BALANCES.
097800     MOVE MMMMIR-DATE-AREA       TO MMMM-DATE-AREA.
097900*
098000     PERFORM VARYING
098100         X-MMMM-FP FROM 1 BY 1
098200         UNTIL X-MMMM-FP IS GREATER THAN 6
098300         IF  MMMM-FEE-PERIOD (X-MMMM-FP)
098400                                 IS EQUAL TO 'Y'
098500             MOVE 'D'            TO MMMM-FEE-PERIOD (X-MMMM-FP)
098600         ELSE
098700             IF  MMMM-FEE-PERIOD (X-MMMM-FP)
098800                                 IS EQUAL TO 'T'
098900                 MOVE 'S'        TO MMMM-FEE-PERIOD (X-MMMM-FP)
099000             END-IF
099100         END-IF
099200     END-PERFORM.
099300*
099400     MOVE MMMMIR-NBR-STORES      TO MMMM-NBR-STORES.
099500     MOVE MMMMIR-NBR-BULLETINS   TO MMMM-NBR-BULLETINS.
099600     MOVE MMMMIR-IMP-DEV-NBR (1) TO MMMM-IMP-DEV-NBR (1).
099700     MOVE MMMMIR-IMP-DEV-NBR (2) TO MMMM-IMP-DEV-NBR (2).
099800     MOVE MMMMIR-IMP-DEV-NBR (3) TO MMMM-IMP-DEV-NBR (3).
099900     MOVE MMMMIR-POS-DEV-NBR (1) TO MMMM-POS-DEV-NBR (1).
100000     MOVE MMMMIR-POS-DEV-NBR (2) TO MMMM-POS-DEV-NBR (2).
100100     MOVE MMMMIR-POS-DEV-NBR (3) TO MMMM-POS-DEV-NBR (3).
100200*
100300     MOVE MMMMIR-SETT-DEPOSITS-AMT
100400                                 TO MMMM-SETT-DEPOSITS-AMT.
100500     MOVE MMMMIR-SETT-WITHDRAWAL-AMT
100600                                 TO MMMM-SETT-WITHDRAWAL-AMT.
100700     MOVE MMMMIR-SETT-RESV-CR-AMT
100800                                 TO MMMM-SETT-RESV-CR-AMT.
100900     MOVE MMMMIR-SETT-RESV-DR-AMT
101000                                 TO MMMM-SETT-RESV-DR-AMT.
101100     MOVE MMMMIR-SETT-DISC-AMT   TO MMMM-SETT-DISC-AMT.
101200     MOVE MMMMIR-SETT-REFUND-AMT
101300                                 TO MMMM-SETT-REFUND-AMT.
101400     MOVE MMMMIR-SETT-PART-CR-AMT
101500                                 TO MMMM-SETT-PART-CR-AMT.
101600     MOVE MMMMIR-SETT-PART-DR-AMT
101700                                 TO MMMM-SETT-PART-DR-AMT.
101800     MOVE MMMMIR-SETT-ADJ-CR-AMT
101900                                 TO MMMM-SETT-ADJ-CR-AMT.
102000     MOVE MMMMIR-SETT-ADJ-DR-AMT
102100                                 TO MMMM-SETT-ADJ-DR-AMT.
102200     MOVE MMMMIR-SETT-REC-ADJ-CR-AMT
102300                                 TO MMMM-SETT-REC-ADJ-CR-AMT.
102400     MOVE MMMMIR-SETT-REC-ADJ-DR-AMT
102500                                 TO MMMM-SETT-REC-ADJ-DR-AMT.
102600     MOVE MMMMIR-SETT-SYSTEM-FEES-CR-AMT
102700                                 TO MMMM-SETT-SYSTEM-FEES-CR-AMT.
102800     MOVE MMMMIR-SETT-SYSTEM-FEES-DR-AMT
102900                                 TO MMMM-SETT-SYSTEM-FEES-DR-AMT.
103000     MOVE MMMMIR-SETT-USER-FEES-CR-AMT
103100                                 TO MMMM-SETT-USER-FEES-CR-AMT.
103200     MOVE MMMMIR-SETT-USER-FEES-DR-AMT
103300                                 TO MMMM-SETT-USER-FEES-DR-AMT.
103400     MOVE MMMMIR-SETT-INTCHG-FEES-CR-AMT
103500                                 TO MMMM-SETT-INTCHG-FEES-CR-AMT.
103600     MOVE MMMMIR-SETT-INTCHG-FEES-DR-AMT
103700                                 TO MMMM-SETT-INTCHG-FEES-DR-AMT.
103800     MOVE MMMMIR-SETT-USER-CR-AMT
103900                                 TO MMMM-SETT-USER-CR-AMT.
104000     MOVE MMMMIR-SETT-USER-DR-AMT
104100                                 TO MMMM-SETT-USER-DR-AMT.
104200     SET MMMM-SINGLE-STORE-NO    TO TRUE.
104300*
104400     MOVE MMOC-DATE-NEXT-PROC    TO MMMM-DATE-OPENED.
104500*
104600     MOVE ZERO                   TO MMMM-BAL-SETT.
104700*
104800 E060-WRITE-MMMM.
104900*
105000     MOVE ZERO                   TO MMMM-OCCURRENCE-YEAR (15).
105100*
105200     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
105300     SET MBIORO-WRITE            TO TRUE.
105400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
105500*
105600     MOVE MM00-MERCHANT          TO MBCA-MERCHANT.
105700/
105800 F000-SETUP-COMMAREA SECTION.
105900*
106000***************************************************************
106100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
106200***************************************************************
106300*
106400     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
106500         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
106600         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMP-ORG
106700         MOVE MBCA-MERCHANT      TO MBIOWS-MMMP-MERCHANT
106800         MOVE ZEROS              TO MBIOWS-MMMP-PRODUCT
106900         SET MBIORO-STARTBR-GTE  TO TRUE
107000         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT
107100         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
107200         SET MBIORO-READ-SEQ     TO TRUE
107300         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT
107400         MOVE MMMP-PRODUCT       TO MBCA-MBMM-FIRST-PRODUCT
107500                                    MBCA-MBMM-BACK-PRODUCT
107600                                    MBCA-MBMM-FWD-PRODUCT
107700         SET MBCA-MBMM-RETURN-NORMAL
107800                                 TO TRUE
107900         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
108000         SET MBIORO-ENDBR        TO TRUE
108100         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT.
108200*
108300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
108400*
108500     MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
108600                                 TO MBCA-KEY-CODE.
108700*
108800     IF  MBCA-PTI-FUNCTION-IS-MODEL
108900         SET MBCA-PTI-FUNCTION-IS-ADD
109000                                 TO TRUE
109100         MOVE MBCA-PTI-POS-3-4   TO MBCA-TI-POS-3-4.
109200*
109300     IF  MBCA-PTI-FUNCTION-IS-MAINT
109400     AND MMMM-STORE-NBR IS EQUAL TO ZEROS
109500     AND MMMM-SINGLE-STORE-YES
109600         MOVE 62                 TO MBCA-SCREEN-NBR
109700         GO TO F090-TRANSFER-XCTL.
109800*
109900     IF  MM00-CURRENT-PAGE-L IS GREATER THAN ZERO
110000     AND MM00-CURRENT-PAGE   IS NUMERIC
110100         IF  MM00-CURRENT-PAGE IS GREATER THAN 13
110200             MOVE 63             TO MBCA-SCREEN-NBR
110300             GO TO F090-TRANSFER-XCTL.
110400*
110500     PERFORM MB60PD-EDIT-PAGE-NBR
110600                                 THRU MB60PD-EPN-EXIT.
110700*
110800     IF  SS08WS-VALID-PF-KEY
110900     OR  SS08WS-EIBAID-VALID-PF-KEY
111000         SET MBCA-INITIAL-SCREEN-NBR
111100                                 TO TRUE.
111200*
111300 F090-TRANSFER-XCTL.
111400*
111500     IF  MBCA-MBUI-UI-YES
111600         MOVE 'MBUI'             TO MBCA-TRANS-ID
111700                                    MBCA-PREV-TRANS-ID
111800         MOVE 01                 TO MBCA-SCREEN-NBR
111900         MOVE MBMM00I            TO MBUITS-VAR-DATA
112000         MOVE LENGTH OF MBMM00I  TO MBUITS-VAR-LENGTH
112100         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
112200         EXEC CICS WRITEQ TS
112300                   QUEUE   (TS-QUEUE-NAME)
112400                   FROM    (MBUITS-RECORD)
112500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
112600
112700              END-EXEC.
112800*
112900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
113000     PERFORM MB70PD-XCTL-TO-MBOXCTL
113100                                 THRU MB70PD-XTM-EXIT.
113200/
113300 U000-USER-ROUTINES SECTION.
113400*
113500 U020-CHECK-DIGIT-ROUTINE-1.
113600*
113700*************************************************************
113800*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
113900*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
114000*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
114100*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
114200*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
114300*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
114400*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
114500*    CHECK DIGIT ERROR.                                     *
114600*************************************************************
114700*
114800     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
114900*
115000 U039-CDR1-EXIT.
115100     EXIT.
115200*
115300 U040-CHECK-DIGIT-ROUTINE-2.
115400*
115500*************************************************************
115600*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
115700*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
115800*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
115900*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
116000*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
116100*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
116200*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
116300*    CHECK DIGIT ERROR.                                     *
116400*************************************************************
116500*
116600     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
116700*
116800 U059-CDR2-EXIT.
116900     EXIT.
117000*
117100 U060-CHECK-DIGIT-ROUTINE-3.
117200*
117300*************************************************************
117400*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
117500*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
117600*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
117700*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
117800*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
117900*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
118000*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
118100*    CHECK DIGIT ERROR.                                     *
118200*************************************************************
118300*
118400     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
118500*
118600 U079-CDR3-EXIT.
118700     EXIT.
118800/
118900 Y000-PERFORMED-ROUTINES SECTION.
119000*
119100 Y020-VALIDATE-CHECK-DIGIT.
119200*
119300     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
119400         NEXT SENTENCE
119500     ELSE
119600         GO TO Y039-VCD-EXIT.
119700*
119800**********************************************
119900*    HANDLE THE USER CHECK DIGIT ROUTINES    *
120000**********************************************
120100*
120200     IF  MMOC-MMC-MOD-CHECK-ROUTINE1
120300         MOVE 'UC01'             TO MBCA-PROGRAM-LOCATION
120400         PERFORM U020-CHECK-DIGIT-ROUTINE-1
120500                                 THRU U039-CDR1-EXIT
120600         GO TO Y039-VCD-EXIT.
120700*
120800     IF  MMOC-MMC-MOD-CHECK-ROUTINE2
120900         MOVE 'UC02'             TO MBCA-PROGRAM-LOCATION
121000         PERFORM U040-CHECK-DIGIT-ROUTINE-2
121100                                 THRU U059-CDR2-EXIT
121200         GO TO Y039-VCD-EXIT.
121300*
121400     IF  MMOC-MMC-MOD-CHECK-ROUTINE3
121500         MOVE 'UC03'             TO MBCA-PROGRAM-LOCATION
121600         PERFORM U060-CHECK-DIGIT-ROUTINE-3
121700                                 THRU U079-CDR3-EXIT
121800         GO TO Y039-VCD-EXIT.
121900*
122000******************************************************
122100*    VALIDATE THE CHECK DIGIT BY THE MBS SUPPLIED    *
122200*    DOUBLE-ADD-DOUBLE CHECK DIGIT ROUTINE           *
122300******************************************************
122400*
122500     MOVE MM00-MERCHANT          TO SS05WS-NBR
122600     MOVE ZERO                   TO SS05WS-OPTION.
122700*
122800     PERFORM SS09PD-DOUBLE-ADD-DOUBLE
122900                                 THRU SS09PD-DAD-EXIT.
123000*
123100 Y039-VCD-EXIT.
123200     EXIT.
123300*
123400 Y040-MOVE-ORG-DEFAULTS.
123500*
123600*************************************************************
123700*    SET USER DATA INDEXES AND MOVE THE USER DATA TITLES    *
123800*************************************************************
123900*
124000     SET X-MMOC-MUC              TO 1.
124100     SET X-MMMM-USER-DATA        TO 1.
124200*
124300 Y050-MOVE-USER-DATA-TITLES.
124400*
124500     MOVE MMOC-MERCH-USER-CODE (X-MMOC-MUC)
124600                                 TO MMMM-USER-DATA-TITLE
124700                                     (X-MMMM-USER-DATA).
124800*
124900     IF  X-MMOC-MUC IS LESS THAN 8
125000         SET X-MMOC-MUC          UP BY 1
125100         SET X-MMMM-USER-DATA    UP BY 1
125200         GO TO Y050-MOVE-USER-DATA-TITLES.
125300*
125400*************************************************************
125500*    SET USER DATE INDEXES AND MOVE THE USER DATE TITLES    *
125600*************************************************************
125700*
125800     SET X-MMOC-MUD              TO 1.
125900     SET X-MMMM-USER-DATA        TO 1.
126000*
126100 Y052-MOVE-USER-DATE-TITLES.
126200*
126300     MOVE MMOC-MERCH-USER-DATE (X-MMOC-MUD)
126400                                 TO MMMM-USER-DATE-TITLE
126500                                     (X-MMMM-USER-DATE).
126600*
126700     IF  X-MMOC-MUD IS LESS THAN 8
126800         SET X-MMOC-MUD          UP BY 1
126900         SET X-MMMM-USER-DATE    UP BY 1
127000         GO TO Y052-MOVE-USER-DATE-TITLES.
127100*
127200*****************************************************************
127300*    SET USER AMOUNT INDEXES AND MOVE THE USER AMOUNT TITLES    *
127400*****************************************************************
127500*
127600     SET X-MMOC-MUA              TO 1.
127700     SET X-MMMM-USER-AMT         TO 1.
127800*
127900 Y054-MOVE-USER-AMOUNT-TITLES.
128000*
128100     MOVE MMOC-MERCH-USER-AMOUNT (X-MMOC-MUA)
128200                                 TO MMMM-USER-AMT-TITLE
128300                                     (X-MMMM-USER-AMT).
128400*
128500     IF  X-MMOC-MUA IS LESS THAN 8
128600         SET X-MMOC-MUA          UP BY 1
128700         SET X-MMMM-USER-AMT     UP BY 1
128800         GO TO Y054-MOVE-USER-AMOUNT-TITLES.
128900*
129000 Y059-MOD-EXIT.
129100     EXIT.
129200*
129300 Y100-EDIT-SELECT.
129400*
129500     IF  MM00-SELECT-L (X-MM00-DIR-AREA) IS LESS THAN 1
129600         GO TO Y199-ES-EXIT.
129700*
129800     IF  MM00-SELECT-L (X-MM00-DIR-AREA) IS GREATER THAN ZERO
129900         IF  MM00-SELECT-VALID (X-MM00-DIR-AREA)
130000             MOVE MM00-SELECT-SCREEN-NBR (X-MM00-DIR-AREA)
130100                                 TO TTN0162I
130200                                    MBCA-CARD-PROD
130300             MOVE +2             TO TTN0162L
130400             MOVE DFHBMFSE       TO MM00-SELECT-A
130500                                    (X-MM00-DIR-AREA)
130600             SET X-MM00-DIR-AREA TO +13
130700         ELSE
130800             SET SS08WS-ERROR-SW-YES TO TRUE
130900             MOVE DFHBMASB       TO MM00-SELECT-LP-A
131000                                    (X-MM00-DIR-AREA)
131100                                    MM00-SELECT-RP-A
131200                                    (X-MM00-DIR-AREA)
131300             MOVE DFHBMUBF       TO MM00-SELECT-A
131400                                    (X-MM00-DIR-AREA)
131500             MOVE SS08WS-CURSOR  TO MM00-SELECT-L
131600                                    (X-MM00-DIR-AREA).
131700*
131800 Y199-ES-EXIT.
131900     EXIT.
132000*
132100 Y900-READ-MMFS.
132200*
132300****************************************
132400*    READ THE FIELD SECURITY RECORD    *
132500*    TO OBTAIN THE SECURITY CODES      *
132600****************************************
132700*
132800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
132900     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
133000     SET MBIORO-READ-RANDOM      TO TRUE.
133100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
133200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
133300*
133400     IF  SS08WS-RC-FC-NOTFND
133500     OR  NOT MMFS-REC-ACTIVE
133600         SET MMFS-RECORD-NOT-FOUND
133700                                 TO TRUE.
133800*
133900 Y919-READ-MMFS-EXIT.
134000     EXIT.
134100*
134200 Y920-WRITE-MMMP-RECS.
134300*
134400     MOVE MM00-COPY-ORG          TO WS-ORG.
134500     MOVE MM00-COPY-MERCHANT     TO WS-MERCHANT.
134600     MOVE WS-PRODUCT             TO WS-PRODUCT.
134700*
134800 Y921-STARTBR-LOOP.
134900*
135000     IF  WS-PRODUCT IS GREATER THAN 99
135100         GO TO Y928-END-BROWSE.
135200*
135300****************************************************************
135400*    START BROWSE THE MERCH PRODUCT FILE                       *
135500****************************************************************
135600*
135700     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
135800     MOVE MM00-COPY-ORG          TO MBIOWS-MMMP-ORG.
135900     MOVE MM00-COPY-MERCHANT     TO MBIOWS-MMMP-MERCHANT.
136000     MOVE WS-PRODUCT             TO MBIOWS-MMMP-PRODUCT.
136100     SET MBIORO-STARTBR-GTE      TO TRUE.
136200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
136300****************************************************************
136400*    READNEXT THE MERCH PRODUCT FILE                           *
136500****************************************************************
136600*
136700     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
136800     SET MBIORO-READ-SEQ         TO TRUE.
136900     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
137000*
137100     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
137200     SET MBIORO-ENDBR            TO TRUE.
137300     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
137400*
137500     IF  MMMP-ORG-MERCHANT IS GREATER THAN WS-ORG-MERCHANT
137600         GO TO Y928-END-BROWSE.
137700*
137800     MOVE MM00-MERCHANT          TO MMMP-MERCHANT.
137900     SET MBCA-MBMM-PRODUCT-ON    TO TRUE.
138000     SET MMMP-ADD-PENDING        TO TRUE.
138100*
138200     IF  MBCA-PTI-FUNCTION-IS-MODEL
138300         SET MMMP-REC-MODEL      TO TRUE
138400     ELSE
138500         SET MMMP-REC-INCOMPLETE TO TRUE.
138600*
138700     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
138800     SET MBIORO-WRITE            TO TRUE.
138900     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
139000*
139100     COMPUTE WS-PRODUCT          =  MMMP-PRODUCT + 1.
139200*
139300     GO TO Y921-STARTBR-LOOP.
139400*
139500 Y928-END-BROWSE.
139600     MOVE ZERO                   TO WS-PRODUCT.
139700*
139800 Y929-EXIT.
139900     EXIT.
140000*
140100 Y930-STARTBR-MMAM.
140200*
140300****************************************************************
140400*    START BROWSE THE ACTIVITY RECAP FILE                      *
140500****************************************************************
140600*
140700     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
140800     MOVE MM00-ORG               TO MBIOWS-MMAM-ORG.
140900     MOVE MM00-MERCHANT          TO MBIOWS-MMAM-MERCHANT.
141000     MOVE ZEROS                  TO MBIOWS-MMAM-TC-PREFIX
141100                                    MBIOWS-MMAM-TC-NBR.
141200     SET MBIORO-STARTBR-GTE      TO TRUE.
141300     PERFORM MMAMAO-ACCESS       THRU MMAMAO-ACCESS-EXIT.
141400****************************************************************
141500*    READNEXT THE ACTIVITY RECAP FILE                          *
141600****************************************************************
141700*
141800     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
141900     SET MBIORO-READ-SEQ         TO TRUE.
142000     PERFORM MMAMAO-ACCESS       THRU MMAMAO-ACCESS-EXIT.
142100*
142200     IF  MMAM-ORG-MERCHANT IS EQUAL TO MBIOWS-MMMM-ORG-MERCHANT
142300         SET WS-MMAM-FOUND       TO TRUE.
142400*
142500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
142600     SET MBIORO-ENDBR            TO TRUE.
142700     PERFORM MMAMAO-ACCESS       THRU MMAMAO-ACCESS-EXIT.
142800*
142900 Y939-EXIT.
143000     EXIT.
143100*
143200*
143300/
143400 Z000-COPIED-ROUTINES SECTION.
143500*
143600*****************************
143700*    FUTURE DATE ROUTINE    *
143800*****************************
143900*
144000     COPY SS03PD.
144100/
144200**********************************
144300*    GREG TO JUL DATE ROUTINE    *
144400**********************************
144500*
144600     COPY SS07PD.
144700*
144800**********************************
144900*    JUL TO GREG DATE ROUTINE    *
145000**********************************
145100*
145200     COPY SS08PD.
145300/
145400**********************************
145500*    DATE AND TIME EDIT ROUTINES *
145600**********************************
145700*
145800     COPY SS26PD.
145900     COPY SS27PD.
146000/
146100*****************************
146200*    CHECK DIGIT ROUITNE    *
146300*****************************
146400*
146500     COPY SS09PD.
146600/
146700*********************************
146800*    LINE 24 PF KEYS ROUTINE    *
146900*********************************
147000*
147100     COPY SS15PD.
147200/
147300*******************************************
147400*    ORG FILE RECORD 1 ACCESS ROUTINES    *
147500*******************************************
147600*
147700     COPY MMOCAO.
147800/
147900*********************************************
148000*    MERCHANT MASTER RECORD ACCESS ROUTINES *
148100*********************************************
148200*
148300     COPY MMMMAO.
148400/
148500**********************************************
148600*    ACTIVITY RECAP   RECORD ACCESS ROUTINES *
148700**********************************************
148800*
148900     COPY MMAMAO.
149000/
149100**********************************************
149200*    MERCHANT PRODUCT RECORD ACCESS ROUTINES *
149300**********************************************
149400*
149500     COPY MMMPAO.
149600/
149700********************************************
149800*    FIELD SECURITY RECORD ACCESS ROUTINES *
149900********************************************
150000*
150100     COPY MMFSAO.
150200/
150300**********************************************************
150400*    MERCHANT MASTER INITIALIZE STATISTICS AREAS ROUTINE *
150500**********************************************************
150600*
150700     COPY MMMMPX.
150800/
150900*****************************
151000*    ONLINE MAP ROUTINES    *
151100*****************************
151200*
151300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM00 '
151400                           MBMAPXXI BY MBMM00I
151500                           MBMAPXXO BY MBMM00O.
151600/
151700***************************
151800*    ONLINE PROCEDURES    *
151900***************************
152000*
152100     COPY MB70PD.
152200/
152300     COPY SMFTPXO.
