000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM02 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM02 (SCREEN 02)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMOC (CONTROL FILE)                        *
002000*                 D. MMNL (NAME LOCATE FILE)                    *
002100*                 E. MMSM (STORE MASTER FILE)                   *
002200*                 F. MML1 (LOG FILE)                            *
002300*                                                               *
002400*****************************************************************
002500*
002600 ENVIRONMENT DIVISION.
002700*
002800 DATA DIVISION.
002900*
003000 WORKING-STORAGE SECTION.
003100*
003200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003300*
003400 01  FILLER                  PIC  X(14)      VALUE
003500     'MISCELLANEOUS:'.
003600*
003700 01  WS-MISCELLANEOUS.
003800     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003900     03  WS-CRB-FLAG         PIC  X(01)      VALUE SPACES.
004000*
004100 01  FILLER                  PIC  X(17)      VALUE
004200     'PROGRAM SWITCHES:'.
004300*
004400 01  WS-PROGRAM-SWITCHES.
004500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004800     03  WS-SECONDARY-UPDATE-SW
004900                             PIC  X(01)      VALUE 'N'.
005000         88  WS-SECONDARY-UPDATE-YES         VALUE 'Y'.
005100         88  WS-SECONDARY-UPDATE-NO          VALUE 'N'.
005200     03  WS-STORE-CRB-UPDATE-SW
005300                             PIC  X(01)      VALUE 'N'.
005400         88  WS-STORE-CRB-UPDATE-SW-YES      VALUE 'Y'.
005500         88  WS-STORE-CRB-UPDATE-SW-NO       VALUE 'N'.
005600     03  WS-STORE-ADDR-SW    PIC  X(01)      VALUE 'N'.
005700         88  WS-STORE-ADDR-SW-YES            VALUE 'Y'.
005800         88  WS-STORE-ADDR-SW-NO             VALUE 'N'.
005900     03  WS-INDEX-X.
006000         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
006100     03  TS-QUEUE-NAME.
006200         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006300         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006400/
006500 01  FILLER                  PIC  X(29)      VALUE
006600     'I/O REQUEST BLOCK WORK AREAS:'.
006700*
006800     COPY MBIOWS.
006900/
007000 01  FILLER                  PIC  X(18)      VALUE
007100     'I/O REQUEST BLOCK:'.
007200*
007300     COPY MBIORO.
007400/
007500 01  FILLER                  PIC  X(16)      VALUE
007600     'STORE MASTER IO:'.
007700*
007800     COPY MMSMIO.
007900/
008000 01  FILLER                  PIC  X(25)      VALUE
008100     'LOG RECORD REQUEST BLOCK:'.
008200*
008300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008400/
008500 01  FILLER                  PIC  X(29)      VALUE
008600     'MERCHANT MASTER FIELDS TABLE:'.
008700*
008800     COPY MMMMTB.
008900/
009000 01  FILLER                  PIC  X(26)      VALUE
009100     'STORE MASTER FIELDS TABLE:'.
009200*
009300     COPY MMSMTB.
009400/
009500 01  FILLER                  PIC  X(35)      VALUE
009600     'MERCHANT MASTER INITIALIZER RECORD:'.
009700*
009800     COPY MMMMIR.
009900/
010000 01  FILLER                  PIC  X(20)      VALUE
010100     'CCS DATE WORK AREAS:'.
010200*
010300     COPY SS01WS.
010400/
010500 01  FILLER                  PIC  X(15)      VALUE
010600     'CCS WORK AREAS:'.
010700*
010800     COPY SS08WS.
010900/
011000     COPY SS00WS.
011100/
011200     COPY SMFTWS.
011300/
011400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
011500/
011600     COPY MB61LK.
011700/
011800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011900/
012000 LINKAGE SECTION.
012100*
012200 01  DFHCOMMAREA.
012300*
012400     COPY MB60WS.
012500/
012600*****************************
012700*    MERCHANT MASTER MAP    *
012800*****************************
012900*
013000     COPY MBMM02.
013100/
013200******************************************
013300*    MERCHANT MASTER MAP REDEFINITION    *
013400******************************************
013500*
013600     COPY MBMM02R.
013700/
013800***************************************
013900*    MERCHANT MASTER RECORD LAYOUT    *
014000***************************************
014100*
014200     COPY MMMMRL.
014300/
014400***************************************
014500*    STORE MASTER RECORD LAYOUT       *
014600***************************************
014700*
014800     COPY MMSMRL.
014900/
015000**************************************
015100*    FIELD SECURITY RECORD LAYOUT    *
015200**************************************
015300*
015400     COPY MMFSRL.
015500/
015600**************************************
015700*    CONTROL FILE RECORD LAYOUT      *
015800**************************************
015900*
016000     COPY MMOCRL.
016100/
016200**************************************
016300*    NAME LOCATE  RECORD LAYOUT      *
016400**************************************
016500*
016600     COPY MMNLRL.
016700/
016800***************************
016900*    LOG RECORD LAYOUT    *
017000***************************
017100*
017200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
017300/
017400***************************************
017500*    USER INPUT TEMP STORAGE RECORD   *
017600***************************************
017700*
017800     COPY MBUITS.
017900/
018000 PROCEDURE DIVISION.
018100*
018200 A000-HOUSEKEEPING SECTION.
018300*
018400 A020-INIT.
018500*
018600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
018700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
018800                                 THRU MB70PD-OLH-EXIT.
018900*
019000     IF  MBCA-MBUI-UI-YES
019100         NEXT SENTENCE
019200     ELSE
019300         SET MBCA-MBUI-UI-NO     TO TRUE.
019400*
019500     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
019600*
019700     IF  MBCA-RECEIVE-SCREEN
019800         GO TO C000-RECEIVE-SCREEN.
019900/
020000 B000-SEND-SCREEN SECTION.
020100*
020200*********************************************
020300*    GET CICS STORAGE NEEDED FOR THE MAP    *
020400*********************************************
020500*
020600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
020700     PERFORM MB60PD-GETMAIN-FOR-MAP
020800                                 THRU MB60PD-GFM-EXIT.
020900*
021000*******************************************
021100*    INITIALIZE THE STANDARD MAP LINES    *
021200*******************************************
021300*
021400     PERFORM MB60PD-INIT-STD-MAP-LINES
021500                                 THRU MB60PD-ISML-EXIT.
021600*
021700*****************************************
021800*    READ THE MERCHANT MASTER RECORD    *
021900*    FOR SUBSEQUENT DISPLAY             *
022000*****************************************
022100*
022200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
022300                                    MM02-ORG.
022400     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
022500                                    MM02-MERCHANT.
022600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022700     SET MBIORO-READ-RANDOM      TO TRUE.
022800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
022900*
023000****************************************
023100*    READ THE FIELD SECURITY RECORD    *
023200****************************************
023300*
023400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
023500     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
023600*
023700 B020-MOVE-FIELDS-TO-SCREEN.
023800*
023900*****************************************
024000*    MOVE THE MERCHANT MASTER FIELDS    *
024100*    FROM THE RECORD TO THE SCREEN      *
024200*****************************************
024300*
024400     SET X-MMMM-SECONDARY        TO 2.
024500*
024600     MOVE MMMM-NA-LINE (1 1)     TO MM02-MERCHANT-NAME.
024700*
024800     PERFORM Y020-MOVE-SEC-ADDRESS1
024900                                 THRU Y029-EXIT.
025000*
025100     PERFORM Y030-MOVE-SEC-ADDRESS2
025200                                 THRU Y039-EXIT.
025300*
025400     PERFORM Y040-MOVE-SEC-ADDRESS3
025500                                 THRU Y049-EXIT.
025600*
025700     PERFORM Y050-MOVE-SEC-ADDRESS4
025800                                 THRU Y059-EXIT.
025900*
026000     PERFORM Y060-MOVE-SEC-ADDRESS5
026100                                 THRU Y069-EXIT.
026200*
026300     PERFORM Y070-MOVE-SEC-STATE
026400                                 THRU Y079-EXIT.
026500*
026600     PERFORM Y080-MOVE-SEC-PHONE
026700                                 THRU Y089-EXIT.
026800*
026900     PERFORM Y090-MOVE-SEC-POSTAL-CODE
027000                                 THRU Y099-EXIT.
027100*
027200     PERFORM Y100-MOVE-SEC-FAX   THRU Y109-EXIT.
027300*
027400******************************************
027500*    SET THE CURSOR AND SCREEN NUMBER    *
027600******************************************
027700*
027800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
027900         MOVE SS08WS-CURSOR      TO MM02-ALT-TRANID-L
028000     ELSE
028100         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
028200*
028300     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
028400*
028500**********************
028600*    SEND THE MAP    *
028700**********************
028800*
028900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
029000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
029100                                 THRU MB60PD-SMWE-EXIT.
029200*
029300************************
029400*    RETURN TO CICS    *
029500************************
029600*
029700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029800     PERFORM MB70PD-RETURN-TRANS-ID
029900                                 THRU MB70PD-RTI-EXIT.
030000/
030100 C000-RECEIVE-SCREEN SECTION.
030200*
030300******************************************
030400*    THIS SECTION RECEIVES THE SCREEN    *
030500******************************************
030600*
030700     IF  MBCA-MBUI-UI-YES
030800*
030900****************************************************************
031000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
031100****************************************************************
031200*
031300         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
031400         EXEC CICS GETMAIN
031500                   FLENGTH (LENGTH  OF MBUITS-RECORD)
031600
031700                   SET     (ADDRESS OF MBUITS-RECORD)
031800
031900              END-EXEC
032000*
032100***********************************************
032200*    READ THE TEMP STORAGE RECORD             *
032300***********************************************
032400*
032500         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
032600*
032700         EXEC CICS READQ TS
032800                   QUEUE   (TS-QUEUE-NAME)
032900                   INTO    (MBUITS-RECORD)
033000                   LENGTH  (LENGTH  OF MBUITS-RECORD)
033100                   ITEM    (1)
033200              END-EXEC
033300*
033400***********************************************
033500*    DELETE THE TEMP STORAGE RECORD           *
033600***********************************************
033700*
033800         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
033900*
034000         EXEC CICS IGNORE CONDITION
034100                   QIDERR
034200              END-EXEC
034300*
034400         EXEC CICS DELETEQ TS
034500                   QUEUE  (TS-QUEUE-NAME)
034600              END-EXEC
034700         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
034800         PERFORM MB60PD-GETMAIN-FOR-MAP
034900                                 THRU MB60PD-GFM-EXIT
035000         MOVE MBUITS-VAR-DATA    TO MBMM02I
035100     ELSE
035200         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
035300         PERFORM MB60PD-RECEIVE-MAP
035400                                 THRU MB60PD-RM-EXIT.
035500*
035600**************************************************************
035700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
035800**************************************************************
035900*
036000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
036100     PERFORM MB60PD-NEW-TRANS-ROUTINE
036200                                 THRU MB60PD-NTR-EXIT.
036300*
036400****************************************************
036500*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
036600****************************************************
036700*
036800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
036900         GO TO F000-SETUP-COMMAREA.
037000*
037100*****************************************
037200*    READ THE MERCHANT MASTER RECORD    *
037300*****************************************
037400*
037500*
037600     IF  MBCA-PTI-FUNCTION-IS-ADD
037700     AND MBCA-MBUI-UI-YES
037800     AND MBCA-MBUI-UI-UPDATE-NO
037900         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
038000         SET MBIORO-GETMAIN      TO TRUE
038100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
038200         MOVE MMMMIR-RECORD      TO MMMM-RECORD
038300     ELSE
038400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
038500         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
038600                                    MM02-ORG
038700         MOVE MBCA-MERCHANT      TO MBIOWS-MMMM-MERCHANT
038800                                    MM02-MERCHANT
038900         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
039000         SET MBIORO-READ-RANDOM  TO TRUE
039100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
039200         IF  SS08WS-RC-FC-NOTFND
039300         AND MBCA-MBUI-UI-YES
039400             MOVE 'MBUI'         TO MBCA-TRANS-ID
039500                                    MBCA-PREV-TRANS-ID
039600             MOVE 01             TO MBCA-SCREEN-NBR
039700             MOVE 'MER'          TO MM02-FILLER
039800             SET MBCA-MBUI-ERROR-YES
039900                                 TO TRUE
040000             GO TO F000-SETUP-COMMAREA.
040100*
040200     IF (MBCA-PTI-FUNCTION-IS-MAINT
040300     AND MBCA-MBUI-UI-YES
040400     AND (MMMM-REC-PURGED
040500       OR MMMM-REC-INCOMPLETE))
040600     OR
040700        (MBCA-PTI-FUNCTION-IS-ADD
040800     AND MBCA-MBUI-UI-YES
040900     AND MMMM-REC-PURGED)
041000         MOVE 'MBUI'             TO MBCA-TRANS-ID
041100                                    MBCA-PREV-TRANS-ID
041200         MOVE 01                 TO MBCA-SCREEN-NBR
041300         MOVE 'MER'              TO MM02-FILLER
041400         SET MBCA-MBUI-ERROR-YES
041500                                 TO TRUE
041600         GO TO F000-SETUP-COMMAREA.
041700*
041800****************************************
041900*    READ THE FIELD SECURITY RECORD    *
042000****************************************
042100*
042200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
042300     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
042400*
042500 C020-FIELD-EDITS.
042600*
042700*********************
042800*    FIELD EDITS    *
042900*********************
043000*
043100     SET X-MMMM-SECONDARY        TO 2.
043200*
043300     PERFORM W020-EDIT-SEC-ADDRESS1
043400                                 THRU W029-ESA1-EXIT.
043500*
043600     PERFORM W030-EDIT-SEC-ADDRESS2
043700                                 THRU W039-ESA2-EXIT.
043800*
043900     PERFORM W040-EDIT-SEC-ADDRESS3
044000                                 THRU W049-ESA3-EXIT.
044100*
044200     PERFORM W050-EDIT-SEC-ADDRESS4
044300                                 THRU W059-ESA4-EXIT.
044400*
044500     PERFORM W060-EDIT-SEC-ADDRESS5
044600                                 THRU W069-ESA5-EXIT.
044700*
044800     PERFORM W070-EDIT-SEC-STATE
044900                                 THRU W079-ESS-EXIT.
045000*
045100     PERFORM W080-EDIT-SEC-PHONE
045200                                 THRU W089-ESP-EXIT.
045300*
045400     PERFORM W090-EDIT-SEC-POSTAL-CODE
045500                                 THRU W099-ESPC-EXIT.
045600*
045700     PERFORM W100-EDIT-SEC-FAX   THRU W109-ESF-EXIT.
045800*
045900     IF  MBCA-PTI-FUNCTION-IS-MAINT
046000     AND NOT MMMM-REC-MODEL
046100         PERFORM W150-CROSS-EDIT-CRB
046200                                 THRU W159-CEC-EXIT.
046300*
046400/
046500 D000-RETURN-ERRORS SECTION.
046600*
046700     IF  SS08WS-ERROR-SW-NO
046800         GO TO E000-UPDATE-FILE.
046900*
047000     IF  MBCA-MBUI-UI-YES
047100         MOVE 'MBUI'             TO MBCA-TRANS-ID
047200                                    MBCA-PREV-TRANS-ID
047300         MOVE 01                 TO MBCA-SCREEN-NBR
047400         SET MBCA-MBUI-ERROR-YES TO TRUE
047500         GO TO F090-TRANSFER-XCTL.
047600*
047700***************************************************************
047800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
047900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
048000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
048100***************************************************************
048200*
048300     PERFORM MB60PD-INIT-STD-MAP-LINES
048400                                 THRU MB60PD-ISML-EXIT.
048500*
048600**********************
048700*    SEND THE MAP    *
048800**********************
048900*
049000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
049200                                 THRU MB60PD-SMDO-EXIT.
049300*
049400************************
049500*    RETURN TO CICS    *
049600************************
049700*
049800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
049900     PERFORM MB70PD-RETURN-TRANS-ID
050000                                 THRU MB70PD-RTI-EXIT.
050100/
050200 E000-UPDATE-FILE SECTION.
050300*
050400     IF  MBCA-MBUI-UI-YES
050500         SET MBCA-MBUI-ERROR-NO  TO TRUE.
050600*
050700     IF  MBCA-MBUI-UI-YES
050800     AND MBCA-MBUI-UI-UPDATE-NO
050900         GO TO F090-TRANSFER-XCTL.
051000*
051100****************************************************
051200*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
051300****************************************************
051400*
051500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
051600     SET MBIORO-READ-RANDOM-UPDATE
051700                                 TO TRUE.
051800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
051900*
052000****************************************************
052100*    READ THE STORE MASTER RECORD FOR UPDATE       *
052200****************************************************
052300*
052400     IF   WS-STORE-CRB-UPDATE-SW-YES
052500     OR   WS-STORE-ADDR-SW-YES
052600          MOVE MMSM-RECORD       TO MMSMIO-RECORD
052700          MOVE 'FC06'            TO MBCA-PROGRAM-LOCATION
052800          SET MBIORO-READ-RANDOM-UPDATE
052900                                 TO TRUE
053000          PERFORM MMSMAO-ACCESS  THRU MMSMAO-ACCESS-EXIT
053100          MOVE MMSMIO-RECORD     TO MMSM-RECORD.
053200*
053300*************************************
053400*    OBTAIN STORAGE FOR LOG FILE    *
053500*    RECORD IF DOING MAINTENANCE    *
053600*************************************
053700*
053800     IF  MBCA-PTI-FUNCTION-IS-ADD
053900         GO TO E020-UPDATE-FIELDS.
054000*
054100     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
054200     SET MBIORO-GETMAIN          TO TRUE.
054300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
054400*
054500*************************************************
054600*    SET UP THE COMMON PORTION OF THE RECORD    *
054700*************************************************
054800*
054900     MOVE 'MM'                   TO MML1-FILE-CODE.
055000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
055100     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
055200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
055300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
055400     MOVE ZEROS                  TO MML1-SOURCE-CODE.
055500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
055600*
055700 E020-UPDATE-FIELDS.
055800*
055900     SET X-MMMM-SECONDARY        TO 2.
056000*
056100     PERFORM X020-UPDATE-SEC-ADDRESS1
056200                                 THRU X029-USA1-EXIT.
056300*
056400     PERFORM X030-UPDATE-SEC-ADDRESS2
056500                                 THRU X039-USA2-EXIT.
056600*
056700     PERFORM X040-UPDATE-SEC-ADDRESS3
056800                                 THRU X049-USA3-EXIT.
056900*
057000     PERFORM X050-UPDATE-SEC-ADDRESS4
057100                                 THRU X059-USA4-EXIT.
057200*
057300     PERFORM X060-UPDATE-SEC-ADDRESS5
057400                                 THRU X069-USA5-EXIT.
057500*
057600     PERFORM X070-UPDATE-SEC-STATE
057700                                 THRU X079-USS-EXIT.
057800*
057900     PERFORM X080-UPDATE-SEC-PHONE
058000                                 THRU X089-USP-EXIT.
058100*
058200     PERFORM X090-UPDATE-SEC-POSTAL-CODE
058300                                 THRU X099-USPC-EXIT.
058400*
058500     PERFORM X100-UPDATE-SEC-FAX
058600                                 THRU X109-USF-EXIT.
058700*
058800     PERFORM X290-UPDATE-STORE-FIELDS
058900                                 THRU X299-USF-EXIT.
059000*
059100 E040-UPDATE-MMMM.
059200*
059300     IF  MBCA-PTI-FUNCTION-IS-ADD
059400         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
059500         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
059600         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
059700         SET WS-UPDATE-SW-YES    TO TRUE.
059800*
059900**************************************************************
060000*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
060100*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
060200*    ON THE SCREEN                                           *
060300**************************************************************
060400*
060500     IF  MBCA-PTI-FUNCTION-IS-MAINT
060600     AND WS-UPDATE-SW-YES
060700         MOVE 0198               TO MML1-FIELD-CODE
060800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
060900                                    MML1-FIELD-OCCURRENCE-2
061000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
061100         MOVE MMMM-LAST-MAINT-OPER
061200                                 TO MML1-VL03-B-DATA-X
061300         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
061400         MOVE MMMM-LAST-MAINT-OPER
061500                                 TO MML1-VL03-A-DATA-X
061600         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
061700         PERFORM Y910-WRITE-LOG-RECORD
061800                                 THRU Y919-WLR-EXIT
061900         MOVE 0199               TO MML1-FIELD-CODE
062000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
062100         MOVE MMMM-LAST-MAINT-DATE
062200                                 TO MML1-VL07-B-DATA-9
062300         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
062400         MOVE MMMM-LAST-MAINT-DATE
062500                                 TO MML1-VL07-A-DATA-9
062600         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
062700         PERFORM Y910-WRITE-LOG-RECORD
062800                                 THRU Y919-WLR-EXIT.
062900*
063000****************************************************
063100*    REWRITE THE STORE MASTER RECORD IF            *
063200*    THE SECONDARY DEMOGRAPHIC DATA HAS BEEN       *
063300*    CHANGED                                       *
063400*    OR THE CRB FLAG HAS BEEN CHANGED              *
063500****************************************************
063600*
063700     IF  WS-STORE-CRB-UPDATE-SW-YES
063800     OR  WS-STORE-ADDR-SW-YES
063900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
064000         SET MBIORO-REWRITE      TO TRUE
064100         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
064200     ELSE
064300         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
064400         SET MBIORO-UNLOCK       TO TRUE
064500         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
064600*
064700****************************************************
064800*    REWRITE THE MERCHANT MASTER RECORD IF         *
064900*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
065000*    UNLOCK IT IF THEY HAVE NOT                    *
065100****************************************************
065200*
065300     IF  WS-UPDATE-SW-YES
065400         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
065500         SET MBIORO-REWRITE      TO TRUE
065600         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
065700     ELSE
065800         MOVE 'FC12'             TO MBCA-PROGRAM-LOCATION
065900         SET MBIORO-UNLOCK       TO TRUE
066000         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
066100*
066200     PERFORM Y930-READ-MMOC      THRU Y939-RMMOC-EXIT.
066300*
066400     MOVE 'SC05'                 TO MBCA-PROGRAM-LOCATION.
066500     SET MBIORO-GETMAIN          TO TRUE.
066600     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
066700*
066800     PERFORM Y920-WRITE-NAME-LOCATE-RECORD
066900                                 THRU Y929-WNLR-EXIT.
067000/
067100 F000-SETUP-COMMAREA SECTION.
067200*
067300***************************************************************
067400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
067500***************************************************************
067600*
067700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
067800*
067900     IF  MM02-CURRENT-PAGE-L IS GREATER THAN ZERO
068000     AND MM02-CURRENT-PAGE   IS NUMERIC
068100         IF  MM02-CURRENT-PAGE IS GREATER THAN 13
068200             MOVE 63             TO MBCA-SCREEN-NBR
068300             GO TO F090-TRANSFER-XCTL.
068400*
068500     PERFORM MB60PD-EDIT-PAGE-NBR
068600                                 THRU MB60PD-EPN-EXIT.
068700*
068800     IF  SS08WS-VALID-PF-KEY
068900     OR  SS08WS-EIBAID-VALID-PF-KEY
069000         SET MBCA-INITIAL-SCREEN-NBR
069100                                 TO TRUE.
069200*
069300 F090-TRANSFER-XCTL.
069400*
069500     IF  MBCA-MBUI-UI-YES
069600         MOVE 'MBUI'             TO MBCA-TRANS-ID
069700                                    MBCA-PREV-TRANS-ID
069800         MOVE 01                 TO MBCA-SCREEN-NBR
069900         MOVE MBMM02I            TO MBUITS-VAR-DATA
070000         MOVE LENGTH OF MBMM02I  TO MBUITS-VAR-LENGTH
070100         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
070200         EXEC CICS WRITEQ TS
070300                   QUEUE   (TS-QUEUE-NAME)
070400                   FROM    (MBUITS-RECORD)
070500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
070600
070700              END-EXEC.
070800*
070900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
071000     PERFORM MB70PD-XCTL-TO-MBOXCTL
071100                                 THRU MB70PD-XTM-EXIT.
071200/
071300 W000-FIELD-EDITS SECTION.
071400*
071500*********************************************************
071600*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
071700*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
071800*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
071900*    'W010-EDIT-STATUS' THRU 'W019-ES-EXIT'.  EACH      *
072000*    ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE         *
072100*    UNIQUE TO THAT ROUTINE.                            *
072200*********************************************************
072300*
072400 W020-EDIT-SEC-ADDRESS1.
072500*
072600     SET X-MM02-NA               TO 1.
072700     SET X-MMMM-NA               TO 1.
072800*
072900     MOVE DFHBMDAS               TO MM02-NA-LINE-LP-A (X-MM02-NA)
073000                                    MM02-NA-LINE-RP-A (X-MM02-NA).
073100     MOVE DFHBMASK               TO MM02-NA-LINE-A (X-MM02-NA).
073200*
073300     PERFORM Y025-SEC-ADDRESS1-SECURITY
073400                                 THRU Y029-EXIT.
073500*
073600     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
073700         MOVE DFHBMASF           TO MM02-NA-LINE-A (X-MM02-NA)
073800         GO TO W029-ESA1-EXIT
073900     ELSE
074000         MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
074100                                 TO MM02-NA-LINE (X-MM02-NA).
074200*
074300     IF  MBCA-PTI-FUNCTION-IS-MAINT
074400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
074500         GO TO W029-ESA1-EXIT.
074600*
074700 W028-SEC-ADDRESS1-ERROR.
074800*
074900     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
075000         MOVE DFHBMUBF           TO MM02-NA-LINE-A (X-MM02-NA)
075100     ELSE
075200         MOVE DFHBMBRY           TO MM02-NA-LINE-A (X-MM02-NA).
075300*
075400     SET SS08WS-ERROR-SW-YES     TO TRUE.
075500     MOVE DFHBMASB               TO MM02-NA-LINE-LP-A (X-MM02-NA)
075600                                    MM02-NA-LINE-RP-A (X-MM02-NA).
075700     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (X-MM02-NA).
075800*
075900 W029-ESA1-EXIT.
076000     EXIT.
076100*
076200 W030-EDIT-SEC-ADDRESS2.
076300*
076400     SET X-MM02-NA               TO 2.
076500     SET X-MMMM-NA               TO 2.
076600*
076700     MOVE DFHBMDAS               TO MM02-NA-LINE-LP-A (X-MM02-NA)
076800                                    MM02-NA-LINE-RP-A (X-MM02-NA).
076900     MOVE DFHBMASK               TO MM02-NA-LINE-A (X-MM02-NA).
077000*
077100     PERFORM Y035-SEC-ADDRESS2-SECURITY
077200                                 THRU Y039-EXIT.
077300*
077400     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
077500         MOVE DFHBMASF           TO MM02-NA-LINE-A (X-MM02-NA)
077600         GO TO W039-ESA2-EXIT
077700     ELSE
077800         MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
077900                                 TO MM02-NA-LINE (X-MM02-NA).
078000*
078100     IF  MBCA-PTI-FUNCTION-IS-MAINT
078200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
078300         GO TO W039-ESA2-EXIT.
078400*
078500 W038-SEC-ADDRESS2-ERROR.
078600*
078700     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
078800         MOVE DFHBMUBF           TO MM02-NA-LINE-A (X-MM02-NA)
078900     ELSE
079000         MOVE DFHBMBRY           TO MM02-NA-LINE-A (X-MM02-NA).
079100*
079200     SET SS08WS-ERROR-SW-YES     TO TRUE.
079300     MOVE DFHBMASB               TO MM02-NA-LINE-LP-A (X-MM02-NA)
079400                                    MM02-NA-LINE-RP-A (X-MM02-NA).
079500     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (X-MM02-NA).
079600*
079700 W039-ESA2-EXIT.
079800     EXIT.
079900*
080000 W040-EDIT-SEC-ADDRESS3.
080100*
080200     SET X-MM02-NA               TO 3.
080300     SET X-MMMM-NA               TO 3.
080400*
080500     MOVE DFHBMDAS               TO MM02-NA-LINE-LP-A (X-MM02-NA)
080600                                    MM02-NA-LINE-RP-A (X-MM02-NA).
080700     MOVE DFHBMASK               TO MM02-NA-LINE-A (X-MM02-NA).
080800*
080900     PERFORM Y045-SEC-ADDRESS3-SECURITY
081000                                 THRU Y049-EXIT.
081100*
081200     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
081300         MOVE DFHBMASF           TO MM02-NA-LINE-A (X-MM02-NA)
081400         GO TO W049-ESA3-EXIT
081500     ELSE
081600         MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
081700                                 TO MM02-NA-LINE (X-MM02-NA).
081800*
081900     IF  MBCA-PTI-FUNCTION-IS-MAINT
082000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
082100         GO TO W049-ESA3-EXIT.
082200*
082300 W048-SEC-ADDRESS3-ERROR.
082400*
082500     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
082600         MOVE DFHBMUBF           TO MM02-NA-LINE-A (X-MM02-NA)
082700     ELSE
082800         MOVE DFHBMBRY           TO MM02-NA-LINE-A (X-MM02-NA).
082900*
083000     SET SS08WS-ERROR-SW-YES     TO TRUE.
083100     MOVE DFHBMASB               TO MM02-NA-LINE-LP-A (X-MM02-NA)
083200                                    MM02-NA-LINE-RP-A (X-MM02-NA).
083300     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (X-MM02-NA).
083400*
083500 W049-ESA3-EXIT.
083600     EXIT.
083700*
083800 W050-EDIT-SEC-ADDRESS4.
083900*
084000     SET X-MM02-NA               TO 4.
084100     SET X-MMMM-NA               TO 4.
084200*
084300     MOVE DFHBMDAS               TO MM02-NA-LINE-LP-A (X-MM02-NA)
084400                                    MM02-NA-LINE-RP-A (X-MM02-NA).
084500     MOVE DFHBMASK               TO MM02-NA-LINE-A (X-MM02-NA).
084600*
084700     PERFORM Y055-SEC-ADDRESS4-SECURITY
084800                                 THRU Y059-EXIT.
084900*
085000     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
085100         MOVE DFHBMASF           TO MM02-NA-LINE-A (X-MM02-NA)
085200         GO TO W059-ESA4-EXIT
085300     ELSE
085400         MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
085500                                 TO MM02-NA-LINE (X-MM02-NA).
085600*
085700     IF  MBCA-PTI-FUNCTION-IS-MAINT
085800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
085900         GO TO W059-ESA4-EXIT.
086000*
086100 W058-SEC-ADDRESS4-ERROR.
086200*
086300     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
086400         MOVE DFHBMUBF           TO MM02-NA-LINE-A (X-MM02-NA)
086500     ELSE
086600         MOVE DFHBMBRY           TO MM02-NA-LINE-A (X-MM02-NA).
086700*
086800     SET SS08WS-ERROR-SW-YES     TO TRUE.
086900     MOVE DFHBMASB               TO MM02-NA-LINE-LP-A (X-MM02-NA)
087000                                    MM02-NA-LINE-RP-A (X-MM02-NA).
087100     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (X-MM02-NA).
087200*
087300 W059-ESA4-EXIT.
087400     EXIT.
087500*
087600 W060-EDIT-SEC-ADDRESS5.
087700*
087800     SET X-MM02-NA               TO 5.
087900     SET X-MMMM-NA               TO 5.
088000*
088100     MOVE DFHBMDAS               TO MM02-NA-LINE-LP-A (X-MM02-NA)
088200                                    MM02-NA-LINE-RP-A (X-MM02-NA).
088300     MOVE DFHBMASK               TO MM02-NA-LINE-A (X-MM02-NA).
088400*
088500     PERFORM Y065-SEC-ADDRESS5-SECURITY
088600                                 THRU Y069-EXIT.
088700*
088800     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
088900         MOVE DFHBMASF           TO MM02-NA-LINE-A (X-MM02-NA)
089000         GO TO W069-ESA5-EXIT
089100     ELSE
089200         MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
089300                                 TO MM02-NA-LINE (X-MM02-NA).
089400*
089500     IF  MBCA-PTI-FUNCTION-IS-MAINT
089600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
089700         GO TO W069-ESA5-EXIT.
089800*
089900 W068-SEC-ADDRESS5-ERROR.
090000*
090100     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
090200         MOVE DFHBMUBF           TO MM02-NA-LINE-A (X-MM02-NA)
090300     ELSE
090400         MOVE DFHBMBRY           TO MM02-NA-LINE-A (X-MM02-NA).
090500*
090600     SET SS08WS-ERROR-SW-YES     TO TRUE.
090700     MOVE DFHBMASB               TO MM02-NA-LINE-LP-A (X-MM02-NA)
090800                                    MM02-NA-LINE-RP-A (X-MM02-NA).
090900     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (X-MM02-NA).
091000*
091100 W069-ESA5-EXIT.
091200     EXIT.
091300*
091400 W070-EDIT-SEC-STATE.
091500*
091600     MOVE DFHBMDAS               TO MM02-STATE-CODE-LP-A
091700                                    MM02-STATE-CODE-RP-A.
091800     MOVE DFHBMASK               TO MM02-STATE-CODE-A.
091900*
092000     PERFORM Y075-SEC-STATE-SECURITY
092100                                 THRU Y079-EXIT.
092200*
092300     IF  MM02-STATE-CODE-L IS GREATER THAN ZERO
092400         MOVE DFHBMASF           TO MM02-STATE-CODE-A
092500         GO TO W079-ESS-EXIT
092600     ELSE
092700         MOVE MMMM-STATE-CODE (X-MMMM-SECONDARY)
092800                                 TO MM02-STATE-CODE.
092900*
093000     IF  MBCA-PTI-FUNCTION-IS-MAINT
093100     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
093200         GO TO W079-ESS-EXIT.
093300*
093400 W078-SEC-STATE-ERROR.
093500*
093600     IF  MM02-STATE-CODE-L IS GREATER THAN ZERO
093700         MOVE DFHBMUBF           TO MM02-STATE-CODE-A
093800     ELSE
093900         MOVE DFHBMBRY           TO MM02-STATE-CODE-A.
094000*
094100     SET SS08WS-ERROR-SW-YES     TO TRUE.
094200     MOVE DFHBMASB               TO MM02-STATE-CODE-LP-A
094300                                    MM02-STATE-CODE-RP-A.
094400     MOVE SS08WS-CURSOR          TO MM02-STATE-CODE-L.
094500*
094600 W079-ESS-EXIT.
094700     EXIT.
094800*
094900 W080-EDIT-SEC-PHONE.
095000*
095100     MOVE DFHBMDAS               TO MM02-PHONE-LP-A
095200                                    MM02-PHONE-RP-A.
095300     MOVE DFHBMASK               TO MM02-PHONE-A.
095400*
095500     PERFORM Y085-SEC-PHONE-SECURITY
095600                                 THRU Y089-EXIT.
095700*
095800     IF  MM02-PHONE-L IS GREATER THAN ZERO
095900         MOVE DFHBMASF           TO MM02-PHONE-A
096000         GO TO W089-ESP-EXIT
096100     ELSE
096200         MOVE MMMM-PHONE (X-MMMM-SECONDARY)
096300                                 TO MM02-PHONE.
096400*
096500     IF  MBCA-PTI-FUNCTION-IS-MAINT
096600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
096700         GO TO W089-ESP-EXIT.
096800*
096900 W088-SEC-PHONE-ERROR.
097000*
097100     IF  MM02-PHONE-L IS GREATER THAN ZERO
097200         MOVE DFHBMUBF           TO MM02-PHONE-A
097300     ELSE
097400         MOVE DFHBMBRY           TO MM02-PHONE-A.
097500*
097600     SET SS08WS-ERROR-SW-YES     TO TRUE.
097700     MOVE DFHBMASB               TO MM02-PHONE-LP-A
097800                                    MM02-PHONE-RP-A.
097900     MOVE SS08WS-CURSOR          TO MM02-PHONE-L.
098000*
098100 W089-ESP-EXIT.
098200     EXIT.
098300*
098400 W090-EDIT-SEC-POSTAL-CODE.
098500*
098600     MOVE DFHBMDAS               TO MM02-POSTAL-CODE-LP-A
098700                                    MM02-POSTAL-CODE-RP-A.
098800     MOVE DFHBMASK               TO MM02-POSTAL-CODE-A.
098900*
099000     PERFORM Y095-SEC-POSTAL-CODE-SECURITY
099100                                 THRU Y099-EXIT.
099200*
099300     IF  MM02-POSTAL-CODE-L IS GREATER THAN ZERO
099400         MOVE DFHBMASF           TO MM02-POSTAL-CODE-A
099500         GO TO W099-ESPC-EXIT
099600     ELSE
099700         MOVE MMMM-POSTAL-CODE (X-MMMM-SECONDARY)
099800                                 TO MM02-POSTAL-CODE.
099900*
100000     IF  MBCA-PTI-FUNCTION-IS-MAINT
100100     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
100200         GO TO W099-ESPC-EXIT.
100300*
100400 W098-SEC-POSTAL-CODE-ERROR.
100500*
100600     IF  MM02-POSTAL-CODE-L IS GREATER THAN ZERO
100700         MOVE DFHBMUBF           TO MM02-POSTAL-CODE-A
100800     ELSE
100900         MOVE DFHBMBRY           TO MM02-POSTAL-CODE-A.
101000*
101100     SET SS08WS-ERROR-SW-YES     TO TRUE.
101200     MOVE DFHBMASB               TO MM02-POSTAL-CODE-LP-A
101300                                    MM02-POSTAL-CODE-RP-A.
101400     MOVE SS08WS-CURSOR          TO MM02-POSTAL-CODE-L.
101500*
101600 W099-ESPC-EXIT.
101700     EXIT.
101800*
101900 W100-EDIT-SEC-FAX.
102000*
102100     MOVE DFHBMDAS               TO MM02-FAX-LP-A
102200                                    MM02-FAX-RP-A.
102300     MOVE DFHBMASK               TO MM02-FAX-A.
102400*
102500     PERFORM Y105-SEC-FAX-SECURITY
102600                                 THRU Y109-EXIT.
102700*
102800     IF  MM02-FAX-L IS GREATER THAN ZERO
102900         MOVE DFHBMASF           TO MM02-FAX-A
103000         GO TO W109-ESF-EXIT
103100     ELSE
103200         MOVE MMMM-FAX (X-MMMM-SECONDARY)
103300                                 TO MM02-FAX.
103400*
103500     IF  MBCA-PTI-FUNCTION-IS-MAINT
103600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
103700         GO TO W109-ESF-EXIT.
103800*
103900 W108-SEC-FAX-ERROR.
104000*
104100     IF  MM02-FAX-L IS GREATER THAN ZERO
104200         MOVE DFHBMUBF           TO MM02-FAX-A
104300     ELSE
104400         MOVE DFHBMBRY           TO MM02-FAX-A.
104500*
104600     SET SS08WS-ERROR-SW-YES     TO TRUE.
104700     MOVE DFHBMASB               TO MM02-FAX-LP-A
104800                                    MM02-FAX-RP-A.
104900     MOVE SS08WS-CURSOR          TO MM02-FAX-L.
105000*
105100 W109-ESF-EXIT.
105200     EXIT.
105300*
105400 W150-CROSS-EDIT-CRB.
105500*
105600*
105700     IF  MMMM-SINGLE-STORE-YES
105800     AND MMMM-STORE-NBR IS GREATER THAN ZEROS
105900     AND (MM02-NA-LINE-L (1) IS GREATER THAN ZERO
106000      OR  MM02-NA-LINE-L (2) IS GREATER THAN ZERO
106100      OR  MM02-NA-LINE-L (3) IS GREATER THAN ZERO
106200      OR  MM02-NA-LINE-L (4) IS GREATER THAN ZERO
106300      OR  MM02-NA-LINE-L (5) IS GREATER THAN ZERO
106400      OR  MM02-STATE-CODE-L  IS GREATER THAN ZERO
106500      OR  MM02-PHONE-L       IS GREATER THAN ZERO
106600      OR  MM02-POSTAL-CODE-L IS GREATER THAN ZERO
106700      OR  MM02-FAX-L         IS GREATER THAN ZERO)
106800         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
106900         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
107000         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
107100         SET MBIORO-READ-RANDOM  TO TRUE
107200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
107300         SET WS-STORE-ADDR-SW-YES
107400                                 TO TRUE.
107500*
107600     IF  MMMM-SINGLE-STORE-YES
107700     AND MMMM-SAC-USE-SECONDARY
107800     AND (MM02-NA-LINE-L (1) IS GREATER THAN ZERO
107900      OR  MM02-NA-LINE-L (2) IS GREATER THAN ZERO
108000      OR  MM02-NA-LINE-L (3) IS GREATER THAN ZERO
108100      OR  MM02-NA-LINE-L (4) IS GREATER THAN ZERO
108200      OR  MM02-NA-LINE-L (5) IS GREATER THAN ZERO)
108300         NEXT SENTENCE
108400     ELSE
108500         GO TO W159-CEC-EXIT.
108600*
108700     IF  MMMM-STORE-NBR IS GREATER THAN ZERO
108800         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
108900         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
109000         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
109100         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
109200         SET MBIORO-READ-RANDOM  TO TRUE
109300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
109400*
109500     IF  SS08WS-RC-FC-NOTFND
109600         NEXT SENTENCE
109700     ELSE
109800        IF  MMSM-NBR-BULLETINS IS GREATER THAN ZEROS
109900        OR  MMSM-VI-FLOOR-LIMIT IS GREATER THAN ZEROS
110000        OR  MMSM-MC-FLOOR-LIMIT IS GREATER THAN ZEROS
110100            SET WS-STORE-CRB-UPDATE-SW-YES
110200                                    TO TRUE
110300            MOVE MMSM-CRB-FLAG      TO WS-CRB-FLAG
110400            SET MMSM-CRB-MAINT-STORE
110500                                 TO TRUE
110600            GO TO W159-CEC-EXIT.
110700*
110800 W159-CEC-EXIT.
110900     EXIT.
111000*
111100/
111200 X000-UPDATE-FIELDS SECTION.
111300*
111400 X020-UPDATE-SEC-ADDRESS1.
111500*
111600     SET X-MMMM-NA               TO 1.
111700     SET X-MM02-NA               TO 1.
111800*
111900     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
112000         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMMM-NA-LINE
112100                                      (X-MMMM-SECONDARY X-MMMM-NA)
112200             SET WS-UPDATE-SW-YES
112300                                 TO TRUE
112400             IF  MBCA-PTI-FUNCTION-IS-MAINT
112500                 SET WS-SECONDARY-UPDATE-YES
112600                                 TO TRUE
112700                 MOVE MMMMTB-SEC-ADDR1 (1:4)
112800                                 TO WS-INDEX-X
112900                 SET X-MMFS-MERCH
113000                                 TO WS-INDEX
113100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
113200                                 TO MML1-MMMM-AUDIT-CODE
113300                 MOVE 0106       TO MML1-FIELD-CODE
113400                 MOVE 2          TO MML1-FIELD-OCCURRENCE
113500                 MOVE 1          TO MML1-FIELD-OCCURRENCE-2
113600                 MOVE MML1WS-VL-40
113700                                 TO MML1-VARIABLE-LENGTH
113800                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
113900                                 TO MML1-VL40-B-DATA-X
114000                 MOVE MM02-NA-LINE (X-MM02-NA)
114100                                 TO MMMM-NA-LINE
114200                                    (X-MMMM-SECONDARY X-MMMM-NA)
114300                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
114400                                 TO MML1-VL40-A-DATA-X
114500                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
114600                 PERFORM Y910-WRITE-LOG-RECORD
114700                                 THRU Y919-WLR-EXIT
114800             ELSE
114900                 MOVE MM02-NA-LINE (X-MM02-NA)
115000                                 TO MMMM-NA-LINE
115100                                    (X-MMMM-SECONDARY X-MMMM-NA).
115200*
115300 X029-USA1-EXIT.
115400     EXIT.
115500*
115600 X030-UPDATE-SEC-ADDRESS2.
115700*
115800     SET X-MMMM-NA               TO 2.
115900     SET X-MM02-NA               TO 2.
116000*
116100     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
116200         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMMM-NA-LINE
116300                                      (X-MMMM-SECONDARY X-MMMM-NA)
116400             SET WS-UPDATE-SW-YES
116500                                 TO TRUE
116600             IF  MBCA-PTI-FUNCTION-IS-MAINT
116700                 SET WS-SECONDARY-UPDATE-YES
116800                                 TO TRUE
116900                 MOVE MMMMTB-SEC-ADDR2 (1:4)
117000                                 TO WS-INDEX-X
117100                 SET X-MMFS-MERCH
117200                                 TO WS-INDEX
117300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
117400                                 TO MML1-MMMM-AUDIT-CODE
117500                 MOVE 0106       TO MML1-FIELD-CODE
117600                 MOVE 2          TO MML1-FIELD-OCCURRENCE
117700                 MOVE 2          TO MML1-FIELD-OCCURRENCE-2
117800                 MOVE MML1WS-VL-40
117900                                 TO MML1-VARIABLE-LENGTH
118000                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
118100                                 TO MML1-VL40-B-DATA-X
118200                 MOVE MM02-NA-LINE (X-MM02-NA)
118300                                 TO MMMM-NA-LINE
118400                                    (X-MMMM-SECONDARY X-MMMM-NA)
118500                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
118600                                 TO MML1-VL40-A-DATA-X
118700                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
118800                 PERFORM Y910-WRITE-LOG-RECORD
118900                                 THRU Y919-WLR-EXIT
119000             ELSE
119100                 MOVE MM02-NA-LINE (X-MM02-NA)
119200                                 TO MMMM-NA-LINE
119300                                    (X-MMMM-SECONDARY X-MMMM-NA).
119400*
119500 X039-USA2-EXIT.
119600     EXIT.
119700*
119800 X040-UPDATE-SEC-ADDRESS3.
119900*
120000     SET X-MMMM-NA               TO 3.
120100     SET X-MM02-NA               TO 3.
120200*
120300     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
120400         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMMM-NA-LINE
120500                                      (X-MMMM-SECONDARY X-MMMM-NA)
120600             SET WS-UPDATE-SW-YES
120700                                 TO TRUE
120800             IF  MBCA-PTI-FUNCTION-IS-MAINT
120900                 SET WS-SECONDARY-UPDATE-YES
121000                                 TO TRUE
121100                 MOVE MMMMTB-SEC-ADDR3 (1:4)
121200                                 TO WS-INDEX-X
121300                 SET X-MMFS-MERCH
121400                                 TO WS-INDEX
121500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
121600                                 TO MML1-MMMM-AUDIT-CODE
121700                 MOVE 0106       TO MML1-FIELD-CODE
121800                 MOVE 2          TO MML1-FIELD-OCCURRENCE
121900                 MOVE 3          TO MML1-FIELD-OCCURRENCE-2
122000                 MOVE MML1WS-VL-40
122100                                 TO MML1-VARIABLE-LENGTH
122200                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
122300                                 TO MML1-VL40-B-DATA-X
122400                 MOVE MM02-NA-LINE (X-MM02-NA)
122500                                 TO MMMM-NA-LINE
122600                                    (X-MMMM-SECONDARY X-MMMM-NA)
122700                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
122800                                 TO MML1-VL40-A-DATA-X
122900                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
123000                 PERFORM Y910-WRITE-LOG-RECORD
123100                                 THRU Y919-WLR-EXIT
123200             ELSE
123300                 MOVE MM02-NA-LINE (X-MM02-NA)
123400                                 TO MMMM-NA-LINE
123500                                    (X-MMMM-SECONDARY X-MMMM-NA).
123600*
123700 X049-USA3-EXIT.
123800     EXIT.
123900*
124000 X050-UPDATE-SEC-ADDRESS4.
124100*
124200     SET X-MMMM-NA               TO 4.
124300     SET X-MM02-NA               TO 4.
124400*
124500     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
124600         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMMM-NA-LINE
124700                                      (X-MMMM-SECONDARY X-MMMM-NA)
124800             SET WS-UPDATE-SW-YES
124900                                 TO TRUE
125000             IF  MBCA-PTI-FUNCTION-IS-MAINT
125100                 SET WS-SECONDARY-UPDATE-YES
125200                                 TO TRUE
125300                 MOVE MMMMTB-SEC-ADDR4 (1:4)
125400                                 TO WS-INDEX-X
125500                 SET X-MMFS-MERCH
125600                                 TO WS-INDEX
125700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
125800                                 TO MML1-MMMM-AUDIT-CODE
125900                 MOVE 0106       TO MML1-FIELD-CODE
126000                 MOVE 2          TO MML1-FIELD-OCCURRENCE
126100                 MOVE 4          TO MML1-FIELD-OCCURRENCE-2
126200                 MOVE MML1WS-VL-40
126300                                 TO MML1-VARIABLE-LENGTH
126400                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
126500                                 TO MML1-VL40-B-DATA-X
126600                 MOVE MM02-NA-LINE (X-MM02-NA)
126700                                 TO MMMM-NA-LINE
126800                                    (X-MMMM-SECONDARY X-MMMM-NA)
126900                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
127000                                 TO MML1-VL40-A-DATA-X
127100                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
127200                 PERFORM Y910-WRITE-LOG-RECORD
127300                                 THRU Y919-WLR-EXIT
127400             ELSE
127500                 MOVE MM02-NA-LINE (X-MM02-NA)
127600                                 TO MMMM-NA-LINE
127700                                    (X-MMMM-SECONDARY X-MMMM-NA).
127800*
127900 X059-USA4-EXIT.
128000     EXIT.
128100*
128200 X060-UPDATE-SEC-ADDRESS5.
128300*
128400     SET X-MMMM-NA               TO 5.
128500     SET X-MM02-NA               TO 5.
128600*
128700     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
128800         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMMM-NA-LINE
128900                                      (X-MMMM-SECONDARY X-MMMM-NA)
129000             SET WS-UPDATE-SW-YES
129100                                 TO TRUE
129200             IF  MBCA-PTI-FUNCTION-IS-MAINT
129300                 SET WS-SECONDARY-UPDATE-YES
129400                                 TO TRUE
129500                 MOVE MMMMTB-SEC-ADDR5 (1:4)
129600                                 TO WS-INDEX-X
129700                 SET X-MMFS-MERCH
129800                                 TO WS-INDEX
129900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
130000                                 TO MML1-MMMM-AUDIT-CODE
130100                 MOVE 0106       TO MML1-FIELD-CODE
130200                 MOVE 2          TO MML1-FIELD-OCCURRENCE
130300                 MOVE 5          TO MML1-FIELD-OCCURRENCE-2
130400                 MOVE MML1WS-VL-40
130500                                 TO MML1-VARIABLE-LENGTH
130600                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
130700                                 TO MML1-VL40-B-DATA-X
130800                 MOVE MM02-NA-LINE (X-MM02-NA)
130900                                 TO MMMM-NA-LINE
131000                                    (X-MMMM-SECONDARY X-MMMM-NA)
131100                 MOVE MMMM-NA-LINE  (X-MMMM-SECONDARY X-MMMM-NA)
131200                                 TO MML1-VL40-A-DATA-X
131300                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
131400                 PERFORM Y910-WRITE-LOG-RECORD
131500                                 THRU Y919-WLR-EXIT
131600             ELSE
131700                 MOVE MM02-NA-LINE (X-MM02-NA)
131800                                 TO MMMM-NA-LINE
131900                                    (X-MMMM-SECONDARY X-MMMM-NA).
132000*
132100 X069-USA5-EXIT.
132200     EXIT.
132300*
132400 X070-UPDATE-SEC-STATE.
132500*
132600     IF  MM02-STATE-CODE-L IS GREATER THAN ZERO
132700         IF  MM02-STATE-CODE IS NOT EQUAL TO MMMM-STATE-CODE
132800                                       (X-MMMM-SECONDARY)
132900             SET WS-UPDATE-SW-YES
133000                                 TO TRUE
133100             IF  MBCA-PTI-FUNCTION-IS-MAINT
133200                 SET WS-SECONDARY-UPDATE-YES
133300                                 TO TRUE
133400                 MOVE MMMMTB-SEC-STATE (1:4)
133500                                 TO WS-INDEX-X
133600                 SET X-MMFS-MERCH
133700                                 TO WS-INDEX
133800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
133900                                 TO MML1-MMMM-AUDIT-CODE
134000                 MOVE 0107       TO MML1-FIELD-CODE
134100                 MOVE 2          TO MML1-FIELD-OCCURRENCE
134200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
134300                 MOVE MML1WS-VL-03
134400                                 TO MML1-VARIABLE-LENGTH
134500                 MOVE MMMM-STATE-CODE (X-MMMM-SECONDARY)
134600                                 TO MML1-VL03-B-DATA-X
134700                 MOVE MM02-STATE-CODE
134800                                 TO MMMM-STATE-CODE
134900                                    (X-MMMM-SECONDARY)
135000                 MOVE MMMM-STATE-CODE (X-MMMM-SECONDARY)
135100                                 TO MML1-VL03-A-DATA-X
135200                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
135300                 PERFORM Y910-WRITE-LOG-RECORD
135400                                 THRU Y919-WLR-EXIT
135500             ELSE
135600                 MOVE MM02-STATE-CODE
135700                                 TO MMMM-STATE-CODE
135800                                    (X-MMMM-SECONDARY).
135900*
136000 X079-USS-EXIT.
136100     EXIT.
136200*
136300 X080-UPDATE-SEC-PHONE.
136400*
136500     IF  MM02-PHONE-L IS GREATER THAN ZERO
136600         IF  MM02-PHONE IS NOT EQUAL TO MMMM-PHONE
136700                                        (X-MMMM-SECONDARY)
136800             SET WS-UPDATE-SW-YES
136900                                 TO TRUE
137000             IF  MBCA-PTI-FUNCTION-IS-MAINT
137100                 MOVE MMMMTB-SEC-PHONE (1:4)
137200                                 TO WS-INDEX-X
137300                 SET X-MMFS-MERCH
137400                                 TO WS-INDEX
137500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
137600                                 TO MML1-MMMM-AUDIT-CODE
137700                 MOVE 0108       TO MML1-FIELD-CODE
137800                 MOVE 2          TO MML1-FIELD-OCCURRENCE
137900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
138000                 MOVE MML1WS-VL-20
138100                                 TO MML1-VARIABLE-LENGTH
138200                 MOVE MMMM-PHONE (X-MMMM-SECONDARY)
138300                                 TO MML1-VL20-B-DATA-X
138400                 MOVE MM02-PHONE TO MMMM-PHONE (X-MMMM-SECONDARY)
138500                 MOVE MMMM-PHONE (X-MMMM-SECONDARY)
138600                                 TO MML1-VL20-A-DATA-X
138700                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
138800                 PERFORM Y910-WRITE-LOG-RECORD
138900                                 THRU Y919-WLR-EXIT
139000             ELSE
139100                 MOVE MM02-PHONE TO MMMM-PHONE (X-MMMM-SECONDARY).
139200*
139300 X089-USP-EXIT.
139400     EXIT.
139500*
139600 X090-UPDATE-SEC-POSTAL-CODE.
139700*
139800     IF  MM02-POSTAL-CODE-L IS GREATER THAN ZERO
139900         IF  MM02-POSTAL-CODE IS NOT EQUAL TO MMMM-POSTAL-CODE
140000                                           (X-MMMM-SECONDARY)
140100             SET WS-UPDATE-SW-YES
140200                                 TO TRUE
140300             IF  MBCA-PTI-FUNCTION-IS-MAINT
140400                 SET WS-SECONDARY-UPDATE-YES
140500                                 TO TRUE
140600                 MOVE MMMMTB-SEC-POSTAL-CODE (1:4)
140700                                 TO WS-INDEX-X
140800                 SET X-MMFS-MERCH
140900                                 TO WS-INDEX
141000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
141100                                 TO MML1-MMMM-AUDIT-CODE
141200                 MOVE 0109       TO MML1-FIELD-CODE
141300                 MOVE 2          TO MML1-FIELD-OCCURRENCE
141400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
141500                 MOVE MML1WS-VL-10
141600                                 TO MML1-VARIABLE-LENGTH
141700                 MOVE MMMM-POSTAL-CODE (X-MMMM-SECONDARY)
141800                                 TO MML1-VL10-B-DATA-X
141900                 MOVE MM02-POSTAL-CODE
142000                                 TO MMMM-POSTAL-CODE
142100                                    (X-MMMM-SECONDARY)
142200                 MOVE MMMM-POSTAL-CODE (X-MMMM-SECONDARY)
142300                                 TO MML1-VL10-A-DATA-X
142400                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
142500                 PERFORM Y910-WRITE-LOG-RECORD
142600                                 THRU Y919-WLR-EXIT
142700             ELSE
142800                 MOVE MM02-POSTAL-CODE
142900                                 TO MMMM-POSTAL-CODE
143000                                    (X-MMMM-SECONDARY).
143100*
143200 X099-USPC-EXIT.
143300     EXIT.
143400*
143500 X100-UPDATE-SEC-FAX.
143600*
143700     IF  MM02-FAX-L IS GREATER THAN ZERO
143800         IF  MM02-FAX IS NOT EQUAL TO MMMM-FAX (X-MMMM-SECONDARY)
143900             SET WS-UPDATE-SW-YES
144000                                 TO TRUE
144100             IF  MBCA-PTI-FUNCTION-IS-MAINT
144200                 MOVE MMMMTB-SEC-FAX (1:4)
144300                                 TO WS-INDEX-X
144400                 SET X-MMFS-MERCH
144500                                 TO WS-INDEX
144600                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
144700                                 TO MML1-MMMM-AUDIT-CODE
144800                 MOVE 0110       TO MML1-FIELD-CODE
144900                 MOVE 2          TO MML1-FIELD-OCCURRENCE
145000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
145100                 MOVE MML1WS-VL-20
145200                                 TO MML1-VARIABLE-LENGTH
145300                 MOVE MMMM-FAX (X-MMMM-SECONDARY)
145400                                 TO MML1-VL20-B-DATA-X
145500                 MOVE MM02-FAX   TO MMMM-FAX (X-MMMM-SECONDARY)
145600                 MOVE MMMM-FAX (X-MMMM-SECONDARY)
145700                                 TO MML1-VL20-A-DATA-X
145800                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
145900                 PERFORM Y910-WRITE-LOG-RECORD
146000                                 THRU Y919-WLR-EXIT
146100             ELSE
146200                 MOVE MM02-FAX   TO MMMM-FAX (X-MMMM-SECONDARY).
146300*
146400 X109-USF-EXIT.
146500     EXIT.
146600*
146700 X290-UPDATE-STORE-FIELDS.
146800*
146900     IF  WS-STORE-CRB-UPDATE-SW-YES
147000         MOVE 'SM'               TO MML1-FILE-CODE
147100         MOVE MBCA-MERCHANT-ORG  TO MML1-MMSM-ORG
147200         MOVE MMMM-STORE-NBR     TO MML1-MMSM-STORE
147300         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
147400         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
147500         MOVE ZEROS              TO MML1-SOURCE-CODE
147600         MOVE MBCA-FIELD-SECURITY
147700                                 TO MML1-FIELD-SECURITY
147800         MOVE 9010               TO MML1-FIELD-CODE
147900         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
148000                                    MML1-FIELD-OCCURRENCE-2
148100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
148200         MOVE WS-CRB-FLAG        TO MML1-VL01-B-DATA-X
148300         MOVE MMSM-CRB-FLAG      TO MML1-VL01-A-DATA-X
148400         MOVE 'FC24'             TO MBCA-PROGRAM-LOCATION
148500         PERFORM Y910-WRITE-LOG-RECORD
148600                                 THRU Y919-WLR-EXIT.
148700*
148800     IF  MMMM-SINGLE-STORE-NO
148900         GO TO X299-USF-EXIT.
149000*
149100     IF  WS-STORE-ADDR-SW-NO
149200         GO TO X299-USF-EXIT.
149300*
149400     MOVE 'SM'                   TO MML1-FILE-CODE.
149500     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
149600     MOVE MMMM-STORE-NBR         TO MML1-MMSM-STORE.
149700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
149800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
149900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
150000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
150100*
150200     SET X-MMSM-PRIMARY          TO 2.
150300*
150400*
150500     SET X-MMSM-NA               TO 1.
150600     SET X-MM02-NA               TO 1.
150700*
150800     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
150900         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMSM-NA-LINE
151000                                      (X-MMSM-PRIMARY X-MMSM-NA)
151100             SET WS-STORE-ADDR-SW-YES
151200                                 TO TRUE
151300             IF  MBCA-PTI-FUNCTION-IS-MAINT
151400                 MOVE MMSMTB-SEC-ADDR1 (1:4)
151500                                 TO WS-INDEX-X
151600                 SET X-MMFS-STORE
151700                                 TO WS-INDEX
151800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
151900                                 TO MML1-MMSM-AUDIT-CODE
152000                 MOVE 0106       TO MML1-FIELD-CODE
152100                 MOVE 2          TO MML1-FIELD-OCCURRENCE
152200                 MOVE 1          TO MML1-FIELD-OCCURRENCE-2
152300                 MOVE MML1WS-VL-40
152400                                 TO MML1-VARIABLE-LENGTH
152500                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
152600                                 TO MML1-VL40-B-DATA-X
152700                 MOVE MM02-NA-LINE (X-MM02-NA)
152800                                 TO MMSM-NA-LINE
152900                                    (X-MMSM-PRIMARY X-MMSM-NA)
153000                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
153100                                 TO MML1-VL40-A-DATA-X
153200                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
153300                 PERFORM Y910-WRITE-LOG-RECORD
153400                                 THRU Y919-WLR-EXIT.
153500*
153600     SET X-MMSM-NA               TO 2.
153700     SET X-MM02-NA               TO 2.
153800*
153900     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
154000         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMSM-NA-LINE
154100                                      (X-MMSM-PRIMARY X-MMSM-NA)
154200             SET WS-STORE-ADDR-SW-YES
154300                                 TO TRUE
154400             IF  MBCA-PTI-FUNCTION-IS-MAINT
154500                 MOVE MMSMTB-SEC-ADDR2 (1:4)
154600                                 TO WS-INDEX-X
154700                 SET X-MMFS-STORE
154800                                 TO WS-INDEX
154900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
155000                                 TO MML1-MMSM-AUDIT-CODE
155100                 MOVE 0106       TO MML1-FIELD-CODE
155200                 MOVE 2          TO MML1-FIELD-OCCURRENCE
155300                 MOVE 2          TO MML1-FIELD-OCCURRENCE-2
155400                 MOVE MML1WS-VL-40
155500                                 TO MML1-VARIABLE-LENGTH
155600                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
155700                                 TO MML1-VL40-B-DATA-X
155800                 MOVE MM02-NA-LINE (X-MM02-NA)
155900                                 TO MMSM-NA-LINE
156000                                    (X-MMSM-PRIMARY X-MMSM-NA)
156100                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
156200                                 TO MML1-VL40-A-DATA-X
156300                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
156400                 PERFORM Y910-WRITE-LOG-RECORD
156500                                 THRU Y919-WLR-EXIT.
156600*
156700     SET X-MMSM-NA               TO 3.
156800     SET X-MM02-NA               TO 3.
156900*
157000     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
157100         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMSM-NA-LINE
157200                                      (X-MMSM-PRIMARY X-MMSM-NA)
157300             SET WS-STORE-ADDR-SW-YES
157400                                 TO TRUE
157500             IF  MBCA-PTI-FUNCTION-IS-MAINT
157600                 MOVE MMSMTB-SEC-ADDR3 (1:4)
157700                                 TO WS-INDEX-X
157800                 SET X-MMFS-STORE
157900                                 TO WS-INDEX
158000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
158100                                 TO MML1-MMSM-AUDIT-CODE
158200                 MOVE 0106       TO MML1-FIELD-CODE
158300                 MOVE 2          TO MML1-FIELD-OCCURRENCE
158400                 MOVE 3          TO MML1-FIELD-OCCURRENCE-2
158500                 MOVE MML1WS-VL-40
158600                                 TO MML1-VARIABLE-LENGTH
158700                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
158800                                 TO MML1-VL40-B-DATA-X
158900                 MOVE MM02-NA-LINE (X-MM02-NA)
159000                                 TO MMSM-NA-LINE
159100                                    (X-MMSM-PRIMARY X-MMSM-NA)
159200                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
159300                                 TO MML1-VL40-A-DATA-X
159400                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
159500                 PERFORM Y910-WRITE-LOG-RECORD
159600                                 THRU Y919-WLR-EXIT.
159700*
159800     SET X-MMSM-NA               TO 4.
159900     SET X-MM02-NA               TO 4.
160000*
160100     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
160200         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMSM-NA-LINE
160300                                      (X-MMSM-PRIMARY X-MMSM-NA)
160400             SET WS-STORE-ADDR-SW-YES
160500                                 TO TRUE
160600             IF  MBCA-PTI-FUNCTION-IS-MAINT
160700                 MOVE MMSMTB-SEC-ADDR4 (1:4)
160800                                 TO WS-INDEX-X
160900                 SET X-MMFS-STORE
161000                                 TO WS-INDEX
161100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
161200                                 TO MML1-MMSM-AUDIT-CODE
161300                 MOVE 0106       TO MML1-FIELD-CODE
161400                 MOVE 2          TO MML1-FIELD-OCCURRENCE
161500                 MOVE 4          TO MML1-FIELD-OCCURRENCE-2
161600                 MOVE MML1WS-VL-40
161700                                 TO MML1-VARIABLE-LENGTH
161800                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
161900                                 TO MML1-VL40-B-DATA-X
162000                 MOVE MM02-NA-LINE (X-MM02-NA)
162100                                 TO MMSM-NA-LINE
162200                                    (X-MMSM-PRIMARY X-MMSM-NA)
162300                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
162400                                 TO MML1-VL40-A-DATA-X
162500                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
162600                 PERFORM Y910-WRITE-LOG-RECORD
162700                                 THRU Y919-WLR-EXIT.
162800*
162900     SET X-MMSM-NA               TO 5.
163000     SET X-MM02-NA               TO 5.
163100*
163200     IF  MM02-NA-LINE-L (X-MM02-NA) IS GREATER THAN ZERO
163300         IF  MM02-NA-LINE (X-MM02-NA) IS NOT EQUAL TO MMSM-NA-LINE
163400                                      (X-MMSM-PRIMARY X-MMSM-NA)
163500             SET WS-STORE-ADDR-SW-YES
163600                                 TO TRUE
163700             IF  MBCA-PTI-FUNCTION-IS-MAINT
163800                 MOVE MMSMTB-SEC-ADDR5 (1:4)
163900                                 TO WS-INDEX-X
164000                 SET X-MMFS-STORE
164100                                 TO WS-INDEX
164200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
164300                                 TO MML1-MMSM-AUDIT-CODE
164400                 MOVE 0106       TO MML1-FIELD-CODE
164500                 MOVE 2          TO MML1-FIELD-OCCURRENCE
164600                 MOVE 5          TO MML1-FIELD-OCCURRENCE-2
164700                 MOVE MML1WS-VL-40
164800                                 TO MML1-VARIABLE-LENGTH
164900                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
165000                                 TO MML1-VL40-B-DATA-X
165100                 MOVE MM02-NA-LINE (X-MM02-NA)
165200                                 TO MMSM-NA-LINE
165300                                    (X-MMSM-PRIMARY X-MMSM-NA)
165400                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
165500                                 TO MML1-VL40-A-DATA-X
165600                 MOVE 'FC29'     TO MBCA-PROGRAM-LOCATION
165700                 PERFORM Y910-WRITE-LOG-RECORD
165800                                 THRU Y919-WLR-EXIT.
165900*
166000     IF  MM02-STATE-CODE-L IS GREATER THAN ZERO
166100         IF  MM02-STATE-CODE IS NOT EQUAL TO MMSM-STATE-CODE
166200                                       (X-MMSM-PRIMARY)
166300             SET WS-STORE-ADDR-SW-YES
166400                                 TO TRUE
166500             IF  MBCA-PTI-FUNCTION-IS-MAINT
166600                 MOVE MMSMTB-SEC-STATE (1:4)
166700                                 TO WS-INDEX-X
166800                 SET X-MMFS-STORE
166900                                 TO WS-INDEX
167000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
167100                                 TO MML1-MMSM-AUDIT-CODE
167200                 MOVE 0107       TO MML1-FIELD-CODE
167300                 MOVE 2          TO MML1-FIELD-OCCURRENCE
167400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
167500                 MOVE MML1WS-VL-03
167600                                 TO MML1-VARIABLE-LENGTH
167700                 MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
167800                                 TO MML1-VL03-B-DATA-X
167900                 MOVE MM02-STATE-CODE
168000                                 TO MMSM-STATE-CODE
168100                                    (X-MMSM-PRIMARY)
168200                 MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
168300                                 TO MML1-VL03-A-DATA-X
168400                 MOVE 'FC30'     TO MBCA-PROGRAM-LOCATION
168500                 PERFORM Y910-WRITE-LOG-RECORD
168600                                 THRU Y919-WLR-EXIT.
168700*
168800     IF  MM02-PHONE-L IS GREATER THAN ZERO
168900         IF  MM02-PHONE IS NOT EQUAL TO MMSM-PHONE
169000                                        (X-MMSM-PRIMARY)
169100             SET WS-STORE-ADDR-SW-YES
169200                                 TO TRUE
169300             IF  MBCA-PTI-FUNCTION-IS-MAINT
169400                 MOVE MMSMTB-SEC-PHONE (1:4)
169500                                 TO WS-INDEX-X
169600                 SET X-MMFS-STORE
169700                                 TO WS-INDEX
169800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
169900                                 TO MML1-MMSM-AUDIT-CODE
170000                 MOVE 0108       TO MML1-FIELD-CODE
170100                 MOVE 2          TO MML1-FIELD-OCCURRENCE
170200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
170300                 MOVE MML1WS-VL-20
170400                                 TO MML1-VARIABLE-LENGTH
170500                 MOVE MMSM-PHONE (X-MMSM-PRIMARY)
170600                                 TO MML1-VL20-B-DATA-X
170700                 MOVE MM02-PHONE TO MMSM-PHONE (X-MMSM-PRIMARY)
170800                 MOVE MMSM-PHONE (X-MMSM-PRIMARY)
170900                                 TO MML1-VL20-A-DATA-X
171000                 MOVE 'FC31'     TO MBCA-PROGRAM-LOCATION
171100                 PERFORM Y910-WRITE-LOG-RECORD
171200                                 THRU Y919-WLR-EXIT.
171300*
171400     IF  MM02-POSTAL-CODE-L IS GREATER THAN ZERO
171500         IF  MM02-POSTAL-CODE IS NOT EQUAL TO MMSM-POSTAL-CODE
171600                                           (X-MMSM-PRIMARY)
171700             SET WS-STORE-ADDR-SW-YES
171800                                 TO TRUE
171900             IF  MBCA-PTI-FUNCTION-IS-MAINT
172000                 MOVE MMSMTB-SEC-POSTAL-CODE (1:4)
172100                                 TO WS-INDEX-X
172200                 SET X-MMFS-STORE
172300                                 TO WS-INDEX
172400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
172500                                 TO MML1-MMSM-AUDIT-CODE
172600                 MOVE 0109       TO MML1-FIELD-CODE
172700                 MOVE 2          TO MML1-FIELD-OCCURRENCE
172800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
172900                 MOVE MML1WS-VL-10
173000                                 TO MML1-VARIABLE-LENGTH
173100                 MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
173200                                 TO MML1-VL10-B-DATA-X
173300                 MOVE MM02-POSTAL-CODE
173400                                 TO MMSM-POSTAL-CODE
173500                                    (X-MMSM-PRIMARY)
173600                 MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
173700                                 TO MML1-VL10-A-DATA-X
173800                 MOVE 'FC32'     TO MBCA-PROGRAM-LOCATION
173900                 PERFORM Y910-WRITE-LOG-RECORD
174000                                 THRU Y919-WLR-EXIT.
174100*
174200     IF  MM02-FAX-L IS GREATER THAN ZERO
174300         IF  MM02-FAX IS NOT EQUAL TO MMSM-FAX (X-MMSM-PRIMARY)
174400             SET WS-STORE-ADDR-SW-YES
174500                                 TO TRUE
174600             IF  MBCA-PTI-FUNCTION-IS-MAINT
174700                 MOVE MMSMTB-SEC-FAX (1:4)
174800                                 TO WS-INDEX-X
174900                 SET X-MMFS-STORE
175000                                 TO WS-INDEX
175100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
175200                                 TO MML1-MMSM-AUDIT-CODE
175300                 MOVE 0110       TO MML1-FIELD-CODE
175400                 MOVE 2          TO MML1-FIELD-OCCURRENCE
175500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
175600                 MOVE MML1WS-VL-20
175700                                 TO MML1-VARIABLE-LENGTH
175800                 MOVE MMSM-FAX (X-MMSM-PRIMARY)
175900                                 TO MML1-VL20-B-DATA-X
176000                 MOVE MM02-FAX   TO MMSM-FAX (X-MMSM-PRIMARY)
176100                 MOVE MMSM-FAX (X-MMSM-PRIMARY)
176200                                 TO MML1-VL20-A-DATA-X
176300                 MOVE 'FC33'     TO MBCA-PROGRAM-LOCATION
176400                 PERFORM Y910-WRITE-LOG-RECORD
176500                                 THRU Y919-WLR-EXIT.
176600*
176700*
176800 X299-USF-EXIT.
176900     EXIT.
177000/
177100 Y000-PERFORMED-ROUTINES SECTION.
177200*
177300 Y020-MOVE-SEC-ADDRESS1.
177400*
177500     SET X-MM02-NA               TO 1.
177600     SET X-MMMM-NA               TO 1.
177700*
177800     MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
177900                                 TO MM02-NA-LINE (X-MM02-NA).
178000*
178100 Y025-SEC-ADDRESS1-SECURITY.
178200*
178300     MOVE MMMMTB-SEC-ADDR1 (1:4)
178400                                 TO WS-INDEX-X.
178500*
178600     SET  X-MMFS-MERCH           TO WS-INDEX.
178700*
178800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
178900         MOVE DFHBMDAS           TO MM02-NA-LINE-LIT-A (X-MM02-NA)
179000                                    MM02-NA-LINE-LP-A (X-MM02-NA)
179100                                    MM02-NA-LINE-RP-A (X-MM02-NA)
179200                                    MM02-NA-LINE-A (X-MM02-NA)
179300         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
179400         GO TO Y029-EXIT.
179500*
179600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
179700         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
179800                                    MM02-NA-LINE-RP-A (X-MM02-NA)
179900         MOVE DFHBMASB           TO MM02-NA-LINE-A (X-MM02-NA)
180000         GO TO Y029-EXIT.
180100*
180200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
180300         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
180400         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
180500                                    MM02-NA-LINE-RP-A (X-MM02-NA)
180600         MOVE DFHBMASK           TO MM02-NA-LINE-A (X-MM02-NA)
180700         GO TO Y029-EXIT.
180800*
180900     IF  MBCA-PTI-FUNCTION-IS-ADD
181000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
181100             MOVE DFHBMASB       TO MM02-NA-LINE-LIT-A (X-MM02-NA)
181200         ELSE
181300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
181400                 MOVE ZERO       TO MM02-NA-LINE-L (X-MM02-NA)
181500                 MOVE DFHBMDAS   TO MM02-NA-LINE-LP-A (X-MM02-NA)
181600                                    MM02-NA-LINE-RP-A (X-MM02-NA)
181700                 MOVE DFHBMASK   TO MM02-NA-LINE-A (X-MM02-NA).
181800*
181900     IF  MBCA-PTI-FUNCTION-IS-MAINT
182000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
182100             MOVE ZERO           TO MM02-NA-LINE-L (X-MM02-NA)
182200             MOVE DFHBMDAS       TO MM02-NA-LINE-LP-A (X-MM02-NA)
182300                                    MM02-NA-LINE-RP-A (X-MM02-NA)
182400             MOVE DFHBMASK       TO MM02-NA-LINE-A (X-MM02-NA).
182500*
182600 Y029-EXIT.
182700     EXIT.
182800*
182900 Y030-MOVE-SEC-ADDRESS2.
183000*
183100     SET X-MM02-NA               TO 2.
183200     SET X-MMMM-NA               TO 2.
183300*
183400     MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
183500                                 TO MM02-NA-LINE (X-MM02-NA).
183600*
183700 Y035-SEC-ADDRESS2-SECURITY.
183800*
183900     MOVE MMMMTB-SEC-ADDR2 (1:4)
184000                                 TO WS-INDEX-X.
184100*
184200     SET  X-MMFS-MERCH           TO WS-INDEX.
184300*
184400     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
184500         MOVE DFHBMDAS           TO MM02-NA-LINE-LIT-A (X-MM02-NA)
184600                                    MM02-NA-LINE-LP-A (X-MM02-NA)
184700                                    MM02-NA-LINE-RP-A (X-MM02-NA)
184800                                    MM02-NA-LINE-A (X-MM02-NA)
184900         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
185000         GO TO Y039-EXIT.
185100*
185200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
185300         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
185400                                    MM02-NA-LINE-RP-A (X-MM02-NA)
185500         MOVE DFHBMASB           TO MM02-NA-LINE-A (X-MM02-NA)
185600         GO TO Y039-EXIT.
185700*
185800     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
185900         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
186000         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
186100                                    MM02-NA-LINE-RP-A (X-MM02-NA)
186200         MOVE DFHBMASK           TO MM02-NA-LINE-A (X-MM02-NA)
186300         GO TO Y039-EXIT.
186400*
186500     IF  MBCA-PTI-FUNCTION-IS-ADD
186600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
186700             MOVE DFHBMASB       TO MM02-NA-LINE-LIT-A (X-MM02-NA)
186800         ELSE
186900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
187000                 MOVE ZERO       TO MM02-NA-LINE-L (X-MM02-NA)
187100                 MOVE DFHBMDAS   TO MM02-NA-LINE-LP-A (X-MM02-NA)
187200                                    MM02-NA-LINE-RP-A (X-MM02-NA)
187300                 MOVE DFHBMASK   TO MM02-NA-LINE-A (X-MM02-NA).
187400*
187500     IF  MBCA-PTI-FUNCTION-IS-MAINT
187600         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
187700             MOVE ZERO           TO MM02-NA-LINE-L (X-MM02-NA)
187800             MOVE DFHBMDAS       TO MM02-NA-LINE-LP-A (X-MM02-NA)
187900                                    MM02-NA-LINE-RP-A (X-MM02-NA)
188000             MOVE DFHBMASK       TO MM02-NA-LINE-A (X-MM02-NA).
188100*
188200 Y039-EXIT.
188300     EXIT.
188400*
188500 Y040-MOVE-SEC-ADDRESS3.
188600*
188700     SET X-MM02-NA               TO 3.
188800     SET X-MMMM-NA               TO 3.
188900*
189000     MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
189100                                 TO MM02-NA-LINE (X-MM02-NA).
189200*
189300 Y045-SEC-ADDRESS3-SECURITY.
189400*
189500     MOVE MMMMTB-SEC-ADDR3 (1:4)
189600                                 TO WS-INDEX-X.
189700*
189800     SET  X-MMFS-MERCH           TO WS-INDEX.
189900*
190000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
190100         MOVE DFHBMDAS           TO MM02-NA-LINE-LIT-A (X-MM02-NA)
190200                                    MM02-NA-LINE-LP-A (X-MM02-NA)
190300                                    MM02-NA-LINE-RP-A (X-MM02-NA)
190400                                    MM02-NA-LINE-A (X-MM02-NA)
190500         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
190600         GO TO Y049-EXIT.
190700*
190800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
190900         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
191000                                    MM02-NA-LINE-RP-A (X-MM02-NA)
191100         MOVE DFHBMASB           TO MM02-NA-LINE-A (X-MM02-NA)
191200         GO TO Y049-EXIT.
191300*
191400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
191500         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
191600         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
191700                                    MM02-NA-LINE-RP-A (X-MM02-NA)
191800         MOVE DFHBMASK           TO MM02-NA-LINE-A (X-MM02-NA)
191900         GO TO Y049-EXIT.
192000*
192100     IF  MBCA-PTI-FUNCTION-IS-ADD
192200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
192300             MOVE DFHBMASB       TO MM02-NA-LINE-LIT-A (X-MM02-NA)
192400         ELSE
192500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
192600                 MOVE ZERO       TO MM02-NA-LINE-L (X-MM02-NA)
192700                 MOVE DFHBMDAS   TO MM02-NA-LINE-LP-A (X-MM02-NA)
192800                                    MM02-NA-LINE-RP-A (X-MM02-NA)
192900                 MOVE DFHBMASK   TO MM02-NA-LINE-A (X-MM02-NA).
193000*
193100     IF  MBCA-PTI-FUNCTION-IS-MAINT
193200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
193300             MOVE ZERO           TO MM02-NA-LINE-L (X-MM02-NA)
193400             MOVE DFHBMDAS       TO MM02-NA-LINE-LP-A (X-MM02-NA)
193500                                    MM02-NA-LINE-RP-A (X-MM02-NA)
193600             MOVE DFHBMASK       TO MM02-NA-LINE-A (X-MM02-NA).
193700*
193800 Y049-EXIT.
193900     EXIT.
194000*
194100 Y050-MOVE-SEC-ADDRESS4.
194200*
194300     SET X-MM02-NA               TO 4.
194400     SET X-MMMM-NA               TO 4.
194500*
194600     MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
194700                                 TO MM02-NA-LINE (X-MM02-NA).
194800*
194900 Y055-SEC-ADDRESS4-SECURITY.
195000*
195100     MOVE MMMMTB-SEC-ADDR4 (1:4)
195200                                 TO WS-INDEX-X.
195300*
195400     SET  X-MMFS-MERCH           TO WS-INDEX.
195500*
195600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
195700         MOVE DFHBMDAS           TO MM02-NA-LINE-LIT-A (X-MM02-NA)
195800                                    MM02-NA-LINE-LP-A (X-MM02-NA)
195900                                    MM02-NA-LINE-RP-A (X-MM02-NA)
196000                                    MM02-NA-LINE-A (X-MM02-NA)
196100         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
196200         GO TO Y059-EXIT.
196300*
196400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
196500         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
196600                                    MM02-NA-LINE-RP-A (X-MM02-NA)
196700         MOVE DFHBMASB           TO MM02-NA-LINE-A (X-MM02-NA)
196800         GO TO Y059-EXIT.
196900*
197000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
197100         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
197200         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
197300                                    MM02-NA-LINE-RP-A (X-MM02-NA)
197400         MOVE DFHBMASK           TO MM02-NA-LINE-A (X-MM02-NA)
197500         GO TO Y059-EXIT.
197600*
197700     IF  MBCA-PTI-FUNCTION-IS-ADD
197800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
197900             MOVE DFHBMASB       TO MM02-NA-LINE-LIT-A (X-MM02-NA)
198000         ELSE
198100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
198200                 MOVE ZERO       TO MM02-NA-LINE-L (X-MM02-NA)
198300                 MOVE DFHBMDAS   TO MM02-NA-LINE-LP-A (X-MM02-NA)
198400                                    MM02-NA-LINE-RP-A (X-MM02-NA)
198500                 MOVE DFHBMASK   TO MM02-NA-LINE-A (X-MM02-NA).
198600*
198700     IF  MBCA-PTI-FUNCTION-IS-MAINT
198800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
198900             MOVE ZERO           TO MM02-NA-LINE-L (X-MM02-NA)
199000             MOVE DFHBMDAS       TO MM02-NA-LINE-LP-A (X-MM02-NA)
199100                                    MM02-NA-LINE-RP-A (X-MM02-NA)
199200             MOVE DFHBMASK       TO MM02-NA-LINE-A (X-MM02-NA).
199300*
199400 Y059-EXIT.
199500     EXIT.
199600*
199700 Y060-MOVE-SEC-ADDRESS5.
199800*
199900     SET X-MM02-NA               TO 5.
200000     SET X-MMMM-NA               TO 5.
200100*
200200     MOVE MMMM-NA-LINE (X-MMMM-SECONDARY X-MMMM-NA)
200300                                 TO MM02-NA-LINE (X-MM02-NA).
200400*
200500 Y065-SEC-ADDRESS5-SECURITY.
200600*
200700     MOVE MMMMTB-SEC-ADDR5 (1:4)
200800                                 TO WS-INDEX-X.
200900*
201000     SET  X-MMFS-MERCH           TO WS-INDEX.
201100*
201200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
201300         MOVE DFHBMDAS           TO MM02-NA-LINE-LIT-A (X-MM02-NA)
201400                                    MM02-NA-LINE-LP-A (X-MM02-NA)
201500                                    MM02-NA-LINE-RP-A (X-MM02-NA)
201600                                    MM02-NA-LINE-A (X-MM02-NA)
201700         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
201800         GO TO Y069-EXIT.
201900*
202000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
202100         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
202200                                    MM02-NA-LINE-RP-A (X-MM02-NA)
202300         MOVE DFHBMASB           TO MM02-NA-LINE-A (X-MM02-NA)
202400         GO TO Y069-EXIT.
202500*
202600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
202700         MOVE ZERO               TO MM02-NA-LINE-L (X-MM02-NA)
202800         MOVE DFHBMDAS           TO MM02-NA-LINE-LP-A (X-MM02-NA)
202900                                    MM02-NA-LINE-RP-A (X-MM02-NA)
203000         MOVE DFHBMASK           TO MM02-NA-LINE-A (X-MM02-NA)
203100         GO TO Y069-EXIT.
203200*
203300     IF  MBCA-PTI-FUNCTION-IS-ADD
203400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
203500             MOVE DFHBMASB       TO MM02-NA-LINE-LIT-A (X-MM02-NA)
203600         ELSE
203700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
203800                 MOVE ZERO       TO MM02-NA-LINE-L (X-MM02-NA)
203900                 MOVE DFHBMDAS   TO MM02-NA-LINE-LP-A (X-MM02-NA)
204000                                    MM02-NA-LINE-RP-A (X-MM02-NA)
204100                 MOVE DFHBMASK   TO MM02-NA-LINE-A (X-MM02-NA).
204200*
204300     IF  MBCA-PTI-FUNCTION-IS-MAINT
204400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
204500             MOVE ZERO           TO MM02-NA-LINE-L (X-MM02-NA)
204600             MOVE DFHBMDAS       TO MM02-NA-LINE-LP-A (X-MM02-NA)
204700                                    MM02-NA-LINE-RP-A (X-MM02-NA)
204800             MOVE DFHBMASK       TO MM02-NA-LINE-A (X-MM02-NA).
204900*
205000 Y069-EXIT.
205100     EXIT.
205200*
205300 Y070-MOVE-SEC-STATE.
205400*
205500     MOVE MMMM-STATE-CODE (X-MMMM-SECONDARY)
205600                                 TO MM02-STATE-CODE.
205700*
205800 Y075-SEC-STATE-SECURITY.
205900*
206000     MOVE MMMMTB-SEC-STATE (1:4)
206100                                 TO WS-INDEX-X.
206200*
206300     SET  X-MMFS-MERCH           TO WS-INDEX.
206400*
206500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
206600         MOVE DFHBMDAS           TO MM02-STATE-CODE-LIT-A
206700                                    MM02-STATE-CODE-LP-A
206800                                    MM02-STATE-CODE-RP-A
206900                                    MM02-STATE-CODE-A
207000         MOVE ZERO               TO MM02-STATE-CODE-L
207100         GO TO Y079-EXIT.
207200*
207300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
207400         MOVE DFHBMDAS           TO MM02-STATE-CODE-LP-A
207500                                    MM02-STATE-CODE-RP-A
207600         MOVE DFHBMASB           TO MM02-STATE-CODE-A
207700         GO TO Y079-EXIT.
207800*
207900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
208000         MOVE ZERO               TO MM02-STATE-CODE-L
208100         MOVE DFHBMDAS           TO MM02-STATE-CODE-LP-A
208200                                    MM02-STATE-CODE-RP-A
208300         MOVE DFHBMASK           TO MM02-STATE-CODE-A
208400         GO TO Y079-EXIT.
208500*
208600     IF  MBCA-PTI-FUNCTION-IS-ADD
208700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
208800             MOVE DFHBMASB       TO MM02-STATE-CODE-LIT-A
208900         ELSE
209000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
209100                 MOVE ZERO       TO MM02-STATE-CODE-L
209200                 MOVE DFHBMDAS   TO MM02-STATE-CODE-LP-A
209300                                    MM02-STATE-CODE-RP-A
209400                 MOVE DFHBMASK   TO MM02-STATE-CODE-A.
209500*
209600     IF  MBCA-PTI-FUNCTION-IS-MAINT
209700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
209800             MOVE ZERO           TO MM02-STATE-CODE-L
209900             MOVE DFHBMDAS       TO MM02-STATE-CODE-LP-A
210000                                    MM02-STATE-CODE-RP-A
210100             MOVE DFHBMASK       TO MM02-STATE-CODE-A.
210200*
210300 Y079-EXIT.
210400     EXIT.
210500*
210600 Y080-MOVE-SEC-PHONE.
210700*
210800     MOVE MMMM-PHONE (X-MMMM-SECONDARY)
210900                                 TO MM02-PHONE.
211000*
211100 Y085-SEC-PHONE-SECURITY.
211200*
211300     MOVE MMMMTB-SEC-PHONE (1:4)
211400                                 TO WS-INDEX-X.
211500*
211600     SET  X-MMFS-MERCH           TO WS-INDEX.
211700*
211800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
211900         MOVE DFHBMDAS           TO MM02-PHONE-LIT-A
212000                                    MM02-PHONE-LP-A
212100                                    MM02-PHONE-RP-A
212200                                    MM02-PHONE-A
212300         MOVE ZERO               TO MM02-PHONE-L
212400         GO TO Y089-EXIT.
212500*
212600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
212700         MOVE DFHBMDAS           TO MM02-PHONE-LP-A
212800                                    MM02-PHONE-RP-A
212900         MOVE DFHBMASB           TO MM02-PHONE-A
213000         GO TO Y089-EXIT.
213100*
213200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
213300         MOVE ZERO               TO MM02-PHONE-L
213400         MOVE DFHBMDAS           TO MM02-PHONE-LP-A
213500                                    MM02-PHONE-RP-A
213600         MOVE DFHBMASK           TO MM02-PHONE-A
213700         GO TO Y089-EXIT.
213800*
213900     IF  MBCA-PTI-FUNCTION-IS-ADD
214000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
214100             MOVE DFHBMASB       TO MM02-PHONE-LIT-A
214200         ELSE
214300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
214400                 MOVE ZERO       TO MM02-PHONE-L
214500                 MOVE DFHBMDAS   TO MM02-PHONE-LP-A
214600                                    MM02-PHONE-RP-A
214700                 MOVE DFHBMASK   TO MM02-PHONE-A.
214800*
214900     IF  MBCA-PTI-FUNCTION-IS-MAINT
215000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
215100             MOVE ZERO           TO MM02-PHONE-L
215200             MOVE DFHBMDAS       TO MM02-PHONE-LP-A
215300                                    MM02-PHONE-RP-A
215400             MOVE DFHBMASK       TO MM02-PHONE-A.
215500*
215600 Y089-EXIT.
215700     EXIT.
215800*
215900 Y090-MOVE-SEC-POSTAL-CODE.
216000*
216100     MOVE MMMM-POSTAL-CODE (X-MMMM-SECONDARY)
216200                                 TO MM02-POSTAL-CODE.
216300*
216400 Y095-SEC-POSTAL-CODE-SECURITY.
216500*
216600     MOVE MMMMTB-SEC-POSTAL-CODE (1:4)
216700                                 TO WS-INDEX-X.
216800*
216900     SET  X-MMFS-MERCH           TO WS-INDEX.
217000*
217100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
217200         MOVE DFHBMDAS           TO MM02-POSTAL-CODE-LIT-A
217300                                    MM02-POSTAL-CODE-LP-A
217400                                    MM02-POSTAL-CODE-RP-A
217500                                    MM02-POSTAL-CODE-A
217600         MOVE ZERO               TO MM02-POSTAL-CODE-L
217700         GO TO Y099-EXIT.
217800*
217900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
218000         MOVE DFHBMDAS           TO MM02-POSTAL-CODE-LP-A
218100                                    MM02-POSTAL-CODE-RP-A
218200         MOVE DFHBMASB           TO MM02-POSTAL-CODE-A
218300         GO TO Y099-EXIT.
218400*
218500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
218600         MOVE ZERO               TO MM02-POSTAL-CODE-L
218700         MOVE DFHBMDAS           TO MM02-POSTAL-CODE-LP-A
218800                                    MM02-POSTAL-CODE-RP-A
218900         MOVE DFHBMASK           TO MM02-POSTAL-CODE-A
219000         GO TO Y099-EXIT.
219100*
219200     IF  MBCA-PTI-FUNCTION-IS-ADD
219300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
219400             MOVE DFHBMASB       TO MM02-POSTAL-CODE-LIT-A
219500         ELSE
219600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
219700                 MOVE ZERO       TO MM02-POSTAL-CODE-L
219800                 MOVE DFHBMDAS   TO MM02-POSTAL-CODE-LP-A
219900                                    MM02-POSTAL-CODE-RP-A
220000                 MOVE DFHBMASK   TO MM02-POSTAL-CODE-A.
220100*
220200     IF  MBCA-PTI-FUNCTION-IS-MAINT
220300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
220400             MOVE ZERO           TO MM02-POSTAL-CODE-L
220500             MOVE DFHBMDAS       TO MM02-POSTAL-CODE-LP-A
220600                                    MM02-POSTAL-CODE-RP-A
220700             MOVE DFHBMASK       TO MM02-POSTAL-CODE-A.
220800*
220900 Y099-EXIT.
221000     EXIT.
221100*
221200 Y100-MOVE-SEC-FAX.
221300*
221400     MOVE MMMM-FAX (X-MMMM-SECONDARY)
221500                                 TO MM02-FAX.
221600*
221700 Y105-SEC-FAX-SECURITY.
221800*
221900     MOVE MMMMTB-SEC-FAX (1:4)   TO WS-INDEX-X.
222000*
222100     SET  X-MMFS-MERCH           TO WS-INDEX.
222200*
222300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
222400         MOVE DFHBMDAS           TO MM02-FAX-LIT-A
222500                                    MM02-FAX-LP-A
222600                                    MM02-FAX-RP-A
222700                                    MM02-FAX-A
222800         MOVE ZERO               TO MM02-FAX-L
222900         GO TO Y109-EXIT.
223000*
223100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
223200         MOVE DFHBMDAS           TO MM02-FAX-LP-A
223300                                    MM02-FAX-RP-A
223400         MOVE DFHBMASB           TO MM02-FAX-A
223500         GO TO Y109-EXIT.
223600*
223700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
223800         MOVE ZERO               TO MM02-FAX-L
223900         MOVE DFHBMDAS           TO MM02-FAX-LP-A
224000                                    MM02-FAX-RP-A
224100         MOVE DFHBMASK           TO MM02-FAX-A
224200         GO TO Y109-EXIT.
224300*
224400     IF  MBCA-PTI-FUNCTION-IS-ADD
224500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
224600             MOVE DFHBMASB       TO MM02-FAX-LIT-A
224700         ELSE
224800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
224900                 MOVE ZERO       TO MM02-FAX-L
225000                 MOVE DFHBMDAS   TO MM02-FAX-LP-A
225100                                    MM02-FAX-RP-A
225200                 MOVE DFHBMASK   TO MM02-FAX-A.
225300*
225400     IF  MBCA-PTI-FUNCTION-IS-MAINT
225500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
225600             MOVE ZERO           TO MM02-FAX-L
225700             MOVE DFHBMDAS       TO MM02-FAX-LP-A
225800                                    MM02-FAX-RP-A
225900             MOVE DFHBMASK       TO MM02-FAX-A.
226000*
226100 Y109-EXIT.
226200     EXIT.
226300*
226400 Y800-SET-CURSOR.
226500*
226600************************************************************
226700*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
226800*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
226900*    OPEN FOR INPUT                                        *
227000************************************************************
227100*
227200     MOVE MMMMTB-SEC-ADDR1 (1:4) TO WS-INDEX-X.
227300*
227400     SET X-MMFS-MERCH            TO WS-INDEX.
227500*
227600 Y801-SC-LOOP.
227700*
227800     IF  MBCA-PTI-FUNCTION-IS-ADD
227900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
228000         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
228100             GO TO Y802-SC-DETERMINE-FIELD.
228200*
228300     IF  MBCA-PTI-FUNCTION-IS-MAINT
228400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
228500             GO TO Y802-SC-DETERMINE-FIELD.
228600*
228700     MOVE MMMMTB-STMT-FREQ-1 (1:4)
228800                                 TO WS-INDEX-X.
228900*
229000     IF  X-MMFS-MERCH IS LESS THAN WS-INDEX
229100         SET X-MMFS-MERCH        UP BY 1
229200         GO TO Y801-SC-LOOP.
229300*
229400 Y802-SC-DETERMINE-FIELD.
229500*
229600     MOVE MMMMTB-STMT-FREQ-1 (1:4)
229700                                 TO WS-INDEX-X.
229800*
229900     IF  X-MMFS-MERCH IS EQUAL TO WS-INDEX
230000         MOVE SS08WS-CURSOR      TO MM02-ALT-TRANID-L
230100         GO TO Y809-SC-EXIT.
230200*
230300     SET WS-FIELD-POSITION       TO X-MMFS-MERCH.
230400     MOVE MMMMTB-PRIM-FAX (1:4)  TO WS-INDEX-X.
230500     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
230600*
230700     GO TO   Y803-SEC-ADDR1
230800             Y803-SEC-ADDR2
230900             Y803-SEC-ADDR3
231000             Y803-SEC-ADDR4
231100             Y803-SEC-ADDR5
231200             Y803-SEC-STATE
231300             Y803-SEC-PHONE
231400             Y803-SEC-POSTAL-CODE
231500             Y803-SEC-FAX
231600         DEPENDING ON WS-FIELD-POSITION.
231700*
231800 Y803-SEC-ADDR1.
231900*
232000      MOVE SS08WS-CURSOR         TO MM02-NA-LINE-L (1).
232100      GO TO Y809-SC-EXIT.
232200*
232300 Y803-SEC-ADDR2.
232400*
232500     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (2).
232600     GO TO Y809-SC-EXIT.
232700*
232800 Y803-SEC-ADDR3.
232900*
233000     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (3).
233100     GO TO Y809-SC-EXIT.
233200*
233300 Y803-SEC-ADDR4.
233400*
233500     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (4).
233600     GO TO Y809-SC-EXIT.
233700*
233800 Y803-SEC-ADDR5.
233900*
234000     MOVE SS08WS-CURSOR          TO MM02-NA-LINE-L (5).
234100     GO TO Y809-SC-EXIT.
234200*
234300 Y803-SEC-STATE.
234400*
234500     MOVE SS08WS-CURSOR          TO MM02-STATE-CODE-L.
234600     GO TO Y809-SC-EXIT.
234700*
234800 Y803-SEC-PHONE.
234900*
235000     MOVE SS08WS-CURSOR          TO MM02-PHONE-L.
235100     GO TO Y809-SC-EXIT.
235200*
235300 Y803-SEC-POSTAL-CODE.
235400*
235500     MOVE SS08WS-CURSOR          TO MM02-POSTAL-CODE-L.
235600     GO TO Y809-SC-EXIT.
235700*
235800 Y803-SEC-FAX.
235900*
236000     MOVE SS08WS-CURSOR          TO MM02-FAX-L.
236100     GO TO Y809-SC-EXIT.
236200*
236300 Y809-SC-EXIT.
236400     EXIT.
236500*
236600 Y900-READ-MMFS.
236700*
236800****************************************
236900*    READ THE FIELD SECURITY RECORD    *
237000*    TO OBTAIN THE SECURITY CODES      *
237100****************************************
237200*
237300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
237400     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
237500     SET MBIORO-READ-RANDOM      TO TRUE.
237600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
237700*
237800     IF  NOT MMFS-REC-ACTIVE
237900         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
238000         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
238100         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
238200         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
238300         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
238400         SET MBCA-ERROR-MSGS-PROVIDED
238500                                 TO TRUE
238600         MOVE 'READ ERROR - MMFSAO'
238700                                 TO MBCA-ERRR-MSG1
238800         MOVE 'FIELD SECURITY PROFILE IS NOT ACTIVE'
238900                                 TO MBCA-ERRR-MSG2
239000         GO TO MB70PD-ERROR-ROUTINE.
239100*
239200 Y909-READ-MMFS-EXIT.
239300     EXIT.
239400*
239500 Y910-WRITE-LOG-RECORD.
239600*
239700     SET MBIORO-WRITE            TO TRUE.
239800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
239900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
240000*
240100 Y919-WLR-EXIT.
240200     EXIT.
240300*
240400 Y920-WRITE-NAME-LOCATE-RECORD.
240500*
240600     IF  MMOC-MERCH-SECONDARY-ON
240700         IF MM02-NA-LINE-L (1) IS GREATER THAN ZERO
240800         OR MM02-NA-LINE-L (2) IS GREATER THAN ZERO
240900         OR MM02-NA-LINE-L (3) IS GREATER THAN ZERO
241000         OR MM02-NA-LINE-L (4) IS GREATER THAN ZERO
241100         OR MM02-NA-LINE-L (5) IS GREATER THAN ZERO
241200         OR MM02-STATE-CODE-L IS GREATER THAN ZERO
241300         OR MM02-POSTAL-CODE-L IS GREATER THAN ZERO
241400         OR MM02-PHONE-L IS GREATER THAN ZERO
241500         OR MM02-FAX-L IS GREATER THAN ZERO
241600         MOVE MBCA-MERCHANT-ORG  TO MMNL-ORG
241700         MOVE MMMM-MERCHANT      TO MMNL-FILE-NBR
241800         MOVE ZEROS              TO MMNL-TIE-BREAKER
241900         SET MMNL-FILE-IS-MERCH  TO TRUE
242000         SET MMNL-NAME-IS-SECONDARY
242100                                 TO TRUE
242200         MOVE MMMM-NA-LINE (2 1) TO MMNL-NAME
242300         MOVE MMMM-NA-LINE (2 2) TO MMNL-ADDR1
242400         MOVE MMMM-PHONE (2)     TO MMNL-PHONE
242500         MOVE MMMM-POSTAL-CODE (2)
242600                                 TO MMNL-POSTAL-CODE
242700         EVALUATE TRUE
242800           WHEN  MMMM-NA-LINE (2 5) IS NOT EQUAL TO SPACES
242900             MOVE MMMM-NA-LINE (2 5)
243000                                 TO MMNL-CITY
243100           WHEN  MMMM-NA-LINE (2 4) IS NOT EQUAL TO SPACES
243200             MOVE MMMM-NA-LINE (2 4)
243300                                 TO MMNL-CITY
243400           WHEN  MMMM-NA-LINE (2 3) IS NOT EQUAL TO SPACES
243500             MOVE MMMM-NA-LINE (2 3)
243600                                 TO MMNL-CITY
243700           WHEN  MMMM-NA-LINE (2 2) IS NOT EQUAL TO SPACES
243800             MOVE MMMM-NA-LINE (2 2)
243900                                 TO MMNL-CITY
244000           WHEN  MMMM-NA-LINE (2 1) IS NOT EQUAL TO SPACES
244100             MOVE MMMM-NA-LINE (2 1)
244200                                 TO MMNL-CITY
244300         END-EVALUATE
244400         MOVE MMMM-STATE-CODE (2)
244500                                 TO MMNL-STATE
244600         PERFORM Y940-WRITE-MMNL THRU Y949-WMMNL-EXIT.
244700*
244800 Y929-WNLR-EXIT.
244900     EXIT.
245000*
245100 Y930-READ-MMOC.
245200*
245300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
245400     SET MBIORO-READ-RANDOM      TO TRUE.
245500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
245600*
245700 Y939-RMMOC-EXIT.
245800     EXIT.
245900*
246000 Y940-WRITE-MMNL.
246100*
246200     IF  MMNL-NAME IS EQUAL TO SPACES
246300         GO TO Y949-WMMNL-EXIT.
246400*
246500     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
246600     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-1.
246700     SET MBIORO-WRITE            TO TRUE.
246800     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
246900*
247000     IF  SS08WS-RC-FC-DUPREC
247100         ADD 1                   TO MMNL-TIE-BREAKER
247200         GO TO Y940-WRITE-MMNL.
247300*
247400 Y949-WMMNL-EXIT.
247500     EXIT.
247600/
247700 Z000-COPIED-ROUTINES SECTION.
247800*
247900**********************************
248000*    JUL TO GREG DATE ROUTINE    *
248100**********************************
248200*
248300     COPY SS08PD.
248400/
248500**********************************
248600*    DATE AND TIME EDIT ROUTINES *
248700**********************************
248800*
248900     COPY SS26PD.
249000     COPY SS27PD.
249100/
249200*********************************
249300*    LINE 24 PF KEYS ROUTINE    *
249400*********************************
249500*
249600     COPY SS15PD.
249700/
249800************************************************
249900*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
250000************************************************
250100*
250200     COPY MMMMAO.
250300/
250400************************************************
250500*    STORE MASTER RECORD ACCESS ROUTINES       *
250600************************************************
250700*
250800     COPY MMSMAO.
250900/
251000***********************************************
251100*    FIELD SECURITY RECORD ACCESS ROUTINES    *
251200***********************************************
251300*
251400     COPY MMFSAO.
251500/
251600***********************************************
251700*    CONTROL FILE RECORD ACCESS ROUTINES      *
251800***********************************************
251900*
252000     COPY MMOCAO.
252100/
252200***********************************************
252300*    NAME LOCATE  RECORD ACCESS ROUTINES      *
252400***********************************************
252500*
252600     COPY MMNLAO.
252700/
252800*****************************************
252900*    LOG FILE RECORD ACCESS ROUTINES    *
253000*****************************************
253100*
253200     COPY MML1AO.
253300/
253400*****************************
253500*    ONLINE MAP ROUTINES    *
253600*****************************
253700*
253800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM02 '
253900                           MBMAPXXI BY MBMM02I
254000                           MBMAPXXO BY MBMM02O.
254100/
254200***************************
254300*    ONLINE PROCEDURES    *
254400***************************
254500*
254600     COPY MB70PD.
254700/
254800     COPY SMFTPXO.
