000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM09 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 09                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM09 (SCREEN 09)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMRC (MERCHANT RELATIONSHIP CONTROL FILE)  *
002000*                 D. MMRD (MERCHANT RELATIONSHIP DETAIL FILE)   *
002100*                 E. MMSM (STORE MASTER FILE)                   *
002200*                 F. MMXR (STORE MERCH XREF FILE)               *
002300*                 G. MML1 (LOG FILE)                            *
002400*                                                               *
002500*****************************************************************
002600*
002700 ENVIRONMENT DIVISION.
002800*
002900 DATA DIVISION.
003000*
003100 WORKING-STORAGE SECTION.
003200*
003300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003400*
003500 01  FILLER                  PIC  X(14)      VALUE
003600     'MISCELLANEOUS:'.
003700*
003800 01  WS-MISCELLANEOUS.
003900     03  WS-FIELD-POSITION   PIC S9(03)      COMP-3
004000                                             VALUE ZEROES.
004100     03  WS-ORIGINAL-MEMBER  PIC S9(09)      COMP-3
004200                                             VALUE ZEROES.
004300     03  WS-ORIGINAL-NBR-MEMBERS
004400                             PIC S9(03)      COMP-3
004500                                             VALUE ZEROES.
004600     03  WS-MERCHANT-COMP-3  PIC S9(09)      COMP-3
004700                                             VALUE ZEROES.
004800     03  WS-X-MM09-MCID-INDEX
004900                             PIC S9(04)      BINARY
005000                                             VALUE ZEROES.
005100     03  WS-CHAIN            PIC  9(09)      VALUE ZEROES.
005200     03  WS-CHAIN-COUNT      PIC S9(03)      COMP-3
005300                                             VALUE ZEROES.
005400     03  WS-SEQ-NBR          PIC S9(04)      BINARY
005500                                             VALUE +1.
005600     03  WS-MMMM-CHAIN-FLAG  PIC  X(01)      VALUE SPACES.
005700     03  WS-MMMM-STMT-CHAIN  PIC  X(01)      VALUE SPACES.
005800     03  WS-INDEX-X.
005900         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
006000*
006100 01  FILLER                  PIC  X(17)      VALUE
006200     'PROGRAM SWITCHES:'.
006300*
006400 01  WS-PROGRAM-SWITCHES.
006500     03  WS-EDIT-ROUTINE-SW  PIC  X(01)      VALUE 'N'.
006600         88  EDIT-ROUTINE-IS-PERFORMING      VALUE 'Y'.
006700         88  EDIT-ROUTINE-NOT-PERFORMING     VALUE 'N'.
006800     03  WS-CHAIN-FOUND-SW   PIC  X(01)      VALUE 'Y'.
006900         88  MERCHANT-CHAIN-NOT-FOUND        VALUE 'N'.
007000         88  MERCHANT-CHAIN-FOUND            VALUE 'Y'.
007100     03  WS-CHAIN-ERROR-SW   PIC  X(01)      VALUE 'N'.
007200         88  CHAIN-ERRORS-EXIST              VALUE 'Y'.
007300         88  NO-CHAIN-ERRORS-EXIST           VALUE 'N'.
007400     03  WS-IMPRINTER-ERROR-SW
007500                             PIC  X(01)      VALUE 'N'.
007600         88  IMPRINTER-ERRORS-EXIST          VALUE 'Y'.
007700         88  NO-IMPRINTER-ERRORS-EXIST       VALUE 'N'.
007800     03  WS-POS-ERROR-SW     PIC  X(01)      VALUE 'N'.
007900         88  POS-ERRORS-EXIST                VALUE 'Y'.
008000         88  NO-POS-ERROS-EXIST              VALUE 'N'.
008100     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
008200         88  WS-UPDATE-SW-YES                VALUE 'Y'.
008300         88  WS-UPDATE-SW-NO                 VALUE 'N'.
008400     03  WS-STORE-UPDATE-SW  PIC  X(01)      VALUE 'N'.
008500         88  WS-STORE-UPDATE-SW-YES          VALUE 'Y'.
008600         88  WS-STORE-UPDATE-SW-NO           VALUE 'N'.
008700     03  WS-WRITE-RE-SW      PIC  X(01)      VALUE SPACES.
008800         88  WS-WRITE-SW-ON                  VALUE 'W'.
008900         88  WS-REWRITE-SW-ON                VALUE 'R'.
009000     03  WS-BI-WEEKLY-SW     PIC  X(01)      VALUE SPACES.
009100         88  WS-BI-WEEKLY-YES                VALUE 'Y'.
009200         88  WS-BI-WEEKLY-NO                 VALUE 'N'.
009300     03  TS-QUEUE-NAME.
009400         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
009500         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
009600/
009700 01  FILLER                  PIC  X(29)      VALUE
009800     'I/O REQUEST BLOCK WORK AREAS:'.
009900*
010000     COPY MBIOWS.
010100/
010200 01  FILLER                  PIC  X(18)      VALUE
010300     'I/O REQUEST BLOCK:'.
010400*
010500     COPY MBIORO.
010600/
010700 01  FILLER                  PIC  X(25)      VALUE
010800     'LOG RECORD REQUEST BLOCK:'.
010900*
011000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
011100/
011200 01  FILLER                  PIC  X(29)      VALUE
011300     'MERCHANT MASTER FIELDS TABLE:'.
011400*
011500     COPY MMMMTB.
011600/
011700 01  FILLER                  PIC  X(48)      VALUE
011800     'MERCHANT RELATIONSHIP MEMBER INITIALIZER RECORD:'.
011900*
012000     COPY MMRDIR REPLACING ==:MMRD:== BY ==MMRD==.
012100/
012200 01  FILLER                  PIC  X(35)      VALUE
012300     'MERCHANT MASTER INITIALIZER RECORD:'.
012400*
012500     COPY MMMMIR.
012600/
012700 01  FILLER                  PIC  X(20)      VALUE
012800     'CCS DATE WORK AREAS:'.
012900*
013000     COPY SS01WS.
013100/
013200 01  FILLER                  PIC  X(15)      VALUE
013300     'CCS WORK AREAS:'.
013400*
013500     COPY SS08WS.
013600/
013700     COPY SS00WS.
013800/
013900     COPY SMFTWS.
014000/
014100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
014200/
014300     COPY MB61LK.
014400/
014500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
014600/
014700 LINKAGE SECTION.
014800*
014900 01  DFHCOMMAREA.
015000*
015100     COPY MB60WS.
015200/
015300*****************************
015400*    MERCHANT MASTER MAP    *
015500*****************************
015600*
015700     COPY MBMM09.
015800/
015900******************************************
016000*    MERCHANT MASTER MAP REDEFINITION    *
016100******************************************
016200*
016300     COPY MBMM09R.
016400/
016500****************************************
016600*    MERCHANT MASTER  RECORD LAYOUT    *
016700****************************************
016800*
016900     COPY MMMMRL.
017000/
017100**************************************
017200*    FIELD SECURITY RECORD LAYOUT    *
017300**************************************
017400*
017500     COPY MMFSRL.
017600/
017700*****************************************************
017800*    MERCHANT RELATIONSHIP CONTROL RECORD LAYOUT    *
017900*****************************************************
018000*
018100     COPY MMRCRL.
018200/
018300****************************************************
018400*    MERCHANT RELATIONSHIP DETAIL RECORD LAYOUT    *
018500****************************************************
018600*
018700     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
018800/
018900****************************************
019000*    STORE MASTER  RECORD LAYOUT       *
019100****************************************
019200*
019300     COPY MMSMRL.
019400/
019500**************************************
019600*    STORE XREF RECORD LAYOUT        *
019700**************************************
019800*
019900     COPY MMXRRL.
020000/
020100***************************
020200*    LOG RECORD LAYOUT    *
020300***************************
020400*
020500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
020600/
020700***************************************
020800*    USER INPUT TEMP STORAGE RECORD   *
020900***************************************
021000*
021100     COPY MBUITS.
021200/
021300 PROCEDURE DIVISION.
021400*
021500 A000-HOUSEKEEPING SECTION.
021600*
021700 A020-INIT.
021800*
021900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
022000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
022100                                 THRU MB70PD-OLH-EXIT.
022200*
022300     IF  MBCA-MBUI-UI-YES
022400         NEXT SENTENCE
022500     ELSE
022600         SET MBCA-MBUI-UI-NO     TO TRUE.
022700*
022800     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
022900*
023000     IF  MBCA-RECEIVE-SCREEN
023100         GO TO C000-RECEIVE-SCREEN.
023200/
023300 B000-SEND-SCREEN SECTION.
023400*
023500*********************************************
023600*    GET CICS STORAGE NEEDED FOR THE MAP    *
023700*********************************************
023800*
023900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
024000     PERFORM MB60PD-GETMAIN-FOR-MAP
024100                                 THRU MB60PD-GFM-EXIT.
024200*
024300*******************************************
024400*    INITIALIZE THE STANDARD MAP LINES    *
024500*******************************************
024600*
024700     PERFORM MB60PD-INIT-STD-MAP-LINES
024800                                 THRU MB60PD-ISML-EXIT.
024900*
025000*****************************************
025100*    READ THE MERCHANT MASTER RECORD    *
025200*    FOR SUBSEQUENT DISPLAY             *
025300*****************************************
025400*
025500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
025600                                    MM09-ORG.
025700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
025800                                    MM09-MERCHANT.
025900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026000     SET MBIORO-READ-RANDOM      TO TRUE.
026100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
026200*
026300*********************************************
026400*    MOVE THE PRIMARY NAME TO THE SCREEN    *
026500*********************************************
026600*
026700     MOVE MMMM-NA-LINE (1 1)     TO MM09-MERCHANT-NAME.
026800*
026900****************************************
027000*    READ THE FIELD SECURITY RECORD    *
027100****************************************
027200*
027300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027400     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
027500*
027600 B020-MOVE-FIELDS-TO-SCREEN.
027700*
027800*****************************************
027900*    MOVE THE MERCHANT MASTER FIELDS    *
028000*    FROM THE RECORD TO THE SCREEN      *
028100*****************************************
028200*
028300     PERFORM Y010-MOVE-MERCHANT-CHAINS
028400                                 THRU Y019-MMC-EXIT.
028500*
028600     PERFORM Y020-MOVE-IMPRINTER-TITLES
028700                                 THRU Y029-MIT-EXIT.
028800*
028900     PERFORM Y030-MOVE-IMPRINTER-NUMBERS
029000                                 THRU Y039-MIN-EXIT.
029100*
029200     PERFORM Y040-MOVE-POS-TITLES
029300                                 THRU Y049-MPT-EXIT.
029400*
029500     PERFORM Y050-MOVE-POS-NUMBERS
029600                                 THRU Y059-MPN-EXIT.
029700*
029800     PERFORM Y060-MOVE-NBR-BULLETINS
029900                                 THRU Y069-MNB-EXIT.
030000*
030100     PERFORM Y070-MOVE-NBR-STORES
030200                                 THRU Y079-MNS-EXIT.
030300*
030400     PERFORM Y090-MOVE-USER-MEMOS
030500                                 THRU Y099-MUM-EXIT.
030600*
030700******************************************
030800*    SET THE CURSOR AND SCREEN NUMBER    *
030900******************************************
031000*
031100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
031200         MOVE SS08WS-CURSOR      TO MM09-ALT-TRANID-L
031300     ELSE
031400         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
031500*
031600     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
031700*
031800**********************
031900*    SEND THE MAP    *
032000**********************
032100*
032200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
032300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
032400                                 THRU MB60PD-SMWE-EXIT.
032500*
032600************************
032700*    RETURN TO CICS    *
032800************************
032900*
033000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
033100     PERFORM MB70PD-RETURN-TRANS-ID
033200                                 THRU MB70PD-RTI-EXIT.
033300/
033400 C000-RECEIVE-SCREEN SECTION.
033500*
033600******************************************
033700*    THIS SECTION RECEIVES THE SCREEN    *
033800******************************************
033900*
034000     IF  MBCA-MBUI-UI-YES
034100*
034200****************************************************************
034300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
034400****************************************************************
034500*
034600         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
034700         EXEC CICS GETMAIN
034800                   FLENGTH (LENGTH  OF MBUITS-RECORD)
034900
035000                   SET     (ADDRESS OF MBUITS-RECORD)
035100
035200              END-EXEC
035300*
035400***********************************************
035500*    READ THE TEMP STORAGE RECORD             *
035600***********************************************
035700*
035800         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
035900*
036000         EXEC CICS READQ TS
036100                   QUEUE   (TS-QUEUE-NAME)
036200                   INTO    (MBUITS-RECORD)
036300                   LENGTH  (LENGTH  OF MBUITS-RECORD)
036400                   ITEM    (1)
036500              END-EXEC
036600*
036700***********************************************
036800*    DELETE THE TEMP STORAGE RECORD           *
036900***********************************************
037000*
037100         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
037200*
037300         EXEC CICS IGNORE CONDITION
037400                   QIDERR
037500              END-EXEC
037600*
037700         EXEC CICS DELETEQ TS
037800                   QUEUE  (TS-QUEUE-NAME)
037900              END-EXEC
038000         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
038100         PERFORM MB60PD-GETMAIN-FOR-MAP
038200                                 THRU MB60PD-GFM-EXIT
038300         MOVE MBUITS-VAR-DATA    TO MBMM09I
038400     ELSE
038500         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
038600         PERFORM MB60PD-RECEIVE-MAP
038700                                 THRU MB60PD-RM-EXIT.
038800*
038900**************************************************************
039000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
039100**************************************************************
039200*
039300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
039400     PERFORM MB60PD-NEW-TRANS-ROUTINE
039500                                 THRU MB60PD-NTR-EXIT.
039600*
039700****************************************************
039800*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
039900****************************************************
040000*
040100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
040200         GO TO F000-SETUP-COMMAREA.
040300*
040400*****************************************
040500*    READ THE MERCHANT MASTER RECORD    *
040600*****************************************
040700*
040800     IF  MBCA-PTI-FUNCTION-IS-ADD
040900     AND MBCA-MBUI-UI-YES
041000     AND MBCA-MBUI-UI-UPDATE-NO
041100         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
041200         SET MBIORO-GETMAIN      TO TRUE
041300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
041400         MOVE MMMMIR-RECORD      TO MMMM-RECORD
041500     ELSE
041600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
041700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
041800                                    MM09-ORG
041900         MOVE MBCA-MERCHANT      TO MBIOWS-MMMM-MERCHANT
042000                                    MM09-MERCHANT
042100         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
042200         SET MBIORO-READ-RANDOM  TO TRUE
042300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
042400         IF  SS08WS-RC-FC-NOTFND
042500         AND MBCA-MBUI-UI-YES
042600             MOVE 'MBUI'         TO MBCA-TRANS-ID
042700                                    MBCA-PREV-TRANS-ID
042800             MOVE 01             TO MBCA-SCREEN-NBR
042900             MOVE 'MER'          TO MM09-FILLER
043000             SET MBCA-MBUI-ERROR-YES
043100                                 TO TRUE
043200             GO TO F000-SETUP-COMMAREA.
043300*
043400     IF (MBCA-PTI-FUNCTION-IS-MAINT
043500     AND MBCA-MBUI-UI-YES
043600     AND (MMMM-REC-PURGED
043700       OR MMMM-REC-INCOMPLETE))
043800     OR
043900        (MBCA-PTI-FUNCTION-IS-ADD
044000     AND MBCA-MBUI-UI-YES
044100     AND MMMM-REC-PURGED)
044200         MOVE 'MBUI'             TO MBCA-TRANS-ID
044300                                    MBCA-PREV-TRANS-ID
044400         MOVE 01                 TO MBCA-SCREEN-NBR
044500         MOVE 'MER'              TO MM09-FILLER
044600         SET MBCA-MBUI-ERROR-YES
044700                                 TO TRUE
044800         GO TO F000-SETUP-COMMAREA.
044900*
045000*********************************************
045100*    MOVE THE PRIMARY NAME TO THE SCREEN    *
045200*********************************************
045300*
045400     MOVE MMMM-NA-LINE (1 1)     TO MM09-MERCHANT-NAME.
045500*
045600****************************************
045700*    READ THE FIELD SECURITY RECORD    *
045800****************************************
045900*
046000     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
046100     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
046200*
046300 C020-FIELD-EDITS.
046400*
046500*********************
046600*    FIELD EDITS    *
046700*********************
046800*
046900     PERFORM W010-EDIT-MERCHANT-CHAINS
047000                                 THRU W019-EMC-EXIT.
047100*
047200     PERFORM W020-EDIT-IMPRINTER-TITLES
047300                                 THRU W029-EIT-EXIT.
047400*
047500     PERFORM W030-EDIT-IMPRINTER-NUMBERS
047600                                 THRU W039-EIN-EXIT.
047700*
047800     PERFORM W040-EDIT-POS-TITLES
047900                                 THRU W049-EPT-EXIT.
048000*
048100     PERFORM W050-EDIT-POS-NUMBERS
048200                                 THRU W059-EPN-EXIT.
048300*
048400     PERFORM W060-EDIT-NBR-BULLETINS
048500                                 THRU W069-ENB-EXIT.
048600*
048700     PERFORM W070-EDIT-NBR-STORES
048800                                 THRU W079-ENS-EXIT.
048900*
049000     PERFORM W090-EDIT-USER-MEMOS
049100                                 THRU W099-EUM-EXIT.
049200*
049300     PERFORM W110-EDIT-STMT-FREQS
049400                                 THRU W119-ESF-EXIT.
049500*
049600*********************
049700*    CROSS EDITS    *
049800*********************
049900*
050000     PERFORM W510-CHAIN-CROSS-EDITS
050100                                 THRU W519-CCE-EXIT.
050200*
050300     PERFORM W520-IMPRINTER-CROSS-EDITS
050400                                 THRU W529-ICE-EXIT.
050500*
050600     PERFORM W530-POS-CROSS-EDITS
050700                                 THRU W539-PCE-EXIT.
050800/
050900 D000-RETURN-ERRORS SECTION.
051000*
051100     IF  SS08WS-ERROR-SW-NO
051200         GO TO E000-UPDATE-FILE.
051300*
051400     IF  MBCA-MBUI-UI-YES
051500         MOVE 'MBUI'             TO MBCA-TRANS-ID
051600                                    MBCA-PREV-TRANS-ID
051700         MOVE 01                 TO MBCA-SCREEN-NBR
051800         SET MBCA-MBUI-ERROR-YES TO TRUE
051900         GO TO F090-TRANSFER-XCTL.
052000*
052100***************************************************************
052200*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
052300*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
052400*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
052500***************************************************************
052600*
052700     PERFORM MB60PD-INIT-STD-MAP-LINES
052800                                 THRU MB60PD-ISML-EXIT.
052900*
053000**********************
053100*    SEND THE MAP    *
053200**********************
053300*
053400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
053500     PERFORM MB60PD-SEND-MAP-DATA-ONLY
053600                                 THRU MB60PD-SMDO-EXIT.
053700*
053800************************
053900*    RETURN TO CICS    *
054000************************
054100*
054200     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
054300     PERFORM MB70PD-RETURN-TRANS-ID
054400                                 THRU MB70PD-RTI-EXIT.
054500/
054600 E000-UPDATE-FILE SECTION.
054700*
054800     IF  MBCA-MBUI-UI-YES
054900         SET MBCA-MBUI-ERROR-NO  TO TRUE.
055000*
055100     IF  MBCA-MBUI-UI-YES
055200     AND MBCA-MBUI-UI-UPDATE-NO
055300         GO TO F090-TRANSFER-XCTL.
055400*
055500****************************************************
055600*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
055700****************************************************
055800*
055900     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
056000     SET MBIORO-READ-RANDOM-UPDATE
056100                                 TO TRUE.
056200     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
056300*
056400*************************************
056500*    OBTAIN STORAGE FOR LOG FILE    *
056600*************************************
056700*
056800     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
056900     SET MBIORO-GETMAIN          TO TRUE.
057000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
057100*
057200*************************************************
057300*    SET UP THE COMMON PORTION OF THE RECORD    *
057400*************************************************
057500*
057600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
057700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
057800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
057900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
058000*
058100 E020-UPDATE-FIELDS.
058200*
058300     PERFORM X010-UPDATE-MERCHANT-CHAINS
058400                                 THRU X019-UMC-EXIT.
058500*
058600     MOVE 'MM'                   TO MML1-FILE-CODE.
058700     MOVE SPACES                 TO MML1-MMRC-KEY.
058800     MOVE SPACES                 TO MML1-MMRD-KEY.
058900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
059000     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
059100*
059200     PERFORM X020-UPDATE-IMPRINTER-TITLES
059300                                 THRU X029-UIT-EXIT.
059400*
059500     PERFORM X030-UPDATE-IMPRINTER-NUMBERS
059600                                 THRU X039-UIN-EXIT.
059700*
059800     PERFORM X040-UPDATE-POS-TITLES
059900                                 THRU X049-UPT-EXIT.
060000*
060100     PERFORM X050-UPDATE-POS-NUMBERS
060200                                 THRU X059-UPN-EXIT.
060300*
060400     PERFORM X060-UPDATE-NBR-BULLETINS
060500                                 THRU X069-UNB-EXIT.
060600*
060700     PERFORM X070-UPDATE-NBR-STORES
060800                                 THRU X079-UNS-EXIT.
060900*
061000     PERFORM X090-UPDATE-USER-MEMOS
061100                                 THRU X099-UUM-EXIT.
061200*
061300     PERFORM X130-UPDATE-BI-WEEKLY-DATE
061400                                 THRU X139-UBWD-EXIT.
061500*
061600     PERFORM X700-UPDT-STORE-FIELDS
061700                                 THRU X799-USF-EXIT.
061800*
061900 E040-UPDATE-MMMM.
062000*
062100     MOVE 'MM'                   TO MML1-FILE-CODE.
062200     MOVE SPACES                 TO MML1-MMRC-KEY.
062300     MOVE SPACES                 TO MML1-MMRD-KEY.
062400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
062500     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
062600*
062700     IF  MBCA-PTI-FUNCTION-IS-ADD
062800         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
062900         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
063000         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
063100         SET WS-UPDATE-SW-YES    TO TRUE.
063200*
063300**************************************************************
063400*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
063500*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
063600*    ON THE SCREEN                                           *
063700**************************************************************
063800*
063900     IF  MBCA-PTI-FUNCTION-IS-MAINT
064000     AND WS-UPDATE-SW-YES
064100         MOVE 0198               TO MML1-FIELD-CODE
064200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
064300                                    MML1-FIELD-OCCURRENCE-2
064400         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
064500         MOVE MMMM-LAST-MAINT-OPER
064600                                 TO MML1-VL03-B-DATA-X
064700         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
064800         MOVE MMMM-LAST-MAINT-OPER
064900                                 TO MML1-VL03-A-DATA-X
065000         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
065100         PERFORM Y910-WRITE-LOG-RECORD
065200                                 THRU Y919-WLR-EXIT
065300         MOVE 0199               TO MML1-FIELD-CODE
065400         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
065500         MOVE MMMM-LAST-MAINT-DATE
065600                                 TO MML1-VL07-B-DATA-9
065700         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
065800         MOVE MMMM-LAST-MAINT-DATE
065900                                 TO MML1-VL07-A-DATA-9
066000         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
066100         PERFORM Y910-WRITE-LOG-RECORD
066200                                 THRU Y919-WLR-EXIT.
066300*
066400****************************************************
066500*    REWRITE THE MERCHANT MASTER RECORD IF         *
066600*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
066700*    UNLOCK IT IF THEY HAVE NOT                    *
066800****************************************************
066900*
067000     IF  WS-UPDATE-SW-YES
067100         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
067200         SET MBIORO-REWRITE      TO TRUE
067300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
067400     ELSE
067500         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
067600         SET MBIORO-UNLOCK       TO TRUE
067700         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
067800/
067900 F000-SETUP-COMMAREA SECTION.
068000*
068100***************************************************************
068200*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
068300***************************************************************
068400*
068500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
068600*
068700     IF  MM09-CURRENT-PAGE-L IS GREATER THAN ZERO
068800     AND MM09-CURRENT-PAGE   IS NUMERIC
068900         IF  MM09-CURRENT-PAGE IS GREATER THAN 13
069000             MOVE 63             TO MBCA-SCREEN-NBR
069100             GO TO F090-TRANSFER-XCTL.
069200*
069300     PERFORM MB60PD-EDIT-PAGE-NBR
069400                                 THRU MB60PD-EPN-EXIT.
069500*
069600     IF  SS08WS-VALID-PF-KEY
069700     OR  SS08WS-EIBAID-VALID-PF-KEY
069800         SET MBCA-INITIAL-SCREEN-NBR
069900                                 TO TRUE.
070000*
070100 F090-TRANSFER-XCTL.
070200*
070300     IF  MBCA-MBUI-UI-YES
070400         MOVE 'MBUI'             TO MBCA-TRANS-ID
070500                                    MBCA-PREV-TRANS-ID
070600         MOVE 01                 TO MBCA-SCREEN-NBR
070700         MOVE MBMM09I            TO MBUITS-VAR-DATA
070800         MOVE LENGTH OF MBMM09I  TO MBUITS-VAR-LENGTH
070900         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
071000         EXEC CICS WRITEQ TS
071100                   QUEUE   (TS-QUEUE-NAME)
071200                   FROM    (MBUITS-RECORD)
071300                   LENGTH  (LENGTH  OF MBUITS-RECORD)
071400
071500              END-EXEC.
071600*
071700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
071800     PERFORM MB70PD-XCTL-TO-MBOXCTL
071900                                 THRU MB70PD-XTM-EXIT.
072000/
072100 W000-FIELD-EDITS SECTION.
072200*
072300*********************************************************
072400*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
072500*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
072600*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
072700*    'W010-EDIT-MERCHANT-CHAINS' THRU 'W019-EMC-EXIT'.  *
072800*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE    *
072900*    UNIQUE TO THAT ROUTINE.                            *
073000*********************************************************
073100*
073200 W010-EDIT-MERCHANT-CHAINS.
073300*
073400     SET X-MM09-MCID-INDEX       TO 1.
073500     SET X-MMMM-MERCH-CHAIN      TO 1.
073600     MOVE MMMMTB-CHAIN-1-ID (1:4)
073700                                 TO WS-INDEX-X.
073800     SET X-MMFS-MERCH            TO WS-INDEX.
073900*
074000 W011-EMC-LOOP.
074100*
074200*****************************************************
074300*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
074400*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
074500*****************************************************
074600*
074700     MOVE DFHBMDAS               TO MM09-CHAIN-LP-A
074800                                    (X-MM09-MCID-INDEX)
074900                                    MM09-CHAIN-RP-A
075000                                    (X-MM09-MCID-INDEX).
075100     MOVE DFHBMASK               TO MM09-CHAIN-A
075200                                    (X-MM09-MCID-INDEX).
075300*
075400************************************************************
075500*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
075600*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
075700*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
075800*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
075900*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
076000*    RETURNED WILL BE ZERO.                                *
076100************************************************************
076200*
076300     PERFORM Y015-MERCHANT-CHAIN-SECURITY
076400                                 THRU Y016-MCS-EXIT.
076500*
076600************************
076700*    EDIT THE FIELD    *
076800************************
076900*
077000     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
077100         MOVE DFHBMASF           TO MM09-CHAIN-A
077200                                    (X-MM09-MCID-INDEX)
077300     ELSE
077400         MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
077500                                 TO MM09-CHAIN
077600                                    (X-MM09-MCID-INDEX).
077700*
077800     IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS NOT NUMERIC
077900         GO TO W017-CHAIN-ERROR.
078000*
078100*********************************************
078200*    READ THE MERCHANT RELATIONSHIP FILE    *
078300*    TO ENSURE THAT THE CHAIN ID IS ON      *
078400*    FILE AND AN ACTIVE RECORD              *
078500*********************************************
078600*
078700     IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS EQUAL TO ZEROES
078800         GO TO W016-BYPASS-READ.
078900*
079000     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
079100     AND MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
079200                                 IS EQUAL TO MM09-CHAIN
079300                                    (X-MM09-MCID-INDEX)
079400         GO TO W016-BYPASS-READ.
079500*
079600     IF  MMMM-REC-MODEL
079700         GO TO W016-BYPASS-READ.
079800*
079900****************************************
080000*    READ THE MERCHANT RELATIONSHIP    *
080100****************************************
080200*
080300     SET EDIT-ROUTINE-IS-PERFORMING
080400                                 TO TRUE.
080500     SET MERCHANT-CHAIN-FOUND    TO TRUE.
080600     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
080700     PERFORM Y950-READ-MMRC      THRU Y959-RM-EXIT.
080800*
080900     IF  MERCHANT-CHAIN-NOT-FOUND
081000     OR  MMRC-REC-INCOMPLETE
081100     OR  MMRC-REC-PURGED
081200     OR  MMRC-REC-INACTIVE
081300     OR  MMRC-ADD-PENDING
081400         GO TO W017-CHAIN-ERROR.
081500*
081600     MOVE +1                     TO WS-SEQ-NBR.
081700*
081800 W012-READ-MMRD-REC.
081900*
082000     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
082100     OR  (MBCA-PTI-FUNCTION-IS-ADD
082200     AND  MM09-CHAIN (X-MM09-MCID-INDEX) IS GREATER THAN ZERO)
082300         NEXT SENTENCE
082400     ELSE
082500         GO TO W016-BYPASS-READ.
082600*
082700     IF  MBCA-PTI-FUNCTION-IS-ADD
082800     AND MM09-CHAIN (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
082900         MOVE +9                 TO MM09-CHAIN-L
083000                                    (X-MM09-MCID-INDEX).
083100*
083200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
083300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
083400     MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
083500                                 TO MBIOWS-MMRD-CHAIN.
083600     MOVE WS-SEQ-NBR             TO MBIOWS-MMRD-SEQ-NBR.
083700     SET MBIORO-READ-RANDOM      TO TRUE.
083800     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
083900*
084000     IF  SS08WS-RC-FC-NOTFND
084100         GO TO W016-BYPASS-READ.
084200*
084300     SET X-MMRD-MEMBER           TO +1.
084400*
084500     SEARCH MMRD-MEMBER-TABLE VARYING X-MMRD-MEMBER
084600         AT END
084700             SET  X-MMRD-MEMBER
084800                                 TO 1
084900         WHEN MMRD-MEMBER (X-MMRD-MEMBER)
085000                                 IS EQUAL TO MBCA-MERCHANT
085100             GO TO W017-CHAIN-ERROR.
085200*
085300     ADD +1                      TO WS-SEQ-NBR.
085400     GO TO W012-READ-MMRD-REC.
085500*
085600 W016-BYPASS-READ.
085700*
085800     IF  MBCA-PTI-FUNCTION-IS-MAINT
085900     OR  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
086000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
086100         GO TO W018-INCREMENT-INDEXES.
086200*
086300 W017-CHAIN-ERROR.
086400*
086500*******************************************************
086600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
086700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
086800*    THE DATA ELEMENT.                                *
086900*******************************************************
087000*
087100     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
087200         MOVE DFHBMNBF           TO MM09-CHAIN-A
087300                                    (X-MM09-MCID-INDEX)
087400     ELSE
087500         MOVE DFHBMUNB           TO MM09-CHAIN-A
087600                                    (X-MM09-MCID-INDEX).
087700*
087800     SET SS08WS-ERROR-SW-YES     TO TRUE.
087900     SET CHAIN-ERRORS-EXIST      TO TRUE.
088000     MOVE DFHBMASB               TO MM09-CHAIN-LP-A
088100                                    (X-MM09-MCID-INDEX)
088200                                    MM09-CHAIN-RP-A
088300                                    (X-MM09-MCID-INDEX).
088400     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
088500                                    (X-MM09-MCID-INDEX).
088600*
088700 W018-INCREMENT-INDEXES.
088800*
088900     IF  X-MM09-MCID-INDEX IS LESS THAN 10
089000         SET X-MM09-MCID-INDEX   UP BY 1
089100         SET X-MMMM-MERCH-CHAIN  UP BY 1
089200         SET X-MMFS-MERCH        UP BY 1
089300         GO TO W011-EMC-LOOP.
089400*
089500 W019-EMC-EXIT.
089600     EXIT.
089700*
089800 W020-EDIT-IMPRINTER-TITLES.
089900*
090000     MOVE MMMMTB-IMP-1-TITLE (1:4)
090100                                 TO WS-INDEX-X.
090200     SET  X-MMFS-MERCH           TO WS-INDEX.
090300     SET  X-MMMM-IMP             TO 1.
090400     SET  X-MM09-IMP-POS-INDEX   TO 1.
090500*
090600 W021-EIT-LOOP.
090700*
090800     MOVE DFHBMDAS               TO MM09-IMPRINTER-TITLE-LP-A
090900                                    (X-MM09-IMP-POS-INDEX)
091000                                    MM09-IMPRINTER-TITLE-RP-A
091100                                    (X-MM09-IMP-POS-INDEX).
091200     MOVE DFHBMASK               TO MM09-IMPRINTER-TITLE-A
091300                                    (X-MM09-IMP-POS-INDEX).
091400*
091500     PERFORM Y025-IMPRINTER-TITLE-SECURITY
091600                                 THRU Y026-ITS-EXIT.
091700*
091800     IF  MM09-IMPRINTER-TITLE-L (X-MM09-IMP-POS-INDEX)
091900                                 IS EQUAL TO ZERO
092000         MOVE MMMM-IMP-DEV-TITLE (X-MMMM-IMP)
092100                                 TO MM09-IMPRINTER-TITLE
092200                                    (X-MM09-IMP-POS-INDEX).
092300*
092400     IF  MM09-IMPRINTER-TITLE-L (X-MM09-IMP-POS-INDEX)
092500                                 IS GREATER THAN ZERO
092600         IF  MBCA-PTI-FUNCTION-IS-ADD
092700         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
092800             MOVE DFHBMABF       TO MM09-IMPRINTER-TITLE-A
092900                                    (X-MM09-IMP-POS-INDEX)
093000             GO TO W028-INCREMENT-INDEXES
093100         ELSE
093200             MOVE DFHBMASF       TO MM09-IMPRINTER-TITLE-A
093300                                    (X-MM09-IMP-POS-INDEX)
093400             GO TO W028-INCREMENT-INDEXES.
093500*
093600     IF  MBCA-PTI-FUNCTION-IS-MAINT
093700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
093800         GO TO W028-INCREMENT-INDEXES.
093900*
094000 W027-IMPRINTER-TITLE-ERROR.
094100*
094200     IF  MM09-IMPRINTER-TITLE-L (X-MM09-IMP-POS-INDEX)
094300                                 IS GREATER THAN ZERO
094400         MOVE DFHBMUBF           TO MM09-IMPRINTER-TITLE-A
094500                                    (X-MM09-IMP-POS-INDEX)
094600     ELSE
094700         MOVE DFHBMBRY           TO MM09-IMPRINTER-TITLE-A
094800                                    (X-MM09-IMP-POS-INDEX).
094900*
095000     SET SS08WS-ERROR-SW-YES     TO TRUE.
095100     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
095200     MOVE DFHBMASB               TO MM09-IMPRINTER-TITLE-LP-A
095300                                    (X-MM09-IMP-POS-INDEX)
095400                                    MM09-IMPRINTER-TITLE-RP-A
095500                                    (X-MM09-IMP-POS-INDEX).
095600     MOVE SS08WS-CURSOR          TO MM09-IMPRINTER-TITLE-L
095700                                    (X-MM09-IMP-POS-INDEX).
095800*
095900 W028-INCREMENT-INDEXES.
096000*
096100     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
096200         SET X-MM09-IMP-POS-INDEX
096300                                 UP BY 1
096400         SET X-MMMM-IMP          UP BY 1
096500         SET X-MMFS-MERCH        UP BY 2
096600         GO TO W021-EIT-LOOP.
096700*
096800 W029-EIT-EXIT.
096900     EXIT.
097000*
097100 W030-EDIT-IMPRINTER-NUMBERS.
097200*
097300     MOVE MMMMTB-IMP-1-NBR (1:4)
097400                                 TO WS-INDEX-X.
097500     SET  X-MMFS-MERCH           TO WS-INDEX.
097600     SET  X-MMMM-IMP             TO 1.
097700     SET  X-MM09-IMP-POS-INDEX   TO 1.
097800*
097900 W031-EIN-LOOP.
098000*
098100     MOVE DFHBMDAS               TO MM09-IMPRINTER-NBR-LP-A
098200                                    (X-MM09-IMP-POS-INDEX)
098300                                    MM09-IMPRINTER-NBR-RP-A
098400                                    (X-MM09-IMP-POS-INDEX).
098500     MOVE DFHBMASK               TO MM09-IMPRINTER-NBR-A
098600                                    (X-MM09-IMP-POS-INDEX).
098700*
098800     PERFORM Y035-IMPRINTER-NBR-SECURITY
098900                                 THRU Y036-INS-EXIT.
099000*
099100     IF  MMMM-SINGLE-STORE-NO
099200         MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
099300                                 TO MM09-IMPRINTER-NBR
099400                                    (X-MM09-IMP-POS-INDEX)
099500         GO TO W038-INCREMENT-INDEXES.
099600*
099700     IF  MM09-IMPRINTER-NBR-L (X-MM09-IMP-POS-INDEX)
099800                                 IS EQUAL TO ZERO
099900         MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
100000                                 TO MM09-IMPRINTER-NBR
100100                                    (X-MM09-IMP-POS-INDEX).
100200*
100300     IF  MM09-IMPRINTER-NBR (X-MM09-IMP-POS-INDEX) IS NOT NUMERIC
100400         GO TO W037-IMPRINTER-NBR-ERROR.
100500*
100600     IF  MM09-IMPRINTER-NBR-L (X-MM09-IMP-POS-INDEX)
100700                                 IS GREATER THAN ZERO
100800         IF  MBCA-PTI-FUNCTION-IS-ADD
100900         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
101000             MOVE DFHBMABF       TO MM09-IMPRINTER-NBR-A
101100                                    (X-MM09-IMP-POS-INDEX)
101200             GO TO W038-INCREMENT-INDEXES
101300         ELSE
101400             MOVE DFHBMASF       TO MM09-IMPRINTER-NBR-A
101500                                    (X-MM09-IMP-POS-INDEX)
101600             GO TO W038-INCREMENT-INDEXES.
101700*
101800     IF  MBCA-PTI-FUNCTION-IS-MAINT
101900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
102000         GO TO W038-INCREMENT-INDEXES.
102100*
102200 W037-IMPRINTER-NBR-ERROR.
102300*
102400     IF  MM09-IMPRINTER-NBR-L (X-MM09-IMP-POS-INDEX)
102500                                 IS GREATER THAN ZERO
102600         MOVE DFHBMNBF           TO MM09-IMPRINTER-NBR-A
102700                                    (X-MM09-IMP-POS-INDEX)
102800     ELSE
102900         MOVE DFHBMUNB           TO MM09-IMPRINTER-NBR-A
103000                                    (X-MM09-IMP-POS-INDEX).
103100*
103200     SET SS08WS-ERROR-SW-YES     TO TRUE.
103300     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
103400     MOVE DFHBMASB               TO MM09-IMPRINTER-NBR-LP-A
103500                                    (X-MM09-IMP-POS-INDEX)
103600                                    MM09-IMPRINTER-NBR-RP-A
103700                                    (X-MM09-IMP-POS-INDEX).
103800     MOVE SS08WS-CURSOR          TO MM09-IMPRINTER-NBR-L
103900                                    (X-MM09-IMP-POS-INDEX).
104000*
104100 W038-INCREMENT-INDEXES.
104200*
104300     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
104400         SET X-MM09-IMP-POS-INDEX
104500                                 UP BY 1
104600         SET X-MMMM-IMP          UP BY 1
104700         SET X-MMFS-MERCH        UP BY 2
104800         GO TO W031-EIN-LOOP.
104900*
105000 W039-EIN-EXIT.
105100     EXIT.
105200*
105300 W040-EDIT-POS-TITLES.
105400*
105500     MOVE MMMMTB-POS-1-TITLE (1:4)
105600                                 TO WS-INDEX-X.
105700     SET  X-MMFS-MERCH           TO WS-INDEX.
105800     SET  X-MMMM-POS             TO 1.
105900     SET  X-MM09-IMP-POS-INDEX   TO 1.
106000*
106100 W041-EPT-LOOP.
106200*
106300     MOVE DFHBMDAS               TO MM09-POS-TITLE-LP-A
106400                                    (X-MM09-IMP-POS-INDEX)
106500                                    MM09-POS-TITLE-RP-A
106600                                    (X-MM09-IMP-POS-INDEX).
106700     MOVE DFHBMASK               TO MM09-POS-TITLE-A
106800                                    (X-MM09-IMP-POS-INDEX).
106900*
107000     PERFORM Y045-POS-TITLE-SECURITY
107100                                 THRU Y046-PTS-EXIT.
107200*
107300     IF  MM09-POS-TITLE-L (X-MM09-IMP-POS-INDEX)
107400                                 IS EQUAL TO ZERO
107500         MOVE MMMM-POS-DEV-TITLE (X-MMMM-POS)
107600                                 TO MM09-POS-TITLE
107700                                    (X-MM09-IMP-POS-INDEX).
107800*
107900     IF  MM09-POS-TITLE-L (X-MM09-IMP-POS-INDEX)
108000                                 IS GREATER THAN ZERO
108100         IF  MBCA-PTI-FUNCTION-IS-ADD
108200         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
108300             MOVE DFHBMABF       TO MM09-POS-TITLE-A
108400                                    (X-MM09-IMP-POS-INDEX)
108500             GO TO W048-INCREMENT-INDEXES
108600         ELSE
108700             MOVE DFHBMASF       TO MM09-POS-TITLE-A
108800                                    (X-MM09-IMP-POS-INDEX)
108900             GO TO W048-INCREMENT-INDEXES.
109000*
109100     IF  MBCA-PTI-FUNCTION-IS-MAINT
109200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
109300         GO TO W048-INCREMENT-INDEXES.
109400*
109500 W047-POS-TITLE-ERROR.
109600*
109700     IF  MM09-POS-TITLE-L (X-MM09-IMP-POS-INDEX)
109800                                 IS GREATER THAN ZERO
109900         MOVE DFHBMUBF           TO MM09-POS-TITLE-A
110000                                    (X-MM09-IMP-POS-INDEX)
110100     ELSE
110200         MOVE DFHBMBRY           TO MM09-POS-TITLE-A
110300                                    (X-MM09-IMP-POS-INDEX).
110400*
110500     SET SS08WS-ERROR-SW-YES     TO TRUE.
110600     SET POS-ERRORS-EXIST        TO TRUE.
110700     MOVE DFHBMASB               TO MM09-POS-TITLE-LP-A
110800                                    (X-MM09-IMP-POS-INDEX)
110900                                    MM09-POS-TITLE-RP-A
111000                                    (X-MM09-IMP-POS-INDEX).
111100     MOVE SS08WS-CURSOR          TO MM09-POS-TITLE-L
111200                                    (X-MM09-IMP-POS-INDEX).
111300*
111400 W048-INCREMENT-INDEXES.
111500*
111600     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
111700         SET X-MM09-IMP-POS-INDEX
111800                                 UP BY 1
111900         SET X-MMMM-POS          UP BY 1
112000         SET X-MMFS-MERCH        UP BY 2
112100         GO TO W041-EPT-LOOP.
112200*
112300 W049-EPT-EXIT.
112400     EXIT.
112500*
112600 W050-EDIT-POS-NUMBERS.
112700*
112800     MOVE MMMMTB-POS-1-NBR (1:4)
112900                                 TO WS-INDEX-X.
113000     SET  X-MMFS-MERCH           TO WS-INDEX.
113100     SET  X-MMMM-POS             TO 1.
113200     SET  X-MM09-IMP-POS-INDEX   TO 1.
113300*
113400 W051-EPN-LOOP.
113500*
113600     MOVE DFHBMDAS               TO MM09-POS-NBR-LP-A
113700                                    (X-MM09-IMP-POS-INDEX)
113800                                    MM09-POS-NBR-RP-A
113900                                    (X-MM09-IMP-POS-INDEX).
114000     MOVE DFHBMASK               TO MM09-POS-NBR-A
114100                                    (X-MM09-IMP-POS-INDEX).
114200*
114300     PERFORM Y055-POS-NBR-SECURITY
114400                                 THRU Y056-PNS-EXIT.
114500*
114600     IF  MMMM-SINGLE-STORE-NO
114700         MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
114800                                 TO MM09-POS-NBR
114900                                    (X-MM09-IMP-POS-INDEX)
115000         GO TO W058-INCREMENT-INDEXES.
115100*
115200     IF  MM09-POS-NBR-L (X-MM09-IMP-POS-INDEX)
115300                                 IS EQUAL TO ZERO
115400         MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
115500                                 TO MM09-POS-NBR
115600                                    (X-MM09-IMP-POS-INDEX).
115700*
115800     IF  MM09-POS-NBR (X-MM09-IMP-POS-INDEX) IS NOT NUMERIC
115900         GO TO W057-POS-NBR-ERROR.
116000*
116100     IF  MM09-POS-NBR-L (X-MM09-IMP-POS-INDEX)
116200                                 IS GREATER THAN ZERO
116300         IF  MBCA-PTI-FUNCTION-IS-ADD
116400         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
116500             MOVE DFHBMABF       TO MM09-POS-NBR-A
116600                                    (X-MM09-IMP-POS-INDEX)
116700             GO TO W058-INCREMENT-INDEXES
116800         ELSE
116900             MOVE DFHBMASF       TO MM09-POS-NBR-A
117000                                    (X-MM09-IMP-POS-INDEX)
117100             GO TO W058-INCREMENT-INDEXES.
117200*
117300     IF  MBCA-PTI-FUNCTION-IS-MAINT
117400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
117500         GO TO W058-INCREMENT-INDEXES.
117600*
117700 W057-POS-NBR-ERROR.
117800*
117900     IF  MM09-POS-NBR-L (X-MM09-IMP-POS-INDEX)
118000                                 IS GREATER THAN ZERO
118100         MOVE DFHBMNBF           TO MM09-POS-NBR-A
118200                                    (X-MM09-IMP-POS-INDEX)
118300     ELSE
118400         MOVE DFHBMUNB           TO MM09-POS-NBR-A
118500                                    (X-MM09-IMP-POS-INDEX).
118600*
118700     SET SS08WS-ERROR-SW-YES     TO TRUE.
118800     SET POS-ERRORS-EXIST        TO TRUE.
118900     MOVE DFHBMASB               TO MM09-POS-NBR-LP-A
119000                                    (X-MM09-IMP-POS-INDEX)
119100                                    MM09-POS-NBR-RP-A
119200                                    (X-MM09-IMP-POS-INDEX).
119300     MOVE SS08WS-CURSOR          TO MM09-POS-NBR-L
119400                                    (X-MM09-IMP-POS-INDEX).
119500*
119600 W058-INCREMENT-INDEXES.
119700*
119800     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
119900         SET X-MM09-IMP-POS-INDEX
120000                                 UP BY 1
120100         SET X-MMMM-POS          UP BY 1
120200         SET X-MMFS-MERCH        UP BY 2
120300         GO TO W051-EPN-LOOP.
120400*
120500 W059-EPN-EXIT.
120600     EXIT.
120700*
120800 W060-EDIT-NBR-BULLETINS.
120900*
121000     MOVE DFHBMDAS               TO MM09-NBR-BULLETINS-LP-A
121100                                    MM09-NBR-BULLETINS-RP-A.
121200     MOVE DFHBMASK               TO MM09-NBR-BULLETINS-A.
121300*
121400     PERFORM Y065-NBR-BULLETINS-SECURITY
121500                                 THRU Y069-MNB-EXIT.
121600*
121700     IF  MM09-NBR-BULLETINS-L    IS EQUAL TO ZERO
121800         MOVE MMMM-NBR-BULLETINS TO MM09-NBR-BULLETINS.
121900*
122000     IF  MM09-NBR-BULLETINS IS NOT NUMERIC
122100         GO TO W067-NBR-BULLETINS-ERROR.
122200*
122300     IF  MM09-NBR-BULLETINS-L    IS GREATER THAN ZERO
122400         IF  MBCA-PTI-FUNCTION-IS-ADD
122500         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
122600             MOVE DFHBMABF       TO MM09-NBR-BULLETINS-A
122700             GO TO W069-ENB-EXIT
122800         ELSE
122900             MOVE DFHBMASF       TO MM09-NBR-BULLETINS-A
123000             GO TO W069-ENB-EXIT.
123100*
123200     IF  MBCA-PTI-FUNCTION-IS-MAINT
123300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
123400         GO TO W069-ENB-EXIT.
123500*
123600 W067-NBR-BULLETINS-ERROR.
123700*
123800     IF  MM09-NBR-BULLETINS-L    IS GREATER THAN ZERO
123900         MOVE DFHBMNBF           TO MM09-NBR-BULLETINS-A
124000     ELSE
124100         MOVE DFHBMUNB           TO MM09-NBR-BULLETINS-A.
124200*
124300     SET SS08WS-ERROR-SW-YES     TO TRUE.
124400     SET POS-ERRORS-EXIST        TO TRUE.
124500     MOVE DFHBMASB               TO MM09-NBR-BULLETINS-LP-A
124600                                    MM09-NBR-BULLETINS-RP-A.
124700     MOVE SS08WS-CURSOR          TO MM09-NBR-BULLETINS-L.
124800*
124900 W069-ENB-EXIT.
125000     EXIT.
125100*
125200 W070-EDIT-NBR-STORES.
125300*
125400     MOVE DFHBMASK               TO MM09-NBR-STORES-A.
125500*
125600     PERFORM Y075-NBR-STORES-SECURITY
125700                                 THRU Y079-MNS-EXIT.
125800*
125900     IF  MM09-NBR-STORES-L       IS EQUAL TO ZERO
126000         MOVE MMMM-NBR-STORES    TO MM09-NBR-STORES.
126100*
126200     IF  MM09-NBR-STORES IS NOT NUMERIC
126300         GO TO W077-NBR-STORES-ERROR.
126400*
126500     IF  MM09-NBR-STORES-L       IS GREATER THAN ZERO
126600         IF  MBCA-PTI-FUNCTION-IS-ADD
126700         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
126800             MOVE DFHBMABF       TO MM09-NBR-STORES-A
126900             GO TO W079-ENS-EXIT
127000         ELSE
127100             MOVE DFHBMASF       TO MM09-NBR-STORES-A
127200             GO TO W079-ENS-EXIT.
127300*
127400     IF  MBCA-PTI-FUNCTION-IS-MAINT
127500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
127600         GO TO W079-ENS-EXIT.
127700*
127800 W077-NBR-STORES-ERROR.
127900*
128000     IF  MM09-NBR-STORES-L       IS GREATER THAN ZERO
128100         MOVE DFHBMNBF           TO MM09-NBR-STORES-A
128200     ELSE
128300         MOVE DFHBMUNB           TO MM09-NBR-STORES-A.
128400*
128500     SET SS08WS-ERROR-SW-YES     TO TRUE.
128600     MOVE SS08WS-CURSOR          TO MM09-NBR-STORES-L.
128700*
128800 W079-ENS-EXIT.
128900     EXIT.
129000*
129100 W090-EDIT-USER-MEMOS.
129200*
129300     MOVE MMMMTB-MEMO-1 (1:4)     TO WS-INDEX-X.
129400     SET  X-MMFS-MERCH           TO WS-INDEX.
129500     SET  X-MMMM-MEMO            TO 1.
129600     SET  X-MM09-UM-INDEX        TO 1.
129700*
129800 W091-EUM-LOOP.
129900*
130000     MOVE DFHBMDAS               TO MM09-USER-MEMO-LP-A
130100                                    (X-MM09-UM-INDEX)
130200                                    MM09-USER-MEMO-RP-A
130300                                    (X-MM09-UM-INDEX)
130400     MOVE DFHBMASK               TO MM09-USER-MEMO-A
130500                                    (X-MM09-UM-INDEX).
130600*
130700     PERFORM Y095-USER-MEMO-SECURITY
130800                                 THRU Y096-UMS-EXIT.
130900*
131000     IF  MM09-USER-MEMO-L (X-MM09-UM-INDEX) IS GREATER THAN ZERO
131100         MOVE DFHBMASF           TO MM09-USER-MEMO-A
131200                                    (X-MM09-UM-INDEX)
131300         GO TO W098-INCREMENT-INDEXES
131400     ELSE
131500         MOVE MMMM-MEMO (X-MMMM-MEMO)
131600                                 TO MM09-USER-MEMO
131700                                    (X-MM09-UM-INDEX).
131800*
131900     IF  MBCA-PTI-FUNCTION-IS-MAINT
132000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
132100         GO TO W098-INCREMENT-INDEXES.
132200*
132300 W097-MEMO-ERROR.
132400*
132500     IF  MM09-USER-MEMO-L (X-MM09-UM-INDEX) IS GREATER THAN ZERO
132600         MOVE DFHBMUBF           TO MM09-USER-MEMO-A
132700                                    (X-MM09-UM-INDEX)
132800     ELSE
132900         MOVE DFHBMBRY           TO MM09-USER-MEMO-A
133000                                    (X-MM09-UM-INDEX).
133100*
133200     SET SS08WS-ERROR-SW-YES     TO TRUE.
133300     MOVE DFHBMASB               TO MM09-USER-MEMO-LP-A
133400                                    (X-MM09-UM-INDEX)
133500                                    MM09-USER-MEMO-RP-A
133600                                    (X-MM09-UM-INDEX).
133700     MOVE SS08WS-CURSOR          TO MM09-USER-MEMO-L
133800                                    (X-MM09-UM-INDEX).
133900*
134000 W098-INCREMENT-INDEXES.
134100*
134200     IF  X-MM09-UM-INDEX IS LESS THAN 4
134300         SET X-MMFS-MERCH        UP BY 1
134400         SET X-MMMM-MEMO         UP BY 1
134500         SET X-MM09-UM-INDEX     UP BY 1
134600         GO TO W091-EUM-LOOP.
134700*
134800 W099-EUM-EXIT.
134900     EXIT.
135000*
135100 W110-EDIT-STMT-FREQS.
135200*
135300     SET X-MM09-MCID-INDEX       TO 1.
135400*
135500 W111-ESF-LOOP.
135600*
135700************************
135800*    EDIT THE FIELD    *
135900************************
136000*
136100     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
136200         IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS EQUAL TO ZEROES
136300             GO TO W118-INCREMENT-INDEXES
136400         ELSE
136500             MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMRC-ORG
136600             MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
136700                                 TO MBIOWS-MMRC-CHAIN
136800             SET MERCHANT-CHAIN-FOUND
136900                                 TO TRUE
137000             SET MBIORO-READ-RANDOM
137100                                 TO TRUE
137200             MOVE 'FC11'         TO MBCA-PROGRAM-LOCATION
137300             PERFORM MMRCAO-ACCESS
137400                                 THRU MMRCAO-ACCESS-EXIT
137500     ELSE
137600         GO TO W118-INCREMENT-INDEXES.
137700*
137800     IF  MMRC-PRODUCE-CHAIN-STMT
137900         IF  MMRC-STMT-FREQ-1 IS NOT EQUAL
138000             MMMM-STMT-FREQ-1
138100         OR
138200             MMRC-STMT-FREQ-2 IS NOT EQUAL
138300             MMMM-STMT-FREQ-2
138400             GO TO W117-STMT-FREQ-ERROR.
138500*
138600     IF  MMRC-PRODUCE-CHAIN-STMT
138700         IF  MMMM-SF1-BI-WEEKLY-STMT
138800         AND MMMM-BI-WEEKLY-STMT-DATE
138900             IS EQUAL TO MMRC-BI-WEEKLY-STMT-DATE
139000             NEXT SENTENCE
139100         ELSE
139200             IF  MMMM-BI-WEEKLY-STMT-DATE IS EQUAL TO ZERO
139300                 MOVE MMRC-BI-WEEKLY-STMT-DATE
139400                                 TO MMMM-BI-WEEKLY-STMT-DATE
139500                 SET WS-BI-WEEKLY-YES
139600                                 TO TRUE
139700             ELSE
139800                 GO TO W117-STMT-FREQ-ERROR.
139900*
140000     GO TO W118-INCREMENT-INDEXES.
140100*
140200 W117-STMT-FREQ-ERROR.
140300*
140400*******************************************************
140500*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
140600*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
140700*    THE DATA ELEMENT.                                *
140800*******************************************************
140900*
141000     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
141100         MOVE DFHBMNBF           TO MM09-CHAIN-A
141200                                    (X-MM09-MCID-INDEX)
141300     ELSE
141400         MOVE DFHBMUNB           TO MM09-CHAIN-A
141500                                    (X-MM09-MCID-INDEX).
141600*
141700     SET SS08WS-ERROR-SW-YES     TO TRUE.
141800     SET CHAIN-ERRORS-EXIST      TO TRUE.
141900     MOVE DFHBMASB               TO MM09-CHAIN-LP-A
142000                                    (X-MM09-MCID-INDEX)
142100                                    MM09-CHAIN-RP-A
142200                                    (X-MM09-MCID-INDEX).
142300     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
142400                                    (X-MM09-MCID-INDEX).
142500*
142600 W118-INCREMENT-INDEXES.
142700*
142800     IF  X-MM09-MCID-INDEX IS LESS THAN 10
142900         SET X-MM09-MCID-INDEX   UP BY 1
143000         GO TO W111-ESF-LOOP.
143100*
143200 W119-ESF-EXIT.
143300     EXIT.
143400*
143500 W510-CHAIN-CROSS-EDITS.
143600*
143700*********************************************************
143800*                                                       *
143900*    THE CHAIN CROSS EDITS ARE AS FOLLOWS:              *
144000*                                                       *
144100*    . THE MERCHANT CAN BELONG TO TEN CHAINS.  EACH     *
144200*      CHAIN NUMBER MUST BE UNIQUE OR ZERO.             *
144300*                                                       *
144400*    IF AN ERROR IS DETECTED, ALL CHAIN NUMBERS ARE     *
144500*    HIGHLIGHTED AND OPENED FOR CORRECTION.             *
144600*                                                       *
144700*********************************************************
144800*
144900     IF  CHAIN-ERRORS-EXIST
145000         GO TO W519-CCE-EXIT.
145100*
145200     SET X-MM09-MCID-INDEX       TO 1.
145300*
145400 W511-CCE-SAVE-IN-WS.
145500*
145600     SET  WS-X-MM09-MCID-INDEX   TO X-MM09-MCID-INDEX.
145700     MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
145800                                 TO WS-CHAIN.
145900     MOVE ZERO                   TO WS-CHAIN-COUNT.
146000*
146100     SET X-MM09-MCID-INDEX       TO 1.
146200*
146300 W512-CCE-LOOP.
146400*
146500     IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS EQUAL TO ZEROES
146600         GO TO W513-CCE-INCREMENT-INDEX.
146700*
146800     IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS EQUAL TO WS-CHAIN
146900         ADD 1                   TO WS-CHAIN-COUNT.
147000*
147100 W513-CCE-INCREMENT-INDEX.
147200*
147300     IF  X-MM09-MCID-INDEX IS LESS THAN 10
147400         SET X-MM09-MCID-INDEX   UP BY 1
147500         GO TO W512-CCE-LOOP.
147600*
147700     IF  WS-CHAIN-COUNT IS GREATER THAN 1
147800         GO TO W518-CHAIN-CROSS-EDIT-ERROR.
147900*
148000     SET X-MM09-MCID-INDEX       TO WS-X-MM09-MCID-INDEX.
148100*
148200     IF  X-MM09-MCID-INDEX IS LESS THAN 10
148300         SET X-MM09-MCID-INDEX   UP BY 1
148400         GO TO W511-CCE-SAVE-IN-WS
148500     ELSE
148600         GO TO W519-CCE-EXIT.
148700*
148800 W518-CHAIN-CROSS-EDIT-ERROR.
148900*
149000     SET X-MM09-MCID-INDEX       TO 1.
149100*
149200     SET SS08WS-ERROR-SW-YES     TO TRUE.
149300     SET CHAIN-ERRORS-EXIST      TO TRUE.
149400     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
149500                                    (X-MM09-MCID-INDEX).
149600*
149700 W518-CCEE-LOOP.
149800*
149900     MOVE DFHBMASB               TO MM09-CHAIN-LP-A
150000                                    (X-MM09-MCID-INDEX)
150100                                    MM09-CHAIN-RP-A
150200                                    (X-MM09-MCID-INDEX).
150300*
150400     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
150500         MOVE DFHBMNBF           TO MM09-CHAIN-A
150600                                    (X-MM09-MCID-INDEX)
150700     ELSE
150800         MOVE DFHBMUNB           TO MM09-CHAIN-A
150900                                    (X-MM09-MCID-INDEX).
151000*
151100     IF  X-MM09-MCID-INDEX IS LESS THAN 10
151200         SET X-MM09-MCID-INDEX   UP BY 1
151300         GO TO W518-CCEE-LOOP.
151400*
151500 W519-CCE-EXIT.
151600     EXIT.
151700*
151800 W520-IMPRINTER-CROSS-EDITS.
151900*
152000**************************************************************
152100*                                                            *
152200*    IMPRINTER CROSS EDITS ARE AS FOLLOWS:                   *
152300*                                                            *
152400*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
152500*      MUST BE ENTERED IF THE CORRESPONDING 'NBR' FIELD      *
152600*      IS SOMETHING OTHER THAN ZERO.                         *
152700*                                                            *
152800*      IF AN ERROR IS DETECTED, THE IMPRINTER DESCRIPITON    *
152900*      AND NUMBER FIELDS ARE HIGHLIGHTED AND OPENED FOR      *
153000*      CORRECTION.                                           *
153100*                                                            *
153200**************************************************************
153300*
153400     IF  IMPRINTER-ERRORS-EXIST
153500         GO TO W529-ICE-EXIT.
153600*
153700     MOVE MMMMTB-IMP-1-TITLE (1:4)
153800                                 TO WS-INDEX-X.
153900     SET  X-MMFS-MERCH           TO WS-INDEX.
154000*
154100     IF   MBCA-PTI-FUNCTION-IS-ADD  AND
154200          MMFS-MT-NO-ACCESS (X-MMFS-MERCH) OR
154300          MMFS-MT-MAINT-ONLY (X-MMFS-MERCH) OR
154400          MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
154500          GO TO W529-ICE-EXIT.
154600*
154700*
154800     SET X-MM09-IMP-POS-INDEX    TO 1.
154900*
155000 W521-ICE-LOOP.
155100*
155200     IF  MM09-IMPRINTER-NBR (X-MM09-IMP-POS-INDEX)
155300                                 IS EQUAL TO ZERO
155400         GO TO W528-INCREMENT-INDEX.
155500*
155600     IF  MM09-IMPRINTER-TITLE (X-MM09-IMP-POS-INDEX)
155700                                 IS NOT EQUAL TO SPACES
155800         GO TO W528-INCREMENT-INDEX.
155900*
156000 W527-IMPRINTER-ERROR.
156100*
156200     SET SS08WS-ERROR-SW-YES     TO TRUE.
156300     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
156400     MOVE SS08WS-CURSOR          TO MM09-IMPRINTER-TITLE-L
156500                                    (X-MM09-IMP-POS-INDEX).
156600     MOVE DFHBMASB               TO MM09-IMPRINTER-TITLE-LP-A
156700                                    (X-MM09-IMP-POS-INDEX)
156800                                    MM09-IMPRINTER-TITLE-RP-A
156900                                    (X-MM09-IMP-POS-INDEX).
157000     MOVE DFHBMUBF               TO MM09-IMPRINTER-TITLE-A
157100                                    (X-MM09-IMP-POS-INDEX).
157200*
157300 W528-INCREMENT-INDEX.
157400*
157500     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
157600         SET X-MM09-IMP-POS-INDEX
157700                                 UP BY 1
157800         GO TO W521-ICE-LOOP.
157900*
158000 W529-ICE-EXIT.
158100     EXIT.
158200*
158300 W530-POS-CROSS-EDITS.
158400*
158500**************************************************************
158600*                                                            *
158700*    POS CROSS EDITS ARE AS FOLLOWS:                         *
158800*                                                            *
158900*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
159000*      MUST BE ENTERED IF THE CORRESPONDING 'NBR' FIELD      *
159100*      IS SOMETHING OTHER THAN ZERO.                         *
159200*                                                            *
159300*      IF AN ERROR IS DETECTED, THE POS DESCRIPTION AND      *
159400*      NUMBER FIELDS ARE HIGHLIGHTED AND OPENED FOR          *
159500*      CORRECTION.                                           *
159600*                                                            *
159700**************************************************************
159800*
159900     IF  POS-ERRORS-EXIST
160000         GO TO W539-PCE-EXIT.
160100*
160200     SET X-MM09-IMP-POS-INDEX    TO 1.
160300*
160400 W531-PCE-LOOP.
160500*
160600     IF  MM09-POS-NBR (X-MM09-IMP-POS-INDEX)
160700                                 IS EQUAL TO ZERO
160800         GO TO W538-INCREMENT-INDEX.
160900*
161000     IF  MM09-POS-TITLE (X-MM09-IMP-POS-INDEX)
161100                                 IS NOT EQUAL TO SPACES
161200         GO TO W538-INCREMENT-INDEX.
161300*
161400 W537-POS-ERROR.
161500*
161600     SET SS08WS-ERROR-SW-YES     TO TRUE.
161700     SET POS-ERRORS-EXIST        TO TRUE.
161800     MOVE SS08WS-CURSOR          TO MM09-POS-TITLE-L
161900                                    (X-MM09-IMP-POS-INDEX).
162000     MOVE DFHBMASB               TO MM09-POS-TITLE-LP-A
162100                                    (X-MM09-IMP-POS-INDEX)
162200                                    MM09-POS-TITLE-RP-A
162300                                    (X-MM09-IMP-POS-INDEX).
162400     MOVE DFHBMUBF               TO MM09-POS-TITLE-A
162500                                    (X-MM09-IMP-POS-INDEX).
162600*
162700 W538-INCREMENT-INDEX.
162800*
162900     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
163000         SET X-MM09-IMP-POS-INDEX
163100                                 UP BY 1
163200         GO TO W531-PCE-LOOP.
163300*
163400 W539-PCE-EXIT.
163500     EXIT.
163600/
163700 X000-UPDATE-FIELDS SECTION.
163800*
163900 X010-UPDATE-MERCHANT-CHAINS.
164000*
164100     SET X-MM09-MCID-INDEX       TO 1.
164200     SET X-MMMM-MERCH-CHAIN      TO 1.
164300     SET X-MMMM-STMT-CHAIN       TO 1.
164400     MOVE MMMMTB-CHAIN-1-ID (1:4) TO WS-INDEX-X.
164500     SET X-MMFS-MERCH            TO WS-INDEX.
164600*
164700 X011-UMC-LOOP.
164800*
164900     IF  MM09-CHAIN-L (X-MM09-MCID-INDEX) IS GREATER THAN ZERO
165000         IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS NOT EQUAL
165100                                 TO MMMM-MERCH-CHAIN-ID
165200                                    (X-MMMM-MERCH-CHAIN)
165300         OR  (MBCA-PTI-FUNCTION-IS-ADD
165400         AND MM09-CHAIN (X-MM09-MCID-INDEX)
165500                                 IS GREATER THAN ZEROS)
165600             SET WS-UPDATE-SW-YES
165700                                 TO TRUE
165800             PERFORM X110-UPDATE-STMT-CHAIN
165900                                 THRU X119-USC-EXIT
166000             IF  MBCA-PTI-FUNCTION-IS-MAINT
166100                 PERFORM Y930-UPDATE-DELETE-MMRD
166200                                 THRU Y939-UD-EXIT
166300             END-IF
166400             PERFORM Y920-UPDATE-ADD-MMRD
166500                                 THRU Y929-UA-EXIT
166600             IF  MBCA-PTI-FUNCTION-IS-MAINT
166700                 MOVE 'MM'       TO MML1-FILE-CODE
166800                 MOVE MBCA-MERCHANT-ORG
166900                                 TO MML1-MMMM-ORG
167000                 MOVE MBCA-MERCHANT
167100                                 TO MML1-MMMM-MERCHANT
167200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
167300                                 TO MML1-MMMM-AUDIT-CODE
167400                 MOVE 0901       TO MML1-FIELD-CODE
167500                 SET MML1-FIELD-OCCURRENCE
167600                                 TO X-MMMM-MERCH-CHAIN
167700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
167800                 MOVE MML1WS-VL-10
167900                                 TO MML1-VARIABLE-LENGTH
168000                 MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
168100                                 TO MML1-VL10-B-DATA-9
168200                 MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
168300                                 TO MMMM-MERCH-CHAIN-ID
168400                                    (X-MMMM-MERCH-CHAIN)
168500                 MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
168600                                 TO MML1-VL10-A-DATA-9
168700                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
168800                 PERFORM Y910-WRITE-LOG-RECORD
168900                                 THRU Y919-WLR-EXIT
169000             ELSE
169100                 MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
169200                                 TO MMMM-MERCH-CHAIN-ID
169300                                    (X-MMMM-MERCH-CHAIN).
169400*
169500 X018-UMC-LOOP.
169600*
169700     IF  X-MM09-MCID-INDEX IS LESS THAN 10
169800         SET X-MM09-MCID-INDEX   UP BY 1
169900         SET X-MMMM-MERCH-CHAIN  UP BY 1
170000         SET X-MMMM-STMT-CHAIN   UP BY 1
170100         SET X-MMFS-MERCH        UP BY 1
170200         GO TO X011-UMC-LOOP.
170300*
170400 X019-UMC-EXIT.
170500     EXIT.
170600*
170700 X020-UPDATE-IMPRINTER-TITLES.
170800*
170900     MOVE MMMMTB-IMP-1-TITLE (1:4)
171000                                 TO WS-INDEX-X.
171100     SET X-MMFS-MERCH            TO WS-INDEX.
171200     SET X-MMMM-IMP              TO 1.
171300     SET X-MM09-IMP-POS-INDEX    TO 1.
171400*
171500 X021-UIT-LOOP.
171600*
171700     IF  MM09-IMPRINTER-TITLE-L   (X-MM09-IMP-POS-INDEX)
171800                                 IS GREATER THAN ZERO
171900         IF  MM09-IMPRINTER-TITLE (X-MM09-IMP-POS-INDEX) IS NOT
172000                                 EQUAL TO MMMM-IMP-DEV-TITLE
172100                                          (X-MMMM-IMP)
172200             SET WS-UPDATE-SW-YES
172300                                 TO TRUE
172400             IF  MBCA-PTI-FUNCTION-IS-MAINT
172500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
172600                                 TO MML1-MMMM-AUDIT-CODE
172700                 MOVE 0902       TO MML1-FIELD-CODE
172800                 SET MML1-FIELD-OCCURRENCE
172900                                 TO X-MM09-IMP-POS-INDEX
173000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
173100                 MOVE MML1WS-VL-20
173200                                 TO MML1-VARIABLE-LENGTH
173300                 MOVE MMMM-IMP-DEV-TITLE (X-MMMM-IMP)
173400                                 TO MML1-VL20-B-DATA-X
173500                 MOVE MM09-IMPRINTER-TITLE (X-MM09-IMP-POS-INDEX)
173600                                 TO MMMM-IMP-DEV-TITLE
173700                                    (X-MMMM-IMP)
173800                 MOVE MMMM-IMP-DEV-TITLE (X-MMMM-IMP)
173900                                 TO MML1-VL20-A-DATA-X
174000                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
174100                 PERFORM Y910-WRITE-LOG-RECORD
174200                                 THRU Y919-WLR-EXIT
174300             ELSE
174400                 MOVE MM09-IMPRINTER-TITLE (X-MM09-IMP-POS-INDEX)
174500                                 TO MMMM-IMP-DEV-TITLE
174600                                    (X-MMMM-IMP).
174700*
174800 X028-INCREMENT-INDEXES.
174900*
175000     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
175100         SET X-MM09-IMP-POS-INDEX
175200                                 UP BY 1
175300         SET X-MMMM-IMP          UP BY 1
175400         SET X-MMFS-MERCH        UP BY 2
175500         GO TO X021-UIT-LOOP.
175600*
175700 X029-UIT-EXIT.
175800     EXIT.
175900*
176000 X030-UPDATE-IMPRINTER-NUMBERS.
176100*
176200     MOVE MMMMTB-IMP-1-NBR (1:4)
176300                                 TO WS-INDEX-X.
176400     SET X-MMFS-MERCH            TO WS-INDEX.
176500     SET X-MMMM-IMP              TO 1.
176600     SET X-MM09-IMP-POS-INDEX    TO 1.
176700*
176800 X031-UIN-LOOP.
176900*
177000     IF  MM09-IMPRINTER-NBR-L (X-MM09-IMP-POS-INDEX)
177100                                 IS GREATER THAN ZERO
177200         IF  MM09-IMPRINTER-NBR (X-MM09-IMP-POS-INDEX) IS NOT
177300                                 EQUAL TO MMMM-IMP-DEV-NBR
177400                                          (X-MMMM-IMP)
177500             SET WS-UPDATE-SW-YES
177600                                 TO TRUE
177700             IF  MBCA-PTI-FUNCTION-IS-MAINT
177800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
177900                                 TO MML1-MMMM-AUDIT-CODE
178000                 MOVE 0903       TO MML1-FIELD-CODE
178100                 SET MML1-FIELD-OCCURRENCE
178200                                 TO X-MM09-IMP-POS-INDEX
178300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
178400                 MOVE MML1WS-VL-05
178500                                 TO MML1-VARIABLE-LENGTH
178600                 MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
178700                                 TO MML1-VL05-B-DATA-9
178800                 MOVE MM09-IMPRINTER-NBR  (X-MM09-IMP-POS-INDEX)
178900                                 TO MMMM-IMP-DEV-NBR
179000                                    (X-MMMM-IMP)
179100                 MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
179200                                 TO MML1-VL05-A-DATA-9
179300                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
179400                 PERFORM Y910-WRITE-LOG-RECORD
179500                                 THRU Y919-WLR-EXIT
179600             ELSE
179700                 MOVE MM09-IMPRINTER-NBR   (X-MM09-IMP-POS-INDEX)
179800                                 TO MMMM-IMP-DEV-NBR
179900                                    (X-MMMM-IMP).
180000*
180100 X038-INCREMENT-INDEXES.
180200*
180300     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
180400         SET X-MM09-IMP-POS-INDEX
180500                                 UP BY 1
180600         SET X-MMMM-IMP          UP BY 1
180700         SET X-MMFS-MERCH        UP BY 2
180800         GO TO X031-UIN-LOOP.
180900*
181000 X039-UIN-EXIT.
181100     EXIT.
181200*
181300 X040-UPDATE-POS-TITLES.
181400*
181500     MOVE MMMMTB-POS-1-TITLE (1:4)
181600                                 TO WS-INDEX-X.
181700     SET X-MMFS-MERCH            TO WS-INDEX.
181800     SET X-MMMM-POS              TO 1.
181900     SET X-MM09-IMP-POS-INDEX    TO 1.
182000*
182100 X041-UPT-LOOP.
182200*
182300     IF  MM09-POS-TITLE-L (X-MM09-IMP-POS-INDEX) IS GREATER
182400                                 THAN ZERO
182500         IF  MM09-POS-TITLE (X-MM09-IMP-POS-INDEX) IS NOT EQUAL
182600                                 TO  MMMM-POS-DEV-TITLE
182700                                     (X-MMMM-POS)
182800             SET WS-UPDATE-SW-YES
182900                                 TO TRUE
183000             IF  MBCA-PTI-FUNCTION-IS-MAINT
183100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
183200                                 TO MML1-MMMM-AUDIT-CODE
183300                 MOVE 0904       TO MML1-FIELD-CODE
183400                 SET MML1-FIELD-OCCURRENCE
183500                                 TO X-MM09-IMP-POS-INDEX
183600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
183700                 MOVE MML1WS-VL-20
183800                                 TO MML1-VARIABLE-LENGTH
183900                 MOVE MMMM-POS-DEV-TITLE (X-MMMM-POS)
184000                                 TO MML1-VL20-B-DATA-X
184100                 MOVE MM09-POS-TITLE (X-MM09-IMP-POS-INDEX)
184200                                 TO MMMM-POS-DEV-TITLE
184300                                    (X-MMMM-POS)
184400                 MOVE MMMM-POS-DEV-TITLE (X-MMMM-POS)
184500                                 TO MML1-VL20-A-DATA-X
184600                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
184700                 PERFORM Y910-WRITE-LOG-RECORD
184800                                 THRU Y919-WLR-EXIT
184900             ELSE
185000                 MOVE MM09-POS-TITLE (X-MM09-IMP-POS-INDEX)
185100                                 TO MMMM-POS-DEV-TITLE
185200                                    (X-MMMM-POS).
185300*
185400 X048-INCREMENT-INDEXES.
185500*
185600     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
185700         SET X-MM09-IMP-POS-INDEX
185800                                 UP BY 1
185900         SET X-MMMM-POS          UP BY 1
186000         SET X-MMFS-MERCH        UP BY 2
186100         GO TO X041-UPT-LOOP.
186200*
186300 X049-UPT-EXIT.
186400     EXIT.
186500*
186600 X050-UPDATE-POS-NUMBERS.
186700*
186800     MOVE MMMMTB-POS-1-NBR (1:4)  TO WS-INDEX-X.
186900     SET X-MMFS-MERCH            TO WS-INDEX.
187000     SET X-MMMM-POS              TO 1.
187100     SET X-MM09-IMP-POS-INDEX    TO 1.
187200*
187300 X051-UPN-LOOP.
187400*
187500     IF  MM09-POS-NBR-L (X-MM09-IMP-POS-INDEX) IS GREATER
187600                                 THAN ZERO
187700         IF  MM09-POS-NBR (X-MM09-IMP-POS-INDEX) IS NOT EQUAL
187800                                 TO MMMM-POS-DEV-NBR (X-MMMM-POS)
187900             SET WS-UPDATE-SW-YES
188000                                 TO TRUE
188100             IF  MBCA-PTI-FUNCTION-IS-MAINT
188200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
188300                                 TO MML1-MMMM-AUDIT-CODE
188400                 MOVE 0905       TO MML1-FIELD-CODE
188500                 SET MML1-FIELD-OCCURRENCE
188600                                 TO X-MM09-IMP-POS-INDEX
188700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
188800                 MOVE MML1WS-VL-05
188900                                 TO MML1-VARIABLE-LENGTH
189000                 MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
189100                                 TO MML1-VL05-B-DATA-9
189200                 MOVE MM09-POS-NBR  (X-MM09-IMP-POS-INDEX)
189300                                 TO MMMM-POS-DEV-NBR (X-MMMM-POS)
189400                 MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
189500                                 TO MML1-VL05-A-DATA-9
189600                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
189700                 PERFORM Y910-WRITE-LOG-RECORD
189800                                 THRU Y919-WLR-EXIT
189900             ELSE
190000                 MOVE MM09-POS-NBR  (X-MM09-IMP-POS-INDEX)
190100                                 TO MMMM-POS-DEV-NBR (X-MMMM-POS).
190200*
190300 X058-INCREMENT-INDEXES.
190400*
190500     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
190600         SET X-MM09-IMP-POS-INDEX
190700                                 UP BY 1
190800         SET X-MMMM-POS          UP BY 1
190900         SET X-MMFS-MERCH        UP BY 2
191000         GO TO X051-UPN-LOOP.
191100*
191200 X059-UPN-EXIT.
191300     EXIT.
191400*
191500 X060-UPDATE-NBR-BULLETINS.
191600*
191700     IF  MM09-NBR-BULLETINS-L IS GREATER THAN ZERO
191800         IF  MM09-NBR-BULLETINS IS NOT EQUAL
191900                                 TO MMMM-NBR-BULLETINS
192000             SET WS-UPDATE-SW-YES
192100                                 TO TRUE
192200             IF  MBCA-PTI-FUNCTION-IS-MAINT
192300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
192400                                 TO MML1-MMMM-AUDIT-CODE
192500                 MOVE 0909       TO MML1-FIELD-CODE
192600                 SET MML1-FIELD-OCCURRENCE
192700                                 TO X-MM09-IMP-POS-INDEX
192800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
192900                 MOVE MML1WS-VL-10
193000                                 TO MML1-VARIABLE-LENGTH
193100                 MOVE MMMM-NBR-BULLETINS
193200                                 TO MML1-VL10-B-DATA-9
193300                 MOVE MM09-NBR-BULLETINS
193400                                 TO MMMM-NBR-BULLETINS
193500                 MOVE MMMM-NBR-BULLETINS
193600                                 TO MML1-VL10-A-DATA-9
193700                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
193800                 PERFORM Y910-WRITE-LOG-RECORD
193900                                 THRU Y919-WLR-EXIT
194000             ELSE
194100                 MOVE MM09-NBR-BULLETINS
194200                                 TO MMMM-NBR-BULLETINS.
194300*
194400 X069-UNB-EXIT.
194500     EXIT.
194600*
194700 X070-UPDATE-NBR-STORES.
194800*
194900     IF  MM09-NBR-STORES-L IS GREATER THAN ZERO
195000         IF  MM09-NBR-STORES IS NOT EQUAL
195100                                 TO MMMM-NBR-STORES
195200             SET WS-UPDATE-SW-YES
195300                                 TO TRUE
195400             IF  MBCA-PTI-FUNCTION-IS-MAINT
195500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
195600                                 TO MML1-MMMM-AUDIT-CODE
195700                 MOVE 0910       TO MML1-FIELD-CODE
195800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
195900                                    MML1-FIELD-OCCURRENCE
196000                 MOVE MML1WS-VL-10
196100                                 TO MML1-VARIABLE-LENGTH
196200                 MOVE MMMM-NBR-STORES
196300                                 TO MML1-VL10-B-DATA-9
196400                 MOVE MM09-NBR-STORES
196500                                 TO MMMM-NBR-STORES
196600                 MOVE MMMM-NBR-STORES
196700                                 TO MML1-VL10-A-DATA-9
196800                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
196900                 PERFORM Y910-WRITE-LOG-RECORD
197000                                 THRU Y919-WLR-EXIT
197100             ELSE
197200                 MOVE MM09-NBR-STORES
197300                                 TO MMMM-NBR-STORES.
197400*
197500 X079-UNS-EXIT.
197600     EXIT.
197700*
197800 X090-UPDATE-USER-MEMOS.
197900*
198000     MOVE MMMMTB-MEMO-1 (1:4)     TO WS-INDEX-X.
198100     SET X-MMFS-MERCH            TO WS-INDEX.
198200     SET X-MMMM-MEMO             TO 1.
198300     SET X-MM09-UM-INDEX         TO 1.
198400*
198500 X091-UM-LOOP.
198600*
198700     IF  MM09-USER-MEMO-L (X-MM09-UM-INDEX) IS GREATER THAN ZERO
198800         IF  MM09-USER-MEMO (X-MM09-UM-INDEX) IS NOT EQUAL
198900                                 TO MMMM-MEMO (X-MMMM-MEMO)
199000             SET WS-UPDATE-SW-YES
199100                                 TO TRUE
199200             IF  MBCA-PTI-FUNCTION-IS-MAINT
199300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
199400                                 TO MML1-MMMM-AUDIT-CODE
199500                 MOVE 0906       TO MML1-FIELD-CODE
199600                 SET  MML1-FIELD-OCCURRENCE
199700                                 TO X-MMMM-MEMO
199800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
199900                 MOVE MML1WS-VL-50
200000                                 TO MML1-VARIABLE-LENGTH
200100                 MOVE MMMM-MEMO (X-MMMM-MEMO)
200200                                 TO MML1-VL50-B-DATA-X
200300                 MOVE MM09-USER-MEMO (X-MM09-UM-INDEX)
200400                                 TO MMMM-MEMO
200500                                    (X-MMMM-MEMO)
200600                 MOVE MMMM-MEMO (X-MMMM-MEMO)
200700                                 TO MML1-VL50-A-DATA-X
200800                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
200900                 PERFORM Y910-WRITE-LOG-RECORD
201000                                 THRU Y919-WLR-EXIT
201100             ELSE
201200                 MOVE MM09-USER-MEMO (X-MM09-UM-INDEX)
201300                                 TO MMMM-MEMO
201400                                    (X-MMMM-MEMO).
201500*
201600 X098-INCREMENT-INDEXES.
201700*
201800     IF  X-MM09-UM-INDEX IS LESS THAN 4
201900         SET X-MMFS-MERCH        UP BY 1
202000         SET X-MMMM-MEMO         UP BY 1
202100         SET X-MM09-UM-INDEX     UP BY 1
202200         GO TO X091-UM-LOOP.
202300*
202400 X099-UUM-EXIT.
202500     EXIT.
202600*
202700 X110-UPDATE-STMT-CHAIN.
202800*
202900     IF  MM09-CHAIN (X-MM09-MCID-INDEX) IS EQUAL TO ZEROS
203000         IF  MMMM-STMT-CHAIN-ACTIVE (X-MMMM-STMT-CHAIN)
203100             MOVE MMMM-STMT-CHAIN-FLAG (X-MMMM-STMT-CHAIN)
203200                                 TO WS-MMMM-STMT-CHAIN
203300             SET MMMM-STMT-CHAIN-NOT-ACTIVE (X-MMMM-STMT-CHAIN)
203400                                 TO TRUE
203500             GO TO X115-WRITE-LOG-RECS
203600         ELSE
203700             GO TO X119-USC-EXIT.
203800*
203900     SET WS-UPDATE-SW-YES        TO TRUE.
204000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
204100     MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
204200                                 TO MBIOWS-MMRC-CHAIN.
204300     SET MERCHANT-CHAIN-FOUND    TO TRUE.
204400     SET MBIORO-READ-RANDOM      TO TRUE.
204500     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
204600     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
204700*
204800     MOVE MMMM-STMT-CHAIN-FLAG (X-MMMM-STMT-CHAIN)
204900                                 TO WS-MMMM-STMT-CHAIN.
205000*
205100     IF  MMRC-PRODUCE-CHAIN-STMT
205200         IF  MMMM-STMT-CHAIN-ACTIVE (X-MMMM-STMT-CHAIN)
205300             GO TO X119-USC-EXIT
205400         ELSE
205500             SET MMMM-STMT-CHAIN-ACTIVE (X-MMMM-STMT-CHAIN)
205600                                 TO TRUE
205700     ELSE
205800         IF  MMMM-STMT-CHAIN-NOT-ACTIVE (X-MMMM-STMT-CHAIN)
205900             GO TO X119-USC-EXIT
206000         ELSE
206100             SET MMMM-STMT-CHAIN-NOT-ACTIVE (X-MMMM-STMT-CHAIN)
206200                                 TO TRUE.
206300*
206400 X115-WRITE-LOG-RECS.
206500*
206600     IF  MBCA-PTI-FUNCTION-IS-MAINT
206700         MOVE 'MM'               TO MML1-FILE-CODE
206800         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMM-ORG
206900         MOVE MBCA-MERCHANT      TO MML1-MMMM-MERCHANT
207000         MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
207100                                 TO MML1-MMMM-AUDIT-CODE
207200         MOVE 0907               TO MML1-FIELD-CODE
207300         SET MML1-FIELD-OCCURRENCE
207400                                 TO X-MMMM-MERCH-CHAIN
207500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
207600         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
207700         MOVE WS-MMMM-STMT-CHAIN TO MML1-VL01-B-DATA-X
207800         MOVE MMMM-STMT-CHAIN-FLAG (X-MMMM-STMT-CHAIN)
207900                                 TO MML1-VL01-A-DATA-X
208000         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
208100         PERFORM Y910-WRITE-LOG-RECORD
208200                                 THRU Y919-WLR-EXIT.
208300*
208400 X119-USC-EXIT.
208500     EXIT.
208600*
208700 X130-UPDATE-BI-WEEKLY-DATE.
208800*
208900     IF  WS-BI-WEEKLY-YES
209000         NEXT SENTENCE
209100     ELSE
209200         GO TO X139-UBWD-EXIT.
209300*
209400     IF  MBCA-PTI-FUNCTION-IS-MAINT
209500         MOVE 'MM'               TO MML1-FILE-CODE
209600         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMM-ORG
209700         MOVE MBCA-MERCHANT      TO MML1-MMMM-MERCHANT
209800         MOVE 0908               TO MML1-FIELD-CODE
209900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
210000                                    MML1-FIELD-OCCURRENCE
210100         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
210200         MOVE ZEROS              TO MML1-VL07-B-DATA-9
210300         MOVE MMMM-BI-WEEKLY-STMT-DATE
210400                                 TO MML1-VL07-A-DATA-9
210500         MOVE 'FC22'             TO MBCA-PROGRAM-LOCATION
210600         PERFORM Y910-WRITE-LOG-RECORD
210700                                 THRU Y919-WLR-EXIT.
210800*
210900 X139-UBWD-EXIT.
211000     EXIT.
211100*
211200 X700-UPDT-STORE-FIELDS.
211300*
211400****************************************************************
211500*    START BROWSE THE STORE MERCH XREF FILE                    *
211600****************************************************************
211700*
211800     MOVE 'FC23'                 TO MBCA-PROGRAM-LOCATION.
211900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1
212000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
212100     MOVE MBCA-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
212200     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
212300     SET MBIORO-STARTBR-GTE      TO TRUE.
212400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
212500*
212600     IF  SS08WS-RC-FC-NOTFND
212700         GO TO X799-USF-EXIT.
212800*
212900 X711-READ-LOOP.
213000*
213100****************************************************************
213200*    READNEXT THE STORE MERCH XREF FILE                        *
213300****************************************************************
213400*
213500     MOVE 'FC24'                 TO MBCA-PROGRAM-LOCATION.
213600     SET MBIORO-READ-SEQ         TO TRUE.
213700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
213800*
213900     IF  MMXR-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
214000         GO TO X718-END-BROWSE.
214100*
214200     MOVE 'SM'                   TO MML1-FILE-CODE.
214300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
214400     MOVE MMXR-STORE             TO MML1-MMSM-STORE.
214500     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
214600     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
214700     MOVE ZEROS                  TO MML1-SOURCE-CODE.
214800     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
214900*
215000     MOVE 'FC25'                 TO MBCA-PROGRAM-LOCATION.
215100     MOVE MBCA-ORG-MERCHANT      TO MBIOWS-MMSM-ORG.
215200     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
215300     SET MBIORO-READ-RANDOM-UPDATE
215400                                 TO TRUE.
215500     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
215600*
215700     MOVE MMMMTB-IMP-1-TITLE (1:4)
215800                                 TO WS-INDEX-X.
215900     SET X-MMFS-MERCH            TO WS-INDEX.
216000*
216100     PERFORM
216200         VARYING X-MM09-IMP-POS-INDEX FROM 1 BY 1
216300         UNTIL X-MM09-IMP-POS-INDEX IS GREATER THAN 3
216400         SET X-MMSM-IMP          TO X-MM09-IMP-POS-INDEX
216500         IF  MM09-IMPRINTER-TITLE-L   (X-MM09-IMP-POS-INDEX)
216600                                 IS GREATER THAN ZERO
216700             IF  MM09-IMPRINTER-TITLE (X-MM09-IMP-POS-INDEX)
216800                                 IS NOT EQUAL
216900                                 TO MMSM-IMP-DEV-TITLE
217000                                          (X-MMSM-IMP)
217100                 SET WS-STORE-UPDATE-SW-YES
217200                                 TO TRUE
217300                 IF  MBCA-PTI-FUNCTION-IS-MAINT
217400                     MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
217500                                 TO MML1-MMSM-AUDIT-CODE
217600                     MOVE 0501   TO MML1-FIELD-CODE
217700                     SET MML1-FIELD-OCCURRENCE
217800                                 TO X-MM09-IMP-POS-INDEX
217900                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
218000                     MOVE MML1WS-VL-20
218100                                 TO MML1-VARIABLE-LENGTH
218200                     MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
218300                                 TO MML1-VL20-B-DATA-X
218400                     MOVE MM09-IMPRINTER-TITLE
218500                                    (X-MM09-IMP-POS-INDEX)
218600                                 TO MMSM-IMP-DEV-TITLE
218700                                    (X-MMSM-IMP)
218800                     MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
218900                                 TO MML1-VL20-A-DATA-X
219000                     MOVE 'FC26' TO MBCA-PROGRAM-LOCATION
219100                     PERFORM Y910-WRITE-LOG-RECORD
219200                                 THRU Y919-WLR-EXIT
219300                     SET X-MMFS-MERCH
219400                                 UP BY 2
219500                 ELSE
219600                     MOVE MM09-IMPRINTER-TITLE
219700                                    (X-MM09-IMP-POS-INDEX)
219800                                 TO MMSM-IMP-DEV-TITLE
219900                                    (X-MMSM-IMP)
220000                     SET X-MMFS-MERCH
220100                                 UP BY 2
220200                 END-IF
220300             END-IF
220400         END-IF
220500     END-PERFORM.
220600*
220700     MOVE MMMMTB-IMP-1-NBR (1:4)
220800                                 TO WS-INDEX-X.
220900     SET X-MMFS-MERCH            TO WS-INDEX.
221000*
221100     PERFORM
221200         VARYING X-MM09-IMP-POS-INDEX
221300         FROM 1 BY 1
221400         UNTIL X-MM09-IMP-POS-INDEX IS GREATER THAN 3
221500         SET X-MMSM-IMP          TO X-MM09-IMP-POS-INDEX
221600         IF  MM09-IMPRINTER-NBR-L   (X-MM09-IMP-POS-INDEX)
221700                                 IS GREATER THAN ZERO
221800             IF  MM09-IMPRINTER-NBR (X-MM09-IMP-POS-INDEX)
221900                                 IS NOT EQUAL
222000                                 TO MMSM-IMP-DEV-NBR
222100                                          (X-MMSM-IMP)
222200                 SET WS-STORE-UPDATE-SW-YES
222300                                 TO TRUE
222400                 IF  MBCA-PTI-FUNCTION-IS-MAINT
222500                     MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
222600                                 TO MML1-MMSM-AUDIT-CODE
222700                     MOVE 0502   TO MML1-FIELD-CODE
222800                     SET MML1-FIELD-OCCURRENCE
222900                                 TO X-MM09-IMP-POS-INDEX
223000                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
223100                     MOVE MML1WS-VL-05
223200                                 TO MML1-VARIABLE-LENGTH
223300                     MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
223400                                 TO MML1-VL05-B-DATA-9
223500                     MOVE MM09-IMPRINTER-NBR
223600                                    (X-MM09-IMP-POS-INDEX)
223700                                 TO MMSM-IMP-DEV-NBR
223800                                    (X-MMSM-IMP)
223900                     MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
224000                                 TO MML1-VL05-A-DATA-9
224100                     MOVE 'FC27' TO MBCA-PROGRAM-LOCATION
224200                     PERFORM Y910-WRITE-LOG-RECORD
224300                                 THRU Y919-WLR-EXIT
224400                     SET X-MMFS-MERCH
224500                                 UP BY 2
224600                 ELSE
224700                     MOVE MM09-IMPRINTER-NBR
224800                                    (X-MM09-IMP-POS-INDEX)
224900                                 TO MMSM-IMP-DEV-NBR
225000                                    (X-MMSM-IMP)
225100                     SET X-MMFS-MERCH
225200                                 UP BY 2
225300                 END-IF
225400             END-IF
225500         END-IF
225600     END-PERFORM.
225700*
225800     MOVE MMMMTB-POS-1-TITLE (1:4)
225900                                 TO WS-INDEX-X.
226000     SET X-MMFS-MERCH            TO WS-INDEX.
226100*
226200     PERFORM
226300         VARYING X-MM09-IMP-POS-INDEX
226400         FROM 1 BY 1
226500         UNTIL X-MM09-IMP-POS-INDEX IS GREATER THAN 3
226600         SET X-MMSM-POS          TO X-MM09-IMP-POS-INDEX
226700         IF  MM09-POS-TITLE-L   (X-MM09-IMP-POS-INDEX)
226800                                 IS GREATER THAN ZERO
226900             IF  MM09-POS-TITLE (X-MM09-IMP-POS-INDEX)
227000                                 IS NOT EQUAL
227100                                 TO MMSM-POS-DEV-TITLE
227200                                          (X-MMSM-POS)
227300                 SET WS-STORE-UPDATE-SW-YES
227400                                 TO TRUE
227500                 IF  MBCA-PTI-FUNCTION-IS-MAINT
227600                     MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
227700                                 TO MML1-MMSM-AUDIT-CODE
227800                     MOVE 0503   TO MML1-FIELD-CODE
227900                     SET MML1-FIELD-OCCURRENCE
228000                                 TO X-MM09-IMP-POS-INDEX
228100                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
228200                     MOVE MML1WS-VL-20
228300                                 TO MML1-VARIABLE-LENGTH
228400                     MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
228500                                 TO MML1-VL20-B-DATA-X
228600                     MOVE MM09-POS-TITLE
228700                                    (X-MM09-IMP-POS-INDEX)
228800                                 TO MMSM-POS-DEV-TITLE
228900                                    (X-MMSM-POS)
229000                     MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
229100                                 TO MML1-VL20-A-DATA-X
229200                     MOVE 'FC28' TO MBCA-PROGRAM-LOCATION
229300                     PERFORM Y910-WRITE-LOG-RECORD
229400                                 THRU Y919-WLR-EXIT
229500                     SET X-MMFS-MERCH
229600                                 UP BY 2
229700                 ELSE
229800                     MOVE MM09-POS-TITLE
229900                                    (X-MM09-IMP-POS-INDEX)
230000                                 TO MMSM-POS-DEV-TITLE
230100                                    (X-MMSM-POS)
230200                     SET X-MMFS-MERCH
230300                                 UP BY 2
230400                 END-IF
230500             END-IF
230600         END-IF
230700     END-PERFORM.
230800*
230900     MOVE MMMMTB-POS-1-NBR (1:4)
231000                                 TO WS-INDEX-X.
231100     SET X-MMFS-MERCH            TO WS-INDEX.
231200*
231300     PERFORM
231400         VARYING X-MM09-IMP-POS-INDEX
231500         FROM 1 BY 1
231600         UNTIL X-MM09-IMP-POS-INDEX IS GREATER THAN 3
231700         SET X-MMSM-POS          TO X-MM09-IMP-POS-INDEX
231800         IF  MM09-POS-NBR-L   (X-MM09-IMP-POS-INDEX)
231900                                 IS GREATER THAN ZERO
232000             IF  MM09-POS-NBR (X-MM09-IMP-POS-INDEX)
232100                                 IS NOT EQUAL
232200                                 TO MMSM-POS-DEV-NBR
232300                                          (X-MMSM-POS)
232400                 SET WS-STORE-UPDATE-SW-YES
232500                                 TO TRUE
232600                 IF  MBCA-PTI-FUNCTION-IS-MAINT
232700                     MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
232800                                 TO MML1-MMSM-AUDIT-CODE
232900                     MOVE 0504   TO MML1-FIELD-CODE
233000                     SET MML1-FIELD-OCCURRENCE
233100                                 TO X-MM09-IMP-POS-INDEX
233200                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
233300                     MOVE MML1WS-VL-05
233400                                 TO MML1-VARIABLE-LENGTH
233500                     MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
233600                                 TO MML1-VL05-B-DATA-9
233700                     MOVE MM09-POS-NBR
233800                                    (X-MM09-IMP-POS-INDEX)
233900                                 TO MMSM-POS-DEV-NBR
234000                                    (X-MMSM-POS)
234100                     MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
234200                                 TO MML1-VL05-A-DATA-9
234300                     MOVE 'FC29' TO MBCA-PROGRAM-LOCATION
234400                     PERFORM Y910-WRITE-LOG-RECORD
234500                                 THRU Y919-WLR-EXIT
234600                     SET X-MMFS-MERCH
234700                                 UP BY 2
234800                 ELSE
234900                     MOVE MM09-POS-NBR
235000                                    (X-MM09-IMP-POS-INDEX)
235100                                 TO MMSM-POS-DEV-NBR
235200                                    (X-MMSM-POS)
235300                     SET X-MMFS-MERCH
235400                                 UP BY 2
235500                 END-IF
235600             END-IF
235700         END-IF
235800     END-PERFORM.
235900*
236000     MOVE MMMMTB-NBR-BULLETINS (1:4)
236100                                 TO WS-INDEX-X.
236200     SET X-MMFS-MERCH            TO WS-INDEX.
236300*
236400     IF  MM09-NBR-BULLETINS-L IS GREATER THAN ZERO
236500         IF  MM09-NBR-BULLETINS IS NOT EQUAL
236600                                 TO MMSM-NBR-BULLETINS
236700             SET WS-STORE-UPDATE-SW-YES
236800                                 TO TRUE
236900             IF  MBCA-PTI-FUNCTION-IS-MAINT
237000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
237100                                 TO MML1-MMSM-AUDIT-CODE
237200                 MOVE 0408       TO MML1-FIELD-CODE
237300                 SET MML1-FIELD-OCCURRENCE
237400                                 TO X-MM09-IMP-POS-INDEX
237500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
237600                 MOVE MML1WS-VL-10
237700                                 TO MML1-VARIABLE-LENGTH
237800                 MOVE MMSM-NBR-BULLETINS
237900                                 TO MML1-VL10-B-DATA-9
238000                 MOVE MM09-NBR-BULLETINS
238100                                 TO MMSM-NBR-BULLETINS
238200                 MOVE MMSM-NBR-BULLETINS
238300                                 TO MML1-VL10-A-DATA-9
238400                 MOVE 'FC30'     TO MBCA-PROGRAM-LOCATION
238500                 PERFORM Y910-WRITE-LOG-RECORD
238600                                 THRU Y919-WLR-EXIT
238700             ELSE
238800                 MOVE MM09-NBR-BULLETINS
238900                                 TO MMSM-NBR-BULLETINS.
239000*
239100     IF  WS-STORE-UPDATE-SW-YES
239200         MOVE 'FC31'             TO MBCA-PROGRAM-LOCATION
239300         SET MBIORO-REWRITE      TO TRUE
239400         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
239500         SET WS-STORE-UPDATE-SW-NO
239600                                 TO TRUE
239700     ELSE
239800         MOVE 'FC32'             TO MBCA-PROGRAM-LOCATION
239900         SET MBIORO-UNLOCK       TO TRUE
240000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
240100*
240200     GO TO X711-READ-LOOP.
240300*
240400 X718-END-BROWSE.
240500*
240600     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
240700     SET MBIORO-ENDBR            TO TRUE.
240800     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
240900*
241000 X799-USF-EXIT.
241100     EXIT.
241200/
241300 Y000-PERFORMED-ROUTINES SECTION.
241400*
241500 Y010-MOVE-MERCHANT-CHAINS.
241600*
241700     SET X-MM09-MCID-INDEX       TO 1.
241800     SET X-MMMM-MERCH-CHAIN      TO 1.
241900     MOVE MMMMTB-CHAIN-1-ID (1:4) TO WS-INDEX-X.
242000     SET X-MMFS-MERCH            TO WS-INDEX.
242100*
242200 Y011-MMC-LOOP.
242300*
242400     MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
242500                                 TO MM09-CHAIN
242600                                    (X-MM09-MCID-INDEX).
242700*
242800 Y015-MERCHANT-CHAIN-SECURITY.
242900*
243000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
243100         MOVE DFHBMDAS           TO MM09-CHAIN-LIT-A
243200                                    (X-MM09-MCID-INDEX)
243300                                    MM09-CHAIN-LP-A
243400                                    (X-MM09-MCID-INDEX)
243500                                    MM09-CHAIN-RP-A
243600                                    (X-MM09-MCID-INDEX)
243700                                    MM09-CHAIN-A
243800                                    (X-MM09-MCID-INDEX)
243900         MOVE ZERO               TO MM09-CHAIN-L
244000                                    (X-MM09-MCID-INDEX)
244100         GO TO Y016-MCS-EXIT.
244200*
244300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
244400         MOVE DFHBMDAS           TO MM09-CHAIN-LP-A
244500                                    (X-MM09-MCID-INDEX)
244600                                    MM09-CHAIN-RP-A
244700                                    (X-MM09-MCID-INDEX)
244800         MOVE DFHBMASB           TO MM09-CHAIN-A
244900                                    (X-MM09-MCID-INDEX)
245000         GO TO Y016-MCS-EXIT.
245100*
245200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
245300         MOVE ZERO               TO MM09-CHAIN-L
245400                                    (X-MM09-MCID-INDEX)
245500         MOVE DFHBMDAS           TO MM09-CHAIN-LP-A
245600                                    (X-MM09-MCID-INDEX)
245700                                    MM09-CHAIN-RP-A
245800                                    (X-MM09-MCID-INDEX)
245900         MOVE DFHBMASK           TO MM09-CHAIN-A
246000                                    (X-MM09-MCID-INDEX)
246100         GO TO Y016-MCS-EXIT.
246200*
246300     IF  MBCA-PTI-FUNCTION-IS-ADD
246400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
246500             MOVE DFHBMASB       TO MM09-CHAIN-LIT-A
246600                                    (X-MM09-MCID-INDEX)
246700         ELSE
246800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
246900                 MOVE ZERO       TO MM09-CHAIN-L
247000                                    (X-MM09-MCID-INDEX)
247100                 MOVE DFHBMDAS   TO MM09-CHAIN-LP-A
247200                                    (X-MM09-MCID-INDEX)
247300                                    MM09-CHAIN-RP-A
247400                                    (X-MM09-MCID-INDEX)
247500                 MOVE DFHBMASK   TO MM09-CHAIN-A
247600                                    (X-MM09-MCID-INDEX).
247700*
247800     IF  MBCA-PTI-FUNCTION-IS-MAINT
247900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
248000             MOVE ZERO           TO MM09-CHAIN-L
248100                                    (X-MM09-MCID-INDEX)
248200             MOVE DFHBMDAS       TO MM09-CHAIN-LP-A
248300                                    (X-MM09-MCID-INDEX)
248400                                    MM09-CHAIN-RP-A
248500                                    (X-MM09-MCID-INDEX)
248600             MOVE DFHBMASK       TO MM09-CHAIN-A
248700                                    (X-MM09-MCID-INDEX).
248800*
248900 Y016-MCS-EXIT.
249000     EXIT.
249100*
249200 Y018-INCREMENT-INDEXES.
249300*
249400     IF  X-MM09-MCID-INDEX IS LESS THAN 10
249500         SET X-MM09-MCID-INDEX   UP BY 1
249600         SET X-MMMM-MERCH-CHAIN  UP BY 1
249700         SET X-MMFS-MERCH        UP BY 1
249800         GO TO Y011-MMC-LOOP.
249900*
250000 Y019-MMC-EXIT.
250100     EXIT.
250200*
250300 Y020-MOVE-IMPRINTER-TITLES.
250400*
250500     MOVE MMMMTB-IMP-1-TITLE (1:4)
250600                                 TO WS-INDEX-X.
250700     SET  X-MMFS-MERCH           TO WS-INDEX.
250800     SET  X-MMMM-IMP             TO 1.
250900     SET  X-MM09-IMP-POS-INDEX   TO 1.
251000*
251100 Y021-MIT-LOOP.
251200*
251300     MOVE MMMM-IMP-DEV-TITLE (X-MMMM-IMP)
251400                                 TO MM09-IMPRINTER-TITLE
251500                                    (X-MM09-IMP-POS-INDEX).
251600*
251700 Y025-IMPRINTER-TITLE-SECURITY.
251800*
251900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
252000         MOVE DFHBMDAS           TO MM09-IMPRINTER-TITLE-A
252100                                    (X-MM09-IMP-POS-INDEX)
252200                                    MM09-IMPRINTER-TITLE-LP-A
252300                                    (X-MM09-IMP-POS-INDEX)
252400                                    MM09-IMPRINTER-TITLE-RP-A
252500                                    (X-MM09-IMP-POS-INDEX)
252600                                    MM09-IMPRINTER-TITLE-A
252700                                    (X-MM09-IMP-POS-INDEX)
252800         MOVE ZERO               TO MM09-IMPRINTER-TITLE-L
252900                                    (X-MM09-IMP-POS-INDEX)
253000         GO TO Y026-ITS-EXIT.
253100*
253200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
253300         MOVE DFHBMDAS           TO MM09-IMPRINTER-TITLE-LP-A
253400                                    (X-MM09-IMP-POS-INDEX)
253500                                    MM09-IMPRINTER-TITLE-RP-A
253600                                    (X-MM09-IMP-POS-INDEX)
253700         MOVE DFHBMASK           TO MM09-IMPRINTER-TITLE-A
253800                                    (X-MM09-IMP-POS-INDEX)
253900         GO TO Y026-ITS-EXIT.
254000*
254100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
254200         MOVE ZERO               TO MM09-IMPRINTER-TITLE-L
254300                                    (X-MM09-IMP-POS-INDEX)
254400         MOVE DFHBMDAS           TO MM09-IMPRINTER-TITLE-LP-A
254500                                    (X-MM09-IMP-POS-INDEX)
254600                                    MM09-IMPRINTER-TITLE-RP-A
254700                                    (X-MM09-IMP-POS-INDEX)
254800         MOVE DFHBMASK           TO MM09-IMPRINTER-TITLE-A
254900                                    (X-MM09-IMP-POS-INDEX)
255000         GO TO Y026-ITS-EXIT.
255100*
255200     IF  MBCA-PTI-FUNCTION-IS-ADD
255300         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
255400             MOVE ZERO           TO MM09-IMPRINTER-TITLE-L
255500                                    (X-MM09-IMP-POS-INDEX)
255600             MOVE DFHBMDAS       TO MM09-IMPRINTER-TITLE-LP-A
255700                                    (X-MM09-IMP-POS-INDEX)
255800                                    MM09-IMPRINTER-TITLE-RP-A
255900                                    (X-MM09-IMP-POS-INDEX)
256000             MOVE DFHBMASK       TO MM09-IMPRINTER-TITLE-A
256100                                    (X-MM09-IMP-POS-INDEX).
256200*
256300     IF  MBCA-PTI-FUNCTION-IS-MAINT
256400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
256500             MOVE ZERO           TO MM09-IMPRINTER-TITLE-L
256600                                    (X-MM09-IMP-POS-INDEX)
256700             MOVE DFHBMDAS       TO MM09-IMPRINTER-TITLE-LP-A
256800                                    (X-MM09-IMP-POS-INDEX)
256900                                    MM09-IMPRINTER-TITLE-RP-A
257000                                    (X-MM09-IMP-POS-INDEX)
257100             MOVE DFHBMASK       TO MM09-IMPRINTER-TITLE-A
257200                                    (X-MM09-IMP-POS-INDEX).
257300*
257400 Y026-ITS-EXIT.
257500     EXIT.
257600*
257700 Y028-INCREMENT-INDEXES.
257800*
257900     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
258000         SET X-MM09-IMP-POS-INDEX
258100                                 UP BY 1
258200         SET X-MMMM-IMP          UP BY 1
258300         SET X-MMFS-MERCH        UP BY 2
258400         GO TO Y021-MIT-LOOP.
258500*
258600 Y029-MIT-EXIT.
258700     EXIT.
258800*
258900 Y030-MOVE-IMPRINTER-NUMBERS.
259000*
259100     MOVE MMMMTB-IMP-1-NBR (1:4)
259200                                 TO WS-INDEX-X.
259300     SET  X-MMFS-MERCH           TO WS-INDEX.
259400     SET  X-MMMM-IMP             TO 1.
259500     SET  X-MM09-IMP-POS-INDEX   TO 1.
259600*
259700 Y031-MIN-LOOP.
259800*
259900     MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
260000                                 TO MM09-IMPRINTER-NBR
260100                                    (X-MM09-IMP-POS-INDEX).
260200*
260300 Y035-IMPRINTER-NBR-SECURITY.
260400*
260500     IF  MMMM-SINGLE-STORE-NO
260600         MOVE DFHBMDAS           TO MM09-IMPRINTER-NBR-LP-A
260700                                    (X-MM09-IMP-POS-INDEX)
260800                                    MM09-IMPRINTER-NBR-RP-A
260900                                    (X-MM09-IMP-POS-INDEX)
261000         MOVE DFHBMASK           TO MM09-IMPRINTER-NBR-A
261100                                    (X-MM09-IMP-POS-INDEX)
261200         GO TO Y036-INS-EXIT.
261300*
261400     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
261500         MOVE DFHBMDAS           TO MM09-IMPRINTER-NBR-A
261600                                    (X-MM09-IMP-POS-INDEX)
261700                                    MM09-IMPRINTER-NBR-LP-A
261800                                    (X-MM09-IMP-POS-INDEX)
261900                                    MM09-IMPRINTER-NBR-RP-A
262000                                    (X-MM09-IMP-POS-INDEX)
262100                                    MM09-IMPRINTER-NBR-A
262200                                    (X-MM09-IMP-POS-INDEX)
262300         MOVE ZERO               TO MM09-IMPRINTER-NBR-L
262400                                    (X-MM09-IMP-POS-INDEX)
262500         GO TO Y036-INS-EXIT.
262600*
262700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
262800         MOVE DFHBMDAS           TO MM09-IMPRINTER-NBR-LP-A
262900                                    (X-MM09-IMP-POS-INDEX)
263000                                    MM09-IMPRINTER-NBR-RP-A
263100                                    (X-MM09-IMP-POS-INDEX)
263200         MOVE DFHBMASB           TO MM09-IMPRINTER-NBR-A
263300                                    (X-MM09-IMP-POS-INDEX)
263400         GO TO Y036-INS-EXIT.
263500*
263600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
263700         MOVE ZERO               TO MM09-IMPRINTER-NBR-L
263800                                    (X-MM09-IMP-POS-INDEX)
263900         MOVE DFHBMDAS           TO MM09-IMPRINTER-NBR-LP-A
264000                                    (X-MM09-IMP-POS-INDEX)
264100                                    MM09-IMPRINTER-NBR-RP-A
264200                                    (X-MM09-IMP-POS-INDEX)
264300         MOVE DFHBMASK           TO MM09-IMPRINTER-NBR-A
264400                                    (X-MM09-IMP-POS-INDEX)
264500         GO TO Y036-INS-EXIT.
264600*
264700     IF  MBCA-PTI-FUNCTION-IS-ADD
264800         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
264900             MOVE ZERO           TO MM09-IMPRINTER-NBR-L
265000                                    (X-MM09-IMP-POS-INDEX)
265100             MOVE DFHBMDAS       TO MM09-IMPRINTER-NBR-LP-A
265200                                    (X-MM09-IMP-POS-INDEX)
265300                                    MM09-IMPRINTER-NBR-RP-A
265400                                    (X-MM09-IMP-POS-INDEX)
265500             MOVE DFHBMASK       TO MM09-IMPRINTER-NBR-A
265600                                    (X-MM09-IMP-POS-INDEX).
265700*
265800     IF  MBCA-PTI-FUNCTION-IS-MAINT
265900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
266000             MOVE ZERO           TO MM09-IMPRINTER-NBR-L
266100                                    (X-MM09-IMP-POS-INDEX)
266200             MOVE DFHBMDAS       TO MM09-IMPRINTER-NBR-LP-A
266300                                    (X-MM09-IMP-POS-INDEX)
266400                                    MM09-IMPRINTER-NBR-RP-A
266500                                    (X-MM09-IMP-POS-INDEX)
266600             MOVE DFHBMASK       TO MM09-IMPRINTER-NBR-A
266700                                    (X-MM09-IMP-POS-INDEX).
266800*
266900 Y036-INS-EXIT.
267000     EXIT.
267100*
267200 Y038-INCREMENT-INDEXES.
267300*
267400     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
267500         SET X-MM09-IMP-POS-INDEX
267600                                 UP BY 1
267700         SET X-MMMM-IMP          UP BY 1
267800         SET X-MMFS-MERCH        UP BY 2
267900         GO TO Y031-MIN-LOOP.
268000*
268100 Y039-MIN-EXIT.
268200     EXIT.
268300*
268400 Y040-MOVE-POS-TITLES.
268500*
268600     MOVE MMMMTB-POS-1-TITLE (1:4)
268700                                 TO WS-INDEX-X.
268800     SET  X-MMFS-MERCH           TO WS-INDEX.
268900     SET  X-MMMM-POS             TO 1.
269000     SET  X-MM09-IMP-POS-INDEX   TO 1.
269100*
269200 Y041-MPT-LOOP.
269300*
269400     MOVE MMMM-POS-DEV-TITLE (X-MMMM-POS)
269500                                 TO MM09-POS-TITLE
269600                                    (X-MM09-IMP-POS-INDEX).
269700*
269800 Y045-POS-TITLE-SECURITY.
269900*
270000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
270100         MOVE DFHBMDAS           TO MM09-POS-TITLE-A
270200                                    (X-MM09-IMP-POS-INDEX)
270300                                    MM09-POS-TITLE-LP-A
270400                                    (X-MM09-IMP-POS-INDEX)
270500                                    MM09-POS-TITLE-RP-A
270600                                    (X-MM09-IMP-POS-INDEX)
270700                                    MM09-POS-TITLE-A
270800                                    (X-MM09-IMP-POS-INDEX)
270900         MOVE ZERO               TO MM09-POS-TITLE-L
271000                                    (X-MM09-IMP-POS-INDEX)
271100         GO TO Y046-PTS-EXIT.
271200*
271300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
271400         MOVE DFHBMDAS           TO MM09-POS-TITLE-LP-A
271500                                    (X-MM09-IMP-POS-INDEX)
271600                                    MM09-POS-TITLE-RP-A
271700                                    (X-MM09-IMP-POS-INDEX)
271800         MOVE DFHBMASK           TO MM09-POS-TITLE-A
271900                                    (X-MM09-IMP-POS-INDEX)
272000         GO TO Y046-PTS-EXIT.
272100*
272200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
272300         MOVE ZERO               TO MM09-POS-TITLE-L
272400                                    (X-MM09-IMP-POS-INDEX)
272500         MOVE DFHBMDAS           TO MM09-POS-TITLE-LP-A
272600                                    (X-MM09-IMP-POS-INDEX)
272700                                    MM09-POS-TITLE-RP-A
272800                                    (X-MM09-IMP-POS-INDEX)
272900         MOVE DFHBMASK           TO MM09-POS-TITLE-A
273000                                    (X-MM09-IMP-POS-INDEX)
273100         GO TO Y046-PTS-EXIT.
273200*
273300     IF  MBCA-PTI-FUNCTION-IS-ADD
273400         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
273500             MOVE ZERO           TO MM09-POS-TITLE-L
273600                                    (X-MM09-IMP-POS-INDEX)
273700             MOVE DFHBMDAS       TO MM09-POS-TITLE-LP-A
273800                                    (X-MM09-IMP-POS-INDEX)
273900                                    MM09-POS-TITLE-RP-A
274000                                    (X-MM09-IMP-POS-INDEX)
274100             MOVE DFHBMASK       TO MM09-POS-TITLE-A
274200                                    (X-MM09-IMP-POS-INDEX).
274300*
274400     IF  MBCA-PTI-FUNCTION-IS-MAINT
274500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
274600             MOVE ZERO           TO MM09-POS-TITLE-L
274700                                    (X-MM09-IMP-POS-INDEX)
274800             MOVE DFHBMDAS       TO MM09-POS-TITLE-LP-A
274900                                    (X-MM09-IMP-POS-INDEX)
275000                                    MM09-POS-TITLE-RP-A
275100                                    (X-MM09-IMP-POS-INDEX)
275200             MOVE DFHBMASK       TO MM09-POS-TITLE-A
275300                                    (X-MM09-IMP-POS-INDEX).
275400*
275500 Y046-PTS-EXIT.
275600     EXIT.
275700*
275800 Y048-INCREMENT-INDEXES.
275900*
276000     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
276100         SET X-MM09-IMP-POS-INDEX
276200                                 UP BY 1
276300         SET X-MMMM-POS          UP BY 1
276400         SET X-MMFS-MERCH        UP BY 2
276500         GO TO Y041-MPT-LOOP.
276600*
276700 Y049-MPT-EXIT.
276800     EXIT.
276900*
277000 Y050-MOVE-POS-NUMBERS.
277100*
277200     MOVE MMMMTB-POS-1-NBR (1:4)
277300                                 TO WS-INDEX-X.
277400     SET  X-MMFS-MERCH           TO WS-INDEX.
277500     SET  X-MMMM-POS             TO 1.
277600     SET  X-MM09-IMP-POS-INDEX   TO 1.
277700*
277800 Y051-MPN-LOOP.
277900*
278000     MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
278100                                 TO MM09-POS-NBR
278200                                    (X-MM09-IMP-POS-INDEX).
278300*
278400 Y055-POS-NBR-SECURITY.
278500*
278600     IF  MMMM-SINGLE-STORE-NO
278700         MOVE DFHBMDAS           TO MM09-POS-NBR-LP-A
278800                                    (X-MM09-IMP-POS-INDEX)
278900                                    MM09-POS-NBR-RP-A
279000                                    (X-MM09-IMP-POS-INDEX)
279100         MOVE DFHBMASK           TO MM09-POS-NBR-A
279200                                    (X-MM09-IMP-POS-INDEX)
279300         GO TO Y056-PNS-EXIT.
279400*
279500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
279600         MOVE DFHBMDAS           TO MM09-POS-NBR-A
279700                                    (X-MM09-IMP-POS-INDEX)
279800                                    MM09-POS-NBR-LP-A
279900                                    (X-MM09-IMP-POS-INDEX)
280000                                    MM09-POS-NBR-RP-A
280100                                    (X-MM09-IMP-POS-INDEX)
280200                                    MM09-POS-NBR-A
280300                                    (X-MM09-IMP-POS-INDEX)
280400         MOVE ZERO               TO MM09-POS-NBR-L
280500                                    (X-MM09-IMP-POS-INDEX)
280600         GO TO Y056-PNS-EXIT.
280700*
280800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
280900         MOVE DFHBMDAS           TO MM09-POS-NBR-LP-A
281000                                    (X-MM09-IMP-POS-INDEX)
281100                                    MM09-POS-NBR-RP-A
281200                                    (X-MM09-IMP-POS-INDEX)
281300         MOVE DFHBMASB           TO MM09-POS-NBR-A
281400                                    (X-MM09-IMP-POS-INDEX)
281500         GO TO Y056-PNS-EXIT.
281600*
281700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
281800         MOVE ZERO               TO MM09-POS-NBR-L
281900                                    (X-MM09-IMP-POS-INDEX)
282000         MOVE DFHBMDAS           TO MM09-POS-NBR-LP-A
282100                                    (X-MM09-IMP-POS-INDEX)
282200                                    MM09-POS-NBR-RP-A
282300                                    (X-MM09-IMP-POS-INDEX)
282400         MOVE DFHBMASK           TO MM09-POS-NBR-A
282500                                    (X-MM09-IMP-POS-INDEX)
282600         GO TO Y056-PNS-EXIT.
282700*
282800     IF  MBCA-PTI-FUNCTION-IS-ADD
282900         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
283000             MOVE ZERO           TO MM09-POS-NBR-L
283100                                    (X-MM09-IMP-POS-INDEX)
283200             MOVE DFHBMDAS       TO MM09-POS-NBR-LP-A
283300                                    (X-MM09-IMP-POS-INDEX)
283400                                    MM09-POS-NBR-RP-A
283500                                    (X-MM09-IMP-POS-INDEX)
283600             MOVE DFHBMASK       TO MM09-POS-NBR-A
283700                                    (X-MM09-IMP-POS-INDEX).
283800*
283900     IF  MBCA-PTI-FUNCTION-IS-MAINT
284000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
284100             MOVE ZERO           TO MM09-POS-NBR-L
284200                                    (X-MM09-IMP-POS-INDEX)
284300             MOVE DFHBMDAS       TO MM09-POS-NBR-LP-A
284400                                    (X-MM09-IMP-POS-INDEX)
284500                                    MM09-POS-NBR-RP-A
284600                                    (X-MM09-IMP-POS-INDEX)
284700             MOVE DFHBMASK       TO MM09-POS-NBR-A
284800                                    (X-MM09-IMP-POS-INDEX).
284900*
285000 Y056-PNS-EXIT.
285100     EXIT.
285200*
285300 Y058-INCREMENT-INDEXES.
285400*
285500     IF  X-MM09-IMP-POS-INDEX IS LESS THAN 3
285600         SET X-MM09-IMP-POS-INDEX
285700                                 UP BY 1
285800         SET X-MMMM-POS          UP BY 1
285900         SET X-MMFS-MERCH        UP BY 2
286000         GO TO Y051-MPN-LOOP.
286100*
286200 Y059-MPN-EXIT.
286300     EXIT.
286400*
286500 Y060-MOVE-NBR-BULLETINS.
286600*
286700     MOVE MMMM-NBR-BULLETINS     TO MM09-NBR-BULLETINS.
286800*
286900 Y065-NBR-BULLETINS-SECURITY.
287000*
287100     MOVE MMMMTB-NBR-BULLETINS (1:4)
287200                                 TO WS-INDEX-X.
287300     SET  X-MMFS-MERCH           TO WS-INDEX.
287400*
287500     IF  MMMM-SINGLE-STORE-NO
287600         MOVE DFHBMDAS           TO MM09-NBR-BULLETINS-LP-A
287700                                    MM09-NBR-BULLETINS-RP-A
287800         MOVE DFHBMASK           TO MM09-NBR-BULLETINS-A
287900         GO TO Y069-MNB-EXIT.
288000*
288100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
288200         MOVE DFHBMDAS           TO MM09-NBR-BULLETINS-A
288300                                    MM09-NBR-BULLETINS-LP-A
288400                                    MM09-NBR-BULLETINS-RP-A
288500                                    MM09-NBR-BULLETINS-A
288600         MOVE ZERO               TO MM09-NBR-BULLETINS-L
288700         GO TO Y069-MNB-EXIT.
288800*
288900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
289000         MOVE DFHBMDAS           TO MM09-NBR-BULLETINS-LP-A
289100                                    MM09-NBR-BULLETINS-RP-A
289200         MOVE DFHBMASB           TO MM09-NBR-BULLETINS-A
289300         GO TO Y069-MNB-EXIT.
289400*
289500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
289600         MOVE ZERO               TO MM09-NBR-BULLETINS-L
289700         MOVE DFHBMDAS           TO MM09-NBR-BULLETINS-LP-A
289800                                    MM09-NBR-BULLETINS-RP-A
289900         MOVE DFHBMASK           TO MM09-NBR-BULLETINS-A
290000         GO TO Y069-MNB-EXIT.
290100*
290200     IF  MBCA-PTI-FUNCTION-IS-ADD
290300         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
290400             MOVE ZERO           TO MM09-NBR-BULLETINS-L
290500             MOVE DFHBMDAS       TO MM09-NBR-BULLETINS-LP-A
290600                                    MM09-NBR-BULLETINS-RP-A
290700             MOVE DFHBMASK       TO MM09-NBR-BULLETINS-A.
290800*
290900     IF  MBCA-PTI-FUNCTION-IS-MAINT
291000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
291100             MOVE ZERO           TO MM09-NBR-BULLETINS-L
291200             MOVE DFHBMDAS       TO MM09-NBR-BULLETINS-LP-A
291300                                    MM09-NBR-BULLETINS-RP-A
291400             MOVE DFHBMASK       TO MM09-NBR-BULLETINS-A.
291500*
291600 Y069-MNB-EXIT.
291700     EXIT.
291800*
291900 Y070-MOVE-NBR-STORES.
292000*
292100     MOVE MMMM-NBR-STORES        TO MM09-NBR-STORES.
292200*
292300 Y075-NBR-STORES-SECURITY.
292400*
292500     MOVE MMMMTB-NBR-STORES (1:4)
292600                                 TO WS-INDEX-X.
292700     SET  X-MMFS-MERCH           TO WS-INDEX.
292800*
292900     MOVE DFHBMASK               TO MM09-NBR-STORES-A.
293000     GO TO Y079-MNS-EXIT.
293100*
293200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
293300         MOVE DFHBMDAS           TO MM09-NBR-STORES-A
293400                                    MM09-NBR-STORES-A
293500         MOVE ZERO               TO MM09-NBR-STORES-L
293600         GO TO Y079-MNS-EXIT.
293700*
293800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
293900         MOVE DFHBMASB           TO MM09-NBR-STORES-A
294000         GO TO Y079-MNS-EXIT.
294100*
294200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
294300         MOVE ZERO               TO MM09-NBR-STORES-L
294400         MOVE DFHBMASK           TO MM09-NBR-STORES-A
294500         GO TO Y079-MNS-EXIT.
294600*
294700     IF  MBCA-PTI-FUNCTION-IS-ADD
294800         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
294900             MOVE ZERO           TO MM09-NBR-STORES-L
295000             MOVE DFHBMASK       TO MM09-NBR-STORES-A.
295100*
295200     IF  MBCA-PTI-FUNCTION-IS-MAINT
295300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
295400             MOVE ZERO           TO MM09-NBR-STORES-L
295500             MOVE DFHBMASK       TO MM09-NBR-STORES-A.
295600*
295700 Y079-MNS-EXIT.
295800     EXIT.
295900*
296000 Y090-MOVE-USER-MEMOS.
296100*
296200     MOVE MMMMTB-MEMO-1 (1:4)     TO WS-INDEX-X.
296300     SET  X-MMFS-MERCH           TO WS-INDEX.
296400     SET  X-MMMM-MEMO            TO 1.
296500     SET  X-MM09-UM-INDEX        TO 1.
296600*
296700 Y091-MUM-LOOP.
296800*
296900     MOVE MMMM-MEMO (X-MMMM-MEMO)
297000                                 TO MM09-USER-MEMO
297100                                    (X-MM09-UM-INDEX).
297200*
297300 Y095-USER-MEMO-SECURITY.
297400*
297500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
297600         MOVE DFHBMDAS           TO MM09-MEMO-LIT-A
297700                                    MM09-USER-MEMO-LP-A
297800                                    (X-MM09-UM-INDEX)
297900                                    MM09-USER-MEMO-RP-A
298000                                    (X-MM09-UM-INDEX)
298100                                    MM09-USER-MEMO-A
298200                                    (X-MM09-UM-INDEX)
298300         MOVE ZERO               TO MM09-USER-MEMO-L
298400                                    (X-MM09-UM-INDEX)
298500         GO TO Y096-UMS-EXIT.
298600*
298700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
298800         MOVE DFHBMDAS           TO MM09-USER-MEMO-LP-A
298900                                    (X-MM09-UM-INDEX)
299000                                    MM09-USER-MEMO-RP-A
299100                                    (X-MM09-UM-INDEX)
299200         MOVE DFHBMASB           TO MM09-USER-MEMO-A
299300                                    (X-MM09-UM-INDEX)
299400         GO TO Y096-UMS-EXIT.
299500*
299600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
299700         MOVE ZERO               TO MM09-USER-MEMO-L
299800                                    (X-MM09-UM-INDEX)
299900         MOVE DFHBMDAS           TO MM09-USER-MEMO-LP-A
300000                                    (X-MM09-UM-INDEX)
300100                                    MM09-USER-MEMO-RP-A
300200                                    (X-MM09-UM-INDEX)
300300         MOVE DFHBMASK           TO MM09-USER-MEMO-A
300400                                    (X-MM09-UM-INDEX)
300500         GO TO Y096-UMS-EXIT.
300600*
300700     IF  MBCA-PTI-FUNCTION-IS-ADD
300800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
300900             MOVE DFHBMASB       TO MM09-MEMO-LIT-A
301000         ELSE
301100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
301200                 MOVE ZERO       TO MM09-USER-MEMO-L
301300                                    (X-MM09-UM-INDEX)
301400                 MOVE DFHBMDAS   TO MM09-USER-MEMO-LP-A
301500                                    (X-MM09-UM-INDEX)
301600                                    MM09-USER-MEMO-RP-A
301700                                    (X-MM09-UM-INDEX)
301800                 MOVE DFHBMASK   TO MM09-USER-MEMO-A
301900                                    (X-MM09-UM-INDEX).
302000*
302100     IF  MBCA-PTI-FUNCTION-IS-MAINT
302200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
302300             MOVE ZERO           TO MM09-USER-MEMO-L
302400                                    (X-MM09-UM-INDEX)
302500             MOVE DFHBMDAS       TO MM09-USER-MEMO-LP-A
302600                                    (X-MM09-UM-INDEX)
302700                                    MM09-USER-MEMO-RP-A
302800                                    (X-MM09-UM-INDEX)
302900             MOVE DFHBMASK       TO MM09-USER-MEMO-A
303000                                    (X-MM09-UM-INDEX).
303100*
303200 Y096-UMS-EXIT.
303300     EXIT.
303400*
303500 Y098-INCREMENT-INDEXES.
303600*
303700     IF  X-MM09-UM-INDEX IS LESS THAN 4
303800         SET X-MMFS-MERCH        UP BY 1
303900         SET X-MMMM-MEMO         UP BY 1
304000         SET X-MM09-UM-INDEX     UP BY 1
304100         GO TO Y091-MUM-LOOP.
304200*
304300 Y099-MUM-EXIT.
304400     EXIT.
304500*
304600 Y800-SET-CURSOR.
304700*
304800************************************************************
304900*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
305000*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
305100*    OPEN FOR INPUT                                        *
305200************************************************************
305300*
305400     MOVE MMMMTB-CHAIN-1-ID (1:4) TO WS-INDEX-X.
305500     SET X-MMFS-MERCH            TO WS-INDEX.
305600*
305700 Y801-SC-LOOP.
305800*
305900     IF  MBCA-PTI-FUNCTION-IS-ADD
306000         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
306100         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
306200             GO TO Y802-SC-DETERMINE-FIELD.
306300*
306400     IF  MBCA-PTI-FUNCTION-IS-MAINT
306500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
306600             GO TO Y802-SC-DETERMINE-FIELD.
306700*
306800     MOVE MMMMTB-FRAUD-TABLE (1:4)
306900                                 TO WS-INDEX-X.
307000     IF  X-MMFS-MERCH IS LESS THAN WS-INDEX
307100         SET X-MMFS-MERCH        UP BY 1
307200         GO TO Y801-SC-LOOP.
307300*
307400 Y802-SC-DETERMINE-FIELD.
307500*
307600     MOVE MMMMTB-FRAUD-TABLE (1:4)
307700                                 TO WS-INDEX-X.
307800     IF  X-MMFS-MERCH IS EQUAL TO WS-INDEX
307900         MOVE SS08WS-CURSOR      TO MM09-ALT-TRANID-L
308000         GO TO Y809-SC-EXIT.
308100
308200     SET WS-FIELD-POSITION       TO X-MMFS-MERCH.
308300     MOVE MMMMTB-REVIEW-REP-NAME (1:4)
308400                                 TO WS-INDEX-X.
308500     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
308600
308700     GO TO   Y803-CHAIN-1
308800             Y803-CHAIN-2
308900             Y803-CHAIN-3
309000             Y803-CHAIN-4
309100             Y803-CHAIN-5
309200             Y803-CHAIN-6
309300             Y803-CHAIN-7
309400             Y803-CHAIN-8
309500             Y803-CHAIN-9
309600             Y803-CHAIN-10
309700         DEPENDING ON WS-FIELD-POSITION.
309800*
309900 Y803-CHAIN-1.
310000*
310100     SET  X-MM09-MCID-INDEX      TO +1.
310200     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
310300                                    (X-MM09-MCID-INDEX).
310400     GO TO Y809-SC-EXIT.
310500*
310600 Y803-CHAIN-2.
310700*
310800     SET  X-MM09-MCID-INDEX      UP BY +1.
310900     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
311000                                    (X-MM09-MCID-INDEX).
311100     GO TO Y809-SC-EXIT.
311200*
311300 Y803-CHAIN-3.
311400*
311500     SET  X-MM09-MCID-INDEX      UP BY +1.
311600     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
311700                                    (X-MM09-MCID-INDEX).
311800     GO TO Y809-SC-EXIT.
311900*
312000 Y803-CHAIN-4.
312100*
312200     SET  X-MM09-MCID-INDEX      UP BY +1.
312300     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
312400                                    (X-MM09-MCID-INDEX).
312500     GO TO Y809-SC-EXIT.
312600*
312700 Y803-CHAIN-5.
312800*
312900     SET  X-MM09-MCID-INDEX      UP BY +1.
313000     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
313100                                    (X-MM09-MCID-INDEX).
313200     GO TO Y809-SC-EXIT.
313300*
313400 Y803-CHAIN-6.
313500*
313600     SET  X-MM09-MCID-INDEX      UP BY +1.
313700     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
313800                                    (X-MM09-MCID-INDEX).
313900     GO TO Y809-SC-EXIT.
314000*
314100 Y803-CHAIN-7.
314200*
314300     SET  X-MM09-MCID-INDEX      UP BY +1.
314400     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
314500                                    (X-MM09-MCID-INDEX).
314600     GO TO Y809-SC-EXIT.
314700*
314800 Y803-CHAIN-8.
314900*
315000     SET  X-MM09-MCID-INDEX      UP BY +1.
315100     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
315200                                    (X-MM09-MCID-INDEX).
315300     GO TO Y809-SC-EXIT.
315400*
315500 Y803-CHAIN-9.
315600*
315700     SET  X-MM09-MCID-INDEX      UP BY +1.
315800     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
315900                                    (X-MM09-MCID-INDEX).
316000     GO TO Y809-SC-EXIT.
316100*
316200 Y803-CHAIN-10.
316300*
316400     SET  X-MM09-MCID-INDEX      UP BY +1.
316500     MOVE SS08WS-CURSOR          TO MM09-CHAIN-L
316600                                    (X-MM09-MCID-INDEX).
316700     GO TO Y809-SC-EXIT.
316800*
316900 Y809-SC-EXIT.
317000     EXIT.
317100*
317200 Y900-READ-MMFS.
317300*
317400****************************************
317500*    READ THE FIELD SECURITY RECORD    *
317600*    TO OBTAIN THE SECURITY CODES      *
317700****************************************
317800*
317900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
318000     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
318100     SET MBIORO-READ-RANDOM      TO TRUE.
318200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
318300*
318400     IF  NOT MMFS-REC-ACTIVE
318500         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
318600         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
318700         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
318800         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
318900         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
319000         SET MBCA-ERROR-MSGS-PROVIDED
319100                                 TO TRUE
319200         MOVE 'READ ERROR - MMFSAO'
319300                                 TO MBCA-ERRR-MSG1
319400         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
319500                                 TO MBCA-ERRR-MSG2
319600         GO TO MB70PD-ERROR-ROUTINE.
319700*
319800 Y909-READ-MMFS-EXIT.
319900     EXIT.
320000*
320100 Y910-WRITE-LOG-RECORD.
320200*
320300     SET MBIORO-WRITE            TO TRUE.
320400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
320500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
320600*
320700 Y919-WLR-EXIT.
320800     EXIT.
320900*
321000 Y920-UPDATE-ADD-MMRD.
321100*
321200     IF  MM09-CHAIN (X-MM09-MCID-INDEX)
321300                   IS EQUAL TO ZEROS
321400         GO TO Y929-UA-EXIT.
321500*
321600     IF  MMMM-REC-MODEL
321700         GO TO Y929-UA-EXIT.
321800*
321900     MOVE 1                      TO WS-SEQ-NBR.
322000*
322100 Y921-GET-NEXT-MMRD.
322200*
322300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
322400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
322500     MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
322600                                 TO MBIOWS-MMRD-CHAIN.
322700     MOVE WS-SEQ-NBR             TO MBIOWS-MMRD-SEQ-NBR.
322800     SET MBIORO-READ-RANDOM-UPDATE
322900                                 TO TRUE.
323000     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
323100     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
323200*
323300     IF  SS08WS-RC-FC-NOTFND
323400         MOVE MMRDIR-RECORD      TO MMRD-RECORD
323500         MOVE MBCA-MERCHANT-ORG  TO MMRD-ORG
323600         MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
323700                                 TO MMRD-CHAIN
323800         MOVE WS-SEQ-NBR         TO MMRD-SEQ-NBR
323900         SET WS-WRITE-SW-ON      TO TRUE
324000     ELSE
324100         SET WS-REWRITE-SW-ON    TO TRUE.
324200*
324300 Y923-CHECK-MEMBER-LIST.
324400*
324500     SET X-MMRD-MEMBER           TO 1.
324600     SEARCH MMRD-MEMBER-TABLE VARYING X-MMRD-MEMBER
324700         AT END
324800             GO TO Y925-UNLOCK-RECORD
324900         WHEN MMRD-MEMBER (X-MMRD-MEMBER)
325000                                 IS EQUAL TO ZERO
325100             NEXT SENTENCE.
325200*
325300     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
325400                                 TO WS-ORIGINAL-MEMBER.
325500     MOVE MMRD-NBR-OF-MEMBERS    TO WS-ORIGINAL-NBR-MEMBERS.
325600     MOVE MMMM-MERCHANT          TO MMRD-MEMBER
325700                                    (X-MMRD-MEMBER).
325800     ADD 1                       TO MMRD-NBR-OF-MEMBERS.
325900*
326000     MOVE 'FC35'                 TO MBCA-PROGRAM-LOCATION.
326100     PERFORM Y940-UPDATE         THRU Y949-U-EXIT.
326200*
326300     IF  WS-WRITE-SW-ON
326400         SET MBIORO-WRITE        TO TRUE
326500         SET MMRD-REC-ACTIVE     TO TRUE
326600     ELSE
326700         SET MBIORO-REWRITE      TO TRUE.
326800*
326900     MOVE SPACES                 TO WS-WRITE-RE-SW.
327000*
327100     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
327200*
327300     GO TO Y929-UA-EXIT.
327400*
327500 Y925-UNLOCK-RECORD.
327600*
327700******************************************
327800*    UNLOCK THE RECORD.  ADD 1 TO THE    *
327900*    SEQUENCE NUMBER, AND TRY AGAIN.     *
328000******************************************
328100*
328200     SET MBIORO-UNLOCK           TO TRUE.
328300     MOVE 'FC36'                 TO MBCA-PROGRAM-LOCATION.
328400     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
328500*
328600     ADD +1                      TO WS-SEQ-NBR.
328700     GO TO Y921-GET-NEXT-MMRD.
328800*
328900 Y929-UA-EXIT.
329000     EXIT.
329100*
329200 Y930-UPDATE-DELETE-MMRD.
329300*
329400     SET X-MMMM-MERCH-CHAIN      TO X-MM09-MCID-INDEX.
329500*
329600     IF  MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
329700                                 IS EQUAL TO ZEROS
329800         GO TO Y939-UD-EXIT.
329900*
330000     IF  MMMM-REC-MODEL
330100         GO TO Y939-UD-EXIT.
330200*
330300     MOVE 1                      TO WS-SEQ-NBR.
330400*
330500 Y931-GET-NEXT-MMRD.
330600*
330700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-PERM-STATUS-1.
330800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
330900     MOVE MMMM-MERCH-CHAIN-ID (X-MMMM-MERCH-CHAIN)
331000                                 TO MBIOWS-MMRD-CHAIN.
331100     MOVE WS-SEQ-NBR             TO MBIOWS-MMRD-SEQ-NBR.
331200     SET MBIORO-READ-RANDOM-UPDATE
331300                                 TO TRUE.
331400     MOVE 'FC37'                 TO MBCA-PROGRAM-LOCATION.
331500     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
331600*
331700     IF  SS08WS-RC-FC-NOTFND
331800         GO TO Y939-UD-EXIT.
331900*
332000     SET X-MMRD-MEMBER           TO 1.
332100     SEARCH MMRD-MEMBER-TABLE VARYING X-MMRD-MEMBER
332200         AT END
332300             GO TO Y935-UNLOCK-RECORD
332400         WHEN MMRD-MEMBER (X-MMRD-MEMBER)
332500                                 IS EQUAL TO MMMM-MERCHANT
332600             NEXT SENTENCE.
332700*
332800     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
332900                                 TO WS-ORIGINAL-MEMBER.
333000     MOVE ZEROES                 TO MMRD-MEMBER
333100                                    (X-MMRD-MEMBER).
333200     MOVE MMRD-NBR-OF-MEMBERS    TO WS-ORIGINAL-NBR-MEMBERS.
333300     SUBTRACT 1                  FROM MMRD-NBR-OF-MEMBERS.
333400*
333500     SET WS-REWRITE-SW-ON        TO TRUE.
333600     MOVE 'FC38'                 TO MBCA-PROGRAM-LOCATION.
333700     PERFORM Y940-UPDATE         THRU Y949-U-EXIT.
333800*
333900     MOVE SPACES                 TO WS-WRITE-RE-SW.
334000     SET MBIORO-REWRITE          TO TRUE.
334100     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
334200*
334300     GO TO Y939-UD-EXIT.
334400*
334500 Y935-UNLOCK-RECORD.
334600*
334700******************************************
334800*    UNLOCK THE RECORD.  ADD 1 TO THE    *
334900*    SEQUENCE NUMBER, AND TRY AGAIN.     *
335000******************************************
335100*
335200     SET MBIORO-UNLOCK           TO TRUE.
335300     MOVE 'FC39'                 TO MBCA-PROGRAM-LOCATION.
335400     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
335500*
335600     ADD +1                      TO WS-SEQ-NBR.
335700*
335800     GO TO Y931-GET-NEXT-MMRD.
335900*
336000 Y939-UD-EXIT.
336100     EXIT.
336200*
336300 Y940-UPDATE.
336400*
336500******************************************************
336600*    WRITE THE REPLACEMENT RECORD OR MAINTENANCE     *
336700*    RECORD TO THE LOG FILE                          *
336800******************************************************
336900*
337000     MOVE 'RD'                   TO MML1-FILE-CODE.
337100     MOVE MMRD-ORG               TO MML1-MMRD-ORG.
337200     MOVE MMRD-CHAIN             TO MML1-MMRD-CHAIN.
337300     MOVE MMRD-SEQ-NBR           TO MML1-MMRD-SEQ-NBR.
337400*
337500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE-2.
337600*
337700     IF  WS-REWRITE-SW-ON
337800         MOVE 0990               TO MML1-FIELD-CODE
337900         SET MML1-FIELD-OCCURRENCE
338000                                 TO X-MMRD-MEMBER
338100         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
338200         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
338300         MOVE WS-ORIGINAL-MEMBER TO MML1-VL10-B-DATA-9
338400         MOVE MMRD-MEMBER (X-MMRD-MEMBER)
338500                                 TO MML1-VL10-A-DATA-9
338600         MOVE 'FC40'             TO MBCA-PROGRAM-LOCATION
338700         PERFORM Y910-WRITE-LOG-RECORD
338800                                 THRU Y919-WLR-EXIT
338900         MOVE 0991               TO MML1-FIELD-CODE
339000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
339100                                    MML1-FIELD-OCCURRENCE-2
339200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
339300         MOVE WS-ORIGINAL-NBR-MEMBERS
339400                                 TO MML1-VL03-B-DATA-9
339500         MOVE MMRD-NBR-OF-MEMBERS
339600                                 TO MML1-VL03-A-DATA-9
339700         MOVE 'FC41'             TO MBCA-PROGRAM-LOCATION
339800         PERFORM Y910-WRITE-LOG-RECORD
339900                                 THRU Y919-WLR-EXIT
340000     ELSE
340100         MOVE ZEROES             TO MML1-FIELD-CODE
340200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
340300                                    MML1-FIELD-OCCURRENCE-2
340400         MOVE LENGTH OF MMRD-RECORD
340500                                 TO MML1-VARIABLE-LENGTH
340600         MOVE MMRD-RECORD        TO MML1-ADD-AREA
340700         MOVE 'FC42'             TO MBCA-PROGRAM-LOCATION
340800         PERFORM Y910-WRITE-LOG-RECORD
340900                                 THRU Y919-WLR-EXIT.
341000*
341100     IF  MBCA-PTI-FUNCTION-IS-MAINT
341200         MOVE 0198               TO MML1-FIELD-CODE
341300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
341400                                    MML1-FIELD-OCCURRENCE-2
341500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
341600         MOVE MMRD-LAST-MAINT-OPER
341700                                 TO MML1-VL03-B-DATA-X
341800         MOVE MBCA-OPERATOR-ID   TO MMRD-LAST-MAINT-OPER
341900         MOVE MMRD-LAST-MAINT-OPER
342000                                 TO MML1-VL03-A-DATA-X
342100         MOVE 'FC43'             TO MBCA-PROGRAM-LOCATION
342200         PERFORM Y910-WRITE-LOG-RECORD
342300                                 THRU Y919-WLR-EXIT
342400         MOVE 0199               TO MML1-FIELD-CODE
342500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
342600                                    MML1-FIELD-OCCURRENCE-2
342700         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
342800         MOVE MMRD-LAST-MAINT-DATE
342900                                 TO MML1-VL07-B-DATA-9
343000         MOVE MBCA-START-DATE    TO MMRD-LAST-MAINT-DATE
343100         MOVE MMRD-LAST-MAINT-DATE
343200                                 TO MML1-VL07-A-DATA-9
343300         MOVE 'FC44'             TO MBCA-PROGRAM-LOCATION
343400         PERFORM Y910-WRITE-LOG-RECORD
343500                                     THRU Y919-WLR-EXIT.
343600*
343700     MOVE SPACES                 TO MML1-SORT-KEY-1.
343800*
343900 Y949-U-EXIT.
344000     EXIT.
344100*
344200 Y950-READ-MMRC.
344300*
344400****************************************
344500*    READ THE MERCHANT RELATIONSHIP    *
344600****************************************
344700*
344800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRC-ORG.
344900     MOVE MM09-CHAIN (X-MM09-MCID-INDEX)
345000                                 TO MBIOWS-MMRC-CHAIN
345100                                    MBCA-CHAIN.
345200     SET MBIORO-READ-RANDOM      TO TRUE.
345300*
345400     IF  EDIT-ROUTINE-IS-PERFORMING
345500         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1.
345600*
345700     PERFORM MMRCAO-ACCESS       THRU MMRCAO-ACCESS-EXIT.
345800*
345900     IF  SS08WS-RC-FC-VALID-RTN-CODE
346000         NEXT SENTENCE
346100     ELSE
346200         SET MERCHANT-CHAIN-NOT-FOUND
346300                                 TO TRUE.
346400*
346500 Y959-RM-EXIT.
346600     EXIT.
346700/
346800 Z000-COPIED-ROUTINES SECTION.
346900*
347000**********************************
347100*    JUL TO GREG DATE ROUTINE    *
347200**********************************
347300*
347400     COPY SS08PD.
347500/
347600**********************************
347700*    DATE AND TIME EDIT ROUTINES *
347800**********************************
347900*
348000     COPY SS26PD.
348100     COPY SS27PD.
348200/
348300*********************************
348400*    LINE 24 PF KEYS ROUTINE    *
348500*********************************
348600*
348700     COPY SS15PD.
348800/
348900************************************************
349000*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
349100************************************************
349200*
349300     COPY MMMMAO.
349400/
349500***********************************************
349600*    FIELD SECURITY RECORD ACCESS ROUTINES    *
349700***********************************************
349800*
349900     COPY MMFSAO.
350000/
350100********************************************
350200*    MERCHANT RELATIONSHIP CONTROL RECORD  *
350300*    (GROUP DEFINITION) ACCESS ROUTINES    *
350400********************************************
350500*
350600     COPY MMRCAO.
350700/
350800******************************************
350900*    MERCHANT RELATIONSHIP DETAIL RECORD *
351000*    (MEMBER LIST) ACCESS ROUTINES       *
351100******************************************
351200*
351300     COPY MMRDAO.
351400/
351500************************************************
351600*    STORE MASTER RECORD ACCESS ROUTINES       *
351700************************************************
351800*
351900     COPY MMSMAO.
352000/
352100***********************************************
352200*    STORE XREF FILE  ACCESS ROUTINES         *
352300***********************************************
352400*
352500     COPY MMXRAO.
352600/
352700*****************************************
352800*    LOG FILE RECORD ACCESS ROUTINES    *
352900*****************************************
353000*
353100     COPY MML1AO.
353200/
353300*****************************
353400*    ONLINE MAP ROUTINES    *
353500*****************************
353600*
353700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM09 '
353800                           MBMAPXXI BY MBMM09I
353900                           MBMAPXXO BY MBMM09O.
354000/
354100***************************
354200*    ONLINE PROCEDURES    *
354300***************************
354400*
354500     COPY MB70PD.
354600/
354700     COPY SMFTPXO.
