000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM10.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM10 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 10                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM10 (SCREEN 10)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMFP (FRAUD REPORTING FILE)                *
002000*                 D. MML1 (LOG FILE)                            *
002100*                                                               *
002200*****************************************************************
002300*
002400 ENVIRONMENT DIVISION.
002500*
002600 DATA DIVISION.
002700*
002800 WORKING-STORAGE SECTION.
002900*
003000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003100*
003200 01  FILLER                  PIC  X(14)      VALUE
003300     'MISCELLANEOUS:'.
003400*
003500 01  WS-MISCELLANEOUS.
003600     03  WS-FIELD-POSITION   PIC  9(03)      VALUE ZEROES.
003700*
003800 01  FILLER                  PIC  X(17)      VALUE
003900     'PROGRAM SWITCHES:'.
004000*
004100 01  WS-PROGRAM-SWITCHES.
004200     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004300         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004400         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004500     03  WS-INDEX-X.
004600         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
004700     03  TS-QUEUE-NAME.
004800         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
004900         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005000/
005100 01  FILLER                  PIC  X(29)      VALUE
005200     'I/O REQUEST BLOCK WORK AREAS:'.
005300*
005400     COPY MBIOWS.
005500/
005600 01  FILLER                  PIC  X(18)      VALUE
005700     'I/O REQUEST BLOCK:'.
005800*
005900     COPY MBIORO.
006000/
006100 01  FILLER                  PIC  X(25)      VALUE
006200     'LOG RECORD REQUEST BLOCK:'.
006300*
006400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 01  FILLER                  PIC  X(29)      VALUE
006700     'MERCHANT MASTER FIELDS TABLE:'.
006800*
006900     COPY MMMMTB.
007000/
007100 01  FILLER                  PIC  X(35)      VALUE
007200     'MERCHANT MASTER INITIALIZER RECORD:'.
007300*
007400     COPY MMMMIR.
007500/
007600 01  FILLER                  PIC  X(20)      VALUE
007700     'CCS DATE WORK AREAS:'.
007800*
007900     COPY SS01WS.
008000/
008100 01  FILLER                  PIC  X(15)      VALUE
008200     'CCS WORK AREAS:'.
008300*
008400     COPY SS08WS.
008500/
008600     COPY SS00WS.
008700/
008800     COPY SMFTWS.
008900/
009000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009100/
009200     COPY MB61LK.
009300/
009400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*****************************
010300*    MERCHANT MASTER MAP    *
010400*****************************
010500*
010600     COPY MBMM10.
010700/
010800******************************************
010900*    MERCHANT MASTER MAP REDEFINITION    *
011000******************************************
011100*
011200     COPY MBMM10R.
011300/
011400****************************************
011500*    MERCHANT MASTER  RECORD LAYOUT    *
011600****************************************
011700*
011800     COPY MMMMRL.
011900/
012000****************************************
012100*    FRAUD REPORTING  RECORD LAYOUT    *
012200****************************************
012300*
012400     COPY MMFPRL.
012500/
012600**************************************
012700*    FIELD SECURITY RECORD LAYOUT    *
012800**************************************
012900*
013000     COPY MMFSRL.
013100/
013200***************************
013300*    LOG RECORD LAYOUT    *
013400***************************
013500*
013600     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013700/
013800***************************************
013900*    USER INPUT TEMP STORAGE RECORD   *
014000***************************************
014100*
014200     COPY MBUITS.
014300/
014400 PROCEDURE DIVISION.
014500*
014600 A000-HOUSEKEEPING SECTION.
014700*
014800 A020-INIT.
014900*
015000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015200                                 THRU MB70PD-OLH-EXIT.
015300*
015400     IF  MBCA-MBUI-UI-YES
015500         NEXT SENTENCE
015600     ELSE
015700         SET MBCA-MBUI-UI-NO     TO TRUE.
015800*
015900     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
016000*
016100     IF  MBCA-RECEIVE-SCREEN
016200         GO TO C000-RECEIVE-SCREEN.
016300/
016400 B000-SEND-SCREEN SECTION.
016500*
016600*********************************************
016700*    GET CICS STORAGE NEEDED FOR THE MAP    *
016800*********************************************
016900*
017000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017100     PERFORM MB60PD-GETMAIN-FOR-MAP
017200                                 THRU MB60PD-GFM-EXIT.
017300*
017400*******************************************
017500*    INITIALIZE THE STANDARD MAP LINES    *
017600*******************************************
017700*
017800     PERFORM MB60PD-INIT-STD-MAP-LINES
017900                                 THRU MB60PD-ISML-EXIT.
018000*
018100*****************************************
018200*    READ THE MERCHANT MASTER RECORD    *
018300*    FOR SUBSEQUENT DISPLAY             *
018400*****************************************
018500*
018600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018700     PERFORM Y900-READ-MMMM      THRU Y909-READ-MMMM-EXIT.
018800*
018900*********************************************
019000*    MOVE THE PRIMARY NAME TO THE SCREEN    *
019100*********************************************
019200*
019300     MOVE MMMM-NA-LINE (1 1)     TO MM10-MERCHANT-NAME.
019400*
019500****************************************
019600*    READ THE FIELD SECURITY RECORD    *
019700****************************************
019800*
019900     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020000     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
020100*
020200 B020-MOVE-FIELDS-TO-SCREEN.
020300*
020400*****************************************
020500*    MOVE THE MERCHANT MASTER FIELDS    *
020600*    FROM THE RECORD TO THE SCREEN      *
020700*****************************************
020800*
020900     MOVE MMMMTB-FRAUD-TABLE (1:4)
021000                                 TO WS-INDEX-X.
021100     SET X-MMFS-MERCH            TO WS-INDEX.
021200*
021300     PERFORM Y010-MOVE-TABLE-NBR THRU Y019-MTN-EXIT.
021400*
021500     SET X-MMFS-MERCH            UP BY 1.
021600*
021700     PERFORM
021800         VARYING X-MMMM-FRAUD-PROJ FROM +1 BY +1
021900         UNTIL   X-MMMM-FRAUD-PROJ IS GREATER THAN +5
022000             SET X-MM10-FRAUD-INDEX
022100                                 TO X-MMMM-FRAUD-PROJ
022200             PERFORM Y030-MOVE-PROJ-AMOUNT
022300                                 THRU Y039-MPA-EXIT
022400             SET X-MMFS-MERCH    UP BY +1
022500             PERFORM Y050-MOVE-PROJ-NUMBER
022600                                 THRU Y059-MPN-EXIT
022700             SET X-MMFS-MERCH    UP BY +1
022800     END-PERFORM.
022900*
023000     PERFORM Y070-MOVE-DUPLICATE-SALE-BATCH                       RG800902
023100                                 THRU Y079-MDSB-EXIT.             RG800902
023200*                                                                 RG800902
023300     PERFORM Y090-MOVE-DUPLICATE-SALE-DAY                         RG800902
023400                                 THRU Y099-MDSD-EXIT.             RG800902
023500*
023600     PERFORM Y110-MOVE-AVERAGE-MONTHS
023700                                 THRU Y119-MAM-EXIT.
023800*
023810     MOVE MMMMTB-DUP-SALES-AMT (1:4)                              RG800902
023812                                 TO WS-INDEX-X.                   RG800902
023814     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
023816*                                                                 RG800902
023818     PERFORM Y130-MOVE-DUPLICATE-SALE-AMT                         RG800902
023820                                 THRU Y139-MDSA-EXIT.             RG800902
023822*                                                                 RG800902
023824     PERFORM Y150-MOVE-DUPLICATE-AUTH-BATCH                       RG800902
023826                                 THRU Y159-MDAB-EXIT.             RG800902
023828*                                                                 RG800902
023830     PERFORM Y170-MOVE-DUPLICATE-AUTH-DAY                         RG800902
023832                                 THRU Y179-MDAD-EXIT.             RG800902
023834*                                                                 RG800902
023836     PERFORM Y190-MOVE-DUPLICATE-AUTH-AMT                         RG800902
023838                                 THRU Y199-MDAA-EXIT.             RG800902
023840*                                                                 RG800902
023900********************************************
024000*  TO FORMAT AND POPULATE THE MESSAGE LINE *
024100********************************************
024200*
024300     IF MM10-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
024400        PERFORM MB06PD-FORMAT-MESSAGE-LINE
024500           THRU MB06PD-FML-EXIT
024600        MOVE SS08WS-FORMATTED-MSG   TO MM10-ERR-MESSAGE
024700     END-IF.
024800*
024900******************************************
025000*    SET THE CURSOR AND SCREEN NUMBER    *
025100******************************************
025200*
025300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
025400         MOVE SS08WS-CURSOR      TO MM10-ALT-TRANID-L
025500     ELSE
025600         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
025700*
025800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
025900*
026000**********************
026100*    SEND THE MAP    *
026200**********************
026300*
026400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
026600                                 THRU MB60PD-SMWE-EXIT.
026700*
026800************************
026900*    RETURN TO CICS    *
027000************************
027100*
027200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
027300     PERFORM MB70PD-RETURN-TRANS-ID
027400                                 THRU MB70PD-RTI-EXIT.
027500/
027600 C000-RECEIVE-SCREEN SECTION.
027700*
027800******************************************
027900*    THIS SECTION RECEIVES THE SCREEN    *
028000******************************************
028100*
028200     IF  MBCA-MBUI-UI-YES
028300*
028400****************************************************************
028500*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
028600****************************************************************
028700*
028800         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
028900         EXEC CICS GETMAIN
029000                   FLENGTH (LENGTH  OF MBUITS-RECORD)
029100
029200                   SET     (ADDRESS OF MBUITS-RECORD)
029300
029400              END-EXEC
029500*
029600***********************************************
029700*    READ THE TEMP STORAGE RECORD             *
029800***********************************************
029900*
030000         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
030100*
030200         EXEC CICS READQ TS
030300                   QUEUE   (TS-QUEUE-NAME)
030400                   INTO    (MBUITS-RECORD)
030500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
030600                   ITEM    (1)
030700              END-EXEC
030800*
030900***********************************************
031000*    DELETE THE TEMP STORAGE RECORD           *
031100***********************************************
031200*
031300         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
031400*
031500         EXEC CICS IGNORE CONDITION
031600                   QIDERR
031700              END-EXEC
031800*
031900         EXEC CICS DELETEQ TS
032000                   QUEUE  (TS-QUEUE-NAME)
032100              END-EXEC
032200         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
032300         PERFORM MB60PD-GETMAIN-FOR-MAP
032400                                 THRU MB60PD-GFM-EXIT
032500         MOVE MBUITS-VAR-DATA    TO MBMM10I
032600     ELSE
032700         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
032800         PERFORM MB60PD-RECEIVE-MAP
032900                                 THRU MB60PD-RM-EXIT.
033000*
033100**************************************************************
033200*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
033300**************************************************************
033400*
033500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
033600     PERFORM MB60PD-NEW-TRANS-ROUTINE
033700                                 THRU MB60PD-NTR-EXIT.
033800*
033900****************************************************
034000*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
034100****************************************************
034200*
034300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
034400         GO TO F000-SETUP-COMMAREA.
034500*
034600*****************************************
034700*    READ THE MERCHANT MASTER RECORD    *
034800*****************************************
034900*
035000*
035100     IF  MBCA-PTI-FUNCTION-IS-ADD
035200     AND MBCA-MBUI-UI-YES
035300     AND MBCA-MBUI-UI-UPDATE-NO
035400         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
035500         SET MBIORO-GETMAIN      TO TRUE
035600         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
035700         MOVE MMMMIR-RECORD      TO MMMM-RECORD
035800     ELSE
035900         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
036000         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
036100         PERFORM Y900-READ-MMMM  THRU Y909-READ-MMMM-EXIT
036200         IF  SS08WS-RC-FC-NOTFND
036300         AND MBCA-MBUI-UI-YES
036400             MOVE 'MBUI'         TO MBCA-TRANS-ID
036500                                    MBCA-PREV-TRANS-ID
036600             MOVE 01             TO MBCA-SCREEN-NBR
036700             MOVE 'MER'          TO MM10-FILLER
036800             SET MBCA-MBUI-ERROR-YES
036900                                 TO TRUE
037000             GO TO F000-SETUP-COMMAREA.
037100*
037200     IF (MBCA-PTI-FUNCTION-IS-MAINT
037300     AND MBCA-MBUI-UI-YES
037400     AND (MMMM-REC-PURGED
037500       OR MMMM-REC-INCOMPLETE))
037600     OR
037700        (MBCA-PTI-FUNCTION-IS-ADD
037800     AND MBCA-MBUI-UI-YES
037900     AND MMMM-REC-PURGED)
038000         MOVE 'MBUI'             TO MBCA-TRANS-ID
038100                                    MBCA-PREV-TRANS-ID
038200         MOVE 01                 TO MBCA-SCREEN-NBR
038300         MOVE 'MER'              TO MM10-FILLER
038400         SET MBCA-MBUI-ERROR-YES
038500                                 TO TRUE
038600         GO TO F000-SETUP-COMMAREA.
038700*
038800*********************************************
038900*    MOVE THE PRIMARY NAME TO THE SCREEN    *
039000*********************************************
039100*
039200     MOVE MMMM-NA-LINE (1 1)     TO MM10-MERCHANT-NAME.
039300*
039400****************************************
039500*    READ THE FIELD SECURITY RECORD    *
039600****************************************
039700*
039800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
039900     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
040000*
040100 C020-FIELD-EDITS.
040200*
040300*********************
040400*    FIELD EDITS    *
040500*********************
040600*
040700     MOVE MMMMTB-FRAUD-TABLE (1:4)
040800                                 TO WS-INDEX-X.
040900*
041000     SET X-MMFS-MERCH            TO WS-INDEX.
041100*
041200     PERFORM W010-EDIT-TABLE-NBR THRU W019-ETN-EXIT.
041300*
041400     SET X-MMFS-MERCH            UP BY 1.
041500*
041600     PERFORM
041700         VARYING X-MMMM-FRAUD-PROJ FROM +1 BY +1
041800         UNTIL   X-MMMM-FRAUD-PROJ IS GREATER THAN +5
041900             SET X-MM10-FRAUD-INDEX
042000                                 TO X-MMMM-FRAUD-PROJ
042100             PERFORM W030-EDIT-PROJ-AMOUNT
042200                                 THRU W039-EPA-EXIT
042300             PERFORM W050-EDIT-PROJ-NUMBER
042400                                 THRU W059-EPN-EXIT
042500             SET X-MMFS-MERCH    UP BY +1
042600     END-PERFORM.
042700*
042800     PERFORM W070-EDIT-DUPLICATE-SALE-BATCH                       RG800902
042900                                 THRU W079-EDSB-EXIT.             RG800902
043000*                                                                 RG800902
043100     PERFORM W090-EDIT-DUPLICATE-SALE-DAY                         RG800902
043200                                 THRU W099-EDSD-EXIT.             RG800902
043300*                                                                 RG800902
043400     PERFORM W110-EDIT-AVERAGE-MONTHS
043500                                 THRU W119-EAM-EXIT.
043510*                                                                 RG800902
043512     MOVE MMMMTB-DUP-SALES-AMT (1:4)                              RG800902
043514                                 TO WS-INDEX-X.                   RG800902
043516     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
043518*                                                                 RG800902
043520     PERFORM W130-EDIT-DUPLICATE-SALE-AMT                         RG800902
043522                                 THRU W139-EDSA-EXIT.             RG800902
043524*                                                                 RG800902
043526     PERFORM W150-EDIT-DUPLICATE-AUTH-BATCH                       RG800902
043528                                 THRU W159-EDAB-EXIT.             RG800902
043530*                                                                 RG800902
043532     PERFORM W170-EDIT-DUPLICATE-AUTH-DAY                         RG800902
043534                                 THRU W179-EDAD-EXIT.             RG800902
043536*                                                                 RG800902
043538     PERFORM W190-EDIT-DUPLICATE-AUTH-AMT                         RG800902
043540                                 THRU W199-EDAA-EXIT.             RG800902
043600/
043700 D000-RETURN-ERRORS SECTION.
043800*
043900     IF  SS08WS-ERROR-SW-NO
044000         GO TO E000-UPDATE-FILE.
044100*
044200     IF  MBCA-MBUI-UI-YES
044300         MOVE 'MBUI'             TO MBCA-TRANS-ID
044400                                    MBCA-PREV-TRANS-ID
044500         MOVE 01                 TO MBCA-SCREEN-NBR
044600         SET MBCA-MBUI-ERROR-YES TO TRUE
044700         GO TO F090-TRANSFER-XCTL.
044800*
044900***************************************************************
045000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
045100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
045200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
045300***************************************************************
045400*
045500     PERFORM MB60PD-INIT-STD-MAP-LINES
045600                                 THRU MB60PD-ISML-EXIT.
045700*
045800********************************************
045900*  TO FORMAT AND POPULATE THE MESSAGE LINE *
046000********************************************
046100*
046200     IF MM10-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
046300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
046400           THRU MB06PD-FML-EXIT
046500        MOVE SS08WS-FORMATTED-MSG   TO MM10-ERR-MESSAGE
046600     END-IF.
046700*
046800**********************
046900*    SEND THE MAP    *
047000**********************
047100*
047200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
047300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
047400                                 THRU MB60PD-SMDO-EXIT.
047500*
047600************************
047700*    RETURN TO CICS    *
047800************************
047900*
048000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
048100     PERFORM MB70PD-RETURN-TRANS-ID
048200                                 THRU MB70PD-RTI-EXIT.
048300/
048400 E000-UPDATE-FILE SECTION.
048500*
048600     IF  MBCA-MBUI-UI-YES
048700         SET MBCA-MBUI-ERROR-NO  TO TRUE.
048800*
048900     IF  MBCA-MBUI-UI-YES
049000     AND MBCA-MBUI-UI-UPDATE-NO
049100         GO TO F090-TRANSFER-XCTL.
049200*
049300****************************************************
049400*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
049500****************************************************
049600*
049700     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
049800     SET MBIORO-READ-RANDOM-UPDATE
049900                                 TO TRUE.
050000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
050100*
050200*************************************
050300*    OBTAIN STORAGE FOR LOG FILE    *
050400*    RECORD IF DOING MAINTENANCE    *
050500*************************************
050600*
050700     IF  MBCA-PTI-FUNCTION-IS-ADD
050800         GO TO E020-UPDATE-FIELDS.
050900*
051000     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
051100     SET MBIORO-GETMAIN          TO TRUE.
051200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
051300*
051400*************************************************
051500*    SET UP THE COMMON PORTION OF THE RECORD    *
051600*************************************************
051700*
051800     MOVE 'MM'                   TO MML1-FILE-CODE.
051900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
052000     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
052100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
052200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
052300     MOVE ZEROS                  TO MML1-SOURCE-CODE.
052400     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
052500*
052600 E020-UPDATE-FIELDS.
052700*
052800     MOVE MMMMTB-FRAUD-TABLE (1:4)                                RG800902
052900                                 TO WS-INDEX-X.
053000     SET X-MMFS-MERCH            TO WS-INDEX.
053100*
053200     PERFORM X010-UPDATE-TABLE-NBR
053300                                 THRU X019-UTN-EXIT.
053400*
053410     SET X-MMFS-MERCH            UP BY +1.                        RG800902
053412*                                                                 RG800902
053500     PERFORM
053600         VARYING X-MMMM-FRAUD-PROJ FROM +1 BY +1
053700         UNTIL   X-MMMM-FRAUD-PROJ IS GREATER THAN +5
053800             SET X-MM10-FRAUD-INDEX
053900                                 TO X-MMMM-FRAUD-PROJ
054000             PERFORM X030-UPDATE-PROJ-AMOUNT
054100                                 THRU X039-UPA-EXIT
054200             PERFORM X050-UPDATE-PROJ-NUMBER
054300                                 THRU X059-UPN-EXIT
054400             SET X-MMFS-MERCH    UP BY +1
054500     END-PERFORM.
054600*
054700     PERFORM X070-UPDATE-DUP-SALE-BATCH                           RG800902
054800                                 THRU X079-UDSB-EXIT.             RG800902
054900*                                                                 RG800902
055000     PERFORM X090-UPDATE-DUPLICATE-SALE-DAY                       RG800902
055100                                 THRU X099-UDSD-EXIT.             RG800902
055200*
055300     PERFORM X110-UPDATE-AVERAGE-MONTHS
055400                                 THRU X119-UAM-EXIT.
055500*
055510     MOVE MMMMTB-DUP-SALES-AMT (1:4)                              RG800902
055512                                 TO WS-INDEX-X.                   RG800902
055514     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
055516*                                                                 RG800902
055518     PERFORM X130-UPDATE-DUPLICATE-SALE-AMT                       RG800902
055520                                 THRU X139-UDSA-EXIT.             RG800902
055522*                                                                 RG800902
055524     PERFORM X150-UPDATE-DUP-AUTH-BATCH                           RG800902
055526                                 THRU X159-UDAB-EXIT.             RG800902
055528*                                                                 RG800902
055530     PERFORM X170-UPDATE-DUPLICATE-AUTH-DAY                       RG800902
055532                                 THRU X179-UDAD-EXIT.             RG800902
055534*                                                                 RG800902
055536     PERFORM X190-UPDATE-DUPLICATE-AUTH-AMT                       RG800902
055538                                 THRU X199-UDAA-EXIT.             RG800902
055540*                                                                 RG800902
055600 E040-UPDATE-MMMM.
055700*
055800     IF  MBCA-PTI-FUNCTION-IS-ADD
055900         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
056000         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
056100         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
056200         SET WS-UPDATE-SW-YES    TO TRUE.
056300*
056400**************************************************************
056500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
056600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
056700*    ON THE SCREEN                                           *
056800**************************************************************
056900*
057000     IF  MBCA-PTI-FUNCTION-IS-MAINT
057100     AND WS-UPDATE-SW-YES
057200         MOVE 0198               TO MML1-FIELD-CODE
057300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
057400                                    MML1-FIELD-OCCURRENCE-2
057500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
057600         MOVE MMMM-LAST-MAINT-OPER
057700                                 TO MML1-VL03-B-DATA-X
057800         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
057900         MOVE MMMM-LAST-MAINT-OPER
058000                                 TO MML1-VL03-A-DATA-X
058100         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
058200         PERFORM Y920-WRITE-LOG-RECORD
058300                                 THRU Y929-WLR-EXIT
058400         MOVE 0199               TO MML1-FIELD-CODE
058500         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
058600         MOVE MMMM-LAST-MAINT-DATE
058700                                 TO MML1-VL07-B-DATA-9
058800         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
058900         MOVE MMMM-LAST-MAINT-DATE
059000                                 TO MML1-VL07-A-DATA-9
059100         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
059200         PERFORM Y920-WRITE-LOG-RECORD
059300                                 THRU Y929-WLR-EXIT.
059400*
059500****************************************************
059600*    REWRITE THE MERCHANT MASTER RECORD IF         *
059700*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
059800*    UNLOCK IT IF THEY HAVE NOT                    *
059900****************************************************
060000*
060100     IF  WS-UPDATE-SW-YES
060200         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
060300         SET MBIORO-REWRITE      TO TRUE
060400         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
060500     ELSE
060600         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
060700         SET MBIORO-UNLOCK       TO TRUE
060800         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
060900/
061000 F000-SETUP-COMMAREA SECTION.
061100*
061200***************************************************************
061300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
061400***************************************************************
061500*
061600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
061700*
061800     IF  MM10-CURRENT-PAGE-L IS GREATER THAN ZERO
061900     AND MM10-CURRENT-PAGE   IS NUMERIC
062000         IF  MM10-CURRENT-PAGE IS GREATER THAN 13
062100             MOVE 63             TO MBCA-SCREEN-NBR
062200             GO TO F090-TRANSFER-XCTL.
062300*
062400     PERFORM MB60PD-EDIT-PAGE-NBR
062500                                 THRU MB60PD-EPN-EXIT.
062600*
062700     IF  SS08WS-VALID-PF-KEY
062800     OR  SS08WS-EIBAID-VALID-PF-KEY
062900         SET MBCA-INITIAL-SCREEN-NBR
063000                                 TO TRUE.
063100*
063200 F090-TRANSFER-XCTL.
063300*
063400     IF  MBCA-MBUI-UI-YES
063500         MOVE 'MBUI'             TO MBCA-TRANS-ID
063600                                    MBCA-PREV-TRANS-ID
063700         MOVE 01                 TO MBCA-SCREEN-NBR
063800         MOVE MBMM10I            TO MBUITS-VAR-DATA
063900         MOVE LENGTH OF MBMM10I  TO MBUITS-VAR-LENGTH
064000         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
064100         EXEC CICS WRITEQ TS
064200                   QUEUE   (TS-QUEUE-NAME)
064300                   FROM    (MBUITS-RECORD)
064400                   LENGTH  (LENGTH  OF MBUITS-RECORD)
064500
064600              END-EXEC.
064700*
064800     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
064900     PERFORM MB70PD-XCTL-TO-MBOXCTL
065000                                 THRU MB70PD-XTM-EXIT.
065100/
065200 W000-FIELD-EDITS SECTION.
065300*
065400*********************************************************
065500*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
065600*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
065700*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
065800*    'W030-EDIT-PROJ-AMOUNT' THRU 'W039-EPA-EXIT'.      *
065900*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY        *
066000*    ARE UNIQUE TO THAT ROUTINE.                        *
066100*********************************************************
066200*
066300 W010-EDIT-TABLE-NBR.
066400*
066500     MOVE DFHBMDAS               TO MM10-TABLE-NBR-LP-A
066600                                    MM10-TABLE-NBR-RP-A.
066700     MOVE DFHBMASK               TO MM10-TABLE-NBR-A.
066800*
066900     PERFORM Y015-TABLE-NBR-SECURITY
067000                                 THRU Y019-MTN-EXIT.
067100*
067200     IF  MM10-TABLE-NBR-L        IS GREATER THAN ZERO
067300         MOVE DFHBMASF           TO MM10-TABLE-NBR-A
067400     ELSE
067500         MOVE MMMM-FRAUD-TABLE   TO MM10-TABLE-NBR.
067600*
067700     IF  MM10-TABLE-NBR IS NUMERIC
067800         NEXT SENTENCE
067900     ELSE
068000         GO TO W017-TABLE-NBR-ERROR.
068100*
068200     IF  MM10-TABLE-NBR IS GREATER THAN ZERO
068300         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-PERM-STATUS-1
068400         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMFP-ORG
068500         MOVE MM10-TABLE-NBR     TO MBIOWS-MMFP-TABLE-NBR
068600         SET MBIORO-READ-RANDOM  TO TRUE
068700         PERFORM MMFPAO-ACCESS   THRU MMFPAO-ACCESS-EXIT
068800         IF  SS08WS-RC-FC-NOTFND
068900         OR  MMFP-REC-INCOMPLETE
069000         OR  MMFP-REC-PURGED
069100         OR  MMFP-REC-INACTIVE
069200             GO TO W017-TABLE-NBR-ERROR.
069300*
069400     IF  MBCA-PTI-FUNCTION-IS-MAINT
069500     OR  MM10-TABLE-NBR-L IS GREATER THAN ZERO
069600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
069700         GO TO W019-ETN-EXIT.
069800*
069900 W017-TABLE-NBR-ERROR.
070000*
070100     IF  MM10-TABLE-NBR-L        IS GREATER THAN ZERO
070200         MOVE DFHBMNBF           TO MM10-TABLE-NBR-A
070300     ELSE
070400         MOVE DFHBMUNB           TO MM10-TABLE-NBR-A.
070500*
070600     SET SS08WS-ERROR-SW-YES     TO TRUE.
070700     MOVE DFHBMASB               TO MM10-TABLE-NBR-LP-A
070800                                    MM10-TABLE-NBR-RP-A.
070900     MOVE SS08WS-CURSOR          TO MM10-TABLE-NBR-L.
071000*
071100 W019-ETN-EXIT.
071200     EXIT.
071300*
071400 W030-EDIT-PROJ-AMOUNT.
071500*
071600*****************************************************
071700*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
071800*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
071900*****************************************************
072000*
072100     MOVE DFHBMDAS               TO MM10-PROJ-AMOUNT-LP-A
072200                                    (X-MM10-FRAUD-INDEX)
072300                                    MM10-PROJ-AMOUNT-RP-A
072400                                    (X-MM10-FRAUD-INDEX).
072500     MOVE DFHBMASK               TO MM10-PROJ-AMOUNT-A
072600                                    (X-MM10-FRAUD-INDEX).
072700*
072800     PERFORM Y035-PROJ-AMOUNT-SECURITY
072900                                 THRU Y039-MPA-EXIT.
073000*
073100************************
073200*    EDIT THE FIELD    *
073300************************
073400*
073500     IF  MM10-PROJ-AMOUNT-L (X-MM10-FRAUD-INDEX)
073600                                 IS GREATER THAN ZERO
073700         MOVE DFHBMASF           TO MM10-PROJ-AMOUNT-A
073800                                    (X-MM10-FRAUD-INDEX)
073900     ELSE
074000         MOVE MMMM-PROJ-AMT (X-MMMM-FRAUD-PROJ)
074100                                 TO MM10-PROJ-AMOUNT
074200                                    (X-MM10-FRAUD-INDEX).
074300*
074400     IF  MM10-PROJ-AMOUNT (X-MM10-FRAUD-INDEX) IS NUMERIC
074500         NEXT SENTENCE
074600     ELSE
074700         GO TO W037-PROJ-AMOUNT-ERROR.
074800*
074900     IF  MBCA-PTI-FUNCTION-IS-MAINT
075000     OR  MM10-PROJ-AMOUNT-L (X-MM10-FRAUD-INDEX)
075100                                         IS GREATER THAN ZERO
075200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
075300         GO TO W039-EPA-EXIT.
075400*
075500 W037-PROJ-AMOUNT-ERROR.
075600*
075700*******************************************************
075800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
075900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
076000*    THE DATA ELEMENT.                                *
076100*******************************************************
076200*
076300     IF  MM10-PROJ-AMOUNT-L (X-MM10-FRAUD-INDEX)
076400                                         IS GREATER THAN ZERO
076500         MOVE DFHBMNBF           TO MM10-PROJ-AMOUNT-A
076600                                    (X-MM10-FRAUD-INDEX)
076700     ELSE
076800         MOVE DFHBMUNB           TO MM10-PROJ-AMOUNT-A
076900                                    (X-MM10-FRAUD-INDEX).
077000*
077100     SET SS08WS-ERROR-SW-YES     TO TRUE.
077200     MOVE DFHBMASB               TO MM10-PROJ-AMOUNT-LP-A
077300                                    (X-MM10-FRAUD-INDEX)
077400                                    MM10-PROJ-AMOUNT-RP-A
077500                                    (X-MM10-FRAUD-INDEX).
077600     MOVE SS08WS-CURSOR          TO MM10-PROJ-AMOUNT-L
077700                                    (X-MM10-FRAUD-INDEX).
077800*
077900 W039-EPA-EXIT.
078000     EXIT.
078100*
078200 W050-EDIT-PROJ-NUMBER.
078300*
078400     SET X-MMFS-MERCH            UP BY +1.
078500*
078600     MOVE DFHBMDAS               TO MM10-PROJ-NUMBER-LP-A
078700                                    (X-MM10-FRAUD-INDEX)
078800                                    MM10-PROJ-NUMBER-RP-A
078900                                    (X-MM10-FRAUD-INDEX).
079000     MOVE DFHBMASK               TO MM10-PROJ-NUMBER-A
079100                                    (X-MM10-FRAUD-INDEX).
079200*
079300     PERFORM Y055-PROJ-NUMBER-SECURITY
079400                                 THRU Y059-MPN-EXIT.
079500*
079600     IF  MM10-PROJ-NUMBER-L (X-MM10-FRAUD-INDEX)
079700                                 IS GREATER THAN ZERO
079800         MOVE DFHBMASF           TO MM10-PROJ-NUMBER-A
079900                                    (X-MM10-FRAUD-INDEX)
080000     ELSE
080100         MOVE MMMM-PROJ-NBR (X-MMMM-FRAUD-PROJ)
080200                                 TO MM10-PROJ-NUMBER
080300                                    (X-MM10-FRAUD-INDEX).
080400*
080500     IF  MM10-PROJ-NUMBER (X-MM10-FRAUD-INDEX) IS NUMERIC
080600         NEXT SENTENCE
080700     ELSE
080800         GO TO W057-PROJ-NUMBER-ERROR.
080900*
081000     IF  MBCA-PTI-FUNCTION-IS-MAINT
081100     OR  MM10-PROJ-NUMBER-L (X-MM10-FRAUD-INDEX)
081200                                 IS GREATER THAN ZERO
081300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
081400         GO TO W059-EPN-EXIT.
081500*
081600 W057-PROJ-NUMBER-ERROR.
081700*
081800     IF  MM10-PROJ-NUMBER-L (X-MM10-FRAUD-INDEX)
081900                                 IS GREATER THAN ZERO
082000         MOVE DFHBMNBF           TO MM10-PROJ-NUMBER-A
082100                                    (X-MM10-FRAUD-INDEX)
082200     ELSE
082300         MOVE DFHBMUNB           TO MM10-PROJ-NUMBER-A
082400                                    (X-MM10-FRAUD-INDEX).
082500*
082600     SET SS08WS-ERROR-SW-YES     TO TRUE.
082700     MOVE DFHBMASB               TO MM10-PROJ-NUMBER-LP-A
082800                                    (X-MM10-FRAUD-INDEX)
082900                                    MM10-PROJ-NUMBER-RP-A
083000                                    (X-MM10-FRAUD-INDEX).
083100     MOVE SS08WS-CURSOR          TO MM10-PROJ-NUMBER-L
083200                                    (X-MM10-FRAUD-INDEX).
083300*
083400 W059-EPN-EXIT.
083500     EXIT.
083600*
083700 W070-EDIT-DUPLICATE-SALE-BATCH.                                  RG800902
083800*                                                                 RG800902
083900     MOVE DFHBMDAS               TO MM10-DUP-SALES-BATCH-LP-A     RG800902
084000                                    MM10-DUP-SALES-BATCH-RP-A.    RG800902
084100     MOVE DFHBMASK               TO MM10-DUP-SALES-BATCH-A.       RG800902
084200*                                                                 RG800902
084300     PERFORM Y075-DUPLICATE-BATCH-SECURITY                        RG800902
084400                                 THRU Y079-MDSB-EXIT.             RG800902
084500*                                                                 RG800902
084600     IF  MM10-DUP-SALES-BATCH-L  IS GREATER THAN ZERO             RG800902
084700         MOVE DFHBMASF           TO MM10-DUP-SALES-BATCH-A        RG800902
084800     ELSE                                                         RG800902
084900         MOVE MMMM-DUP-SALES-BATCH-NBR-C-H                        RG800902
085000                                 TO MM10-DUP-SALES-BATCH.         RG800902
085100*                                                                 RG800902
085200     IF  MM10-DUP-SALES-BATCH IS NUMERIC                          RG800902
085300         CONTINUE                                                 RG800902
085400     ELSE                                                         RG800902
085500         GO TO W077-DUPLICATE-BATCH-ERROR.                        RG800902
085600*                                                                 RG800902
085700     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
085800     OR  MM10-DUP-SALES-BATCH-L  IS GREATER THAN ZERO             RG800902
085900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
086000         GO TO W079-EDSB-EXIT.                                    RG800902
086100*                                                                 RG800902
086200 W077-DUPLICATE-BATCH-ERROR.                                      RG800902
086300*                                                                 RG800902
086400     IF  MM10-DUP-SALES-BATCH-L                                   RG800902
086500                                 IS GREATER THAN ZERO             RG800902
086600         MOVE DFHBMNBF           TO MM10-DUP-SALES-BATCH-A        RG800902
086700     ELSE                                                         RG800902
086800         MOVE DFHBMUNB           TO MM10-DUP-SALES-BATCH-A.       RG800902
086900*                                                                 RG800902
087000     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
087100     MOVE DFHBMASB               TO MM10-DUP-SALES-BATCH-LP-A     RG800902
087200                                    MM10-DUP-SALES-BATCH-RP-A.    RG800902
087300     MOVE SS08WS-CURSOR          TO MM10-DUP-SALES-BATCH-L.       RG800902
087400*                                                                 RG800902
087500 W079-EDSB-EXIT.                                                  RG800902
087600     EXIT.                                                        RG800902
087700*
087800 W090-EDIT-DUPLICATE-SALE-DAY.                                    RG800902
087900*                                                                 RG800902
088000     SET X-MMFS-MERCH            UP BY +1.                        RG800902
088100*                                                                 RG800902
088200     MOVE DFHBMDAS               TO MM10-DUP-SALES-DAY-LP-A       RG800902
088300                                    MM10-DUP-SALES-DAY-RP-A.      RG800902
088400     MOVE DFHBMASK               TO MM10-DUP-SALES-DAY-A.         RG800902
088500*                                                                 RG800902
088600     PERFORM Y095-DUPLICATE-DAY-SECURITY                          RG800902
088700                                 THRU Y099-MDSD-EXIT.             RG800902
088800*                                                                 RG800902
088900     IF  MM10-DUP-SALES-DAY-L    IS GREATER THAN ZERO             RG800902
089000         MOVE DFHBMASF           TO MM10-DUP-SALES-DAY-A          RG800902
089100     ELSE                                                         RG800902
089200         MOVE MMMM-DUP-SALES-DAY-NBR-C-H                          RG800902
089300                                 TO MM10-DUP-SALES-DAY.           RG800902
089400*                                                                 RG800902
089500     IF  MM10-DUP-SALES-DAY IS NUMERIC                            RG800902
089600         CONTINUE                                                 RG800902
089700     ELSE                                                         RG800902
089800         GO TO W097-DUPLICATE-DAY-ERROR.                          RG800902
089900*                                                                 RG800902
090000     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
090100     OR  MM10-DUP-SALES-DAY-L    IS GREATER THAN ZERO             RG800902
090200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
090300         GO TO W099-EDSD-EXIT.                                    RG800902
090400*                                                                 RG800902
090500 W097-DUPLICATE-DAY-ERROR.                                        RG800902
090600*                                                                 RG800902
090700     IF  MM10-DUP-SALES-DAY-L    IS GREATER THAN ZERO             RG800902
090800         MOVE DFHBMNBF           TO MM10-DUP-SALES-DAY-A          RG800902
090900     ELSE                                                         RG800902
091000         MOVE DFHBMUNB           TO MM10-DUP-SALES-DAY-A.         RG800902
091100*                                                                 RG800902
091200     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
091300     MOVE DFHBMASB               TO MM10-DUP-SALES-DAY-LP-A       RG800902
091400                                    MM10-DUP-SALES-DAY-RP-A.      RG800902
091500     MOVE SS08WS-CURSOR          TO MM10-DUP-SALES-DAY-L.         RG800902
091600*                                                                 RG800902
091700 W099-EDSD-EXIT.                                                  RG800902
091800     EXIT.                                                        RG800902
091900*
092000 W110-EDIT-AVERAGE-MONTHS.
092100*
092200     SET X-MMFS-MERCH            UP BY +1.
092300*
092400     MOVE DFHBMDAS               TO MM10-AVERAGE-MONTHS-LP-A
092500                                    MM10-AVERAGE-MONTHS-RP-A.
092600     MOVE DFHBMASK               TO MM10-AVERAGE-MONTHS-A.
092700*
092800     PERFORM Y115-AVERAGE-MONTHS-SECURITY
092900                                 THRU Y119-MAM-EXIT.
093000*
093100     IF  MM10-AVERAGE-MONTHS-L IS GREATER THAN ZERO
093200         MOVE DFHBMASF           TO MM10-AVERAGE-MONTHS-A
093300     ELSE
093400         MOVE MMMM-FRAUD-AVG-NBR-MONTHS
093500                                 TO MM10-AVERAGE-MONTHS.
093600*
093700     IF  MM10-AVERAGE-MONTHS IS NUMERIC
093800         NEXT SENTENCE
093900     ELSE
094000         GO TO W117-AVERAGE-MONTHS-ERROR.
094100*
094200     IF  MBCA-PTI-FUNCTION-IS-MAINT
094300     OR  MM10-AVERAGE-MONTHS-L IS GREATER THAN ZERO
094400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
094500         GO TO W119-EAM-EXIT.
094600*
094700 W117-AVERAGE-MONTHS-ERROR.
094800*
094900     IF  MM10-AVERAGE-MONTHS-L IS GREATER THAN ZERO
095000         MOVE DFHBMNBF           TO MM10-AVERAGE-MONTHS-A
095100     ELSE
095200         MOVE DFHBMUNB           TO MM10-AVERAGE-MONTHS-A.
095300*
095400     SET SS08WS-ERROR-SW-YES     TO TRUE.
095500     MOVE DFHBMASB               TO MM10-AVERAGE-MONTHS-LP-A
095600                                    MM10-AVERAGE-MONTHS-RP-A.
095700     MOVE SS08WS-CURSOR          TO MM10-AVERAGE-MONTHS-L.
095800*
095900 W119-EAM-EXIT.
096000     EXIT.
096002*                                                                 RG800902
096004 W130-EDIT-DUPLICATE-SALE-AMT.                                    RG800902
096006*                                                                 RG800902
096008     MOVE DFHBMDAS               TO MM10-DUP-SALES-AMT-LP-A       RG800902
096010                                    MM10-DUP-SALES-AMT-RP-A.      RG800902
096012     MOVE DFHBMASK               TO MM10-DUP-SALES-AMT-A.         RG800902
096014*                                                                 RG800902
096016     PERFORM Y135-DUPLICATE-AMT-SECURITY                          RG800902
096018                                 THRU Y139-MDSA-EXIT.             RG800902
096020*                                                                 RG800902
096022     IF  MM10-DUP-SALES-AMT-L    IS GREATER THAN ZERO             RG800902
096024         MOVE DFHBMASF           TO MM10-DUP-SALES-AMT-A          RG800902
096026     ELSE                                                         RG800902
096028         MOVE MMMM-DUP-SALES-DAY-AMT-C-H                          RG800902
096030                                 TO MM10-DUP-SALES-AMT.           RG800902
096032*                                                                 RG800902
096034     IF  MM10-DUP-SALES-AMT IS NUMERIC                            RG800902
096036         CONTINUE                                                 RG800902
096038     ELSE                                                         RG800902
096040         GO TO W137-DUPLICATE-AMT-ERROR.                          RG800902
096042*                                                                 RG800902
096044     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
096046     OR  MM10-DUP-SALES-AMT-L    IS GREATER THAN ZERO             RG800902
096048     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
096050         GO TO W139-EDSA-EXIT.                                    RG800902
096052*                                                                 RG800902
096054 W137-DUPLICATE-AMT-ERROR.                                        RG800902
096056*                                                                 RG800902
096058     IF  MM10-DUP-SALES-AMT-L    IS GREATER THAN ZERO             RG800902
096060         MOVE DFHBMNBF           TO MM10-DUP-SALES-AMT-A          RG800902
096062     ELSE                                                         RG800902
096064         MOVE DFHBMUNB           TO MM10-DUP-SALES-AMT-A.         RG800902
096066*                                                                 RG800902
096068     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
096070     MOVE DFHBMASB               TO MM10-DUP-SALES-AMT-LP-A       RG800902
096072                                    MM10-DUP-SALES-AMT-RP-A.      RG800902
096074     MOVE SS08WS-CURSOR          TO MM10-DUP-SALES-AMT-L.         RG800902
096076*                                                                 RG800902
096078 W139-EDSA-EXIT.                                                  RG800902
096080     EXIT.                                                        RG800902
096082*                                                                 RG800902
096084 W150-EDIT-DUPLICATE-AUTH-BATCH.                                  RG800902
096086*                                                                 RG800902
096088     SET X-MMFS-MERCH            UP BY +1.                        RG800902
096090*                                                                 RG800902
096092     MOVE DFHBMDAS               TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
096094                                    MM10-DUP-AUTHS-BATCH-RP-A.    RG800902
096096     MOVE DFHBMASK               TO MM10-DUP-AUTHS-BATCH-A.       RG800902
096098*                                                                 RG800902
096100     PERFORM Y155-DUPLICATE-BATCH-SECURITY                        RG800902
096102                                 THRU Y159-MDAB-EXIT.             RG800902
096104*                                                                 RG800902
096106     IF  MM10-DUP-AUTHS-BATCH-L  IS GREATER THAN ZERO             RG800902
096108         MOVE DFHBMASF           TO MM10-DUP-AUTHS-BATCH-A        RG800902
096110     ELSE                                                         RG800902
096112         MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H                        RG800902
096114                                 TO MM10-DUP-AUTHS-BATCH.         RG800902
096116*                                                                 RG800902
096118     IF  MM10-DUP-AUTHS-BATCH IS NUMERIC                          RG800902
096120         CONTINUE                                                 RG800902
096122     ELSE                                                         RG800902
096124         GO TO W157-DUPLICATE-BATCH-ERROR.                        RG800902
096126*                                                                 RG800902
096128     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
096130     OR  MM10-DUP-AUTHS-BATCH-L  IS GREATER THAN ZERO             RG800902
096132     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
096134         GO TO W159-EDAB-EXIT.                                    RG800902
096136*                                                                 RG800902
096138 W157-DUPLICATE-BATCH-ERROR.                                      RG800902
096140*                                                                 RG800902
096142     IF  MM10-DUP-AUTHS-BATCH-L                                   RG800902
096144                                 IS GREATER THAN ZERO             RG800902
096146         MOVE DFHBMNBF           TO MM10-DUP-AUTHS-BATCH-A        RG800902
096148     ELSE                                                         RG800902
096150         MOVE DFHBMUNB           TO MM10-DUP-AUTHS-BATCH-A.       RG800902
096152*                                                                 RG800902
096154     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
096156     MOVE DFHBMASB               TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
096158                                    MM10-DUP-AUTHS-BATCH-RP-A.    RG800902
096160     MOVE SS08WS-CURSOR          TO MM10-DUP-AUTHS-BATCH-L.       RG800902
096162*                                                                 RG800902
096164 W159-EDAB-EXIT.                                                  RG800902
096166     EXIT.                                                        RG800902
096168*                                                                 RG800902
096170 W170-EDIT-DUPLICATE-AUTH-DAY.                                    RG800902
096172*                                                                 RG800902
096174     SET X-MMFS-MERCH            UP BY +1.                        RG800902
096176*                                                                 RG800902
096178     MOVE DFHBMDAS               TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
096180                                    MM10-DUP-AUTHS-DAY-RP-A.      RG800902
096182     MOVE DFHBMASK               TO MM10-DUP-AUTHS-DAY-A.         RG800902
096184*                                                                 RG800902
096186     PERFORM Y175-DUPLICATE-DAY-SECURITY                          RG800902
096188                                 THRU Y179-MDAD-EXIT.             RG800902
096190*                                                                 RG800902
096192     IF  MM10-DUP-AUTHS-DAY-L    IS GREATER THAN ZERO             RG800902
096194         MOVE DFHBMASF           TO MM10-DUP-AUTHS-DAY-A          RG800902
096196     ELSE                                                         RG800902
096198         MOVE MMMM-DUP-AUTHS-DAY-NBR-C-H                          RG800902
096200                                 TO MM10-DUP-AUTHS-DAY.           RG800902
096202*                                                                 RG800902
096204     IF  MM10-DUP-AUTHS-DAY IS NUMERIC                            RG800902
096206         CONTINUE                                                 RG800902
096208     ELSE                                                         RG800902
096210         GO TO W177-DUPLICATE-DAY-ERROR.                          RG800902
096212*                                                                 RG800902
096214     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
096216     OR  MM10-DUP-AUTHS-DAY-L    IS GREATER THAN ZERO             RG800902
096218     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
096220         GO TO W179-EDAD-EXIT.                                    RG800902
096222*                                                                 RG800902
096224 W177-DUPLICATE-DAY-ERROR.                                        RG800902
096226*                                                                 RG800902
096228     IF  MM10-DUP-AUTHS-DAY-L                                     RG800902
096230                                 IS GREATER THAN ZERO             RG800902
096232         MOVE DFHBMNBF           TO MM10-DUP-AUTHS-DAY-A          RG800902
096234     ELSE                                                         RG800902
096236         MOVE DFHBMUNB           TO MM10-DUP-AUTHS-DAY-A.         RG800902
096238*                                                                 RG800902
096240     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
096242     MOVE DFHBMASB               TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
096244                                    MM10-DUP-AUTHS-DAY-RP-A.      RG800902
096246     MOVE SS08WS-CURSOR          TO MM10-DUP-AUTHS-DAY-L.         RG800902
096248*                                                                 RG800902
096250 W179-EDAD-EXIT.                                                  RG800902
096252     EXIT.                                                        RG800902
096254*                                                                 RG800902
096256 W190-EDIT-DUPLICATE-AUTH-AMT.                                    RG800902
096258*                                                                 RG800902
096260     SET X-MMFS-MERCH            UP BY +1.                        RG800902
096262*                                                                 RG800902
096264     MOVE DFHBMDAS               TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
096266                                    MM10-DUP-AUTHS-AMT-RP-A.      RG800902
096268     MOVE DFHBMASK               TO MM10-DUP-AUTHS-AMT-A.         RG800902
096270*                                                                 RG800902
096272     PERFORM Y195-DUPLICATE-AMT-SECURITY                          RG800902
096274                                 THRU Y199-MDAA-EXIT.             RG800902
096276*                                                                 RG800902
096278     IF  MM10-DUP-AUTHS-AMT-L    IS GREATER THAN ZERO             RG800902
096280         MOVE DFHBMASF           TO MM10-DUP-AUTHS-AMT-A          RG800902
096282     ELSE                                                         RG800902
096284         MOVE MMMM-DUP-AUTHS-DAY-AMT-C-H                          RG800902
096286                                 TO MM10-DUP-AUTHS-AMT.           RG800902
096288*                                                                 RG800902
096290     IF  MM10-DUP-AUTHS-AMT IS NUMERIC                            RG800902
096292         CONTINUE                                                 RG800902
096294     ELSE                                                         RG800902
096296         GO TO W197-DUPLICATE-AMT-ERROR.                          RG800902
096298*                                                                 RG800902
096300     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
096302     OR  MM10-DUP-AUTHS-AMT-L    IS GREATER THAN ZERO             RG800902
096304     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
096306         GO TO W199-EDAA-EXIT.                                    RG800902
096308*                                                                 RG800902
096310 W197-DUPLICATE-AMT-ERROR.                                        RG800902
096312*                                                                 RG800902
096314     IF  MM10-DUP-AUTHS-AMT-L                                     RG800902
096316                                 IS GREATER THAN ZERO             RG800902
096318         MOVE DFHBMNBF           TO MM10-DUP-AUTHS-AMT-A          RG800902
096320     ELSE                                                         RG800902
096322         MOVE DFHBMUNB           TO MM10-DUP-AUTHS-AMT-A.         RG800902
096324*                                                                 RG800902
096326     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800902
096328     MOVE DFHBMASB               TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
096330                                    MM10-DUP-AUTHS-AMT-RP-A.      RG800902
096332     MOVE SS08WS-CURSOR          TO MM10-DUP-AUTHS-AMT-L.         RG800902
096334*                                                                 RG800902
096336 W199-EDAA-EXIT.                                                  RG800902
096338     EXIT.                                                        RG800902
096397/                                                                 RG800902
096398 X000-UPDATE-FIELDS SECTION.                                      RG800902
096399*                                                                 RG800902
096400 X010-UPDATE-TABLE-NBR.
096500*
096600     IF  MM10-TABLE-NBR-L IS GREATER THAN ZERO
096700         IF  MM10-TABLE-NBR IS NOT EQUAL
096800                                 TO MMMM-FRAUD-TABLE
096900             SET WS-UPDATE-SW-YES
097000                                 TO TRUE
097100             IF  MBCA-PTI-FUNCTION-IS-MAINT
097200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
097300                                 TO MML1-MMMM-AUDIT-CODE
097400                 MOVE 1001       TO MML1-FIELD-CODE
097500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
097600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
097700                 MOVE MML1WS-VL-10
097800                                 TO MML1-VARIABLE-LENGTH
097900                 MOVE MMMM-FRAUD-TABLE
098000                                 TO MML1-VL10-B-DATA-9
098100                 MOVE MM10-TABLE-NBR
098200                                 TO MMMM-FRAUD-TABLE
098300                 MOVE MMMM-FRAUD-TABLE
098400                                 TO MML1-VL10-A-DATA-9
098500                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
098600                 PERFORM Y920-WRITE-LOG-RECORD
098700                                 THRU Y929-WLR-EXIT
098800             ELSE
098900                 MOVE MM10-TABLE-NBR
099000                                 TO MMMM-FRAUD-TABLE.
099100*
099200 X019-UTN-EXIT.
099300     EXIT.
099400*
099500 X030-UPDATE-PROJ-AMOUNT.
099600*
099700     IF  MM10-PROJ-AMOUNT-L (X-MM10-FRAUD-INDEX)
099800                                 IS GREATER THAN ZERO
099900         IF  MM10-PROJ-AMOUNT (X-MM10-FRAUD-INDEX) IS NOT EQUAL
100000                                 TO MMMM-PROJ-AMT
100100                                    (X-MMMM-FRAUD-PROJ)
100200             SET WS-UPDATE-SW-YES
100300                                 TO TRUE
100400             IF  MBCA-PTI-FUNCTION-IS-MAINT
100500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
100600                                 TO MML1-MMMM-AUDIT-CODE
100700                 MOVE 1002       TO MML1-FIELD-CODE
100800                 SET MML1-FIELD-OCCURRENCE
100900                                 TO X-MMMM-FRAUD-PROJ
101000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
101100                 MOVE MML1WS-VL-20
101200                                 TO MML1-VARIABLE-LENGTH
101300                 MOVE MMMM-PROJ-AMT (X-MMMM-FRAUD-PROJ)
101400                                 TO MML1-VL20-B-NBR-NO-DEC
101500                 MOVE MM10-PROJ-AMOUNT (X-MM10-FRAUD-INDEX)
101600                                 TO MMMM-PROJ-AMT
101700                                    (X-MMMM-FRAUD-PROJ)
101800                 MOVE MMMM-PROJ-AMT (X-MMMM-FRAUD-PROJ)
101900                                 TO MML1-VL20-A-NBR-NO-DEC
102000                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
102100                 PERFORM Y920-WRITE-LOG-RECORD
102200                                 THRU Y929-WLR-EXIT
102300             ELSE
102400                 MOVE MM10-PROJ-AMOUNT (X-MM10-FRAUD-INDEX)
102500                                 TO MMMM-PROJ-AMT
102600                                    (X-MMMM-FRAUD-PROJ).
102700*
102800 X039-UPA-EXIT.
102900     EXIT.
103000*
103100 X050-UPDATE-PROJ-NUMBER.
103200*
103300     SET X-MMFS-MERCH            UP BY +1.
103400*
103500     IF  MM10-PROJ-NUMBER-L (X-MM10-FRAUD-INDEX)
103600                                 IS GREATER THAN ZERO
103700         IF  MM10-PROJ-NUMBER (X-MM10-FRAUD-INDEX) IS NOT EQUAL
103800                                 TO MMMM-PROJ-NBR
103900                                    (X-MMMM-FRAUD-PROJ)
104000             SET WS-UPDATE-SW-YES
104100                                 TO TRUE
104200             IF  MBCA-PTI-FUNCTION-IS-MAINT
104300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
104400                                 TO MML1-MMMM-AUDIT-CODE
104500                 MOVE 1003       TO MML1-FIELD-CODE
104600                 SET MML1-FIELD-OCCURRENCE
104700                                 TO X-MMMM-FRAUD-PROJ
104800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
104900                 MOVE MML1WS-VL-20
105000                                 TO MML1-VARIABLE-LENGTH
105100                 MOVE MMMM-PROJ-NBR (X-MMMM-FRAUD-PROJ)
105200                                 TO MML1-VL20-B-NBR-NO-DEC
105300                 MOVE MM10-PROJ-NUMBER (X-MM10-FRAUD-INDEX)
105400                                 TO MMMM-PROJ-NBR
105500                                    (X-MMMM-FRAUD-PROJ)
105600                 MOVE MMMM-PROJ-NBR (X-MMMM-FRAUD-PROJ)
105700                                 TO MML1-VL20-A-NBR-NO-DEC
105800                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
105900                 PERFORM Y920-WRITE-LOG-RECORD
106000                                 THRU Y929-WLR-EXIT
106100             ELSE
106200                 MOVE MM10-PROJ-NUMBER (X-MM10-FRAUD-INDEX)
106300                                 TO MMMM-PROJ-NBR
106400                                    (X-MMMM-FRAUD-PROJ).
106500*
106600 X059-UPN-EXIT.
106700     EXIT.
106800*
106900 X070-UPDATE-DUP-SALE-BATCH.                                      RG800902
107000*                                                                 RG800902
107100     IF  MM10-DUP-SALES-BATCH-L  IS GREATER THAN ZERO             RG800902
107200         IF  MM10-DUP-SALES-BATCH IS NOT EQUAL                    RG800902
107300                                 TO MMMM-DUP-SALES-BATCH-NBR-C-H  RG800902
107400             SET WS-UPDATE-SW-YES                                 RG800902
107500                                 TO TRUE                          RG800902
107600             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
107700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
107800                                 TO MML1-MMMM-AUDIT-CODE          RG800902
107900                 MOVE 1004       TO MML1-FIELD-CODE               RG800902
108000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
108100                                    MML1-FIELD-OCCURRENCE-2       RG800902
108200                 MOVE MML1WS-VL-03                                RG800902
108300                                 TO MML1-VARIABLE-LENGTH          RG800902
108400                 MOVE MMMM-DUP-SALES-BATCH-NBR-C-H                RG800902
108500                                 TO MML1-VL03-B-DATA-9            RG800902
108600                 MOVE MM10-DUP-SALES-BATCH                        RG800902
108700                                 TO MMMM-DUP-SALES-BATCH-NBR-C-H  RG800902
108800                 MOVE MMMM-DUP-SALES-BATCH-NBR-C-H                RG800902
108900                                 TO MML1-VL03-A-DATA-9            RG800902
109000                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION         RG800902
109100                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
109200                                 THRU Y929-WLR-EXIT               RG800902
109300             ELSE                                                 RG800902
109400                 MOVE MM10-DUP-SALES-BATCH                        RG800902
109500                                 TO MMMM-DUP-SALES-BATCH-NBR-C-H. RG800902
109600*                                                                 RG800902
109700 X079-UDSB-EXIT.                                                  RG800902
109800     EXIT.                                                        RG800902
109900*                                                                 RG800902
110000 X090-UPDATE-DUPLICATE-SALE-DAY.                                  RG800902
110100*                                                                 RG800902
110200     SET X-MMFS-MERCH            UP BY +1.                        RG800902
110300*                                                                 RG800902
110400     IF  MM10-DUP-SALES-DAY-L    IS GREATER THAN ZERO             RG800902
110500         IF  MM10-DUP-SALES-DAY IS NOT EQUAL                      RG800902
110600                                 TO MMMM-DUP-SALES-DAY-NBR-C-H    RG800902
110700             SET WS-UPDATE-SW-YES                                 RG800902
110800                                 TO TRUE                          RG800902
110900             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
111000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
111100                                 TO MML1-MMMM-AUDIT-CODE          RG800902
111200                 MOVE 1005       TO MML1-FIELD-CODE               RG800902
111300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
111400                                    MML1-FIELD-OCCURRENCE-2       RG800902
111500                 MOVE MML1WS-VL-03                                RG800902
111600                                 TO MML1-VARIABLE-LENGTH          RG800902
111700                 MOVE MMMM-DUP-SALES-DAY-NBR-C-H                  RG800902
111800                                 TO MML1-VL03-B-DATA-9            RG800902
111900                 MOVE MM10-DUP-SALES-DAY                          RG800902
112000                                 TO MMMM-DUP-SALES-DAY-NBR-C-H    RG800902
112100                 MOVE MMMM-DUP-SALES-DAY-NBR-C-H                  RG800902
112200                                 TO MML1-VL03-A-DATA-9            RG800902
112300                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION         RG800902
112400                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
112500                                 THRU Y929-WLR-EXIT               RG800902
112600             ELSE                                                 RG800902
112700                 MOVE MM10-DUP-SALES-DAY                          RG800902
112800                                 TO MMMM-DUP-SALES-DAY-NBR-C-H.   RG800902
112900*                                                                 RG800902
113000 X099-UDSD-EXIT.                                                  RG800902
113100     EXIT.                                                        RG800902
113200*
113300 X110-UPDATE-AVERAGE-MONTHS.
113400*
113500     SET X-MMFS-MERCH            UP BY +1.
113600*
113700     IF  MM10-AVERAGE-MONTHS-L IS GREATER THAN ZERO
113800         IF  MM10-AVERAGE-MONTHS IS NOT EQUAL
113900                                 TO MMMM-FRAUD-AVG-NBR-MONTHS
114000             SET WS-UPDATE-SW-YES
114100                                 TO TRUE
114200             IF  MBCA-PTI-FUNCTION-IS-MAINT
114300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
114400                                 TO MML1-MMMM-AUDIT-CODE
114500                 MOVE 1006       TO MML1-FIELD-CODE
114600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
114700                                    MML1-FIELD-OCCURRENCE-2
114800                 MOVE MML1WS-VL-02
114900                                 TO MML1-VARIABLE-LENGTH
115000                 MOVE MMMM-FRAUD-AVG-NBR-MONTHS
115100                                 TO MML1-VL02-B-DATA-9
115200                 MOVE MM10-AVERAGE-MONTHS
115300                                 TO MMMM-FRAUD-AVG-NBR-MONTHS
115400                 MOVE MMMM-FRAUD-AVG-NBR-MONTHS
115500                                 TO MML1-VL02-A-DATA-9
115600                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
115700                 PERFORM Y920-WRITE-LOG-RECORD
115800                                 THRU Y929-WLR-EXIT
115900             ELSE
116000                 MOVE MM10-AVERAGE-MONTHS
116100                                 TO MMMM-FRAUD-AVG-NBR-MONTHS.
116200*
116300 X119-UAM-EXIT.
116400     EXIT.
116402*                                                                 RG800902
116404 X130-UPDATE-DUPLICATE-SALE-AMT.                                  RG800902
116406*                                                                 RG800902
116408     IF  MM10-DUP-SALES-AMT-L    IS GREATER THAN ZERO             RG800902
116410         IF  MM10-DUP-SALES-AMT  IS NOT EQUAL                     RG800902
116412                                 TO MMMM-DUP-SALES-DAY-AMT-C-H    RG800902
116414             SET WS-UPDATE-SW-YES                                 RG800902
116416                                 TO TRUE                          RG800902
116418             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
116420                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
116422                                 TO MML1-MMMM-AUDIT-CODE          RG800902
116424                 MOVE 1007       TO MML1-FIELD-CODE               RG800902
116426                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
116428                                    MML1-FIELD-OCCURRENCE-2       RG800902
116430                 MOVE MML1WS-VL-20                                RG800902
116432                                 TO MML1-VARIABLE-LENGTH          RG800902
116434                 MOVE MMMM-DUP-SALES-DAY-AMT-C-H                  RG800902
116436                                 TO MML1-VL20-B-NBR-NO-DEC        RG800902
116438                 MOVE MM10-DUP-SALES-AMT                          RG800902
116440                                 TO MMMM-DUP-SALES-DAY-AMT-C-H    RG800902
116442                 MOVE MMMM-DUP-SALES-DAY-AMT-C-H                  RG800902
116444                                 TO MML1-VL20-A-NBR-NO-DEC        RG800902
116446                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION         RG800902
116448                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
116450                                 THRU Y929-WLR-EXIT               RG800902
116452             ELSE                                                 RG800902
116454                 MOVE MM10-DUP-SALES-AMT                          RG800902
116456                                 TO MMMM-DUP-SALES-DAY-AMT-C-H.   RG800902
116458*                                                                 RG800902
116460 X139-UDSA-EXIT.                                                  RG800902
116462     EXIT.                                                        RG800902
116464*                                                                 RG800902
116466 X150-UPDATE-DUP-AUTH-BATCH.                                      RG800902
116468*                                                                 RG800902
116470     IF  MM10-DUP-AUTHS-BATCH-L  IS GREATER THAN ZERO             RG800902
116472         IF  MM10-DUP-AUTHS-BATCH IS NOT EQUAL                    RG800902
116474                                 TO MMMM-DUP-AUTHS-BATCH-NBR-C-H  RG800902
116476             SET WS-UPDATE-SW-YES                                 RG800902
116478                                 TO TRUE                          RG800902
116480             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
116482                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
116484                                 TO MML1-MMMM-AUDIT-CODE          RG800902
116486                 MOVE 1008       TO MML1-FIELD-CODE               RG800902
116488                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
116490                                    MML1-FIELD-OCCURRENCE-2       RG800902
116492                 MOVE MML1WS-VL-03                                RG800902
116494                                 TO MML1-VARIABLE-LENGTH          RG800902
116496                 MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H                RG800902
116498                                 TO MML1-VL03-B-DATA-9            RG800902
116500                 MOVE MM10-DUP-AUTHS-BATCH                        RG800902
116502                                 TO MMMM-DUP-AUTHS-BATCH-NBR-C-H  RG800902
116504                 MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H                RG800902
116506                                 TO MML1-VL03-A-DATA-9            RG800902
116508                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION         RG800902
116510                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
116512                                 THRU Y929-WLR-EXIT               RG800902
116514             ELSE                                                 RG800902
116516                 MOVE MM10-DUP-AUTHS-BATCH                        RG800902
116518                                 TO MMMM-DUP-AUTHS-BATCH-NBR-C-H. RG800902
116520*                                                                 RG800902
116522 X159-UDAB-EXIT.                                                  RG800902
116524     EXIT.                                                        RG800902
116526*                                                                 RG800902
116528 X170-UPDATE-DUPLICATE-AUTH-DAY.                                  RG800902
116530*                                                                 RG800902
116532     SET X-MMFS-MERCH            UP BY +1.                        RG800902
116534*                                                                 RG800902
116536     IF  MM10-DUP-AUTHS-DAY-L    IS GREATER THAN ZERO             RG800902
116538         IF  MM10-DUP-AUTHS-DAY IS NOT EQUAL                      RG800902
116540                                 TO MMMM-DUP-AUTHS-DAY-NBR-C-H    RG800902
116542             SET WS-UPDATE-SW-YES                                 RG800902
116544                                 TO TRUE                          RG800902
116546             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
116548                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
116550                                 TO MML1-MMMM-AUDIT-CODE          RG800902
116552                 MOVE 1009       TO MML1-FIELD-CODE               RG800902
116554                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
116556                                    MML1-FIELD-OCCURRENCE-2       RG800902
116558                 MOVE MML1WS-VL-03                                RG800902
116560                                 TO MML1-VARIABLE-LENGTH          RG800902
116562                 MOVE MMMM-DUP-AUTHS-DAY-NBR-C-H                  RG800902
116564                                 TO MML1-VL03-B-DATA-9            RG800902
116566                 MOVE MM10-DUP-AUTHS-DAY                          RG800902
116568                                 TO MMMM-DUP-AUTHS-DAY-NBR-C-H    RG800902
116570                 MOVE MMMM-DUP-AUTHS-DAY-NBR-C-H                  RG800902
116572                                 TO MML1-VL03-A-DATA-9            RG800902
116574                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION         RG800902
116576                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
116578                                 THRU Y929-WLR-EXIT               RG800902
116580             ELSE                                                 RG800902
116582                 MOVE MM10-DUP-AUTHS-DAY                          RG800902
116584                                 TO MMMM-DUP-AUTHS-DAY-NBR-C-H.   RG800902
116586*                                                                 RG800902
116588 X179-UDAD-EXIT.                                                  RG800902
116590     EXIT.                                                        RG800902
116592*                                                                 RG800902
116594 X190-UPDATE-DUPLICATE-AUTH-AMT.                                  RG800902
116596*                                                                 RG800902
116598     IF  MM10-DUP-AUTHS-AMT-L    IS GREATER THAN ZERO             RG800902
116600         IF  MM10-DUP-AUTHS-AMT  IS NOT EQUAL                     RG800902
116602                                 TO MMMM-DUP-AUTHS-DAY-AMT-C-H    RG800902
116604             SET WS-UPDATE-SW-YES                                 RG800902
116606                                 TO TRUE                          RG800902
116608             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800902
116610                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG800902
116612                                 TO MML1-MMMM-AUDIT-CODE          RG800902
116614                 MOVE 1010       TO MML1-FIELD-CODE               RG800902
116616                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800902
116618                                    MML1-FIELD-OCCURRENCE-2       RG800902
116620                 MOVE MML1WS-VL-20                                RG800902
116622                                 TO MML1-VARIABLE-LENGTH          RG800902
116624                 MOVE MMMM-DUP-AUTHS-DAY-AMT-C-H                  RG800902
116626                                 TO MML1-VL20-B-NBR-NO-DEC        RG800902
116628                 MOVE MM10-DUP-AUTHS-AMT                          RG800902
116630                                 TO MMMM-DUP-AUTHS-DAY-AMT-C-H    RG800902
116632                 MOVE MMMM-DUP-AUTHS-DAY-AMT-C-H                  RG800902
116634                                 TO MML1-VL20-A-NBR-NO-DEC        RG800902
116636                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION         RG800902
116638                 PERFORM Y920-WRITE-LOG-RECORD                    RG800902
116640                                 THRU Y929-WLR-EXIT               RG800902
116642             ELSE                                                 RG800902
116644                 MOVE MM10-DUP-AUTHS-AMT                          RG800902
116646                                 TO MMMM-DUP-AUTHS-DAY-AMT-C-H.   RG800902
116648*                                                                 RG800902
116650 X199-UDAA-EXIT.                                                  RG800902
116652     EXIT.                                                        RG800902
116698/                                                                 RG800902
116699 Y000-PERFORMED-ROUTINES SECTION.                                 RG800902
116700*
116800 Y010-MOVE-TABLE-NBR.
116900*
117000     MOVE MMMM-FRAUD-TABLE       TO MM10-TABLE-NBR.
117100*
117200 Y015-TABLE-NBR-SECURITY.
117300*
117400     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
117500         MOVE DFHBMDAS           TO MM10-TABLE-NBR-LIT-A
117600                                    MM10-TABLE-NBR-LP-A
117700                                    MM10-TABLE-NBR-RP-A
117800                                    MM10-TABLE-NBR-A
117900         MOVE ZERO               TO MM10-TABLE-NBR-L
118000         GO TO Y019-MTN-EXIT.
118100*
118200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
118300         MOVE DFHBMDAS           TO MM10-TABLE-NBR-LP-A
118400                                    MM10-TABLE-NBR-RP-A
118500         MOVE DFHBMASB           TO MM10-TABLE-NBR-A
118600         GO TO Y019-MTN-EXIT.
118700*
118800     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
118900         MOVE ZERO               TO MM10-TABLE-NBR-L
119000         MOVE DFHBMDAS           TO MM10-TABLE-NBR-LP-A
119100                                    MM10-TABLE-NBR-RP-A
119200         MOVE DFHBMASK           TO MM10-TABLE-NBR-A
119300         GO TO Y019-MTN-EXIT.
119400*
119500     IF  MBCA-PTI-FUNCTION-IS-ADD
119600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
119700             MOVE DFHBMASB       TO MM10-TABLE-NBR-LIT-A
119800         ELSE
119900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
120000                 MOVE ZERO       TO MM10-TABLE-NBR-L
120100                 MOVE DFHBMDAS   TO MM10-TABLE-NBR-LP-A
120200                                    MM10-TABLE-NBR-RP-A
120300                 MOVE DFHBMASK   TO MM10-TABLE-NBR-A.
120400*
120500     IF  MBCA-PTI-FUNCTION-IS-MAINT
120600         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
120700             MOVE ZERO           TO MM10-TABLE-NBR-L
120800             MOVE DFHBMDAS       TO MM10-TABLE-NBR-LP-A
120900                                    MM10-TABLE-NBR-RP-A
121000             MOVE DFHBMASK       TO MM10-TABLE-NBR-A.
121100*
121200 Y019-MTN-EXIT.
121300     EXIT.
121400*
121500 Y030-MOVE-PROJ-AMOUNT.
121600*
121700     MOVE MMMM-PROJ-AMT (X-MMMM-FRAUD-PROJ)
121800                                 TO MM10-PROJ-AMOUNT
121900                                    (X-MM10-FRAUD-INDEX).
122000*
122100 Y035-PROJ-AMOUNT-SECURITY.
122200*
122300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
122400         MOVE DFHBMDAS           TO MM10-PROJ-AMOUNT-LIT-A
122500                                    (X-MM10-FRAUD-INDEX)
122600                                    MM10-PROJ-AMOUNT-LP-A
122700                                    (X-MM10-FRAUD-INDEX)
122800                                    MM10-PROJ-AMOUNT-RP-A
122900                                    (X-MM10-FRAUD-INDEX)
123000                                    MM10-PROJ-AMOUNT-A
123100                                    (X-MM10-FRAUD-INDEX)
123200         MOVE ZERO               TO MM10-PROJ-AMOUNT-L
123300                                    (X-MM10-FRAUD-INDEX)
123400         GO TO Y039-MPA-EXIT.
123500*
123600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
123700         MOVE DFHBMDAS           TO MM10-PROJ-AMOUNT-LP-A
123800                                    (X-MM10-FRAUD-INDEX)
123900                                    MM10-PROJ-AMOUNT-RP-A
124000                                    (X-MM10-FRAUD-INDEX)
124100         MOVE DFHBMASB           TO MM10-PROJ-AMOUNT-A
124200                                    (X-MM10-FRAUD-INDEX)
124300         GO TO Y039-MPA-EXIT.
124400*
124500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
124600         MOVE ZERO               TO MM10-PROJ-AMOUNT-L
124700                                    (X-MM10-FRAUD-INDEX)
124800         MOVE DFHBMDAS           TO MM10-PROJ-AMOUNT-LP-A
124900                                    (X-MM10-FRAUD-INDEX)
125000                                    MM10-PROJ-AMOUNT-RP-A
125100                                    (X-MM10-FRAUD-INDEX)
125200         MOVE DFHBMASK           TO MM10-PROJ-AMOUNT-A
125300                                    (X-MM10-FRAUD-INDEX)
125400         GO TO Y039-MPA-EXIT.
125500*
125600     IF  MBCA-PTI-FUNCTION-IS-ADD
125700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
125800             MOVE DFHBMASB       TO MM10-PROJ-AMOUNT-LIT-A
125900                                    (X-MM10-FRAUD-INDEX)
126000         ELSE
126100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
126200                 MOVE ZERO       TO MM10-PROJ-AMOUNT-L
126300                                    (X-MM10-FRAUD-INDEX)
126400                 MOVE DFHBMDAS   TO MM10-PROJ-AMOUNT-LP-A
126500                                    (X-MM10-FRAUD-INDEX)
126600                                    MM10-PROJ-AMOUNT-RP-A
126700                                    (X-MM10-FRAUD-INDEX)
126800                 MOVE DFHBMASK   TO MM10-PROJ-AMOUNT-A
126900                                    (X-MM10-FRAUD-INDEX).
127000*
127100     IF  MBCA-PTI-FUNCTION-IS-MAINT
127200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
127300             MOVE ZERO           TO MM10-PROJ-AMOUNT-L
127400                                    (X-MM10-FRAUD-INDEX)
127500             MOVE DFHBMDAS       TO MM10-PROJ-AMOUNT-LP-A
127600                                    (X-MM10-FRAUD-INDEX)
127700                                    MM10-PROJ-AMOUNT-RP-A
127800                                    (X-MM10-FRAUD-INDEX)
127900             MOVE DFHBMASK       TO MM10-PROJ-AMOUNT-A
128000                                    (X-MM10-FRAUD-INDEX).
128100*
128200 Y039-MPA-EXIT.
128300     EXIT.
128400*
128500 Y050-MOVE-PROJ-NUMBER.
128600*
128700     MOVE MMMM-PROJ-NBR (X-MMMM-FRAUD-PROJ)
128800                                 TO MM10-PROJ-NUMBER
128900                                    (X-MM10-FRAUD-INDEX).
129000*
129100 Y055-PROJ-NUMBER-SECURITY.
129200*
129300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
129400         MOVE DFHBMDAS           TO MM10-PROJ-NUMBER-LIT-A
129500                                    (X-MM10-FRAUD-INDEX)
129600                                    MM10-PROJ-NUMBER-LP-A
129700                                    (X-MM10-FRAUD-INDEX)
129800                                    MM10-PROJ-NUMBER-RP-A
129900                                    (X-MM10-FRAUD-INDEX)
130000                                    MM10-PROJ-NUMBER-A
130100                                    (X-MM10-FRAUD-INDEX)
130200         MOVE ZERO               TO MM10-PROJ-NUMBER-L
130300                                    (X-MM10-FRAUD-INDEX)
130400         GO TO Y059-MPN-EXIT.
130500*
130600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
130700         MOVE DFHBMDAS           TO MM10-PROJ-NUMBER-LP-A
130800                                    (X-MM10-FRAUD-INDEX)
130900                                    MM10-PROJ-NUMBER-RP-A
131000                                    (X-MM10-FRAUD-INDEX)
131100         MOVE DFHBMASB           TO MM10-PROJ-NUMBER-A
131200                                    (X-MM10-FRAUD-INDEX)
131300         GO TO Y059-MPN-EXIT.
131400*
131500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
131600         MOVE ZERO               TO MM10-PROJ-NUMBER-L
131700                                    (X-MM10-FRAUD-INDEX)
131800         MOVE DFHBMDAS           TO MM10-PROJ-NUMBER-LP-A
131900                                    (X-MM10-FRAUD-INDEX)
132000                                    MM10-PROJ-NUMBER-RP-A
132100                                    (X-MM10-FRAUD-INDEX)
132200         MOVE DFHBMASK           TO MM10-PROJ-NUMBER-A
132300                                    (X-MM10-FRAUD-INDEX)
132400         GO TO Y059-MPN-EXIT.
132500*
132600     IF  MBCA-PTI-FUNCTION-IS-ADD
132700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
132800             MOVE DFHBMASB       TO MM10-PROJ-NUMBER-LIT-A
132900                                    (X-MM10-FRAUD-INDEX)
133000         ELSE
133100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
133200                 MOVE ZERO       TO MM10-PROJ-NUMBER-L
133300                                    (X-MM10-FRAUD-INDEX)
133400                 MOVE DFHBMDAS   TO MM10-PROJ-NUMBER-LP-A
133500                                    (X-MM10-FRAUD-INDEX)
133600                                    MM10-PROJ-NUMBER-RP-A
133700                                    (X-MM10-FRAUD-INDEX)
133800                 MOVE DFHBMASK   TO MM10-PROJ-NUMBER-A
133900                                    (X-MM10-FRAUD-INDEX).
134000*
134100     IF  MBCA-PTI-FUNCTION-IS-MAINT
134200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
134300             MOVE ZERO           TO MM10-PROJ-NUMBER-L
134400                                    (X-MM10-FRAUD-INDEX)
134500             MOVE DFHBMDAS       TO MM10-PROJ-NUMBER-LP-A
134600                                    (X-MM10-FRAUD-INDEX)
134700                                    MM10-PROJ-NUMBER-RP-A
134800                                    (X-MM10-FRAUD-INDEX)
134900             MOVE DFHBMASK       TO MM10-PROJ-NUMBER-A
135000                                    (X-MM10-FRAUD-INDEX).
135100*
135200 Y059-MPN-EXIT.
135300     EXIT.
135400*
135500 Y070-MOVE-DUPLICATE-SALE-BATCH.                                  RG800902
135600*                                                                 RG800902
135700     MOVE MMMM-DUP-SALES-BATCH-NBR-C-H                            RG800902
135800                                 TO MM10-DUP-SALES-BATCH.         RG800902
135900*                                                                 RG800902
136000 Y075-DUPLICATE-BATCH-SECURITY.                                   RG800902
136100*                                                                 RG800902
136200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
136300         MOVE DFHBMDAS           TO MM10-DUP-SALES-BATCH-LIT-A    RG800902
136400                                    MM10-DUP-SALES-BATCH-LP-A     RG800902
136500                                    MM10-DUP-SALES-BATCH-RP-A     RG800902
136600                                    MM10-DUP-SALES-BATCH-A        RG800902
136700         MOVE ZERO               TO MM10-DUP-SALES-BATCH-L        RG800902
136800         GO TO Y079-MDSB-EXIT.                                    RG800902
136900*                                                                 RG800902
137000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
137100         MOVE DFHBMDAS           TO MM10-DUP-SALES-BATCH-LP-A     RG800902
137200                                    MM10-DUP-SALES-BATCH-RP-A     RG800902
137300         MOVE DFHBMASB           TO MM10-DUP-SALES-BATCH-A        RG800902
137400         GO TO Y079-MDSB-EXIT.                                    RG800902
137500*                                                                 RG800902
137600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
137700         MOVE ZERO               TO MM10-DUP-SALES-BATCH-L        RG800902
137800         MOVE DFHBMDAS           TO MM10-DUP-SALES-BATCH-LP-A     RG800902
137900                                    MM10-DUP-SALES-BATCH-RP-A     RG800902
138000         MOVE DFHBMASK           TO MM10-DUP-SALES-BATCH-A        RG800902
138100         GO TO Y079-MDSB-EXIT.                                    RG800902
138200*                                                                 RG800902
138300     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
138400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
138500             MOVE DFHBMASB       TO MM10-DUP-SALES-BATCH-LIT-A    RG800902
138600         ELSE                                                     RG800902
138700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
138800                 MOVE ZERO       TO MM10-DUP-SALES-BATCH-L        RG800902
138900                 MOVE DFHBMDAS   TO MM10-DUP-SALES-BATCH-LP-A     RG800902
139000                                    MM10-DUP-SALES-BATCH-RP-A     RG800902
139100                 MOVE DFHBMASK   TO MM10-DUP-SALES-BATCH-A.       RG800902
139200*                                                                 RG800902
139300     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
139400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
139500             MOVE ZERO           TO MM10-DUP-SALES-BATCH-L        RG800902
139600             MOVE DFHBMDAS       TO MM10-DUP-SALES-BATCH-LP-A     RG800902
139700                                    MM10-DUP-SALES-BATCH-RP-A     RG800902
139800             MOVE DFHBMASK       TO MM10-DUP-SALES-BATCH-A.       RG800902
139900*                                                                 RG800902
140000 Y079-MDSB-EXIT.                                                  RG800902
140100     EXIT.                                                        RG800902
140200*                                                                 RG800902
140300 Y090-MOVE-DUPLICATE-SALE-DAY.                                    RG800902
140400*                                                                 RG800902
140500     SET X-MMFS-MERCH            UP BY +1.                        RG800902
140600*                                                                 RG800902
140700     MOVE MMMM-DUP-SALES-DAY-NBR-C-H                              RG800902
140800                                 TO MM10-DUP-SALES-DAY.           RG800902
140900*                                                                 RG800902
141000 Y095-DUPLICATE-DAY-SECURITY.                                     RG800902
141100*                                                                 RG800902
141200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
141300         MOVE DFHBMDAS           TO MM10-DUP-SALES-DAY-LIT-A      RG800902
141400                                    MM10-DUP-SALES-DAY-LP-A       RG800902
141500                                    MM10-DUP-SALES-DAY-RP-A       RG800902
141600                                    MM10-DUP-SALES-DAY-A          RG800902
141700         MOVE ZERO               TO MM10-DUP-SALES-DAY-L          RG800902
141800         GO TO Y099-MDSD-EXIT.                                    RG800902
141900*                                                                 RG800902
142000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
142100         MOVE DFHBMDAS           TO MM10-DUP-SALES-DAY-LP-A       RG800902
142200                                    MM10-DUP-SALES-DAY-RP-A       RG800902
142300         MOVE DFHBMASB           TO MM10-DUP-SALES-DAY-A          RG800902
142400         GO TO Y099-MDSD-EXIT.                                    RG800902
142500*                                                                 RG800902
142600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
142700         MOVE ZERO               TO MM10-DUP-SALES-DAY-L          RG800902
142800         MOVE DFHBMDAS           TO MM10-DUP-SALES-DAY-LP-A       RG800902
142900                                    MM10-DUP-SALES-DAY-RP-A       RG800902
143000         MOVE DFHBMASK           TO MM10-DUP-SALES-DAY-A          RG800902
143100         GO TO Y099-MDSD-EXIT.                                    RG800902
143200*                                                                 RG800902
143300     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
143400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
143500             MOVE DFHBMASB       TO MM10-DUP-SALES-DAY-LIT-A      RG800902
143600         ELSE                                                     RG800902
143700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
143800                 MOVE ZERO       TO MM10-DUP-SALES-DAY-L          RG800902
143900                 MOVE DFHBMDAS   TO MM10-DUP-SALES-DAY-LP-A       RG800902
144000                                    MM10-DUP-SALES-DAY-RP-A       RG800902
144100                 MOVE DFHBMASK   TO MM10-DUP-SALES-DAY-A.         RG800902
144200*                                                                 RG800902
144300     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
144400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
144500             MOVE ZERO           TO MM10-DUP-SALES-DAY-L          RG800902
144600             MOVE DFHBMDAS       TO MM10-DUP-SALES-DAY-LP-A       RG800902
144700                                    MM10-DUP-SALES-DAY-RP-A       RG800902
144800             MOVE DFHBMASK       TO MM10-DUP-SALES-DAY-A.         RG800902
144900*                                                                 RG800902
145000 Y099-MDSD-EXIT.                                                  RG800902
145100     EXIT.                                                        RG800902
145200*
145300 Y110-MOVE-AVERAGE-MONTHS.
145400*
145500     SET X-MMFS-MERCH            UP BY +1.
145600*
145700     MOVE MMMM-FRAUD-AVG-NBR-MONTHS
145800                                 TO MM10-AVERAGE-MONTHS.
145900*
146000 Y115-AVERAGE-MONTHS-SECURITY.
146100*
146200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
146300         MOVE DFHBMDAS           TO MM10-AVERAGE-MONTHS-LIT-A
146400                                    MM10-AVERAGE-MONTHS-LP-A
146500                                    MM10-AVERAGE-MONTHS-RP-A
146600                                    MM10-AVERAGE-MONTHS-A
146700         MOVE ZERO               TO MM10-AVERAGE-MONTHS-L
146800         GO TO Y119-MAM-EXIT.
146900*
147000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
147100         MOVE DFHBMDAS           TO MM10-AVERAGE-MONTHS-LP-A
147200                                    MM10-AVERAGE-MONTHS-RP-A
147300         MOVE DFHBMASB           TO MM10-AVERAGE-MONTHS-A
147400         GO TO Y119-MAM-EXIT.
147500*
147600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
147700         MOVE ZERO               TO MM10-AVERAGE-MONTHS-L
147800         MOVE DFHBMDAS           TO MM10-AVERAGE-MONTHS-LP-A
147900                                    MM10-AVERAGE-MONTHS-RP-A
148000         MOVE DFHBMASK           TO MM10-AVERAGE-MONTHS-A
148100         GO TO Y119-MAM-EXIT.
148200*
148300     IF  MBCA-PTI-FUNCTION-IS-ADD
148400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
148500             MOVE DFHBMASB       TO MM10-AVERAGE-MONTHS-LIT-A
148600         ELSE
148700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
148800                 MOVE ZERO       TO MM10-AVERAGE-MONTHS-L
148900                 MOVE DFHBMDAS   TO MM10-AVERAGE-MONTHS-LP-A
149000                                    MM10-AVERAGE-MONTHS-RP-A
149100                 MOVE DFHBMASK   TO MM10-AVERAGE-MONTHS-A.
149200*
149300     IF  MBCA-PTI-FUNCTION-IS-MAINT
149400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
149500             MOVE ZERO           TO MM10-AVERAGE-MONTHS-L
149600             MOVE DFHBMDAS       TO MM10-AVERAGE-MONTHS-LP-A
149700                                    MM10-AVERAGE-MONTHS-RP-A
149800             MOVE DFHBMASK       TO MM10-AVERAGE-MONTHS-A.
149900*
150000 Y119-MAM-EXIT.
150100     EXIT.
150200*
150202 Y130-MOVE-DUPLICATE-SALE-AMT.                                    RG800902
150204*                                                                 RG800902
150206     SET X-MMFS-MERCH            UP BY +1.                        RG800902
150208*                                                                 RG800902
150210     MOVE MMMM-DUP-SALES-DAY-AMT-C-H                              RG800902
150212                                 TO MM10-DUP-SALES-AMT.           RG800902
150214*                                                                 RG800902
150216 Y135-DUPLICATE-AMT-SECURITY.                                     RG800902
150218*                                                                 RG800902
150220     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
150222         MOVE DFHBMDAS           TO MM10-DUP-SALES-AMT-LIT-A      RG800902
150224                                    MM10-DUP-SALES-AMT-LP-A       RG800902
150226                                    MM10-DUP-SALES-AMT-RP-A       RG800902
150228                                    MM10-DUP-SALES-AMT-A          RG800902
150230         MOVE ZERO               TO MM10-DUP-SALES-AMT-L          RG800902
150232         GO TO Y139-MDSA-EXIT.                                    RG800902
150234*                                                                 RG800902
150236     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
150238         MOVE DFHBMDAS           TO MM10-DUP-SALES-AMT-LP-A       RG800902
150240                                    MM10-DUP-SALES-AMT-RP-A       RG800902
150242         MOVE DFHBMASB           TO MM10-DUP-SALES-AMT-A          RG800902
150244         GO TO Y139-MDSA-EXIT.                                    RG800902
150246*                                                                 RG800902
150248     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
150250         MOVE ZERO               TO MM10-DUP-SALES-AMT-L          RG800902
150252         MOVE DFHBMDAS           TO MM10-DUP-SALES-AMT-LP-A       RG800902
150254                                    MM10-DUP-SALES-AMT-RP-A       RG800902
150256         MOVE DFHBMASK           TO MM10-DUP-SALES-AMT-A          RG800902
150258         GO TO Y139-MDSA-EXIT.                                    RG800902
150260*                                                                 RG800902
150262     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
150264         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
150266             MOVE DFHBMASB       TO MM10-DUP-SALES-AMT-LIT-A      RG800902
150268         ELSE                                                     RG800902
150270             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
150272                 MOVE ZERO       TO MM10-DUP-SALES-AMT-L          RG800902
150274                 MOVE DFHBMDAS   TO MM10-DUP-SALES-AMT-LP-A       RG800902
150276                                    MM10-DUP-SALES-AMT-RP-A       RG800902
150278                 MOVE DFHBMASK   TO MM10-DUP-SALES-AMT-A.         RG800902
150280*                                                                 RG800902
150282     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
150284         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
150286             MOVE ZERO           TO MM10-DUP-SALES-AMT-L          RG800902
150288             MOVE DFHBMDAS       TO MM10-DUP-SALES-AMT-LP-A       RG800902
150290                                    MM10-DUP-SALES-AMT-RP-A       RG800902
150292             MOVE DFHBMASK       TO MM10-DUP-SALES-AMT-A.         RG800902
150294*                                                                 RG800902
150296 Y139-MDSA-EXIT.                                                  RG800902
150298     EXIT.                                                        RG800902
150300*                                                                 RG800902
150302 Y150-MOVE-DUPLICATE-AUTH-BATCH.                                  RG800902
150304*                                                                 RG800902
150306     SET X-MMFS-MERCH            UP BY +1.                        RG800902
150308*                                                                 RG800902
150310     MOVE MMMM-DUP-AUTHS-BATCH-NBR-C-H                            RG800902
150312                                 TO MM10-DUP-AUTHS-BATCH.         RG800902
150314*                                                                 RG800902
150316 Y155-DUPLICATE-BATCH-SECURITY.                                   RG800902
150318*                                                                 RG800902
150320     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
150322         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-BATCH-LIT-A    RG800902
150324                                    MM10-DUP-AUTHS-BATCH-LP-A     RG800902
150326                                    MM10-DUP-AUTHS-BATCH-RP-A     RG800902
150328                                    MM10-DUP-AUTHS-BATCH-A        RG800902
150330         MOVE ZERO               TO MM10-DUP-AUTHS-BATCH-L        RG800902
150332         GO TO Y159-MDAB-EXIT.                                    RG800902
150334*                                                                 RG800902
150336     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
150338         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
150340                                    MM10-DUP-AUTHS-BATCH-RP-A     RG800902
150342         MOVE DFHBMASB           TO MM10-DUP-AUTHS-BATCH-A        RG800902
150344         GO TO Y159-MDAB-EXIT.                                    RG800902
150346*                                                                 RG800902
150348     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
150350         MOVE ZERO               TO MM10-DUP-AUTHS-BATCH-L        RG800902
150352         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
150354                                    MM10-DUP-AUTHS-BATCH-RP-A     RG800902
150356         MOVE DFHBMASK           TO MM10-DUP-AUTHS-BATCH-A        RG800902
150358         GO TO Y159-MDAB-EXIT.                                    RG800902
150360*                                                                 RG800902
150362     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
150364         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
150366             MOVE DFHBMASB       TO MM10-DUP-AUTHS-BATCH-LIT-A    RG800902
150368         ELSE                                                     RG800902
150370             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
150372                 MOVE ZERO       TO MM10-DUP-AUTHS-BATCH-L        RG800902
150374                 MOVE DFHBMDAS   TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
150376                                    MM10-DUP-AUTHS-BATCH-RP-A     RG800902
150378                 MOVE DFHBMASK   TO MM10-DUP-AUTHS-BATCH-A.       RG800902
150380*                                                                 RG800902
150382     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
150384         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
150386             MOVE ZERO           TO MM10-DUP-AUTHS-BATCH-L        RG800902
150388             MOVE DFHBMDAS       TO MM10-DUP-AUTHS-BATCH-LP-A     RG800902
150390                                    MM10-DUP-AUTHS-BATCH-RP-A     RG800902
150392             MOVE DFHBMASK       TO MM10-DUP-AUTHS-BATCH-A.       RG800902
150394*                                                                 RG800902
150396 Y159-MDAB-EXIT.                                                  RG800902
150398     EXIT.                                                        RG800902
150400*                                                                 RG800902
150402 Y170-MOVE-DUPLICATE-AUTH-DAY.                                    RG800902
150404*                                                                 RG800902
150406     SET X-MMFS-MERCH            UP BY +1.                        RG800902
150408*                                                                 RG800902
150410     MOVE MMMM-DUP-AUTHS-DAY-NBR-C-H                              RG800902
150412                                 TO MM10-DUP-AUTHS-DAY.           RG800902
150414*                                                                 RG800902
150416 Y175-DUPLICATE-DAY-SECURITY.                                     RG800902
150418*                                                                 RG800902
150420     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
150422         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-DAY-LIT-A      RG800902
150424                                    MM10-DUP-AUTHS-DAY-LP-A       RG800902
150426                                    MM10-DUP-AUTHS-DAY-RP-A       RG800902
150428                                    MM10-DUP-AUTHS-DAY-A          RG800902
150430         MOVE ZERO               TO MM10-DUP-AUTHS-DAY-L          RG800902
150432         GO TO Y179-MDAD-EXIT.                                    RG800902
150434*                                                                 RG800902
150436     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
150438         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
150440                                    MM10-DUP-AUTHS-DAY-RP-A       RG800902
150442         MOVE DFHBMASB           TO MM10-DUP-AUTHS-DAY-A          RG800902
150444         GO TO Y179-MDAD-EXIT.                                    RG800902
150446*                                                                 RG800902
150448     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
150450         MOVE ZERO               TO MM10-DUP-AUTHS-DAY-L          RG800902
150452         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
150454                                    MM10-DUP-AUTHS-DAY-RP-A       RG800902
150456         MOVE DFHBMASK           TO MM10-DUP-AUTHS-DAY-A          RG800902
150458         GO TO Y179-MDAD-EXIT.                                    RG800902
150460*                                                                 RG800902
150462     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
150464         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
150466             MOVE DFHBMASB       TO MM10-DUP-AUTHS-DAY-LIT-A      RG800902
150468         ELSE                                                     RG800902
150470             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
150472                 MOVE ZERO       TO MM10-DUP-AUTHS-DAY-L          RG800902
150474                 MOVE DFHBMDAS   TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
150476                                    MM10-DUP-AUTHS-DAY-RP-A       RG800902
150478                 MOVE DFHBMASK   TO MM10-DUP-AUTHS-DAY-A.         RG800902
150480*                                                                 RG800902
150482     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
150484         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
150486             MOVE ZERO           TO MM10-DUP-AUTHS-DAY-L          RG800902
150488             MOVE DFHBMDAS       TO MM10-DUP-AUTHS-DAY-LP-A       RG800902
150490                                    MM10-DUP-AUTHS-DAY-RP-A       RG800902
150492             MOVE DFHBMASK       TO MM10-DUP-AUTHS-DAY-A.         RG800902
150494*                                                                 RG800902
150496 Y179-MDAD-EXIT.                                                  RG800902
150498     EXIT.                                                        RG800902
150500*                                                                 RG800902
150502 Y190-MOVE-DUPLICATE-AUTH-AMT.                                    RG800902
150504*                                                                 RG800902
150506     SET X-MMFS-MERCH            UP BY +1.                        RG800902
150508*                                                                 RG800902
150510     MOVE MMMM-DUP-AUTHS-DAY-AMT-C-H                              RG800902
150512                                 TO MM10-DUP-AUTHS-AMT.           RG800902
150514*                                                                 RG800902
150516 Y195-DUPLICATE-AMT-SECURITY.                                     RG800902
150518*                                                                 RG800902
150520     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG800902
150522         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-AMT-LIT-A      RG800902
150524                                    MM10-DUP-AUTHS-AMT-LP-A       RG800902
150526                                    MM10-DUP-AUTHS-AMT-RP-A       RG800902
150528                                    MM10-DUP-AUTHS-AMT-A          RG800902
150530         MOVE ZERO               TO MM10-DUP-AUTHS-AMT-L          RG800902
150532         GO TO Y199-MDAA-EXIT.                                    RG800902
150534*                                                                 RG800902
150536     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800902
150538         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
150540                                    MM10-DUP-AUTHS-AMT-RP-A       RG800902
150542         MOVE DFHBMASB           TO MM10-DUP-AUTHS-AMT-A          RG800902
150544         GO TO Y199-MDAA-EXIT.                                    RG800902
150546*                                                                 RG800902
150548     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG800902
150550         MOVE ZERO               TO MM10-DUP-AUTHS-AMT-L          RG800902
150552         MOVE DFHBMDAS           TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
150554                                    MM10-DUP-AUTHS-AMT-RP-A       RG800902
150556         MOVE DFHBMASK           TO MM10-DUP-AUTHS-AMT-A          RG800902
150558         GO TO Y199-MDAA-EXIT.                                    RG800902
150560*                                                                 RG800902
150562     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
150564         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
150566             MOVE DFHBMASB       TO MM10-DUP-AUTHS-AMT-LIT-A      RG800902
150568         ELSE                                                     RG800902
150570             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG800902
150572                 MOVE ZERO       TO MM10-DUP-AUTHS-AMT-L          RG800902
150574                 MOVE DFHBMDAS   TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
150576                                    MM10-DUP-AUTHS-AMT-RP-A       RG800902
150578                 MOVE DFHBMASK   TO MM10-DUP-AUTHS-AMT-A.         RG800902
150580*                                                                 RG800902
150582     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
150584         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG800902
150586             MOVE ZERO           TO MM10-DUP-AUTHS-AMT-L          RG800902
150588             MOVE DFHBMDAS       TO MM10-DUP-AUTHS-AMT-LP-A       RG800902
150590                                    MM10-DUP-AUTHS-AMT-RP-A       RG800902
150592             MOVE DFHBMASK       TO MM10-DUP-AUTHS-AMT-A.         RG800902
150594*                                                                 RG800902
150596 Y199-MDAA-EXIT.                                                  RG800902
150598     EXIT.                                                        RG800902
150600*                                                                 RG800902
150696 Y800-SET-CURSOR.                                                 RG800902
150697*                                                                 RG800902
150698************************************************************      RG800902
150699*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *      RG800902
150700*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
150800*    OPEN FOR INPUT                                        *
150900************************************************************
151000*
151100     MOVE MMMMTB-FRAUD-TABLE (1:4)
151200                                 TO WS-INDEX-X.
151300     SET X-MMFS-MERCH            TO WS-INDEX.
151400*                                                                 RG800902
151500     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
151600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
151700         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
151800             MOVE SS08WS-CURSOR  TO MM10-TABLE-NBR-L              RG800902
151900             GO TO Y809-SC-EXIT.                                  RG800902
152000*                                                                 RG800902
152100     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
152200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
152300             MOVE SS08WS-CURSOR  TO MM10-TABLE-NBR-L              RG800902
152400             GO TO Y809-SC-EXIT.                                  RG800902
152500*                                                                 RG800902
152600     MOVE MMMMTB-FRAUD-AVG-NBR-MTH (1:4)                          RG800902
152700                                 TO WS-INDEX-X.                   RG800902
152800     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
152900*                                                                 RG800902
153000     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
153100         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
153200         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
153300             MOVE SS08WS-CURSOR  TO MM10-AVERAGE-MONTHS-L         RG800902
153400             GO TO Y809-SC-EXIT.                                  RG800902
153500*                                                                 RG800902
153600     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
153700         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
153800             MOVE SS08WS-CURSOR  TO MM10-AVERAGE-MONTHS-L         RG800902
153900             GO TO Y809-SC-EXIT.                                  RG800902
154000*                                                                 RG800902
154100     MOVE MMMMTB-PROJ-SALES-AMT (1:4)                             RG800902
154200                                 TO WS-INDEX-X.                   RG800902
154300     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
154400     SET X-MM10-FRAUD-INDEX      TO +1.                           RG800902
154500*                                                                 RG800902
154600     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
154700         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
154800         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
154900             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
155000                                    (X-MM10-FRAUD-INDEX)          RG800902
155100             GO TO Y809-SC-EXIT.                                  RG800902
155200*                                                                 RG800902
155300     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
155400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
155500             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
155600                                    (X-MM10-FRAUD-INDEX)          RG800902
155700             GO TO Y809-SC-EXIT.                                  RG800902
155800*                                                                 RG800902
155900     MOVE MMMMTB-PROJ-SALES-NBR (1:4)                             RG800902
156000                                 TO WS-INDEX-X.                   RG800902
156100     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
156200     SET X-MM10-FRAUD-INDEX      TO +1.                           RG800902
156300*                                                                 RG800902
156400     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
156500         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
156600         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
156700             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
156800                                    (X-MM10-FRAUD-INDEX)          RG800902
156900             GO TO Y809-SC-EXIT.                                  RG800902
157000*                                                                 RG800902
157100     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
157200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
157300             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
157400                                    (X-MM10-FRAUD-INDEX)          RG800902
157500             GO TO Y809-SC-EXIT.                                  RG800902
157600*                                                                 RG800902
157700     MOVE MMMMTB-PROJ-RETURNS-AMT (1:4)                           RG800902
157800                                 TO WS-INDEX-X.                   RG800902
157900     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
158000     SET X-MM10-FRAUD-INDEX      TO +2.                           RG800902
158100*                                                                 RG800902
158200     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
158300         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
158400         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
158500             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
158600                                    (X-MM10-FRAUD-INDEX)          RG800902
158610             GO TO Y809-SC-EXIT.                                  RG800902
158612*                                                                 RG800902
158614     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
158616         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
158618             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
158620                                    (X-MM10-FRAUD-INDEX)          RG800902
158622             GO TO Y809-SC-EXIT.                                  RG800902
158624*                                                                 RG800902
158626     MOVE MMMMTB-PROJ-RETURNS-NBR (1:4)                           RG800902
158628                                 TO WS-INDEX-X.                   RG800902
158630     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
158632     SET X-MM10-FRAUD-INDEX      TO +2.                           RG800902
158634*                                                                 RG800902
158700     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
158800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
158900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
159000             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
159100                                    (X-MM10-FRAUD-INDEX)          RG800902
159200             GO TO Y809-SC-EXIT.                                  RG800902
159300*                                                                 RG800902
159400     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
159500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
159600             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
159700                                    (X-MM10-FRAUD-INDEX)          RG800902
159800             GO TO Y809-SC-EXIT.                                  RG800902
159900*                                                                 RG800902
160000     MOVE MMMMTB-PROJ-AUTH-AMT (1:4)                              RG800902
160010                                 TO WS-INDEX-X.                   RG800902
160012     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
160100     SET X-MM10-FRAUD-INDEX      TO +3.                           RG800902
160110*                                                                 RG800902
160112     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
160200         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
160210         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
160212             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
160300                                    (X-MM10-FRAUD-INDEX)          RG800902
160310             GO TO Y809-SC-EXIT.                                  RG800902
160312*                                                                 RG800902
160400     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
160410         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
160412             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
160500                                    (X-MM10-FRAUD-INDEX)          RG800902
160510             GO TO Y809-SC-EXIT.                                  RG800902
160600*                                                                 RG800902
160700     MOVE MMMMTB-PROJ-AUTH-NBR (1:4)                              RG800902
160710                                 TO WS-INDEX-X.                   RG800902
160712     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
160800     SET X-MM10-FRAUD-INDEX      TO +3.                           RG800902
160810*                                                                 RG800902
160812     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
160900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
160910         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
160912             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
161000                                    (X-MM10-FRAUD-INDEX)          RG800902
161010             GO TO Y809-SC-EXIT.                                  RG800902
161012*                                                                 RG800902
161100     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
161110         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
161112             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
161200                                    (X-MM10-FRAUD-INDEX)          RG800902
161210             GO TO Y809-SC-EXIT.                                  RG800902
161300*                                                                 RG800902
161400     MOVE MMMMTB-PROJ-CHGBACK-AMT (1:4)                           RG800902
161410                                 TO WS-INDEX-X.                   RG800902
161412     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
161500     SET X-MM10-FRAUD-INDEX      TO +4.                           RG800902
161510*                                                                 RG800902
161512     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
161600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
161610         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
161612             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
161700                                    (X-MM10-FRAUD-INDEX)          RG800902
161710             GO TO Y809-SC-EXIT.                                  RG800902
161712*                                                                 RG800902
161800     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
161810         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
161812             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
161900                                    (X-MM10-FRAUD-INDEX)          RG800902
161910             GO TO Y809-SC-EXIT.                                  RG800902
162000*                                                                 RG800902
162100     MOVE MMMMTB-PROJ-CHGBACK-NBR (1:4)                           RG800902
162110                                 TO WS-INDEX-X.                   RG800902
162112     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
162200     SET X-MM10-FRAUD-INDEX      TO +4.                           RG800902
162210*                                                                 RG800902
162212     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
162300         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
162310         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
162312             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
162400                                    (X-MM10-FRAUD-INDEX)          RG800902
162410             GO TO Y809-SC-EXIT.                                  RG800902
162412*                                                                 RG800902
162500     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
162510         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
162512             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
162600                                    (X-MM10-FRAUD-INDEX)          RG800902
162610             GO TO Y809-SC-EXIT.                                  RG800902
162700*                                                                 RG800902
162800     MOVE MMMMTB-PROJ-CHGBACK-MEMO-AMT (1:4)                      RG800902
162810                                 TO WS-INDEX-X.                   RG800902
162812     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
162900     SET X-MM10-FRAUD-INDEX      TO +5.                           RG800902
162910*                                                                 RG800902
162912     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
163000         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
163010         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
163012             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
163100                                    (X-MM10-FRAUD-INDEX)          RG800902
163110             GO TO Y809-SC-EXIT.                                  RG800902
163112*                                                                 RG800902
163200     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
163210         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
163212             MOVE SS08WS-CURSOR  TO MM10-PROJ-AMOUNT-L            RG800902
163300                                    (X-MM10-FRAUD-INDEX)          RG800902
163310             GO TO Y809-SC-EXIT.                                  RG800902
163400*                                                                 RG800902
163500     MOVE MMMMTB-PROJ-CHGBACK-MEMO-NBR (1:4)                      RG800902
163510                                 TO WS-INDEX-X.                   RG800902
163512     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
163600     SET X-MM10-FRAUD-INDEX      TO +5.                           RG800902
163610*                                                                 RG800902
163612     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
163700         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
163710         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
163712             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
163800                                    (X-MM10-FRAUD-INDEX)          RG800902
163810             GO TO Y809-SC-EXIT.                                  RG800902
163812*                                                                 RG800902
163900     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
163910         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
163912             MOVE SS08WS-CURSOR  TO MM10-PROJ-NUMBER-L            RG800902
164000                                    (X-MM10-FRAUD-INDEX)          RG800902
164010             GO TO Y809-SC-EXIT.                                  RG800902
164100*                                                                 RG800902
164200     MOVE MMMMTB-DUP-SALES-BATCH (1:4)                            RG800902
164210                                 TO WS-INDEX-X.                   RG800902
164212     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
164214*                                                                 RG800902
164300     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
164310         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
164312         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
164314             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-BATCH-L        RG800902
164400             GO TO Y809-SC-EXIT.                                  RG800902
164410*                                                                 RG800902
164412     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
164500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
164510             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-BATCH-L        RG800902
164512             GO TO Y809-SC-EXIT.                                  RG800902
164600*                                                                 RG800902
164700     MOVE MMMMTB-DUP-AUTHS-BATCH (1:4)                            RG800902
164710                                 TO WS-INDEX-X.                   RG800902
164712     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
164714*                                                                 RG800902
164800     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
164810         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
164812         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
164814             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-BATCH-L        RG800902
164900             GO TO Y809-SC-EXIT.                                  RG800902
164910*                                                                 RG800902
164912     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
165000         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
165010             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-BATCH-L        RG800902
165012             GO TO Y809-SC-EXIT.                                  RG800902
165100*                                                                 RG800902
165200     MOVE MMMMTB-DUP-SALES-DAY (1:4)                              RG800902
165210                                 TO WS-INDEX-X.                   RG800902
165212     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
165214*                                                                 RG800902
165300     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
165310         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
165312         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
165314             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-DAY-L          RG800902
165400             GO TO Y809-SC-EXIT.                                  RG800902
165410*                                                                 RG800902
165412     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
165500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
165510             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-DAY-L          RG800902
165512             GO TO Y809-SC-EXIT.                                  RG800902
165600*                                                                 RG800902
165610     MOVE MMMMTB-DUP-AUTHS-DAY (1:4)                              RG800902
165612                                 TO WS-INDEX-X.                   RG800902
165614     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
165616*                                                                 RG800902
165618     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
165620         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
165622         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
165624             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-DAY-L          RG800902
165626             GO TO Y809-SC-EXIT.                                  RG800902
165628*                                                                 RG800902
165630     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
165632         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
165634             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-DAY-L          RG800902
165636             GO TO Y809-SC-EXIT.                                  RG800902
165638*                                                                 RG800902
165640     MOVE MMMMTB-DUP-SALES-AMT (1:4)                              RG800902
165642                                 TO WS-INDEX-X.                   RG800902
165644     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
165646*                                                                 RG800902
165648     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
165650         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
165652         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
165654             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-AMT-L          RG800902
165656             GO TO Y809-SC-EXIT.                                  RG800902
165658*                                                                 RG800902
165660     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
165662         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
165664             MOVE SS08WS-CURSOR  TO MM10-DUP-SALES-AMT-L          RG800902
165666             GO TO Y809-SC-EXIT.                                  RG800902
165668*                                                                 RG800902
165670     MOVE MMMMTB-DUP-AUTHS-AMT (1:4)                              RG800902
165672                                 TO WS-INDEX-X.                   RG800902
165674     SET X-MMFS-MERCH            TO WS-INDEX.                     RG800902
165676*                                                                 RG800902
165678     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800902
165680         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                      RG800902
165682         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG800902
165684             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-AMT-L          RG800902
165686             GO TO Y809-SC-EXIT.                                  RG800902
165688*                                                                 RG800902
165690     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800902
165692         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)                 RG800902
165694             MOVE SS08WS-CURSOR  TO MM10-DUP-AUTHS-AMT-L          RG800902
165696             GO TO Y809-SC-EXIT.                                  RG800902
165698*                                                                 RG800902
165700     MOVE SS08WS-CURSOR          TO MM10-ALT-TRANID-L.            RG800902
165702*                                                                 RG800902
165799 Y809-SC-EXIT.                                                    RG800902
165800     EXIT.
165900*
166000 Y900-READ-MMMM.
166100*
166200*****************************************
166300*    READ THE MERCHANT MASTER RECORD    *
166400*****************************************
166500*
166600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
166700                                    MM10-ORG.
166800     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
166900                                    MM10-MERCHANT.
167000     SET MBIORO-READ-RANDOM      TO TRUE.
167100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
167200*
167300 Y909-READ-MMMM-EXIT.
167400     EXIT.
167500*
167600 Y910-READ-MMFS.
167700*
167800****************************************
167900*    READ THE FIELD SECURITY RECORD    *
168000*    TO OBTAIN THE SECURITY CODES      *
168100****************************************
168200*
168300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
168400     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
168500     SET MBIORO-READ-RANDOM      TO TRUE.
168600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
168700*
168800     IF  NOT MMFS-REC-ACTIVE
168900         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
169000         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
169100         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
169200         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
169300         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
169400         SET MBCA-ERROR-MSGS-PROVIDED
169500                                 TO TRUE
169600         MOVE 'READ ERROR - MMFSAO'
169700                                 TO MBCA-ERRR-MSG1
169800         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
169900                                 TO MBCA-ERRR-MSG2
170000         GO TO MB70PD-ERROR-ROUTINE.
170100*
170200 Y919-READ-MMFS-EXIT.
170300     EXIT.
170400*
170500 Y920-WRITE-LOG-RECORD.
170600*
170700     SET MBIORO-WRITE            TO TRUE.
170800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
170900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
171000*
171100 Y929-WLR-EXIT.
171200     EXIT.
171300/
171400 Z000-COPIED-ROUTINES SECTION.
171500*
171600**********************************
171700*    JUL TO GREG DATE ROUTINE    *
171800**********************************
171900*
172000     COPY SS08PD.
172100/
172200**********************************
172300*    DATE AND TIME EDIT ROUTINES *
172400**********************************
172500*
172600     COPY SS26PD.
172700     COPY SS27PD.
172800/
172900*********************************
173000*    LINE 24 PF KEYS ROUTINE    *
173100*********************************
173200*
173300     COPY SS15PD.
173400/
173500************************************************
173600*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
173700************************************************
173800*
173900     COPY MMMMAO.
174000/
174100************************************************
174200*    FRAUD REPORTING RECORD ACCESS ROUTINES    *
174300************************************************
174400*
174500     COPY MMFPAO.
174600/
174700***********************************************
174800*    FIELD SECURITY RECORD ACCESS ROUTINES    *
174900***********************************************
175000*
175100     COPY MMFSAO.
175200/
175300*****************************************
175400*    LOG FILE RECORD ACCESS ROUTINES    *
175500*****************************************
175600*
175700     COPY MML1AO.
175800/
175900*****************************
176000*    FORMATTED MESSAGE LINE *
176100*****************************
176200*
176300     COPY MB06PD.
176400/
176500*****************************
176600*    ONLINE MAP ROUTINES    *
176700*****************************
176800*
176900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM10 '
177000                           MBMAPXXI BY MBMM10I
177100                           MBMAPXXO BY MBMM10O.
177200/
177300***************************
177400*    ONLINE PROCEDURES    *
177500***************************
177600*
177700     COPY MB70PD.
177800/
177900     COPY SMFTPXO.
