000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM11.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM11 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 11                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM11 (SCREEN 11)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MML1 (LOG FILE)                            *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-FIELD-POSITION   PIC  9(03)      VALUE ZEROES.
003600     03  WS-INDEX-X.
003700         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
003800*
003900 01  FILLER                  PIC  X(17)      VALUE
004000     'PROGRAM SWITCHES:'.
004100*
004200 01  WS-PROGRAM-SWITCHES.
004300     03  WS-USER-DATA-ERROR-SW
004400                             PIC  X(01)      VALUE 'N'.
004500         88  USER-DATA-ERRORS-EXIST          VALUE 'Y'.
004600         88  NO-USER-DATA-ERRORS-EXIST       VALUE 'N'.
004700     03  WS-USER-DATE-ERROR-SW
004800                             PIC  X(01)      VALUE 'N'.
004900         88  USER-DATE-ERRORS-EXIST          VALUE 'Y'.
005000         88  NO-USER-DATE-ERRORS-EXIST       VALUE 'N'.
005100     03  WS-USER-AMT-ERROR-SW
005200                             PIC  X(01)      VALUE 'N'.
005300         88  USER-AMT-ERRORS-EXIST           VALUE 'Y'.
005400         88  NO-USER-AMT-ERRORS-EXIST        VALUE 'N'.
005500     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005800     03  TS-QUEUE-NAME.
005900         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006000         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006100/
006200 01  FILLER                  PIC  X(29)      VALUE
006300     'I/O REQUEST BLOCK WORK AREAS:'.
006400*
006500     COPY MBIOWS.
006600/
006700 01  FILLER                  PIC  X(18)      VALUE
006800     'I/O REQUEST BLOCK:'.
006900*
007000     COPY MBIORO.
007100/
007200 01  FILLER                  PIC  X(25)      VALUE
007300     'LOG RECORD REQUEST BLOCK:'.
007400*
007500     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
007600/
007700 01  FILLER                  PIC  X(29)      VALUE
007800     'MERCHANT MASTER FIELDS TABLE:'.
007900*
008000     COPY MMMMTB.
008100/
008200 01  FILLER                  PIC  X(35)      VALUE
008300     'MERCHANT MASTER INITIALIZER RECORD:'.
008400*
008500     COPY MMMMIR.
008600/
008700 01  FILLER                  PIC  X(20)      VALUE
008800     'CCS DATE WORK AREAS:'.
008900*
009000     COPY SS01WS.
009100/
009200 01  FILLER                  PIC  X(15)      VALUE
009300     'CCS WORK AREAS:'.
009400*
009500     COPY SS08WS.
009600/
009700     COPY SS00WS.
009800/
009900     COPY SMFTWS.
010000/
010100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010200/
010300     COPY MB61LK.
010400/
010500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010600/
010700 LINKAGE SECTION.
010800*
010900 01  DFHCOMMAREA.
011000*
011100     COPY MB60WS.
011200/
011300*****************************
011400*    MERCHANT MASTER MAP    *
011500*****************************
011600*
011700     COPY MBMM11.
011800/
011900******************************************
012000*    MERCHANT MASTER MAP REDEFINITION    *
012100******************************************
012200*
012300     COPY MBMM11R.
012400/
012500****************************************
012600*    MERCHANT MASTER  RECORD LAYOUT    *
012700****************************************
012800*
012900     COPY MMMMRL.
013000/
013100**************************************
013200*    FIELD SECURITY RECORD LAYOUT    *
013300**************************************
013400*
013500     COPY MMFSRL.
013600/
013700***************************
013800*    LOG RECORD LAYOUT    *
013900***************************
014000*
014100     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
014200/
014300***************************************
014400*    USER INPUT TEMP STORAGE RECORD   *
014500***************************************
014600*
014700     COPY MBUITS.
014800/
014900 PROCEDURE DIVISION.
015000*
015100 A000-HOUSEKEEPING SECTION.
015200*
015300 A020-INIT.
015400*
015500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015700                                 THRU MB70PD-OLH-EXIT.
015800*
015900     IF  MBCA-MBUI-UI-YES
016000         NEXT SENTENCE
016100     ELSE
016200         SET MBCA-MBUI-UI-NO     TO TRUE.
016300*
016400     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
016500*
016600     IF  MBCA-RECEIVE-SCREEN
016700         GO TO C000-RECEIVE-SCREEN.
016800/
016900 B000-SEND-SCREEN SECTION.
017000*
017100*********************************************
017200*    GET CICS STORAGE NEEDED FOR THE MAP    *
017300*********************************************
017400*
017500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017600     PERFORM MB60PD-GETMAIN-FOR-MAP
017700                                 THRU MB60PD-GFM-EXIT.
017800*
017900*******************************************
018000*    INITIALIZE THE STANDARD MAP LINES    *
018100*******************************************
018200*
018300     PERFORM MB60PD-INIT-STD-MAP-LINES
018400                                 THRU MB60PD-ISML-EXIT.
018500*
018600*****************************************
018700*    READ THE MERCHANT MASTER RECORD    *
018800*    FOR SUBSEQUENT DISPLAY             *
018900*****************************************
019000*
019100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
019200     PERFORM Y900-READ-MMMM      THRU Y909-READ-MMMM-EXIT.
019300*
019400*********************************************
019500*    MOVE THE PRIMARY NAME TO THE SCREEN    *
019600*********************************************
019700*
019800     MOVE MMMM-NA-LINE (1 1)     TO MM11-MERCHANT-NAME.
019900*
020000****************************************
020100*    READ THE FIELD SECURITY RECORD    *
020200****************************************
020300*
020400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020500     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
020600*
020700 B020-MOVE-FIELDS-TO-SCREEN.
020800*
020900*****************************************
021000*    MOVE THE MERCHANT MASTER FIELDS    *
021100*    FROM THE RECORD TO THE SCREEN      *
021200*****************************************
021300*
021400     PERFORM Y010-MOVE-USER-DATA-TITLES
021500                                 THRU Y019-MUDT-EXIT.
021600*
021700     PERFORM Y020-MOVE-USER-DATA THRU Y029-MUD-EXIT.
021800*
021900     PERFORM Y030-MOVE-USER-DATE-TITLES
022000                                 THRU Y039-MUDT-EXIT.
022100*
022200     PERFORM Y040-MOVE-USER-DATES
022300                                 THRU Y049-MUD-EXIT.
022400*
022500     PERFORM Y050-MOVE-USER-AMT-TITLES
022600                                 THRU Y059-MUAT-EXIT.
022700*
022800     PERFORM Y060-MOVE-USER-AMTS THRU Y069-MUA-EXIT.
022900*
023000********************************************
023100*  TO FORMAT AND POPULATE THE MESSAGE LINE *
023200********************************************
023300*
023400     IF MM11-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
023500        PERFORM MB06PD-FORMAT-MESSAGE-LINE
023600           THRU MB06PD-FML-EXIT
023700        MOVE SS08WS-FORMATTED-MSG   TO MM11-ERR-MESSAGE
023800     END-IF.
023900*
024000******************************************
024100*    SET THE CURSOR AND SCREEN NUMBER    *
024200******************************************
024300*
024400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
024500         MOVE SS08WS-CURSOR      TO MM11-ALT-TRANID-L
024600     ELSE
024700         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
024800*
024900     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
025000*
025100**********************
025200*    SEND THE MAP    *
025300**********************
025400*
025500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
025600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
025700                                 THRU MB60PD-SMWE-EXIT.
025800*
025900************************
026000*    RETURN TO CICS    *
026100************************
026200*
026300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
026400     PERFORM MB70PD-RETURN-TRANS-ID
026500                                 THRU MB70PD-RTI-EXIT.
026600/
026700 C000-RECEIVE-SCREEN SECTION.
026800*
026900******************************************
027000*    THIS SECTION RECEIVES THE SCREEN    *
027100******************************************
027200*
027300     IF  MBCA-MBUI-UI-YES
027400*
027500****************************************************************
027600*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
027700****************************************************************
027800*
027900         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
028000         EXEC CICS GETMAIN
028100                   FLENGTH (LENGTH  OF MBUITS-RECORD)
028200
028300                   SET     (ADDRESS OF MBUITS-RECORD)
028400
028500              END-EXEC
028600*
028700***********************************************
028800*    READ THE TEMP STORAGE RECORD             *
028900***********************************************
029000*
029100         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
029200*
029300         EXEC CICS READQ TS
029400                   QUEUE   (TS-QUEUE-NAME)
029500                   INTO    (MBUITS-RECORD)
029600                   LENGTH  (LENGTH  OF MBUITS-RECORD)
029700                   ITEM    (1)
029800              END-EXEC
029900*
030000***********************************************
030100*    DELETE THE TEMP STORAGE RECORD           *
030200***********************************************
030300*
030400         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
030500*
030600         EXEC CICS IGNORE CONDITION
030700                   QIDERR
030800              END-EXEC
030900*
031000         EXEC CICS DELETEQ TS
031100                   QUEUE  (TS-QUEUE-NAME)
031200              END-EXEC
031300         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
031400         PERFORM MB60PD-GETMAIN-FOR-MAP
031500                                 THRU MB60PD-GFM-EXIT
031600         MOVE MBUITS-VAR-DATA    TO MBMM11I
031700     ELSE
031800         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
031900         PERFORM MB60PD-RECEIVE-MAP
032000                                 THRU MB60PD-RM-EXIT.
032100*
032200**************************************************************
032300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
032400**************************************************************
032500*
032600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
032700     PERFORM MB60PD-NEW-TRANS-ROUTINE
032800                                 THRU MB60PD-NTR-EXIT.
032900*
033000****************************************************
033100*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
033200****************************************************
033300*
033400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
033500         GO TO F000-SETUP-COMMAREA.
033600*
033700*****************************************
033800*    READ THE MERCHANT MASTER RECORD    *
033900*****************************************
034000*
034100     IF  MBCA-PTI-FUNCTION-IS-ADD
034200     AND MBCA-MBUI-UI-YES
034300     AND MBCA-MBUI-UI-UPDATE-NO
034400         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
034500         SET MBIORO-GETMAIN      TO TRUE
034600         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
034700         MOVE MMMMIR-RECORD      TO MMMM-RECORD
034800     ELSE
034900         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
035000         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
035100         PERFORM Y900-READ-MMMM  THRU Y909-READ-MMMM-EXIT
035200         IF  SS08WS-RC-FC-NOTFND
035300         AND MBCA-MBUI-UI-YES
035400             MOVE 'MBUI'         TO MBCA-TRANS-ID
035500                                    MBCA-PREV-TRANS-ID
035600             MOVE 01             TO MBCA-SCREEN-NBR
035700             MOVE 'MER'          TO MM11-FILLER
035800             SET MBCA-MBUI-ERROR-YES
035900                                 TO TRUE
036000             GO TO F000-SETUP-COMMAREA.
036100*
036200     IF (MBCA-PTI-FUNCTION-IS-MAINT
036300     AND MBCA-MBUI-UI-YES
036400     AND (MMMM-REC-PURGED
036500       OR MMMM-REC-INCOMPLETE))
036600     OR
036700        (MBCA-PTI-FUNCTION-IS-ADD
036800     AND MBCA-MBUI-UI-YES
036900     AND MMMM-REC-PURGED)
037000         MOVE 'MBUI'             TO MBCA-TRANS-ID
037100                                    MBCA-PREV-TRANS-ID
037200         MOVE 01                 TO MBCA-SCREEN-NBR
037300         MOVE 'MER'              TO MM11-FILLER
037400         SET MBCA-MBUI-ERROR-YES
037500                                 TO TRUE
037600         GO TO F000-SETUP-COMMAREA.
037700*
037800*********************************************
037900*    MOVE THE PRIMARY NAME TO THE SCREEN    *
038000*********************************************
038100*
038200     MOVE MMMM-NA-LINE (1 1)     TO MM11-MERCHANT-NAME.
038300*
038400****************************************
038500*    READ THE FIELD SECURITY RECORD    *
038600****************************************
038700*
038800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
038900     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
039000*
039100 C020-FIELD-EDITS.
039200*
039300*********************
039400*    FIELD EDITS    *
039500*********************
039600*
039700     PERFORM W010-EDIT-USER-DATA-TITLES
039800                                 THRU W019-EUDT-EXIT.
039900*
040000     PERFORM W020-EDIT-USER-DATA THRU W029-EUD-EXIT.
040100*
040200     PERFORM W030-EDIT-USER-DATE-TITLES
040300                                 THRU W039-EUDT-EXIT.
040400*
040500     PERFORM W040-EDIT-USER-DATES
040600                                 THRU W049-EUD-EXIT.
040700*
040800     PERFORM W050-EDIT-USER-AMT-TITLES
040900                                 THRU W059-EUAT-EXIT.
041000*
041100     PERFORM W060-EDIT-USER-AMTS THRU W069-EUA-EXIT.
041200*
041300 C040-CROSS-EDITS.
041400*
041500*********************
041600*    CROSS EDITS    *
041700*********************
041800*
041900     PERFORM W510-USER-DATA-CROSS-EDITS
042000                                 THRU W519-UDCE-EXIT.
042100*
042200     PERFORM W520-USER-DATE-CROSS-EDITS
042300                                 THRU W529-UDCE-EXIT.
042400*
042500     PERFORM W530-USER-AMT-CROSS-EDITS
042600                                 THRU W539-UACE-EXIT.
042700/
042800 D000-RETURN-ERRORS SECTION.
042900*
043000     IF  SS08WS-ERROR-SW-NO
043100         GO TO E000-UPDATE-FILE.
043200*
043300     IF  MBCA-MBUI-UI-YES
043400         MOVE 'MBUI'             TO MBCA-TRANS-ID
043500                                    MBCA-PREV-TRANS-ID
043600         MOVE 01                 TO MBCA-SCREEN-NBR
043700         SET MBCA-MBUI-ERROR-YES TO TRUE
043800         GO TO F090-TRANSFER-XCTL.
043900*
044000***************************************************************
044100*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
044200*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
044300*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
044400***************************************************************
044500*
044600     PERFORM MB60PD-INIT-STD-MAP-LINES
044700                                 THRU MB60PD-ISML-EXIT.
044800*
044900********************************************
045000*  TO FORMAT AND POPULATE THE MESSAGE LINE *
045100********************************************
045200*
045300     IF MM11-ERR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
045400        PERFORM MB06PD-FORMAT-MESSAGE-LINE
045500           THRU MB06PD-FML-EXIT
045600        MOVE SS08WS-FORMATTED-MSG   TO MM11-ERR-MESSAGE
045700     END-IF.
045800*
045900**********************
046000*    SEND THE MAP    *
046100**********************
046200*
046300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
046400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
046500                                 THRU MB60PD-SMDO-EXIT.
046600*
046700************************
046800*    RETURN TO CICS    *
046900************************
047000*
047100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
047200     PERFORM MB70PD-RETURN-TRANS-ID
047300                                 THRU MB70PD-RTI-EXIT.
047400/
047500 E000-UPDATE-FILE SECTION.
047600*
047700     IF  MBCA-MBUI-UI-YES
047800         SET MBCA-MBUI-ERROR-NO  TO TRUE.
047900*
048000     IF  MBCA-MBUI-UI-YES
048100     AND MBCA-MBUI-UI-UPDATE-NO
048200         GO TO F090-TRANSFER-XCTL.
048300*
048400****************************************************
048500*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
048600****************************************************
048700*
048800     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
048900     SET MBIORO-READ-RANDOM-UPDATE
049000                                 TO TRUE.
049100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
049200*
049300*************************************
049400*    OBTAIN STORAGE FOR LOG FILE    *
049500*    RECORD IF DOING MAINTENANCE    *
049600*************************************
049700*
049800     IF  MBCA-PTI-FUNCTION-IS-ADD
049900         GO TO E020-UPDATE-FIELDS.
050000*
050100     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
050200     SET MBIORO-GETMAIN          TO TRUE.
050300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
050400*
050500*************************************************
050600*    SET UP THE COMMON PORTION OF THE RECORD    *
050700*************************************************
050800*
050900     MOVE 'MM'                   TO MML1-FILE-CODE.
051000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
051100     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
051200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
051300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
051400     MOVE ZEROS                  TO MML1-SOURCE-CODE.
051500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
051600*
051700 E020-UPDATE-FIELDS.
051800*
051900     PERFORM X010-UPDATE-USER-DATA-TITLES
052000                                 THRU X019-UUDT-EXIT.
052100*
052200     PERFORM X020-UPDATE-USER-DATA
052300                                 THRU X029-UUD-EXIT.
052400*
052500     PERFORM X030-UPDATE-USER-DATE-TITLES
052600                                 THRU X039-UUDT-EXIT.
052700*
052800     PERFORM X040-UPDATE-USER-DATES
052900                                 THRU X049-UUD-EXIT.
053000*
053100     PERFORM X050-UPDATE-USER-AMT-TITLES
053200                                 THRU X059-UUAT-EXIT.
053300*
053400     PERFORM X060-UPDATE-USER-AMTS
053500                                 THRU X069-UUA-EXIT.
053600*
053700 E040-UPDATE-MMMM.
053800*
053900     IF  MBCA-PTI-FUNCTION-IS-ADD
054000         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
054100         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
054200         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
054300         SET WS-UPDATE-SW-YES    TO TRUE.
054400*
054500**************************************************************
054600*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
054700*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
054800*    ON THE SCREEN                                           *
054900**************************************************************
055000*
055100     IF  MBCA-PTI-FUNCTION-IS-MAINT
055200     AND WS-UPDATE-SW-YES
055300         MOVE 0198               TO MML1-FIELD-CODE
055400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
055500                                    MML1-FIELD-OCCURRENCE-2
055600         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
055700         MOVE MMMM-LAST-MAINT-OPER
055800                                 TO MML1-VL03-B-DATA-X
055900         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
056000         MOVE MMMM-LAST-MAINT-OPER
056100                                 TO MML1-VL03-A-DATA-X
056200         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
056300         PERFORM Y920-WRITE-LOG-RECORD
056400                                 THRU Y929-WLR-EXIT
056500         MOVE 0199               TO MML1-FIELD-CODE
056600         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
056700         MOVE MMMM-LAST-MAINT-DATE
056800                                 TO MML1-VL07-B-DATA-9
056900         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
057000         MOVE MMMM-LAST-MAINT-DATE
057100                                 TO MML1-VL07-A-DATA-9
057200         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
057300         PERFORM Y920-WRITE-LOG-RECORD
057400                                 THRU Y929-WLR-EXIT.
057500*
057600****************************************************
057700*    REWRITE THE MERCHANT MASTER RECORD IF         *
057800*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
057900*    UNLOCK IT IF THEY HAVE NOT                    *
058000****************************************************
058100*
058200     IF  WS-UPDATE-SW-YES
058300         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
058400         SET MBIORO-REWRITE      TO TRUE
058500         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
058600     ELSE
058700         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
058800         SET MBIORO-UNLOCK       TO TRUE
058900         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
059000/
059100 F000-SETUP-COMMAREA SECTION.
059200*
059300***************************************************************
059400*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
059500***************************************************************
059600*
059700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
059800*
059900     IF  MM11-CURRENT-PAGE-L IS GREATER THAN ZERO
060000     AND MM11-CURRENT-PAGE   IS NUMERIC
060100         IF  MM11-CURRENT-PAGE IS GREATER THAN 13
060200             MOVE 63             TO MBCA-SCREEN-NBR
060300             GO TO F090-TRANSFER-XCTL.
060400*
060500     PERFORM MB60PD-EDIT-PAGE-NBR
060600                                 THRU MB60PD-EPN-EXIT.
060700*
060800     IF  SS08WS-VALID-PF-KEY
060900     OR  SS08WS-EIBAID-VALID-PF-KEY
061000         SET MBCA-INITIAL-SCREEN-NBR
061100                                 TO TRUE.
061200*
061300 F090-TRANSFER-XCTL.
061400*
061500     IF  MBCA-MBUI-UI-YES
061600         MOVE 'MBUI'             TO MBCA-TRANS-ID
061700                                    MBCA-PREV-TRANS-ID
061800         MOVE 01                 TO MBCA-SCREEN-NBR
061900         MOVE MBMM11I            TO MBUITS-VAR-DATA
062000         MOVE LENGTH OF MBMM11I  TO MBUITS-VAR-LENGTH
062100         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
062200         EXEC CICS WRITEQ TS
062300                   QUEUE   (TS-QUEUE-NAME)
062400                   FROM    (MBUITS-RECORD)
062500                   LENGTH  (LENGTH  OF MBUITS-RECORD)
062600
062700              END-EXEC.
062800*
062900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
063000     PERFORM MB70PD-XCTL-TO-MBOXCTL
063100                                 THRU MB70PD-XTM-EXIT.
063200/
063300 W000-FIELD-EDITS SECTION.
063400*
063500*********************************************************
063600*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
063700*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
063800*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
063900*    'W010-EDIT-USER-DATA-TITLES' THRU                  *
064000*    'W019-EUDT-EXIT'.  EACH ROUTINE MAY CONTAIN        *
064100*    COMMENTS, BUT THEY ARE UNIQUE TO THAT ROUTINE.     *
064200*********************************************************
064300*
064400 W010-EDIT-USER-DATA-TITLES.
064500*
064600     MOVE MMMMTB-USER-DATA-1-DESC (1:4)
064700                                 TO WS-INDEX-X.
064800     SET  X-MMFS-MERCH           TO WS-INDEX.
064900     SET  X-MMMM-USER-DATA       TO 1.
065000     SET  X-MM11-USER-DATA       TO 1.
065100*
065200 W011-EUDT-LOOP.
065300*
065400*****************************************************
065500*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
065600*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
065700*****************************************************
065800*
065900     MOVE DFHBMDAS               TO MM11-USER-DATA-TITLE-LP-A
066000                                    (X-MM11-USER-DATA)
066100                                    MM11-USER-DATA-TITLE-RP-A
066200                                    (X-MM11-USER-DATA).
066300     MOVE DFHBMASK               TO MM11-USER-DATA-TITLE-A
066400                                    (X-MM11-USER-DATA).
066500*
066600************************************************************
066700*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
066800*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
066900*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
067000*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
067100*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
067200*    RETURNED WILL BE ZERO.                                *
067300************************************************************
067400*
067500     PERFORM Y015-USER-DATA-TITLE-SECURITY
067600                                 THRU Y016-UDTS-EXIT.
067700*
067800************************
067900*    EDIT THE FIELD    *
068000************************
068100*
068200     IF  MM11-USER-DATA-TITLE-L (X-MM11-USER-DATA)
068300                                 IS EQUAL TO ZERO
068400         MOVE MMMM-USER-DATA-TITLE (X-MMMM-USER-DATA)
068500                                 TO MM11-USER-DATA-TITLE
068600                                    (X-MM11-USER-DATA).
068700*
068800     IF  MM11-USER-DATA-TITLE-L (X-MM11-USER-DATA)
068900                                 IS GREATER THAN ZERO
069000         IF  MBCA-PTI-FUNCTION-IS-ADD
069100         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
069200             MOVE DFHBMABF       TO MM11-USER-DATA-TITLE-A
069300                                    (X-MM11-USER-DATA)
069400             GO TO W018-INCREMENT-INDEXES
069500         ELSE
069600             MOVE DFHBMASF       TO MM11-USER-DATA-TITLE-A
069700                                    (X-MM11-USER-DATA)
069800             GO TO W018-INCREMENT-INDEXES.
069900*
070000     IF  MBCA-PTI-FUNCTION-IS-MAINT
070100     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
070200         GO TO W018-INCREMENT-INDEXES.
070300*
070400 W017-USER-DATA-TITLE-ERROR.
070500*
070600*******************************************************
070700*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
070800*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
070900*    THE DATA ELEMENT.                                *
071000*******************************************************
071100*
071200     IF  MM11-USER-DATA-TITLE-L (X-MM11-USER-DATA)
071300                                 IS GREATER THAN ZERO
071400         MOVE DFHBMUBF           TO MM11-USER-DATA-TITLE-A
071500                                    (X-MM11-USER-DATA)
071600     ELSE
071700         MOVE DFHBMBRY           TO MM11-USER-DATA-TITLE-A
071800                                    (X-MM11-USER-DATA).
071900
072000     SET SS08WS-ERROR-SW-YES     TO TRUE.
072100     SET USER-DATA-ERRORS-EXIST  TO TRUE.
072200     MOVE DFHBMASB               TO MM11-USER-DATA-TITLE-LP-A
072300                                    (X-MM11-USER-DATA)
072400                                    MM11-USER-DATA-TITLE-RP-A
072500                                    (X-MM11-USER-DATA).
072600     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
072700                                    (X-MM11-USER-DATA).
072800*
072900 W018-INCREMENT-INDEXES.
073000*
073100     IF  X-MM11-USER-DATA IS LESS THAN 8
073200         SET X-MM11-USER-DATA    UP BY 1
073300         SET X-MMMM-USER-DATA    UP BY 1
073400         SET X-MMFS-MERCH        UP BY 2
073500         GO TO W011-EUDT-LOOP.
073600*
073700 W019-EUDT-EXIT.
073800     EXIT.
073900*
074000 W020-EDIT-USER-DATA.
074100*
074200     MOVE MMMMTB-USER-DATA-1 (1:4)
074300                                 TO WS-INDEX-X.
074400     SET  X-MMFS-MERCH           TO WS-INDEX.
074500     SET  X-MMMM-USER-DATA       TO 1.
074600     SET  X-MM11-USER-DATA       TO 1.
074700*
074800 W021-EUD-LOOP.
074900*
075000     MOVE DFHBMDAS               TO MM11-USER-DATA-LP-A
075100                                    (X-MM11-USER-DATA)
075200                                    MM11-USER-DATA-RP-A
075300                                    (X-MM11-USER-DATA).
075400     MOVE DFHBMASK               TO MM11-USER-DATA-A
075500                                    (X-MM11-USER-DATA).
075600*
075700     PERFORM Y025-USER-DATA-SECURITY
075800                                 THRU Y026-UDS-EXIT.
075900*
076000     IF  MM11-USER-DATA-L (X-MM11-USER-DATA) IS EQUAL TO ZERO
076100         MOVE MMMM-USER-DATA (X-MMMM-USER-DATA)
076200                                 TO MM11-USER-DATA
076300                                    (X-MM11-USER-DATA).
076400*
076500     IF  MM11-USER-DATA-L (X-MM11-USER-DATA) IS GREATER THAN ZERO
076600         IF  MBCA-PTI-FUNCTION-IS-ADD
076700         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
076800             MOVE DFHBMABF       TO MM11-USER-DATA-A
076900                                    (X-MM11-USER-DATA)
077000             GO TO W028-INCREMENT-INDEXES
077100         ELSE
077200             MOVE DFHBMASF       TO MM11-USER-DATA-A
077300                                    (X-MM11-USER-DATA)
077400             GO TO W028-INCREMENT-INDEXES.
077500*
077600     IF  MBCA-PTI-FUNCTION-IS-MAINT
077700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
077800         GO TO W028-INCREMENT-INDEXES.
077900*
078000 W027-USER-DATA-ERROR.
078100*
078200     IF  MM11-USER-DATA-L (X-MM11-USER-DATA) IS GREATER THAN ZERO
078300         MOVE DFHBMUBF           TO MM11-USER-DATA-A
078400                                    (X-MM11-USER-DATA)
078500     ELSE
078600         MOVE DFHBMBRY           TO MM11-USER-DATA-A
078700                                    (X-MM11-USER-DATA).
078800
078900     SET SS08WS-ERROR-SW-YES     TO TRUE.
079000     SET USER-DATA-ERRORS-EXIST  TO TRUE.
079100     MOVE DFHBMASB               TO MM11-USER-DATA-LP-A
079200                                    (X-MM11-USER-DATA)
079300                                    MM11-USER-DATA-RP-A
079400                                    (X-MM11-USER-DATA).
079500     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
079600                                    (X-MM11-USER-DATA).
079700*
079800 W028-INCREMENT-INDEXES.
079900*
080000     IF  X-MM11-USER-DATA IS LESS THAN 8
080100         SET X-MM11-USER-DATA    UP BY 1
080200         SET X-MMMM-USER-DATA    UP BY 1
080300         SET X-MMFS-MERCH        UP BY 2
080400         GO TO W021-EUD-LOOP.
080500*
080600 W029-EUD-EXIT.
080700     EXIT.
080800*
080900 W030-EDIT-USER-DATE-TITLES.
081000*
081100     MOVE MMMMTB-USER-DATE-1-DESC (1:4)
081200                                 TO WS-INDEX-X.
081300     SET  X-MMFS-MERCH           TO WS-INDEX.
081400     SET  X-MMMM-USER-DATE       TO 1.
081500     SET  X-MM11-USER-DATE       TO 1.
081600*
081700 W031-EUDT-LOOP.
081800*
081900     MOVE DFHBMDAS               TO MM11-USER-DATE-TITLE-LP-A
082000                                    (X-MM11-USER-DATE)
082100                                    MM11-USER-DATE-TITLE-RP-A
082200                                    (X-MM11-USER-DATE).
082300     MOVE DFHBMASK               TO MM11-USER-DATE-TITLE-A
082400                                    (X-MM11-USER-DATE).
082500*
082600     PERFORM Y035-USER-DATE-TITLE-SECURITY
082700                                 THRU Y036-UDTS-EXIT.
082800*
082900     IF  MM11-USER-DATE-TITLE-L (X-MM11-USER-DATE)
083000                                 IS EQUAL TO ZERO
083100         MOVE MMMM-USER-DATE-TITLE (X-MMMM-USER-DATE)
083200                                 TO MM11-USER-DATE-TITLE
083300                                    (X-MM11-USER-DATE).
083400*
083500     IF  MM11-USER-DATE-TITLE-L (X-MM11-USER-DATE)
083600                                 IS GREATER THAN ZERO
083700         IF  MBCA-PTI-FUNCTION-IS-ADD
083800         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
083900             MOVE DFHBMABF       TO MM11-USER-DATE-TITLE-A
084000                                    (X-MM11-USER-DATE)
084100             GO TO W038-INCREMENT-INDEXES
084200         ELSE
084300             MOVE DFHBMASF       TO MM11-USER-DATE-TITLE-A
084400                                    (X-MM11-USER-DATE)
084500             GO TO W038-INCREMENT-INDEXES.
084600*
084700     IF  MBCA-PTI-FUNCTION-IS-MAINT
084800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
084900         GO TO W038-INCREMENT-INDEXES.
085000*
085100 W037-USER-DATE-TITLE-ERROR.
085200*
085300     IF  MM11-USER-DATE-TITLE-L (X-MM11-USER-DATE)
085400                                 IS GREATER THAN ZERO
085500         MOVE DFHBMUBF           TO MM11-USER-DATE-TITLE-A
085600                                    (X-MM11-USER-DATE)
085700     ELSE
085800         MOVE DFHBMBRY           TO MM11-USER-DATE-TITLE-A
085900                                    (X-MM11-USER-DATE).
086000*
086100     SET SS08WS-ERROR-SW-YES     TO TRUE.
086200     SET USER-DATE-ERRORS-EXIST  TO TRUE.
086300     MOVE DFHBMASB               TO MM11-USER-DATE-TITLE-LP-A
086400                                    (X-MM11-USER-DATE)
086500                                    MM11-USER-DATE-TITLE-RP-A
086600                                    (X-MM11-USER-DATE).
086700     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
086800                                    (X-MM11-USER-DATE).
086900*
087000 W038-INCREMENT-INDEXES.
087100*
087200     IF  X-MM11-USER-DATE IS LESS THAN 8
087300         SET X-MM11-USER-DATE    UP BY 1
087400         SET X-MMMM-USER-DATE    UP BY 1
087500         SET X-MMFS-MERCH        UP BY 2
087600         GO TO W031-EUDT-LOOP.
087700*
087800 W039-EUDT-EXIT.
087900     EXIT.
088000*
088100 W040-EDIT-USER-DATES.
088200*
088300     MOVE MMMMTB-USER-DATE-1 (1:4)
088400                                 TO WS-INDEX-X.
088500     SET  X-MMFS-MERCH           TO WS-INDEX.
088600     SET  X-MMMM-USER-DATE       TO 1.
088700     SET  X-MM11-USER-DATE       TO 1.
088800*
088900 W041-EUD-LOOP.
089000*
089100     MOVE DFHBMDAS               TO MM11-USER-DATE-LP-A
089200                                    (X-MM11-USER-DATE)
089300                                    MM11-USER-DATE-RP-A
089400                                    (X-MM11-USER-DATE).
089500     MOVE DFHBMASK               TO MM11-USER-DATE-A
089600                                    (X-MM11-USER-DATE).
089700*
089800     PERFORM Y045-USER-DATE-SECURITY
089900                                 THRU Y046-UDS-EXIT.
090000*
090100     IF  MM11-USER-DATE-L (X-MM11-USER-DATE) IS EQUAL TO ZERO
090200         MOVE MMMM-USER-DATE (X-MMMM-USER-DATE)
090300                                 TO SS01WS-JULIAN
090400         PERFORM SS08PD-JUL-TO-GREG
090500                                 THRU SS08PD-JTG-EXIT
090600         MOVE SS01WS-DATE        TO MM11-USER-DATE
090700                                    (X-MM11-USER-DATE).
090800*
090900     IF  MM11-USER-DATE (X-MM11-USER-DATE) IS NOT NUMERIC
091000         GO TO W047-USER-DATE-ERROR.
091100*
091200     IF  MM11-USER-DATE (X-MM11-USER-DATE) IS LESS THAN 1000000
091300         MOVE MM11-USER-DATE (X-MM11-USER-DATE)
091400                                 TO SS01WS-MDY
091500         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
091600     ELSE
091700         MOVE MM11-USER-DATE (X-MM11-USER-DATE)
091800                                 TO SS01WS-DATE.
091900*
092000     PERFORM SS05PD-DATE-VALIDATION
092100                                 THRU SS05PD-DV-EXIT.
092200*
092300     IF  SS01WS-DATE-IS-INVALID
092400         GO TO W047-USER-DATE-ERROR
092500     ELSE
092600         MOVE SS01WS-DATE        TO MM11-USER-DATE
092700                                    (X-MM11-USER-DATE).
092800*
092900     IF  MM11-USER-DATE-L (X-MM11-USER-DATE) IS GREATER THAN ZERO
093000         IF  MBCA-PTI-FUNCTION-IS-ADD
093100         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
093200             MOVE DFHBMABF       TO MM11-USER-DATE-A
093300                                    (X-MM11-USER-DATE)
093400             GO TO W048-INCREMENT-INDEXES
093500         ELSE
093600             MOVE DFHBMASF       TO MM11-USER-DATE-A
093700                                    (X-MM11-USER-DATE)
093800             GO TO W048-INCREMENT-INDEXES.
093900*
094000     IF  MBCA-PTI-FUNCTION-IS-MAINT
094100     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
094200         GO TO W048-INCREMENT-INDEXES.
094300*
094400 W047-USER-DATE-ERROR.
094500*
094600     IF  MM11-USER-DATE-L (X-MM11-USER-DATE) IS GREATER THAN ZERO
094700         MOVE DFHBMNBF           TO MM11-USER-DATE-A
094800                                    (X-MM11-USER-DATE)
094900     ELSE
095000         MOVE DFHBMUNB           TO MM11-USER-DATE-A
095100                                    (X-MM11-USER-DATE).
095200
095300     SET SS08WS-ERROR-SW-YES     TO TRUE.
095400     SET USER-DATE-ERRORS-EXIST  TO TRUE.
095500     MOVE DFHBMASB               TO MM11-USER-DATE-LP-A
095600                                    (X-MM11-USER-DATE)
095700                                    MM11-USER-DATE-RP-A
095800                                    (X-MM11-USER-DATE).
095900     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
096000                                    (X-MM11-USER-DATE).
096100*
096200 W048-INCREMENT-INDEXES.
096300*
096400     IF  X-MM11-USER-DATE IS LESS THAN 8
096500         SET X-MM11-USER-DATE    UP BY 1
096600         SET X-MMMM-USER-DATE    UP BY 1
096700         SET X-MMFS-MERCH        UP BY 2
096800         GO TO W041-EUD-LOOP.
096900*
097000 W049-EUD-EXIT.
097100     EXIT.
097200*
097300 W050-EDIT-USER-AMT-TITLES.
097400*
097500     MOVE MMMMTB-USER-AMT-1-DESC (1:4)
097600                                 TO WS-INDEX-X.
097700     SET  X-MMFS-MERCH           TO WS-INDEX.
097800     SET  X-MMMM-USER-AMT        TO 1.
097900     SET  X-MM11-USER-AMT        TO 1.
098000*
098100 W051-EUAT-LOOP.
098200*
098300     MOVE DFHBMDAS               TO MM11-USER-AMT-TITLE-LP-A
098400                                    (X-MM11-USER-AMT)
098500                                    MM11-USER-AMT-TITLE-RP-A
098600                                    (X-MM11-USER-AMT).
098700     MOVE DFHBMASK               TO MM11-USER-AMT-TITLE-A
098800                                    (X-MM11-USER-AMT).
098900*
099000     PERFORM Y055-USER-AMT-TITLE-SECURITY
099100                                 THRU Y056-UATS-EXIT.
099200*
099300     IF  MM11-USER-AMT-TITLE-L (X-MM11-USER-AMT)
099400                                 IS EQUAL TO ZERO
099500         MOVE MMMM-USER-AMT-TITLE (X-MMMM-USER-AMT)
099600                                 TO MM11-USER-AMT-TITLE
099700                                    (X-MM11-USER-AMT).
099800*
099900     IF  MM11-USER-AMT-TITLE-L (X-MM11-USER-AMT)
100000                                 IS GREATER THAN ZERO
100100         IF  MBCA-PTI-FUNCTION-IS-ADD
100200         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
100300             MOVE DFHBMABF       TO MM11-USER-AMT-TITLE-A
100400                                    (X-MM11-USER-AMT)
100500             GO TO W058-INCREMENT-INDEXES
100600         ELSE
100700             MOVE DFHBMASF       TO MM11-USER-AMT-TITLE-A
100800                                    (X-MM11-USER-AMT)
100900             GO TO W058-INCREMENT-INDEXES.
101000*
101100     IF  MBCA-PTI-FUNCTION-IS-MAINT
101200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
101300         GO TO W058-INCREMENT-INDEXES.
101400*
101500 W057-USER-AMT-TITLE-ERROR.
101600*
101700     IF  MM11-USER-AMT-TITLE-L (X-MM11-USER-AMT)
101800                                 IS GREATER THAN ZERO
101900         MOVE DFHBMUBF           TO MM11-USER-AMT-TITLE-A
102000                                    (X-MM11-USER-AMT)
102100     ELSE
102200         MOVE DFHBMBRY           TO MM11-USER-AMT-TITLE-A
102300                                    (X-MM11-USER-AMT).
102400
102500     SET SS08WS-ERROR-SW-YES     TO TRUE.
102600     SET USER-AMT-ERRORS-EXIST   TO TRUE.
102700     MOVE DFHBMASB               TO MM11-USER-AMT-TITLE-LP-A
102800                                    (X-MM11-USER-AMT)
102900                                    MM11-USER-AMT-TITLE-RP-A
103000                                    (X-MM11-USER-AMT).
103100     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
103200                                    (X-MM11-USER-AMT).
103300*
103400 W058-INCREMENT-INDEXES.
103500*
103600     IF  X-MM11-USER-AMT IS LESS THAN 8
103700         SET X-MM11-USER-AMT     UP BY 1
103800         SET X-MMMM-USER-AMT     UP BY 1
103900         SET X-MMFS-MERCH        UP BY 2
104000         GO TO W051-EUAT-LOOP.
104100*
104200 W059-EUAT-EXIT.
104300     EXIT.
104400*
104500 W060-EDIT-USER-AMTS.
104600*
104700     MOVE MMMMTB-USER-AMT-1 (1:4)
104800                                 TO WS-INDEX-X.
104900     SET  X-MMFS-MERCH           TO WS-INDEX.
105000     SET  X-MMMM-USER-AMT        TO 1.
105100     SET  X-MM11-USER-AMT        TO 1.
105200*
105300 W061-EUA-LOOP.
105400*
105500     MOVE DFHBMDAS               TO MM11-USER-AMT-LP-A
105600                                    (X-MM11-USER-AMT)
105700                                    MM11-USER-AMT-RP-A
105800                                    (X-MM11-USER-AMT).
105900     MOVE DFHBMASK               TO MM11-USER-AMT-A
106000                                    (X-MM11-USER-AMT).
106100*
106200     PERFORM Y065-USER-AMT-SECURITY
106300                                 THRU Y066-UAS-EXIT.
106400*
106500     IF  MM11-USER-AMT-L (X-MM11-USER-AMT) IS EQUAL TO ZERO
106600         MOVE MMMM-USER-AMT (X-MMMM-USER-AMT)
106700                                 TO MM11-USER-AMT
106800                                    (X-MM11-USER-AMT).
106900*
107000     IF  MM11-USER-AMT (X-MM11-USER-AMT) IS NOT NUMERIC
107100         GO TO W067-USER-AMT-ERROR.
107200*
107300     IF  MM11-USER-AMT-L (X-MM11-USER-AMT) IS GREATER THAN ZERO
107400         IF  MBCA-PTI-FUNCTION-IS-ADD
107500         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
107600             MOVE DFHBMABF       TO MM11-USER-AMT-A
107700                                    (X-MM11-USER-AMT)
107800             GO TO W068-INCREMENT-INDEXES
107900         ELSE
108000             MOVE DFHBMASF       TO MM11-USER-AMT-A
108100                                    (X-MM11-USER-AMT)
108200             GO TO W068-INCREMENT-INDEXES.
108300*
108400     IF  MBCA-PTI-FUNCTION-IS-MAINT
108500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
108600         GO TO W068-INCREMENT-INDEXES.
108700*
108800 W067-USER-AMT-ERROR.
108900*
109000     IF  MM11-USER-AMT-L (X-MM11-USER-AMT) IS GREATER THAN ZERO
109100         MOVE DFHBMNBF           TO MM11-USER-AMT-A
109200                                    (X-MM11-USER-AMT)
109300     ELSE
109400         MOVE DFHBMUNB           TO MM11-USER-AMT-A
109500                                    (X-MM11-USER-AMT).
109600
109700     SET SS08WS-ERROR-SW-YES     TO TRUE.
109800     SET USER-AMT-ERRORS-EXIST   TO TRUE.
109900     MOVE DFHBMASB               TO MM11-USER-AMT-LP-A
110000                                    (X-MM11-USER-AMT)
110100                                    MM11-USER-AMT-RP-A
110200                                    (X-MM11-USER-AMT).
110300     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
110400                                    (X-MM11-USER-AMT).
110500*
110600 W068-INCREMENT-INDEXES.
110700*
110800     IF  X-MM11-USER-AMT IS LESS THAN 8
110900         SET X-MM11-USER-AMT     UP BY 1
111000         SET X-MMMM-USER-AMT     UP BY 1
111100         SET X-MMFS-MERCH        UP BY 2
111200         GO TO W061-EUA-LOOP.
111300*
111400 W069-EUA-EXIT.
111500     EXIT.
111600*
111700 W510-USER-DATA-CROSS-EDITS.
111800*
111900**************************************************************
112000*                                                            *
112100*    USER DATA CROSS EDITS ARE AS FOLLOWS:                   *
112200*                                                            *
112300*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
112400*      MUST BE ENTERED IF THE CORRESPONDING DATA FIELD       *
112500*      IS SOMETHING OTHER THAN SPACES                        *
112600*                                                            *
112700*      IF AN ERROR IS DETECTED, THE USER DATA DESCRIPITON    *
112800*      AND DATA FIELDS ARE HIGHLIGHTED AND OPENED FOR        *
112900*      CORRECTION.                                           *
113000*                                                            *
113100**************************************************************
113200*
113300     IF  USER-DATA-ERRORS-EXIST
113400         GO TO W519-UDCE-EXIT.
113500*
113600     SET X-MM11-USER-DATA        TO 1.
113700*
113800 W511-UDCE-LOOP.
113900*
114000     IF  MM11-USER-DATA (X-MM11-USER-DATA) IS EQUAL TO SPACES
114100         GO TO W518-INCREMENT-INDEX.
114200*
114300     IF  MM11-USER-DATA-TITLE (X-MM11-USER-DATA)
114400                                 IS NOT EQUAL TO SPACES
114500         GO TO W518-INCREMENT-INDEX.
114600*
114700 W517-USER-DATA-ERROR.
114800*
114900     SET SS08WS-ERROR-SW-YES     TO TRUE.
115000     SET USER-DATA-ERRORS-EXIST  TO TRUE.
115100     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
115200                                    (X-MM11-USER-DATA).
115300     MOVE DFHBMASB               TO MM11-USER-DATA-TITLE-LP-A
115400                                    (X-MM11-USER-DATA)
115500                                    MM11-USER-DATA-TITLE-RP-A
115600                                    (X-MM11-USER-DATA)
115700                                    MM11-USER-DATA-LP-A
115800                                    (X-MM11-USER-DATA)
115900                                    MM11-USER-DATA-RP-A
116000                                    (X-MM11-USER-DATA).
116100     MOVE DFHBMUBF               TO MM11-USER-DATA-TITLE-A
116200                                    (X-MM11-USER-DATA)
116300                                    MM11-USER-DATA-A
116400                                    (X-MM11-USER-DATA).
116500*
116600 W518-INCREMENT-INDEX.
116700*
116800     IF  X-MM11-USER-DATA IS LESS THAN 8
116900         SET X-MM11-USER-DATA    UP BY 1
117000         GO TO W511-UDCE-LOOP.
117100*
117200 W519-UDCE-EXIT.
117300     EXIT.
117400*
117500 W520-USER-DATE-CROSS-EDITS.
117600*
117700**************************************************************
117800*                                                            *
117900*    USER DATE CROSS EDITS ARE AS FOLLOWS:                   *
118000*                                                            *
118100*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
118200*      MUST BE ENTERED IF THE CORRESPONDING DATE FIELD       *
118300*      IS SOMETHING OTHER THAN ZERO.                         *
118400*                                                            *
118500*      IF AN ERROR IS DETECTED, THE DATE DESCRIPTION AND     *
118600*      DATE FIELDS ARE HIGHLIGHTED AND OPENED FOR            *
118700*      CORRECTION.                                           *
118800*                                                            *
118900**************************************************************
119000*
119100     IF  USER-DATE-ERRORS-EXIST
119200         GO TO W529-UDCE-EXIT.
119300*
119400     SET X-MM11-USER-DATE        TO 1.
119500*
119600 W521-UDCE-LOOP.
119700*
119800     IF  MM11-USER-DATE (X-MM11-USER-DATE) IS EQUAL TO ZERO
119900         GO TO W528-INCREMENT-INDEX.
120000*
120100     IF  MM11-USER-DATE-TITLE (X-MM11-USER-DATE)
120200                                 IS NOT EQUAL TO SPACES
120300         GO TO W528-INCREMENT-INDEX.
120400*
120500 W527-USER-DATE-ERROR.
120600*
120700     SET SS08WS-ERROR-SW-YES     TO TRUE.
120800     SET USER-DATE-ERRORS-EXIST  TO TRUE.
120900     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
121000                                    (X-MM11-USER-DATE).
121100     MOVE DFHBMASB               TO MM11-USER-DATE-TITLE-LP-A
121200                                    (X-MM11-USER-DATE)
121300                                    MM11-USER-DATE-TITLE-RP-A
121400                                    (X-MM11-USER-DATE)
121500                                    MM11-USER-DATE-LP-A
121600                                    (X-MM11-USER-DATE)
121700                                    MM11-USER-DATE-RP-A
121800                                    (X-MM11-USER-DATE).
121900     MOVE DFHBMUBF               TO MM11-USER-DATE-TITLE-A
122000                                    (X-MM11-USER-DATE).
122100     MOVE DFHBMNBF               TO MM11-USER-DATE-A
122200                                    (X-MM11-USER-DATE).
122300*
122400 W528-INCREMENT-INDEX.
122500*
122600     IF  X-MM11-USER-DATE IS LESS THAN 8
122700         SET X-MM11-USER-DATE    UP BY 1
122800         GO TO W521-UDCE-LOOP.
122900*
123000 W529-UDCE-EXIT.
123100     EXIT.
123200*
123300 W530-USER-AMT-CROSS-EDITS.
123400*
123500**************************************************************
123600*                                                            *
123700*    USER AMT CROSS EDITS ARE AS FOLLOWS:                    *
123800*                                                            *
123900*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
124000*      MUST BE ENTERED IF THE CORRESPONDING AMOUNT FIELD     *
124100*      IS SOMETHING OTHER THAN ZERO.                         *
124200*                                                            *
124300*      IF AN ERROR IS DETECTED, THE AMOUNT DESCRIPTION       *
124400*      AND AMOUNT FIELDS ARE HIGHLIGHTED AND OPENED FOR      *
124500*      CORRECTION.                                           *
124600*                                                            *
124700**************************************************************
124800*
124900     IF  USER-AMT-ERRORS-EXIST
125000         GO TO W539-UACE-EXIT.
125100*
125200     SET X-MM11-USER-AMT         TO 1.
125300*
125400 W531-UACE-LOOP.
125500*
125600     IF  MM11-USER-AMT (X-MM11-USER-AMT) IS EQUAL TO ZERO
125700         GO TO W538-INCREMENT-INDEX.
125800*
125900     IF  MM11-USER-AMT-TITLE (X-MM11-USER-AMT)
126000                                 IS NOT EQUAL TO SPACES
126100         GO TO W538-INCREMENT-INDEX.
126200*
126300 W537-USER-AMT-ERROR.
126400*
126500     SET SS08WS-ERROR-SW-YES     TO TRUE.
126600     SET USER-AMT-ERRORS-EXIST   TO TRUE.
126700     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
126800                                    (X-MM11-USER-AMT).
126900     MOVE DFHBMASB               TO MM11-USER-AMT-TITLE-LP-A
127000                                    (X-MM11-USER-AMT)
127100                                    MM11-USER-AMT-TITLE-RP-A
127200                                    (X-MM11-USER-AMT)
127300                                    MM11-USER-AMT-LP-A
127400                                    (X-MM11-USER-AMT)
127500                                    MM11-USER-AMT-RP-A
127600                                    (X-MM11-USER-AMT).
127700     MOVE DFHBMUBF               TO MM11-USER-AMT-TITLE-A
127800                                    (X-MM11-USER-AMT).
127900     MOVE DFHBMNBF               TO MM11-USER-AMT-A
128000                                    (X-MM11-USER-AMT).
128100*
128200 W538-INCREMENT-INDEX.
128300*
128400     IF  X-MM11-USER-AMT IS LESS THAN 8
128500         SET X-MM11-USER-AMT     UP BY 1
128600         GO TO W531-UACE-LOOP.
128700*
128800 W539-UACE-EXIT.
128900     EXIT.
129000/
129100 X000-UPDATE-FIELDS SECTION.
129200*
129300 X010-UPDATE-USER-DATA-TITLES.
129400*
129500     MOVE MMMMTB-USER-DATA-1-DESC (1:4)
129600                                 TO WS-INDEX-X.
129700     SET X-MMFS-MERCH            TO WS-INDEX.
129800     SET X-MMMM-USER-DATA        TO 1.
129900     SET X-MM11-USER-DATA        TO 1.
130000*
130100 X011-UUDT-LOOP.
130200*
130300     IF  MM11-USER-DATA-TITLE-L (X-MM11-USER-DATA)
130400                                 IS GREATER THAN ZERO
130500         IF  MM11-USER-DATA-TITLE (X-MM11-USER-DATA) IS NOT EQUAL
130600                                 TO MMMM-USER-DATA-TITLE
130700                                    (X-MMMM-USER-DATA)
130800             SET WS-UPDATE-SW-YES
130900                                 TO TRUE
131000             IF  MBCA-PTI-FUNCTION-IS-MAINT
131100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
131200                                 TO MML1-MMMM-AUDIT-CODE
131300                 MOVE 1101       TO MML1-FIELD-CODE
131400                 SET MML1-FIELD-OCCURRENCE
131500                                 TO X-MM11-USER-DATA
131600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
131700                 MOVE MML1WS-VL-20
131800                                 TO MML1-VARIABLE-LENGTH
131900                 MOVE MMMM-USER-DATA-TITLE (X-MMMM-USER-DATA)
132000                                 TO MML1-VL20-B-DATA-X
132100                 MOVE MM11-USER-DATA-TITLE (X-MM11-USER-DATA)
132200                                 TO MMMM-USER-DATA-TITLE
132300                                    (X-MMMM-USER-DATA)
132400                 MOVE MMMM-USER-DATA-TITLE (X-MMMM-USER-DATA)
132500                                 TO MML1-VL20-A-DATA-X
132600                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
132700                 PERFORM Y920-WRITE-LOG-RECORD
132800                                 THRU Y929-WLR-EXIT
132900             ELSE
133000                 MOVE MM11-USER-DATA-TITLE (X-MM11-USER-DATA)
133100                                 TO MMMM-USER-DATA-TITLE
133200                                    (X-MMMM-USER-DATA).
133300*
133400 X018-INCREMENT-INDEXES.
133500*
133600     IF  X-MM11-USER-DATA IS LESS THAN 8
133700         SET X-MM11-USER-DATA    UP BY 1
133800         SET X-MMMM-USER-DATA    UP BY 1
133900         SET X-MMFS-MERCH        UP BY 2
134000         GO TO X011-UUDT-LOOP.
134100*
134200 X019-UUDT-EXIT.
134300     EXIT.
134400*
134500 X020-UPDATE-USER-DATA.
134600*
134700     MOVE MMMMTB-USER-DATA-1 (1:4)
134800                                 TO WS-INDEX-X.
134900     SET X-MMFS-MERCH            TO WS-INDEX.
135000     SET X-MMMM-USER-DATA        TO 1.
135100     SET X-MM11-USER-DATA        TO 1.
135200*
135300 X021-UUD-LOOP.
135400*
135500     IF  MM11-USER-DATA-L (X-MM11-USER-DATA) IS GREATER THAN ZERO
135600         IF  MM11-USER-DATA (X-MM11-USER-DATA) IS NOT EQUAL
135700                                 TO MMMM-USER-DATA
135800                                    (X-MMMM-USER-DATA)
135900             SET WS-UPDATE-SW-YES
136000                                 TO TRUE
136100             IF  MBCA-PTI-FUNCTION-IS-MAINT
136200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
136300                                 TO MML1-MMMM-AUDIT-CODE
136400                 MOVE 1102       TO MML1-FIELD-CODE
136500                 SET MML1-FIELD-OCCURRENCE
136600                                 TO X-MM11-USER-DATA
136700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
136800                 MOVE MML1WS-VL-20
136900                                 TO MML1-VARIABLE-LENGTH
137000                 MOVE MMMM-USER-DATA (X-MMMM-USER-DATA)
137100                                 TO MML1-VL20-B-DATA-X
137200                 MOVE MM11-USER-DATA (X-MM11-USER-DATA)
137300                                 TO MMMM-USER-DATA
137400                                    (X-MMMM-USER-DATA)
137500                 MOVE MMMM-USER-DATA (X-MMMM-USER-DATA)
137600                                 TO MML1-VL20-A-DATA-X
137700                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
137800                 PERFORM Y920-WRITE-LOG-RECORD
137900                                 THRU Y929-WLR-EXIT
138000             ELSE
138100                 MOVE MM11-USER-DATA (X-MM11-USER-DATA)
138200                                 TO MMMM-USER-DATA
138300                                    (X-MMMM-USER-DATA).
138400*
138500 X028-INCREMENT-INDEXES.
138600*
138700     IF  X-MM11-USER-DATA IS LESS THAN 8
138800         SET X-MM11-USER-DATA    UP BY 1
138900         SET X-MMMM-USER-DATA    UP BY 1
139000         SET X-MMFS-MERCH        UP BY 2
139100         GO TO X021-UUD-LOOP.
139200*
139300 X029-UUD-EXIT.
139400     EXIT.
139500*
139600 X030-UPDATE-USER-DATE-TITLES.
139700*
139800     MOVE MMMMTB-USER-DATE-1-DESC (1:4)
139900                                 TO WS-INDEX-X.
140000     SET X-MMFS-MERCH            TO WS-INDEX.
140100     SET X-MMMM-USER-DATE        TO 1.
140200     SET X-MM11-USER-DATE        TO 1.
140300*
140400 X031-UUDT-LOOP.
140500*
140600     IF  MM11-USER-DATE-TITLE-L (X-MM11-USER-DATE)
140700                                 IS GREATER THAN ZERO
140800         IF  MM11-USER-DATE-TITLE (X-MM11-USER-DATE) IS NOT EQUAL
140900                                 TO MMMM-USER-DATE-TITLE
141000                                    (X-MMMM-USER-DATE)
141100             SET WS-UPDATE-SW-YES
141200                                 TO TRUE
141300             IF  MBCA-PTI-FUNCTION-IS-MAINT
141400                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
141500                                 TO MML1-MMMM-AUDIT-CODE
141600                 MOVE 1103       TO MML1-FIELD-CODE
141700                 SET MML1-FIELD-OCCURRENCE
141800                                 TO X-MM11-USER-DATE
141900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
142000                 MOVE MML1WS-VL-20
142100                                 TO MML1-VARIABLE-LENGTH
142200                 MOVE MMMM-USER-DATE-TITLE (X-MMMM-USER-DATE)
142300                                 TO MML1-VL20-B-DATA-X
142400                 MOVE MM11-USER-DATE-TITLE (X-MM11-USER-DATE)
142500                                 TO MMMM-USER-DATE-TITLE
142600                                    (X-MMMM-USER-DATE)
142700                 MOVE MMMM-USER-DATE-TITLE (X-MMMM-USER-DATE)
142800                                 TO MML1-VL20-A-DATA-X
142900                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
143000                 PERFORM Y920-WRITE-LOG-RECORD
143100                                 THRU Y929-WLR-EXIT
143200             ELSE
143300                 MOVE MM11-USER-DATE-TITLE (X-MM11-USER-DATE)
143400                                 TO MMMM-USER-DATE-TITLE
143500                                    (X-MMMM-USER-DATE).
143600*
143700 X038-INCREMENT-INDEXES.
143800*
143900     IF  X-MM11-USER-DATE IS LESS THAN 8
144000         SET X-MM11-USER-DATE    UP BY 1
144100         SET X-MMMM-USER-DATE    UP BY 1
144200         SET X-MMFS-MERCH        UP BY 2
144300         GO TO X031-UUDT-LOOP.
144400*
144500 X039-UUDT-EXIT.
144600     EXIT.
144700*
144800 X040-UPDATE-USER-DATES.
144900*
145000     MOVE MMMMTB-USER-DATE-1 (1:4)
145100                                 TO WS-INDEX-X.
145200     SET X-MMFS-MERCH            TO WS-INDEX.
145300     SET X-MMMM-USER-DATE        TO 1.
145400     SET X-MM11-USER-DATE        TO 1.
145500*
145600 X041-UUD-LOOP.
145700*
145800     IF  MM11-USER-DATE-L (X-MM11-USER-DATE) IS GREATER THAN ZERO
145900         MOVE MM11-USER-DATE (X-MM11-USER-DATE)
146000                                 TO SS01WS-DATE
146100         PERFORM SS07PD-GREG-TO-JUL
146200                                 THRU SS07PD-GTJ-EXIT
146300         IF  SS01WS-JULIAN IS NOT EQUAL TO MMMM-USER-DATE
146400                                           (X-MMMM-USER-DATE)
146500             SET WS-UPDATE-SW-YES
146600                                 TO TRUE
146700             IF  MBCA-PTI-FUNCTION-IS-MAINT
146800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
146900                                 TO MML1-MMMM-AUDIT-CODE
147000                 MOVE 1104       TO MML1-FIELD-CODE
147100                 SET MML1-FIELD-OCCURRENCE
147200                                 TO X-MM11-USER-DATE
147300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
147400                 MOVE MML1WS-VL-07
147500                                 TO MML1-VARIABLE-LENGTH
147600                 MOVE MMMM-USER-DATE (X-MMMM-USER-DATE)
147700                                 TO MML1-VL07-B-DATA-9
147800                 MOVE SS01WS-JULIAN
147900                                 TO MMMM-USER-DATE
148000                                    (X-MMMM-USER-DATE)
148100                 MOVE MMMM-USER-DATE (X-MMMM-USER-DATE)
148200                                 TO MML1-VL07-A-DATA-9
148300                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
148400                 PERFORM Y920-WRITE-LOG-RECORD
148500                                 THRU Y929-WLR-EXIT
148600             ELSE
148700                 MOVE SS01WS-JULIAN
148800                                 TO MMMM-USER-DATE
148900                                    (X-MMMM-USER-DATE).
149000*
149100 X048-INCREMENT-INDEXES.
149200*
149300     IF  X-MM11-USER-DATE IS LESS THAN 8
149400         SET X-MM11-USER-DATE    UP BY 1
149500         SET X-MMMM-USER-DATE    UP BY 1
149600         SET X-MMFS-MERCH        UP BY 2
149700         GO TO X041-UUD-LOOP.
149800*
149900 X049-UUD-EXIT.
150000     EXIT.
150100*
150200 X050-UPDATE-USER-AMT-TITLES.
150300*
150400     MOVE MMMMTB-USER-AMT-1-DESC (1:4)
150500                                 TO WS-INDEX-X.
150600     SET X-MMFS-MERCH            TO WS-INDEX.
150700     SET X-MMMM-USER-AMT         TO 1.
150800     SET X-MM11-USER-AMT         TO 1.
150900*
151000 X051-UUAT-LOOP.
151100*
151200     IF  MM11-USER-AMT-TITLE-L (X-MM11-USER-AMT)
151300                                 IS GREATER THAN ZERO
151400         IF  MM11-USER-AMT-TITLE (X-MM11-USER-AMT) IS NOT EQUAL
151500                                 TO MMMM-USER-AMT-TITLE
151600                                    (X-MMMM-USER-AMT)
151700             SET WS-UPDATE-SW-YES
151800                                 TO TRUE
151900             IF  MBCA-PTI-FUNCTION-IS-MAINT
152000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
152100                                 TO MML1-MMMM-AUDIT-CODE
152200                 MOVE 1105       TO MML1-FIELD-CODE
152300                 SET MML1-FIELD-OCCURRENCE
152400                                 TO X-MM11-USER-AMT
152500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
152600                 MOVE MML1WS-VL-20
152700                                 TO MML1-VARIABLE-LENGTH
152800                 MOVE MMMM-USER-AMT-TITLE (X-MMMM-USER-AMT)
152900                                 TO MML1-VL20-B-DATA-X
153000                 MOVE MM11-USER-AMT-TITLE (X-MM11-USER-AMT)
153100                                 TO MMMM-USER-AMT-TITLE
153200                                    (X-MMMM-USER-AMT)
153300                 MOVE MMMM-USER-AMT-TITLE (X-MMMM-USER-AMT)
153400                                 TO MML1-VL20-A-DATA-X
153500                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
153600                 PERFORM Y920-WRITE-LOG-RECORD
153700                                 THRU Y929-WLR-EXIT
153800             ELSE
153900                 MOVE MM11-USER-AMT-TITLE (X-MM11-USER-AMT)
154000                                 TO MMMM-USER-AMT-TITLE
154100                                    (X-MMMM-USER-AMT).
154200*
154300 X058-INCREMENT-INDEXES.
154400*
154500     IF  X-MM11-USER-AMT IS LESS THAN 8
154600         SET X-MM11-USER-AMT     UP BY 1
154700         SET X-MMMM-USER-AMT     UP BY 1
154800         SET X-MMFS-MERCH        UP BY 2
154900         GO TO X051-UUAT-LOOP.
155000*
155100 X059-UUAT-EXIT.
155200     EXIT.
155300*
155400 X060-UPDATE-USER-AMTS.
155500*
155600     MOVE MMMMTB-USER-AMT-1 (1:4)
155700                                 TO WS-INDEX-X.
155800     SET X-MMFS-MERCH            TO WS-INDEX.
155900     SET X-MMMM-USER-AMT         TO 1.
156000     SET X-MM11-USER-AMT         TO 1.
156100*
156200 X061-UUA-LOOP.
156300*
156400     IF  MM11-USER-AMT-L (X-MM11-USER-AMT) IS GREATER THAN ZERO
156500         IF  MM11-USER-AMT (X-MM11-USER-AMT) IS NOT EQUAL
156600                                 TO MMMM-USER-AMT
156700                                    (X-MMMM-USER-AMT)
156800             SET WS-UPDATE-SW-YES
156900                                 TO TRUE
157000             IF  MBCA-PTI-FUNCTION-IS-MAINT
157100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
157200                                 TO MML1-MMMM-AUDIT-CODE
157300                 MOVE 1106       TO MML1-FIELD-CODE
157400                 SET MML1-FIELD-OCCURRENCE
157500                                 TO X-MM11-USER-AMT
157600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
157700                 MOVE MML1WS-VL-20
157800                                 TO MML1-VARIABLE-LENGTH
157900                 MOVE MMMM-USER-AMT (X-MMMM-USER-AMT)
158000                                 TO MML1-VL20-B-NBR-NO-DEC
158100                 MOVE MM11-USER-AMT (X-MM11-USER-AMT)
158200                                 TO MMMM-USER-AMT
158300                                    (X-MMMM-USER-AMT)
158400                 MOVE MMMM-USER-AMT (X-MMMM-USER-AMT)
158500                                 TO MML1-VL20-A-NBR-NO-DEC
158600                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
158700                 PERFORM Y920-WRITE-LOG-RECORD
158800                                 THRU Y929-WLR-EXIT
158900             ELSE
159000                 MOVE MM11-USER-AMT (X-MM11-USER-AMT)
159100                                 TO MMMM-USER-AMT
159200                                    (X-MMMM-USER-AMT).
159300*
159400 X068-INCREMENT-INDEXES.
159500*
159600     IF  X-MM11-USER-AMT IS LESS THAN 8
159700         SET X-MM11-USER-AMT     UP BY 1
159800         SET X-MMMM-USER-AMT     UP BY 1
159900         SET X-MMFS-MERCH        UP BY 2
160000         GO TO X061-UUA-LOOP.
160100*
160200 X069-UUA-EXIT.
160300     EXIT.
160400/
160500 Y000-PERFORMED-ROUTINES SECTION.
160600*
160700 Y010-MOVE-USER-DATA-TITLES.
160800*
160900     MOVE MMMMTB-USER-DATA-1-DESC (1:4)
161000                                 TO WS-INDEX-X.
161100     SET  X-MMFS-MERCH           TO WS-INDEX.
161200     SET  X-MMMM-USER-DATA       TO 1.
161300     SET  X-MM11-USER-DATA       TO 1.
161400*
161500 Y011-MUDT-LOOP.
161600*
161700     MOVE MMMM-USER-DATA-TITLE (X-MMMM-USER-DATA)
161800                                 TO MM11-USER-DATA-TITLE
161900                                    (X-MM11-USER-DATA).
162000*
162100 Y015-USER-DATA-TITLE-SECURITY.
162200*
162300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
162400         MOVE DFHBMDAS           TO MM11-USER-DATA-TITLE-A
162500                                    (X-MM11-USER-DATA)
162600                                    MM11-USER-DATA-TITLE-LP-A
162700                                    (X-MM11-USER-DATA)
162800                                    MM11-USER-DATA-TITLE-RP-A
162900                                    (X-MM11-USER-DATA)
163000                                    MM11-USER-DATA-TITLE-A
163100                                    (X-MM11-USER-DATA)
163200         MOVE ZERO               TO MM11-USER-DATA-TITLE-L
163300                                    (X-MM11-USER-DATA)
163400         GO TO Y016-UDTS-EXIT.
163500*
163600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
163700         MOVE DFHBMDAS           TO MM11-USER-DATA-TITLE-LP-A
163800                                    (X-MM11-USER-DATA)
163900                                    MM11-USER-DATA-TITLE-RP-A
164000                                    (X-MM11-USER-DATA)
164100         MOVE DFHBMASB           TO MM11-USER-DATA-TITLE-A
164200                                    (X-MM11-USER-DATA)
164300         GO TO Y016-UDTS-EXIT.
164400*
164500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
164600         MOVE ZERO               TO MM11-USER-DATA-TITLE-L
164700                                    (X-MM11-USER-DATA)
164800         MOVE DFHBMDAS           TO MM11-USER-DATA-TITLE-LP-A
164900                                    (X-MM11-USER-DATA)
165000                                    MM11-USER-DATA-TITLE-RP-A
165100                                    (X-MM11-USER-DATA)
165200         MOVE DFHBMASK           TO MM11-USER-DATA-TITLE-A
165300                                    (X-MM11-USER-DATA)
165400         GO TO Y016-UDTS-EXIT.
165500*
165600     IF  MBCA-PTI-FUNCTION-IS-ADD
165700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
165800             MOVE DFHBMBRY       TO MM11-USER-DATA-TITLE-A
165900                                    (X-MM11-USER-DATA)
166000         ELSE
166100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
166200                 MOVE ZERO       TO MM11-USER-DATA-TITLE-L
166300                                    (X-MM11-USER-DATA)
166400                 MOVE DFHBMDAS   TO MM11-USER-DATA-TITLE-LP-A
166500                                    (X-MM11-USER-DATA)
166600                                    MM11-USER-DATA-TITLE-RP-A
166700                                    (X-MM11-USER-DATA)
166800                 MOVE DFHBMASK   TO MM11-USER-DATA-TITLE-A
166900                                    (X-MM11-USER-DATA).
167000*
167100     IF  MBCA-PTI-FUNCTION-IS-MAINT
167200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
167300             MOVE ZERO           TO MM11-USER-DATA-TITLE-L
167400                                    (X-MM11-USER-DATA)
167500             MOVE DFHBMDAS       TO MM11-USER-DATA-TITLE-LP-A
167600                                    (X-MM11-USER-DATA)
167700                                    MM11-USER-DATA-TITLE-RP-A
167800                                    (X-MM11-USER-DATA)
167900             MOVE DFHBMASK       TO MM11-USER-DATA-TITLE-A
168000                                    (X-MM11-USER-DATA).
168100*
168200 Y016-UDTS-EXIT.
168300     EXIT.
168400*
168500 Y018-INCREMENT-INDEXES.
168600*
168700     IF  X-MM11-USER-DATA IS LESS THAN 8
168800         SET X-MM11-USER-DATA    UP BY 1
168900         SET X-MMMM-USER-DATA    UP BY 1
169000         SET X-MMFS-MERCH        UP BY 2
169100         GO TO Y011-MUDT-LOOP.
169200*
169300 Y019-MUDT-EXIT.
169400     EXIT.
169500*
169600 Y020-MOVE-USER-DATA.
169700*
169800     MOVE MMMMTB-USER-DATA-1 (1:4)
169900                                 TO WS-INDEX-X.
170000     SET  X-MMFS-MERCH           TO WS-INDEX.
170100     SET  X-MMMM-USER-DATA       TO 1.
170200     SET  X-MM11-USER-DATA       TO 1.
170300*
170400 Y021-MUD-LOOP.
170500*
170600     MOVE MMMM-USER-DATA (X-MMMM-USER-DATA)
170700                                 TO MM11-USER-DATA
170800                                    (X-MM11-USER-DATA).
170900*
171000 Y025-USER-DATA-SECURITY.
171100*
171200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
171300         MOVE DFHBMDAS           TO MM11-USER-DATA-A
171400                                    (X-MM11-USER-DATA)
171500                                    MM11-USER-DATA-LP-A
171600                                    (X-MM11-USER-DATA)
171700                                    MM11-USER-DATA-RP-A
171800                                    (X-MM11-USER-DATA)
171900                                    MM11-USER-DATA-A
172000                                    (X-MM11-USER-DATA)
172100         MOVE ZERO               TO MM11-USER-DATA-L
172200                                    (X-MM11-USER-DATA)
172300         GO TO Y026-UDS-EXIT.
172400*
172500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
172600         MOVE DFHBMDAS           TO MM11-USER-DATA-LP-A
172700                                    (X-MM11-USER-DATA)
172800                                    MM11-USER-DATA-RP-A
172900                                    (X-MM11-USER-DATA)
173000         MOVE DFHBMASB           TO MM11-USER-DATA-A
173100                                    (X-MM11-USER-DATA)
173200         GO TO Y026-UDS-EXIT.
173300*
173400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
173500         MOVE ZERO               TO MM11-USER-DATA-L
173600                                    (X-MM11-USER-DATA)
173700         MOVE DFHBMDAS           TO MM11-USER-DATA-LP-A
173800                                    (X-MM11-USER-DATA)
173900                                    MM11-USER-DATA-RP-A
174000                                    (X-MM11-USER-DATA)
174100         MOVE DFHBMASK           TO MM11-USER-DATA-A
174200                                    (X-MM11-USER-DATA)
174300         GO TO Y026-UDS-EXIT.
174400*
174500     IF  MBCA-PTI-FUNCTION-IS-ADD
174600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
174700             MOVE DFHBMBRY       TO MM11-USER-DATA-A
174800                                    (X-MM11-USER-DATA)
174900         ELSE
175000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
175100                 MOVE ZERO       TO MM11-USER-DATA-L
175200                                    (X-MM11-USER-DATA)
175300                 MOVE DFHBMDAS   TO MM11-USER-DATA-LP-A
175400                                    (X-MM11-USER-DATA)
175500                                    MM11-USER-DATA-RP-A
175600                                    (X-MM11-USER-DATA)
175700                 MOVE DFHBMASK   TO MM11-USER-DATA-A
175800                                    (X-MM11-USER-DATA).
175900*
176000     IF  MBCA-PTI-FUNCTION-IS-MAINT
176100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
176200             MOVE ZERO           TO MM11-USER-DATA-L
176300                                    (X-MM11-USER-DATA)
176400             MOVE DFHBMDAS       TO MM11-USER-DATA-LP-A
176500                                    (X-MM11-USER-DATA)
176600                                    MM11-USER-DATA-RP-A
176700                                    (X-MM11-USER-DATA)
176800             MOVE DFHBMASK       TO MM11-USER-DATA-A
176900                                    (X-MM11-USER-DATA).
177000*
177100 Y026-UDS-EXIT.
177200     EXIT.
177300*
177400 Y028-INCREMENT-INDEXES.
177500*
177600     IF  X-MM11-USER-DATA IS LESS THAN 8
177700         SET X-MM11-USER-DATA    UP BY 1
177800         SET X-MMMM-USER-DATA    UP BY 1
177900         SET X-MMFS-MERCH        UP BY 2
178000         GO TO Y021-MUD-LOOP.
178100*
178200 Y029-MUD-EXIT.
178300     EXIT.
178400*
178500 Y030-MOVE-USER-DATE-TITLES.
178600*
178700     MOVE MMMMTB-USER-DATE-1-DESC (1:4)
178800                                 TO WS-INDEX-X.
178900     SET  X-MMFS-MERCH           TO WS-INDEX.
179000     SET  X-MMMM-USER-DATE       TO 1.
179100     SET  X-MM11-USER-DATE       TO 1.
179200*
179300 Y031-MUDT-LOOP.
179400*
179500     MOVE MMMM-USER-DATE-TITLE (X-MMMM-USER-DATE)
179600                                 TO MM11-USER-DATE-TITLE
179700                                    (X-MM11-USER-DATE).
179800*
179900 Y035-USER-DATE-TITLE-SECURITY.
180000*
180100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
180200         MOVE DFHBMDAS           TO MM11-USER-DATE-TITLE-A
180300                                    (X-MM11-USER-DATE)
180400                                    MM11-USER-DATE-TITLE-LP-A
180500                                    (X-MM11-USER-DATE)
180600                                    MM11-USER-DATE-TITLE-RP-A
180700                                    (X-MM11-USER-DATE)
180800                                    MM11-USER-DATE-TITLE-A
180900                                    (X-MM11-USER-DATE)
181000         MOVE ZERO               TO MM11-USER-DATE-TITLE-L
181100                                    (X-MM11-USER-DATE)
181200         GO TO Y036-UDTS-EXIT.
181300*
181400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
181500         MOVE DFHBMDAS           TO MM11-USER-DATE-TITLE-LP-A
181600                                    (X-MM11-USER-DATE)
181700                                    MM11-USER-DATE-TITLE-RP-A
181800                                    (X-MM11-USER-DATE)
181900         MOVE DFHBMASB           TO MM11-USER-DATE-TITLE-A
182000                                    (X-MM11-USER-DATE)
182100         GO TO Y036-UDTS-EXIT.
182200*
182300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
182400         MOVE ZERO               TO MM11-USER-DATE-TITLE-L
182500                                    (X-MM11-USER-DATE)
182600         MOVE DFHBMDAS           TO MM11-USER-DATE-TITLE-LP-A
182700                                    (X-MM11-USER-DATE)
182800                                    MM11-USER-DATE-TITLE-RP-A
182900                                    (X-MM11-USER-DATE)
183000         MOVE DFHBMASK           TO MM11-USER-DATE-TITLE-A
183100                                    (X-MM11-USER-DATE)
183200         GO TO Y036-UDTS-EXIT.
183300*
183400     IF  MBCA-PTI-FUNCTION-IS-ADD
183500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
183600             MOVE DFHBMBRY       TO MM11-USER-DATE-TITLE-A
183700                                    (X-MM11-USER-DATE)
183800         ELSE
183900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
184000                 MOVE ZERO       TO MM11-USER-DATE-TITLE-L
184100                                    (X-MM11-USER-DATE)
184200                 MOVE DFHBMDAS   TO MM11-USER-DATE-TITLE-LP-A
184300                                    (X-MM11-USER-DATE)
184400                                    MM11-USER-DATE-TITLE-RP-A
184500                                    (X-MM11-USER-DATE)
184600                 MOVE DFHBMASK   TO MM11-USER-DATE-TITLE-A
184700                                    (X-MM11-USER-DATE).
184800*
184900     IF  MBCA-PTI-FUNCTION-IS-MAINT
185000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
185100             MOVE ZERO           TO MM11-USER-DATE-TITLE-L
185200                                    (X-MM11-USER-DATE)
185300             MOVE DFHBMDAS       TO MM11-USER-DATE-TITLE-LP-A
185400                                    (X-MM11-USER-DATE)
185500                                    MM11-USER-DATE-TITLE-RP-A
185600                                    (X-MM11-USER-DATE)
185700             MOVE DFHBMASK       TO MM11-USER-DATE-TITLE-A
185800                                    (X-MM11-USER-DATE).
185900*
186000 Y036-UDTS-EXIT.
186100     EXIT.
186200*
186300 Y038-INCREMENT-INDEXES.
186400*
186500     IF  X-MM11-USER-DATE IS LESS THAN 8
186600         SET X-MM11-USER-DATE    UP BY 1
186700         SET X-MMMM-USER-DATE    UP BY 1
186800         SET X-MMFS-MERCH        UP BY 2
186900         GO TO Y031-MUDT-LOOP.
187000*
187100 Y039-MUDT-EXIT.
187200     EXIT.
187300*
187400 Y040-MOVE-USER-DATES.
187500*
187600     MOVE MMMMTB-USER-DATE-1 (1:4)
187700                                 TO WS-INDEX-X.
187800     SET  X-MMFS-MERCH           TO WS-INDEX.
187900     SET  X-MMMM-USER-DATE       TO 1.
188000     SET  X-MM11-USER-DATE       TO 1.
188100*
188200 Y041-MUD-LOOP.
188300*
188400     MOVE MMMM-USER-DATE (X-MMMM-USER-DATE)
188500                                 TO SS01WS-JULIAN.
188600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
188700     MOVE SS01WS-DATE            TO MM11-USER-DATE
188800                                    (X-MM11-USER-DATE).
188900*
189000 Y045-USER-DATE-SECURITY.
189100*
189200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
189300         MOVE DFHBMDAS           TO MM11-USER-DATE-A
189400                                    (X-MM11-USER-DATE)
189500                                    MM11-USER-DATE-LP-A
189600                                    (X-MM11-USER-DATE)
189700                                    MM11-USER-DATE-RP-A
189800                                    (X-MM11-USER-DATE)
189900                                    MM11-USER-DATE-A
190000                                    (X-MM11-USER-DATE)
190100         MOVE ZERO               TO MM11-USER-DATE-L
190200                                    (X-MM11-USER-DATE)
190300         GO TO Y046-UDS-EXIT.
190400*
190500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
190600         MOVE DFHBMDAS           TO MM11-USER-DATE-LP-A
190700                                    (X-MM11-USER-DATE)
190800                                    MM11-USER-DATE-RP-A
190900                                    (X-MM11-USER-DATE)
191000         MOVE DFHBMASB           TO MM11-USER-DATE-A
191100                                    (X-MM11-USER-DATE)
191200         GO TO Y046-UDS-EXIT.
191300*
191400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
191500         MOVE ZERO               TO MM11-USER-DATE-L
191600                                    (X-MM11-USER-DATE)
191700         MOVE DFHBMDAS           TO MM11-USER-DATE-LP-A
191800                                    (X-MM11-USER-DATE)
191900                                    MM11-USER-DATE-RP-A
192000                                    (X-MM11-USER-DATE)
192100         MOVE DFHBMASK           TO MM11-USER-DATE-A
192200                                    (X-MM11-USER-DATE)
192300         GO TO Y046-UDS-EXIT.
192400*
192500     IF  MBCA-PTI-FUNCTION-IS-ADD
192600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
192700             MOVE DFHBMUNB       TO MM11-USER-DATE-A
192800                                    (X-MM11-USER-DATE)
192900         ELSE
193000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
193100                 MOVE ZERO       TO MM11-USER-DATE-L
193200                                    (X-MM11-USER-DATE)
193300                 MOVE DFHBMDAS   TO MM11-USER-DATE-LP-A
193400                                    (X-MM11-USER-DATE)
193500                                    MM11-USER-DATE-RP-A
193600                                    (X-MM11-USER-DATE)
193700                 MOVE DFHBMASK   TO MM11-USER-DATE-A
193800                                    (X-MM11-USER-DATE).
193900*
194000     IF  MBCA-PTI-FUNCTION-IS-MAINT
194100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
194200             MOVE ZERO           TO MM11-USER-DATE-L
194300                                    (X-MM11-USER-DATE)
194400             MOVE DFHBMDAS       TO MM11-USER-DATE-LP-A
194500                                    (X-MM11-USER-DATE)
194600                                    MM11-USER-DATE-RP-A
194700                                    (X-MM11-USER-DATE)
194800             MOVE DFHBMASK       TO MM11-USER-DATE-A
194900                                    (X-MM11-USER-DATE).
195000*
195100 Y046-UDS-EXIT.
195200     EXIT.
195300*
195400 Y048-INCREMENT-INDEXES.
195500*
195600     IF  X-MM11-USER-DATE IS LESS THAN 8
195700         SET X-MM11-USER-DATE    UP BY 1
195800         SET X-MMMM-USER-DATE    UP BY 1
195900         SET X-MMFS-MERCH        UP BY 2
196000         GO TO Y041-MUD-LOOP.
196100*
196200 Y049-MUD-EXIT.
196300     EXIT.
196400*
196500 Y050-MOVE-USER-AMT-TITLES.
196600*
196700     MOVE MMMMTB-USER-AMT-1-DESC (1:4)
196800                                 TO WS-INDEX-X.
196900     SET  X-MMFS-MERCH           TO WS-INDEX.
197000     SET  X-MMMM-USER-AMT        TO 1.
197100     SET  X-MM11-USER-AMT        TO 1.
197200*
197300 Y051-MUAT-LOOP.
197400*
197500     MOVE MMMM-USER-AMT-TITLE (X-MMMM-USER-AMT)
197600                                 TO MM11-USER-AMT-TITLE
197700                                    (X-MM11-USER-AMT).
197800*
197900 Y055-USER-AMT-TITLE-SECURITY.
198000*
198100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
198200         MOVE DFHBMDAS           TO MM11-USER-AMT-TITLE-A
198300                                    (X-MM11-USER-AMT)
198400                                    MM11-USER-AMT-TITLE-LP-A
198500                                    (X-MM11-USER-AMT)
198600                                    MM11-USER-AMT-TITLE-RP-A
198700                                    (X-MM11-USER-AMT)
198800                                    MM11-USER-AMT-TITLE-A
198900                                    (X-MM11-USER-AMT)
199000         MOVE ZERO               TO MM11-USER-AMT-TITLE-L
199100                                    (X-MM11-USER-AMT)
199200         GO TO Y056-UATS-EXIT.
199300*
199400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
199500         MOVE DFHBMDAS           TO MM11-USER-AMT-TITLE-LP-A
199600                                    (X-MM11-USER-AMT)
199700                                    MM11-USER-AMT-TITLE-RP-A
199800                                    (X-MM11-USER-AMT)
199900         MOVE DFHBMASB           TO MM11-USER-AMT-TITLE-A
200000                                    (X-MM11-USER-AMT)
200100         GO TO Y056-UATS-EXIT.
200200*
200300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
200400         MOVE ZERO               TO MM11-USER-AMT-TITLE-L
200500                                    (X-MM11-USER-AMT)
200600         MOVE DFHBMDAS           TO MM11-USER-AMT-TITLE-LP-A
200700                                    (X-MM11-USER-AMT)
200800                                    MM11-USER-AMT-TITLE-RP-A
200900                                    (X-MM11-USER-AMT)
201000         MOVE DFHBMASK           TO MM11-USER-AMT-TITLE-A
201100                                    (X-MM11-USER-AMT)
201200         GO TO Y056-UATS-EXIT.
201300*
201400     IF  MBCA-PTI-FUNCTION-IS-ADD
201500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
201600             MOVE DFHBMBRY       TO MM11-USER-AMT-TITLE-A
201700                                    (X-MM11-USER-AMT)
201800         ELSE
201900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
202000                 MOVE ZERO       TO MM11-USER-AMT-TITLE-L
202100                                    (X-MM11-USER-AMT)
202200                 MOVE DFHBMDAS   TO MM11-USER-AMT-TITLE-LP-A
202300                                    (X-MM11-USER-AMT)
202400                                    MM11-USER-AMT-TITLE-RP-A
202500                                    (X-MM11-USER-AMT)
202600                 MOVE DFHBMASK   TO MM11-USER-AMT-TITLE-A
202700                                    (X-MM11-USER-AMT).
202800*
202900     IF  MBCA-PTI-FUNCTION-IS-MAINT
203000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
203100             MOVE ZERO           TO MM11-USER-AMT-TITLE-L
203200                                    (X-MM11-USER-AMT)
203300             MOVE DFHBMDAS       TO MM11-USER-AMT-TITLE-LP-A
203400                                    (X-MM11-USER-AMT)
203500                                    MM11-USER-AMT-TITLE-RP-A
203600                                    (X-MM11-USER-AMT)
203700             MOVE DFHBMASK       TO MM11-USER-AMT-TITLE-A
203800                                    (X-MM11-USER-AMT).
203900*
204000 Y056-UATS-EXIT.
204100     EXIT.
204200*
204300 Y058-INCREMENT-INDEXES.
204400*
204500     IF  X-MM11-USER-AMT IS LESS THAN 8
204600         SET X-MM11-USER-AMT     UP BY 1
204700         SET X-MMMM-USER-AMT     UP BY 1
204800         SET X-MMFS-MERCH        UP BY 2
204900         GO TO Y051-MUAT-LOOP.
205000*
205100 Y059-MUAT-EXIT.
205200     EXIT.
205300*
205400 Y060-MOVE-USER-AMTS.
205500*
205600     MOVE MMMMTB-USER-AMT-1 (1:4)
205700                                 TO WS-INDEX-X.
205800     SET  X-MMFS-MERCH           TO WS-INDEX.
205900     SET  X-MMMM-USER-AMT        TO 1.
206000     SET  X-MM11-USER-AMT        TO 1.
206100*
206200 Y061-MUA-LOOP.
206300*
206400     MOVE MMMM-USER-AMT (X-MMMM-USER-AMT)
206500                                 TO MM11-USER-AMT
206600                                    (X-MM11-USER-AMT).
206700*
206800 Y065-USER-AMT-SECURITY.
206900*
207000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
207100         MOVE DFHBMDAS           TO MM11-USER-AMT-A
207200                                    (X-MM11-USER-AMT)
207300                                    MM11-USER-AMT-LP-A
207400                                    (X-MM11-USER-AMT)
207500                                    MM11-USER-AMT-RP-A
207600                                    (X-MM11-USER-AMT)
207700                                    MM11-USER-AMT-A
207800                                    (X-MM11-USER-AMT)
207900         MOVE ZERO               TO MM11-USER-AMT-L
208000                                    (X-MM11-USER-AMT)
208100         GO TO Y066-UAS-EXIT.
208200*
208300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
208400         MOVE DFHBMDAS           TO MM11-USER-AMT-LP-A
208500                                    (X-MM11-USER-AMT)
208600                                    MM11-USER-AMT-RP-A
208700                                    (X-MM11-USER-AMT)
208800         MOVE DFHBMASB           TO MM11-USER-AMT-A
208900                                    (X-MM11-USER-AMT)
209000         GO TO Y066-UAS-EXIT.
209100*
209200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
209300         MOVE ZERO               TO MM11-USER-AMT-L
209400                                    (X-MM11-USER-AMT)
209500         MOVE DFHBMDAS           TO MM11-USER-AMT-LP-A
209600                                    (X-MM11-USER-AMT)
209700                                    MM11-USER-AMT-RP-A
209800                                    (X-MM11-USER-AMT)
209900         MOVE DFHBMASK           TO MM11-USER-AMT-A
210000                                    (X-MM11-USER-AMT)
210100         GO TO Y066-UAS-EXIT.
210200*
210300     IF  MBCA-PTI-FUNCTION-IS-ADD
210400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
210500             MOVE DFHBMUNB       TO MM11-USER-AMT-A
210600                                    (X-MM11-USER-AMT)
210700         ELSE
210800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
210900                 MOVE ZERO       TO MM11-USER-AMT-L
211000                                    (X-MM11-USER-AMT)
211100                 MOVE DFHBMDAS   TO MM11-USER-AMT-LP-A
211200                                    (X-MM11-USER-AMT)
211300                                    MM11-USER-AMT-RP-A
211400                                    (X-MM11-USER-AMT)
211500                 MOVE DFHBMASK   TO MM11-USER-AMT-A
211600                                    (X-MM11-USER-AMT).
211700*
211800     IF  MBCA-PTI-FUNCTION-IS-MAINT
211900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
212000             MOVE ZERO           TO MM11-USER-AMT-L
212100                                    (X-MM11-USER-AMT)
212200             MOVE DFHBMDAS       TO MM11-USER-AMT-LP-A
212300                                    (X-MM11-USER-AMT)
212400                                    MM11-USER-AMT-RP-A
212500                                    (X-MM11-USER-AMT)
212600             MOVE DFHBMASK       TO MM11-USER-AMT-A
212700                                    (X-MM11-USER-AMT).
212800*
212900 Y066-UAS-EXIT.
213000     EXIT.
213100*
213200 Y068-INCREMENT-INDEXES.
213300*
213400     IF  X-MM11-USER-AMT IS LESS THAN 8
213500         SET X-MM11-USER-AMT     UP BY 1
213600         SET X-MMMM-USER-AMT     UP BY 1
213700         SET X-MMFS-MERCH        UP BY 2
213800         GO TO Y061-MUA-LOOP.
213900*
214000 Y069-MUA-EXIT.
214100     EXIT.
214200*
214300 Y800-SET-CURSOR.
214400*
214500************************************************************
214600*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
214700*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
214800*    OPEN FOR INPUT                                        *
214900************************************************************
215000*
215100     MOVE MMMMTB-USER-DATA-1-DESC (1:4)
215200                                 TO WS-INDEX-X.
215300     SET X-MMFS-MERCH            TO WS-INDEX.
215400*
215500 Y801-SC-LOOP.
215600*
215700     IF  MBCA-PTI-FUNCTION-IS-ADD
215800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
215900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
216000             GO TO Y802-SC-DETERMINE-FIELD.
216100*
216200     IF  MBCA-PTI-FUNCTION-IS-MAINT
216300         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
216400             GO TO Y802-SC-DETERMINE-FIELD.
216500*
216600     MOVE MMMMTB-AUTH-CODE (1:4)
216700                                 TO WS-INDEX-X.
216800     IF  X-MMFS-MERCH IS LESS THAN WS-INDEX
216900         SET X-MMFS-MERCH        UP BY 1
217000         GO TO Y801-SC-LOOP.
217100*
217200 Y802-SC-DETERMINE-FIELD.
217300*
217400     MOVE MMMMTB-AUTH-CODE (1:4)
217500                                 TO WS-INDEX-X.
217600     IF  X-MMFS-MERCH IS EQUAL TO WS-INDEX
217700         MOVE SS08WS-CURSOR      TO MM11-ALT-TRANID-L
217800         GO TO Y809-SC-EXIT.
217900
218000     SET WS-FIELD-POSITION       TO X-MMFS-MERCH.
218100     MOVE MMMMTB-FRAUD-AVG-NBR-MTH (1:4)
218200                                 TO WS-INDEX-X.
218300     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
218400
218500     GO TO   Y803-USER-DATA-1-TITLE
218600             Y803-USER-DATA-1
218700             Y803-USER-DATA-2-TITLE
218800             Y803-USER-DATA-2
218900             Y803-USER-DATA-3-TITLE
219000             Y803-USER-DATA-3
219100             Y803-USER-DATA-4-TITLE
219200             Y803-USER-DATA-4
219300             Y803-USER-DATA-5-TITLE
219400             Y803-USER-DATA-5
219500             Y803-USER-DATA-6-TITLE
219600             Y803-USER-DATA-6
219700             Y803-USER-DATA-7-TITLE
219800             Y803-USER-DATA-7
219900             Y803-USER-DATA-8-TITLE
220000             Y803-USER-DATA-8
220100             Y803-USER-DATE-1-TITLE
220200             Y803-USER-DATE-1
220300             Y803-USER-DATE-2-TITLE
220400             Y803-USER-DATE-2
220500             Y803-USER-DATE-3-TITLE
220600             Y803-USER-DATE-3
220700             Y803-USER-DATE-4-TITLE
220800             Y803-USER-DATE-4
220900             Y803-USER-DATE-5-TITLE
221000             Y803-USER-DATE-5
221100             Y803-USER-DATE-6-TITLE
221200             Y803-USER-DATE-6
221300             Y803-USER-DATE-7-TITLE
221400             Y803-USER-DATE-7
221500             Y803-USER-DATE-8-TITLE
221600             Y803-USER-DATE-8
221700             Y803-USER-AMT-1-TITLE
221800             Y803-USER-AMT-1
221900             Y803-USER-AMT-2-TITLE
222000             Y803-USER-AMT-2
222100             Y803-USER-AMT-3-TITLE
222200             Y803-USER-AMT-3
222300             Y803-USER-AMT-4-TITLE
222400             Y803-USER-AMT-4
222500             Y803-USER-AMT-5-TITLE
222600             Y803-USER-AMT-5
222700             Y803-USER-AMT-6-TITLE
222800             Y803-USER-AMT-6
222900             Y803-USER-AMT-7-TITLE
223000             Y803-USER-AMT-7
223100             Y803-USER-AMT-8-TITLE
223200             Y803-USER-AMT-8
223300         DEPENDING ON WS-FIELD-POSITION.
223400*
223500 Y803-USER-DATA-1-TITLE.
223600*
223700     SET  X-MM11-USER-DATA       TO 1.
223800     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
223900                                    (X-MM11-USER-DATA).
224000     GO TO Y809-SC-EXIT.
224100*
224200 Y803-USER-DATA-1.
224300*
224400     SET  X-MM11-USER-DATA       TO 1.
224500     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
224600                                    (X-MM11-USER-DATA).
224700     GO TO Y809-SC-EXIT.
224800*
224900 Y803-USER-DATA-2-TITLE.
225000*
225100     SET  X-MM11-USER-DATA       TO 2.
225200     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
225300                                    (X-MM11-USER-DATA).
225400     GO TO Y809-SC-EXIT.
225500*
225600 Y803-USER-DATA-2.
225700*
225800     SET  X-MM11-USER-DATA       TO 2.
225900     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
226000                                    (X-MM11-USER-DATA).
226100     GO TO Y809-SC-EXIT.
226200*
226300 Y803-USER-DATA-3-TITLE.
226400*
226500     SET  X-MM11-USER-DATA       TO 3.
226600     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
226700                                    (X-MM11-USER-DATA).
226800     GO TO Y809-SC-EXIT.
226900*
227000 Y803-USER-DATA-3.
227100*
227200     SET  X-MM11-USER-DATA       TO 3.
227300     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
227400                                    (X-MM11-USER-DATA).
227500     GO TO Y809-SC-EXIT.
227600*
227700 Y803-USER-DATA-4-TITLE.
227800*
227900     SET  X-MM11-USER-DATA       TO 4.
228000     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
228100                                    (X-MM11-USER-DATA).
228200     GO TO Y809-SC-EXIT.
228300*
228400 Y803-USER-DATA-4.
228500*
228600     SET  X-MM11-USER-DATA       TO 4.
228700     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
228800                                    (X-MM11-USER-DATA).
228900     GO TO Y809-SC-EXIT.
229000*
229100 Y803-USER-DATA-5-TITLE.
229200*
229300     SET  X-MM11-USER-DATA       TO 5.
229400     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
229500                                    (X-MM11-USER-DATA).
229600     GO TO Y809-SC-EXIT.
229700*
229800 Y803-USER-DATA-5.
229900*
230000     SET  X-MM11-USER-DATA       TO 5.
230100     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
230200                                    (X-MM11-USER-DATA).
230300     GO TO Y809-SC-EXIT.
230400*
230500 Y803-USER-DATA-6-TITLE.
230600*
230700     SET  X-MM11-USER-DATA       TO 6.
230800     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
230900                                    (X-MM11-USER-DATA).
231000     GO TO Y809-SC-EXIT.
231100*
231200 Y803-USER-DATA-6.
231300*
231400     SET  X-MM11-USER-DATA       TO 6.
231500     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
231600                                    (X-MM11-USER-DATA).
231700     GO TO Y809-SC-EXIT.
231800*
231900 Y803-USER-DATA-7-TITLE.
232000*
232100     SET  X-MM11-USER-DATA       TO 7.
232200     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
232300                                    (X-MM11-USER-DATA).
232400     GO TO Y809-SC-EXIT.
232500*
232600 Y803-USER-DATA-7.
232700*
232800     SET  X-MM11-USER-DATA       TO 7.
232900     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
233000                                    (X-MM11-USER-DATA).
233100     GO TO Y809-SC-EXIT.
233200*
233300 Y803-USER-DATA-8-TITLE.
233400*
233500     SET  X-MM11-USER-DATA       TO 8.
233600     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-TITLE-L
233700                                    (X-MM11-USER-DATA).
233800     GO TO Y809-SC-EXIT.
233900*
234000 Y803-USER-DATA-8.
234100*
234200     SET  X-MM11-USER-DATA       TO 8.
234300     MOVE SS08WS-CURSOR          TO MM11-USER-DATA-L
234400                                    (X-MM11-USER-DATA).
234500     GO TO Y809-SC-EXIT.
234600*
234700 Y803-USER-DATE-1-TITLE.
234800*
234900     SET  X-MM11-USER-DATE       TO 1.
235000     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
235100                                    (X-MM11-USER-DATE).
235200     GO TO Y809-SC-EXIT.
235300*
235400 Y803-USER-DATE-1.
235500*
235600     SET  X-MM11-USER-DATE       TO 1.
235700     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
235800                                    (X-MM11-USER-DATE).
235900     GO TO Y809-SC-EXIT.
236000*
236100 Y803-USER-DATE-2-TITLE.
236200*
236300     SET  X-MM11-USER-DATE       TO 2.
236400     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
236500                                    (X-MM11-USER-DATE).
236600     GO TO Y809-SC-EXIT.
236700*
236800 Y803-USER-DATE-2.
236900*
237000     SET  X-MM11-USER-DATE       TO 2.
237100     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
237200                                    (X-MM11-USER-DATE).
237300     GO TO Y809-SC-EXIT.
237400*
237500 Y803-USER-DATE-3-TITLE.
237600*
237700     SET  X-MM11-USER-DATE       TO 3.
237800     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
237900                                    (X-MM11-USER-DATE).
238000     GO TO Y809-SC-EXIT.
238100*
238200 Y803-USER-DATE-3.
238300*
238400     SET  X-MM11-USER-DATE       TO 3.
238500     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
238600                                    (X-MM11-USER-DATE).
238700     GO TO Y809-SC-EXIT.
238800*
238900 Y803-USER-DATE-4-TITLE.
239000*
239100     SET  X-MM11-USER-DATE       TO 4.
239200     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
239300                                    (X-MM11-USER-DATE).
239400     GO TO Y809-SC-EXIT.
239500*
239600 Y803-USER-DATE-4.
239700*
239800     SET  X-MM11-USER-DATE       TO 4.
239900     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
240000                                    (X-MM11-USER-DATE).
240100     GO TO Y809-SC-EXIT.
240200*
240300 Y803-USER-DATE-5-TITLE.
240400*
240500     SET  X-MM11-USER-DATE       TO 5.
240600     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
240700                                    (X-MM11-USER-DATE).
240800     GO TO Y809-SC-EXIT.
240900*
241000 Y803-USER-DATE-5.
241100*
241200     SET  X-MM11-USER-DATE       TO 5.
241300     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
241400                                    (X-MM11-USER-DATE).
241500     GO TO Y809-SC-EXIT.
241600*
241700 Y803-USER-DATE-6-TITLE.
241800*
241900     SET  X-MM11-USER-DATE       TO 6.
242000     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
242100                                    (X-MM11-USER-DATE).
242200     GO TO Y809-SC-EXIT.
242300*
242400 Y803-USER-DATE-6.
242500*
242600     SET  X-MM11-USER-DATE       TO 6.
242700     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
242800                                    (X-MM11-USER-DATE).
242900     GO TO Y809-SC-EXIT.
243000*
243100 Y803-USER-DATE-7-TITLE.
243200*
243300     SET  X-MM11-USER-DATE       TO 7.
243400     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
243500                                    (X-MM11-USER-DATE).
243600     GO TO Y809-SC-EXIT.
243700*
243800 Y803-USER-DATE-7.
243900*
244000     SET  X-MM11-USER-DATE       TO 7.
244100     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
244200                                    (X-MM11-USER-DATE).
244300     GO TO Y809-SC-EXIT.
244400*
244500 Y803-USER-DATE-8-TITLE.
244600*
244700     SET  X-MM11-USER-DATE       TO 8.
244800     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-TITLE-L
244900                                    (X-MM11-USER-DATE).
245000     GO TO Y809-SC-EXIT.
245100*
245200 Y803-USER-DATE-8.
245300*
245400     SET  X-MM11-USER-DATE       TO 8.
245500     MOVE SS08WS-CURSOR          TO MM11-USER-DATE-L
245600                                    (X-MM11-USER-DATE).
245700     GO TO Y809-SC-EXIT.
245800*
245900 Y803-USER-AMT-1-TITLE.
246000*
246100     SET  X-MM11-USER-AMT        TO 1.
246200     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
246300                                    (X-MM11-USER-AMT).
246400     GO TO Y809-SC-EXIT.
246500*
246600 Y803-USER-AMT-1.
246700*
246800     SET  X-MM11-USER-AMT        TO 1.
246900     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
247000                                    (X-MM11-USER-AMT).
247100     GO TO Y809-SC-EXIT.
247200*
247300 Y803-USER-AMT-2-TITLE.
247400*
247500     SET  X-MM11-USER-AMT        TO 2.
247600     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
247700                                    (X-MM11-USER-AMT).
247800     GO TO Y809-SC-EXIT.
247900*
248000 Y803-USER-AMT-2.
248100*
248200     SET  X-MM11-USER-AMT        TO 2.
248300     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
248400                                    (X-MM11-USER-AMT).
248500     GO TO Y809-SC-EXIT.
248600*
248700 Y803-USER-AMT-3-TITLE.
248800*
248900     SET  X-MM11-USER-AMT        TO 3.
249000     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
249100                                    (X-MM11-USER-AMT).
249200     GO TO Y809-SC-EXIT.
249300*
249400 Y803-USER-AMT-3.
249500*
249600     SET  X-MM11-USER-AMT        TO 3.
249700     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
249800                                    (X-MM11-USER-AMT).
249900     GO TO Y809-SC-EXIT.
250000*
250100 Y803-USER-AMT-4-TITLE.
250200*
250300     SET  X-MM11-USER-AMT        TO 4.
250400     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
250500                                    (X-MM11-USER-AMT).
250600     GO TO Y809-SC-EXIT.
250700*
250800 Y803-USER-AMT-4.
250900*
251000     SET  X-MM11-USER-AMT        TO 4.
251100     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
251200                                    (X-MM11-USER-AMT).
251300     GO TO Y809-SC-EXIT.
251400*
251500 Y803-USER-AMT-5-TITLE.
251600*
251700     SET  X-MM11-USER-AMT        TO 5.
251800     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
251900                                    (X-MM11-USER-AMT).
252000     GO TO Y809-SC-EXIT.
252100*
252200 Y803-USER-AMT-5.
252300*
252400     SET  X-MM11-USER-AMT        TO 5.
252500     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
252600                                    (X-MM11-USER-AMT).
252700     GO TO Y809-SC-EXIT.
252800*
252900 Y803-USER-AMT-6-TITLE.
253000*
253100     SET  X-MM11-USER-AMT        TO 6.
253200     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
253300                                    (X-MM11-USER-AMT).
253400     GO TO Y809-SC-EXIT.
253500*
253600 Y803-USER-AMT-6.
253700*
253800     SET  X-MM11-USER-AMT        TO 6.
253900     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
254000                                    (X-MM11-USER-AMT).
254100     GO TO Y809-SC-EXIT.
254200*
254300 Y803-USER-AMT-7-TITLE.
254400*
254500     SET  X-MM11-USER-AMT        TO 7.
254600     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
254700                                    (X-MM11-USER-AMT).
254800     GO TO Y809-SC-EXIT.
254900*
255000 Y803-USER-AMT-7.
255100*
255200     SET  X-MM11-USER-AMT        TO 7.
255300     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
255400                                    (X-MM11-USER-AMT).
255500     GO TO Y809-SC-EXIT.
255600*
255700 Y803-USER-AMT-8-TITLE.
255800*
255900     SET  X-MM11-USER-AMT        TO 8.
256000     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-TITLE-L
256100                                    (X-MM11-USER-AMT).
256200     GO TO Y809-SC-EXIT.
256300*
256400 Y803-USER-AMT-8.
256500*
256600     SET  X-MM11-USER-AMT        TO 8.
256700     MOVE SS08WS-CURSOR          TO MM11-USER-AMT-L
256800                                    (X-MM11-USER-AMT).
256900     GO TO Y809-SC-EXIT.
257000*
257100 Y809-SC-EXIT.
257200     EXIT.
257300*
257400 Y900-READ-MMMM.
257500*
257600*****************************************
257700*    READ THE MERCHANT MASTER RECORD    *
257800*****************************************
257900*
258000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
258100                                    MM11-ORG.
258200     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
258300                                    MM11-MERCHANT.
258400     SET MBIORO-READ-RANDOM      TO TRUE.
258500     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
258600*
258700 Y909-READ-MMMM-EXIT.
258800     EXIT.
258900*
259000 Y910-READ-MMFS.
259100*
259200****************************************
259300*    READ THE FIELD SECURITY RECORD    *
259400*    TO OBTAIN THE SECURITY CODES      *
259500****************************************
259600*
259700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
259800     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
259900     SET MBIORO-READ-RANDOM      TO TRUE.
260000     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
260100*
260200     IF  NOT MMFS-REC-ACTIVE
260300         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
260400         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
260500         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
260600         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
260700         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
260800         SET MBCA-ERROR-MSGS-PROVIDED
260900                                 TO TRUE
261000         MOVE 'READ ERROR - MMFSAO'
261100                                 TO MBCA-ERRR-MSG1
261200         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
261300                                 TO MBCA-ERRR-MSG2
261400         GO TO MB70PD-ERROR-ROUTINE.
261500*
261600 Y919-READ-MMFS-EXIT.
261700     EXIT.
261800*
261900 Y920-WRITE-LOG-RECORD.
262000*
262100     SET MBIORO-WRITE            TO TRUE.
262200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
262300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
262400*
262500 Y929-WLR-EXIT.
262600     EXIT.
262700/
262800 Z000-COPIED-ROUTINES SECTION.
262900*
263000*********************************
263100*    DATE VALIDATION ROUTINE    *
263200*********************************
263300*
263400     COPY SS05PD.
263500/
263600**********************************
263700*    GREG TO JUL DATE ROUTINE    *
263800**********************************
263900*
264000     COPY SS07PD.
264100/
264200**********************************
264300*    JUL TO GREG DATE ROUTINE    *
264400**********************************
264500*
264600     COPY SS08PD.
264700/
264800**********************************
264900*    DATE AND TIME EDIT ROUTINES *
265000**********************************
265100*
265200     COPY SS26PD.
265300     COPY SS27PD.
265400/
265500*********************************
265600*    LINE 24 PF KEYS ROUTINE    *
265700*********************************
265800*
265900     COPY SS15PD.
266000/
266100************************************************
266200*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
266300************************************************
266400*
266500     COPY MMMMAO.
266600/
266700***********************************************
266800*    FIELD SECURITY RECORD ACCESS ROUTINES    *
266900***********************************************
267000*
267100     COPY MMFSAO.
267200/
267300*****************************************
267400*    LOG FILE RECORD ACCESS ROUTINES    *
267500*****************************************
267600*
267700     COPY MML1AO.
267800/
267900*****************************
268000*    FORMATTED MESSAGE LINE *
268100*****************************
268200*
268300     COPY MB06PD.
268400/
268500*****************************
268600*    ONLINE MAP ROUTINES    *
268700*****************************
268800*
268900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM11 '
269000                           MBMAPXXI BY MBMM11I
269100                           MBMAPXXO BY MBMM11O.
269200/
269300***************************
269400*    ONLINE PROCEDURES    *
269500***************************
269600*
269700     COPY MB70PD.
269800/
269900     COPY SMFTPXO.
