000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM12.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM12 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 12                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM12 (SCREEN 12)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMSM (STORE MASTER FILE)                   *
002000*                 D. MMMP (MERCH PRODUCT FILE)                  *
002100*                 E. MML1 (LOG FILE)                            *
002200*                 F. MMOC (CONTROL FILE)                        *
002300*                                                               *
002400*****************************************************************
002500*
002600 ENVIRONMENT DIVISION.
002700*
002800 DATA DIVISION.
002900*
003000 WORKING-STORAGE SECTION.
003100*
003200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003300*
003400 01  FILLER                  PIC  X(14)      VALUE
003500     'MISCELLANEOUS:'.
003600*
003700 01  WS-MISCELLANEOUS.
003800     03  WS-FIELD-POSITION   PIC  9(03)      VALUE ZEROES.
003900     03  WS-INDEX-X.
004000         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
004100*
004200 01  FILLER                  PIC  X(17)      VALUE
004300     'PROGRAM SWITCHES:'.
004400*
004500 01  WS-PROGRAM-SWITCHES.
004600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004900     03  WS-MMSM-WRITE-SW    PIC  X(01)      VALUE 'N'.
005000         88  WS-MMSM-WRITE                   VALUE 'Y'.
005100         88  WS-MMSM-NO-WRITE                VALUE 'N'.
005200     03  TS-QUEUE-NAME.
005300         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005400         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005500/
005600 01  FILLER                  PIC  X(29)      VALUE
005700     'I/O REQUEST BLOCK WORK AREAS:'.
005800*
005900     COPY MBIOWS.
006000/
006100 01  FILLER                  PIC  X(18)      VALUE
006200     'I/O REQUEST BLOCK:'.
006300*
006400     COPY MBIORO.
006500/
006600 01  FILLER                  PIC  X(25)      VALUE
006700     'LOG RECORD REQUEST BLOCK:'.
006800*
006900     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
007000/
007100 01  FILLER                  PIC  X(20)      VALUE
007200     'STORE XREF INIT REC:'.
007300*
007400     COPY MMXRIR.
007500/
007600 01  FILLER                  PIC  X(29)      VALUE
007700     'MERCHANT MASTER FIELDS TABLE:'.
007800*
007900     COPY MMMMTB.
008000/
008100 01  FILLER                  PIC  X(25)      VALUE
008200     'STORE INITIALIZER RECORD:'.
008300*
008400     COPY MMSMIR.
008500/
008600 01  FILLER                  PIC  X(35)      VALUE
008700     'MERCHANT MASTER INITIALIZER RECORD:'.
008800*
008900     COPY MMMMIR.
009000/
009100 01  FILLER                  PIC  X(20)      VALUE
009200     'CCS DATE WORK AREAS:'.
009300*
009400     COPY SS01WS.
009500/
009600 01  FILLER                  PIC  X(15)      VALUE
009700     'CCS WORK AREAS:'.
009800*
009900     COPY SS08WS.
010000/
010100     COPY SS00WS.
010200/
010300     COPY SMFTWS.
010400/
010500     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010600/
010700     COPY MB61LK.
010800/
010900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011000/
011100 LINKAGE SECTION.
011200*
011300 01  DFHCOMMAREA.
011400*
011500     COPY MB60WS.
011600/
011700*****************************
011800*    MERCHANT MASTER MAP    *
011900*****************************
012000*
012100     COPY MBMM12.
012200/
012300******************************************
012400*    MERCHANT MASTER MAP REDEFINITION    *
012500******************************************
012600*
012700     COPY MBMM12R.
012800/
012900****************************************
013000*    MERCHANT MASTER  RECORD LAYOUT    *
013100****************************************
013200*
013300     COPY MMMMRL.
013400/
013500****************************************
013600*    MERCHANT PRODUCT RECORD LAYOUT    *
013700****************************************
013800*
013900     COPY MMMPRL.
014000/
014100**************************************
014200*    CONTROL FILE RECORD LAYOUT      *
014300**************************************
014400*
014500     COPY MMOCRL.
014600/
014700****************************************
014800*    STORE MASTER  RECORD LAYOUT       *
014900****************************************
015000*
015100     COPY MMSMRL.
015200/
015300**************************************
015400*    STORE XREF RECORD LAYOUT        *
015500**************************************
015600*
015700     COPY MMXRRL.
015800/
015900**************************************
016000*    FIELD SECURITY RECORD LAYOUT    *
016100**************************************
016200*
016300     COPY MMFSRL.
016400/
016500***************************
016600*    LOG RECORD LAYOUT    *
016700***************************
016800*
016900     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
017000/
017100***************************************
017200*    USER INPUT TEMP STORAGE RECORD   *
017300***************************************
017400*
017500     COPY MBUITS.
017600/
017700 PROCEDURE DIVISION.
017800*
017900 A000-HOUSEKEEPING SECTION.
018000*
018100 A020-INIT.
018200*
018300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
018400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
018500                                 THRU MB70PD-OLH-EXIT.
018600*
018700     IF  MBCA-MBUI-UI-YES
018800         NEXT SENTENCE
018900     ELSE
019000         SET MBCA-MBUI-UI-NO     TO TRUE.
019100*
019200     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
019300*
019400     IF  MBCA-RECEIVE-SCREEN
019500         GO TO C000-RECEIVE-SCREEN.
019600/
019700 B000-SEND-SCREEN SECTION.
019800*
019900*********************************************
020000*    GET CICS STORAGE NEEDED FOR THE MAP    *
020100*********************************************
020200*
020300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
020400     PERFORM MB60PD-GETMAIN-FOR-MAP
020500                                 THRU MB60PD-GFM-EXIT.
020600*
020700*******************************************
020800*    INITIALIZE THE STANDARD MAP LINES    *
020900*******************************************
021000*
021100     PERFORM MB60PD-INIT-STD-MAP-LINES
021200                                 THRU MB60PD-ISML-EXIT.
021300*
021400*****************************************
021500*    READ THE MERCHANT MASTER RECORD    *
021600*    FOR SUBSEQUENT DISPLAY             *
021700*****************************************
021800*
021900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022000     PERFORM Y900-READ-MMMM      THRU Y909-READ-MMMM-EXIT.
022100*
022200*******************************
022300*    CHECK SINGLE STORE FLAG  *
022400*******************************
022500*
022600     IF  MMMM-SINGLE-STORE-NO
022700         MOVE 63                TO MBCA-SCREEN-NBR
022800         MOVE 'PC02'            TO MBCA-PROGRAM-LOCATION
022900         PERFORM MB70PD-XCTL-TO-MBOXCTL
023000                                 THRU MB70PD-XTM-EXIT
023100     ELSE
023200         IF  MBCA-PTI-FUNCTION-IS-ADD
023300             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
023400             SET MBIORO-GETMAIN  TO TRUE
023500             PERFORM MMSMAO-ACCESS
023600                                 THRU MMSMAO-ACCESS-EXIT
023700             MOVE MMSMIR-RECORD  TO MMSM-RECORD
023800         ELSE
023900             IF  MBCA-PTI-FUNCTION-IS-MAINT
024000             AND MMMM-STORE-NBR IS LESS THAN 1
024100                 MOVE 'SC03'     TO MBCA-PROGRAM-LOCATION
024200                 SET MBIORO-GETMAIN
024300                                 TO TRUE
024400                 PERFORM MMSMAO-ACCESS
024500                                 THRU MMSMAO-ACCESS-EXIT
024600                 MOVE MMSMIR-RECORD TO MMSM-RECORD
024700             ELSE
024800                 MOVE MMMM-STORE-NBR
024900                                TO MM12-STORE-NBR
025000                 PERFORM Y950-READ-MMSM-FILE
025100                                THRU Y959-EXIT.
025200*
025300*********************************************
025400*    MOVE THE PRIMARY NAME TO THE SCREEN    *
025500*********************************************
025600*
025700     MOVE MMMM-NA-LINE (1 1)     TO MM12-MERCHANT-NAME.
025800*
025900****************************************
026000*    READ THE FIELD SECURITY RECORD    *
026100****************************************
026200*
026300     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
026400     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
026500*
026600 B020-MOVE-FIELDS-TO-SCREEN.
026700*
026800*****************************************
026900*    MOVE THE MERCHANT MASTER FIELDS    *
027000*    FROM THE RECORD TO THE SCREEN      *
027100*****************************************
027200*
027300     MOVE MMMMTB-STORE-NBR (1:4) TO WS-INDEX-X.
027400     SET X-MMFS-MERCH            TO WS-INDEX.
027500*
027600     PERFORM Y010-MOVE-STORE-NBR THRU Y019-EXIT.
027700*
027800     PERFORM Y030-MOVE-AUTH-CODE THRU Y039-EXIT.
027900*
028000     PERFORM Y050-MOVE-STORE-SETT-FLAG
028100                                 THRU Y059-EXIT.
028200*
028300     PERFORM Y070-MOVE-AUTH-LOGO THRU Y079-EXIT.
028400*
028500     PERFORM Y090-MOVE-STORE-SETT-DATE
028600                                 THRU Y099-EXIT.
028700*
028800     PERFORM Y110-MOVE-GOVERNING-STATE
028900                                 THRU Y119-EXIT.
029000*
029100     PERFORM Y130-MOVE-MEDIA-TYPE
029200                                 THRU Y139-EXIT.
029300*
029400     PERFORM Y150-MOVE-BULLETIN-TYPE
029500                                 THRU Y159-EXIT.
029600*
029700     PERFORM Y170-MOVE-STORE-TYPE
029800                                 THRU Y179-EXIT.
029900*
030000     MOVE MMMMTB-STORE-TYPE (1:4)
030100                                 TO WS-INDEX-X.
030200     SET X-MMFS-MERCH            TO WS-INDEX.
030300*
030400     PERFORM
030500         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
030600         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
030700             SET X-MM12-ACT-RECAP
030800                                 TO X-MMSM-ACT-RECAP
030900             PERFORM Y190-MOVE-ACT-RECAP
031000                                 THRU Y199-EXIT
031100             PERFORM Y210-MOVE-ACT-RECAP-DTL
031200                                 THRU Y219-EXIT
031300     END-PERFORM.
031400*
031500******************************************
031600*    SET THE CURSOR AND SCREEN NUMBER    *
031700******************************************
031800*
031900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
032000         MOVE SS08WS-CURSOR      TO MM12-ALT-TRANID-L
032100     ELSE
032200         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
032300*
032400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
032500*
032600**********************
032700*    SEND THE MAP    *
032800**********************
032900*
033000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033200                                 THRU MB60PD-SMWE-EXIT.
033300*
033400************************
033500*    RETURN TO CICS    *
033600************************
033700*
033800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
033900     PERFORM MB70PD-RETURN-TRANS-ID
034000                                 THRU MB70PD-RTI-EXIT.
034100/
034200 C000-RECEIVE-SCREEN SECTION.
034300*
034400******************************************
034500*    THIS SECTION RECEIVES THE SCREEN    *
034600******************************************
034700*
034800     IF  MBCA-MBUI-UI-YES
034900*
035000****************************************************************
035100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
035200****************************************************************
035300*
035400         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
035500         EXEC CICS GETMAIN
035600                   FLENGTH (LENGTH  OF MBUITS-RECORD)
035700
035800                   SET     (ADDRESS OF MBUITS-RECORD)
035900
036000              END-EXEC
036100*
036200***********************************************
036300*    READ THE TEMP STORAGE RECORD             *
036400***********************************************
036500*
036600         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
036700*
036800         EXEC CICS READQ TS
036900                   QUEUE   (TS-QUEUE-NAME)
037000                   INTO    (MBUITS-RECORD)
037100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
037200                   ITEM    (1)
037300              END-EXEC
037400*
037500***********************************************
037600*    DELETE THE TEMP STORAGE RECORD           *
037700***********************************************
037800*
037900         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
038000*
038100         EXEC CICS IGNORE CONDITION
038200                   QIDERR
038300              END-EXEC
038400*
038500         EXEC CICS DELETEQ TS
038600                   QUEUE  (TS-QUEUE-NAME)
038700              END-EXEC
038800         MOVE 'SC04'             TO MBCA-PROGRAM-LOCATION
038900         PERFORM MB60PD-GETMAIN-FOR-MAP
039000                                 THRU MB60PD-GFM-EXIT
039100         MOVE MBUITS-VAR-DATA    TO MBMM12I
039200     ELSE
039300         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
039400         PERFORM MB60PD-RECEIVE-MAP
039500                                 THRU MB60PD-RM-EXIT.
039600*
039700**************************************************************
039800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
039900**************************************************************
040000*
040100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
040200     PERFORM MB60PD-NEW-TRANS-ROUTINE
040300                                 THRU MB60PD-NTR-EXIT.
040400*
040500****************************************************
040600*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
040700****************************************************
040800*
040900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
041000         GO TO F000-SETUP-COMMAREA.
041100*
041200*****************************************
041300*    READ THE MERCHANT MASTER RECORD    *
041400*****************************************
041500*
041600     IF  MBCA-PTI-FUNCTION-IS-ADD
041700     AND MBCA-MBUI-UI-YES
041800     AND MBCA-MBUI-UI-UPDATE-NO
041900         MOVE 'SC05'             TO MBCA-PROGRAM-LOCATION
042000         SET MBIORO-GETMAIN      TO TRUE
042100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
042200         MOVE MMMMIR-RECORD      TO MMMM-RECORD
042300     ELSE
042400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
042500         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
042600         PERFORM Y900-READ-MMMM  THRU Y909-READ-MMMM-EXIT
042700         IF  SS08WS-RC-FC-NOTFND
042800         AND MBCA-MBUI-UI-YES
042900             MOVE 'MBUI'         TO MBCA-TRANS-ID
043000                                    MBCA-PREV-TRANS-ID
043100             MOVE 01             TO MBCA-SCREEN-NBR
043200             MOVE 'MER'          TO MM12-FILLER
043300             SET MBCA-MBUI-ERROR-YES
043400                                 TO TRUE
043500             GO TO F000-SETUP-COMMAREA.
043600*
043700     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
043800     AND MBCA-MBUI-UI-YES
043900     AND MMMM-SINGLE-STORE-NO
044000         MOVE 'MBUI'             TO MBCA-TRANS-ID
044100                                    MBCA-PREV-TRANS-ID
044200         MOVE 01                 TO MBCA-SCREEN-NBR
044300         MOVE 'ASE'              TO MM12-FILLER
044400         SET MBCA-MBUI-ERROR-YES TO TRUE
044500         GO TO F090-TRANSFER-XCTL.
044600*
044700     IF (MBCA-PTI-FUNCTION-IS-MAINT
044800     AND MBCA-MBUI-UI-YES
044900     AND (MMMM-REC-PURGED
045000       OR MMMM-REC-INCOMPLETE))
045100     OR
045200        (MBCA-PTI-FUNCTION-IS-ADD
045300     AND MBCA-MBUI-UI-YES
045400     AND MMMM-REC-PURGED)
045500         MOVE 'MBUI'             TO MBCA-TRANS-ID
045600                                    MBCA-PREV-TRANS-ID
045700         MOVE 01                 TO MBCA-SCREEN-NBR
045800         MOVE 'MER'              TO MM12-FILLER
045900         SET MBCA-MBUI-ERROR-YES
046000                                 TO TRUE
046100         GO TO F000-SETUP-COMMAREA.
046200*
046300*****************************************
046400*    READ THE STORE MASTER RECORD       *
046500*****************************************
046600*
046700     IF  MBCA-PTI-FUNCTION-IS-ADD
046800         MOVE 'SC06'             TO MBCA-PROGRAM-LOCATION
046900         SET MBIORO-GETMAIN      TO TRUE
047000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
047100         MOVE MMSMIR-RECORD      TO MMSM-RECORD
047200     ELSE
047300         IF  MBCA-PTI-FUNCTION-IS-MAINT
047400         AND MMMM-STORE-NBR IS LESS THAN 1
047500             MOVE 'SC07'         TO MBCA-PROGRAM-LOCATION
047600             SET MBIORO-GETMAIN  TO TRUE
047700             PERFORM MMSMAO-ACCESS
047800                                 THRU MMSMAO-ACCESS-EXIT
047900             MOVE MMSMIR-RECORD  TO MMSM-RECORD
048000         ELSE
048100             MOVE MMMM-STORE-NBR TO MM12-STORE-NBR
048200             PERFORM Y950-READ-MMSM-FILE
048300                                 THRU Y959-EXIT.
048400*
048500*********************************************
048600*    MOVE THE PRIMARY NAME TO THE SCREEN    *
048700*********************************************
048800*
048900     MOVE MMMM-NA-LINE (1 1)     TO MM12-MERCHANT-NAME.
049000*
049100****************************************
049200*    READ THE FIELD SECURITY RECORD    *
049300****************************************
049400*
049500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
049600     PERFORM Y910-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
049700*
049800 C020-FIELD-EDITS.
049900*
050000*********************
050100*    FIELD EDITS    *
050200*********************
050300*
050400     MOVE MMMMTB-STORE-NBR (1:4) TO WS-INDEX-X.
050500     SET X-MMFS-MERCH            TO WS-INDEX.
050600*
050700     PERFORM W010-EDIT-STORE-NBR THRU W019-EXIT.
050800*
050900     PERFORM W030-EDIT-AUTH-CODE THRU W039-EXIT.
051000*
051100     PERFORM W050-EDIT-STORE-SETT-FLAG
051200                                 THRU W059-EXIT.
051300*
051400     PERFORM W070-EDIT-AUTH-LOGO THRU W079-EXIT.
051500*
051600     PERFORM W090-EDIT-STORE-SETT-DATE
051700                                 THRU W099-EXIT.
051800*
051900     PERFORM W110-EDIT-GOVERNING-STATE
052000                                 THRU W119-EXIT.
052100*
052200     PERFORM W130-EDIT-MEDIA-TYPE
052300                                 THRU W139-EXIT.
052400*
052500     PERFORM W150-EDIT-BULLETIN-TYPE
052600                                 THRU W159-EXIT.
052700*
052800     PERFORM W170-EDIT-STORE-TYPE
052900                                 THRU W179-EXIT.
053000*
053100     MOVE MMMMTB-STORE-TYPE (1:4)
053200                                 TO WS-INDEX-X.
053300     SET X-MMFS-MERCH            TO WS-INDEX.
053400*
053500     PERFORM
053600         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
053700         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
053800             SET X-MM12-ACT-RECAP
053900                                 TO X-MMSM-ACT-RECAP
054000             PERFORM W190-EDIT-ACT-RECAP
054100                                 THRU W199-EXIT
054200             PERFORM W210-EDIT-ACT-RECAP-DTL
054300                                 THRU W219-EXIT
054400     END-PERFORM.
054500*
054600/
054700 D000-RETURN-ERRORS SECTION.
054800*
054900     IF  SS08WS-ERROR-SW-NO
055000         GO TO E000-UPDATE-FILE.
055100*
055200     IF  MBCA-MBUI-UI-YES
055300         MOVE 'MBUI'             TO MBCA-TRANS-ID
055400                                    MBCA-PREV-TRANS-ID
055500         MOVE 01                 TO MBCA-SCREEN-NBR
055600         SET MBCA-MBUI-ERROR-YES TO TRUE
055700         GO TO F090-TRANSFER-XCTL.
055800*
055900***************************************************************
056000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
056100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
056200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
056300***************************************************************
056400*
056500     PERFORM MB60PD-INIT-STD-MAP-LINES
056600                                 THRU MB60PD-ISML-EXIT.
056700*
056800**********************
056900*    SEND THE MAP    *
057000**********************
057100*
057200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
057300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
057400                                 THRU MB60PD-SMDO-EXIT.
057500*
057600************************
057700*    RETURN TO CICS    *
057800************************
057900*
058000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
058100     PERFORM MB70PD-RETURN-TRANS-ID
058200                                 THRU MB70PD-RTI-EXIT.
058300/
058400 E000-UPDATE-FILE SECTION.
058500*
058600     IF  MBCA-MBUI-UI-YES
058700         SET MBCA-MBUI-ERROR-NO  TO TRUE.
058800*
058900     IF  MBCA-MBUI-UI-YES
059000     AND MBCA-MBUI-UI-UPDATE-NO
059100         GO TO F090-TRANSFER-XCTL.
059200*
059300****************************************************
059400*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
059500****************************************************
059600*
059700     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
059800     SET MBIORO-READ-RANDOM-UPDATE
059900                                 TO TRUE.
060000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
060100*
060200************************************************************
060300*    READ THE STORE MASTER RECORD FOR UPDATE IF MAINT MODE *
060400*    OR IF ADD MODE INITIALIZE THE STORE RECORD            *
060500************************************************************
060600*
060700     IF  MBCA-PTI-FUNCTION-IS-MAINT
060800     AND MMMM-STORE-NBR IS GREATER THAN ZEROS
060900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
061000         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
061100         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
061200         SET MBIORO-READ-RANDOM-UPDATE
061300                                 TO TRUE
061400         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
061500         GO TO E010-CONTINUE.
061600*
061700     IF  (MBCA-PTI-FUNCTION-IS-ADD
061800     OR  (MBCA-PTI-FUNCTION-IS-MAINT
061900     AND MM12-STORE-NBR IS GREATER THAN ZERO))
062000         MOVE 'SC08'             TO MBCA-PROGRAM-LOCATION
062100         SET MBIORO-GETMAIN      TO TRUE
062200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
062300         MOVE MMSMIR-RECORD      TO MMSM-RECORD
062400         MOVE MBCA-MERCHANT-ORG  TO MMSM-ORG
062500         MOVE MM12-STORE-NBR     TO MMSM-STORE
062600         SET MMSM-REC-SINGLE-STORE
062700                                 TO TRUE
063000         MOVE MMMM-STMT-FREQ-1   TO MMSM-STMT-FREQ-1
063100         MOVE MMMM-STMT-FREQ-2   TO MMSM-STMT-FREQ-2
063200         MOVE MMMM-SETT-FREQ-1   TO MMSM-SETT-FREQ-1
063300         MOVE MMMM-SETT-FREQ-2   TO MMSM-SETT-FREQ-2
063400         MOVE MMMM-DISC-FREQ-1   TO MMSM-DISC-FREQ-1
063500         MOVE MMMM-DISC-FREQ-2   TO MMSM-DISC-FREQ-2
063600         MOVE MMMM-PART-FREQ-1   TO MMSM-PART-FREQ-1
063700         MOVE MMMM-PART-FREQ-2   TO MMSM-PART-FREQ-2
063800         MOVE MMMM-AGENT-BANK    TO MMSM-AGENT-BANK
063900         MOVE MMMM-BRANCH        TO MMSM-BRANCH
064000         MOVE MMMM-IMP-DEV-TITLE (1)
064100                                 TO MMSM-IMP-DEV-TITLE (1)
064200         MOVE MMMM-IMP-DEV-TITLE (2)
064300                                 TO MMSM-IMP-DEV-TITLE (2)
064400         MOVE MMMM-IMP-DEV-TITLE (3)
064500                                 TO MMSM-IMP-DEV-TITLE (3)
064600         MOVE MMMM-IMP-DEV-NBR (1)
064700                                 TO MMSM-IMP-DEV-NBR (1)
064800         MOVE MMMM-IMP-DEV-NBR (2)
064900                                 TO MMSM-IMP-DEV-NBR (2)
065000         MOVE MMMM-IMP-DEV-NBR (3)
065100                                 TO MMSM-IMP-DEV-NBR (3)
065200         MOVE MMMM-POS-DEV-TITLE (1)
065300                                 TO MMSM-POS-DEV-TITLE (1)
065400         MOVE MMMM-POS-DEV-TITLE (2)
065500                                 TO MMSM-POS-DEV-TITLE (2)
065600         MOVE MMMM-POS-DEV-TITLE (3)
065700                                 TO MMSM-POS-DEV-TITLE (3)
065800         MOVE MMMM-POS-DEV-NBR (1)
065900                                 TO MMSM-POS-DEV-NBR (1)
066000         MOVE MMMM-POS-DEV-NBR (2)
066100                                 TO MMSM-POS-DEV-NBR (2)
066200         MOVE MMMM-POS-DEV-NBR (3)
066300                                 TO MMSM-POS-DEV-NBR (3)
066400         MOVE MMMM-NBR-BULLETINS
066500                                 TO MMSM-NBR-BULLETINS
066600         MOVE MMMM-DATE-OPENED   TO MMSM-DATE-OPENED
066700         MOVE MMMM-OFFICER-ID    TO MMSM-OFFICER-ID
066800         MOVE MMMM-STMT-ADDR-CONTROL
066900                                 TO MMSM-STMT-ADDR-CONTROL
067000         MOVE MMMM-DEMOGRAPHICS-AREA
067100                                 TO MMSM-DEMOGRAPHICS-AREA
067200         MOVE MMMM-DBA-NAME      TO MMSM-DBA-NAME
067300         MOVE MMMM-DBA-CITY      TO MMSM-DBA-CITY
067400         MOVE MMMM-DBA-COUNTRY-CODE
067500                                 TO MMSM-DBA-COUNTRY-CODE
067600         MOVE MMMM-TAX-ID        TO MMSM-TAX-ID
067700         MOVE MMMM-INCORPORATION-STATUS
067800                                 TO MMSM-INCORPORATION-STATUS
067900         MOVE MMMM-SOLE-PROP-AREA
068000                                 TO MMSM-SOLE-PROP-AREA
068100         MOVE MMMM-TIN-TYPE      TO MMSM-TIN-TYPE
068200         MOVE MMMM-1099-REFUSAL-IND
068300                                 TO MMSM-1099-REFUSAL-IND
068400         MOVE MMMM-OUT-OF-BUS-DATE
068500                                 TO MMSM-OUT-OF-BUS-DATE
068600         IF  MMSM-OWNERSHIP-CHG-DATE IS EQUAL TO ZERO
068700             MOVE MMMM-OWNERSHIP-CHG-DATE
068800                                 TO MMSM-OWNERSHIP-CHG-DATE
068900         END-IF
069000         IF  MMMM-CORP-LEGAL-NAME IS EQUAL TO ZERO
069100             MOVE MMMM-CORP-LEGAL-NAME
069200                                 TO MMSM-CORP-LEGAL-NAME
069300         END-IF
069400         SET MMSM-CRB-NEW-STORE  TO TRUE
069500         PERFORM Y980-UPDATE-FROM-PRODUCT
069600                                 THRU Y989-UFP-EXIT
069700         MOVE MBCA-MERCHANT      TO MMSM-MERCHANT-ID.
069800*
069900 E010-CONTINUE.
070000*
070100*************************************
070200*    OBTAIN STORAGE FOR LOG FILE    *
070300*    RECORD IF DOING MAINTENANCE    *
070400*************************************
070500*
070600     MOVE 'SC09'                 TO MBCA-PROGRAM-LOCATION.
070700     SET MBIORO-GETMAIN          TO TRUE.
070800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
070900*
071000*************************************************
071100*    SET UP THE COMMON PORTION OF THE RECORD    *
071200*************************************************
071300*
071400*
071500 E020-UPDATE-FIELDS.
071600*
071700     MOVE MMMMTB-STORE-NBR (1:4) TO WS-INDEX-X.
071800     SET X-MMFS-MERCH            TO WS-INDEX.
071900*
072000     PERFORM X010-UPDATE-STORE-NBR
072100                                 THRU X019-EXIT.
072200*
072300     PERFORM X030-UPDATE-AUTH-CODE
072400                                 THRU X039-EXIT.
072500*
072600     PERFORM X050-UPDATE-STORE-SETT-FLAG
072700                                 THRU X059-EXIT.
072800*
072900     PERFORM X070-UPDATE-AUTH-LOGO
073000                                 THRU X079-EXIT.
073100*
073200     PERFORM X090-UPDATE-STORE-SETT-DATE
073300                                 THRU X099-EXIT.
073400*
073500     PERFORM X110-UPDATE-GOVERNING-STATE
073600                                 THRU X119-EXIT.
073700*
073800     PERFORM X130-UPDATE-MEDIA-TYPE
073900                                 THRU X139-EXIT.
074000*
074100     PERFORM X150-UPDATE-BULLETIN-TYPE
074200                                 THRU X159-EXIT.
074300*
074400     PERFORM X170-UPDATE-STORE-TYPE
074500                                 THRU X179-EXIT.
074600*
074700*
074800     MOVE MMMMTB-NBR-BULLETINS (1:4)
074900                                 TO WS-INDEX-X.
075000     SET X-MMFS-MERCH            TO WS-INDEX.
075100*
075200     PERFORM
075300         VARYING X-MMSM-ACT-RECAP FROM +1 BY +1
075400         UNTIL   X-MMSM-ACT-RECAP IS GREATER THAN +4
075500             SET X-MM12-ACT-RECAP
075600                                 TO X-MMSM-ACT-RECAP
075700             PERFORM X190-UPDATE-ACT-RECAP
075800                                 THRU X199-EXIT
075900             PERFORM X210-UPDATE-ACT-RECAP-DTL
076000                                 THRU X219-EXIT
076100     END-PERFORM.
076200*
076300     PERFORM X230-UPDATE-NBR-STORES
076400                                 THRU X239-EXIT.
076500*
076600 E040-UPDATE-MMMM.
076700*
076800     IF  MBCA-PTI-FUNCTION-IS-ADD
076900         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
077000         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
077100         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
077200         SET WS-UPDATE-SW-YES    TO TRUE.
077300*
077400 E050-UPDATE-MMSM.
077500*
077600     IF  MBCA-PTI-FUNCTION-IS-ADD
077700     OR  (MBCA-PTI-FUNCTION-IS-MAINT
077800     AND MM12-STORE-NBR-L IS GREATER THAN ZEROS)
077900         MOVE 'SC10'             TO MBCA-PROGRAM-LOCATION
078000         SET MBIORO-GETMAIN      TO TRUE
078100         PERFORM MMXRAO-ACCESS   THRU MMXRAO-ACCESS-EXIT
078200         SET MML1-FILE-IS-MMXR   TO TRUE
078300         MOVE MBCA-MERCHANT-ORG  TO MML1-MMXR-ORG
078400         MOVE MBCA-MERCHANT      TO MML1-MMXR-MERCHANT
078500         MOVE MM12-STORE-NBR     TO MML1-MMXR-STORE
078600         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
078700         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
078800         MOVE ZEROS              TO MML1-SOURCE-CODE
078900         MOVE MBCA-FIELD-SECURITY
079000                                 TO MML1-FIELD-SECURITY
079100         MOVE MBCA-START-DATE    TO MMXR-LAST-MAINT-DATE
079200         MOVE MBCA-OPERATOR-ID   TO MMXR-LAST-MAINT-OPER
079300         SET  MMXR-REC-ACTIVE    TO TRUE
079400         SET  MMXR-ADD-COMPLETED TO TRUE
079500         MOVE ZEROES             TO MML1-FIELD-CODE
079600                                    MML1-FIELD-OCCURRENCE
079700                                    MML1-FIELD-OCCURRENCE-2
079800         MOVE LENGTH OF MMXR-RECORD
079900                                 TO MML1-VARIABLE-LENGTH
080000         MOVE MBCA-MERCHANT-ORG  TO MMXR-ORG
080100         MOVE MBCA-MERCHANT      TO MMXR-MERCHANT
080200         MOVE MM12-STORE-NBR     TO MMXR-STORE
080300         MOVE MMXR-RECORD        TO MML1-ADD-AREA
080400         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
080500         PERFORM Y970-WRITE-LOG-REC-XREF
080600                                 THRU Y979-WLRX-EXIT
080700         PERFORM Y960-WRITE-MMXR THRU Y969-EXIT
080800         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
080900         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
081000         SET WS-UPDATE-SW-YES    TO TRUE
081100         MOVE ZEROES             TO MML1-FIELD-CODE
081200                                    MML1-FIELD-OCCURRENCE
081300                                    MML1-FIELD-OCCURRENCE-2
081400         MOVE MBCA-MERCHANT-ORG  TO MML1-MMSM-ORG
081500         MOVE MM12-STORE-NBR     TO MML1-MMSM-STORE
081600         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
081700         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
081800         MOVE ZEROS              TO MML1-SOURCE-CODE
081900         PERFORM Y930-READ-MMOC  THRU Y939-RMMOC-EXIT
082000         MOVE MMOC-CURRENCY-CODE TO MMSM-AUTH-CURRENCY-CODE
082100         MOVE MBCA-FIELD-SECURITY
082200                                 TO MML1-FIELD-SECURITY
082300         MOVE LENGTH OF MMSM-RECORD
082400                                 TO MML1-VARIABLE-LENGTH
082500         MOVE MMSM-RECORD        TO MML1-ADD-AREA
082600         SET MML1-FILE-IS-MMSM   TO TRUE
082700         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
082800         PERFORM Y940-WRITE-LOG-REC-STORE
082900                                 THRU Y949-WLRS-EXIT
083000         SET WS-MMSM-WRITE       TO TRUE
083100         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
083200         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
083300         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
083400         SET MBIORO-WRITE        TO TRUE
083500         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
083600*
083700**************************************************************
083800*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
083900*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
084000*    ON THE SCREEN                                           *
084100**************************************************************
084200*
084300     IF  MBCA-PTI-FUNCTION-IS-MAINT
084400     AND WS-UPDATE-SW-YES
084500         MOVE 0198               TO MML1-FIELD-CODE
084600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
084700                                    MML1-FIELD-OCCURRENCE-2
084800         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
084900         MOVE MMMM-LAST-MAINT-OPER
085000                                 TO MML1-VL03-B-DATA-X
085100         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
085200         MOVE MMMM-LAST-MAINT-OPER
085300                                 TO MML1-VL03-A-DATA-X
085400         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
085500         PERFORM Y920-WRITE-LOG-REC-MERCH
085600                                 THRU Y929-WLRM-EXIT
085700         MOVE 0199               TO MML1-FIELD-CODE
085800         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
085900         MOVE MMMM-LAST-MAINT-DATE
086000                                 TO MML1-VL07-B-DATA-9
086100         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
086200         MOVE MMMM-LAST-MAINT-DATE
086300                                 TO MML1-VL07-A-DATA-9
086400         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
086500         PERFORM Y920-WRITE-LOG-REC-MERCH
086600                                 THRU Y929-WLRM-EXIT
086700         MOVE 0198               TO MML1-FIELD-CODE
086800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
086900                                    MML1-FIELD-OCCURRENCE-2
087000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
087100         MOVE MMMM-LAST-MAINT-OPER
087200                                 TO MML1-VL03-B-DATA-X
087300         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
087400         MOVE MMMM-LAST-MAINT-OPER
087500                                 TO MML1-VL03-A-DATA-X
087600         MOVE 'FC12'             TO MBCA-PROGRAM-LOCATION
087700         PERFORM Y940-WRITE-LOG-REC-STORE
087800                                 THRU Y949-WLRS-EXIT
087900         MOVE 0199               TO MML1-FIELD-CODE
088000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
088100         MOVE MMMM-LAST-MAINT-DATE
088200                                 TO MML1-VL07-B-DATA-9
088300         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
088400         MOVE MMMM-LAST-MAINT-DATE
088500                                 TO MML1-VL07-A-DATA-9
088600         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
088700         PERFORM Y940-WRITE-LOG-REC-STORE
088800                                 THRU Y949-WLRS-EXIT.
088900*
089000**************************************************************
089100*    REWRITE THE MERCHANT MASTER RECORD AND THE STORE MASTER *
089200*    IF FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR           *
089300*    UNLOCK IT IF THEY HAVE NOT                              *
089400**************************************************************
089500*
089600     IF  WS-UPDATE-SW-YES
089700         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
089800         SET MBIORO-REWRITE      TO TRUE
089900         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
090000     ELSE
090100         MOVE 'FC15'             TO MBCA-PROGRAM-LOCATION
090200         SET MBIORO-UNLOCK       TO TRUE
090300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
090400*
090500     IF  WS-MMSM-WRITE
090600         GO TO F000-SETUP-COMMAREA.
090700*
090800     IF  MBCA-PTI-FUNCTION-IS-MAINT
090900     AND WS-UPDATE-SW-YES
091000         MOVE 'FC16'             TO MBCA-PROGRAM-LOCATION
091100         SET MBIORO-REWRITE      TO TRUE
091200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
091300     ELSE
091400         MOVE 'FC17'             TO MBCA-PROGRAM-LOCATION
091500         SET MBIORO-UNLOCK       TO TRUE
091600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
091700/
091800 F000-SETUP-COMMAREA SECTION.
091900*
092000***************************************************************
092100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
092200***************************************************************
092300*
092400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
092500*
092600     IF  MM12-CURRENT-PAGE-L IS GREATER THAN ZERO
092700     AND MM12-CURRENT-PAGE   IS NUMERIC
092800         IF  MM12-CURRENT-PAGE IS GREATER THAN 13
092900             MOVE 63             TO MBCA-SCREEN-NBR
093000             GO TO F090-TRANSFER-XCTL.
093100*
093200     PERFORM MB60PD-EDIT-PAGE-NBR
093300                                 THRU MB60PD-EPN-EXIT.
093400*
093500     IF  SS08WS-VALID-PF-KEY
093600     OR  SS08WS-EIBAID-VALID-PF-KEY
093700         SET MBCA-INITIAL-SCREEN-NBR
093800                                 TO TRUE.
093900*
094000 F090-TRANSFER-XCTL.
094100*
094200     IF  MBCA-MBUI-UI-YES
094300         MOVE 'MBUI'             TO MBCA-TRANS-ID
094400                                    MBCA-PREV-TRANS-ID
094500         MOVE 01                 TO MBCA-SCREEN-NBR
094600         MOVE MBMM12I            TO MBUITS-VAR-DATA
094700         MOVE LENGTH OF MBMM12I  TO MBUITS-VAR-LENGTH
094800         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
094900         EXEC CICS WRITEQ TS
095000                   QUEUE   (TS-QUEUE-NAME)
095100                   FROM    (MBUITS-RECORD)
095200                   LENGTH  (LENGTH  OF MBUITS-RECORD)
095300
095400              END-EXEC.
095500*
095600     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
095700     PERFORM MB70PD-XCTL-TO-MBOXCTL
095800                                 THRU MB70PD-XTM-EXIT.
095900/
096000 W000-FIELD-EDITS SECTION.
096100*
096200*********************************************************
096300*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
096400*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
096500*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
096600*    'W110-EDIT-ACT-RECAP' THRU 'W119-EPA-EXIT'.        *
096700*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY        *
096800*    ARE UNIQUE TO THAT ROUTINE.                        *
096900*********************************************************
097000*
097100 W010-EDIT-STORE-NBR.
097200*
097300     MOVE DFHBMDAS               TO MM12-STORE-NBR-LP-A
097400                                    MM12-STORE-NBR-RP-A.
097500     MOVE DFHBMASK               TO MM12-STORE-NBR-A.
097600*
097700     PERFORM Y015-STORE-NBR-SECURITY
097800                                 THRU Y019-EXIT.
097900*
098000     IF  MM12-STORE-NBR-L        IS GREATER THAN ZERO
098100         MOVE DFHBMASF           TO MM12-STORE-NBR-A
098200         EVALUATE TRUE
098300           WHEN MM12-STORE-NBR IS NOT NUMERIC
098400             GO TO W017-STORE-NBR-ERROR
098410           WHEN MM12-STORE-NBR IS EQUAL TO ZERO                   FX800002
098420             GO TO W017-STORE-NBR-ERROR                           FX800002
098500         END-EVALUATE
098600         PERFORM Y950-READ-MMSM-FILE
098700                                 THRU Y959-EXIT
098800         IF  SS08WS-RC-FC-NOTFND
098900             GO TO W019-EXIT
099000         ELSE
099100             GO TO W017-STORE-NBR-ERROR
099200     ELSE
099300         IF  MBCA-PTI-FUNCTION-IS-ADD
099400             GO TO W017-STORE-NBR-ERROR
099500         ELSE
099600             IF  MBCA-PTI-FUNCTION-IS-MAINT
099700             AND MMMM-STORE-NBR IS EQUAL TO ZEROS
099800                 GO TO W017-STORE-NBR-ERROR
099900             ELSE
100000                 GO TO W019-EXIT.
100100*
100200 W017-STORE-NBR-ERROR.
100300*
100400     IF  MM12-STORE-NBR-L        IS GREATER THAN ZERO
100500         MOVE DFHBMNBF           TO MM12-STORE-NBR-A
100600     ELSE
100700         MOVE DFHBMUNB           TO MM12-STORE-NBR-A.
100800*
100900     SET SS08WS-ERROR-SW-YES     TO TRUE.
101000     MOVE DFHBMASB               TO MM12-STORE-NBR-LP-A
101100                                    MM12-STORE-NBR-RP-A.
101200     MOVE SS08WS-CURSOR          TO MM12-STORE-NBR-L.
101300*
101400 W019-EXIT.
101500     EXIT.
101600*
101700 W030-EDIT-AUTH-CODE.
101800*
101900     MOVE DFHBMDAS               TO MM12-AUTH-CODE-LP-A
102000                                    MM12-AUTH-CODE-RP-A.
102100     MOVE DFHBMASK               TO MM12-AUTH-CODE-A.
102200*
102300     PERFORM Y035-AUTH-CODE-SECURITY
102400                                 THRU Y039-EXIT.
102500*
102600     IF  MM12-AUTH-CODE-L        IS GREATER THAN ZERO
102700         MOVE DFHBMASF           TO MM12-AUTH-CODE-A
102800     ELSE
102900         MOVE MMSM-AUTH-CODE     TO MM12-AUTH-CODE.
103000*
103100     IF  MM12-VALID-AUTH-CODE
103200         NEXT SENTENCE
103300     ELSE
103400         GO TO W037-AUTH-CODE-ERROR.
103500*
103600     IF  MBCA-PTI-FUNCTION-IS-MAINT
103700     OR  MM12-AUTH-CODE-L        IS GREATER THAN ZERO
103800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
103900         GO TO W039-EXIT.
104000*
104100 W037-AUTH-CODE-ERROR.
104200*
104300     IF  MM12-AUTH-CODE-L        IS GREATER THAN ZERO
104400         MOVE DFHBMUBF           TO MM12-AUTH-CODE-A
104500     ELSE
104600         MOVE DFHBMBRY           TO MM12-AUTH-CODE-A.
104700*
104800     SET SS08WS-ERROR-SW-YES     TO TRUE.
104900     MOVE DFHBMASB               TO MM12-AUTH-CODE-LP-A
105000                                    MM12-AUTH-CODE-RP-A.
105100     MOVE SS08WS-CURSOR          TO MM12-AUTH-CODE-L.
105200*
105300 W039-EXIT.
105400     EXIT.
105500*
105600 W050-EDIT-STORE-SETT-FLAG.
105700*
105800     MOVE DFHBMDAS               TO MM12-STORE-SETT-FLAG-LP-A
105900                                    MM12-STORE-SETT-FLAG-RP-A.
106000     MOVE DFHBMASK               TO MM12-STORE-SETT-FLAG-A.
106100*
106200     PERFORM Y055-STORE-SETT-FLAG-SECURITY
106300                                 THRU Y059-EXIT.
106400*
106500     IF  MM12-STORE-SETT-FLAG-L IS GREATER THAN ZERO
106600         MOVE DFHBMASF           TO MM12-STORE-SETT-FLAG-A
106700     ELSE
106800         MOVE MMSM-STORE-SETT-FLAG
106900                                 TO MM12-STORE-SETT-FLAG.
107000*
107100     IF  MM12-VALID-STORE-SETT-FLAG
107200         NEXT SENTENCE
107300     ELSE
107400         GO TO W057-STORE-SETT-FLAG-ERROR.
107500*
107600     IF  MBCA-PTI-FUNCTION-IS-MAINT
107700     OR  MM12-STORE-SETT-FLAG-L IS GREATER THAN ZERO
107800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
107900         GO TO W059-EXIT.
108000*
108100 W057-STORE-SETT-FLAG-ERROR.
108200*
108300     IF  MM12-STORE-SETT-FLAG-L IS GREATER THAN ZERO
108400         MOVE DFHBMUBF           TO MM12-STORE-SETT-FLAG-A
108500     ELSE
108600         MOVE DFHBMBRY           TO MM12-STORE-SETT-FLAG-A.
108700*
108800     SET SS08WS-ERROR-SW-YES     TO TRUE.
108900     MOVE DFHBMASB               TO MM12-STORE-SETT-FLAG-LP-A
109000                                    MM12-STORE-SETT-FLAG-RP-A.
109100     MOVE SS08WS-CURSOR          TO MM12-STORE-SETT-FLAG-L.
109200*
109300 W059-EXIT.
109400     EXIT.
109500*
109600 W070-EDIT-AUTH-LOGO.
109700*
109800     MOVE DFHBMDAS               TO MM12-AUTH-LOGO-LP-A
109900                                    MM12-AUTH-LOGO-RP-A.
110000     MOVE DFHBMASK               TO MM12-AUTH-LOGO-A.
110100*
110200     PERFORM Y075-AUTH-LOGO-SECURITY
110300                                 THRU Y079-EXIT.
110400*
110500     IF  MM12-AUTH-LOGO-L        IS GREATER THAN ZERO
110600         MOVE DFHBMASF           TO MM12-AUTH-LOGO-A
110700     ELSE
110800         MOVE MMSM-AUTH-LOGO     TO MM12-AUTH-LOGO.
110900*
111000     IF  MM12-AUTH-LOGO IS NUMERIC
111100         NEXT SENTENCE
111200     ELSE
111300         GO TO W077-AUTH-LOGO-ERROR.
111400*
111500     IF  MBCA-PTI-FUNCTION-IS-MAINT
111600     OR  MM12-AUTH-LOGO-L        IS GREATER THAN ZERO
111700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
111800         GO TO W079-EXIT.
111900*
112000 W077-AUTH-LOGO-ERROR.
112100*
112200     IF  MM12-AUTH-LOGO-L        IS GREATER THAN ZERO
112300         MOVE DFHBMNBF           TO MM12-AUTH-LOGO-A
112400     ELSE
112500         MOVE DFHBMUNB           TO MM12-AUTH-LOGO-A.
112600*
112700     SET SS08WS-ERROR-SW-YES     TO TRUE.
112800     MOVE DFHBMASB               TO MM12-AUTH-LOGO-LP-A
112900                                    MM12-AUTH-LOGO-RP-A
113000     MOVE SS08WS-CURSOR          TO MM12-AUTH-LOGO-L.
113100*
113200 W079-EXIT.
113300     EXIT.
113400*
113500 W090-EDIT-STORE-SETT-DATE.
113600*
113700     MOVE DFHBMDAS               TO MM12-STORE-SETT-DATE-LP-A
113800                                    MM12-STORE-SETT-DATE-RP-A.
113900     MOVE DFHBMASK               TO MM12-STORE-SETT-DATE-A.
114000*
114100     PERFORM Y095-STORE-SETT-DATE-SECURITY
114200                                 THRU Y099-EXIT.
114300*
114400     IF  MM12-STORE-SETT-DATE-L IS EQUAL TO ZERO
114500         MOVE MMSM-STORE-SETT-DATE
114600                                 TO SS01WS-JULIAN
114700         PERFORM SS08PD-JUL-TO-GREG
114800                                 THRU SS08PD-JTG-EXIT
114900         MOVE SS01WS-DATE        TO MM12-STORE-SETT-DATE.
115000*
115100     IF  MM12-STORE-SETT-DATE IS NOT NUMERIC
115200         GO TO W097-STORE-SETT-DATE-ERROR.
115300*
115400     IF  MM12-STORE-SETT-DATE IS LESS THAN 1000000
115500         MOVE MM12-STORE-SETT-DATE
115600                                 TO SS01WS-MDY
115700         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
115800     ELSE
115900         MOVE MM12-STORE-SETT-DATE
116000                                 TO SS01WS-DATE.
116100*
116200     PERFORM SS05PD-DATE-VALIDATION
116300                                 THRU SS05PD-DV-EXIT.
116400*
116500     IF  SS01WS-DATE-IS-INVALID
116600         GO TO W097-STORE-SETT-DATE-ERROR
116700     ELSE
116800         MOVE SS01WS-DATE        TO MM12-STORE-SETT-DATE.
116900*
117000     IF  MM12-STORE-SETT-DATE-L IS GREATER THAN ZERO
117100         IF  MBCA-PTI-FUNCTION-IS-ADD
117200         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
117300             MOVE DFHBMABF       TO MM12-STORE-SETT-DATE-A
117400             GO TO W099-EXIT
117500         ELSE
117600             MOVE DFHBMASF       TO MM12-STORE-SETT-DATE-A
117700             GO TO W099-EXIT.
117800*
117900     IF  MBCA-PTI-FUNCTION-IS-MAINT
118000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
118100         GO TO W099-EXIT.
118200*
118300 W097-STORE-SETT-DATE-ERROR.
118400*
118500     IF  MM12-STORE-SETT-DATE-L IS GREATER THAN ZERO
118600         MOVE DFHBMNBF           TO MM12-STORE-SETT-DATE-A
118700     ELSE
118800         MOVE DFHBMUNB           TO MM12-STORE-SETT-DATE-A.
118900
119000     SET SS08WS-ERROR-SW-YES     TO TRUE.
119100     MOVE DFHBMASB               TO MM12-STORE-SETT-DATE-LP-A
119200                                    MM12-STORE-SETT-DATE-RP-A.
119300     MOVE SS08WS-CURSOR          TO MM12-STORE-SETT-DATE-L.
119400*
119500 W099-EXIT.
119600     EXIT.
119700*
119800 W110-EDIT-GOVERNING-STATE.
119900*
120000     MOVE DFHBMDAS               TO MM12-GOVERNING-STATE-LP-A
120100                                    MM12-GOVERNING-STATE-RP-A.
120200     MOVE DFHBMASK               TO MM12-GOVERNING-STATE-A.
120300*
120400     PERFORM Y115-GOVERNING-STATE-SECURITY
120500                                 THRU Y119-EXIT.
120600*
120700     IF  MM12-GOVERNING-STATE-L IS GREATER THAN ZERO
120800         MOVE DFHBMASF           TO MM12-GOVERNING-STATE-A
120900     ELSE
121000         MOVE MMSM-GOVERNING-STATE
121100                                 TO MM12-GOVERNING-STATE.
121200*
121300     IF  MBCA-PTI-FUNCTION-IS-MAINT
121400     OR  MM12-GOVERNING-STATE-L IS GREATER THAN ZERO
121500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
121600         GO TO W119-EXIT.
121700*
121800 W117-GOVERNING-STATE-SECURITY.
121900*
122000     IF  MM12-GOVERNING-STATE-L  IS GREATER THAN ZERO
122100         MOVE DFHBMUBF           TO MM12-GOVERNING-STATE-A
122200     ELSE
122300         MOVE DFHBMBRY           TO MM12-GOVERNING-STATE-A.
122400*
122500     SET SS08WS-ERROR-SW-YES     TO TRUE.
122600     MOVE DFHBMASB               TO MM12-GOVERNING-STATE-LP-A
122700                                    MM12-GOVERNING-STATE-RP-A.
122800     MOVE SS08WS-CURSOR          TO MM12-GOVERNING-STATE-L.
122900*
123000 W119-EXIT.
123100     EXIT.
123200*
123300 W130-EDIT-MEDIA-TYPE.
123400*
123500*
123600     MOVE DFHBMDAS               TO MM12-MEDIA-TYPE-LP-A
123700                                    MM12-MEDIA-TYPE-RP-A.
123800     MOVE DFHBMASK               TO MM12-MEDIA-TYPE-A.
123900*
124000     PERFORM Y135-MEDIA-TYPE-SECURITY
124100                                 THRU Y139-EXIT.
124200*
124300     IF  MM12-MEDIA-TYPE-L IS GREATER THAN ZERO
124400         MOVE DFHBMASF           TO MM12-MEDIA-TYPE-A
124500     ELSE
124600         MOVE MMSM-MEDIA-TYPE    TO MM12-MEDIA-TYPE.
124700*
124800     IF  MBCA-PTI-FUNCTION-IS-MAINT
124900     OR  MM12-MEDIA-TYPE-L IS GREATER THAN ZERO
125000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
125100         GO TO W139-EXIT.
125200*
125300 W138-MEDIA-TYPE-ERROR.
125400*
125500*******************************************************
125600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
125700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
125800*    THE DATA ELEMENT.                                *
125900*******************************************************
126000*
126100     IF  MM12-MEDIA-TYPE-L IS GREATER THAN ZERO
126200         MOVE DFHBMUBF           TO MM12-MEDIA-TYPE-A
126300     ELSE
126400         MOVE DFHBMBRY           TO MM12-MEDIA-TYPE-A.
126500*
126600     SET SS08WS-ERROR-SW-YES     TO TRUE.
126700     MOVE DFHBMASB               TO MM12-MEDIA-TYPE-LP-A
126800                                    MM12-MEDIA-TYPE-RP-A.
126900     MOVE SS08WS-CURSOR          TO MM12-MEDIA-TYPE-L.
127000*
127100 W139-EXIT.
127200     EXIT.
127300*
127400 W150-EDIT-BULLETIN-TYPE.
127500*
127600     MOVE DFHBMDAS               TO MM12-BULLETIN-TYPE-LP-A
127700                                    MM12-BULLETIN-TYPE-RP-A.
127800     MOVE DFHBMASK               TO MM12-BULLETIN-TYPE-A.
127900*
128000     PERFORM Y155-BULLETIN-TYPE-SECURITY
128100                                 THRU Y159-EXIT.
128200*
128300     IF  MM12-BULLETIN-TYPE-L IS GREATER THAN ZERO
128400         MOVE DFHBMASF           TO MM12-BULLETIN-TYPE-A
128500     ELSE
128600         MOVE MMSM-BULLETIN-TYPE TO MM12-BULLETIN-TYPE.
128700*
128800     IF  MM12-BULLETIN-TYPE-VALID
128900         NEXT SENTENCE
129000     ELSE
129100         GO TO W158-BULLETIN-TYPE-ERROR.
129200*
129300     IF  MBCA-PTI-FUNCTION-IS-MAINT
129400     OR  MM12-BULLETIN-TYPE-L IS GREATER THAN ZERO
129500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
129600         GO TO W159-EXIT.
129700*
129800 W158-BULLETIN-TYPE-ERROR.
129900*
130000     IF  MM12-BULLETIN-TYPE-L IS GREATER THAN ZERO
130100         MOVE DFHBMUBF           TO MM12-BULLETIN-TYPE-A
130200     ELSE
130300         MOVE DFHBMBRY           TO MM12-BULLETIN-TYPE-A.
130400*
130500     SET SS08WS-ERROR-SW-YES     TO TRUE.
130600     MOVE DFHBMASB               TO MM12-BULLETIN-TYPE-LP-A
130700                                    MM12-BULLETIN-TYPE-RP-A.
130800     MOVE SS08WS-CURSOR          TO MM12-BULLETIN-TYPE-L.
130900*
131000 W159-EXIT.
131100     EXIT.
131200*
131300 W170-EDIT-STORE-TYPE.
131400*
131500     MOVE DFHBMDAS               TO MM12-STORE-TYPE-LP-A
131600                                    MM12-STORE-TYPE-RP-A.
131700     MOVE DFHBMASK               TO MM12-STORE-TYPE-A.
131800*
131900     PERFORM Y175-STORE-TYPE-SECURITY
132000                                 THRU Y179-EXIT.
132100*
132200     IF  MM12-STORE-TYPE-L IS GREATER THAN ZERO
132300         MOVE DFHBMASF           TO MM12-STORE-TYPE-A
132400     ELSE
132500         MOVE MMSM-STORE-TYPE    TO MM12-STORE-TYPE.
132600*
132700     IF  MM12-STORE-TYPE-VALID
132800         NEXT SENTENCE
132900     ELSE
133000         GO TO W178-STORE-TYPE-ERROR.
133100*
133200     IF  MBCA-PTI-FUNCTION-IS-MAINT
133300     OR  MM12-STORE-TYPE-L IS GREATER THAN ZERO
133400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
133500         GO TO W179-EXIT.
133600*
133700 W178-STORE-TYPE-ERROR.
133800*
133900     IF  MM12-STORE-TYPE-L IS GREATER THAN ZERO
134000         MOVE DFHBMNBF           TO MM12-STORE-TYPE-A
134100     ELSE
134200         MOVE DFHBMUNB           TO MM12-STORE-TYPE-A.
134300*
134400     SET SS08WS-ERROR-SW-YES     TO TRUE.
134500     MOVE DFHBMASB               TO MM12-STORE-TYPE-LP-A
134600                                    MM12-STORE-TYPE-RP-A.
134700     MOVE SS08WS-CURSOR          TO MM12-STORE-TYPE-L.
134800*
134900 W179-EXIT.
135000     EXIT.
135100*
135200 W190-EDIT-ACT-RECAP.
135300*
135400*****************************************************
135500*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
135600*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
135700*****************************************************
135800*
135900     SET X-MMFS-MERCH            UP BY 1.
136000*
136100     MOVE DFHBMDAS               TO MM12-ACT-RECAP-LP-A
136200                                    (X-MM12-ACT-RECAP)
136300                                    MM12-ACT-RECAP-RP-A
136400                                    (X-MM12-ACT-RECAP).
136500     MOVE DFHBMASK               TO MM12-ACT-RECAP-A
136600                                    (X-MM12-ACT-RECAP).
136700*
136800     PERFORM Y195-ACT-RECAP-SECURITY
136900                                 THRU Y199-EXIT.
137000*
137100************************
137200*    EDIT THE FIELD    *
137300************************
137400*
137500     IF  MM12-ACT-RECAP-L (X-MM12-ACT-RECAP)
137600                                 IS GREATER THAN ZERO
137700         MOVE DFHBMASF           TO MM12-ACT-RECAP-A
137800                                    (X-MM12-ACT-RECAP)
137900     ELSE
138000         MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
138100                                 TO MM12-ACT-RECAP
138200                                    (X-MM12-ACT-RECAP).
138300*
138400     IF  MM12-ACT-RECAP (X-MM12-ACT-RECAP) IS NUMERIC
138500         NEXT SENTENCE
138600     ELSE
138700         GO TO W197-ACT-RECAP-ERROR.
138800*
138900     IF  MBCA-PTI-FUNCTION-IS-MAINT
139000     OR  MM12-ACT-RECAP-L (X-MM12-ACT-RECAP)
139100                                         IS GREATER THAN ZERO
139200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
139300         GO TO W199-EXIT.
139400*
139500 W197-ACT-RECAP-ERROR.
139600*
139700*******************************************************
139800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
139900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
140000*    THE DATA ELEMENT.                                *
140100*******************************************************
140200*
140300     IF  MM12-ACT-RECAP-L (X-MM12-ACT-RECAP)
140400                                         IS GREATER THAN ZERO
140500         MOVE DFHBMNBF           TO MM12-ACT-RECAP-A
140600                                    (X-MM12-ACT-RECAP)
140700     ELSE
140800         MOVE DFHBMUNB           TO MM12-ACT-RECAP-A
140900                                    (X-MM12-ACT-RECAP).
141000*
141100     SET SS08WS-ERROR-SW-YES     TO TRUE.
141200     MOVE DFHBMASB               TO MM12-ACT-RECAP-LP-A
141300                                    (X-MM12-ACT-RECAP)
141400                                    MM12-ACT-RECAP-RP-A
141500                                    (X-MM12-ACT-RECAP).
141600     MOVE SS08WS-CURSOR          TO MM12-ACT-RECAP-L
141700                                    (X-MM12-ACT-RECAP).
141800*
141900 W199-EXIT.
142000     EXIT.
142100*
142200 W210-EDIT-ACT-RECAP-DTL.
142300*
142400     SET X-MMFS-MERCH            UP BY +1.
142500*
142600     MOVE DFHBMDAS               TO MM12-ACT-RECAP-DTL-LP-A
142700                                    (X-MM12-ACT-RECAP)
142800                                    MM12-ACT-RECAP-DTL-RP-A
142900                                    (X-MM12-ACT-RECAP).
143000     MOVE DFHBMASK               TO MM12-ACT-RECAP-DTL-A
143100                                    (X-MM12-ACT-RECAP).
143200*
143300     PERFORM Y215-ACT-RECAP-DTL-SECURITY
143400                                 THRU Y219-EXIT.
143500*
143600     IF  MM12-ACT-RECAP-DTL-L (X-MM12-ACT-RECAP)
143700                                 IS GREATER THAN ZERO
143800         MOVE DFHBMASF           TO MM12-ACT-RECAP-DTL-A
143900                                    (X-MM12-ACT-RECAP)
144000     ELSE
144100         MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
144200                                 TO MM12-ACT-RECAP-DTL
144300                                    (X-MM12-ACT-RECAP).
144400*
144500     IF  MM12-VALID-ACT-RECAP-DTL (X-MM12-ACT-RECAP)
144600         NEXT SENTENCE
144700     ELSE
144800         GO TO W217-ACT-RECAP-DTL-ERROR.
144900*
145000     IF  MBCA-PTI-FUNCTION-IS-MAINT
145100     OR  MM12-ACT-RECAP-DTL-L (X-MM12-ACT-RECAP)
145200                                 IS GREATER THAN ZERO
145300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
145400         GO TO W219-EXIT.
145500*
145600 W217-ACT-RECAP-DTL-ERROR.
145700*
145800     IF  MM12-ACT-RECAP-DTL-L (X-MM12-ACT-RECAP)
145900                                 IS GREATER THAN ZERO
146000         MOVE DFHBMNBF           TO MM12-ACT-RECAP-DTL-A
146100                                    (X-MM12-ACT-RECAP)
146200     ELSE
146300         MOVE DFHBMUNB           TO MM12-ACT-RECAP-DTL-A
146400                                    (X-MM12-ACT-RECAP).
146500*
146600     SET SS08WS-ERROR-SW-YES     TO TRUE.
146700     MOVE DFHBMASB               TO MM12-ACT-RECAP-DTL-LP-A
146800                                    (X-MM12-ACT-RECAP)
146900                                    MM12-ACT-RECAP-DTL-RP-A
147000                                    (X-MM12-ACT-RECAP).
147100     MOVE SS08WS-CURSOR          TO MM12-ACT-RECAP-DTL-L
147200                                    (X-MM12-ACT-RECAP).
147300*
147400 W219-EXIT.
147500     EXIT.
147600/
147700 X000-UPDATE-FIELDS SECTION.
147800*
147900 X010-UPDATE-STORE-NBR.
148000*
148100     IF  MM12-STORE-NBR-L IS GREATER THAN ZERO
148200         IF  MM12-STORE-NBR IS NOT EQUAL
148300                                 TO MMMM-STORE-NBR
148400             SET WS-UPDATE-SW-YES
148500                                 TO TRUE
148600             IF  MBCA-PTI-FUNCTION-IS-MAINT
148700                 MOVE 1201       TO MML1-FIELD-CODE
148800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
148900                                    MML1-FIELD-OCCURRENCE-2
149000                 MOVE MML1WS-VL-10
149100                                 TO MML1-VARIABLE-LENGTH
149200                 MOVE MMMM-STORE-NBR
149300                                 TO MML1-VL10-B-DATA-9
149400                 MOVE MM12-STORE-NBR
149500                                 TO MMMM-STORE-NBR
149600                 MOVE MMMM-STORE-NBR
149700                                 TO MML1-VL10-A-DATA-9
149800                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
149900                 PERFORM Y920-WRITE-LOG-REC-MERCH
150000                                 THRU Y929-WLRM-EXIT
150100             ELSE
150200                 MOVE MM12-STORE-NBR
150300                                 TO MMMM-STORE-NBR.
150400*
150500 X019-EXIT.
150600     EXIT.
150700*
150800 X030-UPDATE-AUTH-CODE.
150900*
151000     MOVE MMMMTB-AUTH-CODE (1:4)
151100                                 TO WS-INDEX-X.
151200     SET X-MMFS-MERCH            TO WS-INDEX.
151300*
151400     IF  MM12-AUTH-CODE-L        IS GREATER THAN ZERO
151500         IF  MM12-AUTH-CODE IS NOT EQUAL
151600                                 TO MMSM-AUTH-CODE
151700             SET WS-UPDATE-SW-YES
151800                                 TO TRUE
151900             IF  MBCA-PTI-FUNCTION-IS-MAINT
152000             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
152100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
152200                                 TO MML1-MMSM-AUDIT-CODE
152300                 MOVE 0401       TO MML1-FIELD-CODE
152400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
152500                                    MML1-FIELD-OCCURRENCE-2
152600                 MOVE MML1WS-VL-01
152700                                 TO MML1-VARIABLE-LENGTH
152800                 MOVE MMSM-AUTH-CODE
152900                                 TO MML1-VL01-B-DATA-X
153000                 MOVE MM12-AUTH-CODE
153100                                 TO MMSM-AUTH-CODE
153200                 MOVE MMSM-AUTH-CODE
153300                                 TO MML1-VL01-A-DATA-X
153400                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
153500                 PERFORM Y940-WRITE-LOG-REC-STORE
153600                                 THRU Y949-WLRS-EXIT
153700             ELSE
153800                 MOVE MM12-AUTH-CODE
153900                                 TO MMSM-AUTH-CODE.
154000*
154100 X039-EXIT.
154200     EXIT.
154300*
154400 X050-UPDATE-STORE-SETT-FLAG.
154500*
154600     MOVE MMMMTB-STORE-SETT-FLAG (1:4)
154700                                 TO WS-INDEX-X.
154800     SET X-MMFS-MERCH            TO WS-INDEX.
154900*
155000     IF  MM12-STORE-SETT-FLAG-L  IS GREATER THAN ZERO
155100         IF  MM12-STORE-SETT-FLAG IS NOT EQUAL
155200                                 TO MMSM-STORE-SETT-FLAG
155300             SET WS-UPDATE-SW-YES
155400                                 TO TRUE
155500             IF  MBCA-PTI-FUNCTION-IS-MAINT
155600             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
155700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
155800                                 TO MML1-MMSM-AUDIT-CODE
155900                 MOVE 0402       TO MML1-FIELD-CODE
156000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
156100                                    MML1-FIELD-OCCURRENCE-2
156200                 MOVE MML1WS-VL-01
156300                                 TO MML1-VARIABLE-LENGTH
156400                 MOVE MMSM-STORE-SETT-FLAG
156500                                 TO MML1-VL01-B-DATA-X
156600                 MOVE MM12-STORE-SETT-FLAG
156700                                 TO MMSM-STORE-SETT-FLAG
156800                 MOVE MMSM-STORE-SETT-FLAG
156900                                 TO MML1-VL01-A-DATA-X
157000                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
157100                 PERFORM Y940-WRITE-LOG-REC-STORE
157200                                 THRU Y949-WLRS-EXIT
157300             ELSE
157400                 MOVE MM12-STORE-SETT-FLAG
157500                                 TO MMSM-STORE-SETT-FLAG.
157600*
157700 X059-EXIT.
157800     EXIT.
157900*
158000 X070-UPDATE-AUTH-LOGO.
158100*
158200     MOVE MMMMTB-AUTH-LOGO (1:4)
158300                                 TO WS-INDEX-X.
158400     SET X-MMFS-MERCH            TO WS-INDEX.
158500*
158600     IF  MM12-AUTH-LOGO-L        IS GREATER THAN ZERO
158700         IF  MM12-AUTH-LOGO IS NOT EQUAL
158800                                 TO MMSM-AUTH-LOGO
158900             SET WS-UPDATE-SW-YES
159000                                 TO TRUE
159100             IF  MBCA-PTI-FUNCTION-IS-MAINT
159200             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
159300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
159400                                 TO MML1-MMSM-AUDIT-CODE
159500                 MOVE 0403       TO MML1-FIELD-CODE
159600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
159700                                    MML1-FIELD-OCCURRENCE-2
159800                 MOVE MML1WS-VL-03
159900                                 TO MML1-VARIABLE-LENGTH
160000                 MOVE MMSM-AUTH-LOGO
160100                                 TO MML1-VL03-B-DATA-9
160200                 MOVE MM12-AUTH-LOGO
160300                                 TO MMSM-AUTH-LOGO
160400                 MOVE MMSM-AUTH-LOGO
160500                                 TO MML1-VL03-A-DATA-9
160600                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
160700                 PERFORM Y940-WRITE-LOG-REC-STORE
160800                                 THRU Y949-WLRS-EXIT
160900             ELSE
161000                 MOVE MM12-AUTH-LOGO
161100                                 TO MMSM-AUTH-LOGO.
161200*
161300 X079-EXIT.
161400     EXIT.
161500*
161600 X090-UPDATE-STORE-SETT-DATE.
161700*
161800     MOVE MMMMTB-STORE-SETT-DATE (1:4)
161900                                 TO WS-INDEX-X.
162000     SET X-MMFS-MERCH            TO WS-INDEX.
162100*
162200     IF  MM12-STORE-SETT-DATE-L IS GREATER THAN ZERO
162300         MOVE MM12-STORE-SETT-DATE
162400                                 TO SS01WS-DATE
162500         PERFORM SS07PD-GREG-TO-JUL
162600                                 THRU SS07PD-GTJ-EXIT
162700         IF  SS01WS-JULIAN IS NOT EQUAL TO MMSM-STORE-SETT-DATE
162800             SET WS-UPDATE-SW-YES
162900                                 TO TRUE
163000             IF  MBCA-PTI-FUNCTION-IS-MAINT
163100             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
163200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
163300                                 TO MML1-MMSM-AUDIT-CODE
163400                 MOVE 0404       TO MML1-FIELD-CODE
163500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
163600                                    MML1-FIELD-OCCURRENCE-2
163700                 MOVE MML1WS-VL-07
163800                                 TO MML1-VARIABLE-LENGTH
163900                 MOVE MMSM-STORE-SETT-DATE
164000                                 TO MML1-VL07-B-DATA-9
164100                 MOVE SS01WS-JULIAN
164200                                 TO MMSM-STORE-SETT-DATE
164300                 MOVE MMSM-STORE-SETT-DATE
164400                                 TO MML1-VL07-A-DATA-9
164500                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
164600                 PERFORM Y940-WRITE-LOG-REC-STORE
164700                                 THRU Y949-WLRS-EXIT
164800             ELSE
164900                 MOVE SS01WS-JULIAN
165000                                 TO MMSM-STORE-SETT-DATE.
165100*
165200 X099-EXIT.
165300     EXIT.
165400*
165500 X110-UPDATE-GOVERNING-STATE.
165600*
165700     MOVE MMMMTB-GOVERNING-STATE (1:4)
165800                                 TO WS-INDEX-X.
165900     SET X-MMFS-MERCH            TO WS-INDEX.
166000*
166100     IF  MM12-GOVERNING-STATE-L  IS GREATER THAN ZERO
166200         IF  MM12-GOVERNING-STATE IS NOT EQUAL
166300                                 TO MMSM-GOVERNING-STATE
166400             SET WS-UPDATE-SW-YES
166500                                 TO TRUE
166600             IF  MBCA-PTI-FUNCTION-IS-MAINT
166700             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
166800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
166900                                 TO MML1-MMSM-AUDIT-CODE
167000                 MOVE 0405       TO MML1-FIELD-CODE
167100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
167200                                    MML1-FIELD-OCCURRENCE-2
167300                 MOVE MML1WS-VL-03
167400                                 TO MML1-VARIABLE-LENGTH
167500                 MOVE MMSM-GOVERNING-STATE
167600                                 TO MML1-VL03-B-DATA-X
167700                 MOVE MM12-GOVERNING-STATE
167800                                 TO MMSM-GOVERNING-STATE
167900                 MOVE MMSM-GOVERNING-STATE
168000                                 TO MML1-VL03-A-DATA-X
168100                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
168200                 PERFORM Y940-WRITE-LOG-REC-STORE
168300                                 THRU Y949-WLRS-EXIT
168400             ELSE
168500                 MOVE MM12-GOVERNING-STATE
168600                                 TO MMSM-GOVERNING-STATE.
168700*
168800 X119-EXIT.
168900     EXIT.
169000*
169100 X130-UPDATE-MEDIA-TYPE.
169200*
169300     IF  MM12-MEDIA-TYPE-L IS GREATER THAN ZERO
169400         IF  MM12-MEDIA-TYPE IS NOT EQUAL TO MMSM-MEDIA-TYPE
169500             SET WS-UPDATE-SW-YES
169600                                 TO TRUE
169700             IF  MBCA-PTI-FUNCTION-IS-MAINT
169800                 MOVE MMMMTB-MEDIA-TYPE (1:4)
169900                                 TO WS-INDEX-X
170000                 SET X-MMFS-MERCH
170100                                 TO WS-INDEX
170200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
170300                                 TO MML1-MMSM-AUDIT-CODE
170400                 MOVE 0507       TO MML1-FIELD-CODE
170500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
170600                                    MML1-FIELD-OCCURRENCE-2
170700                 MOVE MML1WS-VL-01
170800                                 TO MML1-VARIABLE-LENGTH
170900                 MOVE MMSM-MEDIA-TYPE
171000                                 TO MML1-VL01-B-DATA-X
171100                 MOVE MM12-MEDIA-TYPE
171200                                 TO MMSM-MEDIA-TYPE
171300                 MOVE MMSM-MEDIA-TYPE
171400                                 TO MML1-VL01-A-DATA-X
171500                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
171600                 PERFORM Y940-WRITE-LOG-REC-STORE
171700                                 THRU Y949-WLRS-EXIT
171800             ELSE
171900                 MOVE MM12-MEDIA-TYPE
172000                                 TO MMSM-MEDIA-TYPE.
172100*
172200 X139-EXIT.
172300     EXIT.
172400*
172500 X150-UPDATE-BULLETIN-TYPE.
172600*
172700     IF  MM12-BULLETIN-TYPE-L IS GREATER THAN ZERO
172800         IF  MM12-BULLETIN-TYPE IS NOT EQUAL TO MMSM-BULLETIN-TYPE
172900             SET WS-UPDATE-SW-YES
173000                                 TO TRUE
173100             IF  MBCA-PTI-FUNCTION-IS-MAINT
173200                 MOVE MMMMTB-BULLETIN-TYPE (1:4)
173300                                 TO WS-INDEX-X
173400                 SET X-MMFS-MERCH
173500                                 TO WS-INDEX
173600                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
173700                                 TO MML1-MMSM-AUDIT-CODE
173800                 MOVE 0509       TO MML1-FIELD-CODE
173900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
174000                                    MML1-FIELD-OCCURRENCE-2
174100                 MOVE MML1WS-VL-01
174200                                 TO MML1-VARIABLE-LENGTH
174300                 MOVE MMSM-BULLETIN-TYPE
174400                                 TO MML1-VL01-B-DATA-X
174500                 MOVE MM12-BULLETIN-TYPE
174600                                 TO MMSM-BULLETIN-TYPE
174700                 MOVE MMSM-BULLETIN-TYPE
174800                                 TO MML1-VL01-A-DATA-X
174900                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
175000                 PERFORM Y940-WRITE-LOG-REC-STORE
175100                                 THRU Y949-WLRS-EXIT
175200             ELSE
175300                 MOVE MM12-BULLETIN-TYPE
175400                                 TO MMSM-BULLETIN-TYPE.
175500*
175600 X159-EXIT.
175700     EXIT.
175800*
175900 X170-UPDATE-STORE-TYPE.
176000*
176100     IF  MM12-STORE-TYPE-L IS GREATER THAN ZERO
176200         IF  MM12-STORE-TYPE IS NOT EQUAL TO MMSM-STORE-TYPE
176300             SET WS-UPDATE-SW-YES
176400                                 TO TRUE
176500             IF  MBCA-PTI-FUNCTION-IS-MAINT
176600                 MOVE MMMMTB-STORE-TYPE (1:4)
176700                                 TO WS-INDEX-X
176800                 SET X-MMFS-MERCH
176900                                 TO WS-INDEX
177000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
177100                                 TO MML1-MMSM-AUDIT-CODE
177200                 MOVE 0508       TO MML1-FIELD-CODE
177300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
177400                                    MML1-FIELD-OCCURRENCE-2
177500                 MOVE MML1WS-VL-02
177600                                 TO MML1-VARIABLE-LENGTH
177700                 MOVE MMSM-STORE-TYPE
177800                                 TO MML1-VL02-B-DATA-9
177900                 MOVE MM12-STORE-TYPE
178000                                 TO MMSM-STORE-TYPE
178100                 MOVE MMSM-STORE-TYPE
178200                                 TO MML1-VL02-A-DATA-9
178300                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
178400                 PERFORM Y940-WRITE-LOG-REC-STORE
178500                                 THRU Y949-WLRS-EXIT
178600             ELSE
178700                 MOVE MM12-STORE-TYPE
178800                                 TO MMSM-STORE-TYPE.
178900*
179000 X179-EXIT.
179100     EXIT.
179200*
179300 X190-UPDATE-ACT-RECAP.
179400*
179500     SET X-MMFS-MERCH            UP BY 1.
179600     SET X-MMSM-ACT-RECAP        TO X-MMSM-ACT-RECAP.
179700*
179800     IF  MM12-ACT-RECAP-L (X-MM12-ACT-RECAP)
179900                                 IS GREATER THAN ZERO
180000         IF  MM12-ACT-RECAP (X-MM12-ACT-RECAP) IS NOT EQUAL
180100                                 TO MMSM-ACT-RECAP
180200                                    (X-MMSM-ACT-RECAP)
180300             SET WS-UPDATE-SW-YES
180400                                 TO TRUE
180500             IF  MBCA-PTI-FUNCTION-IS-MAINT
180600             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
180700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
180800                                 TO MML1-MMSM-AUDIT-CODE
180900                 MOVE 0409       TO MML1-FIELD-CODE
181000                 SET MML1-FIELD-OCCURRENCE
181100                                 TO X-MMSM-ACT-RECAP
181200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
181300                 MOVE MML1WS-VL-03
181400                                 TO MML1-VARIABLE-LENGTH
181500                 MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
181600                                 TO MML1-VL03-B-DATA-9
181700                 MOVE MM12-ACT-RECAP (X-MM12-ACT-RECAP)
181800                                 TO MMSM-ACT-RECAP
181900                                    (X-MMSM-ACT-RECAP)
182000                 MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
182100                                 TO MML1-VL03-A-DATA-9
182200                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
182300                 PERFORM Y940-WRITE-LOG-REC-STORE
182400                                 THRU Y949-WLRS-EXIT
182500             ELSE
182600                 MOVE MM12-ACT-RECAP (X-MM12-ACT-RECAP)
182700                                 TO MMSM-ACT-RECAP
182800                                    (X-MMSM-ACT-RECAP).
182900*
183000 X199-EXIT.
183100     EXIT.
183200*
183300 X210-UPDATE-ACT-RECAP-DTL.
183400*
183500     SET X-MMFS-MERCH            UP BY +1.
183600     SET X-MMSM-ACT-RECAP        TO X-MMSM-ACT-RECAP.
183700*
183800     IF  MM12-ACT-RECAP-DTL-L (X-MM12-ACT-RECAP)
183900                                 IS GREATER THAN ZERO
184000         IF  MM12-ACT-RECAP-DTL (X-MM12-ACT-RECAP) IS NOT EQUAL
184100                                 TO MMSM-ACT-RECAP-DTL
184200                                    (X-MMSM-ACT-RECAP)
184300             SET WS-UPDATE-SW-YES
184400                                 TO TRUE
184500             IF  MBCA-PTI-FUNCTION-IS-MAINT
184600             AND MM12-STORE-NBR-L IS EQUAL TO ZERO
184700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
184800                                 TO MML1-MMSM-AUDIT-CODE
184900                 MOVE 0410       TO MML1-FIELD-CODE
185000                 SET MML1-FIELD-OCCURRENCE
185100                                 TO X-MMSM-ACT-RECAP
185200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
185300                 MOVE MML1WS-VL-01
185400                                 TO MML1-VARIABLE-LENGTH
185500                 MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
185600                                 TO MML1-VL01-B-DATA-X
185700                 MOVE MM12-ACT-RECAP-DTL (X-MM12-ACT-RECAP)
185800                                 TO MMSM-ACT-RECAP-DTL
185900                                    (X-MMSM-ACT-RECAP)
186000                 MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
186100                                 TO MML1-VL01-A-DATA-X
186200                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
186300                 PERFORM Y940-WRITE-LOG-REC-STORE
186400                                 THRU Y949-WLRS-EXIT
186500             ELSE
186600                 MOVE MM12-ACT-RECAP-DTL (X-MM12-ACT-RECAP)
186700                                 TO MMSM-ACT-RECAP-DTL
186800                                    (X-MMSM-ACT-RECAP).
186900*
187000 X219-EXIT.
187100     EXIT.
187200*
187300 X230-UPDATE-NBR-STORES.
187400*
187500     IF  MBCA-PTI-FUNCTION-IS-ADD
187600         MOVE 1                  TO MMMM-NBR-STORES.
187700*
187800     IF  MBCA-PTI-FUNCTION-IS-MAINT
187900     AND MM12-STORE-NBR-L IS GREATER THAN ZEROS
188000         SET WS-UPDATE-SW-YES   TO TRUE
188100         MOVE MMMMTB-NBR-STORES (1:4)
188200                                 TO WS-INDEX-X
188300         SET X-MMFS-MERCH        TO WS-INDEX
188400         MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
188500                                 TO MML1-MMMM-AUDIT-CODE
188600         MOVE 0910               TO MML1-FIELD-CODE
188700         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
188800                                    MML1-FIELD-OCCURRENCE-2
188900         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
189000         MOVE MMMM-NBR-STORES    TO MML1-VL10-B-DATA-9
189100         MOVE 1                  TO MMMM-NBR-STORES
189200         MOVE MMMM-NBR-STORES    TO MML1-VL10-A-DATA-9
189300         MOVE 'FC29'             TO MBCA-PROGRAM-LOCATION
189400         PERFORM Y920-WRITE-LOG-REC-MERCH
189500                                 THRU Y929-WLRM-EXIT.
189600*
189700 X239-EXIT.
189800     EXIT.
189900/
190000 Y000-PERFORMED-ROUTINES SECTION.
190100*
190200 Y010-MOVE-STORE-NBR.
190300*
190400     MOVE MMMM-STORE-NBR         TO MM12-STORE-NBR.
190500*
190600 Y015-STORE-NBR-SECURITY.
190700*
190800     MOVE MMMMTB-STORE-NBR (1:4) TO WS-INDEX-X.
190900     SET X-MMFS-MERCH            TO WS-INDEX.
191000*
191100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
191200         MOVE DFHBMDAS           TO MM12-STORE-NBR-LP-A
191300                                    MM12-STORE-NBR-RP-A
191400         MOVE DFHBMASB           TO MM12-STORE-NBR-A
191500         GO TO Y019-EXIT.
191600*
191700     IF  MBCA-PTI-FUNCTION-IS-MAINT
191800     AND MMMM-STORE-NBR IS GREATER THAN ZERO
191900         MOVE DFHBMDAS           TO MM12-STORE-NBR-LP-A
192000                                    MM12-STORE-NBR-RP-A
192100         MOVE DFHBMASB           TO MM12-STORE-NBR-A
192200         GO TO Y019-EXIT.
192300*
192400 Y019-EXIT.
192500     EXIT.
192600*
192700 Y030-MOVE-AUTH-CODE.
192800*
192900     MOVE MMSM-AUTH-CODE         TO MM12-AUTH-CODE.
193000*
193100 Y035-AUTH-CODE-SECURITY.
193200*
193300     MOVE MMMMTB-AUTH-CODE (1:4) TO WS-INDEX-X.
193400     SET X-MMFS-MERCH            TO WS-INDEX.
193500*
193600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
193700         MOVE DFHBMDAS           TO MM12-AUTH-CODE-LIT-A
193800                                    MM12-AUTH-CODE-LP-A
193900                                    MM12-AUTH-CODE-RP-A
194000                                    MM12-AUTH-CODE-A
194100         MOVE ZERO               TO MM12-AUTH-CODE-L
194200         GO TO Y039-EXIT.
194300*
194400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
194500         MOVE DFHBMDAS           TO MM12-AUTH-CODE-LP-A
194600                                    MM12-AUTH-CODE-RP-A
194700         MOVE DFHBMASB           TO MM12-AUTH-CODE-A
194800         GO TO Y039-EXIT.
194900*
195000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
195100         MOVE ZERO               TO MM12-AUTH-CODE-L
195200         MOVE DFHBMDAS           TO MM12-AUTH-CODE-LP-A
195300                                    MM12-AUTH-CODE-RP-A
195400         MOVE DFHBMASK           TO MM12-AUTH-CODE-A
195500         GO TO Y039-EXIT.
195600*
195700     IF  MBCA-PTI-FUNCTION-IS-ADD
195800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
195900             MOVE DFHBMASB       TO MM12-AUTH-CODE-LIT-A
196000         ELSE
196100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
196200                 MOVE ZERO       TO MM12-AUTH-CODE-L
196300                 MOVE DFHBMDAS   TO MM12-AUTH-CODE-LP-A
196400                                    MM12-AUTH-CODE-RP-A
196500                 MOVE DFHBMASK   TO MM12-AUTH-CODE-A.
196600*
196700     IF  MBCA-PTI-FUNCTION-IS-MAINT
196800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
196900             MOVE ZERO           TO MM12-AUTH-CODE-L
197000             MOVE DFHBMDAS       TO MM12-AUTH-CODE-LP-A
197100                                    MM12-AUTH-CODE-RP-A
197200             MOVE DFHBMASK       TO MM12-AUTH-CODE-A.
197300*
197400 Y039-EXIT.
197500     EXIT.
197600*
197700 Y050-MOVE-STORE-SETT-FLAG.
197800*
197900     MOVE MMSM-STORE-SETT-FLAG   TO MM12-STORE-SETT-FLAG.
198000*
198100 Y055-STORE-SETT-FLAG-SECURITY.
198200*
198300     MOVE MMMMTB-STORE-SETT-FLAG (1:4)
198400                                 TO WS-INDEX-X.
198500     SET X-MMFS-MERCH            TO WS-INDEX.
198600*
198700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
198800         MOVE DFHBMDAS           TO MM12-STORE-SETT-FLAG-LIT-A
198900                                    MM12-STORE-SETT-FLAG-LP-A
199000                                    MM12-STORE-SETT-FLAG-RP-A
199100                                    MM12-STORE-SETT-FLAG-A
199200         MOVE ZERO               TO MM12-STORE-SETT-FLAG-L
199300         GO TO Y059-EXIT.
199400*
199500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
199600         MOVE DFHBMDAS           TO MM12-STORE-SETT-FLAG-LP-A
199700                                    MM12-STORE-SETT-FLAG-RP-A
199800         MOVE DFHBMASB           TO MM12-STORE-SETT-FLAG-A
199900         GO TO Y059-EXIT.
200000*
200100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
200200         MOVE ZERO               TO MM12-STORE-SETT-FLAG-L
200300         MOVE DFHBMDAS           TO MM12-STORE-SETT-FLAG-LP-A
200400                                    MM12-STORE-SETT-FLAG-RP-A
200500         MOVE DFHBMASK           TO MM12-STORE-SETT-FLAG-A
200600         GO TO Y059-EXIT.
200700*
200800     IF  MBCA-PTI-FUNCTION-IS-ADD
200900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
201000             MOVE DFHBMASB       TO MM12-STORE-SETT-FLAG-LIT-A
201100         ELSE
201200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
201300                 MOVE ZERO       TO MM12-STORE-SETT-FLAG-L
201400                 MOVE DFHBMDAS   TO MM12-STORE-SETT-FLAG-LP-A
201500                                    MM12-STORE-SETT-FLAG-RP-A
201600                 MOVE DFHBMASK   TO MM12-STORE-SETT-FLAG-A.
201700*
201800     IF  MBCA-PTI-FUNCTION-IS-MAINT
201900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
202000             MOVE ZERO           TO MM12-STORE-SETT-FLAG-L
202100             MOVE DFHBMDAS       TO MM12-STORE-SETT-FLAG-LP-A
202200                                    MM12-STORE-SETT-FLAG-RP-A
202300             MOVE DFHBMASK       TO MM12-STORE-SETT-FLAG-A.
202400*
202500 Y059-EXIT.
202600     EXIT.
202700*
202800 Y070-MOVE-AUTH-LOGO.
202900*
203000     MOVE MMSM-AUTH-LOGO         TO MM12-AUTH-LOGO.
203100*
203200 Y075-AUTH-LOGO-SECURITY.
203300*
203400     MOVE MMMMTB-AUTH-LOGO (1:4) TO WS-INDEX-X.
203500     SET X-MMFS-MERCH            TO WS-INDEX.
203600*
203700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
203800         MOVE DFHBMDAS           TO MM12-AUTH-LOGO-LIT-A
203900                                    MM12-AUTH-LOGO-LP-A
204000                                    MM12-AUTH-LOGO-RP-A
204100                                    MM12-AUTH-LOGO-A
204200         MOVE ZERO               TO MM12-AUTH-LOGO-L
204300         GO TO Y079-EXIT.
204400*
204500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
204600         MOVE DFHBMDAS           TO MM12-AUTH-LOGO-LP-A
204700                                    MM12-AUTH-LOGO-RP-A
204800         MOVE DFHBMASB           TO MM12-AUTH-LOGO-A
204900         GO TO Y079-EXIT.
205000*
205100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
205200         MOVE ZERO               TO MM12-AUTH-LOGO-L
205300         MOVE DFHBMDAS           TO MM12-AUTH-LOGO-LP-A
205400                                    MM12-AUTH-LOGO-RP-A
205500         MOVE DFHBMASK           TO MM12-AUTH-LOGO-A
205600         GO TO Y079-EXIT.
205700*
205800     IF  MBCA-PTI-FUNCTION-IS-ADD
205900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
206000             MOVE DFHBMASB       TO MM12-AUTH-LOGO-LIT-A
206100         ELSE
206200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
206300                 MOVE ZERO       TO MM12-AUTH-LOGO-L
206400                 MOVE DFHBMDAS   TO MM12-AUTH-LOGO-LP-A
206500                                    MM12-AUTH-LOGO-RP-A
206600                 MOVE DFHBMASK   TO MM12-AUTH-LOGO-A.
206700*
206800     IF  MBCA-PTI-FUNCTION-IS-MAINT
206900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
207000             MOVE ZERO           TO MM12-AUTH-LOGO-L
207100             MOVE DFHBMDAS       TO MM12-AUTH-LOGO-LP-A
207200                                    MM12-AUTH-LOGO-RP-A
207300             MOVE DFHBMASK       TO MM12-AUTH-LOGO-A.
207400*
207500 Y079-EXIT.
207600     EXIT.
207700*
207800 Y090-MOVE-STORE-SETT-DATE.
207900*
208000     MOVE MMSM-STORE-SETT-DATE   TO SS01WS-JULIAN.
208100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
208200     MOVE SS01WS-DATE            TO MM12-STORE-SETT-DATE.
208300*
208400 Y095-STORE-SETT-DATE-SECURITY.
208500*
208600     MOVE MMMMTB-STORE-SETT-DATE (1:4)
208700                                 TO WS-INDEX-X.
208800     SET X-MMFS-MERCH            TO WS-INDEX.
208900*
209000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
209100         MOVE DFHBMDAS           TO MM12-STORE-SETT-DATE-LIT-A
209200                                    MM12-STORE-SETT-DATE-A
209300                                    MM12-STORE-SETT-DATE-LP-A
209400                                    MM12-STORE-SETT-DATE-RP-A
209500                                    MM12-STORE-SETT-DATE-A
209600         MOVE ZERO               TO MM12-STORE-SETT-DATE-L
209700         GO TO Y099-EXIT.
209800*
209900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
210000         MOVE DFHBMDAS           TO MM12-STORE-SETT-DATE-LP-A
210100                                    MM12-STORE-SETT-DATE-RP-A
210200         MOVE DFHBMASB           TO MM12-STORE-SETT-DATE-A
210300         GO TO Y099-EXIT.
210400*
210500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
210600         MOVE ZERO               TO MM12-STORE-SETT-DATE-L
210700         MOVE DFHBMDAS           TO MM12-STORE-SETT-DATE-LP-A
210800                                    MM12-STORE-SETT-DATE-RP-A
210900         MOVE DFHBMASK           TO MM12-STORE-SETT-DATE-A
211000         GO TO Y099-EXIT.
211100*
211200     IF  MBCA-PTI-FUNCTION-IS-ADD
211300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
211400             MOVE DFHBMASB       TO MM12-STORE-SETT-DATE-LIT-A
211500         ELSE
211600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
211700                 MOVE ZERO       TO MM12-STORE-SETT-DATE-L
211800                 MOVE DFHBMDAS   TO MM12-STORE-SETT-DATE-LP-A
211900                                    MM12-STORE-SETT-DATE-RP-A
212000                 MOVE DFHBMASK   TO MM12-STORE-SETT-DATE-A.
212100*
212200     IF  MBCA-PTI-FUNCTION-IS-MAINT
212300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
212400             MOVE ZERO           TO MM12-STORE-SETT-DATE-L
212500             MOVE DFHBMDAS       TO MM12-STORE-SETT-DATE-LP-A
212600                                    MM12-STORE-SETT-DATE-RP-A
212700             MOVE DFHBMASK       TO MM12-STORE-SETT-DATE-A.
212800*
212900 Y099-EXIT.
213000     EXIT.
213100*
213200 Y110-MOVE-GOVERNING-STATE.
213300*
213400     MOVE MMSM-GOVERNING-STATE   TO MM12-GOVERNING-STATE.
213500*
213600 Y115-GOVERNING-STATE-SECURITY.
213700*
213800     MOVE MMMMTB-GOVERNING-STATE (1:4)
213900                                 TO WS-INDEX-X.
214000     SET X-MMFS-MERCH            TO WS-INDEX.
214100*
214200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
214300         MOVE DFHBMDAS           TO MM12-GOVERNING-STATE-LIT-A
214400                                    MM12-GOVERNING-STATE-LP-A
214500                                    MM12-GOVERNING-STATE-RP-A
214600                                    MM12-GOVERNING-STATE-A
214700         MOVE ZERO               TO MM12-GOVERNING-STATE-L
214800         GO TO Y119-EXIT.
214900*
215000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
215100         MOVE DFHBMDAS           TO MM12-GOVERNING-STATE-LP-A
215200                                    MM12-GOVERNING-STATE-RP-A
215300         MOVE DFHBMASB           TO MM12-GOVERNING-STATE-A
215400         GO TO Y119-EXIT.
215500*
215600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
215700         MOVE ZERO               TO MM12-GOVERNING-STATE-L
215800         MOVE DFHBMDAS           TO MM12-GOVERNING-STATE-LP-A
215900                                    MM12-GOVERNING-STATE-RP-A
216000         MOVE DFHBMASK           TO MM12-GOVERNING-STATE-A
216100         GO TO Y119-EXIT.
216200*
216300     IF  MBCA-PTI-FUNCTION-IS-ADD
216400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
216500             MOVE DFHBMASB       TO MM12-GOVERNING-STATE-LIT-A
216600         ELSE
216700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
216800                 MOVE ZERO       TO MM12-GOVERNING-STATE-L
216900                 MOVE DFHBMDAS   TO MM12-GOVERNING-STATE-LP-A
217000                                    MM12-GOVERNING-STATE-RP-A
217100                 MOVE DFHBMASK   TO MM12-GOVERNING-STATE-A.
217200*
217300     IF  MBCA-PTI-FUNCTION-IS-MAINT
217400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
217500             MOVE ZERO           TO MM12-GOVERNING-STATE-L
217600             MOVE DFHBMDAS       TO MM12-GOVERNING-STATE-LP-A
217700                                    MM12-GOVERNING-STATE-RP-A
217800             MOVE DFHBMASK       TO MM12-GOVERNING-STATE-A.
217900*
218000 Y119-EXIT.
218100     EXIT.
218200*
218300 Y130-MOVE-MEDIA-TYPE.
218400*
218500     MOVE MMSM-MEDIA-TYPE        TO MM12-MEDIA-TYPE.
218600*
218700 Y135-MEDIA-TYPE-SECURITY.
218800*
218900     MOVE MMMMTB-MEDIA-TYPE (1:4)
219000                                 TO WS-INDEX-X.
219100     SET  X-MMFS-MERCH           TO WS-INDEX.
219200*
219300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
219400         MOVE DFHBMDAS           TO MM12-MEDIA-TYPE-LIT-A
219500                                    MM12-MEDIA-TYPE-LP-A
219600                                    MM12-MEDIA-TYPE-RP-A
219700                                    MM12-MEDIA-TYPE-A
219800         MOVE ZERO               TO MM12-MEDIA-TYPE-L
219900         GO TO Y139-EXIT.
220000*
220100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
220200         MOVE DFHBMDAS           TO MM12-MEDIA-TYPE-LP-A
220300                                    MM12-MEDIA-TYPE-RP-A
220400         MOVE DFHBMASB           TO MM12-MEDIA-TYPE-A
220500         GO TO Y139-EXIT.
220600*
220700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
220800         MOVE ZERO               TO MM12-MEDIA-TYPE-L
220900         MOVE DFHBMDAS           TO MM12-MEDIA-TYPE-LP-A
221000                                    MM12-MEDIA-TYPE-RP-A
221100         MOVE DFHBMASK           TO MM12-MEDIA-TYPE-A
221200         GO TO Y139-EXIT.
221300*
221400     IF  MBCA-PTI-FUNCTION-IS-ADD
221500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
221600             MOVE DFHBMASB       TO MM12-MEDIA-TYPE-LIT-A
221700         ELSE
221800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
221900                 MOVE ZERO       TO MM12-MEDIA-TYPE-L
222000                 MOVE DFHBMDAS   TO MM12-MEDIA-TYPE-LP-A
222100                                    MM12-MEDIA-TYPE-RP-A
222200                 MOVE DFHBMASK   TO MM12-MEDIA-TYPE-A.
222300*
222400     IF  MBCA-PTI-FUNCTION-IS-MAINT
222500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
222600             MOVE ZERO           TO MM12-MEDIA-TYPE-L
222700             MOVE DFHBMDAS       TO MM12-MEDIA-TYPE-LP-A
222800                                    MM12-MEDIA-TYPE-RP-A
222900             MOVE DFHBMASK       TO MM12-MEDIA-TYPE-A.
223000*
223100*
223200 Y139-EXIT.
223300     EXIT.
223400*
223500 Y150-MOVE-BULLETIN-TYPE.
223600*
223700     MOVE MMSM-BULLETIN-TYPE     TO MM12-BULLETIN-TYPE.
223800*
223900 Y155-BULLETIN-TYPE-SECURITY.
224000*
224100     MOVE MMMMTB-BULLETIN-TYPE (1:4)
224200                                 TO WS-INDEX-X.
224300     SET  X-MMFS-MERCH           TO WS-INDEX.
224400*
224500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
224600         MOVE DFHBMDAS           TO MM12-BULLETIN-TYPE-LIT-A
224700                                    MM12-BULLETIN-TYPE-LP-A
224800                                    MM12-BULLETIN-TYPE-RP-A
224900                                    MM12-BULLETIN-TYPE-A
225000         MOVE ZERO               TO MM12-BULLETIN-TYPE-L
225100         GO TO Y159-EXIT.
225200*
225300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
225400         MOVE DFHBMDAS           TO MM12-BULLETIN-TYPE-LP-A
225500                                    MM12-BULLETIN-TYPE-RP-A
225600         MOVE DFHBMASB           TO MM12-BULLETIN-TYPE-A
225700         GO TO Y159-EXIT.
225800*
225900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
226000         MOVE ZERO               TO MM12-BULLETIN-TYPE-L
226100         MOVE DFHBMDAS           TO MM12-BULLETIN-TYPE-LP-A
226200                                    MM12-BULLETIN-TYPE-RP-A
226300         MOVE DFHBMASK           TO MM12-BULLETIN-TYPE-A
226400         GO TO Y159-EXIT.
226500*
226600     IF  MBCA-PTI-FUNCTION-IS-ADD
226700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
226800             MOVE DFHBMASB       TO MM12-BULLETIN-TYPE-LIT-A
226900         ELSE
227000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
227100                 MOVE ZERO       TO MM12-BULLETIN-TYPE-L
227200                 MOVE DFHBMDAS   TO MM12-BULLETIN-TYPE-LP-A
227300                                    MM12-BULLETIN-TYPE-RP-A
227400                 MOVE DFHBMASK   TO MM12-BULLETIN-TYPE-A.
227500*
227600     IF  MBCA-PTI-FUNCTION-IS-MAINT
227700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
227800             MOVE ZERO           TO MM12-BULLETIN-TYPE-L
227900             MOVE DFHBMDAS       TO MM12-BULLETIN-TYPE-LP-A
228000                                    MM12-BULLETIN-TYPE-RP-A
228100             MOVE DFHBMASK       TO MM12-BULLETIN-TYPE-A.
228200*
228300 Y159-EXIT.
228400     EXIT.
228500*
228600 Y170-MOVE-STORE-TYPE.
228700*
228800     MOVE MMSM-STORE-TYPE        TO MM12-STORE-TYPE.
228900*
229000 Y175-STORE-TYPE-SECURITY.
229100*
229200     MOVE MMMMTB-STORE-TYPE (1:4)
229300                                 TO WS-INDEX-X.
229400     SET  X-MMFS-MERCH           TO WS-INDEX.
229500*
229600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
229700         MOVE DFHBMDAS           TO MM12-STORE-TYPE-LIT-A
229800                                    MM12-STORE-TYPE-LP-A
229900                                    MM12-STORE-TYPE-RP-A
230000                                    MM12-STORE-TYPE-A
230100         MOVE ZERO               TO MM12-STORE-TYPE-L
230200         GO TO Y179-EXIT.
230300*
230400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
230500         MOVE DFHBMDAS           TO MM12-STORE-TYPE-LP-A
230600                                    MM12-STORE-TYPE-RP-A
230700         MOVE DFHBMASB           TO MM12-STORE-TYPE-A
230800         GO TO Y179-EXIT.
230900*
231000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
231100         MOVE ZERO               TO MM12-STORE-TYPE-L
231200         MOVE DFHBMDAS           TO MM12-STORE-TYPE-LP-A
231300                                    MM12-STORE-TYPE-RP-A
231400         MOVE DFHBMASK           TO MM12-STORE-TYPE-A
231500         GO TO Y179-EXIT.
231600*
231700     IF  MBCA-PTI-FUNCTION-IS-ADD
231800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
231900             MOVE DFHBMASB       TO MM12-STORE-TYPE-LIT-A
232000         ELSE
232100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
232200                 MOVE ZERO       TO MM12-STORE-TYPE-L
232300                 MOVE DFHBMDAS   TO MM12-STORE-TYPE-LP-A
232400                                    MM12-STORE-TYPE-RP-A
232500                 MOVE DFHBMASK   TO MM12-STORE-TYPE-A.
232600*
232700     IF  MBCA-PTI-FUNCTION-IS-MAINT
232800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
232900             MOVE ZERO           TO MM12-STORE-TYPE-L
233000             MOVE DFHBMDAS       TO MM12-STORE-TYPE-LP-A
233100                                    MM12-STORE-TYPE-RP-A
233200             MOVE DFHBMASK       TO MM12-STORE-TYPE-A.
233300*
233400*
233500 Y179-EXIT.
233600     EXIT.
233700*
233800 Y190-MOVE-ACT-RECAP.
233900*
234000     SET X-MMFS-MERCH            UP BY 1.
234100*
234200     MOVE MMSM-ACT-RECAP (X-MMSM-ACT-RECAP)
234300                                 TO MM12-ACT-RECAP
234400                                    (X-MM12-ACT-RECAP).
234500*
234600 Y195-ACT-RECAP-SECURITY.
234700*
234800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
234900         MOVE DFHBMDAS           TO MM12-ACT-RECAP-LIT-A
235000                                    (X-MM12-ACT-RECAP)
235100                                    MM12-ACT-RECAP-LP-A
235200                                    (X-MM12-ACT-RECAP)
235300                                    MM12-ACT-RECAP-RP-A
235400                                    (X-MM12-ACT-RECAP)
235500                                    MM12-ACT-RECAP-A
235600                                    (X-MM12-ACT-RECAP)
235700         MOVE ZERO               TO MM12-ACT-RECAP-L
235800                                    (X-MM12-ACT-RECAP)
235900         GO TO Y199-EXIT.
236000*
236100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
236200         MOVE DFHBMDAS           TO MM12-ACT-RECAP-LP-A
236300                                    (X-MM12-ACT-RECAP)
236400                                    MM12-ACT-RECAP-RP-A
236500                                    (X-MM12-ACT-RECAP)
236600         MOVE DFHBMASB           TO MM12-ACT-RECAP-A
236700                                    (X-MM12-ACT-RECAP)
236800         GO TO Y199-EXIT.
236900*
237000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
237100         MOVE ZERO               TO MM12-ACT-RECAP-L
237200                                    (X-MM12-ACT-RECAP)
237300         MOVE DFHBMDAS           TO MM12-ACT-RECAP-LP-A
237400                                    (X-MM12-ACT-RECAP)
237500                                    MM12-ACT-RECAP-RP-A
237600                                    (X-MM12-ACT-RECAP)
237700         MOVE DFHBMASK           TO MM12-ACT-RECAP-A
237800                                    (X-MM12-ACT-RECAP)
237900         GO TO Y199-EXIT.
238000*
238100     IF  MBCA-PTI-FUNCTION-IS-ADD
238200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
238300             MOVE DFHBMASB       TO MM12-ACT-RECAP-LIT-A
238400                                    (X-MM12-ACT-RECAP)
238500         ELSE
238600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
238700                 MOVE ZERO       TO MM12-ACT-RECAP-L
238800                                    (X-MM12-ACT-RECAP)
238900                 MOVE DFHBMDAS   TO MM12-ACT-RECAP-LP-A
239000                                    (X-MM12-ACT-RECAP)
239100                                    MM12-ACT-RECAP-RP-A
239200                                    (X-MM12-ACT-RECAP)
239300                 MOVE DFHBMASK   TO MM12-ACT-RECAP-A
239400                                    (X-MM12-ACT-RECAP).
239500*
239600     IF  MBCA-PTI-FUNCTION-IS-MAINT
239700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
239800             MOVE ZERO           TO MM12-ACT-RECAP-L
239900                                    (X-MM12-ACT-RECAP)
240000             MOVE DFHBMDAS       TO MM12-ACT-RECAP-LP-A
240100                                    (X-MM12-ACT-RECAP)
240200                                    MM12-ACT-RECAP-RP-A
240300                                    (X-MM12-ACT-RECAP)
240400             MOVE DFHBMASK       TO MM12-ACT-RECAP-A
240500                                    (X-MM12-ACT-RECAP).
240600*
240700 Y199-EXIT.
240800     EXIT.
240900*
241000 Y210-MOVE-ACT-RECAP-DTL.
241100*
241200     SET X-MMFS-MERCH            UP BY 1.
241300*
241400     MOVE MMSM-ACT-RECAP-DTL (X-MMSM-ACT-RECAP)
241500                                 TO MM12-ACT-RECAP-DTL
241600                                    (X-MM12-ACT-RECAP).
241700*
241800 Y215-ACT-RECAP-DTL-SECURITY.
241900*
242000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
242100         MOVE DFHBMDAS           TO MM12-ACT-RECAP-DTL-LIT-A
242200                                    (X-MM12-ACT-RECAP)
242300                                    MM12-ACT-RECAP-DTL-LP-A
242400                                    (X-MM12-ACT-RECAP)
242500                                    MM12-ACT-RECAP-DTL-RP-A
242600                                    (X-MM12-ACT-RECAP)
242700                                    MM12-ACT-RECAP-DTL-A
242800                                    (X-MM12-ACT-RECAP)
242900         MOVE ZERO               TO MM12-ACT-RECAP-DTL-L
243000                                    (X-MM12-ACT-RECAP)
243100         GO TO Y219-EXIT.
243200*
243300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
243400         MOVE DFHBMDAS           TO MM12-ACT-RECAP-DTL-LP-A
243500                                    (X-MM12-ACT-RECAP)
243600                                    MM12-ACT-RECAP-DTL-RP-A
243700                                    (X-MM12-ACT-RECAP)
243800         MOVE DFHBMASB           TO MM12-ACT-RECAP-DTL-A
243900                                    (X-MM12-ACT-RECAP)
244000         GO TO Y219-EXIT.
244100*
244200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
244300         MOVE ZERO               TO MM12-ACT-RECAP-DTL-L
244400                                    (X-MM12-ACT-RECAP)
244500         MOVE DFHBMDAS           TO MM12-ACT-RECAP-DTL-LP-A
244600                                    (X-MM12-ACT-RECAP)
244700                                    MM12-ACT-RECAP-DTL-RP-A
244800                                    (X-MM12-ACT-RECAP)
244900         MOVE DFHBMASK           TO MM12-ACT-RECAP-DTL-A
245000                                    (X-MM12-ACT-RECAP)
245100         GO TO Y219-EXIT.
245200*
245300     IF  MBCA-PTI-FUNCTION-IS-ADD
245400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
245500             MOVE DFHBMASB       TO MM12-ACT-RECAP-DTL-LIT-A
245600                                    (X-MM12-ACT-RECAP)
245700         ELSE
245800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
245900                 MOVE ZERO       TO MM12-ACT-RECAP-DTL-L
246000                                    (X-MM12-ACT-RECAP)
246100                 MOVE DFHBMDAS   TO MM12-ACT-RECAP-DTL-LP-A
246200                                    (X-MM12-ACT-RECAP)
246300                                    MM12-ACT-RECAP-DTL-RP-A
246400                                    (X-MM12-ACT-RECAP)
246500                 MOVE DFHBMASK   TO MM12-ACT-RECAP-DTL-A
246600                                    (X-MM12-ACT-RECAP).
246700*
246800     IF  MBCA-PTI-FUNCTION-IS-MAINT
246900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
247000             MOVE ZERO           TO MM12-ACT-RECAP-DTL-L
247100                                    (X-MM12-ACT-RECAP)
247200             MOVE DFHBMDAS       TO MM12-ACT-RECAP-DTL-LP-A
247300                                    (X-MM12-ACT-RECAP)
247400                                    MM12-ACT-RECAP-DTL-RP-A
247500                                    (X-MM12-ACT-RECAP)
247600             MOVE DFHBMASK       TO MM12-ACT-RECAP-DTL-A
247700                                    (X-MM12-ACT-RECAP).
247800*
247900 Y219-EXIT.
248000     EXIT.
248100*
248200 Y800-SET-CURSOR.
248300*
248400 Y803-STORE-NBR.
248500*
248600     MOVE MMMMTB-STORE-NBR (1:4)
248700                                 TO WS-INDEX-X.
248800     SET X-MMFS-MERCH            TO WS-INDEX.
248900*
249000     IF  MBCA-PTI-FUNCTION-IS-ADD
249100         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
249200         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
249300             MOVE SS08WS-CURSOR  TO MM12-STORE-NBR-L
249400             GO TO Y809-SC-EXIT
249500         END-IF
249600     ELSE
249700         IF  MBCA-PTI-FUNCTION-IS-MAINT
249800         AND MMMM-STORE-NBR IS LESS THAN 1
249900            IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
250000            OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
250100             MOVE SS08WS-CURSOR  TO MM12-STORE-NBR-L
250200             GO TO Y809-SC-EXIT
250300            END-IF
250400         END-IF
250500     END-IF.
250600*
250700 Y803-AUTH-CODE.
250800*
250900     MOVE MMMMTB-AUTH-CODE (1:4)
251000                                 TO WS-INDEX-X.
251100     SET X-MMFS-MERCH            TO WS-INDEX.
251200*
251300     IF  MBCA-PTI-FUNCTION-IS-ADD
251400         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
251500         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
251600             MOVE SS08WS-CURSOR  TO MM12-AUTH-CODE-L
251700             GO TO Y809-SC-EXIT.
251800*
251900     IF  MBCA-PTI-FUNCTION-IS-MAINT
252000         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
252100             MOVE SS08WS-CURSOR  TO MM12-AUTH-CODE-L
252200             GO TO Y809-SC-EXIT.
252300*
252400 Y803-STORE-SETT-FLAG.
252500*
252600     MOVE MMMMTB-STORE-SETT-FLAG (1:4)
252700                                 TO WS-INDEX-X.
252800     SET X-MMFS-MERCH            TO WS-INDEX.
252900*
253000     IF  MBCA-PTI-FUNCTION-IS-ADD
253100         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
253200         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
253300             MOVE SS08WS-CURSOR  TO MM12-STORE-SETT-FLAG-L
253400             GO TO Y809-SC-EXIT.
253500*
253600     IF  MBCA-PTI-FUNCTION-IS-MAINT
253700         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
253800             MOVE SS08WS-CURSOR  TO MM12-STORE-SETT-FLAG-L
253900             GO TO Y809-SC-EXIT.
254000*
254100 Y803-AUTH-LOGO.
254200*
254300     MOVE MMMMTB-AUTH-LOGO (1:4)
254400                                 TO WS-INDEX-X.
254500     SET X-MMFS-MERCH            TO WS-INDEX.
254600*
254700     IF  MBCA-PTI-FUNCTION-IS-ADD
254800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
254900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
255000             MOVE SS08WS-CURSOR  TO MM12-AUTH-LOGO-L
255100             GO TO Y809-SC-EXIT.
255200*
255300     IF  MBCA-PTI-FUNCTION-IS-MAINT
255400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
255500             MOVE SS08WS-CURSOR  TO MM12-AUTH-LOGO-L
255600             GO TO Y809-SC-EXIT.
255700*
255800 Y803-STORE-SETT-DATE.
255900*
256000     MOVE MMMMTB-STORE-SETT-DATE (1:4)
256100                                 TO WS-INDEX-X.
256200     SET X-MMFS-MERCH            TO WS-INDEX.
256300*
256400     IF  MBCA-PTI-FUNCTION-IS-ADD
256500         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
256600         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
256700             MOVE SS08WS-CURSOR  TO MM12-STORE-SETT-DATE-L
256800             GO TO Y809-SC-EXIT.
256900*
257000     IF  MBCA-PTI-FUNCTION-IS-MAINT
257100         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
257200             MOVE SS08WS-CURSOR  TO MM12-STORE-SETT-DATE-L
257300             GO TO Y809-SC-EXIT.
257400*
257500 Y803-GOVERNING-STATE.
257600*
257700     MOVE MMMMTB-GOVERNING-STATE (1:4)
257800                                 TO WS-INDEX-X.
257900     SET X-MMFS-MERCH            TO WS-INDEX.
258000*
258100     IF  MBCA-PTI-FUNCTION-IS-ADD
258200         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
258300         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
258400             MOVE SS08WS-CURSOR  TO MM12-GOVERNING-STATE-L
258500             GO TO Y809-SC-EXIT.
258600*
258700     IF  MBCA-PTI-FUNCTION-IS-MAINT
258800         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
258900             MOVE SS08WS-CURSOR  TO MM12-GOVERNING-STATE-L
259000             GO TO Y809-SC-EXIT.
259100*
259200 Y803-MEDIA-TYPE.
259300*
259400     MOVE MMMMTB-MEDIA-TYPE (1:4)
259500                                 TO WS-INDEX-X.
259600     SET X-MMFS-MERCH            TO WS-INDEX.
259700*
259800     IF  MBCA-PTI-FUNCTION-IS-ADD
259900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
260000         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
260100             MOVE SS08WS-CURSOR  TO MM12-MEDIA-TYPE-L
260200             GO TO Y809-SC-EXIT.
260300*
260400     IF  MBCA-PTI-FUNCTION-IS-MAINT
260500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
260600             MOVE SS08WS-CURSOR  TO MM12-MEDIA-TYPE-L
260700             GO TO Y809-SC-EXIT.
260800*
260900 Y803-BULLETIN-TYPE.
261000*
261100     MOVE MMMMTB-BULLETIN-TYPE (1:4)
261200                                 TO WS-INDEX-X.
261300     SET X-MMFS-MERCH            TO WS-INDEX.
261400*
261500     IF  MBCA-PTI-FUNCTION-IS-ADD
261600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
261700         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
261800             MOVE SS08WS-CURSOR  TO MM12-BULLETIN-TYPE-L
261900             GO TO Y809-SC-EXIT.
262000*
262100     IF  MBCA-PTI-FUNCTION-IS-MAINT
262200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
262300             MOVE SS08WS-CURSOR  TO MM12-BULLETIN-TYPE-L
262400             GO TO Y809-SC-EXIT.
262500*
262600 Y803-STORE-TYPE.
262700*
262800     MOVE MMMMTB-STORE-TYPE (1:4)
262900                                 TO WS-INDEX-X.
263000     SET X-MMFS-MERCH            TO WS-INDEX.
263100*
263200     IF  MBCA-PTI-FUNCTION-IS-ADD
263300         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
263400         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
263500             MOVE SS08WS-CURSOR  TO MM12-STORE-TYPE-L
263600             GO TO Y809-SC-EXIT.
263700*
263800     IF  MBCA-PTI-FUNCTION-IS-MAINT
263900         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
264000             MOVE SS08WS-CURSOR  TO MM12-STORE-TYPE-L
264100             GO TO Y809-SC-EXIT.
264200*
264300 Y803-ACT-RECAP-1.
264400*
264500     SET  X-MM12-ACT-RECAP       TO 1.
264600*
264700     MOVE MMMMTB-ACT-RECAP-1 (1:4)
264800                                 TO WS-INDEX-X.
264900     SET X-MMFS-MERCH            TO WS-INDEX.
265000*
265100     IF  MBCA-PTI-FUNCTION-IS-ADD
265200         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
265300         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
265400             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
265500                                    (X-MM12-ACT-RECAP)
265600             GO TO Y809-SC-EXIT.
265700*
265800     IF  MBCA-PTI-FUNCTION-IS-MAINT
265900         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
266000             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
266100                                    (X-MM12-ACT-RECAP)
266200             GO TO Y809-SC-EXIT.
266300*
266400 Y803-ACT-RECAP-DTL-1.
266500*
266600     SET  X-MM12-ACT-RECAP       TO 1.
266700*
266800     MOVE MMMMTB-ACT-RECAP-1-DTL (1:4)
266900                                 TO WS-INDEX-X.
267000     SET X-MMFS-MERCH            TO WS-INDEX.
267100*
267200     IF  MBCA-PTI-FUNCTION-IS-ADD
267300         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
267400         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
267500             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
267600                                    (X-MM12-ACT-RECAP)
267700             GO TO Y809-SC-EXIT.
267800*
267900     IF  MBCA-PTI-FUNCTION-IS-MAINT
268000         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
268100             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
268200                                    (X-MM12-ACT-RECAP)
268300             GO TO Y809-SC-EXIT.
268400*
268500 Y803-ACT-RECAP-2.
268600*
268700     SET  X-MM12-ACT-RECAP       TO 2.
268800*
268900     MOVE MMMMTB-ACT-RECAP-2 (1:4)
269000                                 TO WS-INDEX-X.
269100     SET X-MMFS-MERCH            TO WS-INDEX.
269200*
269300     IF  MBCA-PTI-FUNCTION-IS-ADD
269400         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
269500         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
269600             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
269700                                    (X-MM12-ACT-RECAP)
269800             GO TO Y809-SC-EXIT.
269900*
270000     IF  MBCA-PTI-FUNCTION-IS-MAINT
270100         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
270200             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
270300                                    (X-MM12-ACT-RECAP)
270400             GO TO Y809-SC-EXIT.
270500*
270600 Y803-ACT-RECAP-DTL-2.
270700*
270800     SET  X-MM12-ACT-RECAP       TO 2.
270900*
271000     MOVE MMMMTB-ACT-RECAP-2-DTL (1:4)
271100                                 TO WS-INDEX-X.
271200     SET X-MMFS-MERCH            TO WS-INDEX.
271300*
271400     IF  MBCA-PTI-FUNCTION-IS-ADD
271500         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
271600         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
271700             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
271800                                    (X-MM12-ACT-RECAP)
271900             GO TO Y809-SC-EXIT.
272000*
272100     IF  MBCA-PTI-FUNCTION-IS-MAINT
272200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
272300             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
272400                                    (X-MM12-ACT-RECAP)
272500             GO TO Y809-SC-EXIT.
272600*
272700 Y803-ACT-RECAP-3.
272800*
272900     SET  X-MM12-ACT-RECAP       TO 3.
273000*
273100     MOVE MMMMTB-ACT-RECAP-3 (1:4)
273200                                 TO WS-INDEX-X.
273300     SET X-MMFS-MERCH            TO WS-INDEX.
273400*
273500     IF  MBCA-PTI-FUNCTION-IS-ADD
273600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
273700         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
273800             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
273900                                    (X-MM12-ACT-RECAP)
274000             GO TO Y809-SC-EXIT.
274100*
274200     IF  MBCA-PTI-FUNCTION-IS-MAINT
274300         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
274400             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
274500                                    (X-MM12-ACT-RECAP)
274600             GO TO Y809-SC-EXIT.
274700*
274800 Y803-ACT-RECAP-DTL-3.
274900*
275000     SET  X-MM12-ACT-RECAP       TO 3.
275100*
275200     MOVE MMMMTB-ACT-RECAP-3-DTL (1:4)
275300                                 TO WS-INDEX-X.
275400     SET X-MMFS-MERCH            TO WS-INDEX.
275500*
275600     IF  MBCA-PTI-FUNCTION-IS-ADD
275700         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
275800         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
275900             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
276000                                    (X-MM12-ACT-RECAP)
276100             GO TO Y809-SC-EXIT.
276200*
276300     IF  MBCA-PTI-FUNCTION-IS-MAINT
276400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
276500             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
276600                                    (X-MM12-ACT-RECAP)
276700             GO TO Y809-SC-EXIT.
276800*
276900 Y803-ACT-RECAP-4.
277000*
277100     SET  X-MM12-ACT-RECAP       TO 4.
277200*
277300     MOVE MMMMTB-ACT-RECAP-4 (1:4)
277400                                 TO WS-INDEX-X.
277500     SET X-MMFS-MERCH            TO WS-INDEX.
277600*
277700     IF  MBCA-PTI-FUNCTION-IS-ADD
277800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
277900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
278000             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
278100                                    (X-MM12-ACT-RECAP)
278200             GO TO Y809-SC-EXIT.
278300*
278400     IF  MBCA-PTI-FUNCTION-IS-MAINT
278500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
278600             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-L
278700                                    (X-MM12-ACT-RECAP)
278800             GO TO Y809-SC-EXIT.
278900*
279000 Y803-ACT-RECAP-DTL-4.
279100*
279200     SET  X-MM12-ACT-RECAP       TO 4.
279300*
279400     MOVE MMMMTB-ACT-RECAP-4-DTL (1:4)
279500                                 TO WS-INDEX-X.
279600     SET X-MMFS-MERCH            TO WS-INDEX.
279700*
279800     IF  MBCA-PTI-FUNCTION-IS-ADD
279900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
280000         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
280100             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
280200                                    (X-MM12-ACT-RECAP)
280300             GO TO Y809-SC-EXIT.
280400*
280500     IF  MBCA-PTI-FUNCTION-IS-MAINT
280600         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
280700             MOVE SS08WS-CURSOR  TO MM12-ACT-RECAP-DTL-L
280800                                    (X-MM12-ACT-RECAP)
280900             GO TO Y809-SC-EXIT.
281000*
281100 Y803-CURSOR-DEFAULT.
281200*
281300     MOVE SS08WS-CURSOR          TO MM12-ALT-TRANID-L.
281400*
281500 Y809-SC-EXIT.
281600     EXIT.
281700*
281800 Y900-READ-MMMM.
281900*
282000*****************************************
282100*    READ THE MERCHANT MASTER RECORD    *
282200*****************************************
282300*
282400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
282500                                    MM12-ORG.
282600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
282700                                    MM12-MERCHANT.
282800     SET MBIORO-READ-RANDOM      TO TRUE.
282900     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
283000*
283100 Y909-READ-MMMM-EXIT.
283200     EXIT.
283300*
283400 Y910-READ-MMFS.
283500*
283600****************************************
283700*    READ THE FIELD SECURITY RECORD    *
283800*    TO OBTAIN THE SECURITY CODES      *
283900****************************************
284000*
284100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
284200     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
284300     SET MBIORO-READ-RANDOM      TO TRUE.
284400     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
284500*
284600     IF  NOT MMFS-REC-ACTIVE
284700         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
284800         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
284900         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
285000         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
285100         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
285200         SET MBCA-ERROR-MSGS-PROVIDED
285300                                 TO TRUE
285400         MOVE 'READ ERROR - MMFSAO'
285500                                 TO MBCA-ERRR-MSG1
285600         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
285700                                 TO MBCA-ERRR-MSG2
285800         GO TO MB70PD-ERROR-ROUTINE.
285900*
286000 Y919-READ-MMFS-EXIT.
286100     EXIT.
286200*
286300 Y920-WRITE-LOG-REC-MERCH.
286400*
286500     MOVE 'MM'                   TO MML1-FILE-CODE.
286600     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
286700     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
286800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
286900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
287000     MOVE ZEROS                  TO MML1-SOURCE-CODE.
287100     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
287200     SET MBIORO-WRITE            TO TRUE.
287300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
287400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
287500*
287600 Y929-WLRM-EXIT.
287700     EXIT.
287800*
287900 Y930-READ-MMOC.
288000*
288100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
288200     SET MBIORO-READ-RANDOM      TO TRUE.
288300     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
288400*
288500 Y939-RMMOC-EXIT.
288600     EXIT.
288700*
288800 Y940-WRITE-LOG-REC-STORE.
288900*
289000     MOVE 'SM'                   TO MML1-FILE-CODE.
289100     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
289200     MOVE MM12-STORE-NBR         TO MML1-MMSM-STORE.
289300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
289400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
289500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
289600     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
289700     SET MBIORO-WRITE            TO TRUE.
289800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
289900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
290000     MOVE SPACES                 TO MML1-SORT-KEY-1.
290100*
290200 Y949-WLRS-EXIT.
290300     EXIT.
290400*
290500 Y950-READ-MMSM-FILE.
290600*
290700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
290800     MOVE MM12-STORE-NBR         TO MBIOWS-MMSM-STORE.
290900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
291000     MOVE 'FC30'                 TO MBCA-PROGRAM-LOCATION.
291100     SET MBIORO-READ-RANDOM      TO TRUE.
291200     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
291300*
291400 Y959-EXIT.
291500     EXIT.
291600*
291700 Y960-WRITE-MMXR.
291800*
291900     MOVE MMXRIR-RECORD          TO MMXR-RECORD.
292000     MOVE MBCA-MERCHANT-ORG      TO MMXR-ORG.
292100     MOVE MBCA-MERCHANT          TO MMXR-MERCHANT.
292200     MOVE MMMM-STORE-NBR         TO MMXR-STORE.
292300     MOVE MBCA-START-DATE        TO MMXR-LAST-MAINT-DATE.
292400     MOVE MBCA-OPERATOR-ID       TO MMXR-LAST-MAINT-OPER.
292500     SET  MMXR-REC-ACTIVE        TO TRUE.
292600     SET  MMXR-ADD-COMPLETED     TO TRUE.
292700*
292800     MOVE 'FC31'                 TO MBCA-PROGRAM-LOCATION.
292900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
293000     MOVE MBCA-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
293100     MOVE MMMM-STORE-NBR         TO MBIOWS-MMXR-STORE.
293200     SET MBIORO-WRITE            TO TRUE.
293300     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
293400*
293500 Y969-EXIT.
293600     EXIT.
293700*
293800 Y970-WRITE-LOG-REC-XREF.
293900*
294000     MOVE 'XR'                   TO MML1-FILE-CODE.
294100     MOVE MBCA-MERCHANT-ORG      TO MML1-MMXR-ORG.
294200     MOVE MBCA-MERCHANT          TO MML1-MMXR-MERCHANT.
294300     MOVE MM12-STORE-NBR         TO MML1-MMXR-STORE.
294400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
294500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
294600     MOVE ZEROS                  TO MML1-SOURCE-CODE.
294700     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
294800     SET MBIORO-WRITE            TO TRUE.
294900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
295000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
295100*
295200 Y979-WLRX-EXIT.
295300     EXIT.
295400*
295500 Y980-UPDATE-FROM-PRODUCT.
295600*
295700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
295800     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT
295900     MOVE 01                     TO MBIOWS-MMMP-PRODUCT.
296000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
296100     MOVE 'FC32'                 TO MBCA-PROGRAM-LOCATION.
296200     SET MBIORO-READ-RANDOM      TO TRUE.
296300     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
296400*
296500     IF  SS08WS-RC-FC-NOTFND
296600         NEXT SENTENCE
296700     ELSE
296800         MOVE MMMP-PROD-STATUS   TO MMSM-VI-STATUS
296900         MOVE MMMP-PROD-EFF-DATE TO MMSM-VI-EFF-DATE.
297000*
297100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
297200     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT
297300     MOVE 02                     TO MBIOWS-MMMP-PRODUCT.
297400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
297500     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
297600     SET MBIORO-READ-RANDOM      TO TRUE.
297700     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
297800*
297900     IF  SS08WS-RC-FC-NOTFND
298000         NEXT SENTENCE
298100     ELSE
298200         MOVE MMMP-PROD-STATUS   TO MMSM-MC-STATUS
298300         MOVE MMMP-PROD-EFF-DATE TO MMSM-MC-EFF-DATE.
298400*
298500 Y989-UFP-EXIT.
298600     EXIT.
298700/
298800 Z000-COPIED-ROUTINES SECTION.
298900*
299000*********************************
299100*    DATE VALIDATION ROUTINE    *
299200*********************************
299300*
299400     COPY SS05PD.
299500/
299600**********************************
299700*    GREG TO JUL DATE ROUTINE    *
299800**********************************
299900*
300000     COPY SS07PD.
300100*
300200**********************************
300300*    JUL TO GREG DATE ROUTINE    *
300400**********************************
300500*
300600     COPY SS08PD.
300700/
300800**********************************
300900*    DATE AND TIME EDIT ROUTINES *
301000**********************************
301100*
301200     COPY SS26PD.
301300     COPY SS27PD.
301400/
301500*********************************
301600*    LINE 24 PF KEYS ROUTINE    *
301700*********************************
301800*
301900     COPY SS15PD.
302000/
302100************************************************
302200*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
302300************************************************
302400*
302500     COPY MMMMAO.
302600/
302700************************************************
302800*    MERCHANT PRODUCT RECORD ACCESS ROUTINES   *
302900************************************************
303000*
303100     COPY MMMPAO.
303200/
303300***********************************************
303400*    CONTROL FILE RECORD ACCESS ROUTINES      *
303500***********************************************
303600*
303700     COPY MMOCAO.
303800/
303900************************************************
304000*    STORE MASTER RECORD ACCESS ROUTINES       *
304100************************************************
304200*
304300     COPY MMSMAO.
304400/
304500***********************************************
304600*    STORE XREF FILE  ACCESS ROUTINES         *
304700***********************************************
304800*
304900     COPY MMXRAO.
305000/
305100***********************************************
305200*    FIELD SECURITY RECORD ACCESS ROUTINES    *
305300***********************************************
305400*
305500     COPY MMFSAO.
305600/
305700*****************************************
305800*    LOG FILE RECORD ACCESS ROUTINES    *
305900*****************************************
306000*
306100     COPY MML1AO.
306200/
306300*****************************
306400*    ONLINE MAP ROUTINES    *
306500*****************************
306600*
306700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM12 '
306800                           MBMAPXXI BY MBMM12I
306900                           MBMAPXXO BY MBMM12O.
307000/
307100***************************
307200*    ONLINE PROCEDURES    *
307300***************************
307400*
307500     COPY MB70PD.
307600/
307700     COPY SMFTPXO.
