000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM13.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM13 - ON-LINE MERCHANT                               *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBMM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBMM13 (SCREEN 13)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMMM   (MERCHANT MASTER FILE)              *
001600*                 B. MMMP   (MERCHANT PROD ASSIGNMENTS FILE)    *
001700*                 C. MMOC   (ORG CONTROL FILE)                  *
001800*                 D. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         MERCHANT PRODUCT INIT RECORD
003300     COPY MMMPIR.
003400/         MERCHANT FEE ACTIVITY STATS INIT RECORD
003500     COPY MMFAIR REPLACING ==:MMFA:== BY ==MMFA==.
003600/         STANDARD ERROR MESSAGES
003700     COPY MBEMWS.
003800/         DATE WORK AREAS
003900     COPY SS01WS.
004000/         ONLINE WORK AREAS
004100     COPY SS08WS.
004200/
004300     COPY SS00WS.
004400/
004500     COPY SMFTWS.
004600/
004700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004800/
004900     COPY MB61LK.
005000/
005100 01  WS-MISCELLANEOUS.
005200     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
005300     03  WS-INDEX            PIC S9(04)      BINARY.
005400     03  WS-FWD-PRODUCT      PIC  9(02)      VALUE ZEROES.
005500     03  WS-TEMP-PRODUCT     PIC  9(02)      VALUE ZEROES.
005600     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
005700         88  WS-SELECT-NO                    VALUE 'N'.
005800         88  WS-SELECT-YES                   VALUE 'Y'.
005900     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
006000         88  WS-BYPASS-NO                    VALUE 'N'.
006100         88  WS-BYPASS-YES                   VALUE 'Y'.
006200     03  WS-MMMP-ADD-PENDING-SW
006300                             PIC  X(01)      VALUE 'N'.
006400         88  WS-MMMP-ADD-PENDING-YES         VALUE 'Y'.
006500     03  WS-PROD-CROSS-EDIT  PIC  X(01)      VALUE 'N'.
006600         88  WS-PROD-CROSS-EDIT-ON           VALUE 'Y'.
006700         88  WS-PROD-CROSS-EDIT-OFF          VALUE 'N'.
006800     03  TS-QUEUE-NAME-13.
006900         05  TS-QN-TERMID-13 PIC  X(04)      VALUE SPACES.
007000         05  TS-QN-TRANID-13 PIC  X(04)      VALUE 'MBMM'.
007100     03  TS-QUEUE-NAME.
007200         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
007300         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
007400*
007500 01  WS-DETAIL-LINE.
007600     03  FILLER              PIC  X(02)      VALUE SPACES.
007700     03  WS-PRODUCT          PIC  9(02).
007800     03  FILLER              PIC  X(08)      VALUE SPACES.
007900     03  WS-STATUS           PIC  X(01).
008000     03  FILLER              PIC  X(05)      VALUE SPACES.
008100     03  WS-EFFECTIVE-DATE   PIC  9(08).
008200     03  FILLER              PIC  X(05)      VALUE SPACES.
008300     03  WS-SOURCE           PIC  X(05).
008400     03  FILLER              PIC  X(05)      VALUE SPACES.
008500     03  WS-SETTLE           PIC  X(01).
008600     03  FILLER              PIC  X(06)      VALUE SPACES.
008700     03  WS-SHORT-DESC       PIC  X(05).
008800     03  FILLER              PIC  X(04)      VALUE SPACES.
008900     03  WS-PROD-DESC        PIC  X(16).
009000*
009100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009200/
009300 LINKAGE SECTION.
009400 01  DFHCOMMAREA.
009500     COPY MB60WS.
009600/         MERCHANT SCREEN 13 MAP DSECT
009700     COPY MBMM13.
009800/         MERCHANT SCREEN 13 MAP REDEFINITION
009900     COPY MBMM13R.
010000/         MERCHANT MASTER RECORD LAYOUT
010100     COPY MMMMRL.
010200/         STORE RECORD LAYOUT
010300     COPY MMSMRL.
010400/         MERCHANT PROD ASSIGNMENT RECORD LAYOUT
010500     COPY MMMPRL.
010600/         ORG CONTROL RECORD LAYOUT
010700     COPY MMOCRL.
010800/         MERCHANT FEE ACTIVITY STATS
010900     COPY MMFARL REPLACING ==:MMFA:== BY ==MMFA==.
011000/         LOG/JOURNAL FILE RECORD LAYOUT
011100     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011200/         MERCHANT TEMPORARY STORAGE
011300     COPY MBMMTS.
011400/
011500***************************************
011600*    USER INPUT TEMP STORAGE RECORD   *
011700***************************************
011800*
011900     COPY MBUITS.
012000/
012100 PROCEDURE DIVISION.
012200 0000-HOUSEKEEPING SECTION.
012300 0100-INIT.
012400*
012500     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
012600     SET MBCA-EIBAID-ENTER       TO TRUE.
012700*
012800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013000                                 THRU MB70PD-OLH-EXIT.
013100*
013200     IF  MBCA-MBUI-UI-YES
013300         NEXT SENTENCE
013400     ELSE
013500         SET MBCA-MBUI-UI-NO     TO TRUE.
013600*
013700     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
013800     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID-13
013900                                    TS-QN-TERMID.
014000*
014100     IF  MBCA-RECEIVE-SCREEN
014200         GO TO 2000-RECEIVE-SCREEN.
014300*
014400 1000-SEND-SCREEN SECTION.
014405*                                                                 EH800900
014410     MOVE 'N'                    TO MBCA-MBMM-XCTL-SW.            EH800900
014500*
014600****************************************************************
014700*    GET CICS STORAGE NEEDED FOR THE MAP                       *
014800****************************************************************
014900*
015000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB60PD-GETMAIN-FOR-MAP
015200                                 THRU MB60PD-GFM-EXIT.
015300****************************************************************
015400*    READ THE MERCHANT FILE                                    *
015500****************************************************************
015600*
015700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
015900     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
016000     SET MBIORO-READ-RANDOM      TO TRUE.
016100     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
016200*
016300     MOVE MBCA-MERCHANT-ORG      TO MM13-ORG.
016400     MOVE MBCA-MERCHANT          TO MM13-MERCHANT.
016500     MOVE MMMM-NA-LINE (1 1)     TO MM13-MERCHANT-NAME.
016600*
016700****************************************************************
016800*    READ THE ORGANIZATION FILE                                *
016900****************************************************************
017000*
017100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
017200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
017300     SET MBIORO-READ-RANDOM      TO TRUE.
017400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
017500*
017600****************************************************************
017700*    INITIALIZE THE STANDARD MAP LINES                         *
017800****************************************************************
017900*
018000     PERFORM MB60PD-INIT-STD-MAP-LINES
018100                                 THRU MB60PD-ISML-EXIT.
018200*
018300     IF  MBCA-PTI-FUNCTION-IS-ADD
018400         MOVE DFHBMDAS           TO MM13-LIT-LINE-1-A
018500                                    MM13-LIT-LINE-2-A
018600         COMPUTE MBCA-SCREEN-NBR  =  MBCA-SCREEN-NBR - 50
018700         MOVE SS08WS-CURSOR      TO MM13-PRODUCT-L
018800         PERFORM
018900             VARYING X-PRODUCT-INDEX FROM 1 BY 1
019000             UNTIL X-PRODUCT-INDEX IS GREATER THAN 14
019100             MOVE DFHBMDAS       TO MM13-SELECT-LP-A
019200                                    (X-PRODUCT-INDEX)
019300                                    MM13-SELECT-RP-A
019400                                    (X-PRODUCT-INDEX)
019500                                    MM13-SELECT-A
019600                                    (X-PRODUCT-INDEX)
019700                                    MM13-DIRECTORY-LINE-A
019800                                    (X-PRODUCT-INDEX)
019900         END-PERFORM
020000         GO TO 1110-SEND-MAP.
020100*
020200****************************************************************
020300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
020400****************************************************************
020500*
020600     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
020700     PERFORM 8100-TEMP-STORAGE-GETMAIN
020800                                 THRU 8199-TSG-EXIT.
020900*
021000     EXEC CICS HANDLE CONDITION
021100               QIDERR (1010-CHECK-RETURN-FLAG)
021200          END-EXEC.
021300*
021400***********************************************
021500*    READ THE TEMP STORAGE RECORD             *
021600***********************************************
021700*
021800     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
021900     PERFORM 8200-TEMP-STORAGE-READ
022000                                 THRU 8299-TSR-EXIT.
022100*
022200***********************************************
022300*    DELETE THE TEMP STORAGE RECORD           *
022400***********************************************
022500*
022600     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
022700     PERFORM 8300-TEMP-STORAGE-DELETE
022800                                 THRU 8399-TSD-EXIT.
022900*
023000     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
023100     GO TO 1080-CONTINUE.
023200*
023300 1010-CHECK-RETURN-FLAG.
023400*
023500     IF  MBCA-MBMM-RETURN-BOTTOM
023600         PERFORM 8900-LAST-SCREEN
023700                                 THRU 8999-LS-EXIT
023800         IF  WS-BYPASS-YES
023900             GO TO 1015-READ-PRODUCT
024000         ELSE
024100             GO TO 1080-CONTINUE
024200     ELSE
024300         IF  MBCA-MBMM-RETURN-BWD
024400             PERFORM 9000-BACK-SCREEN
024500                                 THRU 9099-BS-EXIT
024600             IF  WS-BYPASS-YES
024700                 GO TO 1015-READ-PRODUCT
024800             ELSE
024900                 GO TO 1080-CONTINUE.
025000*
025100 1015-READ-PRODUCT.
025200*
025300****************************************************************
025400*    START BROWSE THE MERCHANT PROD ASSIGN FILE                *
025500****************************************************************
025600*
025700     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
025800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
025900     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
026000     MOVE MBCA-MBMM-FWD-PRODUCT  TO MBIOWS-MMMP-PRODUCT.
026100     SET MBIORO-STARTBR-GTE      TO TRUE.
026200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
026300*
026400     SET X-PRODUCT-INDEX         TO +1.
026500*
026600 1020-READ-LOOP.
026700*
026800****************************************************************
026900*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
027000****************************************************************
027100*
027200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
027300     SET MBIORO-READ-SEQ         TO TRUE.
027400     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
027500*
027600     IF  MMMP-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
027700         GO TO 1020-END-BROWSE.
027800*
027900     PERFORM 9500-BUILD-SCREEN-LINE
028000                                 THRU 9599-BSL-EXIT.
028100*
028200     IF  X-PRODUCT-INDEX IS EQUAL TO +1
028300         MOVE MMMP-PRODUCT       TO MBCA-MBMM-BACK-PRODUCT.
028400*
028500     IF  X-PRODUCT-INDEX IS LESS THAN +14
028600         SET X-PRODUCT-INDEX     UP BY +1
028700         GO TO 1020-READ-LOOP
028800     ELSE
028900         MOVE MMMP-PRODUCT       TO MBCA-MBMM-FWD-PRODUCT
029000         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
029100         SET X-PRODUCT-INDEX     UP BY +1.
029200*
029300 1020-END-BROWSE.
029400*
029500****************************************************************
029600*    END BROWSE THE MERCHANT PROD ASSIGNMENT FILE              *
029700****************************************************************
029800*
029900     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
030000     SET MBIORO-ENDBR            TO TRUE.
030100     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
030200*
030300 1060-SET-ATTRIBUTE.
030400*
030500     IF  X-PRODUCT-INDEX IS EQUAL TO +1
030600         IF  MBCA-MBMM-RETURN-NORMAL
030700             COMPUTE MBCA-SCREEN-NBR  =  MBCA-SCREEN-NBR - 50
030800             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
030900             PERFORM MB70PD-XCTL-TO-MBOXCTL
031000                                 THRU MB70PD-XTM-EXIT
031100         ELSE
031200             MOVE MBCA-MBMM-BACK-PRODUCT
031300                                 TO MBCA-MBMM-FWD-PRODUCT
031400             GO TO 1015-READ-PRODUCT.
031500*
031600     IF  X-PRODUCT-INDEX IS LESS THAN +15
031700         SET X-MBMMTS-INDEX      TO X-PRODUCT-INDEX
031800         MOVE ZEROES             TO MBCA-MBMM-FWD-PRODUCT
031900                                    WS-FWD-PRODUCT
032000                                    MBMMTS-PRODUCT
032100                                    (X-MBMMTS-INDEX)
032200                                    MBMMTS-EFFECTIVE-DATE
032300                                    (X-MBMMTS-INDEX)
032400         MOVE SPACES             TO MBMMTS-STATUS
032500                                    (X-MBMMTS-INDEX)
032600                                    MBMMTS-SOURCE
032700                                    (X-MBMMTS-INDEX)
032800                                    MBMMTS-SHORT-DESC
032900                                    (X-MBMMTS-INDEX)
033000                                    MBMMTS-PROD-DESC
033100                                    (X-MBMMTS-INDEX)
033200         MOVE DFHBMASK           TO MM13-SELECT-A
033300                                    (X-PRODUCT-INDEX)
033400         MOVE DFHBMDAS           TO MM13-DIRECTORY-LINE-A
033500                                    (X-PRODUCT-INDEX)
033600                                    MM13-SELECT-LP-A
033700                                    (X-PRODUCT-INDEX)
033800                                    MM13-SELECT-RP-A
033900                                    (X-PRODUCT-INDEX)
034000         SET X-PRODUCT-INDEX     UP BY +1
034100         GO TO 1060-SET-ATTRIBUTE.
034200*
034300 1080-CONTINUE.
034400*
034500     IF  MBCA-MBMM-BACK-PRODUCT IS NOT EQUAL
034600                                 TO MBCA-MBMM-FIRST-PRODUCT
034700         MOVE DFHBMASB           TO MM13-FWD-IND-A.
034800*
034900     IF  WS-FWD-PRODUCT IS NOT EQUAL TO ZEROS
035000         MOVE DFHBMASB           TO MM13-BACK-IND-A.
035100*
035200****************************************************************
035300*    WRITE THE TEMP STORAGE RECORD                             *
035400****************************************************************
035500*
035600     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
035700     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
035800*
035900     SET X-PRODUCT-INDEX         TO +1.
036000*
036100 1090-CURSOR-LOOP.
036200*
036300     COMPUTE MBCA-SCREEN-NBR  =  MBCA-SCREEN-NBR - 50.
036400*
036500     IF  X-PRODUCT-INDEX IS GREATER THAN +14
036600         MOVE SS08WS-CURSOR      TO MM13-ALT-TRANID-L
036700         GO TO 1100-CONTINUE.
036800*
036900     IF  MM13-SELECT-A (X-PRODUCT-INDEX)
037000                                 IS EQUAL TO DFHBMASK
037100         SET X-PRODUCT-INDEX     UP BY +1
037200         GO TO 1090-CURSOR-LOOP
037300     ELSE
037400         MOVE SS08WS-CURSOR      TO MM13-SELECT-L
037500                                    (X-PRODUCT-INDEX).
037600*
037700 1100-CONTINUE.
037800*
037900     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
038000     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
038100     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
038200     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
038300     MOVE SS08WS-LINE-24         TO MM13-PF-KEYS.
038400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
038500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
038600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
038700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
038800*
038900 1110-SEND-MAP.
039000*
039100****************************************************************
039200*    SEND THE MAP                                              *
039300****************************************************************
039400*
039500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
039600         MOVE DFHBMDAS           TO MM13-PRODUCT-LIT-A
039700                                    MM13-PRODUCT-LP-A
039800                                    MM13-PRODUCT-RP-A
039900                                    MM13-PRODUCT-A.
039915*                                                                 EH800900
039920     IF   MBCA-PTI-FUNCTION-IS-ADD                                EH800900
039925     AND (MBCA-CARD-PROD IS EQUAL TO 01                           EH800900
039930     OR   MBCA-CARD-PROD IS EQUAL TO 02)                          EH800900
039935     AND  MBCA-MBMM-PROD-ACTIVE                                   EH800900
039940*                                                                 FX800011
039945         IF (MMMM-COUNTRY-CODE (1) = 'US'                         FX800011
039950         OR  MMMM-COUNTRY-CODE (1) = 'USA')                       FX800011
039955         AND (MMMM-TAX-ID IS EQUAL TO ALL SPACES                  FX800011
039960         OR   MMMM-TAX-ID (1:1) IS EQUAL TO SPACE                 FX800011
039965         OR   MMMM-TAX-ID IS EQUAL TO ALL ZEROES                  FX800011
039970         OR   MMMM-TAX-ID IS EQUAL TO ALL '9')                    FX800011
039975            MOVE 'Y'             TO MBCA-MBMM-XCTL-SW             EH800900
039980            MOVE 'INVALID TAXPAYER ID.  PRESS ENTER TO RETURN TO PEH800900
039985-                'AGE 8.'                                         EH800900
039990                                 TO MM13-ERR-MESSAGE              EH800900
039995         END-IF                                                   EH800900
039996     END-IF.                                                      EH800900
040000*
040100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
040200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
040300                                 THRU MB60PD-SMWE-EXIT.
040400*
040500****************************************************************
040600*    RETURN TO CICS                                            *
040700****************************************************************
040800*
040900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
041000     PERFORM MB70PD-RETURN-TRANS-ID
041100                                 THRU MB70PD-RTI-EXIT.
041200/
041300 2000-RECEIVE-SCREEN SECTION.
041400*
041500     IF  MBCA-EIBAID-CLEAR
041600         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
041700         PERFORM 8300-TEMP-STORAGE-DELETE
041800                                 THRU 8399-TSD-EXIT
041900         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
042000         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
042100                                 THRU MB70PD-OLH-EXIT.
042200*
042300****************************************************************
042400*    THIS SECTION RECEIVES THE 13 SCREEN                       *
042500****************************************************************
042600*
042700     IF  MBCA-MBUI-UI-YES
042800*
042900****************************************************************
043000*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
043100****************************************************************
043200*
043300         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
043400         EXEC CICS GETMAIN
043500                   FLENGTH (LENGTH  OF MBUITS-RECORD)
043600
043700                   SET     (ADDRESS OF MBUITS-RECORD)
043800
043900              END-EXEC
044000*
044100***********************************************
044200*    READ THE TEMP STORAGE RECORD             *
044300***********************************************
044400*
044500         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
044600*
044700         EXEC CICS READQ TS
044800                   QUEUE   (TS-QUEUE-NAME)
044900                   INTO    (MBUITS-RECORD)
045000                   LENGTH  (LENGTH  OF MBUITS-RECORD)
045100                   ITEM    (1)
045200              END-EXEC
045300*
045400***********************************************
045500*    DELETE THE TEMP STORAGE RECORD           *
045600***********************************************
045700*
045800         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
045900*
046000         EXEC CICS IGNORE CONDITION
046100                   QIDERR
046200              END-EXEC
046300*
046400         EXEC CICS DELETEQ TS
046500                   QUEUE  (TS-QUEUE-NAME)
046600              END-EXEC
046700         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
046800         PERFORM MB60PD-GETMAIN-FOR-MAP
046900                                 THRU MB60PD-GFM-EXIT
047000         MOVE MBUITS-VAR-DATA    TO MBMM13I
047100     ELSE
047200         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
047300         PERFORM MB60PD-RECEIVE-MAP
047400                                 THRU MB60PD-RM-EXIT
047500         MOVE MBCA-MERCHANT-ORG  TO MM13-ORG
047600         MOVE MBCA-MERCHANT      TO MM13-MERCHANT.
047700*
047800     IF  MBCA-PTI-FUNCTION-IS-ADD
047900         GO TO 2005-CHECK-TRANS-ID.
048000*
048100*****************************************************
048200*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
048300*****************************************************
048400*
048500     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
048600     PERFORM 8100-TEMP-STORAGE-GETMAIN
048700                                 THRU 8199-TSG-EXIT.
048800*
048900***********************************************
049000*    READ THE TEMP STORAGE RECORD             *
049100***********************************************
049200*
049300     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
049400     PERFORM 8200-TEMP-STORAGE-READ
049500                                 THRU 8299-TSR-EXIT.
049600*
049700***********************************************
049800*    DELETE THE TEMP STORAGE RECORD           *
049900***********************************************
050000*
050100     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
050200     PERFORM 8300-TEMP-STORAGE-DELETE
050300                                 THRU 8399-TSD-EXIT.
050400*
050500 2005-CHECK-TRANS-ID.
050600*
050700****************************************************************
050800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
050900****************************************************************
051000*
051100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
051200     PERFORM MB60PD-NEW-TRANS-ROUTINE
051300                                 THRU MB60PD-NTR-EXIT.
051400*
051500 2010-READ-ORG.
051600*
051700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
051800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
051900     SET MBIORO-READ-RANDOM      TO TRUE.
052000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
052100*
052200     MOVE 'FC36'                 TO MBCA-PROGRAM-LOCATION.
052300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
052400     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
052500     SET MBIORO-READ-RANDOM      TO TRUE.
052600     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
052700*
052800     IF (MBCA-PTI-FUNCTION-IS-MAINT
052900     AND MBCA-MBUI-UI-YES
053000     AND (MMMM-REC-PURGED
053100       OR MMMM-REC-INCOMPLETE))
053200     OR
053300        (MBCA-PTI-FUNCTION-IS-ADD
053400     AND MBCA-MBUI-UI-YES
053500     AND MMMM-REC-PURGED)
053600     GO TO 2600-SETUP-COMMAREA.
053700*
053800 2020-EDIT-PRODUCT.
053900*
054000*            ***** PRODUCT *****                               *
054100*
054200     IF  MM13-PRODUCT-L IS GREATER THAN ZERO
054300         IF  MM13-PRODUCT IS NUMERIC
054400             IF  MM13-VALID-PRODUCT
054500                 MOVE DFHBMASF   TO MM13-PRODUCT-A
054600                 MOVE DFHBMDAS   TO MM13-PRODUCT-LP-A
054700                                    MM13-PRODUCT-RP-A
054800                 SET WS-PROD-CROSS-EDIT-ON
054900                                 TO TRUE
055000             ELSE
055100                 MOVE DFHBMNBF   TO MM13-PRODUCT-A
055200                 MOVE DFHBMASB   TO MM13-PRODUCT-LP-A
055300                                    MM13-PRODUCT-RP-A
055400                 MOVE SS08WS-CURSOR TO MM13-PRODUCT-L
055500                 SET SS08WS-ERROR-SW-YES TO TRUE
055600         ELSE
055700             MOVE DFHBMNBF       TO MM13-PRODUCT-A
055800             MOVE DFHBMASB       TO MM13-PRODUCT-LP-A
055900                                    MM13-PRODUCT-RP-A
056000             MOVE SS08WS-CURSOR  TO MM13-PRODUCT-L
056100             SET SS08WS-ERROR-SW-YES TO TRUE.
056200*
056300 2030-EDIT-SELECT.
056400*
056500****************************************************************
056600*    EDIT SELECT FIELD                                         *
056700****************************************************************
056800*
056900     IF  MBCA-PTI-FUNCTION-IS-ADD
057000         GO TO 2040-CROSS-EDIT-PROD.
057100*
057200     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
057300*
057400 2040-CROSS-EDIT-PROD.
057500*
057600     IF  WS-PROD-CROSS-EDIT-OFF
057700         GO TO 2090-CHECK-ERROR.
057800*
057900     SET X-MMOC-PROD             TO MM13-PRODUCT.
058000     IF  MMOC-PRODUCT-NOT-ACTIVE (X-MMOC-PROD)
058100         MOVE DFHBMNBF           TO MM13-PRODUCT-A
058200         MOVE DFHBMASB           TO MM13-PRODUCT-LP-A
058300                                    MM13-PRODUCT-RP-A
058400         MOVE SS08WS-CURSOR      TO MM13-PRODUCT-L
058500         MOVE MBEMWS-INVALID-CARD-PROD
058600                                 TO MM13-ERR-MESSAGE
058700         SET SS08WS-ERROR-SW-YES TO TRUE
058800         GO TO 2090-CHECK-ERROR.
058900*
059000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
059100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
059200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
059300     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
059400     MOVE MM13-PRODUCT           TO MBIOWS-MMMP-PRODUCT.
059500     SET MBIORO-READ-RANDOM      TO TRUE.
059600     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
059700*
059800     SET WS-PROD-CROSS-EDIT-OFF  TO TRUE.
059900*
060000     IF  SS08WS-RC-FC-NOTFND
060100         MOVE MM13-PRODUCT       TO MBCA-CARD-PROD
060200         GO TO 2050-CROSS-EDIT-TAXPAYER-ID                        EH800900
060300     ELSE
060400         IF  MMMP-ADD-PENDING
060500             SET WS-MMMP-ADD-PENDING-YES
060600                                     TO TRUE
060700             MOVE MM13-PRODUCT       TO MBCA-CARD-PROD
060800             GO TO 2050-CROSS-EDIT-TAXPAYER-ID.                   EH800900
060900*
061000     MOVE DFHBMNBF               TO MM13-PRODUCT-A.
061100     MOVE DFHBMASB               TO MM13-PRODUCT-LP-A
061200                                    MM13-PRODUCT-RP-A.
061300     MOVE SS08WS-CURSOR          TO MM13-PRODUCT-L.
061400     MOVE MBEMWS-ALREADY-ON-FILE
061500                                 TO MM13-ERR-MESSAGE.
061600     SET SS08WS-ERROR-SW-YES     TO TRUE.
061610     GO TO 2090-CHECK-ERROR.                                      EH800900
061615*                                                                 EH800900
061620 2050-CROSS-EDIT-TAXPAYER-ID.                                     EH800900
061625     IF (MBCA-CARD-PROD IS EQUAL TO 01                            EH800900
061630     OR  MBCA-CARD-PROD IS EQUAL TO 02)                           EH800900
061635     AND MBCA-MBMM-PROD-ACTIVE                                    EH800900
061640*                                                                 FX800011
061645         IF (MMMM-COUNTRY-CODE (1) = 'US'                         FX800011
061650         OR  MMMM-COUNTRY-CODE (1) = 'USA')                       FX800011
061655         AND (MMMM-TAX-ID IS EQUAL TO ALL SPACES                  FX800011
061660         OR   MMMM-TAX-ID (1:1) IS EQUAL TO SPACE                 FX800011
061665         OR   MMMM-TAX-ID IS EQUAL TO ALL ZEROES                  FX800011
061670         OR   MMMM-TAX-ID IS EQUAL TO ALL '9')                    FX800011
061675            MOVE 'Y'             TO MBCA-MBMM-XCTL-SW             EH800900
061680            MOVE 'INVALID TAXPAYER ID.  PRESS ENTER TO RETURN TO PEH800900
061681-                'AGE 8.'                                         EH800900
061685                                 TO MM13-ERR-MESSAGE              EH800900
061690         END-IF                                                   EH800900
061695     END-IF.                                                      EH800900
061700*
061800 2090-CHECK-ERROR.
061900*
062000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
062100         MOVE DFHBMDAS           TO MM13-PRODUCT-LIT-A
062200                                    MM13-PRODUCT-LP-A
062300                                    MM13-PRODUCT-RP-A
062400                                    MM13-PRODUCT-A.
062500*
062600     IF  SS08WS-ERROR-SW-NO
062700         GO TO 2400-CHECK-SELECT.
062800*
062900     IF  MBCA-MBUI-UI-YES
063000         MOVE 'MBUI'             TO MBCA-TRANS-ID
063100                                    MBCA-PREV-TRANS-ID
063200         MOVE 01                 TO MBCA-SCREEN-NBR
063300         SET MBCA-MBUI-ERROR-YES TO TRUE
063400         GO TO 2690-PF-KEY-BYPASS.
063500*
063600 2300-SEND-MAP.
063700*
063800***********************************************
063900*    WRITE THE TEMP STORAGE RECORD            *
064000***********************************************
064100*
064200     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
064300         MOVE 'TS09'             TO MBCA-PROGRAM-LOCATION
064400         PERFORM 8400-WRITE-QUEUE
064500                                 THRU 8499-WQ-EXIT.
064600*
064700****************************************************************
064800*    SEND THE MAP                                              *
064900****************************************************************
065000*
065100     PERFORM MB60PD-INIT-STD-MAP-LINES
065200                                 THRU MB60PD-ISML-EXIT.
065300*
065400     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
065500         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
065600         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
065700         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
065800         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
065900         MOVE SS08WS-LINE-24     TO MM13-PF-KEYS
066000         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
066100         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
066200         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
066300         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
066400*
066500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
066600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
066700                                 THRU MB60PD-SMDO-EXIT.
066800*
066900****************************************************************
067000*    RETURN TO CICS                                            *
067100****************************************************************
067200*
067300     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
067400     PERFORM MB70PD-RETURN-TRANS-ID
067500                                 THRU MB70PD-RTI-EXIT.
067600/
067700 2400-CHECK-SELECT.
067800*
067900     IF  MBCA-PTI-FUNCTION-IS-ADD
068000         GO TO 2410-UPDATE-RECORDS.
068100*
068200     IF  WS-SELECT-YES
068300         SET X-MBMMTS-INDEX      TO X-PRODUCT-INDEX
068400         MOVE MBMMTS-PRODUCT (X-MBMMTS-INDEX)
068500                                 TO MBCA-CARD-PROD
068600         EVALUATE TRUE
068700           WHEN  MM13-VALID-SELECT (X-PRODUCT-INDEX)
068800             EVALUATE TRUE
068900               WHEN MBCA-CARD-PROD IS EQUAL TO 01
069000                 MOVE 64         TO MBCA-SCREEN-NBR
069100                 MOVE MBCA-MBMM-BACK-PRODUCT
069200                                 TO MBCA-MBMM-FWD-PRODUCT
069300                 GO TO 2690-PF-KEY-BYPASS
069400               WHEN MBCA-CARD-PROD IS EQUAL TO 02
069500                 MOVE 65         TO MBCA-SCREEN-NBR
069600                 MOVE MBCA-MBMM-BACK-PRODUCT
069700                                 TO MBCA-MBMM-FWD-PRODUCT
069800                 GO TO 2690-PF-KEY-BYPASS
069900               WHEN OTHER
070000                 MOVE 66         TO MBCA-SCREEN-NBR
070100                 MOVE MBCA-MBMM-BACK-PRODUCT
070200                                 TO MBCA-MBMM-FWD-PRODUCT
070300                 GO TO 2690-PF-KEY-BYPASS
070400             END-EVALUATE
070500         END-EVALUATE
070600     END-IF.
070700*
070800 2410-UPDATE-RECORDS.
070900*
071000*
071100****************************************************************
071200*    START BROWSE THE MERCHANT PROD ASSIGNMENT FILE            *
071300****************************************************************
071400*
071500     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
071600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
071700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
071800     MOVE 00                     TO MBIOWS-MMMP-PRODUCT.
071900     SET MBIORO-STARTBR-GTE      TO TRUE.
072000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
072100*
072200****************************************************************
072300*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
072400****************************************************************
072500*
072600     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
072700     SET MBIORO-READ-SEQ         TO TRUE.
072800     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
072900*
073000     IF  MMMP-ORG-MERCHANT IS EQUAL TO MBCA-ORG-MERCHANT
073100         SET MBCA-MBMM-PRODUCT-ON
073200                                 TO TRUE.
073300*
073400****************************************************************
073500*    END BROWSE THE MERCHANT PROD ASSIGNMENT FILE              *
073600****************************************************************
073700*
073800     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
073900     SET MBIORO-ENDBR            TO TRUE.
074000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
074100*
074200     IF  MBCA-MBUI-UI-YES
074300     AND MBCA-MBUI-UI-UPDATE-NO
074400         GO TO 2690-PF-KEY-BYPASS.
074500*
074600     IF  MBCA-PTI-FUNCTION-IS-ADD
074700     AND MM13-PRODUCT-L IS LESS THAN 1
074800     AND MBCA-MBMM-PRODUCT-ON
074900     AND MBCA-EIBAID-ENTER
075000         SET MBCA-MBMM-PRODUCT-OFF
075100                                 TO TRUE
075200         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
075300         SET MBIORO-GETMAIN      TO TRUE
075400         PERFORM MMFAAO-ACCESS   THRU MMFAAO-ACCESS-EXIT
075500         MOVE 'SC04'             TO MBCA-PROGRAM-LOCATION
075600         SET MBIORO-GETMAIN      TO TRUE
075700         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT
075800         MOVE MMFAIR-RECORD      TO MMFA-RECORD
075900         MOVE MBCA-MERCHANT-ORG  TO MMFA-ORG
076000         MOVE MBCA-MERCHANT      TO MMFA-MERCHANT
076100         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
076200         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMFA-ORG
076300         MOVE MBCA-MERCHANT      TO MBIOWS-MMFA-MERCHANT
076400         SET MBIORO-WRITE        TO TRUE
076500         PERFORM MMFAAO-ACCESS   THRU MMFAAO-ACCESS-EXIT
076600         PERFORM 9600-READ-MMMM-UPDT
076700                                 THRU 9699-EXIT
076800         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
076900         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
077000         EVALUATE TRUE
077100           WHEN MMMM-REC-MODEL
077200             CONTINUE
077300           WHEN OTHER
077400             SET MMMM-REC-ACTIVE TO TRUE
077500         END-EVALUATE
077600         SET MMMM-ADD-COMPLETED  TO TRUE
077700         MOVE ZEROES             TO MML1-FIELD-CODE
077800                                    MML1-FIELD-OCCURRENCE
077900                                    MML1-FIELD-OCCURRENCE-2
078000         MOVE LENGTH OF MMMM-RECORD
078100                                 TO MML1-VARIABLE-LENGTH
078200         MOVE MMMM-RECORD        TO MML1-ADD-AREA
078300         MOVE 'FC12'             TO MBCA-PROGRAM-LOCATION
078400         PERFORM 9100-WRITE-LOG-RECORD
078500                                 THRU 9199-WLR-EXIT
078600         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
078700         SET MBIORO-REWRITE      TO TRUE
078800         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
078900*
079000         PERFORM 9200-COMPLETE-MMMP
079100                                 THRU 9299-CM-EXIT
079200*
079300         IF  MMMM-SINGLE-STORE-YES
079400             PERFORM 9700-READ-MMSM-UPDT
079500                                 THRU 9799-EXIT
079600             MOVE 'FC14'         TO MBCA-PROGRAM-LOCATION
079700             SET MMSM-REC-SINGLE-STORE
079800                                 TO TRUE
079900             SET MMSM-ADD-COMPLETED
080000                                 TO TRUE
080100             SET MMSM-REC-ACTIVE TO TRUE
080200             SET MBIORO-REWRITE  TO TRUE
080300             PERFORM MMSMAO-ACCESS
080400                                 THRU MMSMAO-ACCESS-EXIT
080500             SET MBCA-INITIAL-SCREEN-NBR
080600                                 TO TRUE
080700             GO TO 2690-PF-KEY-BYPASS
080800         ELSE
080900             SET MBCA-INITIAL-SCREEN-NBR
081000                                 TO TRUE
081100             GO TO 2690-PF-KEY-BYPASS.
081200/
081300 2600-SETUP-COMMAREA.
081400*
081500****************************************************************
081600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
081700****************************************************************
081800*
081900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
082000*
082100     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
082200     AND MM13-PRODUCT-L IS GREATER THAN ZERO
082300     AND MBCA-EIBAID-ENTER
082400         MOVE MBCA-START-DATE    TO MMMP-LAST-MAINT-DATE
082500         MOVE MBCA-OPERATOR-ID   TO MMMP-LAST-MAINT-OPER
082600         MOVE MM13-PRODUCT       TO MBCA-CARD-PROD
082700         PERFORM 9800-WRITE-MMMP-INIT
082800                                 THRU 9899-EXIT
082900         EVALUATE TRUE
083000           WHEN MM13-PRODUCT-VISA
083100             MOVE 64             TO MBCA-SCREEN-NBR
083200           WHEN MM13-PRODUCT-MC
083300             MOVE 65             TO MBCA-SCREEN-NBR
083400           WHEN OTHER
083500             MOVE 66             TO MBCA-SCREEN-NBR
083600         END-EVALUATE
083700         GO TO 2690-PF-KEY-BYPASS.
083800*
083900     IF  MBCA-PTI-FUNCTION-IS-MAINT
084000     AND MM13-PRODUCT-L IS GREATER THAN ZERO
084100     AND MBCA-EIBAID-ENTER
084200         EVALUATE TRUE
084300           WHEN MM13-PRODUCT-VISA
084400             MOVE 64             TO MBCA-SCREEN-NBR
084500           WHEN MM13-PRODUCT-MC
084600             MOVE 65             TO MBCA-SCREEN-NBR
084700           WHEN OTHER
084800             MOVE 66             TO MBCA-SCREEN-NBR
084900         END-EVALUATE
085000         GO TO 2690-PF-KEY-BYPASS.
085100*
085200     IF  MBCA-PTI-FUNCTION-IS-ADD
085300         MOVE '           MUST ADD A PRODUCT - RECORD INCOMPLETE'
085400                                 TO MM13-ERR-MESSAGE
085500         MOVE DFHBMNBF           TO MM13-PRODUCT-A
085600         MOVE DFHBMASB           TO MM13-PRODUCT-LP-A
085700                                    MM13-PRODUCT-RP-A
085800         MOVE SS08WS-CURSOR      TO MM13-PRODUCT-L
085900         GO TO 2300-SEND-MAP.
086000*
086100     IF  SS08WS-VALID-PF3
086200     OR  SS08WS-EIBAID-VALID-PF3
086300         MOVE 63                 TO MBCA-SCREEN-NBR
086400         MOVE MBCA-MBMM-FIRST-PRODUCT
086500                                 TO MBCA-MBMM-FWD-PRODUCT
086600         SET MBCA-MBMM-RETURN-NORMAL
086700                                 TO TRUE
086800         GO TO 2690-PF-KEY-BYPASS.
086900*
087000     IF  SS08WS-VALID-PF4
087100     OR  SS08WS-EIBAID-VALID-PF4
087200         MOVE 63                 TO MBCA-SCREEN-NBR
087300         IF (MBMMTS-PRODUCT (1) IS GREATER THAN ZEROES
087400         AND MBMMTS-PRODUCT (14) IS EQUAL TO ZEROES)
087500         OR (MBCA-MBMM-FWD-PRODUCT IS EQUAL TO ZEROES)
087600             SET MBCA-MBMM-RETURN-NORMAL
087700                                 TO TRUE
087800             MOVE ZEROES         TO MBCA-MBMM-FWD-PRODUCT
087900             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
088000             PERFORM 8400-WRITE-QUEUE
088100                                 THRU 8499-WQ-EXIT
088200             GO TO 2690-PF-KEY-BYPASS
088300         ELSE
088400             SET MBCA-MBMM-RETURN-BOTTOM
088500                                 TO TRUE
088600             GO TO 2690-PF-KEY-BYPASS.
088700*
088800     IF  SS08WS-VALID-PF5
088900     OR  SS08WS-EIBAID-VALID-PF5
089000         MOVE 63                 TO MBCA-SCREEN-NBR
089100         IF (MBMMTS-PRODUCT (1) IS GREATER THAN ZEROES
089200         AND MBMMTS-PRODUCT (14) IS EQUAL TO ZEROES)
089300         OR (MBCA-MBMM-FWD-PRODUCT IS EQUAL TO ZEROES)
089400             SET MBCA-MBMM-RETURN-NORMAL
089500                                 TO TRUE
089600             MOVE ZEROES         TO MBCA-MBMM-FWD-PRODUCT
089700             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
089800             PERFORM 8400-WRITE-QUEUE
089900                                 THRU 8499-WQ-EXIT
090000             GO TO 2690-PF-KEY-BYPASS
090100         ELSE
090200             SET MBCA-MBMM-RETURN-FWD
090300                                 TO TRUE
090400             ADD 1               TO MBCA-MBMM-FWD-PRODUCT
090500             GO TO 2690-PF-KEY-BYPASS.
090600*
090700     IF  SS08WS-VALID-PF6
090800     OR  SS08WS-EIBAID-VALID-PF6
090900         MOVE 63                 TO MBCA-SCREEN-NBR
091000         IF  MBCA-MBMM-BACK-PRODUCT  IS EQUAL
091100                                 TO MBCA-MBMM-FIRST-PRODUCT
091200             SET MBCA-MBMM-RETURN-NORMAL
091300                                 TO TRUE
091400             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
091500             PERFORM 8400-WRITE-QUEUE
091600                                 THRU 8499-WQ-EXIT
091700             GO TO 2690-PF-KEY-BYPASS
091800         ELSE
091900             MOVE MBCA-MBMM-BACK-PRODUCT
092000                                 TO MBCA-MBMM-FWD-PRODUCT
092100             SET MBCA-MBMM-RETURN-BWD
092200                                 TO TRUE
092300             GO TO 2690-PF-KEY-BYPASS.
092400*
092500     IF  MM13-CURRENT-PAGE-L IS GREATER THAN ZERO
092600     AND MM13-CURRENT-PAGE   IS NUMERIC
092700         IF  MM13-CURRENT-PAGE IS GREATER THAN 13
092800             MOVE 63             TO MBCA-SCREEN-NBR
092900             GO TO 2690-PF-KEY-BYPASS
093000         ELSE
093100             PERFORM MB60PD-EDIT-PAGE-NBR
093200                                 THRU MB60PD-EPN-EXIT
093300             GO TO 2690-PF-KEY-BYPASS.
093400*
093500*
093600     IF  SS08WS-VALID-PF-KEY
093700     OR  SS08WS-EIBAID-VALID-PF-KEY
093800     OR  MBMMTS-PRODUCT (14) IS EQUAL TO ZEROES
093900     OR  MBCA-MBMM-FWD-PRODUCT IS EQUAL TO ZEROES
094000         SET MBCA-INITIAL-SCREEN-NBR
094100                                 TO TRUE
094200         MOVE MBIOWS-MMMM-KEY-CODE
094300                                 TO MBCA-KEY-CODE
094400         SET MBCA-MBMM-RETURN-NORMAL
094500                                 TO TRUE
094600         GO TO 2690-PF-KEY-BYPASS.
094700*
094800     IF  MBCA-EIBAID-ENTER
094900         SET MBCA-INITIAL-SCREEN-NBR
095000                                 TO TRUE
095100         MOVE MBIOWS-MMMM-KEY-CODE
095200                                 TO MBCA-KEY-CODE
095300     ELSE
095400         MOVE 63                 TO MBCA-SCREEN-NBR
095500         ADD 1                   TO MBCA-MBMM-FWD-PRODUCT
095600         SET MBCA-MBMM-RETURN-NORMAL
095700                                 TO TRUE.
095800*
095900 2690-PF-KEY-BYPASS.
096000*
096100     IF  MBCA-MBUI-UI-YES
096200         MOVE 'MBUI'             TO MBCA-TRANS-ID
096300                                    MBCA-PREV-TRANS-ID
096400         MOVE 01                 TO MBCA-SCREEN-NBR
096500         MOVE MBMM13I            TO MBUITS-VAR-DATA
096600         MOVE LENGTH OF MBMM13I  TO MBUITS-VAR-LENGTH
096700         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
096800         EXEC CICS WRITEQ TS
096900                   QUEUE   (TS-QUEUE-NAME)
097000                   FROM    (MBUITS-RECORD)
097100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
097200
097300              END-EXEC.
097400*
097500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
097600         MOVE DFHBMDAS           TO MM13-PRODUCT-LIT-A
097700                                    MM13-PRODUCT-LP-A
097800                                    MM13-PRODUCT-RP-A
097900                                    MM13-PRODUCT-A.
097910     IF  MBCA-MBMM-XCTL-SW IS EQUAL TO 'Y'                        EH800900
097920     AND MBCA-INITIAL-SCREEN-NBR                                  EH800900
097930         MOVE 58                 TO MBCA-SCREEN-NBR               EH800900
097940         IF MBCA-PTI-FUNCTION-IS-ADD                              EH800900
097950            SET MBCA-PTI-FUNCTION-IS-MAINT                        EH800900
097960                                 TO TRUE                          EH800900
097965         END-IF                                                   EH800900
097970     END-IF.                                                      EH800900
097990*                                                                 EH800900
098000*
098100     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
098200     PERFORM MB70PD-XCTL-TO-MBOXCTL
098300                                 THRU MB70PD-XTM-EXIT.
098400/
098500 8000-PERFORMED-ROUTINES-SECT SECTION.
098600*
098700 8100-TEMP-STORAGE-GETMAIN.
098800*
098900     EXEC CICS GETMAIN
099000               FLENGTH (LENGTH  OF MBMMTS-RECORD)
099100               SET     (ADDRESS OF MBMMTS-RECORD)
099200          END-EXEC.
099300*
099400 8199-TSG-EXIT.
099500     EXIT.
099600*
099700 8200-TEMP-STORAGE-READ.
099800*
099900     EXEC CICS READQ TS
100000               QUEUE   (TS-QUEUE-NAME-13)
100100               INTO    (MBMMTS-RECORD)
100200               LENGTH  (LENGTH  OF MBMMTS-RECORD)
100300               ITEM    (1)
100400          END-EXEC.
100500*
100600 8299-TSR-EXIT.
100700     EXIT.
100800*
100900 8300-TEMP-STORAGE-DELETE.
101000*
101100     EXEC CICS IGNORE CONDITION
101200               QIDERR
101300          END-EXEC.
101400*
101500     EXEC CICS DELETEQ TS
101600               QUEUE  (TS-QUEUE-NAME-13)
101700          END-EXEC.
101800*
101900 8399-TSD-EXIT.
102000     EXIT.
102100*
102200 8400-WRITE-QUEUE.
102300*
102400     EXEC CICS WRITEQ TS
102500               QUEUE   (TS-QUEUE-NAME-13)
102600               FROM    (MBMMTS-RECORD)
102700               LENGTH  (LENGTH  OF MBMMTS-RECORD)
102800          END-EXEC.
102900*
103000 8499-WQ-EXIT.
103100     EXIT.
103200*
103300 8600-EDIT-SELECT.
103400*
103500     SET X-PRODUCT-INDEX         TO +1.
103600*
103700 8600-EDIT-LOOP.
103800*
103900     IF  MM13-SELECT-L (X-PRODUCT-INDEX) IS GREATER THAN ZERO
104000         IF  MM13-VALID-SELECT (X-PRODUCT-INDEX)
104100             MOVE DFHBMASF       TO MM13-SELECT-A
104200                                    (X-PRODUCT-INDEX)
104300             MOVE DFHBMDAS       TO MM13-SELECT-LP-A
104400                                    (X-PRODUCT-INDEX)
104500                                    MM13-SELECT-RP-A
104600                                    (X-PRODUCT-INDEX)
104700             IF  MM13-VALID-X (X-PRODUCT-INDEX)
104800                 SET WS-SELECT-YES
104900                                 TO TRUE
105000                 GO TO 8699-ES-EXIT
105100             ELSE
105200                 NEXT SENTENCE
105300         ELSE
105400             SET SS08WS-ERROR-SW-YES TO TRUE
105500             MOVE SS08WS-CURSOR  TO MM13-SELECT-L
105600                                    (X-PRODUCT-INDEX)
105700             MOVE DFHBMUBF       TO MM13-SELECT-A
105800                                    (X-PRODUCT-INDEX)
105900             MOVE DFHBMASB       TO MM13-SELECT-LP-A
106000                                    (X-PRODUCT-INDEX)
106100                                    MM13-SELECT-RP-A
106200                                    (X-PRODUCT-INDEX)
106300             GO TO 8699-ES-EXIT.
106400*
106500     IF  X-PRODUCT-INDEX IS LESS THAN +14
106600         SET X-PRODUCT-INDEX     UP BY +1
106700         GO TO 8600-EDIT-LOOP.
106800*
106900 8699-ES-EXIT.
107000     EXIT.
107100*
107200 8800-BUILD-SCREEN.
107300*
107400     SET X-PRODUCT-INDEX         TO +1.
107500*
107600 8800-BUILD-LOOP.
107700*
107800     SET X-MBMMTS-INDEX          TO X-PRODUCT-INDEX.
107900*
108000     IF  MBMMTS-PRODUCT (X-MBMMTS-INDEX)
108100                                 IS GREATER THAN ZEROES
108200         MOVE MBMMTS-PRODUCT (X-MBMMTS-INDEX)
108300                                 TO WS-PRODUCT
108400         MOVE MBMMTS-STATUS (X-MBMMTS-INDEX)
108500                                 TO WS-STATUS
108600         MOVE MBMMTS-EFFECTIVE-DATE (X-MBMMTS-INDEX)
108700                                 TO WS-EFFECTIVE-DATE
108800         MOVE MBMMTS-SOURCE (X-MBMMTS-INDEX)
108900                                 TO WS-SOURCE
109000         MOVE MBMMTS-SETTLE (X-MBMMTS-INDEX)
109100                                 TO WS-SETTLE
109200         MOVE MBMMTS-SHORT-DESC (X-MBMMTS-INDEX)
109300                                 TO WS-SHORT-DESC
109400         MOVE MBMMTS-PROD-DESC (X-MBMMTS-INDEX)
109500                                 TO WS-PROD-DESC
109600         MOVE WS-DETAIL-LINE     TO MM13-DIRECTORY-LINE
109700                                    (X-PRODUCT-INDEX)
109800     ELSE
109900         MOVE DFHBMASK           TO MM13-SELECT-A
110000                                    (X-PRODUCT-INDEX)
110100         MOVE DFHBMDAS           TO MM13-DIRECTORY-LINE-A
110200                                    (X-PRODUCT-INDEX)
110300                                    MM13-SELECT-LP-A
110400                                    (X-PRODUCT-INDEX)
110500                                    MM13-SELECT-RP-A
110600                                    (X-PRODUCT-INDEX).
110700*
110800     IF  X-PRODUCT-INDEX IS LESS THAN +14
110900         SET X-PRODUCT-INDEX     UP BY +1
111000         GO TO 8800-BUILD-LOOP
111100     ELSE
111200         MOVE MBCA-MBMM-FWD-PRODUCT
111300                                 TO WS-FWD-PRODUCT.
111400*
111500 8899-BS-EXIT.
111600     EXIT.
111700*
111800 8900-LAST-SCREEN.
111900*
112000****************************************************************
112100*    START BROWSE THE MERCHANT PROD ASSIGNMENT FILE            *
112200****************************************************************
112300*
112400     MOVE 'FC15'                 TO MBCA-PROGRAM-LOCATION.
112500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
112600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
112700     MOVE 99                     TO MBIOWS-MMMP-PRODUCT.
112800     SET MBIORO-STARTBR-GTE      TO TRUE.
112900     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
113000*
113100****************************************************************
113200*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
113300****************************************************************
113400*
113500     MOVE 'FC16'                 TO MBCA-PROGRAM-LOCATION.
113600     SET MBIORO-READ-SEQ         TO TRUE.
113700     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
113800*
113900****************************************************************
114000*    READPREV THE MERCHANT PROD ASSIGNMENT FILE              *
114100****************************************************************
114200*
114300     MOVE 'FC17'                 TO MBCA-PROGRAM-LOCATION.
114400     SET MBIORO-READ-PREV        TO TRUE.
114500     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
114600*
114700     SET X-PRODUCT-INDEX         TO +14.
114800     SET WS-BYPASS-NO            TO TRUE.
114900*
115000 8900-READ-PRODUCT-FILE.
115100*
115200****************************************************************
115300*    READPREV THE MERCHANT PROD ASSIGNMENT FILE                *
115400****************************************************************
115500*
115600     MOVE 'FC18'                 TO MBCA-PROGRAM-LOCATION.
115700     SET MBIORO-READ-PREV        TO TRUE.
115800     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
115900*
116000 8900-BUILD-LOOP.
116100*
116200     IF  MMMP-ORG-MERCHANT IS LESS THAN MBCA-ORG-MERCHANT
116300     OR  MMMP-PRODUCT IS LESS THAN MBCA-MBMM-FIRST-PRODUCT
116400         GO TO 8900-END-BROWSE.
116500*
116600     IF  MMMP-PRODUCT IS EQUAL TO MBCA-MBMM-FIRST-PRODUCT
116700     AND X-PRODUCT-INDEX IS GREATER THAN +1
116800         SET MBCA-MBMM-RETURN-NORMAL
116900                                 TO TRUE
117000         MOVE MBCA-MBMM-FIRST-PRODUCT
117100                                 TO MBCA-MBMM-FWD-PRODUCT
117200         SET WS-BYPASS-YES       TO TRUE
117300         GO TO 8900-END-BROWSE.
117400*
117500     PERFORM 9500-BUILD-SCREEN-LINE
117600                                 THRU 9599-BSL-EXIT.
117700*
117800     IF  X-PRODUCT-INDEX IS GREATER THAN +1
117900         SET X-PRODUCT-INDEX     DOWN BY +1
118000         GO TO 8900-READ-PRODUCT-FILE
118100     ELSE
118200         MOVE MMMP-PRODUCT       TO MBCA-MBMM-BACK-PRODUCT.
118300*
118400 8900-END-BROWSE.
118500*
118600****************************************************************
118700*    END BROWSE THE MERCHANT PROD ASSIGNMENT FILE              *
118800****************************************************************
118900*
119000     MOVE 'FC19'                 TO MBCA-PROGRAM-LOCATION.
119100     SET MBIORO-ENDBR            TO TRUE.
119200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
119300*
119400     IF  WS-BYPASS-YES
119500         GO TO 8999-LS-EXIT.
119600*
119700     MOVE ZEROES                 TO MBCA-MBMM-FWD-PRODUCT
119800                                    WS-FWD-PRODUCT.
119900*
120000 8999-LS-EXIT.
120100     EXIT.
120200*
120300 9000-BACK-SCREEN.
120400*
120500****************************************************************
120600*    START BROWSE THE MERCHANT PROD ASSIGNMENT FILE            *
120700****************************************************************
120800*
120900     MOVE 'FC20'                 TO MBCA-PROGRAM-LOCATION.
121000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
121100     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
121200     MOVE MBCA-MBMM-FWD-PRODUCT  TO MBIOWS-MMMP-PRODUCT.
121300     SET MBIORO-STARTBR-GTE      TO TRUE.
121400     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
121500*
121600****************************************************************
121700*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
121800****************************************************************
121900*
122000     MOVE 'FC21'                 TO MBCA-PROGRAM-LOCATION.
122100     SET MBIORO-READ-SEQ         TO TRUE.
122200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
122300*
122400****************************************************************
122500*    READPREV THE MERCHANT PROD ASSIGNMENT FILE                *
122600****************************************************************
122700*
122800     MOVE 'FC22'                 TO MBCA-PROGRAM-LOCATION.
122900     SET MBIORO-READ-PREV        TO TRUE.
123000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
123100*
123200     SET X-PRODUCT-INDEX         TO +14.
123300     SET WS-BYPASS-NO            TO TRUE.
123400*
123500 9000-READ-MERCH-PROD-FILE.
123600*
123700****************************************************************
123800*    READPREV THE MERCHANT PROD ASSIGNMENT FILE                *
123900****************************************************************
124000*
124100     MOVE 'FC23'                 TO MBCA-PROGRAM-LOCATION.
124200     SET MBIORO-READ-PREV        TO TRUE.
124300     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
124400*
124500 9000-BUILD-LOOP.
124600*
124700     IF  X-PRODUCT-INDEX IS GREATER THAN +1
124800     AND MMMP-PRODUCT IS EQUAL TO MBCA-MBMM-FIRST-PRODUCT
124900         SET MBCA-MBMM-RETURN-NORMAL
125000                                 TO TRUE
125100         MOVE MBCA-MBMM-FIRST-PRODUCT
125200                                 TO MBCA-MBMM-FWD-PRODUCT
125300         SET WS-BYPASS-YES       TO TRUE
125400         GO TO 9000-END-BROWSE.
125500*
125600     IF  MMMP-PRODUCT IS EQUAL TO MBCA-MBMM-BACK-PRODUCT
125700     AND X-PRODUCT-INDEX IS EQUAL TO +14
125800         GO TO 9000-READ-MERCH-PROD-FILE.
125900*
126000     PERFORM 9500-BUILD-SCREEN-LINE
126100                                 THRU 9599-BSL-EXIT.
126200*
126300     IF  X-PRODUCT-INDEX IS EQUAL TO +14
126400         MOVE MMMP-PRODUCT       TO MBCA-MBMM-FWD-PRODUCT
126500                                    WS-FWD-PRODUCT.
126600*
126700     IF  X-PRODUCT-INDEX IS GREATER THAN +1
126800         SET X-PRODUCT-INDEX     DOWN BY +1
126900         GO TO 9000-READ-MERCH-PROD-FILE
127000     ELSE
127100         MOVE MMMP-PRODUCT       TO MBCA-MBMM-BACK-PRODUCT.
127200*
127300 9000-END-BROWSE.
127400*
127500****************************************************************
127600*    END BROWSE THE MERCHANT PROD ASSIGNMENT FILE              *
127700****************************************************************
127800*
127900     MOVE 'FC24'                 TO MBCA-PROGRAM-LOCATION.
128000     SET MBIORO-ENDBR            TO TRUE.
128100     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
128200*
128300 9099-BS-EXIT.
128400     EXIT.
128500*
128600 9100-WRITE-LOG-RECORD.
128700*
128800     MOVE 'MM'                   TO MML1-FILE-CODE.
128900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
129000     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
129100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
129200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
129300     MOVE ZEROS                  TO MML1-SOURCE-CODE
129400                                    MML1-FIELD-OCCURRENCE-2.
129500*
129600     SET MBIORO-WRITE            TO TRUE.
129700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
129800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
129900*
130000 9199-WLR-EXIT.
130100     EXIT.
130200*
130300 9200-COMPLETE-MMMP.
130400*
130500****************************************************************
130600*    START BROWSE THE MERCHANT PROD ASSIGNMENT FILE            *
130700****************************************************************
130800*
130900     MOVE 'FC25'                 TO MBCA-PROGRAM-LOCATION.
131000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
131100     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
131200     MOVE WS-TEMP-PRODUCT        TO MBIOWS-MMMP-PRODUCT.
131300     SET MBIORO-STARTBR-GTE      TO TRUE.
131400     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
131500*
131600****************************************************************
131700*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
131800****************************************************************
131900*
132000     MOVE 'FC26'                 TO MBCA-PROGRAM-LOCATION.
132100     SET MBIORO-READ-SEQ         TO TRUE.
132200     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
132300*
132400****************************************************************
132500*    END BROWSE THE MERCHANT PROD ASSIGNMENT FILE              *
132600****************************************************************
132700*
132800     MOVE 'FC27'                 TO MBCA-PROGRAM-LOCATION.
132900     SET MBIORO-ENDBR            TO TRUE.
133000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
133100*
133200     IF  MMMP-ORG-MERCHANT IS EQUAL TO MBCA-ORG-MERCHANT
133300         NEXT SENTENCE
133400     ELSE
133500         GO TO 9299-CM-EXIT.
133600*
133700****************************************************************
133800*    READ RANDOM FOR UPDATE ON THE MERCHANT PROD ASSIGNMENT FILE
133900****************************************************************
134000*
134100     MOVE 'FC28'                 TO MBCA-PROGRAM-LOCATION.
134200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
134300     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
134400     MOVE MMMP-PRODUCT           TO MBIOWS-MMMP-PRODUCT.
134500     SET MBIORO-READ-RANDOM-UPDATE
134600                                 TO TRUE.
134700     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
134800*
134900     MOVE 'FC29'                 TO MBCA-PROGRAM-LOCATION.
135000*
135100     EVALUATE TRUE
135200         WHEN MMMP-REC-MODEL
135300             CONTINUE
135400         WHEN OTHER
135500             SET MMMP-REC-ACTIVE TO TRUE
135600     END-EVALUATE.
135700*
135800     SET MMMP-ADD-COMPLETED      TO TRUE.
135900     SET MBIORO-REWRITE          TO TRUE.
136000     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
136100     MOVE MBCA-START-DATE        TO MMMP-LAST-MAINT-DATE.
136200     MOVE MBCA-OPERATOR-ID       TO MMMP-LAST-MAINT-OPER.
136300     MOVE ZEROES                 TO MML1-FIELD-CODE
136400                                    MML1-FIELD-OCCURRENCE
136500                                    MML1-FIELD-OCCURRENCE-2.
136600     MOVE LENGTH OF MMMP-RECORD  TO MML1-VARIABLE-LENGTH.
136700     MOVE 'MP'                   TO MML1-FILE-CODE.
136800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMP-ORG.
136900     MOVE MBCA-MERCHANT          TO MML1-MMMP-MERCHANT.
137000     MOVE MMMP-PRODUCT           TO MML1-MMMP-PRODUCT.
137100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
137200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
137300     MOVE MMMP-RECORD            TO MML1-ADD-AREA.
137400     MOVE 'FC30'                 TO MBCA-PROGRAM-LOCATION.
137500     SET MBIORO-WRITE            TO TRUE.
137600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
137700*
137800     MOVE MMMP-PRODUCT           TO WS-TEMP-PRODUCT.
137900     ADD 1                       TO WS-TEMP-PRODUCT.
138000     GO TO 9200-COMPLETE-MMMP.
138100*
138200 9299-CM-EXIT.
138300     EXIT.
138400*
138500 9400-READ-AHEAD.
138600*
138700****************************************************************
138800*    READNEXT THE MERCHANT PROD ASSIGNMENT FILE                *
138900****************************************************************
139000*
139100     MOVE 'FC31'                 TO MBCA-PROGRAM-LOCATION.
139200     SET MBIORO-READ-SEQ         TO TRUE.
139300     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
139400*
139500     IF  MMMP-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
139600         MOVE ZEROES             TO WS-FWD-PRODUCT
139700                                    MBCA-MBMM-FWD-PRODUCT
139800         GO TO 9499-RA-EXIT.
139900*
140000     MOVE MMMP-PRODUCT           TO WS-FWD-PRODUCT.
140100*
140200 9499-RA-EXIT.
140300     EXIT.
140400*
140500 9500-BUILD-SCREEN-LINE.
140600*
140700     SET X-MBMMTS-INDEX          TO X-PRODUCT-INDEX.
140800     MOVE MMMP-PRODUCT           TO WS-INDEX.
140900     SET X-MMOC-PROD             TO WS-INDEX.
141000*
141100     MOVE MMMP-PRODUCT           TO WS-PRODUCT
141200                                    MBMMTS-PRODUCT
141300                                    (X-MBMMTS-INDEX).
141400*
141500     MOVE MMMP-PROD-STATUS       TO WS-STATUS
141600                                    MBMMTS-STATUS
141700                                    (X-MBMMTS-INDEX).
141800*
141900     MOVE MMMP-PROD-EFF-DATE     TO SS01WS-JULIAN.
142000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
142100     MOVE SS01WS-DATE            TO WS-EFFECTIVE-DATE
142200                                    MBMMTS-EFFECTIVE-DATE
142300                                    (X-MBMMTS-INDEX).
142400*
142500     MOVE MMMP-PROD-SOURCE       TO WS-SOURCE
142600                                    MBMMTS-SOURCE
142700                                    (X-MBMMTS-INDEX).
142800*
142900     MOVE MMMP-PROD-SETTLE-FLAG  TO WS-SETTLE
143000                                    MBMMTS-SETTLE
143100                                    (X-MBMMTS-INDEX).
143200*
143300     MOVE MMMP-PROD-SHORT-DESC   TO WS-SHORT-DESC
143400                                    MBMMTS-SHORT-DESC
143500                                    (X-MBMMTS-INDEX).
143600*
143700     MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
143800                                 TO WS-PROD-DESC
143900                                    MBMMTS-PROD-DESC
144000                                    (X-MBMMTS-INDEX).
144100*
144200     MOVE WS-DETAIL-LINE         TO MM13-DIRECTORY-LINE
144300                                    (X-PRODUCT-INDEX).
144310*                                                                 EH800900
144320     IF MMMP-PROD-IS-VISA                                         EH800900
144330     OR MMMP-PROD-IS-MC                                           EH800900
144340        PERFORM 2050-CROSS-EDIT-TAXPAYER-ID.                      EH800900
144400*
144500 9599-BSL-EXIT.
144600     EXIT.
144700*
144800 9600-READ-MMMM-UPDT.
144900*
145000     MOVE 'FC32'                 TO MBCA-PROGRAM-LOCATION.
145100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
145200     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
145300     SET MBIORO-READ-RANDOM-UPDATE
145400                                 TO TRUE.
145500     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
145600*
145700 9699-EXIT.
145800     EXIT.
145900*
146000 9700-READ-MMSM-UPDT.
146100*
146200     MOVE 'FC33'                 TO MBCA-PROGRAM-LOCATION.
146300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
146400     MOVE MMMM-STORE-NBR         TO MBIOWS-MMSM-STORE.
146500     SET MBIORO-READ-RANDOM-UPDATE
146600                                 TO TRUE.
146700     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
146800*
146900 9799-EXIT.
147000     EXIT.
147100*
147200 9800-WRITE-MMMP-INIT.
147300*
147400     IF  WS-MMMP-ADD-PENDING-YES
147500         GO TO 9899-EXIT.
147600*
147700     MOVE 'FC34'                 TO MBCA-PROGRAM-LOCATION.
147800     SET MBIORO-GETMAIN          TO TRUE.
147900     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
148000*
148100     MOVE MMMPIR-RECORD          TO MMMP-RECORD.
148200     MOVE MBCA-MERCHANT-ORG      TO MMMP-ORG.
148300     MOVE MBCA-MERCHANT          TO MMMP-MERCHANT.
148400     MOVE MBCA-CARD-PROD         TO MMMP-PRODUCT.
148500*
148600     MOVE 'FC35'                 TO MBCA-PROGRAM-LOCATION.
148700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
148800     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
148900     MOVE MBCA-CARD-PROD         TO MBIOWS-MMMP-PRODUCT.
149000     SET MBIORO-WRITE            TO TRUE.
149100     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
149200*
149300 9899-EXIT.
149400     EXIT.
149500/         JULIAN TO GREGORIAN DATE ROUTINE
149600     COPY SS08PD.
149700/         DATE AND TIME EDIT ROUTINES
149800     COPY SS26PD.
149900     COPY SS27PD.
150000/         LINE 24 PF KEYS ROUTINE
150100     COPY SS15PD.
150200/         MERCHANT RECORD ACCESS ROUTINES
150300     COPY MMMMAO.
150400/         MERCHANT PROD ASSIGNMENT RECORD ACCESS ROUTINES
150500     COPY MMMPAO.
150600/         STORE RECORD ACCESS ROUTINES
150700     COPY MMSMAO.
150800/         ORGANIZATION RECORD ACCESS ROUTINES
150900     COPY MMOCAO.
151000/         MERCHANT FEE ACTIVITYE ACCESS ROUTINES
151100     COPY MMFAAO.
151200/         LOG/JOURNAL ACCESS ROUTINES
151300     COPY MML1AO.
151400/         ON-LINE MAP ROUTINES
151500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM13 '
151600                           MBMAPXXI BY MBMM13I
151700                           MBMAPXXO BY MBMM13O.
151800/         ON-LINE PROCEDURES
151900     COPY MB70PD.
152000/
152100     COPY SMFTPXO.
