000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO06.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO06 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 06 AND 07                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO06 (ORGANIZATION MAP 06 AND 07)        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600/         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/
004500 01  WS-WORK-AREAS.
004600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004900     03  WS-INDEX            PIC S9(04)      BINARY.
005000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005100/
005200 LINKAGE SECTION.
005300 01  DFHCOMMAREA.
005400     COPY MB60WS.
005500/         ORG SCREEN 06 AND 07 MAP DSECT
005600     COPY MBMO06.
005700/         ORG SCREEN 06 AND 07 MAP REDEFINITION
005800     COPY MBMO06R.
005900/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
006000     COPY MMOCRL.
006100/         LOG/JOURNAL FILE RECORD LAYOUT
006200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006300/
006400 PROCEDURE DIVISION.
006500 0000-HOUSEKEEPING SECTION.
006600 0100-INIT.
006700*
006800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007000                                 THRU MB70PD-OLH-EXIT.
007100*
007200     IF  MBCA-RECEIVE-SCREEN
007300         GO TO 2000-RECEIVE-SCREEN.
007400/
007500 1000-SEND-SCREEN SECTION.
007600*
007700****************************************************************
007800*    THIS SECTION BUILDS AND SENDS THE 06 AND 07 SCREENS       *
007900****************************************************************
008000*
008100****************************************************************
008200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008300****************************************************************
008400*
008500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008600     PERFORM MB60PD-GETMAIN-FOR-MAP
008700                                 THRU MB60PD-GFM-EXIT.
008800*
008900     MOVE MBCA-MERCHANT-ORG      TO MO06-ORG.
009000*
009100     IF  MBCA-SCREEN-NBR IS EQUAL TO 56
009200         MOVE 06                 TO MBCA-SCREEN-NBR
009300     ELSE
009400         MOVE 07                 TO MBCA-SCREEN-NBR.
009500*
009600****************************************************************
009700*    INITIALIZE THE STANDARD MAP LINES                         *
009800****************************************************************
009900*
010000     PERFORM MB60PD-INIT-STD-MAP-LINES
010100                                 THRU MB60PD-ISML-EXIT.
010200*
010300****************************************************************
010400*    READ THE ORGANIZATION FILE RECORD                         *
010500****************************************************************
010600*
010700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
010800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
010900     SET MBIORO-READ-RANDOM      TO TRUE.
011000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
011100/
011200 1100-BUILD-SCREEN.
011300*
011400****************************************************************
011500*    BUILD THE MAP FROM THE ORGANIZATION RECORD                *
011600****************************************************************
011700*
011800     MOVE MMOC-NA-LINE (1 1)     TO MO06-ORG-NAME.
011900*
012000     SET X-MMOC-BC               TO +1.
012100*
012200     IF  MBCA-SCREEN-NBR IS EQUAL TO 07
012300         SET X-MMOC-BC           TO +14.
012400*
012500     PERFORM 9100-BUILD-SCREEN   THRU 9199-BS-EXIT
012600         VARYING X-MO06-BLOCK-CODE FROM +1 BY +1
012700         UNTIL   X-MO06-BLOCK-CODE IS GREATER THAN +13.
012800/
012900****************************************************************
013000*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
013100****************************************************************
013200*
013300     SET X-MO06-BLOCK-CODE       TO +1.
013400*
013500     MOVE SS08WS-CURSOR          TO MO06-BLK-DESC-L
013600                                    (X-MO06-BLOCK-CODE).
013700*
013800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
013900         MOVE SS08WS-CURSOR      TO MO06-ALT-TRANID-L
014000         PERFORM 9300-SET-INQUIRY-ATTRIBUTES
014100                                 THRU 9399-SIA-EXIT
014200             VARYING X-MO06-BLOCK-CODE FROM +1 BY +1
014300             UNTIL   X-MO06-BLOCK-CODE IS GREATER THAN +13.
014400*
014500****************************************************************
014600*    SEND THE MAP                                              *
014700****************************************************************
014800*
014900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
015000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
015100                                 THRU MB60PD-SMWE-EXIT.
015200*
015300****************************************************************
015400*    RETURN TO CICS                                            *
015500****************************************************************
015600*
015700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
015800     PERFORM MB70PD-RETURN-TRANS-ID
015900                                 THRU MB70PD-RTI-EXIT.
016000/
016100 2000-RECEIVE-SCREEN SECTION.
016200*
016300****************************************************************
016400*    THIS SECTION RECEIVES THE 06 OR 07 SCREENS                *
016500****************************************************************
016600*
016700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
016800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
016900*
017000****************************************************************
017100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017200****************************************************************
017300*
017400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
017500     PERFORM MB60PD-NEW-TRANS-ROUTINE
017600                                 THRU MB60PD-NTR-EXIT.
017700*
017800****************************************************************
017900*    BYPASS EDITS ON INQUIRY                                   *
018000****************************************************************
018100*
018200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
018300         GO TO 2600-SETUP-COMMAREA.
018400*
018500****************************************************************
018600*    READ THE ORGANIZATION FILE RECORD                         *
018700****************************************************************
018800*
018900     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
019100     SET MBIORO-READ-RANDOM      TO TRUE.
019200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
019300*
019400     IF  MBCA-SCREEN-NBR IS EQUAL TO 06
019500         SET X-MMOC-BC           TO +1
019600     ELSE
019700         SET X-MMOC-BC           TO +14.
019800*
019900     PERFORM 9500-EDIT-FIELDS    THRU 9599-EF-EXIT
020000         VARYING X-MO06-BLOCK-CODE FROM +1 BY +1
020100         UNTIL   X-MO06-BLOCK-CODE IS GREATER THAN +13.
020200*
020300     IF  SS08WS-ERROR-SW-NO
020400         GO TO 2400-UPDATE-FILE.
020500*
020600****************************************************************
020700*    SEND THE MAP                                              *
020800****************************************************************
020900*
021000     PERFORM MB60PD-INIT-STD-MAP-LINES
021100                                 THRU MB60PD-ISML-EXIT.
021200*
021300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
021400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
021500                                 THRU MB60PD-SMDO-EXIT.
021600*
021700****************************************************************
021800*    RETURN TO CICS                                            *
021900****************************************************************
022000*
022100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
022200     PERFORM MB70PD-RETURN-TRANS-ID
022300                                 THRU MB70PD-RTI-EXIT.
022400/
022500 2400-UPDATE-FILE.
022600*
022700     IF  WS-UPDATE-SW-NO
022800         IF  MBCA-PTI-FUNCTION-IS-ADD
022900             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
023000             MOVE MBCA-MERCHANT-ORG
023100                                 TO MBIOWS-MMOC-ORG
023200             SET MBIORO-READ-RANDOM-UPDATE
023300                                 TO TRUE
023400             PERFORM MMOCAO-ACCESS
023500                                 THRU MMOCAO-ACCESS-EXIT
023600             MOVE MBCA-SCREEN-NBR
023700                                 TO MMOC-ONLINE-STATUS
023800             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
023900             SET MBIORO-REWRITE  TO TRUE
024000             PERFORM MMOCAO-ACCESS
024100                                 THRU MMOCAO-ACCESS-EXIT
024200             GO TO 2600-SETUP-COMMAREA
024300         ELSE
024400             GO TO 2600-SETUP-COMMAREA.
024500*
024600****************************************************************
024700*    GETMAIN FOR LOG/JOURNAL RECORD                            *
024800****************************************************************
024900*
025000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
025100     SET MBIORO-GETMAIN          TO TRUE.
025200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
025300*
025400****************************************************************
025500*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
025600****************************************************************
025700*
025800     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
025900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
026000     SET MBIORO-READ-RANDOM-UPDATE
026100                                 TO TRUE.
026200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
026300*
026400     IF  MBCA-SCREEN-NBR IS EQUAL TO 06
026500         SET X-MMOC-BC               TO +1
026600     ELSE
026700         SET X-MMOC-BC               TO +14.
026800*
026900     PERFORM 9700-BUILD-LOG-RECORDS
027000                                 THRU 9799-BLR-EXIT
027100         VARYING X-MO06-BLOCK-CODE FROM +1 BY +1
027200         UNTIL   X-MO06-BLOCK-CODE IS GREATER THAN +13.
027300*
027400     IF  MBCA-PTI-FUNCTION-IS-ADD
027500         MOVE MBCA-SCREEN-NBR    TO MMOC-ONLINE-STATUS.
027600*
027700*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
027800*
027900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
028000     MOVE 0199                   TO MML1-FIELD-CODE.
028100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
028200     MOVE MMOC-LAST-MAINT-DATE
028300                                 TO MML1-VL07-B-DATA-9.
028400     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
028500     MOVE MMOC-LAST-MAINT-DATE
028600                                 TO MML1-VL07-A-DATA-9.
028700     PERFORM 9050-CREATE-MAINT-RECORD
028800                                 THRU 9099-CMR-EXIT.
028900     MOVE 0198                   TO MML1-FIELD-CODE.
029000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
029100     MOVE MMOC-LAST-MAINT-OPER
029200                                 TO MML1-VL03-B-DATA-X.
029300     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
029400     MOVE MMOC-LAST-MAINT-OPER
029500                                 TO MML1-VL03-A-DATA-X.
029600     PERFORM 9050-CREATE-MAINT-RECORD
029700                                 THRU 9099-CMR-EXIT.
029800*
029900****************************************************************
030000*    UPDATE THE ORGANIZATION FILE RECORD NUMBER 1              *
030100****************************************************************
030200*
030300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
030400     SET MBIORO-REWRITE          TO TRUE.
030500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
030600*
030700 2600-SETUP-COMMAREA.
030800*
030900****************************************************************
031000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
031100****************************************************************
031200*
031300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
031400*
031500     PERFORM MB60PD-EDIT-PAGE-NBR
031600                                 THRU MB60PD-EPN-EXIT.
031700*
031800     IF  SS08WS-VALID-PF-KEY
031900     OR  SS08WS-EIBAID-VALID-PF-KEY
032000         SET MBCA-INITIAL-SCREEN-NBR
032100                                 TO TRUE.
032200*
032300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
032400     PERFORM MB70PD-XCTL-TO-MBOXCTL
032500                                 THRU MB70PD-XTM-EXIT.
032600/
032700 9000-PERFORMED-ROUTINES-SECT SECTION.
032800*
032900 9050-CREATE-MAINT-RECORD.
033000*
033100*****************************************************************
033200*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
033300*    LOG/JOURNAL TRANSACTIONS                                   *
033400*****************************************************************
033500*
033600     IF  MBCA-PTI-FUNCTION-IS-ADD
033700         GO TO 9099-CMR-EXIT.
033800*
033900     MOVE 'OC'                   TO MML1-FILE-CODE.
034000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
034100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
034200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
034300     MOVE ZEROES                 TO MML1-SOURCE-CODE.
034400*
034500*****************************************************************
034600*    WRITE THE LOG/JOURNAL FILE RECORD                          *
034700*****************************************************************
034800*
034900     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
035000     SET MBIORO-WRITE            TO TRUE.
035100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
035200     MOVE SPACES                 TO MML1-VARIABLE-AREA.
035300*
035400 9099-CMR-EXIT.
035500     EXIT.
035600*
035700 9100-BUILD-SCREEN.
035800*
035900     MOVE MMOC-BC (X-MMOC-BC)    TO MO06-BLK-CODE
036000                                    (X-MO06-BLOCK-CODE).
036100     MOVE MMOC-BC-DESC (X-MMOC-BC)
036200                                 TO MO06-BLK-DESC
036300                                    (X-MO06-BLOCK-CODE).
036400     MOVE MMOC-BC-DISC-FLAG (X-MMOC-BC)
036500                                 TO MO06-BLK-DISC-FLAG
036600                                    (X-MO06-BLOCK-CODE).
036700     MOVE MMOC-BC-PART-FLAG (X-MMOC-BC)
036800                                 TO MO06-BLK-PART-FLAG
036900                                    (X-MO06-BLOCK-CODE).
037000     MOVE MMOC-BC-USER-FLAG (X-MMOC-BC)
037100                                 TO MO06-BLK-USER-FLAG
037200                                    (X-MO06-BLOCK-CODE).
037300     MOVE MMOC-BC-SYSTEM-FEES-FLAG (X-MMOC-BC)
037400                                 TO MO06-BLK-SYS-FLAG
037500                                    (X-MO06-BLOCK-CODE).
037600     MOVE MMOC-BC-SETTLEMENT-FLAG (X-MMOC-BC)
037700                                 TO MO06-BLK-SETT-FLAG
037800                                    (X-MO06-BLOCK-CODE).
037900     MOVE MMOC-BC-POST-FLAG (X-MMOC-BC)
038000                                 TO MO06-BLK-POST-FLAG
038100                                    (X-MO06-BLOCK-CODE).
038200     PERFORM
038300         VARYING X-MO06-RESV
038400         FROM 1 BY 1
038500         UNTIL X-MO06-RESV IS GREATER THAN 4
038600         SET X-MMOC-BC-RESV      TO X-MO06-RESV
038700         MOVE MMOC-BC-RESV-FUNDING-FLAG (X-MMOC-BC X-MMOC-BC-RESV)
038800                                 TO MO06-BLK-RESV-FLAG
038900                                   (X-MO06-BLOCK-CODE X-MO06-RESV)
039000     END-PERFORM
039100*
039200     SET X-MMOC-BC               UP BY +1.
039300*
039400 9199-BS-EXIT.
039500     EXIT.
039600*
039700 9300-SET-INQUIRY-ATTRIBUTES.
039800*
039900     MOVE DFHBMASB               TO MO06-BLK-DESC-A
040000                                    (X-MO06-BLOCK-CODE)
040100                                    MO06-BLK-DISC-FLAG-A
040200                                    (X-MO06-BLOCK-CODE)
040300                                    MO06-BLK-PART-FLAG-A
040400                                    (X-MO06-BLOCK-CODE)
040500                                    MO06-BLK-USER-FLAG-A
040600                                    (X-MO06-BLOCK-CODE)
040700                                    MO06-BLK-SYS-FLAG-A
040800                                    (X-MO06-BLOCK-CODE)
040900                                    MO06-BLK-SETT-FLAG-A
041000                                    (X-MO06-BLOCK-CODE)
041100                                    MO06-BLK-POST-FLAG-A
041200                                    (X-MO06-BLOCK-CODE).
041300*
041400     PERFORM
041500         VARYING X-MO06-RESV
041600         FROM 1 BY 1
041700         UNTIL X-MO06-RESV IS GREATER THAN 4
041800         MOVE DFHBMASB           TO MO06-BLK-RESV-FLAG-A
041900                                   (X-MO06-BLOCK-CODE X-MO06-RESV)
042000     END-PERFORM.
042100*
042200     MOVE DFHBMDAS               TO MO06-BLK-DESC-LP-A
042300                                    (X-MO06-BLOCK-CODE)
042400                                    MO06-BLK-DESC-RP-A
042500                                    (X-MO06-BLOCK-CODE)
042600                                    MO06-BLK-DISC-FLAG-LP-A
042700                                    (X-MO06-BLOCK-CODE)
042800                                    MO06-BLK-DISC-FLAG-RP-A
042900                                    (X-MO06-BLOCK-CODE)
043000                                    MO06-BLK-PART-FLAG-LP-A
043100                                    (X-MO06-BLOCK-CODE)
043200                                    MO06-BLK-PART-FLAG-RP-A
043300                                    (X-MO06-BLOCK-CODE)
043400                                    MO06-BLK-USER-FLAG-LP-A
043500                                    (X-MO06-BLOCK-CODE)
043600                                    MO06-BLK-USER-FLAG-RP-A
043700                                    (X-MO06-BLOCK-CODE)
043800                                    MO06-BLK-SYS-FLAG-LP-A
043900                                    (X-MO06-BLOCK-CODE)
044000                                    MO06-BLK-SYS-FLAG-RP-A
044100                                    (X-MO06-BLOCK-CODE)
044200                                    MO06-BLK-SETT-FLAG-LP-A
044300                                    (X-MO06-BLOCK-CODE)
044400                                    MO06-BLK-SETT-FLAG-RP-A
044500                                    (X-MO06-BLOCK-CODE)
044600                                    MO06-BLK-POST-FLAG-LP-A
044700                                    (X-MO06-BLOCK-CODE)
044800                                    MO06-BLK-POST-FLAG-RP-A
044900                                    (X-MO06-BLOCK-CODE)
045000                                    MO06-BLK-RESV-FLAG-LP-A
045100                                    (X-MO06-BLOCK-CODE)
045200                                    MO06-BLK-RESV-FLAG-RP-A
045300                                    (X-MO06-BLOCK-CODE).
045400*
045500 9399-SIA-EXIT.
045600     EXIT.
045700*
045800 9500-EDIT-FIELDS.
045900*
046000*            ***** DESCRIPTION *****                           *
046100*
046200     IF  MO06-BLK-DESC-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
046300         MOVE DFHBMASK           TO MO06-BLK-DESC-A
046400                                    (X-MO06-BLOCK-CODE)
046500         MOVE DFHBMDAS           TO MO06-BLK-DESC-LP-A
046600                                    (X-MO06-BLOCK-CODE)
046700                                    MO06-BLK-DESC-RP-A
046800                                    (X-MO06-BLOCK-CODE)
046900         MOVE MMOC-BC-DESC    (X-MMOC-BC)
047000                                 TO MO06-BLK-DESC
047100                                    (X-MO06-BLOCK-CODE)
047200     ELSE
047300         MOVE DFHBMASF           TO MO06-BLK-DESC-A
047400                                    (X-MO06-BLOCK-CODE)
047500         MOVE DFHBMDAS           TO MO06-BLK-DESC-LP-A
047600                                    (X-MO06-BLOCK-CODE)
047700                                    MO06-BLK-DESC-RP-A
047800                                    (X-MO06-BLOCK-CODE)
047900         SET WS-UPDATE-SW-YES    TO TRUE.
048000*
048100*            ***** DISCOUNT FLAG *****                         *
048200*
048300     IF  MO06-BLK-DISC-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
048400         MOVE DFHBMASK           TO MO06-BLK-DISC-FLAG-A
048500                                    (X-MO06-BLOCK-CODE)
048600         MOVE DFHBMDAS           TO MO06-BLK-DISC-FLAG-LP-A
048700                                    (X-MO06-BLOCK-CODE)
048800                                    MO06-BLK-DISC-FLAG-RP-A
048900                                    (X-MO06-BLOCK-CODE)
049000         MOVE MMOC-BC-DISC-FLAG    (X-MMOC-BC)
049100                                 TO MO06-BLK-DISC-FLAG
049200                                    (X-MO06-BLOCK-CODE)
049300     ELSE
049400         IF  MO06-VALID-BLK-DISC-FLAG (X-MO06-BLOCK-CODE)
049500             MOVE DFHBMASF       TO MO06-BLK-DISC-FLAG-A
049600                                    (X-MO06-BLOCK-CODE)
049700             MOVE DFHBMDAS       TO MO06-BLK-DISC-FLAG-LP-A
049800                                    (X-MO06-BLOCK-CODE)
049900                                    MO06-BLK-DISC-FLAG-RP-A
050000                                    (X-MO06-BLOCK-CODE)
050100             SET WS-UPDATE-SW-YES
050200                                 TO TRUE
050300         ELSE
050400             MOVE DFHBMUBF       TO MO06-BLK-DISC-FLAG-A
050500                                    (X-MO06-BLOCK-CODE)
050600             MOVE DFHBMASB       TO MO06-BLK-DISC-FLAG-LP-A
050700                                    (X-MO06-BLOCK-CODE)
050800                                    MO06-BLK-DISC-FLAG-RP-A
050900                                    (X-MO06-BLOCK-CODE)
051000             MOVE SS08WS-CURSOR  TO MO06-BLK-DISC-FLAG-L
051100                                    (X-MO06-BLOCK-CODE)
051200             SET SS08WS-ERROR-SW-YES TO TRUE.
051300*
051400*            ***** PARTICIPATION FLAG *****                    *
051500*
051600     IF  MO06-BLK-PART-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
051700         MOVE DFHBMASK           TO MO06-BLK-PART-FLAG-A
051800                                    (X-MO06-BLOCK-CODE)
051900         MOVE DFHBMDAS           TO MO06-BLK-PART-FLAG-LP-A
052000                                    (X-MO06-BLOCK-CODE)
052100                                    MO06-BLK-PART-FLAG-RP-A
052200                                    (X-MO06-BLOCK-CODE)
052300         MOVE MMOC-BC-PART-FLAG    (X-MMOC-BC)
052400                                 TO MO06-BLK-PART-FLAG
052500                                    (X-MO06-BLOCK-CODE)
052600     ELSE
052700         IF  MO06-VALID-BLK-PART-FLAG (X-MO06-BLOCK-CODE)
052800             MOVE DFHBMASF       TO MO06-BLK-PART-FLAG-A
052900                                    (X-MO06-BLOCK-CODE)
053000             MOVE DFHBMDAS       TO MO06-BLK-PART-FLAG-LP-A
053100                                    (X-MO06-BLOCK-CODE)
053200                                    MO06-BLK-PART-FLAG-RP-A
053300                                    (X-MO06-BLOCK-CODE)
053400             SET WS-UPDATE-SW-YES
053500                                 TO TRUE
053600         ELSE
053700             MOVE DFHBMUBF       TO MO06-BLK-PART-FLAG-A
053800                                    (X-MO06-BLOCK-CODE)
053900             MOVE DFHBMASB       TO MO06-BLK-PART-FLAG-LP-A
054000                                    (X-MO06-BLOCK-CODE)
054100                                    MO06-BLK-PART-FLAG-RP-A
054200                                    (X-MO06-BLOCK-CODE)
054300             MOVE SS08WS-CURSOR  TO MO06-BLK-PART-FLAG-L
054400                                    (X-MO06-BLOCK-CODE)
054500             SET SS08WS-ERROR-SW-YES TO TRUE.
054600*
054700*            ***** USER FLAG *****                              *
054800*
054900     IF  MO06-BLK-USER-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
055000         MOVE DFHBMASK           TO MO06-BLK-USER-FLAG-A
055100                                    (X-MO06-BLOCK-CODE)
055200         MOVE DFHBMDAS           TO MO06-BLK-USER-FLAG-LP-A
055300                                    (X-MO06-BLOCK-CODE)
055400                                    MO06-BLK-USER-FLAG-RP-A
055500                                    (X-MO06-BLOCK-CODE)
055600         MOVE MMOC-BC-USER-FLAG    (X-MMOC-BC)
055700                                 TO MO06-BLK-USER-FLAG
055800                                    (X-MO06-BLOCK-CODE)
055900     ELSE
056000         IF  MO06-VALID-BLK-USER-FLAG (X-MO06-BLOCK-CODE)
056100             MOVE DFHBMASF       TO MO06-BLK-USER-FLAG-A
056200                                    (X-MO06-BLOCK-CODE)
056300             MOVE DFHBMDAS       TO MO06-BLK-USER-FLAG-LP-A
056400                                    (X-MO06-BLOCK-CODE)
056500                                    MO06-BLK-USER-FLAG-RP-A
056600                                    (X-MO06-BLOCK-CODE)
056700             SET WS-UPDATE-SW-YES
056800                                 TO TRUE
056900         ELSE
057000             MOVE DFHBMUBF       TO MO06-BLK-USER-FLAG-A
057100                                    (X-MO06-BLOCK-CODE)
057200             MOVE DFHBMASB       TO MO06-BLK-USER-FLAG-LP-A
057300                                    (X-MO06-BLOCK-CODE)
057400                                    MO06-BLK-USER-FLAG-RP-A
057500                                    (X-MO06-BLOCK-CODE)
057600             MOVE SS08WS-CURSOR  TO MO06-BLK-USER-FLAG-L
057700                                    (X-MO06-BLOCK-CODE)
057800             SET SS08WS-ERROR-SW-YES TO TRUE.
057900*
058000*            ***** SYSTEM FEES FLAG *****                      *
058100*
058200     IF  MO06-BLK-SYS-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
058300         MOVE DFHBMASK           TO MO06-BLK-SYS-FLAG-A
058400                                    (X-MO06-BLOCK-CODE)
058500         MOVE DFHBMDAS           TO MO06-BLK-SYS-FLAG-LP-A
058600                                    (X-MO06-BLOCK-CODE)
058700                                    MO06-BLK-SYS-FLAG-RP-A
058800                                    (X-MO06-BLOCK-CODE)
058900         MOVE MMOC-BC-SYSTEM-FEES-FLAG    (X-MMOC-BC)
059000                                 TO MO06-BLK-SYS-FLAG
059100                                    (X-MO06-BLOCK-CODE)
059200     ELSE
059300         IF  MO06-VALID-BLK-SYS-FLAG (X-MO06-BLOCK-CODE)
059400             MOVE DFHBMASF       TO MO06-BLK-SYS-FLAG-A
059500                                    (X-MO06-BLOCK-CODE)
059600             MOVE DFHBMDAS       TO MO06-BLK-SYS-FLAG-LP-A
059700                                    (X-MO06-BLOCK-CODE)
059800                                    MO06-BLK-SYS-FLAG-RP-A
059900                                    (X-MO06-BLOCK-CODE)
060000             SET WS-UPDATE-SW-YES
060100                                 TO TRUE
060200         ELSE
060300             MOVE DFHBMUBF       TO MO06-BLK-SYS-FLAG-A
060400                                    (X-MO06-BLOCK-CODE)
060500             MOVE DFHBMASB       TO MO06-BLK-SYS-FLAG-LP-A
060600                                    (X-MO06-BLOCK-CODE)
060700                                    MO06-BLK-SYS-FLAG-RP-A
060800                                    (X-MO06-BLOCK-CODE)
060900             MOVE SS08WS-CURSOR  TO MO06-BLK-SYS-FLAG-L
061000                                    (X-MO06-BLOCK-CODE)
061100             SET SS08WS-ERROR-SW-YES TO TRUE.
061200*
061300*            ***** SETTLEMENT FLAG *****                       *
061400*
061500     IF  MO06-BLK-SETT-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
061600         MOVE DFHBMASK           TO MO06-BLK-SETT-FLAG-A
061700                                    (X-MO06-BLOCK-CODE)
061800         MOVE DFHBMDAS           TO MO06-BLK-SETT-FLAG-LP-A
061900                                    (X-MO06-BLOCK-CODE)
062000                                    MO06-BLK-SETT-FLAG-RP-A
062100                                    (X-MO06-BLOCK-CODE)
062200         MOVE MMOC-BC-SETTLEMENT-FLAG (X-MMOC-BC)
062300                                 TO MO06-BLK-SETT-FLAG
062400                                    (X-MO06-BLOCK-CODE)
062500     ELSE
062600         IF  MO06-VALID-BLK-SETT-FLAG (X-MO06-BLOCK-CODE)
062700             MOVE DFHBMASF       TO MO06-BLK-SETT-FLAG-A
062800                                    (X-MO06-BLOCK-CODE)
062900             MOVE DFHBMDAS       TO MO06-BLK-SETT-FLAG-LP-A
063000                                    (X-MO06-BLOCK-CODE)
063100                                    MO06-BLK-SETT-FLAG-RP-A
063200                                    (X-MO06-BLOCK-CODE)
063300             SET WS-UPDATE-SW-YES
063400                                 TO TRUE
063500         ELSE
063600             MOVE DFHBMUBF       TO MO06-BLK-SETT-FLAG-A
063700                                    (X-MO06-BLOCK-CODE)
063800             MOVE DFHBMASB       TO MO06-BLK-SETT-FLAG-LP-A
063900                                    (X-MO06-BLOCK-CODE)
064000                                    MO06-BLK-SETT-FLAG-RP-A
064100                                    (X-MO06-BLOCK-CODE)
064200             MOVE SS08WS-CURSOR  TO MO06-BLK-SETT-FLAG-L
064300                                    (X-MO06-BLOCK-CODE)
064400             SET SS08WS-ERROR-SW-YES TO TRUE.
064500*
064600*            ***** POST FLAG *****                             *
064700*
064800     IF  MO06-BLK-POST-FLAG-L (X-MO06-BLOCK-CODE) IS LESS THAN 1
064900         MOVE DFHBMASK           TO MO06-BLK-POST-FLAG-A
065000                                    (X-MO06-BLOCK-CODE)
065100         MOVE DFHBMDAS           TO MO06-BLK-POST-FLAG-LP-A
065200                                    (X-MO06-BLOCK-CODE)
065300                                    MO06-BLK-POST-FLAG-RP-A
065400                                    (X-MO06-BLOCK-CODE)
065500         MOVE MMOC-BC-POST-FLAG (X-MMOC-BC)
065600                                 TO MO06-BLK-POST-FLAG
065700                                    (X-MO06-BLOCK-CODE)
065800     ELSE
065900         IF  MO06-VALID-BLK-POST-FLAG (X-MO06-BLOCK-CODE)
066000             MOVE DFHBMASF       TO MO06-BLK-POST-FLAG-A
066100                                    (X-MO06-BLOCK-CODE)
066200             MOVE DFHBMDAS       TO MO06-BLK-POST-FLAG-LP-A
066300                                    (X-MO06-BLOCK-CODE)
066400                                    MO06-BLK-POST-FLAG-RP-A
066500                                    (X-MO06-BLOCK-CODE)
066600             SET WS-UPDATE-SW-YES
066700                                 TO TRUE
066800         ELSE
066900             MOVE DFHBMUBF       TO MO06-BLK-POST-FLAG-A
067000                                    (X-MO06-BLOCK-CODE)
067100             MOVE DFHBMASB       TO MO06-BLK-POST-FLAG-LP-A
067200                                    (X-MO06-BLOCK-CODE)
067300                                    MO06-BLK-POST-FLAG-RP-A
067400                                    (X-MO06-BLOCK-CODE)
067500             MOVE SS08WS-CURSOR  TO MO06-BLK-POST-FLAG-L
067600                                    (X-MO06-BLOCK-CODE)
067700             SET SS08WS-ERROR-SW-YES TO TRUE.
067800*
067900*            ***** RESERVE FUNDING *****                       *
068000*
068100     PERFORM
068200         VARYING X-MO06-RESV
068300         FROM 1 BY 1
068400         UNTIL X-MO06-RESV IS GREATER THAN 4
068500         SET X-MMOC-BC-RESV      TO X-MO06-RESV
068600         IF  MO06-BLK-RESV-FLAG-L (X-MO06-BLOCK-CODE X-MO06-RESV)
068700                                 IS LESS THAN 1
068800             MOVE DFHBMASK       TO MO06-BLK-RESV-FLAG-A
068900                                   (X-MO06-BLOCK-CODE X-MO06-RESV)
069000             MOVE DFHBMDAS       TO MO06-BLK-RESV-FLAG-LP-A
069100                                   (X-MO06-BLOCK-CODE)
069200                                    MO06-BLK-RESV-FLAG-RP-A
069300                                   (X-MO06-BLOCK-CODE)
069400             MOVE MMOC-BC-RESV-FUNDING-FLAG
069500                                 (X-MMOC-BC X-MMOC-BC-RESV)
069600                                 TO MO06-BLK-RESV-FLAG
069700                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
069800         ELSE
069900             IF  MO06-VALID-BLK-RESV-FLAG
070000                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
070100                 MOVE DFHBMASF   TO MO06-BLK-RESV-FLAG-A
070200                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
070300                 MOVE DFHBMDAS   TO MO06-BLK-RESV-FLAG-LP-A
070400                                 (X-MO06-BLOCK-CODE)
070500                                    MO06-BLK-RESV-FLAG-RP-A
070600                                 (X-MO06-BLOCK-CODE)
070700                 SET WS-UPDATE-SW-YES
070800                                 TO TRUE
070900             ELSE
071000                 MOVE DFHBMUBF   TO MO06-BLK-RESV-FLAG-A
071100                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
071200                 MOVE DFHBMASB   TO MO06-BLK-RESV-FLAG-LP-A
071300                                 (X-MO06-BLOCK-CODE)
071400                                    MO06-BLK-RESV-FLAG-RP-A
071500                                 (X-MO06-BLOCK-CODE)
071600                 MOVE SS08WS-CURSOR TO MO06-BLK-RESV-FLAG-L
071700                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
071800                 SET SS08WS-ERROR-SW-YES
071900                                 TO TRUE
072000             END-IF
072100         END-IF
072200     END-PERFORM.
072300*
072400     SET X-MMOC-BC               UP BY +1.
072500*
072600 9599-EF-EXIT.
072700     EXIT.
072800*
072900 9700-BUILD-LOG-RECORDS.
073000*
073100     IF  MBCA-SCREEN-NBR IS EQUAL TO 06
073200         SET WS-INDEX            TO X-MO06-BLOCK-CODE
073300     ELSE
073400         SET WS-INDEX            TO X-MO06-BLOCK-CODE
073500         ADD +13                 TO WS-INDEX.
073600*
073700*            ***** DESCRIPTION *****                           *
073800*
073900     IF  MO06-BLK-DESC-L (X-MO06-BLOCK-CODE) IS GREATER THAN ZERO
074000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
074100         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
074200         MOVE 0601               TO MML1-FIELD-CODE
074300         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
074400         MOVE MMOC-BC-DESC (X-MMOC-BC)
074500                                 TO MML1-VL20-B-DATA-X
074600         MOVE MO06-BLK-DESC (X-MO06-BLOCK-CODE)
074700                                 TO MMOC-BC-DESC
074800                                 (X-MMOC-BC)
074900         MOVE MMOC-BC-DESC (X-MMOC-BC)
075000                                 TO MML1-VL20-A-DATA-X
075100         PERFORM 9050-CREATE-MAINT-RECORD
075200                                 THRU 9099-CMR-EXIT.
075300*
075400*            ***** DISCOUNT FLAG *****                         *
075500*
075600     IF  MO06-BLK-DISC-FLAG-L (X-MO06-BLOCK-CODE)
075700                                 IS GREATER THAN ZERO
075800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
075900         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
076000         MOVE 0602               TO MML1-FIELD-CODE
076100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
076200         MOVE MMOC-BC-DISC-FLAG (X-MMOC-BC)
076300                                 TO MML1-VL01-B-DATA-X
076400         MOVE MO06-BLK-DISC-FLAG (X-MO06-BLOCK-CODE)
076500                                 TO MMOC-BC-DISC-FLAG
076600                                 (X-MMOC-BC)
076700         MOVE MMOC-BC-DISC-FLAG (X-MMOC-BC)
076800                                 TO MML1-VL01-A-DATA-X
076900         PERFORM 9050-CREATE-MAINT-RECORD
077000                                 THRU 9099-CMR-EXIT.
077100*
077200*            ***** PARTICIPATION FLAG *****                    *
077300*
077400     IF  MO06-BLK-PART-FLAG-L (X-MO06-BLOCK-CODE)
077500                                 IS GREATER THAN ZERO
077600         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
077700         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
077800         MOVE 0603               TO MML1-FIELD-CODE
077900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
078000         MOVE MMOC-BC-PART-FLAG (X-MMOC-BC)
078100                                 TO MML1-VL01-B-DATA-X
078200         MOVE MO06-BLK-PART-FLAG (X-MO06-BLOCK-CODE)
078300                                 TO MMOC-BC-PART-FLAG
078400                                 (X-MMOC-BC)
078500         MOVE MMOC-BC-PART-FLAG (X-MMOC-BC)
078600                                 TO MML1-VL01-A-DATA-X
078700         PERFORM 9050-CREATE-MAINT-RECORD
078800                                 THRU 9099-CMR-EXIT.
078900*
079000*            ***** USER FLAG *****                         *
079100*
079200     IF  MO06-BLK-USER-FLAG-L (X-MO06-BLOCK-CODE)
079300                                 IS GREATER THAN ZERO
079400         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
079500         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
079600         MOVE 0604               TO MML1-FIELD-CODE
079700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
079800         MOVE MMOC-BC-USER-FLAG (X-MMOC-BC)
079900                                 TO MML1-VL01-B-DATA-X
080000         MOVE MO06-BLK-USER-FLAG (X-MO06-BLOCK-CODE)
080100                                 TO MMOC-BC-USER-FLAG
080200                                 (X-MMOC-BC)
080300         MOVE MMOC-BC-USER-FLAG (X-MMOC-BC)
080400                                 TO MML1-VL01-A-DATA-X
080500         PERFORM 9050-CREATE-MAINT-RECORD
080600                                 THRU 9099-CMR-EXIT.
080700*
080800*            ***** SYSTEM FEES FLAG *****                      *
080900*
081000     IF  MO06-BLK-SYS-FLAG-L (X-MO06-BLOCK-CODE)
081100                                 IS GREATER THAN ZERO
081200         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
081300         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
081400         MOVE 0605               TO MML1-FIELD-CODE
081500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
081600         MOVE MMOC-BC-SYSTEM-FEES-FLAG (X-MMOC-BC)
081700                                 TO MML1-VL01-B-DATA-X
081800         MOVE MO06-BLK-SYS-FLAG (X-MO06-BLOCK-CODE)
081900                                 TO MMOC-BC-SYSTEM-FEES-FLAG
082000                                 (X-MMOC-BC)
082100         MOVE MMOC-BC-SYSTEM-FEES-FLAG (X-MMOC-BC)
082200                                 TO MML1-VL01-A-DATA-X
082300         PERFORM 9050-CREATE-MAINT-RECORD
082400                                 THRU 9099-CMR-EXIT.
082500*
082600*            ***** SETTLEMENT FLAG  *****                    *
082700*
082800     IF  MO06-BLK-SETT-FLAG-L (X-MO06-BLOCK-CODE)
082900                                 IS GREATER THAN ZERO
083000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
083100         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
083200         MOVE 0606               TO MML1-FIELD-CODE
083300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
083400         MOVE MMOC-BC-SETTLEMENT-FLAG (X-MMOC-BC)
083500                                 TO MML1-VL01-B-DATA-X
083600         MOVE MO06-BLK-SETT-FLAG (X-MO06-BLOCK-CODE)
083700                                 TO MMOC-BC-SETTLEMENT-FLAG
083800                                 (X-MMOC-BC)
083900         MOVE MMOC-BC-SETTLEMENT-FLAG (X-MMOC-BC)
084000                                 TO MML1-VL01-A-DATA-X
084100         PERFORM 9050-CREATE-MAINT-RECORD
084200                                 THRU 9099-CMR-EXIT.
084300*
084400*            ***** POST FLAG *****                           *
084500*
084600     IF  MO06-BLK-POST-FLAG-L (X-MO06-BLOCK-CODE)
084700                                 IS GREATER THAN ZERO
084800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
084900         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE-2
085000         MOVE 0608               TO MML1-FIELD-CODE
085100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
085200         MOVE MMOC-BC-POST-FLAG (X-MMOC-BC)
085300                                 TO MML1-VL01-B-DATA-X
085400         MOVE MO06-BLK-POST-FLAG (X-MO06-BLOCK-CODE)
085500                                 TO MMOC-BC-POST-FLAG
085600                                 (X-MMOC-BC)
085700         MOVE MMOC-BC-POST-FLAG (X-MMOC-BC)
085800                                 TO MML1-VL01-A-DATA-X
085900         PERFORM 9050-CREATE-MAINT-RECORD
086000                                 THRU 9099-CMR-EXIT.
086100*
086200*            ***** RESERVE FUNDING *****                    *
086300*
086400     PERFORM
086500         VARYING X-MO06-RESV
086600         FROM 1 BY 1
086700         UNTIL X-MO06-RESV IS GREATER THAN 4
086800         SET X-MMOC-BC-RESV      TO X-MO06-RESV
086900         IF  MO06-BLK-RESV-FLAG-L (X-MO06-BLOCK-CODE X-MO06-RESV)
087000                                 IS GREATER THAN ZERO
087100             MOVE WS-INDEX       TO MML1-FIELD-OCCURRENCE
087200             SET MML1-FIELD-OCCURRENCE-2
087300                                 TO X-MMOC-BC-RESV
087400             MOVE 0607           TO MML1-FIELD-CODE
087500             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
087600             MOVE MMOC-BC-RESV-FUNDING-FLAG
087700                                 (X-MMOC-BC X-MMOC-BC-RESV)
087800                                 TO MML1-VL01-B-DATA-X
087900             MOVE MO06-BLK-RESV-FLAG
088000                                 (X-MO06-BLOCK-CODE X-MO06-RESV)
088100                                 TO MMOC-BC-RESV-FUNDING-FLAG
088200                                 (X-MMOC-BC X-MMOC-BC-RESV)
088300             MOVE MMOC-BC-RESV-FUNDING-FLAG
088400                                 (X-MMOC-BC X-MMOC-BC-RESV)
088500                                 TO MML1-VL01-A-DATA-X
088600             PERFORM 9050-CREATE-MAINT-RECORD
088700                                 THRU 9099-CMR-EXIT
088800         END-IF
088900     END-PERFORM.
089000*
089100     SET X-MMOC-BC               UP BY +1.
089200*
089300 9799-BLR-EXIT.
089400     EXIT.
089500/         JULIAN TO GREGORIAN DATE ROUTINE.
089600     COPY SS08PD.
089700/         DATE AND TIME EDIT ROUTINES.
089800     COPY SS26PD.
089900     COPY SS27PD.
090000/         LINE 24 PF KEYS ROUTINE
090100     COPY SS15PD.
090200/         ORGANIZATION RECORD NUMBER 1 ACCESS ROUTINES
090300     COPY MMOCAO.
090400/         LOG/JOURNAL ACCESS ROUTINES
090500     COPY MML1AO.
090600/         ON-LINE MAP ROUTINES
090700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO06 '
090800                           MBMAPXXI BY MBMO06I
090900                           MBMAPXXO BY MBMO06O.
091000/         ON-LINE PROCEDURES
091100     COPY MB70PD.
091200/
091300     COPY SMFTPXO.
