000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO08.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO08 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 08                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO08 (ORGANIZATION MAP 08)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/         CHECK DIGIT WORK FIELDS
004500     COPY SS05WS.
004600/
004700 01  WS-WORK-AREAS.
004800     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005000         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005100     03  WS-SAVE-STATS-ONE   PIC  9(01)      VALUE ZEROES.
005200         88  WS-SAVE-STATS-ONE-ZERO          VALUE ZEROES.
005300         88  WS-SAVE-STATS-ONE-ONE           VALUE 1.
005400     03  WS-SAVE-STATS-TWO   PIC  9(01)      VALUE ZEROES.
005500         88  WS-SAVE-STATS-TWO-ZERO          VALUE ZEROES.
005600         88  WS-SAVE-STATS-TWO-TWO           VALUE 2.
005700     03  WS-ONE              PIC  9(01)      VALUE 1.
005800     03  WS-TWO              PIC  9(01)      VALUE 2.
005900     03  WS-CROSS-EDIT                       OCCURS 6 TIMES
006000                                             INDEXED BY
006100                                             X-WS-CROSS-EDIT.
006200         05  WS-CROSS-EDIT-FLAG
006300                             PIC  9(01)      VALUE ZEROS.
006400             88  WS-CROSS-EDIT-ZERO          VALUE ZERO.
006500             88  WS-CROSS-EDIT-ONE           VALUE 1.
006600             88  WS-CROSS-EDIT-TWO           VALUE 2.
006700*
006800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006900/
007000 LINKAGE SECTION.
007100 01  DFHCOMMAREA.
007200     COPY MB60WS.
007300/         ORG SCREEN 08 MAP DSECT
007400     COPY MBMO08.
007500/         ORG SCREEN 08 MAP REDEFINITION
007600     COPY MBMO08R.
007700/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
007800     COPY MMOCRL.
007900/         LOG/JOURNAL FILE RECORD LAYOUT
008000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
008100/
008200 PROCEDURE DIVISION.
008300 0000-HOUSEKEEPING SECTION.
008400 0100-INIT.
008500*
008600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008800                                 THRU MB70PD-OLH-EXIT.
008900*
009000     IF  MBCA-RECEIVE-SCREEN
009100         GO TO 2000-RECEIVE-SCREEN.
009200/
009300 1000-SEND-SCREEN SECTION.
009400*
009500****************************************************************
009600*    THIS SECTION BUILDS AND SENDS THE 08 SCREEN.              *
009700****************************************************************
009800*
009900****************************************************************
010000*    GET CICS STORAGE NEEDED FOR THE MAP                       *
010100****************************************************************
010200*
010300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010400     PERFORM MB60PD-GETMAIN-FOR-MAP
010500                                 THRU MB60PD-GFM-EXIT.
010600*
010700     MOVE MBCA-MERCHANT-ORG      TO MO08-ORG.
010800     MOVE 08                     TO MBCA-SCREEN-NBR.
010900*
011000****************************************************************
011100*    INITIALIZE THE STANDARD MAP LINES                         *
011200****************************************************************
011300*
011400     PERFORM MB60PD-INIT-STD-MAP-LINES
011500                                 THRU MB60PD-ISML-EXIT.
011600*
011700****************************************************************
011800*    READ THE ORGANIZATION FILE RECORD                         *
011900****************************************************************
012000*
012100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
012300     SET MBIORO-READ-RANDOM      TO TRUE.
012400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
012500/
012600 1100-BUILD-SCREEN.
012700*
012800****************************************************************
012900*    BUILD THE MAP FROM THE ORGANIZATION RECORD                *
013000****************************************************************
013100*
013200     MOVE MMOC-NA-LINE (1 1)     TO MO08-ORG-NAME.
013300*
013400     SET X-MMOC-STATS            TO 01.
013500     MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
013600                                 TO MO08-MERCH-STAT-YEST.
013700     MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
013800                                 TO MO08-MERCH-STAT-MTD.
013900     MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
014000                                 TO MO08-MERCH-STAT-YTD.
014100     MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
014200                                 TO MO08-MERCH-STAT-DTD.
014300     MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
014400                                 TO MO08-MERCH-STAT-STD.
014500     MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
014600                                 TO MO08-MERCH-STAT-PTD.
014700***
014800     SET X-MMOC-STATS            TO 02.
014900     MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
015000                                 TO MO08-INTCHG-STAT-YEST.
015100     MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
015200                                 TO MO08-INTCHG-STAT-MTD.
015300     MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
015400                                 TO MO08-INTCHG-STAT-YTD.
015500     MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
015600                                 TO MO08-INTCHG-STAT-STD.
015700*
015800     SET X-MMOC-STATS            TO 03.
015900     MOVE MMOC-STATS-YEST   (X-MMOC-STATS)
016000                                 TO MO08-CHAIN-STAT-YEST.
016100     MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
016200                                 TO MO08-CHAIN-STAT-MTD.
016300     MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
016400                                 TO MO08-CHAIN-STAT-YTD.
016500     MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
016600                                 TO MO08-CHAIN-STAT-DTD.
016700     MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
016800                                 TO MO08-CHAIN-STAT-STD.
016900     MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
017000                                 TO MO08-CHAIN-STAT-PTD.
017100***
017200     SET X-MMOC-STATS            TO 04.
017300     MOVE MMOC-STATS-YEST   (X-MMOC-STATS)
017400                                 TO MO08-C-INTCHG-STAT-YEST.
017500     MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
017600                                 TO MO08-C-INTCHG-STAT-MTD.
017700     MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
017800                                 TO MO08-C-INTCHG-STAT-YTD.
017900     MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
018000                                 TO MO08-C-INTCHG-STAT-STD.
018100/
018200****************************************************************
018300*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
018400****************************************************************
018500*
018600     MOVE SS08WS-CURSOR          TO MO08-MERCH-STAT-YEST-L.
018700*
018800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
018900         MOVE SS08WS-CURSOR      TO MO08-ALT-TRANID-L
019000         MOVE DFHBMASB           TO MO08-MERCH-STAT-YEST-A
019100                                    MO08-MERCH-STAT-MTD-A
019200                                    MO08-MERCH-STAT-YTD-A
019300                                    MO08-MERCH-STAT-DTD-A
019400                                    MO08-MERCH-STAT-PTD-A
019500                                    MO08-MERCH-STAT-STD-A
019600                                    MO08-INTCHG-STAT-YEST-A
019700                                    MO08-INTCHG-STAT-MTD-A
019800                                    MO08-INTCHG-STAT-YTD-A
019900                                    MO08-INTCHG-STAT-STD-A
020000                                    MO08-CHAIN-STAT-YEST-A
020100                                    MO08-CHAIN-STAT-MTD-A
020200                                    MO08-CHAIN-STAT-YTD-A
020300                                    MO08-CHAIN-STAT-DTD-A
020400                                    MO08-CHAIN-STAT-PTD-A
020500                                    MO08-CHAIN-STAT-STD-A
020600                                    MO08-C-INTCHG-STAT-YEST-A
020700                                    MO08-C-INTCHG-STAT-MTD-A
020800                                    MO08-C-INTCHG-STAT-YTD-A
020900                                    MO08-C-INTCHG-STAT-STD-A
021000         MOVE DFHBMDAS           TO MO08-MERCH-STAT-YEST-LP-A
021100                                    MO08-MERCH-STAT-YEST-RP-A
021200                                    MO08-MERCH-STAT-MTD-LP-A
021300                                    MO08-MERCH-STAT-MTD-RP-A
021400                                    MO08-MERCH-STAT-YTD-LP-A
021500                                    MO08-MERCH-STAT-YTD-RP-A
021600                                    MO08-MERCH-STAT-DTD-LP-A
021700                                    MO08-MERCH-STAT-DTD-RP-A
021800                                    MO08-MERCH-STAT-PTD-LP-A
021900                                    MO08-MERCH-STAT-PTD-RP-A
022000                                    MO08-MERCH-STAT-STD-LP-A
022100                                    MO08-MERCH-STAT-STD-RP-A
022200                                    MO08-INTCHG-STAT-YEST-LP-A
022300                                    MO08-INTCHG-STAT-YEST-RP-A
022400                                    MO08-INTCHG-STAT-MTD-LP-A
022500                                    MO08-INTCHG-STAT-MTD-RP-A
022600                                    MO08-INTCHG-STAT-YTD-LP-A
022700                                    MO08-INTCHG-STAT-YTD-RP-A
022800                                    MO08-INTCHG-STAT-STD-LP-A
022900                                    MO08-INTCHG-STAT-STD-RP-A
023000                                    MO08-CHAIN-STAT-YEST-LP-A
023100                                    MO08-CHAIN-STAT-YEST-RP-A
023200                                    MO08-CHAIN-STAT-MTD-LP-A
023300                                    MO08-CHAIN-STAT-MTD-RP-A
023400                                    MO08-CHAIN-STAT-YTD-LP-A
023500                                    MO08-CHAIN-STAT-YTD-RP-A
023600                                    MO08-CHAIN-STAT-DTD-LP-A
023700                                    MO08-CHAIN-STAT-DTD-RP-A
023800                                    MO08-CHAIN-STAT-PTD-LP-A
023900                                    MO08-CHAIN-STAT-PTD-RP-A
024000                                    MO08-CHAIN-STAT-STD-LP-A
024100                                    MO08-CHAIN-STAT-STD-RP-A
024200                                    MO08-C-INTCHG-STAT-YEST-LP-A
024300                                    MO08-C-INTCHG-STAT-YEST-RP-A
024400                                    MO08-C-INTCHG-STAT-MTD-LP-A
024500                                    MO08-C-INTCHG-STAT-MTD-RP-A
024600                                    MO08-C-INTCHG-STAT-YTD-LP-A
024700                                    MO08-C-INTCHG-STAT-YTD-RP-A
024800                                    MO08-C-INTCHG-STAT-STD-LP-A
024900                                    MO08-C-INTCHG-STAT-STD-RP-A.
025000*
025100****************************************************************
025200*    SEND THE MAP                                              *
025300****************************************************************
025400*
025500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
025600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
025700                                 THRU MB60PD-SMWE-EXIT.
025800*
025900****************************************************************
026000*    RETURN TO CICS                                            *
026100****************************************************************
026200*
026300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
026400     PERFORM MB70PD-RETURN-TRANS-ID
026500                                 THRU MB70PD-RTI-EXIT.
026600/
026700 2000-RECEIVE-SCREEN SECTION.
026800*
026900****************************************************************
027000*    THIS SECTION RECEIVES THE 08 SCREEN                       *
027100****************************************************************
027200*
027300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
027400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
027500*
027600****************************************************************
027700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
027800****************************************************************
027900*
028000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
028100     PERFORM MB60PD-NEW-TRANS-ROUTINE
028200                                 THRU MB60PD-NTR-EXIT.
028300*
028400****************************************************************
028500*    BYPASS EDITS ON INQUIRY                                   *
028600****************************************************************
028700*
028800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
028900         GO TO 2600-SETUP-COMMAREA.
029000*
029100****************************************************************
029200*    READ THE ORGANIZATION FILE RECORD                         *
029300****************************************************************
029400*
029500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
029600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
029700     SET MBIORO-READ-RANDOM      TO TRUE.
029800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
029900*
030000****************************************************************
030100*    EDIT FIELDS                                               *
030200****************************************************************
030300*
030400     PERFORM 9100-EDIT-MERCH-STAT-DEFAULTS
030500                                 THRU 9109-EMSD-EXIT.
030600*
030700     PERFORM 9200-EDIT-INTCHG-STAT-DEFAULTS
030800                                 THRU 9209-EISD-EXIT.
030900*
031000     PERFORM 9300-EDIT-CHAIN-STAT-DEFAULTS
031100                                 THRU 9309-ECSD-EXIT.
031200*
031300     PERFORM 9400-EDIT-C-INTCHG-STAT-DEFLTS
031400                                 THRU 9409-ECISD-EXIT.
031500*
031600     IF  SS08WS-ERROR-SW-NO
031700         GO TO 2400-UPDATE-FILE.
031800*
031900****************************************************************
032000*    SEND THE MAP                                              *
032100****************************************************************
032200*
032300     PERFORM MB60PD-INIT-STD-MAP-LINES
032400                                 THRU MB60PD-ISML-EXIT.
032500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
032600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
032700                                 THRU MB60PD-SMDO-EXIT.
032800*
032900****************************************************************
033000*    RETURN TO CICS                                            *
033100****************************************************************
033200*
033300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
033400     PERFORM MB70PD-RETURN-TRANS-ID
033500                                 THRU MB70PD-RTI-EXIT.
033600/
033700 2400-UPDATE-FILE.
033800*
033900     IF  WS-UPDATE-SW-NO
034000         IF  MBCA-PTI-FUNCTION-IS-ADD
034100             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
034200             MOVE MBCA-MERCHANT-ORG
034300                                 TO MBIOWS-MMOC-ORG
034400             SET MBIORO-READ-RANDOM-UPDATE
034500                                 TO TRUE
034600             PERFORM MMOCAO-ACCESS
034700                                 THRU MMOCAO-ACCESS-EXIT
034800             MOVE MBCA-SCREEN-NBR
034900                                 TO MMOC-ONLINE-STATUS
035000             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
035100             SET MBIORO-REWRITE  TO TRUE
035200             PERFORM MMOCAO-ACCESS
035300                                 THRU MMOCAO-ACCESS-EXIT
035400             GO TO 2600-SETUP-COMMAREA
035500         ELSE
035600             GO TO 2600-SETUP-COMMAREA.
035700*
035800****************************************************************
035900*    GETMAIN FOR LOG/JOURNAL RECORD                            *
036000****************************************************************
036100*
036200     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
036300     SET MBIORO-GETMAIN          TO TRUE.
036400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
036500*
036600****************************************************************
036700*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
036800****************************************************************
036900*
037000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
037100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
037200     SET MBIORO-READ-RANDOM-UPDATE
037300                                 TO TRUE.
037400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
037500*
037600     SET X-MMOC-STATS            TO 1.
037700*
037800*            ***** MERCHANT STATS YESTERDAY *****               *
037900*
038000     IF  MO08-MERCH-STAT-YEST-L IS GREATER THAN ZERO
038100         MOVE 1                  TO MML1-FIELD-OCCURRENCE
038200         MOVE 0801               TO MML1-FIELD-CODE
038300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
038400         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
038500                                 TO MML1-VL01-B-DATA-9
038600         MOVE MO08-MERCH-STAT-YEST
038700                                 TO MMOC-STATS-YEST
038800                                    (X-MMOC-STATS)
038900         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
039000                                 TO MML1-VL01-A-DATA-9
039100         PERFORM 9050-CREATE-MAINT-RECORD
039200                                 THRU 9099-CMR-EXIT.
039300*
039400*            ***** MERCHANT STATS MTD *****               *
039500*
039600     IF  MO08-MERCH-STAT-MTD-L IS GREATER THAN ZERO
039700         MOVE 1                  TO MML1-FIELD-OCCURRENCE
039800         MOVE 0802               TO MML1-FIELD-CODE
039900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
040000         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
040100                                 TO MML1-VL01-B-DATA-9
040200         MOVE MO08-MERCH-STAT-MTD
040300                                 TO MMOC-STATS-MTD
040400                                    (X-MMOC-STATS)
040500         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
040600                                 TO MML1-VL01-A-DATA-9
040700         PERFORM 9050-CREATE-MAINT-RECORD
040800                                 THRU 9099-CMR-EXIT.
040900*
041000*            ***** MERCHANT STATS YTD *****               *
041100*
041200     IF  MO08-MERCH-STAT-YTD-L IS GREATER THAN ZERO
041300         MOVE 1                  TO MML1-FIELD-OCCURRENCE
041400         MOVE 0803               TO MML1-FIELD-CODE
041500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
041600         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
041700                                 TO MML1-VL01-B-DATA-9
041800         MOVE MO08-MERCH-STAT-YTD
041900                                 TO MMOC-STATS-YTD
042000                                    (X-MMOC-STATS)
042100         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
042200                                 TO MML1-VL01-A-DATA-9
042300         PERFORM 9050-CREATE-MAINT-RECORD
042400                                 THRU 9099-CMR-EXIT.
042500*
042600*            ***** MERCHANT STATS CTD *****               *
042700*
042800     IF  MO08-MERCH-STAT-STD-L IS GREATER THAN ZERO
042900         MOVE 1                  TO MML1-FIELD-OCCURRENCE
043000         MOVE 0804               TO MML1-FIELD-CODE
043100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
043200         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
043300                                 TO MML1-VL01-B-DATA-9
043400         MOVE MO08-MERCH-STAT-STD
043500                                 TO MMOC-STATS-CTD
043600                                    (X-MMOC-STATS)
043700         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
043800                                 TO MML1-VL01-A-DATA-9
043900         PERFORM 9050-CREATE-MAINT-RECORD
044000                                 THRU 9099-CMR-EXIT.
044100*
044200*            ***** MERCHANT STATS DTD *****               *
044300*
044400     IF  MO08-MERCH-STAT-DTD-L IS GREATER THAN ZERO
044500         MOVE 1                  TO MML1-FIELD-OCCURRENCE
044600         MOVE 0805               TO MML1-FIELD-CODE
044700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
044800         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
044900                                 TO MML1-VL01-B-DATA-9
045000         MOVE MO08-MERCH-STAT-DTD
045100                                 TO MMOC-STATS-DTD
045200                                    (X-MMOC-STATS)
045300         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
045400                                 TO MML1-VL01-A-DATA-9
045500         PERFORM 9050-CREATE-MAINT-RECORD
045600                                 THRU 9099-CMR-EXIT.
045700*
045800*            ***** MERCHANT STATS PTD *****               *
045900*
046000     IF  MO08-MERCH-STAT-PTD-L IS GREATER THAN ZERO
046100         MOVE 1                  TO MML1-FIELD-OCCURRENCE
046200         MOVE 0806               TO MML1-FIELD-CODE
046300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
046400         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
046500                                 TO MML1-VL01-B-DATA-9
046600         MOVE MO08-MERCH-STAT-PTD
046700                                 TO MMOC-STATS-PTD
046800                                    (X-MMOC-STATS)
046900         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
047000                                 TO MML1-VL01-A-DATA-9
047100         PERFORM 9050-CREATE-MAINT-RECORD
047200                                 THRU 9099-CMR-EXIT.
047300*
047400     SET X-MMOC-STATS            TO 2.
047500*
047600*            ***** INTERCHANGE STATS YESTERDAY *****            *
047700*
047800     IF  MO08-INTCHG-STAT-YEST-L IS GREATER THAN ZERO
047900         MOVE 2                  TO MML1-FIELD-OCCURRENCE
048000         MOVE 0801               TO MML1-FIELD-CODE
048100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
048200         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
048300                                 TO MML1-VL01-B-DATA-9
048400         MOVE MO08-INTCHG-STAT-YEST
048500                                 TO MMOC-STATS-YEST
048600                                    (X-MMOC-STATS)
048700         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
048800                                 TO MML1-VL01-A-DATA-9
048900         PERFORM 9050-CREATE-MAINT-RECORD
049000                                 THRU 9099-CMR-EXIT.
049100*
049200*            ***** INTERCHANGE STATS MTD *****            *
049300*
049400     IF  MO08-INTCHG-STAT-MTD-L IS GREATER THAN ZERO
049500         MOVE 2                  TO MML1-FIELD-OCCURRENCE
049600         MOVE 0802               TO MML1-FIELD-CODE
049700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
049800         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
049900                                 TO MML1-VL01-B-DATA-9
050000         MOVE MO08-INTCHG-STAT-MTD
050100                                 TO MMOC-STATS-MTD
050200                                    (X-MMOC-STATS)
050300         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
050400                                 TO MML1-VL01-A-DATA-9
050500         PERFORM 9050-CREATE-MAINT-RECORD
050600                                 THRU 9099-CMR-EXIT.
050700*
050800*            ***** INTERCHANGE STATS YTD *****            *
050900*
051000     IF  MO08-INTCHG-STAT-YTD-L IS GREATER THAN ZERO
051100         MOVE 2                  TO MML1-FIELD-OCCURRENCE
051200         MOVE 0803               TO MML1-FIELD-CODE
051300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
051400         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
051500                                 TO MML1-VL01-B-DATA-9
051600         MOVE MO08-INTCHG-STAT-YTD
051700                                 TO MMOC-STATS-YTD
051800                                    (X-MMOC-STATS)
051900         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
052000                                 TO MML1-VL01-A-DATA-9
052100         PERFORM 9050-CREATE-MAINT-RECORD
052200                                 THRU 9099-CMR-EXIT.
052300*
052400*            ***** INTERCHANGE STATS CTD *****            *
052500*
052600     IF  MO08-INTCHG-STAT-STD-L IS GREATER THAN ZERO
052700         MOVE 2                  TO MML1-FIELD-OCCURRENCE
052800         MOVE 0804               TO MML1-FIELD-CODE
052900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
053000         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
053100                                 TO MML1-VL01-B-DATA-9
053200         MOVE MO08-INTCHG-STAT-STD
053300                                 TO MMOC-STATS-CTD
053400                                    (X-MMOC-STATS)
053500         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
053600                                 TO MML1-VL01-A-DATA-9
053700         PERFORM 9050-CREATE-MAINT-RECORD
053800                                 THRU 9099-CMR-EXIT.
053900*
054000     SET X-MMOC-STATS            TO 3.
054100*
054200*            ***** CHAIN STATS YESTERDAY *****               *
054300*
054400     IF  MO08-CHAIN-STAT-YEST-L IS GREATER THAN ZERO
054500         MOVE 3                  TO MML1-FIELD-OCCURRENCE
054600         MOVE 0801               TO MML1-FIELD-CODE
054700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
054800         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
054900                                 TO MML1-VL01-B-DATA-9
055000         MOVE MO08-CHAIN-STAT-YEST
055100                                 TO MMOC-STATS-YEST
055200                                    (X-MMOC-STATS)
055300         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
055400                                 TO MML1-VL01-A-DATA-9
055500         PERFORM 9050-CREATE-MAINT-RECORD
055600                                 THRU 9099-CMR-EXIT.
055700*
055800*            ***** CHAIN STATS MTD *****               *
055900*
056000     IF  MO08-CHAIN-STAT-MTD-L IS GREATER THAN ZERO
056100         MOVE 3                  TO MML1-FIELD-OCCURRENCE
056200         MOVE 0802               TO MML1-FIELD-CODE
056300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
056400         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
056500                                 TO MML1-VL01-B-DATA-9
056600         MOVE MO08-CHAIN-STAT-MTD
056700                                 TO MMOC-STATS-MTD
056800                                    (X-MMOC-STATS)
056900         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
057000                                 TO MML1-VL01-A-DATA-9
057100         PERFORM 9050-CREATE-MAINT-RECORD
057200                                 THRU 9099-CMR-EXIT.
057300*
057400*            ***** CHAIN STATS YTD *****               *
057500*
057600     IF  MO08-CHAIN-STAT-YTD-L IS GREATER THAN ZERO
057700         MOVE 3                  TO MML1-FIELD-OCCURRENCE
057800         MOVE 0803               TO MML1-FIELD-CODE
057900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
058000         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
058100                                 TO MML1-VL01-B-DATA-9
058200         MOVE MO08-CHAIN-STAT-YTD
058300                                 TO MMOC-STATS-YTD
058400                                    (X-MMOC-STATS)
058500         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
058600                                 TO MML1-VL01-A-DATA-9
058700         PERFORM 9050-CREATE-MAINT-RECORD
058800                                 THRU 9099-CMR-EXIT.
058900*
059000*            ***** CHAIN STATS CTD *****               *
059100*
059200     IF  MO08-CHAIN-STAT-STD-L IS GREATER THAN ZERO
059300         MOVE 3                  TO MML1-FIELD-OCCURRENCE
059400         MOVE 0804               TO MML1-FIELD-CODE
059500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
059600         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
059700                                 TO MML1-VL01-B-DATA-9
059800         MOVE MO08-CHAIN-STAT-STD
059900                                 TO MMOC-STATS-CTD
060000                                    (X-MMOC-STATS)
060100         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
060200                                 TO MML1-VL01-A-DATA-9
060300         PERFORM 9050-CREATE-MAINT-RECORD
060400                                 THRU 9099-CMR-EXIT.
060500*
060600*            ***** CHAIN STATS DTD *****               *
060700*
060800     IF  MO08-CHAIN-STAT-DTD-L IS GREATER THAN ZERO
060900         MOVE 3                  TO MML1-FIELD-OCCURRENCE
061000         MOVE 0805               TO MML1-FIELD-CODE
061100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
061200         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
061300                                 TO MML1-VL01-B-DATA-9
061400         MOVE MO08-CHAIN-STAT-DTD
061500                                 TO MMOC-STATS-DTD
061600                                    (X-MMOC-STATS)
061700         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
061800                                 TO MML1-VL01-A-DATA-9
061900         PERFORM 9050-CREATE-MAINT-RECORD
062000                                 THRU 9099-CMR-EXIT.
062100*
062200*            ***** CHAIN STATS PTD *****               *
062300*
062400     IF  MO08-CHAIN-STAT-PTD-L IS GREATER THAN ZERO
062500         MOVE 3                  TO MML1-FIELD-OCCURRENCE
062600         MOVE 0806               TO MML1-FIELD-CODE
062700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
062800         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
062900                                 TO MML1-VL01-B-DATA-9
063000         MOVE MO08-CHAIN-STAT-PTD
063100                                 TO MMOC-STATS-PTD
063200                                    (X-MMOC-STATS)
063300         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
063400                                 TO MML1-VL01-A-DATA-9
063500         PERFORM 9050-CREATE-MAINT-RECORD
063600                                 THRU 9099-CMR-EXIT.
063700*
063800     SET X-MMOC-STATS            TO 4.
063900*
064000*            ***** INTERCHANGE STATS YESTERDAY *****            *
064100*
064200     IF  MO08-C-INTCHG-STAT-YEST-L IS GREATER THAN ZERO
064300         MOVE 4                  TO MML1-FIELD-OCCURRENCE
064400         MOVE 0801               TO MML1-FIELD-CODE
064500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
064600         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
064700                                 TO MML1-VL01-B-DATA-9
064800         MOVE MO08-C-INTCHG-STAT-YEST
064900                                 TO MMOC-STATS-YEST
065000                                    (X-MMOC-STATS)
065100         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
065200                                 TO MML1-VL01-A-DATA-9
065300         PERFORM 9050-CREATE-MAINT-RECORD
065400                                 THRU 9099-CMR-EXIT.
065500*
065600*            ***** INTERCHANGE STATS MTD *****            *
065700*
065800     IF  MO08-C-INTCHG-STAT-MTD-L IS GREATER THAN ZERO
065900         MOVE 4                  TO MML1-FIELD-OCCURRENCE
066000         MOVE 0802               TO MML1-FIELD-CODE
066100         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
066200         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
066300                                 TO MML1-VL01-B-DATA-9
066400         MOVE MO08-C-INTCHG-STAT-MTD
066500                                 TO MMOC-STATS-MTD
066600                                    (X-MMOC-STATS)
066700         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
066800                                 TO MML1-VL01-A-DATA-9
066900         PERFORM 9050-CREATE-MAINT-RECORD
067000                                 THRU 9099-CMR-EXIT.
067100*
067200*            ***** INTERCHANGE STATS YTD *****            *
067300*
067400     IF  MO08-C-INTCHG-STAT-YTD-L IS GREATER THAN ZERO
067500         MOVE 4                  TO MML1-FIELD-OCCURRENCE
067600         MOVE 0803               TO MML1-FIELD-CODE
067700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
067800         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
067900                                 TO MML1-VL01-B-DATA-9
068000         MOVE MO08-C-INTCHG-STAT-YTD
068100                                 TO MMOC-STATS-YTD
068200                                 (X-MMOC-STATS)
068300         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
068400                                 TO MML1-VL01-A-DATA-9
068500         PERFORM 9050-CREATE-MAINT-RECORD
068600                                 THRU 9099-CMR-EXIT.
068700*
068800*            ***** INTERCHANGE STATS CTD *****            *
068900*
069000     IF  MO08-C-INTCHG-STAT-STD-L IS GREATER THAN ZERO
069100         MOVE 4                  TO MML1-FIELD-OCCURRENCE
069200         MOVE 0804               TO MML1-FIELD-CODE
069300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
069400         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
069500                                 TO MML1-VL01-B-DATA-9
069600         MOVE MO08-C-INTCHG-STAT-STD
069700                                 TO MMOC-STATS-CTD
069800                                    (X-MMOC-STATS)
069900         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
070000                                 TO MML1-VL01-A-DATA-9
070100         PERFORM 9050-CREATE-MAINT-RECORD
070200                                 THRU 9099-CMR-EXIT.
070300*
070400     IF  MBCA-PTI-FUNCTION-IS-ADD
070500         MOVE 08                 TO MMOC-ONLINE-STATUS.
070600*
070700*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
070800*
070900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
071000     MOVE 0199                   TO MML1-FIELD-CODE.
071100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
071200     MOVE MMOC-LAST-MAINT-DATE
071300                                 TO MML1-VL07-B-DATA-9.
071400     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
071500     MOVE MMOC-LAST-MAINT-DATE
071600                                 TO MML1-VL07-A-DATA-9.
071700     PERFORM 9050-CREATE-MAINT-RECORD
071800                                 THRU 9099-CMR-EXIT.
071900     MOVE 0198                   TO MML1-FIELD-CODE.
072000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
072100     MOVE MMOC-LAST-MAINT-OPER
072200                                 TO MML1-VL03-B-DATA-X.
072300     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
072400     MOVE MMOC-LAST-MAINT-OPER
072500                                 TO MML1-VL03-A-DATA-X.
072600     PERFORM 9050-CREATE-MAINT-RECORD
072700                                 THRU 9099-CMR-EXIT.
072800*
072900****************************************************************
073000*    UPDATE THE ORGANIZATION FILE RECORD                       *
073100****************************************************************
073200*
073300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
073400     SET MBIORO-REWRITE          TO TRUE.
073500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
073600*
073700 2600-SETUP-COMMAREA.
073800*
073900****************************************************************
074000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
074100****************************************************************
074200*
074300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
074400*
074500     PERFORM MB60PD-EDIT-PAGE-NBR
074600                                 THRU MB60PD-EPN-EXIT.
074700*
074800     IF  SS08WS-VALID-PF-KEY
074900     OR  SS08WS-EIBAID-VALID-PF-KEY
075000         SET MBCA-INITIAL-SCREEN-NBR
075100                                 TO TRUE.
075200*
075300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
075400     PERFORM MB70PD-XCTL-TO-MBOXCTL
075500                                 THRU MB70PD-XTM-EXIT.
075600/
075700 9000-PERFORMED-ROUTINES-SECT SECTION.
075800*
075900 9050-CREATE-MAINT-RECORD.
076000*
076100*****************************************************************
076200*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
076300*    LOG/JOURNAL TRANSACTIONS                                   *
076400*****************************************************************
076500*
076600     IF  MBCA-PTI-FUNCTION-IS-ADD
076700         GO TO 9099-CMR-EXIT.
076800*
076900     MOVE 'OC'                   TO MML1-FILE-CODE.
077000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
077100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
077200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
077300     MOVE ZEROES                 TO MML1-SOURCE-CODE
077400                                    MML1-FIELD-OCCURRENCE-2.
077500*
077600*****************************************************************
077700*    WRITE THE LOG/JOURNAL FILE RECORD                          *
077800*****************************************************************
077900*
078000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
078100     SET MBIORO-WRITE            TO TRUE.
078200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
078300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
078400*
078500 9099-CMR-EXIT.
078600     EXIT.
078700*
078800 9100-EDIT-MERCH-STAT-DEFAULTS.
078900*
079000     SET X-MMOC-STATS            TO 1.
079100*
079200     MOVE MMOC-STATS-YEST (X-MMOC-STATS)
079300                                 TO WS-CROSS-EDIT-FLAG (1).
079400     MOVE MMOC-STATS-MTD (X-MMOC-STATS)
079500                                 TO WS-CROSS-EDIT-FLAG (2).
079600     MOVE MMOC-STATS-YTD (X-MMOC-STATS)
079700                                 TO WS-CROSS-EDIT-FLAG (3).
079800     MOVE MMOC-STATS-CTD (X-MMOC-STATS)
079900                                 TO WS-CROSS-EDIT-FLAG (4).
080000     MOVE MMOC-STATS-DTD (X-MMOC-STATS)
080100                                 TO WS-CROSS-EDIT-FLAG (5).
080200     MOVE MMOC-STATS-PTD (X-MMOC-STATS)
080300                                 TO WS-CROSS-EDIT-FLAG (6).
080400*
080500     IF  MO08-MERCH-STAT-YEST-L  IS LESS THAN 1
080600         MOVE DFHBMASK           TO MO08-MERCH-STAT-YEST-A
080700         MOVE DFHBMDAS           TO MO08-MERCH-STAT-YEST-LP-A
080800                                    MO08-MERCH-STAT-YEST-RP-A
080900         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
081000                                 TO MO08-MERCH-STAT-YEST
081100     ELSE
081200         IF  MO08-MERCH-STAT-YEST IS NUMERIC
081300         AND MO08-VALID-STAT-MER-YEST
081400             MOVE DFHBMASF       TO MO08-MERCH-STAT-YEST-A
081500             MOVE DFHBMDAS       TO MO08-MERCH-STAT-YEST-LP-A
081600                                    MO08-MERCH-STAT-YEST-RP-A
081700             MOVE MO08-MERCH-STAT-YEST
081800                                 TO WS-CROSS-EDIT-FLAG (1)
081900             SET WS-UPDATE-SW-YES
082000                                 TO TRUE
082100         ELSE
082200             MOVE DFHBMNBF       TO MO08-MERCH-STAT-YEST-A
082300             MOVE DFHBMASB       TO MO08-MERCH-STAT-YEST-LP-A
082400                                    MO08-MERCH-STAT-YEST-RP-A
082500             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-YEST-L
082600             SET SS08WS-ERROR-SW-YES TO TRUE.
082700*
082800     IF  MO08-MERCH-STAT-MTD-L   IS LESS THAN 1
082900         MOVE DFHBMASK           TO MO08-MERCH-STAT-MTD-A
083000         MOVE DFHBMDAS           TO MO08-MERCH-STAT-MTD-LP-A
083100                                    MO08-MERCH-STAT-MTD-RP-A
083200         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
083300                                 TO MO08-MERCH-STAT-MTD
083400     ELSE
083500         IF  MO08-MERCH-STAT-MTD IS NUMERIC
083600         AND MO08-VALID-STAT-MER-MTD
083700             MOVE DFHBMASF       TO MO08-MERCH-STAT-MTD-A
083800             MOVE DFHBMDAS       TO MO08-MERCH-STAT-MTD-LP-A
083900                                    MO08-MERCH-STAT-MTD-RP-A
084000             MOVE MO08-MERCH-STAT-MTD
084100                                 TO WS-CROSS-EDIT-FLAG (2)
084200             SET WS-UPDATE-SW-YES
084300                                 TO TRUE
084400         ELSE
084500             MOVE DFHBMNBF       TO MO08-MERCH-STAT-MTD-A
084600             MOVE DFHBMASB       TO MO08-MERCH-STAT-MTD-LP-A
084700                                    MO08-MERCH-STAT-MTD-RP-A
084800             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-MTD-L
084900             SET SS08WS-ERROR-SW-YES TO TRUE.
085000*
085100     IF  MO08-MERCH-STAT-YTD-L   IS LESS THAN 1
085200         MOVE DFHBMASK           TO MO08-MERCH-STAT-YTD-A
085300         MOVE DFHBMDAS           TO MO08-MERCH-STAT-YTD-LP-A
085400                                    MO08-MERCH-STAT-YTD-RP-A
085500         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
085600                                 TO MO08-MERCH-STAT-YTD
085700     ELSE
085800         IF  MO08-MERCH-STAT-YTD IS NUMERIC
085900         AND MO08-VALID-STAT-MER-YTD
086000             MOVE DFHBMASF       TO MO08-MERCH-STAT-YTD-A
086100             MOVE DFHBMDAS       TO MO08-MERCH-STAT-YTD-LP-A
086200                                    MO08-MERCH-STAT-YTD-RP-A
086300             MOVE MO08-MERCH-STAT-YTD
086400                                 TO WS-CROSS-EDIT-FLAG (3)
086500             SET WS-UPDATE-SW-YES
086600                                 TO TRUE
086700         ELSE
086800             MOVE DFHBMNBF       TO MO08-MERCH-STAT-YTD-A
086900             MOVE DFHBMASB       TO MO08-MERCH-STAT-YTD-LP-A
087000                                    MO08-MERCH-STAT-YTD-RP-A
087100             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-YTD-L
087200             SET SS08WS-ERROR-SW-YES TO TRUE.
087300*
087400     IF  MO08-MERCH-STAT-STD-L   IS LESS THAN 1
087500         MOVE DFHBMASK           TO MO08-MERCH-STAT-STD-A
087600         MOVE DFHBMDAS           TO MO08-MERCH-STAT-STD-LP-A
087700                                    MO08-MERCH-STAT-STD-RP-A
087800         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
087900                                 TO MO08-MERCH-STAT-STD
088000     ELSE
088100         IF  MO08-MERCH-STAT-STD IS NUMERIC
088200         AND MO08-VALID-STAT-MER-STD
088300             MOVE DFHBMASF       TO MO08-MERCH-STAT-STD-A
088400             MOVE DFHBMDAS       TO MO08-MERCH-STAT-STD-LP-A
088500                                    MO08-MERCH-STAT-STD-RP-A
088600             MOVE MO08-MERCH-STAT-STD
088700                                 TO WS-CROSS-EDIT-FLAG (4)
088800             SET WS-UPDATE-SW-YES
088900                                 TO TRUE
089000         ELSE
089100             MOVE DFHBMNBF       TO MO08-MERCH-STAT-STD-A
089200             MOVE DFHBMASB       TO MO08-MERCH-STAT-STD-LP-A
089300                                    MO08-MERCH-STAT-STD-RP-A
089400             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-STD-L
089500             SET SS08WS-ERROR-SW-YES TO TRUE.
089600*
089700     IF  MO08-MERCH-STAT-DTD-L   IS LESS THAN 1
089800         MOVE DFHBMASK           TO MO08-MERCH-STAT-DTD-A
089900         MOVE DFHBMDAS           TO MO08-MERCH-STAT-DTD-LP-A
090000                                    MO08-MERCH-STAT-DTD-RP-A
090100         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
090200                                 TO MO08-MERCH-STAT-DTD
090300     ELSE
090400         IF  MO08-MERCH-STAT-DTD IS NUMERIC
090500         AND MO08-VALID-STAT-MER-DTD
090600             MOVE DFHBMASF       TO MO08-MERCH-STAT-DTD-A
090700             MOVE DFHBMDAS       TO MO08-MERCH-STAT-DTD-LP-A
090800                                    MO08-MERCH-STAT-DTD-RP-A
090900             MOVE MO08-MERCH-STAT-DTD
091000                                 TO WS-CROSS-EDIT-FLAG (5)
091100             SET WS-UPDATE-SW-YES
091200                                 TO TRUE
091300         ELSE
091400             MOVE DFHBMNBF       TO MO08-MERCH-STAT-DTD-A
091500             MOVE DFHBMASB       TO MO08-MERCH-STAT-DTD-LP-A
091600                                    MO08-MERCH-STAT-DTD-RP-A
091700             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-DTD-L
091800             SET SS08WS-ERROR-SW-YES TO TRUE.
091900*
092000     IF  MO08-MERCH-STAT-PTD-L   IS LESS THAN 1
092100         MOVE DFHBMASK           TO MO08-MERCH-STAT-PTD-A
092200         MOVE DFHBMDAS           TO MO08-MERCH-STAT-PTD-LP-A
092300                                    MO08-MERCH-STAT-PTD-RP-A
092400         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
092500                                 TO MO08-MERCH-STAT-PTD
092600     ELSE
092700         IF  MO08-MERCH-STAT-PTD IS NUMERIC
092800         AND MO08-VALID-STAT-MER-PTD
092900             MOVE DFHBMASF       TO MO08-MERCH-STAT-PTD-A
093000             MOVE DFHBMDAS       TO MO08-MERCH-STAT-PTD-LP-A
093100                                    MO08-MERCH-STAT-PTD-RP-A
093200             MOVE MO08-MERCH-STAT-PTD
093300                                 TO WS-CROSS-EDIT-FLAG (6)
093400             SET WS-UPDATE-SW-YES
093500                                 TO TRUE
093600         ELSE
093700             MOVE DFHBMNBF       TO MO08-MERCH-STAT-PTD-A
093800             MOVE DFHBMASB       TO MO08-MERCH-STAT-PTD-LP-A
093900                                    MO08-MERCH-STAT-PTD-RP-A
094000             MOVE SS08WS-CURSOR  TO MO08-MERCH-STAT-PTD-L
094100             SET SS08WS-ERROR-SW-YES TO TRUE.
094200*
094300     PERFORM 9150-CROSS-EDIT-MERCH-STAT
094400                                 THRU 9159-CEMS-EXIT
094500         VARYING X-WS-CROSS-EDIT FROM +1 BY +1
094600         UNTIL   X-WS-CROSS-EDIT IS GREATER THAN +6.
094700*
094800     SET WS-SAVE-STATS-ONE-ZERO  TO TRUE.
094900     SET WS-SAVE-STATS-TWO-ZERO  TO TRUE.
095000*
095100 9109-EMSD-EXIT.
095200     EXIT.
095300*
095400 9150-CROSS-EDIT-MERCH-STAT.
095500*
095600     IF  WS-CROSS-EDIT-ZERO (X-WS-CROSS-EDIT)
095700        GO TO 9159-CEMS-EXIT.
095800*
095900     IF (WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
096000     AND WS-SAVE-STATS-ONE-ONE)
096100     OR (WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
096200     AND WS-SAVE-STATS-TWO-TWO)
096300         MOVE DFHBMUBF           TO MO08-MERCH-STAT-YEST-A
096400                                    MO08-MERCH-STAT-MTD-A
096500                                    MO08-MERCH-STAT-YTD-A
096600                                    MO08-MERCH-STAT-STD-A
096700                                    MO08-MERCH-STAT-DTD-A
096800                                    MO08-MERCH-STAT-PTD-A
096900         MOVE DFHBMASB           TO MO08-MERCH-STAT-YEST-LP-A
097000                                    MO08-MERCH-STAT-YEST-RP-A
097100                                    MO08-MERCH-STAT-MTD-LP-A
097200                                    MO08-MERCH-STAT-MTD-RP-A
097300                                    MO08-MERCH-STAT-YTD-LP-A
097400                                    MO08-MERCH-STAT-YTD-RP-A
097500                                    MO08-MERCH-STAT-STD-LP-A
097600                                    MO08-MERCH-STAT-STD-RP-A
097700                                    MO08-MERCH-STAT-DTD-LP-A
097800                                    MO08-MERCH-STAT-DTD-RP-A
097900                                    MO08-MERCH-STAT-PTD-LP-A
098000                                    MO08-MERCH-STAT-PTD-RP-A
098100         MOVE SS08WS-CURSOR      TO MO08-MERCH-STAT-YEST-L
098200         SET X-WS-CROSS-EDIT     TO +6
098300         SET SS08WS-ERROR-SW-YES TO TRUE
098400         GO TO 9159-CEMS-EXIT.
098500*
098600     IF  WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
098700     AND WS-SAVE-STATS-ONE-ZERO
098800         SET WS-SAVE-STATS-ONE-ONE
098900                                 TO TRUE.
099000*
099100     IF  WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
099200     AND WS-SAVE-STATS-TWO-ZERO
099300         SET WS-SAVE-STATS-TWO-TWO
099400                                 TO TRUE.
099500*
099600*
099700 9159-CEMS-EXIT.
099800     EXIT.
099900*
100000 9200-EDIT-INTCHG-STAT-DEFAULTS.
100100*
100200     SET X-MMOC-STATS            TO 2.
100300*
100400     MOVE MMOC-STATS-YEST (X-MMOC-STATS)
100500                                 TO WS-CROSS-EDIT-FLAG (1).
100600     MOVE MMOC-STATS-MTD (X-MMOC-STATS)
100700                                 TO WS-CROSS-EDIT-FLAG (2).
100800     MOVE MMOC-STATS-YTD (X-MMOC-STATS)
100900                                 TO WS-CROSS-EDIT-FLAG (3).
101000     MOVE MMOC-STATS-CTD (X-MMOC-STATS)
101100                                 TO WS-CROSS-EDIT-FLAG (4).
101200*
101300     IF  MO08-INTCHG-STAT-YEST-L IS LESS THAN 1
101400         MOVE DFHBMASK           TO MO08-INTCHG-STAT-YEST-A
101500         MOVE DFHBMDAS           TO MO08-INTCHG-STAT-YEST-LP-A
101600                                    MO08-INTCHG-STAT-YEST-RP-A
101700         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
101800                                 TO MO08-INTCHG-STAT-YEST
101900     ELSE
102000         IF  MO08-INTCHG-STAT-YEST IS NUMERIC
102100         AND MO08-VALID-STAT-INT-YEST
102200             MOVE DFHBMASF       TO MO08-INTCHG-STAT-YEST-A
102300             MOVE DFHBMDAS       TO MO08-INTCHG-STAT-YEST-LP-A
102400                                    MO08-INTCHG-STAT-YEST-RP-A
102500             MOVE MO08-INTCHG-STAT-YEST
102600                                 TO WS-CROSS-EDIT-FLAG (1)
102700             SET WS-UPDATE-SW-YES
102800                                 TO TRUE
102900         ELSE
103000             MOVE DFHBMNBF       TO MO08-INTCHG-STAT-YEST-A
103100             MOVE DFHBMASB       TO MO08-INTCHG-STAT-YEST-LP-A
103200                                    MO08-INTCHG-STAT-YEST-RP-A
103300             MOVE SS08WS-CURSOR  TO MO08-INTCHG-STAT-YEST-L
103400             SET SS08WS-ERROR-SW-YES TO TRUE.
103500*
103600     IF  MO08-INTCHG-STAT-MTD-L  IS LESS THAN 1
103700         MOVE DFHBMASK           TO MO08-INTCHG-STAT-MTD-A
103800         MOVE DFHBMDAS           TO MO08-INTCHG-STAT-MTD-LP-A
103900                                    MO08-INTCHG-STAT-MTD-RP-A
104000         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
104100                                 TO MO08-INTCHG-STAT-MTD
104200     ELSE
104300         IF  MO08-INTCHG-STAT-MTD IS NUMERIC
104400         AND MO08-VALID-STAT-INT-MTD
104500             MOVE DFHBMASF       TO MO08-INTCHG-STAT-MTD-A
104600             MOVE DFHBMDAS       TO MO08-INTCHG-STAT-MTD-LP-A
104700                                    MO08-INTCHG-STAT-MTD-RP-A
104800             MOVE MO08-INTCHG-STAT-MTD
104900                                 TO WS-CROSS-EDIT-FLAG (2)
105000             SET WS-UPDATE-SW-YES
105100                                 TO TRUE
105200         ELSE
105300             MOVE DFHBMNBF       TO MO08-INTCHG-STAT-MTD-A
105400             MOVE DFHBMASB       TO MO08-INTCHG-STAT-MTD-LP-A
105500                                    MO08-INTCHG-STAT-MTD-RP-A
105600             MOVE SS08WS-CURSOR  TO MO08-INTCHG-STAT-MTD-L
105700             SET SS08WS-ERROR-SW-YES TO TRUE.
105800*
105900     IF  MO08-INTCHG-STAT-YTD-L  IS LESS THAN 1
106000         MOVE DFHBMASK           TO MO08-INTCHG-STAT-YTD-A
106100         MOVE DFHBMDAS           TO MO08-INTCHG-STAT-YTD-LP-A
106200                                    MO08-INTCHG-STAT-YTD-RP-A
106300         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
106400                                 TO MO08-INTCHG-STAT-YTD
106500     ELSE
106600         IF  MO08-INTCHG-STAT-YTD IS NUMERIC
106700         AND MO08-VALID-STAT-INT-YTD
106800             MOVE DFHBMASF       TO MO08-INTCHG-STAT-YTD-A
106900             MOVE DFHBMDAS       TO MO08-INTCHG-STAT-YTD-LP-A
107000                                    MO08-INTCHG-STAT-YTD-RP-A
107100             MOVE MO08-INTCHG-STAT-YTD
107200                                 TO WS-CROSS-EDIT-FLAG (3)
107300             SET WS-UPDATE-SW-YES
107400                                 TO TRUE
107500         ELSE
107600             MOVE DFHBMNBF       TO MO08-INTCHG-STAT-YTD-A
107700             MOVE DFHBMASB       TO MO08-INTCHG-STAT-YTD-LP-A
107800                                    MO08-INTCHG-STAT-YTD-RP-A
107900             MOVE SS08WS-CURSOR  TO MO08-INTCHG-STAT-YTD-L
108000             SET SS08WS-ERROR-SW-YES TO TRUE.
108100*
108200     IF  MO08-INTCHG-STAT-STD-L  IS LESS THAN 1
108300         MOVE DFHBMASK           TO MO08-INTCHG-STAT-STD-A
108400         MOVE DFHBMDAS           TO MO08-INTCHG-STAT-STD-LP-A
108500                                    MO08-INTCHG-STAT-STD-RP-A
108600         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
108700                                 TO MO08-INTCHG-STAT-STD
108800     ELSE
108900         IF  MO08-INTCHG-STAT-STD IS NUMERIC
109000         AND MO08-VALID-STAT-INT-STD
109100             MOVE DFHBMASF       TO MO08-INTCHG-STAT-STD-A
109200             MOVE DFHBMDAS       TO MO08-INTCHG-STAT-STD-LP-A
109300                                    MO08-INTCHG-STAT-STD-RP-A
109400             MOVE MO08-INTCHG-STAT-STD
109500                                 TO WS-CROSS-EDIT-FLAG (4)
109600             SET WS-UPDATE-SW-YES
109700                                 TO TRUE
109800         ELSE
109900             MOVE DFHBMNBF       TO MO08-INTCHG-STAT-STD-A
110000             MOVE DFHBMASB       TO MO08-INTCHG-STAT-STD-LP-A
110100                                    MO08-INTCHG-STAT-STD-RP-A
110200             MOVE SS08WS-CURSOR  TO MO08-INTCHG-STAT-STD-L
110300             SET SS08WS-ERROR-SW-YES TO TRUE.
110400*
110500     PERFORM 9250-CROSS-EDIT-INTCHG-STAT
110600                                 THRU 9259-CEIS-EXIT
110700         VARYING X-WS-CROSS-EDIT FROM +1 BY +1
110800         UNTIL   X-WS-CROSS-EDIT IS GREATER THAN +4.
110900*
111000     SET WS-SAVE-STATS-ONE-ZERO  TO TRUE.
111100     SET WS-SAVE-STATS-TWO-ZERO  TO TRUE.
111200*
111300 9209-EISD-EXIT.
111400     EXIT.
111500*
111600 9250-CROSS-EDIT-INTCHG-STAT.
111700*
111800     IF  WS-CROSS-EDIT-ZERO (X-WS-CROSS-EDIT)
111900        GO TO 9259-CEIS-EXIT.
112000*
112100     IF (WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
112200     AND WS-SAVE-STATS-ONE-ONE)
112300     OR (WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
112400     AND WS-SAVE-STATS-TWO-TWO)
112500         MOVE DFHBMNBF           TO MO08-INTCHG-STAT-YEST-A
112600                                    MO08-INTCHG-STAT-MTD-A
112700                                    MO08-INTCHG-STAT-YTD-A
112800                                    MO08-INTCHG-STAT-STD-A
112900         MOVE DFHBMASB           TO MO08-INTCHG-STAT-YEST-LP-A
113000                                    MO08-INTCHG-STAT-YEST-RP-A
113100                                    MO08-INTCHG-STAT-MTD-LP-A
113200                                    MO08-INTCHG-STAT-MTD-RP-A
113300                                    MO08-INTCHG-STAT-YTD-LP-A
113400                                    MO08-INTCHG-STAT-YTD-RP-A
113500                                    MO08-INTCHG-STAT-STD-LP-A
113600                                    MO08-INTCHG-STAT-STD-RP-A
113700         MOVE SS08WS-CURSOR      TO MO08-INTCHG-STAT-YEST-L
113800         SET X-WS-CROSS-EDIT     TO +4
113900         SET SS08WS-ERROR-SW-YES TO TRUE
114000         GO TO 9259-CEIS-EXIT.
114100*
114200     IF  WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
114300     AND WS-SAVE-STATS-ONE-ZERO
114400         SET WS-SAVE-STATS-ONE-ONE
114500                                 TO TRUE.
114600*
114700     IF  WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
114800     AND WS-SAVE-STATS-TWO-ZERO
114900         SET WS-SAVE-STATS-TWO-TWO
115000                                 TO TRUE.
115100*
115200*
115300 9259-CEIS-EXIT.
115400     EXIT.
115500*
115600 9300-EDIT-CHAIN-STAT-DEFAULTS.
115700*
115800     SET X-MMOC-STATS            TO 3.
115900*
116000     MOVE MMOC-STATS-YEST (X-MMOC-STATS)
116100                                 TO WS-CROSS-EDIT-FLAG (1).
116200     MOVE MMOC-STATS-MTD (X-MMOC-STATS)
116300                                 TO WS-CROSS-EDIT-FLAG (2).
116400     MOVE MMOC-STATS-YTD (X-MMOC-STATS)
116500                                 TO WS-CROSS-EDIT-FLAG (3).
116600     MOVE MMOC-STATS-CTD (X-MMOC-STATS)
116700                                 TO WS-CROSS-EDIT-FLAG (4).
116800     MOVE MMOC-STATS-DTD (X-MMOC-STATS)
116900                                 TO WS-CROSS-EDIT-FLAG (5).
117000     MOVE MMOC-STATS-PTD (X-MMOC-STATS)
117100                                 TO WS-CROSS-EDIT-FLAG (6).
117200*
117300     IF  MO08-CHAIN-STAT-YEST-L  IS LESS THAN 1
117400         MOVE DFHBMASK           TO MO08-CHAIN-STAT-YEST-A
117500         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-YEST-LP-A
117600                                    MO08-CHAIN-STAT-YEST-RP-A
117700         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
117800                                 TO MO08-CHAIN-STAT-YEST
117900     ELSE
118000         IF  MO08-CHAIN-STAT-YEST IS NUMERIC
118100         AND MO08-VALID-STAT-MER-YEST
118200             MOVE DFHBMASF       TO MO08-CHAIN-STAT-YEST-A
118300             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-YEST-LP-A
118400                                    MO08-CHAIN-STAT-YEST-RP-A
118500             MOVE MO08-CHAIN-STAT-YEST
118600                                 TO WS-CROSS-EDIT-FLAG (1)
118700             SET WS-UPDATE-SW-YES
118800                                 TO TRUE
118900         ELSE
119000             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-YEST-A
119100             MOVE DFHBMASB       TO MO08-CHAIN-STAT-YEST-LP-A
119200                                    MO08-CHAIN-STAT-YEST-RP-A
119300             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-YEST-L
119400             SET SS08WS-ERROR-SW-YES TO TRUE.
119500*
119600     IF  MO08-CHAIN-STAT-MTD-L   IS LESS THAN 1
119700         MOVE DFHBMASK           TO MO08-CHAIN-STAT-MTD-A
119800         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-MTD-LP-A
119900                                    MO08-CHAIN-STAT-MTD-RP-A
120000         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
120100                                 TO MO08-CHAIN-STAT-MTD
120200     ELSE
120300         IF  MO08-CHAIN-STAT-MTD IS NUMERIC
120400         AND MO08-VALID-STAT-MER-MTD
120500             MOVE DFHBMASF       TO MO08-CHAIN-STAT-MTD-A
120600             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-MTD-LP-A
120700                                    MO08-CHAIN-STAT-MTD-RP-A
120800             MOVE MO08-CHAIN-STAT-MTD
120900                                 TO WS-CROSS-EDIT-FLAG (2)
121000             SET WS-UPDATE-SW-YES
121100                                 TO TRUE
121200         ELSE
121300             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-MTD-A
121400             MOVE DFHBMASB       TO MO08-CHAIN-STAT-MTD-LP-A
121500                                    MO08-CHAIN-STAT-MTD-RP-A
121600             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-MTD-L
121700             SET SS08WS-ERROR-SW-YES TO TRUE.
121800*
121900     IF  MO08-CHAIN-STAT-YTD-L   IS LESS THAN 1
122000         MOVE DFHBMASK           TO MO08-CHAIN-STAT-YTD-A
122100         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-YTD-LP-A
122200                                    MO08-CHAIN-STAT-YTD-RP-A
122300         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
122400                                 TO MO08-CHAIN-STAT-YTD
122500     ELSE
122600         IF  MO08-CHAIN-STAT-YTD IS NUMERIC
122700         AND MO08-VALID-STAT-MER-YTD
122800             MOVE DFHBMASF       TO MO08-CHAIN-STAT-YTD-A
122900             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-YTD-LP-A
123000                                    MO08-CHAIN-STAT-YTD-RP-A
123100             MOVE MO08-CHAIN-STAT-YTD
123200                                 TO WS-CROSS-EDIT-FLAG (3)
123300             SET WS-UPDATE-SW-YES
123400                                 TO TRUE
123500         ELSE
123600             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-YTD-A
123700             MOVE DFHBMASB       TO MO08-CHAIN-STAT-YTD-LP-A
123800                                    MO08-CHAIN-STAT-YTD-RP-A
123900             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-YTD-L
124000             SET SS08WS-ERROR-SW-YES TO TRUE.
124100*
124200     IF  MO08-CHAIN-STAT-STD-L   IS LESS THAN 1
124300         MOVE DFHBMASK           TO MO08-CHAIN-STAT-STD-A
124400         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-STD-LP-A
124500                                    MO08-CHAIN-STAT-STD-RP-A
124600         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
124700                                 TO MO08-CHAIN-STAT-STD
124800     ELSE
124900         IF  MO08-CHAIN-STAT-STD IS NUMERIC
125000         AND MO08-VALID-STAT-MER-STD
125100             MOVE DFHBMASF       TO MO08-CHAIN-STAT-STD-A
125200             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-STD-LP-A
125300                                    MO08-CHAIN-STAT-STD-RP-A
125400             MOVE MO08-CHAIN-STAT-STD
125500                                 TO WS-CROSS-EDIT-FLAG (4)
125600             SET WS-UPDATE-SW-YES
125700                                 TO TRUE
125800         ELSE
125900             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-STD-A
126000             MOVE DFHBMASB       TO MO08-CHAIN-STAT-STD-LP-A
126100                                    MO08-CHAIN-STAT-STD-RP-A
126200             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-STD-L
126300             SET SS08WS-ERROR-SW-YES TO TRUE.
126400*
126500     IF  MO08-CHAIN-STAT-DTD-L   IS LESS THAN 1
126600         MOVE DFHBMASK           TO MO08-CHAIN-STAT-DTD-A
126700         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-DTD-LP-A
126800                                    MO08-CHAIN-STAT-DTD-RP-A
126900         MOVE MMOC-STATS-DTD    (X-MMOC-STATS)
127000                                 TO MO08-CHAIN-STAT-DTD
127100     ELSE
127200         IF  MO08-CHAIN-STAT-DTD IS NUMERIC
127300         AND MO08-VALID-STAT-MER-DTD
127400             MOVE DFHBMASF       TO MO08-CHAIN-STAT-DTD-A
127500             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-DTD-LP-A
127600                                    MO08-CHAIN-STAT-DTD-RP-A
127700             MOVE MO08-CHAIN-STAT-DTD
127800                                 TO WS-CROSS-EDIT-FLAG (5)
127900             SET WS-UPDATE-SW-YES
128000                                 TO TRUE
128100         ELSE
128200             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-DTD-A
128300             MOVE DFHBMASB       TO MO08-CHAIN-STAT-DTD-LP-A
128400                                    MO08-CHAIN-STAT-DTD-RP-A
128500             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-DTD-L
128600             SET SS08WS-ERROR-SW-YES TO TRUE.
128700*
128800     IF  MO08-CHAIN-STAT-PTD-L   IS LESS THAN 1
128900         MOVE DFHBMASK           TO MO08-CHAIN-STAT-PTD-A
129000         MOVE DFHBMDAS           TO MO08-CHAIN-STAT-PTD-LP-A
129100                                    MO08-CHAIN-STAT-PTD-RP-A
129200         MOVE MMOC-STATS-PTD    (X-MMOC-STATS)
129300                                 TO MO08-CHAIN-STAT-PTD
129400     ELSE
129500         IF  MO08-CHAIN-STAT-PTD IS NUMERIC
129600         AND MO08-VALID-STAT-MER-PTD
129700             MOVE DFHBMASF       TO MO08-CHAIN-STAT-PTD-A
129800             MOVE DFHBMDAS       TO MO08-CHAIN-STAT-PTD-LP-A
129900                                    MO08-CHAIN-STAT-PTD-RP-A
130000             MOVE MO08-CHAIN-STAT-PTD
130100                                 TO WS-CROSS-EDIT-FLAG (6)
130200             SET WS-UPDATE-SW-YES
130300                                 TO TRUE
130400         ELSE
130500             MOVE DFHBMNBF       TO MO08-CHAIN-STAT-PTD-A
130600             MOVE DFHBMASB       TO MO08-CHAIN-STAT-PTD-LP-A
130700                                    MO08-CHAIN-STAT-PTD-RP-A
130800             MOVE SS08WS-CURSOR  TO MO08-CHAIN-STAT-PTD-L
130900             SET SS08WS-ERROR-SW-YES TO TRUE.
131000*
131100     PERFORM 9350-CROSS-EDIT-CHAIN-STAT
131200                                 THRU 9359-CECS-EXIT
131300         VARYING X-WS-CROSS-EDIT FROM +1 BY +1
131400         UNTIL   X-WS-CROSS-EDIT IS GREATER THAN +6.
131500*
131600     SET WS-SAVE-STATS-ONE-ZERO  TO TRUE.
131700     SET WS-SAVE-STATS-TWO-ZERO  TO TRUE.
131800*
131900 9309-ECSD-EXIT.
132000     EXIT.
132100*
132200 9350-CROSS-EDIT-CHAIN-STAT.
132300*
132400     IF  WS-CROSS-EDIT-ZERO (X-WS-CROSS-EDIT)
132500        GO TO 9359-CECS-EXIT.
132600*
132700     IF (WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
132800     AND WS-SAVE-STATS-ONE-ONE)
132900     OR (WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
133000     AND WS-SAVE-STATS-TWO-TWO)
133100         MOVE DFHBMUBF           TO MO08-CHAIN-STAT-YEST-A
133200                                    MO08-CHAIN-STAT-MTD-A
133300                                    MO08-CHAIN-STAT-YTD-A
133400                                    MO08-CHAIN-STAT-STD-A
133500                                    MO08-CHAIN-STAT-DTD-A
133600                                    MO08-CHAIN-STAT-PTD-A
133700         MOVE DFHBMASB           TO MO08-CHAIN-STAT-YEST-LP-A
133800                                    MO08-CHAIN-STAT-YEST-RP-A
133900                                    MO08-CHAIN-STAT-MTD-LP-A
134000                                    MO08-CHAIN-STAT-MTD-RP-A
134100                                    MO08-CHAIN-STAT-YTD-LP-A
134200                                    MO08-CHAIN-STAT-YTD-RP-A
134300                                    MO08-CHAIN-STAT-STD-LP-A
134400                                    MO08-CHAIN-STAT-STD-RP-A
134500                                    MO08-CHAIN-STAT-DTD-LP-A
134600                                    MO08-CHAIN-STAT-DTD-RP-A
134700                                    MO08-CHAIN-STAT-PTD-LP-A
134800                                    MO08-CHAIN-STAT-PTD-RP-A
134900         MOVE SS08WS-CURSOR      TO MO08-CHAIN-STAT-YEST-L
135000         SET X-WS-CROSS-EDIT     TO +6
135100         SET SS08WS-ERROR-SW-YES TO TRUE
135200         GO TO 9359-CECS-EXIT.
135300*
135400     IF  WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
135500     AND WS-SAVE-STATS-ONE-ZERO
135600         SET WS-SAVE-STATS-ONE-ONE
135700                                 TO TRUE.
135800*
135900     IF  WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
136000     AND WS-SAVE-STATS-TWO-ZERO
136100         SET WS-SAVE-STATS-TWO-TWO
136200                                 TO TRUE.
136300*
136400*
136500 9359-CECS-EXIT.
136600     EXIT.
136700*
136800 9400-EDIT-C-INTCHG-STAT-DEFLTS.
136900*
137000     SET X-MMOC-STATS            TO 4.
137100*
137200     MOVE MMOC-STATS-YEST (X-MMOC-STATS)
137300                                 TO WS-CROSS-EDIT-FLAG (1).
137400     MOVE MMOC-STATS-MTD (X-MMOC-STATS)
137500                                 TO WS-CROSS-EDIT-FLAG (2).
137600     MOVE MMOC-STATS-YTD (X-MMOC-STATS)
137700                                 TO WS-CROSS-EDIT-FLAG (3).
137800     MOVE MMOC-STATS-CTD (X-MMOC-STATS)
137900                                 TO WS-CROSS-EDIT-FLAG (4).
138000*
138100     IF  MO08-C-INTCHG-STAT-YEST-L IS LESS THAN 1
138200         MOVE DFHBMASK           TO MO08-C-INTCHG-STAT-YEST-A
138300         MOVE DFHBMDAS           TO MO08-C-INTCHG-STAT-YEST-LP-A
138400                                    MO08-C-INTCHG-STAT-YEST-RP-A
138500         MOVE MMOC-STATS-YEST    (X-MMOC-STATS)
138600                                 TO MO08-C-INTCHG-STAT-YEST
138700     ELSE
138800         IF  MO08-C-INTCHG-STAT-YEST IS NUMERIC
138900         AND MO08-VALID-C-STAT-INT-YEST
139000             MOVE DFHBMASF       TO MO08-C-INTCHG-STAT-YEST-A
139100             MOVE DFHBMDAS       TO MO08-C-INTCHG-STAT-YEST-LP-A
139200                                    MO08-C-INTCHG-STAT-YEST-RP-A
139300             MOVE MO08-C-INTCHG-STAT-YEST
139400                                 TO WS-CROSS-EDIT-FLAG (1)
139500             SET WS-UPDATE-SW-YES
139600                                 TO TRUE
139700         ELSE
139800             MOVE DFHBMNBF       TO MO08-C-INTCHG-STAT-YEST-A
139900             MOVE DFHBMASB       TO MO08-C-INTCHG-STAT-YEST-LP-A
140000                                    MO08-C-INTCHG-STAT-YEST-RP-A
140100             MOVE SS08WS-CURSOR  TO MO08-C-INTCHG-STAT-YEST-L
140200             SET SS08WS-ERROR-SW-YES TO TRUE.
140300*
140400     IF  MO08-C-INTCHG-STAT-MTD-L IS LESS THAN 1
140500         MOVE DFHBMASK           TO MO08-C-INTCHG-STAT-MTD-A
140600         MOVE DFHBMDAS           TO MO08-C-INTCHG-STAT-MTD-LP-A
140700                                    MO08-C-INTCHG-STAT-MTD-RP-A
140800         MOVE MMOC-STATS-MTD    (X-MMOC-STATS)
140900                                 TO MO08-C-INTCHG-STAT-MTD
141000     ELSE
141100         IF  MO08-C-INTCHG-STAT-MTD IS NUMERIC
141200         AND MO08-VALID-C-STAT-INT-MTD
141300             MOVE DFHBMASF       TO MO08-C-INTCHG-STAT-MTD-A
141400             MOVE DFHBMDAS       TO MO08-C-INTCHG-STAT-MTD-LP-A
141500                                    MO08-C-INTCHG-STAT-MTD-RP-A
141600             MOVE MO08-C-INTCHG-STAT-MTD
141700                                 TO WS-CROSS-EDIT-FLAG (2)
141800             SET WS-UPDATE-SW-YES
141900                                 TO TRUE
142000         ELSE
142100             MOVE DFHBMNBF       TO MO08-C-INTCHG-STAT-MTD-A
142200             MOVE DFHBMASB       TO MO08-C-INTCHG-STAT-MTD-LP-A
142300                                    MO08-C-INTCHG-STAT-MTD-RP-A
142400             MOVE SS08WS-CURSOR  TO MO08-C-INTCHG-STAT-MTD-L
142500             SET SS08WS-ERROR-SW-YES TO TRUE.
142600*
142700     IF  MO08-C-INTCHG-STAT-YTD-L IS LESS THAN 1
142800         MOVE DFHBMASK           TO MO08-C-INTCHG-STAT-YTD-A
142900         MOVE DFHBMDAS           TO MO08-C-INTCHG-STAT-YTD-LP-A
143000                                    MO08-C-INTCHG-STAT-YTD-RP-A
143100         MOVE MMOC-STATS-YTD    (X-MMOC-STATS)
143200                                 TO MO08-C-INTCHG-STAT-YTD
143300     ELSE
143400         IF  MO08-C-INTCHG-STAT-YTD IS NUMERIC
143500         AND MO08-VALID-C-STAT-INT-YTD
143600             MOVE DFHBMASF       TO MO08-C-INTCHG-STAT-YTD-A
143700             MOVE DFHBMDAS       TO MO08-C-INTCHG-STAT-YTD-LP-A
143800                                    MO08-C-INTCHG-STAT-YTD-RP-A
143900             MOVE MO08-C-INTCHG-STAT-YTD
144000                                 TO WS-CROSS-EDIT-FLAG (3)
144100             SET WS-UPDATE-SW-YES
144200                                 TO TRUE
144300         ELSE
144400             MOVE DFHBMNBF       TO MO08-C-INTCHG-STAT-YTD-A
144500             MOVE DFHBMASB       TO MO08-C-INTCHG-STAT-YTD-LP-A
144600                                    MO08-C-INTCHG-STAT-YTD-RP-A
144700             MOVE SS08WS-CURSOR  TO MO08-C-INTCHG-STAT-YTD-L
144800             SET SS08WS-ERROR-SW-YES TO TRUE.
144900*
145000     IF  MO08-C-INTCHG-STAT-STD-L IS LESS THAN 1
145100         MOVE DFHBMASK           TO MO08-C-INTCHG-STAT-STD-A
145200         MOVE DFHBMDAS           TO MO08-C-INTCHG-STAT-STD-LP-A
145300                                    MO08-C-INTCHG-STAT-STD-RP-A
145400         MOVE MMOC-STATS-CTD    (X-MMOC-STATS)
145500                                 TO MO08-C-INTCHG-STAT-STD
145600     ELSE
145700         IF  MO08-C-INTCHG-STAT-STD IS NUMERIC
145800         AND MO08-VALID-C-STAT-INT-STD
145900             MOVE DFHBMASF       TO MO08-C-INTCHG-STAT-STD-A
146000             MOVE DFHBMDAS       TO MO08-C-INTCHG-STAT-STD-LP-A
146100                                    MO08-C-INTCHG-STAT-STD-RP-A
146200             MOVE MO08-C-INTCHG-STAT-STD
146300                                 TO WS-CROSS-EDIT-FLAG (4)
146400             SET WS-UPDATE-SW-YES
146500                                 TO TRUE
146600         ELSE
146700             MOVE DFHBMNBF       TO MO08-C-INTCHG-STAT-STD-A
146800             MOVE DFHBMASB       TO MO08-C-INTCHG-STAT-STD-LP-A
146900                                    MO08-C-INTCHG-STAT-STD-RP-A
147000             MOVE SS08WS-CURSOR  TO MO08-C-INTCHG-STAT-STD-L
147100             SET SS08WS-ERROR-SW-YES TO TRUE.
147200*
147300     PERFORM 9450-CROSS-EDIT-C-INTCHG-STAT
147400                                 THRU 9459-CEIS-EXIT
147500         VARYING X-WS-CROSS-EDIT FROM +1 BY +1
147600         UNTIL   X-WS-CROSS-EDIT IS GREATER THAN +4.
147700*
147800     SET WS-SAVE-STATS-ONE-ZERO  TO TRUE.
147900     SET WS-SAVE-STATS-TWO-ZERO  TO TRUE.
148000*
148100 9409-ECISD-EXIT.
148200     EXIT.
148300*
148400 9450-CROSS-EDIT-C-INTCHG-STAT.
148500*
148600     IF  WS-CROSS-EDIT-ZERO (X-WS-CROSS-EDIT)
148700        GO TO 9459-CEIS-EXIT.
148800*
148900     IF (WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
149000     AND WS-SAVE-STATS-ONE-ONE)
149100     OR (WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
149200     AND WS-SAVE-STATS-TWO-TWO)
149300         MOVE DFHBMNBF           TO MO08-C-INTCHG-STAT-YEST-A
149400                                    MO08-C-INTCHG-STAT-MTD-A
149500                                    MO08-C-INTCHG-STAT-YTD-A
149600                                    MO08-C-INTCHG-STAT-STD-A
149700         MOVE DFHBMASB           TO MO08-C-INTCHG-STAT-YEST-LP-A
149800                                    MO08-C-INTCHG-STAT-YEST-RP-A
149900                                    MO08-C-INTCHG-STAT-MTD-LP-A
150000                                    MO08-C-INTCHG-STAT-MTD-RP-A
150100                                    MO08-C-INTCHG-STAT-YTD-LP-A
150200                                    MO08-C-INTCHG-STAT-YTD-RP-A
150300                                    MO08-C-INTCHG-STAT-STD-LP-A
150400                                    MO08-C-INTCHG-STAT-STD-RP-A
150500         MOVE SS08WS-CURSOR      TO MO08-C-INTCHG-STAT-YEST-L
150600         SET X-WS-CROSS-EDIT     TO +4
150700         SET SS08WS-ERROR-SW-YES TO TRUE
150800         GO TO 9459-CEIS-EXIT.
150900*
151000     IF  WS-CROSS-EDIT-ONE (X-WS-CROSS-EDIT)
151100     AND WS-SAVE-STATS-ONE-ZERO
151200         SET WS-SAVE-STATS-ONE-ONE
151300                                 TO TRUE.
151400*
151500     IF  WS-CROSS-EDIT-TWO (X-WS-CROSS-EDIT)
151600     AND WS-SAVE-STATS-TWO-ZERO
151700         SET WS-SAVE-STATS-TWO-TWO
151800                                 TO TRUE.
151900*
152000*
152100 9459-CEIS-EXIT.
152200     EXIT.
152300*
152400*
152500/         JULIAN TO GREGORIAN DATE ROUTINE.
152600     COPY SS08PD.
152700/         DATE AND TIME EDIT ROUTINES.
152800     COPY SS26PD.
152900     COPY SS27PD.
153000/         CHECK DIGIT ROUTINE.
153100     COPY SS09PD.
153200/         LINE 24 PF KEYS ROUTINE
153300     COPY SS15PD.
153400/         ORGANIZATION RECORD ACCESS ROUTINES
153500     COPY MMOCAO.
153600/         LOG/JOURNAL ACCESS ROUTINES
153700     COPY MML1AO.
153800/         ON-LINE MAP ROUTINES
153900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO08 '
154000                           MBMAPXXI BY MBMO08I
154100                           MBMAPXXO BY MBMO08O.
154200/         ON-LINE PROCEDURES
154300     COPY MB70PD.
154400/
154500     COPY SMFTPXO.
