000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO12.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO12 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 12                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO12 (ORGANIZATION MAP 12)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (ORG CONTROL FILE)                  *
001800*                 B. MMSC   (SYSTEM CONTROL FILE)               *
001900*                 C. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         LOG/JOURNAL WORK AREAS
003200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/
004600 01  WS-WORK-AREAS.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005000     03  WS-INDEX            PIC S9(04)      BINARY.
005100     03  WS-PROD-INDEX       PIC S9(04)      BINARY.
005200     03  WS-PROD-INDEX-1     PIC S9(04)      BINARY.
005300     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005310     03  WS-MBMO-EUROPAY-SW  PIC  X(01)      VALUE 'N'.           EH800900
005312         88  WS-MBMO-EUROPAY-OFF             VALUE 'N'.           EH800900
005314         88  WS-MBMO-EUROPAY-ON              VALUE 'Y'.           EH800900
005400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005500/
005600 LINKAGE SECTION.
005700 01  DFHCOMMAREA.
005800     COPY MB60WS.
005900/         ORG SCREEN 12 MAP DSECT
006000     COPY MBMO12.
006100/         ORG SCREEN 12 MAP REDEFINITION
006200     COPY MBMO12R.
006300/         ORG CONTROL FILE RECORD LAYOUT
006400     COPY MMOCRL.
006500/         SYSTEM CONTROL FILE RECORD LAYOUT
006600     COPY MMSCRL.
006700/         LOG/JOURNAL FILE RECORD LAYOUT
006800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006900/
007000 PROCEDURE DIVISION.
007100 0000-HOUSEKEEPING SECTION.
007200 0100-INIT.
007300*
007400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007600                                 THRU MB70PD-OLH-EXIT.
007700*
007800     IF  MBCA-RECEIVE-SCREEN
007900         GO TO 2000-RECEIVE-SCREEN.
008000/
008100 1000-SEND-SCREEN SECTION.
008200*
008300****************************************************************
008400*    THIS SECTION BUILDS AND SENDS THE 12                      *
008500****************************************************************
008600*
008700****************************************************************
008800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008900****************************************************************
009000*
009100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009200     PERFORM MB60PD-GETMAIN-FOR-MAP
009300                                 THRU MB60PD-GFM-EXIT.
009400*
009500     MOVE MBCA-MERCHANT-ORG      TO MO12-ORG.
009600     MOVE 12                     TO MBCA-SCREEN-NBR.
009700*
009800*
009900****************************************************************
010000*    INITIALIZE THE STANDARD MAP LINES                         *
010100****************************************************************
010200*
010300     PERFORM MB60PD-INIT-STD-MAP-LINES
010400                                 THRU MB60PD-ISML-EXIT.
010500*
010600****************************************************************
010700*    READ THE SYSTEM FILE RECORD                               *
010800****************************************************************
010900*
011000     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
011100     MOVE ZEROS                  TO MBIOWS-MMSC-KEY.
011200     SET MBIORO-READ-RANDOM      TO TRUE.
011300     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
011400*
011500****************************************************************
011600*    READ THE ORGANIZATION FILE RECORD                         *
011700****************************************************************
011800*
011900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
012100     SET MBIORO-READ-RANDOM      TO TRUE.
012200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
012300*
012310     IF  MMOC-MC-QTR-FLAG-EUROCARD                                EH800900
012312     OR  MMOC-VISA-QTR-FLAG-EU                                    EH800900
012314         SET WS-MBMO-EUROPAY-ON  TO TRUE                          EH800900
012316     ELSE                                                         EH800900
012318         SET WS-MBMO-EUROPAY-OFF TO TRUE                          EH800900
012320     END-IF.                                                      EH800900
012322*                                                                 EH800900
012400     IF  MMSC-EUROPAY-OFF
012500     OR  WS-MBMO-EUROPAY-OFF                                      EH800900
012600         MOVE DFHBMDAS           TO MO12-DESC-LINE-1A-A
012700                                    MO12-DESC-LINE-2A-A
012800         PERFORM
012900             VARYING X-MO12-PROD FROM 1 BY 1
013000             UNTIL X-MO12-PROD IS GREATER THAN +15
013100             MOVE DFHBMDAS       TO MO12-QRTLY-RPT-FLAG-LP-A
013200                                    (X-MO12-PROD)
013300                                    MO12-QRTLY-RPT-FLAG-RP-A
013400                                    (X-MO12-PROD)
013500                                    MO12-QRTLY-RPT-FLAG-A
013600                                    (X-MO12-PROD)
013700         END-PERFORM.
013800*
013900     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
014000*
014100     MOVE MMOC-NA-LINE (1 1)     TO MO12-ORG-NAME.
014200*
014300     PERFORM
014400         VARYING X-MO12-PROD FROM 1 BY 1
014500         UNTIL X-MO12-PROD IS GREATER THAN +15
014600         OR X-MMOC-PROD IS GREATER THAN 99
014700         SET WS-NBR-INDEX        TO X-MMOC-PROD
014800         MOVE WS-NBR-INDEX       TO MO12-PROD-NUMBER
014900                                    (X-MO12-PROD)
015000         MOVE '.'                TO MO12-PROD-PERIOD
015100                                    (X-MO12-PROD)
015200         MOVE DFHBMASK           TO MO12-PROD-NBR-A
015300                                    (X-MO12-PROD)
015400         MOVE MMOC-PRODUCT-STATUS (X-MMOC-PROD)
015500                                 TO MO12-PRODUCT-STATUS
015600                                    (X-MO12-PROD)
015700         EVALUATE TRUE
015800             WHEN X-MMOC-PROD IS EQUAL TO 1
015900                 MOVE 'VISA'     TO MO12-PRODUCT-DESC
016000                                    (X-MO12-PROD)
016100             WHEN X-MMOC-PROD IS EQUAL TO 2                       EH800900
016200                 IF  WS-MBMO-EUROPAY-ON                           EH800900
016300                 OR  MMSC-EUROPAY-ON                              EH800900
016400                     MOVE 'EC/MC'                                 EH800900
016402                                 TO MO12-PRODUCT-DESC             EH800900
016404                                    (X-MO12-PROD)                 EH800900
016406                 ELSE                                             EH800900
016408                     MOVE 'MASTERCARD'                            EH800900
016410                                 TO MO12-PRODUCT-DESC             EH800900
016412                                    (X-MO12-PROD)                 EH800900
016414                 END-IF                                           EH800900
016500             WHEN OTHER
016600                 MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
016700                                 TO MO12-PRODUCT-DESC
016800                                    (X-MO12-PROD)
016900         END-EVALUATE
017000         IF  MMSC-EUROPAY-OFF
017100         OR  WS-MBMO-EUROPAY-OFF                                  EH800900
017200             CONTINUE
017300         ELSE
017400             MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
017500                                 TO MO12-QRTLY-RPT-FLAG
017600                                    (X-MO12-PROD)
017700         END-IF
017800         SET X-MMOC-PROD         UP BY +1
017900     END-PERFORM.
018000/
018100****************************************************************
018200*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
018300****************************************************************
018400*
018500     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
018600     SET X-MO12-PROD             TO MBCA-MBMO-PROD-INDEX.
018700*
018800     MOVE SS08WS-CURSOR          TO MO12-PRODUCT-STATUS-L (1).
018900*
019000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
019100         MOVE SS08WS-CURSOR      TO MO12-ALT-TRANID-L
019200         PERFORM VARYING X-MO12-PROD FROM 1 BY 1
019300                 UNTIL   X-MO12-PROD IS GREATER THAN 15
019400             MOVE DFHBMASB       TO MO12-PRODUCT-STATUS-A
019500                                    (X-MO12-PROD)
019600                                    MO12-PRODUCT-DESC-A
019700                                    (X-MO12-PROD)
019800             MOVE DFHBMDAS       TO MO12-PRODUCT-STATUS-LP-A
019900                                    (X-MO12-PROD)
020000                                    MO12-PRODUCT-STATUS-RP-A
020100                                    (X-MO12-PROD)
020200                                    MO12-PRODUCT-DESC-LP-A
020300                                    (X-MO12-PROD)
020400                                    MO12-PRODUCT-DESC-RP-A
020500                                    (X-MO12-PROD)
020600             IF  MMSC-EUROPAY-OFF
020700             OR  WS-MBMO-EUROPAY-OFF                              EH800900
020800                 CONTINUE
020900             ELSE
021000                 MOVE DFHBMASB   TO MO12-QRTLY-RPT-FLAG-A
021100                                    (X-MO12-PROD)
021200                 MOVE DFHBMDAS   TO MO12-QRTLY-RPT-FLAG-LP-A
021300                                    (X-MO12-PROD)
021400                                    MO12-QRTLY-RPT-FLAG-RP-A
021500                                    (X-MO12-PROD)
021600             END-IF
021700         END-PERFORM.
021800*
021900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
022000     AND MBCA-MBMO-PROD-INDEX IS EQUAL TO 1
022100         MOVE DFHBMDAS           TO MO12-PRODUCT-DESC-LP-A (1)
022200                                    MO12-PRODUCT-DESC-RP-A (1)
022500         MOVE DFHBMASK           TO MO12-PRODUCT-DESC-A (1)
022700         IF  MMSC-EUROPAY-OFF
022800         OR  WS-MBMO-EUROPAY-OFF                                  EH800900
022900             MOVE DFHBMDAS       TO MO12-PRODUCT-DESC-LP-A (2)    EH800900
022902                                    MO12-PRODUCT-DESC-RP-A (2)    EH800900
022904             MOVE DFHBMASK       TO MO12-PRODUCT-DESC-A (2)       EH800900
023000         ELSE
023100             MOVE DFHBMASK       TO MO12-QRTLY-RPT-FLAG-A (1)
023200             MOVE DFHBMDAS       TO MO12-QRTLY-RPT-FLAG-LP-A (1)
023300                                    MO12-QRTLY-RPT-FLAG-RP-A (1)
023400         END-IF.
023500*
023600     IF  MBCA-MBMO-PROD-INDEX IS EQUAL TO 91
023700         PERFORM
023800             VARYING X-MO12-PROD FROM 10 BY 1
023900             UNTIL X-MO12-PROD IS GREATER THAN 15
024000             MOVE DFHBMDAS       TO MO12-PRODUCT-DESC-LP-A
024100                                    (X-MO12-PROD)
024200                                    MO12-PRODUCT-DESC-RP-A
024300                                    (X-MO12-PROD)
024400                                    MO12-PRODUCT-STATUS-LP-A
024500                                    (X-MO12-PROD)
024600                                    MO12-PRODUCT-STATUS-RP-A
024700                                    (X-MO12-PROD)
024800                                    MO12-PROD-NBR-A
024900                                    (X-MO12-PROD)
025000                                    MO12-PRODUCT-DESC-A
025100                                    (X-MO12-PROD)
025200                                    MO12-PRODUCT-STATUS-A
025300                                    (X-MO12-PROD)
025400             IF MMSC-EUROPAY-OFF
025500             OR WS-MBMO-EUROPAY-OFF                               EH800900
025600                 CONTINUE
025700             ELSE
025800                 MOVE DFHBMDAS   TO MO12-QRTLY-RPT-FLAG-LP-A
025900                                    (X-MO12-PROD)
026000                                    MO12-QRTLY-RPT-FLAG-RP-A
026100                                    (X-MO12-PROD)
026200                                    MO12-QRTLY-RPT-FLAG-A
026300                                    (X-MO12-PROD)
026400             END-IF
026500         END-PERFORM
026600     END-IF.
026700*
026702     MOVE DFHBMDAS               TO MO12-DESC-LINE-1A-A.          EH800900
026704     MOVE DFHBMDAS               TO MO12-DESC-LINE-2A-A.          EH800900
026706*                                                                 EH800900
026710     PERFORM VARYING X-MO12-PROD FROM 1 BY 1                      EH800900
026712             UNTIL   X-MO12-PROD IS GREATER THAN 15               EH800900
026714         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-A         EH800900
026716                                    (X-MO12-PROD)                 EH800900
026718         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-LP-A      EH800900
026720                                    (X-MO12-PROD)                 EH800900
026722         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-RP-A      EH800900
026724                                    (X-MO12-PROD)                 EH800900
026726     END-PERFORM.                                                 EH800900
026728/                                                                 EH800900
026800     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
026900     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
027000     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
027100     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
027200     MOVE SS08WS-LINE-24         TO MO12-PF-KEYS.
027300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
027400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
027500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
027600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
027700*
027800****************************************************************
027900*    SEND THE MAP                                              *
028000****************************************************************
028100*
028200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
028300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
028400                                 THRU MB60PD-SMWE-EXIT.
028500*
028600****************************************************************
028700*    RETURN TO CICS                                            *
028800****************************************************************
028900*
029000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029100     PERFORM MB70PD-RETURN-TRANS-ID
029200                                 THRU MB70PD-RTI-EXIT.
029300/
029400 2000-RECEIVE-SCREEN SECTION.
029500*
029600****************************************************************
029700*    THIS SECTION RECEIVES THE 12                              *
029800****************************************************************
029900*
030000     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
030100     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
030200*
030300****************************************************************
030400*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
030500****************************************************************
030600*
030700     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
030800     PERFORM MB60PD-NEW-TRANS-ROUTINE
030900                                 THRU MB60PD-NTR-EXIT.
031000*
031100****************************************************************
031200*    BYPASS EDITS ON INQUIRY                                   *
031300****************************************************************
031400*
031500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
031600         GO TO 2600-SETUP-COMMAREA.
031700*
031800****************************************************************
031900*    READ THE SYSTEM FILE RECORD                               *
032000****************************************************************
032100*
032200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
032300     MOVE ZEROS                  TO MBIOWS-MMSC-KEY.
032400     SET MBIORO-READ-RANDOM      TO TRUE.
032500     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
032600*
032700****************************************************************
032800*    READ THE ORGANIZATION FILE RECORD                         *
032900****************************************************************
033000*
033100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
033200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
033300     SET MBIORO-READ-RANDOM      TO TRUE.
033400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
033500*
033510     IF  MMOC-MC-QTR-FLAG-EUROCARD                                EH800900
033512     OR  MMOC-VISA-QTR-FLAG-EU                                    EH800900
033514         SET WS-MBMO-EUROPAY-ON  TO TRUE                          EH800900
033516     ELSE                                                         EH800900
033518         SET WS-MBMO-EUROPAY-OFF TO TRUE                          EH800900
033520     END-IF.                                                      EH800900
033522*                                                                 EH800900
033600     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
033700*
033800     PERFORM 9400-EDIT-FIELDS    THRU 9499-EF-EXIT
033900         VARYING X-MO12-PROD FROM +1 BY +1
034000         UNTIL   X-MO12-PROD IS GREATER THAN +15
034100         OR X-MMOC-PROD IS GREATER THAN 99.
034200*
034300     IF  MMSC-EUROPAY-OFF
034400     OR  WS-MBMO-EUROPAY-OFF                                      EH800900
034500         NEXT SENTENCE
034600     ELSE
034700         SET X-MMOC-PROD         TO MBCA-MBMO-PROD-INDEX
034800         PERFORM 9700-CROSS-EDITS
034900                                 THRU 9799-CE-EXIT.
035000*
035100     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
035200*
035300     IF  SS08WS-ERROR-SW-NO
035400         GO TO 2400-UPDATE-FILE.
035500*
035502     MOVE DFHBMDAS               TO MO12-DESC-LINE-1A-A.          EH800900
035504     MOVE DFHBMDAS               TO MO12-DESC-LINE-2A-A.          EH800900
035506*                                                                 EH800900
035510     PERFORM VARYING X-MO12-PROD FROM 1 BY 1                      EH800900
035512             UNTIL   X-MO12-PROD IS GREATER THAN 15               EH800900
035514         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-A         EH800900
035516                                    (X-MO12-PROD)                 EH800900
035518         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-LP-A      EH800900
035520                                    (X-MO12-PROD)                 EH800900
035522         MOVE DFHBMDAS           TO MO12-QRTLY-RPT-FLAG-RP-A      EH800900
035524                                    (X-MO12-PROD)                 EH800900
035526     END-PERFORM.                                                 EH800900
035528*                                                                 EH800900
035600****************************************************************
035700*    SEND THE MAP                                              *
035800****************************************************************
035900*
036000     PERFORM MB60PD-INIT-STD-MAP-LINES
036100                                 THRU MB60PD-ISML-EXIT.
036200*
036300     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
036400     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
036500     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
036600     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
036700     MOVE SS08WS-LINE-24         TO MO12-PF-KEYS.
036800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
036900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
037000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
037100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
037200*
037300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
037500                                 THRU MB60PD-SMDO-EXIT.
037600*
037700****************************************************************
037800*    RETURN TO CICS                                            *
037900****************************************************************
038000*
038100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
038200     PERFORM MB70PD-RETURN-TRANS-ID
038300                                 THRU MB70PD-RTI-EXIT.
038400/
038500 2400-UPDATE-FILE.
038600*
038700     IF  WS-UPDATE-SW-NO
038800         IF  MBCA-PTI-FUNCTION-IS-ADD
038900             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
039000             MOVE MBCA-MERCHANT-ORG
039100                                 TO MBIOWS-MMOC-ORG
039200             SET MBIORO-READ-RANDOM-UPDATE
039300                                 TO TRUE
039400             PERFORM MMOCAO-ACCESS
039500                                 THRU MMOCAO-ACCESS-EXIT
039600             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
039700             SET MBIORO-REWRITE  TO TRUE
039800             PERFORM MMOCAO-ACCESS
039900                                 THRU MMOCAO-ACCESS-EXIT
040000             GO TO 2600-SETUP-COMMAREA
040100         ELSE
040200             GO TO 2600-SETUP-COMMAREA.
040300*
040400****************************************************************
040500*    GETMAIN FOR LOG/JOURNAL RECORD                            *
040600****************************************************************
040700*
040800     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
040900     SET MBIORO-GETMAIN          TO TRUE.
041000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
041100*
041200****************************************************************
041300*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
041400****************************************************************
041500*
041600     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
041700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
041800     SET MBIORO-READ-RANDOM-UPDATE
041900                                 TO TRUE.
042000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
042100*
042200     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
042300*
042400     PERFORM 9600-BUILD-LOG-RECORDS
042500                             THRU 9699-BLR-EXIT
042600         VARYING X-MO12-PROD FROM 1 BY 1
042700         UNTIL   X-MO12-PROD IS GREATER THAN 15.
042800*
042900     SET X-MMOC-PROD             TO MBCA-MBMO-PROD-INDEX.
043000*
043100 2500-UPDATE-ORG-RECORD.
043200*
043300     IF  MBCA-PTI-FUNCTION-IS-ADD
043400         MOVE MBCA-SCREEN-NBR    TO MMOC-ONLINE-STATUS.
043500*
043600*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
043700*
043800     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
043900     MOVE 0199                   TO MML1-FIELD-CODE.
044000     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
044100     MOVE MMOC-LAST-MAINT-DATE
044200                                 TO MML1-VL07-B-DATA-9.
044300     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
044400     MOVE MMOC-LAST-MAINT-DATE
044500                                 TO MML1-VL07-A-DATA-9.
044600     PERFORM 9050-CREATE-MAINT-RECORD
044700                                 THRU 9099-CMR-EXIT.
044800     MOVE 0198                   TO MML1-FIELD-CODE.
044900     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
045000     MOVE MMOC-LAST-MAINT-OPER
045100                                 TO MML1-VL03-B-DATA-X.
045200     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
045300     MOVE MMOC-LAST-MAINT-OPER
045400                                 TO MML1-VL03-A-DATA-X.
045500     PERFORM 9050-CREATE-MAINT-RECORD
045600                                 THRU 9099-CMR-EXIT.
045700*
045800****************************************************************
045900*    UPDATE THE ORGANIZATION FILE RECORD                       *
046000****************************************************************
046100*
046200     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
046300     SET MBIORO-REWRITE          TO TRUE.
046400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
046500*
046600*
046700 2600-SETUP-COMMAREA.
046800*
046900****************************************************************
047000*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047100****************************************************************
047200*
047300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
047400*
047500     IF  SS08WS-VALID-PF3
047600     OR  SS08WS-EIBAID-VALID-PF3
047700         MOVE 62                 TO MBCA-SCREEN-NBR
047800         MOVE 1                  TO MBCA-MBMO-PROD-INDEX
047900         GO TO 2690-PF-KEY-BYPASS.
048000*
048100     IF  SS08WS-VALID-PF4
048200     OR  SS08WS-EIBAID-VALID-PF4
048300         MOVE 62                 TO MBCA-SCREEN-NBR
048400         MOVE 91                 TO MBCA-MBMO-PROD-INDEX
048500         GO TO 2690-PF-KEY-BYPASS.
048600*
048700     IF  SS08WS-VALID-PF5
048800     OR  SS08WS-EIBAID-VALID-PF5
048900         IF  MBCA-MBMO-PROD-INDEX IS GREATER THAN 89
049000             MOVE 62             TO MBCA-SCREEN-NBR
049100             MOVE 91             TO MBCA-MBMO-PROD-INDEX
049200             GO TO 2690-PF-KEY-BYPASS
049300         ELSE
049400             MOVE 62             TO MBCA-SCREEN-NBR
049500             COMPUTE MBCA-MBMO-PROD-INDEX
049600                                 = MBCA-MBMO-PROD-INDEX
049700                                 + 15
049800             GO TO 2690-PF-KEY-BYPASS.
049900*
050000     IF  SS08WS-VALID-PF6
050100     OR  SS08WS-EIBAID-VALID-PF6
050200         IF  MBCA-MBMO-PROD-INDEX IS LESS THAN 16
050300             MOVE 62             TO MBCA-SCREEN-NBR
050400             MOVE 1              TO MBCA-MBMO-PROD-INDEX
050500             GO TO 2690-PF-KEY-BYPASS
050600         ELSE
050700             MOVE 62             TO MBCA-SCREEN-NBR
050800             COMPUTE MBCA-MBMO-PROD-INDEX
050900                                 = MBCA-MBMO-PROD-INDEX
051000                                 - 15
051100             GO TO 2690-PF-KEY-BYPASS.
051200*
051300     IF  SS08WS-VALID-PF-KEY
051400     OR  SS08WS-EIBAID-VALID-PF-KEY
051500         SET MBCA-INITIAL-SCREEN-NBR
051600                                 TO TRUE.
051700*
051800     IF  MBCA-PTI-FUNCTION-IS-ADD
051900         IF  MBCA-MBMO-PROD-INDEX IS GREATER THAN 90
052000             MOVE 63             TO MBCA-SCREEN-NBR
052100             MOVE 1              TO MBCA-MBMO-PROD-INDEX
052200         ELSE
052300             COMPUTE MBCA-MBMO-PROD-INDEX
052400                                 = MBCA-MBMO-PROD-INDEX
052500                                 + 15
052600             MOVE 62             TO MBCA-SCREEN-NBR
052700     ELSE
052800         PERFORM MB60PD-EDIT-PAGE-NBR
052900                                 THRU MB60PD-EPN-EXIT
053000         MOVE 1                  TO MBCA-MBMO-PROD-INDEX.
053100*
053200 2690-PF-KEY-BYPASS.
053300*
053400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
053500     PERFORM MB70PD-XCTL-TO-MBOXCTL
053600                                 THRU MB70PD-XTM-EXIT.
053700/
053800 9000-PERFORMED-ROUTINES-SECT SECTION.
053900*
054000 9050-CREATE-MAINT-RECORD.
054100*
054200*****************************************************************
054300*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
054400*    LOG/JOURNAL TRANSACTIONS                                   *
054500*****************************************************************
054600*
054700     IF  MBCA-PTI-FUNCTION-IS-ADD
054800         GO TO 9099-CMR-EXIT.
054900*
055000     MOVE 'OC'                   TO MML1-FILE-CODE.
055100     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
055200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
055300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
055400     MOVE ZEROES                 TO MML1-SOURCE-CODE
055500                                    MML1-FIELD-OCCURRENCE-2.
055600*
055700*****************************************************************
055800*    WRITE THE LOG/JOURNAL FILE RECORD                          *
055900*****************************************************************
056000*
056100     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
056200     SET MBIORO-WRITE            TO TRUE.
056300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
056400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
056500*
056600 9099-CMR-EXIT.
056700     EXIT.
056800*
056900 9400-EDIT-FIELDS.
057000*
057100*            ***** PRODUCT STATUS *****                        *
057200*
057300     IF  MO12-PRODUCT-STATUS-L (X-MO12-PROD) IS LESS THAN 1
057400         MOVE DFHBMASK           TO MO12-PRODUCT-STATUS-A
057500                                    (X-MO12-PROD)
057600         MOVE DFHBMDAS           TO MO12-PRODUCT-STATUS-LP-A
057700                                    (X-MO12-PROD)
057800                                    MO12-PRODUCT-STATUS-RP-A
057900                                    (X-MO12-PROD)
058000         MOVE MMOC-PRODUCT-STATUS (X-MMOC-PROD)
058100                                 TO MO12-PRODUCT-STATUS
058200                                    (X-MO12-PROD)
058300     ELSE
058400         IF  MO12-VALID-PRODUCT-STATUS (X-MO12-PROD)
058500             MOVE DFHBMASF       TO MO12-PRODUCT-STATUS-A
058600                                    (X-MO12-PROD)
058700             MOVE DFHBMDAS       TO MO12-PRODUCT-STATUS-LP-A
058800                                    (X-MO12-PROD)
058900                                    MO12-PRODUCT-STATUS-RP-A
059000                                    (X-MO12-PROD)
059100             SET WS-UPDATE-SW-YES TO TRUE
059200         ELSE
059300             MOVE DFHBMUBF       TO MO12-PRODUCT-STATUS-A
059400                                    (X-MO12-PROD)
059500             MOVE DFHBMASB       TO MO12-PRODUCT-STATUS-LP-A
059600                                    (X-MO12-PROD)
059700                                    MO12-PRODUCT-STATUS-RP-A
059800                                    (X-MO12-PROD)
059900             MOVE SS08WS-CURSOR  TO MO12-PRODUCT-STATUS-L
060000                                    (X-MO12-PROD)
060100             SET SS08WS-ERROR-SW-YES TO TRUE.
060200*
060300*            ***** PRODUCT DESCRIPTION *****                   *
060400*
060500     IF  MO12-PRODUCT-DESC-L (X-MO12-PROD) IS LESS THAN 1
060600         MOVE DFHBMASK           TO MO12-PRODUCT-DESC-A
060700                                    (X-MO12-PROD)
060800         MOVE DFHBMDAS           TO MO12-PRODUCT-DESC-LP-A
060900                                    (X-MO12-PROD)
061000                                    MO12-PRODUCT-DESC-RP-A
061100                                    (X-MO12-PROD)
061200         MOVE MMOC-PRODUCT-DESC  (X-MMOC-PROD)
061300                                 TO MO12-PRODUCT-DESC
061400                                    (X-MO12-PROD)
061500     ELSE
061600         MOVE DFHBMASF           TO MO12-PRODUCT-DESC-A
061700                                    (X-MO12-PROD)
061800         MOVE DFHBMDAS           TO MO12-PRODUCT-DESC-LP-A
061900                                    (X-MO12-PROD)
062000                                    MO12-PRODUCT-DESC-RP-A
062100                                    (X-MO12-PROD)
062200         SET WS-UPDATE-SW-YES    TO TRUE.
062300*
062400     IF  MMSC-EUROPAY-OFF
062500     OR  WS-MBMO-EUROPAY-OFF                                      EH800900
062600         NEXT SENTENCE
062700     ELSE
062800         IF  MO12-QRTLY-RPT-FLAG-L (X-MO12-PROD) IS LESS THAN 1
062900             MOVE DFHBMASK       TO MO12-QRTLY-RPT-FLAG-A
063000                                    (X-MO12-PROD)
063100             MOVE DFHBMDAS       TO MO12-QRTLY-RPT-FLAG-LP-A
063200                                    (X-MO12-PROD)
063300                                    MO12-QRTLY-RPT-FLAG-RP-A
063400                                    (X-MO12-PROD)
063500             MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
063600                                 TO MO12-QRTLY-RPT-FLAG
063700                                    (X-MO12-PROD)
063800         ELSE
063900             IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
064000                                 IS NOT NUMERIC
064100                 MOVE DFHBMNBF   TO MO12-QRTLY-RPT-FLAG-A
064200                                    (X-MO12-PROD)
064300                 MOVE DFHBMASB   TO MO12-QRTLY-RPT-FLAG-LP-A
064400                                    (X-MO12-PROD)
064500                                    MO12-QRTLY-RPT-FLAG-RP-A
064600                                    (X-MO12-PROD)
064700                 MOVE SS08WS-CURSOR TO MO12-QRTLY-RPT-FLAG-L
064800                                    (X-MO12-PROD)
064900                 SET SS08WS-ERROR-SW-YES
065000                                 TO TRUE
065100             ELSE
065200                 IF  MO12-VALID-QRTLY-RPT-FLAG (X-MO12-PROD)
065300                     MOVE DFHBMASF
065400                                 TO MO12-QRTLY-RPT-FLAG-A
065500                                    (X-MO12-PROD)
065600                     MOVE DFHBMDAS
065700                                 TO MO12-QRTLY-RPT-FLAG-LP-A
065800                                    (X-MO12-PROD)
065900                                    MO12-QRTLY-RPT-FLAG-RP-A
066000                                    (X-MO12-PROD)
066100                     SET WS-UPDATE-SW-YES TO TRUE
066200                 ELSE
066300                     MOVE DFHBMNBF
066400                                 TO MO12-QRTLY-RPT-FLAG-A
066500                                    (X-MO12-PROD)
066600                     MOVE DFHBMASB
066700                                 TO MO12-QRTLY-RPT-FLAG-LP-A
066800                                    (X-MO12-PROD)
066900                                    MO12-QRTLY-RPT-FLAG-RP-A
067000                                    (X-MO12-PROD)
067100                     MOVE SS08WS-CURSOR
067200                                 TO MO12-QRTLY-RPT-FLAG-L
067300                                    (X-MO12-PROD)
067400                     SET SS08WS-ERROR-SW-YES
067500                                 TO TRUE.
067600*
067700     SET X-MMOC-PROD             UP BY +1.
067800*
067900 9499-EF-EXIT.
068000     EXIT.
068100*
068200 9600-BUILD-LOG-RECORDS.
068300*
068400     SET WS-INDEX                TO X-MMOC-PROD.
068500*
068600*            ***** PRODUCT STATUS *****                        *
068700*
068800     IF  MO12-PRODUCT-STATUS-L (X-MO12-PROD)
068900                                 IS GREATER THAN ZERO
069000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
069100         MOVE 1201               TO MML1-FIELD-CODE
069200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
069300         MOVE MMOC-PRODUCT-STATUS (X-MMOC-PROD)
069400                                 TO MML1-VL01-B-DATA-X
069500         MOVE MO12-PRODUCT-STATUS (X-MO12-PROD)
069600                                 TO MMOC-PRODUCT-STATUS
069700                                    (X-MMOC-PROD)
069800         MOVE MMOC-PRODUCT-STATUS (X-MMOC-PROD)
069900                                 TO MML1-VL01-A-DATA-X
070000         PERFORM 9050-CREATE-MAINT-RECORD
070100                                 THRU 9099-CMR-EXIT.
070200*
070300*            ***** PRODUCT DESCRIPTION *****                    *
070400*
070500     IF  MO12-PRODUCT-DESC-L (X-MO12-PROD)
070600                                 IS GREATER THAN ZERO
070700         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
070800         MOVE 1202               TO MML1-FIELD-CODE
070900         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
071000         MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
071100                                 TO MML1-VL20-B-DATA-X
071200         MOVE MO12-PRODUCT-DESC (X-MO12-PROD)
071300                                 TO MMOC-PRODUCT-DESC
071400                                    (X-MMOC-PROD)
071500         MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
071600                                 TO MML1-VL20-A-DATA-X
071700         PERFORM 9050-CREATE-MAINT-RECORD
071800                                 THRU 9099-CMR-EXIT.
071900*
072000*            ***** EUROPAY FLAG *****                           *
072100*
072200     IF  MO12-QRTLY-RPT-FLAG-L (X-MO12-PROD)
072300                                 IS GREATER THAN ZERO
072400         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
072500         MOVE 1203               TO MML1-FIELD-CODE
072600         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
072700         MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
072800                                 TO MML1-VL02-B-DATA-9
072900         MOVE MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
073000                                 TO MMOC-PRODUCT-QRTRLY-RPT-FLAG
073100                                    (X-MMOC-PROD)
073200         MOVE MMOC-PRODUCT-QRTRLY-RPT-FLAG (X-MMOC-PROD)
073300                                 TO MML1-VL02-A-DATA-9
073400         PERFORM 9050-CREATE-MAINT-RECORD
073500                                 THRU 9099-CMR-EXIT.
073600*
073700     SET X-MMOC-PROD             UP BY +1.
073800*
073900 9699-BLR-EXIT.
074000     EXIT.
074100*
074200 9700-CROSS-EDITS.
074300*
074400****************************************************************
074500*    OCCURANCE TWO IS MASTERCARD AND CAN ONLY EQUAL TWO        *
074600****************************************************************
074700*
074800     IF  MBCA-MBMO-PROD-INDEX IS EQUAL TO 1
074900     AND MO12-QRTLY-RPT-FLAG-L (2) IS GREATER THAN ZERO
075000         IF  MO12-VALID-MC-QRF (2)
075100             CONTINUE
075200         ELSE
075300             MOVE DFHBMNBF       TO MO12-QRTLY-RPT-FLAG-A (2)
075400             MOVE DFHBMASB       TO MO12-QRTLY-RPT-FLAG-LP-A (2)
075500                                    MO12-QRTLY-RPT-FLAG-RP-A (2)
075600             MOVE SS08WS-CURSOR  TO MO12-QRTLY-RPT-FLAG-L (2)
075700             SET SS08WS-ERROR-SW-YES TO TRUE
075800             GO TO 9799-CE-EXIT
075900         END-IF
076000     END-IF.
076100*
076200****************************************************************
076300*    NO QRTLY REPORT FLAG CAN HAVE 02 EXCEPT OCCURRANCE 02     *
076400****************************************************************
076500*
076600     PERFORM
076700         VARYING X-MO12-PROD
076800         FROM 1 BY 1
076900         UNTIL X-MO12-PROD IS GREATER THAN 15
077000         IF  MBCA-MBMO-PROD-INDEX IS EQUAL TO 1
077100         AND X-MO12-PROD IS EQUAL TO 2
077200             CONTINUE
077300         ELSE
077400             IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
077500                                 IS EQUAL TO 02
077600                 MOVE DFHBMNBF   TO MO12-QRTLY-RPT-FLAG-A
077700                                    (X-MO12-PROD)
077800                 MOVE DFHBMASB   TO MO12-QRTLY-RPT-FLAG-LP-A
077900                                    (X-MO12-PROD)
078000                                    MO12-QRTLY-RPT-FLAG-RP-A
078100                                    (X-MO12-PROD)
078200                 MOVE SS08WS-CURSOR TO MO12-QRTLY-RPT-FLAG-L
078300                                    (X-MO12-PROD)
078400                 SET SS08WS-ERROR-SW-YES
078500                                 TO TRUE
078600             END-IF
078700         END-IF
078800     END-PERFORM.
078900*
079000     IF  SS08WS-ERROR-SW-YES
079100         GO TO 9799-CE-EXIT.
079200*
079300****************************************************************
079400*    VERIFY THAT NO DUPLICTES HAVE BEEN ENTERED ON THIS SCREEN *
079500****************************************************************
079600*
079700     PERFORM
079800         VARYING X-MO12-PROD
079900         FROM 1 BY 1
080000         UNTIL X-MO12-PROD IS GREATER THAN 15
080100         IF  MO12-QRTLY-RPT-FLAG-L (X-MO12-PROD)
080200                                 IS GREATER THAN ZERO
080300           IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
080400                                 IS EQUAL TO ZERO
080500               CONTINUE
080600           ELSE
080700             PERFORM
080800                 VARYING X-MO12-PROD-1
080900                 FROM 1 BY 1
081000                 UNTIL X-MO12-PROD-1 IS GREATER THAN 15
081100                 IF  X-MO12-PROD-1 IS EQUAL TO X-MO12-PROD
081200                     CONTINUE
081300                 ELSE
081400                     IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
081500                                 IS EQUAL TO
081600                                    MO12-QRTLY-RPT-FLAG
081700                                    (X-MO12-PROD-1)
081800                         MOVE DFHBMNBF
081900                                 TO MO12-QRTLY-RPT-FLAG-A
082000                                    (X-MO12-PROD)
082100                                    MO12-QRTLY-RPT-FLAG-A
082200                                    (X-MO12-PROD-1)
082300                         MOVE DFHBMASB
082400                                 TO MO12-QRTLY-RPT-FLAG-LP-A
082500                                    (X-MO12-PROD)
082600                                    MO12-QRTLY-RPT-FLAG-RP-A
082700                                    (X-MO12-PROD)
082800                                    MO12-QRTLY-RPT-FLAG-LP-A
082900                                    (X-MO12-PROD-1)
083000                                    MO12-QRTLY-RPT-FLAG-RP-A
083100                                    (X-MO12-PROD-1)
083200                         MOVE SS08WS-CURSOR
083300                                 TO MO12-QRTLY-RPT-FLAG-L
083400                                    (X-MO12-PROD)
083500                         SET SS08WS-ERROR-SW-YES
083600                                 TO TRUE
083700                     END-IF
083800                 END-IF
083900             END-PERFORM
084000           END-IF
084100         END-IF
084200     END-PERFORM.
084300*
084400     IF  SS08WS-ERROR-SW-YES
084500         GO TO 9799-CE-EXIT.
084600*
084700****************************************************************
084800*    VERIFY THAT NO DUPLICTES EXIST IN ALL 99 PRODUCTS         *
084900****************************************************************
085000*
085100     PERFORM
085200         VARYING X-MO12-PROD
085300         FROM 1 BY 1
085400         UNTIL X-MO12-PROD IS GREATER THAN 15
085500         IF  MO12-QRTLY-RPT-FLAG-L (X-MO12-PROD)
085600                                 IS GREATER THAN ZERO
085700           IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
085800                                 IS EQUAL TO ZERO
085900             CONTINUE
086000           ELSE
086100             MOVE MBCA-MBMO-PROD-INDEX
086200                                 TO WS-PROD-INDEX
086300             SET WS-PROD-INDEX-1 TO X-MO12-PROD
086400             ADD WS-PROD-INDEX-1 TO WS-PROD-INDEX
086500             SUBTRACT 1          FROM WS-PROD-INDEX
086600             PERFORM
086700                 VARYING X-MMOC-PROD
086800                 FROM 2 BY 1
086900                 UNTIL X-MMOC-PROD IS GREATER THAN 99
087000                 IF  X-MMOC-PROD IS EQUAL TO WS-PROD-INDEX
087100                     CONTINUE
087200                 ELSE
087300                     IF  MO12-QRTLY-RPT-FLAG (X-MO12-PROD)
087400                                 IS EQUAL TO
087500                                    MMOC-PRODUCT-QRTRLY-RPT-FLAG
087600                                    (X-MMOC-PROD)
087700                         MOVE DFHBMNBF
087800                                 TO MO12-QRTLY-RPT-FLAG-A
087900                                    (X-MO12-PROD)
088000                         MOVE DFHBMASB
088100                                 TO MO12-QRTLY-RPT-FLAG-LP-A
088200                                    (X-MO12-PROD)
088300                                    MO12-QRTLY-RPT-FLAG-RP-A
088400                                    (X-MO12-PROD)
088500                         MOVE SS08WS-CURSOR
088600                                 TO MO12-QRTLY-RPT-FLAG-L
088700                                    (X-MO12-PROD)
088800                         SET SS08WS-ERROR-SW-YES
088900                                 TO TRUE
089000                     END-IF
089100                 END-IF
089200             END-PERFORM
089300           END-IF
089400         END-IF
089500     END-PERFORM.
089600*
089700 9799-CE-EXIT.
089800     EXIT.
089900/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
090000     COPY SS26PD.
090100/    ROUTINE TO NUMERICALLY EDIT TIME
090200     COPY SS27PD.
090300/         JULIAN TO GREGORIAN DATE ROUTINE.
090400     COPY SS08PD.
090500/         LINE 24 PF KEYS ROUTINE
090600     COPY SS15PD.
090700/         ORGANIZATION RECORD ACCESS ROUTINES
090800     COPY MMOCAO.
090900/         SYSTEM RECORD ACCESS ROUTINES
091000     COPY MMSCAO.
091100/         LOG/JOURNAL ACCESS ROUTINES
091200     COPY MML1AO.
091300/         ON-LINE MAP ROUTINES
091400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO12 '
091500                           MBMAPXXI BY MBMO12I
091600                           MBMAPXXO BY MBMO12O.
091700/         ON-LINE PROCEDURES
091800     COPY MB70PD.
091900/
092000     COPY SMFTPXO.
