000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO13.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO13 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 13                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO13 (ORGANIZATION MAP 13)               *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/
004500 01  WS-WORK-AREAS.
004600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004900     03  WS-INDEX            PIC S9(04)      BINARY.
005000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005100/
005200 LINKAGE SECTION.
005300 01  DFHCOMMAREA.
005400     COPY MB60WS.
005500/         ORG SCREEN 13 MAP DSECT
005600     COPY MBMO13.
005700/         ORG SCREEN 13 MAP REDEFINITION
005800     COPY MBMO13R.
005900/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
006000     COPY MMOCRL.
006100/         LOG/JOURNAL FILE RECORD LAYOUT
006200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006300/
006400 PROCEDURE DIVISION.
006500 0000-HOUSEKEEPING SECTION.
006600 0100-INIT.
006700*
006800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
006900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007000                                 THRU MB70PD-OLH-EXIT.
007100*
007200     IF  MBCA-RECEIVE-SCREEN
007300         GO TO 2000-RECEIVE-SCREEN.
007400/
007500 1000-SEND-SCREEN SECTION.
007600*
007700****************************************************************
007800*    THIS SECTION BUILDS AND SENDS THE 13 SCREEN               *
007900****************************************************************
008000*
008100****************************************************************
008200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008300****************************************************************
008400*
008500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008600     PERFORM MB60PD-GETMAIN-FOR-MAP
008700                                 THRU MB60PD-GFM-EXIT.
008800*
008900     MOVE MBCA-MERCHANT-ORG      TO MO13-ORG.
009000*
009100     MOVE 13                     TO MBCA-SCREEN-NBR.
009200*
009300****************************************************************
009400*    INITIALIZE THE STANDARD MAP LINES                         *
009500****************************************************************
009600*
009700     PERFORM MB60PD-INIT-STD-MAP-LINES
009800                                 THRU MB60PD-ISML-EXIT.
009900*
010000****************************************************************
010100*    READ THE ORGANIZATION FILE RECORD                         *
010200****************************************************************
010300*
010400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
010500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
010600     SET MBIORO-READ-RANDOM      TO TRUE.
010700     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
010800/
010900 1100-BUILD-SCREEN.
011000*
011100****************************************************************
011200*    BUILD THE MAP FROM THE ORGANIZATION RECORD                *
011300****************************************************************
011400*
011500     MOVE MMOC-NA-LINE (1 1)     TO MO13-ORG-NAME.
011600*
011700     PERFORM
011800         VARYING X-MO13-RPT-DEST FROM +1 BY +1
011900         UNTIL   X-MO13-RPT-DEST IS GREATER THAN +16
012000             SET X-MMOC-RDEST    TO X-MO13-RPT-DEST
012100             MOVE MMOC-REPORT-DEST-ID      (X-MMOC-RDEST)
012200                                 TO MO13-DESTINATION-ID
012300                                    (X-MO13-RPT-DEST)
012400             MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
012500                                 TO MO13-DESCRIPTION
012600                                    (X-MO13-RPT-DEST)
012700     END-PERFORM.
012800/
012900****************************************************************
013000*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
013100****************************************************************
013200*
013300     SET X-MO13-RPT-DEST         TO +1.
013400*
013500     MOVE SS08WS-CURSOR          TO MO13-DESTINATION-ID-L
013600                                    (X-MO13-RPT-DEST).
013700*
013800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
013900         MOVE SS08WS-CURSOR      TO MO13-ALT-TRANID-L
014000         PERFORM
014100             VARYING X-MO13-RPT-DEST FROM +1 BY +1
014200             UNTIL   X-MO13-RPT-DEST IS GREATER THAN +16
014300                 MOVE DFHBMASB   TO MO13-DESTINATION-ID-A
014400                                    (X-MO13-RPT-DEST)
014500                                    MO13-DESCRIPTION-A
014600                                    (X-MO13-RPT-DEST)
014700                 MOVE DFHBMDAS   TO MO13-DESTINATION-ID-LP-A
014800                                    (X-MO13-RPT-DEST)
014900                                    MO13-DESTINATION-ID-RP-A
015000                                    (X-MO13-RPT-DEST)
015100                                    MO13-DESCRIPTION-LP-A
015200                                    (X-MO13-RPT-DEST)
015300                                    MO13-DESCRIPTION-RP-A
015400                                    (X-MO13-RPT-DEST)
015500         END-PERFORM.
015600*
015700****************************************************************
015800*    SEND THE MAP                                              *
015900****************************************************************
016000*
016100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
016200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
016300                                 THRU MB60PD-SMWE-EXIT.
016400*
016500****************************************************************
016600*    RETURN TO CICS                                            *
016700****************************************************************
016800*
016900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017000     PERFORM MB70PD-RETURN-TRANS-ID
017100                                 THRU MB70PD-RTI-EXIT.
017200/
017300 2000-RECEIVE-SCREEN SECTION.
017400*
017500****************************************************************
017600*    THIS SECTION RECEIVES THE 13 SCREEN                       *
017700****************************************************************
017800*
017900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
018000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018100*
018200****************************************************************
018300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
018400****************************************************************
018500*
018600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
018700     PERFORM MB60PD-NEW-TRANS-ROUTINE
018800                                 THRU MB60PD-NTR-EXIT.
018900*
019000****************************************************************
019100*    BYPASS EDITS ON INQUIRY                                   *
019200****************************************************************
019300*
019400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
019500         GO TO 2600-SETUP-COMMAREA.
019600*
019700****************************************************************
019800*    READ THE ORGANIZATION FILE RECORD                         *
019900****************************************************************
020000*
020100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
020300     SET MBIORO-READ-RANDOM      TO TRUE.
020400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
020500*
020600     PERFORM 9300-EDIT-RPT-DEST  THRU 9399-ERD-EXIT
020700         VARYING X-MO13-RPT-DEST FROM +1 BY +1
020800         UNTIL   X-MO13-RPT-DEST IS GREATER THAN +16.
020900*
021000     IF  SS08WS-ERROR-SW-NO
021100         GO TO 2400-UPDATE-FILE.
021200*
021300****************************************************************
021400*    SEND THE MAP                                              *
021500****************************************************************
021600*
021700     PERFORM MB60PD-INIT-STD-MAP-LINES
021800                                 THRU MB60PD-ISML-EXIT.
021900*
022000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
022100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
022200                                 THRU MB60PD-SMDO-EXIT.
022300*
022400****************************************************************
022500*    RETURN TO CICS                                            *
022600****************************************************************
022700*
022800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
022900     PERFORM MB70PD-RETURN-TRANS-ID
023000                                 THRU MB70PD-RTI-EXIT.
023100/
023200 2400-UPDATE-FILE.
023300*
023400     IF  WS-UPDATE-SW-NO
023500         IF  MBCA-PTI-FUNCTION-IS-ADD
023600             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
023700             MOVE MBCA-MERCHANT-ORG
023800                                 TO MBIOWS-MMOC-ORG
023900             SET MBIORO-READ-RANDOM-UPDATE
024000                                 TO TRUE
024100             PERFORM MMOCAO-ACCESS
024200                                 THRU MMOCAO-ACCESS-EXIT
024300             MOVE MBCA-SCREEN-NBR
024400                                 TO MMOC-ONLINE-STATUS
024500             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
024600             SET MBIORO-REWRITE  TO TRUE
024700             PERFORM MMOCAO-ACCESS
024800                                 THRU MMOCAO-ACCESS-EXIT
024900             GO TO 2600-SETUP-COMMAREA
025000         ELSE
025100             GO TO 2600-SETUP-COMMAREA.
025200*
025300****************************************************************
025400*    GETMAIN FOR LOG/JOURNAL RECORD                            *
025500****************************************************************
025600*
025700     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
025800     SET MBIORO-GETMAIN          TO TRUE.
025900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
026000*
026100****************************************************************
026200*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
026300****************************************************************
026400*
026500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
026600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
026700     SET MBIORO-READ-RANDOM-UPDATE
026800                                 TO TRUE.
026900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
027000*
027100     PERFORM 9400-BUILD-DEST-LOG-RECORDS
027200                                 THRU 9499-BDLR-EXIT
027300         VARYING X-MO13-RPT-DEST FROM +1 BY +1
027400         UNTIL   X-MO13-RPT-DEST IS GREATER THAN +16.
027500*
027600     IF  MBCA-PTI-FUNCTION-IS-ADD
027700         MOVE 13                 TO MMOC-ONLINE-STATUS.
027800*
027900*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
028000*
028100     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
028200     MOVE 0199                   TO MML1-FIELD-CODE.
028300     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
028400     MOVE MMOC-LAST-MAINT-DATE
028500                                 TO MML1-VL07-B-DATA-9.
028600     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
028700     MOVE MMOC-LAST-MAINT-DATE
028800                                 TO MML1-VL07-A-DATA-9.
028900     PERFORM 9050-CREATE-MAINT-RECORD
029000                                 THRU 9099-CMR-EXIT.
029100     MOVE 0198                   TO MML1-FIELD-CODE.
029200     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
029300     MOVE MMOC-LAST-MAINT-OPER
029400                                 TO MML1-VL03-B-DATA-X.
029500     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
029600     MOVE MMOC-LAST-MAINT-OPER
029700                                 TO MML1-VL03-A-DATA-X.
029800     PERFORM 9050-CREATE-MAINT-RECORD
029900                                 THRU 9099-CMR-EXIT.
030000*
030100****************************************************************
030200*    UPDATE THE ORGANIZATION FILE RECORD                       *
030300****************************************************************
030400*
030500     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
030600     SET MBIORO-REWRITE          TO TRUE.
030700     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
030800*
030900 2600-SETUP-COMMAREA.
031000*
031100****************************************************************
031200*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
031300****************************************************************
031400*
031500     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
031600*
031700     PERFORM MB60PD-EDIT-PAGE-NBR
031800                                 THRU MB60PD-EPN-EXIT.
031900*
032000     IF  SS08WS-VALID-PF-KEY
032100     OR  SS08WS-EIBAID-VALID-PF-KEY
032200         SET MBCA-INITIAL-SCREEN-NBR
032300                                 TO TRUE.
032400*
032500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
032600     PERFORM MB70PD-XCTL-TO-MBOXCTL
032700                                 THRU MB70PD-XTM-EXIT.
032800/
032900 8000-PERFORMED-ROUTINES-SECT SECTION.
033000*
033100 9050-CREATE-MAINT-RECORD.
033200*
033300*****************************************************************
033400*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
033500*    LOG/JOURNAL TRANSACTIONS                                   *
033600*****************************************************************
033700*
033800     IF  MBCA-PTI-FUNCTION-IS-ADD
033900         GO TO 9099-CMR-EXIT.
034000*
034100     MOVE 'OC'                   TO MML1-FILE-CODE.
034200     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
034300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
034400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
034500     MOVE ZEROES                 TO MML1-SOURCE-CODE
034600                                    MML1-FIELD-OCCURRENCE-2.
034700*
034800*****************************************************************
034900*    WRITE THE LOG/JOURNAL FILE RECORD                          *
035000*****************************************************************
035100*
035200     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
035300     SET MBIORO-WRITE            TO TRUE.
035400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
035500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
035600*
035700 9099-CMR-EXIT.
035800     EXIT.
035900*
036000 9300-EDIT-RPT-DEST.
036100*
036200*            ***** DESTINATION ID *****                        *
036300*
036400     SET X-MMOC-RDEST            TO X-MO13-RPT-DEST.
036500*
036600     IF  MO13-DESTINATION-ID-L (X-MO13-RPT-DEST) IS LESS THAN 1
036700         MOVE DFHBMASK           TO MO13-DESTINATION-ID-A
036800                                    (X-MO13-RPT-DEST)
036900         MOVE DFHBMDAS           TO MO13-DESTINATION-ID-LP-A
037000                                    (X-MO13-RPT-DEST)
037100                                    MO13-DESTINATION-ID-RP-A
037200                                    (X-MO13-RPT-DEST)
037300         MOVE MMOC-REPORT-DEST-ID    (X-MMOC-RDEST)
037400                                 TO MO13-DESTINATION-ID
037500                                    (X-MO13-RPT-DEST)
037600     ELSE
037700         MOVE DFHBMASF           TO MO13-DESTINATION-ID-A
037800                                    (X-MO13-RPT-DEST)
037900         MOVE DFHBMDAS           TO MO13-DESTINATION-ID-LP-A
038000                                    (X-MO13-RPT-DEST)
038100                                    MO13-DESTINATION-ID-RP-A
038200                                    (X-MO13-RPT-DEST)
038300         SET WS-UPDATE-SW-YES    TO TRUE.
038400*
038500*            ***** DESCRIPTION *****                           *
038600*
038700     IF  MO13-DESCRIPTION-L (X-MO13-RPT-DEST) IS LESS THAN 1
038800         MOVE DFHBMASK           TO MO13-DESCRIPTION-A
038900                                    (X-MO13-RPT-DEST)
039000         MOVE DFHBMDAS           TO MO13-DESCRIPTION-LP-A
039100                                    (X-MO13-RPT-DEST)
039200                                    MO13-DESCRIPTION-RP-A
039300                                    (X-MO13-RPT-DEST)
039400         MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
039500                                 TO MO13-DESCRIPTION
039600                                    (X-MO13-RPT-DEST)
039700     ELSE
039800         MOVE DFHBMASF           TO MO13-DESCRIPTION-A
039900                                    (X-MO13-RPT-DEST)
040000         MOVE DFHBMDAS           TO MO13-DESCRIPTION-LP-A
040100                                    (X-MO13-RPT-DEST)
040200                                    MO13-DESCRIPTION-RP-A
040300                                    (X-MO13-RPT-DEST)
040400         SET WS-UPDATE-SW-YES    TO TRUE.
040500*
040600 9399-ERD-EXIT.
040700     EXIT.
040800*
040900 9400-BUILD-DEST-LOG-RECORDS.
041000*
041100     SET X-MMOC-RDEST            TO X-MO13-RPT-DEST.
041200     SET WS-INDEX                TO X-MO13-RPT-DEST.
041300*
041400*            ***** DESTINATION ID *****                        *
041500*
041600     IF  MO13-DESTINATION-ID-L (X-MO13-RPT-DEST)
041700                                 IS GREATER THAN ZERO
041800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
041900         MOVE 1301               TO MML1-FIELD-CODE
042000         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
042100         MOVE MMOC-REPORT-DEST-ID    (X-MMOC-RDEST)
042200                                 TO MML1-VL05-B-DATA-X
042300         MOVE MO13-DESTINATION-ID (X-MO13-RPT-DEST)
042400                                 TO MMOC-REPORT-DEST-ID
042500                                    (X-MMOC-RDEST)
042600         MOVE MMOC-REPORT-DEST-ID    (X-MMOC-RDEST)
042700                                 TO MML1-VL05-A-DATA-X
042800         PERFORM 9050-CREATE-MAINT-RECORD
042900                                 THRU 9099-CMR-EXIT.
043000*
043100*            ***** DESCRIPTION *****                           *
043200*
043300     IF  MO13-DESCRIPTION-L (X-MO13-RPT-DEST)
043400                                 IS GREATER THAN ZERO
043500         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
043600         MOVE 1302               TO MML1-FIELD-CODE
043700         MOVE MML1WS-VL-30       TO MML1-VARIABLE-LENGTH
043800         MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
043900                                 TO MML1-VL30-B-DATA-X
044000         MOVE MO13-DESCRIPTION (X-MO13-RPT-DEST)
044100                                 TO MMOC-REPORT-DEST-DESC
044200                                    (X-MMOC-RDEST)
044300         MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
044400                                 TO MML1-VL30-A-DATA-X
044500         PERFORM 9050-CREATE-MAINT-RECORD
044600                                 THRU 9099-CMR-EXIT.
044700*
044800 9499-BDLR-EXIT.
044900     EXIT.
045000/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
045100     COPY SS26PD.
045200/    ROUTINE TO NUMERICALLY EDIT TIME
045300     COPY SS27PD.
045400/         JULIAN TO GREGORIAN DATE ROUTINE.
045500     COPY SS08PD.
045600/         LINE 24 PF KEYS ROUTINE
045700     COPY SS15PD.
045800/         8RGANIZATION RECORD ACCESS ROUTINES
045900     COPY MMOCAO.
046000/         LOG/JOURNAL ACCESS ROUTINES
046100     COPY MML1AO.
046200/         ON-LINE MAP ROUTINES
046300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO13 '
046400                           MBMAPXXI BY MBMO13I
046500                           MBMAPXXO BY MBMO13O.
046600/         ON-LINE PROCEDURES
046700     COPY MB70PD.
046800/
046900     COPY SMFTPXO.
