000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO14.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO14 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 14,15,16,17,18,19,20 AND 21             *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO14 (ORGANIZATION MAP 14,15,16,17,18    *
001600*                            19,20 AND 21)                      *
001700*              3. FILES USED -                                  *
001800*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001900*                 B. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         LOG/JOURNAL WORK AREAS
003200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/
004600 01  WS-WORK-AREAS.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005000     03  WS-INDEX            PIC S9(04)      BINARY.
005100     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500 01  DFHCOMMAREA.
005600     COPY MB60WS.
005700/         ORG SCREEN 14 MAP DSECT
005800     COPY MBMO14.
005900/         ORG SCREEN 14 MAP REDEFINITION
006000     COPY MBMO14R.
006100/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
006200     COPY MMOCRL.
006300/         LOG/JOURNAL FILE RECORD LAYOUT
006400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 PROCEDURE DIVISION.
006700 0000-HOUSEKEEPING SECTION.
006800 0100-INIT.
006900*
007000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007200                                 THRU MB70PD-OLH-EXIT.
007300*
007400     IF  MBCA-RECEIVE-SCREEN
007500         GO TO 2000-RECEIVE-SCREEN.
007600/
007700 1000-SEND-SCREEN SECTION.
007800*
007900****************************************************************
008000*    THIS SECTION BUILDS AND SENDS THE 14,15,16,17,            *
008100*                                      18,19,20 AND 21         *
008200*                                      SCREENS                 *
008300****************************************************************
008400*
008500****************************************************************
008600*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008700****************************************************************
008800*
008900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009000     PERFORM MB60PD-GETMAIN-FOR-MAP
009100                                 THRU MB60PD-GFM-EXIT.
009200*
009300     MOVE MBCA-MERCHANT-ORG      TO MO14-ORG.
009400*
009500     EVALUATE MBCA-SCREEN-NBR
009600         WHEN 64
009700             MOVE 14             TO MBCA-SCREEN-NBR
009800         WHEN 65
009900             MOVE 15             TO MBCA-SCREEN-NBR
010000         WHEN 66
010100             MOVE 16             TO MBCA-SCREEN-NBR
010200         WHEN 67
010300             MOVE 17             TO MBCA-SCREEN-NBR
010400         WHEN 68
010500             MOVE 18             TO MBCA-SCREEN-NBR
010600         WHEN 69
010700             MOVE 19             TO MBCA-SCREEN-NBR
010800         WHEN 70
010900             MOVE 20             TO MBCA-SCREEN-NBR
011000         WHEN 71
011100             MOVE 21             TO MBCA-SCREEN-NBR
011200         WHEN OTHER
011300             MOVE 14             TO MBCA-SCREEN-NBR
011400     END-EVALUATE.
011500*
011600****************************************************************
011700*    INITIALIZE THE STANDARD MAP LINES                         *
011800****************************************************************
011900*
012000     PERFORM MB60PD-INIT-STD-MAP-LINES
012100                                 THRU MB60PD-ISML-EXIT.
012200*
012300****************************************************************
012400*    READ THE ORGANIZATION FILE RECORD                         *
012500****************************************************************
012600*
012700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
012900     SET MBIORO-READ-RANDOM      TO TRUE.
013000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
013100*
013200     MOVE MMOC-NA-LINE (1 1)     TO MO14-ORG-NAME.
013300*
013400     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
013500*
013600     PERFORM 9100-BUILD-SCREEN
013700                             THRU 9199-BS-EXIT
013800         VARYING X-MO14-OPT-RPT FROM +1 BY +1
013900         UNTIL   X-MO14-OPT-RPT IS GREATER THAN +12.
014000/
014100****************************************************************
014200*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
014300****************************************************************
014400*
014500     SET X-MO14-OPT-RPT          TO +1.
014600*
014700 1050-CURSOR-LOOP.
014800*
014900     IF  X-MO14-OPT-RPT IS GREATER THAN +12
015000         MOVE SS08WS-CURSOR      TO MO14-ALT-TRANID-L
015100         GO TO 1060-CHECK-INQUIRY.
015200*
015300     IF  MO14-DESTINATION-ID-A (X-MO14-OPT-RPT)
015400                                 IS EQUAL TO DFHBMASK
015500         SET X-MO14-OPT-RPT      UP BY +1
015600         GO TO 1050-CURSOR-LOOP
015700     ELSE
015800         MOVE SS08WS-CURSOR      TO MO14-DESTINATION-ID-L
015900                                    (X-MO14-OPT-RPT).
016000*
016100 1060-CHECK-INQUIRY.
016200*
016300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
016400         MOVE SS08WS-CURSOR      TO MO14-ALT-TRANID-L
016500         PERFORM VARYING X-MO14-OPT-RPT FROM +1 BY +1
016600                 UNTIL   X-MO14-OPT-RPT IS GREATER THAN +12
016700             MOVE DFHBMASB       TO MO14-DESTINATION-ID-A
016800                                    (X-MO14-OPT-RPT)
016900                                    MO14-ACTIVITY-FLAG-A
017000                                    (X-MO14-OPT-RPT)
017100                                    MO14-PRINT-FILE-A
017200                                    (X-MO14-OPT-RPT)
017300                                    MO14-FICHE-FLAG-A
017400                                    (X-MO14-OPT-RPT)
017500                                    MO14-FREQ-ONE-A
017600                                    (X-MO14-OPT-RPT)
017700                                    MO14-FORM-ONE-A
017800                                    (X-MO14-OPT-RPT)
017900                                    MO14-GROUP-ONE-A
018000                                    (X-MO14-OPT-RPT)
018100                                    MO14-SUMMARY-DETAIL-ONE-A
018200                                    (X-MO14-OPT-RPT)
018300                                    MO14-FREQ-TWO-A
018400                                    (X-MO14-OPT-RPT)
018500                                    MO14-FORM-TWO-A
018600                                    (X-MO14-OPT-RPT)
018700                                    MO14-GROUP-TWO-A
018800                                    (X-MO14-OPT-RPT)
018900                                    MO14-SUMMARY-DETAIL-TWO-A
019000                                    (X-MO14-OPT-RPT)
019100             MOVE DFHBMDAS       TO MO14-DESTINATION-ID-LP-A
019200                                    (X-MO14-OPT-RPT)
019300                                    MO14-DESTINATION-ID-RP-A
019400                                    (X-MO14-OPT-RPT)
019500                                    MO14-ACTIVITY-FLAG-LP-A
019600                                    (X-MO14-OPT-RPT)
019700                                    MO14-ACTIVITY-FLAG-RP-A
019800                                    (X-MO14-OPT-RPT)
019900                                    MO14-PRINT-FILE-LP-A
020000                                    (X-MO14-OPT-RPT)
020100                                    MO14-PRINT-FILE-RP-A
020200                                    (X-MO14-OPT-RPT)
020300                                    MO14-FICHE-FLAG-LP-A
020400                                    (X-MO14-OPT-RPT)
020500                                    MO14-FICHE-FLAG-RP-A
020600                                    (X-MO14-OPT-RPT)
020700                                    MO14-FIRST-COPY-LP-A
020800                                    (X-MO14-OPT-RPT)
020900                                    MO14-FIRST-COPY-RP-A
021000                                    (X-MO14-OPT-RPT)
021100                                    MO14-SECOND-COPY-LP-A
021200                                    (X-MO14-OPT-RPT)
021300                                    MO14-SECOND-COPY-RP-A
021400                                    (X-MO14-OPT-RPT)
021500         END-PERFORM.
021600*
021700****************************************************************
021800*    SEND THE MAP                                              *
021900****************************************************************
022000*
022100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
022200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
022300                                 THRU MB60PD-SMWE-EXIT.
022400*
022500****************************************************************
022600*    RETURN TO CICS                                            *
022700****************************************************************
022800*
022900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
023000     PERFORM MB70PD-RETURN-TRANS-ID
023100                                 THRU MB70PD-RTI-EXIT.
023200/
023300 2000-RECEIVE-SCREEN SECTION.
023400*
023500****************************************************************
023600*    THIS SECTION RECEIVES THE 14,15,16,17,18,19,20 AND 21     *
023700****************************************************************
023800*
023900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
024000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
024100*
024200****************************************************************
024300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
024400****************************************************************
024500*
024600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
024700     PERFORM MB60PD-NEW-TRANS-ROUTINE
024800                                 THRU MB60PD-NTR-EXIT.
024900*
025000****************************************************************
025100*    BYPASS EDITS ON INQUIRY                                   *
025200****************************************************************
025300*
025400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
025500         GO TO 2600-SETUP-COMMAREA.
025600*
025700****************************************************************
025800*    READ THE ORGANIZATION FILE RECORD                         *
025900****************************************************************
026000*
026100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
026200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
026500*
026600     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
026700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
026800     SET MBIORO-READ-RANDOM      TO TRUE.
026900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
027000     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
027100     PERFORM 9400-EDIT-FIELDS    THRU 9499-EF-EXIT
027200         VARYING X-MO14-OPT-RPT FROM +1 BY +1
027300         UNTIL   X-MO14-OPT-RPT IS GREATER THAN +12.
027400*
027500     IF  SS08WS-ERROR-SW-NO
027600         GO TO 2400-UPDATE-FILE.
027700*
027800****************************************************************
027900*    SEND THE MAP                                              *
028000****************************************************************
028100*
028200     PERFORM MB60PD-INIT-STD-MAP-LINES
028300                                 THRU MB60PD-ISML-EXIT.
028400*
028500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
028600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
028700                                 THRU MB60PD-SMDO-EXIT.
028800*
028900****************************************************************
029000*    RETURN TO CICS                                            *
029100****************************************************************
029200*
029300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
029400     PERFORM MB70PD-RETURN-TRANS-ID
029500                                 THRU MB70PD-RTI-EXIT.
029600/
029700 2400-UPDATE-FILE.
029800*
029900     IF  WS-UPDATE-SW-NO
030000         IF  MBCA-PTI-FUNCTION-IS-ADD
030100             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
030200             MOVE MBCA-MERCHANT-ORG
030300                                 TO MBIOWS-MMOC-ORG
030400             SET MBIORO-READ-RANDOM-UPDATE
030500                                 TO TRUE
030600             PERFORM MMOCAO-ACCESS
030700                                 THRU MMOCAO-ACCESS-EXIT
030800             MOVE MBCA-SCREEN-NBR
030900                                 TO MMOC-ONLINE-STATUS
031000             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
031100             SET MBIORO-REWRITE  TO TRUE
031200             PERFORM MMOCAO-ACCESS
031300                                 THRU MMOCAO-ACCESS-EXIT
031400             GO TO 2600-SETUP-COMMAREA
031500         ELSE
031600             GO TO 2600-SETUP-COMMAREA.
031700*
031800****************************************************************
031900*    GETMAIN FOR LOG/JOURNAL RECORD                            *
032000****************************************************************
032100*
032200     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
032300     SET MBIORO-GETMAIN          TO TRUE.
032400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
032500*
032600****************************************************************
032700*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
032800****************************************************************
032900*
033000     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
033100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
033200     SET MBIORO-READ-RANDOM-UPDATE
033300                                 TO TRUE.
033400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
033500     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
033600     PERFORM 9600-BUILD-LOG-RECORDS
033700                                 THRU 9699-BLR-EXIT
033800         VARYING X-MO14-OPT-RPT FROM +1 BY +1
033900         UNTIL   X-MO14-OPT-RPT IS GREATER THAN +12.
034000*
034100     IF  MBCA-PTI-FUNCTION-IS-ADD
034200         MOVE MBCA-SCREEN-NBR    TO MMOC-ONLINE-STATUS.
034300*
034400*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
034500*
034600     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
034700     MOVE 0199                   TO MML1-FIELD-CODE.
034800     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
034900     MOVE MMOC-LAST-MAINT-DATE
035000                                 TO MML1-VL07-B-DATA-9.
035100     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
035200     MOVE MMOC-LAST-MAINT-DATE
035300                                 TO MML1-VL07-A-DATA-9.
035400     PERFORM 9050-CREATE-MAINT-RECORD
035500                                 THRU 9099-CMR-EXIT.
035600     MOVE 0198                   TO MML1-FIELD-CODE.
035700     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
035800     MOVE MMOC-LAST-MAINT-OPER
035900                                 TO MML1-VL03-B-DATA-X.
036000     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
036100     MOVE MMOC-LAST-MAINT-OPER
036200                                 TO MML1-VL03-A-DATA-X.
036300     PERFORM 9050-CREATE-MAINT-RECORD
036400                                 THRU 9099-CMR-EXIT.
036500*
036600****************************************************************
036700*    UPDATE THE ORGANIZATION FILE RECORD                       *
036800****************************************************************
036900*
037000     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
037100     SET MBIORO-REWRITE          TO TRUE.
037200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
037300*
037400 2600-SETUP-COMMAREA.
037500*
037600****************************************************************
037700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
037800****************************************************************
037900*
038000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
038100*
038200     PERFORM MB60PD-EDIT-PAGE-NBR
038300                                 THRU MB60PD-EPN-EXIT.
038400*
038500     IF  SS08WS-VALID-PF-KEY
038600     OR  SS08WS-EIBAID-VALID-PF-KEY
038700         SET MBCA-INITIAL-SCREEN-NBR
038800                                 TO TRUE.
038900*
039000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039100     PERFORM MB70PD-XCTL-TO-MBOXCTL
039200                                 THRU MB70PD-XTM-EXIT.
039300/
039400 9000-PERFORMED-ROUTINES-SECT SECTION.
039500*
039600 9050-CREATE-MAINT-RECORD.
039700*
039800*****************************************************************
039900*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
040000*    LOG/JOURNAL TRANSACTIONS                                   *
040100*****************************************************************
040200*
040300     IF  MBCA-PTI-FUNCTION-IS-ADD
040400         GO TO 9099-CMR-EXIT.
040500*
040600     MOVE 'OC'                   TO MML1-FILE-CODE.
040700     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
040800     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
040900     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
041000     MOVE ZEROES                 TO MML1-SOURCE-CODE
041100                                    MML1-FIELD-OCCURRENCE-2.
041200*
041300*****************************************************************
041400*    WRITE THE LOG/JOURNAL FILE RECORD                          *
041500*****************************************************************
041600*
041700     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
041800     SET MBIORO-WRITE            TO TRUE.
041900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
042000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
042100*
042200 9099-CMR-EXIT.
042300     EXIT.
042400*
042500 9100-BUILD-SCREEN.
042600*
042700     SET WS-NBR-INDEX            TO X-MMOC-OR.
042800     MOVE WS-NBR-INDEX           TO MO14-REPORT-NUMBER
042900                                    (X-MO14-OPT-RPT).
043000     MOVE '.'                    TO MO14-REPORT-PERIOD
043100                                    (X-MO14-OPT-RPT).
043200*
043300     MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
043400                                 TO MO14-DESTINATION-ID
043500                                    (X-MO14-OPT-RPT).
043600     MOVE MMOC-OR-ACTIVITY-FLAG    (X-MMOC-OR)
043700                                 TO MO14-ACTIVITY-FLAG
043800                                    (X-MO14-OPT-RPT).
043900     MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
044000                                 TO MO14-PRINT-FILE
044100                                    (X-MO14-OPT-RPT).
044200     MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
044300                                 TO MO14-FICHE-FLAG
044400                                    (X-MO14-OPT-RPT).
044500     MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
044600                                 TO MO14-FREQ-ONE
044700                                    (X-MO14-OPT-RPT).
044800     MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
044900                                 TO MO14-FORM-ONE
045000                                    (X-MO14-OPT-RPT).
045100     MOVE MMOC-OR-GROUP-1    (X-MMOC-OR)
045200                                 TO MO14-GROUP-ONE
045300                                    (X-MO14-OPT-RPT).
045400     MOVE MMOC-OR-SUMMARY-DETAIL-1    (X-MMOC-OR)
045500                                 TO MO14-SUMMARY-DETAIL-ONE
045600                                    (X-MO14-OPT-RPT).
045700     MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
045800                                 TO MO14-FREQ-TWO
045900                                    (X-MO14-OPT-RPT).
046000     MOVE MMOC-OR-FORM-2    (X-MMOC-OR)
046100                                 TO MO14-FORM-TWO
046200                                    (X-MO14-OPT-RPT).
046300     MOVE MMOC-OR-GROUP-2    (X-MMOC-OR)
046400                                 TO MO14-GROUP-TWO
046500                                    (X-MO14-OPT-RPT).
046600     MOVE MMOC-OR-SUMMARY-DETAIL-2    (X-MMOC-OR)
046700                                 TO MO14-SUMMARY-DETAIL-TWO
046800                                    (X-MO14-OPT-RPT).
046900*
047000     IF  MBCA-SCREEN-NBR IS EQUAL TO 19
047100     OR  MBCA-SCREEN-NBR IS EQUAL TO 20
047200         MOVE DFHBMASK           TO MO14-ACTIVITY-FLAG-A
047300                                    (X-MO14-OPT-RPT)
047400         MOVE DFHBMDAS           TO MO14-ACTIVITY-FLAG-LP-A
047500                                    (X-MO14-OPT-RPT)
047600                                    MO14-ACTIVITY-FLAG-RP-A
047700                                    (X-MO14-OPT-RPT)
047800         MOVE DFHBMASK           TO MO14-FREQ-ONE-A
047900                                    (X-MO14-OPT-RPT)
048000                                    MO14-SUMMARY-DETAIL-ONE-A
048100                                    (X-MO14-OPT-RPT)
048200                                    MO14-FREQ-TWO-A
048300                                    (X-MO14-OPT-RPT)
048400                                    MO14-FORM-TWO-A
048500                                    (X-MO14-OPT-RPT)
048600                                    MO14-GROUP-TWO-A
048700                                    (X-MO14-OPT-RPT)
048800                                    MO14-SUMMARY-DETAIL-TWO-A
048900                                    (X-MO14-OPT-RPT)
049000         MOVE DFHBMDAS           TO MO14-SECOND-COPY-LP-A
049100                                    (X-MO14-OPT-RPT)
049200                                    MO14-SECOND-COPY-RP-A
049300                                    (X-MO14-OPT-RPT).
049400*
049500     IF  MBCA-SCREEN-NBR IS EQUAL TO 21
049600     AND (X-MO14-OPT-RPT IS EQUAL TO 1
049700      OR X-MO14-OPT-RPT IS EQUAL TO 2
049800      OR X-MO14-OPT-RPT IS EQUAL TO 4)
049900         MOVE DFHBMASK           TO MO14-SUMMARY-DETAIL-ONE-A
050000                                    (X-MO14-OPT-RPT)
050100                                    MO14-SUMMARY-DETAIL-TWO-A
050200                                    (X-MO14-OPT-RPT)
050300         IF  MO14-FREQ-ONE(X-MO14-OPT-RPT) IS EQUAL TO 99
050400             MOVE DFHBMASK       TO MO14-FREQ-ONE-A
050500                                    (X-MO14-OPT-RPT)
050600                                    MO14-FREQ-TWO-A
050700                                    (X-MO14-OPT-RPT)
050800         END-IF
050900     END-IF.
051000*
051100     IF  MBCA-SCREEN-NBR IS EQUAL TO 21
051200     AND MO14-FREQ-ONE(X-MO14-OPT-RPT) IS EQUAL TO 99
051300     AND (X-MO14-OPT-RPT IS EQUAL TO 3
051400      OR X-MO14-OPT-RPT IS EQUAL TO 5)
051500         MOVE DFHBMASK           TO MO14-FREQ-ONE-A
051600                                    (X-MO14-OPT-RPT)
051700                                    MO14-FREQ-TWO-A
051800                                    (X-MO14-OPT-RPT).
051900*
052000     IF  MMOC-OR-RPT-TITLE    (X-MMOC-OR)
052100                                 IS EQUAL TO SPACES
052200         MOVE DFHBMASK           TO MO14-DESTINATION-ID-A
052300                                    (X-MO14-OPT-RPT)
052400                                    MO14-ACTIVITY-FLAG-A
052500                                    (X-MO14-OPT-RPT)
052600                                    MO14-PRINT-FILE-A
052700                                    (X-MO14-OPT-RPT)
052800                                    MO14-FICHE-FLAG-A
052900                                    (X-MO14-OPT-RPT)
053000                                    MO14-FREQ-ONE-A
053100                                    (X-MO14-OPT-RPT)
053200                                    MO14-FORM-ONE-A
053300                                    (X-MO14-OPT-RPT)
053400                                    MO14-GROUP-ONE-A
053500                                    (X-MO14-OPT-RPT)
053600                                    MO14-SUMMARY-DETAIL-ONE-A
053700                                    (X-MO14-OPT-RPT)
053800                                    MO14-FREQ-TWO-A
053900                                    (X-MO14-OPT-RPT)
054000                                    MO14-FORM-TWO-A
054100                                    (X-MO14-OPT-RPT)
054200                                    MO14-GROUP-TWO-A
054300                                    (X-MO14-OPT-RPT)
054400                                    MO14-SUMMARY-DETAIL-TWO-A
054500                                    (X-MO14-OPT-RPT)
054600         MOVE DFHBMDAS           TO MO14-DESTINATION-ID-LP-A
054700                                    (X-MO14-OPT-RPT)
054800                                    MO14-DESTINATION-ID-RP-A
054900                                    (X-MO14-OPT-RPT)
055000                                    MO14-ACTIVITY-FLAG-LP-A
055100                                    (X-MO14-OPT-RPT)
055200                                    MO14-ACTIVITY-FLAG-RP-A
055300                                    (X-MO14-OPT-RPT)
055400                                    MO14-PRINT-FILE-LP-A
055500                                    (X-MO14-OPT-RPT)
055600                                    MO14-PRINT-FILE-RP-A
055700                                    (X-MO14-OPT-RPT)
055800                                    MO14-FICHE-FLAG-LP-A
055900                                    (X-MO14-OPT-RPT)
056000                                    MO14-FICHE-FLAG-RP-A
056100                                    (X-MO14-OPT-RPT)
056200                                    MO14-FIRST-COPY-LP-A
056300                                    (X-MO14-OPT-RPT)
056400                                    MO14-FIRST-COPY-RP-A
056500                                    (X-MO14-OPT-RPT)
056600                                    MO14-SECOND-COPY-LP-A
056700                                    (X-MO14-OPT-RPT)
056800                                    MO14-SECOND-COPY-RP-A
056900                                    (X-MO14-OPT-RPT).
057000*
057100     SET X-MMOC-OR               UP BY +1.
057200*
057300 9199-BS-EXIT.
057400     EXIT.
057500*
057600 9400-EDIT-FIELDS.
057700*
057800*            ***** DESTINATION ID *****                        *
057900*
058000     IF  MO14-DESTINATION-ID-L (X-MO14-OPT-RPT) IS LESS THAN 1
058100         MOVE DFHBMASK           TO MO14-DESTINATION-ID-A
058200                                    (X-MO14-OPT-RPT)
058300         MOVE DFHBMDAS           TO MO14-DESTINATION-ID-LP-A
058400                                    (X-MO14-OPT-RPT)
058500                                    MO14-DESTINATION-ID-RP-A
058600                                    (X-MO14-OPT-RPT)
058700         MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
058800                                 TO MO14-DESTINATION-ID
058900                                    (X-MO14-OPT-RPT)
059000     ELSE
059100         MOVE DFHBMASF           TO MO14-DESTINATION-ID-A
059200                                    (X-MO14-OPT-RPT)
059300         MOVE DFHBMDAS           TO MO14-DESTINATION-ID-LP-A
059400                                    (X-MO14-OPT-RPT)
059500                                    MO14-DESTINATION-ID-RP-A
059600                                    (X-MO14-OPT-RPT)
059700         SET WS-UPDATE-SW-YES   TO TRUE
059800         IF  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
059900                                 MMOC-REPORT-DEST-ID    (1)
060000         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
060100                                 MMOC-REPORT-DEST-ID    (2)
060200         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
060300                                 MMOC-REPORT-DEST-ID    (3)
060400         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
060500                                 MMOC-REPORT-DEST-ID    (4)
060600         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
060700                                 MMOC-REPORT-DEST-ID    (5)
060800         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
060900                                 MMOC-REPORT-DEST-ID    (6)
061000         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
061100                                 MMOC-REPORT-DEST-ID    (7)
061200         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
061300                                 MMOC-REPORT-DEST-ID    (8)
061400         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
061500                                 MMOC-REPORT-DEST-ID    (9)
061600         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
061700                                 MMOC-REPORT-DEST-ID    (10)
061800         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
061900                                 MMOC-REPORT-DEST-ID    (11)
062000         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
062100                                 MMOC-REPORT-DEST-ID    (12)
062200         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
062300                                 MMOC-REPORT-DEST-ID    (13)
062400         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
062500                                 MMOC-REPORT-DEST-ID    (14)
062600         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
062700                                 MMOC-REPORT-DEST-ID    (15)
062800         OR  MO14-DESTINATION-ID (X-MO14-OPT-RPT) IS EQUAL TO
062900                                 MMOC-REPORT-DEST-ID    (16)
063000             NEXT SENTENCE
063100         ELSE
063200             MOVE DFHBMUBF       TO MO14-DESTINATION-ID-A
063300                                    (X-MO14-OPT-RPT)
063400             MOVE DFHBMASB       TO MO14-DESTINATION-ID-LP-A
063500                                    (X-MO14-OPT-RPT)
063600                                    MO14-DESTINATION-ID-RP-A
063700                                    (X-MO14-OPT-RPT)
063800             MOVE SS08WS-CURSOR  TO MO14-DESTINATION-ID-L
063900                                    (X-MO14-OPT-RPT)
064000             SET SS08WS-ERROR-SW-YES TO TRUE.
064100*
064200*            ***** ACTIVITY FLAG *****                         *
064300*
064400     IF  MO14-ACTIVITY-FLAG-L (X-MO14-OPT-RPT) IS LESS THAN 1
064500         MOVE DFHBMASK           TO MO14-ACTIVITY-FLAG-A
064600                                    (X-MO14-OPT-RPT)
064700         MOVE DFHBMDAS           TO MO14-ACTIVITY-FLAG-LP-A
064800                                    (X-MO14-OPT-RPT)
064900                                    MO14-ACTIVITY-FLAG-RP-A
065000                                    (X-MO14-OPT-RPT)
065100         MOVE MMOC-OR-ACTIVITY-FLAG    (X-MMOC-OR)
065200                                 TO MO14-ACTIVITY-FLAG
065300                                    (X-MO14-OPT-RPT)
065400     ELSE
065500         IF  MO14-VALID-ACTIVITY-FLAG (X-MO14-OPT-RPT)
065600             MOVE DFHBMASF       TO MO14-ACTIVITY-FLAG-A
065700                                    (X-MO14-OPT-RPT)
065800             MOVE DFHBMDAS       TO MO14-ACTIVITY-FLAG-LP-A
065900                                    (X-MO14-OPT-RPT)
066000                                    MO14-ACTIVITY-FLAG-RP-A
066100                                    (X-MO14-OPT-RPT)
066200             SET WS-UPDATE-SW-YES
066300                                 TO TRUE
066400         ELSE
066500             MOVE DFHBMUBF       TO MO14-ACTIVITY-FLAG-A
066600                                    (X-MO14-OPT-RPT)
066700             MOVE DFHBMASB       TO MO14-ACTIVITY-FLAG-LP-A
066800                                    (X-MO14-OPT-RPT)
066900                                    MO14-ACTIVITY-FLAG-RP-A
067000                                    (X-MO14-OPT-RPT)
067100             MOVE SS08WS-CURSOR  TO MO14-ACTIVITY-FLAG-L
067200                                    (X-MO14-OPT-RPT)
067300             SET SS08WS-ERROR-SW-YES TO TRUE.
067400*
067500*            ***** PRINT FILE *****                            *
067600*
067700     IF  MO14-PRINT-FILE-L (X-MO14-OPT-RPT) IS LESS THAN 1
067800         MOVE DFHBMASK           TO MO14-PRINT-FILE-A
067900                                    (X-MO14-OPT-RPT)
068000         MOVE DFHBMDAS           TO MO14-PRINT-FILE-LP-A
068100                                    (X-MO14-OPT-RPT)
068200                                    MO14-PRINT-FILE-RP-A
068300                                    (X-MO14-OPT-RPT)
068400         MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
068500                                 TO MO14-PRINT-FILE
068600                                    (X-MO14-OPT-RPT)
068700     ELSE
068800         IF  MO14-PRINT-FILE (X-MO14-OPT-RPT) IS NUMERIC
068900             MOVE DFHBMASF       TO MO14-PRINT-FILE-A
069000                                    (X-MO14-OPT-RPT)
069100             MOVE DFHBMDAS       TO MO14-PRINT-FILE-LP-A
069200                                    (X-MO14-OPT-RPT)
069300                                    MO14-PRINT-FILE-RP-A
069400                                    (X-MO14-OPT-RPT)
069500             SET WS-UPDATE-SW-YES
069600                                 TO TRUE
069700         ELSE
069800             MOVE DFHBMNBF       TO MO14-PRINT-FILE-A
069900                                    (X-MO14-OPT-RPT)
070000             MOVE DFHBMASB       TO MO14-PRINT-FILE-LP-A
070100                                    (X-MO14-OPT-RPT)
070200                                    MO14-PRINT-FILE-RP-A
070300                                    (X-MO14-OPT-RPT)
070400             MOVE SS08WS-CURSOR  TO MO14-PRINT-FILE-L
070500                                    (X-MO14-OPT-RPT)
070600             SET SS08WS-ERROR-SW-YES TO TRUE.
070700*
070800*            ***** FICHE FLAG *****                            *
070900*
071000     IF  MO14-FICHE-FLAG-L (X-MO14-OPT-RPT) IS LESS THAN 1
071100         MOVE DFHBMASK           TO MO14-FICHE-FLAG-A
071200                                    (X-MO14-OPT-RPT)
071300         MOVE DFHBMDAS           TO MO14-FICHE-FLAG-LP-A
071400                                    (X-MO14-OPT-RPT)
071500                                    MO14-FICHE-FLAG-RP-A
071600                                    (X-MO14-OPT-RPT)
071700         MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
071800                                 TO MO14-FICHE-FLAG
071900                                    (X-MO14-OPT-RPT)
072000     ELSE
072100         IF  MO14-VALID-FICHE-FLAG (X-MO14-OPT-RPT)
072200             MOVE DFHBMASF       TO MO14-FICHE-FLAG-A
072300                                    (X-MO14-OPT-RPT)
072400             MOVE DFHBMDAS       TO MO14-FICHE-FLAG-LP-A
072500                                    (X-MO14-OPT-RPT)
072600                                    MO14-FICHE-FLAG-RP-A
072700                                    (X-MO14-OPT-RPT)
072800             SET WS-UPDATE-SW-YES
072900                                 TO TRUE
073000         ELSE
073100             MOVE DFHBMUBF       TO MO14-FICHE-FLAG-A
073200                                    (X-MO14-OPT-RPT)
073300             MOVE DFHBMASB       TO MO14-FICHE-FLAG-LP-A
073400                                    (X-MO14-OPT-RPT)
073500                                    MO14-FICHE-FLAG-RP-A
073600                                    (X-MO14-OPT-RPT)
073700             MOVE SS08WS-CURSOR  TO MO14-FICHE-FLAG-L
073800                                    (X-MO14-OPT-RPT)
073900             SET SS08WS-ERROR-SW-YES TO TRUE.
074000*
074100*            ***** FREQUENCY ONE *****                         *
074200*
074300     IF  MO14-FREQ-ONE-L (X-MO14-OPT-RPT) IS LESS THAN 1
074400         MOVE DFHBMASK           TO MO14-FREQ-ONE-A
074500                                    (X-MO14-OPT-RPT)
074600         MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
074700                                 TO MO14-FREQ-ONE
074800                                    (X-MO14-OPT-RPT)
074900     ELSE
075000         IF  MO14-FREQ-ONE (X-MO14-OPT-RPT) IS NUMERIC
075100         AND MO14-VALID-FREQ-ONE (X-MO14-OPT-RPT)
075200             MOVE DFHBMASF       TO MO14-FREQ-ONE-A
075300                                    (X-MO14-OPT-RPT)
075400             SET WS-UPDATE-SW-YES
075500                                 TO TRUE
075600         ELSE
075700             MOVE DFHBMNBF       TO MO14-FREQ-ONE-A
075800                                    (X-MO14-OPT-RPT)
075900             MOVE SS08WS-CURSOR  TO MO14-FREQ-ONE-L
076000                                    (X-MO14-OPT-RPT)
076100             SET SS08WS-ERROR-SW-YES TO TRUE.
076200*
076300*            ***** FORM CODE ONE *****                         *
076400*
076500     IF  MO14-FORM-ONE-L (X-MO14-OPT-RPT) IS LESS THAN 1
076600         MOVE DFHBMASK           TO MO14-FORM-ONE-A
076700                                    (X-MO14-OPT-RPT)
076800         MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
076900                                 TO MO14-FORM-ONE
077000                                    (X-MO14-OPT-RPT)
077100     ELSE
077200         IF  MO14-FORM-ONE (X-MO14-OPT-RPT) IS NUMERIC
077300             MOVE DFHBMASF       TO MO14-FORM-ONE-A
077400                                    (X-MO14-OPT-RPT)
077500             SET WS-UPDATE-SW-YES
077600                                 TO TRUE
077700         ELSE
077800             MOVE DFHBMNBF       TO MO14-FORM-ONE-A
077900                                    (X-MO14-OPT-RPT)
078000             MOVE SS08WS-CURSOR  TO MO14-FORM-ONE-L
078100                                    (X-MO14-OPT-RPT)
078200             SET SS08WS-ERROR-SW-YES TO TRUE.
078300*
078400*            ***** GROUP CODE ONE *****                        *
078500*
078600     IF  MO14-GROUP-ONE-L (X-MO14-OPT-RPT) IS LESS THAN 1
078700         MOVE DFHBMASK           TO MO14-GROUP-ONE-A
078800                                    (X-MO14-OPT-RPT)
078900         MOVE MMOC-OR-GROUP-1    (X-MMOC-OR)
079000                                 TO MO14-GROUP-ONE
079100                                    (X-MO14-OPT-RPT)
079200     ELSE
079300         IF  MO14-GROUP-ONE (X-MO14-OPT-RPT) IS NUMERIC
079400             MOVE DFHBMASF       TO MO14-GROUP-ONE-A
079500                                    (X-MO14-OPT-RPT)
079600             SET WS-UPDATE-SW-YES
079700                                 TO TRUE
079800         ELSE
079900             MOVE DFHBMNBF       TO MO14-GROUP-ONE-A
080000                                    (X-MO14-OPT-RPT)
080100             MOVE SS08WS-CURSOR  TO MO14-GROUP-ONE-L
080200                                    (X-MO14-OPT-RPT)
080300             SET SS08WS-ERROR-SW-YES TO TRUE.
080400*
080500*            ***** SUMMARY/DETAIL FLAG ONE *****               *
080600*
080700     IF  MO14-SUMMARY-DETAIL-ONE-L (X-MO14-OPT-RPT)
080800                                 IS LESS THAN 1
080900         MOVE DFHBMASK           TO MO14-SUMMARY-DETAIL-ONE-A
081000                                    (X-MO14-OPT-RPT)
081100         MOVE MMOC-OR-SUMMARY-DETAIL-1    (X-MMOC-OR)
081200                                 TO MO14-SUMMARY-DETAIL-ONE
081300                                    (X-MO14-OPT-RPT)
081400     ELSE
081500         IF  MO14-VALID-SUMMARY-DETAIL-ONE (X-MO14-OPT-RPT)
081600             MOVE DFHBMASF       TO MO14-SUMMARY-DETAIL-ONE-A
081700                                    (X-MO14-OPT-RPT)
081800             SET WS-UPDATE-SW-YES
081900                                 TO TRUE
082000         ELSE
082100             MOVE DFHBMUBF       TO MO14-SUMMARY-DETAIL-ONE-A
082200                                    (X-MO14-OPT-RPT)
082300             MOVE SS08WS-CURSOR  TO MO14-SUMMARY-DETAIL-ONE-L
082400                                    (X-MO14-OPT-RPT)
082500             SET SS08WS-ERROR-SW-YES TO TRUE.
082600*
082700     IF  MO14-FREQ-ONE-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
082800     OR  MO14-FORM-ONE-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
082900     OR  MO14-GROUP-ONE-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
083000     OR  MO14-SUMMARY-DETAIL-ONE-A (X-MO14-OPT-RPT)
083100                                 IS EQUAL TO DFHBMUBF
083200         MOVE DFHBMASB           TO MO14-FIRST-COPY-LP-A
083300                                    (X-MO14-OPT-RPT)
083400                                    MO14-FIRST-COPY-RP-A
083500                                    (X-MO14-OPT-RPT)
083600     ELSE
083700         MOVE DFHBMDAS           TO MO14-FIRST-COPY-LP-A
083800                                    (X-MO14-OPT-RPT)
083900                                    MO14-FIRST-COPY-RP-A
084000                                    (X-MO14-OPT-RPT).
084100*
084200*            ***** FREQUENCY TWO *****                         *
084300*
084400     IF  MO14-FREQ-TWO-L (X-MO14-OPT-RPT) IS LESS THAN 1
084500         MOVE DFHBMASK           TO MO14-FREQ-TWO-A
084600                                    (X-MO14-OPT-RPT)
084700         MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
084800                                 TO MO14-FREQ-TWO
084900                                    (X-MO14-OPT-RPT)
085000     ELSE
085100         IF  MO14-FREQ-TWO (X-MO14-OPT-RPT) IS NUMERIC
085200         AND MO14-VALID-FREQ-TWO (X-MO14-OPT-RPT)
085300             MOVE DFHBMASF       TO MO14-FREQ-TWO-A
085400                                    (X-MO14-OPT-RPT)
085500             SET WS-UPDATE-SW-YES
085600                                 TO TRUE
085700         ELSE
085800             MOVE DFHBMNBF       TO MO14-FREQ-TWO-A
085900                                    (X-MO14-OPT-RPT)
086000             MOVE SS08WS-CURSOR  TO MO14-FREQ-TWO-L
086100                                    (X-MO14-OPT-RPT)
086200             SET SS08WS-ERROR-SW-YES TO TRUE.
086300*
086400*            ***** FORM CODE TWO *****                         *
086500*
086600     IF  MO14-FORM-TWO-L (X-MO14-OPT-RPT) IS LESS THAN 1
086700         MOVE DFHBMASK           TO MO14-FORM-TWO-A
086800                                    (X-MO14-OPT-RPT)
086900         MOVE MMOC-OR-FORM-2    (X-MMOC-OR)
087000                                 TO MO14-FORM-TWO
087100                                    (X-MO14-OPT-RPT)
087200     ELSE
087300         IF  MO14-FORM-TWO (X-MO14-OPT-RPT) IS NUMERIC
087400             MOVE DFHBMASF       TO MO14-FORM-TWO-A
087500                                    (X-MO14-OPT-RPT)
087600             SET WS-UPDATE-SW-YES
087700                                 TO TRUE
087800         ELSE
087900             MOVE DFHBMNBF       TO MO14-FORM-TWO-A
088000                                    (X-MO14-OPT-RPT)
088100             MOVE SS08WS-CURSOR  TO MO14-FORM-TWO-L
088200                                    (X-MO14-OPT-RPT)
088300             SET SS08WS-ERROR-SW-YES TO TRUE.
088400*
088500*
088600*
088700     IF  MO14-FREQ-TWO-L (X-MO14-OPT-RPT)
088800                             IS EQUAL TO SS08WS-CURSOR
088900     OR  MO14-FORM-TWO-L (X-MO14-OPT-RPT)
089000                             IS EQUAL TO SS08WS-CURSOR
089100     OR  MO14-FORM-ONE-L (X-MO14-OPT-RPT)
089200                             IS EQUAL TO SS08WS-CURSOR
089300         NEXT SENTENCE
089400     ELSE
089500         IF  MO14-FORM-ONE (X-MO14-OPT-RPT)
089600                               IS EQUAL TO MO14-FORM-TWO
089700                                           (X-MO14-OPT-RPT)
089800         AND MO14-FREQ-TWO (X-MO14-OPT-RPT)
089900                               IS GREATER THAN ZERO
090000             MOVE DFHBMNBF       TO MO14-FORM-TWO-A
090100                                    (X-MO14-OPT-RPT)
090200             MOVE SS08WS-CURSOR  TO MO14-FORM-TWO-L
090300                                    (X-MO14-OPT-RPT)
090400             SET SS08WS-ERROR-SW-YES TO TRUE.
090500*
090600*            ***** GROUP CODE TWO *****                        *
090700*
090800     IF  MO14-GROUP-TWO-L (X-MO14-OPT-RPT) IS LESS THAN 1
090900         MOVE DFHBMASK           TO MO14-GROUP-TWO-A
091000                                    (X-MO14-OPT-RPT)
091100         MOVE MMOC-OR-GROUP-2    (X-MMOC-OR)
091200                                 TO MO14-GROUP-TWO
091300                                    (X-MO14-OPT-RPT)
091400     ELSE
091500         IF  MO14-GROUP-TWO (X-MO14-OPT-RPT) IS NUMERIC
091600             MOVE DFHBMASF       TO MO14-GROUP-TWO-A
091700                                    (X-MO14-OPT-RPT)
091800             SET WS-UPDATE-SW-YES
091900                                 TO TRUE
092000         ELSE
092100             MOVE DFHBMNBF       TO MO14-GROUP-TWO-A
092200                                    (X-MO14-OPT-RPT)
092300             MOVE SS08WS-CURSOR  TO MO14-GROUP-TWO-L
092400                                    (X-MO14-OPT-RPT)
092500             SET SS08WS-ERROR-SW-YES TO TRUE.
092600*
092700*            ***** SUMMARY/DETAIL FLAG TWO *****               *
092800*
092900     IF  MO14-SUMMARY-DETAIL-TWO-L (X-MO14-OPT-RPT)
093000                                 IS LESS THAN 1
093100         MOVE DFHBMASK           TO MO14-SUMMARY-DETAIL-TWO-A
093200                                    (X-MO14-OPT-RPT)
093300         MOVE MMOC-OR-SUMMARY-DETAIL-2    (X-MMOC-OR)
093400                                 TO MO14-SUMMARY-DETAIL-TWO
093500                                    (X-MO14-OPT-RPT)
093600     ELSE
093700         IF  MO14-VALID-SUMMARY-DETAIL-TWO (X-MO14-OPT-RPT)
093800             MOVE DFHBMASF       TO MO14-SUMMARY-DETAIL-TWO-A
093900                                    (X-MO14-OPT-RPT)
094000             SET WS-UPDATE-SW-YES
094100                                 TO TRUE
094200         ELSE
094300             MOVE DFHBMUBF       TO MO14-SUMMARY-DETAIL-TWO-A
094400                                    (X-MO14-OPT-RPT)
094500             MOVE SS08WS-CURSOR  TO MO14-SUMMARY-DETAIL-TWO-L
094600                                    (X-MO14-OPT-RPT)
094700             SET SS08WS-ERROR-SW-YES TO TRUE.
094800*
094900     IF  MO14-FREQ-TWO-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
095000     OR  MO14-FORM-TWO-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
095100     OR  MO14-GROUP-TWO-A (X-MO14-OPT-RPT) IS EQUAL TO DFHBMNBF
095200     OR  MO14-SUMMARY-DETAIL-TWO-A (X-MO14-OPT-RPT)
095300                                 IS EQUAL TO DFHBMUBF
095400         MOVE DFHBMASB           TO MO14-SECOND-COPY-LP-A
095500                                    (X-MO14-OPT-RPT)
095600                                    MO14-SECOND-COPY-RP-A
095700                                    (X-MO14-OPT-RPT)
095800     ELSE
095900         MOVE DFHBMDAS           TO MO14-SECOND-COPY-LP-A
096000                                    (X-MO14-OPT-RPT)
096100                                    MO14-SECOND-COPY-RP-A
096200                                    (X-MO14-OPT-RPT).
096300*
096400     SET X-MMOC-OR               UP BY +1.
096500*
096600 9499-EF-EXIT.
096700     EXIT.
096800*
096900 9600-BUILD-LOG-RECORDS.
097000*
097100     SET WS-INDEX                TO X-MMOC-OR.
097200*
097300*            ***** DESTINATION ID *****                        *
097400*
097500     IF  MO14-DESTINATION-ID-L (X-MO14-OPT-RPT)
097600                                 IS GREATER THAN ZERO
097700         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
097800         MOVE 1401               TO MML1-FIELD-CODE
097900         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
098000         MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
098100                                 TO MML1-VL05-B-DATA-X
098200         MOVE MO14-DESTINATION-ID (X-MO14-OPT-RPT)
098300                                 TO MMOC-OR-REPORT-DEST-ID
098400                                    (X-MMOC-OR)
098500         MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
098600                                 TO MML1-VL05-A-DATA-X
098700         PERFORM 9050-CREATE-MAINT-RECORD
098800                                 THRU 9099-CMR-EXIT.
098900*
099000*            ***** ACTIVITY FLAG *****                         *
099100*
099200     IF  MO14-ACTIVITY-FLAG-L (X-MO14-OPT-RPT)
099300                                 IS GREATER THAN ZERO
099400         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
099500         MOVE 1402               TO MML1-FIELD-CODE
099600         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
099700         MOVE MMOC-OR-ACTIVITY-FLAG    (X-MMOC-OR)
099800                                 TO MML1-VL01-B-DATA-X
099900         MOVE MO14-ACTIVITY-FLAG (X-MO14-OPT-RPT)
100000                                 TO MMOC-OR-ACTIVITY-FLAG
100100                                    (X-MMOC-OR)
100200         MOVE MMOC-OR-ACTIVITY-FLAG    (X-MMOC-OR)
100300                                 TO MML1-VL01-A-DATA-X
100400         PERFORM 9050-CREATE-MAINT-RECORD
100500                                 THRU 9099-CMR-EXIT.
100600*
100700*            ***** PRINT FILE *****                            *
100800*
100900     IF  MO14-PRINT-FILE-L (X-MO14-OPT-RPT)
101000                                 IS GREATER THAN ZERO
101100         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
101200         MOVE 1403               TO MML1-FIELD-CODE
101300         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
101400         MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
101500                                 TO MML1-VL01-B-DATA-9
101600         MOVE MO14-PRINT-FILE (X-MO14-OPT-RPT)
101700                                 TO MMOC-OR-PRINT-FILE
101800                                    (X-MMOC-OR)
101900         MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
102000                                 TO MML1-VL01-A-DATA-9
102100         PERFORM 9050-CREATE-MAINT-RECORD
102200                                 THRU 9099-CMR-EXIT.
102300*
102400*            ***** FICHE FLAG *****                            *
102500*
102600     IF  MO14-FICHE-FLAG-L (X-MO14-OPT-RPT)
102700                                 IS GREATER THAN ZERO
102800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
102900         MOVE 1404               TO MML1-FIELD-CODE
103000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
103100         MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
103200                                 TO MML1-VL01-B-DATA-X
103300         MOVE MO14-FICHE-FLAG (X-MO14-OPT-RPT)
103400                                 TO MMOC-OR-FICHE-FLAG
103500                                    (X-MMOC-OR)
103600         MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
103700                                 TO MML1-VL01-A-DATA-X
103800         PERFORM 9050-CREATE-MAINT-RECORD
103900                                 THRU 9099-CMR-EXIT.
104000*
104100*            ***** FREQUENCY ONE *****                         *
104200*
104300     IF  MO14-FREQ-ONE-L (X-MO14-OPT-RPT)
104400                                 IS GREATER THAN ZERO
104500         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
104600         MOVE 1405               TO MML1-FIELD-CODE
104700         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
104800         MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
104900                                 TO MML1-VL02-B-DATA-9
105000         MOVE MO14-FREQ-ONE (X-MO14-OPT-RPT)
105100                                 TO MMOC-OR-FREQ-1
105200                                    (X-MMOC-OR)
105300         MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
105400                                 TO MML1-VL02-A-DATA-9
105500         PERFORM 9050-CREATE-MAINT-RECORD
105600                                 THRU 9099-CMR-EXIT.
105700*
105800*            ***** FORM CODE ONE *****                         *
105900*
106000     IF  MO14-FORM-ONE-L (X-MO14-OPT-RPT)
106100                                 IS GREATER THAN ZERO
106200         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
106300         MOVE 1406               TO MML1-FIELD-CODE
106400         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
106500         MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
106600                                 TO MML1-VL02-B-DATA-9
106700         MOVE MO14-FORM-ONE (X-MO14-OPT-RPT)
106800                                 TO MMOC-OR-FORM-1
106900                                    (X-MMOC-OR)
107000         MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
107100                                 TO MML1-VL02-A-DATA-9
107200         PERFORM 9050-CREATE-MAINT-RECORD
107300                                 THRU 9099-CMR-EXIT.
107400*
107500*            ***** GROUP CODE ONE *****                        *
107600*
107700     IF  MO14-GROUP-ONE-L (X-MO14-OPT-RPT)
107800                                 IS GREATER THAN ZERO
107900         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
108000         MOVE 1407               TO MML1-FIELD-CODE
108100         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
108200         MOVE MMOC-OR-GROUP-1    (X-MMOC-OR)
108300                                 TO MML1-VL02-B-DATA-9
108400         MOVE MO14-GROUP-ONE (X-MO14-OPT-RPT)
108500                                 TO MMOC-OR-GROUP-1
108600                                    (X-MMOC-OR)
108700         MOVE MMOC-OR-GROUP-1    (X-MMOC-OR)
108800                                 TO MML1-VL02-A-DATA-9
108900         PERFORM 9050-CREATE-MAINT-RECORD
109000                                 THRU 9099-CMR-EXIT.
109100*
109200*            ***** SUMMARY/DETAIL FLAG ONE *****               *
109300*
109400     IF  MO14-SUMMARY-DETAIL-ONE-L (X-MO14-OPT-RPT)
109500                                 IS GREATER THAN ZERO
109600         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
109700         MOVE 1408               TO MML1-FIELD-CODE
109800         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
109900         MOVE MMOC-OR-SUMMARY-DETAIL-1    (X-MMOC-OR)
110000                                 TO MML1-VL01-B-DATA-X
110100         MOVE MO14-SUMMARY-DETAIL-ONE (X-MO14-OPT-RPT)
110200                                 TO MMOC-OR-SUMMARY-DETAIL-1
110300                                    (X-MMOC-OR)
110400         MOVE MMOC-OR-SUMMARY-DETAIL-1    (X-MMOC-OR)
110500                                 TO MML1-VL01-A-DATA-X
110600         PERFORM 9050-CREATE-MAINT-RECORD
110700                                 THRU 9099-CMR-EXIT.
110800*
110900*            ***** FREQUENCY TWO *****                         *
111000*
111100     IF  MO14-FREQ-TWO-L (X-MO14-OPT-RPT)
111200                                 IS GREATER THAN ZERO
111300         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
111400         MOVE 1409               TO MML1-FIELD-CODE
111500         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
111600         MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
111700                                 TO MML1-VL02-B-DATA-9
111800         MOVE MO14-FREQ-TWO (X-MO14-OPT-RPT)
111900                                 TO MMOC-OR-FREQ-2
112000                                    (X-MMOC-OR)
112100         MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
112200                                 TO MML1-VL02-A-DATA-9
112300         PERFORM 9050-CREATE-MAINT-RECORD
112400                                 THRU 9099-CMR-EXIT.
112500*
112600*            ***** FORM CODE TWO *****                         *
112700*
112800     IF  MO14-FORM-TWO-L (X-MO14-OPT-RPT)
112900                                 IS GREATER THAN ZERO
113000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
113100         MOVE 1410               TO MML1-FIELD-CODE
113200         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
113300         MOVE MMOC-OR-FORM-2    (X-MMOC-OR)
113400                                 TO MML1-VL02-B-DATA-9
113500         MOVE MO14-FORM-TWO (X-MO14-OPT-RPT)
113600                                 TO MMOC-OR-FORM-2
113700                                    (X-MMOC-OR)
113800         MOVE MMOC-OR-FORM-2    (X-MMOC-OR)
113900                                 TO MML1-VL02-A-DATA-9
114000         PERFORM 9050-CREATE-MAINT-RECORD
114100                                 THRU 9099-CMR-EXIT.
114200*
114300*            ***** GROUP CODE TWO *****                        *
114400*
114500     IF  MO14-GROUP-TWO-L (X-MO14-OPT-RPT)
114600                                 IS GREATER THAN ZERO
114700         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
114800         MOVE 1411               TO MML1-FIELD-CODE
114900         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
115000         MOVE MMOC-OR-GROUP-2    (X-MMOC-OR)
115100                                 TO MML1-VL02-B-DATA-9
115200         MOVE MO14-GROUP-TWO (X-MO14-OPT-RPT)
115300                                 TO MMOC-OR-GROUP-2
115400                                    (X-MMOC-OR)
115500         MOVE MMOC-OR-GROUP-2    (X-MMOC-OR)
115600                                 TO MML1-VL02-A-DATA-9
115700         PERFORM 9050-CREATE-MAINT-RECORD
115800                                 THRU 9099-CMR-EXIT.
115900*
116000*            ***** SUMMARY/DETAIL FLAG TWO *****               *
116100*
116200     IF  MO14-SUMMARY-DETAIL-TWO-L (X-MO14-OPT-RPT)
116300                                 IS GREATER THAN ZERO
116400         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
116500         MOVE 1412               TO MML1-FIELD-CODE
116600         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
116700         MOVE MMOC-OR-SUMMARY-DETAIL-2    (X-MMOC-OR)
116800                                 TO MML1-VL01-B-DATA-X
116900         MOVE MO14-SUMMARY-DETAIL-TWO (X-MO14-OPT-RPT)
117000                                 TO MMOC-OR-SUMMARY-DETAIL-2
117100                                    (X-MMOC-OR)
117200         MOVE MMOC-OR-SUMMARY-DETAIL-2    (X-MMOC-OR)
117300                                 TO MML1-VL01-A-DATA-X
117400         PERFORM 9050-CREATE-MAINT-RECORD
117500                                 THRU 9099-CMR-EXIT.
117600*
117700     SET X-MMOC-OR               UP BY +1.
117800*
117900 9699-BLR-EXIT.
118000     EXIT.
118100*
118200*
118300 9800-SET-INDEX.
118400*
118500     EVALUATE MBCA-SCREEN-NBR
118600         WHEN 14
118700             SET X-MMOC-OR       TO +1
118800         WHEN 15
118900             SET X-MMOC-OR       TO +13
119000         WHEN 16
119100             SET X-MMOC-OR       TO +25
119200         WHEN 17
119300             SET X-MMOC-OR       TO +37
119400         WHEN 18
119500             SET X-MMOC-OR       TO +49
119600         WHEN 19
119700             SET X-MMOC-OR       TO +61
119800         WHEN 20
119900             SET X-MMOC-OR       TO +73
120000         WHEN 21
120100             SET X-MMOC-OR       TO +85
120200         WHEN OTHER
120300             SET X-MMOC-OR       TO +1
120400     END-EVALUATE.
120500*
120600 9899-SI-EXIT.
120700     EXIT.
120800/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
120900     COPY SS26PD.
121000/    ROUTINE TO NUMERICALLY EDIT TIME
121100     COPY SS27PD.
121200/         JULIAN TO GREGORIAN DATE ROUTINE.
121300     COPY SS08PD.
121400/         LINE 24 PF KEYS ROUTINE
121500     COPY SS15PD.
121600/         ORGANIZATION RECORD ACCESS ROUTINES
121700     COPY MMOCAO.
121800/         LOG/JOURNAL ACCESS ROUTINES
121900     COPY MML1AO.
122000/         ON-LINE MAP ROUTINES
122100     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO14 '
122200                           MBMAPXXI BY MBMO14I
122300                           MBMAPXXO BY MBMO14O.
122400/         ON-LINE PROCEDURES
122500     COPY MB70PD.
122600/
122700     COPY SMFTPXO.
