000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO22.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO22 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 22,23,24,25,26,27,28 AND 29             *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO22 (ORGANIZATION MAP 22,23,24,25,26,   *
001600*                            27,28 AND 29)                      *
001700*              3. FILES USED -                                  *
001800*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001900*                 B. MML1   (LOG/JOURNAL FILE)                  *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*         I/O REQUEST BLOCK WORK AREAS
002800     COPY MBIOWS.
002900/         I/O REQUEST BLOCK
003000     COPY MBIORO.
003100/         LOG/JOURNAL WORK AREAS
003200     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003300/         DATE WORK AREAS
003400     COPY SS01WS.
003500/         ONLINE WORK AREAS
003600     COPY SS08WS.
003700/
003800     COPY SS00WS.
003900/
004000     COPY SMFTWS.
004100/
004200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004300/
004400     COPY MB61LK.
004500/
004600 01  WS-WORK-AREAS.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005000     03  WS-INDEX            PIC S9(04)      BINARY.
005100     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500 01  DFHCOMMAREA.
005600     COPY MB60WS.
005700/         ORG SCREEN 22 MAP DSECT
005800     COPY MBMO22.
005900/         ORG SCREEN 22 MAP REDEFINITION
006000     COPY MBMO22R.
006100/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
006200     COPY MMOCRL.
006300/         LOG/JOURNAL FILE RECORD LAYOUT
006400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 PROCEDURE DIVISION.
006700 0000-HOUSEKEEPING SECTION.
006800 0100-INIT.
006900*
007000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007200                                 THRU MB70PD-OLH-EXIT.
007300*
007400     IF  MBCA-RECEIVE-SCREEN
007500         GO TO 2000-RECEIVE-SCREEN.
007600/
007700 1000-SEND-SCREEN SECTION.
007800*
007900****************************************************************
008000*    THIS SECTION BUILDS AND SENDS THE 22,23,24,25,26,         *
008100*                                      27,28 AND 29 SCREENS    *
008200****************************************************************
008300*
008400****************************************************************
008500*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008600****************************************************************
008700*
008800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008900     PERFORM MB60PD-GETMAIN-FOR-MAP
009000                                 THRU MB60PD-GFM-EXIT.
009100*
009200     MOVE MBCA-MERCHANT-ORG      TO MO22-ORG.
009300     MOVE MBCA-MBMO-ORG-NAME     TO MO22-ORG-NAME.
009400*
009500     EVALUATE MBCA-SCREEN-NBR
009600         WHEN 72
009700             MOVE 22             TO MBCA-SCREEN-NBR
009800         WHEN 73
009900             MOVE 23             TO MBCA-SCREEN-NBR
010000         WHEN 74
010100             MOVE 24             TO MBCA-SCREEN-NBR
010200         WHEN 75
010300             MOVE 25             TO MBCA-SCREEN-NBR
010400         WHEN 76
010500             MOVE 26             TO MBCA-SCREEN-NBR
010600         WHEN 77
010700             MOVE 27             TO MBCA-SCREEN-NBR
010800         WHEN 78
010900             MOVE 28             TO MBCA-SCREEN-NBR
011000         WHEN 79
011100             MOVE 29             TO MBCA-SCREEN-NBR
011200         WHEN OTHER
011300             MOVE 22             TO MBCA-SCREEN-NBR
011400     END-EVALUATE.
011500*
011600****************************************************************
011700*    INITIALIZE THE STANDARD MAP LINES                         *
011800****************************************************************
011900*
012000     PERFORM MB60PD-INIT-STD-MAP-LINES
012100                                 THRU MB60PD-ISML-EXIT.
012200*
012300****************************************************************
012400*    READ THE ORGANIZATION FILE RECORD                         *
012500****************************************************************
012600*
012700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
012800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
012900     SET MBIORO-READ-RANDOM      TO TRUE.
013000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
013100     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
013200     PERFORM VARYING X-MO22-RPT FROM +1 BY +1
013300             UNTIL X-MO22-RPT IS GREATER THAN +12
013400         SET WS-NBR-INDEX        TO X-MMOC-OR
013500         MOVE WS-NBR-INDEX       TO MO22-REPORT-NUMBER
013600                                (X-MO22-RPT)
013700         MOVE '.'                TO MO22-REPORT-PERIOD
013800                                (X-MO22-RPT)
013900         MOVE MMOC-OR-REPORT-ID (X-MMOC-OR)
014000                                 TO MO22-REPORT-ID
014100                                (X-MO22-RPT)
014200         MOVE MMOC-OR-RPT-TITLE (X-MMOC-OR)
014300                                 TO MO22-DESCRIPTION
014400                                (X-MO22-RPT)
014500         SET X-MMOC-OR           UP BY +1
014600     END-PERFORM.
014700/
014800****************************************************************
014900*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
015000****************************************************************
015100*
015200     SET X-MO22-RPT              TO +1.
015300*
015400     MOVE SS08WS-CURSOR          TO MO22-REPORT-ID-L
015500                                    (X-MO22-RPT).
015600*
015700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
015800         MOVE SS08WS-CURSOR      TO MO22-ALT-TRANID-L
015900         PERFORM VARYING X-MO22-RPT FROM +1 BY +1
016000                 UNTIL   X-MO22-RPT IS GREATER THAN +12
016100             MOVE DFHBMASB       TO MO22-REPORT-ID-A
016200                                    (X-MO22-RPT)
016300                                    MO22-DESCRIPTION-A
016400                                    (X-MO22-RPT)
016500             MOVE DFHBMDAS       TO MO22-REPORT-ID-LP-A
016600                                    (X-MO22-RPT)
016700                                    MO22-REPORT-ID-RP-A
016800                                    (X-MO22-RPT)
016900                                    MO22-DESCRIPTION-LP-A
017000                                    (X-MO22-RPT)
017100                                    MO22-DESCRIPTION-RP-A
017200                                    (X-MO22-RPT)
017300         END-PERFORM.
017400*
017500****************************************************************
017600*    SEND THE MAP                                              *
017700****************************************************************
017800*
017900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018100                                 THRU MB60PD-SMWE-EXIT.
018200*
018300****************************************************************
018400*    RETURN TO CICS                                            *
018500****************************************************************
018600*
018700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB70PD-RETURN-TRANS-ID
018900                                 THRU MB70PD-RTI-EXIT.
019000/
019100 2000-RECEIVE-SCREEN SECTION.
019200*
019300****************************************************************
019400*    THIS SECTION RECEIVES THE 22,23,24,25,26,27,28 AND 29     *
019500****************************************************************
019600*
019700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
019800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
019900*
020000****************************************************************
020100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
020200****************************************************************
020300*
020400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
020500     PERFORM MB60PD-NEW-TRANS-ROUTINE
020600                                 THRU MB60PD-NTR-EXIT.
020700*
020800****************************************************************
020900*    BYPASS EDITS ON INQUIRY                                   *
021000****************************************************************
021100*
021200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
021300         GO TO 2600-SETUP-COMMAREA.
021400*
021500****************************************************************
021600*    READ THE ORGANIZATION FILE RECORD                         *
021700****************************************************************
021800*
021900     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
022000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
022100     SET MBIORO-READ-RANDOM      TO TRUE.
022200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
022300     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
022400     PERFORM 9400-EDIT-FIELDS    THRU 9499-EF-EXIT
022500         VARYING X-MO22-RPT FROM +1 BY +1
022600         UNTIL   X-MO22-RPT IS GREATER THAN +12.
022700*
022800     IF  SS08WS-ERROR-SW-NO
022900         GO TO 2400-UPDATE-FILE.
023000*
023100****************************************************************
023200*    SEND THE MAP                                              *
023300****************************************************************
023400*
023500     PERFORM MB60PD-INIT-STD-MAP-LINES
023600                                 THRU MB60PD-ISML-EXIT.
023700*
023800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
023900     PERFORM MB60PD-SEND-MAP-DATA-ONLY
024000                                 THRU MB60PD-SMDO-EXIT.
024100*
024200****************************************************************
024300*    RETURN TO CICS                                            *
024400****************************************************************
024500*
024600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
024700     PERFORM MB70PD-RETURN-TRANS-ID
024800                                 THRU MB70PD-RTI-EXIT.
024900/
025000 2400-UPDATE-FILE.
025100*
025200     IF  WS-UPDATE-SW-NO
025300         IF  MBCA-PTI-FUNCTION-IS-ADD
025400             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
025500             MOVE MBCA-MERCHANT-ORG
025600                                 TO MBIOWS-MMOC-ORG
025700             SET MBIORO-READ-RANDOM-UPDATE
025800                                 TO TRUE
025900             PERFORM MMOCAO-ACCESS
026000                                 THRU MMOCAO-ACCESS-EXIT
026100             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
026200             SET MBIORO-REWRITE  TO TRUE
026300             PERFORM MMOCAO-ACCESS
026400                                 THRU MMOCAO-ACCESS-EXIT
026500             GO TO 2600-SETUP-COMMAREA
026600         ELSE
026700             GO TO 2600-SETUP-COMMAREA.
026800*
026900****************************************************************
027000*    GETMAIN FOR LOG/JOURNAL RECORD                            *
027100****************************************************************
027200*
027300     MOVE 'SC03'                 TO MBCA-PROGRAM-LOCATION.
027400     SET MBIORO-GETMAIN          TO TRUE.
027500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
027600*
027700****************************************************************
027800*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
027900****************************************************************
028000*
028100     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
028200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
028300     SET MBIORO-READ-RANDOM-UPDATE
028400                                 TO TRUE.
028500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
028600     PERFORM 9800-SET-INDEX      THRU 9899-SI-EXIT.
028700     PERFORM 9600-BUILD-LOG-RECORDS
028800                             THRU 9699-BLR-EXIT
028900         VARYING X-MO22-RPT FROM +1 BY +1
029000         UNTIL   X-MO22-RPT IS GREATER THAN +12.
029100*
029200 2500-UPDATE-ORG-RECORD.
029300*
029400     IF  MBCA-PTI-FUNCTION-IS-ADD
029500         MOVE MBCA-SCREEN-NBR    TO MMOC-ONLINE-STATUS.
029600*
029700*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
029800*
029900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
030000     MOVE 0199                   TO MML1-FIELD-CODE.
030100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
030200     MOVE MMOC-LAST-MAINT-DATE
030300                                 TO MML1-VL07-B-DATA-9.
030400     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
030500     MOVE MMOC-LAST-MAINT-DATE
030600                                 TO MML1-VL07-A-DATA-9.
030700     PERFORM 9050-CREATE-MAINT-RECORD
030800                                 THRU 9099-CMR-EXIT.
030900     MOVE 0198                   TO MML1-FIELD-CODE.
031000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
031100     MOVE MMOC-LAST-MAINT-OPER
031200                                 TO MML1-VL03-B-DATA-X.
031300     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
031400     MOVE MMOC-LAST-MAINT-OPER
031500                                 TO MML1-VL03-A-DATA-X.
031600     PERFORM 9050-CREATE-MAINT-RECORD
031700                                 THRU 9099-CMR-EXIT.
031800*
031900****************************************************************
032000*    UPDATE THE ORGANIZATION FILE RECORD                       *
032100****************************************************************
032200*
032300     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
032400     SET MBIORO-REWRITE          TO TRUE.
032500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
032600*
032700*
032800 2600-SETUP-COMMAREA.
032900*
033000****************************************************************
033100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
033200****************************************************************
033300*
033400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
033500*
033600     PERFORM MB60PD-EDIT-PAGE-NBR
033700                                 THRU MB60PD-EPN-EXIT.
033800*
033900     IF  SS08WS-VALID-PF-KEY
034000     OR  SS08WS-EIBAID-VALID-PF-KEY
034100         SET MBCA-INITIAL-SCREEN-NBR
034200                                 TO TRUE.
034300*
034400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
034500     PERFORM MB70PD-XCTL-TO-MBOXCTL
034600                                 THRU MB70PD-XTM-EXIT.
034700/
034800 9000-PERFORMED-ROUTINES-SECT SECTION.
034900*
035000 9050-CREATE-MAINT-RECORD.
035100*
035200*****************************************************************
035300*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
035400*    LOG/JOURNAL TRANSACTIONS                                   *
035500*****************************************************************
035600*
035700     IF  MBCA-PTI-FUNCTION-IS-ADD
035800         GO TO 9099-CMR-EXIT.
035900*
036000     MOVE 'OC'                   TO MML1-FILE-CODE.
036100     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
036200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
036300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
036400     MOVE ZEROES                 TO MML1-SOURCE-CODE
036500                                    MML1-FIELD-OCCURRENCE-2.
036600*
036700*****************************************************************
036800*    WRITE THE LOG/JOURNAL FILE RECORD                          *
036900*****************************************************************
037000*
037100     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
037200     SET MBIORO-WRITE            TO TRUE.
037300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
037500*
037600 9099-CMR-EXIT.
037700     EXIT.
037800*
037900 9400-EDIT-FIELDS.
038000*
038100*            ***** REPORT ID *****                             *
038200*
038300     IF  MO22-REPORT-ID-L (X-MO22-RPT) IS LESS THAN 1
038400         MOVE DFHBMASK           TO MO22-REPORT-ID-A
038500                                    (X-MO22-RPT)
038600         MOVE DFHBMDAS           TO MO22-REPORT-ID-LP-A
038700                                    (X-MO22-RPT)
038800                                    MO22-REPORT-ID-RP-A
038900                                    (X-MO22-RPT)
039000         MOVE MMOC-OR-REPORT-ID    (X-MMOC-OR)
039100                                 TO MO22-REPORT-ID
039200                                    (X-MO22-RPT)
039300     ELSE
039400         MOVE DFHBMASF           TO MO22-REPORT-ID-A
039500                                    (X-MO22-RPT)
039600         MOVE DFHBMDAS           TO MO22-REPORT-ID-LP-A
039700                                    (X-MO22-RPT)
039800                                    MO22-REPORT-ID-RP-A
039900                                    (X-MO22-RPT)
040000         SET WS-UPDATE-SW-YES    TO TRUE.
040100*
040200*            ***** DESCRIPTION *****                           *
040300*
040400     IF  MO22-DESCRIPTION-L (X-MO22-RPT) IS LESS THAN 1
040500         MOVE DFHBMASK           TO MO22-DESCRIPTION-A
040600                                    (X-MO22-RPT)
040700         MOVE DFHBMDAS           TO MO22-DESCRIPTION-LP-A
040800                                    (X-MO22-RPT)
040900                                    MO22-DESCRIPTION-RP-A
041000                                    (X-MO22-RPT)
041100         MOVE MMOC-OR-RPT-TITLE    (X-MMOC-OR)
041200                                 TO MO22-DESCRIPTION
041300                                    (X-MO22-RPT)
041400     ELSE
041500         MOVE DFHBMASF           TO MO22-DESCRIPTION-A
041600                                    (X-MO22-RPT)
041700         MOVE DFHBMDAS           TO MO22-DESCRIPTION-LP-A
041800                                    (X-MO22-RPT)
041900                                    MO22-DESCRIPTION-RP-A
042000                                    (X-MO22-RPT)
042100         SET WS-UPDATE-SW-YES    TO TRUE.
042200*
042300     SET X-MMOC-OR               UP BY +1.
042400*
042500 9499-EF-EXIT.
042600     EXIT.
042700*
042800 9600-BUILD-LOG-RECORDS.
042900*
043000     SET WS-INDEX                TO X-MMOC-OR.
043100*
043200*            ***** REPORT ID *****                             *
043300*
043400     IF  MO22-REPORT-ID-L (X-MO22-RPT)
043500                                 IS GREATER THAN ZERO
043600         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
043700         MOVE 2201               TO MML1-FIELD-CODE
043800         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
043900         MOVE MMOC-OR-REPORT-ID    (X-MMOC-OR)
044000                                 TO MML1-VL10-B-DATA-X
044100         MOVE MO22-REPORT-ID (X-MO22-RPT)
044200                                 TO MMOC-OR-REPORT-ID
044300                                    (X-MMOC-OR)
044400         MOVE MMOC-OR-REPORT-ID    (X-MMOC-OR)
044500                                 TO MML1-VL10-A-DATA-X
044600         PERFORM 9050-CREATE-MAINT-RECORD
044700                                 THRU 9099-CMR-EXIT.
044800*
044900*            ***** DESCRIPTION *****                           *
045000*
045100     IF  MO22-DESCRIPTION-L (X-MO22-RPT)
045200                                 IS GREATER THAN ZERO
045300         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
045400         MOVE 2202               TO MML1-FIELD-CODE
045500         MOVE MML1WS-VL-30       TO MML1-VARIABLE-LENGTH
045600         MOVE MMOC-OR-RPT-TITLE    (X-MMOC-OR)
045700                                 TO MML1-VL30-B-DATA-X
045800         MOVE MO22-DESCRIPTION (X-MO22-RPT)
045900                                 TO MMOC-OR-RPT-TITLE
046000                                    (X-MMOC-OR)
046100         MOVE MMOC-OR-RPT-TITLE    (X-MMOC-OR)
046200                                 TO MML1-VL30-A-DATA-X
046300         PERFORM 9050-CREATE-MAINT-RECORD
046400                                 THRU 9099-CMR-EXIT.
046500*
046600     SET X-MMOC-OR               UP BY +1.
046700*
046800 9699-BLR-EXIT.
046900     EXIT.
047000*
047100 9800-SET-INDEX.
047200*
047300     EVALUATE MBCA-SCREEN-NBR
047400         WHEN 22
047500             SET X-MMOC-OR       TO +1
047600         WHEN 23
047700             SET X-MMOC-OR       TO +13
047800         WHEN 24
047900             SET X-MMOC-OR       TO +25
048000         WHEN 25
048100             SET X-MMOC-OR       TO +37
048200         WHEN 26
048300             SET X-MMOC-OR       TO +49
048400         WHEN 27
048500             SET X-MMOC-OR       TO +61
048600         WHEN 28
048700             SET X-MMOC-OR       TO +73
048800         WHEN 29
048900             SET X-MMOC-OR       TO +85
049000         WHEN OTHER
049100             SET X-MMOC-OR       TO +1
049200     END-EVALUATE.
049300*
049400 9899-SI-EXIT.
049500     EXIT.
049600/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
049700     COPY SS26PD.
049800/    ROUTINE TO NUMERICALLY EDIT TIME
049900     COPY SS27PD.
050000/         JULIAN TO GREGORIAN DATE ROUTINE.
050100     COPY SS08PD.
050200/         LINE 24 PF KEYS ROUTINE
050300     COPY SS15PD.
050400/         ORGANIZATION RECORD ACCESS ROUTINES
050500     COPY MMOCAO.
050600/         LOG/JOURNAL ACCESS ROUTINES
050700     COPY MML1AO.
050800/         ON-LINE MAP ROUTINES
050900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO22 '
051000                           MBMAPXXI BY MBMO22I
051100                           MBMAPXXO BY MBMO22O.
051200/         ON-LINE PROCEDURES
051300     COPY MB70PD.
051400/
051500     COPY SMFTPXO.
