000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMO30.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMO30 - ON-LINE ORG RECORD ADD/MAINTENANCE/INQUIRY     *
000800*                SCREEN 30 AND 31                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAO                                       *
001200*                 B. MBMO                                       *
001300*                 C. MBQO                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMO30 (ORGANIZATION MAP 30 AND 31)        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (SYSTEM/ORG CONTROL FILE)           *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/
004500 01  WS-WORK-AREAS.
004600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004800         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004900     03  WS-INDEX            PIC S9(04)      BINARY.
005000     03  WS-NBR-INDEX        PIC S9(04)      BINARY.
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400 01  DFHCOMMAREA.
005500     COPY MB60WS.
005600/         ORG SCREEN 30 MAP DSECT
005700     COPY MBMO30.
005800/         ORG SCREEN 30 MAP REDEFINITION
005900     COPY MBMO30R.
006000/         SYSTEM/ORG CONTROL FILE RECORD LAYOUT
006100     COPY MMOCRL.
006200/         LOG/JOURNAL FILE RECORD LAYOUT
006300     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006400/
006500 PROCEDURE DIVISION.
006600 0000-HOUSEKEEPING SECTION.
006700 0100-INIT.
006800*
006900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007100                                 THRU MB70PD-OLH-EXIT.
007200*
007300     IF  MBCA-RECEIVE-SCREEN
007400         GO TO 2000-RECEIVE-SCREEN.
007500/
007600 1000-SEND-SCREEN SECTION.
007700*
007800****************************************************************
007900*    THIS SECTION BUILDS AND SENDS THE 30 AND 31 SCREENS       *
008000****************************************************************
008100*
008200****************************************************************
008300*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008400****************************************************************
008500*
008600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008700     PERFORM MB60PD-GETMAIN-FOR-MAP
008800                                 THRU MB60PD-GFM-EXIT.
008900*
009000     MOVE MBCA-MERCHANT-ORG      TO MO30-ORG.
009100     MOVE MBCA-MBMO-ORG-NAME     TO MO30-ORG-NAME.
009200*
009300     IF  MBCA-SCREEN-NBR IS EQUAL TO 80
009400         MOVE 30                 TO MBCA-SCREEN-NBR
009500     ELSE
009600         MOVE 31                 TO MBCA-SCREEN-NBR.
009700*
009800****************************************************************
009900*    INITIALIZE THE STANDARD MAP LINES                         *
010000****************************************************************
010100*
010200     PERFORM MB60PD-INIT-STD-MAP-LINES
010300                                 THRU MB60PD-ISML-EXIT.
010400*
010500****************************************************************
010600*    READ THE ORGANIZATION FILE RECORD                         *
010700****************************************************************
010800*
010900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
011000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
011100     SET MBIORO-READ-RANDOM      TO TRUE.
011200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
011300/
011400 1100-BUILD-SCREEN.
011500*
011600****************************************************************
011700*    BUILD THE MAP FROM THE ORGANIZATION RECORD                *
011800****************************************************************
011900*
012000     SET X-MMOC-UR               TO +1.
012100*
012200     IF  MBCA-SCREEN-NBR IS EQUAL TO 31
012300         SET X-MMOC-UR           TO +13.
012400*
012500     PERFORM VARYING X-MO30-USER-RPT FROM +1 BY +1
012600             UNTIL   X-MO30-USER-RPT IS GREATER THAN +12
012700         SET WS-NBR-INDEX        TO X-MMOC-UR
012800         MOVE WS-NBR-INDEX       TO MO30-USER-REPORT-NUMBER
012900                                    (X-MO30-USER-RPT)
013000         MOVE '.'                TO MO30-USER-REPORT-PERIOD
013100                                    (X-MO30-USER-RPT)
013200         MOVE MMOC-UR-REPORT-DEST-ID    (X-MMOC-UR)
013300                                 TO MO30-DESTINATION-ID
013400                                    (X-MO30-USER-RPT)
013500         MOVE MMOC-UR-ACTIVITY-FLAG    (X-MMOC-UR)
013600                                 TO MO30-ACTIVITY-FLAG
013700                                    (X-MO30-USER-RPT)
013800         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
013900                                 TO MO30-PRINT-FILE
014000                                    (X-MO30-USER-RPT)
014100         MOVE MMOC-UR-FICHE-FLAG    (X-MMOC-UR)
014200                                 TO MO30-FICHE-FLAG
014300                                    (X-MO30-USER-RPT)
014400         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
014500                                 TO MO30-FREQ-ONE
014600                                    (X-MO30-USER-RPT)
014700         MOVE MMOC-UR-FORM-1    (X-MMOC-UR)
014800                                 TO MO30-FORM-ONE
014900                                    (X-MO30-USER-RPT)
015000         MOVE MMOC-UR-GROUP-1    (X-MMOC-UR)
015100                                 TO MO30-GROUP-ONE
015200                                    (X-MO30-USER-RPT)
015300         MOVE MMOC-UR-SUMMARY-DETAIL-1    (X-MMOC-UR)
015400                                 TO MO30-SUMMARY-DETAIL-ONE
015500                                    (X-MO30-USER-RPT)
015600         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
015700                                 TO MO30-FREQ-TWO
015800                                    (X-MO30-USER-RPT)
015900         MOVE MMOC-UR-FORM-2    (X-MMOC-UR)
016000                                 TO MO30-FORM-TWO
016100                                    (X-MO30-USER-RPT)
016200         MOVE MMOC-UR-GROUP-2    (X-MMOC-UR)
016300                                 TO MO30-GROUP-TWO
016400                                    (X-MO30-USER-RPT)
016500         MOVE MMOC-UR-SUMMARY-DETAIL-2    (X-MMOC-UR)
016600                                 TO MO30-SUMMARY-DETAIL-TWO
016700                                    (X-MO30-USER-RPT)
016800         SET X-MMOC-UR           UP BY 1
016900     END-PERFORM.
017000/
017100****************************************************************
017200*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
017300****************************************************************
017400*
017500     SET X-MO30-USER-RPT         TO +1.
017600*
017700     MOVE SS08WS-CURSOR          TO MO30-DESTINATION-ID-L
017800                                    (X-MO30-USER-RPT).
017900*
018000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
018100         MOVE SS08WS-CURSOR      TO MO30-ALT-TRANID-L
018200         PERFORM VARYING X-MO30-USER-RPT FROM +1 BY +1
018300                 UNTIL   X-MO30-USER-RPT IS GREATER THAN +12
018400             MOVE DFHBMASB       TO MO30-DESTINATION-ID-A
018500                                    (X-MO30-USER-RPT)
018600                                    MO30-ACTIVITY-FLAG-A
018700                                    (X-MO30-USER-RPT)
018800                                    MO30-PRINT-FILE-A
018900                                    (X-MO30-USER-RPT)
019000                                    MO30-FICHE-FLAG-A
019100                                    (X-MO30-USER-RPT)
019200                                    MO30-FREQ-ONE-A
019300                                    (X-MO30-USER-RPT)
019400                                    MO30-FORM-ONE-A
019500                                    (X-MO30-USER-RPT)
019600                                    MO30-GROUP-ONE-A
019700                                    (X-MO30-USER-RPT)
019800                                    MO30-SUMMARY-DETAIL-ONE-A
019900                                    (X-MO30-USER-RPT)
020000                                    MO30-FREQ-TWO-A
020100                                    (X-MO30-USER-RPT)
020200                                    MO30-FORM-TWO-A
020300                                    (X-MO30-USER-RPT)
020400                                    MO30-GROUP-TWO-A
020500                                    (X-MO30-USER-RPT)
020600                                    MO30-SUMMARY-DETAIL-TWO-A
020700                                    (X-MO30-USER-RPT)
020800             MOVE DFHBMDAS       TO MO30-DESTINATION-ID-LP-A
020900                                    (X-MO30-USER-RPT)
021000                                    MO30-DESTINATION-ID-RP-A
021100                                    (X-MO30-USER-RPT)
021200                                    MO30-ACTIVITY-FLAG-LP-A
021300                                    (X-MO30-USER-RPT)
021400                                    MO30-ACTIVITY-FLAG-RP-A
021500                                    (X-MO30-USER-RPT)
021600                                    MO30-PRINT-FILE-LP-A
021700                                    (X-MO30-USER-RPT)
021800                                    MO30-PRINT-FILE-RP-A
021900                                    (X-MO30-USER-RPT)
022000                                    MO30-FICHE-FLAG-LP-A
022100                                    (X-MO30-USER-RPT)
022200                                    MO30-FICHE-FLAG-RP-A
022300                                    (X-MO30-USER-RPT)
022400                                    MO30-FIRST-COPY-LP-A
022500                                    (X-MO30-USER-RPT)
022600                                    MO30-FIRST-COPY-RP-A
022700                                    (X-MO30-USER-RPT)
022800                                    MO30-SECOND-COPY-LP-A
022900                                    (X-MO30-USER-RPT)
023000                                    MO30-SECOND-COPY-RP-A
023100                                    (X-MO30-USER-RPT)
023200         END-PERFORM.
023300*
023400****************************************************************
023500*    SEND THE MAP                                              *
023600****************************************************************
023700*
023800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
023900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024000                                 THRU MB60PD-SMWE-EXIT.
024100*
024200****************************************************************
024300*    RETURN TO CICS                                            *
024400****************************************************************
024500*
024600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
024700     PERFORM MB70PD-RETURN-TRANS-ID
024800                                 THRU MB70PD-RTI-EXIT.
024900/
025000 2000-RECEIVE-SCREEN SECTION.
025100*
025200****************************************************************
025300*    THIS SECTION RECEIVES THE 30 AND 31 SCREENS               *
025400****************************************************************
025500*
025600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
025700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
025800*
025900****************************************************************
026000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
026100****************************************************************
026200*
026300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026400     PERFORM MB60PD-NEW-TRANS-ROUTINE
026500                                 THRU MB60PD-NTR-EXIT.
026600*
026700****************************************************************
026800*    BYPASS EDITS ON INQUIRY                                   *
026900****************************************************************
027000*
027100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
027200         GO TO 2600-SETUP-COMMAREA.
027300*
027400****************************************************************
027500*    READ THE ORGANIZATION FILE RECORD                         *
027600****************************************************************
027700*
027800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
028000     SET MBIORO-READ-RANDOM      TO TRUE.
028100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
028200*
028300     IF  MBCA-SCREEN-NBR IS EQUAL TO 30
028400         SET X-MMOC-UR           TO +1
028500     ELSE
028600         SET X-MMOC-UR           TO +13.
028700*
028800     PERFORM 9300-EDIT-FIELDS    THRU 9399-EF-EXIT
028900         VARYING X-MO30-USER-RPT FROM +1 BY +1
029000         UNTIL   X-MO30-USER-RPT IS GREATER THAN +12.
029100*
029200     IF  SS08WS-ERROR-SW-NO
029300         GO TO 2400-UPDATE-FILE.
029400*
029500****************************************************************
029600*    SEND THE MAP                                              *
029700****************************************************************
029800*
029900     PERFORM MB60PD-INIT-STD-MAP-LINES
030000                                 THRU MB60PD-ISML-EXIT.
030100*
030200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
030300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
030400                                 THRU MB60PD-SMDO-EXIT.
030500*
030600****************************************************************
030700*    RETURN TO CICS                                            *
030800****************************************************************
030900*
031000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
031100     PERFORM MB70PD-RETURN-TRANS-ID
031200                                 THRU MB70PD-RTI-EXIT.
031300/
031400 2400-UPDATE-FILE.
031500*
031600     IF  WS-UPDATE-SW-NO
031700         IF  MBCA-PTI-FUNCTION-IS-ADD
031800             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
031900             MOVE MBCA-MERCHANT-ORG
032000                                 TO MBIOWS-MMOC-ORG
032100             SET MBIORO-READ-RANDOM-UPDATE
032200                                 TO TRUE
032300             PERFORM MMOCAO-ACCESS
032400                                 THRU MMOCAO-ACCESS-EXIT
032500             MOVE MBCA-SCREEN-NBR
032600                                 TO MMOC-ONLINE-STATUS
032700             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
032800             SET MBIORO-REWRITE  TO TRUE
032900             PERFORM MMOCAO-ACCESS
033000                                 THRU MMOCAO-ACCESS-EXIT
033100             GO TO 2600-SETUP-COMMAREA
033200         ELSE
033300             GO TO 2600-SETUP-COMMAREA.
033400*
033500****************************************************************
033600*    GETMAIN FOR LOG/JOURNAL RECORD                            *
033700****************************************************************
033800*
033900     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
034000     SET MBIORO-GETMAIN          TO TRUE.
034100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
034200*
034300****************************************************************
034400*    READ THE ORGANIZATION FILE RECORD FOR UPDATE              *
034500****************************************************************
034600*
034700     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
034800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
034900     SET MBIORO-READ-RANDOM-UPDATE
035000                                 TO TRUE.
035100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
035200*
035300     IF  MBCA-SCREEN-NBR IS EQUAL TO 30
035400         SET X-MMOC-UR           TO +1
035500     ELSE
035600         SET X-MMOC-UR           TO +13.
035700*
035800     PERFORM 9400-BUILD-LOG-RECORDS
035900                                 THRU 9499-BLR-EXIT
036000         VARYING X-MO30-USER-RPT FROM +1 BY +1
036100         UNTIL   X-MO30-USER-RPT IS GREATER THAN +12.
036200*
036300****************************************************************
036400*    UPDATE THE ORGANIZATION FILE RECORD                       *
036500****************************************************************
036600*
036700     IF  MBCA-PTI-FUNCTION-IS-ADD
036800         MOVE 30                 TO MMOC-ONLINE-STATUS.
036900*
037000*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
037100*
037200     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
037300     MOVE 0199                   TO MML1-FIELD-CODE.
037400     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
037500     MOVE MMOC-LAST-MAINT-DATE
037600                                 TO MML1-VL07-B-DATA-9.
037700     MOVE MBCA-START-DATE        TO MMOC-LAST-MAINT-DATE.
037800     MOVE MMOC-LAST-MAINT-DATE
037900                                 TO MML1-VL07-A-DATA-9.
038000     PERFORM 9050-CREATE-MAINT-RECORD
038100                                 THRU 9099-CMR-EXIT.
038200     MOVE 0198                   TO MML1-FIELD-CODE.
038300     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
038400     MOVE MMOC-LAST-MAINT-OPER
038500                                 TO MML1-VL03-B-DATA-X.
038600     MOVE MBCA-OPERATOR-ID       TO MMOC-LAST-MAINT-OPER.
038700     MOVE MMOC-LAST-MAINT-OPER
038800                                 TO MML1-VL03-A-DATA-X.
038900     PERFORM 9050-CREATE-MAINT-RECORD
039000                                 THRU 9099-CMR-EXIT.
039100*
039200****************************************************************
039300*    UPDATE THE ORGANIZATION FILE RECORD                       *
039400****************************************************************
039500*
039600     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
039700     SET MBIORO-REWRITE          TO TRUE.
039800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
039900*
040000 2600-SETUP-COMMAREA.
040100*
040200****************************************************************
040300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
040400****************************************************************
040500*
040600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
040700*
040800     PERFORM MB60PD-EDIT-PAGE-NBR
040900                                 THRU MB60PD-EPN-EXIT.
041000*
041100     IF  SS08WS-VALID-PF-KEY
041200     OR  SS08WS-EIBAID-VALID-PF-KEY
041300         SET MBCA-INITIAL-SCREEN-NBR
041400                                 TO TRUE.
041500*
041600     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
041700     PERFORM MB70PD-XCTL-TO-MBOXCTL
041800                                 THRU MB70PD-XTM-EXIT.
041900/
042000 9000-PERFORMED-ROUTINES-SECT SECTION.
042100*
042200 9050-CREATE-MAINT-RECORD.
042300*
042400*****************************************************************
042500*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
042600*    LOG/JOURNAL TRANSACTIONS                                   *
042700*****************************************************************
042800*
042900     IF  MBCA-PTI-FUNCTION-IS-ADD
043000         GO TO 9099-CMR-EXIT.
043100*
043200     MOVE 'OC'                   TO MML1-FILE-CODE.
043300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMOC-ORG.
043400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
043500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
043600     MOVE ZEROES                 TO MML1-SOURCE-CODE
043700                                    MML1-FIELD-OCCURRENCE-2.
043800*
043900*****************************************************************
044000*    WRITE THE LOG/JOURNAL FILE RECORD                          *
044100*****************************************************************
044200*
044300     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
044400     SET MBIORO-WRITE            TO TRUE.
044500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
044600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
044700*
044800 9099-CMR-EXIT.
044900     EXIT.
045000*
045100 9300-EDIT-FIELDS.
045200*
045300*            ***** DESTINATION ID *****                        *
045400*
045500     IF  MO30-DESTINATION-ID-L (X-MO30-USER-RPT) IS LESS THAN 1
045600         MOVE DFHBMASK           TO MO30-DESTINATION-ID-A
045700                                    (X-MO30-USER-RPT)
045800         MOVE DFHBMDAS           TO MO30-DESTINATION-ID-LP-A
045900                                    (X-MO30-USER-RPT)
046000                                    MO30-DESTINATION-ID-RP-A
046100                                    (X-MO30-USER-RPT)
046200         MOVE MMOC-UR-REPORT-DEST-ID (X-MMOC-UR)
046300                                 TO MO30-DESTINATION-ID
046400                                    (X-MO30-USER-RPT)
046500     ELSE
046600         MOVE DFHBMASF           TO MO30-DESTINATION-ID-A
046700                                    (X-MO30-USER-RPT)
046800         MOVE DFHBMDAS           TO MO30-DESTINATION-ID-LP-A
046900                                    (X-MO30-USER-RPT)
047000                                    MO30-DESTINATION-ID-RP-A
047100                                    (X-MO30-USER-RPT)
047200         SET WS-UPDATE-SW-YES    TO TRUE
047300         IF  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
047400                                 MMOC-REPORT-DEST-ID    (1)
047500         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
047600                                 MMOC-REPORT-DEST-ID    (2)
047700         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
047800                                 MMOC-REPORT-DEST-ID    (3)
047900         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
048000                                 MMOC-REPORT-DEST-ID    (4)
048100         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
048200                                 MMOC-REPORT-DEST-ID    (5)
048300         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
048400                                 MMOC-REPORT-DEST-ID    (6)
048500         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
048600                                 MMOC-REPORT-DEST-ID    (7)
048700         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
048800                                 MMOC-REPORT-DEST-ID    (8)
048900         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
049000                                 MMOC-REPORT-DEST-ID    (9)
049100         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
049200                                 MMOC-REPORT-DEST-ID    (10)
049300         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
049400                                 MMOC-REPORT-DEST-ID    (11)
049500         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
049600                                 MMOC-REPORT-DEST-ID    (12)
049700         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
049800                                 MMOC-REPORT-DEST-ID    (13)
049900         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
050000                                 MMOC-REPORT-DEST-ID    (14)
050100         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
050200                                 MMOC-REPORT-DEST-ID    (15)
050300         OR  MO30-DESTINATION-ID (X-MO30-USER-RPT) IS EQUAL TO
050400                                 MMOC-REPORT-DEST-ID    (16)
050500             NEXT SENTENCE
050600         ELSE
050700             MOVE DFHBMUBF       TO MO30-DESTINATION-ID-A
050800                                    (X-MO30-USER-RPT)
050900             MOVE DFHBMASB       TO MO30-DESTINATION-ID-LP-A
051000                                    (X-MO30-USER-RPT)
051100                                    MO30-DESTINATION-ID-RP-A
051200                                    (X-MO30-USER-RPT)
051300             MOVE SS08WS-CURSOR  TO MO30-DESTINATION-ID-L
051400                                    (X-MO30-USER-RPT)
051500             SET SS08WS-ERROR-SW-YES TO TRUE.
051600*
051700*            ***** ACTIVITY FLAG *****                         *
051800*
051900     IF  MO30-ACTIVITY-FLAG-L (X-MO30-USER-RPT) IS LESS THAN 1
052000         MOVE DFHBMASK           TO MO30-ACTIVITY-FLAG-A
052100                                    (X-MO30-USER-RPT)
052200         MOVE DFHBMDAS           TO MO30-ACTIVITY-FLAG-LP-A
052300                                    (X-MO30-USER-RPT)
052400                                    MO30-ACTIVITY-FLAG-RP-A
052500                                    (X-MO30-USER-RPT)
052600         MOVE MMOC-UR-ACTIVITY-FLAG    (X-MMOC-UR)
052700                                 TO MO30-ACTIVITY-FLAG
052800                                    (X-MO30-USER-RPT)
052900     ELSE
053000         IF  MO30-VALID-ACTIVITY-FLAG (X-MO30-USER-RPT)
053100             MOVE DFHBMASF       TO MO30-ACTIVITY-FLAG-A
053200                                    (X-MO30-USER-RPT)
053300             MOVE DFHBMDAS       TO MO30-ACTIVITY-FLAG-LP-A
053400                                    (X-MO30-USER-RPT)
053500                                    MO30-ACTIVITY-FLAG-RP-A
053600                                    (X-MO30-USER-RPT)
053700             SET WS-UPDATE-SW-YES
053800                                 TO TRUE
053900         ELSE
054000             MOVE DFHBMUBF       TO MO30-ACTIVITY-FLAG-A
054100                                    (X-MO30-USER-RPT)
054200             MOVE DFHBMASB       TO MO30-ACTIVITY-FLAG-LP-A
054300                                    (X-MO30-USER-RPT)
054400                                    MO30-ACTIVITY-FLAG-RP-A
054500                                    (X-MO30-USER-RPT)
054600             MOVE SS08WS-CURSOR  TO MO30-ACTIVITY-FLAG-L
054700                                    (X-MO30-USER-RPT)
054800             SET SS08WS-ERROR-SW-YES TO TRUE.
054900*
055000*            ***** PRINT FILE *****                            *
055100*
055200     IF  MO30-PRINT-FILE-L (X-MO30-USER-RPT) IS LESS THAN 1
055300         MOVE DFHBMASK           TO MO30-PRINT-FILE-A
055400                                    (X-MO30-USER-RPT)
055500         MOVE DFHBMDAS           TO MO30-PRINT-FILE-LP-A
055600                                    (X-MO30-USER-RPT)
055700                                    MO30-PRINT-FILE-RP-A
055800                                    (X-MO30-USER-RPT)
055900         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
056000                                 TO MO30-PRINT-FILE
056100                                    (X-MO30-USER-RPT)
056200     ELSE
056300         IF  MO30-PRINT-FILE (X-MO30-USER-RPT) IS NUMERIC
056400             MOVE DFHBMASF       TO MO30-PRINT-FILE-A
056500                                    (X-MO30-USER-RPT)
056600             MOVE DFHBMDAS       TO MO30-PRINT-FILE-LP-A
056700                                    (X-MO30-USER-RPT)
056800                                    MO30-PRINT-FILE-RP-A
056900                                    (X-MO30-USER-RPT)
057000             SET WS-UPDATE-SW-YES
057100                                 TO TRUE
057200         ELSE
057300             MOVE DFHBMNBF       TO MO30-PRINT-FILE-A
057400                                    (X-MO30-USER-RPT)
057500             MOVE DFHBMASB       TO MO30-PRINT-FILE-LP-A
057600                                    (X-MO30-USER-RPT)
057700                                    MO30-PRINT-FILE-RP-A
057800                                    (X-MO30-USER-RPT)
057900             MOVE SS08WS-CURSOR  TO MO30-PRINT-FILE-L
058000                                    (X-MO30-USER-RPT)
058100             SET SS08WS-ERROR-SW-YES TO TRUE.
058200*
058300*            ***** FICHE FLAG *****                            *
058400*
058500     IF  MO30-FICHE-FLAG-L (X-MO30-USER-RPT) IS LESS THAN 1
058600         MOVE DFHBMASK           TO MO30-FICHE-FLAG-A
058700                                    (X-MO30-USER-RPT)
058800         MOVE DFHBMDAS           TO MO30-FICHE-FLAG-LP-A
058900                                    (X-MO30-USER-RPT)
059000                                    MO30-FICHE-FLAG-RP-A
059100                                    (X-MO30-USER-RPT)
059200         MOVE MMOC-UR-FICHE-FLAG    (X-MMOC-UR)
059300                                 TO MO30-FICHE-FLAG
059400                                    (X-MO30-USER-RPT)
059500     ELSE
059600         IF  MO30-VALID-FICHE-FLAG (X-MO30-USER-RPT)
059700             MOVE DFHBMASF       TO MO30-FICHE-FLAG-A
059800                                    (X-MO30-USER-RPT)
059900             MOVE DFHBMDAS       TO MO30-FICHE-FLAG-LP-A
060000                                    (X-MO30-USER-RPT)
060100                                    MO30-FICHE-FLAG-RP-A
060200                                    (X-MO30-USER-RPT)
060300             SET WS-UPDATE-SW-YES
060400                                 TO TRUE
060500         ELSE
060600             MOVE DFHBMUBF       TO MO30-FICHE-FLAG-A
060700                                    (X-MO30-USER-RPT)
060800             MOVE DFHBMASB       TO MO30-FICHE-FLAG-LP-A
060900                                    (X-MO30-USER-RPT)
061000                                    MO30-FICHE-FLAG-RP-A
061100                                    (X-MO30-USER-RPT)
061200             MOVE SS08WS-CURSOR  TO MO30-FICHE-FLAG-L
061300                                    (X-MO30-USER-RPT)
061400             SET SS08WS-ERROR-SW-YES TO TRUE.
061500*
061600*            ***** FREQUENCY ONE *****                         *
061700*
061800     IF  MO30-FREQ-ONE-L (X-MO30-USER-RPT) IS LESS THAN 1
061900         MOVE DFHBMASK           TO MO30-FREQ-ONE-A
062000                                    (X-MO30-USER-RPT)
062100         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
062200                                 TO MO30-FREQ-ONE
062300                                    (X-MO30-USER-RPT)
062400     ELSE
062500         IF  MO30-FREQ-ONE (X-MO30-USER-RPT) IS NUMERIC
062600         AND MO30-VALID-FREQ-ONE (X-MO30-USER-RPT)
062700             MOVE DFHBMASF       TO MO30-FREQ-ONE-A
062800                                    (X-MO30-USER-RPT)
062900             SET WS-UPDATE-SW-YES
063000                                 TO TRUE
063100         ELSE
063200             MOVE DFHBMNBF       TO MO30-FREQ-ONE-A
063300                                    (X-MO30-USER-RPT)
063400             MOVE SS08WS-CURSOR  TO MO30-FREQ-ONE-L
063500                                    (X-MO30-USER-RPT)
063600             SET SS08WS-ERROR-SW-YES TO TRUE.
063700*
063800*            ***** FORM CODE ONE *****                         *
063900*
064000     IF  MO30-FORM-ONE-L (X-MO30-USER-RPT) IS LESS THAN 1
064100         MOVE DFHBMASK           TO MO30-FORM-ONE-A
064200                                    (X-MO30-USER-RPT)
064300         MOVE MMOC-UR-FORM-1    (X-MMOC-UR)
064400                                 TO MO30-FORM-ONE
064500                                    (X-MO30-USER-RPT)
064600     ELSE
064700         IF  MO30-FORM-ONE (X-MO30-USER-RPT) IS NUMERIC
064800             MOVE DFHBMASF       TO MO30-FORM-ONE-A
064900                                    (X-MO30-USER-RPT)
065000             SET WS-UPDATE-SW-YES
065100                                 TO TRUE
065200         ELSE
065300             MOVE DFHBMNBF       TO MO30-FORM-ONE-A
065400                                    (X-MO30-USER-RPT)
065500             MOVE SS08WS-CURSOR  TO MO30-FORM-ONE-L
065600                                    (X-MO30-USER-RPT)
065700             SET SS08WS-ERROR-SW-YES TO TRUE.
065800*
065900*            ***** GROUP CODE ONE *****                        *
066000*
066100     IF  MO30-GROUP-ONE-L (X-MO30-USER-RPT) IS LESS THAN 1
066200         MOVE DFHBMASK           TO MO30-GROUP-ONE-A
066300                                    (X-MO30-USER-RPT)
066400         MOVE MMOC-UR-GROUP-1    (X-MMOC-UR)
066500                                 TO MO30-GROUP-ONE
066600                                    (X-MO30-USER-RPT)
066700     ELSE
066800         IF  MO30-GROUP-ONE (X-MO30-USER-RPT) IS NUMERIC
066900             MOVE DFHBMASF       TO MO30-GROUP-ONE-A
067000                                    (X-MO30-USER-RPT)
067100             SET WS-UPDATE-SW-YES
067200                                 TO TRUE
067300         ELSE
067400             MOVE DFHBMNBF       TO MO30-GROUP-ONE-A
067500                                    (X-MO30-USER-RPT)
067600             MOVE SS08WS-CURSOR  TO MO30-GROUP-ONE-L
067700                                    (X-MO30-USER-RPT)
067800             SET SS08WS-ERROR-SW-YES TO TRUE.
067900*
068000*            ***** SUMMARY/DETAIL FLAG ONE *****               *
068100*
068200     IF  MO30-SUMMARY-DETAIL-ONE-L (X-MO30-USER-RPT)
068300                                 IS LESS THAN 1
068400         MOVE DFHBMASK           TO MO30-SUMMARY-DETAIL-ONE-A
068500                                    (X-MO30-USER-RPT)
068600         MOVE MMOC-UR-SUMMARY-DETAIL-1    (X-MMOC-UR)
068700                                 TO MO30-SUMMARY-DETAIL-ONE
068800                                    (X-MO30-USER-RPT)
068900     ELSE
069000         IF  MO30-VALID-SUMMARY-DETAIL-ONE (X-MO30-USER-RPT)
069100             MOVE DFHBMASF       TO MO30-SUMMARY-DETAIL-ONE-A
069200                                    (X-MO30-USER-RPT)
069300             SET WS-UPDATE-SW-YES
069400                                 TO TRUE
069500         ELSE
069600             MOVE DFHBMUBF       TO MO30-SUMMARY-DETAIL-ONE-A
069700                                    (X-MO30-USER-RPT)
069800             MOVE SS08WS-CURSOR  TO MO30-SUMMARY-DETAIL-ONE-L
069900                                    (X-MO30-USER-RPT)
070000             SET SS08WS-ERROR-SW-YES TO TRUE.
070100*
070200     IF  MO30-FREQ-ONE-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
070300     OR  MO30-FORM-ONE-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
070400     OR  MO30-GROUP-ONE-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
070500     OR  MO30-SUMMARY-DETAIL-ONE-A (X-MO30-USER-RPT)
070600                                 IS EQUAL TO DFHBMUBF
070700         MOVE DFHBMASB           TO MO30-FIRST-COPY-LP-A
070800                                    (X-MO30-USER-RPT)
070900                                    MO30-FIRST-COPY-RP-A
071000                                    (X-MO30-USER-RPT)
071100     ELSE
071200         MOVE DFHBMDAS           TO MO30-FIRST-COPY-LP-A
071300                                    (X-MO30-USER-RPT)
071400                                    MO30-FIRST-COPY-RP-A
071500                                    (X-MO30-USER-RPT).
071600*
071700*            ***** FREQUENCY TWO *****                         *
071800*
071900     IF  MO30-FREQ-TWO-L (X-MO30-USER-RPT) IS LESS THAN 1
072000         MOVE DFHBMASK           TO MO30-FREQ-TWO-A
072100                                    (X-MO30-USER-RPT)
072200         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
072300                                 TO MO30-FREQ-TWO
072400                                    (X-MO30-USER-RPT)
072500     ELSE
072600         IF  MO30-FREQ-TWO (X-MO30-USER-RPT) IS NUMERIC
072700         AND MO30-VALID-FREQ-TWO (X-MO30-USER-RPT)
072800             MOVE DFHBMASF       TO MO30-FREQ-TWO-A
072900                                    (X-MO30-USER-RPT)
073000             SET WS-UPDATE-SW-YES
073100                                 TO TRUE
073200         ELSE
073300             MOVE DFHBMNBF       TO MO30-FREQ-TWO-A
073400                                    (X-MO30-USER-RPT)
073500             MOVE SS08WS-CURSOR  TO MO30-FREQ-TWO-L
073600                                    (X-MO30-USER-RPT)
073700             SET SS08WS-ERROR-SW-YES TO TRUE.
073800*
073900*            ***** FORM CODE TWO *****                         *
074000*
074100     IF  MO30-FORM-TWO-L (X-MO30-USER-RPT) IS LESS THAN 1
074200         MOVE DFHBMASK           TO MO30-FORM-TWO-A
074300                                    (X-MO30-USER-RPT)
074400         MOVE MMOC-UR-FORM-2    (X-MMOC-UR)
074500                                 TO MO30-FORM-TWO
074600                                    (X-MO30-USER-RPT)
074700     ELSE
074800         IF  MO30-FORM-TWO (X-MO30-USER-RPT) IS NUMERIC
074900             MOVE DFHBMASF       TO MO30-FORM-TWO-A
075000                                    (X-MO30-USER-RPT)
075100             SET WS-UPDATE-SW-YES
075200                                 TO TRUE
075300         ELSE
075400             MOVE DFHBMNBF       TO MO30-FORM-TWO-A
075500                                    (X-MO30-USER-RPT)
075600             MOVE SS08WS-CURSOR  TO MO30-FORM-TWO-L
075700                                    (X-MO30-USER-RPT)
075800             SET SS08WS-ERROR-SW-YES TO TRUE.
075900*
076000*
076100*
076200     IF  MO30-FREQ-TWO-L (X-MO30-USER-RPT)
076300                             IS EQUAL TO SS08WS-CURSOR
076400     OR  MO30-FORM-TWO-L (X-MO30-USER-RPT)
076500                             IS EQUAL TO SS08WS-CURSOR
076600     OR  MO30-FORM-ONE-L (X-MO30-USER-RPT)
076700                             IS EQUAL TO SS08WS-CURSOR
076800         NEXT SENTENCE
076900     ELSE
077000         IF  MO30-FORM-ONE (X-MO30-USER-RPT)
077100                               IS EQUAL TO MO30-FORM-TWO
077200                                           (X-MO30-USER-RPT)
077300         AND MO30-FREQ-TWO (X-MO30-USER-RPT)
077400                               IS GREATER THAN ZERO
077500             MOVE DFHBMNBF       TO MO30-FORM-TWO-A
077600                                    (X-MO30-USER-RPT)
077700             MOVE SS08WS-CURSOR  TO MO30-FORM-TWO-L
077800                                    (X-MO30-USER-RPT)
077900             SET SS08WS-ERROR-SW-YES TO TRUE.
078000*
078100*            ***** GROUP CODE TWO *****                        *
078200*
078300     IF  MO30-GROUP-TWO-L (X-MO30-USER-RPT) IS LESS THAN 1
078400         MOVE DFHBMASK           TO MO30-GROUP-TWO-A
078500                                    (X-MO30-USER-RPT)
078600         MOVE MMOC-UR-GROUP-2    (X-MMOC-UR)
078700                                 TO MO30-GROUP-TWO
078800                                    (X-MO30-USER-RPT)
078900     ELSE
079000         IF  MO30-GROUP-TWO (X-MO30-USER-RPT) IS NUMERIC
079100             MOVE DFHBMASF       TO MO30-GROUP-TWO-A
079200                                    (X-MO30-USER-RPT)
079300             SET WS-UPDATE-SW-YES
079400                                 TO TRUE
079500         ELSE
079600             MOVE DFHBMNBF       TO MO30-GROUP-TWO-A
079700                                    (X-MO30-USER-RPT)
079800             MOVE SS08WS-CURSOR  TO MO30-GROUP-TWO-L
079900                                    (X-MO30-USER-RPT)
080000             SET SS08WS-ERROR-SW-YES TO TRUE.
080100*
080200*            ***** SUMMARY/DETAIL FLAG TWO *****               *
080300*
080400     IF  MO30-SUMMARY-DETAIL-TWO-L (X-MO30-USER-RPT)
080500                                 IS LESS THAN 1
080600         MOVE DFHBMASK           TO MO30-SUMMARY-DETAIL-TWO-A
080700                                    (X-MO30-USER-RPT)
080800         MOVE MMOC-UR-SUMMARY-DETAIL-2    (X-MMOC-UR)
080900                                 TO MO30-SUMMARY-DETAIL-TWO
081000                                    (X-MO30-USER-RPT)
081100     ELSE
081200         IF  MO30-VALID-SUMMARY-DETAIL-TWO (X-MO30-USER-RPT)
081300             MOVE DFHBMASF       TO MO30-SUMMARY-DETAIL-TWO-A
081400                                    (X-MO30-USER-RPT)
081500             SET WS-UPDATE-SW-YES
081600                                 TO TRUE
081700         ELSE
081800             MOVE DFHBMUBF       TO MO30-SUMMARY-DETAIL-TWO-A
081900                                    (X-MO30-USER-RPT)
082000             MOVE SS08WS-CURSOR  TO MO30-SUMMARY-DETAIL-TWO-L
082100                                    (X-MO30-USER-RPT)
082200             SET SS08WS-ERROR-SW-YES TO TRUE.
082300*
082400     IF  MO30-FREQ-TWO-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
082500     OR  MO30-FORM-TWO-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
082600     OR  MO30-GROUP-TWO-A (X-MO30-USER-RPT) IS EQUAL TO DFHBMNBF
082700     OR  MO30-SUMMARY-DETAIL-TWO-A (X-MO30-USER-RPT)
082800                                 IS EQUAL TO DFHBMUBF
082900         MOVE DFHBMASB           TO MO30-SECOND-COPY-LP-A
083000                                    (X-MO30-USER-RPT)
083100                                    MO30-SECOND-COPY-RP-A
083200                                    (X-MO30-USER-RPT)
083300     ELSE
083400         MOVE DFHBMDAS           TO MO30-SECOND-COPY-LP-A
083500                                    (X-MO30-USER-RPT)
083600                                    MO30-SECOND-COPY-RP-A
083700                                    (X-MO30-USER-RPT).
083800     SET X-MMOC-UR               UP BY 1.
083900*
084000 9399-EF-EXIT.
084100     EXIT.
084200*
084300 9400-BUILD-LOG-RECORDS.
084400*
084500     SET WS-INDEX                TO X-MMOC-UR.
084600*
084700*            ***** DESTINATION ID *****                        *
084800*
084900     IF  MO30-DESTINATION-ID-L (X-MO30-USER-RPT)
085000                                 IS GREATER THAN ZERO
085100         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
085200         MOVE 3001               TO MML1-FIELD-CODE
085300         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
085400         MOVE MMOC-UR-REPORT-DEST-ID    (X-MMOC-UR)
085500                                 TO MML1-VL05-B-DATA-X
085600         MOVE MO30-DESTINATION-ID (X-MO30-USER-RPT)
085700                                 TO MMOC-UR-REPORT-DEST-ID
085800                                    (X-MMOC-UR)
085900         MOVE MMOC-UR-REPORT-DEST-ID    (X-MMOC-UR)
086000                                 TO MML1-VL05-A-DATA-X
086100         PERFORM 9050-CREATE-MAINT-RECORD
086200                                 THRU 9099-CMR-EXIT.
086300*
086400*            ***** ACTIVITY FLAG *****                         *
086500*
086600     IF  MO30-ACTIVITY-FLAG-L (X-MO30-USER-RPT)
086700                                 IS GREATER THAN ZERO
086800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
086900         MOVE 3002               TO MML1-FIELD-CODE
087000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
087100         MOVE MMOC-UR-ACTIVITY-FLAG    (X-MMOC-UR)
087200                                 TO MML1-VL01-B-DATA-X
087300         MOVE MO30-ACTIVITY-FLAG (X-MO30-USER-RPT)
087400                                 TO MMOC-UR-ACTIVITY-FLAG
087500                                    (X-MMOC-UR)
087600         MOVE MMOC-UR-ACTIVITY-FLAG    (X-MMOC-UR)
087700                                 TO MML1-VL01-A-DATA-X
087800         PERFORM 9050-CREATE-MAINT-RECORD
087900                                 THRU 9099-CMR-EXIT.
088000*
088100*            ***** PRINT FILE *****                            *
088200*
088300     IF  MO30-PRINT-FILE-L (X-MO30-USER-RPT)
088400                                 IS GREATER THAN ZERO
088500         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
088600         MOVE 3003               TO MML1-FIELD-CODE
088700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
088800         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
088900                                 TO MML1-VL01-B-DATA-9
089000         MOVE MO30-PRINT-FILE (X-MO30-USER-RPT)
089100                                 TO MMOC-UR-PRINT-FILE
089200                                    (X-MMOC-UR)
089300         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
089400                                 TO MML1-VL01-A-DATA-9
089500         PERFORM 9050-CREATE-MAINT-RECORD
089600                                 THRU 9099-CMR-EXIT.
089700*
089800*            ***** FICHE FLAG *****                            *
089900*
090000     IF  MO30-FICHE-FLAG-L (X-MO30-USER-RPT)
090100                                 IS GREATER THAN ZERO
090200         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
090300         MOVE 3004               TO MML1-FIELD-CODE
090400         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
090500         MOVE MMOC-UR-FICHE-FLAG    (X-MMOC-UR)
090600                                 TO MML1-VL01-B-DATA-X
090700         MOVE MO30-FICHE-FLAG (X-MO30-USER-RPT)
090800                                 TO MMOC-UR-FICHE-FLAG
090900                                    (X-MMOC-UR)
091000         MOVE MMOC-UR-FICHE-FLAG    (X-MMOC-UR)
091100                                 TO MML1-VL01-A-DATA-X
091200         PERFORM 9050-CREATE-MAINT-RECORD
091300                                 THRU 9099-CMR-EXIT.
091400*
091500*            ***** FREQUENCY ONE *****                         *
091600*
091700     IF  MO30-FREQ-ONE-L (X-MO30-USER-RPT)
091800                                 IS GREATER THAN ZERO
091900         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
092000         MOVE 3005               TO MML1-FIELD-CODE
092100         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
092200         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
092300                                 TO MML1-VL02-B-DATA-9
092400         MOVE MO30-FREQ-ONE (X-MO30-USER-RPT)
092500                                 TO MMOC-UR-FREQ-1
092600                                    (X-MMOC-UR)
092700         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
092800                                 TO MML1-VL02-A-DATA-9
092900         PERFORM 9050-CREATE-MAINT-RECORD
093000                                 THRU 9099-CMR-EXIT.
093100*
093200*            ***** FORM CODE ONE *****                         *
093300*
093400     IF  MO30-FORM-ONE-L (X-MO30-USER-RPT)
093500                                 IS GREATER THAN ZERO
093600         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
093700         MOVE 3006               TO MML1-FIELD-CODE
093800         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
093900         MOVE MMOC-UR-FORM-1    (X-MMOC-UR)
094000                                 TO MML1-VL02-B-DATA-9
094100         MOVE MO30-FORM-ONE (X-MO30-USER-RPT)
094200                                 TO MMOC-UR-FORM-1
094300                                    (X-MMOC-UR)
094400         MOVE MMOC-UR-FORM-1    (X-MMOC-UR)
094500                                 TO MML1-VL02-A-DATA-9
094600         PERFORM 9050-CREATE-MAINT-RECORD
094700                                 THRU 9099-CMR-EXIT.
094800*
094900*            ***** GROUP CODE ONE *****                        *
095000*
095100     IF  MO30-GROUP-ONE-L (X-MO30-USER-RPT)
095200                                 IS GREATER THAN ZERO
095300         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
095400         MOVE 3007               TO MML1-FIELD-CODE
095500         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
095600         MOVE MMOC-UR-GROUP-1    (X-MMOC-UR)
095700                                 TO MML1-VL02-B-DATA-9
095800         MOVE MO30-GROUP-ONE (X-MO30-USER-RPT)
095900                                 TO MMOC-UR-GROUP-1
096000                                    (X-MMOC-UR)
096100         MOVE MMOC-UR-GROUP-1    (X-MMOC-UR)
096200                                 TO MML1-VL02-A-DATA-9
096300         PERFORM 9050-CREATE-MAINT-RECORD
096400                                 THRU 9099-CMR-EXIT.
096500*
096600*            ***** SUMMARY/DETAIL FLAG ONE *****               *
096700*
096800     IF  MO30-SUMMARY-DETAIL-ONE-L (X-MO30-USER-RPT)
096900                                 IS GREATER THAN ZERO
097000         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
097100         MOVE 3008               TO MML1-FIELD-CODE
097200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
097300         MOVE MMOC-UR-SUMMARY-DETAIL-1    (X-MMOC-UR)
097400                                 TO MML1-VL01-B-DATA-X
097500         MOVE MO30-SUMMARY-DETAIL-ONE (X-MO30-USER-RPT)
097600                                 TO MMOC-UR-SUMMARY-DETAIL-1
097700                                    (X-MMOC-UR)
097800         MOVE MMOC-UR-SUMMARY-DETAIL-1    (X-MMOC-UR)
097900                                 TO MML1-VL01-A-DATA-X
098000         PERFORM 9050-CREATE-MAINT-RECORD
098100                                 THRU 9099-CMR-EXIT.
098200*
098300*            ***** FREQUENCY TWO *****                         *
098400*
098500     IF  MO30-FREQ-TWO-L (X-MO30-USER-RPT)
098600                                 IS GREATER THAN ZERO
098700         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
098800         MOVE 3009               TO MML1-FIELD-CODE
098900         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
099000         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
099100                                 TO MML1-VL02-B-DATA-9
099200         MOVE MO30-FREQ-TWO (X-MO30-USER-RPT)
099300                                 TO MMOC-UR-FREQ-2
099400                                    (X-MMOC-UR)
099500         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
099600                                 TO MML1-VL02-A-DATA-9
099700         PERFORM 9050-CREATE-MAINT-RECORD
099800                                 THRU 9099-CMR-EXIT.
099900*
100000*            ***** FORM CODE TWO *****                         *
100100*
100200     IF  MO30-FORM-TWO-L (X-MO30-USER-RPT)
100300                                 IS GREATER THAN ZERO
100400         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
100500         MOVE 3010               TO MML1-FIELD-CODE
100600         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
100700         MOVE MMOC-UR-FORM-2    (X-MMOC-UR)
100800                                 TO MML1-VL02-B-DATA-9
100900         MOVE MO30-FORM-TWO (X-MO30-USER-RPT)
101000                                 TO MMOC-UR-FORM-2
101100                                    (X-MMOC-UR)
101200         MOVE MMOC-UR-FORM-2    (X-MMOC-UR)
101300                                 TO MML1-VL02-A-DATA-9
101400         PERFORM 9050-CREATE-MAINT-RECORD
101500                                 THRU 9099-CMR-EXIT.
101600*
101700*            ***** GROUP CODE TWO *****                        *
101800*
101900     IF  MO30-GROUP-TWO-L (X-MO30-USER-RPT)
102000                                 IS GREATER THAN ZERO
102100         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
102200         MOVE 3011               TO MML1-FIELD-CODE
102300         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
102400         MOVE MMOC-UR-GROUP-2    (X-MMOC-UR)
102500                                 TO MML1-VL02-B-DATA-9
102600         MOVE MO30-GROUP-TWO (X-MO30-USER-RPT)
102700                                 TO MMOC-UR-GROUP-2
102800                                    (X-MMOC-UR)
102900         MOVE MMOC-UR-GROUP-2    (X-MMOC-UR)
103000                                 TO MML1-VL02-A-DATA-9
103100         PERFORM 9050-CREATE-MAINT-RECORD
103200                                 THRU 9099-CMR-EXIT.
103300*
103400*            ***** SUMMARY/DETAIL FLAG TWO *****               *
103500*
103600     IF  MO30-SUMMARY-DETAIL-TWO-L (X-MO30-USER-RPT)
103700                                 IS GREATER THAN ZERO
103800         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
103900         MOVE 3012               TO MML1-FIELD-CODE
104000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
104100         MOVE MMOC-UR-SUMMARY-DETAIL-2    (X-MMOC-UR)
104200                                 TO MML1-VL01-B-DATA-X
104300         MOVE MO30-SUMMARY-DETAIL-TWO (X-MO30-USER-RPT)
104400                                 TO MMOC-UR-SUMMARY-DETAIL-2
104500                                    (X-MMOC-UR)
104600         MOVE MMOC-UR-SUMMARY-DETAIL-2    (X-MMOC-UR)
104700                                 TO MML1-VL01-A-DATA-X
104800         PERFORM 9050-CREATE-MAINT-RECORD
104900                                 THRU 9099-CMR-EXIT.
105000     SET X-MMOC-UR               UP BY 1.
105100*
105200 9499-BLR-EXIT.
105300     EXIT.
105400/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
105500     COPY SS26PD.
105600/    ROUTINE TO NUMERICALLY EDIT TIME
105700     COPY SS27PD.
105800/         JULIAN TO GREGORIAN DATE ROUTINE.
105900     COPY SS08PD.
106000/         LINE 24 PF KEYS ROUTINE
106100     COPY SS15PD.
106200/         ORGANIZATION RECORD ACCESS ROUTINES
106300     COPY MMOCAO.
106400/         LOG/JOURNAL ACCESS ROUTINES
106500     COPY MML1AO.
106600/         ON-LINE MAP ROUTINES
106700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMO30 '
106800                           MBMAPXXI BY MBMO30I
106900                           MBMAPXXO BY MBMO30O.
107000/         ON-LINE PROCEDURES
107100     COPY MB70PD.
107200/
107300     COPY SMFTPXO.
