000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMQ01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMQ01 - EXAM MASTER FILE ADD/MAINTENANCE/INQUIRY       *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAQ                                       *
001200*                 B. MBMQ                                       *
001300*                 C. MBQQ                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMQ01 (EXAM MAP 01)                       *
001600*              3. FILES USED -                                  *
001700*                 A. MMEX   (EXAM FILE)                         *
001800*                 B. MML1   (LOG/JOURNAL FILE)                  *
001900*                                                               *
002000*****************************************************************
002100* ************************************************************ *
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800*         I/O REQUEST BLOCK WORK AREAS
002900     COPY MBIOWS.
003000/         I/O REQUEST BLOCK
003100     COPY MBIORO.
003200/         LOG/JOURNAL WORK AREAS
003300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003400/         DATE WORK AREAS
003500     COPY SS01WS.
003600/         ONLINE WORK AREAS
003700     COPY SS08WS.
003800/
003900     COPY SS00WS.
004000/
004100     COPY SMFTWS.
004200/
004300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004400/
004500     COPY MB61LK.
004600/
004700 01  WS-WORKING-FIELDS.
004800*
004900     03  SS08WS-ERROR-SWITCH PIC  X(01)      VALUE 'N'.
005000     03  WS-UPDATE-SWITCH    PIC  X(01)      VALUE 'N'.
005100         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005200         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005300     03  WS-TARGET-IND-SW    PIC  X(01)      VALUE 'N'.
005400         88  WS-TARGET-IND-ON                VALUE 'Y'.
005500         88  WS-TARGET-IND-OFF               VALUE 'N'.
005600     03  SS08WS-CLEAR-MAINT-SW PIC X(01)     VALUE 'N'.
005700         88  SS08WS-CLEAR-MAINT-ON           VALUE 'Y'.
005800         88  SS08WS-CLEAR-MAINT-OFF          VALUE 'N'.
005900     03  WS-MAINT-SEL-SW     PIC  X(01)      VALUE 'N'.
006000         88  WS-MAINT-SEL-ERROR              VALUE 'Y'.
006100*
006200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006300/
006400 LINKAGE SECTION.
006500 01  DFHCOMMAREA.
006600     COPY MB60WS.
006700/         ORG SCREEN 01 MAP DSECT
006800     COPY MBMQ01.
006900/         ORG SCREEN 01 MAP REDEFINITION
007000     COPY MBMQ01R.
007100/         EXAM FILE RECORD LAYOUT
007200     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
007300/         LOG/JOURNAL FILE RECORD LAYOUT
007400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
007500/
007600 PROCEDURE DIVISION.
007700 0000-START-SECT SECTION.
007800*
007900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008100                                 THRU MB70PD-OLH-EXIT.
008200*
008300     IF  MBCA-RECEIVE-SCREEN
008400         GO TO 2000-RECEIVE-SCREEN.
008500*
008600/
008700 1000-SEND-SCREEN SECTION.
008800*
008900****************************************************************
009000*    THIS SECTION BUILDS AND SENDS THE 01 SCREEN.              *
009100****************************************************************
009200*
009300****************************************************************
009400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009500****************************************************************
009600*
009700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009800     PERFORM MB60PD-GETMAIN-FOR-MAP
009900                                 THRU MB60PD-GFM-EXIT.
010000*
010100     MOVE MBCA-MERCHANT-ORG      TO MQ01-ORG.
010200     MOVE MBCA-REQUEST-NBR       TO MQ01-REQUEST-NBR.
010300     MOVE 01                     TO MBCA-SCREEN-NBR.
010400*
010500****************************************************************
010600*    INITIALIZE THE STANDARD MAP LINES                         *
010700****************************************************************
010800*
010900     PERFORM MB60PD-INIT-STD-MAP-LINES
011000                                 THRU MB60PD-ISML-EXIT.
011100*
011200****************************************************************
011300*    READ THE EXAM FILE RECORD NUMBER                          *
011400****************************************************************
011500*
011600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
011700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEX-ORG.
011800     MOVE MBCA-REQUEST-NBR       TO MBIOWS-MMEX-REQUEST-NBR.
011900     SET MBIORO-READ-RANDOM      TO TRUE.
012000     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
012100/
012200 1100-BUILD-SCREEN.
012300* ************************************************************ *
012400*            BUILD THE MAP FROM THE EXAM RECORD                *
012500* ************************************************************ *
012600*
012700     MOVE MMEX-DESC              TO MQ01-DESCRIPTION.
012800     MOVE MMEX-REQUESTOR         TO MQ01-REQUESTOR.
012900     MOVE MMEX-REC-STATUS        TO MQ01-STATUS.
013000     MOVE MMEX-LAST-MAINT-DATE   TO SS01WS-JULIAN.
013100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
013200     MOVE SS01WS-XX-XX-YYYY      TO MQ01-LAST-MAINT-DATE.
013300     MOVE MMEX-LAST-MAINT-OPER   TO MQ01-LAST-MAINT-OPER.
013400     MOVE MMEX-QUAL-REPORT-IND   TO MQ01-QUAL-RPT-IND.
013500     MOVE MMEX-REPORT-FORM       TO MQ01-RPT-FORM.
013600     MOVE MMEX-REPORT-FICHE      TO MQ01-RPT-FICHE.
013700     MOVE MMEX-UNQUAL-REPORT-IND TO MQ01-UNQUAL-RPT-IND.
013800     MOVE MMEX-GENERATE-LETTERS-IND
013900                                 TO MQ01-GEN-LETTER.
014000     MOVE MMEX-LETTER-ORG        TO MQ01-LETTER-ORG.
014100     MOVE MMEX-LETTER-NBR        TO MQ01-LETTER-NBR.
014200     MOVE MMEX-LABEL-IND         TO MQ01-LABEL-IND.
014300     MOVE MMEX-LABEL-ZIP-IND     TO MQ01-LABEL-ZIP-IND.
014400     MOVE MMEX-MAINT-INTERFACE-IND
014500                                 TO MQ01-MAINT-INT.
014600     MOVE MMEX-TARGET-STORE-IND  TO MQ01-STORE-FILE.
014700     MOVE MMEX-TARGET-MERCHANT-IND
014800                                 TO MQ01-MERCHANT-FILE.
014900     MOVE MMEX-TARGET-PRODUCT-IND
015000                                 TO MQ01-PRODUCT-FILE.
015100     MOVE MMEX-REQUESTOR         TO MQ01-REQUESTOR.
015200*
015300/
015400****************************************************************
015500*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
015600****************************************************************
015700*
015800     MOVE SS08WS-CURSOR          TO MQ01-DESCRIPTION-L.
015900*
016000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
016100         MOVE SS08WS-CURSOR      TO MQ01-ALT-TRANID-L
016200         MOVE DFHBMASB           TO MQ01-STATUS-A
016300                                    MQ01-DESCRIPTION-A
016400                                    MQ01-REQUESTOR-A
016500                                    MQ01-QUAL-RPT-IND-A
016600                                    MQ01-RPT-FORM-A
016700                                    MQ01-RPT-FICHE-A
016800                                    MQ01-UNQUAL-RPT-IND-A
016900                                    MQ01-GEN-LETTER-A
017000                                    MQ01-LETTER-ORG-A
017100                                    MQ01-LETTER-NBR-A
017200                                    MQ01-LABEL-IND-A
017300                                    MQ01-LABEL-ZIP-IND-A
017400                                    MQ01-MAINT-INT-A
017500                                    MQ01-STORE-FILE-A
017600                                    MQ01-MERCHANT-FILE-A
017700                                    MQ01-PRODUCT-FILE-A
017800         MOVE DFHBMDAS           TO MQ01-STATUS-LP-A
017900                                    MQ01-STATUS-RP-A
018000                                    MQ01-DESCRIPTION-LP-A
018100                                    MQ01-DESCRIPTION-RP-A
018200                                    MQ01-QUAL-RPT-IND-LP-A
018300                                    MQ01-QUAL-RPT-IND-RP-A
018400                                    MQ01-RPT-FORM-LP-A
018500                                    MQ01-RPT-FORM-RP-A
018600                                    MQ01-RPT-FICHE-LP-A
018700                                    MQ01-RPT-FICHE-RP-A
018800                                    MQ01-UNQUAL-RPT-IND-LP-A
018900                                    MQ01-UNQUAL-RPT-IND-RP-A
019000                                    MQ01-GEN-LETTER-LP-A
019100                                    MQ01-GEN-LETTER-RP-A
019200                                    MQ01-LETTER-ORG-LP-A
019300                                    MQ01-LETTER-ORG-RP-A
019400                                    MQ01-LETTER-NBR-LP-A
019500                                    MQ01-LETTER-NBR-RP-A
019600                                    MQ01-LABEL-IND-LP-A
019700                                    MQ01-LABEL-IND-RP-A
019800                                    MQ01-LABEL-ZIP-IND-LP-A
019900                                    MQ01-LABEL-ZIP-IND-RP-A
020000                                    MQ01-MAINT-INT-LP-A
020100                                    MQ01-MAINT-INT-RP-A
020200                                    MQ01-STORE-FILE-LP-A
020300                                    MQ01-STORE-FILE-RP-A
020400                                    MQ01-MERCHANT-FILE-LP-A
020500                                    MQ01-MERCHANT-FILE-RP-A
020600                                    MQ01-PRODUCT-FILE-LP-A
020700                                    MQ01-PRODUCT-FILE-RP-A.
020800*
020900*
021000     IF  MBCA-PTI-FUNCTION-IS-ADD
021100         MOVE DFHBMDAS           TO MQ01-LAST-MAINT-LIT-A
021200                                    MQ01-LAST-MAINT-DATE-A
021300                                    MQ01-LAST-OPER-LIT-A
021400                                    MQ01-LAST-MAINT-OPER-A
021500                                    MQ01-STATUS-A
021600                                    MQ01-STATUS-RP-A
021700                                    MQ01-STATUS-LP-A
021800                                    MQ01-STATUS-LIT-A
021900                                    MQ01-REQUESTOR-A
022000                                    MQ01-REQUESTOR-LIT-A.
022100*
022200****************************************************************
022300*    SEND THE MAP                                              *
022400****************************************************************
022500*
022600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
022700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
022800                                 THRU MB60PD-SMWE-EXIT.
022900*
023000****************************************************************
023100*    RETURN TO CICS                                            *
023200****************************************************************
023300*
023400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
023500     PERFORM MB70PD-RETURN-TRANS-ID
023600                                 THRU MB70PD-RTI-EXIT.
023700*
023800/
023900 2000-RECEIVE-SCREEN SECTION.
024000*
024100****************************************************************
024200*    THIS SECTION RECEIVES THE FIRST SCREEN                    *
024300****************************************************************
024400*
024500     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
024600     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
024700*
024800****************************************************************
024900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
025000****************************************************************
025100*
025200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
025300     PERFORM MB60PD-NEW-TRANS-ROUTINE
025400                                 THRU MB60PD-NTR-EXIT.
025500*
025600****************************************************************
025700*    BYPASS EDITS ON INQUIRY                                   *
025800****************************************************************
025900*
026000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
026100         GO TO 2600-SETUP-COMMAREA.
026200*
026300*
026400* ************************************************************ *
026500*            READ EXAM VARIABLES RECORD                        *
026600* ************************************************************ *
026700*
026800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
026900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEX-ORG.
027000     MOVE MBCA-REQUEST-NBR       TO MBIOWS-MMEX-REQUEST-NBR.
027100     SET MBIORO-READ-RANDOM      TO TRUE.
027200     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
027300*
027400 2100-BEGIN-EDITS.
027500*
027600*            ***** STATUS *****
027700*
027800     IF  MQ01-STATUS-L IS LESS THAN 1
027900         IF  MBCA-PTI-FUNCTION-IS-ADD
028000             MOVE DFHBMDAS       TO MQ01-STATUS-A
028100                                    MQ01-STATUS-LP-A
028200                                    MQ01-STATUS-RP-A
028300         ELSE
028400             MOVE MMEX-REC-STATUS
028500                                 TO MQ01-STATUS
028600             MOVE DFHBMASK       TO MQ01-STATUS-A
028700             MOVE DFHBMDAS       TO MQ01-STATUS-LP-A
028800                                    MQ01-STATUS-RP-A
028900     ELSE
029000         IF  MBCA-PTI-FUNCTION-IS-MAINT
029100         AND MQ01-STATUS-INCOMPLETE
029200             MOVE DFHBMNBF       TO MQ01-STATUS-A
029300             MOVE DFHBMASB       TO MQ01-STATUS-LP-A
029400                                    MQ01-STATUS-RP-A
029500             MOVE SS08WS-CURSOR  TO MQ01-STATUS-L
029600             SET SS08WS-ERROR-SW-YES TO TRUE
029700         ELSE
029800             IF MQ01-VALID-STATUS
029900                 MOVE DFHBMASF   TO MQ01-STATUS-A
030000                 MOVE DFHBMDAS   TO MQ01-STATUS-LP-A
030100                                    MQ01-STATUS-RP-A
030200                 SET WS-UPDATE-SW-YES
030300                                     TO TRUE
030400             ELSE
030500                 MOVE DFHBMNBF   TO MQ01-STATUS-A
030600                 MOVE DFHBMASB   TO MQ01-STATUS-LP-A
030700                                    MQ01-STATUS-RP-A
030800                 MOVE SS08WS-CURSOR TO MQ01-STATUS-L
030900                 SET SS08WS-ERROR-SW-YES
031000                                 TO TRUE.
031100*
031200*            ***** DESCRIPTION *****
031300*
031400     IF  MQ01-DESCRIPTION-L IS LESS THAN 1
031500         MOVE MMEX-DESC          TO MQ01-DESCRIPTION
031600         MOVE DFHBMASK           TO MQ01-DESCRIPTION-A
031700         MOVE DFHBMDAS           TO MQ01-DESCRIPTION-LP-A
031800                                    MQ01-DESCRIPTION-RP-A
031900     ELSE
032000         MOVE DFHBMASF           TO MQ01-DESCRIPTION-A
032100         MOVE DFHBMDAS           TO MQ01-DESCRIPTION-LP-A
032200                                    MQ01-DESCRIPTION-RP-A
032300         SET WS-UPDATE-SW-YES    TO TRUE.
032400*
032500*               ***** QUAL RPT IND *****
032600*
032700     IF  MQ01-QUAL-RPT-IND-L IS LESS THAN 1
032800         MOVE MMEX-QUAL-REPORT-IND
032900                                 TO MQ01-QUAL-RPT-IND
033000         MOVE DFHBMASK           TO MQ01-QUAL-RPT-IND-A
033100         MOVE DFHBMDAS           TO MQ01-QUAL-RPT-IND-LP-A
033200                                    MQ01-QUAL-RPT-IND-RP-A
033300     ELSE
033400         IF  MQ01-VALID-QUAL-RPT-IND
033500             MOVE DFHBMASF       TO MQ01-QUAL-RPT-IND-A
033600             MOVE DFHBMDAS       TO MQ01-QUAL-RPT-IND-LP-A
033700                                    MQ01-QUAL-RPT-IND-RP-A
033800             SET WS-UPDATE-SW-YES
033900                                 TO TRUE
034000         ELSE
034100             MOVE DFHBMUBF       TO MQ01-QUAL-RPT-IND-A
034200             MOVE DFHBMASB       TO MQ01-QUAL-RPT-IND-LP-A
034300                                    MQ01-QUAL-RPT-IND-RP-A
034400             MOVE SS08WS-CURSOR  TO MQ01-QUAL-RPT-IND-L
034500             SET SS08WS-ERROR-SW-YES TO TRUE.
034600*
034700*               ***** RPT FORM *****
034800*
034900     IF  MQ01-RPT-FORM-L IS LESS THAN 1
035000         MOVE MMEX-REPORT-FORM
035100                                 TO MQ01-RPT-FORM
035200         MOVE DFHBMASK           TO MQ01-RPT-FORM-A
035300         MOVE DFHBMDAS           TO MQ01-RPT-FORM-LP-A
035400                                    MQ01-RPT-FORM-RP-A
035500     ELSE
035600         IF  MQ01-RPT-FORM IS NOT NUMERIC
035700             MOVE DFHBMNBF       TO MQ01-RPT-FORM-A
035800             MOVE DFHBMASB       TO MQ01-RPT-FORM-LP-A
035900                                    MQ01-RPT-FORM-RP-A
036000             MOVE SS08WS-CURSOR  TO MQ01-RPT-FORM-L
036100             SET SS08WS-ERROR-SW-YES TO TRUE
036200         ELSE
036300             MOVE DFHBMASF       TO MQ01-RPT-FORM-A
036400             MOVE DFHBMDAS       TO MQ01-RPT-FORM-LP-A
036500                                    MQ01-RPT-FORM-RP-A
036600             SET WS-UPDATE-SW-YES
036700                                 TO TRUE.
036800*
036900*               ***** RPT FICHE *****
037000*
037100     IF  MQ01-RPT-FICHE-L IS LESS THAN 1
037200         MOVE MMEX-REPORT-FICHE
037300                                 TO MQ01-RPT-FICHE
037400         MOVE DFHBMASK           TO MQ01-RPT-FICHE-A
037500         MOVE DFHBMDAS           TO MQ01-RPT-FICHE-LP-A
037600                                    MQ01-RPT-FICHE-RP-A
037700     ELSE
037800         IF  MQ01-VALID-RPT-FICHE
037900             MOVE DFHBMASF       TO MQ01-RPT-FICHE-A
038000             MOVE DFHBMDAS       TO MQ01-RPT-FICHE-LP-A
038100                                    MQ01-RPT-FICHE-RP-A
038200             SET WS-UPDATE-SW-YES
038300                                 TO TRUE
038400         ELSE
038500             MOVE DFHBMUBF       TO MQ01-RPT-FICHE-A
038600             MOVE DFHBMASB       TO MQ01-RPT-FICHE-LP-A
038700                                    MQ01-RPT-FICHE-RP-A
038800             MOVE SS08WS-CURSOR  TO MQ01-RPT-FICHE-L
038900             SET SS08WS-ERROR-SW-YES TO TRUE.
039000*
039100*               ***** GENERATE LETTERS *****
039200*
039300     IF  MQ01-GEN-LETTER-L IS LESS THAN 1
039400         MOVE MMEX-GENERATE-LETTERS-IND
039500                                 TO MQ01-GEN-LETTER
039600         MOVE DFHBMASK           TO MQ01-GEN-LETTER-A
039700         MOVE DFHBMDAS           TO MQ01-GEN-LETTER-LP-A
039800                                    MQ01-GEN-LETTER-RP-A
039900     ELSE
040000         IF  MQ01-VALID-GEN-LETTER
040100             MOVE DFHBMASF       TO MQ01-GEN-LETTER-A
040200             MOVE DFHBMDAS       TO MQ01-GEN-LETTER-LP-A
040300                                    MQ01-GEN-LETTER-RP-A
040400             SET WS-UPDATE-SW-YES
040500                                 TO TRUE
040600         ELSE
040700             MOVE DFHBMUBF       TO MQ01-GEN-LETTER-A
040800             MOVE DFHBMASB       TO MQ01-GEN-LETTER-LP-A
040900                                    MQ01-GEN-LETTER-RP-A
041000             MOVE SS08WS-CURSOR  TO MQ01-GEN-LETTER-L
041100             SET SS08WS-ERROR-SW-YES TO TRUE.
041200*
041300*               ***** UNQUAL RPT IND *****
041400*
041500     IF  MQ01-UNQUAL-RPT-IND-L IS LESS THAN 1
041600         MOVE MMEX-UNQUAL-REPORT-IND
041700                                 TO MQ01-UNQUAL-RPT-IND
041800         MOVE DFHBMASK           TO MQ01-UNQUAL-RPT-IND-A
041900         MOVE DFHBMDAS           TO MQ01-UNQUAL-RPT-IND-LP-A
042000                                    MQ01-UNQUAL-RPT-IND-RP-A
042100     ELSE
042200         IF  MQ01-VALID-UNQUAL-RPT-IND
042300             MOVE DFHBMASF       TO MQ01-UNQUAL-RPT-IND-A
042400             MOVE DFHBMDAS       TO MQ01-UNQUAL-RPT-IND-LP-A
042500                                    MQ01-UNQUAL-RPT-IND-RP-A
042600             SET WS-UPDATE-SW-YES
042700                                 TO TRUE
042800         ELSE
042900             MOVE DFHBMUBF       TO MQ01-UNQUAL-RPT-IND-A
043000             MOVE DFHBMASB       TO MQ01-UNQUAL-RPT-IND-LP-A
043100                                    MQ01-UNQUAL-RPT-IND-RP-A
043200             MOVE SS08WS-CURSOR  TO MQ01-UNQUAL-RPT-IND-L
043300             SET SS08WS-ERROR-SW-YES TO TRUE.
043400*
043500*               ***** LETTER ORG *****
043600*
043700     IF  MQ01-LETTER-ORG-L IS LESS THAN 1
043800         MOVE MMEX-LETTER-ORG    TO MQ01-LETTER-ORG
043900         MOVE DFHBMASK           TO MQ01-LETTER-ORG-A
044000         MOVE DFHBMDAS           TO MQ01-LETTER-ORG-LP-A
044100                                    MQ01-LETTER-ORG-RP-A
044200     ELSE
044300         IF  MQ01-LETTER-ORG IS NOT NUMERIC
044400             MOVE DFHBMNBF       TO MQ01-LETTER-ORG-A
044500             MOVE DFHBMASB       TO MQ01-LETTER-ORG-LP-A
044600                                    MQ01-LETTER-ORG-RP-A
044700             MOVE SS08WS-CURSOR  TO MQ01-LETTER-ORG-L
044800             SET SS08WS-ERROR-SW-YES TO TRUE
044900         ELSE
045000             IF  MQ01-LETTER-ORG IS EQUAL TO 999
045100                 MOVE DFHBMNBF   TO MQ01-LETTER-ORG-A
045200                 MOVE DFHBMASB   TO MQ01-LETTER-ORG-LP-A
045300                                    MQ01-LETTER-ORG-RP-A
045400                 MOVE SS08WS-CURSOR TO MQ01-LETTER-ORG-L
045500                 SET SS08WS-ERROR-SW-YES
045600                                 TO TRUE
045700             ELSE
045800                 MOVE DFHBMASF   TO MQ01-LETTER-ORG-A
045900                 MOVE DFHBMDAS   TO MQ01-LETTER-ORG-LP-A
046000                                    MQ01-LETTER-ORG-RP-A
046100                 SET WS-UPDATE-SW-YES
046200                                 TO TRUE.
046300*
046400*               ***** LETTER NBR *****
046500*
046600     IF  MQ01-LETTER-NBR-L IS LESS THAN 1
046700         MOVE MMEX-LETTER-NBR    TO MQ01-LETTER-NBR
046800         MOVE DFHBMASK           TO MQ01-LETTER-NBR-A
046900         MOVE DFHBMDAS           TO MQ01-LETTER-NBR-LP-A
047000                                    MQ01-LETTER-NBR-RP-A
047100     ELSE
047200         MOVE DFHBMASF           TO MQ01-LETTER-NBR-A
047300         MOVE DFHBMDAS           TO MQ01-LETTER-NBR-LP-A
047400                                    MQ01-LETTER-NBR-RP-A
047500         SET WS-UPDATE-SW-YES    TO TRUE.
047600*
047700*               ***** LABEL IND *****
047800*
047900     IF  MQ01-LABEL-IND-L IS LESS THAN 1
048000         MOVE MMEX-LABEL-IND     TO MQ01-LABEL-IND
048100         MOVE DFHBMASK           TO MQ01-LABEL-IND-A
048200         MOVE DFHBMDAS           TO MQ01-LABEL-IND-LP-A
048300                                    MQ01-LABEL-IND-RP-A
048400     ELSE
048500         IF  MQ01-VALID-LABEL-IND
048600             MOVE DFHBMASF       TO MQ01-LABEL-IND-A
048700             MOVE DFHBMDAS       TO MQ01-LABEL-IND-LP-A
048800                                    MQ01-LABEL-IND-RP-A
048900             SET WS-UPDATE-SW-YES
049000                                 TO TRUE
049100         ELSE
049200             MOVE DFHBMUBF       TO MQ01-LABEL-IND-A
049300             MOVE DFHBMASB       TO MQ01-LABEL-IND-LP-A
049400                                    MQ01-LABEL-IND-RP-A
049500             MOVE SS08WS-CURSOR  TO MQ01-LABEL-IND-L
049600             SET SS08WS-ERROR-SW-YES TO TRUE.
049700*
049800*               ***** LABEL ZIP IND *****
049900*
050000     IF  MQ01-LABEL-ZIP-IND-L IS LESS THAN 1
050100         MOVE MMEX-LABEL-ZIP-IND TO MQ01-LABEL-ZIP-IND
050200         MOVE DFHBMASK           TO MQ01-LABEL-ZIP-IND-A
050300         MOVE DFHBMDAS           TO MQ01-LABEL-ZIP-IND-LP-A
050400                                    MQ01-LABEL-ZIP-IND-RP-A
050500     ELSE
050600         IF  MQ01-VALID-LABEL-ZIP-IND
050700             MOVE DFHBMASF       TO MQ01-LABEL-ZIP-IND-A
050800             MOVE DFHBMDAS       TO MQ01-LABEL-ZIP-IND-LP-A
050900                                    MQ01-LABEL-ZIP-IND-RP-A
051000             SET WS-UPDATE-SW-YES
051100                                 TO TRUE
051200         ELSE
051300             MOVE DFHBMUBF       TO MQ01-LABEL-ZIP-IND-A
051400             MOVE DFHBMASB       TO MQ01-LABEL-ZIP-IND-LP-A
051500                                    MQ01-LABEL-ZIP-IND-RP-A
051600             MOVE SS08WS-CURSOR  TO MQ01-LABEL-ZIP-IND-L
051700             SET SS08WS-ERROR-SW-YES TO TRUE.
051800*
051900*               ***** MAINT INTERFACE *****
052000*
052100     IF  MQ01-MAINT-INT-L IS LESS THAN 1
052200         MOVE MMEX-MAINT-INTERFACE-IND
052300                                 TO MQ01-MAINT-INT
052400         MOVE DFHBMASK           TO MQ01-MAINT-INT-A
052500         MOVE DFHBMDAS           TO MQ01-MAINT-INT-LP-A
052600                                    MQ01-MAINT-INT-RP-A
052700     ELSE
052800         IF  MQ01-VALID-MAINT-INT
052900             MOVE DFHBMASF       TO MQ01-MAINT-INT-A
053000             MOVE DFHBMDAS       TO MQ01-MAINT-INT-LP-A
053100                                    MQ01-MAINT-INT-RP-A
053200             SET WS-UPDATE-SW-YES
053300                                 TO TRUE
053400         ELSE
053500             MOVE DFHBMUBF       TO MQ01-MAINT-INT-A
053600             MOVE DFHBMASB       TO MQ01-MAINT-INT-LP-A
053700                                    MQ01-MAINT-INT-RP-A
053800             MOVE SS08WS-CURSOR  TO MQ01-MAINT-INT-L
053900             SET SS08WS-ERROR-SW-YES TO TRUE.
054000*
054100*               ***** STORE TARGET FILE *****
054200*
054300     IF  MQ01-STORE-FILE-L IS LESS THAN 1
054400         MOVE MMEX-TARGET-STORE-IND
054500                                 TO MQ01-STORE-FILE
054600         MOVE DFHBMASK           TO MQ01-STORE-FILE-A
054700         MOVE DFHBMDAS           TO MQ01-STORE-FILE-LP-A
054800                                    MQ01-STORE-FILE-RP-A
054900     ELSE
055000         IF  MQ01-VALID-STORE-FILE
055100             MOVE DFHBMASF       TO MQ01-STORE-FILE-A
055200             MOVE DFHBMDAS       TO MQ01-STORE-FILE-LP-A
055300                                    MQ01-STORE-FILE-RP-A
055400             SET WS-UPDATE-SW-YES
055500                                 TO TRUE
055600         ELSE
055700             MOVE DFHBMUBF       TO MQ01-STORE-FILE-A
055800             MOVE DFHBMASB       TO MQ01-STORE-FILE-LP-A
055900                                    MQ01-STORE-FILE-RP-A
056000             MOVE SS08WS-CURSOR  TO MQ01-STORE-FILE-L
056100             SET SS08WS-ERROR-SW-YES TO TRUE.
056200*
056300*               ***** MERCHANT TARGET FILE *****
056400*
056500     IF  MQ01-MERCHANT-FILE-L IS LESS THAN 1
056600         MOVE MMEX-TARGET-MERCHANT-IND
056700                                 TO MQ01-MERCHANT-FILE
056800         MOVE DFHBMASK           TO MQ01-MERCHANT-FILE-A
056900         MOVE DFHBMDAS           TO MQ01-MERCHANT-FILE-LP-A
057000                                    MQ01-MERCHANT-FILE-RP-A
057100     ELSE
057200         IF  MQ01-VALID-MERCHANT-FILE
057300             MOVE DFHBMASF       TO MQ01-MERCHANT-FILE-A
057400             MOVE DFHBMDAS       TO MQ01-MERCHANT-FILE-LP-A
057500                                    MQ01-MERCHANT-FILE-RP-A
057600             SET WS-UPDATE-SW-YES
057700                                 TO TRUE
057800         ELSE
057900             MOVE DFHBMUBF       TO MQ01-MERCHANT-FILE-A
058000             MOVE DFHBMASB       TO MQ01-MERCHANT-FILE-LP-A
058100                                    MQ01-MERCHANT-FILE-RP-A
058200             MOVE SS08WS-CURSOR  TO MQ01-MERCHANT-FILE-L
058300             SET SS08WS-ERROR-SW-YES TO TRUE.
058400*
058500*               ***** PRODUCT TARGET FILE *****
058600*
058700     IF  MQ01-PRODUCT-FILE-L IS LESS THAN 1
058800         MOVE MMEX-TARGET-PRODUCT-IND
058900                                 TO MQ01-PRODUCT-FILE
059000         MOVE DFHBMASK           TO MQ01-PRODUCT-FILE-A
059100         MOVE DFHBMDAS           TO MQ01-PRODUCT-FILE-LP-A
059200                                    MQ01-PRODUCT-FILE-RP-A
059300     ELSE
059400         IF  MQ01-VALID-PRODUCT-FILE
059500             MOVE DFHBMASF       TO MQ01-PRODUCT-FILE-A
059600             MOVE DFHBMDAS       TO MQ01-PRODUCT-FILE-LP-A
059700                                    MQ01-PRODUCT-FILE-RP-A
059800             SET WS-UPDATE-SW-YES
059900                                 TO TRUE
060000         ELSE
060100             MOVE DFHBMUBF       TO MQ01-PRODUCT-FILE-A
060200             MOVE DFHBMASB       TO MQ01-PRODUCT-FILE-LP-A
060300                                    MQ01-PRODUCT-FILE-RP-A
060400             MOVE SS08WS-CURSOR  TO MQ01-PRODUCT-FILE-L
060500             SET SS08WS-ERROR-SW-YES TO TRUE.
060600*
060700     IF  MBCA-PTI-FUNCTION-IS-ADD
060800     OR  (MQ01-STATUS-L IS GREATER THAN ZERO
060900     AND MQ01-STATUS-ACTIVE
061000     AND NOT MMEX-STATUS-ACTIVE)
061100         SET WS-UPDATE-SW-YES    TO TRUE
061200         MOVE DFHBMASF           TO MQ01-REQUESTOR-A
061300         MOVE +10                TO MQ01-REQUESTOR-L
061400         MOVE MBCA-SIGNON-NAME   TO MQ01-REQUESTOR.
061500*
061600     IF  MBCA-PTI-FUNCTION-IS-ADD
061700         MOVE DFHBMDAS           TO MQ01-REQUESTOR-A.
061800*
061900* ************************************************************ *
062000*        CROSS EDITS TO CHECK THAT ONLY ONE TARGET FILE IS     *
062100*        TURNED ON.                                            *
062200* ************************************************************ *
062300*
062400     IF  SS08WS-ERROR-SW-YES
062500         GO TO 2300-CONTINUE.
062600*
062700     IF  MQ01-STORE-FILE-YES
062800         SET WS-TARGET-IND-ON    TO TRUE.
062900*
063000     IF  MQ01-MERCHANT-FILE-YES
063100     AND WS-TARGET-IND-ON
063200         MOVE DFHBMUBF           TO MQ01-STORE-FILE-A
063300                                    MQ01-MERCHANT-FILE-A
063400                                    MQ01-PRODUCT-FILE-A
063500         MOVE DFHBMASB           TO MQ01-STORE-FILE-LP-A
063600                                    MQ01-STORE-FILE-RP-A
063700                                    MQ01-MERCHANT-FILE-LP-A
063800                                    MQ01-MERCHANT-FILE-RP-A
063900                                    MQ01-PRODUCT-FILE-LP-A
064000                                    MQ01-PRODUCT-FILE-RP-A
064100         MOVE SS08WS-CURSOR      TO MQ01-STORE-FILE-L
064200         SET SS08WS-ERROR-SW-YES TO TRUE
064300     ELSE
064400         IF  MQ01-MERCHANT-FILE-YES
064500             SET WS-TARGET-IND-ON
064600                                 TO TRUE.
064700*
064800     IF  MQ01-PRODUCT-FILE-YES
064900     AND WS-TARGET-IND-ON
065000         MOVE DFHBMUBF           TO MQ01-STORE-FILE-A
065100                                    MQ01-MERCHANT-FILE-A
065200                                    MQ01-PRODUCT-FILE-A
065300         MOVE DFHBMASB           TO MQ01-STORE-FILE-LP-A
065400                                    MQ01-STORE-FILE-RP-A
065500                                    MQ01-MERCHANT-FILE-LP-A
065600                                    MQ01-MERCHANT-FILE-RP-A
065700                                    MQ01-PRODUCT-FILE-LP-A
065800                                    MQ01-PRODUCT-FILE-RP-A
065900         MOVE SS08WS-CURSOR      TO MQ01-STORE-FILE-L
066000         SET SS08WS-ERROR-SW-YES TO TRUE
066100     ELSE
066200         IF  MQ01-PRODUCT-FILE-YES
066300             SET WS-TARGET-IND-ON
066400                                 TO TRUE.
066500*
066600     IF  WS-TARGET-IND-OFF
066700         MOVE DFHBMUBF           TO MQ01-STORE-FILE-A
066800                                    MQ01-MERCHANT-FILE-A
066900                                    MQ01-PRODUCT-FILE-A
067000         MOVE DFHBMASB           TO MQ01-STORE-FILE-LP-A
067100                                    MQ01-STORE-FILE-RP-A
067200                                    MQ01-MERCHANT-FILE-LP-A
067300                                    MQ01-MERCHANT-FILE-RP-A
067400                                    MQ01-PRODUCT-FILE-LP-A
067500                                    MQ01-PRODUCT-FILE-RP-A
067600         MOVE SS08WS-CURSOR      TO MQ01-STORE-FILE-L
067700         SET SS08WS-ERROR-SW-YES TO TRUE.
067800*
067900* ************************************************************ *
068000*        CROSS EDIT NOT TO ALLOW A CHANGE TO TARGET FILES      *
068100*        IF USING THE COPY FUNCTION.                           *
068200* ************************************************************ *
068300*
068400     IF  SS08WS-ERROR-SW-YES
068500         GO TO 2300-CONTINUE.
068600*
068700     IF  MBCA-MBMQ-COPY-SW IS EQUAL TO 'Y'
068800         EVALUATE TRUE
068900             WHEN (MMEX-TARGET-STORE-YES
069000              AND (MQ01-MERCHANT-FILE-YES
069100               OR  MQ01-PRODUCT-FILE-YES))
069200                 MOVE DFHBMUBF   TO MQ01-STORE-FILE-A
069300                                    MQ01-MERCHANT-FILE-A
069400                                    MQ01-PRODUCT-FILE-A
069500                 MOVE DFHBMASB   TO MQ01-STORE-FILE-LP-A
069600                                    MQ01-STORE-FILE-RP-A
069700                                    MQ01-MERCHANT-FILE-LP-A
069800                                    MQ01-MERCHANT-FILE-RP-A
069900                                    MQ01-PRODUCT-FILE-LP-A
070000                                    MQ01-PRODUCT-FILE-RP-A
070100                 MOVE SS08WS-CURSOR TO MQ01-STORE-FILE-L
070200                 SET SS08WS-ERROR-SW-YES
070300                                 TO TRUE
070400             WHEN (MMEX-TARGET-MERCHANT-YES
070500              AND (MQ01-STORE-FILE-YES
070600               OR  MQ01-PRODUCT-FILE-YES))
070700                 MOVE DFHBMUBF   TO MQ01-STORE-FILE-A
070800                                    MQ01-MERCHANT-FILE-A
070900                                    MQ01-PRODUCT-FILE-A
071000                 MOVE DFHBMASB   TO MQ01-STORE-FILE-LP-A
071100                                    MQ01-STORE-FILE-RP-A
071200                                    MQ01-MERCHANT-FILE-LP-A
071300                                    MQ01-MERCHANT-FILE-RP-A
071400                                    MQ01-PRODUCT-FILE-LP-A
071500                                    MQ01-PRODUCT-FILE-RP-A
071600                 MOVE SS08WS-CURSOR TO MQ01-STORE-FILE-L
071700                 SET SS08WS-ERROR-SW-YES
071800                                 TO TRUE
071900             WHEN (MMEX-TARGET-PRODUCT-YES
072000              AND (MQ01-MERCHANT-FILE-YES
072100               OR  MQ01-PRODUCT-FILE-YES))
072200                 MOVE DFHBMUBF   TO MQ01-STORE-FILE-A
072300                                    MQ01-MERCHANT-FILE-A
072400                                    MQ01-PRODUCT-FILE-A
072500                 MOVE DFHBMASB   TO MQ01-STORE-FILE-LP-A
072600                                    MQ01-STORE-FILE-RP-A
072700                                    MQ01-MERCHANT-FILE-LP-A
072800                                    MQ01-MERCHANT-FILE-RP-A
072900                                    MQ01-PRODUCT-FILE-LP-A
073000                                    MQ01-PRODUCT-FILE-RP-A
073100                 MOVE SS08WS-CURSOR TO MQ01-STORE-FILE-L
073200                 SET SS08WS-ERROR-SW-YES
073300                                 TO TRUE
073400         END-EVALUATE.
073500*
073600* ************************************************************ *
073700*        IF GENERATE LETTER IS TUNED ON THE LETTER ORG AND NBR *
073800*        MUST HAVE DATA ENTERED.                               *
073900* ************************************************************ *
074000*
074100     IF  SS08WS-ERROR-SW-YES
074200         GO TO 2300-CONTINUE.
074300*
074400     IF  MQ01-GEN-LETTER-YES
074500     AND (MQ01-LETTER-ORG IS EQUAL TO ZEROS
074600     OR  MQ01-LETTER-NBR IS EQUAL TO SPACES)
074700         MOVE DFHBMNBF           TO MQ01-LETTER-ORG-A
074800         MOVE DFHBMUBF           TO MQ01-GEN-LETTER-A
074900                                    MQ01-LETTER-NBR-A
075000         MOVE DFHBMASB           TO MQ01-LETTER-ORG-LP-A
075100                                    MQ01-LETTER-ORG-RP-A
075200                                    MQ01-LETTER-NBR-LP-A
075300                                    MQ01-LETTER-NBR-RP-A
075400                                    MQ01-GEN-LETTER-LP-A
075500                                    MQ01-GEN-LETTER-RP-A
075600         MOVE SS08WS-CURSOR      TO MQ01-GEN-LETTER-L
075700         SET SS08WS-ERROR-SW-YES TO TRUE.
075800*
075900* ************************************************************ *
076000*        CROSS EDITS TO CLEAR MAINTENANCE FIELDS FROM PAGE 3   *
076100*        IF TARGET FILE HAS BEEN CHANGED.                      *
076200* ************************************************************ *
076300*
076400     IF  SS08WS-ERROR-SW-YES
076500         GO TO 2300-CONTINUE.
076600*
076700     IF  MBCA-PTI-FUNCTION-IS-MAINT
076800     AND (MQ01-STORE-FILE-L IS GREATER THAN ZERO
076900     OR  MQ01-MERCHANT-FILE-L IS GREATER THAN ZERO
077000     OR  MQ01-PRODUCT-FILE-L IS GREATER THAN ZERO)
077100         NEXT SENTENCE
077200     ELSE
077300         GO TO 2300-CHECK-LABELS.
077400*
077500     IF  (MQ01-MERCHANT-FILE-YES
077600     AND MMEX-TARGET-MERCHANT-YES)
077700     OR  (MQ01-STORE-FILE-YES
077800     AND MMEX-TARGET-STORE-YES)
077900     OR  (MQ01-PRODUCT-FILE-YES
078000     AND MMEX-TARGET-PRODUCT-YES)
078100         GO TO 2300-CHECK-LABELS.
078200*
078300     PERFORM
078400         VARYING X-MMEX-SEL FROM 1 BY 1
078500         UNTIL X-MMEX-SEL IS GREATER THAN 70
078600         EVALUATE TRUE
078700             WHEN (MQ01-MERCHANT-FILE-YES
078800             AND  (MMEX-SELECT-FILE-ID (X-MMEX-SEL)
078900                                 IS EQUAL TO 'MP'
079000              OR  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
079100                                 IS EQUAL TO 'SM'))
079200                SET WS-MAINT-SEL-ERROR
079300                                 TO TRUE
079400             WHEN (MQ01-STORE-FILE-YES
079500             AND  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
079600                                 IS EQUAL TO 'MP')
079700                SET WS-MAINT-SEL-ERROR
079800                                 TO TRUE
079900             WHEN (MQ01-PRODUCT-FILE-YES
080000             AND  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
080100                                 IS EQUAL TO 'SM')
080200                SET WS-MAINT-SEL-ERROR
080300                                 TO TRUE
080400         END-EVALUATE
080500     END-PERFORM.
080600*
080700     PERFORM
080800         VARYING X-MMEX-MAINT FROM 1 BY 1
080900         UNTIL X-MMEX-MAINT IS GREATER THAN 35
081000         EVALUATE TRUE
081100             WHEN MMEX-MAINT-FILE-ID (X-MMEX-MAINT)
081200                                 IS NOT EQUAL TO SPACES
081300                SET WS-MAINT-SEL-ERROR
081400                                 TO TRUE
081500         END-EVALUATE
081600     END-PERFORM.
081700*
081800     IF  WS-MAINT-SEL-ERROR
081900         MOVE DFHBMUBF           TO MQ01-STORE-FILE-A
082000                                    MQ01-MERCHANT-FILE-A
082100                                    MQ01-PRODUCT-FILE-A
082200         MOVE DFHBMASB           TO MQ01-STORE-FILE-LP-A
082300                                    MQ01-STORE-FILE-RP-A
082400                                    MQ01-MERCHANT-FILE-LP-A
082500                                    MQ01-MERCHANT-FILE-RP-A
082600                                    MQ01-PRODUCT-FILE-LP-A
082700                                    MQ01-PRODUCT-FILE-RP-A
082800         MOVE SS08WS-CURSOR      TO MQ01-STORE-FILE-L
082900         SET SS08WS-ERROR-SW-YES TO TRUE.
083000*
083100 2300-CHECK-LABELS.
083200*
083300* ************************************************************ *
083400*        IF PRODUCT FILE IS BEING USED YOU CAN NOT TURN ON     *
083500*        LETTERS OR LABELS.                                    *
083600* ************************************************************ *
083700*
083800     IF  SS08WS-ERROR-SW-YES
083900         GO TO 2300-CONTINUE.
084000*
084100     IF  MQ01-PRODUCT-FILE-YES
084200         NEXT SENTENCE
084300     ELSE
084400         GO TO 2300-CONTINUE.
084500*
084600     IF  MQ01-GEN-LETTER-YES
084700         MOVE DFHBMUBF           TO MQ01-GEN-LETTER-A
084800                                    MQ01-PRODUCT-FILE-A
084900         MOVE DFHBMASB           TO MQ01-GEN-LETTER-LP-A
085000                                    MQ01-GEN-LETTER-RP-A
085100                                    MQ01-PRODUCT-FILE-LP-A
085200                                    MQ01-PRODUCT-FILE-RP-A
085300         MOVE SS08WS-CURSOR      TO MQ01-GEN-LETTER-L
085400         SET SS08WS-ERROR-SW-YES TO TRUE
085500     END-IF.
085600*
085700     IF  MQ01-LABEL-IND-YES
085800         MOVE DFHBMUBF           TO MQ01-LABEL-IND-A
085900                                    MQ01-PRODUCT-FILE-A
086000         MOVE DFHBMASB           TO MQ01-LABEL-IND-LP-A
086100                                    MQ01-LABEL-IND-RP-A
086200                                    MQ01-PRODUCT-FILE-LP-A
086300                                    MQ01-PRODUCT-FILE-RP-A
086400         MOVE SS08WS-CURSOR      TO MQ01-LABEL-IND-L
086500         SET SS08WS-ERROR-SW-YES TO TRUE
086600     END-IF.
086700*
086800     IF  MQ01-LABEL-ZIP-IND-YES
086900         MOVE DFHBMUBF           TO MQ01-LABEL-ZIP-IND-A
087000                                    MQ01-PRODUCT-FILE-A
087100         MOVE DFHBMASB           TO MQ01-LABEL-ZIP-IND-LP-A
087200                                    MQ01-LABEL-ZIP-IND-RP-A
087300                                    MQ01-PRODUCT-FILE-LP-A
087400                                    MQ01-PRODUCT-FILE-RP-A
087500         MOVE SS08WS-CURSOR      TO MQ01-LABEL-ZIP-IND-L
087600         SET SS08WS-ERROR-SW-YES TO TRUE
087700     END-IF.
087800*
087900 2300-CONTINUE.
088000*
088100     IF  SS08WS-ERROR-SW-NO
088200         GO TO 2400-UPDATE-FILE.
088300*
088400****************************************************************
088500*    SEND THE MAP                                              *
088600****************************************************************
088700*
088800     PERFORM MB60PD-INIT-STD-MAP-LINES
088900                                 THRU MB60PD-ISML-EXIT.
089000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
089100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
089200                                 THRU MB60PD-SMDO-EXIT.
089300*
089400****************************************************************
089500*    RETURN TO CICS                                            *
089600****************************************************************
089700*
089800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
089900     MOVE 01                     TO MBCA-SCREEN-NBR.
090000     PERFORM MB70PD-RETURN-TRANS-ID
090100                                 THRU MB70PD-RTI-EXIT.
090200/
090300 2400-UPDATE-FILE.
090400*
090500     IF  MBCA-PTI-FUNCTION-IS-ADD
090600         NEXT SENTENCE
090700     ELSE
090800         IF  WS-UPDATE-SW-NO
090900             GO TO 2600-SETUP-COMMAREA.
091000*
091100****************************************************************
091200*    GETMAIN FOR LOG/JOURNAL RECORD                            *
091300****************************************************************
091400*
091500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
091600     SET MBIORO-GETMAIN          TO TRUE.
091700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
091800*
091900*************************************************
092000*    SET UP THE COMMON PORTION OF THE RECORD    *
092100*************************************************
092200*
092300     MOVE 'EX'                   TO MML1-FILE-CODE.
092400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMEX-ORG.
092500     MOVE MBCA-REQUEST-NBR       TO MML1-MMEX-REQUEST-NBR.
092600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
092700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
092800     MOVE ZEROS                  TO MML1-SOURCE-CODE
092900                                    MML1-FIELD-OCCURRENCE-2.
093000*
093100* ************************************************************ *
093200*            READ EXAM FOR UPDATE                              *
093300* ************************************************************ *
093400*
093500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
093600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEX-ORG.
093700     MOVE MBCA-REQUEST-NBR       TO MBIOWS-MMEX-REQUEST-NBR.
093800     SET MBIORO-READ-RANDOM-UPDATE
093900                                 TO TRUE
094000     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
094100*
094200 2410-UPDATE-FIELDS.
094300*
094400*        ***** CHECK TO SEE IF TARGET FILE CHANGED *****
094500*
094600*               ***** STATUS *****
094700*
094800     IF  MQ01-STATUS-L IS GREATER THAN ZEROS
094900         MOVE MQ01-STATUS        TO MMEX-REC-STATUS.
095000*
095100*               ***** DESCRIPTION *****
095200*
095300     IF  MQ01-DESCRIPTION-L IS GREATER THAN ZEROS
095400         MOVE MQ01-DESCRIPTION   TO MMEX-DESC.
095500*
095600*               ***** QUAL RPT IND *****
095700*
095800     IF  MQ01-QUAL-RPT-IND-L IS GREATER THAN ZEROS
095900         MOVE MQ01-QUAL-RPT-IND  TO MMEX-QUAL-REPORT-IND.
096000*
096100*               ***** RPT FORM *****
096200*
096300     IF  MQ01-RPT-FORM-L IS GREATER THAN ZEROS
096400         MOVE MQ01-RPT-FORM      TO MMEX-REPORT-FORM.
096500*
096600*               ***** RPT FICHE *****
096700*
096800     IF  MQ01-RPT-FICHE-L IS GREATER THAN ZEROS
096900         MOVE MQ01-RPT-FICHE     TO MMEX-REPORT-FICHE.
097000*
097100*               ***** GENERATE LETTERS *****
097200*
097300     IF  MQ01-GEN-LETTER-L IS GREATER THAN ZEROS
097400         MOVE MQ01-GEN-LETTER    TO MMEX-GENERATE-LETTERS-IND.
097500*
097600*               ***** UNQUAL RPT IND *****
097700*
097800     IF  MQ01-UNQUAL-RPT-IND-L IS GREATER THAN ZEROS
097900         MOVE MQ01-UNQUAL-RPT-IND
098000                                 TO MMEX-UNQUAL-REPORT-IND.
098100*
098200*               ***** LETTER ORG *****
098300*
098400     IF  MQ01-LETTER-ORG-L IS GREATER THAN ZEROS
098500         MOVE MQ01-LETTER-ORG    TO MMEX-LETTER-ORG.
098600*
098700*               ***** LETTER NBR *****
098800*
098900     IF  MQ01-LETTER-NBR-L IS GREATER THAN ZEROS
099000         MOVE MQ01-LETTER-NBR    TO MMEX-LETTER-NBR.
099100*
099200*               ***** LABEL IND *****
099300*
099400     IF  MQ01-LABEL-IND-L IS GREATER THAN ZEROS
099500         MOVE MQ01-LABEL-IND     TO MMEX-LABEL-IND.
099600*
099700*               ***** LABEL ZIP IND *****
099800*
099900     IF  MQ01-LABEL-ZIP-IND-L IS GREATER THAN ZEROS
100000         MOVE MQ01-LABEL-ZIP-IND TO MMEX-LABEL-ZIP-IND.
100100*
100200*               ***** MAINT INTERFACE *****
100300*
100400     IF  MQ01-MAINT-INT-L IS GREATER THAN ZEROS
100500         MOVE MQ01-MAINT-INT     TO MMEX-MAINT-INTERFACE-IND.
100600*
100700*               ***** STORE TARGET FILE *****
100800*
100900     IF  MQ01-STORE-FILE-L IS GREATER THAN ZEROS
101000         MOVE MQ01-STORE-FILE    TO MMEX-TARGET-STORE-IND.
101100*
101200*               ***** MERCHANT TARGET FILE *****
101300*
101400     IF  MQ01-MERCHANT-FILE-L IS GREATER THAN ZEROS
101500         MOVE MQ01-MERCHANT-FILE TO MMEX-TARGET-MERCHANT-IND.
101600*
101700*               ***** PRODUCT TARGET FILE *****
101800*
101900     IF  MQ01-PRODUCT-FILE-L IS GREATER THAN ZEROS
102000         MOVE MQ01-PRODUCT-FILE  TO MMEX-TARGET-PRODUCT-IND.
102100*
102200*               ***** PRODUCT TARGET FILE *****
102300*
102400     IF  MQ01-REQUESTOR-L IS GREATER THAN ZEROS
102500         MOVE MQ01-REQUESTOR     TO MMEX-REQUESTOR.
102600*
102700 2450-UPDATE-MMEX.
102800*
102900     IF  MBCA-PTI-FUNCTION-IS-ADD
103000         MOVE MBCA-SCREEN-NBR    TO MMEX-ONLINE-STATUS
103100         MOVE MBCA-START-DATE    TO MMEX-LAST-MAINT-DATE
103200         MOVE MBCA-OPERATOR-ID   TO MMEX-LAST-MAINT-OPER
103300         SET WS-UPDATE-SW-YES    TO TRUE.
103400*
103500*            ***** LAST MAINT DATE AND OPERATOR ID *****       *
103600*
103700     IF  MBCA-PTI-FUNCTION-IS-MAINT
103800     AND WS-UPDATE-SW-YES
103900         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
104000         MOVE 0199               TO MML1-FIELD-CODE
104100         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
104200         MOVE MMEX-LAST-MAINT-DATE
104300                                 TO MML1-VL07-B-DATA-9
104400         MOVE MBCA-START-DATE    TO MMEX-LAST-MAINT-DATE
104500         MOVE MMEX-LAST-MAINT-DATE
104600                                 TO MML1-VL07-A-DATA-9
104700         PERFORM 9050-CREATE-MAINT-RECORD
104800                                 THRU 9099-CMR-EXIT
104900         MOVE 0198               TO MML1-FIELD-CODE
105000         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
105100         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
105200         MOVE MMEX-LAST-MAINT-OPER
105300                                 TO MML1-VL03-B-DATA-X
105400         MOVE MBCA-OPERATOR-ID   TO MMEX-LAST-MAINT-OPER
105500         MOVE MMEX-LAST-MAINT-OPER
105600                                 TO MML1-VL03-A-DATA-X
105700         PERFORM 9050-CREATE-MAINT-RECORD
105800                                 THRU 9099-CMR-EXIT
105900         MOVE LENGTH OF MMEX-RECORD
106000                                 TO MML1-VARIABLE-LENGTH
106100         MOVE MMEX-RECORD        TO MML1-ADD-AREA
106200         MOVE 0100               TO MML1-FIELD-CODE
106300         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
106400         PERFORM 9050-CREATE-MAINT-RECORD
106500                                 THRU 9099-CMR-EXIT.
106600*
106700*            ***** LAST PROC REQUEST UPDATE  *****       *
106800*
106900     IF  MBCA-PTI-FUNCTION-IS-MAINT
107000     AND WS-UPDATE-SW-YES
107100     AND MMEX-LAST-RUN-DATE IS GREATER THAN ZEROS
107200         SET  MMEX-LAST-PROC-REQUEST-ON
107300                                 TO TRUE.
107400*
107500*
107600 2500-REWRITE-EXAM-FILE.
107700*
107800*
107900     IF  WS-UPDATE-SW-YES
108000         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
108100         SET MBIORO-REWRITE      TO TRUE
108200         PERFORM MMEXAO-ACCESS   THRU MMEXAO-ACCESS-EXIT
108300     ELSE
108400         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
108500         SET MBIORO-UNLOCK       TO TRUE
108600         PERFORM MMEXAO-ACCESS   THRU MMEXAO-ACCESS-EXIT.
108700*
108800 2600-SETUP-COMMAREA.
108900*
109000* ************************************************************ *
109100*  SET UP THE COMM AREA FIELDS AND TRANSFER TO THE NEXT PROGRAM*
109200* ************************************************************ *
109300*
109400     PERFORM MB60PD-EDIT-PAGE-NBR
109500                                 THRU MB60PD-EPN-EXIT.
109600*
109700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
109800*
109900     IF  SS08WS-VALID-PF-KEY OR
110000         SS08WS-EIBAID-VALID-PF-KEY
110100         SET MBCA-INITIAL-SCREEN-NBR
110200                                 TO TRUE.
110300*
110400     PERFORM MB70PD-XCTL-TO-MBOXCTL
110500                                 THRU MB70PD-XTM-EXIT.
110600*
110700*
110800 9000-PERFORMED-ROUTINES-SECT SECTION.
110900*
111000 9050-CREATE-MAINT-RECORD.
111100*
111200*****************************************************************
111300*    WRITE THE LOG/JOURNAL FILE RECORD                          *
111400*****************************************************************
111500*
111600     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
111700     SET MBIORO-WRITE            TO TRUE.
111800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
111900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
112000*
112100 9099-CMR-EXIT.
112200     EXIT.
112300*
112400     COPY SS15PD.
112500/
112600     COPY SS05PD.
112700/
112800     COPY SS07PD.
112900/
113000     COPY SS26PD.
113100/
113200     COPY SS27PD.
113300/
113400     COPY SS08PD.
113500/
113600     COPY MMEXAO.
113700/
113800     COPY MML1AO.
113900/
114000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMQ01 '
114100                          MBMAPXXO BY MBMQ01O
114200                          MBMAPXXI BY MBMQ01I.
114300/
114400     COPY MB70PD.
114500/
114600     COPY SMFTPXO.
