000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMQ02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMQ02 - EXAM MASTER FILE ADD/MAINTENANCE/INQUIRY       *
000800*                SCREENS 02                                     *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAQ                                       *
001200*                 B. MBMQ                                       *
001300*                 C. MBQQ                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMQ02 (SCREENS 02)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMEX   (EXAM FILE)                         *
001800*                 B. MML1   (LOG FILE)                          *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         LOG/JOURNAL WORK AREAS
003100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003200/         EXAM DATA DICTONARY
003300     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
003400/         EXAM WORK AREA
003500     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003600/         EXAM MASTER INITIALIZER RECORD
003700     COPY MMEXIR REPLACING ==:MMEX:== BY ==MMEX==.
003800/         EXAM I/O ROUTINE RECORD
003900     COPY MMEXIO REPLACING ==:MMEX:== BY ==MMEX==.
004000/         DATE WORK AREAS
004100     COPY SS01WS.
004200/         ONLINE WORK AREAS
004300     COPY SS08WS.
004400/
004500     COPY SS00WS.
004600/
004700     COPY SMFTWS.
004800/
004900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
005000/
005100     COPY MB61LK.
005200/
005300 01  WS-MISCELLANEOUS.
005400     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005500         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005600         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005700     03  WS-NBR-LENGTH       PIC  9(02)      VALUE ZEROS.
005800     03  WS-BIN-LENGTH       PIC  9(02)      VALUE ZEROS.
005900     03  WS-PACK-LENGTH      PIC  9(02)      VALUE ZEROS.
006000     03  WS-FOUND-DATA-SW    PIC  X(01)      VALUE SPACES.
006100         88  WS-FOUND-DATA                   VALUE 'Y'.
006200     03  WS-ONE-BYTE         PIC  X(01).
006300         88  WS-VALID-ONE-BYTE               VALUE '$' '-' '+'
006400                                                   ',' '.'.
006500     03  WS-INDEX-X.
006600         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
006700*
006800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006900/
007000 LINKAGE SECTION.
007100 01  DFHCOMMAREA.
007200     COPY MB60WS.
007300/         EXAM SCREEN 02 MAP DSECT
007400     COPY MBMQ02.
007500/         EXAM SCREEN 02 MAP REDEFINITION
007600     COPY MBMQ02R.
007700/         EXAM FILE MASTER RECORD LAYOUT
007800     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
007900/         LOG/JOURNAL FILE RECORD LAYOUT
008000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
008100/
008200 PROCEDURE DIVISION.
008300 0000-HOUSEKEEPING SECTION.
008400 0100-INIT.
008500*
008600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008800                                 THRU MB70PD-OLH-EXIT.
008900*
009000     IF  MBCA-RECEIVE-SCREEN
009100         GO TO 2000-RECEIVE-SCREEN.
009200*
009300 1000-SEND-SCREEN SECTION.
009400*
009500****************************************************************
009600*    THIS SECTION BUILDS AND SENDS THE SCREENS 02              *
009700****************************************************************
009800*
009900****************************************************************
010000*    GET CICS STORAGE NEEDED FOR THE MAP                       *
010100****************************************************************
010200*
010300     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010400     PERFORM MB60PD-GETMAIN-FOR-MAP
010500                                 THRU MB60PD-GFM-EXIT.
010600*
010700     MOVE MBCA-MERCHANT-ORG      TO MQ02-ORG.
010800     MOVE MBCA-REQUEST-NBR       TO MQ02-REQUEST-NBR.
010900*
011000****************************************************************
011100*    INITIALIZE THE STANDARD MAP LINES                         *
011200****************************************************************
011300*
011400     PERFORM MB60PD-INIT-STD-MAP-LINES
011500                                 THRU MB60PD-ISML-EXIT.
011600*
011700****************************************************************
011800*    READ THE EXAM FILE                                        *
011900****************************************************************
012000*
012100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
012200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEX-ORG.
012300     MOVE MBCA-REQUEST-NBR       TO MBIOWS-MMEX-REQUEST-NBR.
012400     SET MBIORO-READ-RANDOM      TO TRUE.
012500     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
012600*
012700 1100-BUILD-SCREEN.
012800*
012900     EVALUATE TRUE
013000         WHEN MMEX-TARGET-STORE-YES
013100             MOVE 'STORE MASTER      '
013200                                 TO MQ02-TARGET-FILE
013300         WHEN MMEX-TARGET-MERCHANT-YES
013400             MOVE 'MERCHANT MASTER   '
013500                                 TO MQ02-TARGET-FILE
013600         WHEN MMEX-TARGET-PRODUCT-YES
013700             MOVE 'MERCHANT PRODUCT  '
013800                                 TO MQ02-TARGET-FILE
013900     END-EVALUATE.
014000*
014100     MOVE MMEX-DESC              TO MQ02-DESCRIPTION.
014200*
014300     SET X-MMEX-SEL              TO MBCA-MBMQ-SEL-INDEX.
014400*
014500     PERFORM
014600         VARYING X-MQ02-SEL FROM 1 BY 1
014700         UNTIL X-MQ02-SEL IS GREATER THAN 7
014800         MOVE MMEX-SELECT-FILE-ID (X-MMEX-SEL)
014900                                 TO MQ02-FILE-ID
015000                                    (X-MQ02-SEL)
015100         MOVE MMEX-SELECT-FIELD-NBR (X-MMEX-SEL)
015200                                 TO MQ02-FIELD-NBR
015300                                    (X-MQ02-SEL)
015400         MOVE MMEX-SELECT-FIELD-DESC (X-MMEX-SEL)
015500                                 TO MQ02-FIELD-DESC
015600                                    (X-MQ02-SEL)
015700         MOVE MMEX-SELECT-MAP-CODE (X-MMEX-SEL)
015800                                 TO MQ02-MAP-CODE
015900                                    (X-MQ02-SEL)
016000*
016100         MOVE MMEX-SELECT-FILE-FORMAT (X-MMEX-SEL)
016200                                 TO MMEXWS-FILE-FORMAT
016300         EVALUATE TRUE
016400           WHEN (MMEXWS-FF-PACKED-SIGNED
016500             OR  MMEXWS-FF-PACKED-UNSIGNED)
016600               COMPUTE WS-PACK-LENGTH = MMEX-SELECT-LENGTH
016700                                      (X-MMEX-SEL) * 2 - 1
016800               MOVE WS-PACK-LENGTH
016900                                 TO MQ02-FIELD-LENGTH
017000                                    (X-MQ02-SEL)
017100               MOVE ZEROS        TO WS-PACK-LENGTH
017200           WHEN (MMEXWS-FF-BINARY-SIGNED
017300             OR MMEXWS-FF-BINARY-UNSIGNED)
017400             EVALUATE TRUE
017500               WHEN MMEX-SELECT-LENGTH (X-MMEX-SEL)
017600                                     IS EQUAL TO 2
017700                 MOVE 4          TO MQ02-FIELD-LENGTH
017800                                    (X-MQ02-SEL)
017900               WHEN MMEX-SELECT-LENGTH (X-MMEX-SEL)
018000                                     IS EQUAL TO 4
018100                 MOVE 9          TO MQ02-FIELD-LENGTH
018200                                    (X-MQ02-SEL)
018300               WHEN MMEX-SELECT-LENGTH (X-MMEX-SEL)
018400                                     IS EQUAL TO 8
018500                 MOVE 18         TO MQ02-FIELD-LENGTH
018600                                    (X-MQ02-SEL)
018700             END-EVALUATE
018800           WHEN OTHER
018900             MOVE MMEX-SELECT-LENGTH (X-MMEX-SEL)
019000                                 TO MQ02-FIELD-LENGTH
019100                                    (X-MQ02-SEL)
019200         END-EVALUATE
019300         MOVE MMEX-SELECT-CONDITION (X-MMEX-SEL)
019400                                 TO MQ02-CONDITION
019500                                    (X-MQ02-SEL)
019600         MOVE MMEX-SELECT-FIELD-VALUE (X-MMEX-SEL)
019700                                 TO MQ02-SEL-VALUE
019800                                    (X-MQ02-SEL)
019900         MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
020000                                 TO MQ02-CONNECTOR
020100                                    (X-MQ02-SEL)
020200         SET X-MMEX-SEL          UP BY 1
020300     END-PERFORM.
020400*
020500 1200-SET-ATTRIBUTE.
020600*
020700     MOVE SS08WS-CURSOR          TO MQ02-FILE-ID-L (1).
020800*
020900****************************************************************
021000*    IF  INQUIRY, DARKEN PARENS AND ASKIP FIELDS               *
021100****************************************************************
021200*
021300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
021400         MOVE SS08WS-CURSOR      TO MQ02-ALT-TRANID-L
021500         PERFORM
021600             VARYING X-MQ02-SEL FROM 1 BY 1
021700             UNTIL X-MQ02-SEL IS GREATER THAN 7
021800             MOVE DFHBMASB       TO MQ02-FILE-ID-A
021900                                    (X-MQ02-SEL)
022000                                    MQ02-FIELD-NBR-A
022100                                    (X-MQ02-SEL)
022200                                    MQ02-FIELD-DESC-A
022300                                    (X-MQ02-SEL)
022400                                    MQ02-MAP-CODE-A
022500                                    (X-MQ02-SEL)
022600                                    MQ02-FIELD-LENGTH-A
022700                                    (X-MQ02-SEL)
022800                                    MQ02-CONDITION-A
022900                                    (X-MQ02-SEL)
023000                                    MQ02-SEL-VALUE-A
023100                                    (X-MQ02-SEL)
023200                                    MQ02-CONNECTOR-A
023300                                    (X-MQ02-SEL)
023400             MOVE DFHBMDAS       TO MQ02-FILE-ID-RP-A
023500                                    (X-MQ02-SEL)
023600                                    MQ02-FILE-ID-LP-A
023700                                    (X-MQ02-SEL)
023800                                    MQ02-FIELD-NBR-RP-A
023900                                    (X-MQ02-SEL)
024000                                    MQ02-FIELD-NBR-LP-A
024100                                    (X-MQ02-SEL)
024200                                    MQ02-CONDITION-RP-A
024300                                    (X-MQ02-SEL)
024400                                    MQ02-CONDITION-LP-A
024500                                    (X-MQ02-SEL)
024600                                    MQ02-SEL-VALUE-RP-A
024700                                    (X-MQ02-SEL)
024800                                    MQ02-SEL-VALUE-LP-A
024900                                    (X-MQ02-SEL)
025000                                    MQ02-CONNECTOR-RP-A
025100                                    (X-MQ02-SEL)
025200                                    MQ02-CONNECTOR-LP-A
025300                                    (X-MQ02-SEL)
025400         END-PERFORM
025500     END-IF.
025600*
025700*
025800 1300-CONTINUE.
025900*
026000     IF  MBCA-MBMQ-SEL-INDEX IS GREATER THAN 7
026100         MOVE DFHBMASB           TO MQ02-BACK-IND-A.
026200*
026300     MOVE MBCA-MBMQ-SEL-INDEX    TO WS-INDEX.
026400     ADD 7                       TO WS-INDEX.
026500*
026600     IF  MMEX-SELECT-FILE-ID (WS-INDEX) IS EQUAL TO SPACES
026700     OR  MBCA-MBMQ-SEL-INDEX IS EQUAL TO 64
026800         NEXT SENTENCE
026900     ELSE
027000         MOVE DFHBMASB           TO MQ02-FWD-IND-A.
027100*
027200     IF  MBCA-PTI-FUNCTION-IS-ADD
027300         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
027400         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
027500         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
027600         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
027700         MOVE SS08WS-LINE-24     TO MQ02-PF-KEYS
027800         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
027900         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
028000         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
028100         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6)
028200     ELSE
028300         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
028400         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
028500         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
028600         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
028700         MOVE SS08WS-LINE-24     TO MQ02-PF-KEYS
028800         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
028900         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
029000         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
029100         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
029200*
029300****************************************************************
029400*    SEND THE MAP                                              *
029500****************************************************************
029600*
029700     COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50.
029800*
029900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030100                                 THRU MB60PD-SMWE-EXIT.
030200*
030300****************************************************************
030400*    RETURN TO CICS                                            *
030500****************************************************************
030600*
030700     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
030800     PERFORM MB70PD-RETURN-TRANS-ID
030900                                 THRU MB70PD-RTI-EXIT.
031000/
031100 2000-RECEIVE-SCREEN SECTION.
031200*
031300****************************************************************
031400*    THIS SECTION RECEIVES THE 04 SCREEN                       *
031500****************************************************************
031600*
031700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
031800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
031900*
032000****************************************************************
032100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
032200****************************************************************
032300*
032400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
032500     PERFORM MB60PD-NEW-TRANS-ROUTINE
032600                                 THRU MB60PD-NTR-EXIT.
032700*
032800     MOVE SPACES                 TO MQ02-ERR-MESSAGE.
032900*
033000****************************************************************
033100*    BYPASS EDITS ON INQUIRY                                   *
033200****************************************************************
033300*
033400     SET X-MMEX-SEL              TO MBCA-MBMQ-SEL-INDEX.
033500     SET X-MQ02-SEL              TO 1.
033600*
033700****************************************************************
033800*    READ RANDOM THE EXAM RECORD                               *
033900****************************************************************
034000*
034100     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
034200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMEX-ORG.
034300     MOVE MBCA-REQUEST-NBR       TO MBIOWS-MMEX-REQUEST-NBR.
034400     SET MBIORO-READ-RANDOM      TO TRUE.
034500     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
034600*
034700**   IF  MBCA-PTI-FUNCTION-IS-INQUIRY
034800**       GO TO 2600-SETUP-COMMAREA.
034900*
035000     PERFORM 2100-EDIT           THRU 2199-E-EXIT
035100         VARYING X-MQ02-SEL FROM 1 BY 1
035200         UNTIL X-MQ02-SEL IS GREATER THAN 7.
035300*
035400     GO TO 2200-CHECK-ERROR-SW.
035500*
035600 2100-EDIT.
035700*
035800****************************************************************
035900*                  FILE ID                                     *
036000****************************************************************
036100     MOVE DFHBMASK               TO MQ02-FILE-ID-A
036200                                    (X-MQ02-SEL).
036300     MOVE DFHBMDAS               TO MQ02-FILE-ID-LP-A
036400                                    (X-MQ02-SEL)
036500                                    MQ02-FILE-ID-RP-A
036600                                    (X-MQ02-SEL).
036700*
036800     IF  MQ02-FILE-ID-L (X-MQ02-SEL) IS LESS THAN 1
036900         MOVE MMEX-SELECT-FILE-ID (X-MMEX-SEL)
037000                                 TO MQ02-FILE-ID
037100                                    (X-MQ02-SEL)
037200     ELSE
037300         IF  MQ02-VALID-FILE-ID (X-MQ02-SEL)
037400             MOVE DFHBMASF       TO MQ02-FILE-ID-A
037500                                    (X-MQ02-SEL)
037600             SET WS-UPDATE-SW-YES
037700                                 TO TRUE
037800         ELSE
037900             MOVE DFHBMUBF       TO MQ02-FILE-ID-A
038000                                    (X-MQ02-SEL)
038100             MOVE DFHBMASB       TO MQ02-FILE-ID-LP-A
038200                                    (X-MQ02-SEL)
038300                                    MQ02-FILE-ID-RP-A
038400                                    (X-MQ02-SEL)
038500             MOVE SS08WS-CURSOR  TO MQ02-FILE-ID-L
038600                                    (X-MQ02-SEL)
038700             SET SS08WS-ERROR-SW-YES TO TRUE.
038800*
038900****************************************************************
039000*                  FIELD NUMBER                                *
039100****************************************************************
039200*
039300     MOVE DFHBMASK               TO MQ02-FIELD-NBR-A
039400                                    (X-MQ02-SEL).
039500     MOVE DFHBMDAS               TO MQ02-FIELD-NBR-LP-A
039600                                    (X-MQ02-SEL)
039700                                    MQ02-FIELD-NBR-RP-A
039800                                    (X-MQ02-SEL).
039900*
040000     IF  MQ02-FIELD-NBR-L (X-MQ02-SEL) IS LESS THAN 1
040100         MOVE MMEX-SELECT-FIELD-NBR (X-MMEX-SEL)
040200                                 TO MQ02-FIELD-NBR
040300                                    (X-MQ02-SEL)
040400     ELSE
040500         IF  MQ02-FIELD-NBR (X-MQ02-SEL) IS NUMERIC
040600             MOVE DFHBMASF       TO MQ02-FIELD-NBR-A
040700                                    (X-MQ02-SEL)
040800             SET WS-UPDATE-SW-YES
040900                                 TO TRUE
041000         ELSE
041100             MOVE DFHBMNBF       TO MQ02-FIELD-NBR-A
041200                                    (X-MQ02-SEL)
041300             MOVE DFHBMASB       TO MQ02-FIELD-NBR-LP-A
041400                                    (X-MQ02-SEL)
041500                                    MQ02-FIELD-NBR-RP-A
041600                                    (X-MQ02-SEL)
041700             MOVE SS08WS-CURSOR  TO MQ02-FIELD-NBR-L
041800                                    (X-MQ02-SEL)
041900             SET SS08WS-ERROR-SW-YES TO TRUE.
042000*
042100************************************************************
042200*       BY  ZEROING OUT FIELD NUMBER                       *
042300*       ALL SELECTION CRITERIA WILL BE INITIALIZED         *
042400************************************************************
042500*
042600     IF  MQ02-FIELD-NBR-L (X-MQ02-SEL) IS GREATER THAN 0
042700     AND MQ02-FIELD-NBR (X-MQ02-SEL) IS EQUAL TO ZERO
042800         MOVE DFHBMUNP           TO MQ02-CONDITION-A
042900                                    (X-MQ02-SEL)
043000                                    MQ02-SEL-VALUE-A
043100                                    (X-MQ02-SEL)
043200                                    MQ02-CONNECTOR-A
043300                                    (X-MQ02-SEL)
043400         IF  MQ02-FILE-ID (X-MQ02-SEL) IS EQUAL TO SPACES
043500             SET WS-UPDATE-SW-YES TO TRUE
043600             SET X-MMEXIR-SEL    TO X-MMEX-SEL
043700             MOVE MMEXIR-SELECT-CRITERIA (X-MMEXIR-SEL)
043800                                 TO MMEX-SELECT-CRITERIA
043900                                    (X-MMEX-SEL)
044000             SET SS08WS-ERROR-SW-NO TO TRUE
044100             GO TO 2150-CONTINUE
044200         ELSE
044300             SET WS-UPDATE-SW-YES TO TRUE
044400             SET X-MMEXIR-SEL    TO X-MMEX-SEL
044500             MOVE MMEXIR-SELECT-CRITERIA (X-MMEXIR-SEL)
044600                                 TO MMEX-SELECT-CRITERIA
044700                                    (X-MMEX-SEL)
044800             GO TO 2150-CONTINUE.
044900*
045000****************************************************************
045100*                  FIELD CONDITION                             *
045200****************************************************************
045300*
045400     MOVE DFHBMASK               TO MQ02-CONDITION-A
045500                                    (X-MQ02-SEL).
045600     MOVE DFHBMDAS               TO MQ02-CONDITION-LP-A
045700                                    (X-MQ02-SEL)
045800                                    MQ02-CONDITION-RP-A
045900                                    (X-MQ02-SEL).
046000*
046100     IF  MQ02-CONDITION-L (X-MQ02-SEL) IS LESS THAN 1
046200         MOVE MMEX-SELECT-CONDITION (X-MMEX-SEL)
046300                                 TO MQ02-CONDITION
046400                                    (X-MQ02-SEL)
046500     ELSE
046600         IF  MQ02-VALID-CONDITION (X-MQ02-SEL)
046700             MOVE DFHBMASF       TO MQ02-CONDITION-A
046800                                    (X-MQ02-SEL)
046900             SET WS-UPDATE-SW-YES
047000                                 TO TRUE
047100         ELSE
047200             MOVE DFHBMUBF       TO MQ02-CONDITION-A
047300                                    (X-MQ02-SEL)
047400             MOVE DFHBMASB       TO MQ02-CONDITION-LP-A
047500                                    (X-MQ02-SEL)
047600                                    MQ02-CONDITION-RP-A
047700                                    (X-MQ02-SEL)
047800             MOVE SS08WS-CURSOR  TO MQ02-CONDITION-L
047900                                    (X-MQ02-SEL)
048000             SET SS08WS-ERROR-SW-YES TO TRUE.
048100*
048200****************************************************************
048300*                  SELECTION VALUE                             *
048400****************************************************************
048500*
048600     MOVE DFHBMASK               TO MQ02-SEL-VALUE-A
048700                                    (X-MQ02-SEL).
048800     MOVE DFHBMDAS               TO MQ02-SEL-VALUE-LP-A
048900                                    (X-MQ02-SEL)
049000                                    MQ02-SEL-VALUE-RP-A
049100                                    (X-MQ02-SEL).
049200*
049300     IF  MQ02-SEL-VALUE-L (X-MQ02-SEL) IS LESS THAN 1
049400         MOVE MMEX-SELECT-FIELD-VALUE (X-MMEX-SEL)
049500                                 TO MQ02-SEL-VALUE
049600                                    (X-MQ02-SEL)
049700     ELSE
049800         MOVE DFHBMASF           TO MQ02-SEL-VALUE-A
049900                                    (X-MQ02-SEL)
050000         SET WS-UPDATE-SW-YES    TO TRUE.
050100*
050200****************************************************************
050300*                  FIELD CONNECTOR                             *
050400****************************************************************
050500*
050600     MOVE DFHBMASK               TO MQ02-CONNECTOR-A
050700                                    (X-MQ02-SEL).
050800     MOVE DFHBMDAS               TO MQ02-CONNECTOR-LP-A
050900                                    (X-MQ02-SEL)
051000                                    MQ02-CONNECTOR-RP-A
051100                                    (X-MQ02-SEL).
051200*
051300     IF  MQ02-CONNECTOR-L (X-MQ02-SEL) IS LESS THAN 1
051400         MOVE MMEX-SELECT-CONNECTOR (X-MMEX-SEL)
051500                                 TO MQ02-CONNECTOR
051600                                    (X-MQ02-SEL)
051700     ELSE
051800         IF  MQ02-VALID-CONNECTOR (X-MQ02-SEL)
051900             MOVE DFHBMASF       TO MQ02-CONNECTOR-A
052000                                    (X-MQ02-SEL)
052100             SET WS-UPDATE-SW-YES
052200                                 TO TRUE
052300         ELSE
052400             MOVE DFHBMUBF       TO MQ02-CONNECTOR-A
052500                                    (X-MQ02-SEL)
052600             MOVE DFHBMASB       TO MQ02-CONNECTOR-LP-A
052700                                    (X-MQ02-SEL)
052800                                    MQ02-CONNECTOR-RP-A
052900                                    (X-MQ02-SEL)
053000             MOVE SS08WS-CURSOR  TO MQ02-CONNECTOR-L
053100                                    (X-MQ02-SEL)
053200             SET SS08WS-ERROR-SW-YES TO TRUE.
053300*
053400************************************************************
053500*       CROSS EDITS BEGIN HERE                           ***
053600************************************************************
053700*
053800     IF  SS08WS-ERROR-SW-YES
053900         GO TO 2150-CONTINUE.
054000*
054100************************************************************
054200*       THE CONNECTOR WILL BE DEFAULED TO 'AND' IF NOTHING *
054300*       IS ENTERED.                                        *
054400************************************************************
054500*
054600     IF  MQ02-FILE-ID-L (X-MQ02-SEL) IS GREATER THAN 0
054700     AND MQ02-FIELD-NBR-L (X-MQ02-SEL) IS GREATER THAN 0
054800     AND MQ02-CONDITION-L (X-MQ02-SEL) IS GREATER THAN 0
054900     AND MQ02-SEL-VALUE-L (X-MQ02-SEL) IS GREATER THAN 0
055000     AND MQ02-CONNECTOR (X-MQ02-SEL) IS EQUAL TO SPACES
055100         MOVE +5                 TO MQ02-CONNECTOR-L
055200                                    (X-MQ02-SEL)
055300         MOVE 'AND  '            TO MQ02-CONNECTOR
055400                                    (X-MQ02-SEL).
055500*
055600************************************************************
055700*       VERIFY THAT THE FILE ID IS ALLOWED DEPENDING ON    *
055800*       THE TARGET FILE THAT WAS CHOOSEN.                  *
055900************************************************************
056000*
056100     IF  MQ02-FILE-ID-L (X-MQ02-SEL) IS GREATER THAN ZERO
056200     AND MQ02-FILE-ID (X-MQ02-SEL) IS NOT EQUAL TO SPACES
056300         IF ((MMEX-TARGET-MERCHANT-YES
056400         AND NOT MQ02-MERCH-FILE-ID (X-MQ02-SEL))
056500         OR (MMEX-TARGET-STORE-YES
056600         AND MQ02-PROD-FILE-ID (X-MQ02-SEL))
056700         OR (MMEX-TARGET-PRODUCT-YES
056800         AND MQ02-MERCH-FILE-ID (X-MQ02-SEL)
056900         AND MQ02-FIELD-NBR (X-MQ02-SEL) IS GREATER THAN 1000)
057000         OR  (MMEX-TARGET-PRODUCT-YES
057100         AND MQ02-STORE-FILE-ID (X-MQ02-SEL)))
057200             MOVE DFHBMNBF       TO MQ02-FIELD-NBR-A
057300                                    (X-MQ02-SEL)
057400             MOVE DFHBMUBF       TO MQ02-FILE-ID-A
057500                                    (X-MQ02-SEL)
057600                                    MQ02-CONDITION-A
057700                                    (X-MQ02-SEL)
057800                                    MQ02-SEL-VALUE-A
057900                                    (X-MQ02-SEL)
058000                                    MQ02-CONNECTOR-A
058100                                    (X-MQ02-SEL)
058200             MOVE DFHBMASB       TO MQ02-FILE-ID-LP-A
058300                                    (X-MQ02-SEL)
058400                                    MQ02-FILE-ID-RP-A
058500                                    (X-MQ02-SEL)
058600                                    MQ02-FIELD-NBR-LP-A
058700                                    (X-MQ02-SEL)
058800                                    MQ02-FIELD-NBR-RP-A
058900                                    (X-MQ02-SEL)
059000                                    MQ02-SEL-VALUE-LP-A
059100                                    (X-MQ02-SEL)
059200                                    MQ02-SEL-VALUE-RP-A
059300                                    (X-MQ02-SEL)
059400                                    MQ02-CONDITION-LP-A
059500                                    (X-MQ02-SEL)
059600                                    MQ02-CONDITION-RP-A
059700                                    (X-MQ02-SEL)
059800                                    MQ02-CONNECTOR-LP-A
059900                                    (X-MQ02-SEL)
060000                                    MQ02-CONNECTOR-RP-A
060100                                    (X-MQ02-SEL)
060200             MOVE SS08WS-CURSOR  TO MQ02-FILE-ID-L
060300                                    (X-MQ02-SEL)
060400             MOVE 'FILE ID NOT VALID FOR TARGET FILE'
060500                                 TO MQ02-ERR-MESSAGE
060600             SET SS08WS-ERROR-SW-YES TO TRUE
060700             GO TO 2150-CONTINUE.
060800*
060900************************************************************
061000*       SEARCH THE DATA DICTIONARY TABLE TO SEE IF A MATCH *
061100*       IS MADE FROM THE FILE-ID AND FIELD-NBR ENTERED     *
061200************************************************************
061300*
061400     IF  MQ02-FILE-ID (X-MQ02-SEL) IS NOT EQUAL TO SPACES
061500     AND MQ02-FIELD-NBR (X-MQ02-SEL) IS GREATER THAN ZERO
061600        PERFORM 9100-SEARCH-TABLE
061700                                 THRU 9199-ST-EXIT.
061800*
061900     PERFORM 9400-CROSS-EDIT-ALL-FIELDS
062000                                 THRU 9499-CEAF-EXIT.
062100*
062200     PERFORM 9200-CROSS-EDIT-SEL-VALUE
062300                                 THRU 9299-CESV-EXIT.
062400*
062500     IF  SS08WS-ERROR-SW-YES
062600         MOVE DFHBMUNB           TO MQ02-CONNECTOR-A
062700                                    (X-MQ02-SEL).
062800*
062900 2150-CONTINUE.
063000*
063100     SET X-MMEX-SEL              UP BY 1.
063200*
063300 2199-E-EXIT.
063400     EXIT.
063500*
063600 2200-CHECK-ERROR-SW.
063700*
063800     IF  SS08WS-ERROR-SW-NO
063900         GO TO 2400-UPDATE-FILE.
064000*
064100 2300-SEND-MAP.
064200*
064300****************************************************************
064400*    SEND THE MAP                                              *
064500****************************************************************
064600*
064700     PERFORM MB60PD-INIT-STD-MAP-LINES
064800                                 THRU MB60PD-ISML-EXIT.
064900*
065000     IF  MBCA-PTI-FUNCTION-IS-ADD
065100         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
065200         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
065300         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
065400         MOVE 'RESV '            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
065500         MOVE SS08WS-LINE-24     TO MQ02-PF-KEYS
065600         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
065700         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
065800         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
065900         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6)
066000     ELSE
066100         MOVE '*TOP*'            TO SS08WS-LINE-24-PF-KEY-FUNC(3)
066200         MOVE '*BOT*'            TO SS08WS-LINE-24-PF-KEY-FUNC(4)
066300         MOVE '*FWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(5)
066400         MOVE '*BWD*'            TO SS08WS-LINE-24-PF-KEY-FUNC(6)
066500         MOVE SS08WS-LINE-24     TO MQ02-PF-KEYS
066600         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (3)
066700         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (4)
066800         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (5)
066900         MOVE 'RESV'             TO MBCA-PGMX-PF-TRANS-ID (6).
067000*
067100     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
067200     PERFORM MB60PD-SEND-MAP-DATA-ONLY
067300                                 THRU MB60PD-SMDO-EXIT.
067400*
067500****************************************************************
067600*    RETURN TO CICS                                            *
067700****************************************************************
067800*
067900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
068000     PERFORM MB70PD-RETURN-TRANS-ID
068100                                 THRU MB70PD-RTI-EXIT.
068200*
068300 2400-UPDATE-FILE.
068400*
068500****************************************************
068600*    READ THE EXAM FILE RECORD FOR UPDATE          *
068700****************************************************
068800*
068900     MOVE MMEX-RECORD            TO MMEXIO-RECORD.
069000*
069100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
069200     SET MBIORO-READ-RANDOM-UPDATE
069300                                 TO TRUE.
069400     PERFORM MMEXAO-ACCESS       THRU MMEXAO-ACCESS-EXIT.
069500*
069600     MOVE MMEXIO-RECORD          TO MMEX-RECORD.
069700*
069800*************************************
069900*    OBTAIN STORAGE FOR LOG FILE    *
070000*    RECORD IF DOING MAINTENANCE    *
070100*************************************
070200*
070300     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
070400     SET MBIORO-GETMAIN          TO TRUE.
070500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
070600*
070700*******************************************
070800*    SET UP COMMON PORTION OF MML1 RECORD *
070900*******************************************
071000*
071100     MOVE 'EX'                   TO MML1-FILE-CODE.
071200     MOVE MBCA-MERCHANT-ORG      TO MML1-MMEX-ORG.
071300     MOVE MBCA-REQUEST-NBR       TO MML1-MMEX-REQUEST-NBR.
071400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
071500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
071600     MOVE ZEROES                 TO MML1-SOURCE-CODE.
071700*
071800 2500-UPDATE-FIELDS.
071900*
072000     SET X-MMEX-SEL              TO MBCA-MBMQ-SEL-INDEX.
072100*
072200     PERFORM
072300         VARYING X-MQ02-SEL FROM 1 BY 1
072400           UNTIL X-MQ02-SEL IS GREATER THAN 7
072500*
072600*            ***** FILE ID  *****
072700*
072800         IF MQ02-FILE-ID-L (X-MQ02-SEL) IS GREATER THAN ZERO
072900             MOVE MQ02-FILE-ID (X-MQ02-SEL)
073000                                 TO MMEX-SELECT-FILE-ID
073100                                    (X-MMEX-SEL)
073200         END-IF
073300*
073400*            ***** FIELD NUMBER *****
073500*
073600         IF MQ02-FIELD-NBR-L (X-MQ02-SEL) IS GREATER THAN ZERO
073700             MOVE MQ02-FIELD-NBR (X-MQ02-SEL)
073800                                 TO MMEX-SELECT-FIELD-NBR
073900                                    (X-MMEX-SEL)
074000         END-IF
074100*
074200*            ***** CONDITION *****
074300*
074400         IF MQ02-CONDITION-L (X-MQ02-SEL) IS GREATER THAN ZERO
074500             MOVE MQ02-CONDITION (X-MQ02-SEL)
074600                                 TO MMEX-SELECT-CONDITION
074700                                    (X-MMEX-SEL)
074800         END-IF
074900*
075000*            ***** FIELD VALUE *****
075100*
075200         IF MQ02-SEL-VALUE-L (X-MQ02-SEL) IS GREATER THAN ZERO
075300             MOVE MQ02-SEL-VALUE (X-MQ02-SEL)
075400                                 TO MMEX-SELECT-FIELD-VALUE
075500                                    (X-MMEX-SEL)
075600         END-IF
075700*
075800*            ***** CONNECTOR *****
075900*
076000         IF MQ02-CONNECTOR-L (X-MQ02-SEL) IS GREATER THAN ZERO
076100             MOVE MQ02-CONNECTOR (X-MQ02-SEL)
076200                                 TO MMEX-SELECT-CONNECTOR
076300                                    (X-MMEX-SEL)
076400         END-IF
076500         SET X-MMEX-SEL          UP BY 1
076600     END-PERFORM.
076700*
076800*
076900 2650-UPDATE-MMEX.
077000*
077100     IF  MBCA-PTI-FUNCTION-IS-ADD
077200         MOVE MBCA-SCREEN-NBR    TO MMEX-ONLINE-STATUS
077300         MOVE MBCA-START-DATE    TO MMEX-LAST-MAINT-DATE
077400         MOVE MBCA-OPERATOR-ID   TO MMEX-LAST-MAINT-OPER
077500         SET WS-UPDATE-SW-YES    TO TRUE.
077600*
077700**************************************************************
077800*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
077900*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
078000*    ON THE SCREEN                                           *
078100**************************************************************
078200*
078300     IF  MBCA-PTI-FUNCTION-IS-MAINT
078400     AND WS-UPDATE-SW-YES
078500         MOVE 0198               TO MML1-FIELD-CODE
078600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
078700                                    MML1-FIELD-OCCURRENCE-2
078800         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
078900         MOVE MMEX-LAST-MAINT-OPER
079000                                 TO MML1-VL03-B-DATA-X
079100         MOVE MBCA-OPERATOR-ID   TO MMEX-LAST-MAINT-OPER
079200         MOVE MMEX-LAST-MAINT-OPER
079300                                 TO MML1-VL03-A-DATA-X
079400         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
079500         PERFORM 9050-WRITE-LOG-REC
079600                                 THRU 9099-WLR-EXIT
079700         MOVE 0199               TO MML1-FIELD-CODE
079800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
079900                                    MML1-FIELD-OCCURRENCE-2
080000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
080100         MOVE MMEX-LAST-MAINT-DATE
080200                                 TO MML1-VL07-B-DATA-9
080300         MOVE MBCA-START-DATE    TO MMEX-LAST-MAINT-DATE
080400         MOVE MMEX-LAST-MAINT-DATE
080500                                 TO MML1-VL07-A-DATA-9
080600         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
080700         PERFORM 9050-WRITE-LOG-REC
080800                                 THRU 9099-WLR-EXIT
080900         MOVE LENGTH OF MMEX-RECORD
081000                                 TO MML1-VARIABLE-LENGTH
081100         MOVE MMEX-RECORD        TO MML1-ADD-AREA
081200         MOVE 0100               TO MML1-FIELD-CODE
081300         MOVE ZEROS              TO MML1-FIELD-OCCURRENCE
081400                                    MML1-FIELD-OCCURRENCE-2
081500         PERFORM 9050-WRITE-LOG-REC
081600                                 THRU 9099-WLR-EXIT.
081700*
081800*            ***** LAST PROC REQUEST UPDATE  *****       *
081900*
082000     IF  MBCA-PTI-FUNCTION-IS-MAINT
082100     AND WS-UPDATE-SW-YES
082200     AND MMEX-LAST-RUN-DATE IS GREATER THAN ZEROS
082300         SET  MMEX-LAST-PROC-REQUEST-ON
082400                                 TO TRUE.
082500*
082600****************************************************
082700*    REWRITE THE EXAM RECORD IF                    *
082800*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
082900*    UNLOCK IT IF THEY HAVE NOT                    *
083000****************************************************
083100*
083200     IF  WS-UPDATE-SW-YES
083300         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
083400         SET MBIORO-REWRITE      TO TRUE
083500         PERFORM MMEXAO-ACCESS   THRU MMEXAO-ACCESS-EXIT
083600     ELSE
083700         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
083800         SET MBIORO-UNLOCK       TO TRUE
083900         PERFORM MMEXAO-ACCESS   THRU MMEXAO-ACCESS-EXIT.
084000/
084100 2600-SETUP-COMMAREA.
084200*
084300****************************************************************
084400*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
084500****************************************************************
084600*
084700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
084800*
084900     IF  (SS08WS-VALID-PF3
085000     OR  SS08WS-EIBAID-VALID-PF3)
085100         MOVE 1                  TO MBCA-MBMQ-SEL-INDEX
085200         MOVE 52                 TO MBCA-SCREEN-NBR
085300         GO TO 2690-PF-KEY-BYPASS.
085400*
085500     IF  (SS08WS-VALID-PF4
085600     OR  SS08WS-EIBAID-VALID-PF4)
085700         PERFORM
085800             VARYING X-MMEX-SEL FROM 70 BY -1
085900             UNTIL X-MMEX-SEL IS LESS THAN 1
086000             IF  MMEX-SELECT-FILE-ID (X-MMEX-SEL)
086100                                 IS NOT EQUAL TO SPACES
086200                 EVALUATE TRUE
086300                   WHEN X-MMEX-SEL IS GREATER THAN 63
086400                     MOVE 64     TO MBCA-MBMQ-SEL-INDEX
086500                   WHEN X-MMEX-SEL IS GREATER THAN 56
086600                     MOVE 57     TO MBCA-MBMQ-SEL-INDEX
086700                   WHEN X-MMEX-SEL IS GREATER THAN 49
086800                     MOVE 50     TO MBCA-MBMQ-SEL-INDEX
086900                   WHEN X-MMEX-SEL IS GREATER THAN 42
087000                     MOVE 43     TO MBCA-MBMQ-SEL-INDEX
087100                   WHEN X-MMEX-SEL IS GREATER THAN 35
087200                     MOVE 36     TO MBCA-MBMQ-SEL-INDEX
087300                   WHEN X-MMEX-SEL IS GREATER THAN 28
087400                     MOVE 29     TO MBCA-MBMQ-SEL-INDEX
087500                   WHEN X-MMEX-SEL IS GREATER THAN 21
087600                     MOVE 22     TO MBCA-MBMQ-SEL-INDEX
087700                   WHEN X-MMEX-SEL IS GREATER THAN 14
087800                     MOVE 15     TO MBCA-MBMQ-SEL-INDEX
087900                   WHEN X-MMEX-SEL IS GREATER THAN 7
088000                     MOVE 8      TO MBCA-MBMQ-SEL-INDEX
088100                   WHEN OTHER
088200                     MOVE 1      TO MBCA-MBMQ-SEL-INDEX
088300                 END-EVALUATE
088400                 MOVE 52         TO MBCA-SCREEN-NBR
088500                 GO TO 2690-PF-KEY-BYPASS
088600             END-IF
088700         END-PERFORM
088800         MOVE 1                  TO MBCA-MBMQ-SEL-INDEX
088900         MOVE 52                 TO MBCA-SCREEN-NBR
089000         GO TO 2690-PF-KEY-BYPASS.
089100*
089200     IF  SS08WS-VALID-PF5
089300     OR  SS08WS-EIBAID-VALID-PF5
089400         IF  MBCA-MBMQ-SEL-INDEX IS EQUAL TO 64
089500             MOVE 52             TO MBCA-SCREEN-NBR
089600             GO TO 2690-PF-KEY-BYPASS
089700         ELSE
089800             PERFORM
089900                 VARYING X-MQ02-SEL FROM 1 BY 1
090000                 UNTIL X-MQ02-SEL IS GREATER THAN 7
090100                 IF  MQ02-FILE-ID (X-MQ02-SEL) IS EQUAL TO SPACES
090200                     MOVE 52   TO MBCA-SCREEN-NBR
090300                     GO TO 2690-PF-KEY-BYPASS
090400                 END-IF
090500             END-PERFORM
090600             COMPUTE MBCA-MBMQ-SEL-INDEX
090700                                 = MBCA-MBMQ-SEL-INDEX
090800                                 + 7
090900             MOVE 52             TO MBCA-SCREEN-NBR
091000             GO TO 2690-PF-KEY-BYPASS.
091100*
091200     IF  (SS08WS-VALID-PF6
091300     OR  SS08WS-EIBAID-VALID-PF6)
091400         IF  MBCA-MBMQ-SEL-INDEX IS LESS THAN 7
091500             MOVE 1              TO MBCA-MBMQ-SEL-INDEX
091600             MOVE 52             TO MBCA-SCREEN-NBR
091700             GO TO 2690-PF-KEY-BYPASS
091800         ELSE
091900             COMPUTE MBCA-MBMQ-SEL-INDEX
092000                                 = MBCA-MBMQ-SEL-INDEX
092100                                 - 7
092200             MOVE 52             TO MBCA-SCREEN-NBR
092300             GO TO 2690-PF-KEY-BYPASS.
092400*
092500     PERFORM MB60PD-EDIT-PAGE-NBR
092600                                 THRU MB60PD-EPN-EXIT.
092700*
092800     IF  SS08WS-VALID-PF-KEY
092900     OR  SS08WS-EIBAID-VALID-PF-KEY
093000         SET MBCA-INITIAL-SCREEN-NBR
093100                                 TO TRUE.
093200*
093300 2690-PF-KEY-BYPASS.
093400*
093500     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
093600     PERFORM MB70PD-XCTL-TO-MBOXCTL
093700                                 THRU MB70PD-XTM-EXIT.
093800/
093900 9000-PERFORMED-ROUTINES-SECT SECTION.
094000*
094100*
094200 9050-WRITE-LOG-REC.
094300*
094400*****************************************************************
094500*    WRITE THE LOG/JOURNAL FILE RECORD                          *
094600*****************************************************************
094700*
094800     IF  MBCA-PTI-FUNCTION-IS-ADD
094900         GO TO 9099-WLR-EXIT.
095000*
095100     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
095200     SET MBIORO-WRITE            TO TRUE.
095300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
095400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
095500*
095600 9099-WLR-EXIT.
095700     EXIT.
095800*
095900 9100-SEARCH-TABLE.
096000*
096100     SET X-MMEXTB                TO 1.
096200*
096300     MOVE MQ02-FILE-ID (X-MQ02-SEL)
096400                                 TO MMEXWS-FILE-ID.
096500     MOVE MQ02-FIELD-NBR (X-MQ02-SEL)
096600                                 TO MMEXWS-FIELD-NBR.
096700*
096800     SEARCH MMEXTB-DATA-DICTIONARY VARYING X-MMEXTB
096900         AT END
097000             SET X-MMEXTB        TO 1100
097100         WHEN MMEXTB-FIELD-CODE (X-MMEXTB) IS EQUAL TO
097200                                    MMEXWS-FIELD-CODE
097300             MOVE MMEXTB-SEL-MAINT-DATA (X-MMEXTB)
097400                                 TO MMEX-SELECT-DICTIONARY-DATA
097500                                    (X-MMEX-SEL)
097600             MOVE MMEXTB-DATA-DICTIONARY (X-MMEXTB)
097700                                 TO MMEXWS-DATA-DICTIONARY.
097800*
097900     IF  X-MMEXTB IS EQUAL TO 1100
098000         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
098100                                    (X-MQ02-SEL)
098200         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
098300                                    (X-MQ02-SEL)
098400                                    MQ02-CONDITION-A
098500                                    (X-MQ02-SEL)
098600                                    MQ02-SEL-VALUE-A
098700                                    (X-MQ02-SEL)
098800                                    MQ02-CONNECTOR-A
098900                                    (X-MQ02-SEL)
099000         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
099100                                    (X-MQ02-SEL)
099200                                    MQ02-FILE-ID-RP-A
099300                                    (X-MQ02-SEL)
099400                                    MQ02-FIELD-NBR-LP-A
099500                                    (X-MQ02-SEL)
099600                                    MQ02-FIELD-NBR-RP-A
099700                                    (X-MQ02-SEL)
099800                                    MQ02-SEL-VALUE-LP-A
099900                                    (X-MQ02-SEL)
100000                                    MQ02-SEL-VALUE-RP-A
100100                                    (X-MQ02-SEL)
100200                                    MQ02-CONDITION-LP-A
100300                                    (X-MQ02-SEL)
100400                                    MQ02-CONDITION-RP-A
100500                                    (X-MQ02-SEL)
100600                                    MQ02-CONNECTOR-LP-A
100700                                    (X-MQ02-SEL)
100800                                    MQ02-CONNECTOR-RP-A
100900                                    (X-MQ02-SEL)
101000         MOVE SS08WS-CURSOR      TO MQ02-FILE-ID-L
101100                                    (X-MQ02-SEL)
101200         MOVE 'FIELD NBR NOT VALID FOR FILE'
101300                                 TO MQ02-ERR-MESSAGE
101400         SET SS08WS-ERROR-SW-YES TO TRUE.
101500*
101600 9199-ST-EXIT.
101700     EXIT.
101800*
101900 9200-CROSS-EDIT-SEL-VALUE.
102000*
102100     MOVE ZEROS                  TO WS-NBR-LENGTH
102200                                    WS-BIN-LENGTH
102300                                    WS-PACK-LENGTH.
102400*
102500     IF  MQ02-SEL-VALUE (X-MQ02-SEL) IS EQUAL TO SPACES
102600     OR  SS08WS-ERROR-SW-YES
102700         GO TO 9299-CESV-EXIT.
102800*
102900     MOVE 1                      TO MMEXWS-EA-REFMOD.
103000     MOVE ZEROS                  TO MMEXWS-EA-REFMOD-2.
103100     MOVE SPACES                 TO MMEXWS-FILE-AREA.
103200     MOVE MQ02-SEL-VALUE (X-MQ02-SEL)
103300                                 TO MMEXWS-FILE-AREA.
103400     MOVE SPACES                 TO MMEXWS-EXAM-AREA
103500                                    WS-FOUND-DATA-SW.
103600*
103700     IF  MMEXWS-SD-NUMERIC
103800         PERFORM
103900             VARYING MMEXWS-FA-REFMOD FROM 1 BY 1
104000             UNTIL MMEXWS-FA-REFMOD IS GREATER THAN 50
104100             IF  MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
104200                                 IS NOT EQUAL TO SPACES
104300                 MOVE MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
104400                                 TO MMEXWS-EXAM-AREA
104500                                   (MMEXWS-EA-REFMOD:1)
104600                 ADD 1           TO MMEXWS-EA-REFMOD
104700             END-IF
104800         END-PERFORM
104900     ELSE
105000         PERFORM
105100             VARYING MMEXWS-FA-REFMOD FROM 50 BY -1
105200             UNTIL MMEXWS-FA-REFMOD IS LESS THAN 1
105300             IF  MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
105400                                 IS NOT EQUAL TO SPACES
105500             OR WS-FOUND-DATA
105600                 SET WS-FOUND-DATA
105700                                 TO TRUE
105800                 MOVE MMEXWS-FA-REFMOD
105900                                 TO MMEXWS-EA-REFMOD
106000                 MOVE MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
106100                                 TO MMEXWS-EXAM-AREA
106200                                   (MMEXWS-EA-REFMOD:1)
106300                 ADD 1           TO MMEXWS-EA-REFMOD-2
106400             END-IF
106500         END-PERFORM
106600         MOVE MMEXWS-EA-REFMOD-2
106700                                 TO MMEXWS-EA-REFMOD
106800     END-IF.
106900*
107000     MOVE MMEXWS-EXAM-AREA       TO MQ02-SEL-VALUE (X-MQ02-SEL).
107100*
107200     EVALUATE TRUE
107300         WHEN MMEXWS-SD-VALID-DATE
107400             PERFORM 9300-DATE-VALIDATION
107500                                 THRU 9309-DV-EXIT
107600             GO TO 9299-CESV-EXIT
107700         WHEN (MMEXWS-FF-PACKED-SIGNED
107800           OR MMEXWS-FF-PACKED-UNSIGNED)
107900             PERFORM 9310-PACKED-AMOUNT-EDIT
108000                                 THRU 9319-PAE-EXIT
108100             GO TO 9299-CESV-EXIT
108200         WHEN (MMEXWS-FF-BINARY-SIGNED
108300           OR MMEXWS-FF-BINARY-UNSIGNED)
108400             PERFORM 9320-BINARY-AMOUNT-EDIT
108500                                 THRU 9329-BAE-EXIT
108600             GO TO 9299-CESV-EXIT
108700         WHEN  MMEXWS-SD-NUMERIC
108800             PERFORM 9340-NUMERIC-ZD
108900                                 THRU 9349-NZ-EXIT
109000             GO TO 9299-CESV-EXIT
109100     END-EVALUATE.
109200*
109300     IF  MMEXWS-EA-REFMOD IS GREATER THAN MMEXWS-LENGTH
109400         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
109500                                    (X-MQ02-SEL)
109600         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
109700                                    (X-MQ02-SEL)
109800                                    MQ02-CONDITION-A
109900                                    (X-MQ02-SEL)
110000                                    MQ02-SEL-VALUE-A
110100                                    (X-MQ02-SEL)
110200                                    MQ02-CONNECTOR-A
110300                                    (X-MQ02-SEL)
110400         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
110500                                    (X-MQ02-SEL)
110600                                    MQ02-FILE-ID-RP-A
110700                                    (X-MQ02-SEL)
110800                                    MQ02-FIELD-NBR-LP-A
110900                                    (X-MQ02-SEL)
111000                                    MQ02-FIELD-NBR-RP-A
111100                                    (X-MQ02-SEL)
111200                                    MQ02-SEL-VALUE-LP-A
111300                                    (X-MQ02-SEL)
111400                                    MQ02-SEL-VALUE-RP-A
111500                                    (X-MQ02-SEL)
111600                                    MQ02-CONDITION-LP-A
111700                                    (X-MQ02-SEL)
111800                                    MQ02-CONDITION-RP-A
111900                                    (X-MQ02-SEL)
112000                                    MQ02-CONNECTOR-LP-A
112100                                    (X-MQ02-SEL)
112200                                    MQ02-CONNECTOR-RP-A
112300                                    (X-MQ02-SEL)
112400         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
112500                                    (X-MQ02-SEL)
112600         MOVE 'SELECTION VALUE GREATER THAN FIELD LENGTH'
112700                                 TO MQ02-ERR-MESSAGE
112800         MOVE MMEXWS-LENGTH      TO MQ02-ERR-MESSAGE (43:2)
112900         SET SS08WS-ERROR-SW-YES TO TRUE.
113000*
113100 9299-CESV-EXIT.
113200     EXIT.
113300*
113400 9300-DATE-VALIDATION.
113500*
113600     IF  MMEXWS-EXAM-AREA (9:1) IS NOT EQUAL TO SPACES
113700         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
113800                                    (X-MQ02-SEL)
113900         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
114000                                    (X-MQ02-SEL)
114100                                    MQ02-CONDITION-A
114200                                    (X-MQ02-SEL)
114300                                    MQ02-SEL-VALUE-A
114400                                    (X-MQ02-SEL)
114500                                    MQ02-CONNECTOR-A
114600                                    (X-MQ02-SEL)
114700         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
114800                                    (X-MQ02-SEL)
114900                                    MQ02-FILE-ID-RP-A
115000                                    (X-MQ02-SEL)
115100                                    MQ02-FIELD-NBR-LP-A
115200                                    (X-MQ02-SEL)
115300                                    MQ02-FIELD-NBR-RP-A
115400                                    (X-MQ02-SEL)
115500                                    MQ02-SEL-VALUE-LP-A
115600                                    (X-MQ02-SEL)
115700                                    MQ02-SEL-VALUE-RP-A
115800                                    (X-MQ02-SEL)
115900                                    MQ02-CONDITION-LP-A
116000                                    (X-MQ02-SEL)
116100                                    MQ02-CONDITION-RP-A
116200                                    (X-MQ02-SEL)
116300                                    MQ02-CONNECTOR-LP-A
116400                                    (X-MQ02-SEL)
116500                                    MQ02-CONNECTOR-RP-A
116600                                    (X-MQ02-SEL)
116700         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
116800                                    (X-MQ02-SEL)
116900         MOVE 'SELECTION VALUE GREATER THAN DATE LENGTH'
117000                                 TO MQ02-ERR-MESSAGE
117100         SET SS08WS-ERROR-SW-YES TO TRUE
117200         GO TO 9309-DV-EXIT.
117300*
117400     IF  MMEXWS-EXAM-AREA (1:8)  IS NOT NUMERIC
117500         IF  MMEXWS-EXAM-AREA (7:1)  IS NOT EQUAL TO SPACES
117600         OR  MMEXWS-EXAM-AREA (1:6)  IS NOT NUMERIC
117700             MOVE DFHBMNBF       TO MQ02-FIELD-NBR-A
117800                                    (X-MQ02-SEL)
117900             MOVE DFHBMUBF       TO MQ02-FILE-ID-A
118000                                    (X-MQ02-SEL)
118100                                    MQ02-CONDITION-A
118200                                    (X-MQ02-SEL)
118300                                    MQ02-SEL-VALUE-A
118400                                    (X-MQ02-SEL)
118500                                    MQ02-CONNECTOR-A
118600                                    (X-MQ02-SEL)
118700             MOVE DFHBMASB       TO MQ02-FILE-ID-LP-A
118800                                    (X-MQ02-SEL)
118900                                    MQ02-FILE-ID-RP-A
119000                                    (X-MQ02-SEL)
119100                                    MQ02-FIELD-NBR-LP-A
119200                                    (X-MQ02-SEL)
119300                                    MQ02-FIELD-NBR-RP-A
119400                                    (X-MQ02-SEL)
119500                                    MQ02-SEL-VALUE-LP-A
119600                                    (X-MQ02-SEL)
119700                                    MQ02-SEL-VALUE-RP-A
119800                                    (X-MQ02-SEL)
119900                                    MQ02-CONDITION-LP-A
120000                                    (X-MQ02-SEL)
120100                                    MQ02-CONDITION-RP-A
120200                                    (X-MQ02-SEL)
120300                                    MQ02-CONNECTOR-LP-A
120400                                    (X-MQ02-SEL)
120500                                    MQ02-CONNECTOR-RP-A
120600                                    (X-MQ02-SEL)
120700             MOVE SS08WS-CURSOR  TO MQ02-SEL-VALUE-L
120800                                    (X-MQ02-SEL)
120900             MOVE 'INVALID DATE ENTERED'
121000                                 TO MQ02-ERR-MESSAGE
121100             SET SS08WS-ERROR-SW-YES TO TRUE
121200             GO TO 9309-DV-EXIT
121300         ELSE
121400             MOVE MMEXWS-EXAM-AREA (1:6)
121500                                 TO SS01WS-MDYZ
121600             MOVE SS01WS-MDYZ    TO SS01WS-DATEZ
121700     ELSE
121800         MOVE MMEXWS-EXAM-AREA (1:8)
121900                                 TO SS01WS-DATEZ.
122000*
122100     PERFORM SS05PD-DATE-VALIDATION
122200                                 THRU SS05PD-DV-EXIT.
122300*
122400     IF  SS01WS-DATE-IS-INVALID
122500         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
122600                                    (X-MQ02-SEL)
122700         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
122800                                    (X-MQ02-SEL)
122900                                    MQ02-CONDITION-A
123000                                    (X-MQ02-SEL)
123100                                    MQ02-SEL-VALUE-A
123200                                    (X-MQ02-SEL)
123300                                    MQ02-CONNECTOR-A
123400                                    (X-MQ02-SEL)
123500         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
123600                                    (X-MQ02-SEL)
123700                                    MQ02-FILE-ID-RP-A
123800                                    (X-MQ02-SEL)
123900                                    MQ02-FIELD-NBR-LP-A
124000                                    (X-MQ02-SEL)
124100                                    MQ02-FIELD-NBR-RP-A
124200                                    (X-MQ02-SEL)
124300                                    MQ02-SEL-VALUE-LP-A
124400                                    (X-MQ02-SEL)
124500                                    MQ02-SEL-VALUE-RP-A
124600                                    (X-MQ02-SEL)
124700                                    MQ02-CONDITION-LP-A
124800                                    (X-MQ02-SEL)
124900                                    MQ02-CONDITION-RP-A
125000                                    (X-MQ02-SEL)
125100                                    MQ02-CONNECTOR-LP-A
125200                                    (X-MQ02-SEL)
125300                                    MQ02-CONNECTOR-RP-A
125400                                    (X-MQ02-SEL)
125500         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
125600                                    (X-MQ02-SEL)
125700         MOVE 'INVALID DATE ENTERED'
125800                                 TO MQ02-ERR-MESSAGE
125900         SET SS08WS-ERROR-SW-YES TO TRUE.
126000*
126100 9309-DV-EXIT.
126200     EXIT.
126300*
126400 9310-PACKED-AMOUNT-EDIT.
126500*
126600     COMPUTE WS-PACK-LENGTH = MMEXWS-LENGTH * 2 - 1.
126700*
126800     MOVE SPACES                 TO MMEXWS-FILE-AREA.
126900     MOVE MMEXWS-EXAM-AREA       TO MMEXWS-FILE-AREA.
127000*
127100     PERFORM
127200         VARYING MMEXWS-FA-REFMOD FROM 1 BY 1
127300         UNTIL MMEXWS-FA-REFMOD IS GREATER THAN MMEXWS-EA-REFMOD
127400         MOVE MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
127500                                 TO WS-ONE-BYTE
127600         IF  WS-VALID-ONE-BYTE
127700             CONTINUE
127800         ELSE
127900             IF  WS-ONE-BYTE IS NUMERIC
128000                 ADD 1           TO WS-NBR-LENGTH
128100             END-IF
128200         END-IF
128300     END-PERFORM.
128400*
128500     IF  WS-NBR-LENGTH IS GREATER THAN WS-PACK-LENGTH
128600     OR  WS-NBR-LENGTH IS EQUAL TO ZERO
128700         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
128800                                    (X-MQ02-SEL)
128900         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
129000                                    (X-MQ02-SEL)
129100                                    MQ02-CONDITION-A
129200                                    (X-MQ02-SEL)
129300                                    MQ02-SEL-VALUE-A
129400                                    (X-MQ02-SEL)
129500                                    MQ02-CONNECTOR-A
129600                                    (X-MQ02-SEL)
129700         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
129800                                    (X-MQ02-SEL)
129900                                    MQ02-FILE-ID-RP-A
130000                                    (X-MQ02-SEL)
130100                                    MQ02-FIELD-NBR-LP-A
130200                                    (X-MQ02-SEL)
130300                                    MQ02-FIELD-NBR-RP-A
130400                                    (X-MQ02-SEL)
130500                                    MQ02-SEL-VALUE-LP-A
130600                                    (X-MQ02-SEL)
130700                                    MQ02-SEL-VALUE-RP-A
130800                                    (X-MQ02-SEL)
130900                                    MQ02-CONDITION-LP-A
131000                                    (X-MQ02-SEL)
131100                                    MQ02-CONDITION-RP-A
131200                                    (X-MQ02-SEL)
131300                                    MQ02-CONNECTOR-LP-A
131400                                    (X-MQ02-SEL)
131500                                    MQ02-CONNECTOR-RP-A
131600                                    (X-MQ02-SEL)
131700         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
131800                                    (X-MQ02-SEL)
131900         IF  WS-NBR-LENGTH IS EQUAL TO ZERO
132000             MOVE 'SELECTION VALUE NOT NUMERIC'
132100                                 TO MQ02-ERR-MESSAGE
132200         ELSE
132300             MOVE 'SELECTION VALUE GREATER THAN FIELD LENGTH'
132400                                 TO MQ02-ERR-MESSAGE
132500         END-IF
132600         SET SS08WS-ERROR-SW-YES TO TRUE
132700     END-IF.
132800*
132900 9319-PAE-EXIT.
133000     EXIT.
133100*
133200 9320-BINARY-AMOUNT-EDIT.
133300*
133400     MOVE ZEROS                  TO WS-NBR-LENGTH.
133500*
133600     EVALUATE TRUE
133700         WHEN MMEXWS-LENGTH IS EQUAL TO 2
133800             MOVE 4              TO WS-BIN-LENGTH
133900         WHEN MMEXWS-LENGTH IS EQUAL TO 4
134000             MOVE 9              TO WS-BIN-LENGTH
134100         WHEN MMEXWS-LENGTH IS EQUAL TO 8
134200             MOVE 18             TO WS-BIN-LENGTH
134300     END-EVALUATE.
134400*
134500     MOVE SPACES                 TO MMEXWS-FILE-AREA.
134600     MOVE MMEXWS-EXAM-AREA       TO MMEXWS-FILE-AREA.
134700*
134800     PERFORM
134900         VARYING MMEXWS-FA-REFMOD FROM 1 BY 1
135000         UNTIL MMEXWS-FA-REFMOD IS GREATER THAN MMEXWS-EA-REFMOD
135100         MOVE MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
135200                                 TO WS-ONE-BYTE
135300         IF  WS-VALID-ONE-BYTE
135400             CONTINUE
135500         ELSE
135600             IF  WS-ONE-BYTE IS NUMERIC
135700                 ADD 1           TO WS-NBR-LENGTH
135800             END-IF
135900         END-IF
136000     END-PERFORM.
136100*
136200     IF  WS-NBR-LENGTH IS GREATER THAN WS-BIN-LENGTH
136300     OR  WS-NBR-LENGTH IS EQUAL TO ZERO
136400         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
136500                                    (X-MQ02-SEL)
136600         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
136700                                    (X-MQ02-SEL)
136800                                    MQ02-CONDITION-A
136900                                    (X-MQ02-SEL)
137000                                    MQ02-SEL-VALUE-A
137100                                    (X-MQ02-SEL)
137200                                    MQ02-CONNECTOR-A
137300                                    (X-MQ02-SEL)
137400         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
137500                                    (X-MQ02-SEL)
137600                                    MQ02-FILE-ID-RP-A
137700                                    (X-MQ02-SEL)
137800                                    MQ02-FIELD-NBR-LP-A
137900                                    (X-MQ02-SEL)
138000                                    MQ02-FIELD-NBR-RP-A
138100                                    (X-MQ02-SEL)
138200                                    MQ02-SEL-VALUE-LP-A
138300                                    (X-MQ02-SEL)
138400                                    MQ02-SEL-VALUE-RP-A
138500                                    (X-MQ02-SEL)
138600                                    MQ02-CONDITION-LP-A
138700                                    (X-MQ02-SEL)
138800                                    MQ02-CONDITION-RP-A
138900                                    (X-MQ02-SEL)
139000                                    MQ02-CONNECTOR-LP-A
139100                                    (X-MQ02-SEL)
139200                                    MQ02-CONNECTOR-RP-A
139300                                    (X-MQ02-SEL)
139400         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
139500                                    (X-MQ02-SEL)
139600         IF  WS-NBR-LENGTH IS EQUAL TO ZERO
139700             MOVE 'SELECTION VALUE NOT NUMERIC'
139800                                 TO MQ02-ERR-MESSAGE
139900         ELSE
140000             MOVE 'SELECTION VALUE GREATER THAN FIELD LENGTH'
140100                                 TO MQ02-ERR-MESSAGE
140200         END-IF
140300         SET SS08WS-ERROR-SW-YES TO TRUE.
140400*
140500 9329-BAE-EXIT.
140600     EXIT.
140700*
140800 9340-NUMERIC-ZD.
140900*
141000     MOVE ZEROS                  TO WS-NBR-LENGTH.
141100*
141200     MOVE SPACES                 TO MMEXWS-FILE-AREA.
141300     MOVE MMEXWS-EXAM-AREA       TO MMEXWS-FILE-AREA.
141400*
141500     PERFORM
141600         VARYING MMEXWS-FA-REFMOD FROM 1 BY 1
141700         UNTIL MMEXWS-FA-REFMOD IS GREATER THAN MMEXWS-EA-REFMOD
141800         MOVE MMEXWS-FILE-AREA (MMEXWS-FA-REFMOD:1)
141900                                 TO WS-ONE-BYTE
142000         IF  WS-VALID-ONE-BYTE
142100             CONTINUE
142200         ELSE
142300             IF  WS-ONE-BYTE IS NUMERIC
142400                 ADD 1           TO WS-NBR-LENGTH
142500             END-IF
142600         END-IF
142700     END-PERFORM.
142800*
142900     IF  WS-NBR-LENGTH IS GREATER THAN MMEXWS-LENGTH
143000     OR  WS-NBR-LENGTH IS EQUAL TO ZERO
143100         MOVE DFHBMNBF           TO MQ02-FIELD-NBR-A
143200                                    (X-MQ02-SEL)
143300         MOVE DFHBMUBF           TO MQ02-FILE-ID-A
143400                                    (X-MQ02-SEL)
143500                                    MQ02-CONDITION-A
143600                                    (X-MQ02-SEL)
143700                                    MQ02-SEL-VALUE-A
143800                                    (X-MQ02-SEL)
143900                                    MQ02-CONNECTOR-A
144000                                    (X-MQ02-SEL)
144100         MOVE DFHBMASB           TO MQ02-FILE-ID-LP-A
144200                                    (X-MQ02-SEL)
144300                                    MQ02-FILE-ID-RP-A
144400                                    (X-MQ02-SEL)
144500                                    MQ02-FIELD-NBR-LP-A
144600                                    (X-MQ02-SEL)
144700                                    MQ02-FIELD-NBR-RP-A
144800                                    (X-MQ02-SEL)
144900                                    MQ02-SEL-VALUE-LP-A
145000                                    (X-MQ02-SEL)
145100                                    MQ02-SEL-VALUE-RP-A
145200                                    (X-MQ02-SEL)
145300                                    MQ02-CONDITION-LP-A
145400                                    (X-MQ02-SEL)
145500                                    MQ02-CONDITION-RP-A
145600                                    (X-MQ02-SEL)
145700                                    MQ02-CONNECTOR-LP-A
145800                                    (X-MQ02-SEL)
145900                                    MQ02-CONNECTOR-RP-A
146000                                    (X-MQ02-SEL)
146100         MOVE SS08WS-CURSOR      TO MQ02-SEL-VALUE-L
146200                                    (X-MQ02-SEL)
146300         IF  WS-NBR-LENGTH IS EQUAL TO ZERO
146400             MOVE 'SELECTION VALUE NOT NUMERIC'
146500                                 TO MQ02-ERR-MESSAGE
146600         ELSE
146700             MOVE 'SELECTION VALUE GREATER THAN FIELD LENGTH'
146800                                 TO MQ02-ERR-MESSAGE
146900         END-IF
147000         SET SS08WS-ERROR-SW-YES TO TRUE.
147100*
147200 9349-NZ-EXIT.
147300     EXIT.
147400*
147500 9400-CROSS-EDIT-ALL-FIELDS.
147600*
147700     IF  SS08WS-ERROR-SW-YES
147800         GO TO 9499-CEAF-EXIT.
147900*
148000     IF  MQ02-FILE-ID (X-MQ02-SEL)
148100                                 IS NOT EQUAL TO SPACES
148200     OR  MQ02-FIELD-NBR (X-MQ02-SEL)
148300                                 IS GREATER THAN ZERO
148400     OR  MQ02-CONDITION (X-MQ02-SEL)
148500                                 IS NOT EQUAL TO SPACES
148600     OR  MQ02-SEL-VALUE (X-MQ02-SEL)
148700                                 IS NOT EQUAL TO SPACES
148800     OR  MQ02-CONNECTOR (X-MQ02-SEL)
148900                                 IS NOT EQUAL TO SPACES
149000         IF MQ02-FILE-ID (X-MQ02-SEL)
149100                                 IS EQUAL TO SPACES
149200         OR MQ02-FIELD-NBR (X-MQ02-SEL)
149300                                 IS EQUAL TO ZERO
149400         OR MQ02-CONDITION (X-MQ02-SEL)
149500                                 IS EQUAL TO SPACES
149600         OR MQ02-SEL-VALUE (X-MQ02-SEL)
149700                                 IS EQUAL TO SPACES
149800         OR MQ02-CONNECTOR (X-MQ02-SEL)
149900                                 IS EQUAL TO SPACES
150000             MOVE DFHBMNBF       TO MQ02-FIELD-NBR-A
150100                                    (X-MQ02-SEL)
150200             MOVE DFHBMUBF       TO MQ02-FILE-ID-A
150300                                    (X-MQ02-SEL)
150400                                    MQ02-CONDITION-A
150500                                    (X-MQ02-SEL)
150600                                    MQ02-SEL-VALUE-A
150700                                    (X-MQ02-SEL)
150800                                    MQ02-CONNECTOR-A
150900                                    (X-MQ02-SEL)
151000             MOVE DFHBMASB       TO MQ02-FILE-ID-LP-A
151100                                    (X-MQ02-SEL)
151200                                    MQ02-FILE-ID-RP-A
151300                                    (X-MQ02-SEL)
151400                                    MQ02-FIELD-NBR-LP-A
151500                                    (X-MQ02-SEL)
151600                                    MQ02-FIELD-NBR-RP-A
151700                                    (X-MQ02-SEL)
151800                                    MQ02-SEL-VALUE-LP-A
151900                                    (X-MQ02-SEL)
152000                                    MQ02-SEL-VALUE-RP-A
152100                                    (X-MQ02-SEL)
152200                                    MQ02-CONDITION-LP-A
152300                                    (X-MQ02-SEL)
152400                                    MQ02-CONDITION-RP-A
152500                                    (X-MQ02-SEL)
152600                                    MQ02-CONNECTOR-LP-A
152700                                    (X-MQ02-SEL)
152800                                    MQ02-CONNECTOR-RP-A
152900                                    (X-MQ02-SEL)
153000             MOVE SS08WS-CURSOR  TO MQ02-FILE-ID-L
153100                                    (X-MQ02-SEL)
153200             SET SS08WS-ERROR-SW-YES TO TRUE.
153300*
153400 9499-CEAF-EXIT.
153500     EXIT.
153600*
153700/         DATE VALIDATION ROUTINE
153800     COPY SS05PD.
153900/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
154000     COPY SS26PD.
154100/    ROUTINE TO NUMERICALLY EDIT TIME
154200     COPY SS27PD.
154300/         JULIAN TO GREGORIAN DATE ROUTINE
154400     COPY SS08PD.
154500/         LINE 24 PF KEYS ROUTINE
154600     COPY SS15PD.
154700/         EXAM FILE ACCESS ROUTINES
154800     COPY MMEXAO.
154900/         LOG/JOURNAL ACCESS ROUTINES
155000     COPY MML1AO.
155100/         ON-LINE MAP ROUTINES
155200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMQ02 '
155300                           MBMAPXXI BY MBMQ02I
155400                           MBMAPXXO BY MBMQ02O.
155500/         ON-LINE PROCEDURES
155600     COPY MB70PD.
155700/
155800     COPY SMFTPXO.
