000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMR01 - ON-LINE MERCHANT DISCOUNT TABLE RECORD         *
000800*                ADD/MAINTENANCE/INQUIRY                        *
000900*                SCREEN 01                                      *
001000*                                                               *
001100*              1. TRANSIDS                                      *
001200*                 A. MBAR                                       *
001300*                 B. MBMR                                       *
001400*                 C. MBQR                                       *
001500*              2. MAPS USED -                                   *
001600*                 A. MBMR01 (MAP 01)                            *
001700*              3. FILES USED -                                  *
001800*                 A. MMRT   (MERCHANT DISCOUNT RATE TABLE FILE) *
001900*                 B. MML1   (MERCHANT LOG/JOURNAL FILE)         *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400 DATA DIVISION.
002500 WORKING-STORAGE SECTION.
002600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002700*
002800/         I/O REQUEST BLOCK WORK AREAS
002900     COPY MBIOWS.
003000*
003100/         I/O REQUEST BLOCK
003200     COPY MBIORO.
003300*
003400/         LOG/JOURNAL WORK AREA.
003500     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003600*
003700/         DATE WORK AREAS
003800     COPY SS01WS.
003900*
004000/         ONLINE WORK AREAS
004100     COPY SS08WS.
004200/
004300     COPY SS00WS.
004400/
004500     COPY SMFTWS.
004600/
004700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004800/
004900     COPY MB61LK.
005000/         STANDARD ERROR MESSAGES
005100     COPY MBEMWS.
005200*
005300/         MERCHANT DISCOUNT RATE TABLE DESCRIPTIONS
005400     COPY MMRTTB.
005500*
005600/         MERCHANT DISCOUNT RATE TABLE WORKING STORAGE
005700     COPY MMRTWS.
005800*
005900 01  WS-WORK-AREA.
006000     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
006100         88  WS-UPDATE-SW-NO                 VALUE 'N'.
006200         88  WS-UPDATE-SW-YES                VALUE 'Y'.
006300*
006400     03  WS-INDEX            PIC S9(04)      BINARY.
006500*
006600     03  WS-RATE             PIC S9(09)      COMP-3
006700                                             VALUE ZEROES.
006800     03  WS-EXCP-PRIO        PIC  X(01)      VALUE SPACE.
006900     03  WS-EXCP-PRIO-COUNT  PIC S9(01)      COMP-3
007000                                             VALUE ZERO.
007100     03  WS-X-MR01-EP        PIC S9(04)      BINARY
007200                                             VALUE ZEROES.
007300*
007400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007500/
007600 LINKAGE SECTION.
007700 01  DFHCOMMAREA.
007800     COPY MB60WS.
007900/         MERCHANT DISCOUNT RATE TABLE 01 MAP DSECT
008000     COPY MBMR01.
008100*
008200/         MERCHANT DISCOUNT RATE TABLE 01 REDEFINES
008300     COPY MBMR01R.
008400*
008500/         MERCHANT DISCOUNT RATE TABLE RECORD LAYOUT
008600     COPY MMRTRL.
008700*
008800/         ORG CONTROL RECORD LAYOUT
008900     COPY MMOCRL.
009000*
009100/         LOG/JOURNAL FILE RECORD LAYOUT.
009200     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
009300*
009400 PROCEDURE DIVISION.
009500 0000-HOUSEKEEPING SECTION.
009600 0100-INIT.
009700*
009800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
009900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010000        THRU MB70PD-OLH-EXIT.
010100*
010200     IF  MBCA-RECEIVE-SCREEN
010300         GO TO 2000-RECEIVE-SCREEN.
010400*
010500 1000-SEND-SCREEN SECTION.
010600*
010700****************************************************************
010800*    THIS SECTION BUILDS AND SENDS THE 01 SCREEN.              *
010900****************************************************************
011000*
011100****************************************************************
011200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011300****************************************************************
011400*
011500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011600     PERFORM MB60PD-GETMAIN-FOR-MAP
011700        THRU MB60PD-GFM-EXIT.
011800*
011900     COMPUTE MBCA-SCREEN-NBR     = MBCA-SCREEN-NBR  - 50.
012000*
012100 1100-BUILD-SCREEN.
012200*
012300****************************************************************
012400*    INITIALIZE THE STANDARD MAP LINES                         *
012500****************************************************************
012600*
012700     MOVE MBCA-MERCHANT-ORG      TO MR01-ORG.
012800     MOVE MBCA-TABLE             TO MR01-TABLE.
012900     MOVE MBCA-TABLE-TYPE        TO MR01-TABLE-TYPE.
013000     MOVE DFHBMASB               TO MR01-ORG-A
013100                                    MR01-TABLE-A.
013200*
013300     IF  MBCA-TABLE-TYPE IS EQUAL TO 'V'
013400         MOVE DFHBMDAS           TO MR01-LEVEL-LP-A
013500                                    MR01-LEVEL-RP-A
013600         MOVE DFHBMASK           TO MR01-LEVEL-A.
013700*
013800     IF  MBCA-PTI-FUNCTION-IS-MAINT
013900         MOVE DFHBMDAS           TO MR01-LEVEL-LP-A
014000                                    MR01-LEVEL-RP-A
014100         MOVE DFHBMASK           TO MR01-LEVEL-A
014200         MOVE DFHBMDAS           TO MR01-METHOD-LP-A
014300                                    MR01-METHOD-RP-A
014400         MOVE DFHBMASK           TO MR01-METHOD-A.
014500*
014600     IF  MBCA-PTI-FUNCTION-IS-MAINT
014700         IF  MBCA-TABLE-TYPE IS EQUAL TO 'V'
014800             MOVE SS08WS-CURSOR  TO MR01-TITLE-L
014900         ELSE
015000             MOVE SS08WS-CURSOR  TO MR01-TITLE-L
015100     ELSE
015200         MOVE SS08WS-CURSOR      TO MR01-METHOD-L.
015300*
015310     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
015312         MOVE SS08WS-CURSOR      TO MR01-ALT-TRANID-L
015314     END-IF.
015316*
015400     PERFORM MB60PD-INIT-STD-MAP-LINES
015500        THRU MB60PD-ISML-EXIT.
015600*
015700******************************************************************
015800*    READ THE DISCOUNT RATE TABLE RECORD AND BUILD THE MAP       *
015900******************************************************************
016000*
016100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
016300     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
016400     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
016500     SET MBIORO-READ-RANDOM      TO TRUE.
016600     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
016700*
016800******************************************************************
016900*    MOVE LAST MAINT DATE AND LAST MAINT OPERATOR TO THE SCREEN  *
017000*    DEPENDING ON THE FUNCTION.                                  *
017100******************************************************************
017200*
017300     IF  MBCA-PTI-FUNCTION-IS-ADD
017400         MOVE DFHBMDAS           TO MR01-LAST-MAINT-LIT-A
017500                                    MR01-LAST-MAINT-DATE-A
017600                                    MR01-LAST-MAINT-OPER-LIT-A
017700                                    MR01-LAST-MAINT-OPER-A
017800     ELSE
017900         MOVE MMRT-LAST-MAINT-DATE
018000                                 TO SS01WS-JULIAN
018100         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
018200                                 THRU SS26PD-NED-EXIT
018300         MOVE SS01WS-XX-XX-YYYY  TO MR01-LAST-MAINT-DATE
018400         MOVE MMRT-LAST-MAINT-OPER
018500                                 TO MR01-LAST-MAINT-OPER
018600         MOVE DFHBMASB           TO MR01-LAST-MAINT-DATE-A
018700                                    MR01-LAST-MAINT-OPER-A.
018800*
018900     PERFORM 9100-BUILD-DISC-TABLE-SCR
019000        THRU 9199-BDTS-EXIT.
019100*
019200***********************************************************
019300*    SET THE CURRENCY CODE, CURRENCY NOD
019400*            PER ITEM NOD, PERCENT NOD.
019500***********************************************************
019600     IF MR01-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
019700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
019800                                 THRU MB06PD-FML-EXIT
019900        MOVE SS08WS-FORMATTED-MSG   TO MR01-ERROR-MESSAGE
020000     END-IF.
020100*
020200****************************************************************
020300*    SEND THE MAP                                              *
020400****************************************************************
020500*
020600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
020700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
020800        THRU MB60PD-SMWE-EXIT.
020900*
021000****************************************************************
021100*    RETURN TO CICS                                            *
021200****************************************************************
021300*
021400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
021500     PERFORM MB70PD-RETURN-TRANS-ID
021600        THRU MB70PD-RTI-EXIT.
021700/
021800 2000-RECEIVE-SCREEN SECTION.
021900*
022000****************************************************************
022100*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
022200****************************************************************
022300*
022400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
022500     PERFORM MB60PD-RECEIVE-MAP
022600        THRU MB60PD-RM-EXIT.
022700*
022800****************************************************************
022900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
023000****************************************************************
023100*
023200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
023300     PERFORM MB60PD-NEW-TRANS-ROUTINE
023400        THRU MB60PD-NTR-EXIT.
023500*
023600******************************************************************
023700*    READ THE ORGANIZATION RECORD                                *
023800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
023900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
024000     SET MBIORO-READ-RANDOM      TO TRUE.
024100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
024200*
024300******************************************************************
024400*    READ THE DISCOUNT TABLE RECORD                              *
024500******************************************************************
024600*
024700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
024800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
024900                                    MR01-ORG.
025000     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
025100                                    MR01-TABLE.
025200******************************************************************
025300*
025400     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE
025500                                    MR01-TABLE-TYPE.
025600     SET MBIORO-READ-RANDOM      TO TRUE.
025700     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
025800*
025900******************************************************************
026000*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY                  *
026100******************************************************************
026200*
026300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
026400         GO TO 2600-SETUP-COMMAREA.
026500*
026600******************************************************************
026700*    FIELD EDITS                                                 *
026800******************************************************************
026900*
027000 2100-EDIT-SCREEN.
027100*
027200******************************************************************
027300*    THE DISCOUNT METHOD IS A REQUIRED FIELD IF IT IS NOT ENTERED*
027400*    HIGHLIGHT IT AS AN ERROR.                                   *
027500******************************************************************
027600*
027700     IF  MBCA-PTI-FUNCTION-IS-ADD
027800         MOVE 1                  TO MR01-METHOD-L.
027900*
028000******************************************************************
028100*    IF THE DISCOUNT METHOD ENTERED IS NOT A VAILID METHOD FLAG  *
028200*    IT AS AN ERROR.                                             *
028300******************************************************************
028400*
028500     IF  MR01-METHOD-L IS LESS THAN 1
028600         MOVE MMRT-METHOD        TO MR01-METHOD
028700         MOVE MMRT-METHOD        TO MMRTWS-METHOD
028800         MOVE DFHBMDAS           TO MR01-METHOD-LP-A
028900                                    MR01-METHOD-RP-A
029000         MOVE DFHBMASK           TO MR01-METHOD-A
029100     ELSE
029200         MOVE MR01-METHOD        TO MMRTWS-METHOD
029300         IF  MMRTWS-VALID-METHODS
029400             MOVE DFHBMDAS       TO MR01-METHOD-LP-A
029500                                    MR01-METHOD-RP-A
029600             MOVE DFHBMASF       TO MR01-METHOD-A
029700         ELSE
029800             MOVE DFHBMASB       TO MR01-METHOD-LP-A
029900                                    MR01-METHOD-RP-A
030000             MOVE DFHBMUBF       TO MR01-METHOD-A
030100             MOVE SS08WS-CURSOR  TO MR01-METHOD-L
030200             SET SS08WS-ERROR-SW-YES TO TRUE.
030300*
030400******************************************************************
030500*    DARKEN THE PARENS AND ASKIP FSET THEN DESCRIPTION NAME FIELD*
030600******************************************************************
030700*
030800     MOVE DFHBMDAS               TO MR01-TITLE-LP-A
030900                                    MR01-TITLE-RP-A.
031000     MOVE DFHBMASF               TO MR01-TITLE-A.
031100*
031200 2110-EDIT-LEVEL.
031300*
031400     IF  MR01-LEVEL-L IS LESS THAN 1
031500         MOVE MMRT-LEVEL         TO MR01-LEVEL
031600         MOVE DFHBMDAS           TO MR01-LEVEL-LP-A
031700                                    MR01-LEVEL-RP-A
031800         MOVE DFHBMASK           TO MR01-LEVEL-A
031900     ELSE
032000         IF  MR01-LEVEL IS EQUAL TO 'M' OR 'P'
032100             MOVE DFHBMDAS       TO MR01-LEVEL-LP-A
032200                                    MR01-LEVEL-RP-A
032300             MOVE DFHBMASF       TO MR01-LEVEL-A
032400         ELSE
032500             MOVE DFHBMASB       TO MR01-LEVEL-LP-A
032600                                    MR01-LEVEL-RP-A
032700             MOVE DFHBMUBF       TO MR01-LEVEL-A
032800             MOVE SS08WS-CURSOR  TO MR01-LEVEL-L
032900             SET SS08WS-ERROR-SW-YES
033000                                 TO TRUE.
033100*
033200 2120-EDIT-DISC-TABLE-LOOP.
033300*
033400     PERFORM
033500         VARYING X-MR01-BTR FROM 1 BY 1
033600         UNTIL X-MR01-BTR IS GREATER THAN 10
033700         SET X-MMRT-PRIM         TO X-MR01-BTR
033800         IF  MR01-PRIM-LIMIT-L (X-MR01-BTR) IS LESS THAN 1
033900             MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
034000                                 TO MR01-PRIM-LIMIT
034100                                    (X-MR01-BTR)
034200             MOVE DFHBMDAS       TO MR01-PRIM-LIMIT-LP-A
034300                                     (X-MR01-BTR)
034400                                    MR01-PRIM-LIMIT-RP-A
034500                                     (X-MR01-BTR)
034600             MOVE DFHBMASK       TO MR01-PRIM-LIMIT-A
034700                                     (X-MR01-BTR)
034800         ELSE
034900             IF  MR01-PRIM-LIMIT (X-MR01-BTR) IS NOT NUMERIC
035000                 MOVE DFHBMASB   TO MR01-PRIM-LIMIT-LP-A
035100                                     (X-MR01-BTR)
035200                                    MR01-PRIM-LIMIT-RP-A
035300                                     (X-MR01-BTR)
035400                 MOVE DFHBMNBF   TO MR01-PRIM-LIMIT-A
035500                                     (X-MR01-BTR)
035600                 MOVE SS08WS-CURSOR TO MR01-PRIM-LIMIT-L
035700                                     (X-MR01-BTR)
035800                 SET SS08WS-ERROR-SW-YES
035900                                 TO TRUE
036000             ELSE
036100                 MOVE DFHBMDAS   TO MR01-PRIM-LIMIT-LP-A
036200                                     (X-MR01-BTR)
036300                                    MR01-PRIM-LIMIT-RP-A
036400                                     (X-MR01-BTR)
036500                 MOVE DFHBMASF   TO MR01-PRIM-LIMIT-A
036600                                     (X-MR01-BTR)
036700             END-IF
036800         END-IF
036900     END-PERFORM.
037000*
037100     PERFORM
037200         VARYING X-MR01-BTR FROM 1 BY 1
037300         UNTIL X-MR01-BTR IS GREATER THAN 10
037400         SET X-MMRT-PRIM         TO X-MR01-BTR
037500         IF  MR01-PRIM-RATE-L (X-MR01-BTR) IS LESS THAN 1
037600             MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
037700                                 TO MR01-PRIM-RATE
037800                                     (X-MR01-BTR)
037900             MOVE DFHBMDAS       TO MR01-PRIM-RATE-LP-A
038000                                     (X-MR01-BTR)
038100                                    MR01-PRIM-RATE-RP-A
038200                                     (X-MR01-BTR)
038300             MOVE DFHBMASK       TO MR01-PRIM-RATE-A
038400                                     (X-MR01-BTR)
038500         ELSE
038600             IF  MR01-PRIM-RATE (X-MR01-BTR) IS NOT NUMERIC
038700                 MOVE DFHBMASB   TO MR01-PRIM-RATE-LP-A
038800                                     (X-MR01-BTR)
038900                                    MR01-PRIM-RATE-RP-A
039000                                     (X-MR01-BTR)
039100                 MOVE DFHBMNBF   TO MR01-PRIM-RATE-A
039200                                     (X-MR01-BTR)
039300                 MOVE SS08WS-CURSOR TO MR01-PRIM-RATE-L
039400                                     (X-MR01-BTR)
039500                 SET SS08WS-ERROR-SW-YES
039600                                 TO TRUE
039700             ELSE
039800                 MOVE DFHBMDAS   TO MR01-PRIM-RATE-LP-A
039900                                     (X-MR01-BTR)
040000                                    MR01-PRIM-RATE-RP-A
040100                                     (X-MR01-BTR)
040200                 MOVE DFHBMASF   TO MR01-PRIM-RATE-A
040300                                     (X-MR01-BTR)
040400             END-IF
040500         END-IF
040600     END-PERFORM.
040700*
040800 2130-EXCEPTION-CONTROL.
040900*
041000     PERFORM
041100         VARYING X-MR01-EP FROM 1 BY 1
041200         UNTIL X-MR01-EP IS GREATER THAN 7
041300         SET X-MMRT-EXCEPTION    TO X-MR01-EP
041400         IF  MR01-EXCP-PRIO-L (X-MR01-EP) IS LESS THAN 1
041500             MOVE MMRT-EXCEPTION-PRIORITY (X-MMRT-EXCEPTION)
041600                                 TO MR01-EXCP-PRIO
041700                                     (X-MR01-EP)
041800             MOVE DFHBMDAS       TO MR01-EXCP-PRIO-LP-A
041900                                     (X-MR01-EP)
042000                                    MR01-EXCP-PRIO-RP-A
042100                                     (X-MR01-EP)
042200             MOVE DFHBMASK       TO MR01-EXCP-PRIO-A
042300                                     (X-MR01-EP)
042400         ELSE
042500             IF  MR01-VALID-EXCP-PRIO (X-MR01-EP)
042600                 MOVE DFHBMDAS   TO MR01-EXCP-PRIO-LP-A
042700                                     (X-MR01-EP)
042800                                    MR01-EXCP-PRIO-RP-A
042900                                     (X-MR01-EP)
043000                 MOVE DFHBMASF   TO MR01-EXCP-PRIO-A
043100                                     (X-MR01-EP)
043200             ELSE
043300                 MOVE DFHBMASB   TO MR01-EXCP-PRIO-LP-A
043400                                     (X-MR01-EP)
043500                                    MR01-EXCP-PRIO-RP-A
043600                                     (X-MR01-EP)
043700                 MOVE DFHBMUBF   TO MR01-EXCP-PRIO-A
043800                                     (X-MR01-EP)
043900                 MOVE SS08WS-CURSOR TO MR01-EXCP-PRIO-L
044000                                     (X-MR01-EP)
044100                 SET SS08WS-ERROR-SW-YES
044200                                 TO TRUE
044300             END-IF
044400         END-IF
044500     END-PERFORM.
044600*
044700 2140-CROSS-EDITS.
044800*
044900*****************************************************************
045000*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
045100*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
045200*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
045300*****************************************************************
045400     IF  SS08WS-ERROR-SW-YES
045500         GO TO 2300-BYPASS-CROSS-EDITS.
045600     PERFORM
045700         VARYING X-MR01-BTR FROM 1 BY 1
045800         UNTIL   X-MR01-BTR IS GREATER THAN 10
045900         EVALUATE TRUE
046000            WHEN MMRTWS-RESV-FLAT-AMT
046100                   CONTINUE
046200            WHEN ( MMRTWS-VALID-METH-ON-AMOUNT AND
046300                   MR01-PRIM-RATE (X-MR01-BTR)
046400                            IS GREATER THAN 9999999)
046500                 SET SS08WS-ERROR-SW-YES TO TRUE
046600                 MOVE DFHBMNBF
046700                             TO MR01-PRIM-RATE-A (X-MR01-BTR)
046800                 MOVE DFHBMASB
046900                             TO MR01-PRIM-RATE-LP-A (X-MR01-BTR)
047000                                MR01-PRIM-RATE-RP-A (X-MR01-BTR)
047100                 MOVE SS08WS-CURSOR
047200                             TO MR01-PRIM-RATE-L (X-MR01-BTR)
047300                 IF MR01-ERROR-MESSAGE IS EQUAL TO SPACES
047400                                            OR LOW-VALUES
047500                    MOVE 'ERROR RATE PERCENT'
047600                             TO MR01-ERROR-MESSAGE
047700                 END-IF
047800         END-EVALUATE
047900     END-PERFORM.
048000*
048100****************************************************************
048200*    CROSS-EDIT LIMITS 1                                       *
048300****************************************************************
048400*
048500     IF  SS08WS-ERROR-SW-YES
048600         GO TO 2300-BYPASS-CROSS-EDITS.
048700*
048800     IF (MR01-PRIM-LIMIT (1) IS EQUAL TO MR01-PRIM-LIMIT (10)
048900     OR  MR01-PRIM-LIMIT (1) IS LESS THAN MR01-PRIM-LIMIT (2))
049000     AND
049100        (MR01-PRIM-LIMIT (2) IS EQUAL TO MR01-PRIM-LIMIT (10)
049200     OR  MR01-PRIM-LIMIT (2) IS LESS THAN MR01-PRIM-LIMIT (3))
049300     AND
049400        (MR01-PRIM-LIMIT (3) IS EQUAL TO MR01-PRIM-LIMIT (10)
049500     OR  MR01-PRIM-LIMIT (3) IS LESS THAN MR01-PRIM-LIMIT (4))
049600     AND
049700        (MR01-PRIM-LIMIT (4) IS EQUAL TO MR01-PRIM-LIMIT (10)
049800     OR  MR01-PRIM-LIMIT (4) IS LESS THAN MR01-PRIM-LIMIT (5))
049900     AND
050000        (MR01-PRIM-LIMIT (5) IS EQUAL TO MR01-PRIM-LIMIT (10)
050100     OR  MR01-PRIM-LIMIT (5) IS LESS THAN MR01-PRIM-LIMIT (6))
050200     AND
050300        (MR01-PRIM-LIMIT (6) IS EQUAL TO MR01-PRIM-LIMIT (10)
050400     OR  MR01-PRIM-LIMIT (6) IS LESS THAN MR01-PRIM-LIMIT (7))
050500     AND
050600        (MR01-PRIM-LIMIT (7) IS EQUAL TO MR01-PRIM-LIMIT (10)
050700     OR  MR01-PRIM-LIMIT (7) IS LESS THAN MR01-PRIM-LIMIT (8))
050800     AND
050900        (MR01-PRIM-LIMIT (8) IS EQUAL TO MR01-PRIM-LIMIT (10)
051000     OR  MR01-PRIM-LIMIT (8) IS LESS THAN MR01-PRIM-LIMIT (9))
051100     AND
051200        (MR01-PRIM-LIMIT (9) IS EQUAL TO MR01-PRIM-LIMIT (10)
051300     OR  MR01-PRIM-LIMIT (9) IS LESS THAN MR01-PRIM-LIMIT (10))
051400         NEXT SENTENCE
051500     ELSE
051600         MOVE SS08WS-CURSOR      TO MR01-PRIM-LIMIT-L (1)
051700         SET SS08WS-ERROR-SW-YES TO TRUE
051800         PERFORM
051900             VARYING X-MR01-BTR FROM 1 BY 1
052000             UNTIL   X-MR01-BTR IS GREATER THAN 10
052100             MOVE DFHBMASB       TO MR01-PRIM-LIMIT-LP-A
052200                                     (X-MR01-BTR)
052300                                    MR01-PRIM-LIMIT-RP-A
052400                                     (X-MR01-BTR)
052500             MOVE DFHBMNBF       TO MR01-PRIM-LIMIT-A
052600                                     (X-MR01-BTR)
052700         END-PERFORM.
052800*
052900 2150-CROSS-EDIT-LIMITS.
053000*
053100     IF  SS08WS-ERROR-SW-YES
053200         GO TO 2300-BYPASS-CROSS-EDITS.
053300*
053400***************************
053500*    RESET THE INDEXES    *
053600***************************
053700*
053800     SET X-MR01-BTR              TO 2.
053900*
054000 2152-CEL-LOOP.
054100*
054200**************************************************************
054300*    LIMIT CROSS EDITS ARE AS FOLLOWS:                       *
054400*                                                            *
054500*      . EACH LIMIT MUST BE GREATER THAN ITS PREDECESSOR     *
054600*        WITH ONE EXCEPTION:                                 *
054700*                                                            *
054800*      . IF A LIMIT IS EQUAL TO ITS PREDECESSOR, IT          *
054900*        MUST BE ALL 9'S, AND EACH SUCCEEDING LIMIT MUST     *
055000*        ALSO BE ALL 9'S.                                    *
055100*                                                            *
055200*    IF THERE IS AN ERROR, ALL LIMITS AND RATES ARE          *
055300*    OPENED TO THE OPERATOR FOR CORRECTION.                  *
055400**************************************************************
055500*
055600     IF  MR01-PRIM-LIMIT (X-MR01-BTR) IS GREATER THAN
055700         MR01-PRIM-LIMIT (X-MR01-BTR - 1)
055800         GO TO 2168-INCREMENT-INDEXES.
055900*
056000     IF  MR01-PRIM-LIMIT (X-MR01-BTR) IS LESS THAN
056100         MR01-PRIM-LIMIT (X-MR01-BTR - 1)
056200         GO TO 2154-CROSS-EDIT-LIMIT-ERROR.
056300*
056400     IF  X-MR01-BTR IS LESS THAN 9
056500         IF  MR01-PRIM-LIMIT (X-MR01-BTR) IS EQUAL TO
056600             99999999999999999
056700         AND MR01-PRIM-LIMIT (X-MR01-BTR + 1) IS EQUAL TO
056800             99999999999999999
056900             GO TO 2168-INCREMENT-INDEXES
057000         ELSE
057100             GO TO 2154-CROSS-EDIT-LIMIT-ERROR
057200     ELSE
057300         GO TO 2168-INCREMENT-INDEXES.
057400*
057500 2154-CROSS-EDIT-LIMIT-ERROR.
057600*
057700******************************************
057800*    BRIGHTEN AND FSET THIS LINE ITEM    *
057900******************************************
058000*
058100     MOVE 'Y'                    TO SS08WS-ERROR.
058200     MOVE SS08WS-CURSOR          TO MR01-PRIM-LIMIT-L
058300                                        (X-MR01-BTR).
058400     MOVE DFHBMASB               TO MR01-PRIM-LIMIT-LP-A
058500                                        (X-MR01-BTR)
058600                                    MR01-PRIM-LIMIT-RP-A
058700                                        (X-MR01-BTR).
058800     MOVE DFHBMNBF               TO MR01-PRIM-LIMIT-A
058900                                        (X-MR01-BTR).
059000*
059100********************************************************
059200*    UNPROTECT ALL LIMITS AND RATES FOR CORRECTION.    *
059300*    IF A FIELD WAS PREVEOUSLY KEYED (IT WOULD HAVE    *
059400*    BEEN SET TO DFHBMASF BY THE EDIT ROUTINES),       *
059500*    FSET IT HERE, ALSO.                               *
059600********************************************************
059700*
059800     SET X-MR01-BTR              TO 1.
059900*
060000 2156-CELE-LOOP.
060100*
060200******************************
060300*    UNPROTECT THE PARENS    *
060400******************************
060500*
060600     MOVE DFHBMASK               TO MR01-PRIM-LIMIT-LP-A
060700                                        (X-MR01-BTR)
060800                                    MR01-PRIM-LIMIT-RP-A
060900                                        (X-MR01-BTR)
061000                                    MR01-PRIM-RATE-LP-A
061100                                        (X-MR01-BTR)
061200                                    MR01-PRIM-RATE-RP-A
061300                                        (X-MR01-BTR).
061400*
061500     IF  MR01-PRIM-LIMIT-A (X-MR01-BTR) IS EQUAL TO DFHBMASF
061600         MOVE DFHBMUNF           TO MR01-PRIM-LIMIT-A
061700                                        (X-MR01-BTR).
061800*
061900     IF  MR01-PRIM-LIMIT-A (X-MR01-BTR) IS EQUAL TO DFHBMASK
062000         MOVE DFHBMUNN           TO MR01-PRIM-LIMIT-A
062100                                        (X-MR01-BTR).
062200*
062300     IF  MR01-PRIM-RATE-A (X-MR01-BTR) IS EQUAL TO DFHBMASF
062400         MOVE DFHBMUNF           TO MR01-PRIM-RATE-A
062500                                        (X-MR01-BTR).
062600*
062700     IF  MR01-PRIM-RATE-A (X-MR01-BTR) IS EQUAL TO DFHBMASK
062800         MOVE DFHBMUNN           TO MR01-PRIM-RATE-A
062900                                        (X-MR01-BTR).
063000*
063100 2158-INCREMENT-INDEXES.
063200*
063300     IF  X-MR01-BTR IS LESS THAN 10
063400         SET X-MR01-BTR          UP BY 1
063500         GO TO 2156-CELE-LOOP.
063600*
063700*************************************************************
063800*    DARKEN THE PARENS AND AUTOSKIP THE 10TH LIMIT FIELD    *
063900*************************************************************
064000*
064100     MOVE DFHBMDAS               TO MR01-PRIM-LIMIT-LP-A
064200                                        (X-MR01-BTR)
064300                                    MR01-PRIM-LIMIT-RP-A
064400                                        (X-MR01-BTR).
064500     MOVE DFHBMASK               TO MR01-PRIM-LIMIT-A
064600                                        (X-MR01-BTR).
064700     GO TO 2169-CEL-EXIT.
064800*
064900 2168-INCREMENT-INDEXES.
065000*
065100     IF  X-MR01-BTR IS LESS THAN 10
065200         SET X-MR01-BTR          UP BY 1
065300         GO TO 2152-CEL-LOOP.
065400*
065500 2169-CEL-EXIT.
065600     EXIT.
065700*
065800****************************************************************
065900*    CROSS-EDIT TYPE/METHOD                                    *
066000****************************************************************
066100*
066200     IF  SS08WS-ERROR-SW-YES
066300         GO TO 2300-BYPASS-CROSS-EDITS.
066400*
066500     EVALUATE TRUE
066600       WHEN (MMRT-TT-DISCOUNT
066700       AND  MMRTWS-VALID-DISCOUNT-METHODS)
066800           CONTINUE
066900       WHEN (MMRT-TT-PARTICIPATION
067000       AND  MMRTWS-VALID-PART-METHODS)
067100           CONTINUE
067200       WHEN (MMRT-TT-RESERVE
067300       AND  MMRTWS-VALID-RESV-METHODS)
067400           CONTINUE
067500       WHEN (MMRT-TT-VOLUME
067600       AND  MMRTWS-VALID-PART-METHODS)
067700           CONTINUE
067800       WHEN OTHER
067900         MOVE DFHBMASB           TO MR01-METHOD-LP-A
068000                                    MR01-METHOD-RP-A
068100         MOVE DFHBMUBF           TO MR01-METHOD-A
068200         MOVE SS08WS-CURSOR      TO MR01-METHOD-L
068300         SET SS08WS-ERROR-SW-YES TO TRUE
068400     END-EVALUATE.
068500*
068600****************************************************************
068700*    CROSS-EDIT METHOD                                         *
068800****************************************************************
068900*
069000     IF  SS08WS-ERROR-SW-YES
069100         GO TO 2300-BYPASS-CROSS-EDITS.
069200*
069300     IF  MBCA-PTI-FUNCTION-IS-ADD
069400         MOVE MR01-METHOD        TO MMRTWS-METHOD
069500     ELSE
069600         MOVE MMRT-METHOD        TO MMRTWS-METHOD.
069700*
069800     EVALUATE TRUE
069900       WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
070000         OR MMRTWS-PTD-VOLUME-W-CR-PLAN
070100         OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
070200         PERFORM
070300             VARYING X-MR01-EP FROM 1 BY 1
070400             UNTIL X-MR01-EP IS GREATER THAN 7
070500             EVALUATE TRUE
070600               WHEN (X-MR01-EP IS EQUAL TO 2
070700                AND (MR01-EXCP-PRIO (X-MR01-EP)
070800                                 IS EQUAL 'A' OR '1' OR '0'))
070900                 CONTINUE
071000               WHEN OTHER
071100                 EVALUATE TRUE
071200                   WHEN MR01-EXCP-PRIO (X-MR01-EP)
071300                                 IS EQUAL '0'
071400                     CONTINUE
071500                   WHEN OTHER
071600                     MOVE DFHBMASB
071700                                 TO MR01-EXCP-PRIO-LP-A
071800                                     (X-MR01-EP)
071900                                     MR01-EXCP-PRIO-RP-A
072000                                     (X-MR01-EP)
072100                     MOVE DFHBMUBF
072200                                 TO MR01-EXCP-PRIO-A
072300                                     (X-MR01-EP)
072400                     MOVE SS08WS-CURSOR
072500                                 TO MR01-EXCP-PRIO-L
072600                                     (X-MR01-EP)
072700                     SET SS08WS-ERROR-SW-YES
072800                                 TO TRUE
072900                 END-EVALUATE
073000             END-EVALUATE
073100         END-PERFORM
073200     END-EVALUATE.
073300*
073400     IF  SS08WS-ERROR-SW-YES
073500         GO TO 2300-BYPASS-CROSS-EDITS.
073600*
073700     EVALUATE TRUE
073800       WHEN ((MMRTWS-DTD-VOLUME-W-AVG-TKT
073900         OR MMRTWS-PTD-VOLUME-W-AVG-TKT)
074000        AND MBCA-TABLE-TYPE IS NOT EQUAL TO 'R')
074100         PERFORM
074200             VARYING X-MR01-EP FROM 1 BY 1
074300             UNTIL X-MR01-EP IS GREATER THAN 7
074400             EVALUATE TRUE
074500               WHEN (X-MR01-EP IS EQUAL TO 1
074600                AND (MR01-EXCP-PRIO (X-MR01-EP)
074700                                 IS EQUAL 'A' OR '0'))
074800                 CONTINUE
074900               WHEN OTHER
075000                 EVALUATE TRUE
075100                   WHEN MR01-EXCP-PRIO (X-MR01-EP)
075200                                 IS NOT EQUAL '0'
075300                     MOVE DFHBMASB
075400                                 TO MR01-EXCP-PRIO-LP-A
075500                                     (X-MR01-EP)
075600                                     MR01-EXCP-PRIO-RP-A
075700                                     (X-MR01-EP)
075800                     MOVE DFHBMUBF
075900                                 TO MR01-EXCP-PRIO-A
076000                                     (X-MR01-EP)
076100                     MOVE SS08WS-CURSOR
076200                                 TO MR01-EXCP-PRIO-L
076300                                     (X-MR01-EP)
076400                     SET SS08WS-ERROR-SW-YES
076500                                 TO TRUE
076600                 END-EVALUATE
076700             END-EVALUATE
076800         END-PERFORM
076900     END-EVALUATE.
077000*
077100     IF  SS08WS-ERROR-SW-YES
077200         GO TO 2300-BYPASS-CROSS-EDITS.
077300*
077400     EVALUATE TRUE
077500       WHEN ((MMRTWS-ROLLING-1-MON-AVG-TKT
077600         OR  MMRTWS-ROLLING-3-MON-AVG-TKT
077700         OR  MMRTWS-ROLLING-6-MON-AVG-TKT
077800         OR  MMRTWS-ROLLING-12-MON-AVG-TKT
077900         OR  MMRTWS-DTD-AVG-TKT-CUM
078000         OR  MMRTWS-PTD-AVG-TKT-CUM)
078100         AND MBCA-TABLE-TYPE IS NOT EQUAL TO 'R')
078200         PERFORM
078300             VARYING X-MR01-EP FROM 1 BY 1
078400             UNTIL X-MR01-EP IS GREATER THAN 7
078500             EVALUATE TRUE
078600               WHEN (X-MR01-EP IS EQUAL TO 1
078700                AND (MR01-EXCP-PRIO (X-MR01-EP)
078800                                 IS EQUAL TO '0'))
078900                   CONTINUE
079000               WHEN X-MR01-EP IS EQUAL TO 1
079100                   MOVE DFHBMASB TO MR01-EXCP-PRIO-LP-A
079200                                     (X-MR01-EP)
079300                                     MR01-EXCP-PRIO-RP-A
079400                                     (X-MR01-EP)
079500                   MOVE DFHBMUBF TO MR01-EXCP-PRIO-A
079600                                     (X-MR01-EP)
079700                   MOVE SS08WS-CURSOR
079800                                 TO MR01-EXCP-PRIO-L
079900                                     (X-MR01-EP)
080000                   SET SS08WS-ERROR-SW-YES
080100                                 TO TRUE
080200               WHEN OTHER
080300                   CONTINUE
080400             END-EVALUATE
080500         END-PERFORM
080600     END-EVALUATE.
080700*
080800     IF  SS08WS-ERROR-SW-YES
080900         GO TO 2300-BYPASS-CROSS-EDITS.
081000*
081100     EVALUATE TRUE
081200       WHEN (MMRTWS-TIER-INCOME-METHODS
081300         OR MMRTWS-MTD-TIERED-INCOME)
081400         IF  MR01-LEVEL IS EQUAL TO 'M'
081500             CONTINUE
081600         ELSE
081700             MOVE DFHBMASB       TO MR01-LEVEL-LP-A
081800                                    MR01-LEVEL-RP-A
081900             MOVE DFHBMUBF       TO MR01-LEVEL-A
082000             MOVE SS08WS-CURSOR  TO MR01-LEVEL-L
082100             SET SS08WS-ERROR-SW-YES
082200                                 TO TRUE
082300         END-IF
082400         PERFORM
082500             VARYING X-MR01-EP FROM 1 BY 1
082600             UNTIL X-MR01-EP IS GREATER THAN 7
082700             EVALUATE TRUE
082800               WHEN MR01-EXCP-PRIO (X-MR01-EP)
082900                                 IS NOT EQUAL '0'
083000                 MOVE DFHBMASB   TO MR01-EXCP-PRIO-LP-A
083100                                    (X-MR01-EP)
083200                                    MR01-EXCP-PRIO-RP-A
083300                                    (X-MR01-EP)
083400                 MOVE DFHBMUBF   TO MR01-EXCP-PRIO-A
083500                                    (X-MR01-EP)
083600                 MOVE SS08WS-CURSOR TO MR01-EXCP-PRIO-L
083700                                    (X-MR01-EP)
083800                 SET SS08WS-ERROR-SW-YES
083900                                 TO TRUE
084000             END-EVALUATE
084100         END-PERFORM
084200     END-EVALUATE.
084300*
084400     IF  SS08WS-ERROR-SW-YES
084500         GO TO 2300-BYPASS-CROSS-EDITS.
084600*
084700     EVALUATE TRUE
084800       WHEN  MMRTWS-INDIVIDUAL-TICKET
084900         PERFORM
085000             VARYING X-MR01-EP FROM 1 BY 1
085100             UNTIL X-MR01-EP IS GREATER THAN 7
085200             EVALUATE TRUE
085300               WHEN (X-MR01-EP IS EQUAL TO 1
085400                AND MR01-EXCP-PRIO (X-MR01-EP)
085500                                 IS EQUAL '0')
085600                 CONTINUE
085700               WHEN X-MR01-EP IS EQUAL TO 1
085800                 MOVE DFHBMASB   TO MR01-EXCP-PRIO-LP-A
085900                                     (X-MR01-EP)
086000                                     MR01-EXCP-PRIO-RP-A
086100                                     (X-MR01-EP)
086200                 MOVE DFHBMUBF   TO MR01-EXCP-PRIO-A
086300                                     (X-MR01-EP)
086400                 MOVE SS08WS-CURSOR TO MR01-EXCP-PRIO-L
086500                                     (X-MR01-EP)
086600                 SET SS08WS-ERROR-SW-YES
086700                                 TO TRUE
086800             END-EVALUATE
086900         END-PERFORM
087000     END-EVALUATE.
087100*
087200     IF  SS08WS-ERROR-SW-YES
087300         GO TO 2300-BYPASS-CROSS-EDITS.
087400*
087500     EVALUATE TRUE
087600       WHEN MMOC-CP-MERCH-NO
087700         EVALUATE TRUE
087800           WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
087900             OR  MMRTWS-PTD-VOLUME-W-CR-PLAN
088000             OR  MMRTWS-RESV-PCT-ON-VOLUME)
088100             MOVE DFHBMASB       TO MR01-METHOD-LP-A
088200                                    MR01-METHOD-RP-A
088300             MOVE DFHBMUBF       TO MR01-METHOD-A
088400             MOVE SS08WS-CURSOR  TO MR01-METHOD-L
088500             SET SS08WS-ERROR-SW-YES TO TRUE
088600         END-EVALUATE
088700     END-EVALUATE.
088800*
088900     IF  SS08WS-ERROR-SW-YES
089000         GO TO 2300-BYPASS-CROSS-EDITS.
089100*
089200     PERFORM 9600-CROSS-EDIT-PRIORITIES
089300                                 THRU 9619-CEP-EXIT.
089400*
089500 2300-BYPASS-CROSS-EDITS.
089600*
089700     IF  SS08WS-ERROR-SW-NO
089800         GO TO 2400-UPDATE-FILE.
089900*
090000****************************************************************
090100*    SEND THE MAP                                              *
090200****************************************************************
090300*
090400*
090500****************************************************************
090600*    TO ENTER THIS CODE WE HAVE ENTERED INVALID DATA INTO      *
090700*    THE MAP, AND IT HAS BEEN FLAGGED AS AN ERROR WE HAVE      *
090800*    HIGHLIGHTED THE FIELD AND ARE NOW GOING TO SEND THE ERROR *
090900*    SCREEN.                                                   *
091000****************************************************************
091100*
091200     IF  MBCA-PTI-FUNCTION-IS-MAINT
091300         MOVE DFHBMDAS           TO MR01-METHOD-LP-A
091400                                    MR01-METHOD-RP-A
091500         MOVE DFHBMASK           TO MR01-METHOD-A.
091600*
091700     IF  MBCA-PTI-FUNCTION-IS-ADD
091800     OR  MBCA-PTI-FUNCTION-IS-MAINT
091900         MOVE DFHBMDAS       TO MR01-PRIM-LIMIT-LP-A (10)
092000                                MR01-PRIM-LIMIT-RP-A (10)
092100         MOVE DFHBMASF       TO MR01-PRIM-LIMIT-A   (10).
092200*
092300     PERFORM MB60PD-INIT-STD-MAP-LINES
092400        THRU MB60PD-ISML-EXIT.
092500*
092600***********************************************************
092700*    SET THE CURRENCY CODE, CURRENCY NOD
092800*            PER ITEM NOD, PERCENT NOD.
092900***********************************************************
093000     IF MR01-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
093100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
093200                                 THRU MB06PD-FML-EXIT
093300        MOVE SS08WS-FORMATTED-MSG   TO MR01-ERROR-MESSAGE
093400     END-IF.
093500*
093600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
093700*
093800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
093900        THRU MB60PD-SMDO-EXIT.
094000*
094100****************************************************************
094200*    RETURN TO CICS                                            *
094300****************************************************************
094400*
094500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
094600     PERFORM MB70PD-RETURN-TRANS-ID
094700        THRU MB70PD-RTI-EXIT.
094800*
094900/
095000 2400-UPDATE-FILE.
095100*
095200******************************************************************
095300*    READ THE DISCOUNT TABLE RECORD FOR UPDATE                   *
095400******************************************************************
095500*
095600     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
095700     SET MBIORO-READ-RANDOM-UPDATE
095800                                 TO TRUE.
095900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
096000*
096100******************************************************************
096200*    OBTAIN STORAGE FOR LOG FILE RECORD IF DOING MAINTENANCE     *
096300*    OR IF THE LAST SCREEN OF THE ADD                            *
096400******************************************************************
096500*
096600     IF  MBCA-PTI-FUNCTION-IS-ADD
096700         IF  MBCA-SCREEN-NBR IS LESS THAN MBCA-MAX-SCREEN-NBR
096800             GO TO 2410-UPDATE-FIELDS.
096900*
097000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
097100     SET MBIORO-GETMAIN          TO TRUE.
097200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
097300*
097400******************************************************************
097500*    SET UP THE COMMON PORTION OF THE RECORD                     *
097600******************************************************************
097700*
097800     MOVE 'RT'                   TO MML1-FILE-CODE.
097900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
098000     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
098100     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
098200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
098300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
098400     MOVE ZEROES                 TO MML1-SOURCE-CODE.
098500     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
098600*
098700 2410-UPDATE-FIELDS.
098800*
098900     IF  MR01-METHOD-L      IS GREATER THAN ZERO
099000         IF  MR01-METHOD IS NOT EQUAL
099100                                 TO MMRT-METHOD
099200             SET WS-UPDATE-SW-YES
099300                                 TO TRUE
099400             IF  MBCA-PTI-FUNCTION-IS-MAINT
099500                 MOVE 0101       TO MML1-FIELD-CODE
099600                 MOVE ZERO       TO MML1-FIELD-OCCURRENCE
099700                 MOVE ZERO       TO MML1-FIELD-OCCURRENCE-2
099800                 MOVE MML1WS-VL-03
099900                                 TO MML1-VARIABLE-LENGTH
100000                 MOVE MMRT-METHOD
100100                                 TO MML1-VL03-B-DATA-X
100200                 MOVE MR01-METHOD
100300                                 TO MMRT-METHOD
100400                 MOVE MMRT-METHOD
100500                                 TO MML1-VL03-A-DATA-X
100600                 MOVE 'FC04'     TO MBCA-PROGRAM-LOCATION
100700                 PERFORM 9500-WRITE-LOG-RECORD
100800                                 THRU 9599-WLR-EXIT
100900             ELSE
101000                 MOVE MR01-METHOD
101100                                 TO MMRT-METHOD.
101200*
101300     IF  MR01-LEVEL-L       IS GREATER THAN ZERO
101400         IF  MR01-LEVEL IS NOT EQUAL
101500                                 TO MMRT-LEVEL
101600             SET WS-UPDATE-SW-YES
101700                                 TO TRUE
101800             IF  MBCA-PTI-FUNCTION-IS-MAINT
101900                 MOVE 0106       TO MML1-FIELD-CODE
102000                 MOVE ZERO       TO MML1-FIELD-OCCURRENCE
102100                 MOVE ZERO       TO MML1-FIELD-OCCURRENCE-2
102200                 MOVE MML1WS-VL-01
102300                                 TO MML1-VARIABLE-LENGTH
102400                 MOVE MMRT-LEVEL
102500                                 TO MML1-VL01-B-DATA-X
102600                 MOVE MR01-LEVEL
102700                                 TO MMRT-LEVEL
102800                 MOVE MMRT-LEVEL
102900                                 TO MML1-VL01-A-DATA-X
103000                 MOVE 'FC04'     TO MBCA-PROGRAM-LOCATION
103100                 PERFORM 9500-WRITE-LOG-RECORD
103200                                 THRU 9599-WLR-EXIT
103300             ELSE
103400                 MOVE MR01-LEVEL
103500                                 TO MMRT-LEVEL.
103600*
103700     IF  MR01-TITLE-L       IS GREATER THAN ZERO
103800         IF  MR01-TITLE IS NOT EQUAL
103900                                 TO MMRT-TITLE
104000             SET WS-UPDATE-SW-YES
104100                                 TO TRUE
104200             IF  MBCA-PTI-FUNCTION-IS-MAINT
104300                 MOVE 0102       TO MML1-FIELD-CODE
104400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
104500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
104600                 MOVE MML1WS-VL-30
104700                                 TO MML1-VARIABLE-LENGTH
104800                 MOVE MMRT-TITLE TO MML1-VL30-B-DATA-X
104900                 MOVE MR01-TITLE
105000                                 TO MMRT-TITLE
105100                 MOVE MMRT-TITLE TO MML1-VL30-A-DATA-X
105200                 MOVE 'FC05'     TO MBCA-PROGRAM-LOCATION
105300                 PERFORM 9500-WRITE-LOG-RECORD
105400                                 THRU 9599-WLR-EXIT
105500             ELSE
105600                 MOVE MR01-TITLE
105700                                 TO MMRT-TITLE.
105800*
105900 2420-UPDATE-FIELDS-LOOP.
106000*
106100     PERFORM
106200         VARYING X-MR01-BTR FROM 1 BY 1
106300         UNTIL X-MR01-BTR IS GREATER THAN 10
106400         SET WS-INDEX            TO X-MR01-BTR
106500         SET X-MMRT-PRIM         TO X-MR01-BTR
106600         IF  MR01-PRIM-LIMIT-L (X-MR01-BTR) IS GREATER THAN ZERO
106700             IF  MR01-PRIM-LIMIT (X-MR01-BTR) IS NOT EQUAL TO
106800                                    MMRT-PRIM-LIMIT (X-MMRT-PRIM)
106900                 SET WS-UPDATE-SW-YES
107000                                 TO TRUE
107100                 IF  MBCA-PTI-FUNCTION-IS-MAINT
107200                     MOVE 0103   TO MML1-FIELD-CODE
107300                     SET MML1-FIELD-OCCURRENCE
107400                                 TO X-MMRT-PRIM
107500                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
107600                     MOVE MML1WS-VL-20
107700                                 TO MML1-VARIABLE-LENGTH
107800                     MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
107900                                 TO MML1-VL20-B-NBR-NO-DEC
108000                     MOVE MR01-PRIM-LIMIT (X-MR01-BTR)
108100                                 TO MMRT-PRIM-LIMIT (X-MMRT-PRIM)
108200                     MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
108300                                 TO MML1-VL20-A-NBR-NO-DEC
108400                     MOVE 'FC06' TO MBCA-PROGRAM-LOCATION
108500                     PERFORM 9500-WRITE-LOG-RECORD
108600                                 THRU 9599-WLR-EXIT
108700                 ELSE
108800                     MOVE MR01-PRIM-LIMIT (X-MR01-BTR)
108900                                 TO MMRT-PRIM-LIMIT (X-MMRT-PRIM)
109000                 END-IF
109100             END-IF
109200         END-IF
109300     END-PERFORM.
109400*
109500     PERFORM
109600         VARYING X-MR01-BTR FROM 1 BY 1
109700         UNTIL X-MR01-BTR IS GREATER THAN 10
109800         SET WS-INDEX            TO X-MR01-BTR
109900         SET X-MMRT-PRIM         TO X-MR01-BTR
110000         IF  MR01-PRIM-RATE-L (X-MR01-BTR) IS GREATER THAN ZERO
110100             IF  MR01-PRIM-RATE (X-MR01-BTR) IS NOT EQUAL TO
110200                                 MMRT-PRIM-RATE (X-MMRT-PRIM)
110300                 SET WS-UPDATE-SW-YES
110400                                 TO TRUE
110500                 IF  MBCA-PTI-FUNCTION-IS-MAINT
110600                     MOVE 0104   TO MML1-FIELD-CODE
110700                     SET MML1-FIELD-OCCURRENCE
110800                                 TO X-MMRT-PRIM
110900                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
111000                     MOVE MML1WS-VL-20
111100                                 TO MML1-VARIABLE-LENGTH
111200                     MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
111300                                 TO MML1-VL20-B-NBR-NO-DEC
111400                     MOVE MR01-PRIM-RATE (X-MR01-BTR)
111500                                 TO MMRT-PRIM-RATE
111600                                    (X-MMRT-PRIM)
111700                     MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
111800                                 TO MML1-VL20-A-NBR-NO-DEC
111900                     MOVE 'FC07' TO MBCA-PROGRAM-LOCATION
112000                     PERFORM 9500-WRITE-LOG-RECORD
112100                                 THRU 9599-WLR-EXIT
112200                 ELSE
112300                     MOVE MR01-PRIM-RATE (X-MR01-BTR)
112400                                 TO MMRT-PRIM-RATE
112500                                    (X-MMRT-PRIM)
112600                 END-IF
112700             END-IF
112800         END-IF
112900     END-PERFORM.
113000*
113100 2430-UPDATE-EXCEPTION-CONTROL.
113200*
113300     PERFORM
113400         VARYING X-MR01-EP FROM 1 BY 1
113500         UNTIL X-MR01-EP IS GREATER THAN 7
113600         SET WS-INDEX            TO X-MR01-EP
113700         SET X-MMRT-EXCEPTION    TO X-MR01-EP
113800         IF  MR01-EXCP-PRIO-L (X-MR01-EP) GREATER THAN ZERO
113900             IF  MR01-EXCP-PRIO (X-MR01-EP) IS NOT EQUAL
114000                                 TO
114100                                 MMRT-EXCEPTION-PRIORITY
114200                                 (X-MMRT-EXCEPTION)
114300                 SET WS-UPDATE-SW-YES
114400                                 TO TRUE
114500                 IF  MBCA-PTI-FUNCTION-IS-MAINT
114600                     MOVE 0105       TO MML1-FIELD-CODE
114700                     SET MML1-FIELD-OCCURRENCE
114800                                 TO X-MMRT-EXCEPTION
114900                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE-2
115000                     MOVE MML1WS-VL-01
115100                                 TO MML1-VARIABLE-LENGTH
115200                     MOVE MMRT-EXCEPTION-PRIORITY
115300                                     (X-MMRT-EXCEPTION)
115400                                 TO MML1-VL01-B-DATA-X
115500                     MOVE MR01-EXCP-PRIO (X-MR01-EP)
115600                                 TO MMRT-EXCEPTION-PRIORITY
115700                                     (X-MMRT-EXCEPTION)
115800                     MOVE MMRT-EXCEPTION-PRIORITY
115900                                     (X-MMRT-EXCEPTION)
116000                                 TO MML1-VL01-A-DATA-X
116100                     MOVE 'FC08' TO MBCA-PROGRAM-LOCATION
116200                     PERFORM 9500-WRITE-LOG-RECORD
116300                                 THRU 9599-WLR-EXIT
116400                 ELSE
116500                     MOVE MR01-EXCP-PRIO (X-MR01-EP)
116600                                 TO MMRT-EXCEPTION-PRIORITY
116700                                     (X-MMRT-EXCEPTION)
116800                 END-IF
116900             END-IF
117000         END-IF
117100     END-PERFORM.
117200*
117300 2440-UPDATE-LOG-REC.
117400*
117500     IF  MBCA-PTI-FUNCTION-IS-ADD
117600         SET WS-UPDATE-SW-YES    TO TRUE
117700         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
117800         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
117900         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
118000         IF  MMRT-ONLINE-STATUS IS EQUAL TO MBCA-MAX-SCREEN-NBR
118100             SET MMRT-ADD-COMPLETED
118200                                 TO TRUE
118300             SET MMRT-REC-ACTIVE TO TRUE
118400             MOVE ZEROES         TO MML1-FIELD-CODE
118500                                    MML1-FIELD-OCCURRENCE
118600                                    MML1-FIELD-OCCURRENCE-2
118700             MOVE LENGTH OF MMRT-RECORD
118800                                 TO MML1-VARIABLE-LENGTH
118900             MOVE MMRT-RECORD    TO MML1-ADD-AREA
119000             MOVE 'FC10'         TO MBCA-PROGRAM-LOCATION
119100             PERFORM 9500-WRITE-LOG-RECORD
119200                                 THRU 9599-WLR-EXIT.
119300*
119400**************************************************************
119500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
119600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
119700*    ON THE SCREEN                                           *
119800**************************************************************
119900*
120000     IF  MBCA-PTI-FUNCTION-IS-MAINT
120100     AND WS-UPDATE-SW-YES
120200         MOVE 0198               TO MML1-FIELD-CODE
120300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
120400                                    MML1-FIELD-OCCURRENCE-2
120500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
120600         MOVE MMRT-LAST-MAINT-OPER
120700                                 TO MML1-VL03-B-DATA-X
120800         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
120900         MOVE MMRT-LAST-MAINT-OPER
121000                                 TO MML1-VL03-A-DATA-X
121100         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
121200         PERFORM 9500-WRITE-LOG-RECORD
121300            THRU 9599-WLR-EXIT
121400         MOVE 0199               TO MML1-FIELD-CODE
121500         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
121600         MOVE MMRT-LAST-MAINT-DATE
121700                                 TO MML1-VL07-B-DATA-9
121800         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
121900         MOVE MMRT-LAST-MAINT-DATE
122000                                 TO MML1-VL07-A-DATA-9
122100         MOVE 'FC12'             TO MBCA-PROGRAM-LOCATION
122200         PERFORM 9500-WRITE-LOG-RECORD
122300            THRU 9599-WLR-EXIT.
122400*
122500****************************************************************
122600*    REWRITE THE NEW EXPENSE RECORD                            *
122700****************************************************************
122800*
122900     IF  WS-UPDATE-SW-YES
123000         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
123100         SET MBIORO-REWRITE      TO TRUE
123200         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
123300     ELSE
123400         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
123500         SET MBIORO-UNLOCK       TO TRUE
123600         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
123700*
123800 2600-SETUP-COMMAREA.
123900*
124000****************************************************************
124100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
124200****************************************************************
124300*
124400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
124500*
124600     PERFORM MB60PD-EDIT-PAGE-NBR
124700        THRU MB60PD-EPN-EXIT.
124800*
124900     IF  SS08WS-VALID-PF-KEY
125000     OR  SS08WS-EIBAID-VALID-PF-KEY
125100         SET MBCA-INITIAL-SCREEN-NBR
125200                                 TO TRUE.
125300*
125400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
125500     PERFORM MB70PD-XCTL-TO-MBOXCTL
125600        THRU MB70PD-XTM-EXIT.
125700*
125800 9000-PERFORMED-ROUTINES-SECT SECTION.
125900*
126000 9100-BUILD-DISC-TABLE-SCR.
126100*
126200******************************************************************
126300*    BUILD COMMON PORTION OF THE SCREEN.                         *
126400******************************************************************
126500*
126600     MOVE MMRT-LEVEL             TO MR01-LEVEL.
126700*
126800     MOVE MMRT-TITLE             TO MR01-TITLE.
126900*
127000     MOVE MMRT-METHOD            TO MR01-METHOD.
127100*
127200******************************************************************
127300*    IF THE FUNCTION IS ADD DARKEN THE SYSTEM DESCRIPTION.       *
127400******************************************************************
127500*
127600     IF  MBCA-PTI-FUNCTION-IS-ADD
127700         MOVE DFHBMDAS           TO MR01-SYS-TITLE-A.
127800*
127900******************************************************************
128000*    IF THE FUNCTION IS MAINTENANCE OR INQUIRY WE MUST MATCH THE *
128100*    SYSTEM DESCRIPTION TO THE DISCOUNT METHOD ON THE RECORD.    *
128200******************************************************************
128300*
128400     IF  MBCA-PTI-FUNCTION-IS-MAINT
128500     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
128600         PERFORM
128700            VARYING X-MMRTTB FROM 1 BY 1
128800            UNTIL X-MMRTTB IS GREATER THAN 50
128900            IF  MMRTTB-METHOD (X-MMRTTB) IS EQUAL TO MMRT-METHOD
129000                MOVE MMRTTB-METHOD-DESC (X-MMRTTB)
129100                                 TO MR01-SYS-TITLE
129200                MOVE DFHBMASB    TO MR01-SYS-TITLE-A
129300            END-IF
129400         END-PERFORM.
129500*
129600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
129700         MOVE DFHBMDAS           TO MR01-METHOD-LP-A
129800                                    MR01-METHOD-RP-A
129900                                    MR01-TITLE-LP-A
130000                                    MR01-TITLE-RP-A
130100                                    MR01-LEVEL-LP-A
130200                                    MR01-LEVEL-RP-A
130300         MOVE DFHBMASB           TO MR01-METHOD-A
130400                                    MR01-TITLE-A
130500                                    MR01-LEVEL-A.
130600*
130700 9110-BUILD-DISC-TABLE-LOOP.
130800*
130900     PERFORM
131000         VARYING X-MR01-BTR FROM 1 BY 1
131100         UNTIL X-MR01-BTR IS GREATER THAN 10
131200         SET X-MMRT-PRIM         TO X-MR01-BTR
131300         MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
131400                                 TO MR01-PRIM-LIMIT
131500                                     (X-MR01-BTR)
131600         MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
131700                                 TO MR01-PRIM-RATE
131800                                     (X-MR01-BTR)
131900         EVALUATE TRUE
132000             WHEN MBCA-PTI-FUNCTION-IS-INQUIRY
132100                 MOVE DFHBMDAS   TO MR01-PRIM-LIMIT-LP-A
132200                                    (X-MR01-BTR)
132300                                    MR01-PRIM-LIMIT-RP-A
132400                                    (X-MR01-BTR)
132500                                    MR01-PRIM-RATE-LP-A
132600                                    (X-MR01-BTR)
132700                                    MR01-PRIM-RATE-RP-A
132800                                    (X-MR01-BTR)
132900                 MOVE DFHBMASB   TO MR01-PRIM-LIMIT-A
133000                                    (X-MR01-BTR)
133100                                    MR01-PRIM-RATE-A
133200                                    (X-MR01-BTR)
133300*
133400             WHEN (X-MR01-BTR IS EQUAL TO 10
133500               AND MBCA-PTI-FUNCTION-IS-ADD
133600               OR  MBCA-PTI-FUNCTION-IS-MAINT)
133700                 MOVE DFHBMDAS   TO MR01-PRIM-LIMIT-LP-A (10)
133800                                    MR01-PRIM-LIMIT-RP-A (10)
133900                 MOVE DFHBMASF   TO MR01-PRIM-LIMIT-A (10)
134000             WHEN OTHER
134100                 CONTINUE
134200         END-EVALUATE
134300     END-PERFORM.
134400*
134500 9210-BUILD-EXCEPTION-CONTROL.
134600*
134700     PERFORM
134800         VARYING X-MR01-EP FROM 1 BY 1
134900         UNTIL X-MR01-EP IS GREATER THAN 7
135000         SET X-MMRT-EXCEPTION    TO X-MR01-EP
135100         MOVE MMRT-EXCEPTION-PRIORITY (X-MMRT-EXCEPTION)
135200                                 TO MR01-EXCP-PRIO
135300                                     (X-MR01-EP)
135400     END-PERFORM.
135500*
135600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
135700         PERFORM
135800             VARYING X-MR01-EP FROM 1 BY 1
135900             UNTIL X-MR01-EP IS GREATER THAN 7
136000             MOVE DFHBMDAS       TO MR01-EXCP-PRIO-LP-A
136100                                    (X-MR01-EP)
136200                                    MR01-EXCP-PRIO-RP-A
136300                                    (X-MR01-EP)
136400             MOVE DFHBMASB       TO MR01-EXCP-PRIO-A
136500                                    (X-MR01-EP)
136600         END-PERFORM.
136700*
136800     IF  MBCA-PTI-FUNCTION-IS-MAINT
136900         MOVE MMRT-METHOD        TO MMRTWS-METHOD
137000         EVALUATE TRUE
137100             WHEN MMRTWS-DTD-VOLUME-W-CR-PLAN
137200             WHEN MMRTWS-DTD-VOLUME-W-AVG-TKT
137300             WHEN MMRTWS-PTD-VOLUME-W-CR-PLAN
137400             WHEN MMRTWS-PTD-VOLUME-W-AVG-TKT
137500             WHEN MMRTWS-RESV-PCT-ON-VOL-PLAN
137600             WHEN MMRTWS-MTD-TIERED-INCOME
137700                 PERFORM VARYING X-MR01-EP FROM +1 BY +1
137800                         UNTIL   X-MR01-EP IS GREATER THAN +7
137900                     MOVE DFHBMDAS
138000                                 TO MR01-EXCP-PRIO-LP-A
138100                                    (X-MR01-EP)
138200                                    MR01-EXCP-PRIO-RP-A
138300                                    (X-MR01-EP)
138400                                    MR01-EXCP-PRIO-A
138500                                    (X-MR01-EP)
138600                 END-PERFORM
138700         END-EVALUATE
138800         EVALUATE TRUE
138900             WHEN MMRTWS-DTD-VOLUME-W-CR-PLAN
139000             WHEN MMRTWS-PTD-VOLUME-W-CR-PLAN
139100             WHEN MMRTWS-RESV-PCT-ON-VOL-PLAN
139200                 SET X-MR01-EP   TO +2
139300                 MOVE DFHBMASK   TO MR01-EXCP-PRIO-LP-A
139400                                    (X-MR01-EP)
139500                                    MR01-EXCP-PRIO-RP-A
139600                                    (X-MR01-EP)
139700                 MOVE DFHBMUNN   TO MR01-EXCP-PRIO-A
139800                                    (X-MR01-EP)
139900             WHEN MMRTWS-DTD-VOLUME-W-AVG-TKT
140000             WHEN MMRTWS-PTD-VOLUME-W-AVG-TKT
140100                 SET X-MR01-EP   TO +1
140200                 MOVE DFHBMASK   TO MR01-EXCP-PRIO-LP-A
140300                                    (X-MR01-EP)
140400                                    MR01-EXCP-PRIO-RP-A
140500                                    (X-MR01-EP)
140600                 MOVE DFHBMUNN   TO MR01-EXCP-PRIO-A
140700                                    (X-MR01-EP)
140800         END-EVALUATE
140900     END-IF.
141000*
141100 9199-BDTS-EXIT.
141200     EXIT.
141300*
141400*
141500*
141600 9500-WRITE-LOG-RECORD.
141700*
141800     SET MBIORO-WRITE            TO TRUE.
141900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
142000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
142100*
142200 9599-WLR-EXIT.
142300     EXIT.
142400*
142500 9600-CROSS-EDIT-PRIORITIES.
142600*
142700*********************************************************
142800*                                                       *
142900*    THE EXCP-PRIO CROSS EDITS ARE AS FOLLOWS:          *
143000*                                                       *
143100*    . EACH STANDALONE (NON '0' AND NON 'A') EXCP-PRIO  *
143200*      CAN ONLY OCCUR ONCE IN THE EXCEPTION LIST.       *
143300*                                                       *
143400*    IF AN ERROR IS DETECTED, ALL PRIORITIES ARE        *
143500*    HIGHLIGHTED AND OPENED FOR CORRECTION.             *
143600*                                                       *
143700*********************************************************
143800*
143900     SET X-MR01-EP               TO 1.
144000*
144100 9601-CEP-SAVE-IN-WS.
144200*
144300     SET  WS-X-MR01-EP           TO X-MR01-EP.
144400     MOVE MR01-EXCP-PRIO (X-MR01-EP)
144500                                 TO WS-EXCP-PRIO.
144600     MOVE ZERO                   TO WS-EXCP-PRIO-COUNT.
144700*
144800     SET X-MR01-EP               TO 1.
144900*
145000 9602-CEP-LOOP.
145100*
145200     IF  MR01-EXCP-PRIO (X-MR01-EP) IS EQUAL TO ZERO
145300     OR  MR01-EXCP-PRIO (X-MR01-EP) IS EQUAL TO 'A'
145400         GO TO 9603-CEP-INCREMENT-INDEX.
145500*
145600     IF  MR01-EXCP-PRIO (X-MR01-EP) IS EQUAL TO WS-EXCP-PRIO
145700         ADD 1                   TO WS-EXCP-PRIO-COUNT.
145800*
145900 9603-CEP-INCREMENT-INDEX.
146000*
146100     IF  X-MR01-EP IS LESS THAN 7
146200         SET X-MR01-EP           UP BY 1
146300         GO TO 9602-CEP-LOOP.
146400*
146500     IF  WS-EXCP-PRIO-COUNT IS GREATER THAN 1
146600         GO TO 9618-EXCP-PRIO-CE-ERROR.
146700*
146800     SET X-MR01-EP               TO WS-X-MR01-EP.
146900*
147000     IF  X-MR01-EP IS LESS THAN 7
147100         SET X-MR01-EP           UP BY 1
147200         GO TO 9601-CEP-SAVE-IN-WS
147300     ELSE
147400         GO TO 9619-CEP-EXIT.
147500*
147600 9618-EXCP-PRIO-CE-ERROR.
147700*
147800     SET X-MR01-EP               TO 1.
147900*
148000     MOVE 'Y'                    TO SS08WS-ERROR
148100     MOVE SS08WS-CURSOR          TO MR01-EXCP-PRIO-L
148200                                        (X-MR01-EP).
148300*
148400 9618-PCEE-LOOP.
148500*
148600     MOVE DFHBMASB               TO MR01-EXCP-PRIO-LP-A
148700                                        (X-MR01-EP)
148800                                    MR01-EXCP-PRIO-RP-A
148900                                        (X-MR01-EP).
149000*
149100     IF  MR01-EXCP-PRIO-L (X-MR01-EP) IS GREATER THAN ZERO
149200         MOVE DFHBMUBF           TO MR01-EXCP-PRIO-A
149300                                        (X-MR01-EP)
149400     ELSE
149500         MOVE DFHBMBRY           TO MR01-EXCP-PRIO-A
149600                                        (X-MR01-EP).
149700*
149800     IF  X-MR01-EP IS LESS THAN 7
149900         SET X-MR01-EP           UP BY 1
150000         GO TO 9618-PCEE-LOOP.
150100*
150200 9619-CEP-EXIT.
150300     EXIT.
150400*
150500/         GREGORIAN TO JULIAN DATE ROUTINE
150600     COPY SS07PD.
150700*
150800/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
150900     COPY SS26PD.
151000*
151100/         ROUTINE TO NUMERICALLY EDIT TIME
151200     COPY SS27PD.
151300*
151400/         JULIAN TO GREGORIAN DATE ROUTINE
151500     COPY SS08PD.
151600*
151700/    ROUTINE TO MOVE COMMAREA VARIABLES TO
151800*                    SS08-FORMATTED-MSG VARIABLE.
151900     COPY MB06PD.
152000*
152100/         LINE 24 PF KEYS ROUTINE
152200     COPY SS15PD.
152300*
152400/         DICOUNT RATE TABLE ACCESS ROUTINE
152500     COPY MMRTAO.
152600*
152700/         ORG CONTROL ACCESS ROUTINE
152800     COPY MMOCAO.
152900*
153000/         LOG REC FILE ACCESS ROUTINE
153100     COPY MML1AO.
153200*
153300/         ON-LINE MAP ROUTINES
153400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR01 '
153500                           MBMAPXXI BY MBMR01I
153600                           MBMAPXXO BY MBMR01O.
153700*
153800/         ON-LINE PROCEDURES
153900     COPY MB70PD.
154000/
154100     COPY SMFTPXO.
