000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400***                                                             *
000500**              M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMR03 - ON-LINE DISCOUNT RATE TABLE ADD/MAINT/INQ      *
000800*                SCREEN 03                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAR                                       *
001200*                 B. MBMR                                       *
001300*                 C. MBQR                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMR03 (SCREEN 03)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMRT (DISCOUNT RATE TABLE)                 *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(08)      BINARY.
003600     03  WS-RATE             PIC S9(09)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-RATE-TOTAL       PIC S9(09)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SCREEN-BYPASS-SW PIC  X(01)      VALUE 'N'.
004100         88  THIS-SCREEN-IS-BYPASSED         VALUE 'Y'.
004200         88  THIS-SCREEN-IS-NOT-BYPASSED     VALUE 'N'.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004500         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
004600     03  WS-RATE-ERROR-SW    PIC  X(01)      VALUE 'N'.
004700         88  RATE-ERRORS-EXIST               VALUE 'Y'.
004800         88  NO-RATE-ERRORS-EXIST            VALUE 'N'.
004900/
005000 01  FILLER                  PIC  X(29)      VALUE
005100     'I/O REQUEST BLOCK WORK AREAS:'.
005200*
005300     COPY MBIOWS.
005400/
005500 01  FILLER                  PIC  X(18)      VALUE
005600     'I/O REQUEST BLOCK:'.
005700*
005800     COPY MBIORO.
005900/
006000 01  FILLER                  PIC  X(25)      VALUE
006100     'LOG RECORD REQUEST BLOCK:'.
006200*
006300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006400/
006500 01  FILLER                  PIC  X(39)      VALUE
006600     'DISCOUNT RATE TABLE INITIALIZER RECORD:'.
006700*
006800     COPY MMRTIR.
006900/
007000 01  FILLER                  PIC  X(20)      VALUE
007100     'CCS DATE WORK AREAS:'.
007200*
007300     COPY SS01WS.
007400/
007500 01  FILLER                  PIC  X(15)      VALUE
007600     'CCS WORK AREAS:'.
007700*
007800     COPY SS08WS.
007900/
008000     COPY SS00WS.
008100/
008200     COPY SMFTWS.
008300/
008400     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008500/
008600     COPY MB61LK.
008700/
008800 01  FILLER                  PIC  X(23)      VALUE
008900     'RATE TABLES WORK AREAS:'.
009000*
009100     COPY MMRTWS.
009200*
009300 01  FILLER                  PIC  X(12)      VALUE
009400     '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*********************************
010300*    DISCOUNT RATE TABLE MAP    *
010400*********************************
010500*
010600     COPY MBMR03.
010700/
010800**********************************************
010900*    DISCOUNT RATE TABLE MAP REDEFINITION    *
011000**********************************************
011100*
011200     COPY MBMR03R.
011300/
011400*******************************************
011500*    DISCOUNT RATE TABLE RECORD LAYOUT    *
011600*******************************************
011700*
011800     COPY MMRTRL.
011900/
012000***************************
012100*    LOG RECORD LAYOUT    *
012200***************************
012300*
012400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012500/
012600 PROCEDURE DIVISION.
012700*
012800 A000-HOUSEKEEPING SECTION.
012900*
013000 A020-INIT.
013100*
013200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013400                                 THRU MB70PD-OLH-EXIT.
013500*
013600     IF  MBCA-RECEIVE-SCREEN
013700         GO TO C000-RECEIVE-SCREEN.
013800/
013900 B000-SEND-SCREEN SECTION.
014000*
014100**************************************
014200*    READ THE DISCOUNT RATE TABLE    *
014300*    FOR SUBSEQUENT DISPLAY          *
014400**************************************
014500*
014600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
014700     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
014800     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
014900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015000     SET MBIORO-READ-RANDOM      TO TRUE.
015100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
015200*
015300***************************************************
015400*    IF THE PLAN EXCEPTION PRIORITY SPECIFIES     *
015500*    'NOT USED', BYPASS THIS SCREEN.  IF  THIS    *
015600*    IS THE ADD FUNCTION, BRANCH TO THE UPDATE    *
015700*    SECTION OF THE PROGRAM WHERE THE ONLINE      *
015800*    STATUS , MAINT DATE, AND MAINT OPERATOR      *
015900*    WILL BE UPDATED.                             *
016000***************************************************
016100*
016200     SET X-MMRT-EXCEPTION        TO 2.
016300*
016400     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
016500         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50
016600         IF  MBCA-PTI-FUNCTION-IS-ADD
016700             MOVE 'Y'            TO WS-SCREEN-BYPASS-SW
016800             GO TO E000-UPDATE-FILE
016900         ELSE
017000             GO TO F000-SETUP-COMMAREA.
017100*
017200*
017300*********************************************
017400*    GET CICS STORAGE NEEDED FOR THE MAP    *
017500*********************************************
017600*
017700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB60PD-GETMAIN-FOR-MAP
017900                                 THRU MB60PD-GFM-EXIT.
018000*
018100*******************************************
018200*    INITIALIZE THE STANDARD MAP LINES    *
018300*******************************************
018400*
018500     PERFORM MB60PD-INIT-STD-MAP-LINES
018600                                 THRU MB60PD-ISML-EXIT.
018700*
018800****************************************************
018900*    MOVE THE KEY AND TABLE TITLE TO THE SCREEN    *
019000****************************************************
019100*
019200     MOVE MBCA-MERCHANT-ORG      TO MR03-ORG.
019300     MOVE MBCA-TABLE             TO MR03-TABLE.
019400     MOVE MMRT-TITLE             TO MR03-TITLE.
019500*
019600 B020-MOVE-FIELDS-TO-SCREEN.
019700*
019800*******************************************************
019900*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
020000*******************************************************
020100*
020200     EVALUATE MBCA-SCREEN-NBR
020300         WHEN 53
020400             MOVE 03             TO MBCA-SCREEN-NBR
020500             MOVE 1              TO WS-INDEX
020600         WHEN 54
020700             MOVE 04             TO MBCA-SCREEN-NBR
020800             MOVE 29             TO WS-INDEX
020900     END-EVALUATE.
021000*
021100     PERFORM Y020-MOVE-PLANS     THRU Y039-MD-EXIT.
021200*
021300     PERFORM Y040-MOVE-RATES     THRU Y059-MR-EXIT.
021400*
021500******************************************
021600*    SET THE CURSOR AND SCREEN NUMBER    *
021700******************************************
021800*
021900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
022000         MOVE SS08WS-CURSOR      TO MR03-PLAN-L (1)
022100     ELSE
022200         MOVE SS08WS-CURSOR      TO MR03-ALT-TRANID-L.
022300*
022400***********************************************************
022500*    SET THE CURRENCY CODE, CURRENCY NOD
022600*            PER ITEM NOD, PERCENT NOD.
022700***********************************************************
022800     IF MR03-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
022900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
023000                                 THRU MB06PD-FML-EXIT
023100        MOVE SS08WS-FORMATTED-MSG   TO MR03-ERROR-MESSAGE
023200     END-IF.
023300*
023400**********************
023500*    SEND THE MAP    *
023600**********************
023700*
023800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
023900*
024000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024100                                 THRU MB60PD-SMWE-EXIT.
024200*
024300************************
024400*    RETURN TO CICS    *
024500************************
024600*
024700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
024800     PERFORM MB70PD-RETURN-TRANS-ID
024900                                 THRU MB70PD-RTI-EXIT.
025000/
025100 C000-RECEIVE-SCREEN SECTION.
025200*
025300******************************************
025400*    THIS SECTION RECEIVES THE SCREEN    *
025500******************************************
025600*
025700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
025900*
026000**************************************************************
026100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026200**************************************************************
026300*
026400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM MB60PD-NEW-TRANS-ROUTINE
026600                                 THRU MB60PD-NTR-EXIT.
026700*
026800*********************************************
026900*    READ THE DISCOUNT RATE TABLE RECORD    *
027000*********************************************
027100*
027200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
027300                                    MR03-ORG.
027400     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
027500                                    MR03-TABLE.
027600     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
027700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027800     SET MBIORO-READ-RANDOM      TO TRUE.
027900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
028000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
028100*
028200     EVALUATE MBCA-SCREEN-NBR
028300         WHEN 03
028400             MOVE 1              TO WS-INDEX
028500         WHEN 04
028600             MOVE 29             TO WS-INDEX
028700     END-EVALUATE.
028800*
028900****************************************************
029000*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
029100****************************************************
029200*
029300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029400         GO TO F000-SETUP-COMMAREA.
029500*
029600 C020-FIELD-EDITS.
029700*
029800*********************
029900*    FIELD EDITS    *
030000*********************
030100*
030200     PERFORM W020-EDIT-PLANS     THRU W039-ED-EXIT.
030300*
030400     PERFORM W040-EDIT-RATES     THRU W059-ER-EXIT.
030500*
030600     PERFORM W060-CROSS-EDIT-RATES
030700                                 THRU W079-CER-EXIT.
030800/
030900 D000-RETURN-ERRORS SECTION.
031000*
031100     IF  SS08WS-ERROR IS EQUAL TO 'N'
031200         GO TO E000-UPDATE-FILE.
031300*
031400***************************************************************
031500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
031600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
031700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
031800***************************************************************
031900*
032000     PERFORM MB60PD-INIT-STD-MAP-LINES
032100                                 THRU MB60PD-ISML-EXIT.
032200*
032300***********************************************************
032400*    SET THE CURRENCY CODE, CURRENCY NOD
032500*            PER ITEM NOD, PERCENT NOD.
032600***********************************************************
032700     IF MR03-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
032800        PERFORM MB06PD-FORMAT-MESSAGE-LINE
032900                                 THRU MB06PD-FML-EXIT
033000        MOVE SS08WS-FORMATTED-MSG   TO MR03-ERROR-MESSAGE
033100     END-IF.
033200*
033300**********************
033400*    SEND THE MAP    *
033500**********************
033600*
033700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
033900                                 THRU MB60PD-SMDO-EXIT.
034000*
034100************************
034200*    RETURN TO CICS    *
034300************************
034400*
034500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB70PD-RETURN-TRANS-ID
034700                                 THRU MB70PD-RTI-EXIT.
034800/
034900 E000-UPDATE-FILE SECTION.
035000*
035100********************************************************
035200*    READ THE DISCOUNT RATE TABLE RECORD FOR UPDATE    *
035300********************************************************
035400*
035500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
035600     SET MBIORO-READ-RANDOM-UPDATE
035700                                 TO TRUE.
035800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
035900*
036000********************************************
036100*    OBTAIN STORAGE FOR LOG FILE RECORD    *
036200*    IF DOING MAINTENANCE                  *
036300********************************************
036400*
036500     IF  MBCA-PTI-FUNCTION-IS-ADD
036600         IF  THIS-SCREEN-IS-BYPASSED
036700             GO TO E040-UPDATE-MMRT
036800         ELSE
036900             GO TO E020-UPDATE-FIELDS.
037000*
037100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
037200     SET MBIORO-GETMAIN          TO TRUE.
037300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037400*
037500*************************************************
037600*    SET UP THE COMMON PORTION OF THE RECORD    *
037700*************************************************
037800*
037900     MOVE 'RT'                   TO MML1-FILE-CODE.
038000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
038100     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
038200     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
038300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
038400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
038500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
038600*
038700 E020-UPDATE-FIELDS.
038800*
038900     PERFORM X020-UPDATE-PLANS   THRU X039-UD-EXIT.
039000*
039100     PERFORM X040-UPDATE-RATES   THRU X059-UR-EXIT.
039200*
039300 E040-UPDATE-MMRT.
039400*
039500     IF  MBCA-PTI-FUNCTION-IS-ADD
039600         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
039700         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
039800         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
039900         MOVE 'Y'                TO WS-UPDATE-SW.
040000*
040100**************************************************************
040200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
040300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
040400*    ON THE SCREEN                                           *
040500**************************************************************
040600*
040700     IF  MBCA-PTI-FUNCTION-IS-MAINT
040800     AND FIELDS-WERE-UPDATED
040900         MOVE 0198               TO MML1-FIELD-CODE
041000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
041100                                    MML1-FIELD-OCCURRENCE-2
041200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
041300         MOVE MMRT-LAST-MAINT-OPER
041400                                 TO MML1-VL03-B-DATA-X
041500         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
041600         MOVE MMRT-LAST-MAINT-OPER
041700                                 TO MML1-VL03-A-DATA-X
041800         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
041900         PERFORM Y060-WRITE-LOG-RECORD
042000                                 THRU Y079-WLR-EXIT
042100         MOVE 0199               TO MML1-FIELD-CODE
042200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
042300         MOVE MMRT-LAST-MAINT-DATE
042400                                 TO MML1-VL07-B-DATA-9
042500         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
042600         MOVE MMRT-LAST-MAINT-DATE
042700                                 TO MML1-VL07-A-DATA-9
042800         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
042900         PERFORM Y060-WRITE-LOG-RECORD
043000                                 THRU Y079-WLR-EXIT.
043100*
043200****************************************************
043300*    REWRITE THE DISCOUNT RATE TABLE RECORD IF     *
043400*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
043500*    UNLOCK IT IF THEY HAVE NOT                    *
043600****************************************************
043700*
043800     IF  FIELDS-WERE-UPDATED
043900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
044000         SET MBIORO-REWRITE      TO TRUE
044100         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
044200     ELSE
044300         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044400         SET MBIORO-UNLOCK       TO TRUE
044500         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
044600/
044700 F000-SETUP-COMMAREA SECTION.
044800*
044900***************************************************************
045000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045100***************************************************************
045200*
045300     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
045400         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR + 51
045500         GO TO F010-XCTL.
045600*
045700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045800*
045900     PERFORM MB60PD-EDIT-PAGE-NBR
046000                                 THRU MB60PD-EPN-EXIT.
046100*
046200     IF  SS08WS-VALID-PF-KEY
046300     OR  SS08WS-EIBAID-VALID-PF-KEY
046400         SET MBCA-INITIAL-SCREEN-NBR
046500                                 TO TRUE.
046600*
046700 F010-XCTL.
046800*
046900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047000     PERFORM MB70PD-XCTL-TO-MBOXCTL
047100                                 THRU MB70PD-XTM-EXIT.
047200/
047300 W000-FIELD-EDITS SECTION.
047400*
047500 W020-EDIT-PLANS.
047600*
047700***********************************
047800*    SET THE BEGINNING INDEXES    *
047900***********************************
048000*
048100     SET X-MR03-PLAN             TO 1.
048200     SET X-MMRT-PLAN             TO WS-INDEX.
048300*
048400 W022-ED-LOOP.
048500*
048600**************************************************
048700*    SET THE FIELD ATTRIBUTES TO THE PLAN IN     *
048800*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
048900**************************************************
049000*
049100     MOVE DFHBMDAS               TO MR03-PLAN-LP-A
049200                                        (X-MR03-PLAN)
049300                                    MR03-PLAN-RP-A
049400                                        (X-MR03-PLAN).
049500     MOVE DFHBMASK               TO MR03-PLAN-A
049600                                        (X-MR03-PLAN).
049700*
049800*****************************
049900*    EDIT FOR VALID DATA    *
050000*****************************
050100*
050200     IF  MR03-PLAN-L (X-MR03-PLAN) IS EQUAL TO ZERO
050300         MOVE MMRT-PLAN (X-MMRT-PLAN)
050400                                 TO MR03-PLAN (X-MR03-PLAN)
050500         GO TO W038-INCREMENT-INDEXES
050600     ELSE
050700         IF ((MR03-PLAN (X-MR03-PLAN) (1:1)
050800                                 IS NUMERIC
050900         OR  MR03-PLAN (X-MR03-PLAN) (1:1)
051000                                 IS EQUAL TO '*')
051100         AND (MR03-PLAN (X-MR03-PLAN) (2:1)
051200                                 IS NUMERIC
051300         OR  MR03-PLAN (X-MR03-PLAN) (2:1)
051400                                 IS EQUAL TO '*')
051500         AND (MR03-PLAN (X-MR03-PLAN) (3:1)
051600                                 IS NUMERIC
051700         OR  MR03-PLAN (X-MR03-PLAN) (3:1)
051800                                 IS EQUAL TO '*')
051900         AND (MR03-PLAN (X-MR03-PLAN) (4:1)
052000                                 IS NUMERIC
052100         OR  MR03-PLAN (X-MR03-PLAN) (4:1)
052200                                 IS EQUAL TO '*')
052300         AND (MR03-PLAN (X-MR03-PLAN) (5:1)
052400                                 IS NUMERIC
052500         OR  MR03-PLAN (X-MR03-PLAN) (5:1)
052600                                 IS EQUAL TO '*'))
052700         MOVE DFHBMASF           TO MR03-PLAN-A (X-MR03-PLAN)
052800         GO TO W038-INCREMENT-INDEXES.
052900*
053000 W034-PLAN-ERROR.
053100*
053200     MOVE 'Y'                    TO SS08WS-ERROR.
053300     MOVE SS08WS-CURSOR          TO MR03-PLAN-L
053400                                    (X-MR03-PLAN).
053500     MOVE DFHBMNBF               TO MR03-PLAN-A
053600                                    (X-MR03-PLAN).
053700     MOVE DFHBMASB               TO MR03-PLAN-LP-A
053800                                    (X-MR03-PLAN)
053900                                    MR03-PLAN-RP-A
054000                                    (X-MR03-PLAN).
054100     GO TO W039-ED-EXIT.
054200*
054300 W038-INCREMENT-INDEXES.
054400*
054500     IF  X-MR03-PLAN IS LESS THAN 28
054600         SET X-MR03-PLAN         UP BY 1
054700         SET X-MMRT-PLAN         UP BY 1
054800         GO TO W022-ED-LOOP.
054900*
055000 W039-ED-EXIT.
055100     EXIT.
055200*
055300 W040-EDIT-RATES.
055400*
055500***********************************
055600*    SET THE BEGINNING INDEXES    *
055700***********************************
055800*
055900     SET X-MR03-PLAN             TO 1.
056000     SET X-MMRT-PLAN             TO WS-INDEX.
056100*
056200 W042-ER-LOOP.
056300*
056400**************************************************
056500*    SET THE FIELD ATTRIBUTES TO THE PLAN IN     *
056600*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
056700**************************************************
056800*
056900     MOVE DFHBMDAS               TO MR03-PLAN-RATE-LP-A
057000                                        (X-MR03-PLAN)
057100                                    MR03-PLAN-RATE-RP-A
057200                                        (X-MR03-PLAN).
057300     MOVE DFHBMASK               TO MR03-PLAN-RATE-A
057400                                        (X-MR03-PLAN)
057500                                    MR03-PLAN-RATE-SIGN-A
057600                                        (X-MR03-PLAN).
057700*
057800*************************************
057900*    EDIT FOR VALID NUMERIC DATA    *
058000*************************************
058100*
058200     IF  MR03-PLAN-RATE-L (X-MR03-PLAN) IS EQUAL TO ZERO
058300         MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
058400                                 TO MR03-PLAN-RATE
058500                                        (X-MR03-PLAN)
058600         GO TO W046-EDIT-RATE-SIGN.
058700*
058800     IF  MR03-PLAN-RATE (X-MR03-PLAN) IS NUMERIC
058900         MOVE DFHBMASF           TO MR03-PLAN-RATE-A
059000                                        (X-MR03-PLAN)
059100         GO TO W046-EDIT-RATE-SIGN.
059200*
059300 W044-RATE-ERROR.
059400*
059500     MOVE 'Y'                    TO SS08WS-ERROR
059600                                    WS-RATE-ERROR-SW.
059700     MOVE SS08WS-CURSOR          TO MR03-PLAN-RATE-L
059800                                        (X-MR03-PLAN).
059900     MOVE DFHBMNBF               TO MR03-PLAN-RATE-A
060000                                        (X-MR03-PLAN).
060100     MOVE DFHBMASB               TO MR03-PLAN-RATE-LP-A
060200                                        (X-MR03-PLAN)
060300                                    MR03-PLAN-RATE-RP-A
060400                                        (X-MR03-PLAN).
060500*
060600 W046-EDIT-RATE-SIGN.
060700*
060800*****************************
060900*    EDIT FOR VALID DATA    *
061000*****************************
061100*
061200     IF  MR03-PLAN-RATE-SIGN-L (X-MR03-PLAN) IS EQUAL TO ZERO
061300         IF  MMRT-PLAN-RATE (X-MMRT-PLAN)
061400             IS LESS THAN ZERO
061500             MOVE '-'            TO MR03-PLAN-RATE-SIGN
061600                                        (X-MR03-PLAN)
061700             MOVE DFHBMASF       TO MR03-PLAN-RATE-SIGN-A
061800                                        (X-MR03-PLAN)
061900             GO TO W058-INCREMENT-INDEXES
062000         ELSE
062100             MOVE '+'            TO MR03-PLAN-RATE-SIGN
062200                                        (X-MR03-PLAN)
062300             MOVE DFHBMASF       TO MR03-PLAN-RATE-SIGN-A
062400                                        (X-MR03-PLAN)
062500             GO TO W058-INCREMENT-INDEXES.
062600*
062700     IF  MR03-PLAN-RATE-SIGN (X-MR03-PLAN) IS EQUAL TO
062800         '-' OR '+'
062900         MOVE DFHBMASF           TO MR03-PLAN-RATE-SIGN-A
063000                                        (X-MR03-PLAN)
063100         GO TO W058-INCREMENT-INDEXES.
063200*
063300 W048-RATE-SIGN-ERROR.
063400*
063500     MOVE 'Y'                    TO SS08WS-ERROR
063600                                    WS-RATE-ERROR-SW.
063700     MOVE SS08WS-CURSOR          TO MR03-PLAN-RATE-SIGN-L
063800                                        (X-MR03-PLAN).
063900     MOVE DFHBMUBF               TO MR03-PLAN-RATE-SIGN-A
064000                                        (X-MR03-PLAN).
064100     MOVE DFHBMASB               TO MR03-PLAN-RATE-LP-A
064200                                        (X-MR03-PLAN)
064300                                    MR03-PLAN-RATE-RP-A
064400                                        (X-MR03-PLAN).
064500*
064600 W058-INCREMENT-INDEXES.
064700*
064800     IF  X-MR03-PLAN IS LESS THAN 28
064900         SET X-MR03-PLAN         UP BY 1
065000         SET X-MMRT-PLAN         UP BY 1
065100         GO TO W042-ER-LOOP.
065200*
065300 W059-ER-EXIT.
065400     EXIT.
065500*
065600 W060-CROSS-EDIT-RATES.
065700*
065800************************************************
065900*    BYPASS THE CROSS EDITS IF ERRORS EXIST    *
066000*    IN THE PLAN FIELDS OR RATE FIELDS         *
066100************************************************
066200     IF  RATE-ERRORS-EXIST
066300         GO TO W079-CER-EXIT.
066400*
066500*****************************************************************
066600*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
066700*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
066800*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
066900*****************************************************************
067000     PERFORM
067100         VARYING X-MR03-PLAN FROM 1 BY 1
067200         UNTIL   X-MR03-PLAN IS GREATER THAN 28
067300         EVALUATE TRUE
067400            WHEN   MMRTWS-RESV-FLAT-AMT
067500                 CONTINUE
067600            WHEN (MMRTWS-VALID-METH-ON-AMOUNT AND
067700                       MR03-PLAN-RATE (X-MR03-PLAN)
067800                            IS GREATER THAN 9999999)
067900                 SET SS08WS-ERROR-SW-YES TO TRUE
068000                 MOVE DFHBMNBF
068100                             TO MR03-PLAN-RATE-A (X-MR03-PLAN)
068200                 MOVE DFHBMASB
068300                             TO MR03-PLAN-RATE-LP-A (X-MR03-PLAN)
068400                                MR03-PLAN-RATE-RP-A (X-MR03-PLAN)
068500                 MOVE SS08WS-CURSOR
068600                             TO MR03-PLAN-RATE-L (X-MR03-PLAN)
068700                 IF MR03-ERROR-MESSAGE IS EQUAL TO SPACES
068800                                                   OR LOW-VALUES
068900                       MOVE 'ERROR RATE PERCENT'
069000                             TO MR03-ERROR-MESSAGE
069100                 END-IF
069200            END-EVALUATE
069300     END-PERFORM.
069400*
069500*************************
069600*    SET THE INDEXES    *
069700*************************
069800*
069900     SET X-MR03-PLAN             TO 1.
070000     SET X-MMRT-PLAN             TO WS-INDEX.
070100     SET X-MMRTIR-PLAN           TO 1.
070200     SET X-MMRT-EXCEPTION        TO 2.
070300*
070400 W062-CER-LOOP.
070500*
070600**************************************************************
070700*    RATE CROSS EDITS ARE AS FOLLOWS:                        *
070800*                                                            *
070900*      . IF THE PLAN FIELD IS THE INITIALIZER DEFAULT,       *
071000*        THE RATE FIELD MUST ALSO BE THE INITIALIZER         *
071100*        DEFAULT.                                            *
071200*      . IF THE PLAN EXCEPTION IS OF A OVERRIDE              *
071300*        PRIORITY, NO RATE CAN BE NEGATIVE.                  *
071400*      . IF THE PLAN EXCEPTION IS AN ADJUSTMENT,             *
071500*        NO RATE WHEN ADDED TO EACH PRIMARY RATE             *
071600*        (INDIVIDUALLY) CAN BE LESS THAN ZERO.               *
071700*                                                            *
071800*    IF THERE IS AN ERROR, THE PLAN AND RATE ARE             *
071900*    HIGHLIGHTED.                                            *
072000**************************************************************
072100*
072200     IF  MR03-PLAN     (X-MR03-PLAN) IS EQUAL TO
072300         MMRTIR-PLAN  (X-MMRTIR-PLAN)
072400         IF  MR03-PLAN-RATE (X-MR03-PLAN) IS NOT EQUAL TO
072500             MMRTIR-PLAN-RATE (X-MMRTIR-PLAN)
072600             GO TO W068-CROSS-EDIT-RATE-ERROR.
072700*
072800     IF  MMRT-EXCEPTION-IS-OVERRIDE (X-MMRT-EXCEPTION)
072900         IF  MR03-PLAN-RATE-SIGN (X-MR03-PLAN) IS EQUAL TO '-'
073000             GO TO W068-CROSS-EDIT-RATE-ERROR
073100         ELSE
073200             GO TO W078-INCREMENT-INDEXES.
073300*
073400     IF  MR03-PLAN-RATE-SIGN (X-MR03-PLAN) IS NOT EQUAL TO '-'
073500         GO TO W078-INCREMENT-INDEXES.
073600*
073700************************************
073800*    SET THE PRIMARY RATE INDEX    *
073900************************************
074000*
074100     SET X-MMRT-PRIM             TO 1.
074200*
074300     MOVE MR03-PLAN-RATE (X-MR03-PLAN)
074400                                 TO WS-RATE.
074500     COMPUTE WS-RATE             = WS-RATE * -1.
074600*
074700 W064-CER-LOOP.
074800*
074900     COMPUTE WS-RATE-TOTAL =
075000         WS-RATE + MMRT-PRIM-RATE (X-MMRT-PRIM).
075100*
075200     IF  WS-RATE-TOTAL IS LESS THAN ZERO
075300         GO TO W068-CROSS-EDIT-RATE-ERROR.
075400*
075500 W066-INCREMENT-INDEXES.
075600*
075700     IF  X-MMRT-PRIM IS LESS THAN 10
075800     AND MMRT-PRIM-LIMIT (X-MMRT-PRIM)
075900                             IS NOT EQUAL TO 99999999999999999
076000         SET X-MMRT-PRIM         UP BY 1
076100         GO TO W064-CER-LOOP
076200     ELSE
076300         GO TO W078-INCREMENT-INDEXES.
076400*
076500 W068-CROSS-EDIT-RATE-ERROR.
076600*
076700**********************************************
076800*    BRIGHTEN AND FSET THE PLAN AND RATE     *
076900**********************************************
077000*
077100     MOVE 'Y'                    TO SS08WS-ERROR
077200                                    WS-RATE-ERROR-SW.
077300     MOVE SS08WS-CURSOR          TO MR03-PLAN-RATE-L
077400                                        (X-MR03-PLAN).
077500     MOVE DFHBMASB               TO MR03-PLAN-LP-A
077600                                        (X-MR03-PLAN)
077700                                    MR03-PLAN-RP-A
077800                                        (X-MR03-PLAN)
077900                                    MR03-PLAN-RATE-LP-A
078000                                        (X-MR03-PLAN)
078100                                    MR03-PLAN-RATE-RP-A
078200                                        (X-MR03-PLAN).
078300     MOVE DFHBMNBF               TO MR03-PLAN-RATE-A
078400                                        (X-MR03-PLAN).
078500     MOVE DFHBMUBF               TO MR03-PLAN-A
078600                                        (X-MR03-PLAN)
078700                                    MR03-PLAN-RATE-SIGN-A
078800                                        (X-MR03-PLAN).
078900*
079000 W078-INCREMENT-INDEXES.
079100*
079200     IF  X-MR03-PLAN IS LESS THAN 28
079300         SET X-MR03-PLAN         UP BY 1
079400         SET X-MMRTIR-PLAN       UP BY 1
079500         GO TO W062-CER-LOOP.
079600*
079700 W079-CER-EXIT.
079800     EXIT.
079900/
080000 X000-UPDATE-FIELDS SECTION.
080100*
080200 X020-UPDATE-PLANS.
080300*
080400***********************************
080500*    SET THE BEGINNING INDEXES    *
080600***********************************
080700*
080800     SET X-MR03-PLAN             TO 1.
080900     SET X-MMRT-PLAN             TO WS-INDEX.
081000*
081100 X022-UD-LOOP.
081200*
081300     IF  MR03-PLAN-L       (X-MR03-PLAN) IS GREATER THAN ZERO
081400         IF  MR03-PLAN (X-MR03-PLAN) IS NOT EQUAL TO
081500             MMRT-PLAN (X-MMRT-PLAN)
081600             MOVE 'Y'            TO WS-UPDATE-SW
081700             IF  MBCA-PTI-FUNCTION-IS-MAINT
081800                 MOVE 0301       TO MML1-FIELD-CODE
081900                 SET MML1-FIELD-OCCURRENCE
082000                                 TO X-MMRT-PLAN
082100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
082200                 MOVE MML1WS-VL-05
082300                                 TO MML1-VARIABLE-LENGTH
082400                 MOVE MMRT-PLAN (X-MMRT-PLAN)
082500                                 TO MML1-VL05-B-DATA-X
082600                 MOVE MR03-PLAN          (X-MR03-PLAN)
082700                                 TO MMRT-PLAN
082800                                         (X-MMRT-PLAN)
082900                 MOVE MMRT-PLAN (X-MMRT-PLAN)
083000                                 TO MML1-VL05-A-DATA-X
083100                 PERFORM Y060-WRITE-LOG-RECORD
083200                                 THRU Y079-WLR-EXIT
083300             ELSE
083400                 MOVE MR03-PLAN          (X-MR03-PLAN)
083500                                 TO MMRT-PLAN
083600                                         (X-MMRT-PLAN).
083700*
083800 X038-INCREMENT-INDEXES.
083900*
084000     IF  X-MR03-PLAN IS LESS THAN 28
084100         SET X-MR03-PLAN         UP BY 1
084200         SET X-MMRT-PLAN         UP BY 1
084300         GO TO X022-UD-LOOP.
084400*
084500 X039-UD-EXIT.
084600     EXIT.
084700*
084800 X040-UPDATE-RATES.
084900*
085000***********************************
085100*    SET THE BEGINNING INDEXES    *
085200***********************************
085300*
085400     SET X-MR03-PLAN             TO 1.
085500     SET X-MMRT-PLAN             TO WS-INDEX.
085600*
085700 X042-UR-LOOP.
085800*
085900     IF  MR03-PLAN-RATE-L      (X-MR03-PLAN) IS GREATER THAN ZERO
086000     OR  MR03-PLAN-RATE-SIGN-L (X-MR03-PLAN) IS GREATER THAN ZERO
086100         MOVE MR03-PLAN-RATE (X-MR03-PLAN)
086200                                 TO WS-RATE
086300         IF  MR03-PLAN-RATE-SIGN (X-MR03-PLAN) IS EQUAL TO '-'
086400             COMPUTE WS-RATE = WS-RATE * -1.
086500*
086600     IF  MR03-PLAN-RATE-L      (X-MR03-PLAN) IS GREATER THAN ZERO
086700     OR  MR03-PLAN-RATE-SIGN-L (X-MR03-PLAN) IS GREATER THAN ZERO
086800         IF  WS-RATE IS NOT EQUAL TO
086900             MMRT-PLAN-RATE (X-MMRT-PLAN)
087000             MOVE 'Y'            TO WS-UPDATE-SW
087100             IF  MBCA-PTI-FUNCTION-IS-MAINT
087200                 MOVE 0302       TO MML1-FIELD-CODE
087300                 SET MML1-FIELD-OCCURRENCE
087400                                 TO X-MMRT-PLAN
087500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
087600                 MOVE MML1WS-VL-20
087700                                 TO MML1-VARIABLE-LENGTH
087800                 MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
087900                                 TO MML1-VL20-B-NBR-NO-DEC
088000                 MOVE WS-RATE    TO MMRT-PLAN-RATE
088100                                            (X-MMRT-PLAN)
088200                 MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
088300                                 TO MML1-VL20-A-NBR-NO-DEC
088400                 PERFORM Y060-WRITE-LOG-RECORD
088500                                 THRU Y079-WLR-EXIT
088600             ELSE
088700                 MOVE WS-RATE    TO MMRT-PLAN-RATE
088800                                         (X-MMRT-PLAN).
088900*
089000 X058-INCREMENT-INDEXES.
089100*
089200     IF  X-MR03-PLAN IS LESS THAN 28
089300         SET X-MR03-PLAN         UP BY 1
089400         SET X-MMRT-PLAN         UP BY 1
089500         GO TO X042-UR-LOOP.
089600*
089700 X059-UR-EXIT.
089800     EXIT.
089900/
090000 Y000-PERFORMED-ROUTINES SECTION.
090100*
090200 Y020-MOVE-PLANS.
090300*
090400***********************************
090500*    SET THE BEGINNING INDEXES    *
090600***********************************
090700*
090800     SET X-MR03-PLAN             TO 1.
090900     SET X-MMRT-PLAN             TO WS-INDEX.
091000*
091100 Y022-MD-LOOP.
091200*
091300     MOVE MMRT-PLAN (X-MMRT-PLAN)
091400                                 TO MR03-PLAN (X-MR03-PLAN).
091500*
091600****************************************
091700*    DARKEN THE PARENS AND BRIGHTEN    *
091800*    THE DATA ELEMENT IF IN INQUIRY    *
091900****************************************
092000*
092100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
092200         MOVE DFHBMASB           TO MR03-PLAN-A
092300                                        (X-MR03-PLAN)
092400         MOVE DFHBMDAS           TO MR03-PLAN-LP-A
092500                                        (X-MR03-PLAN)
092600                                    MR03-PLAN-RP-A
092700                                        (X-MR03-PLAN).
092800*
092900 Y038-INCREMENT-INDEXES.
093000*
093100     IF  X-MR03-PLAN IS LESS THAN 28
093200         SET X-MR03-PLAN         UP BY 1
093300         SET X-MMRT-PLAN         UP BY 1
093400         GO TO Y022-MD-LOOP.
093500*
093600 Y039-MD-EXIT.
093700     EXIT.
093800*
093900 Y040-MOVE-RATES.
094000*
094100***********************************
094200*    SET THE BEGINNING INDEXES    *
094300***********************************
094400*
094500     SET X-MR03-PLAN             TO 1.
094600     SET X-MMRT-PLAN             TO WS-INDEX.
094700*
094800 Y042-MR-LOOP.
094900*
095000     MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
095100                                 TO MR03-PLAN-RATE
095200                                        (X-MR03-PLAN).
095300     IF  MMRT-PLAN-RATE (X-MMRT-PLAN) IS LESS THAN ZERO
095400         MOVE '-'                TO MR03-PLAN-RATE-SIGN
095500                                        (X-MR03-PLAN)
095600     ELSE
095700         MOVE '+'                TO MR03-PLAN-RATE-SIGN
095800                                        (X-MR03-PLAN).
095900*
096000*****************************************
096100*    DARKEN THE PARENS AND BRIGHTEN     *
096200*    THE DATA ELEMENTS IF IN INQUIRY    *
096300*****************************************
096400*
096500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
096600         MOVE DFHBMASB           TO MR03-PLAN-RATE-A
096700                                        (X-MR03-PLAN)
096800                                    MR03-PLAN-RATE-SIGN-A
096900                                        (X-MR03-PLAN)
097000         MOVE DFHBMDAS           TO MR03-PLAN-RATE-LP-A
097100                                        (X-MR03-PLAN)
097200                                    MR03-PLAN-RATE-RP-A
097300                                        (X-MR03-PLAN).
097400*
097500 Y058-INCREMENT-INDEXES.
097600*
097700     IF  X-MR03-PLAN IS LESS THAN 28
097800         SET X-MR03-PLAN         UP BY 1
097900         SET X-MMRT-PLAN         UP BY 1
098000         GO TO Y042-MR-LOOP.
098100*
098200 Y059-MR-EXIT.
098300     EXIT.
098400*
098500 Y060-WRITE-LOG-RECORD.
098600*
098700     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
098800     SET MBIORO-WRITE            TO TRUE.
098900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
099000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
099100*
099200 Y079-WLR-EXIT.
099300     EXIT.
099400/
099500 Z000-COPIED-ROUTINES SECTION.
099600*
099700/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
099800     COPY SS26PD.
099900*
100000/    ROUTINE TO NUMERICALLY EDIT TIME
100100     COPY SS27PD.
100200*
100300**********************************
100400*    JUL TO GREG DATE ROUTINE    *
100500**********************************
100600*
100700     COPY SS08PD.
100800/    ROUTINE TO MOVE COMMAREA VARIABLES TO
100900*                    SS08-FORMATTED-MSG VARIABLE.
101000     COPY MB06PD.
101100/
101200*********************************
101300*    LINE 24 PF KEYS ROUTINE    *
101400*********************************
101500*
101600     COPY SS15PD.
101700/
101800****************************************************
101900*    DISCOUNT RATE TABLE RECORD ACCESS ROUTINES    *
102000****************************************************
102100*
102200     COPY MMRTAO.
102300/
102400*****************************************
102500*    LOG FILE RECORD ACCESS ROUTINES    *
102600*****************************************
102700*
102800     COPY MML1AO.
102900/
103000*****************************
103100*    ONLINE MAP ROUTINES    *
103200*****************************
103300*
103400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR03 '
103500                           MBMAPXXI BY MBMR03I
103600                           MBMAPXXO BY MBMR03O.
103700/
103800***************************
103900*    ONLINE PROCEDURES    *
104000***************************
104100*
104200     COPY MB70PD.
104300/
104400     COPY SMFTPXO.
