000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR05.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMR05 - ON-LINE DISCOUNT RATE TABLE ADD/MAINT/INQ      *
000800*                SCREEN 05                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAR                                       *
001200*                 B. MBMR                                       *
001300*                 C. MBQR                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMR05 (SCREEN 05)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMRT (DISCOUNT RATE TABLE)                 *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(08)      BINARY.
003600     03  WS-RATE             PIC S9(09)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-RATE-TOTAL       PIC S9(09)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SCREEN-BYPASS-SW PIC  X(01)      VALUE 'N'.
004100         88  THIS-SCREEN-IS-BYPASSED         VALUE 'Y'.
004200         88  THIS-SCREEN-IS-NOT-BYPASSED     VALUE 'N'.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004500         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
004600     03  WS-RATE-ERROR-SW    PIC  X(01)      VALUE 'N'.
004700         88  RATE-ERRORS-EXIST               VALUE 'Y'.
004800         88  NO-RATE-ERRORS-EXIST            VALUE 'N'.
004900/
005000 01  FILLER                  PIC  X(29)      VALUE
005100     'I/O REQUEST BLOCK WORK AREAS:'.
005200*
005300     COPY MBIOWS.
005400/
005500 01  FILLER                  PIC  X(18)      VALUE
005600     'I/O REQUEST BLOCK:'.
005700*
005800     COPY MBIORO.
005900/
006000 01  FILLER                  PIC  X(25)      VALUE
006100     'LOG RECORD REQUEST BLOCK:'.
006200*
006300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006400/
006500 01  FILLER                  PIC  X(39)      VALUE
006600     'DISCOUNT RATE TABLE INITIALIZER RECORD:'.
006700*
006800     COPY MMRTIR.
006900/
007000 01  FILLER                  PIC  X(23)      VALUE
007100     'RATE TABLES WORK AREAS:'.
007200*
007300     COPY MMRTWS.
007400/
007500 01  FILLER                  PIC  X(20)      VALUE
007600     'CCS DATE WORK AREAS:'.
007700*
007800     COPY SS01WS.
007900/
008000 01  FILLER                  PIC  X(15)      VALUE
008100     'CCS WORK AREAS:'.
008200*
008300     COPY SS08WS.
008400/
008500     COPY SS00WS.
008600/
008700     COPY SMFTWS.
008800/
008900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009000/
009100     COPY MB61LK.
009200/
009300 01  FILLER                  PIC  X(12)      VALUE
009400     '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*********************************
010300*    DISCOUNT RATE TABLE MAP    *
010400*********************************
010500*
010600     COPY MBMR05.
010700/
010800**********************************************
010900*    DISCOUNT RATE TABLE MAP REDEFINITION    *
011000**********************************************
011100*
011200     COPY MBMR05R.
011300/
011400*******************************************
011500*    DISCOUNT RATE TABLE RECORD LAYOUT    *
011600*******************************************
011700*
011800     COPY MMRTRL.
011900/
012000***************************
012100*    LOG RECORD LAYOUT    *
012200***************************
012300*
012400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012500/
012600 PROCEDURE DIVISION.
012700*
012800 A000-HOUSEKEEPING SECTION.
012900*
013000 A020-INIT.
013100*
013200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013400                                 THRU MB70PD-OLH-EXIT.
013500*
013600     IF  MBCA-RECEIVE-SCREEN
013700         GO TO C000-RECEIVE-SCREEN.
013800/
013900 B000-SEND-SCREEN SECTION.
014000*
014100**************************************
014200*    READ THE DISCOUNT RATE TABLE    *
014300*    FOR SUBSEQUENT DISPLAY          *
014400**************************************
014500*
014600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
014700     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
014800     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
014900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015000     SET MBIORO-READ-RANDOM      TO TRUE.
015100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
015200*
015300***************************************************
015400*    IF THE PLAN EXCEPTION PRIORITY SPECIFIES     *
015500*    'NOT USED', BYPASS THIS SCREEN.  IF  THIS    *
015600*    IS THE ADD FUNCTION, BRANCH TO THE UPDATE    *
015700*    SECTION OF THE PROGRAM WHERE THE ONLINE      *
015800*    STATUS , MAINT DATE, AND MAINT OPERATOR      *
015900*    WILL BE UPDATED.                             *
016000***************************************************
016100*
016200     SET X-MMRT-EXCEPTION        TO 2.
016300*
016400     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
016500         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50
016600         IF  MBCA-PTI-FUNCTION-IS-ADD
016700             MOVE 'Y'            TO WS-SCREEN-BYPASS-SW
016800             GO TO E000-UPDATE-FILE
016900         ELSE
017000             GO TO F000-SETUP-COMMAREA.
017100*
017200*
017300*********************************************
017400*    GET CICS STORAGE NEEDED FOR THE MAP    *
017500*********************************************
017600*
017700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB60PD-GETMAIN-FOR-MAP
017900                                 THRU MB60PD-GFM-EXIT.
018000*
018100*******************************************
018200*    INITIALIZE THE STANDARD MAP LINES    *
018300*******************************************
018400*
018500     PERFORM MB60PD-INIT-STD-MAP-LINES
018600                                 THRU MB60PD-ISML-EXIT.
018700*
018800****************************************************
018900*    MOVE THE KEY AND TABLE TITLE TO THE SCREEN    *
019000****************************************************
019100*
019200     MOVE MBCA-MERCHANT-ORG      TO MR05-ORG.
019300     MOVE MBCA-TABLE             TO MR05-TABLE.
019400     MOVE MMRT-TITLE             TO MR05-TITLE.
019500*
019600 B020-MOVE-FIELDS-TO-SCREEN.
019700*
019800*******************************************************
019900*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
020000*******************************************************
020100*
020200     EVALUATE MBCA-SCREEN-NBR
020300         WHEN 55
020400             MOVE 05             TO MBCA-SCREEN-NBR
020500             MOVE 1              TO WS-INDEX
020600         WHEN 56
020700             MOVE 06             TO MBCA-SCREEN-NBR
020800             MOVE 29             TO WS-INDEX
020900     END-EVALUATE.
021000*
021100     PERFORM Y020-MOVE-PLANS     THRU Y039-MD-EXIT.
021200*
021300     PERFORM Y040-MOVE-RATES     THRU Y059-MR-EXIT.
021400*
021500******************************************
021600*    SET THE CURSOR AND SCREEN NUMBER    *
021700******************************************
021800*
021900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
022000         MOVE SS08WS-CURSOR      TO MR05-PLAN-BEG-L (1)
022100     ELSE
022200         MOVE SS08WS-CURSOR      TO MR05-ALT-TRANID-L.
022300*
022400***********************************************************
022500*    SET THE CURRENCY CODE, CURRENCY NOD
022600*            PER ITEM NOD, PERCENT NOD.
022700***********************************************************
022800     IF MR05-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
022900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
023000                                 THRU MB06PD-FML-EXIT
023100        MOVE SS08WS-FORMATTED-MSG   TO MR05-ERROR-MESSAGE
023200     END-IF.
023300*
023400**********************
023500*    SEND THE MAP    *
023600**********************
023700*
023800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
023900*
024000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024100                                 THRU MB60PD-SMWE-EXIT.
024200*
024300************************
024400*    RETURN TO CICS    *
024500************************
024600*
024700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
024800     PERFORM MB70PD-RETURN-TRANS-ID
024900                                 THRU MB70PD-RTI-EXIT.
025000/
025100 C000-RECEIVE-SCREEN SECTION.
025200*
025300******************************************
025400*    THIS SECTION RECEIVES THE SCREEN    *
025500******************************************
025600*
025700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
025900*
026000**************************************************************
026100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026200**************************************************************
026300*
026400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM MB60PD-NEW-TRANS-ROUTINE
026600                                 THRU MB60PD-NTR-EXIT.
026700*
026800*********************************************
026900*    READ THE DISCOUNT RATE TABLE RECORD    *
027000*********************************************
027100*
027200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
027300                                    MR05-ORG.
027400     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
027500                                    MR05-TABLE.
027600     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
027700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027800     SET MBIORO-READ-RANDOM      TO TRUE.
027900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
028000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
028100*
028200     EVALUATE MBCA-SCREEN-NBR
028300         WHEN 05
028400             MOVE 1              TO WS-INDEX
028500         WHEN 06
028600             MOVE 29             TO WS-INDEX
028700     END-EVALUATE.
028800*
028900****************************************************
029000*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
029100****************************************************
029200*
029300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029400         GO TO F000-SETUP-COMMAREA.
029500*
029600 C020-FIELD-EDITS.
029700*
029800*********************
029900*    FIELD EDITS    *
030000*********************
030100*
030200     PERFORM W020-EDIT-PLANS     THRU W039-ED-EXIT.
030300*
030400     PERFORM W040-EDIT-RATES     THRU W059-ER-EXIT.
030500*
030600     PERFORM W060-CROSS-EDIT-RATES
030700                                 THRU W079-CER-EXIT.
030800*
030900     PERFORM W080-CROSS-EDIT-PLANS
031000                                 THRU W089-CEP-EXIT.
031100/
031200 D000-RETURN-ERRORS SECTION.
031300*
031400     IF  SS08WS-ERROR IS EQUAL TO 'N'
031500         GO TO E000-UPDATE-FILE.
031600*
031700***************************************************************
031800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
031900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
032000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
032100***************************************************************
032200*
032300     PERFORM MB60PD-INIT-STD-MAP-LINES
032400                                 THRU MB60PD-ISML-EXIT.
032500*
032600***********************************************************
032700*    SET THE CURRENCY CODE, CURRENCY NOD
032800*            PER ITEM NOD, PERCENT NOD.
032900***********************************************************
033000     IF MR05-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
033100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
033200                                 THRU MB06PD-FML-EXIT
033300        MOVE SS08WS-FORMATTED-MSG   TO MR05-ERROR-MESSAGE
033400     END-IF.
033500*
033600**********************
033700*    SEND THE MAP    *
033800**********************
033900*
034000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
034100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
034200                                 THRU MB60PD-SMDO-EXIT.
034300*
034400************************
034500*    RETURN TO CICS    *
034600************************
034700*
034800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
034900     PERFORM MB70PD-RETURN-TRANS-ID
035000                                 THRU MB70PD-RTI-EXIT.
035100/
035200 E000-UPDATE-FILE SECTION.
035300*
035400********************************************************
035500*    READ THE DISCOUNT RATE TABLE RECORD FOR UPDATE    *
035600********************************************************
035700*
035800     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
035900     SET MBIORO-READ-RANDOM-UPDATE
036000                                 TO TRUE.
036100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
036200*
036300********************************************
036400*    OBTAIN STORAGE FOR LOG FILE RECORD    *
036500*    IF DOING MAINTENANCE                  *
036600********************************************
036700*
036800     IF  MBCA-PTI-FUNCTION-IS-ADD
036900         IF  THIS-SCREEN-IS-BYPASSED
037000             GO TO E040-UPDATE-MMRT
037100         ELSE
037200             GO TO E020-UPDATE-FIELDS.
037300*
037400     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
037500     SET MBIORO-GETMAIN          TO TRUE.
037600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037700*
037800*************************************************
037900*    SET UP THE COMMON PORTION OF THE RECORD    *
038000*************************************************
038100*
038200     MOVE 'RT'                   TO MML1-FILE-CODE.
038300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
038400     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
038500     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
038600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
038700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
038800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
038900*
039000 E020-UPDATE-FIELDS.
039100*
039200     PERFORM X020-UPDATE-PLANS   THRU X039-UD-EXIT.
039300*
039400     PERFORM X040-UPDATE-RATES   THRU X059-UR-EXIT.
039500*
039600 E040-UPDATE-MMRT.
039700*
039800     IF  MBCA-PTI-FUNCTION-IS-ADD
039900         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
040000         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
040100         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
040200         MOVE 'Y'                TO WS-UPDATE-SW.
040300*
040400**************************************************************
040500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
040600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
040700*    ON THE SCREEN                                           *
040800**************************************************************
040900*
041000     IF  MBCA-PTI-FUNCTION-IS-MAINT
041100     AND FIELDS-WERE-UPDATED
041200         MOVE 0198               TO MML1-FIELD-CODE
041300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
041400                                    MML1-FIELD-OCCURRENCE-2
041500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
041600         MOVE MMRT-LAST-MAINT-OPER
041700                                 TO MML1-VL03-B-DATA-X
041800         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
041900         MOVE MMRT-LAST-MAINT-OPER
042000                                 TO MML1-VL03-A-DATA-X
042100         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
042200         PERFORM Y060-WRITE-LOG-RECORD
042300                                 THRU Y079-WLR-EXIT
042400         MOVE 0199               TO MML1-FIELD-CODE
042500         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
042600         MOVE MMRT-LAST-MAINT-DATE
042700                                 TO MML1-VL07-B-DATA-9
042800         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
042900         MOVE MMRT-LAST-MAINT-DATE
043000                                 TO MML1-VL07-A-DATA-9
043100         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
043200         PERFORM Y060-WRITE-LOG-RECORD
043300                                 THRU Y079-WLR-EXIT.
043400*
043500****************************************************
043600*    REWRITE THE DISCOUNT RATE TABLE RECORD IF     *
043700*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
043800*    UNLOCK IT IF THEY HAVE NOT                    *
043900****************************************************
044000*
044100     IF  FIELDS-WERE-UPDATED
044200         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
044300         SET MBIORO-REWRITE      TO TRUE
044400         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
044500     ELSE
044600         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044700         SET MBIORO-UNLOCK       TO TRUE
044800         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
044900/
045000 F000-SETUP-COMMAREA SECTION.
045100*
045200***************************************************************
045300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045400***************************************************************
045500*
045600     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
045700         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR + 51
045800         GO TO F010-XCTL.
045900*
046000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
046100*
046200     PERFORM MB60PD-EDIT-PAGE-NBR
046300                                 THRU MB60PD-EPN-EXIT.
046400*
046500     IF  SS08WS-VALID-PF-KEY
046600     OR  SS08WS-EIBAID-VALID-PF-KEY
046700         SET MBCA-INITIAL-SCREEN-NBR
046800                                 TO TRUE.
046900*
047000 F010-XCTL.
047100*
047200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047300     PERFORM MB70PD-XCTL-TO-MBOXCTL
047400                                 THRU MB70PD-XTM-EXIT.
047500/
047600 W000-FIELD-EDITS SECTION.
047700*
047800 W020-EDIT-PLANS.
047900*
048000***********************************
048100*    SET THE BEGINNING INDEXES    *
048200***********************************
048300*
048400     SET X-MR05-PLAN             TO 1.
048500     SET X-MMRT-PLAN             TO WS-INDEX.
048600*
048700 W022-ED-LOOP.
048800*
048900**************************************************
049000*    SET THE FIELD ATTRIBUTES TO THE PLAN IN     *
049100*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
049200**************************************************
049300*
049400     MOVE DFHBMDAS               TO MR05-PLAN-BEG-LP-A
049500                                        (X-MR05-PLAN)
049600                                    MR05-PLAN-BEG-RP-A
049700                                        (X-MR05-PLAN)
049800                                    MR05-PLAN-END-LP-A
049900                                        (X-MR05-PLAN)
050000                                    MR05-PLAN-END-RP-A
050100                                        (X-MR05-PLAN).
050200     MOVE DFHBMASK               TO MR05-PLAN-BEG-A
050300                                        (X-MR05-PLAN)
050400                                    MR05-PLAN-END-A
050500                                        (X-MR05-PLAN).
050600*
050700*******************************************
050800*    EDIT FOR VALID BEG PLAN AND END PLAN *
050900*******************************************
051000*
051100     IF  MR05-PLAN-BEG-L (X-MR05-PLAN) IS EQUAL TO ZERO
051200         MOVE MMRT-PLAN-BEG (X-MMRT-PLAN)
051300                                 TO MR05-PLAN-BEG (X-MR05-PLAN)
051400         GO TO W030-END-PLAN
051500     ELSE
051600         IF  MR05-PLAN-BEG (X-MR05-PLAN) (1:1)
051700                                 IS NUMERIC
051800         AND  MR05-PLAN-BEG (X-MR05-PLAN) (2:1)
051900                                 IS NUMERIC
052000         AND  MR05-PLAN-BEG (X-MR05-PLAN) (3:1)
052100                                 IS NUMERIC
052200         AND  MR05-PLAN-BEG (X-MR05-PLAN) (4:1)
052300                                 IS NUMERIC
052400         AND  MR05-PLAN-BEG (X-MR05-PLAN) (5:1)
052500                                 IS NUMERIC
052600             MOVE DFHBMASF       TO MR05-PLAN-BEG-A (X-MR05-PLAN)
052700             GO TO W030-END-PLAN
052800         ELSE
052900             MOVE 'Y'            TO SS08WS-ERROR
053000             MOVE SS08WS-CURSOR  TO MR05-PLAN-BEG-L
053100                                    (X-MR05-PLAN)
053200             MOVE DFHBMNBF       TO MR05-PLAN-BEG-A
053300                                    (X-MR05-PLAN)
053400             MOVE DFHBMASB       TO MR05-PLAN-BEG-LP-A
053500                                    (X-MR05-PLAN)
053600                                    MR05-PLAN-BEG-RP-A
053700                                    (X-MR05-PLAN).
053800*
053900 W030-END-PLAN.
054000*
054100     IF  MR05-PLAN-END-L (X-MR05-PLAN) IS EQUAL TO ZERO
054200         MOVE MMRT-PLAN-END (X-MMRT-PLAN)
054300                                 TO MR05-PLAN-END (X-MR05-PLAN)
054400         GO TO W038-INCREMENT-INDEXES
054500     ELSE
054600         IF  MR05-PLAN-END (X-MR05-PLAN) (1:1)
054700                                 IS NUMERIC
054800         AND  MR05-PLAN-END (X-MR05-PLAN) (2:1)
054900                                 IS NUMERIC
055000         AND  MR05-PLAN-END (X-MR05-PLAN) (3:1)
055100                                 IS NUMERIC
055200         AND  MR05-PLAN-END (X-MR05-PLAN) (4:1)
055300                                 IS NUMERIC
055400         AND  MR05-PLAN-END (X-MR05-PLAN) (5:1)
055500                                 IS NUMERIC
055600             MOVE DFHBMASF       TO MR05-PLAN-END-A (X-MR05-PLAN)
055700             GO TO W038-INCREMENT-INDEXES
055800         ELSE
055900             MOVE 'Y'            TO SS08WS-ERROR
056000             MOVE SS08WS-CURSOR  TO MR05-PLAN-END-L
056100                                    (X-MR05-PLAN)
056200             MOVE DFHBMNBF       TO MR05-PLAN-END-A
056300                                    (X-MR05-PLAN)
056400             MOVE DFHBMASB       TO MR05-PLAN-END-LP-A
056500                                    (X-MR05-PLAN)
056600                                    MR05-PLAN-END-RP-A
056700                                    (X-MR05-PLAN)
056800             GO TO W039-ED-EXIT.
056900*
057000 W034-PLAN-ERROR.
057100*
057200     MOVE 'Y'                    TO SS08WS-ERROR.
057300     MOVE SS08WS-CURSOR          TO MR05-PLAN-BEG-L
057400                                    (X-MR05-PLAN).
057500     MOVE DFHBMNBF               TO MR05-PLAN-BEG-A
057600                                    (X-MR05-PLAN)
057700                                    MR05-PLAN-END-A
057800                                    (X-MR05-PLAN).
057900     MOVE DFHBMASB               TO MR05-PLAN-BEG-LP-A
058000                                    (X-MR05-PLAN)
058100                                    MR05-PLAN-BEG-RP-A
058200                                    (X-MR05-PLAN)
058300                                    MR05-PLAN-END-LP-A
058400                                    (X-MR05-PLAN)
058500                                    MR05-PLAN-END-RP-A
058600                                    (X-MR05-PLAN).
058700     GO TO W039-ED-EXIT.
058800*
058900 W038-INCREMENT-INDEXES.
059000*
059100     IF  X-MR05-PLAN IS LESS THAN 28
059200         SET X-MR05-PLAN         UP BY 1
059300         SET X-MMRT-PLAN         UP BY 1
059400         GO TO W022-ED-LOOP.
059500*
059600 W039-ED-EXIT.
059700     EXIT.
059800*
059900 W040-EDIT-RATES.
060000*
060100***********************************
060200*    SET THE BEGINNING INDEXES    *
060300***********************************
060400*
060500     SET X-MR05-PLAN             TO 1.
060600     SET X-MMRT-PLAN             TO WS-INDEX.
060700*
060800 W042-ER-LOOP.
060900*
061000**************************************************
061100*    SET THE FIELD ATTRIBUTES TO THE PLAN IN     *
061200*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
061300**************************************************
061400*
061500     MOVE DFHBMDAS               TO MR05-PLAN-RANGE-RATE-LP-A
061600                                        (X-MR05-PLAN)
061700                                    MR05-PLAN-RANGE-RATE-RP-A
061800                                        (X-MR05-PLAN).
061900     MOVE DFHBMASK               TO MR05-PLAN-RANGE-RATE-A
062000                                        (X-MR05-PLAN)
062100                                    MR05-PLAN-RANGE-RATE-SIGN-A
062200                                        (X-MR05-PLAN).
062300*
062400*************************************
062500*    EDIT FOR VALID NUMERIC DATA    *
062600*************************************
062700*
062800     IF  MR05-PLAN-RANGE-RATE-L (X-MR05-PLAN) IS EQUAL TO ZERO
062900         MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
063000                                 TO MR05-PLAN-RANGE-RATE
063100                                        (X-MR05-PLAN)
063200         GO TO W046-EDIT-RATE-SIGN.
063300*
063400     IF  MR05-PLAN-RANGE-RATE (X-MR05-PLAN) IS NUMERIC
063500         MOVE DFHBMASF           TO MR05-PLAN-RANGE-RATE-A
063600                                        (X-MR05-PLAN)
063700         GO TO W046-EDIT-RATE-SIGN.
063800*
063900 W044-RATE-ERROR.
064000*
064100     MOVE 'Y'                    TO SS08WS-ERROR
064200                                    WS-RATE-ERROR-SW.
064300     MOVE SS08WS-CURSOR          TO MR05-PLAN-RANGE-RATE-L
064400                                        (X-MR05-PLAN).
064500     MOVE DFHBMNBF               TO MR05-PLAN-RANGE-RATE-A
064600                                        (X-MR05-PLAN).
064700     MOVE DFHBMASB               TO MR05-PLAN-RANGE-RATE-LP-A
064800                                        (X-MR05-PLAN)
064900                                    MR05-PLAN-RANGE-RATE-RP-A
065000                                        (X-MR05-PLAN).
065100*
065200 W046-EDIT-RATE-SIGN.
065300*
065400*****************************
065500*    EDIT FOR VALID DATA    *
065600*****************************
065700*
065800     IF  MR05-PLAN-RANGE-RATE-SIGN-L (X-MR05-PLAN)
065900                                    IS EQUAL TO ZERO
066000         IF  MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
066100             IS LESS THAN ZERO
066200             MOVE '-'            TO MR05-PLAN-RANGE-RATE-SIGN
066300                                        (X-MR05-PLAN)
066400             MOVE DFHBMASF       TO MR05-PLAN-RANGE-RATE-SIGN-A
066500                                        (X-MR05-PLAN)
066600             GO TO W058-INCREMENT-INDEXES
066700         ELSE
066800             MOVE '+'            TO MR05-PLAN-RANGE-RATE-SIGN
066900                                        (X-MR05-PLAN)
067000             MOVE DFHBMASF       TO MR05-PLAN-RANGE-RATE-SIGN-A
067100                                        (X-MR05-PLAN)
067200             GO TO W058-INCREMENT-INDEXES.
067300*
067400     IF  MR05-PLAN-RANGE-RATE-SIGN (X-MR05-PLAN) IS EQUAL TO
067500         '-' OR '+'
067600         MOVE DFHBMASF           TO MR05-PLAN-RANGE-RATE-SIGN-A
067700                                        (X-MR05-PLAN)
067800         GO TO W058-INCREMENT-INDEXES.
067900*
068000 W048-RATE-SIGN-ERROR.
068100*
068200     MOVE 'Y'                    TO SS08WS-ERROR
068300                                    WS-RATE-ERROR-SW.
068400     MOVE SS08WS-CURSOR          TO MR05-PLAN-RANGE-RATE-SIGN-L
068500                                        (X-MR05-PLAN).
068600     MOVE DFHBMUBF               TO MR05-PLAN-RANGE-RATE-SIGN-A
068700                                        (X-MR05-PLAN).
068800     MOVE DFHBMASB               TO MR05-PLAN-RANGE-RATE-LP-A
068900                                        (X-MR05-PLAN)
069000                                    MR05-PLAN-RANGE-RATE-RP-A
069100                                        (X-MR05-PLAN).
069200*
069300 W058-INCREMENT-INDEXES.
069400*
069500     IF  X-MR05-PLAN IS LESS THAN 28
069600         SET X-MR05-PLAN         UP BY 1
069700         SET X-MMRT-PLAN         UP BY 1
069800         GO TO W042-ER-LOOP.
069900*
070000 W059-ER-EXIT.
070100     EXIT.
070200*
070300 W060-CROSS-EDIT-RATES.
070400*
070500************************************************
070600*    BYPASS THE CROSS EDITS IF ERRORS EXIST    *
070700*    IN THE PLAN FIELDS OR RATE FIELDS         *
070800************************************************
070900*
071000     IF  RATE-ERRORS-EXIST
071100         GO TO W079-CER-EXIT.
071200*
071300*****************************************************************
071400*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
071500*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
071600*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
071700*****************************************************************
071800     PERFORM
071900         VARYING X-MR05-PLAN FROM 1 BY 1
072000         UNTIL   X-MR05-PLAN IS GREATER THAN 28
072100         EVALUATE TRUE
072200            WHEN   MMRTWS-RESV-FLAT-AMT
072300                     CONTINUE
072400            WHEN ( MMRTWS-VALID-METH-ON-AMOUNT AND
072500                 MR05-PLAN-RANGE-RATE (X-MR05-PLAN)
072600                            IS GREATER THAN 9999999)
072700                 SET SS08WS-ERROR-SW-YES TO TRUE
072800                 MOVE DFHBMNBF
072900                            TO MR05-PLAN-RANGE-RATE-A
073000                                                    (X-MR05-PLAN)
073100                 MOVE DFHBMASB
073200                             TO MR05-PLAN-RANGE-RATE-LP-A
073300                                                    (X-MR05-PLAN)
073400                                MR05-PLAN-RANGE-RATE-RP-A
073500                                                    (X-MR05-PLAN)
073600                  MOVE SS08WS-CURSOR
073700                             TO MR05-PLAN-RANGE-RATE-L
073800                                                    (X-MR05-PLAN)
073900                  IF MR05-ERROR-MESSAGE IS EQUAL TO SPACES
074000                                                   OR LOW-VALUES
074100                     MOVE 'ERROR RATE PERCENT'
074200                             TO MR05-ERROR-MESSAGE
074300                  END-IF
074400         END-EVALUATE
074500     END-PERFORM.
074600*************************
074700*    SET THE INDEXES    *
074800*************************
074900*
075000     SET X-MR05-PLAN             TO 1.
075100     SET X-MMRT-PLAN             TO WS-INDEX.
075200     SET X-MMRTIR-PLAN           TO 1.
075300     SET X-MMRT-EXCEPTION        TO 2.
075400*
075500 W062-CER-LOOP.
075600*
075700**************************************************************
075800*    RATE CROSS EDITS ARE AS FOLLOWS:                        *
075900*                                                            *
076000*      . IF THE PLAN FIELD IS THE INITIALIZER DEFAULT,       *
076100*        THE RATE FIELD MUST ALSO BE THE INITIALIZER         *
076200*        DEFAULT.                                            *
076300*      . IF THE PLAN EXCEPTION IS OF A OVERRIDE              *
076400*        PRIORITY, NO RATE CAN BE NEGATIVE.                  *
076500*      . IF THE PLAN EXCEPTION IS AN ADJUSTMENT,             *
076600*        NO RATE WHEN ADDED TO EACH PRIMARY RATE             *
076700*        (INDIVIDUALLY) CAN BE LESS THAN ZERO.               *
076800*                                                            *
076900*    IF THERE IS AN ERROR, THE PLAN AND RATE ARE             *
077000*    HIGHLIGHTED.                                            *
077100**************************************************************
077200*
077300     IF  MR05-PLAN-BEG (X-MR05-PLAN) IS EQUAL TO
077400                                 MMRTIR-PLAN-BEG (X-MMRTIR-PLAN)
077500     AND MR05-PLAN-END (X-MR05-PLAN) IS EQUAL TO
077600                                 MMRTIR-PLAN-END (X-MMRTIR-PLAN)
077700         IF  MR05-PLAN-RANGE-RATE (X-MR05-PLAN) IS NOT EQUAL TO
077800             MMRTIR-PLAN-RANGE-RATE (X-MMRTIR-PLAN)
077900             GO TO W068-CROSS-EDIT-RATE-ERROR.
078000*
078100     IF  MMRT-EXCEPTION-IS-OVERRIDE (X-MMRT-EXCEPTION)
078200         IF  MR05-PLAN-RANGE-RATE-SIGN (X-MR05-PLAN)
078300                                 IS EQUAL TO '-'
078400             GO TO W068-CROSS-EDIT-RATE-ERROR
078500         ELSE
078600             GO TO W078-INCREMENT-INDEXES.
078700*
078800     IF  MR05-PLAN-RANGE-RATE-SIGN (X-MR05-PLAN)
078900                                 IS NOT EQUAL TO '-'
079000         GO TO W078-INCREMENT-INDEXES.
079100*
079200************************************
079300*    SET THE PRIMARY RATE INDEX    *
079400************************************
079500*
079600     SET X-MMRT-PRIM             TO 1.
079700*
079800     MOVE MR05-PLAN-RANGE-RATE (X-MR05-PLAN)
079900                                 TO WS-RATE.
080000     COMPUTE WS-RATE             = WS-RATE * -1.
080100*
080200 W064-CER-LOOP.
080300*
080400     COMPUTE WS-RATE-TOTAL =
080500         WS-RATE + MMRT-PRIM-RATE (X-MMRT-PRIM).
080600*
080700     IF  WS-RATE-TOTAL IS LESS THAN ZERO
080800         GO TO W068-CROSS-EDIT-RATE-ERROR.
080900*
081000 W066-INCREMENT-INDEXES.
081100*
081200     IF  X-MMRT-PRIM IS LESS THAN 10
081300     AND MMRT-PRIM-LIMIT (X-MMRT-PRIM)
081400                             IS NOT EQUAL TO 99999999999999999
081500         SET X-MMRT-PRIM         UP BY 1
081600         GO TO W064-CER-LOOP
081700     ELSE
081800         GO TO W078-INCREMENT-INDEXES.
081900*
082000 W068-CROSS-EDIT-RATE-ERROR.
082100*
082200**********************************************
082300*    BRIGHTEN AND FSET THE PLAN AND RATE     *
082400**********************************************
082500*
082600     MOVE 'Y'                    TO SS08WS-ERROR
082700                                    WS-RATE-ERROR-SW.
082800     MOVE SS08WS-CURSOR          TO MR05-PLAN-RANGE-RATE-L
082900                                        (X-MR05-PLAN).
083000     MOVE DFHBMASB               TO MR05-PLAN-BEG-LP-A
083100                                        (X-MR05-PLAN)
083200                                    MR05-PLAN-BEG-RP-A
083300                                        (X-MR05-PLAN)
083400                                    MR05-PLAN-END-LP-A
083500                                        (X-MR05-PLAN)
083600                                    MR05-PLAN-END-RP-A
083700                                        (X-MR05-PLAN)
083800                                    MR05-PLAN-RANGE-RATE-LP-A
083900                                        (X-MR05-PLAN)
084000                                    MR05-PLAN-RANGE-RATE-RP-A
084100                                        (X-MR05-PLAN).
084200     MOVE DFHBMNBF               TO MR05-PLAN-RANGE-RATE-A
084300                                        (X-MR05-PLAN).
084400     MOVE DFHBMUBF               TO MR05-PLAN-BEG-A
084500                                        (X-MR05-PLAN)
084600                                    MR05-PLAN-END-A
084700                                        (X-MR05-PLAN)
084800                                    MR05-PLAN-RANGE-RATE-SIGN-A
084900                                        (X-MR05-PLAN).
085000*
085100 W078-INCREMENT-INDEXES.
085200*
085300     IF  X-MR05-PLAN IS LESS THAN 28
085400         SET X-MR05-PLAN         UP BY 1
085500         SET X-MMRTIR-PLAN       UP BY 1
085600         GO TO W062-CER-LOOP.
085700*
085800 W079-CER-EXIT.
085900     EXIT.
086000*
086100 W080-CROSS-EDIT-PLANS.
086200*
086300     IF  SS08WS-ERROR IS EQUAL TO 'Y'
086400         GO TO W089-CEP-EXIT.
086500*
086600     PERFORM
086700         VARYING X-MR05-PLAN FROM 1 BY 1
086800         UNTIL X-MR05-PLAN IS GREATER THAN 28
086900         IF  MR05-PLAN-BEG (X-MR05-PLAN) IS GREATER THAN
087000                                     MR05-PLAN-END (X-MR05-PLAN)
087100             MOVE 'Y'            TO SS08WS-ERROR
087200             MOVE SS08WS-CURSOR  TO MR05-PLAN-BEG-L
087300                                    (X-MR05-PLAN)
087400             MOVE DFHBMNBF       TO MR05-PLAN-BEG-A
087500                                    (X-MR05-PLAN)
087600                                    MR05-PLAN-END-A
087700                                    (X-MR05-PLAN)
087800             MOVE DFHBMASB       TO MR05-PLAN-BEG-LP-A
087900                                    (X-MR05-PLAN)
088000                                    MR05-PLAN-BEG-RP-A
088100                                    (X-MR05-PLAN)
088200                                    MR05-PLAN-END-LP-A
088300                                    (X-MR05-PLAN)
088400                                    MR05-PLAN-END-RP-A
088500                                    (X-MR05-PLAN)
088600         END-IF
088700     END-PERFORM.
088800*
088900 W089-CEP-EXIT.
089000     EXIT.
089100*
089200/
089300 X000-UPDATE-FIELDS SECTION.
089400*
089500 X020-UPDATE-PLANS.
089600*
089700***********************************
089800*    SET THE BEGINNING INDEXES    *
089900***********************************
090000*
090100     SET X-MR05-PLAN             TO 1.
090200     SET X-MMRT-PLAN             TO WS-INDEX.
090300*
090400 X022-UD-LOOP.
090500*
090600     IF  MR05-PLAN-BEG-L (X-MR05-PLAN) IS GREATER THAN ZERO
090700         IF  MR05-PLAN-BEG (X-MR05-PLAN) IS NOT EQUAL TO
090800             MMRT-PLAN-BEG (X-MMRT-PLAN)
090900             MOVE 'Y'            TO WS-UPDATE-SW
091000             IF  MBCA-PTI-FUNCTION-IS-MAINT
091100                 MOVE 0501       TO MML1-FIELD-CODE
091200                 SET MML1-FIELD-OCCURRENCE
091300                                 TO X-MMRT-PLAN
091400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
091500                 MOVE MML1WS-VL-05
091600                                 TO MML1-VARIABLE-LENGTH
091700                 MOVE MMRT-PLAN-BEG (X-MMRT-PLAN)
091800                                 TO MML1-VL05-B-DATA-X
091900                 MOVE MR05-PLAN-BEG (X-MR05-PLAN)
092000                                 TO MMRT-PLAN-BEG
092100                                    (X-MMRT-PLAN)
092200                 MOVE MMRT-PLAN-BEG (X-MMRT-PLAN)
092300                                 TO MML1-VL05-A-DATA-X
092400                 PERFORM Y060-WRITE-LOG-RECORD
092500                                 THRU Y079-WLR-EXIT
092600             ELSE
092700                 MOVE MR05-PLAN-BEG (X-MR05-PLAN)
092800                                 TO MMRT-PLAN-BEG (X-MMRT-PLAN).
092900*
093000     IF  MR05-PLAN-END-L (X-MR05-PLAN) IS GREATER THAN ZERO
093100         IF  MR05-PLAN-END (X-MR05-PLAN) IS NOT EQUAL TO
093200             MMRT-PLAN-END (X-MMRT-PLAN)
093300             MOVE 'Y'            TO WS-UPDATE-SW
093400             IF  MBCA-PTI-FUNCTION-IS-MAINT
093500                 MOVE 0502       TO MML1-FIELD-CODE
093600                 SET MML1-FIELD-OCCURRENCE
093700                                 TO X-MMRT-PLAN
093800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
093900                 MOVE MML1WS-VL-05
094000                                 TO MML1-VARIABLE-LENGTH
094100                 MOVE MMRT-PLAN-END (X-MMRT-PLAN)
094200                                 TO MML1-VL05-B-DATA-X
094300                 MOVE MR05-PLAN-END (X-MR05-PLAN)
094400                                 TO MMRT-PLAN-END
094500                                    (X-MMRT-PLAN)
094600                 MOVE MMRT-PLAN-END (X-MMRT-PLAN)
094700                                 TO MML1-VL05-A-DATA-X
094800                 PERFORM Y060-WRITE-LOG-RECORD
094900                                 THRU Y079-WLR-EXIT
095000             ELSE
095100                 MOVE MR05-PLAN-END (X-MR05-PLAN)
095200                                 TO MMRT-PLAN-END (X-MMRT-PLAN).
095300*
095400 X038-INCREMENT-INDEXES.
095500*
095600     IF  X-MR05-PLAN IS LESS THAN 28
095700         SET X-MR05-PLAN         UP BY 1
095800         SET X-MMRT-PLAN         UP BY 1
095900         GO TO X022-UD-LOOP.
096000*
096100 X039-UD-EXIT.
096200     EXIT.
096300*
096400 X040-UPDATE-RATES.
096500*
096600***********************************
096700*    SET THE BEGINNING INDEXES    *
096800***********************************
096900*
097000     SET X-MR05-PLAN             TO 1.
097100     SET X-MMRT-PLAN             TO WS-INDEX.
097200*
097300 X042-UR-LOOP.
097400*
097500     IF  MR05-PLAN-RANGE-RATE-L (X-MR05-PLAN) IS GREATER THAN ZERO
097600     OR  MR05-PLAN-RANGE-RATE-SIGN-L (X-MR05-PLAN)
097700                                    IS GREATER THAN ZERO
097800         MOVE MR05-PLAN-RANGE-RATE (X-MR05-PLAN)
097900                                 TO WS-RATE
098000         IF  MR05-PLAN-RANGE-RATE-SIGN (X-MR05-PLAN)
098100                                    IS EQUAL TO '-'
098200             COMPUTE WS-RATE = WS-RATE * -1.
098300*
098400     IF  MR05-PLAN-RANGE-RATE-L (X-MR05-PLAN) IS GREATER THAN ZERO
098500     OR  MR05-PLAN-RANGE-RATE-SIGN-L (X-MR05-PLAN)
098600                                    IS GREATER THAN ZERO
098700         IF  WS-RATE IS NOT EQUAL TO
098800             MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
098900             MOVE 'Y'            TO WS-UPDATE-SW
099000             IF  MBCA-PTI-FUNCTION-IS-MAINT
099100                 MOVE 0503       TO MML1-FIELD-CODE
099200                 SET MML1-FIELD-OCCURRENCE
099300                                 TO X-MMRT-PLAN
099400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
099500                 MOVE MML1WS-VL-20
099600                                 TO MML1-VARIABLE-LENGTH
099700                 MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
099800                                 TO MML1-VL20-B-NBR-NO-DEC
099900                 MOVE WS-RATE    TO MMRT-PLAN-RANGE-RATE
100000                                            (X-MMRT-PLAN)
100100                 MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
100200                                 TO MML1-VL20-A-NBR-NO-DEC
100300                 PERFORM Y060-WRITE-LOG-RECORD
100400                                 THRU Y079-WLR-EXIT
100500             ELSE
100600                 MOVE WS-RATE    TO MMRT-PLAN-RANGE-RATE
100700                                         (X-MMRT-PLAN).
100800*
100900 X058-INCREMENT-INDEXES.
101000*
101100     IF  X-MR05-PLAN IS LESS THAN 28
101200         SET X-MR05-PLAN         UP BY 1
101300         SET X-MMRT-PLAN         UP BY 1
101400         GO TO X042-UR-LOOP.
101500*
101600 X059-UR-EXIT.
101700     EXIT.
101800/
101900 Y000-PERFORMED-ROUTINES SECTION.
102000*
102100 Y020-MOVE-PLANS.
102200*
102300***********************************
102400*    SET THE BEGINNING INDEXES    *
102500***********************************
102600*
102700     SET X-MR05-PLAN             TO 1.
102800     SET X-MMRT-PLAN             TO WS-INDEX.
102900*
103000 Y022-MD-LOOP.
103100*
103200     MOVE MMRT-PLAN-BEG (X-MMRT-PLAN)
103300                                 TO MR05-PLAN-BEG (X-MR05-PLAN).
103400*
103500     MOVE MMRT-PLAN-END (X-MMRT-PLAN)
103600                                 TO MR05-PLAN-END (X-MR05-PLAN).
103700*
103800****************************************
103900*    DARKEN THE PARENS AND BRIGHTEN    *
104000*    THE DATA ELEMENT IF IN INQUIRY    *
104100****************************************
104200*
104300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
104400         MOVE DFHBMASB           TO MR05-PLAN-BEG-A
104500                                        (X-MR05-PLAN)
104600                                    MR05-PLAN-END-A
104700                                        (X-MR05-PLAN)
104800         MOVE DFHBMDAS           TO MR05-PLAN-BEG-LP-A
104900                                        (X-MR05-PLAN)
105000                                    MR05-PLAN-BEG-RP-A
105100                                        (X-MR05-PLAN)
105200                                    MR05-PLAN-END-LP-A
105300                                        (X-MR05-PLAN)
105400                                    MR05-PLAN-END-RP-A
105500                                        (X-MR05-PLAN).
105600*
105700 Y038-INCREMENT-INDEXES.
105800*
105900     IF  X-MR05-PLAN IS LESS THAN 28
106000         SET X-MR05-PLAN         UP BY 1
106100         SET X-MMRT-PLAN         UP BY 1
106200         GO TO Y022-MD-LOOP.
106300*
106400 Y039-MD-EXIT.
106500     EXIT.
106600*
106700 Y040-MOVE-RATES.
106800*
106900***********************************
107000*    SET THE BEGINNING INDEXES    *
107100***********************************
107200*
107300     SET X-MR05-PLAN             TO 1.
107400     SET X-MMRT-PLAN             TO WS-INDEX.
107500*
107600 Y042-MR-LOOP.
107700*
107800     MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
107900                                 TO MR05-PLAN-RANGE-RATE
108000                                        (X-MR05-PLAN).
108100     IF  MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN) IS LESS THAN ZERO
108200         MOVE '-'                TO MR05-PLAN-RANGE-RATE-SIGN
108300                                        (X-MR05-PLAN)
108400     ELSE
108500         MOVE '+'                TO MR05-PLAN-RANGE-RATE-SIGN
108600                                        (X-MR05-PLAN).
108700*
108800*****************************************
108900*    DARKEN THE PARENS AND BRIGHTEN     *
109000*    THE DATA ELEMENTS IF IN INQUIRY    *
109100*****************************************
109200*
109300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
109400         MOVE DFHBMASB           TO MR05-PLAN-RANGE-RATE-A
109500                                        (X-MR05-PLAN)
109600                                    MR05-PLAN-RANGE-RATE-SIGN-A
109700                                        (X-MR05-PLAN)
109800         MOVE DFHBMDAS           TO MR05-PLAN-RANGE-RATE-LP-A
109900                                        (X-MR05-PLAN)
110000                                    MR05-PLAN-RANGE-RATE-RP-A
110100                                        (X-MR05-PLAN).
110200*
110300 Y058-INCREMENT-INDEXES.
110400*
110500     IF  X-MR05-PLAN IS LESS THAN 28
110600         SET X-MR05-PLAN         UP BY 1
110700         SET X-MMRT-PLAN         UP BY 1
110800         GO TO Y042-MR-LOOP.
110900*
111000 Y059-MR-EXIT.
111100     EXIT.
111200*
111300 Y060-WRITE-LOG-RECORD.
111400*
111500     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
111600     SET MBIORO-WRITE            TO TRUE.
111700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
111800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
111900*
112000 Y079-WLR-EXIT.
112100     EXIT.
112200/
112300 Z000-COPIED-ROUTINES SECTION.
112400*
112500/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
112600     COPY SS26PD.
112700*
112800/    ROUTINE TO NUMERICALLY EDIT TIME
112900     COPY SS27PD.
113000*
113100**********************************
113200*    JUL TO GREG DATE ROUTINE    *
113300**********************************
113400*
113500     COPY SS08PD.
113600/    ROUTINE TO MOVE COMMAREA VARIABLES TO
113700*                    SS08-FORMATTED-MSG VARIABLE.
113800     COPY MB06PD.
113900/
114000*********************************
114100*    LINE 24 PF KEYS ROUTINE    *
114200*********************************
114300*
114400     COPY SS15PD.
114500/
114600****************************************************
114700*    DISCOUNT RATE TABLE RECORD ACCESS ROUTINES    *
114800****************************************************
114900*
115000     COPY MMRTAO.
115100/
115200*****************************************
115300*    LOG FILE RECORD ACCESS ROUTINES    *
115400*****************************************
115500*
115600     COPY MML1AO.
115700/
115800*****************************
115900*    ONLINE MAP ROUTINES    *
116000*****************************
116100*
116200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR05 '
116300                           MBMAPXXI BY MBMR05I
116400                           MBMAPXXO BY MBMR05O.
116500/
116600***************************
116700*    ONLINE PROCEDURES    *
116800***************************
116900*
117000     COPY MB70PD.
117100/
117200     COPY SMFTPXO.
