000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR07.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMR07 - ON-LINE DISCOUNT RATE TABLE ADD/MAINT/INQ      *
000800*                SCREEN 07                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAR                                       *
001200*                 B. MBMR                                       *
001300*                 C. MBQR                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMR07 (SCREEN 07)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMRT (DISCOUNT RATE TABLE)                 *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(08)      BINARY.
003600     03  WS-RATE             PIC S9(09)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-RATE-TOTAL       PIC S9(09)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SCREEN-BYPASS-SW PIC  X(01)      VALUE 'N'.
004100         88  THIS-SCREEN-IS-BYPASSED         VALUE 'Y'.
004200         88  THIS-SCREEN-IS-NOT-BYPASSED     VALUE 'N'.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004500         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
004600     03  WS-RATE-ERROR-SW    PIC  X(01)      VALUE 'N'.
004700         88  RATE-ERRORS-EXIST               VALUE 'Y'.
004800         88  NO-RATE-ERRORS-EXIST            VALUE 'N'.
004900/
005000 01  FILLER                  PIC  X(29)      VALUE
005100     'I/O REQUEST BLOCK WORK AREAS:'.
005200*
005300     COPY MBIOWS.
005400/
005500 01  FILLER                  PIC  X(18)      VALUE
005600     'I/O REQUEST BLOCK:'.
005700*
005800     COPY MBIORO.
005900/
006000 01  FILLER                  PIC  X(25)      VALUE
006100     'LOG RECORD REQUEST BLOCK:'.
006200*
006300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006400/
006500 01  FILLER                  PIC  X(39)      VALUE
006600     'DISCOUNT RATE TABLE INITIALIZER RECORD:'.
006700*
006800     COPY MMRTIR.
006900/
007000 01  FILLER                  PIC  X(23)      VALUE
007100     'RATE TABLES WORK AREAS:'.
007200*
007300     COPY MMRTWS.
007400/
007500 01  FILLER                  PIC  X(20)      VALUE
007600     'CCS DATE WORK AREAS:'.
007700*
007800     COPY SS01WS.
007900/
008000 01  FILLER                  PIC  X(15)      VALUE
008100     'CCS WORK AREAS:'.
008200*
008300     COPY SS08WS.
008400/
008500     COPY SS00WS.
008600/
008700     COPY SMFTWS.
008800/
008900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009000/
009100     COPY MB61LK.
009200/
009300 01  FILLER                  PIC  X(12)      VALUE
009400     '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*********************************
010300*    DISCOUNT RATE TABLE MAP    *
010400*********************************
010500*
010600     COPY MBMR07.
010700/
010800**********************************************
010900*    DISCOUNT RATE TABLE MAP REDEFINITION    *
011000**********************************************
011100*
011200     COPY MBMR07R.
011300/
011400*******************************************
011500*    DISCOUNT RATE TABLE RECORD LAYOUT    *
011600*******************************************
011700*
011800     COPY MMRTRL.
011900/
012000***************************
012100*    LOG RECORD LAYOUT    *
012200***************************
012300*
012400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012500/
012600 PROCEDURE DIVISION.
012700*
012800 A000-HOUSEKEEPING SECTION.
012900*
013000 A020-INIT.
013100*
013200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013400                                 THRU MB70PD-OLH-EXIT.
013500*
013600     IF  MBCA-RECEIVE-SCREEN
013700         GO TO C000-RECEIVE-SCREEN.
013800/
013900 B000-SEND-SCREEN SECTION.
014000*
014100**************************************
014200*    READ THE DISCOUNT RATE TABLE    *
014300*    FOR SUBSEQUENT DISPLAY          *
014400**************************************
014500*
014600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
014700     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
014800     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
014900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015000     SET MBIORO-READ-RANDOM      TO TRUE.
015100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
015200*
015300***************************************************
015400*    IF THE STATE EXCEPTION PRIORITY SPECIFIES    *
015500*    'NOT USED', BYPASS THIS SCREEN.  IF  THIS    *
015600*    IS THE ADD FUNCTION, BRANCH TO THE UPDATE    *
015700*    SECTION OF THE PROGRAM WHERE THE ONLINE      *
015800*    STATUS , MAINT DATE, AND MAINT OPERATOR      *
015900*    WILL BE UPDATED.                             *
016000***************************************************
016100*
016200     SET X-MMRT-EXCEPTION        TO 4.
016300*
016400     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
016500         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50
016600         IF  MBCA-PTI-FUNCTION-IS-ADD
016700             MOVE 'Y'            TO WS-SCREEN-BYPASS-SW
016800             GO TO E000-UPDATE-FILE
016900         ELSE
017000             GO TO F000-SETUP-COMMAREA.
017100*
017200*
017300*********************************************
017400*    GET CICS STORAGE NEEDED FOR THE MAP    *
017500*********************************************
017600*
017700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB60PD-GETMAIN-FOR-MAP
017900                                 THRU MB60PD-GFM-EXIT.
018000*
018100*******************************************
018200*    INITIALIZE THE STANDARD MAP LINES    *
018300*******************************************
018400*
018500     PERFORM MB60PD-INIT-STD-MAP-LINES
018600                                 THRU MB60PD-ISML-EXIT.
018700*
018800****************************************************
018900*    MOVE THE KEY AND TABLE TITLE TO THE SCREEN    *
019000****************************************************
019100*
019200     MOVE MBCA-MERCHANT-ORG      TO MR07-ORG.
019300     MOVE MBCA-TABLE             TO MR07-TABLE.
019400     MOVE MMRT-TITLE             TO MR07-TITLE.
019500*
019600 B020-MOVE-FIELDS-TO-SCREEN.
019700*
019800*******************************************************
019900*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
020000*******************************************************
020100*
020200     EVALUATE MBCA-SCREEN-NBR
020300         WHEN 57
020400             MOVE 07             TO MBCA-SCREEN-NBR
020500             MOVE 1              TO WS-INDEX
020600         WHEN 58
020700             MOVE 08             TO MBCA-SCREEN-NBR
020800             MOVE 29             TO WS-INDEX
020900     END-EVALUATE.
021000*
021100     PERFORM Y020-MOVE-STATES    THRU Y039-MD-EXIT.
021200*
021300     PERFORM Y040-MOVE-RATES     THRU Y059-MR-EXIT.
021400*
021500******************************************
021600*    SET THE CURSOR AND SCREEN NUMBER    *
021700******************************************
021800*
021900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
022000         MOVE SS08WS-CURSOR      TO MR07-STATE-L (1)
022100     ELSE
022200         MOVE SS08WS-CURSOR      TO MR07-ALT-TRANID-L.
022300*
022400***********************************************************
022500*    SET THE CURRENCY CODE, CURRENCY NOD
022600*            PER ITEM NOD, PERCENT NOD.
022700***********************************************************
022800     IF MR07-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
022900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
023000                                 THRU MB06PD-FML-EXIT
023100        MOVE SS08WS-FORMATTED-MSG   TO MR07-ERROR-MESSAGE
023200     END-IF.
023300*
023400**********************
023500*    SEND THE MAP    *
023600**********************
023700*
023800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
023900*
024000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024100                                 THRU MB60PD-SMWE-EXIT.
024200*
024300************************
024400*    RETURN TO CICS    *
024500************************
024600*
024700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
024800     PERFORM MB70PD-RETURN-TRANS-ID
024900                                 THRU MB70PD-RTI-EXIT.
025000/
025100 C000-RECEIVE-SCREEN SECTION.
025200*
025300******************************************
025400*    THIS SECTION RECEIVES THE SCREEN    *
025500******************************************
025600*
025700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
025900*
026000**************************************************************
026100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026200**************************************************************
026300*
026400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM MB60PD-NEW-TRANS-ROUTINE
026600                                 THRU MB60PD-NTR-EXIT.
026700*
026800*********************************************
026900*    READ THE DISCOUNT RATE TABLE RECORD    *
027000*********************************************
027100*
027200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
027300                                    MR07-ORG.
027400     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
027500                                    MR07-TABLE.
027600     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
027700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027800     SET MBIORO-READ-RANDOM      TO TRUE.
027900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
028000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
028100*
028200     EVALUATE MBCA-SCREEN-NBR
028300         WHEN 07
028400             MOVE 1              TO WS-INDEX
028500         WHEN 08
028600             MOVE 29             TO WS-INDEX
028700     END-EVALUATE.
028800*
028900****************************************************
029000*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
029100****************************************************
029200*
029300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029400         GO TO F000-SETUP-COMMAREA.
029500*
029600 C020-FIELD-EDITS.
029700*
029800*********************
029900*    FIELD EDITS    *
030000*********************
030100*
030200     PERFORM W020-EDIT-STATES    THRU W039-ED-EXIT.
030300*
030400     PERFORM W040-EDIT-RATES     THRU W059-ER-EXIT.
030500*
030600     PERFORM W060-CROSS-EDIT-RATES
030700                                 THRU W079-CER-EXIT.
030800/
030900 D000-RETURN-ERRORS SECTION.
031000*
031100     IF  SS08WS-ERROR IS EQUAL TO 'N'
031200         GO TO E000-UPDATE-FILE.
031300*
031400***************************************************************
031500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
031600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
031700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
031800***************************************************************
031900*
032000     PERFORM MB60PD-INIT-STD-MAP-LINES
032100                                 THRU MB60PD-ISML-EXIT.
032200*
032300*
032400***********************************************************
032500*    SET THE CURRENCY CODE, CURRENCY NOD
032600*            PER ITEM NOD, PERCENT NOD.
032700***********************************************************
032800     IF MR07-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
032900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
033000                                 THRU MB06PD-FML-EXIT
033100        MOVE SS08WS-FORMATTED-MSG   TO MR07-ERROR-MESSAGE
033200     END-IF.
033300**********************
033400*    SEND THE MAP    *
033500**********************
033600*
033700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
033900                                 THRU MB60PD-SMDO-EXIT.
034000*
034100************************
034200*    RETURN TO CICS    *
034300************************
034400*
034500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB70PD-RETURN-TRANS-ID
034700                                 THRU MB70PD-RTI-EXIT.
034800/
034900 E000-UPDATE-FILE SECTION.
035000*
035100********************************************************
035200*    READ THE DISCOUNT RATE TABLE RECORD FOR UPDATE    *
035300********************************************************
035400*
035500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
035600     SET MBIORO-READ-RANDOM-UPDATE
035700                                 TO TRUE.
035800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
035900*
036000********************************************
036100*    OBTAIN STORAGE FOR LOG FILE RECORD    *
036200*    IF DOING MAINTENANCE                  *
036300********************************************
036400*
036500     IF  MBCA-PTI-FUNCTION-IS-ADD
036600         IF  THIS-SCREEN-IS-BYPASSED
036700             GO TO E040-UPDATE-MMRT
036800         ELSE
036900             GO TO E020-UPDATE-FIELDS.
037000*
037100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
037200     SET MBIORO-GETMAIN          TO TRUE.
037300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037400*
037500*************************************************
037600*    SET UP THE COMMON PORTION OF THE RECORD    *
037700*************************************************
037800*
037900     MOVE 'RT'                   TO MML1-FILE-CODE.
038000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
038100     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
038200     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
038300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
038400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
038500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
038600*
038700 E020-UPDATE-FIELDS.
038800*
038900     PERFORM X020-UPDATE-STATES  THRU X039-UD-EXIT.
039000*
039100     PERFORM X040-UPDATE-RATES   THRU X059-UR-EXIT.
039200*
039300 E040-UPDATE-MMRT.
039400*
039500     IF  MBCA-PTI-FUNCTION-IS-ADD
039600         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
039700         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
039800         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
039900         MOVE 'Y'                TO WS-UPDATE-SW.
040000*
040100**************************************************************
040200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
040300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
040400*    ON THE SCREEN                                           *
040500**************************************************************
040600*
040700     IF  MBCA-PTI-FUNCTION-IS-MAINT
040800     AND FIELDS-WERE-UPDATED
040900         MOVE 0198               TO MML1-FIELD-CODE
041000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
041100                                    MML1-FIELD-OCCURRENCE-2
041200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
041300         MOVE MMRT-LAST-MAINT-OPER
041400                                 TO MML1-VL03-B-DATA-X
041500         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
041600         MOVE MMRT-LAST-MAINT-OPER
041700                                 TO MML1-VL03-A-DATA-X
041800         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
041900         PERFORM Y060-WRITE-LOG-RECORD
042000                                 THRU Y079-WLR-EXIT
042100         MOVE 0199               TO MML1-FIELD-CODE
042200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
042300         MOVE MMRT-LAST-MAINT-DATE
042400                                 TO MML1-VL07-B-DATA-9
042500         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
042600         MOVE MMRT-LAST-MAINT-DATE
042700                                 TO MML1-VL07-A-DATA-9
042800         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
042900         PERFORM Y060-WRITE-LOG-RECORD
043000                                 THRU Y079-WLR-EXIT.
043100*
043200****************************************************
043300*    REWRITE THE DISCOUNT RATE TABLE RECORD IF     *
043400*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
043500*    UNLOCK IT IF THEY HAVE NOT                    *
043600****************************************************
043700*
043800     IF  FIELDS-WERE-UPDATED
043900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
044000         SET MBIORO-REWRITE      TO TRUE
044100         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
044200     ELSE
044300         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044400         SET MBIORO-UNLOCK       TO TRUE
044500         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
044600/
044700 F000-SETUP-COMMAREA SECTION.
044800*
044900***************************************************************
045000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045100***************************************************************
045200*
045300     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
045400         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR + 51
045500         GO TO F010-XCTL.
045600*
045700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045800*
045900     PERFORM MB60PD-EDIT-PAGE-NBR
046000                                 THRU MB60PD-EPN-EXIT.
046100*
046200     IF  SS08WS-VALID-PF-KEY
046300     OR  SS08WS-EIBAID-VALID-PF-KEY
046400         SET MBCA-INITIAL-SCREEN-NBR
046500                                 TO TRUE.
046600*
046700 F010-XCTL.
046800*
046900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047000     PERFORM MB70PD-XCTL-TO-MBOXCTL
047100                                 THRU MB70PD-XTM-EXIT.
047200/
047300 W000-FIELD-EDITS SECTION.
047400*
047500 W020-EDIT-STATES.
047600*
047700***********************************
047800*    SET THE BEGINNING INDEXES    *
047900***********************************
048000*
048100     SET X-MR07-STATE            TO 1.
048200     SET X-MMRT-STATE            TO WS-INDEX.
048300*
048400 W022-ED-LOOP.
048500*
048600**************************************************
048700*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
048800*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
048900**************************************************
049000*
049100     MOVE DFHBMDAS               TO MR07-STATE-LP-A
049200                                        (X-MR07-STATE)
049300                                    MR07-STATE-RP-A
049400                                        (X-MR07-STATE).
049500     MOVE DFHBMASK               TO MR07-STATE-A
049600                                        (X-MR07-STATE).
049700*
049800*****************************
049900*    EDIT FOR VALID DATA    *
050000*****************************
050100*
050200     IF  MR07-STATE-L (X-MR07-STATE) IS EQUAL TO ZERO
050300         MOVE MMRT-STATE (X-MMRT-STATE)
050400                                 TO MR07-STATE (X-MR07-STATE)
050500     ELSE
050600         MOVE DFHBMASF           TO MR07-STATE-A (X-MR07-STATE).
050700*
050800 W038-INCREMENT-INDEXES.
050900*
051000     IF  X-MR07-STATE IS LESS THAN 28
051100         SET X-MR07-STATE        UP BY 1
051200         SET X-MMRT-STATE        UP BY 1
051300         GO TO W022-ED-LOOP.
051400*
051500 W039-ED-EXIT.
051600     EXIT.
051700*
051800 W040-EDIT-RATES.
051900*
052000***********************************
052100*    SET THE BEGINNING INDEXES    *
052200***********************************
052300*
052400     SET X-MR07-STATE            TO 1.
052500     SET X-MMRT-STATE            TO WS-INDEX.
052600*
052700 W042-ER-LOOP.
052800*
052900**************************************************
053000*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
053100*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
053200**************************************************
053300*
053400     MOVE DFHBMDAS               TO MR07-STATE-RATE-LP-A
053500                                        (X-MR07-STATE)
053600                                    MR07-STATE-RATE-RP-A
053700                                        (X-MR07-STATE).
053800     MOVE DFHBMASK               TO MR07-STATE-RATE-A
053900                                        (X-MR07-STATE)
054000                                    MR07-STATE-RATE-SIGN-A
054100                                        (X-MR07-STATE).
054200*
054300*************************************
054400*    EDIT FOR VALID NUMERIC DATA    *
054500*************************************
054600*
054700     IF  MR07-STATE-RATE-L (X-MR07-STATE) IS EQUAL TO ZERO
054800         MOVE MMRT-STATE-RATE (X-MMRT-STATE)
054900                                 TO MR07-STATE-RATE
055000                                        (X-MR07-STATE)
055100         GO TO W046-EDIT-RATE-SIGN.
055200*
055300     IF  MR07-STATE-RATE (X-MR07-STATE) IS NUMERIC
055400         MOVE DFHBMASF           TO MR07-STATE-RATE-A
055500                                        (X-MR07-STATE)
055600         GO TO W046-EDIT-RATE-SIGN.
055700*
055800 W044-RATE-ERROR.
055900*
056000     MOVE 'Y'                    TO SS08WS-ERROR
056100                                    WS-RATE-ERROR-SW.
056200     MOVE SS08WS-CURSOR          TO MR07-STATE-RATE-L
056300                                        (X-MR07-STATE).
056400     MOVE DFHBMNBF               TO MR07-STATE-RATE-A
056500                                        (X-MR07-STATE).
056600     MOVE DFHBMASB               TO MR07-STATE-RATE-LP-A
056700                                        (X-MR07-STATE)
056800                                    MR07-STATE-RATE-RP-A
056900                                        (X-MR07-STATE).
057000*
057100 W046-EDIT-RATE-SIGN.
057200*
057300*****************************
057400*    EDIT FOR VALID DATA    *
057500*****************************
057600*
057700     IF  MR07-STATE-RATE-SIGN-L (X-MR07-STATE) IS EQUAL TO ZERO
057800         IF  MMRT-STATE-RATE (X-MMRT-STATE)
057900             IS LESS THAN ZERO
058000             MOVE '-'            TO MR07-STATE-RATE-SIGN
058100                                        (X-MR07-STATE)
058200             MOVE DFHBMASF       TO MR07-STATE-RATE-SIGN-A
058300                                        (X-MR07-STATE)
058400             GO TO W058-INCREMENT-INDEXES
058500         ELSE
058600             MOVE '+'            TO MR07-STATE-RATE-SIGN
058700                                        (X-MR07-STATE)
058800             MOVE DFHBMASF       TO MR07-STATE-RATE-SIGN-A
058900                                        (X-MR07-STATE)
059000             GO TO W058-INCREMENT-INDEXES.
059100*
059200     IF  MR07-STATE-RATE-SIGN (X-MR07-STATE) IS EQUAL TO
059300         '-' OR '+'
059400         MOVE DFHBMASF           TO MR07-STATE-RATE-SIGN-A
059500                                        (X-MR07-STATE)
059600         GO TO W058-INCREMENT-INDEXES.
059700*
059800 W048-RATE-SIGN-ERROR.
059900*
060000     MOVE 'Y'                    TO SS08WS-ERROR
060100                                    WS-RATE-ERROR-SW.
060200     MOVE SS08WS-CURSOR          TO MR07-STATE-RATE-SIGN-L
060300                                        (X-MR07-STATE).
060400     MOVE DFHBMUBF               TO MR07-STATE-RATE-SIGN-A
060500                                        (X-MR07-STATE).
060600     MOVE DFHBMASB               TO MR07-STATE-RATE-LP-A
060700                                        (X-MR07-STATE)
060800                                    MR07-STATE-RATE-RP-A
060900                                        (X-MR07-STATE).
061000*
061100 W058-INCREMENT-INDEXES.
061200*
061300     IF  X-MR07-STATE IS LESS THAN 28
061400         SET X-MR07-STATE        UP BY 1
061500         SET X-MMRT-STATE        UP BY 1
061600         GO TO W042-ER-LOOP.
061700*
061800 W059-ER-EXIT.
061900     EXIT.
062000*
062100 W060-CROSS-EDIT-RATES.
062200*
062300************************************************
062400*    BYPASS THE CROSS EDITS IF ERRORS EXIST    *
062500*    IN THE STATE FIELDS OR RATE FIELDS        *
062600************************************************
062700*
062800     IF  RATE-ERRORS-EXIST
062900         GO TO W079-CER-EXIT.
063000*
063100*****************************************************************
063200*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
063300*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
063400*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
063500*****************************************************************
063600     PERFORM
063700         VARYING X-MR07-STATE FROM 1 BY 1
063800         UNTIL   X-MR07-STATE IS GREATER THAN 28
063900         EVALUATE TRUE
064000            WHEN   MMRTWS-RESV-FLAT-AMT
064100                   CONTINUE
064200            WHEN ( MMRTWS-VALID-METH-ON-AMOUNT AND
064300                 MR07-STATE-RATE (X-MR07-STATE)
064400                            IS GREATER THAN 9999999)
064500                 SET SS08WS-ERROR-SW-YES TO TRUE
064600                 MOVE DFHBMNBF
064700                             TO MR07-STATE-RATE-A
064800                                           (X-MR07-STATE)
064900                 MOVE DFHBMASB
065000                             TO MR07-STATE-RATE-LP-A
065100                                                    (X-MR07-STATE)
065200                                MR07-STATE-RATE-RP-A
065300                                                    (X-MR07-STATE)
065400                 MOVE SS08WS-CURSOR
065500                             TO MR07-STATE-RATE-L   (X-MR07-STATE)
065600                 IF MR07-ERROR-MESSAGE IS EQUAL TO SPACES
065700                                                   OR LOW-VALUES
065800                    MOVE 'ERROR RATE AMOUNT'
065900                             TO MR07-ERROR-MESSAGE
066000                END-IF
066100         END-EVALUATE
066200     END-PERFORM.
066300*************************
066400*    SET THE INDEXES    *
066500*************************
066600*
066700     SET X-MR07-STATE            TO 1.
066800     SET X-MMRT-STATE            TO WS-INDEX.
066900     SET X-MMRTIR-STATE          TO 1.
067000     SET X-MMRT-EXCEPTION        TO 4.
067100*
067200 W062-CER-LOOP.
067300*
067400**************************************************************
067500*    RATE CROSS EDITS ARE AS FOLLOWS:                        *
067600*                                                            *
067700*      . IF THE STATE FIELD IS THE INITIALIZER DEFAULT,      *
067800*        THE RATE FIELD MUST ALSO BE THE INITIALIZER         *
067900*        DEFAULT.                                            *
068000*      . IF THE STATE EXCEPTION IS OF A OVERRIDE             *
068100*        PRIORITY, NO RATE CAN BE NEGATIVE.                  *
068200*      . IF THE STATE EXCEPTION IS AN ADJUSTMENT,            *
068300*        NO RATE WHEN ADDED TO EACH PRIMARY RATE             *
068400*        (INDIVIDUALLY) CAN BE LESS THAN ZERO.               *
068500*                                                            *
068600*    IF THERE IS AN ERROR, THE STATE AND RATE ARE            *
068700*    HIGHLIGHTED.                                            *
068800**************************************************************
068900*
069000     IF  MR07-STATE    (X-MR07-STATE) IS EQUAL TO
069100         MMRTIR-STATE (X-MMRTIR-STATE)
069200         IF  MR07-STATE-RATE (X-MR07-STATE) IS NOT EQUAL TO
069300             MMRTIR-STATE-RATE (X-MMRTIR-STATE)
069400             GO TO W068-CROSS-EDIT-RATE-ERROR.
069500*
069600     IF  MMRT-EXCEPTION-IS-OVERRIDE (X-MMRT-EXCEPTION)
069700         IF  MR07-STATE-RATE-SIGN (X-MR07-STATE) IS EQUAL TO '-'
069800             GO TO W068-CROSS-EDIT-RATE-ERROR
069900         ELSE
070000             GO TO W078-INCREMENT-INDEXES.
070100*
070200     IF  MR07-STATE-RATE-SIGN (X-MR07-STATE) IS NOT EQUAL TO '-'
070300         GO TO W078-INCREMENT-INDEXES.
070400*
070500************************************
070600*    SET THE PRIMARY RATE INDEX    *
070700************************************
070800*
070900     SET X-MMRT-PRIM             TO 1.
071000*
071100     MOVE MR07-STATE-RATE (X-MR07-STATE)
071200                                 TO WS-RATE.
071300     COMPUTE WS-RATE             = WS-RATE * -1.
071400*
071500 W064-CER-LOOP.
071600*
071700     COMPUTE WS-RATE-TOTAL =
071800         WS-RATE + MMRT-PRIM-RATE (X-MMRT-PRIM).
071900*
072000     IF  WS-RATE-TOTAL IS LESS THAN ZERO
072100         GO TO W068-CROSS-EDIT-RATE-ERROR.
072200*
072300 W066-INCREMENT-INDEXES.
072400*
072500     IF  X-MMRT-PRIM IS LESS THAN 10
072600     AND MMRT-PRIM-LIMIT (X-MMRT-PRIM)
072700                             IS NOT EQUAL TO 99999999999999999
072800         SET X-MMRT-PRIM         UP BY 1
072900         GO TO W064-CER-LOOP
073000     ELSE
073100         GO TO W078-INCREMENT-INDEXES.
073200*
073300 W068-CROSS-EDIT-RATE-ERROR.
073400*
073500**********************************************
073600*    BRIGHTEN AND FSET THE STATE AND RATE    *
073700**********************************************
073800*
073900     MOVE 'Y'                    TO SS08WS-ERROR
074000                                    WS-RATE-ERROR-SW.
074100     MOVE SS08WS-CURSOR          TO MR07-STATE-RATE-L
074200                                        (X-MR07-STATE).
074300     MOVE DFHBMASB               TO MR07-STATE-LP-A
074400                                        (X-MR07-STATE)
074500                                    MR07-STATE-RP-A
074600                                        (X-MR07-STATE)
074700                                    MR07-STATE-RATE-LP-A
074800                                        (X-MR07-STATE)
074900                                    MR07-STATE-RATE-RP-A
075000                                        (X-MR07-STATE).
075100     MOVE DFHBMNBF               TO MR07-STATE-RATE-A
075200                                        (X-MR07-STATE).
075300     MOVE DFHBMUBF               TO MR07-STATE-A
075400                                        (X-MR07-STATE)
075500                                    MR07-STATE-RATE-SIGN-A
075600                                        (X-MR07-STATE).
075700*
075800 W078-INCREMENT-INDEXES.
075900*
076000     IF  X-MR07-STATE IS LESS THAN 28
076100         SET X-MR07-STATE        UP BY 1
076200         SET X-MMRTIR-STATE      UP BY 1
076300         GO TO W062-CER-LOOP.
076400*
076500 W079-CER-EXIT.
076600     EXIT.
076700/
076800 X000-UPDATE-FIELDS SECTION.
076900*
077000 X020-UPDATE-STATES.
077100*
077200***********************************
077300*    SET THE BEGINNING INDEXES    *
077400***********************************
077500*
077600     SET X-MR07-STATE            TO 1.
077700     SET X-MMRT-STATE            TO WS-INDEX.
077800*
077900 X022-UD-LOOP.
078000*
078100     IF  MR07-STATE-L      (X-MR07-STATE) IS GREATER THAN ZERO
078200         IF  MR07-STATE (X-MR07-STATE) IS NOT EQUAL TO
078300             MMRT-STATE (X-MMRT-STATE)
078400             MOVE 'Y'            TO WS-UPDATE-SW
078500             IF  MBCA-PTI-FUNCTION-IS-MAINT
078600                 MOVE 0701       TO MML1-FIELD-CODE
078700                 SET MML1-FIELD-OCCURRENCE
078800                                 TO X-MMRT-STATE
078900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
079000                 MOVE MML1WS-VL-03
079100                                 TO MML1-VARIABLE-LENGTH
079200                 MOVE MMRT-STATE (X-MMRT-STATE)
079300                                 TO MML1-VL03-B-DATA-X
079400                 MOVE MR07-STATE         (X-MR07-STATE)
079500                                 TO MMRT-STATE
079600                                         (X-MMRT-STATE)
079700                 MOVE MMRT-STATE (X-MMRT-STATE)
079800                                 TO MML1-VL03-A-DATA-X
079900                 PERFORM Y060-WRITE-LOG-RECORD
080000                                 THRU Y079-WLR-EXIT
080100             ELSE
080200                 MOVE MR07-STATE         (X-MR07-STATE)
080300                                 TO MMRT-STATE
080400                                         (X-MMRT-STATE).
080500*
080600 X038-INCREMENT-INDEXES.
080700*
080800     IF  X-MR07-STATE IS LESS THAN 28
080900         SET X-MR07-STATE        UP BY 1
081000         SET X-MMRT-STATE        UP BY 1
081100         GO TO X022-UD-LOOP.
081200*
081300 X039-UD-EXIT.
081400     EXIT.
081500*
081600 X040-UPDATE-RATES.
081700*
081800***********************************
081900*    SET THE BEGINNING INDEXES    *
082000***********************************
082100*
082200     SET X-MR07-STATE            TO 1.
082300     SET X-MMRT-STATE            TO WS-INDEX.
082400*
082500 X042-UR-LOOP.
082600*
082700     IF  MR07-STATE-RATE-L     (X-MR07-STATE) IS GREATER THAN ZERO
082800     OR  MR07-STATE-RATE-SIGN-L (X-MR07-STATE)
082900                                    IS GREATER THAN ZERO
083000         MOVE MR07-STATE-RATE (X-MR07-STATE)
083100                                 TO WS-RATE
083200         IF  MR07-STATE-RATE-SIGN (X-MR07-STATE) IS EQUAL TO '-'
083300             COMPUTE WS-RATE = WS-RATE * -1.
083400*
083500     IF  MR07-STATE-RATE-L     (X-MR07-STATE) IS GREATER THAN ZERO
083600     OR  MR07-STATE-RATE-SIGN-L (X-MR07-STATE)
083700                                    IS GREATER THAN ZERO
083800         IF  WS-RATE IS NOT EQUAL TO
083900             MMRT-STATE-RATE (X-MMRT-STATE)
084000             MOVE 'Y'            TO WS-UPDATE-SW
084100             IF  MBCA-PTI-FUNCTION-IS-MAINT
084200                 MOVE 0702       TO MML1-FIELD-CODE
084300                 SET MML1-FIELD-OCCURRENCE
084400                                 TO X-MMRT-STATE
084500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
084600                 MOVE MML1WS-VL-20
084700                                 TO MML1-VARIABLE-LENGTH
084800                 MOVE MMRT-STATE-RATE (X-MMRT-STATE)
084900                                 TO MML1-VL20-B-NBR-NO-DEC
085000                 MOVE WS-RATE    TO MMRT-STATE-RATE
085100                                            (X-MMRT-STATE)
085200                 MOVE MMRT-STATE-RATE (X-MMRT-STATE)
085300                                 TO MML1-VL20-A-NBR-NO-DEC
085400                 PERFORM Y060-WRITE-LOG-RECORD
085500                                 THRU Y079-WLR-EXIT
085600             ELSE
085700                 MOVE WS-RATE    TO MMRT-STATE-RATE
085800                                         (X-MMRT-STATE).
085900*
086000 X058-INCREMENT-INDEXES.
086100*
086200     IF  X-MR07-STATE IS LESS THAN 28
086300         SET X-MR07-STATE        UP BY 1
086400         SET X-MMRT-STATE        UP BY 1
086500         GO TO X042-UR-LOOP.
086600*
086700 X059-UR-EXIT.
086800     EXIT.
086900/
087000 Y000-PERFORMED-ROUTINES SECTION.
087100*
087200 Y020-MOVE-STATES.
087300*
087400***********************************
087500*    SET THE BEGINNING INDEXES    *
087600***********************************
087700*
087800     SET X-MR07-STATE            TO 1.
087900     SET X-MMRT-STATE            TO WS-INDEX.
088000*
088100 Y022-MD-LOOP.
088200*
088300     MOVE MMRT-STATE (X-MMRT-STATE)
088400                                 TO MR07-STATE (X-MR07-STATE).
088500*
088600****************************************
088700*    DARKEN THE PARENS AND BRIGHTEN    *
088800*    THE DATA ELEMENT IF IN INQUIRY    *
088900****************************************
089000*
089100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
089200         MOVE DFHBMASB           TO MR07-STATE-A
089300                                        (X-MR07-STATE)
089400         MOVE DFHBMDAS           TO MR07-STATE-LP-A
089500                                        (X-MR07-STATE)
089600                                    MR07-STATE-RP-A
089700                                        (X-MR07-STATE).
089800*
089900 Y038-INCREMENT-INDEXES.
090000*
090100     IF  X-MR07-STATE IS LESS THAN 28
090200         SET X-MR07-STATE        UP BY 1
090300         SET X-MMRT-STATE        UP BY 1
090400         GO TO Y022-MD-LOOP.
090500*
090600 Y039-MD-EXIT.
090700     EXIT.
090800*
090900 Y040-MOVE-RATES.
091000*
091100***********************************
091200*    SET THE BEGINNING INDEXES    *
091300***********************************
091400*
091500     SET X-MR07-STATE            TO 1.
091600     SET X-MMRT-STATE            TO WS-INDEX.
091700*
091800 Y042-MR-LOOP.
091900*
092000     MOVE MMRT-STATE-RATE (X-MMRT-STATE)
092100                                 TO MR07-STATE-RATE
092200                                        (X-MR07-STATE).
092300     IF  MMRT-STATE-RATE (X-MMRT-STATE) IS LESS THAN ZERO
092400         MOVE '-'                TO MR07-STATE-RATE-SIGN
092500                                        (X-MR07-STATE)
092600     ELSE
092700         MOVE '+'                TO MR07-STATE-RATE-SIGN
092800                                        (X-MR07-STATE).
092900*
093000*****************************************
093100*    DARKEN THE PARENS AND BRIGHTEN     *
093200*    THE DATA ELEMENTS IF IN INQUIRY    *
093300*****************************************
093400*
093500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
093600         MOVE DFHBMASB           TO MR07-STATE-RATE-A
093700                                        (X-MR07-STATE)
093800                                    MR07-STATE-RATE-SIGN-A
093900                                        (X-MR07-STATE)
094000         MOVE DFHBMDAS           TO MR07-STATE-RATE-LP-A
094100                                        (X-MR07-STATE)
094200                                    MR07-STATE-RATE-RP-A
094300                                        (X-MR07-STATE).
094400*
094500 Y058-INCREMENT-INDEXES.
094600*
094700     IF  X-MR07-STATE IS LESS THAN 28
094800         SET X-MR07-STATE        UP BY 1
094900         SET X-MMRT-STATE        UP BY 1
095000         GO TO Y042-MR-LOOP.
095100*
095200 Y059-MR-EXIT.
095300     EXIT.
095400*
095500 Y060-WRITE-LOG-RECORD.
095600*
095700     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
095800     SET MBIORO-WRITE            TO TRUE.
095900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
096000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
096100*
096200 Y079-WLR-EXIT.
096300     EXIT.
096400/
096500 Z000-COPIED-ROUTINES SECTION.
096600*
096700/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
096800     COPY SS26PD.
096900*
097000/    ROUTINE TO NUMERICALLY EDIT TIME
097100     COPY SS27PD.
097200*
097300**********************************
097400*    JUL TO GREG DATE ROUTINE    *
097500**********************************
097600*
097700     COPY SS08PD.
097800/    ROUTINE TO MOVE COMMAREA VARIABLES TO
097900*                    SS08-FORMATTED-MSG VARIABLE.
098000     COPY MB06PD.
098100/
098200*********************************
098300*    LINE 24 PF KEYS ROUTINE    *
098400*********************************
098500*
098600     COPY SS15PD.
098700/
098800****************************************************
098900*    DISCOUNT RATE TABLE RECORD ACCESS ROUTINES    *
099000****************************************************
099100*
099200     COPY MMRTAO.
099300/
099400*****************************************
099500*    LOG FILE RECORD ACCESS ROUTINES    *
099600*****************************************
099700*
099800     COPY MML1AO.
099900/
100000*****************************
100100*    ONLINE MAP ROUTINES    *
100200*****************************
100300*
100400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR07 '
100500                           MBMAPXXI BY MBMR07I
100600                           MBMAPXXO BY MBMR07O.
100700/
100800***************************
100900*    ONLINE PROCEDURES    *
101000***************************
101100*
101200     COPY MB70PD.
101300/
101400     COPY SMFTPXO.
