000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR11.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMR11 - ON-LINE DISCOUNT RATE TABLE ADD/MAINT/INQ      *
000800*                SCREEN 11                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAR                                       *
001200*                 B. MBMR                                       *
001300*                 C. MBQR                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMR11 (SCREEN 11)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMRT (DISCOUNT RATE TABLE)                 *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(08)      BINARY.
003600     03  WS-RATE             PIC S9(09)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-RATE-TOTAL       PIC S9(09)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SCREEN-BYPASS-SW PIC  X(01)      VALUE 'N'.
004100         88  THIS-SCREEN-IS-BYPASSED         VALUE 'Y'.
004200         88  THIS-SCREEN-IS-NOT-BYPASSED     VALUE 'N'.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004500         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
004600     03  WS-RATE-ERROR-SW    PIC  X(01)      VALUE 'N'.
004700         88  RATE-ERRORS-EXIST               VALUE 'Y'.
004800         88  NO-RATE-ERRORS-EXIST            VALUE 'N'.
004900/
005000 01  FILLER                  PIC  X(29)      VALUE
005100     'I/O REQUEST BLOCK WORK AREAS:'.
005200*
005300     COPY MBIOWS.
005400/
005500 01  FILLER                  PIC  X(18)      VALUE
005600     'I/O REQUEST BLOCK:'.
005700*
005800     COPY MBIORO.
005900/
006000 01  FILLER                  PIC  X(25)      VALUE
006100     'LOG RECORD REQUEST BLOCK:'.
006200*
006300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006400/
006500 01  FILLER                  PIC  X(39)      VALUE
006600     'DISCOUNT RATE TABLE INITIALIZER RECORD:'.
006700*
006800     COPY MMRTIR.
006900/
007000 01  FILLER                  PIC  X(23)      VALUE
007100     'RATE TABLES WORK AREAS:'.
007200*
007300     COPY MMRTWS.
007400/
007500 01  FILLER                  PIC  X(20)      VALUE
007600     'CCS DATE WORK AREAS:'.
007700*
007800     COPY SS01WS.
007900/
008000 01  FILLER                  PIC  X(15)      VALUE
008100     'CCS WORK AREAS:'.
008200*
008300     COPY SS08WS.
008400/
008500     COPY SS00WS.
008600/
008700     COPY SMFTWS.
008800/
008900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009000/
009100     COPY MB61LK.
009200/
009300 01  FILLER                  PIC  X(12)      VALUE
009400     '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*********************************
010300*    DISCOUNT RATE TABLE MAP    *
010400*********************************
010500*
010600     COPY MBMR11.
010700/
010800**********************************************
010900*    DISCOUNT RATE TABLE MAP REDEFINITION    *
011000**********************************************
011100*
011200     COPY MBMR11R.
011300/
011400*******************************************
011500*    DISCOUNT RATE TABLE RECORD LAYOUT    *
011600*******************************************
011700*
011800     COPY MMRTRL.
011900/
012000***************************
012100*    LOG RECORD LAYOUT    *
012200***************************
012300*
012400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012500/
012600 PROCEDURE DIVISION.
012700*
012800 A000-HOUSEKEEPING SECTION.
012900*
013000 A020-INIT.
013100*
013200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013400                                 THRU MB70PD-OLH-EXIT.
013500*
013600     IF  MBCA-RECEIVE-SCREEN
013700         GO TO C000-RECEIVE-SCREEN.
013800/
013900 B000-SEND-SCREEN SECTION.
014000*
014100**************************************
014200*    READ THE DISCOUNT RATE TABLE    *
014300*    FOR SUBSEQUENT DISPLAY          *
014400**************************************
014500*
014600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
014700     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
014800     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
014900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015000     SET MBIORO-READ-RANDOM      TO TRUE.
015100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
015200*
015300***************************************************
015400*    IF THE DEPT EXCEPTION PRIORITY SPECIFIES     *
015500*    'NOT USED', BYPASS THIS SCREEN.  IF  THIS    *
015600*    IS THE ADD FUNCTION, BRANCH TO THE UPDATE    *
015700*    SECTION OF THE PROGRAM WHERE THE ONLINE      *
015800*    STATUS , MAINT DATE, AND MAINT OPERATOR      *
015900*    WILL BE UPDATED.                             *
016000***************************************************
016100*
016200     SET X-MMRT-EXCEPTION        TO 6.
016300*
016400     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
016500         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50
016600         IF  MBCA-PTI-FUNCTION-IS-ADD
016700             MOVE 'Y'            TO WS-SCREEN-BYPASS-SW
016800             GO TO E000-UPDATE-FILE
016900         ELSE
017000             GO TO F000-SETUP-COMMAREA.
017100*
017200*
017300*********************************************
017400*    GET CICS STORAGE NEEDED FOR THE MAP    *
017500*********************************************
017600*
017700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB60PD-GETMAIN-FOR-MAP
017900                                 THRU MB60PD-GFM-EXIT.
018000*
018100*******************************************
018200*    INITIALIZE THE STANDARD MAP LINES    *
018300*******************************************
018400*
018500     PERFORM MB60PD-INIT-STD-MAP-LINES
018600                                 THRU MB60PD-ISML-EXIT.
018700*
018800****************************************************
018900*    MOVE THE KEY AND TABLE TITLE TO THE SCREEN    *
019000****************************************************
019100*
019200     MOVE MBCA-MERCHANT-ORG      TO MR11-ORG.
019300     MOVE MBCA-TABLE             TO MR11-TABLE.
019400     MOVE MMRT-TITLE             TO MR11-TITLE.
019500*
019600 B020-MOVE-FIELDS-TO-SCREEN.
019700*
019800*******************************************************
019900*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
020000*******************************************************
020100*
020200     EVALUATE MBCA-SCREEN-NBR
020300         WHEN 61
020400             MOVE 11             TO MBCA-SCREEN-NBR
020500             MOVE 1              TO WS-INDEX
020600         WHEN 62
020700             MOVE 12             TO MBCA-SCREEN-NBR
020800             MOVE 29             TO WS-INDEX
020900     END-EVALUATE.
021000*
021100     PERFORM Y020-MOVE-DEPTS     THRU Y039-MD-EXIT.
021200*
021300     PERFORM Y040-MOVE-RATES     THRU Y059-MR-EXIT.
021400*
021500******************************************
021600*    SET THE CURSOR AND SCREEN NUMBER    *
021700******************************************
021800*
021900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
022000         MOVE SS08WS-CURSOR      TO MR11-DEPT-L (1)
022100     ELSE
022200         MOVE SS08WS-CURSOR      TO MR11-ALT-TRANID-L.
022300*
022400***********************************************************
022500*    SET THE CURRENCY CODE, CURRENCY NOD
022600*            PER ITEM NOD, PERCENT NOD.
022700***********************************************************
022800     IF MR11-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
022900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
023000                                 THRU MB06PD-FML-EXIT
023100        MOVE SS08WS-FORMATTED-MSG   TO MR11-ERROR-MESSAGE
023200     END-IF.
023300*
023400**********************
023500*    SEND THE MAP    *
023600**********************
023700*
023800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
023900*
024000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
024100                                 THRU MB60PD-SMWE-EXIT.
024200*
024300************************
024400*    RETURN TO CICS    *
024500************************
024600*
024700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
024800     PERFORM MB70PD-RETURN-TRANS-ID
024900                                 THRU MB70PD-RTI-EXIT.
025000/
025100 C000-RECEIVE-SCREEN SECTION.
025200*
025300******************************************
025400*    THIS SECTION RECEIVES THE SCREEN    *
025500******************************************
025600*
025700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
025900*
026000**************************************************************
026100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
026200**************************************************************
026300*
026400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
026500     PERFORM MB60PD-NEW-TRANS-ROUTINE
026600                                 THRU MB60PD-NTR-EXIT.
026700*
026800*********************************************
026900*    READ THE DISCOUNT RATE TABLE RECORD    *
027000*********************************************
027100*
027200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
027300                                    MR11-ORG.
027400     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
027500                                    MR11-TABLE.
027600     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
027700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
027800     SET MBIORO-READ-RANDOM      TO TRUE.
027900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
028000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
028100*
028200     EVALUATE MBCA-SCREEN-NBR
028300         WHEN 11
028400             MOVE 1              TO WS-INDEX
028500         WHEN 12
028600             MOVE 29             TO WS-INDEX
028700     END-EVALUATE.
028800*
028900****************************************************
029000*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
029100****************************************************
029200*
029300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
029400         GO TO F000-SETUP-COMMAREA.
029500*
029600 C020-FIELD-EDITS.
029700*
029800*********************
029900*    FIELD EDITS    *
030000*********************
030100*
030200     PERFORM W020-EDIT-DEPTS     THRU W039-ED-EXIT.
030300*
030400     PERFORM W040-EDIT-RATES     THRU W059-ER-EXIT.
030500*
030600     PERFORM W060-CROSS-EDIT-RATES
030700                                 THRU W079-CER-EXIT.
030800/
030900 D000-RETURN-ERRORS SECTION.
031000*
031100     IF  SS08WS-ERROR IS EQUAL TO 'N'
031200         GO TO E000-UPDATE-FILE.
031300*
031400***************************************************************
031500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
031600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
031700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
031800***************************************************************
031900*
032000     PERFORM MB60PD-INIT-STD-MAP-LINES
032100                                 THRU MB60PD-ISML-EXIT.
032200*
032300***********************************************************
032400*    SET THE CURRENCY CODE, CURRENCY NOD
032500*            PER ITEM NOD, PERCENT NOD.
032600***********************************************************
032700     IF MR11-ERROR-MESSAGE IS EQUAL TO SPACES  OR LOW-VALUES
032800        PERFORM MB06PD-FORMAT-MESSAGE-LINE
032900                                 THRU MB06PD-FML-EXIT
033000        MOVE SS08WS-FORMATTED-MSG   TO MR11-ERROR-MESSAGE
033100     END-IF.
033200*
033300**********************
033400*    SEND THE MAP    *
033500**********************
033600*
033700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
033800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
033900                                 THRU MB60PD-SMDO-EXIT.
034000*
034100************************
034200*    RETURN TO CICS    *
034300************************
034400*
034500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
034600     PERFORM MB70PD-RETURN-TRANS-ID
034700                                 THRU MB70PD-RTI-EXIT.
034800/
034900 E000-UPDATE-FILE SECTION.
035000*
035100********************************************************
035200*    READ THE DISCOUNT RATE TABLE RECORD FOR UPDATE    *
035300********************************************************
035400*
035500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
035600     SET MBIORO-READ-RANDOM-UPDATE
035700                                 TO TRUE.
035800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
035900*
036000********************************************
036100*    OBTAIN STORAGE FOR LOG FILE RECORD    *
036200*    IF DOING MAINTENANCE                  *
036300********************************************
036400*
036500     IF  MBCA-PTI-FUNCTION-IS-ADD
036600         IF  THIS-SCREEN-IS-BYPASSED
036700             GO TO E040-UPDATE-MMRT
036800         ELSE
036900             GO TO E020-UPDATE-FIELDS.
037000*
037100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
037200     SET MBIORO-GETMAIN          TO TRUE.
037300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037400*
037500*************************************************
037600*    SET UP THE COMMON PORTION OF THE RECORD    *
037700*************************************************
037800*
037900     MOVE 'RT'                   TO MML1-FILE-CODE.
038000     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
038100     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
038200     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
038300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
038400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
038500     MOVE ZEROS                  TO MML1-SOURCE-CODE.
038600*
038700 E020-UPDATE-FIELDS.
038800*
038900     PERFORM X020-UPDATE-DEPTS   THRU X039-UD-EXIT.
039000*
039100     PERFORM X040-UPDATE-RATES   THRU X059-UR-EXIT.
039200*
039300 E040-UPDATE-MMRT.
039400*
039500     IF  MBCA-PTI-FUNCTION-IS-ADD
039600         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
039700         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
039800         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
039900         MOVE 'Y'                TO WS-UPDATE-SW.
040000*
040100**************************************************************
040200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
040300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
040400*    ON THE SCREEN                                           *
040500**************************************************************
040600*
040700     IF  MBCA-PTI-FUNCTION-IS-MAINT
040800     AND FIELDS-WERE-UPDATED
040900         MOVE 0198               TO MML1-FIELD-CODE
041000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
041100                                    MML1-FIELD-OCCURRENCE-2
041200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
041300         MOVE MMRT-LAST-MAINT-OPER
041400                                 TO MML1-VL03-B-DATA-X
041500         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
041600         MOVE MMRT-LAST-MAINT-OPER
041700                                 TO MML1-VL03-A-DATA-X
041800         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
041900         PERFORM Y060-WRITE-LOG-RECORD
042000                                 THRU Y079-WLR-EXIT
042100         MOVE 0199               TO MML1-FIELD-CODE
042200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
042300         MOVE MMRT-LAST-MAINT-DATE
042400                                 TO MML1-VL07-B-DATA-9
042500         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
042600         MOVE MMRT-LAST-MAINT-DATE
042700                                 TO MML1-VL07-A-DATA-9
042800         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
042900         PERFORM Y060-WRITE-LOG-RECORD
043000                                 THRU Y079-WLR-EXIT.
043100*
043200****************************************************
043300*    REWRITE THE DISCOUNT RATE TABLE RECORD IF     *
043400*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
043500*    UNLOCK IT IF THEY HAVE NOT                    *
043600****************************************************
043700*
043800     IF  FIELDS-WERE-UPDATED
043900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
044000         SET MBIORO-REWRITE      TO TRUE
044100         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
044200     ELSE
044300         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044400         SET MBIORO-UNLOCK       TO TRUE
044500         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
044600/
044700 F000-SETUP-COMMAREA SECTION.
044800*
044900***************************************************************
045000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045100***************************************************************
045200*
045300     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
045400         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR + 51
045500         GO TO F010-XCTL.
045600*
045700     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045800*
045900     PERFORM MB60PD-EDIT-PAGE-NBR
046000                                 THRU MB60PD-EPN-EXIT.
046100*
046200     IF  SS08WS-VALID-PF-KEY
046300     OR  SS08WS-EIBAID-VALID-PF-KEY
046400         SET MBCA-INITIAL-SCREEN-NBR
046500                                 TO TRUE.
046600*
046700 F010-XCTL.
046800*
046900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
047000     PERFORM MB70PD-XCTL-TO-MBOXCTL
047100                                 THRU MB70PD-XTM-EXIT.
047200/
047300 W000-FIELD-EDITS SECTION.
047400*
047500 W020-EDIT-DEPTS.
047600*
047700***********************************
047800*    SET THE BEGINNING INDEXES    *
047900***********************************
048000*
048100     SET X-MR11-DEPT             TO 1.
048200     SET X-MMRT-DEPT             TO WS-INDEX.
048300*
048400 W022-ED-LOOP.
048500*
048600**************************************************
048700*    SET THE FIELD ATTRIBUTES TO THE DEPT IN     *
048800*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
048900**************************************************
049000*
049100     MOVE DFHBMDAS               TO MR11-DEPT-LP-A
049200                                        (X-MR11-DEPT)
049300                                    MR11-DEPT-RP-A
049400                                        (X-MR11-DEPT).
049500     MOVE DFHBMASK               TO MR11-DEPT-A
049600                                        (X-MR11-DEPT).
049700*
049800*****************************
049900*    EDIT FOR VALID DATA    *
050000*****************************
050100*
050200     IF  MR11-DEPT-L (X-MR11-DEPT) IS EQUAL TO ZERO
050300         MOVE MMRT-DEPT (X-MMRT-DEPT)
050400                                 TO MR11-DEPT (X-MR11-DEPT)
050500     ELSE
050600         MOVE DFHBMASF           TO MR11-DEPT-A (X-MR11-DEPT).
050700*
050800 W038-INCREMENT-INDEXES.
050900*
051000     IF  X-MR11-DEPT IS LESS THAN 28
051100         SET X-MR11-DEPT         UP BY 1
051200         SET X-MMRT-DEPT         UP BY 1
051300         GO TO W022-ED-LOOP.
051400*
051500 W039-ED-EXIT.
051600     EXIT.
051700*
051800 W040-EDIT-RATES.
051900*
052000***********************************
052100*    SET THE BEGINNING INDEXES    *
052200***********************************
052300*
052400     SET X-MR11-DEPT             TO 1.
052500     SET X-MMRT-DEPT             TO WS-INDEX.
052600*
052700 W042-ER-LOOP.
052800*
052900**************************************************
053000*    SET THE FIELD ATTRIBUTES TO THE DEPT IN     *
053100*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
053200**************************************************
053300*
053400     MOVE DFHBMDAS               TO MR11-DEPT-RATE-LP-A
053500                                        (X-MR11-DEPT)
053600                                    MR11-DEPT-RATE-RP-A
053700                                        (X-MR11-DEPT).
053800     MOVE DFHBMASK               TO MR11-DEPT-RATE-A
053900                                        (X-MR11-DEPT)
054000                                    MR11-DEPT-RATE-SIGN-A
054100                                        (X-MR11-DEPT).
054200*
054300*************************************
054400*    EDIT FOR VALID NUMERIC DATA    *
054500*************************************
054600*
054700     IF  MR11-DEPT-RATE-L (X-MR11-DEPT) IS EQUAL TO ZERO
054800         MOVE MMRT-DEPT-RATE (X-MMRT-DEPT)
054900                                 TO MR11-DEPT-RATE
055000                                        (X-MR11-DEPT)
055100         GO TO W046-EDIT-RATE-SIGN.
055200*
055300     IF  MR11-DEPT-RATE (X-MR11-DEPT) IS NUMERIC
055400         MOVE DFHBMASF           TO MR11-DEPT-RATE-A
055500                                        (X-MR11-DEPT)
055600         GO TO W046-EDIT-RATE-SIGN.
055700*
055800 W044-RATE-ERROR.
055900*
056000     MOVE 'Y'                    TO SS08WS-ERROR
056100                                    WS-RATE-ERROR-SW.
056200     MOVE SS08WS-CURSOR          TO MR11-DEPT-RATE-L
056300                                        (X-MR11-DEPT).
056400     MOVE DFHBMNBF               TO MR11-DEPT-RATE-A
056500                                        (X-MR11-DEPT).
056600     MOVE DFHBMASB               TO MR11-DEPT-RATE-LP-A
056700                                        (X-MR11-DEPT)
056800                                    MR11-DEPT-RATE-RP-A
056900                                        (X-MR11-DEPT).
057000*
057100 W046-EDIT-RATE-SIGN.
057200*
057300*****************************
057400*    EDIT FOR VALID DATA    *
057500*****************************
057600*
057700     IF  MR11-DEPT-RATE-SIGN-L (X-MR11-DEPT) IS EQUAL TO ZERO
057800         IF  MMRT-DEPT-RATE (X-MMRT-DEPT)
057900             IS LESS THAN ZERO
058000             MOVE '-'            TO MR11-DEPT-RATE-SIGN
058100                                        (X-MR11-DEPT)
058200             GO TO W058-INCREMENT-INDEXES
058300         ELSE
058400             MOVE '+'            TO MR11-DEPT-RATE-SIGN
058500                                        (X-MR11-DEPT)
058600             GO TO W058-INCREMENT-INDEXES.
058700*
058800     IF  MR11-DEPT-RATE-SIGN (X-MR11-DEPT) IS EQUAL TO
058900         '-' OR '+'
059000         MOVE DFHBMASF           TO MR11-DEPT-RATE-SIGN-A
059100                                        (X-MR11-DEPT)
059200         GO TO W058-INCREMENT-INDEXES.
059300*
059400 W048-RATE-SIGN-ERROR.
059500*
059600     MOVE 'Y'                    TO SS08WS-ERROR
059700                                    WS-RATE-ERROR-SW.
059800     MOVE SS08WS-CURSOR          TO MR11-DEPT-RATE-SIGN-L
059900                                        (X-MR11-DEPT).
060000     MOVE DFHBMUBF               TO MR11-DEPT-RATE-SIGN-A
060100                                        (X-MR11-DEPT).
060200     MOVE DFHBMASB               TO MR11-DEPT-RATE-LP-A
060300                                        (X-MR11-DEPT)
060400                                    MR11-DEPT-RATE-RP-A
060500                                        (X-MR11-DEPT).
060600*
060700 W058-INCREMENT-INDEXES.
060800*
060900     IF  X-MR11-DEPT IS LESS THAN 28
061000         SET X-MR11-DEPT         UP BY 1
061100         SET X-MMRT-DEPT         UP BY 1
061200         GO TO W042-ER-LOOP.
061300*
061400 W059-ER-EXIT.
061500     EXIT.
061600*
061700 W060-CROSS-EDIT-RATES.
061800*
061900************************************************
062000*    BYPASS THE CROSS EDITS IF ERRORS EXIST    *
062100*    IN THE DEPT FIELDS OR RATE FIELDS         *
062200************************************************
062300*
062400     IF  RATE-ERRORS-EXIST
062500         GO TO W079-CER-EXIT.
062600*
062700*****************************************************************
062800*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
062900*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
063000*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
063100*****************************************************************
063200     PERFORM
063300         VARYING X-MR11-DEPT FROM 1 BY 1
063400         UNTIL   X-MR11-DEPT IS GREATER THAN 28
063500         EVALUATE TRUE
063600            WHEN   MMRTWS-RESV-FLAT-AMT
063700                     CONTINUE
063800            WHEN ( MMRTWS-VALID-METH-ON-AMOUNT AND
063900                       MR11-DEPT-RATE (X-MR11-DEPT)
064000                            IS GREATER THAN 9999999)
064100                SET SS08WS-ERROR-SW-YES TO TRUE
064200                MOVE DFHBMNBF
064300                             TO MR11-DEPT-RATE-A (X-MR11-DEPT)
064400                 MOVE DFHBMASB
064500                             TO MR11-DEPT-RATE-LP-A (X-MR11-DEPT)
064600                                MR11-DEPT-RATE-RP-A (X-MR11-DEPT)
064700                MOVE SS08WS-CURSOR
064800                             TO MR11-DEPT-RATE-L (X-MR11-DEPT)
064900                IF MR11-ERROR-MESSAGE IS EQUAL TO SPACES
065000                                                   OR LOW-VALUES
065100                   MOVE 'ERROR RATE AMOUNT'
065200                             TO MR11-ERROR-MESSAGE
065300                END-IF
065400         END-EVALUATE
065500     END-PERFORM.
065600*************************
065700*    SET THE INDEXES    *
065800*************************
065900*
066000     SET X-MR11-DEPT             TO 1.
066100     SET X-MMRT-DEPT             TO WS-INDEX.
066200     SET X-MMRTIR-DEPT           TO 1.
066300     SET X-MMRT-EXCEPTION        TO 6.
066400*
066500 W062-CER-LOOP.
066600*
066700**************************************************************
066800*    RATE CROSS EDITS ARE AS FOLLOWS:                        *
066900*                                                            *
067000*      . IF THE DEPT FIELD IS THE INITIALIZER DEFAULT,       *
067100*        THE RATE FIELD MUST ALSO BE THE INITIALIZER         *
067200*        DEFAULT.                                            *
067300*      . IF THE DEPT EXCEPTION IS OF A OVERRIDE              *
067400*        PRIORITY, NO RATE CAN BE NEGATIVE.                  *
067500*      . IF THE DEPT EXCEPTION IS AN ADJUSTMENT,             *
067600*        NO RATE WHEN ADDED TO EACH PRIMARY RATE             *
067700*        (INDIVIDUALLY) CAN BE LESS THAN ZERO.               *
067800*                                                            *
067900*    IF THERE IS AN ERROR, THE DEPT AND RATE ARE             *
068000*    HIGHLIGHTED.                                            *
068100**************************************************************
068200*
068300     IF  MR11-DEPT     (X-MR11-DEPT) IS EQUAL TO
068400         MMRTIR-DEPT (X-MMRTIR-DEPT)
068500         IF  MR11-DEPT-RATE (X-MR11-DEPT) IS NOT EQUAL TO
068600             MMRTIR-DEPT-RATE (X-MMRTIR-DEPT)
068700             GO TO W068-CROSS-EDIT-RATE-ERROR.
068800*
068900     IF  MMRT-EXCEPTION-IS-OVERRIDE (X-MMRT-EXCEPTION)
069000         IF  MR11-DEPT-RATE-SIGN (X-MR11-DEPT) IS EQUAL TO '-'
069100             GO TO W068-CROSS-EDIT-RATE-ERROR
069200         ELSE
069300             GO TO W078-INCREMENT-INDEXES.
069400*
069500     IF  MR11-DEPT-RATE-SIGN (X-MR11-DEPT) IS NOT EQUAL TO '-'
069600         GO TO W078-INCREMENT-INDEXES.
069700*
069800************************************
069900*    SET THE PRIMARY RATE INDEX    *
070000************************************
070100*
070200     SET X-MMRT-PRIM             TO 1.
070300*
070400     MOVE MR11-DEPT-RATE (X-MR11-DEPT)
070500                                 TO WS-RATE.
070600     COMPUTE WS-RATE             = WS-RATE * -1.
070700*
070800 W064-CER-LOOP.
070900*
071000     COMPUTE WS-RATE-TOTAL =
071100         WS-RATE + MMRT-PRIM-RATE (X-MMRT-PRIM).
071200*
071300     IF  WS-RATE-TOTAL IS LESS THAN ZERO
071400         GO TO W068-CROSS-EDIT-RATE-ERROR.
071500*
071600 W066-INCREMENT-INDEXES.
071700*
071800     IF  X-MMRT-PRIM IS LESS THAN 10
071900     AND MMRT-PRIM-LIMIT (X-MMRT-PRIM)
072000                             IS NOT EQUAL TO 99999999999999999
072100         SET X-MMRT-PRIM         UP BY 1
072200         GO TO W064-CER-LOOP
072300     ELSE
072400         GO TO W078-INCREMENT-INDEXES.
072500*
072600 W068-CROSS-EDIT-RATE-ERROR.
072700*
072800**********************************************
072900*    BRIGHTEN AND FSET THE DEPT AND RATE     *
073000**********************************************
073100*
073200     MOVE 'Y'                    TO SS08WS-ERROR
073300                                    WS-RATE-ERROR-SW.
073400     MOVE SS08WS-CURSOR          TO MR11-DEPT-RATE-L
073500                                        (X-MR11-DEPT).
073600     MOVE DFHBMASB               TO MR11-DEPT-LP-A
073700                                        (X-MR11-DEPT)
073800                                    MR11-DEPT-RP-A
073900                                        (X-MR11-DEPT)
074000                                    MR11-DEPT-RATE-LP-A
074100                                        (X-MR11-DEPT)
074200                                    MR11-DEPT-RATE-RP-A
074300                                        (X-MR11-DEPT).
074400     MOVE DFHBMNBF               TO MR11-DEPT-RATE-A
074500                                        (X-MR11-DEPT).
074600     MOVE DFHBMUBF               TO MR11-DEPT-A
074700                                        (X-MR11-DEPT)
074800                                    MR11-DEPT-RATE-SIGN-A
074900                                        (X-MR11-DEPT).
075000*
075100 W078-INCREMENT-INDEXES.
075200*
075300     IF  X-MR11-DEPT IS LESS THAN 28
075400         SET X-MR11-DEPT         UP BY 1
075500         SET X-MMRTIR-DEPT       UP BY 1
075600         GO TO W062-CER-LOOP.
075700*
075800 W079-CER-EXIT.
075900     EXIT.
076000/
076100 X000-UPDATE-FIELDS SECTION.
076200*
076300 X020-UPDATE-DEPTS.
076400*
076500***********************************
076600*    SET THE BEGINNING INDEXES    *
076700***********************************
076800*
076900     SET X-MR11-DEPT             TO 1.
077000     SET X-MMRT-DEPT             TO WS-INDEX.
077100*
077200 X022-UD-LOOP.
077300*
077400     IF  MR11-DEPT-L       (X-MR11-DEPT) IS GREATER THAN ZERO
077500         IF  MR11-DEPT (X-MR11-DEPT) IS NOT EQUAL TO
077600             MMRT-DEPT (X-MMRT-DEPT)
077700             MOVE 'Y'            TO WS-UPDATE-SW
077800             IF  MBCA-PTI-FUNCTION-IS-MAINT
077900                 MOVE 1101       TO MML1-FIELD-CODE
078000                 SET MML1-FIELD-OCCURRENCE
078100                                 TO X-MMRT-DEPT
078200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
078300                 MOVE MML1WS-VL-04
078400                                 TO MML1-VARIABLE-LENGTH
078500                 MOVE MMRT-DEPT (X-MMRT-DEPT)
078600                                 TO MML1-VL04-B-DATA-X
078700                 MOVE MR11-DEPT          (X-MR11-DEPT)
078800                                 TO MMRT-DEPT
078900                                         (X-MMRT-DEPT)
079000                 MOVE MMRT-DEPT (X-MMRT-DEPT)
079100                                 TO MML1-VL04-A-DATA-X
079200                 PERFORM Y060-WRITE-LOG-RECORD
079300                                 THRU Y079-WLR-EXIT
079400             ELSE
079500                 MOVE MR11-DEPT          (X-MR11-DEPT)
079600                                 TO MMRT-DEPT
079700                                         (X-MMRT-DEPT).
079800*
079900 X038-INCREMENT-INDEXES.
080000*
080100     IF  X-MR11-DEPT IS LESS THAN 28
080200         SET X-MR11-DEPT         UP BY 1
080300         SET X-MMRT-DEPT         UP BY 1
080400         GO TO X022-UD-LOOP.
080500*
080600 X039-UD-EXIT.
080700     EXIT.
080800*
080900 X040-UPDATE-RATES.
081000*
081100***********************************
081200*    SET THE BEGINNING INDEXES    *
081300***********************************
081400*
081500     SET X-MR11-DEPT             TO 1.
081600     SET X-MMRT-DEPT             TO WS-INDEX.
081700*
081800 X042-UR-LOOP.
081900*
082000     IF  MR11-DEPT-RATE-L      (X-MR11-DEPT) IS GREATER THAN ZERO
082100     OR  MR11-DEPT-RATE-SIGN-L (X-MR11-DEPT)
082200                                    IS GREATER THAN ZERO
082300         MOVE MR11-DEPT-RATE (X-MR11-DEPT)
082400                                 TO WS-RATE
082500         IF  MR11-DEPT-RATE-SIGN (X-MR11-DEPT) IS EQUAL TO '-'
082600             COMPUTE WS-RATE = WS-RATE * -1.
082700*
082800     IF  MR11-DEPT-RATE-L      (X-MR11-DEPT) IS GREATER THAN ZERO
082900     OR  MR11-DEPT-RATE-SIGN-L (X-MR11-DEPT)
083000                                    IS GREATER THAN ZERO
083100         IF  WS-RATE IS NOT EQUAL TO
083200             MMRT-DEPT-RATE (X-MMRT-DEPT)
083300             MOVE 'Y'            TO WS-UPDATE-SW
083400             IF  MBCA-PTI-FUNCTION-IS-MAINT
083500                 MOVE 1102       TO MML1-FIELD-CODE
083600                 SET MML1-FIELD-OCCURRENCE
083700                                 TO X-MMRT-DEPT
083800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
083900                 MOVE MML1WS-VL-20
084000                                 TO MML1-VARIABLE-LENGTH
084100                 MOVE MMRT-DEPT-RATE (X-MMRT-DEPT)
084200                                 TO MML1-VL20-B-NBR-NO-DEC
084300                 MOVE WS-RATE    TO MMRT-DEPT-RATE
084400                                            (X-MMRT-DEPT)
084500                 MOVE MMRT-DEPT-RATE (X-MMRT-DEPT)
084600                                 TO MML1-VL20-A-NBR-NO-DEC
084700                 PERFORM Y060-WRITE-LOG-RECORD
084800                                 THRU Y079-WLR-EXIT
084900             ELSE
085000                 MOVE WS-RATE    TO MMRT-DEPT-RATE
085100                                         (X-MMRT-DEPT).
085200*
085300 X058-INCREMENT-INDEXES.
085400*
085500     IF  X-MR11-DEPT IS LESS THAN 28
085600         SET X-MR11-DEPT         UP BY 1
085700         SET X-MMRT-DEPT         UP BY 1
085800         GO TO X042-UR-LOOP.
085900*
086000 X059-UR-EXIT.
086100     EXIT.
086200/
086300 Y000-PERFORMED-ROUTINES SECTION.
086400*
086500 Y020-MOVE-DEPTS.
086600*
086700***********************************
086800*    SET THE BEGINNING INDEXES    *
086900***********************************
087000*
087100     SET X-MR11-DEPT             TO 1.
087200     SET X-MMRT-DEPT             TO WS-INDEX.
087300*
087400 Y022-MD-LOOP.
087500*
087600     MOVE MMRT-DEPT (X-MMRT-DEPT)
087700                                 TO MR11-DEPT (X-MR11-DEPT).
087800*
087900****************************************
088000*    DARKEN THE PARENS AND BRIGHTEN    *
088100*    THE DATA ELEMENT IF IN INQUIRY    *
088200****************************************
088300*
088400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
088500         MOVE DFHBMASB           TO MR11-DEPT-A
088600                                        (X-MR11-DEPT)
088700         MOVE DFHBMDAS           TO MR11-DEPT-LP-A
088800                                        (X-MR11-DEPT)
088900                                    MR11-DEPT-RP-A
089000                                        (X-MR11-DEPT).
089100*
089200 Y038-INCREMENT-INDEXES.
089300*
089400     IF  X-MR11-DEPT IS LESS THAN 28
089500         SET X-MR11-DEPT         UP BY 1
089600         SET X-MMRT-DEPT         UP BY 1
089700         GO TO Y022-MD-LOOP.
089800*
089900 Y039-MD-EXIT.
090000     EXIT.
090100*
090200 Y040-MOVE-RATES.
090300*
090400***********************************
090500*    SET THE BEGINNING INDEXES    *
090600***********************************
090700*
090800     SET X-MR11-DEPT             TO 1.
090900     SET X-MMRT-DEPT             TO WS-INDEX.
091000*
091100 Y042-MR-LOOP.
091200*
091300     MOVE MMRT-DEPT-RATE (X-MMRT-DEPT)
091400                                 TO MR11-DEPT-RATE
091500                                        (X-MR11-DEPT).
091600     IF  MMRT-DEPT-RATE (X-MMRT-DEPT) IS LESS THAN ZERO
091700         MOVE '-'                TO MR11-DEPT-RATE-SIGN
091800                                        (X-MR11-DEPT)
091900     ELSE
092000         MOVE '+'                TO MR11-DEPT-RATE-SIGN
092100                                        (X-MR11-DEPT).
092200*
092300*****************************************
092400*    DARKEN THE PARENS AND BRIGHTEN     *
092500*    THE DATA ELEMENTS IF IN INQUIRY    *
092600*****************************************
092700*
092800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
092900         MOVE DFHBMASB           TO MR11-DEPT-RATE-A
093000                                        (X-MR11-DEPT)
093100                                    MR11-DEPT-RATE-SIGN-A
093200                                        (X-MR11-DEPT)
093300         MOVE DFHBMDAS           TO MR11-DEPT-RATE-LP-A
093400                                        (X-MR11-DEPT)
093500                                    MR11-DEPT-RATE-RP-A
093600                                        (X-MR11-DEPT).
093700*
093800 Y058-INCREMENT-INDEXES.
093900*
094000     IF  X-MR11-DEPT IS LESS THAN 28
094100         SET X-MR11-DEPT         UP BY 1
094200         SET X-MMRT-DEPT         UP BY 1
094300         GO TO Y042-MR-LOOP.
094400*
094500 Y059-MR-EXIT.
094600     EXIT.
094700*
094800 Y060-WRITE-LOG-RECORD.
094900*
095000     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
095100     SET MBIORO-WRITE            TO TRUE.
095200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
095300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
095400*
095500 Y079-WLR-EXIT.
095600     EXIT.
095700/
095800 Z000-COPIED-ROUTINES SECTION.
095900*
096000/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
096100     COPY SS26PD.
096200*
096300/    ROUTINE TO NUMERICALLY EDIT TIME
096400     COPY SS27PD.
096500*
096600**********************************
096700*    JUL TO GREG DATE ROUTINE    *
096800**********************************
096900*
097000     COPY SS08PD.
097100/    ROUTINE TO MOVE COMMAREA VARIABLES TO
097200*                    SS08-FORMATTED-MSG VARIABLE.
097300     COPY MB06PD.
097400/
097500*********************************
097600*    LINE 24 PF KEYS ROUTINE    *
097700*********************************
097800*
097900     COPY SS15PD.
098000/
098100****************************************************
098200*    DISCOUNT RATE TABLE RECORD ACCESS ROUTINES    *
098300****************************************************
098400*
098500     COPY MMRTAO.
098600/
098700*****************************************
098800*    LOG FILE RECORD ACCESS ROUTINES    *
098900*****************************************
099000*
099100     COPY MML1AO.
099200/
099300*****************************
099400*    ONLINE MAP ROUTINES    *
099500*****************************
099600*
099700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR11 '
099800                           MBMAPXXI BY MBMR11I
099900                           MBMAPXXO BY MBMR11O.
100000/
100100***************************
100200*    ONLINE PROCEDURES    *
100300***************************
100400*
100500     COPY MB70PD.
100600/
100700     COPY SMFTPXO.
