000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMR13.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMR13 - ON-LINE DISCOUNT RATE TABLE ADD/MAINT/INQ      *
000800*                SCREEN 13                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAR                                       *
001200*                 B. MBMR                                       *
001300*                 C. MBQR                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMR13 (SCREEN 13)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMRT (DISCOUNT RATE TABLE)                 *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(08)      BINARY.
003600     03  WS-RATE             PIC S9(09)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-RATE-TOTAL       PIC S9(09)      COMP-3
003900                                             VALUE ZEROES.
004000     03  WS-SCREEN-BYPASS-SW PIC  X(01)      VALUE 'N'.
004100         88  THIS-SCREEN-IS-BYPASSED         VALUE 'Y'.
004200         88  THIS-SCREEN-IS-NOT-BYPASSED     VALUE 'N'.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004500         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
004600     03  WS-RATE-ERROR-SW    PIC  X(01)      VALUE 'N'.
004700         88  RATE-ERRORS-EXIST               VALUE 'Y'.
004800         88  NO-RATE-ERRORS-EXIST            VALUE 'N'.
004900     03  WS-SKU-ERROR-SW     PIC  X(01)      VALUE 'N'.
005000         88  SKU-ERRORS-EXIST                VALUE 'Y'.
005100         88  NO-SKU-ERRORS-EXIST             VALUE 'N'.
005200*
005300 01  WS-SKU                  PIC  X(09)      VALUE SPACES.
005400*
005500 01  WS-SKU-R                REDEFINES       WS-SKU.
005600     03  WS-SKU-CHARACTER    PIC  X(01)      OCCURS 9 TIMES
005700                                             INDEXED BY
005800                                             X-WS-SKU.
005900/
006000 01  FILLER                  PIC  X(29)      VALUE
006100     'I/O REQUEST BLOCK WORK AREAS:'.
006200*
006300     COPY MBIOWS.
006400/
006500 01  FILLER                  PIC  X(18)      VALUE
006600     'I/O REQUEST BLOCK:'.
006700*
006800     COPY MBIORO.
006900/
007000 01  FILLER                  PIC  X(25)      VALUE
007100     'LOG RECORD REQUEST BLOCK:'.
007200*
007300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
007400/
007500 01  FILLER                  PIC  X(39)      VALUE
007600     'DISCOUNT RATE TABLE INITIALIZER RECORD:'.
007700*
007800     COPY MMRTIR.
007900/
008000 01  FILLER                  PIC  X(23)      VALUE
008100     'RATE TABLES WORK AREAS:'.
008200*
008300     COPY MMRTWS.
008400/
008500 01  FILLER                  PIC  X(20)      VALUE
008600     'CCS DATE WORK AREAS:'.
008700*
008800     COPY SS01WS.
008900/
009000 01  FILLER                  PIC  X(15)      VALUE
009100     'CCS WORK AREAS:'.
009200*
009300     COPY SS08WS.
009400/
009500     COPY SS00WS.
009600/
009700     COPY SMFTWS.
009800/
009900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010000/
010100     COPY MB61LK.
010200/
010300 01  FILLER                  PIC  X(12)      VALUE
010400     '** WS-END **'.
010500/
010600 LINKAGE SECTION.
010700*
010800 01  DFHCOMMAREA.
010900*
011000     COPY MB60WS.
011100/
011200*********************************
011300*    DISCOUNT RATE TABLE MAP    *
011400*********************************
011500*
011600     COPY MBMR13.
011700/
011800**********************************************
011900*    DISCOUNT RATE TABLE MAP REDEFINITION    *
012000**********************************************
012100*
012200     COPY MBMR13R.
012300/
012400*******************************************
012500*    DISCOUNT RATE TABLE RECORD LAYOUT    *
012600*******************************************
012700*
012800     COPY MMRTRL.
012900/
013000***************************
013100*    LOG RECORD LAYOUT    *
013200***************************
013300*
013400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013500/
013600 PROCEDURE DIVISION.
013700*
013800 A000-HOUSEKEEPING SECTION.
013900*
014000 A020-INIT.
014100*
014200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014400                                 THRU MB70PD-OLH-EXIT.
014500*
014600     IF  MBCA-RECEIVE-SCREEN
014700         GO TO C000-RECEIVE-SCREEN.
014800/
014900 B000-SEND-SCREEN SECTION.
015000*
015100**************************************
015200*    READ THE DISCOUNT RATE TABLE    *
015300*    FOR SUBSEQUENT DISPLAY          *
015400**************************************
015500*
015600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
015700     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR.
015800     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
015900     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016000     SET MBIORO-READ-RANDOM      TO TRUE.
016100     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
016200*
016300***************************************************
016400*    IF THE SKU EXCEPTION PRIORITY SPECIFIES      *
016500*    'NOT USED', BYPASS THIS SCREEN.  IF  THIS    *
016600*    IS THE ADD FUNCTION, BRANCH TO THE UPDATE    *
016700*    SECTION OF THE PROGRAM WHERE THE ONLINE      *
016800*    STATUS , MAINT DATE, AND MAINT OPERATOR      *
016900*    WILL BE UPDATED.                             *
017000***************************************************
017100*
017200     SET X-MMRT-EXCEPTION        TO 7.
017300*
017400     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
017500         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50
017600         IF  MBCA-PTI-FUNCTION-IS-ADD
017700             MOVE 'Y'            TO WS-SCREEN-BYPASS-SW
017800             GO TO E000-UPDATE-FILE
017900         ELSE
018000             GO TO F000-SETUP-COMMAREA.
018100*
018200*
018300*********************************************
018400*    GET CICS STORAGE NEEDED FOR THE MAP    *
018500*********************************************
018600*
018700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB60PD-GETMAIN-FOR-MAP
018900                                 THRU MB60PD-GFM-EXIT.
019000*
019100*******************************************
019200*    INITIALIZE THE STANDARD MAP LINES    *
019300*******************************************
019400*
019500     PERFORM MB60PD-INIT-STD-MAP-LINES
019600                                 THRU MB60PD-ISML-EXIT.
019700*
019800****************************************************
019900*    MOVE THE KEY AND TABLE TITLE TO THE SCREEN    *
020000****************************************************
020100*
020200     MOVE MBCA-MERCHANT-ORG      TO MR13-ORG.
020300     MOVE MBCA-TABLE             TO MR13-TABLE.
020400     MOVE MMRT-TITLE             TO MR13-TITLE.
020500*
020600 B020-MOVE-FIELDS-TO-SCREEN.
020700*
020800*******************************************************
020900*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
021000*******************************************************
021100*
021200     EVALUATE MBCA-SCREEN-NBR
021300         WHEN 63
021400             MOVE 13             TO MBCA-SCREEN-NBR
021500             MOVE 1              TO WS-INDEX
021600         WHEN 64
021700             MOVE 14             TO MBCA-SCREEN-NBR
021800             MOVE 29             TO WS-INDEX
021900     END-EVALUATE.
022000*
022100     PERFORM Y020-MOVE-SKUS      THRU Y039-MD-EXIT.
022200*
022300     PERFORM Y040-MOVE-RATES     THRU Y059-MR-EXIT.
022400*
022500******************************************
022600*    SET THE CURSOR AND SCREEN NUMBER    *
022700******************************************
022800*
022900     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
023000         MOVE SS08WS-CURSOR      TO MR13-SKU-L (1)
023100     ELSE
023200         MOVE SS08WS-CURSOR      TO MR13-ALT-TRANID-L.
023300*
023400***********************************************************
023500*    SET THE CURRENCY CODE, CURRENCY NOD
023600*            PER ITEM NOD, PERCENT NOD.
023700***********************************************************
023800     IF MR13-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
023900        PERFORM MB06PD-FORMAT-MESSAGE-LINE
024000                                 THRU MB06PD-FML-EXIT
024100        MOVE SS08WS-FORMATTED-MSG   TO MR13-ERROR-MESSAGE
024200     END-IF.
024300*
024400**********************
024500*    SEND THE MAP    *
024600**********************
024700*
024800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
024900*
025000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
025100                                 THRU MB60PD-SMWE-EXIT.
025200*
025300************************
025400*    RETURN TO CICS    *
025500************************
025600*
025700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
025800     PERFORM MB70PD-RETURN-TRANS-ID
025900                                 THRU MB70PD-RTI-EXIT.
026000/
026100 C000-RECEIVE-SCREEN SECTION.
026200*
026300******************************************
026400*    THIS SECTION RECEIVES THE SCREEN    *
026500******************************************
026600*
026700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
026800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
026900*
027000**************************************************************
027100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
027200**************************************************************
027300*
027400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
027500     PERFORM MB60PD-NEW-TRANS-ROUTINE
027600                                 THRU MB60PD-NTR-EXIT.
027700*
027800*********************************************
027900*    READ THE DISCOUNT RATE TABLE RECORD    *
028000*********************************************
028100*
028200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG
028300                                    MR13-ORG.
028400     MOVE MBCA-TABLE             TO MBIOWS-MMRT-TABLE-NBR
028500                                    MR13-TABLE.
028600     MOVE MBCA-TABLE-TYPE        TO MBIOWS-MMRT-TABLE-TYPE.
028700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
028800     SET MBIORO-READ-RANDOM      TO TRUE.
028900     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
029000     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
029100*
029200     EVALUATE MBCA-SCREEN-NBR
029300         WHEN 13
029400             MOVE 1              TO WS-INDEX
029500         WHEN 14
029600             MOVE 29             TO WS-INDEX
029700     END-EVALUATE.
029800*
029900****************************************************
030000*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
030100****************************************************
030200*
030300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
030400         GO TO F000-SETUP-COMMAREA.
030500*
030600 C020-FIELD-EDITS.
030700*
030800*********************
030900*    FIELD EDITS    *
031000*********************
031100*
031200     PERFORM W020-EDIT-SKUS      THRU W039-ED-EXIT.
031300*
031400     PERFORM W040-EDIT-RATES     THRU W059-ER-EXIT.
031500*
031600     PERFORM W060-CROSS-EDIT-RATES
031700                                 THRU W079-CER-EXIT.
031800/
031900 D000-RETURN-ERRORS SECTION.
032000*
032100     IF  SS08WS-ERROR IS EQUAL TO 'N'
032200         GO TO E000-UPDATE-FILE.
032300*
032400***************************************************************
032500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
032600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
032700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
032800***************************************************************
032900*
033000     PERFORM MB60PD-INIT-STD-MAP-LINES
033100                                 THRU MB60PD-ISML-EXIT.
033200*
033300***********************************************************
033400*    SET THE CURRENCY CODE, CURRENCY NOD
033500*            PER ITEM NOD, PERCENT NOD.
033600***********************************************************
033700     IF MR13-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
033800        PERFORM MB06PD-FORMAT-MESSAGE-LINE
033900                                 THRU MB06PD-FML-EXIT
034000        MOVE SS08WS-FORMATTED-MSG   TO MR13-ERROR-MESSAGE
034100     END-IF.
034200*
034300**********************
034400*    SEND THE MAP    *
034500**********************
034600*
034700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
034800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
034900                                 THRU MB60PD-SMDO-EXIT.
035000*
035100************************
035200*    RETURN TO CICS    *
035300************************
035400*
035500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
035600     PERFORM MB70PD-RETURN-TRANS-ID
035700                                 THRU MB70PD-RTI-EXIT.
035800/
035900 E000-UPDATE-FILE SECTION.
036000*
036100********************************************************
036200*    READ THE DISCOUNT RATE TABLE RECORD FOR UPDATE    *
036300********************************************************
036400*
036500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
036600     SET MBIORO-READ-RANDOM-UPDATE
036700                                 TO TRUE.
036800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
036900*
037000********************************************
037100*    OBTAIN STORAGE FOR LOG FILE RECORD    *
037200********************************************
037300*
037400     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
037500     SET MBIORO-GETMAIN          TO TRUE.
037600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
037700*
037800*************************************************
037900*    SET UP THE COMMON PORTION OF THE RECORD    *
038000*************************************************
038100*
038200     MOVE 'RT'                   TO MML1-FILE-CODE.
038300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMRT-ORG.
038400     MOVE MBCA-TABLE             TO MML1-MMRT-TABLE-NBR.
038500     MOVE MBCA-TABLE-TYPE        TO MML1-MMRT-TABLE-TYPE.
038600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
038700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
038800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
038900*
039000     IF  MBCA-PTI-FUNCTION-IS-ADD
039100     AND THIS-SCREEN-IS-BYPASSED
039200         GO TO E040-UPDATE-MMRT.
039300*
039400 E020-UPDATE-FIELDS.
039500*
039600     PERFORM X020-UPDATE-SKUS    THRU X039-UD-EXIT.
039700*
039800     PERFORM X040-UPDATE-RATES   THRU X059-UR-EXIT.
039900*
040000 E040-UPDATE-MMRT.
040100*
040200     IF  MBCA-PTI-FUNCTION-IS-ADD
040300         MOVE MBCA-SCREEN-NBR    TO MMRT-ONLINE-STATUS
040400         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
040500         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
040600         MOVE 'Y'                TO WS-UPDATE-SW
040700         IF  MBCA-SCREEN-NBR IS EQUAL TO MBCA-MAX-SCREEN-NBR
040800             MOVE 99             TO MMRT-ONLINE-STATUS
040900             MOVE 1              TO MMRT-REC-STATUS
041000             MOVE ZEROES         TO MML1-FIELD-CODE
041100                                    MML1-FIELD-OCCURRENCE
041200                                    MML1-FIELD-OCCURRENCE-2
041300             MOVE LENGTH OF MMRT-RECORD
041400                                 TO MML1-VARIABLE-LENGTH
041500             MOVE MMRT-RECORD    TO MML1-ADD-AREA
041600             MOVE 'FC04'         TO MBCA-PROGRAM-LOCATION
041700             PERFORM Y060-WRITE-LOG-RECORD
041800                                 THRU Y079-WLR-EXIT.
041900*
042000**************************************************************
042100*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
042200*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
042300*    ON THE SCREEN                                           *
042400**************************************************************
042500*
042600     IF  MBCA-PTI-FUNCTION-IS-MAINT
042700     AND FIELDS-WERE-UPDATED
042800         MOVE 0198               TO MML1-FIELD-CODE
042900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
043000                                    MML1-FIELD-OCCURRENCE-2
043100         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
043200         MOVE MMRT-LAST-MAINT-OPER
043300                                 TO MML1-VL03-B-DATA-X
043400         MOVE MBCA-OPERATOR-ID   TO MMRT-LAST-MAINT-OPER
043500         MOVE MMRT-LAST-MAINT-OPER
043600                                 TO MML1-VL03-A-DATA-X
043700         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
043800         PERFORM Y060-WRITE-LOG-RECORD
043900                                 THRU Y079-WLR-EXIT
044000         MOVE 0199               TO MML1-FIELD-CODE
044100         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
044200         MOVE MMRT-LAST-MAINT-DATE
044300                                 TO MML1-VL07-B-DATA-9
044400         MOVE MBCA-START-DATE    TO MMRT-LAST-MAINT-DATE
044500         MOVE MMRT-LAST-MAINT-DATE
044600                                 TO MML1-VL07-A-DATA-9
044700         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
044800         PERFORM Y060-WRITE-LOG-RECORD
044900                                 THRU Y079-WLR-EXIT.
045000*
045100****************************************************
045200*    REWRITE THE DISCOUNT RATE TABLE RECORD IF     *
045300*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
045400*    UNLOCK IT IF THEY HAVE NOT                    *
045500****************************************************
045600*
045700     IF  FIELDS-WERE-UPDATED
045800         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
045900         SET MBIORO-REWRITE      TO TRUE
046000         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT
046100     ELSE
046200         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
046300         SET MBIORO-UNLOCK       TO TRUE
046400         PERFORM MMRTAO-ACCESS   THRU MMRTAO-ACCESS-EXIT.
046500/
046600 F000-SETUP-COMMAREA SECTION.
046700*
046800***************************************************************
046900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
047000***************************************************************
047100*
047200     IF  MMRT-EXCEPTION-NOT-USED (X-MMRT-EXCEPTION)
047300         IF  MBCA-SCREEN-NBR IS EQUAL
047400                                 TO MBCA-MAX-SCREEN-NBR
047500             SET MBCA-INITIAL-SCREEN-NBR
047600                                 TO TRUE
047700         ELSE
047800             COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR + 51
047900         END-IF
048000         GO TO F010-XCTL.
048100*
048200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
048300*
048400     PERFORM MB60PD-EDIT-PAGE-NBR
048500                                 THRU MB60PD-EPN-EXIT.
048600*
048700     IF  SS08WS-VALID-PF-KEY
048800     OR  SS08WS-EIBAID-VALID-PF-KEY
048900         SET MBCA-INITIAL-SCREEN-NBR
049000                                 TO TRUE.
049100*
049200 F010-XCTL.
049300*
049400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
049500     PERFORM MB70PD-XCTL-TO-MBOXCTL
049600                                 THRU MB70PD-XTM-EXIT.
049700/
049800 W000-FIELD-EDITS SECTION.
049900*
050000 W020-EDIT-SKUS.
050100*
050200***********************************
050300*    SET THE BEGINNING INDEXES    *
050400***********************************
050500*
050600     SET X-MR13-SKU              TO 1.
050700     SET X-MMRT-SKU              TO WS-INDEX.
050800*
050900 W022-ED-LOOP.
051000*
051100**************************************************
051200*    SET THE FIELD ATTRIBUTES TO THE SKU IN      *
051300*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
051400**************************************************
051500*
051600     MOVE DFHBMDAS               TO MR13-SKU-LP-A
051700                                        (X-MR13-SKU)
051800                                    MR13-SKU-RP-A
051900                                        (X-MR13-SKU).
052000     MOVE DFHBMASK               TO MR13-SKU-A
052100                                        (X-MR13-SKU).
052200*
052300*****************************
052400*    EDIT FOR VALID DATA    *
052500*****************************
052600*
052700     IF  MR13-SKU-L (X-MR13-SKU) IS EQUAL TO ZERO
052800         MOVE MMRT-SKU-NBR (X-MMRT-SKU)
052900                                 TO MR13-SKU (X-MR13-SKU)
053000     ELSE
053100         MOVE DFHBMASF           TO MR13-SKU-A (X-MR13-SKU).
053200*
053300     IF  MR13-SKU (X-MR13-SKU) IS NUMERIC
053400     OR  MR13-SKU (X-MR13-SKU) IS EQUAL TO
053500         MMRTIR-SKU-NBR  (X-MMRTIR-SKU)
053600         GO TO W038-INCREMENT-INDEXES.
053700*
053800     MOVE MR13-SKU (X-MR13-SKU)  TO WS-SKU.
053900     SET X-WS-SKU                TO 1.
054000*
054100 W024-ES-LOOP.
054200*
054300     IF  WS-SKU-CHARACTER (X-WS-SKU) IS NUMERIC
054400         GO TO W028-INCREMENT-INDEXES.
054500*
054600     IF  WS-SKU-CHARACTER (X-WS-SKU) IS EQUAL TO '*'
054700         GO TO W028-INCREMENT-INDEXES.
054800*
054900 W026-SKU-ERROR.
055000*
055100     MOVE 'Y'                    TO SS08WS-ERROR
055200                                    WS-SKU-ERROR-SW.
055300     MOVE SS08WS-CURSOR          TO MR13-SKU-L    (X-MR13-SKU).
055400     MOVE DFHBMUBF               TO MR13-SKU-A    (X-MR13-SKU).
055500     MOVE DFHBMASB               TO MR13-SKU-LP-A (X-MR13-SKU)
055600                                    MR13-SKU-RP-A (X-MR13-SKU).
055700*
055800 W028-INCREMENT-INDEXES.
055900*
056000     IF  X-WS-SKU IS LESS THAN 9
056100         SET X-WS-SKU            UP BY 1
056200         GO TO W024-ES-LOOP.
056300*
056400 W038-INCREMENT-INDEXES.
056500*
056600     IF  X-MR13-SKU IS LESS THAN 28
056700         SET X-MR13-SKU          UP BY 1
056800         SET X-MMRT-SKU          UP BY 1
056900         GO TO W022-ED-LOOP.
057000*
057100 W039-ED-EXIT.
057200     EXIT.
057300*
057400 W040-EDIT-RATES.
057500*
057600***********************************
057700*    SET THE BEGINNING INDEXES    *
057800***********************************
057900*
058000     SET X-MR13-SKU              TO 1.
058100     SET X-MMRT-SKU              TO WS-INDEX.
058200*
058300 W042-ER-LOOP.
058400*
058500**************************************************
058600*    SET THE FIELD ATTRIBUTES TO THE SKU IN      *
058700*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
058800**************************************************
058900*
059000     MOVE DFHBMDAS               TO MR13-SKU-RATE-LP-A
059100                                        (X-MR13-SKU)
059200                                    MR13-SKU-RATE-RP-A
059300                                        (X-MR13-SKU).
059400     MOVE DFHBMASK               TO MR13-SKU-RATE-A
059500                                        (X-MR13-SKU)
059600                                    MR13-SKU-RATE-SIGN-A
059700                                        (X-MR13-SKU).
059800*
059900*************************************
060000*    EDIT FOR VALID NUMERIC DATA    *
060100*************************************
060200*
060300     IF  MR13-SKU-RATE-L (X-MR13-SKU) IS EQUAL TO ZERO
060400         MOVE MMRT-SKU-RATE (X-MMRT-SKU)
060500                                 TO MR13-SKU-RATE
060600                                        (X-MR13-SKU)
060700         GO TO W046-EDIT-RATE-SIGN.
060800*
060900     IF  MR13-SKU-RATE (X-MR13-SKU) IS NUMERIC
061000         MOVE DFHBMASF           TO MR13-SKU-RATE-A
061100                                        (X-MR13-SKU)
061200         GO TO W046-EDIT-RATE-SIGN.
061300*
061400 W044-RATE-ERROR.
061500*
061600     MOVE 'Y'                    TO SS08WS-ERROR
061700                                    WS-RATE-ERROR-SW.
061800     MOVE SS08WS-CURSOR          TO MR13-SKU-RATE-L
061900                                        (X-MR13-SKU).
062000     MOVE DFHBMNBF               TO MR13-SKU-RATE-A
062100                                        (X-MR13-SKU).
062200     MOVE DFHBMASB               TO MR13-SKU-RATE-LP-A
062300                                        (X-MR13-SKU)
062400                                    MR13-SKU-RATE-RP-A
062500                                        (X-MR13-SKU).
062600*
062700 W046-EDIT-RATE-SIGN.
062800*
062900*****************************
063000*    EDIT FOR VALID DATA    *
063100*****************************
063200*
063300     IF  MR13-SKU-RATE-SIGN-L (X-MR13-SKU) IS EQUAL TO ZERO
063400         IF  MMRT-SKU-RATE (X-MMRT-SKU)
063500             IS LESS THAN ZERO
063600             MOVE '-'            TO MR13-SKU-RATE-SIGN
063700                                        (X-MR13-SKU)
063800             GO TO W058-INCREMENT-INDEXES
063900         ELSE
064000             MOVE '+'            TO MR13-SKU-RATE-SIGN
064100                                        (X-MR13-SKU)
064200             GO TO W058-INCREMENT-INDEXES.
064300*
064400     IF  MR13-SKU-RATE-SIGN (X-MR13-SKU) IS EQUAL TO
064500         '-' OR '+'
064600         MOVE DFHBMASF           TO MR13-SKU-RATE-SIGN-A
064700                                        (X-MR13-SKU)
064800         GO TO W058-INCREMENT-INDEXES.
064900*
065000 W048-RATE-SIGN-ERROR.
065100*
065200     MOVE 'Y'                    TO SS08WS-ERROR
065300                                    WS-RATE-ERROR-SW.
065400     MOVE SS08WS-CURSOR          TO MR13-SKU-RATE-SIGN-L
065500                                        (X-MR13-SKU).
065600     MOVE DFHBMUBF               TO MR13-SKU-RATE-SIGN-A
065700                                        (X-MR13-SKU).
065800     MOVE DFHBMASB               TO MR13-SKU-RATE-LP-A
065900                                        (X-MR13-SKU)
066000                                    MR13-SKU-RATE-RP-A
066100                                        (X-MR13-SKU).
066200*
066300 W058-INCREMENT-INDEXES.
066400*
066500     IF  X-MR13-SKU IS LESS THAN 28
066600         SET X-MR13-SKU          UP BY 1
066700         SET X-MMRT-SKU          UP BY 1
066800         GO TO W042-ER-LOOP.
066900*
067000 W059-ER-EXIT.
067100     EXIT.
067200*
067300 W060-CROSS-EDIT-RATES.
067400*
067500************************************************
067600*    BYPASS THE CROSS EDITS IF ERRORS EXIST    *
067700*    IN THE SKU FIELDS OR RATE FIELDS          *
067800************************************************
067900*
068000     IF  RATE-ERRORS-EXIST
068100         GO TO W079-CER-EXIT.
068200*
068300*****************************************************************
068400*    RATE FIELD AMOUNT CAN NOT EXCEED 7 DIGITS IF THE METHOD IS
068500*    CIV, DCA, DCV, DIV, DCT, DCP, PCV, PIV, PCA, PCT, PCP, MIV
068600*    MCI, ICA, RCA, RCB, RCC, RCD, RCE, RCF, RCG, RCH, FPV, FPC
068700*****************************************************************
068800     PERFORM
068900         VARYING X-MR13-SKU FROM 1 BY 1
069000         UNTIL   X-MR13-SKU IS GREATER THAN 28
069100         EVALUATE TRUE
069200            WHEN   MMRTWS-RESV-FLAT-AMT
069300                     CONTINUE
069400            WHEN ( MMRTWS-VALID-METH-ON-AMOUNT AND
069500                       MR13-SKU-RATE (X-MR13-SKU)
069600                            IS GREATER THAN 9999999)
069700            SET SS08WS-ERROR-SW-YES TO TRUE
069800                 MOVE DFHBMNBF
069900                             TO MR13-SKU-RATE-A (X-MR13-SKU)
070000                 MOVE DFHBMASB
070100                             TO MR13-SKU-RATE-LP-A (X-MR13-SKU)
070200                                MR13-SKU-RATE-RP-A (X-MR13-SKU)
070300                 MOVE SS08WS-CURSOR
070400                             TO MR13-SKU-RATE-L  (X-MR13-SKU)
070500                 IF MR13-ERROR-MESSAGE IS EQUAL TO SPACES
070600                                                   OR LOW-VALUES
070700                    MOVE 'ERROR RATE AMOUNT'
070800                             TO MR13-ERROR-MESSAGE
070900                 END-IF
071000         END-EVALUATE
071100     END-PERFORM.
071200*************************
071300*    SET THE INDEXES    *
071400*************************
071500*
071600     SET X-MR13-SKU              TO 1.
071700     SET X-MMRT-SKU              TO WS-INDEX.
071800     SET X-MMRTIR-SKU            TO 1.
071900     SET X-MMRT-EXCEPTION        TO 7.
072000*
072100 W062-CER-LOOP.
072200*
072300**************************************************************
072400*    RATE CROSS EDITS ARE AS FOLLOWS:                        *
072500*                                                            *
072600*      . IF THE SKU FIELD IS THE INITIALIZER DEFAULT,        *
072700*        THE RATE FIELD MUST ALSO BE THE INITIALIZER         *
072800*        DEFAULT.                                            *
072900*      . IF THE SKU EXCEPTION IS OF A OVERRIDE               *
073000*        PRIORITY, NO RATE CAN BE NEGATIVE.                  *
073100*      . IF THE SKU EXCEPTION IS AN ADJUSTMENT,              *
073200*        NO RATE WHEN ADDED TO EACH PRIMARY RATE             *
073300*        (INDIVIDUALLY) CAN BE LESS THAN ZERO.               *
073400*                                                            *
073500*    IF THERE IS AN ERROR, THE SKU AND RATE ARE              *
073600*    HIGHLIGHTED.                                            *
073700**************************************************************
073800*
073900     IF  MR13-SKU      (X-MR13-SKU) IS EQUAL TO
074000         MMRTIR-SKU-NBR (X-MMRTIR-SKU)
074100         IF  MR13-SKU-RATE (X-MR13-SKU) IS NOT EQUAL TO
074200             MMRTIR-SKU-RATE (X-MMRTIR-SKU)
074300             GO TO W068-CROSS-EDIT-RATE-ERROR.
074400*
074500     IF  MMRT-EXCEPTION-IS-OVERRIDE (X-MMRT-EXCEPTION)
074600         IF  MR13-SKU-RATE-SIGN (X-MR13-SKU) IS EQUAL TO '-'
074700             GO TO W068-CROSS-EDIT-RATE-ERROR
074800         ELSE
074900             GO TO W078-INCREMENT-INDEXES.
075000*
075100     IF  MR13-SKU-RATE-SIGN (X-MR13-SKU) IS NOT EQUAL TO '-'
075200         GO TO W078-INCREMENT-INDEXES.
075300*
075400************************************
075500*    SET THE PRIMARY RATE INDEX    *
075600************************************
075700*
075800     SET X-MMRT-PRIM             TO 1.
075900*
076000     MOVE MR13-SKU-RATE (X-MR13-SKU)
076100                                 TO WS-RATE.
076200     COMPUTE WS-RATE             = WS-RATE * -1.
076300*
076400 W064-CER-LOOP.
076500*
076600     COMPUTE WS-RATE-TOTAL =
076700         WS-RATE + MMRT-PRIM-RATE (X-MMRT-PRIM).
076800*
076900     IF  WS-RATE-TOTAL IS LESS THAN ZERO
077000         GO TO W068-CROSS-EDIT-RATE-ERROR.
077100*
077200 W066-INCREMENT-INDEXES.
077300*
077400     IF  X-MMRT-PRIM IS LESS THAN 10
077500     AND MMRT-PRIM-LIMIT (X-MMRT-PRIM)
077600                             IS NOT EQUAL TO 99999999999999999
077700         SET X-MMRT-PRIM         UP BY 1
077800         GO TO W064-CER-LOOP
077900     ELSE
078000         GO TO W078-INCREMENT-INDEXES.
078100*
078200 W068-CROSS-EDIT-RATE-ERROR.
078300*
078400**********************************************
078500*    BRIGHTEN AND FSET THE SKU AND RATE      *
078600**********************************************
078700*
078800     MOVE 'Y'                    TO SS08WS-ERROR
078900                                    WS-RATE-ERROR-SW.
079000     MOVE SS08WS-CURSOR          TO MR13-SKU-RATE-L
079100                                        (X-MR13-SKU).
079200     MOVE DFHBMASB               TO MR13-SKU-LP-A
079300                                        (X-MR13-SKU)
079400                                    MR13-SKU-RP-A
079500                                        (X-MR13-SKU)
079600                                    MR13-SKU-RATE-LP-A
079700                                        (X-MR13-SKU)
079800                                    MR13-SKU-RATE-RP-A
079900                                        (X-MR13-SKU).
080000     MOVE DFHBMNBF               TO MR13-SKU-RATE-A
080100                                        (X-MR13-SKU).
080200     MOVE DFHBMUBF               TO MR13-SKU-A
080300                                        (X-MR13-SKU)
080400                                    MR13-SKU-RATE-SIGN-A
080500                                        (X-MR13-SKU).
080600*
080700 W078-INCREMENT-INDEXES.
080800*
080900     IF  X-MR13-SKU IS LESS THAN 28
081000         SET X-MR13-SKU          UP BY 1
081100         SET X-MMRTIR-SKU        UP BY 1
081200         GO TO W062-CER-LOOP.
081300*
081400 W079-CER-EXIT.
081500     EXIT.
081600/
081700 X000-UPDATE-FIELDS SECTION.
081800*
081900 X020-UPDATE-SKUS.
082000*
082100***********************************
082200*    SET THE BEGINNING INDEXES    *
082300***********************************
082400*
082500     SET X-MR13-SKU              TO 1.
082600     SET X-MMRT-SKU              TO WS-INDEX.
082700*
082800 X022-UD-LOOP.
082900*
083000     IF  MR13-SKU-L        (X-MR13-SKU) IS GREATER THAN ZERO
083100         IF  MR13-SKU (X-MR13-SKU) IS NOT EQUAL TO
083200             MMRT-SKU-NBR (X-MMRT-SKU)
083300             MOVE 'Y'            TO WS-UPDATE-SW
083400             IF  MBCA-PTI-FUNCTION-IS-MAINT
083500                 MOVE 1301       TO MML1-FIELD-CODE
083600                 SET MML1-FIELD-OCCURRENCE
083700                                 TO X-MMRT-SKU
083800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
083900                 MOVE MML1WS-VL-10
084000                                 TO MML1-VARIABLE-LENGTH
084100                 MOVE MMRT-SKU-NBR (X-MMRT-SKU)
084200                                 TO MML1-VL10-B-DATA-X
084300                 MOVE MR13-SKU (X-MR13-SKU)
084400                                 TO MMRT-SKU-NBR
084500                                         (X-MMRT-SKU)
084600                 MOVE MMRT-SKU-NBR (X-MMRT-SKU)
084700                                 TO MML1-VL10-A-DATA-X
084800                 PERFORM Y060-WRITE-LOG-RECORD
084900                                 THRU Y079-WLR-EXIT
085000             ELSE
085100                 MOVE MR13-SKU (X-MR13-SKU)
085200                                 TO MMRT-SKU-NBR
085300                                    (X-MMRT-SKU).
085400*
085500 X038-INCREMENT-INDEXES.
085600*
085700     IF  X-MR13-SKU IS LESS THAN 28
085800         SET X-MR13-SKU          UP BY 1
085900         SET X-MMRT-SKU          UP BY 1
086000         GO TO X022-UD-LOOP.
086100*
086200 X039-UD-EXIT.
086300     EXIT.
086400*
086500 X040-UPDATE-RATES.
086600*
086700***********************************
086800*    SET THE BEGINNING INDEXES    *
086900***********************************
087000*
087100     SET X-MR13-SKU              TO 1.
087200     SET X-MMRT-SKU              TO WS-INDEX.
087300*
087400 X042-UR-LOOP.
087500*
087600     IF  MR13-SKU-RATE-L       (X-MR13-SKU) IS GREATER THAN ZERO
087700     OR  MR13-SKU-RATE-SIGN-L (X-MR13-SKU)
087800                                    IS GREATER THAN ZERO
087900         MOVE MR13-SKU-RATE (X-MR13-SKU)
088000                                 TO WS-RATE
088100         IF  MR13-SKU-RATE-SIGN (X-MR13-SKU) IS EQUAL TO '-'
088200             COMPUTE WS-RATE = WS-RATE * -1.
088300*
088400     IF  MR13-SKU-RATE-L       (X-MR13-SKU) IS GREATER THAN ZERO
088500     OR  MR13-SKU-RATE-SIGN-L (X-MR13-SKU)
088600                                    IS GREATER THAN ZERO
088700         IF  WS-RATE IS NOT EQUAL TO
088800             MMRT-SKU-RATE (X-MMRT-SKU)
088900             MOVE 'Y'            TO WS-UPDATE-SW
089000             IF  MBCA-PTI-FUNCTION-IS-MAINT
089100                 MOVE 1302       TO MML1-FIELD-CODE
089200                 SET MML1-FIELD-OCCURRENCE
089300                                 TO X-MMRT-SKU
089400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
089500                 MOVE MML1WS-VL-20
089600                                 TO MML1-VARIABLE-LENGTH
089700                 MOVE MMRT-SKU-RATE (X-MMRT-SKU)
089800                                 TO MML1-VL20-B-NBR-NO-DEC
089900                 MOVE WS-RATE    TO MMRT-SKU-RATE
090000                                    (X-MMRT-SKU)
090100                 MOVE MMRT-SKU-RATE (X-MMRT-SKU)
090200                                 TO MML1-VL20-A-NBR-NO-DEC
090300                 PERFORM Y060-WRITE-LOG-RECORD
090400                                 THRU Y079-WLR-EXIT
090500             ELSE
090600                 MOVE WS-RATE    TO MMRT-SKU-RATE
090700                                    (X-MMRT-SKU).
090800*
090900 X058-INCREMENT-INDEXES.
091000*
091100     IF  X-MR13-SKU IS LESS THAN 28
091200         SET X-MR13-SKU          UP BY 1
091300         SET X-MMRT-SKU          UP BY 1
091400         GO TO X042-UR-LOOP.
091500*
091600 X059-UR-EXIT.
091700     EXIT.
091800/
091900 Y000-PERFORMED-ROUTINES SECTION.
092000*
092100 Y020-MOVE-SKUS.
092200*
092300***********************************
092400*    SET THE BEGINNING INDEXES    *
092500***********************************
092600*
092700     SET X-MR13-SKU              TO 1.
092800     SET X-MMRT-SKU              TO WS-INDEX.
092900*
093000 Y022-MD-LOOP.
093100*
093200     MOVE MMRT-SKU-NBR (X-MMRT-SKU)
093300                                 TO MR13-SKU (X-MR13-SKU).
093400*
093500****************************************
093600*    DARKEN THE PARENS AND BRIGHTEN    *
093700*    THE DATA ELEMENT IF IN INQUIRY    *
093800****************************************
093900*
094000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
094100         MOVE DFHBMASB           TO MR13-SKU-A
094200                                        (X-MR13-SKU)
094300         MOVE DFHBMDAS           TO MR13-SKU-LP-A
094400                                        (X-MR13-SKU)
094500                                    MR13-SKU-RP-A
094600                                        (X-MR13-SKU).
094700*
094800 Y038-INCREMENT-INDEXES.
094900*
095000     IF  X-MR13-SKU IS LESS THAN 28
095100         SET X-MR13-SKU          UP BY 1
095200         SET X-MMRT-SKU          UP BY 1
095300         GO TO Y022-MD-LOOP.
095400*
095500 Y039-MD-EXIT.
095600     EXIT.
095700*
095800 Y040-MOVE-RATES.
095900*
096000***********************************
096100*    SET THE BEGINNING INDEXES    *
096200***********************************
096300*
096400     SET X-MR13-SKU              TO 1.
096500     SET X-MMRT-SKU              TO WS-INDEX.
096600*
096700 Y042-MR-LOOP.
096800*
096900     MOVE MMRT-SKU-RATE (X-MMRT-SKU)
097000                                 TO MR13-SKU-RATE
097100                                        (X-MR13-SKU).
097200     IF  MMRT-SKU-RATE (X-MMRT-SKU) IS LESS THAN ZERO
097300         MOVE '-'                TO MR13-SKU-RATE-SIGN
097400                                        (X-MR13-SKU)
097500     ELSE
097600         MOVE '+'                TO MR13-SKU-RATE-SIGN
097700                                        (X-MR13-SKU).
097800*
097900*****************************************
098000*    DARKEN THE PARENS AND BRIGHTEN     *
098100*    THE DATA ELEMENTS IF IN INQUIRY    *
098200*****************************************
098300*
098400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
098500         MOVE DFHBMASB           TO MR13-SKU-RATE-A
098600                                        (X-MR13-SKU)
098700                                    MR13-SKU-RATE-SIGN-A
098800                                        (X-MR13-SKU)
098900         MOVE DFHBMDAS           TO MR13-SKU-RATE-LP-A
099000                                        (X-MR13-SKU)
099100                                    MR13-SKU-RATE-RP-A
099200                                        (X-MR13-SKU).
099300*
099400 Y058-INCREMENT-INDEXES.
099500*
099600     IF  X-MR13-SKU IS LESS THAN 28
099700         SET X-MR13-SKU          UP BY 1
099800         SET X-MMRT-SKU          UP BY 1
099900         GO TO Y042-MR-LOOP.
100000*
100100 Y059-MR-EXIT.
100200     EXIT.
100300*
100400 Y060-WRITE-LOG-RECORD.
100500*
100600     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
100700     SET MBIORO-WRITE            TO TRUE.
100800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
100900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
101000*
101100 Y079-WLR-EXIT.
101200     EXIT.
101300/
101400 Z000-COPIED-ROUTINES SECTION.
101500*
101600/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
101700     COPY SS26PD.
101800*
101900/    ROUTINE TO NUMERICALLY EDIT TIME
102000     COPY SS27PD.
102100*
102200**********************************
102300*    JUL TO GREG DATE ROUTINE    *
102400**********************************
102500*
102600     COPY SS08PD.
102700/    ROUTINE TO MOVE COMMAREA VARIABLES TO
102800*                    SS08-FORMATTED-MSG VARIABLE.
102900     COPY MB06PD.
103000/
103100*********************************
103200*    LINE 24 PF KEYS ROUTINE    *
103300*********************************
103400*
103500     COPY SS15PD.
103600/
103700****************************************************
103800*    DISCOUNT RATE TABLE RECORD ACCESS ROUTINES    *
103900****************************************************
104000*
104100     COPY MMRTAO.
104200/
104300*****************************************
104400*    LOG FILE RECORD ACCESS ROUTINES    *
104500*****************************************
104600*
104700     COPY MML1AO.
104800/
104900*****************************
105000*    ONLINE MAP ROUTINES    *
105100*****************************
105200*
105300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMR13 '
105400                           MBMAPXXI BY MBMR13I
105500                           MBMAPXXO BY MBMR13O.
105600/
105700***************************
105800*    ONLINE PROCEDURES    *
105900***************************
106000*
106100     COPY MB70PD.
106200/
106300     COPY SMFTPXO.
