000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMS00 - ON-LINE STORE MASTER ADD/MAINT/INQ             *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC (ORG CONTROL FILE)                    *
001800*                 B. MMSM (STORE MASTER FILE)                   *
001900*                 C. MMFS (FIELD SECURITY FILE)                 *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE
003000     '** WS-BEG **'.
003100*
003200 01  FILLER                  PIC  X(14)      VALUE
003300     'MISCELLANEOUS:'.
003400*
003500 01  WS-MISCELLANEOUS.
003600     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003700                                             VALUE +001.
003800     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003900                                             VALUE +998.
004000     03  WS-MMFS-FOUND-SW    PIC  X(01)      VALUE 'Y'.
004100         88  MMFS-RECORD-FOUND               VALUE 'Y'.
004200         88  MMFS-RECORD-NOT-FOUND           VALUE 'N'.
004300     03  WS-MMSM-ADD-PENDING-SW
004400                             PIC  X(01)      VALUE 'N'.
004500         88  MMSM-RECORD-IS-ADD-PENDING      VALUE 'Y'.
004600     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
004700         88  WS-COPY-SW-NO                   VALUE 'N'.
004800         88  WS-COPY-SW-YES                  VALUE 'Y'.
004900     03  WS-MODEL-DESCRIPTION
005000                             PIC  X(40)      VALUE
005100         '       STORE MODEL RECORD ADD           '.
005200     03  TS-QUEUE-NAME.
005300         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005400         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005500/
005600 01  FILLER                  PIC  X(29)      VALUE
005700     'I/O REQUEST BLOCK WORK AREAS:'.
005800*
005900     COPY MBIOWS.
006000/
006100 01  FILLER                  PIC  X(18)      VALUE
006200     'I/O REQUEST BLOCK:'.
006300*
006400     COPY MBIORO.
006500/
006600 01  FILLER                  PIC  X(21)      VALUE
006700     'ERROR MESSAGES TABLE:'.
006800*
006900     COPY MBEMWS.
007000/
007100 01  FILLER                  PIC  X(35)      VALUE
007200     'STORE MASTER INITIALIZER RECORD:'.
007300*
007400     COPY MMSMIR.
007500/
007600 01  FILLER                  PIC  X(27)      VALUE
007700     'STORE MASTER WORK AREAS:'.
007800*
007900     COPY MMSMWS.
008000/
008100 01  FILLER                  PIC  X(20)      VALUE
008200     'CCS DATE WORK AREAS:'.
008300*
008400     COPY SS01WS.
008500/
008600 01  FILLER                  PIC  X(27)      VALUE
008700     'CCS CHECK DIGIT WORK AREAS:'.
008800*
008900     COPY SS05WS.
009000/
009100 01  FILLER                  PIC  X(15)      VALUE
009200     'CCS WORK AREAS:'.
009300*
009400     COPY SS08WS.
009500/
009600     COPY SS00WS.
009700/
009800     COPY SMFTWS.
009900/
010000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010100/
010200     COPY MB61LK.
010300/
010400 01  FILLER                  PIC  X(12)      VALUE
010500     '** WS-END **'.
010600/
010700 LINKAGE SECTION.
010800*
010900 01  DFHCOMMAREA.
011000*
011100     COPY MB60WS.
011200/
011300************************************
011400*    STORE MASTER LOCATE MAP       *
011500************************************
011600*
011700     COPY MBMS00.
011800/
011900*************************************************
012000*    STORE MASTER LOCATE MAP REDEFINITION       *
012100*************************************************
012200*
012300     COPY MBMS00R.
012400/
012500***************************
012600*    ORG RECORD LAYOUT    *
012700***************************
012800*
012900     COPY MMOCRL.
013000/
013100***************************************
013200*    STORE MASTER RECORD LAYOUT       *
013300***************************************
013400*
013500     COPY MMSMRL.
013600/
013700**************************************
013800*    FIELD SECURITY RECORD LAYOUT    *
013900**************************************
014000*
014100     COPY MMFSRL.
014200/
014300***************************************
014400*    USER INPUT TEMP STORAGE RECORD   *
014500***************************************
014600*
014700     COPY MBUITS.
014800/
014900 PROCEDURE DIVISION.
015000*
015100 A000-HOUSEKEEPING SECTION.
015200*
015300 A020-INIT.
015400*
015500     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015600     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015700                                 THRU MB70PD-OLH-EXIT.
015800*
015900     IF  MBCA-MBUI-UI-YES
016000         NEXT SENTENCE
016100     ELSE
016200         SET MBCA-MBUI-UI-NO     TO TRUE.
016300*
016400     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
016500*
016600     IF  MBCA-RECEIVE-SCREEN
016700         GO TO C000-RECEIVE-SCREEN.
016800/
016900 B000-SEND-SCREEN SECTION.
017000*
017100*********************************************
017200*    GET CICS STORAGE NEEDED FOR THE MAP    *
017300*********************************************
017400*
017500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
017600     PERFORM MB60PD-GETMAIN-FOR-MAP
017700                                 THRU MB60PD-GFM-EXIT.
017800*
017900     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
018000         MOVE DFHBMDAS           TO MS00-COPY-LIT-A
018100                                    MS00-COPY-STORE-LIT-A
018200                                    MS00-COPY-STORE-LP-A
018300                                    MS00-COPY-STORE-RP-A
018400                                    MS00-COPY-ORG-LP-A
018500                                    MS00-COPY-ORG-RP-A
018600         MOVE DFHBMASK           TO MS00-COPY-STORE-A
018700                                    MS00-COPY-ORG-A
018800         PERFORM
018900             VARYING X-MS00-DIR-AREA FROM +1 BY +1
019000             UNTIL   X-MS00-DIR-AREA IS GREATER THAN +12          RG800902
019100             MOVE DFHBMASF       TO MS00-SELECT-SCREEN-NBR-A
019200                                    (X-MS00-DIR-AREA)
019300         END-PERFORM
019400     ELSE
019500         MOVE DFHBMDAS           TO MS00-DIRECTORY-SEL-LIT-A
019600         PERFORM
019700             VARYING X-MS00-DIR-AREA FROM +1 BY +1
019800             UNTIL   X-MS00-DIR-AREA IS GREATER THAN +12          RG800902
019900                 MOVE DFHBMDAS   TO MS00-SELECT-LP-A
020000                                    (X-MS00-DIR-AREA)
020100                                    MS00-SELECT-RP-A
020200                                    (X-MS00-DIR-AREA)
020300                                    MS00-SELECT-LIT1-A
020400                                    (X-MS00-DIR-AREA)
020500                                    MS00-SELECT-LIT2-A
020600                                    (X-MS00-DIR-AREA)
020700                                    MS00-SELECT-SCREEN-NBR-A
020800                                    (X-MS00-DIR-AREA)
020900                 MOVE DFHBMASK   TO MS00-SELECT-A
021000                                    (X-MS00-DIR-AREA)
021100         END-PERFORM.
021200*
021300*****************************************************************
021400*    CHECK KEY CODES                                            *
021500* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
021600* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
021700* 3. IF MMSM KEY CODE, IT MUST HAVE AN ORGANIZATION NUMBER      *
021800*    GREATER THAN ZERO AND A NUMERIC STORE NUMBER.     IF       *
021900*    DIRECT, GO TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE    *
022000*    PLUGGED THE ORGANIZATION AND STORE IN THE MAP.     IF AN   *
022100*    ERROR OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL        *
022200*    HANDLE BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.   *
022300*    THIS IS WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE         *
022400*    NO MATTER WHICH ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG   *
022500*    THE ORGANIZATION AND STORE INTO THE MAP AND BYPASS         *
022600*    ANY OTHER CHECKING OF THE KEY CODE.                        *
022700* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG IS
022800*    GREATER THAN ZERO.  IF IT IS, PLUG IT INTO THE MAP.  IF    *
022900*    THE MBCA-STORE IS GREATER THAN ZERO, PLUG IT INTO THE      *
023000*    MAP.                                                       *
023100*****************************************************************
023200*
023300     IF  MBCA-INITIAL-KEY-CODE
023400     OR  MBCA-PTI-FUNCTION-ADD-OR-MODEL
023500         GO TO B020-BUILD-SCREEN.
023600*
023700     IF  MBCA-MMSM-KEY-CODE
023800         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
023900         AND MBCA-STORE        IS GREATER THAN ZERO
024000             MOVE MBCA-MERCHANT-ORG
024100                                 TO MS00-ORG
024200             MOVE MBCA-STORE     TO MS00-STORE
024300             MOVE DFHBMUNF       TO MS00-ORG-A
024400                                    MS00-STORE-A
024500             IF  MBCA-DIRECT-TRANSFER-CODE
024600             AND MBCA-INITIAL-SCREEN-NBR
024700                 MOVE 00         TO MBCA-SCREEN-NBR
024800                 GO TO C082-READ-ORG
024900             ELSE
025000                 GO TO B020-BUILD-SCREEN.
025100*
025200     IF  MBCA-VALID-KEY-CODES
025300         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
025400             MOVE MBCA-MERCHANT-ORG
025500                                 TO MS00-ORG
025600             MOVE DFHBMUNF       TO MS00-ORG-A
025700             IF  MBCA-STORE IS GREATER THAN ZERO
025800                 MOVE MBCA-STORE
025900                                 TO MS00-STORE
026000                 MOVE DFHBMUNF   TO MS00-STORE-A.
026100*
026200 B020-BUILD-SCREEN.
026300*
026400*******************************************
026500*    INITIALIZE THE STANDARD MAP LINES    *
026600*******************************************
026700*
026800     MOVE SS08WS-CURSOR          TO MS00-ORG-L.
026900     MOVE 00                     TO MBCA-SCREEN-NBR.
027000     PERFORM MB60PD-INIT-STD-MAP-LINES
027100                                 THRU MB60PD-ISML-EXIT.
027200*
027300     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
027400         MOVE ZERO               TO MS00-STORE-L
027500         MOVE DFHBMUNN           TO MS00-STORE-A
027600         MOVE LOW-VALUES         TO MS00-STORE-X.
027700*
027800     IF  MBCA-PTI-FUNCTION-IS-MODEL
027900         MOVE WS-MODEL-DESCRIPTION
028000                                 TO MS00-SCREEN-DESC.
028100*
028200**********************
028300*    SEND THE MAP    *
028400**********************
028500*
028600     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
028700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
028800                                 THRU MB60PD-SMWE-EXIT.
028900*
029000************************
029100*    RETURN TO CICS    *
029200************************
029300*
029400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029500     PERFORM MB70PD-RETURN-TRANS-ID
029600                                 THRU MB70PD-RTI-EXIT.
029700/
029800 C000-RECEIVE-SCREEN SECTION.
029900*
030000*************************************************
030100*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
030200*************************************************
030300*
030400     IF  MBCA-MBUI-UI-YES
030500*
030600****************************************************************
030700*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
030800****************************************************************
030900*
031000         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
031100         EXEC CICS GETMAIN
031200                   FLENGTH (LENGTH  OF MBUITS-RECORD)
031300
031400                   SET     (ADDRESS OF MBUITS-RECORD)
031500
031600              END-EXEC
031700*
031800*
031900***********************************************
032000*    READ THE TEMP STORAGE RECORD             *
032100***********************************************
032200*
032300         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
032400*
032500         EXEC CICS READQ TS
032600                   QUEUE   (TS-QUEUE-NAME)
032700                   INTO    (MBUITS-RECORD)
032800                   LENGTH  (LENGTH  OF MBUITS-RECORD)
032900                   ITEM    (1)
033000              END-EXEC
033100*
033200***********************************************
033300*    DELETE THE TEMP STORAGE RECORD           *
033400***********************************************
033500*
033600         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
033700*
033800         EXEC CICS IGNORE CONDITION
033900                   QIDERR
034000              END-EXEC
034100*
034200         EXEC CICS DELETEQ TS
034300                   QUEUE  (TS-QUEUE-NAME)
034400              END-EXEC
034500         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
034600         PERFORM MB60PD-GETMAIN-FOR-MAP
034700                                 THRU MB60PD-GFM-EXIT
034800         MOVE MBUITS-VAR-DATA    TO MBMS00I
034900     ELSE
035000         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
035100         PERFORM MB60PD-RECEIVE-MAP
035200                                 THRU MB60PD-RM-EXIT.
035300*
035400**************************************************************
035500*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
035600**************************************************************
035700*
035800     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
035900     PERFORM MB60PD-NEW-TRANS-ROUTINE
036000                                 THRU MB60PD-NTR-EXIT.
036100*
036200 C020-FIELD-EDITS.
036300*
036400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
036500*
036600     IF  (MS00-ORG-L IS LESS THAN 1
036700     AND  MS00-STORE-L IS LESS THAN 1
036800     AND  MS00-COPY-ORG-L IS LESS THAN 1
036900     AND  MS00-COPY-STORE-L IS LESS THAN 1)
037000     AND (SS08WS-VALID-PF-KEY
037100     OR   SS08WS-EIBAID-VALID-PF-KEY)
037200         SET MBCA-INITIAL-SCREEN-NBR
037300                                 TO TRUE
037400         GO TO F090-TRANSFER-XCTL.
037500*
037600******************************************************
037700*    RESET THE FIELD ATTRIBUTES TO THEIR NORMAL      *
037800*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
037900******************************************************
038000*
038100     MOVE DFHBMUNN               TO MS00-ORG-A
038200                                    MS00-STORE-A.
038300     MOVE DFHBMASK               TO MS00-ORG-LP-A
038400                                    MS00-ORG-RP-A
038500                                    MS00-STORE-LP-A
038600                                    MS00-STORE-RP-A.
038700*
038800     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
038900         MOVE DFHBMUNN           TO MS00-COPY-STORE-A
039000                                    MS00-COPY-ORG-A
039100         MOVE DFHBMASK           TO MS00-COPY-STORE-LP-A
039200                                    MS00-COPY-STORE-RP-A
039300                                    MS00-COPY-ORG-LP-A
039400                                    MS00-COPY-ORG-RP-A
039500         MOVE DFHBMDAS           TO MS00-DIRECTORY-SEL-LIT-A
039600         PERFORM
039700             VARYING X-MS00-DIR-AREA FROM +1 BY +1
039800             UNTIL   X-MS00-DIR-AREA IS GREATER THAN +12          RG800902
039900                 MOVE DFHBMDAS   TO MS00-SELECT-LP-A
040000                                    (X-MS00-DIR-AREA)
040100                                    MS00-SELECT-RP-A
040200                                    (X-MS00-DIR-AREA)
040300                                    MS00-SELECT-LIT1-A
040400                                    (X-MS00-DIR-AREA)
040500                                    MS00-SELECT-LIT2-A
040600                                    (X-MS00-DIR-AREA)
040700                                    MS00-SELECT-SCREEN-NBR-A
040800                                    (X-MS00-DIR-AREA)
040900                 MOVE DFHBMASK   TO MS00-SELECT-A
041000                                    (X-MS00-DIR-AREA)
041100         END-PERFORM
041200     ELSE
041300         MOVE DFHBMDAS           TO MS00-COPY-LIT-A
041400                                    MS00-COPY-STORE-LIT-A
041500                                    MS00-COPY-STORE-LP-A
041600                                    MS00-COPY-STORE-RP-A
041700                                    MS00-COPY-ORG-LP-A
041800                                    MS00-COPY-ORG-RP-A
041900         MOVE DFHBMASK           TO MS00-COPY-STORE-A
042000                                    MS00-COPY-ORG-A.
042100*
042200 C080-EDIT-ORG.
042300*
042400     IF  MS00-ORG-L IS EQUAL TO ZERO
042500     OR  MS00-ORG IS NOT NUMERIC
042600     OR  MS00-ORG IS LESS THAN MBCA-ORG-LOW
042700     OR  MS00-ORG IS GREATER THAN MBCA-ORG-HIGH
042800     OR  MS00-ORG IS LESS THAN WS-ORG-LOW
042900     OR  MS00-ORG IS GREATER THAN WS-ORG-HIGH
043000         MOVE MBEMWS-INVALID-ORG TO MS00-ERR-MESSAGE
043100         GO TO C098-ORG-ERROR.
043200*
043300 C082-READ-ORG.
043400*
043500************************************************
043600*    READ THE ORGANIZATION RECORD.  IT MUST    *
043700*    BE ON FILE AND AN ACTIVE RECORD.          *
043800************************************************
043900*
044000     MOVE MS00-ORG               TO MBIOWS-MMOC-ORG.
044100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
044200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
044300     SET MBIORO-READ-RANDOM      TO TRUE.
044400     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
044500*
044600     IF  SS08WS-RC-FC-NOTFND
044700         MOVE MBEMWS-NOT-ON-FILE TO MS00-ERR-MESSAGE
044800     ELSE
044900         IF  MMOC-ADD-PENDING
045000             MOVE MBEMWS-ADD-PENDING
045100                                 TO MS00-ERR-MESSAGE
045200         ELSE
045300             IF  MMOC-REC-PURGED
045400                 MOVE MBEMWS-REC-PURGED
045500                                 TO MS00-ERR-MESSAGE
045600             ELSE
045700                 MOVE DFHBMUNF   TO MS00-ORG-A
045800                 MOVE MS00-ORG   TO MBCA-MERCHANT-ORG
045900                 GO TO C100-EDIT-STORE.
046000*
046100 C098-ORG-ERROR.
046200*
046300     SET SS08WS-ERROR-SW-YES     TO TRUE.
046400     MOVE DFHBMASB               TO MS00-ORG-LP-A
046500                                    MS00-ORG-RP-A.
046600     MOVE SS08WS-CURSOR          TO MS00-ORG-L.
046700     MOVE DFHBMNBF               TO MS00-ORG-A.
046800     MOVE DFHBMUNF               TO MS00-STORE-A.
046900     GO TO C120-EDIT-COPY-ORG.
047000*
047100 C100-EDIT-STORE.
047200*
047300     IF  MBCA-DIRECT-TRANSFER-CODE
047400     AND MBCA-PTI-FUNCTION-MAINT-OR-INQ
047500         GO TO C102-READ-STORE.
047600*
047700     IF  MS00-STORE-L IS EQUAL TO ZERO
047800     OR  MS00-STORE IS NOT NUMERIC
047900     OR  MS00-STORE IS EQUAL TO ZEROES OR 999999999
048000         MOVE MBEMWS-INVALID-STORE
048100                                 TO MS00-ERR-MESSAGE
048200         GO TO C118-STORE-ERROR.
048300*
048400**********************************
048500*    VALIDATE THE CHECK DIGIT    *
048600**********************************
048700*
048800     IF  MMOC-SMC-DO-NOT-MOD-CHECK
048900         GO TO C102-READ-STORE.
049000*
049100     PERFORM Y020-VALIDATE-CHECK-DIGIT
049200                                 THRU Y039-VCD-EXIT.
049300*
049400     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
049500     AND SS05WS-CD-IS-INVALID
049600         MOVE MBEMWS-INVALID-STORE
049700                                 TO MS00-ERR-MESSAGE
049800         GO TO C118-STORE-ERROR.
049900*
050000 C102-READ-STORE.
050100*
050200***************************************************************
050300*    READ THE STORE MASTER RECORD.     IT MUST BE ON          *
050400*    FILE AND AN ACTIVE RECORD IF IN MAINTENANCE OR INQUIRY.  *
050500*    IT MUST NOT BE ON FILE (OR IN AN ADD PENDING STATE),     *
050600*    IF IN ADD.                                               *
050700***************************************************************
050800*
050900     MOVE DFHBMUNF               TO MS00-STORE-A.
051000*
051100     MOVE MS00-ORG               TO MBIOWS-MMSM-ORG.
051200     MOVE MS00-STORE             TO MBIOWS-MMSM-STORE.
051300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
051400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
051500     SET MBIORO-READ-RANDOM      TO TRUE.
051600     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
051700*
051800     IF  SS08WS-RC-FC-VALID-RTN-CODE
051900         MOVE MS00-STORE         TO MBCA-STORE.
052000*
052100     IF  SS08WS-RC-FC-VALID-RTN-CODE
052200     AND MMSM-REC-PURGED
052300         MOVE MBEMWS-REC-PURGED  TO MS00-ERR-MESSAGE
052400         GO TO C118-STORE-ERROR.
052500*
052600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
052700         IF  SS08WS-RC-FC-VALID-RTN-CODE
052800             IF  MMSM-ADD-PENDING
052900                 MOVE MBEMWS-ADD-PENDING
053000                                 TO MS00-ERR-MESSAGE
053100                 GO TO C118-STORE-ERROR
053200             ELSE
053300                 GO TO C120-EDIT-COPY-ORG
053400         ELSE
053500             MOVE MBEMWS-NOT-ON-FILE
053600                                 TO MS00-ERR-MESSAGE
053700             GO TO C118-STORE-ERROR.
053800*
053900     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
054000     AND SS08WS-RC-FC-NOTFND
054100         GO TO C120-EDIT-COPY-ORG.
054200*
054300     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
054400     AND MMSM-ADD-PENDING
054500         IF  WS-COPY-SW-NO
054600             MOVE MMSM-ONLINE-STATUS
054700                                 TO MBCA-SCREEN-NBR
054800             SET MMSM-RECORD-IS-ADD-PENDING
054900                                 TO TRUE
055000             GO TO C120-EDIT-COPY-ORG
055100         ELSE
055200             MOVE MBEMWS-ADD-PENDING
055300                                 TO MS00-ERR-MESSAGE
055400             GO TO C118-STORE-ERROR.
055500*
055600     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
055700         MOVE MBEMWS-ALREADY-ON-FILE
055800                                 TO MS00-ERR-MESSAGE
055900         GO TO C118-STORE-ERROR.
056000*
056100     IF  MBCA-PTI-FUNCTION-IS-MAINT
056200     AND SS08WS-RC-FC-NOTFND
056300         MOVE MBEMWS-NOT-ON-FILE TO MS00-ERR-MESSAGE
056400         GO TO C118-STORE-ERROR.
056500*
056600     IF  MBCA-PTI-FUNCTION-IS-MAINT
056700     AND MMSM-ADD-PENDING
056800         MOVE MBEMWS-ADD-PENDING TO MS00-ERR-MESSAGE
056900         GO TO C118-STORE-ERROR.
057000*
057100************************************************
057200*    OTHERWISE, WE PASSED THE STORE EDIT       *
057300************************************************
057400*
057500     GO TO C120-EDIT-COPY-ORG.
057600*
057700 C118-STORE-ERROR.
057800*
057900     SET SS08WS-ERROR-SW-YES     TO TRUE.
058000     MOVE DFHBMASB               TO MS00-STORE-LP-A
058100                                    MS00-STORE-RP-A.
058200     MOVE SS08WS-CURSOR          TO MS00-STORE-L.
058300     MOVE DFHBMNBF               TO MS00-STORE-A.
058400*
058500 C120-EDIT-COPY-ORG.
058600*
058700************************************************
058800*    BYPASS THE COPY EDITS IF THE              *
058900*    COPY STORE WAS NOT ENTERED                *
059000************************************************
059100*
059200     IF  MS00-COPY-ORG-L IS EQUAL TO ZERO
059300     AND MS00-COPY-STORE-L IS EQUAL TO ZERO
059400         GO TO C150-EDIT-SELECT.
059500*
059600     IF  MS00-COPY-ORG-L IS EQUAL TO ZERO
059700     OR  MS00-COPY-ORG IS NOT NUMERIC
059800     OR  MS00-COPY-ORG IS LESS THAN MBCA-ORG-LOW
059900     OR  MS00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
060000     OR  MS00-COPY-ORG IS LESS THAN WS-ORG-LOW
060100     OR  MS00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
060200         MOVE MBEMWS-INVALID-ORG TO MS00-ERR-MESSAGE
060300         GO TO C127-COPY-ORG-ERROR.
060400*
060500 C125-READ-ORG.
060600*
060700************************************************
060800*    READ THE ORGANIZATION RECORD.  IT MUST    *
060900*    BE ON FILE AND AN ACTIVE RECORD.          *
061000************************************************
061100*
061200     MOVE MS00-COPY-ORG          TO MBIOWS-MMOC-ORG.
061300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
061400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
061500     SET MBIORO-READ-RANDOM      TO TRUE.
061600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
061700*
061800     IF  SS08WS-RC-FC-NOTFND
061900         MOVE MBEMWS-NOT-ON-FILE TO MS00-ERR-MESSAGE
062000     ELSE
062100         IF  MMOC-ADD-PENDING
062200             MOVE MBEMWS-ADD-PENDING
062300                                 TO MS00-ERR-MESSAGE
062400         ELSE
062500             IF  MMOC-REC-PURGED
062600                 MOVE MBEMWS-REC-PURGED
062700                                 TO MS00-ERR-MESSAGE
062800             ELSE
062900                 MOVE DFHBMUNF   TO MS00-COPY-ORG-A
063000                 GO TO C130-EDIT-COPY-STORE.
063100*
063200 C127-COPY-ORG-ERROR.
063300*
063400     SET SS08WS-ERROR-SW-YES     TO TRUE.
063500     MOVE DFHBMASB               TO MS00-COPY-ORG-LP-A
063600                                    MS00-COPY-ORG-RP-A.
063700     MOVE SS08WS-CURSOR          TO MS00-COPY-ORG-L.
063800     MOVE DFHBMNBF               TO MS00-COPY-ORG-A.
063900     MOVE DFHBMUNF               TO MS00-STORE-A.
064000     GO TO C130-EDIT-COPY-STORE.
064100*
064200 C130-EDIT-COPY-STORE.
064300*
064400*
064500     IF  MS00-COPY-STORE-L IS EQUAL TO ZERO
064600     OR  MS00-COPY-STORE IS NOT NUMERIC
064700     OR  MS00-COPY-STORE IS EQUAL TO ZEROES OR 999999999
064800         MOVE MBEMWS-INVALID-STORE
064900                                 TO MS00-ERR-MESSAGE
065000         GO TO C135-COPY-STORE-ERROR.
065100*
065200     MOVE DFHBMUNF               TO MS00-COPY-STORE-A.
065300*
065400     IF  MS00-COPY-ORG-L IS EQUAL TO SS08WS-CURSOR
065500         GO TO C150-EDIT-SELECT.
065600*
065700*****************************************************************
065800*    READ THE STORE MASTER FILE TO ENSURE THAT THE STORE        *
065900*    RECORD TO BE COPIED IS ON FILE AND AN ACTIVE RECORD        *
066000*****************************************************************
066100*
066200     MOVE MS00-COPY-ORG          TO MBIOWS-MMSM-ORG.
066300     MOVE MS00-COPY-STORE        TO MBIOWS-MMSM-STORE.
066400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
066500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
066600     SET MBIORO-READ-RANDOM      TO TRUE.
066700     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
066800*
066900     IF  SS08WS-RC-FC-NOTFND
067000         MOVE MBEMWS-NOT-ON-FILE TO MS00-ERR-MESSAGE
067100     ELSE
067200         IF  MMSM-REC-SINGLE-STORE
067300             MOVE MBEMWS-SINGLE-STORE-COPY
067400                                 TO MS00-ERR-MESSAGE
067500         ELSE
067600             IF  MMSM-ADD-PENDING
067700                 MOVE MBEMWS-ADD-PENDING
067800                                 TO MS00-ERR-MESSAGE
067900             ELSE
068000                 IF  MMSM-REC-CLOSED
068100                 OR  MMSM-REC-PURGING
068200                 OR  MMSM-REC-PENDING-PURGE
068300                 OR  MMSM-REC-PURGED
068400                     MOVE MBEMWS-NOT-ACTIVE
068500                                 TO MS00-ERR-MESSAGE
068600                 ELSE
068700                     SET WS-COPY-SW-YES
068800                                 TO TRUE
068900                     MOVE DFHBMUNF   TO MS00-COPY-STORE-A
069000                     GO TO C150-EDIT-SELECT.
069100*
069200 C135-COPY-STORE-ERROR.
069300*
069400     SET SS08WS-ERROR-SW-YES     TO TRUE.
069500     MOVE DFHBMASB               TO MS00-COPY-STORE-LP-A
069600                                    MS00-COPY-STORE-RP-A.
069700     MOVE SS08WS-CURSOR          TO MS00-COPY-STORE-L.
069800     MOVE DFHBMNBF               TO MS00-COPY-STORE-A.
069900     MOVE DFHBMUNF               TO MS00-ORG-A
070000                                    MS00-STORE-A.
070100*
070200 C150-EDIT-SELECT.
070300*
070400     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
070500         PERFORM
070600             VARYING X-MS00-DIR-AREA FROM +1 BY +1
070700             UNTIL   X-MS00-DIR-AREA IS GREATER THAN +12          RG800902
070800             MOVE DFHBMASF       TO MS00-SELECT-SCREEN-NBR-A
070900                                    (X-MS00-DIR-AREA)
071000         END-PERFORM.
071100*
071200     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
071300         PERFORM Y100-EDIT-SELECT
071400                                 THRU Y199-ES-EXIT
071500             VARYING X-MS00-DIR-AREA FROM +1 BY +1
071600             UNTIL   X-MS00-DIR-AREA IS GREATER THAN +12.         RG800902
071700/
071800 D000-RETURN-ERRORS SECTION.
071900*
072000     IF  SS08WS-ERROR-SW-NO
072100         GO TO E000-UPDATE-FILE
072200     ELSE
072300         IF  SS08WS-VALID-PF-KEY
072400         OR  SS08WS-EIBAID-VALID-PF-KEY
072500             SET MBCA-INITIAL-SCREEN-NBR
072600                                 TO TRUE
072700             GO TO F090-TRANSFER-XCTL.
072800*
072900     IF  MBCA-MBUI-UI-YES
073000         MOVE 'MBUI'             TO MBCA-TRANS-ID
073100                                    MBCA-PREV-TRANS-ID
073200         MOVE 01                 TO MBCA-SCREEN-NBR
073300         SET MBCA-MBUI-ERROR-YES TO TRUE
073400         GO TO F090-TRANSFER-XCTL.
073500*
073600***************************************************************
073700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
073800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
073900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
074000***************************************************************
074100*
074200     PERFORM MB60PD-INIT-STD-MAP-LINES
074300                                 THRU MB60PD-ISML-EXIT.
074400*
074500**********************
074600*    SEND THE MAP    *
074700**********************
074800*
074900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
075000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
075100                                 THRU MB60PD-SMWE-EXIT.
075200*
075300************************
075400*    RETURN TO CICS    *
075500************************
075600*
075700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
075800     PERFORM MB70PD-RETURN-TRANS-ID
075900                                 THRU MB70PD-RTI-EXIT.
076000/
076100 E000-UPDATE-FILE SECTION.
076200*
076300     IF  MBCA-MBUI-UI-YES
076400         SET MBCA-MBUI-ERROR-NO  TO TRUE.
076500*
076600     IF  MBCA-MBUI-UI-YES
076700     AND MBCA-MBUI-UI-UPDATE-NO
076800         GO TO F090-TRANSFER-XCTL.
076900*
077000********************************************************
077100*    READ THE FIELD SECURITY FILE TO ENSURE THAT       *
077200*    THE FIELD SECURITY RECORD CORRESPONDING TO THE    *
077300*    SIGNON IS ON FILE AND AN ACTIVE RECORD            *
077400********************************************************
077500*
077600     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
077700     PERFORM Y900-READ-MMFS      THRU Y919-READ-MMFS-EXIT.
077800*
077900     IF  MMFS-RECORD-NOT-FOUND
078000         MOVE MBCA-FIELD-SECURITY
078100                                 TO MBEMWS-FS-PROFILE
078200         MOVE SS08WS-CURSOR      TO MS00-ALT-TRANID-L
078300         MOVE MBEMWS-FIELD-SECURITY-NOTFND
078400                                 TO MS00-ERR-MESSAGE
078500         SET SS08WS-ERROR-SW-YES TO TRUE
078600         GO TO D000-RETURN-ERRORS.
078700*
078800*************************************************
078900*    GO TO THE PROPER SECTION OF THE PROGRAM    *
079000*    DEPENDING ON THE FUNCTION BEING DONE       *
079100*************************************************
079200*
079300     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
079400         GO TO F000-SETUP-COMMAREA.
079500*
079600**********************************
079700*    THIS IS THE ADD FUNCTION    *
079800**********************************
079900*
080000     IF  MMSM-RECORD-IS-ADD-PENDING
080100         GO TO F000-SETUP-COMMAREA.
080200*
080300*************************************************
080400*    WRITE THE NEW STORE RECORD FROM THE        *
080500*    INITIALIZED VALUES OR FROM THE STORE       *
080600*    RECORD THAT IS BEING COPIED.               *
080700*************************************************
080800*
080900     IF  WS-COPY-SW-YES
081000         GO TO E040-COPY-ADD.
081100*
081200 E020-ADD-NEW-RECORD.
081300*
081400*********************************************************
081500*    SET UP THE RECORD.  USE THE INITIALIZER RECORD     *
081600*    (MMSMIR) AS THE FIELD DEFAULTS.  CERTAIN FIELDS    *
081700*    FROM THE ORG ARE USED AS THE STORE DEFAULTS.       *
081800*********************************************************
081900*
082000     MOVE MMOC-TODAYS-JULIAN     TO MMSMIR-DATE.
082100     PERFORM MMSMPX-INIT-RECORD  THRU MMSMPX-IR-EXIT.
082200     MOVE MMSMIR-RECORD          TO MMSM-RECORD.
082300     MOVE MS00-ORG               TO MMSM-ORG.
082400     MOVE MS00-STORE             TO MMSM-STORE.
082500     MOVE MBCA-START-DATE        TO MMSM-LAST-MAINT-DATE.
082600     MOVE MBCA-OPERATOR-ID       TO MMSM-LAST-MAINT-OPER.
082700*
082800     PERFORM Y040-MOVE-ORG-DEFAULTS
082900                                 THRU Y059-MOD-EXIT.
083000*
083100     MOVE MMOC-DATE-NEXT-PROC    TO MMSM-DATE-OPENED.
083200     MOVE MMOC-CURRENCY-CODE     TO MMSM-AUTH-CURRENCY-CODE.
083300*
083400     IF  MBCA-PTI-FUNCTION-IS-MODEL
083500         SET MMSM-REC-MODEL      TO TRUE.
083600*
083700     GO TO E060-WRITE-MMSM.
083800*
083900 E040-COPY-ADD.
084000*
084100**************************************************
084200*    RE-READ THE STORE RECORD TO BE COPIED       *
084300**************************************************
084400*
084500     MOVE MS00-COPY-ORG          TO MBIOWS-MMSM-ORG.
084600     MOVE MS00-COPY-STORE        TO MBIOWS-MMSM-STORE.
084700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
084800     SET MBIORO-READ-RANDOM      TO TRUE.
084900     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
085000*
085100***************************
085200*    SET UP THE RECORD    *
085300***************************
085400*
085500     MOVE MS00-ORG               TO MMSM-ORG.
085600     MOVE MS00-STORE             TO MMSM-STORE.
085700*
085800     IF  MS00-COPY-ORG IS NOT EQUAL TO MS00-ORG
085900         MOVE MMSMIR-STORE-CHAIN-INFO
086000                                 TO MMSM-STORE-CHAIN-INFO.
086100*
086200     IF  NOT MMSM-REC-MODEL
086300         MOVE MMSMIR-DEMOGRAPHICS-AREA
086400                                 TO MMSM-DEMOGRAPHICS-AREA
086500         MOVE MMSMIR-DBA-DEMOGRAPHICS
086600                                 TO MMSM-DBA-DEMOGRAPHICS
086700         MOVE MMSMIR-MEMO-DATA   TO MMSM-MEMO-DATA.
086800*
086900*
087000     MOVE MMSMIR-REC-STATUS      TO MMSM-REC-STATUS.
087100     MOVE MMSMIR-ONLINE-STATUS   TO MMSM-ONLINE-STATUS.
087200     MOVE MMSMIR-LAST-MAINT-OPER TO MMSM-LAST-MAINT-OPER.
087300*
087400*************************************************************
087500*    INITIALIZE THE FIELDS THAT ARE NOT PART OF THE COPY    *
087600*************************************************************
087700*
087800     IF  MBCA-PTI-FUNCTION-IS-MODEL
087900         SET MMSM-REC-MODEL      TO TRUE.
088000*
088100     MOVE MMSMIR-DATE-AREA       TO MMSM-DATE-AREA.
088200     MOVE MMOC-DATE-NEXT-PROC    TO MMSM-DATE-OPENED.
088300*
088400     IF  MMSM-REC-MODEL
088500         SET MMSM-DO-NOT-SEND-CRB
088600                                 TO TRUE
088700     ELSE
088800         SET MMSM-CRB-NEW-STORE  TO TRUE.
088900*
089000     MOVE MMSMIR-CUST-STMT-LINE-DATA
089100                                 TO MMSM-CUST-STMT-LINE-DATA.
089200     MOVE MMSMIR-STATS-CONTROL-AREA
089300                                 TO MMSM-STATS-CONTROL-AREA.
089400     INITIALIZE MMSM-POS-INFO.
089500     INITIALIZE MMSM-IMP-INFO.
089600     INITIALIZE MMSM-NBR-BULLETINS.
089700*
089800 E060-WRITE-MMSM.
089900*
090000     MOVE ZERO                   TO MMSM-OCCURRENCE-YEAR (15).
090100*
090200     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
090300     SET MBIORO-WRITE            TO TRUE.
090400     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
090500*
090600     MOVE MS00-STORE             TO MBCA-STORE.
090700/
090800 F000-SETUP-COMMAREA SECTION.
090900*
091000***************************************************************
091100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
091200***************************************************************
091300*
091400     MOVE MMOC-CURRENCY-CODE     TO MBCA-CURRENCY-CODE.
091500     MOVE MMOC-CURRENCY-NOD      TO MBCA-CURRENCY-NOD.
091600     MOVE MMOC-PERCENT-NOD       TO MBCA-PERCENT-NOD.
091700     MOVE MMOC-PER-ITEM-NOD      TO MBCA-PER-ITEM-NOD.
091800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
091900*
092000     MOVE MBIOWS-MMSM-DIRECT-KEY-CODE
092100                                 TO MBCA-KEY-CODE.
092200*
092300     IF  MBCA-PTI-FUNCTION-IS-MODEL
092400         SET MBCA-PTI-FUNCTION-IS-ADD
092500                                 TO TRUE
092600         MOVE MBCA-PTI-POS-3-4   TO MBCA-TI-POS-3-4.
092700*
092800     PERFORM MB60PD-EDIT-PAGE-NBR
092900                                 THRU MB60PD-EPN-EXIT.
093000*
093100     IF  SS08WS-VALID-PF-KEY
093200     OR  SS08WS-EIBAID-VALID-PF-KEY
093300         SET MBCA-INITIAL-SCREEN-NBR
093400                                 TO TRUE.
093500*
093600 F090-TRANSFER-XCTL.
093700*
093800     IF  MBCA-MBUI-UI-YES
093900         MOVE 'MBUI'             TO MBCA-TRANS-ID
094000                                    MBCA-PREV-TRANS-ID
094100         MOVE 01                 TO MBCA-SCREEN-NBR
094200         MOVE MBMS00I            TO MBUITS-VAR-DATA
094300         MOVE LENGTH OF MBMS00I  TO MBUITS-VAR-LENGTH
094400         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
094500         EXEC CICS WRITEQ TS
094600                   QUEUE   (TS-QUEUE-NAME)
094700                   FROM    (MBUITS-RECORD)
094800                   LENGTH  (LENGTH  OF MBUITS-RECORD)
094900
095000              END-EXEC.
095100*
095200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
095300     PERFORM MB70PD-XCTL-TO-MBOXCTL
095400                                 THRU MB70PD-XTM-EXIT.
095500/
095600 U000-USER-ROUTINES SECTION.
095700*
095800 U020-CHECK-DIGIT-ROUTINE-1.
095900*
096000*************************************************************
096100*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
096200*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
096300*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
096400*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
096500*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
096600*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
096700*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
096800*    CHECK DIGIT ERROR.                                     *
096900*************************************************************
097000*
097100     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
097200*
097300 U039-CDR1-EXIT.
097400     EXIT.
097500*
097600 U040-CHECK-DIGIT-ROUTINE-2.
097700*
097800*************************************************************
097900*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
098000*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
098100*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
098200*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
098300*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
098400*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
098500*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
098600*    CHECK DIGIT ERROR.                                     *
098700*************************************************************
098800*
098900     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
099000*
099100 U059-CDR2-EXIT.
099200     EXIT.
099300*
099400 U060-CHECK-DIGIT-ROUTINE-3.
099500*
099600*************************************************************
099700*    ADD YOUR USER SUPPLIED CHECK DIGIT ROUTINE HERE.       *
099800*    THERE IS ONLY ONE REQUIREMENT.  AFTER PERFORMING       *
099900*    THIS ROUTINE, MOVE ZERO TO 'SS05WS-CHECK-DIGIT' IF     *
100000*    THERE ARE NO CHECK DIGIT ERRORS.  MOVE 1 THROUGH       *
100100*    9 TO 'SS05WS-CHECK-DIGIT' IF THERE ARE ERRORS DETECTED. *
100200*    'SS05WS-CHECK-DIGIT' IS USED BY THE MAINLINE ROUTINE   *
100300*    (BY CONDITION NAMES) TO DETERMINE IF THERE IS A        *
100400*    CHECK DIGIT ERROR.                                     *
100500*************************************************************
100600*
100700     MOVE ZERO                   TO SS05WS-CHECK-DIGIT.
100800*
100900 U079-CDR3-EXIT.
101000     EXIT.
101100/
101200 Y000-PERFORMED-ROUTINES SECTION.
101300*
101400 Y020-VALIDATE-CHECK-DIGIT.
101500*
101600     IF  MBCA-PTI-FUNCTION-ADD-OR-MODEL
101700         NEXT SENTENCE
101800     ELSE
101900         GO TO Y039-VCD-EXIT.
102000*
102100**********************************************
102200*    HANDLE THE USER CHECK DIGIT ROUTINES    *
102300**********************************************
102400*
102500     IF  MMOC-SMC-MOD-CHECK-ROUTINE1
102600         MOVE 'UC01'             TO MBCA-PROGRAM-LOCATION
102700         PERFORM U020-CHECK-DIGIT-ROUTINE-1
102800                                 THRU U039-CDR1-EXIT
102900         GO TO Y039-VCD-EXIT.
103000*
103100     IF  MMOC-SMC-MOD-CHECK-ROUTINE2
103200         MOVE 'UC02'             TO MBCA-PROGRAM-LOCATION
103300         PERFORM U040-CHECK-DIGIT-ROUTINE-2
103400                                 THRU U059-CDR2-EXIT
103500         GO TO Y039-VCD-EXIT.
103600*
103700     IF  MMOC-SMC-MOD-CHECK-ROUTINE3
103800         MOVE 'UC03'             TO MBCA-PROGRAM-LOCATION
103900         PERFORM U060-CHECK-DIGIT-ROUTINE-3
104000                                 THRU U079-CDR3-EXIT
104100         GO TO Y039-VCD-EXIT.
104200*
104300******************************************************
104400*    VALIDATE THE CHECK DIGIT BY THE MBS SUPPLIED    *
104500*    DOUBLE-ADD-DOUBLE CHECK DIGIT ROUTINE           *
104600******************************************************
104700*
104800     MOVE MS00-STORE             TO SS05WS-NBR
104900     MOVE ZERO                   TO SS05WS-OPTION.
105000*
105100     PERFORM SS09PD-DOUBLE-ADD-DOUBLE
105200                                 THRU SS09PD-DAD-EXIT.
105300*
105400 Y039-VCD-EXIT.
105500     EXIT.
105600*
105700 Y040-MOVE-ORG-DEFAULTS.
105800*
105900*************************************************************
106000*    SET USER DATA INDEXES AND MOVE THE USER DATA TITLES    *
106100*************************************************************
106200*
106300     SET X-MMOC-SUC              TO 1.
106400     SET X-MMSM-USER-DATA        TO 1.
106500*
106600 Y050-MOVE-USER-DATA-TITLES.
106700*
106800     MOVE MMOC-STORE-USER-CODE (X-MMOC-SUC)
106900                                 TO MMSM-USER-DATA-TITLE
107000                                     (X-MMSM-USER-DATA).
107100*
107200     IF  X-MMOC-SUC IS LESS THAN 8
107300         SET X-MMOC-SUC          UP BY 1
107400         SET X-MMSM-USER-DATA    UP BY 1
107500         GO TO Y050-MOVE-USER-DATA-TITLES.
107600*
107700*************************************************************
107800*    SET USER DATE INDEXES AND MOVE THE USER DATE TITLES    *
107900*************************************************************
108000*
108100     SET X-MMOC-SUD              TO 1.
108200     SET X-MMSM-USER-DATA        TO 1.
108300*
108400 Y052-MOVE-USER-DATE-TITLES.
108500*
108600     MOVE MMOC-STORE-USER-DATE (X-MMOC-SUD)
108700                                 TO MMSM-USER-DATE-TITLE
108800                                     (X-MMSM-USER-DATE).
108900*
109000     IF  X-MMOC-SUD IS LESS THAN 8
109100         SET X-MMOC-SUD          UP BY 1
109200         SET X-MMSM-USER-DATE    UP BY 1
109300         GO TO Y052-MOVE-USER-DATE-TITLES.
109400*
109500*****************************************************************
109600*    SET USER AMOUNT INDEXES AND MOVE THE USER AMOUNT TITLES    *
109700*****************************************************************
109800*
109900     SET X-MMOC-SUA              TO 1.
110000     SET X-MMSM-USER-AMT         TO 1.
110100*
110200 Y054-MOVE-USER-AMOUNT-TITLES.
110300*
110400     MOVE MMOC-STORE-USER-AMOUNT (X-MMOC-SUA)
110500                                 TO MMSM-USER-AMT-TITLE
110600                                     (X-MMSM-USER-AMT).
110700*
110800     IF  X-MMOC-SUA IS LESS THAN 8
110900         SET X-MMOC-SUA          UP BY 1
111000         SET X-MMSM-USER-AMT     UP BY 1
111100         GO TO Y054-MOVE-USER-AMOUNT-TITLES.
111200*
111300 Y059-MOD-EXIT.
111400     EXIT.
111500*
111600 Y100-EDIT-SELECT.
111700*
111800     IF  MS00-SELECT-L (X-MS00-DIR-AREA) IS LESS THAN 1
111900         GO TO Y199-ES-EXIT.
112000*
112100     IF  MS00-SELECT-L (X-MS00-DIR-AREA) IS GREATER THAN ZERO
112200         IF  MS00-SELECT-VALID (X-MS00-DIR-AREA)
112300             MOVE MS00-SELECT-SCREEN-NBR (X-MS00-DIR-AREA)
112400                                 TO TTN0162I
112500                                    MBCA-CARD-PROD
112600             MOVE +2             TO TTN0162L
112700             MOVE DFHBMFSE       TO MS00-SELECT-A
112800                                    (X-MS00-DIR-AREA)
112900             SET X-MS00-DIR-AREA TO +12                           RG800902
113000         ELSE
113100             SET SS08WS-ERROR-SW-YES TO TRUE
113200             MOVE DFHBMASB       TO MS00-SELECT-LP-A
113300                                    (X-MS00-DIR-AREA)
113400                                    MS00-SELECT-RP-A
113500                                    (X-MS00-DIR-AREA)
113600             MOVE DFHBMUBF       TO MS00-SELECT-A
113700                                    (X-MS00-DIR-AREA)
113800             MOVE SS08WS-CURSOR  TO MS00-SELECT-L
113900                                    (X-MS00-DIR-AREA).
114000*
114100 Y199-ES-EXIT.
114200     EXIT.
114300*
114400 Y900-READ-MMFS.
114500*
114600****************************************
114700*    READ THE FIELD SECURITY RECORD    *
114800*    TO OBTAIN THE SECURITY CODES      *
114900****************************************
115000*
115100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
115200     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
115300     SET MBIORO-READ-RANDOM      TO TRUE.
115400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
115500     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
115600*
115700     IF  SS08WS-RC-FC-NOTFND
115800     OR  NOT MMFS-REC-ACTIVE
115900         SET MMFS-RECORD-NOT-FOUND
116000                                 TO TRUE.
116100*
116200 Y919-READ-MMFS-EXIT.
116300     EXIT.
116400/
116500 Z000-COPIED-ROUTINES SECTION.
116600*
116700/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
116800     COPY SS26PD.
116900*
117000/    ROUTINE TO NUMERICALLY EDIT TIME
117100     COPY SS27PD.
117200*
117300**********************************
117400*    JUL TO GREG DATE ROUTINE    *
117500**********************************
117600*
117700     COPY SS08PD.
117800/
117900*****************************
118000*    CHECK DIGIT ROUITNE    *
118100*****************************
118200*
118300     COPY SS09PD.
118400/
118500*********************************
118600*    LINE 24 PF KEYS ROUTINE    *
118700*********************************
118800*
118900     COPY SS15PD.
119000/
119100*******************************************
119200*    ORG FILE RECORD 1 ACCESS ROUTINES    *
119300*******************************************
119400*
119500     COPY MMOCAO.
119600/
119700*********************************************
119800*    STORE MASTER RECORD ACCESS ROUTINES *
119900*********************************************
120000*
120100     COPY MMSMAO.
120200/
120300********************************************
120400*    FIELD SECURITY RECORD ACCESS ROUTINES *
120500********************************************
120600*
120700     COPY MMFSAO.
120800/
120900**********************************************************
121000*    STORE MASTER INITIALIZE STATISTICS AREAS ROUTINE *
121100**********************************************************
121200*
121300     COPY MMSMPX.
121400/
121500*****************************
121600*    ONLINE MAP ROUTINES    *
121700*****************************
121800*
121900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS00 '
122000                           MBMAPXXI BY MBMS00I
122100                           MBMAPXXO BY MBMS00O.
122200/
122300***************************
122400*    ONLINE PROCEDURES    *
122500***************************
122600*
122700     COPY MB70PD.
122800/
122900     COPY SMFTPXO.
