000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS05.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMS05 - STORE MASTER RECORD ADD/MAINT/INQ              *
000800*                SCREEN 05                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS05 (SCREEN 05)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMSM (STORE MASTER FILE)                   *
001800*                 B. MMMM (MERCHANT MASTER FILE)                *
001900*                 C. MMFS (FIELD SECURITY FILE)                 *
002000*                 D. MML1 (LOG FILE)                            *
002100*                                                               *
002200*****************************************************************
002300*
002400 ENVIRONMENT DIVISION.
002500*
002600 DATA DIVISION.
002700*
002800 WORKING-STORAGE SECTION.
002900*
003000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003100*
003200 01  FILLER                  PIC  X(14)      VALUE
003300     'MISCELLANEOUS:'.
003400*
003500 01  WS-MISCELLANEOUS.
003600     03  WS-FIELD-POSITION   PIC S9(03)      COMP-3
003700                                             VALUE ZEROES.
003800     03  WS-INDEX-X.
003900         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
004000     03  WS-IMPRINTER-NBR    PIC S9(05)      COMP-3
004100                                             VALUE ZEROES.
004200     03  WS-POS-NBR          PIC S9(05)      COMP-3
004300                                             VALUE ZEROES.
004400*
004500 01  FILLER                  PIC  X(17)      VALUE
004600     'PROGRAM SWITCHES:'.
004700*
004800 01  WS-PROGRAM-SWITCHES.
004900     03  WS-IMPRINTER-ERROR-SW
005000                             PIC  X(01)      VALUE 'N'.
005100         88  IMPRINTER-ERRORS-EXIST          VALUE 'Y'.
005200         88  NO-IMPRINTER-ERRORS-EXIST       VALUE 'N'.
005300     03  WS-POS-ERROR-SW     PIC  X(01)      VALUE 'N'.
005400         88  POS-ERRORS-EXIST                VALUE 'Y'.
005500         88  NO-POS-ERROS-EXIST              VALUE 'N'.
005600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005700         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005900     03  TS-QUEUE-NAME.
006000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
006200/
006300 01  FILLER                  PIC  X(29)      VALUE
006400     'I/O REQUEST BLOCK WORK AREAS:'.
006500*
006600     COPY MBIOWS.
006700/
006800 01  FILLER                  PIC  X(18)      VALUE
006900     'I/O REQUEST BLOCK:'.
007000*
007100     COPY MBIORO.
007200/
007300 01  FILLER                  PIC  X(25)      VALUE
007400     'LOG RECORD REQUEST BLOCK:'.
007500*
007600     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
007700/
007800 01  FILLER                  PIC  X(29)      VALUE
007900     'STORE MASTER FIELDS TABLE:'.
008000*
008100     COPY MMSMTB.
008200/
008300 01  FILLER                  PIC  X(29)      VALUE
008400     'STORE INIT RECORD         '.
008500*
008600     COPY MMSMIR.
008700/
008800 01  FILLER                  PIC  X(20)      VALUE
008900     'CCS DATE WORK AREAS:'.
009000*
009100     COPY SS01WS.
009200/
009300 01  FILLER                  PIC  X(15)      VALUE
009400     'CCS WORK AREAS:'.
009500*
009600     COPY SS08WS.
009700/
009800     COPY SS00WS.
009900/
010000     COPY SMFTWS.
010100/
010200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010300/
010400     COPY MB61LK.
010500/
010600     COPY SMCAWS.
010700/
010800     COPY SMCARL.
010900/
011000     COPY SC00WS.
011100/
011200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
011300/
011400 LINKAGE SECTION.
011500*
011600 01  DFHCOMMAREA.
011700*
011800     COPY MB60WS.
011900/
012000*****************************
012100*    STORE MASTER MAP       *
012200*****************************
012300*
012400     COPY MBMS05.
012500/
012600******************************************
012700*    STORE MASTER MAP REDEFINITION       *
012800******************************************
012900*
013000     COPY MBMS05R.
013100/
013200****************************************
013300*    STORE MASTER     RECORD LAYOUT    *
013400****************************************
013500*
013600     COPY MMSMRL.
013700/
013800****************************************
013900*    MERCHANT MASTER  RECORD LAYOUT    *
014000****************************************
014100*
014200     COPY MMMMRL.
014300/
014400**************************************
014500*    FIELD SECURITY RECORD LAYOUT    *
014600**************************************
014700*
014800     COPY MMFSRL.
014900/
015000***************************
015100*    LOG RECORD LAYOUT    *
015200***************************
015300*
015400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
015500/
015600***************************************
015700*    USER INPUT TEMP STORAGE RECORD   *
015800***************************************
015900*
016000     COPY MBUITS.
016100/
016200 PROCEDURE DIVISION.
016300*
016400 A000-HOUSEKEEPING SECTION.
016500*
016600 A020-INIT.
016700*
016800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
016900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
017000                                 THRU MB70PD-OLH-EXIT.
017100*
017200     IF  MBCA-MBUI-UI-YES
017300         NEXT SENTENCE
017400     ELSE
017500         SET MBCA-MBUI-UI-NO     TO TRUE.
017600*
017700     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
017800*
017900     IF  MBCA-RECEIVE-SCREEN
018000         GO TO C000-RECEIVE-SCREEN.
018100/
018200 B000-SEND-SCREEN SECTION.
018300*
018400*********************************************
018500*    GET CICS STORAGE NEEDED FOR THE MAP    *
018600*********************************************
018700*
018800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
018900     PERFORM MB60PD-GETMAIN-FOR-MAP
019000                                 THRU MB60PD-GFM-EXIT.
019100*
019200*******************************************
019300*    INITIALIZE THE STANDARD MAP LINES    *
019400*******************************************
019500*
019600     PERFORM MB60PD-INIT-STD-MAP-LINES
019700                                 THRU MB60PD-ISML-EXIT.
019800*
019900*****************************************
020000*    READ THE STORE MASTER RECORD       *
020100*    FOR SUBSEQUENT DISPLAY             *
020200*****************************************
020300*
020400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
020500                                    MS05-ORG.
020600     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
020700                                    MS05-STORE.
020800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020900     SET MBIORO-READ-RANDOM      TO TRUE.
021000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
021100*
021200*********************************************
021300*    MOVE THE PRIMARY NAME TO THE SCREEN    *
021400*********************************************
021500*
021600     MOVE MMSM-NA-LINE (1 1)     TO MS05-STORE-NAME.
021700*
021800****************************************
021900*    READ THE FIELD SECURITY RECORD    *
022000****************************************
022100*
022200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
022300     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
022400*
022500 B020-MOVE-FIELDS-TO-SCREEN.
022600*
022700*****************************************
022800*    MOVE THE STORE MASTER FIELDS       *
022900*    FROM THE RECORD TO THE SCREEN      *
023000*****************************************
023100*
023200     PERFORM Y010-MOVE-IMPRINTER-TITLES
023300                                 THRU Y019-EXIT.
023400*
023500     PERFORM Y030-MOVE-IMPRINTER-NUMBERS
023600                                 THRU Y039-EXIT.
023700*
023800     PERFORM Y050-MOVE-POS-TITLES
023900                                 THRU Y059-EXIT.
024000*
024100     PERFORM Y070-MOVE-POS-NUMBERS
024200                                 THRU Y079-EXIT.
024300*
024400     PERFORM Y130-MOVE-PL-CATEGORY
024500                                 THRU Y139-EXIT.
024600*
024700     PERFORM Y110-MOVE-PL-FLOOR-LIMIT
024800                                 THRU Y119-EXIT.
024900*
025000     PERFORM Y170-MOVE-STORE-TYPE
025100                                 THRU Y179-EXIT.
025200*
025300     PERFORM Y150-MOVE-MEDIA-TYPE
025400                                 THRU Y159-EXIT.
025500*
025600     PERFORM Y210-MOVE-LOCATION  THRU Y219-EXIT.
025700*
025800     PERFORM Y190-MOVE-BULLETIN-TYPE
025900                                 THRU Y199-EXIT.
026000*
026100     PERFORM Y250-MOVE-OFFICER-ID
026200                                 THRU Y259-EXIT.
026300*
026400     PERFORM Y230-MOVE-AGENT-BANK
026500                                 THRU Y239-EXIT.
026600*
026700     PERFORM Y270-MOVE-BRANCH    THRU Y279-EXIT.
026800*
026900     PERFORM Y290-MOVE-CHECK-COMPANY
027000                                 THRU Y299-EXIT.
027100*
027200     PERFORM Y310-MOVE-CUST-STMT-LINE
027300                                 THRU Y319-EXIT.
027400*
027500******************************************
027600*    SET THE CURSOR AND SCREEN NUMBER    *
027700******************************************
027800*
027900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
028000         MOVE SS08WS-CURSOR      TO MS05-ALT-TRANID-L
028100     ELSE
028200         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
028300*
028400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
028500*
028600***********************************************************
028700*    SET THE CURRENCY CODE, CURRENCY NOD
028800*            PER ITEM NOD, PERCENT NOD.
028900***********************************************************
029000     IF MS05-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
029100        PERFORM MB06PD-FORMAT-MESSAGE-LINE
029200                                 THRU MB06PD-FML-EXIT
029300        MOVE SS08WS-FORMATTED-MSG   TO MS05-ERROR-MESSAGE
029400     END-IF.
029500*
029600**********************
029700*    SEND THE MAP    *
029800**********************
029900*
030000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
030100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
030200                                 THRU MB60PD-SMWE-EXIT.
030300*
030400************************
030500*    RETURN TO CICS    *
030600************************
030700*
030800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
030900     PERFORM MB70PD-RETURN-TRANS-ID
031000                                 THRU MB70PD-RTI-EXIT.
031100/
031200 C000-RECEIVE-SCREEN SECTION.
031300*
031400******************************************
031500*    THIS SECTION RECEIVES THE SCREEN    *
031600******************************************
031700*
031800     IF  MBCA-MBUI-UI-YES
031900*
032000****************************************************************
032100*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
032200****************************************************************
032300*
032400         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
032500         EXEC CICS GETMAIN
032600                   FLENGTH (LENGTH  OF MBUITS-RECORD)
032700
032800                   SET     (ADDRESS OF MBUITS-RECORD)
032900
033000              END-EXEC
033100*
033200***********************************************
033300*    READ THE TEMP STORAGE RECORD             *
033400***********************************************
033500*
033600         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
033700*
033800         EXEC CICS READQ TS
033900                   QUEUE   (TS-QUEUE-NAME)
034000                   INTO    (MBUITS-RECORD)
034100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
034200                   ITEM    (1)
034300              END-EXEC
034400*
034500***********************************************
034600*    DELETE THE TEMP STORAGE RECORD           *
034700***********************************************
034800*
034900         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
035000*
035100         EXEC CICS IGNORE CONDITION
035200                   QIDERR
035300              END-EXEC
035400*
035500         EXEC CICS DELETEQ TS
035600                   QUEUE  (TS-QUEUE-NAME)
035700              END-EXEC
035800         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
035900         PERFORM MB60PD-GETMAIN-FOR-MAP
036000                                 THRU MB60PD-GFM-EXIT
036100         MOVE MBUITS-VAR-DATA    TO MBMS05I
036200     ELSE
036300         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
036400         PERFORM MB60PD-RECEIVE-MAP
036500                                 THRU MB60PD-RM-EXIT.
036600*
036700**************************************************************
036800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
036900**************************************************************
037000*
037100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
037200     PERFORM MB60PD-NEW-TRANS-ROUTINE
037300                                 THRU MB60PD-NTR-EXIT.
037400*
037500*****************************************
037600*    READ THE STORE MASTER RECORD       *
037700*****************************************
037800*
037900*
038000     IF  MBCA-PTI-FUNCTION-IS-ADD
038100     AND MBCA-MBUI-UI-YES
038200     AND MBCA-MBUI-UI-UPDATE-NO
038300         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
038400         SET MBIORO-GETMAIN      TO TRUE
038500         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
038600         MOVE MMSMIR-RECORD      TO MMSM-RECORD
038700     ELSE
038800         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
038900         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
039000                                    MS05-ORG
039100         MOVE MBCA-STORE         TO MBIOWS-MMSM-STORE
039200                                    MS05-STORE
039300         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
039400         SET MBIORO-READ-RANDOM  TO TRUE
039500         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
039600         IF  SS08WS-RC-FC-NOTFND
039700         AND MBCA-MBUI-UI-YES
039800             MOVE 'MBUI'         TO MBCA-TRANS-ID
039900                                    MBCA-PREV-TRANS-ID
040000             MOVE 01             TO MBCA-SCREEN-NBR
040100             MOVE 'STR'          TO MS05-FILLER
040200             SET MBCA-MBUI-ERROR-YES
040300                                 TO TRUE
040400             GO TO F000-SETUP-COMMAREA.
040500*
040600     IF (MBCA-PTI-FUNCTION-IS-MAINT
040700     AND MBCA-MBUI-UI-YES
040800     AND (MMSM-REC-PURGED
040900       OR MMSM-REC-INCOMPLETE))
041000     OR
041100        (MBCA-PTI-FUNCTION-IS-ADD
041200     AND MBCA-MBUI-UI-YES
041300     AND MMSM-REC-PURGED)
041400         MOVE 'MBUI'             TO MBCA-TRANS-ID
041500                                    MBCA-PREV-TRANS-ID
041600         MOVE 01                 TO MBCA-SCREEN-NBR
041700         MOVE 'STR'              TO MS05-FILLER
041800         SET MBCA-MBUI-ERROR-YES
041900                                 TO TRUE
042000         GO TO F000-SETUP-COMMAREA.
042100*
042200****************************************************
042300*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
042400****************************************************
042500*
042600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
042700         GO TO F000-SETUP-COMMAREA.
042800*
042900*********************************************
043000*    MOVE THE PRIMARY NAME TO THE SCREEN    *
043100*********************************************
043200*
043300     MOVE MMSM-NA-LINE (1 1)     TO MS05-STORE-NAME.
043400*
043500****************************************
043600*    READ THE FIELD SECURITY RECORD    *
043700****************************************
043800*
043900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
044000     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
044100*
044200 C020-FIELD-EDITS.
044300*
044400*********************
044500*    FIELD EDITS    *
044600*********************
044700*
044800     PERFORM W010-EDIT-IMPRINTER-TITLES
044900                                 THRU W019-EXIT.
045000*
045100     PERFORM W030-EDIT-IMPRINTER-NUMBERS
045200                                 THRU W039-EXIT.
045300*
045400     PERFORM W050-EDIT-POS-TITLES
045500                                 THRU W059-EXIT.
045600*
045700     PERFORM W070-EDIT-POS-NUMBERS
045800                                 THRU W079-EXIT.
045900*
046000     PERFORM W130-EDIT-PL-CATEGORY
046100                                 THRU W139-EXIT.
046200*
046300     PERFORM W110-EDIT-PL-FLOOR-LIMIT
046400                                 THRU W119-EXIT.
046500*
046600     PERFORM W170-EDIT-STORE-TYPE
046700                                 THRU W179-EXIT.
046800*
046900     PERFORM W150-EDIT-MEDIA-TYPE
047000                                 THRU W159-EXIT.
047100*
047200     PERFORM W210-EDIT-LOCATION  THRU W219-EXIT.
047300*
047400     PERFORM W190-EDIT-BULLETIN-TYPE
047500                                 THRU W199-EXIT.
047600*
047700     PERFORM W250-EDIT-OFFICER-ID
047800                                 THRU W259-EXIT.
047900*
048000     PERFORM W230-EDIT-AGENT-BANK
048100                                 THRU W239-EXIT.
048200*
048300     PERFORM W270-EDIT-BRANCH    THRU W279-EXIT.
048400*
048500     PERFORM W290-EDIT-CHECK-COMPANY
048600                                 THRU W299-EXIT.
048700*
048800     PERFORM W310-EDIT-CUST-STMT-LINE
048900                                 THRU W319-EXIT.
049000*
049100*********************
049200*    CROSS EDITS    *
049300*********************
049400*
049500     PERFORM W520-IMPRINTER-CROSS-EDITS
049600                                 THRU W529-EXIT.
049700*
049800     PERFORM W530-POS-CROSS-EDITS
049900                                 THRU W539-PCE-EXIT.
050000/
050100 D000-RETURN-ERRORS SECTION.
050200*
050300     IF  SS08WS-ERROR-SW-NO
050400         GO TO E000-UPDATE-FILE.
050500*
050600     IF  MBCA-MBUI-UI-YES
050700         MOVE 'MBUI'             TO MBCA-TRANS-ID
050800                                    MBCA-PREV-TRANS-ID
050900         MOVE 01                 TO MBCA-SCREEN-NBR
051000         SET MBCA-MBUI-ERROR-YES TO TRUE
051100         GO TO F000-SETUP-COMMAREA.
051200*
051300***************************************************************
051400*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
051500*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
051600*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
051700***************************************************************
051800*
051900     PERFORM MB60PD-INIT-STD-MAP-LINES
052000                                 THRU MB60PD-ISML-EXIT.
052100*
052200***********************************************************
052300*    SET THE CURRENCY CODE, CURRENCY NOD
052400*            PER ITEM NOD, PERCENT NOD.
052500***********************************************************
052600     IF MS05-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
052700        PERFORM MB06PD-FORMAT-MESSAGE-LINE
052800                                 THRU MB06PD-FML-EXIT
052900        MOVE SS08WS-FORMATTED-MSG   TO MS05-ERROR-MESSAGE
053000     END-IF.
053100**********************
053200*    SEND THE MAP    *
053300**********************
053400*
053500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
053600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
053700                                 THRU MB60PD-SMDO-EXIT.
053800*
053900************************
054000*    RETURN TO CICS    *
054100************************
054200*
054300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
054400     PERFORM MB70PD-RETURN-TRANS-ID
054500                                 THRU MB70PD-RTI-EXIT.
054600/
054700 E000-UPDATE-FILE SECTION.
054800*
054900     IF  MBCA-MBUI-UI-YES
055000         SET MBCA-MBUI-ERROR-NO  TO TRUE.
055100*
055200     IF  MBCA-MBUI-UI-YES
055300     AND MBCA-MBUI-UI-UPDATE-NO
055400         GO TO F000-SETUP-COMMAREA.
055500*
055600****************************************************
055700*    READ THE STORE MASTER RECORD FOR UPDATE       *
055800****************************************************
055900*
056000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
056100     SET MBIORO-READ-RANDOM-UPDATE
056200                                 TO TRUE.
056300     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
056400*
056500*************************************
056600*    OBTAIN STORAGE FOR LOG FILE    *
056700*************************************
056800*
056900     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
057000     SET MBIORO-GETMAIN          TO TRUE.
057100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
057200*
057300*
057400 E020-UPDATE-FIELDS.
057500*
057600     PERFORM X001-UPDATE-MERCH-IMP-POS
057700                                 THRU X009-EXIT.
057800*
057900*************************************************
058000*    SET UP THE COMMON PORTION OF THE RECORD    *
058100*************************************************
058200     MOVE 'SM'                   TO MML1-FILE-CODE.
058300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
058400     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
058500     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
058600     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
058700     MOVE ZEROS                  TO MML1-SOURCE-CODE.
058800     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
058900*
059000     PERFORM X010-UPDATE-IMPRINTER-TITLES
059100                                 THRU X019-EXIT.
059200*
059300     PERFORM X030-UPDATE-IMPRINTER-NUMBERS
059400                                 THRU X039-EXIT.
059500*
059600     PERFORM X050-UPDATE-POS-TITLES
059700                                 THRU X059-EXIT.
059800*
059900     PERFORM X070-UPDATE-POS-NUMBERS
060000                                 THRU X079-EXIT.
060100*
060200     PERFORM X130-UPDATE-PL-CATEGORY
060300                                 THRU X139-EXIT.
060400*
060500     PERFORM X110-UPDATE-PL-FLOOR-LIMIT
060600                                 THRU X119-EXIT.
060700*
060800     PERFORM X170-UPDATE-STORE-TYPE
060900                                 THRU X179-EXIT.
061000*
061100     PERFORM X150-UPDATE-MEDIA-TYPE
061200                                 THRU X159-EXIT.
061300*
061400     PERFORM X210-UPDATE-LOCATION
061500                                 THRU X219-EXIT.
061600*
061700     PERFORM X190-UPDATE-BULLETIN-TYPE
061800                                 THRU X199-EXIT.
061900*
062000     PERFORM X250-UPDATE-OFFICER-ID
062100                                 THRU X259-EXIT.
062200*
062300     PERFORM X230-UPDATE-AGENT-BANK
062400                                 THRU X239-EXIT.
062500*
062600     PERFORM X270-UPDATE-BRANCH  THRU X279-EXIT.
062700*
062800     PERFORM X290-UPDATE-CHECK-COMPANY
062900                                 THRU X299-EXIT.
063000*
063100     PERFORM X310-UPDATE-CUST-STMT-LINE
063200                                 THRU X319-EXIT.
063300*
063400 E040-UPDATE-MMSM.
063500*
063600     IF  MBCA-PTI-FUNCTION-IS-ADD
063700         MOVE MBCA-SCREEN-NBR    TO MMSM-ONLINE-STATUS
063800         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
063900         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
064000         SET WS-UPDATE-SW-YES    TO TRUE.
064100*
064200**************************************************************
064300*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
064400*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
064500*    ON THE SCREEN                                           *
064600**************************************************************
064700*
064800     IF  MBCA-PTI-FUNCTION-IS-MAINT
064900     AND WS-UPDATE-SW-YES
065000         MOVE 0198               TO MML1-FIELD-CODE
065100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
065200                                    MML1-FIELD-OCCURRENCE-2
065300         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
065400         MOVE MMSM-LAST-MAINT-OPER
065500                                 TO MML1-VL03-B-DATA-X
065600         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
065700         MOVE MMSM-LAST-MAINT-OPER
065800                                 TO MML1-VL03-A-DATA-X
065900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
066000         PERFORM Y910-WRITE-LOG-RECORD
066100                                 THRU Y919-WLR-EXIT
066200         MOVE 0199               TO MML1-FIELD-CODE
066300         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
066400         MOVE MMSM-LAST-MAINT-DATE
066500                                 TO MML1-VL07-B-DATA-9
066600         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
066700         MOVE MMSM-LAST-MAINT-DATE
066800                                 TO MML1-VL07-A-DATA-9
066900         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
067000         PERFORM Y910-WRITE-LOG-RECORD
067100                                 THRU Y919-WLR-EXIT.
067200*
067300****************************************************
067400*    REWRITE THE STORE MASTER RECORD IF            *
067500*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
067600*    UNLOCK IT IF THEY HAVE NOT                    *
067700****************************************************
067800*
067900     IF  WS-UPDATE-SW-YES
068000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
068100         SET MBIORO-REWRITE      TO TRUE
068200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
068300     ELSE
068400         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
068500         SET MBIORO-UNLOCK       TO TRUE
068600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
068700/
068800 F000-SETUP-COMMAREA SECTION.
068900*
069000***************************************************************
069100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
069200***************************************************************
069300*
069400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
069500*
069600     PERFORM MB60PD-EDIT-PAGE-NBR
069700                                 THRU MB60PD-EPN-EXIT.
069800*
069900     IF  SS08WS-VALID-PF-KEY
070000     OR  SS08WS-EIBAID-VALID-PF-KEY
070100         SET MBCA-INITIAL-SCREEN-NBR
070200                                 TO TRUE.
070300*
070400     IF  SS08WS-VALID-PF5
070500     OR  SS08WS-EIBAID-VALID-PF5
070600         MOVE MMSM-MERCHANT-ID   TO MBCA-MERCHANT.
070700*
070800     IF  MBCA-MBUI-UI-YES
070900         MOVE 'MBUI'             TO MBCA-TRANS-ID
071000                                    MBCA-PREV-TRANS-ID
071100         MOVE 01                 TO MBCA-SCREEN-NBR
071200         MOVE MBMS05I            TO MBUITS-VAR-DATA
071300         MOVE LENGTH OF MBMS05I  TO MBUITS-VAR-LENGTH
071400         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
071500         EXEC CICS WRITEQ TS
071600                   QUEUE   (TS-QUEUE-NAME)
071700                   FROM    (MBUITS-RECORD)
071800                   LENGTH  (LENGTH  OF MBUITS-RECORD)
071900
072000              END-EXEC.
072100*
072200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
072300     PERFORM MB70PD-XCTL-TO-MBOXCTL
072400                                 THRU MB70PD-XTM-EXIT.
072500/
072600 W000-FIELD-EDITS SECTION.
072700*
072800*********************************************************
072900*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
073000*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
073100*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
073200*    'W010-EDIT-STORE-CHAINS' THRU 'W019-EMC-EXIT'.     *
073300*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE    *
073400*    UNIQUE TO THAT ROUTINE.                            *
073500*********************************************************
073600*
073700 W010-EDIT-IMPRINTER-TITLES.
073800*
073900     MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
074000                                 TO WS-INDEX-X.
074100     SET  X-MMFS-STORE           TO WS-INDEX.
074200     SET  X-MMSM-IMP             TO 1.
074300     SET  X-MS05-IMP-POS         TO 1.
074400*
074500 W011-LOOP.
074600*
074700     MOVE DFHBMDAS               TO MS05-IMPRINTER-TITLE-LP-A
074800                                    (X-MS05-IMP-POS)
074900                                    MS05-IMPRINTER-TITLE-RP-A
075000                                    (X-MS05-IMP-POS).
075100     MOVE DFHBMASK               TO MS05-IMPRINTER-TITLE-A
075200                                    (X-MS05-IMP-POS).
075300*
075400     PERFORM Y015-IMPRINTER-TITLE-SECURITY
075500                                 THRU Y016-EXIT.
075600*
075700     IF  MS05-IMPRINTER-TITLE-L (X-MS05-IMP-POS)
075800                                 IS EQUAL TO ZERO
075900         MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
076000                                 TO MS05-IMPRINTER-TITLE
076100                                    (X-MS05-IMP-POS).
076200*
076300     IF  MS05-IMPRINTER-TITLE-L (X-MS05-IMP-POS)
076400                                 IS GREATER THAN ZERO
076500         IF  MBCA-PTI-FUNCTION-IS-ADD
076600         AND MMFS-ST-REQUIRED (X-MMFS-STORE)
076700             MOVE DFHBMABF       TO MS05-IMPRINTER-TITLE-A
076800                                    (X-MS05-IMP-POS)
076900             GO TO W018-INCREMENT-INDEXES
077000         ELSE
077100             MOVE DFHBMASF       TO MS05-IMPRINTER-TITLE-A
077200                                    (X-MS05-IMP-POS)
077300             GO TO W018-INCREMENT-INDEXES.
077400*
077500     IF  MBCA-PTI-FUNCTION-IS-MAINT
077600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
077700         GO TO W018-INCREMENT-INDEXES.
077800*
077900 W017-IMPRINTER-TITLE-ERROR.
078000*
078100     IF  MS05-IMPRINTER-TITLE-L (X-MS05-IMP-POS)
078200                                 IS GREATER THAN ZERO
078300         MOVE DFHBMUBF           TO MS05-IMPRINTER-TITLE-A
078400                                    (X-MS05-IMP-POS)
078500     ELSE
078600         MOVE DFHBMBRY           TO MS05-IMPRINTER-TITLE-A
078700                                    (X-MS05-IMP-POS).
078800*
078900     SET SS08WS-ERROR-SW-YES     TO TRUE.
079000     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
079100     MOVE DFHBMASB               TO MS05-IMPRINTER-TITLE-LP-A
079200                                    (X-MS05-IMP-POS)
079300                                    MS05-IMPRINTER-TITLE-RP-A
079400                                    (X-MS05-IMP-POS).
079500     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-TITLE-L
079600                                    (X-MS05-IMP-POS).
079700*
079800 W018-INCREMENT-INDEXES.
079900*
080000     IF  X-MS05-IMP-POS IS LESS THAN 3
080100         SET X-MS05-IMP-POS      UP BY 1
080200         SET X-MMSM-IMP          UP BY 1
080300         SET X-MMFS-STORE        UP BY 4
080400         GO TO W011-LOOP.
080500*
080600 W019-EXIT.
080700     EXIT.
080800*
080900 W030-EDIT-IMPRINTER-NUMBERS.
081000*
081100     MOVE MMSMTB-IMP-DEV-NBR-1 (1:4)
081200                                 TO WS-INDEX-X.
081300     SET  X-MMFS-STORE           TO WS-INDEX.
081400     SET  X-MMSM-IMP             TO 1.
081500     SET  X-MS05-IMP-POS         TO 1.
081600*
081700 W031-EIN-LOOP.
081800*
081900     MOVE DFHBMDAS               TO MS05-IMPRINTER-NBR-LP-A
082000                                    (X-MS05-IMP-POS)
082100                                    MS05-IMPRINTER-NBR-RP-A
082200                                    (X-MS05-IMP-POS).
082300     MOVE DFHBMASK               TO MS05-IMPRINTER-NBR-A
082400                                    (X-MS05-IMP-POS).
082500*
082600     PERFORM Y035-IMPRINTER-NBR-SECURITY
082700                                 THRU Y036-EXIT.
082800*
082900     IF  MS05-IMPRINTER-NBR-L (X-MS05-IMP-POS)
083000                                 IS EQUAL TO ZERO
083100         MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
083200                                 TO MS05-IMPRINTER-NBR
083300                                    (X-MS05-IMP-POS).
083400*
083500     IF  MS05-IMPRINTER-NBR (X-MS05-IMP-POS) IS NOT NUMERIC
083600         GO TO W037-IMPRINTER-NBR-ERROR.
083700*
083800     IF  MS05-IMPRINTER-NBR-L (X-MS05-IMP-POS)
083900                                 IS GREATER THAN ZERO
084000         IF  MBCA-PTI-FUNCTION-IS-ADD
084100         AND MMFS-ST-REQUIRED (X-MMFS-STORE)
084200             MOVE DFHBMABF       TO MS05-IMPRINTER-NBR-A
084300                                    (X-MS05-IMP-POS)
084400             GO TO W038-INCREMENT-INDEXES
084500         ELSE
084600             MOVE DFHBMASF       TO MS05-IMPRINTER-NBR-A
084700                                    (X-MS05-IMP-POS)
084800             GO TO W038-INCREMENT-INDEXES.
084900*
085000     IF  MBCA-PTI-FUNCTION-IS-MAINT
085100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
085200         GO TO W038-INCREMENT-INDEXES.
085300*
085400 W037-IMPRINTER-NBR-ERROR.
085500*
085600     IF  MS05-IMPRINTER-NBR-L (X-MS05-IMP-POS)
085700                                 IS GREATER THAN ZERO
085800         MOVE DFHBMNBF           TO MS05-IMPRINTER-NBR-A
085900                                    (X-MS05-IMP-POS)
086000     ELSE
086100         MOVE DFHBMUNB           TO MS05-IMPRINTER-NBR-A
086200                                    (X-MS05-IMP-POS).
086300*
086400     SET SS08WS-ERROR-SW-YES     TO TRUE.
086500     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
086600     MOVE DFHBMASB               TO MS05-IMPRINTER-NBR-LP-A
086700                                    (X-MS05-IMP-POS)
086800                                    MS05-IMPRINTER-NBR-RP-A
086900                                    (X-MS05-IMP-POS).
087000     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-NBR-L
087100                                    (X-MS05-IMP-POS).
087200*
087300 W038-INCREMENT-INDEXES.
087400*
087500     IF  X-MS05-IMP-POS IS LESS THAN 3
087600         SET X-MS05-IMP-POS      UP BY 1
087700         SET X-MMSM-IMP          UP BY 1
087800         SET X-MMFS-STORE        UP BY 4
087900         GO TO W031-EIN-LOOP.
088000*
088100 W039-EXIT.
088200     EXIT.
088300*
088400 W050-EDIT-POS-TITLES.
088500*
088600     MOVE MMSMTB-POS-DEV-TITLE-1 (1:4)
088700                                 TO WS-INDEX-X.
088800     SET  X-MMFS-STORE           TO WS-INDEX.
088900     SET  X-MMSM-POS             TO 1.
089000     SET  X-MS05-IMP-POS         TO 1.
089100*
089200 W051-EPT-LOOP.
089300*
089400     MOVE DFHBMDAS               TO MS05-POS-TITLE-LP-A
089500                                    (X-MS05-IMP-POS)
089600                                    MS05-POS-TITLE-RP-A
089700                                    (X-MS05-IMP-POS).
089800     MOVE DFHBMASK               TO MS05-POS-TITLE-A
089900                                    (X-MS05-IMP-POS).
090000*
090100     PERFORM Y055-POS-TITLE-SECURITY
090200                                 THRU Y056-EXIT.
090300*
090400     IF  MS05-POS-TITLE-L (X-MS05-IMP-POS)
090500                                 IS EQUAL TO ZERO
090600         MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
090700                                 TO MS05-POS-TITLE
090800                                    (X-MS05-IMP-POS).
090900*
091000     IF  MS05-POS-TITLE-L (X-MS05-IMP-POS)
091100                                 IS GREATER THAN ZERO
091200         IF  MBCA-PTI-FUNCTION-IS-ADD
091300         AND MMFS-ST-REQUIRED (X-MMFS-STORE)
091400             MOVE DFHBMABF       TO MS05-POS-TITLE-A
091500                                    (X-MS05-IMP-POS)
091600             GO TO W058-INCREMENT-INDEXES
091700         ELSE
091800             MOVE DFHBMASF       TO MS05-POS-TITLE-A
091900                                    (X-MS05-IMP-POS)
092000             GO TO W058-INCREMENT-INDEXES.
092100*
092200     IF  MBCA-PTI-FUNCTION-IS-MAINT
092300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
092400         GO TO W058-INCREMENT-INDEXES.
092500*
092600 W057-POS-TITLE-ERROR.
092700*
092800     IF  MS05-POS-TITLE-L (X-MS05-IMP-POS)
092900                                 IS GREATER THAN ZERO
093000         MOVE DFHBMUBF           TO MS05-POS-TITLE-A
093100                                    (X-MS05-IMP-POS)
093200     ELSE
093300         MOVE DFHBMBRY           TO MS05-POS-TITLE-A
093400                                    (X-MS05-IMP-POS).
093500*
093600     SET SS08WS-ERROR-SW-YES     TO TRUE.
093700     SET POS-ERRORS-EXIST        TO TRUE.
093800     MOVE DFHBMASB               TO MS05-POS-TITLE-LP-A
093900                                    (X-MS05-IMP-POS)
094000                                    MS05-POS-TITLE-RP-A
094100                                    (X-MS05-IMP-POS).
094200     MOVE SS08WS-CURSOR          TO MS05-POS-TITLE-L
094300                                    (X-MS05-IMP-POS).
094400*
094500 W058-INCREMENT-INDEXES.
094600*
094700     IF  X-MS05-IMP-POS IS LESS THAN 3
094800         SET X-MS05-IMP-POS      UP BY 1
094900         SET X-MMSM-POS          UP BY 1
095000         SET X-MMFS-STORE        UP BY 4
095100         GO TO W051-EPT-LOOP.
095200*
095300 W059-EXIT.
095400     EXIT.
095500*
095600 W070-EDIT-POS-NUMBERS.
095700*
095800     MOVE MMSMTB-POS-DEV-NBR-1 (1:4)
095900                                 TO WS-INDEX-X.
096000     SET  X-MMFS-STORE           TO WS-INDEX.
096100     SET  X-MMSM-POS             TO 1.
096200     SET  X-MS05-IMP-POS         TO 1.
096300*
096400 W071-EPN-LOOP.
096500*
096600     MOVE DFHBMDAS               TO MS05-POS-NBR-LP-A
096700                                    (X-MS05-IMP-POS)
096800                                    MS05-POS-NBR-RP-A
096900                                    (X-MS05-IMP-POS).
097000     MOVE DFHBMASK               TO MS05-POS-NBR-A
097100                                    (X-MS05-IMP-POS).
097200*
097300     PERFORM Y075-POS-NBR-SECURITY
097400                                 THRU Y076-EXIT.
097500*
097600     IF  MS05-POS-NBR-L (X-MS05-IMP-POS)
097700                                 IS EQUAL TO ZERO
097800         MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
097900                                 TO MS05-POS-NBR
098000                                    (X-MS05-IMP-POS).
098100*
098200     IF  MS05-POS-NBR (X-MS05-IMP-POS) IS NOT NUMERIC
098300         GO TO W077-POS-NBR-ERROR.
098400*
098500     IF  MS05-POS-NBR-L (X-MS05-IMP-POS)
098600                                 IS GREATER THAN ZERO
098700         IF  MBCA-PTI-FUNCTION-IS-ADD
098800         AND MMFS-ST-REQUIRED (X-MMFS-STORE)
098900             MOVE DFHBMABF       TO MS05-POS-NBR-A
099000                                    (X-MS05-IMP-POS)
099100             GO TO W078-INCREMENT-INDEXES
099200         ELSE
099300             MOVE DFHBMASF       TO MS05-POS-NBR-A
099400                                    (X-MS05-IMP-POS)
099500             GO TO W078-INCREMENT-INDEXES.
099600*
099700     IF  MBCA-PTI-FUNCTION-IS-MAINT
099800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
099900         GO TO W078-INCREMENT-INDEXES.
100000*
100100 W077-POS-NBR-ERROR.
100200*
100300     IF  MS05-POS-NBR-L (X-MS05-IMP-POS)
100400                                 IS GREATER THAN ZERO
100500         MOVE DFHBMNBF           TO MS05-POS-NBR-A
100600                                    (X-MS05-IMP-POS)
100700     ELSE
100800         MOVE DFHBMUNB           TO MS05-POS-NBR-A
100900                                    (X-MS05-IMP-POS).
101000*
101100     SET SS08WS-ERROR-SW-YES     TO TRUE.
101200     SET POS-ERRORS-EXIST        TO TRUE.
101300     MOVE DFHBMASB               TO MS05-POS-NBR-LP-A
101400                                    (X-MS05-IMP-POS)
101500                                    MS05-POS-NBR-RP-A
101600                                    (X-MS05-IMP-POS).
101700     MOVE SS08WS-CURSOR          TO MS05-POS-NBR-L
101800                                    (X-MS05-IMP-POS).
101900*
102000 W078-INCREMENT-INDEXES.
102100*
102200     IF  X-MS05-IMP-POS IS LESS THAN 3
102300         SET X-MS05-IMP-POS
102400                                 UP BY 1
102500         SET X-MMSM-POS          UP BY 1
102600         SET X-MMFS-STORE        UP BY 4
102700         GO TO W071-EPN-LOOP.
102800*
102900 W079-EXIT.
103000     EXIT.
103100*
103200 W110-EDIT-PL-FLOOR-LIMIT.
103300*
103400     MOVE DFHBMDAS               TO MS05-PL-FLOOR-LIMIT-LP-A
103500                                    MS05-PL-FLOOR-LIMIT-RP-A.
103600     MOVE DFHBMASK               TO MS05-PL-FLOOR-LIMIT-A.
103700*
103800     PERFORM Y115-FLOOR-LIMIT-SECURITY
103900                                 THRU Y119-EXIT.
104000*
104100     IF  MS05-PL-FLOOR-LIMIT-L IS GREATER THAN ZERO
104200         MOVE DFHBMASF           TO MS05-PL-FLOOR-LIMIT-A
104300     ELSE
104400         MOVE MMSM-PL-FLOOR-LIMIT
104500                                 TO MS05-PL-FLOOR-LIMIT.
104600*
104700     IF  MS05-PL-FLOOR-LIMIT IS NOT NUMERIC
104800         GO TO W118-PL-FLOOR-LIMIT-ERROR.
104900*
105000     IF  MBCA-PTI-FUNCTION-IS-MAINT
105100     OR  MS05-PL-FLOOR-LIMIT-L IS GREATER THAN ZERO
105200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
105300         GO TO W119-EXIT.
105400*
105500 W118-PL-FLOOR-LIMIT-ERROR.
105600*
105700     IF  MS05-PL-FLOOR-LIMIT-L IS GREATER THAN ZERO
105800         MOVE DFHBMNBF           TO MS05-PL-FLOOR-LIMIT-A
105900     ELSE
106000         MOVE DFHBMUNB           TO MS05-PL-FLOOR-LIMIT-A.
106100*
106200     SET SS08WS-ERROR-SW-YES     TO TRUE.
106300     MOVE DFHBMASB               TO MS05-PL-FLOOR-LIMIT-LP-A
106400                                    MS05-PL-FLOOR-LIMIT-RP-A.
106500     MOVE SS08WS-CURSOR          TO MS05-PL-FLOOR-LIMIT-L.
106600*
106700 W119-EXIT.
106800     EXIT.
106900*
107000 W130-EDIT-PL-CATEGORY.
107100*
107200*
107300     MOVE DFHBMDAS               TO MS05-PL-CATEGORY-LP-A
107400                                    MS05-PL-CATEGORY-RP-A.
107500     MOVE DFHBMASK               TO MS05-PL-CATEGORY-A.
107600*
107700     PERFORM Y135-PL-CATEGORY-SECURITY
107800                                 THRU Y139-EXIT.
107900*
108000************************
108100*    EDIT THE FIELD    *
108200************************
108300*
108400     IF  MS05-PL-CATEGORY-L IS GREATER THAN ZERO
108500         MOVE DFHBMASF           TO MS05-PL-CATEGORY-A
108600     ELSE
108700         MOVE MMSM-PL-CATEGORY-CODE
108800                                 TO MS05-PL-CATEGORY.
108900*
109000     IF  MS05-PL-CATEGORY IS NUMERIC
109100         NEXT SENTENCE
109200     ELSE
109300         GO TO W138-PL-CATEGORY-ERROR.
109400*
109500     IF  MS05-PL-CATEGORY IS EQUAL TO ZEROS
109600         GO TO W135-EDIT-PL-CATEGORY-CONT.
109700*
109800     MOVE MS05-PL-CATEGORY       TO SMCAWS-CATEGORY-CODE.
109900     PERFORM SMCAPXO-OBTAIN-CAT-CODE-DATA
110000        THRU SMCAPXO-OCCD-EXIT.
110100*
110200     IF  SMCAWS-RC-NO-CATEGORY-FOUND
110300         GO TO W138-PL-CATEGORY-ERROR.
110400*
110500     MOVE SMCAWS-RECORD          TO SMCA-RECORD.
110600*
110700     IF  SMCA-HEADER
110800     OR  SMCA-TRAILER
110900     OR  SMCA-REC-PURGED
111000     OR  SMCA-ADD-PENDING
111100         GO TO W138-PL-CATEGORY-ERROR.
111200*
111300     IF  SMCA-REC-ACTIVE
111400         CONTINUE
111500     ELSE
111600         GO TO W138-PL-CATEGORY-ERROR.
111700*
111800 W135-EDIT-PL-CATEGORY-CONT.
111900*
112000     IF  MBCA-PTI-FUNCTION-IS-MAINT
112100     OR  MS05-PL-CATEGORY-L IS GREATER THAN ZERO
112200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
112300         GO TO W139-EXIT.
112400*
112500 W138-PL-CATEGORY-ERROR.
112600*
112700*******************************************************
112800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
112900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
113000*    THE DATA ELEMENT.                                *
113100*******************************************************
113200*
113300     IF  MS05-PL-CATEGORY-L IS GREATER THAN ZERO
113400         MOVE DFHBMNBF           TO MS05-PL-CATEGORY-A
113500     ELSE
113600         MOVE DFHBMUNB           TO MS05-PL-CATEGORY-A.
113700*
113800     SET SS08WS-ERROR-SW-YES     TO TRUE.
113900     MOVE DFHBMASB               TO MS05-PL-CATEGORY-LP-A
114000                                    MS05-PL-CATEGORY-RP-A.
114100     MOVE SS08WS-CURSOR          TO MS05-PL-CATEGORY-L.
114200*
114300 W139-EXIT.
114400     EXIT.
114500*
114600 W150-EDIT-MEDIA-TYPE.
114700*
114800*
114900     MOVE DFHBMDAS               TO MS05-MEDIA-TYPE-LP-A
115000                                    MS05-MEDIA-TYPE-RP-A.
115100     MOVE DFHBMASK               TO MS05-MEDIA-TYPE-A.
115200*
115300     PERFORM Y155-MEDIA-TYPE-SECURITY
115400                                 THRU Y159-EXIT.
115500*
115600************************
115700*    EDIT THE FIELD    *
115800************************
115900*
116000     IF  MS05-MEDIA-TYPE-L IS GREATER THAN ZERO
116100         MOVE DFHBMASF           TO MS05-MEDIA-TYPE-A
116200     ELSE
116300         MOVE MMSM-MEDIA-TYPE    TO MS05-MEDIA-TYPE.
116400*
116500     IF  MBCA-PTI-FUNCTION-IS-MAINT
116600     OR  MS05-MEDIA-TYPE-L IS GREATER THAN ZERO
116700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
116800         GO TO W159-EXIT.
116900*
117000 W158-MEDIA-TYPE-ERROR.
117100*
117200*******************************************************
117300*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
117400*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
117500*    THE DATA ELEMENT.                                *
117600*******************************************************
117700*
117800     IF  MS05-MEDIA-TYPE-L IS GREATER THAN ZERO
117900         MOVE DFHBMUBF           TO MS05-MEDIA-TYPE-A
118000     ELSE
118100         MOVE DFHBMBRY           TO MS05-MEDIA-TYPE-A.
118200*
118300     SET SS08WS-ERROR-SW-YES     TO TRUE.
118400     MOVE DFHBMASB               TO MS05-MEDIA-TYPE-LP-A
118500                                    MS05-MEDIA-TYPE-RP-A.
118600     MOVE SS08WS-CURSOR          TO MS05-MEDIA-TYPE-L.
118700*
118800 W159-EXIT.
118900     EXIT.
119000*
119100 W170-EDIT-STORE-TYPE.
119200*
119300     MOVE DFHBMDAS               TO MS05-STORE-TYPE-LP-A
119400                                    MS05-STORE-TYPE-RP-A.
119500     MOVE DFHBMASK               TO MS05-STORE-TYPE-A.
119600*
119700     PERFORM Y175-STORE-TYPE-SECURITY
119800                                 THRU Y179-EXIT.
119900*
120000     IF  MS05-STORE-TYPE-L IS GREATER THAN ZERO
120100         MOVE DFHBMASF           TO MS05-STORE-TYPE-A
120200     ELSE
120300         MOVE MMSM-STORE-TYPE    TO MS05-STORE-TYPE.
120400*
120500     IF  MS05-STORE-TYPE IS NUMERIC
120600         NEXT SENTENCE
120700     ELSE
120800         GO TO W178-STORE-TYPE-ERROR.
120900*
121000     IF  MS05-STORE-TYPE-VALID
121100         NEXT SENTENCE
121200     ELSE
121300         GO TO W178-STORE-TYPE-ERROR.
121400*
121500     IF  MBCA-PTI-FUNCTION-IS-MAINT
121600     OR  MS05-STORE-TYPE-L IS GREATER THAN ZERO
121700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
121800         GO TO W179-EXIT.
121900*
122000 W178-STORE-TYPE-ERROR.
122100*
122200     IF  MS05-STORE-TYPE-L IS GREATER THAN ZERO
122300         MOVE DFHBMNBF           TO MS05-STORE-TYPE-A
122400     ELSE
122500         MOVE DFHBMUNB           TO MS05-STORE-TYPE-A.
122600*
122700     SET SS08WS-ERROR-SW-YES     TO TRUE.
122800     MOVE DFHBMASB               TO MS05-STORE-TYPE-LP-A
122900                                    MS05-STORE-TYPE-RP-A.
123000     MOVE SS08WS-CURSOR          TO MS05-STORE-TYPE-L.
123100*
123200 W179-EXIT.
123300     EXIT.
123400*
123500 W190-EDIT-BULLETIN-TYPE.
123600*
123700     MOVE DFHBMDAS               TO MS05-BULLETIN-TYPE-LP-A
123800                                    MS05-BULLETIN-TYPE-RP-A.
123900     MOVE DFHBMASK               TO MS05-BULLETIN-TYPE-A.
124000*
124100     PERFORM Y195-BULLETIN-TAPE-SECURITY
124200                                 THRU Y199-EXIT.
124300*
124400     IF  MS05-BULLETIN-TYPE-L IS GREATER THAN ZERO
124500         MOVE DFHBMASF           TO MS05-BULLETIN-TYPE-A
124600     ELSE
124700         MOVE MMSM-BULLETIN-TYPE TO MS05-BULLETIN-TYPE.
124800*
124900     IF  MS05-BULLETIN-TYPE-VALID
125000         NEXT SENTENCE
125100     ELSE
125200         GO TO W198-BULLETIN-TYPE-ERROR.
125300*
125400     IF  MBCA-PTI-FUNCTION-IS-MAINT
125500     OR  MS05-BULLETIN-TYPE-L IS GREATER THAN ZERO
125600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
125700         GO TO W199-EXIT.
125800*
125900 W198-BULLETIN-TYPE-ERROR.
126000*
126100     IF  MS05-BULLETIN-TYPE-L IS GREATER THAN ZERO
126200         MOVE DFHBMUBF           TO MS05-BULLETIN-TYPE-A
126300     ELSE
126400         MOVE DFHBMBRY           TO MS05-BULLETIN-TYPE-A.
126500*
126600     SET SS08WS-ERROR-SW-YES     TO TRUE.
126700     MOVE DFHBMASB               TO MS05-BULLETIN-TYPE-LP-A
126800                                    MS05-BULLETIN-TYPE-RP-A.
126900     MOVE SS08WS-CURSOR          TO MS05-BULLETIN-TYPE-L.
127000*
127100 W199-EXIT.
127200     EXIT.
127300*
127400 W210-EDIT-LOCATION.
127500*
127600     MOVE DFHBMDAS               TO MS05-LOCATION-LP-A
127700                                    MS05-LOCATION-RP-A.
127800     MOVE DFHBMASK               TO MS05-LOCATION-A.
127900*
128000     PERFORM Y215-LOCATION-SECURITY
128100                                 THRU Y219-EXIT.
128200*
128300     IF  MS05-LOCATION-L IS GREATER THAN ZERO
128400         MOVE DFHBMASF           TO MS05-LOCATION-A
128500     ELSE
128600         MOVE MMSM-LOCATION-ID   TO MS05-LOCATION.
128700*
128800     IF  MBCA-PTI-FUNCTION-IS-MAINT
128900     OR  MS05-LOCATION-L IS GREATER THAN ZERO
129000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
129100         GO TO W219-EXIT.
129200*
129300 W218-LOCATION-ERROR.
129400*
129500     IF  MS05-LOCATION-L IS GREATER THAN ZERO
129600         MOVE DFHBMUBF           TO MS05-LOCATION-A
129700     ELSE
129800         MOVE DFHBMBRY           TO MS05-LOCATION-A.
129900*
130000     SET SS08WS-ERROR-SW-YES     TO TRUE.
130100     MOVE DFHBMASB               TO MS05-LOCATION-LP-A
130200                                    MS05-LOCATION-RP-A.
130300     MOVE SS08WS-CURSOR          TO MS05-LOCATION-L.
130400*
130500 W219-EXIT.
130600     EXIT.
130700*
130800 W230-EDIT-AGENT-BANK.
130900*
131000     MOVE DFHBMDAS               TO MS05-AGENT-BANK-LP-A
131100                                    MS05-AGENT-BANK-RP-A.
131200     MOVE DFHBMASK               TO MS05-AGENT-BANK-A.
131300*
131400     PERFORM Y235-AGENT-BANK-SECURITY
131500                                 THRU Y239-EXIT.
131600*
131700     IF  MS05-AGENT-BANK-L IS GREATER THAN ZERO
131800         MOVE DFHBMASF           TO MS05-AGENT-BANK-A
131900     ELSE
132000         MOVE MMSM-AGENT-BANK    TO MS05-AGENT-BANK.
132100*
132200     IF  MS05-AGENT-BANK IS NUMERIC
132300         NEXT SENTENCE
132400     ELSE
132500         GO TO W238-AGENT-BANK-ERROR.
132600*
132700     IF  MBCA-PTI-FUNCTION-IS-MAINT
132800     OR  MS05-AGENT-BANK-L IS GREATER THAN ZERO
132900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
133000         GO TO W239-EXIT.
133100*
133200 W238-AGENT-BANK-ERROR.
133300*
133400     IF  MS05-AGENT-BANK-L IS GREATER THAN ZERO
133500         MOVE DFHBMNBF           TO MS05-AGENT-BANK-A
133600     ELSE
133700         MOVE DFHBMUNB           TO MS05-AGENT-BANK-A.
133800*
133900     SET SS08WS-ERROR-SW-YES     TO TRUE.
134000     MOVE DFHBMASB               TO MS05-AGENT-BANK-LP-A
134100                                    MS05-AGENT-BANK-RP-A.
134200     MOVE SS08WS-CURSOR          TO MS05-AGENT-BANK-L.
134300*
134400 W239-EXIT.
134500     EXIT.
134600*
134700 W250-EDIT-OFFICER-ID.
134800*
134900     MOVE DFHBMDAS               TO MS05-OFFICER-ID-LP-A
135000                                    MS05-OFFICER-ID-RP-A.
135100     MOVE DFHBMASK               TO MS05-OFFICER-ID-A.
135200*
135300     PERFORM Y255-OFFICER-ID-SECURITY
135400                                 THRU Y259-EXIT.
135500*
135600     IF  MS05-OFFICER-ID-L IS GREATER THAN ZERO
135700         MOVE DFHBMASF           TO MS05-OFFICER-ID-A
135800     ELSE
135900         MOVE MMSM-OFFICER-ID    TO MS05-OFFICER-ID.
136000*
136100     IF  MBCA-PTI-FUNCTION-IS-MAINT
136200     OR  MS05-OFFICER-ID-L IS GREATER THAN ZERO
136300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
136400         GO TO W259-EXIT.
136500*
136600 W258-OFFICER-ID-ERROR.
136700*
136800     IF  MS05-OFFICER-ID-L IS GREATER THAN ZERO
136900         MOVE DFHBMUBF           TO MS05-OFFICER-ID-A
137000     ELSE
137100         MOVE DFHBMBRY           TO MS05-OFFICER-ID-A.
137200*
137300     SET SS08WS-ERROR-SW-YES     TO TRUE.
137400     MOVE DFHBMASB               TO MS05-OFFICER-ID-LP-A
137500                                    MS05-OFFICER-ID-RP-A.
137600     MOVE SS08WS-CURSOR          TO MS05-OFFICER-ID-L.
137700*
137800 W259-EXIT.
137900     EXIT.
138000*
138100 W270-EDIT-BRANCH.
138200*
138300     MOVE DFHBMDAS               TO MS05-BRANCH-LP-A
138400                                    MS05-BRANCH-RP-A.
138500     MOVE DFHBMASK               TO MS05-BRANCH-A.
138600*
138700     PERFORM Y275-BRANCH-SECURITY
138800                                 THRU Y279-EXIT.
138900*
139000     IF  MS05-BRANCH-L IS GREATER THAN ZERO
139100         MOVE DFHBMASF           TO MS05-BRANCH-A
139200     ELSE
139300         MOVE MMSM-BRANCH        TO MS05-BRANCH.
139400*
139500     IF  MS05-BRANCH IS NUMERIC
139600         NEXT SENTENCE
139700     ELSE
139800         GO TO W278-BRANCH-ERROR.
139900*
140000     IF  MBCA-PTI-FUNCTION-IS-MAINT
140100     OR  MS05-BRANCH-L IS GREATER THAN ZERO
140200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
140300         GO TO W279-EXIT.
140400*
140500 W278-BRANCH-ERROR.
140600*
140700     IF  MS05-BRANCH-L IS GREATER THAN ZERO
140800         MOVE DFHBMNBF           TO MS05-BRANCH-A
140900     ELSE
141000         MOVE DFHBMUNB           TO MS05-BRANCH-A.
141100*
141200     SET SS08WS-ERROR-SW-YES     TO TRUE.
141300     MOVE DFHBMASB               TO MS05-BRANCH-LP-A
141400                                    MS05-BRANCH-RP-A.
141500     MOVE SS08WS-CURSOR          TO MS05-BRANCH-L.
141600*
141700 W279-EXIT.
141800     EXIT.
141900*
142000 W290-EDIT-CHECK-COMPANY.
142100*
142200     MOVE DFHBMDAS               TO MS05-CHECK-CO-LP-A
142300                                    MS05-CHECK-CO-RP-A.
142400     MOVE DFHBMASK               TO MS05-CHECK-CO-A.
142500*
142600     PERFORM Y295-CHECK-CO-SECURITY
142700                                 THRU Y299-EXIT.
142800*
142900     IF  MS05-CHECK-CO-L IS GREATER THAN ZERO
143000         MOVE DFHBMASF           TO MS05-CHECK-CO-A
143100     ELSE
143200         MOVE MMSM-CHECK-GUARANTEE-CO
143300                                 TO MS05-CHECK-CO.
143400*
143500     IF  MBCA-PTI-FUNCTION-IS-MAINT
143600     OR  MS05-CHECK-CO-L IS GREATER THAN ZERO
143700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
143800         GO TO W299-EXIT.
143900*
144000 W298-CHECK-CO-ERROR.
144100*
144200     IF  MS05-CHECK-CO-L IS GREATER THAN ZERO
144300         MOVE DFHBMUBF           TO MS05-CHECK-CO-A
144400     ELSE
144500         MOVE DFHBMBRY           TO MS05-CHECK-CO-A.
144600*
144700     SET SS08WS-ERROR-SW-YES     TO TRUE.
144800     MOVE DFHBMASB               TO MS05-CHECK-CO-LP-A
144900                                    MS05-CHECK-CO-RP-A.
145000     MOVE SS08WS-CURSOR          TO MS05-CHECK-CO-L.
145100*
145200 W299-EXIT.
145300     EXIT.
145400*
145500 W310-EDIT-CUST-STMT-LINE.
145600*
145700     MOVE MMSMTB-CUSTOMER-MSG-1 (1:4)
145800                                 TO WS-INDEX-X.
145900     SET  X-MMFS-STORE           TO WS-INDEX.
146000     SET  X-MMSM-CSL             TO 1.
146100     SET  X-MS05-CSL             TO 1.
146200*
146300 W311-EUM-LOOP.
146400*
146500     MOVE DFHBMDAS               TO MS05-CUST-STMT-LINE-LP-A
146600                                    (X-MS05-CSL)
146700                                    MS05-CUST-STMT-LINE-RP-A
146800                                    (X-MS05-CSL)
146900     MOVE DFHBMASK               TO MS05-CUST-STMT-LINE-A
147000                                    (X-MS05-CSL).
147100*
147200     PERFORM Y315-CUST-STMT-LINE-SECURITY
147300                                 THRU Y316-EXIT.
147400*
147500     IF  MS05-CUST-STMT-LINE-L (X-MS05-CSL) IS GREATER THAN ZERO
147600         MOVE DFHBMASF           TO MS05-CUST-STMT-LINE-A
147700                                    (X-MS05-CSL)
147800         GO TO W318-INCREMENT-INDEXES
147900     ELSE
148000         MOVE MMSM-CUST-STMT-LINE (X-MMSM-CSL)
148100                                 TO MS05-CUST-STMT-LINE
148200                                    (X-MS05-CSL).
148300*
148400     IF  MBCA-PTI-FUNCTION-IS-MAINT
148500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
148600         GO TO W318-INCREMENT-INDEXES.
148700*
148800 W317-CUST-STMT-LINE-ERROR.
148900*
149000     IF  MS05-CUST-STMT-LINE-L (X-MS05-CSL) IS GREATER THAN ZERO
149100         MOVE DFHBMUBF           TO MS05-CUST-STMT-LINE-A
149200                                    (X-MS05-CSL)
149300     ELSE
149400         MOVE DFHBMBRY           TO MS05-CUST-STMT-LINE-A
149500                                    (X-MS05-CSL).
149600*
149700     SET SS08WS-ERROR-SW-YES     TO TRUE.
149800     MOVE DFHBMASB               TO MS05-CUST-STMT-LINE-LP-A
149900                                    (X-MS05-CSL)
150000                                    MS05-CUST-STMT-LINE-RP-A
150100                                    (X-MS05-CSL).
150200     MOVE SS08WS-CURSOR          TO MS05-CUST-STMT-LINE-L
150300                                    (X-MS05-CSL).
150400*
150500 W318-INCREMENT-INDEXES.
150600*
150700     IF  X-MS05-CSL IS LESS THAN 3
150800         SET X-MMFS-STORE        UP BY 1
150900         SET X-MMSM-CSL          UP BY 1
151000         SET X-MS05-CSL          UP BY 1
151100         GO TO W311-EUM-LOOP.
151200*
151300 W319-EXIT.
151400     EXIT.
151500*
151600 W520-IMPRINTER-CROSS-EDITS.
151700*
151800**************************************************************
151900*                                                            *
152000*    IMPRINTER CROSS EDITS ARE AS FOLLOWS:                   *
152100*                                                            *
152200*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
152300*      MUST BE ENTERED IF THE CORRESPONDING 'NBR' FIELD      *
152400*      IS SOMETHING OTHER THAN ZERO.                         *
152500*                                                            *
152600*      IF AN ERROR IS DETECTED, THE IMPRINTER DESCRIPITON    *
152700*      AND NUMBER FIELDS ARE HIGHLIGHTED AND OPENED FOR      *
152800*      CORRECTION.                                           *
152900*                                                            *
153000**************************************************************
153100*
153200     IF  IMPRINTER-ERRORS-EXIST
153300         GO TO W529-EXIT.
153400*
153500     SET X-MS05-IMP-POS          TO 1.
153600*
153700 W521-ICE-LOOP.
153800*
153900     IF  MS05-IMPRINTER-NBR (X-MS05-IMP-POS)
154000                                 IS EQUAL TO ZERO
154100         GO TO W528-INCREMENT-INDEX.
154200*
154300     IF  MS05-IMPRINTER-TITLE (X-MS05-IMP-POS)
154400                                 IS NOT EQUAL TO SPACES
154500         GO TO W528-INCREMENT-INDEX.
154600*
154700 W527-IMPRINTER-ERROR.
154800*
154900     SET SS08WS-ERROR-SW-YES     TO TRUE.
155000     SET IMPRINTER-ERRORS-EXIST  TO TRUE.
155100     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-TITLE-L
155200                                    (X-MS05-IMP-POS).
155300     MOVE DFHBMASB               TO MS05-IMPRINTER-TITLE-LP-A
155400                                    (X-MS05-IMP-POS)
155500                                    MS05-IMPRINTER-TITLE-RP-A
155600                                    (X-MS05-IMP-POS)
155700                                    MS05-IMPRINTER-NBR-LP-A
155800                                    (X-MS05-IMP-POS)
155900                                    MS05-IMPRINTER-NBR-RP-A
156000                                    (X-MS05-IMP-POS).
156100     MOVE DFHBMUBF               TO MS05-IMPRINTER-TITLE-A
156200                                    (X-MS05-IMP-POS).
156300     MOVE DFHBMNBF               TO MS05-IMPRINTER-NBR-A
156400                                    (X-MS05-IMP-POS).
156500*
156600 W528-INCREMENT-INDEX.
156700*
156800     IF  X-MS05-IMP-POS IS LESS THAN 3
156900         SET X-MS05-IMP-POS
157000                                 UP BY 1
157100         GO TO W521-ICE-LOOP.
157200*
157300 W529-EXIT.
157400     EXIT.
157500*
157600 W530-POS-CROSS-EDITS.
157700*
157800**************************************************************
157900*                                                            *
158000*    POS CROSS EDITS ARE AS FOLLOWS:                         *
158100*                                                            *
158200*    . A DESCRIPTION OF SOMETHING OTHER THAN SPACES          *
158300*      MUST BE ENTERED IF THE CORRESPONDING 'NBR' FIELD      *
158400*      IS SOMETHING OTHER THAN ZERO.                         *
158500*                                                            *
158600*      IF AN ERROR IS DETECTED, THE POS DESCRIPTION AND      *
158700*      NUMBER FIELDS ARE HIGHLIGHTED AND OPENED FOR          *
158800*      CORRECTION.                                           *
158900*                                                            *
159000**************************************************************
159100*
159200     IF  POS-ERRORS-EXIST
159300         GO TO W539-PCE-EXIT.
159400*
159500     SET X-MS05-IMP-POS          TO 1.
159600*
159700 W531-PCE-LOOP.
159800*
159900     IF  MS05-POS-NBR (X-MS05-IMP-POS)
160000                                 IS EQUAL TO ZERO
160100         GO TO W538-INCREMENT-INDEX.
160200*
160300     IF  MS05-POS-TITLE (X-MS05-IMP-POS)
160400                                 IS NOT EQUAL TO SPACES
160500         GO TO W538-INCREMENT-INDEX.
160600*
160700 W537-POS-ERROR.
160800*
160900     SET SS08WS-ERROR-SW-YES     TO TRUE.
161000     SET POS-ERRORS-EXIST        TO TRUE.
161100     MOVE SS08WS-CURSOR          TO MS05-POS-TITLE-L
161200                                    (X-MS05-IMP-POS).
161300     MOVE DFHBMASB               TO MS05-POS-TITLE-LP-A
161400                                    (X-MS05-IMP-POS)
161500                                    MS05-POS-TITLE-RP-A
161600                                    (X-MS05-IMP-POS)
161700                                    MS05-POS-NBR-LP-A
161800                                    (X-MS05-IMP-POS)
161900                                    MS05-POS-NBR-RP-A
162000                                    (X-MS05-IMP-POS).
162100     MOVE DFHBMUBF               TO MS05-POS-TITLE-A
162200                                    (X-MS05-IMP-POS).
162300     MOVE DFHBMNBF               TO MS05-POS-NBR-A
162400                                    (X-MS05-IMP-POS).
162500*
162600 W538-INCREMENT-INDEX.
162700*
162800     IF  X-MS05-IMP-POS IS LESS THAN 3
162900         SET X-MS05-IMP-POS
163000                                 UP BY 1
163100         GO TO W531-PCE-LOOP.
163200*
163300 W539-PCE-EXIT.
163400     EXIT.
163500/
163600 X000-UPDATE-FIELDS SECTION.
163700*
163800 X001-UPDATE-MERCH-IMP-POS.
163900*
164000     IF  (NOT MMSM-REC-MODEL
164100     AND (MS05-IMPRINTER-NBR-L (1) IS GREATER THAN ZERO
164200     OR  MS05-IMPRINTER-NBR-L (2) IS GREATER THAN ZERO
164300     OR  MS05-IMPRINTER-NBR-L (3) IS GREATER THAN ZERO
164400     OR  MS05-POS-NBR-L (1) IS GREATER THAN ZERO
164500     OR  MS05-POS-NBR-L (2) IS GREATER THAN ZERO
164600     OR  MS05-POS-NBR-L (3) IS GREATER THAN ZERO))
164700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
164800         MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
164900         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
165000         SET MBIORO-READ-RANDOM-UPDATE
165100                                 TO TRUE
165200         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
165300*
165400         MOVE 'MM'               TO MML1-FILE-CODE
165500         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMM-ORG
165600         MOVE MMSM-MERCHANT-ID   TO MML1-MMMM-MERCHANT
165700         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
165800         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
165900         MOVE ZEROS              TO MML1-SOURCE-CODE
166000     ELSE
166100         GO TO X009-EXIT.
166200*
166300     SET X-MMSM-IMP              TO 1.
166400     SET X-MMSM-POS              TO 1.
166500     SET X-MMMM-IMP              TO 1.
166600     SET X-MMMM-POS              TO 1.
166700     SET X-MS05-IMP-POS          TO 1.
166800*
166900 X005-LOOP.
167000*
167100     IF  MS05-IMPRINTER-NBR-L (X-MS05-IMP-POS)
167200                                 IS GREATER THAN ZERO
167300     AND MS05-IMPRINTER-NBR (X-MS05-IMP-POS) IS NOT
167400                                 EQUAL TO MMSM-IMP-DEV-NBR
167500                                    (X-MMSM-IMP)
167600         MOVE 9011               TO MML1-FIELD-CODE
167700         SET MML1-FIELD-OCCURRENCE
167800                                 TO X-MS05-IMP-POS
167900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
168000         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
168100         MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
168200                                 TO MML1-VL05-B-DATA-9
168300         SUBTRACT MMSM-IMP-DEV-NBR (X-MMSM-IMP)
168400                                 FROM MMMM-IMP-DEV-NBR
168500                                      (X-MMMM-IMP)
168600         ADD MS05-IMPRINTER-NBR (X-MS05-IMP-POS)
168700                                 TO MMMM-IMP-DEV-NBR
168800                                    (X-MMMM-IMP)
168900         MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
169000                                 TO MML1-VL05-A-DATA-9
169100         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
169200         MOVE ZEROS              TO WS-IMPRINTER-NBR
169300         PERFORM Y910-WRITE-LOG-RECORD
169400                                 THRU Y919-WLR-EXIT.
169500*
169600     IF  MS05-POS-NBR-L (X-MS05-IMP-POS)
169700                                 IS GREATER THAN ZERO
169800     AND MS05-POS-NBR (X-MS05-IMP-POS) IS NOT
169900                                 EQUAL TO MMSM-POS-DEV-NBR
170000                                    (X-MMSM-POS)
170100         MOVE 9010               TO MML1-FIELD-CODE
170200         SET MML1-FIELD-OCCURRENCE
170300                                 TO X-MS05-IMP-POS
170400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
170500         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
170600         MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
170700                                 TO MML1-VL05-B-DATA-9
170800         SUBTRACT MMSM-POS-DEV-NBR (X-MMSM-POS)
170900                                 FROM MMMM-POS-DEV-NBR
171000                                      (X-MMMM-POS)
171100         ADD MS05-POS-NBR (X-MS05-IMP-POS)
171200                                 TO MMMM-POS-DEV-NBR
171300                                    (X-MMMM-POS)
171400         MOVE MMMM-POS-DEV-NBR (X-MMMM-POS)
171500                                 TO MML1-VL05-A-DATA-9
171600         MOVE 'FC12'             TO MBCA-PROGRAM-LOCATION
171700         MOVE ZEROS              TO WS-POS-NBR
171800         PERFORM Y910-WRITE-LOG-RECORD
171900                                 THRU Y919-WLR-EXIT.
172000*
172100 X007-INCREMENT-INDEXES.
172200*
172300     IF  X-MS05-IMP-POS IS LESS THAN 3
172400         SET X-MS05-IMP-POS
172500                                 UP BY 1
172600         SET X-MMSM-IMP          UP BY 1
172700         SET X-MMSM-POS          UP BY 1
172800         SET X-MMMM-IMP          UP BY 1
172900         SET X-MMMM-POS          UP BY 1
173000         GO TO X005-LOOP
173100     ELSE
173200         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
173300         SET MBIORO-REWRITE      TO TRUE
173400         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
173500*
173600 X009-EXIT.
173700     EXIT.
173800*
173900 X010-UPDATE-IMPRINTER-TITLES.
174000*
174100     MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
174200                                 TO WS-INDEX-X.
174300     SET X-MMFS-STORE            TO WS-INDEX.
174400     SET X-MMSM-IMP              TO 1.
174500     SET X-MS05-IMP-POS          TO 1.
174600*
174700 X011-UIT-LOOP.
174800*
174900     IF  MS05-IMPRINTER-TITLE-L   (X-MS05-IMP-POS)
175000                                 IS GREATER THAN ZERO
175100         IF  MS05-IMPRINTER-TITLE (X-MS05-IMP-POS) IS NOT
175200                                 EQUAL TO MMSM-IMP-DEV-TITLE
175300                                          (X-MMSM-IMP)
175400             SET WS-UPDATE-SW-YES
175500                                 TO TRUE
175600             IF  MBCA-PTI-FUNCTION-IS-MAINT
175700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
175800                                 TO MML1-MMSM-AUDIT-CODE
175900                 MOVE 0501       TO MML1-FIELD-CODE
176000                 SET MML1-FIELD-OCCURRENCE
176100                                 TO X-MS05-IMP-POS
176200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
176300                 MOVE MML1WS-VL-20
176400                                 TO MML1-VARIABLE-LENGTH
176500                 MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
176600                                 TO MML1-VL20-B-DATA-X
176700                 MOVE MS05-IMPRINTER-TITLE (X-MS05-IMP-POS)
176800                                 TO MMSM-IMP-DEV-TITLE
176900                                    (X-MMSM-IMP)
177000                 MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
177100                                 TO MML1-VL20-A-DATA-X
177200                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
177300                 PERFORM Y910-WRITE-LOG-RECORD
177400                                 THRU Y919-WLR-EXIT
177500             ELSE
177600                 MOVE MS05-IMPRINTER-TITLE (X-MS05-IMP-POS)
177700                                 TO MMSM-IMP-DEV-TITLE
177800                                    (X-MMSM-IMP).
177900*
178000 X018-INCREMENT-INDEXES.
178100*
178200     IF  X-MS05-IMP-POS IS LESS THAN 3
178300         SET X-MS05-IMP-POS
178400                                 UP BY 1
178500         SET X-MMSM-IMP          UP BY 1
178600         SET X-MMFS-STORE        UP BY 2
178700         GO TO X011-UIT-LOOP.
178800*
178900 X019-EXIT.
179000     EXIT.
179100*
179200 X030-UPDATE-IMPRINTER-NUMBERS.
179300*
179400     MOVE MMSMTB-IMP-DEV-NBR-1 (1:4)
179500                                 TO WS-INDEX-X.
179600     SET X-MMFS-STORE            TO WS-INDEX.
179700     SET X-MMSM-IMP              TO 1.
179800     SET X-MS05-IMP-POS          TO 1.
179900*
180000 X031-UIN-LOOP.
180100*
180200     IF  MS05-IMPRINTER-NBR-L (X-MS05-IMP-POS)
180300                                 IS GREATER THAN ZERO
180400         IF  MS05-IMPRINTER-NBR (X-MS05-IMP-POS) IS NOT
180500                                 EQUAL TO MMSM-IMP-DEV-NBR
180600                                          (X-MMSM-IMP)
180700             SET WS-UPDATE-SW-YES
180800                                 TO TRUE
180900             IF  MBCA-PTI-FUNCTION-IS-MAINT
181000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
181100                                 TO MML1-MMSM-AUDIT-CODE
181200                 MOVE 0502       TO MML1-FIELD-CODE
181300                 SET MML1-FIELD-OCCURRENCE
181400                                 TO X-MS05-IMP-POS
181500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
181600                 MOVE MML1WS-VL-05
181700                                 TO MML1-VARIABLE-LENGTH
181800                 MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
181900                                 TO MML1-VL05-B-DATA-9
182000                 MOVE MS05-IMPRINTER-NBR  (X-MS05-IMP-POS)
182100                                 TO MMSM-IMP-DEV-NBR
182200                                    (X-MMSM-IMP)
182300                 MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
182400                                 TO MML1-VL05-A-DATA-9
182500                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
182600                 PERFORM Y910-WRITE-LOG-RECORD
182700                                 THRU Y919-WLR-EXIT
182800             ELSE
182900                 MOVE MS05-IMPRINTER-NBR   (X-MS05-IMP-POS)
183000                                 TO MMSM-IMP-DEV-NBR
183100                                    (X-MMSM-IMP).
183200*
183300 X038-INCREMENT-INDEXES.
183400*
183500     IF  X-MS05-IMP-POS IS LESS THAN 3
183600         SET X-MS05-IMP-POS
183700                                 UP BY 1
183800         SET X-MMSM-IMP          UP BY 1
183900         SET X-MMFS-STORE        UP BY 2
184000         GO TO X031-UIN-LOOP.
184100*
184200 X039-EXIT.
184300     EXIT.
184400*
184500 X050-UPDATE-POS-TITLES.
184600*
184700     MOVE MMSMTB-POS-DEV-TITLE-1 (1:4)
184800                                 TO WS-INDEX-X.
184900     SET X-MMFS-STORE            TO WS-INDEX.
185000     SET X-MMSM-POS              TO 1.
185100     SET X-MS05-IMP-POS          TO 1.
185200*
185300 X051-UPT-LOOP.
185400*
185500     IF  MS05-POS-TITLE-L (X-MS05-IMP-POS) IS GREATER
185600                                 THAN ZERO
185700         IF  MS05-POS-TITLE (X-MS05-IMP-POS) IS NOT EQUAL
185800                                 TO  MMSM-POS-DEV-TITLE
185900                                     (X-MMSM-POS)
186000             SET WS-UPDATE-SW-YES
186100                                 TO TRUE
186200             IF  MBCA-PTI-FUNCTION-IS-MAINT
186300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
186400                                 TO MML1-MMSM-AUDIT-CODE
186500                 MOVE 0503       TO MML1-FIELD-CODE
186600                 SET MML1-FIELD-OCCURRENCE
186700                                 TO X-MS05-IMP-POS
186800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
186900                 MOVE MML1WS-VL-20
187000                                 TO MML1-VARIABLE-LENGTH
187100                 MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
187200                                 TO MML1-VL20-B-DATA-X
187300                 MOVE MS05-POS-TITLE (X-MS05-IMP-POS)
187400                                 TO MMSM-POS-DEV-TITLE
187500                                    (X-MMSM-POS)
187600                 MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
187700                                 TO MML1-VL20-A-DATA-X
187800                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
187900                 PERFORM Y910-WRITE-LOG-RECORD
188000                                 THRU Y919-WLR-EXIT
188100             ELSE
188200                 MOVE MS05-POS-TITLE (X-MS05-IMP-POS)
188300                                 TO MMSM-POS-DEV-TITLE
188400                                    (X-MMSM-POS).
188500*
188600 X058-INCREMENT-INDEXES.
188700*
188800     IF  X-MS05-IMP-POS IS LESS THAN 3
188900         SET X-MS05-IMP-POS
189000                                 UP BY 1
189100         SET X-MMSM-POS          UP BY 1
189200         SET X-MMFS-STORE        UP BY 2
189300         GO TO X051-UPT-LOOP.
189400*
189500 X059-EXIT.
189600     EXIT.
189700*
189800 X070-UPDATE-POS-NUMBERS.
189900*
190000     MOVE MMSMTB-POS-DEV-NBR-1 (1:4)
190100                                 TO WS-INDEX-X.
190200     SET X-MMFS-STORE            TO WS-INDEX.
190300     SET X-MMSM-POS              TO 1.
190400     SET X-MS05-IMP-POS          TO 1.
190500*
190600 X071-UPN-LOOP.
190700*
190800     IF  MS05-POS-NBR-L (X-MS05-IMP-POS) IS GREATER
190900                                 THAN ZERO
191000         IF  MS05-POS-NBR (X-MS05-IMP-POS) IS NOT EQUAL
191100                                 TO MMSM-POS-DEV-NBR (X-MMSM-POS)
191200             SET WS-UPDATE-SW-YES
191300                                 TO TRUE
191400             IF  MBCA-PTI-FUNCTION-IS-MAINT
191500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
191600                                 TO MML1-MMSM-AUDIT-CODE
191700                 MOVE 0504       TO MML1-FIELD-CODE
191800                 SET MML1-FIELD-OCCURRENCE
191900                                 TO X-MS05-IMP-POS
192000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
192100                 MOVE MML1WS-VL-05
192200                                 TO MML1-VARIABLE-LENGTH
192300                 MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
192400                                 TO MML1-VL05-B-DATA-9
192500                 MOVE MS05-POS-NBR  (X-MS05-IMP-POS)
192600                                 TO MMSM-POS-DEV-NBR (X-MMSM-POS)
192700                 MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
192800                                 TO MML1-VL05-A-DATA-9
192900                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
193000                 PERFORM Y910-WRITE-LOG-RECORD
193100                                 THRU Y919-WLR-EXIT
193200             ELSE
193300                 MOVE MS05-POS-NBR  (X-MS05-IMP-POS)
193400                                 TO MMSM-POS-DEV-NBR (X-MMSM-POS).
193500*
193600 X078-INCREMENT-INDEXES.
193700*
193800     IF  X-MS05-IMP-POS IS LESS THAN 3
193900         SET X-MS05-IMP-POS
194000                                 UP BY 1
194100         SET X-MMSM-POS          UP BY 1
194200         SET X-MMFS-STORE        UP BY 2
194300         GO TO X071-UPN-LOOP.
194400*
194500 X079-EXIT.
194600     EXIT.
194700*
194800 X110-UPDATE-PL-FLOOR-LIMIT.
194900*
195000     IF  MS05-PL-FLOOR-LIMIT-L IS GREATER THAN ZERO
195100         IF  MS05-PL-FLOOR-LIMIT IS NOT EQUAL TO
195200                                    MMSM-PL-FLOOR-LIMIT
195300             SET WS-UPDATE-SW-YES
195400                                 TO TRUE
195500             IF  MBCA-PTI-FUNCTION-IS-MAINT
195600             AND MMSM-ADD-COMPLETED
195700                 MOVE MMSMTB-PL-FLOOR-LIMIT (1:4)
195800                                 TO WS-INDEX-X
195900                 SET X-MMFS-STORE
196000                                 TO WS-INDEX
196100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
196200                                 TO MML1-MMSM-AUDIT-CODE
196300                 MOVE 0505       TO MML1-FIELD-CODE
196400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
196500                                    MML1-FIELD-OCCURRENCE-2
196600                 MOVE MML1WS-VL-20
196700                                 TO MML1-VARIABLE-LENGTH
196800                 MOVE MMSM-PL-FLOOR-LIMIT
196900                                 TO MML1-VL20-B-NBR-NO-DEC
197000                 MOVE MS05-PL-FLOOR-LIMIT
197100                                 TO MMSM-PL-FLOOR-LIMIT
197200                 MOVE MMSM-PL-FLOOR-LIMIT
197300                                 TO MML1-VL20-A-NBR-NO-DEC
197400                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
197500                 PERFORM Y910-WRITE-LOG-RECORD
197600                                 THRU Y919-WLR-EXIT
197700             ELSE
197800                 MOVE MS05-PL-FLOOR-LIMIT
197900                                 TO MMSM-PL-FLOOR-LIMIT.
198000*
198100 X119-EXIT.
198200     EXIT.
198300*
198400 X130-UPDATE-PL-CATEGORY.
198500*
198600     IF  MS05-PL-CATEGORY-L IS GREATER THAN ZERO
198700         IF  MS05-PL-CATEGORY IS NOT EQUAL
198800                                 TO MMSM-PL-CATEGORY-CODE
198900             SET WS-UPDATE-SW-YES
199000                                 TO TRUE
199100             IF  MBCA-PTI-FUNCTION-IS-MAINT
199200                 MOVE MMSMTB-PL-CATEGORY-CODE (1:4)
199300                                 TO WS-INDEX-X
199400                 SET X-MMFS-STORE
199500                                 TO WS-INDEX
199600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
199700                                 TO MML1-MMSM-AUDIT-CODE
199800                 MOVE 0506       TO MML1-FIELD-CODE
199900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
200000                                    MML1-FIELD-OCCURRENCE-2
200100                 MOVE MML1WS-VL-04
200200                                 TO MML1-VARIABLE-LENGTH
200300                 MOVE MMSM-PL-CATEGORY-CODE
200400                                 TO MML1-VL04-B-DATA-9
200500                 MOVE MS05-PL-CATEGORY
200600                                 TO MMSM-PL-CATEGORY-CODE
200700                 MOVE MMSM-PL-CATEGORY-CODE
200800                                 TO MML1-VL04-A-DATA-9
200900                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
201000                 PERFORM Y910-WRITE-LOG-RECORD
201100                                 THRU Y919-WLR-EXIT
201200             ELSE
201300                 MOVE MS05-PL-CATEGORY
201400                                 TO MMSM-PL-CATEGORY-CODE.
201500*
201600 X139-EXIT.
201700     EXIT.
201800*
201900 X150-UPDATE-MEDIA-TYPE.
202000*
202100     IF  MS05-MEDIA-TYPE-L IS GREATER THAN ZERO
202200         IF  MS05-MEDIA-TYPE IS NOT EQUAL TO MMSM-MEDIA-TYPE
202300             SET WS-UPDATE-SW-YES
202400                                 TO TRUE
202500             IF  MBCA-PTI-FUNCTION-IS-MAINT
202600                 MOVE MMSMTB-MEDIA-TYPE (1:4)
202700                                 TO WS-INDEX-X
202800                 SET X-MMFS-STORE
202900                                 TO WS-INDEX
203000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
203100                                 TO MML1-MMSM-AUDIT-CODE
203200                 MOVE 0507       TO MML1-FIELD-CODE
203300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
203400                                    MML1-FIELD-OCCURRENCE-2
203500                 MOVE MML1WS-VL-01
203600                                 TO MML1-VARIABLE-LENGTH
203700                 MOVE MMSM-MEDIA-TYPE
203800                                 TO MML1-VL01-B-DATA-X
203900                 MOVE MS05-MEDIA-TYPE
204000                                 TO MMSM-MEDIA-TYPE
204100                 MOVE MMSM-MEDIA-TYPE
204200                                 TO MML1-VL01-A-DATA-X
204300                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
204400                 PERFORM Y910-WRITE-LOG-RECORD
204500                                 THRU Y919-WLR-EXIT
204600             ELSE
204700                 MOVE MS05-MEDIA-TYPE TO MMSM-MEDIA-TYPE.
204800*
204900 X159-EXIT.
205000     EXIT.
205100*
205200 X170-UPDATE-STORE-TYPE.
205300*
205400     IF  MS05-STORE-TYPE-L IS GREATER THAN ZERO
205500         IF  MS05-STORE-TYPE IS NOT EQUAL TO MMSM-STORE-TYPE
205600             SET WS-UPDATE-SW-YES
205700                                 TO TRUE
205800             IF  MBCA-PTI-FUNCTION-IS-MAINT
205900                 MOVE MMSMTB-STORE-TYPE (1:4)
206000                                 TO WS-INDEX-X
206100                 SET X-MMFS-STORE
206200                                 TO WS-INDEX
206300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
206400                                 TO MML1-MMSM-AUDIT-CODE
206500                 MOVE 0508       TO MML1-FIELD-CODE
206600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
206700                                    MML1-FIELD-OCCURRENCE-2
206800                 MOVE MML1WS-VL-02
206900                                 TO MML1-VARIABLE-LENGTH
207000                 MOVE MMSM-STORE-TYPE
207100                                 TO MML1-VL02-B-DATA-9
207200                 MOVE MS05-STORE-TYPE
207300                                 TO MMSM-STORE-TYPE
207400                 MOVE MMSM-STORE-TYPE
207500                                 TO MML1-VL02-A-DATA-9
207600                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
207700                 PERFORM Y910-WRITE-LOG-RECORD
207800                                 THRU Y919-WLR-EXIT
207900             ELSE
208000                 MOVE MS05-STORE-TYPE
208100                                 TO MMSM-STORE-TYPE.
208200*
208300 X179-EXIT.
208400     EXIT.
208500*
208600 X190-UPDATE-BULLETIN-TYPE.
208700*
208800     IF  MS05-BULLETIN-TYPE-L IS GREATER THAN ZERO
208900         IF  MS05-BULLETIN-TYPE IS NOT EQUAL TO MMSM-BULLETIN-TYPE
209000             SET WS-UPDATE-SW-YES
209100                                 TO TRUE
209200             IF  MBCA-PTI-FUNCTION-IS-MAINT
209300                 MOVE MMSMTB-BULLETIN-TYPE (1:4)
209400                                 TO WS-INDEX-X
209500                 SET X-MMFS-STORE
209600                                 TO WS-INDEX
209700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
209800                                 TO MML1-MMSM-AUDIT-CODE
209900                 MOVE 0509       TO MML1-FIELD-CODE
210000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
210100                                    MML1-FIELD-OCCURRENCE-2
210200                 MOVE MML1WS-VL-01
210300                                 TO MML1-VARIABLE-LENGTH
210400                 MOVE MMSM-BULLETIN-TYPE
210500                                 TO MML1-VL01-B-DATA-X
210600                 MOVE MS05-BULLETIN-TYPE
210700                                 TO MMSM-BULLETIN-TYPE
210800                 MOVE MMSM-BULLETIN-TYPE
210900                                 TO MML1-VL01-A-DATA-X
211000                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
211100                 PERFORM Y910-WRITE-LOG-RECORD
211200                                 THRU Y919-WLR-EXIT
211300             ELSE
211400                 MOVE MS05-BULLETIN-TYPE
211500                                 TO MMSM-BULLETIN-TYPE.
211600*
211700 X199-EXIT.
211800     EXIT.
211900*
212000 X210-UPDATE-LOCATION.
212100*
212200     IF  MS05-LOCATION-L IS GREATER THAN ZERO
212300         IF  MS05-LOCATION IS NOT EQUAL TO MMSM-LOCATION-ID
212400             SET WS-UPDATE-SW-YES
212500                                 TO TRUE
212600             IF  MBCA-PTI-FUNCTION-IS-MAINT
212700                 MOVE MMSMTB-LOCATION-ID (1:4)
212800                                 TO WS-INDEX-X
212900                 SET X-MMFS-STORE
213000                                 TO WS-INDEX
213100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
213200                                 TO MML1-MMSM-AUDIT-CODE
213300                 MOVE 0510       TO MML1-FIELD-CODE
213400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
213500                                    MML1-FIELD-OCCURRENCE-2
213600                 MOVE MML1WS-VL-10
213700                                 TO MML1-VARIABLE-LENGTH
213800                 MOVE MMSM-LOCATION-ID
213900                                 TO MML1-VL10-B-DATA-X
214000                 MOVE MS05-LOCATION
214100                                 TO MMSM-LOCATION-ID
214200                 MOVE MMSM-LOCATION-ID
214300                                 TO MML1-VL10-A-DATA-X
214400                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
214500                 PERFORM Y910-WRITE-LOG-RECORD
214600                                 THRU Y919-WLR-EXIT
214700             ELSE
214800                 MOVE MS05-LOCATION
214900                                 TO MMSM-LOCATION-ID.
215000*
215100 X219-EXIT.
215200     EXIT.
215300*
215400 X230-UPDATE-AGENT-BANK.
215500*
215600     IF  MS05-AGENT-BANK-L IS GREATER THAN ZERO
215700         IF  MS05-AGENT-BANK IS NOT EQUAL TO MMSM-AGENT-BANK
215800             SET WS-UPDATE-SW-YES
215900                                 TO TRUE
216000             IF  MBCA-PTI-FUNCTION-IS-MAINT
216100                 MOVE MMSMTB-AGENT-BANK (1:4)
216200                                 TO WS-INDEX-X
216300                 SET X-MMFS-STORE
216400                                 TO WS-INDEX
216500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
216600                                 TO MML1-MMSM-AUDIT-CODE
216700                 MOVE 0511       TO MML1-FIELD-CODE
216800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
216900                                    MML1-FIELD-OCCURRENCE-2
217000                 MOVE MML1WS-VL-05
217100                                 TO MML1-VARIABLE-LENGTH
217200                 MOVE MMSM-AGENT-BANK
217300                                 TO MML1-VL05-B-DATA-9
217400                 MOVE MS05-AGENT-BANK TO MMSM-AGENT-BANK
217500                 MOVE MMSM-AGENT-BANK
217600                                 TO MML1-VL05-A-DATA-9
217700                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
217800                 PERFORM Y910-WRITE-LOG-RECORD
217900                                 THRU Y919-WLR-EXIT
218000             ELSE
218100                 MOVE MS05-AGENT-BANK TO MMSM-AGENT-BANK.
218200*
218300 X239-EXIT.
218400     EXIT.
218500*
218600 X250-UPDATE-OFFICER-ID.
218700*
218800     IF  MS05-OFFICER-ID-L IS GREATER THAN ZERO
218900         IF  MS05-OFFICER-ID IS NOT EQUAL TO MMSM-OFFICER-ID
219000             SET WS-UPDATE-SW-YES
219100                                 TO TRUE
219200             IF  MBCA-PTI-FUNCTION-IS-MAINT
219300                 MOVE MMSMTB-OFFICER-ID (1:4)
219400                                 TO WS-INDEX-X
219500                 SET X-MMFS-STORE
219600                                 TO WS-INDEX
219700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
219800                                 TO MML1-MMSM-AUDIT-CODE
219900                 MOVE 0512       TO MML1-FIELD-CODE
220000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
220100                                    MML1-FIELD-OCCURRENCE-2
220200                 MOVE MML1WS-VL-03
220300                                 TO MML1-VARIABLE-LENGTH
220400                 MOVE MMSM-OFFICER-ID
220500                                 TO MML1-VL03-B-DATA-X
220600                 MOVE MS05-OFFICER-ID
220700                                 TO MMSM-OFFICER-ID
220800                 MOVE MMSM-OFFICER-ID
220900                                 TO MML1-VL03-A-DATA-X
221000                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
221100                 PERFORM Y910-WRITE-LOG-RECORD
221200                                 THRU Y919-WLR-EXIT
221300             ELSE
221400                 MOVE MS05-OFFICER-ID
221500                                 TO MMSM-OFFICER-ID.
221600*
221700 X259-EXIT.
221800     EXIT.
221900*
222000 X270-UPDATE-BRANCH.
222100*
222200     IF  MS05-BRANCH-L IS GREATER THAN ZERO
222300         IF  MS05-BRANCH IS NOT EQUAL TO MMSM-BRANCH
222400             SET WS-UPDATE-SW-YES
222500                                 TO TRUE
222600             IF  MBCA-PTI-FUNCTION-IS-MAINT
222700                 MOVE MMSMTB-BRANCH (1:4)
222800                                 TO WS-INDEX-X
222900                 SET X-MMFS-STORE
223000                                 TO WS-INDEX
223100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
223200                                 TO MML1-MMSM-AUDIT-CODE
223300                 MOVE 0513       TO MML1-FIELD-CODE
223400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
223500                                    MML1-FIELD-OCCURRENCE-2
223600                 MOVE MML1WS-VL-10
223700                                 TO MML1-VARIABLE-LENGTH
223800                 MOVE MMSM-BRANCH
223900                                 TO MML1-VL10-B-DATA-9
224000                 MOVE MS05-BRANCH
224100                                 TO MMSM-BRANCH
224200                 MOVE MMSM-BRANCH
224300                                 TO MML1-VL10-A-DATA-9
224400                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
224500                 PERFORM Y910-WRITE-LOG-RECORD
224600                                 THRU Y919-WLR-EXIT
224700             ELSE
224800                 MOVE MS05-BRANCH
224900                                 TO MMSM-BRANCH.
225000*
225100 X279-EXIT.
225200     EXIT.
225300*
225400 X290-UPDATE-CHECK-COMPANY.
225500*
225600     IF  MS05-CHECK-CO-L IS GREATER THAN ZERO
225700         IF  MS05-CHECK-CO IS NOT EQUAL TO MMSM-CHECK-GUARANTEE-CO
225800             SET WS-UPDATE-SW-YES
225900                                 TO TRUE
226000             IF  MBCA-PTI-FUNCTION-IS-MAINT
226100                 MOVE MMSMTB-CHECK-COMPANY (1:4)
226200                                 TO WS-INDEX-X
226300                 SET X-MMFS-STORE
226400                                 TO WS-INDEX
226500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
226600                                 TO MML1-MMSM-AUDIT-CODE
226700                 MOVE 0514       TO MML1-FIELD-CODE
226800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
226900                                    MML1-FIELD-OCCURRENCE-2
227000                 MOVE MML1WS-VL-30
227100                                 TO MML1-VARIABLE-LENGTH
227200                 MOVE MMSM-CHECK-GUARANTEE-CO
227300                                 TO MML1-VL30-B-DATA-X
227400                 MOVE MS05-CHECK-CO
227500                                 TO MMSM-CHECK-GUARANTEE-CO
227600                 MOVE MMSM-CHECK-GUARANTEE-CO
227700                                 TO MML1-VL30-A-DATA-X
227800                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
227900                 PERFORM Y910-WRITE-LOG-RECORD
228000                                 THRU Y919-WLR-EXIT
228100             ELSE
228200                 MOVE MS05-CHECK-CO
228300                                 TO MMSM-CHECK-GUARANTEE-CO.
228400*
228500 X299-EXIT.
228600     EXIT.
228700*
228800 X310-UPDATE-CUST-STMT-LINE.
228900*
229000     MOVE MMSMTB-CUSTOMER-MSG-1 (1:4)
229100                                 TO WS-INDEX-X.
229200     SET X-MMFS-STORE            TO WS-INDEX.
229300     SET X-MMSM-CSL              TO 1.
229400     SET X-MS05-CSL              TO 1.
229500*
229600 X311-UM-LOOP.
229700*
229800     IF  MS05-CUST-STMT-LINE-L (X-MS05-CSL) IS GREATER THAN ZERO
229900         IF  MS05-CUST-STMT-LINE (X-MS05-CSL) IS NOT EQUAL
230000                                 TO MMSM-CUST-STMT-LINE
230100                                    (X-MMSM-CSL)
230200             SET WS-UPDATE-SW-YES
230300                                 TO TRUE
230400             IF  MBCA-PTI-FUNCTION-IS-MAINT
230500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
230600                                 TO MML1-MMSM-AUDIT-CODE
230700                 MOVE 0515       TO MML1-FIELD-CODE
230800                 SET  MML1-FIELD-OCCURRENCE
230900                                 TO X-MMSM-CSL
231000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
231100                 MOVE MML1WS-VL-50
231200                                 TO MML1-VARIABLE-LENGTH
231300                 MOVE MMSM-CUST-STMT-LINE (X-MMSM-CSL)
231400                                 TO MML1-VL50-B-DATA-X
231500                 MOVE MS05-CUST-STMT-LINE (X-MS05-CSL)
231600                                 TO MMSM-CUST-STMT-LINE
231700                                    (X-MMSM-CSL)
231800                 MOVE MMSM-CUST-STMT-LINE (X-MMSM-CSL)
231900                                 TO MML1-VL50-A-DATA-X
232000                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
232100                 PERFORM Y910-WRITE-LOG-RECORD
232200                                 THRU Y919-WLR-EXIT
232300             ELSE
232400                 MOVE MS05-CUST-STMT-LINE (X-MS05-CSL)
232500                                 TO MMSM-CUST-STMT-LINE
232600                                    (X-MMSM-CSL).
232700*
232800 X318-INCREMENT-INDEXES.
232900*
233000     IF  X-MS05-CSL IS LESS THAN 3
233100         SET X-MMFS-STORE        UP BY 1
233200         SET X-MMSM-CSL          UP BY 1
233300         SET X-MS05-CSL          UP BY 1
233400         GO TO X311-UM-LOOP.
233500*
233600 X319-EXIT.
233700     EXIT.
233800/
233900 Y000-PERFORMED-ROUTINES SECTION.
234000*
234100 Y010-MOVE-IMPRINTER-TITLES.
234200*
234300     MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
234400                                 TO WS-INDEX-X.
234500     SET  X-MMFS-STORE           TO WS-INDEX.
234600     SET  X-MMSM-IMP             TO 1.
234700     SET  X-MS05-IMP-POS         TO 1.
234800*
234900 Y011-MIT-LOOP.
235000*
235100     MOVE MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
235200                                 TO MS05-IMPRINTER-TITLE
235300                                    (X-MS05-IMP-POS).
235400*
235500 Y015-IMPRINTER-TITLE-SECURITY.
235600*
235700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
235800         MOVE DFHBMDAS           TO MS05-IMPRINTER-TITLE-A
235900                                    (X-MS05-IMP-POS)
236000                                    MS05-IMPRINTER-TITLE-LP-A
236100                                    (X-MS05-IMP-POS)
236200                                    MS05-IMPRINTER-TITLE-RP-A
236300                                    (X-MS05-IMP-POS)
236400                                    MS05-IMPRINTER-TITLE-A
236500                                    (X-MS05-IMP-POS)
236600         MOVE ZERO               TO MS05-IMPRINTER-TITLE-L
236700                                    (X-MS05-IMP-POS)
236800         GO TO Y016-EXIT.
236900*
237000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
237100     OR  MMSM-REC-SINGLE-STORE
237200         MOVE DFHBMDAS           TO MS05-IMPRINTER-TITLE-LP-A
237300                                    (X-MS05-IMP-POS)
237400                                    MS05-IMPRINTER-TITLE-RP-A
237500                                    (X-MS05-IMP-POS)
237600         MOVE DFHBMASK           TO MS05-IMPRINTER-TITLE-A
237700                                    (X-MS05-IMP-POS)
237800         GO TO Y016-EXIT.
237900*
238000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
238100         MOVE ZERO               TO MS05-IMPRINTER-TITLE-L
238200                                    (X-MS05-IMP-POS)
238300         MOVE DFHBMDAS           TO MS05-IMPRINTER-TITLE-LP-A
238400                                    (X-MS05-IMP-POS)
238500                                    MS05-IMPRINTER-TITLE-RP-A
238600                                    (X-MS05-IMP-POS)
238700         MOVE DFHBMASK           TO MS05-IMPRINTER-TITLE-A
238800                                    (X-MS05-IMP-POS)
238900         GO TO Y016-EXIT.
239000*
239100     IF  MBCA-PTI-FUNCTION-IS-ADD
239200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
239300             MOVE DFHBMBRY       TO MS05-IMPRINTER-TITLE-A
239400                                    (X-MS05-IMP-POS)
239500         ELSE
239600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
239700                 MOVE ZERO       TO MS05-IMPRINTER-TITLE-L
239800                                    (X-MS05-IMP-POS)
239900                 MOVE DFHBMDAS   TO MS05-IMPRINTER-TITLE-LP-A
240000                                    (X-MS05-IMP-POS)
240100                                    MS05-IMPRINTER-TITLE-RP-A
240200                                    (X-MS05-IMP-POS)
240300                 MOVE DFHBMASK   TO MS05-IMPRINTER-TITLE-A
240400                                    (X-MS05-IMP-POS).
240500*
240600     IF  MBCA-PTI-FUNCTION-IS-MAINT
240700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
240800             MOVE ZERO           TO MS05-IMPRINTER-TITLE-L
240900                                    (X-MS05-IMP-POS)
241000             MOVE DFHBMDAS       TO MS05-IMPRINTER-TITLE-LP-A
241100                                    (X-MS05-IMP-POS)
241200                                    MS05-IMPRINTER-TITLE-RP-A
241300                                    (X-MS05-IMP-POS)
241400             MOVE DFHBMASK       TO MS05-IMPRINTER-TITLE-A
241500                                    (X-MS05-IMP-POS).
241600*
241700 Y016-EXIT.
241800     EXIT.
241900*
242000 Y018-INCREMENT-INDEXES.
242100*
242200     IF  X-MS05-IMP-POS IS LESS THAN 3
242300         SET X-MS05-IMP-POS      UP BY 1
242400         SET X-MMSM-IMP          UP BY 1
242500         SET X-MMFS-STORE        UP BY 4
242600         GO TO Y011-MIT-LOOP.
242700*
242800 Y019-EXIT.
242900     EXIT.
243000*
243100 Y030-MOVE-IMPRINTER-NUMBERS.
243200*
243300     MOVE MMSMTB-IMP-DEV-NBR-1 (1:4)
243400                                 TO WS-INDEX-X.
243500     SET  X-MMFS-STORE           TO WS-INDEX.
243600     SET  X-MMSM-IMP             TO 1.
243700     SET  X-MS05-IMP-POS         TO 1.
243800*
243900 Y031-MIN-LOOP.
244000*
244100     MOVE MMSM-IMP-DEV-NBR (X-MMSM-IMP)
244200                                 TO MS05-IMPRINTER-NBR
244300                                    (X-MS05-IMP-POS).
244400*
244500 Y035-IMPRINTER-NBR-SECURITY.
244600*
244700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
244800         MOVE DFHBMDAS           TO MS05-IMPRINTER-NBR-A
244900                                    (X-MS05-IMP-POS)
245000                                    MS05-IMPRINTER-NBR-LP-A
245100                                    (X-MS05-IMP-POS)
245200                                    MS05-IMPRINTER-NBR-RP-A
245300                                    (X-MS05-IMP-POS)
245400                                    MS05-IMPRINTER-NBR-A
245500                                    (X-MS05-IMP-POS)
245600         MOVE ZERO               TO MS05-IMPRINTER-NBR-L
245700                                    (X-MS05-IMP-POS)
245800         GO TO Y036-EXIT.
245900*
246000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
246100     OR  MMSM-REC-SINGLE-STORE
246200         MOVE DFHBMDAS           TO MS05-IMPRINTER-NBR-LP-A
246300                                    (X-MS05-IMP-POS)
246400                                    MS05-IMPRINTER-NBR-RP-A
246500                                    (X-MS05-IMP-POS)
246600         MOVE DFHBMASB           TO MS05-IMPRINTER-NBR-A
246700                                    (X-MS05-IMP-POS)
246800         GO TO Y036-EXIT.
246900*
247000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
247100         MOVE ZERO               TO MS05-IMPRINTER-NBR-L
247200                                    (X-MS05-IMP-POS)
247300         MOVE DFHBMDAS           TO MS05-IMPRINTER-NBR-LP-A
247400                                    (X-MS05-IMP-POS)
247500                                    MS05-IMPRINTER-NBR-RP-A
247600                                    (X-MS05-IMP-POS)
247700         MOVE DFHBMASK           TO MS05-IMPRINTER-NBR-A
247800                                    (X-MS05-IMP-POS)
247900         GO TO Y036-EXIT.
248000*
248100     IF  MBCA-PTI-FUNCTION-IS-ADD
248200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
248300             MOVE DFHBMUNB       TO MS05-IMPRINTER-NBR-A
248400                                    (X-MS05-IMP-POS)
248500         ELSE
248600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
248700                 MOVE ZERO       TO MS05-IMPRINTER-NBR-L
248800                                    (X-MS05-IMP-POS)
248900                 MOVE DFHBMDAS   TO MS05-IMPRINTER-NBR-LP-A
249000                                    (X-MS05-IMP-POS)
249100                                    MS05-IMPRINTER-NBR-RP-A
249200                                    (X-MS05-IMP-POS)
249300                 MOVE DFHBMASK   TO MS05-IMPRINTER-NBR-A
249400                                    (X-MS05-IMP-POS).
249500*
249600     IF  MBCA-PTI-FUNCTION-IS-MAINT
249700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
249800             MOVE ZERO           TO MS05-IMPRINTER-NBR-L
249900                                    (X-MS05-IMP-POS)
250000             MOVE DFHBMDAS       TO MS05-IMPRINTER-NBR-LP-A
250100                                    (X-MS05-IMP-POS)
250200                                    MS05-IMPRINTER-NBR-RP-A
250300                                    (X-MS05-IMP-POS)
250400             MOVE DFHBMASK       TO MS05-IMPRINTER-NBR-A
250500                                    (X-MS05-IMP-POS).
250600*
250700 Y036-EXIT.
250800     EXIT.
250900*
251000 Y038-INCREMENT-INDEXES.
251100*
251200     IF  X-MS05-IMP-POS IS LESS THAN 3
251300         SET X-MS05-IMP-POS      UP BY 1
251400         SET X-MMSM-IMP          UP BY 1
251500         SET X-MMFS-STORE        UP BY 4
251600         GO TO Y031-MIN-LOOP.
251700*
251800 Y039-EXIT.
251900     EXIT.
252000*
252100 Y050-MOVE-POS-TITLES.
252200*
252300     MOVE MMSMTB-POS-DEV-TITLE-1 (1:4)
252400                                 TO WS-INDEX-X.
252500     SET  X-MMFS-STORE           TO WS-INDEX.
252600     SET  X-MMSM-POS             TO 1.
252700     SET  X-MS05-IMP-POS         TO 1.
252800*
252900 Y051-MPT-LOOP.
253000*
253100     MOVE MMSM-POS-DEV-TITLE (X-MMSM-POS)
253200                                 TO MS05-POS-TITLE
253300                                    (X-MS05-IMP-POS).
253400*
253500 Y055-POS-TITLE-SECURITY.
253600*
253700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
253800         MOVE DFHBMDAS           TO MS05-POS-TITLE-A
253900                                    (X-MS05-IMP-POS)
254000                                    MS05-POS-TITLE-LP-A
254100                                    (X-MS05-IMP-POS)
254200                                    MS05-POS-TITLE-RP-A
254300                                    (X-MS05-IMP-POS)
254400                                    MS05-POS-TITLE-A
254500                                    (X-MS05-IMP-POS)
254600         MOVE ZERO               TO MS05-POS-TITLE-L
254700                                    (X-MS05-IMP-POS)
254800         GO TO Y056-EXIT.
254900*
255000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
255100     OR  MMSM-REC-SINGLE-STORE
255200         MOVE DFHBMDAS           TO MS05-POS-TITLE-LP-A
255300                                    (X-MS05-IMP-POS)
255400                                    MS05-POS-TITLE-RP-A
255500                                    (X-MS05-IMP-POS)
255600         MOVE DFHBMASK           TO MS05-POS-TITLE-A
255700                                    (X-MS05-IMP-POS)
255800         GO TO Y056-EXIT.
255900*
256000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
256100         MOVE ZERO               TO MS05-POS-TITLE-L
256200                                    (X-MS05-IMP-POS)
256300         MOVE DFHBMDAS           TO MS05-POS-TITLE-LP-A
256400                                    (X-MS05-IMP-POS)
256500                                    MS05-POS-TITLE-RP-A
256600                                    (X-MS05-IMP-POS)
256700         MOVE DFHBMASK           TO MS05-POS-TITLE-A
256800                                    (X-MS05-IMP-POS)
256900         GO TO Y056-EXIT.
257000*
257100     IF  MBCA-PTI-FUNCTION-IS-ADD
257200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
257300             MOVE DFHBMBRY       TO MS05-POS-TITLE-A
257400                                    (X-MS05-IMP-POS)
257500         ELSE
257600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
257700                 MOVE ZERO       TO MS05-POS-TITLE-L
257800                                    (X-MS05-IMP-POS)
257900                 MOVE DFHBMDAS   TO MS05-POS-TITLE-LP-A
258000                                    (X-MS05-IMP-POS)
258100                                    MS05-POS-TITLE-RP-A
258200                                    (X-MS05-IMP-POS)
258300                 MOVE DFHBMASK   TO MS05-POS-TITLE-A
258400                                    (X-MS05-IMP-POS).
258500*
258600     IF  MBCA-PTI-FUNCTION-IS-MAINT
258700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
258800             MOVE ZERO           TO MS05-POS-TITLE-L
258900                                    (X-MS05-IMP-POS)
259000             MOVE DFHBMDAS       TO MS05-POS-TITLE-LP-A
259100                                    (X-MS05-IMP-POS)
259200                                    MS05-POS-TITLE-RP-A
259300                                    (X-MS05-IMP-POS)
259400             MOVE DFHBMASK       TO MS05-POS-TITLE-A
259500                                    (X-MS05-IMP-POS).
259600*
259700 Y056-EXIT.
259800     EXIT.
259900*
260000 Y058-INCREMENT-INDEXES.
260100*
260200     IF  X-MS05-IMP-POS IS LESS THAN 3
260300         SET X-MS05-IMP-POS      UP BY 1
260400         SET X-MMSM-POS          UP BY 1
260500         SET X-MMFS-STORE        UP BY 4
260600         GO TO Y051-MPT-LOOP.
260700*
260800 Y059-EXIT.
260900     EXIT.
261000*
261100 Y070-MOVE-POS-NUMBERS.
261200*
261300     MOVE MMSMTB-POS-DEV-NBR-1 (1:4)
261400                                 TO WS-INDEX-X.
261500     SET  X-MMFS-STORE           TO WS-INDEX.
261600     SET  X-MMSM-POS             TO 1.
261700     SET  X-MS05-IMP-POS         TO 1.
261800*
261900 Y071-MPN-LOOP.
262000*
262100     MOVE MMSM-POS-DEV-NBR (X-MMSM-POS)
262200                                 TO MS05-POS-NBR
262300                                    (X-MS05-IMP-POS).
262400*
262500 Y075-POS-NBR-SECURITY.
262600*
262700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
262800         MOVE DFHBMDAS           TO MS05-POS-NBR-A
262900                                    (X-MS05-IMP-POS)
263000                                    MS05-POS-NBR-LP-A
263100                                    (X-MS05-IMP-POS)
263200                                    MS05-POS-NBR-RP-A
263300                                    (X-MS05-IMP-POS)
263400                                    MS05-POS-NBR-A
263500                                    (X-MS05-IMP-POS)
263600         MOVE ZERO               TO MS05-POS-NBR-L
263700                                    (X-MS05-IMP-POS)
263800         GO TO Y076-EXIT.
263900*
264000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
264100     OR  MMSM-REC-SINGLE-STORE
264200         MOVE DFHBMDAS           TO MS05-POS-NBR-LP-A
264300                                    (X-MS05-IMP-POS)
264400                                    MS05-POS-NBR-RP-A
264500                                    (X-MS05-IMP-POS)
264600         MOVE DFHBMASB           TO MS05-POS-NBR-A
264700                                    (X-MS05-IMP-POS)
264800         GO TO Y076-EXIT.
264900*
265000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
265100         MOVE ZERO               TO MS05-POS-NBR-L
265200                                    (X-MS05-IMP-POS)
265300         MOVE DFHBMDAS           TO MS05-POS-NBR-LP-A
265400                                    (X-MS05-IMP-POS)
265500                                    MS05-POS-NBR-RP-A
265600                                    (X-MS05-IMP-POS)
265700         MOVE DFHBMASK           TO MS05-POS-NBR-A
265800                                    (X-MS05-IMP-POS)
265900         GO TO Y076-EXIT.
266000*
266100     IF  MBCA-PTI-FUNCTION-IS-ADD
266200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
266300             MOVE DFHBMUNB       TO MS05-POS-NBR-A
266400                                    (X-MS05-IMP-POS)
266500         ELSE
266600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
266700                 MOVE ZERO       TO MS05-POS-NBR-L
266800                                    (X-MS05-IMP-POS)
266900                 MOVE DFHBMDAS   TO MS05-POS-NBR-LP-A
267000                                    (X-MS05-IMP-POS)
267100                                    MS05-POS-NBR-RP-A
267200                                    (X-MS05-IMP-POS)
267300                 MOVE DFHBMASK   TO MS05-POS-NBR-A
267400                                    (X-MS05-IMP-POS).
267500*
267600     IF  MBCA-PTI-FUNCTION-IS-MAINT
267700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
267800             MOVE ZERO           TO MS05-POS-NBR-L
267900                                    (X-MS05-IMP-POS)
268000             MOVE DFHBMDAS       TO MS05-POS-NBR-LP-A
268100                                    (X-MS05-IMP-POS)
268200                                    MS05-POS-NBR-RP-A
268300                                    (X-MS05-IMP-POS)
268400             MOVE DFHBMASK       TO MS05-POS-NBR-A
268500                                    (X-MS05-IMP-POS).
268600*
268700 Y076-EXIT.
268800     EXIT.
268900*
269000 Y078-INCREMENT-INDEXES.
269100*
269200     IF  X-MS05-IMP-POS IS LESS THAN 3
269300         SET X-MS05-IMP-POS
269400                                 UP BY 1
269500         SET X-MMSM-POS          UP BY 1
269600         SET X-MMFS-STORE        UP BY 4
269700         GO TO Y071-MPN-LOOP.
269800*
269900 Y079-EXIT.
270000     EXIT.
270100*
270200 Y110-MOVE-PL-FLOOR-LIMIT.
270300*
270400     MOVE MMSM-PL-FLOOR-LIMIT    TO MS05-PL-FLOOR-LIMIT.
270500*
270600 Y115-FLOOR-LIMIT-SECURITY.
270700*
270800     MOVE MMSMTB-PL-FLOOR-LIMIT (1:4)
270900                                 TO WS-INDEX-X.
271000     SET  X-MMFS-STORE           TO WS-INDEX.
271100*
271200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
271300         MOVE DFHBMDAS           TO MS05-PL-FLOOR-LIMIT-LIT-A
271400                                    MS05-PL-FLOOR-LIMIT-LP-A
271500                                    MS05-PL-FLOOR-LIMIT-RP-A
271600                                    MS05-PL-FLOOR-LIMIT-A
271700         MOVE ZERO               TO MS05-PL-FLOOR-LIMIT-L
271800         GO TO Y119-EXIT.
271900*
272000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
272100     OR  MMSM-REC-SINGLE-STORE
272200         MOVE DFHBMDAS           TO MS05-PL-FLOOR-LIMIT-LP-A
272300                                    MS05-PL-FLOOR-LIMIT-RP-A
272400         MOVE DFHBMASB           TO MS05-PL-FLOOR-LIMIT-A
272500         GO TO Y119-EXIT.
272600*
272700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
272800         MOVE ZERO               TO MS05-PL-FLOOR-LIMIT-L
272900         MOVE DFHBMDAS           TO MS05-PL-FLOOR-LIMIT-LP-A
273000                                    MS05-PL-FLOOR-LIMIT-RP-A
273100         MOVE DFHBMASK           TO MS05-PL-FLOOR-LIMIT-A
273200         GO TO Y119-EXIT.
273300*
273400     IF  MBCA-PTI-FUNCTION-IS-ADD
273500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
273600             MOVE DFHBMASB       TO MS05-PL-FLOOR-LIMIT-LIT-A
273700         ELSE
273800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
273900                 MOVE ZERO       TO MS05-PL-FLOOR-LIMIT-L
274000                 MOVE DFHBMDAS   TO MS05-PL-FLOOR-LIMIT-LP-A
274100                                    MS05-PL-FLOOR-LIMIT-RP-A
274200                 MOVE DFHBMASK   TO MS05-PL-FLOOR-LIMIT-A.
274300*
274400     IF  MBCA-PTI-FUNCTION-IS-MAINT
274500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
274600             MOVE ZERO           TO MS05-PL-FLOOR-LIMIT-L
274700             MOVE DFHBMDAS       TO MS05-PL-FLOOR-LIMIT-LP-A
274800                                    MS05-PL-FLOOR-LIMIT-RP-A
274900             MOVE DFHBMASK       TO MS05-PL-FLOOR-LIMIT-A.
275000*
275100 Y119-EXIT.
275200     EXIT.
275300*
275400 Y130-MOVE-PL-CATEGORY.
275500*
275600     MOVE MMSM-PL-CATEGORY-CODE  TO MS05-PL-CATEGORY.
275700*
275800 Y135-PL-CATEGORY-SECURITY.
275900*
276000     MOVE MMSMTB-PL-CATEGORY-CODE (1:4)
276100                                 TO WS-INDEX-X.
276200     SET  X-MMFS-STORE           TO WS-INDEX.
276300*
276400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
276500         MOVE DFHBMDAS           TO MS05-PL-CATEGORY-LIT-A
276600                                    MS05-PL-CATEGORY-LP-A
276700                                    MS05-PL-CATEGORY-RP-A
276800                                    MS05-PL-CATEGORY-A
276900         MOVE ZERO               TO MS05-PL-CATEGORY-L
277000         GO TO Y139-EXIT.
277100*
277200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
277300     OR  MMSM-REC-SINGLE-STORE
277400         MOVE DFHBMDAS           TO MS05-PL-CATEGORY-LP-A
277500                                    MS05-PL-CATEGORY-RP-A
277600         MOVE DFHBMASB           TO MS05-PL-CATEGORY-A
277700         GO TO Y139-EXIT.
277800*
277900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
278000         MOVE ZERO               TO MS05-PL-CATEGORY-L
278100         MOVE DFHBMDAS           TO MS05-PL-CATEGORY-LP-A
278200                                    MS05-PL-CATEGORY-RP-A
278300         MOVE DFHBMASK           TO MS05-PL-CATEGORY-A
278400         GO TO Y139-EXIT.
278500*
278600     IF  MBCA-PTI-FUNCTION-IS-ADD
278700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
278800             MOVE DFHBMASB       TO MS05-PL-CATEGORY-LIT-A
278900         ELSE
279000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
279100                 MOVE ZERO       TO MS05-PL-CATEGORY-L
279200                 MOVE DFHBMDAS   TO MS05-PL-CATEGORY-LP-A
279300                                    MS05-PL-CATEGORY-RP-A
279400                 MOVE DFHBMASK   TO MS05-PL-CATEGORY-A.
279500*
279600     IF  MBCA-PTI-FUNCTION-IS-MAINT
279700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
279800             MOVE ZERO           TO MS05-PL-CATEGORY-L
279900             MOVE DFHBMDAS       TO MS05-PL-CATEGORY-LP-A
280000                                    MS05-PL-CATEGORY-RP-A
280100             MOVE DFHBMASK       TO MS05-PL-CATEGORY-A.
280200*
280300*
280400 Y139-EXIT.
280500     EXIT.
280600*
280700 Y150-MOVE-MEDIA-TYPE.
280800*
280900     MOVE MMSM-MEDIA-TYPE        TO MS05-MEDIA-TYPE.
281000*
281100 Y155-MEDIA-TYPE-SECURITY.
281200*
281300     MOVE MMSMTB-MEDIA-TYPE (1:4)
281400                                 TO WS-INDEX-X.
281500     SET  X-MMFS-STORE           TO WS-INDEX.
281600*
281700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
281800         MOVE DFHBMDAS           TO MS05-MEDIA-TYPE-LIT-A
281900                                    MS05-MEDIA-TYPE-LP-A
282000                                    MS05-MEDIA-TYPE-RP-A
282100                                    MS05-MEDIA-TYPE-A
282200         MOVE ZERO               TO MS05-MEDIA-TYPE-L
282300         GO TO Y159-EXIT.
282400*
282500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
282600     OR  MMSM-REC-SINGLE-STORE
282700         MOVE DFHBMDAS           TO MS05-MEDIA-TYPE-LP-A
282800                                    MS05-MEDIA-TYPE-RP-A
282900         MOVE DFHBMASB           TO MS05-MEDIA-TYPE-A
283000         GO TO Y159-EXIT.
283100*
283200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
283300         MOVE ZERO               TO MS05-MEDIA-TYPE-L
283400         MOVE DFHBMDAS           TO MS05-MEDIA-TYPE-LP-A
283500                                    MS05-MEDIA-TYPE-RP-A
283600         MOVE DFHBMASK           TO MS05-MEDIA-TYPE-A
283700         GO TO Y159-EXIT.
283800*
283900     IF  MBCA-PTI-FUNCTION-IS-ADD
284000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
284100             MOVE DFHBMASB       TO MS05-MEDIA-TYPE-LIT-A
284200         ELSE
284300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
284400                 MOVE ZERO       TO MS05-MEDIA-TYPE-L
284500                 MOVE DFHBMDAS   TO MS05-MEDIA-TYPE-LP-A
284600                                    MS05-MEDIA-TYPE-RP-A
284700                 MOVE DFHBMASK   TO MS05-MEDIA-TYPE-A.
284800*
284900     IF  MBCA-PTI-FUNCTION-IS-MAINT
285000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
285100             MOVE ZERO           TO MS05-MEDIA-TYPE-L
285200             MOVE DFHBMDAS       TO MS05-MEDIA-TYPE-LP-A
285300                                    MS05-MEDIA-TYPE-RP-A
285400             MOVE DFHBMASK       TO MS05-MEDIA-TYPE-A.
285500*
285600*
285700 Y159-EXIT.
285800     EXIT.
285900*
286000 Y170-MOVE-STORE-TYPE.
286100*
286200     MOVE MMSM-STORE-TYPE        TO MS05-STORE-TYPE.
286300*
286400 Y175-STORE-TYPE-SECURITY.
286500*
286600     MOVE MMSMTB-STORE-TYPE (1:4)
286700                                 TO WS-INDEX-X.
286800     SET  X-MMFS-STORE           TO WS-INDEX.
286900*
287000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
287100         MOVE DFHBMDAS           TO MS05-STORE-TYPE-LIT-A
287200                                    MS05-STORE-TYPE-LP-A
287300                                    MS05-STORE-TYPE-RP-A
287400                                    MS05-STORE-TYPE-A
287500         MOVE ZERO               TO MS05-STORE-TYPE-L
287600         GO TO Y179-EXIT.
287700*
287800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
287900     OR  MMSM-REC-SINGLE-STORE
288000         MOVE DFHBMDAS           TO MS05-STORE-TYPE-LP-A
288100                                    MS05-STORE-TYPE-RP-A
288200         MOVE DFHBMASB           TO MS05-STORE-TYPE-A
288300         GO TO Y179-EXIT.
288400*
288500     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
288600         MOVE ZERO               TO MS05-STORE-TYPE-L
288700         MOVE DFHBMDAS           TO MS05-STORE-TYPE-LP-A
288800                                    MS05-STORE-TYPE-RP-A
288900         MOVE DFHBMASK           TO MS05-STORE-TYPE-A
289000         GO TO Y179-EXIT.
289100*
289200     IF  MBCA-PTI-FUNCTION-IS-ADD
289300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
289400             MOVE DFHBMASB       TO MS05-STORE-TYPE-LIT-A
289500         ELSE
289600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
289700                 MOVE ZERO       TO MS05-STORE-TYPE-L
289800                 MOVE DFHBMDAS   TO MS05-STORE-TYPE-LP-A
289900                                    MS05-STORE-TYPE-RP-A
290000                 MOVE DFHBMASK   TO MS05-STORE-TYPE-A.
290100*
290200     IF  MBCA-PTI-FUNCTION-IS-MAINT
290300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
290400             MOVE ZERO           TO MS05-STORE-TYPE-L
290500             MOVE DFHBMDAS       TO MS05-STORE-TYPE-LP-A
290600                                    MS05-STORE-TYPE-RP-A
290700             MOVE DFHBMASK       TO MS05-STORE-TYPE-A.
290800*
290900 Y179-EXIT.
291000     EXIT.
291100*
291200 Y190-MOVE-BULLETIN-TYPE.
291300*
291400     MOVE MMSM-BULLETIN-TYPE     TO MS05-BULLETIN-TYPE.
291500*
291600 Y195-BULLETIN-TAPE-SECURITY.
291700*
291800     MOVE MMSMTB-BULLETIN-TYPE (1:4)
291900                                 TO WS-INDEX-X.
292000     SET  X-MMFS-STORE           TO WS-INDEX.
292100*
292200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
292300         MOVE DFHBMDAS           TO MS05-BULLETIN-TYPE-LIT-A
292400                                    MS05-BULLETIN-TYPE-LP-A
292500                                    MS05-BULLETIN-TYPE-RP-A
292600                                    MS05-BULLETIN-TYPE-A
292700         MOVE ZERO               TO MS05-BULLETIN-TYPE-L
292800         GO TO Y199-EXIT.
292900*
293000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
293100     OR  MMSM-REC-SINGLE-STORE
293200         MOVE DFHBMDAS           TO MS05-BULLETIN-TYPE-LP-A
293300                                    MS05-BULLETIN-TYPE-RP-A
293400         MOVE DFHBMASB           TO MS05-BULLETIN-TYPE-A
293500         GO TO Y199-EXIT.
293600*
293700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
293800         MOVE ZERO               TO MS05-BULLETIN-TYPE-L
293900         MOVE DFHBMDAS           TO MS05-BULLETIN-TYPE-LP-A
294000                                    MS05-BULLETIN-TYPE-RP-A
294100         MOVE DFHBMASK           TO MS05-BULLETIN-TYPE-A
294200         GO TO Y199-EXIT.
294300*
294400     IF  MBCA-PTI-FUNCTION-IS-ADD
294500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
294600             MOVE DFHBMASB       TO MS05-BULLETIN-TYPE-LIT-A
294700         ELSE
294800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
294900                 MOVE ZERO       TO MS05-BULLETIN-TYPE-L
295000                 MOVE DFHBMDAS   TO MS05-BULLETIN-TYPE-LP-A
295100                                    MS05-BULLETIN-TYPE-RP-A
295200                 MOVE DFHBMASK   TO MS05-BULLETIN-TYPE-A.
295300*
295400     IF  MBCA-PTI-FUNCTION-IS-MAINT
295500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
295600             MOVE ZERO           TO MS05-BULLETIN-TYPE-L
295700             MOVE DFHBMDAS       TO MS05-BULLETIN-TYPE-LP-A
295800                                    MS05-BULLETIN-TYPE-RP-A
295900             MOVE DFHBMASK       TO MS05-BULLETIN-TYPE-A.
296000*
296100 Y199-EXIT.
296200     EXIT.
296300*
296400 Y210-MOVE-LOCATION.
296500*
296600     MOVE MMSM-LOCATION-ID       TO MS05-LOCATION.
296700*
296800 Y215-LOCATION-SECURITY.
296900*
297000     MOVE MMSMTB-LOCATION-ID (1:4)
297100                                 TO WS-INDEX-X.
297200     SET  X-MMFS-STORE           TO WS-INDEX.
297300*
297400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
297500         MOVE DFHBMDAS           TO MS05-LOCATION-LIT-A
297600                                    MS05-LOCATION-LP-A
297700                                    MS05-LOCATION-RP-A
297800                                    MS05-LOCATION-A
297900         MOVE ZERO               TO MS05-LOCATION-L
298000         GO TO Y219-EXIT.
298100*
298200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
298300     OR  MMSM-REC-SINGLE-STORE
298400         MOVE DFHBMDAS           TO MS05-LOCATION-LP-A
298500                                    MS05-LOCATION-RP-A
298600         MOVE DFHBMASB           TO MS05-LOCATION-A
298700         GO TO Y219-EXIT.
298800*
298900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
299000         MOVE ZERO               TO MS05-LOCATION-L
299100         MOVE DFHBMDAS           TO MS05-LOCATION-LP-A
299200                                    MS05-LOCATION-RP-A
299300         MOVE DFHBMASK           TO MS05-LOCATION-A
299400         GO TO Y219-EXIT.
299500*
299600     IF  MBCA-PTI-FUNCTION-IS-ADD
299700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
299800             MOVE DFHBMASB       TO MS05-LOCATION-LIT-A
299900         ELSE
300000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
300100                 MOVE ZERO       TO MS05-LOCATION-L
300200                 MOVE DFHBMDAS   TO MS05-LOCATION-LP-A
300300                                    MS05-LOCATION-RP-A
300400                 MOVE DFHBMASK   TO MS05-LOCATION-A.
300500*
300600     IF  MBCA-PTI-FUNCTION-IS-MAINT
300700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
300800             MOVE ZERO           TO MS05-LOCATION-L
300900             MOVE DFHBMDAS       TO MS05-LOCATION-LP-A
301000                                    MS05-LOCATION-RP-A
301100             MOVE DFHBMASK       TO MS05-LOCATION-A.
301200*
301300 Y219-EXIT.
301400     EXIT.
301500*
301600 Y230-MOVE-AGENT-BANK.
301700*
301800     MOVE MMSM-AGENT-BANK        TO MS05-AGENT-BANK.
301900*
302000 Y235-AGENT-BANK-SECURITY.
302100*
302200     MOVE MMSMTB-AGENT-BANK (1:4)
302300                                 TO WS-INDEX-X.
302400     SET  X-MMFS-STORE           TO WS-INDEX.
302500*
302600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
302700         MOVE DFHBMDAS           TO MS05-AGENT-BANK-LIT-A
302800                                    MS05-AGENT-BANK-LP-A
302900                                    MS05-AGENT-BANK-RP-A
303000                                    MS05-AGENT-BANK-A
303100         MOVE ZERO               TO MS05-AGENT-BANK-L
303200         GO TO Y239-EXIT.
303300*
303400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
303500     OR  MMSM-REC-SINGLE-STORE
303600         MOVE DFHBMDAS           TO MS05-AGENT-BANK-LP-A
303700                                    MS05-AGENT-BANK-RP-A
303800         MOVE DFHBMASB           TO MS05-AGENT-BANK-A
303900         GO TO Y239-EXIT.
304000*
304100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
304200         MOVE ZERO               TO MS05-AGENT-BANK-L
304300         MOVE DFHBMDAS           TO MS05-AGENT-BANK-LP-A
304400                                    MS05-AGENT-BANK-RP-A
304500         MOVE DFHBMASK           TO MS05-AGENT-BANK-A
304600         GO TO Y239-EXIT.
304700*
304800     IF  MBCA-PTI-FUNCTION-IS-ADD
304900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
305000             MOVE DFHBMASB       TO MS05-AGENT-BANK-LIT-A
305100         ELSE
305200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
305300                 MOVE ZERO       TO MS05-AGENT-BANK-L
305400                 MOVE DFHBMDAS   TO MS05-AGENT-BANK-LP-A
305500                                    MS05-AGENT-BANK-RP-A
305600                 MOVE DFHBMASK   TO MS05-AGENT-BANK-A.
305700*
305800     IF  MBCA-PTI-FUNCTION-IS-MAINT
305900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
306000             MOVE ZERO           TO MS05-AGENT-BANK-L
306100             MOVE DFHBMDAS       TO MS05-AGENT-BANK-LP-A
306200                                    MS05-AGENT-BANK-RP-A
306300             MOVE DFHBMASK       TO MS05-AGENT-BANK-A.
306400*
306500 Y239-EXIT.
306600     EXIT.
306700*
306800 Y250-MOVE-OFFICER-ID.
306900*
307000     MOVE MMSM-OFFICER-ID        TO MS05-OFFICER-ID.
307100*
307200 Y255-OFFICER-ID-SECURITY.
307300*
307400     MOVE MMSMTB-OFFICER-ID (1:4)
307500                                 TO WS-INDEX-X.
307600     SET  X-MMFS-STORE           TO WS-INDEX.
307700*
307800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
307900         MOVE DFHBMDAS           TO MS05-OFFICER-ID-LIT-A
308000                                    MS05-OFFICER-ID-LP-A
308100                                    MS05-OFFICER-ID-RP-A
308200                                    MS05-OFFICER-ID-A
308300         MOVE ZERO               TO MS05-OFFICER-ID-L
308400         GO TO Y259-EXIT.
308500*
308600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
308700     OR  MMSM-REC-SINGLE-STORE
308800         MOVE DFHBMDAS           TO MS05-OFFICER-ID-LP-A
308900                                    MS05-OFFICER-ID-RP-A
309000         MOVE DFHBMASB           TO MS05-OFFICER-ID-A
309100         GO TO Y259-EXIT.
309200*
309300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
309400         MOVE ZERO               TO MS05-OFFICER-ID-L
309500         MOVE DFHBMDAS           TO MS05-OFFICER-ID-LP-A
309600                                    MS05-OFFICER-ID-RP-A
309700         MOVE DFHBMASK           TO MS05-OFFICER-ID-A
309800         GO TO Y259-EXIT.
309900*
310000     IF  MBCA-PTI-FUNCTION-IS-ADD
310100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
310200             MOVE DFHBMASB       TO MS05-OFFICER-ID-LIT-A
310300         ELSE
310400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
310500                 MOVE ZERO       TO MS05-OFFICER-ID-L
310600                 MOVE DFHBMDAS   TO MS05-OFFICER-ID-LP-A
310700                                    MS05-OFFICER-ID-RP-A
310800                 MOVE DFHBMASK   TO MS05-OFFICER-ID-A.
310900*
311000     IF  MBCA-PTI-FUNCTION-IS-MAINT
311100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
311200             MOVE ZERO           TO MS05-OFFICER-ID-L
311300             MOVE DFHBMDAS       TO MS05-OFFICER-ID-LP-A
311400                                    MS05-OFFICER-ID-RP-A
311500             MOVE DFHBMASK       TO MS05-OFFICER-ID-A.
311600*
311700 Y259-EXIT.
311800     EXIT.
311900*
312000 Y270-MOVE-BRANCH.
312100*
312200     MOVE MMSM-BRANCH            TO MS05-BRANCH.
312300*
312400 Y275-BRANCH-SECURITY.
312500*
312600     MOVE MMSMTB-BRANCH (1:4)
312700                                 TO WS-INDEX-X.
312800     SET  X-MMFS-STORE           TO WS-INDEX.
312900*
313000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
313100         MOVE DFHBMDAS           TO MS05-BRANCH-LIT-A
313200                                    MS05-BRANCH-LP-A
313300                                    MS05-BRANCH-RP-A
313400                                    MS05-BRANCH-A
313500         MOVE ZERO               TO MS05-BRANCH-L
313600         GO TO Y279-EXIT.
313700*
313800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
313900     OR  MMSM-REC-SINGLE-STORE
314000         MOVE DFHBMDAS           TO MS05-BRANCH-LP-A
314100                                    MS05-BRANCH-RP-A
314200         MOVE DFHBMASB           TO MS05-BRANCH-A
314300         GO TO Y279-EXIT.
314400*
314500     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
314600         MOVE ZERO               TO MS05-BRANCH-L
314700         MOVE DFHBMDAS           TO MS05-BRANCH-LP-A
314800                                    MS05-BRANCH-RP-A
314900         MOVE DFHBMASK           TO MS05-BRANCH-A
315000         GO TO Y279-EXIT.
315100*
315200     IF  MBCA-PTI-FUNCTION-IS-ADD
315300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
315400             MOVE DFHBMASB       TO MS05-BRANCH-LIT-A
315500         ELSE
315600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
315700                 MOVE ZERO       TO MS05-BRANCH-L
315800                 MOVE DFHBMDAS   TO MS05-BRANCH-LP-A
315900                                    MS05-BRANCH-RP-A
316000                 MOVE DFHBMASK   TO MS05-BRANCH-A.
316100*
316200     IF  MBCA-PTI-FUNCTION-IS-MAINT
316300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
316400             MOVE ZERO           TO MS05-BRANCH-L
316500             MOVE DFHBMDAS       TO MS05-BRANCH-LP-A
316600                                    MS05-BRANCH-RP-A
316700             MOVE DFHBMASK       TO MS05-BRANCH-A.
316800*
316900 Y279-EXIT.
317000     EXIT.
317100*
317200 Y290-MOVE-CHECK-COMPANY.
317300*
317400     MOVE MMSM-CHECK-GUARANTEE-CO
317500                                 TO MS05-CHECK-CO.
317600*
317700 Y295-CHECK-CO-SECURITY.
317800*
317900     MOVE MMSMTB-CHECK-COMPANY (1:4)
318000                                 TO WS-INDEX-X.
318100     SET  X-MMFS-STORE           TO WS-INDEX.
318200*
318300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
318400         MOVE DFHBMDAS           TO MS05-CHECK-CO-LIT-A
318500                                    MS05-CHECK-CO-LP-A
318600                                    MS05-CHECK-CO-RP-A
318700                                    MS05-CHECK-CO-A
318800         MOVE ZERO               TO MS05-CHECK-CO-L
318900         GO TO Y299-EXIT.
319000*
319100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
319200         MOVE DFHBMDAS           TO MS05-CHECK-CO-LP-A
319300                                    MS05-CHECK-CO-RP-A
319400         MOVE DFHBMASB           TO MS05-CHECK-CO-A
319500         GO TO Y299-EXIT.
319600*
319700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
319800         MOVE ZERO               TO MS05-CHECK-CO-L
319900         MOVE DFHBMDAS           TO MS05-CHECK-CO-LP-A
320000                                    MS05-CHECK-CO-RP-A
320100         MOVE DFHBMASK           TO MS05-CHECK-CO-A
320200         GO TO Y299-EXIT.
320300*
320400     IF  MBCA-PTI-FUNCTION-IS-ADD
320500         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
320600             MOVE DFHBMASB       TO MS05-CHECK-CO-LIT-A
320700         ELSE
320800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
320900                 MOVE ZERO       TO MS05-CHECK-CO-L
321000                 MOVE DFHBMDAS   TO MS05-CHECK-CO-LP-A
321100                                    MS05-CHECK-CO-RP-A
321200                 MOVE DFHBMASK   TO MS05-CHECK-CO-A.
321300*
321400     IF  MBCA-PTI-FUNCTION-IS-MAINT
321500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
321600             MOVE ZERO           TO MS05-CHECK-CO-L
321700             MOVE DFHBMDAS       TO MS05-CHECK-CO-LP-A
321800                                    MS05-CHECK-CO-RP-A
321900             MOVE DFHBMASK       TO MS05-CHECK-CO-A.
322000*
322100 Y299-EXIT.
322200     EXIT.
322300*
322400 Y310-MOVE-CUST-STMT-LINE.
322500*
322600     MOVE MMSMTB-CUSTOMER-MSG-1 (1:4)
322700                                 TO WS-INDEX-X.
322800     SET  X-MMFS-STORE           TO WS-INDEX.
322900     SET  X-MMSM-CSL             TO 1.
323000     SET  X-MS05-CSL             TO 1.
323100*
323200 Y311-MCST-LOOP.
323300*
323400     MOVE MMSM-CUST-STMT-LINE (X-MMSM-CSL)
323500                                 TO MS05-CUST-STMT-LINE
323600                                    (X-MS05-CSL).
323700*
323800 Y315-CUST-STMT-LINE-SECURITY.
323900*
324000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
324100         MOVE DFHBMDAS           TO MS05-CUST-STMT-LINE-LIT-A
324200                                    (X-MS05-CSL)
324300                                    MS05-CUST-STMT-LINE-LP-A
324400                                    (X-MS05-CSL)
324500                                    MS05-CUST-STMT-LINE-RP-A
324600                                    (X-MS05-CSL)
324700                                    MS05-CUST-STMT-LINE-A
324800                                    (X-MS05-CSL)
324900         MOVE ZEROS              TO MS05-CUST-STMT-LINE-L
325000                                    (X-MS05-CSL)
325100         GO TO Y316-EXIT.
325200*
325300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
325400         MOVE DFHBMDAS           TO MS05-CUST-STMT-LINE-LP-A
325500                                    (X-MS05-CSL)
325600                                    MS05-CUST-STMT-LINE-RP-A
325700                                    (X-MS05-CSL)
325800         MOVE DFHBMASB           TO MS05-CUST-STMT-LINE-A
325900                                    (X-MS05-CSL)
326000         GO TO Y316-EXIT.
326100*
326200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
326300         MOVE ZEROS              TO MS05-CUST-STMT-LINE-L
326400                                    (X-MS05-CSL)
326500         MOVE DFHBMDAS           TO MS05-CUST-STMT-LINE-LP-A
326600                                    (X-MS05-CSL)
326700                                    MS05-CUST-STMT-LINE-RP-A
326800                                    (X-MS05-CSL)
326900         MOVE DFHBMASK           TO MS05-CUST-STMT-LINE-A
327000                                    (X-MS05-CSL)
327100         GO TO Y316-EXIT.
327200*
327300     IF  MBCA-PTI-FUNCTION-IS-ADD
327400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
327500             MOVE DFHBMASB       TO MS05-CUST-STMT-LINE-LIT-A
327600                                    (X-MS05-CSL)
327700         ELSE
327800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
327900                 MOVE ZEROS      TO MS05-CUST-STMT-LINE-L
328000                                    (X-MS05-CSL)
328100                 MOVE DFHBMDAS   TO MS05-CUST-STMT-LINE-LP-A
328200                                    (X-MS05-CSL)
328300                                    MS05-CUST-STMT-LINE-RP-A
328400                                    (X-MS05-CSL)
328500                 MOVE DFHBMASK   TO MS05-CUST-STMT-LINE-A
328600                                    (X-MS05-CSL).
328700*
328800     IF  MBCA-PTI-FUNCTION-IS-MAINT
328900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
329000             MOVE ZEROS          TO MS05-CUST-STMT-LINE-L
329100                                    (X-MS05-CSL)
329200             MOVE DFHBMDAS       TO MS05-CUST-STMT-LINE-LP-A
329300                                    (X-MS05-CSL)
329400                                    MS05-CUST-STMT-LINE-RP-A
329500                                    (X-MS05-CSL)
329600             MOVE DFHBMASK       TO MS05-CUST-STMT-LINE-A
329700                                    (X-MS05-CSL).
329800*
329900 Y316-EXIT.
330000     EXIT.
330100*
330200 Y318-INCREMENT-INDEXES.
330300*
330400     IF  X-MS05-CSL IS LESS THAN 3
330500         SET X-MMFS-STORE        UP BY 1
330600         SET X-MMSM-CSL          UP BY 1
330700         SET X-MS05-CSL          UP BY 1
330800         GO TO Y311-MCST-LOOP.
330900*
331000 Y319-EXIT.
331100     EXIT.
331200*
331300 Y800-SET-CURSOR.
331400*
331500************************************************************
331600*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
331700*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
331800*    OPEN FOR INPUT                                        *
331900************************************************************
332000*
332100     IF  MMSM-REC-SINGLE-STORE
332200         MOVE MMSMTB-CHECK-COMPANY (1:4)
332300                                 TO WS-INDEX-X
332400     ELSE
332500         MOVE MMSMTB-IMP-DEV-TITLE-1 (1:4)
332600                                 TO WS-INDEX-X.
332700     SET X-MMFS-STORE            TO WS-INDEX.
332800     SET X-MMSMTB-FIELD          TO WS-INDEX.
332900*
333000 Y801-SC-LOOP.
333100*
333200     IF  MMSMTB-FIELD-NAME (X-MMSMTB-FIELD) IS EQUAL TO SPACES
333300         SET X-MMFS-STORE        UP BY 1
333400         SET X-MMSMTB-FIELD      UP BY 1
333500         GO TO Y801-SC-LOOP.
333600*
333700     IF  MBCA-PTI-FUNCTION-IS-ADD
333800         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
333900         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
334000             GO TO Y802-SC-DETERMINE-FIELD.
334100*
334200     IF  MBCA-PTI-FUNCTION-IS-MAINT
334300         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
334400             GO TO Y802-SC-DETERMINE-FIELD.
334500*
334600     MOVE MMSMTB-USER-DATA-1-DESC (1:4)
334700                                 TO WS-INDEX-X.
334800     IF  X-MMFS-STORE IS LESS THAN WS-INDEX
334900         SET X-MMFS-STORE        UP BY 1
335000         SET X-MMSMTB-FIELD      UP BY 1
335100         GO TO Y801-SC-LOOP.
335200*
335300 Y802-SC-DETERMINE-FIELD.
335400*
335500     MOVE MMSMTB-USER-DATA-1-DESC (1:4)
335600                                 TO WS-INDEX-X.
335700     IF  X-MMFS-STORE IS EQUAL TO WS-INDEX
335800         MOVE SS08WS-CURSOR      TO MS05-ALT-TRANID-L
335900         GO TO Y809-SC-EXIT.
336000
336100     SET WS-FIELD-POSITION       TO X-MMFS-STORE.
336200     MOVE MMSMTB-REVIEW-REP-NAME (1:4)
336300                                 TO WS-INDEX-X.
336400     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
336500
336600     GO TO   Y803-IMPRINTER-1-DESC
336700             Y803-IMPRINTER-1-NBR
336800             Y803-POS-1-DESC
336900             Y803-POS-1-NBR
337000             Y803-IMPRINTER-2-DESC
337100             Y803-IMPRINTER-2-NBR
337200             Y803-POS-2-DESC
337300             Y803-POS-2-NBR
337400             Y803-IMPRINTER-3-DESC
337500             Y803-IMPRINTER-3-NBR
337600             Y803-POS-3-DESC
337700             Y803-POS-3-NBR
337800             Y803-PL-CATEGORY
337900             Y803-PL-FLOOR-LIMIT
338000             Y803-STORE-TYPE
338100             Y803-MEDIA-TYPE
338200             Y803-LOCATION
338300             Y803-BULLETIN-TYPE
338400             Y803-OFFICER-ID
338500             Y803-AGENT-BANK
338600             Y803-BRANCH
338700             Y803-CHECK-CO
338800             Y803-CUST-STMT-MSG-1
338900             Y803-CUST-STMT-MSG-2
339000             Y803-CUST-STMT-MSG-3
339100         DEPENDING ON WS-FIELD-POSITION.
339200*
339300 Y803-IMPRINTER-1-DESC.
339400*
339500     SET  X-MS05-IMP-POS         TO +1.
339600     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-TITLE-L
339700                                    (X-MS05-IMP-POS).
339800     GO TO Y809-SC-EXIT.
339900*
340000 Y803-IMPRINTER-1-NBR.
340100*
340200     SET  X-MS05-IMP-POS         TO +1.
340300     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-NBR-L
340400                                    (X-MS05-IMP-POS).
340500     GO TO Y809-SC-EXIT.
340600*
340700 Y803-POS-1-DESC.
340800*
340900     SET  X-MS05-IMP-POS         TO +1.
341000     MOVE SS08WS-CURSOR          TO MS05-POS-TITLE-L
341100                                    (X-MS05-IMP-POS).
341200     GO TO Y809-SC-EXIT.
341300*
341400 Y803-POS-1-NBR.
341500*
341600     SET  X-MS05-IMP-POS         TO +1.
341700     MOVE SS08WS-CURSOR          TO MS05-POS-NBR-L
341800                                    (X-MS05-IMP-POS).
341900     GO TO Y809-SC-EXIT.
342000*
342100 Y803-IMPRINTER-2-DESC.
342200*
342300     SET  X-MS05-IMP-POS         TO +2.
342400     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-TITLE-L
342500                                    (X-MS05-IMP-POS).
342600     GO TO Y809-SC-EXIT.
342700*
342800 Y803-IMPRINTER-2-NBR.
342900*
343000     SET  X-MS05-IMP-POS         TO +2.
343100     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-NBR-L
343200                                    (X-MS05-IMP-POS).
343300     GO TO Y809-SC-EXIT.
343400*
343500 Y803-POS-2-DESC.
343600*
343700     SET  X-MS05-IMP-POS         TO +2.
343800     MOVE SS08WS-CURSOR          TO MS05-POS-TITLE-L
343900                                    (X-MS05-IMP-POS).
344000     GO TO Y809-SC-EXIT.
344100*
344200 Y803-POS-2-NBR.
344300*
344400     SET  X-MS05-IMP-POS         TO +2.
344500     MOVE SS08WS-CURSOR          TO MS05-POS-NBR-L
344600                                    (X-MS05-IMP-POS).
344700     GO TO Y809-SC-EXIT.
344800*
344900 Y803-IMPRINTER-3-DESC.
345000*
345100     SET  X-MS05-IMP-POS         TO +3.
345200     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-TITLE-L
345300                                    (X-MS05-IMP-POS).
345400     GO TO Y809-SC-EXIT.
345500*
345600 Y803-IMPRINTER-3-NBR.
345700*
345800     SET  X-MS05-IMP-POS         TO +3.
345900     MOVE SS08WS-CURSOR          TO MS05-IMPRINTER-NBR-L
346000                                    (X-MS05-IMP-POS).
346100     GO TO Y809-SC-EXIT.
346200*
346300 Y803-POS-3-DESC.
346400*
346500     SET  X-MS05-IMP-POS         TO +3.
346600     MOVE SS08WS-CURSOR          TO MS05-POS-TITLE-L
346700                                    (X-MS05-IMP-POS).
346800     GO TO Y809-SC-EXIT.
346900*
347000 Y803-POS-3-NBR.
347100*
347200     SET  X-MS05-IMP-POS         TO +3.
347300     MOVE SS08WS-CURSOR          TO MS05-POS-NBR-L
347400                                    (X-MS05-IMP-POS).
347500     GO TO Y809-SC-EXIT.
347600*
347700 Y803-PL-CATEGORY.
347800*
347900     MOVE SS08WS-CURSOR          TO MS05-PL-CATEGORY-L.
348000     GO TO Y809-SC-EXIT.
348100*
348200 Y803-PL-FLOOR-LIMIT.
348300*
348400     MOVE SS08WS-CURSOR          TO MS05-PL-FLOOR-LIMIT-L.
348500     GO TO Y809-SC-EXIT.
348600*
348700 Y803-MEDIA-TYPE.
348800*
348900     MOVE SS08WS-CURSOR          TO MS05-MEDIA-TYPE-L.
349000     GO TO Y809-SC-EXIT.
349100*
349200 Y803-STORE-TYPE.
349300*
349400     MOVE SS08WS-CURSOR          TO MS05-STORE-TYPE-L.
349500     GO TO Y809-SC-EXIT.
349600*
349700 Y803-BULLETIN-TYPE.
349800*
349900     MOVE SS08WS-CURSOR          TO MS05-BULLETIN-TYPE-L.
350000     GO TO Y809-SC-EXIT.
350100*
350200 Y803-LOCATION.
350300*
350400     MOVE SS08WS-CURSOR          TO MS05-LOCATION-L.
350500     GO TO Y809-SC-EXIT.
350600*
350700 Y803-AGENT-BANK.
350800*
350900     MOVE SS08WS-CURSOR          TO MS05-AGENT-BANK-L.
351000     GO TO Y809-SC-EXIT.
351100*
351200 Y803-OFFICER-ID.
351300*
351400     MOVE SS08WS-CURSOR          TO MS05-OFFICER-ID-L.
351500     GO TO Y809-SC-EXIT.
351600*
351700 Y803-BRANCH.
351800*
351900     MOVE SS08WS-CURSOR          TO MS05-BRANCH-L.
352000     GO TO Y809-SC-EXIT.
352100*
352200 Y803-CHECK-CO.
352300*
352400     MOVE SS08WS-CURSOR          TO MS05-CHECK-CO-L.
352500     GO TO Y809-SC-EXIT.
352600*
352700 Y803-CUST-STMT-MSG-1.
352800*
352900     MOVE SS08WS-CURSOR          TO MS05-CUST-STMT-LINE-L (1).
353000     GO TO Y809-SC-EXIT.
353100*
353200 Y803-CUST-STMT-MSG-2.
353300*
353400     MOVE SS08WS-CURSOR          TO MS05-CUST-STMT-LINE-L (2).
353500     GO TO Y809-SC-EXIT.
353600*
353700 Y803-CUST-STMT-MSG-3.
353800*
353900     MOVE SS08WS-CURSOR          TO MS05-CUST-STMT-LINE-L (3).
354000     GO TO Y809-SC-EXIT.
354100*
354200 Y809-SC-EXIT.
354300     EXIT.
354400*
354500 Y900-READ-MMFS.
354600*
354700****************************************
354800*    READ THE FIELD SECURITY RECORD    *
354900*    TO OBTAIN THE SECURITY CODES      *
355000****************************************
355100*
355200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
355300     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
355400     SET MBIORO-READ-RANDOM      TO TRUE.
355500     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
355600*
355700     IF  NOT MMFS-REC-ACTIVE
355800         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
355900         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
356000         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
356100         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
356200         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
356300         SET MBCA-ERROR-MSGS-PROVIDED
356400                                 TO TRUE
356500         MOVE 'READ ERROR - MMFSAO'
356600                                 TO MBCA-ERRR-MSG1
356700         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
356800                                 TO MBCA-ERRR-MSG2
356900         GO TO MB70PD-ERROR-ROUTINE.
357000*
357100 Y909-READ-MMFS-EXIT.
357200     EXIT.
357300*
357400 Y910-WRITE-LOG-RECORD.
357500*
357600     SET MBIORO-WRITE            TO TRUE.
357700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
357800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
357900*
358000 Y919-WLR-EXIT.
358100     EXIT.
358200/
358300 Z000-COPIED-ROUTINES SECTION.
358400*
358500/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
358600     COPY SS26PD.
358700*
358800/    ROUTINE TO NUMERICALLY EDIT TIME
358900     COPY SS27PD.
359000*
359100**********************************
359200*    JUL TO GREG DATE ROUTINE    *
359300**********************************
359400*
359500     COPY SS08PD.
359600*
359700/    ROUTINE TO MOVE COMMAREA VARIABLES TO
359800*                    SS08-FORMATTED-MSG VARIABLE.
359900     COPY MB06PD.
360000*
360100/
360200*********************************
360300*    LINE 24 PF KEYS ROUTINE    *
360400*********************************
360500*
360600     COPY SS15PD.
360700/
360800************************************************
360900*    STORE MASTER RECORD ACCESS ROUTINES       *
361000************************************************
361100*
361200     COPY MMSMAO.
361300/
361400************************************************
361500*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
361600************************************************
361700*
361800     COPY MMMMAO.
361900/
362000***********************************************
362100*    FIELD SECURITY RECORD ACCESS ROUTINES    *
362200***********************************************
362300*
362400     COPY MMFSAO.
362500/
362600*****************************************
362700*    LOG FILE RECORD ACCESS ROUTINES    *
362800*****************************************
362900*
363000     COPY MML1AO.
363100/
363200     COPY SMCAPXO REPLACING ==:XXCA:== BY ==MBCA==.
363300/
363400*****************************
363500*    ONLINE MAP ROUTINES    *
363600*****************************
363700*
363800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS05 '
363900                           MBMAPXXI BY MBMS05I
364000                           MBMAPXXO BY MBMS05O.
364100/
364200***************************
364300*    ONLINE PROCEDURES    *
364400***************************
364500*
364600     COPY MB70PD.
364700/
364800     COPY SMFTPXO.
