000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS09.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMS09 - STORE MASTER RECORD ADD/MAINT/INQ              *
000800*                SCREEN 09                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS09 (SCREEN 09)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMSM (STORE MASTER FILE)                   *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MML1 (FILE MAINTENAMCE FILE)               *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-FIELD-POSITION   PIC S9(03)      COMP-3
003600                                             VALUE ZEROES.
003700     03  WS-INDEX-X.
003800         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
003900*
004000 01  FILLER                  PIC  X(17)      VALUE
004100     'PROGRAM SWITCHES:'.
004200*
004300 01  WS-PROGRAM-SWITCHES.
004400     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004500         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004600         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004700     03  TS-QUEUE-NAME.
004800         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
004900         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005000/
005100 01  FILLER                  PIC  X(29)      VALUE
005200     'I/O REQUEST BLOCK WORK AREAS:'.
005300*
005400     COPY MBIOWS.
005500/
005600 01  FILLER                  PIC  X(18)      VALUE
005700     'I/O REQUEST BLOCK:'.
005800*
005900     COPY MBIORO.
006000/
006100 01  FILLER                  PIC  X(25)      VALUE
006200     'LOG RECORD REQUEST BLOCK:'.
006300*
006400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 01  FILLER                  PIC  X(29)      VALUE
006700     'STORE MASTER FIELDS TABLE:'.
006800*
006900     COPY MMSMTB.
007000/
007100 01  FILLER                  PIC  X(29)      VALUE
007200     'STORE INIT RECORD         '.
007300*
007400     COPY MMSMIR.
007500/
007600 01  FILLER                  PIC  X(16)      VALUE
007700     'DATE WORK AREAS:'.
007800*
007900     COPY SS01WS.
008000/
008100 01  FILLER                  PIC  X(11)      VALUE
008200     'WORK AREAS:'.
008300*
008400     COPY SS08WS.
008500/
008600     COPY SS00WS.
008700/
008800     COPY SMFTWS.
008900/
009000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009100/
009200     COPY MB61LK.
009300*
009400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009500/
009600 LINKAGE SECTION.
009700*
009800 01  DFHCOMMAREA.
009900*
010000     COPY MB60WS.
010100/
010200*****************************
010300*    STORE MASTER MAP       *
010400*****************************
010500*
010600     COPY MBMS09.
010700/
010800******************************************
010900*    STORE MASTER MAP REDEFINITION       *
011000******************************************
011100*
011200     COPY MBMS09R.
011300/
011400****************************************
011500*    STORE MASTER     RECORD LAYOUT    *
011600****************************************
011700*
011800     COPY MMSMRL.
011900/
012000**************************************
012100*    FIELD SECURITY RECORD LAYOUT    *
012200**************************************
012300*
012400     COPY MMFSRL.
012500/
012600***************************
012700*    LOG RECORD LAYOUT    *
012800***************************
012900*
013000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013100/
013200***************************************
013300*    USER INPUT TEMP STORAGE RECORD   *
013400***************************************
013500*
013600     COPY MBUITS.
013700/
013800 PROCEDURE DIVISION.
013900*
014000 A000-HOUSEKEEPING SECTION.
014100*
014200 A020-INIT.
014300*
014400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
014600                                 THRU MB70PD-OLH-EXIT.
014700*
014800     IF  MBCA-MBUI-UI-YES
014900         NEXT SENTENCE
015000     ELSE
015100         SET MBCA-MBUI-UI-NO     TO TRUE.
015200*
015300     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
015400*
015500     IF  MBCA-RECEIVE-SCREEN
015600         GO TO C000-RECEIVE-SCREEN.
015700/
015800 B000-SEND-SCREEN SECTION.
015900*
016000*********************************************
016100*    GET CICS STORAGE NEEDED FOR THE MAP    *
016200*********************************************
016300*
016400     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016500     PERFORM MB60PD-GETMAIN-FOR-MAP
016600                                 THRU MB60PD-GFM-EXIT.
016700*
016800*******************************************
016900*    INITIALIZE THE STANDARD MAP LINES    *
017000*******************************************
017100*
017200     PERFORM MB60PD-INIT-STD-MAP-LINES
017300                                 THRU MB60PD-ISML-EXIT.
017400*
017500*****************************************
017600*    READ THE STORE MASTER RECORD       *
017700*    FOR SUBSEQUENT DISPLAY             *
017800*****************************************
017900*
018000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
018100                                    MS09-ORG.
018200     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
018300                                    MS09-STORE.
018400     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018500     SET MBIORO-READ-RANDOM      TO TRUE.
018600     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
018700*
018800*********************************************
018900*    MOVE THE PRIMARY NAME TO THE SCREEN    *
019000*********************************************
019100*
019200     MOVE MMSM-NA-LINE (1 1)     TO MS09-STORE-NAME.
019300*
019400****************************************
019500*    READ THE FIELD SECURITY RECORD    *
019600****************************************
019700*
019800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
019900     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
020000*
020100 B020-MOVE-FIELDS-TO-SCREEN.
020200*
020300*****************************************
020400*    MOVE THE STORE MASTER FIELDS       *
020500*    FROM THE RECORD TO THE SCREEN      *
020600*****************************************
020700*
020800     MOVE MMSMTB-DUP-SALES-DAY-NBR (1:4)
020900                                 TO WS-INDEX-X.
021000     SET X-MMFS-STORE            TO WS-INDEX.
021100*
021200     PERFORM Y010-MOVE-DUP-SALE-DAY-NBR
021300                                 THRU Y019-MDSDN-EXIT.
021400*
021500     PERFORM Y030-MOVE-DUP-AUTH-DAY-NBR
021600                                 THRU Y039-MDADN-EXIT.
021700*
021800     PERFORM Y050-MOVE-DUP-SALE-DAY-AMT
021900                                 THRU Y059-MDSDA-EXIT.
022000*
022100     PERFORM Y070-MOVE-DUP-AUTH-DAY-AMT
022200                                 THRU Y079-MDADA-EXIT.
022300*
022400     PERFORM Y090-MOVE-DUP-SALE-DAY-NBR-BIN
022500                                 THRU Y099-MDSDNB-EXIT.
022600*
022700     PERFORM Y110-MOVE-DUP-AUTH-DAY-NBR-BIN
022800                                 THRU Y119-MDADNB-EXIT.
022900*
023000     PERFORM Y130-MOVE-DUP-SALE-DAY-AMT-BIN
023100                                 THRU Y139-MDSDAB-EXIT.
023200*
023300     PERFORM Y150-MOVE-DUP-AUTH-DAY-AMT-BIN
023400                                 THRU Y159-MDADAB-EXIT.
023500*
023600     PERFORM Y170-MOVE-AUTH-BELOW-PL
023700                                 THRU Y179-MABP-EXIT.
023800*
023900     PERFORM Y190-MOVE-AUTH-BELOW-MC
024000                                 THRU Y199-MABM-EXIT.
024100*
024200     PERFORM Y210-MOVE-AUTH-BELOW-VI
024300                                 THRU Y219-MABV-EXIT.
024400*
024500******************************************
024600*    SET THE CURSOR AND SCREEN NUMBER    *
024700******************************************
024800*
024900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
025000         MOVE SS08WS-CURSOR      TO MS09-ALT-TRANID-L
025100     ELSE
025200         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
025300*
025400     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
025500*
025600***********************************************************
025700*    SET THE CURRENCY CODE, CURRENCY NOD
025800*            PER ITEM NOD, PERCENT NOD.
025900***********************************************************
026000*
026100     IF  MS09-ERR-MESSAGE IS EQUAL TO SPACES
026200     OR  MS09-ERR-MESSAGE IS EQUAL TO LOW-VALUES
026300         PERFORM MB06PD-FORMAT-MESSAGE-LINE
026400                                 THRU MB06PD-FML-EXIT
026500         MOVE SS08WS-FORMATTED-MSG
026600                                 TO MS09-ERR-MESSAGE
026700     END-IF.
026800*
026900**********************
027000*    SEND THE MAP    *
027100**********************
027200*
027300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
027400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
027500                                 THRU MB60PD-SMWE-EXIT.
027600*
027700************************
027800*    RETURN TO CICS    *
027900************************
028000*
028100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
028200     PERFORM MB70PD-RETURN-TRANS-ID
028300                                 THRU MB70PD-RTI-EXIT.
028400/
028500 C000-RECEIVE-SCREEN SECTION.
028600*
028700******************************************
028800*    THIS SECTION RECEIVES THE SCREEN    *
028900******************************************
029000*
029100     IF  MBCA-MBUI-UI-YES
029200*
029300****************************************************************
029400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
029500****************************************************************
029600*
029700         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
029800         EXEC CICS GETMAIN
029900                   FLENGTH (LENGTH  OF MBUITS-RECORD)
030000                   SET     (ADDRESS OF MBUITS-RECORD)
030100              END-EXEC
030200*
030300***********************************************
030400*    READ THE TEMP STORAGE RECORD             *
030500***********************************************
030600*
030700         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
030800*
030900         EXEC CICS READQ TS
031000                   QUEUE   (TS-QUEUE-NAME)
031100                   INTO    (MBUITS-RECORD)
031200                   LENGTH  (LENGTH  OF MBUITS-RECORD)
031300                   ITEM    (1)
031400              END-EXEC
031500*
031600***********************************************
031700*    DELETE THE TEMP STORAGE RECORD           *
031800***********************************************
031900*
032000         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
032100*
032200         EXEC CICS IGNORE CONDITION
032300                   QIDERR
032400              END-EXEC
032500*
032600         EXEC CICS DELETEQ TS
032700                   QUEUE  (TS-QUEUE-NAME)
032800              END-EXEC
032900         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
033000         PERFORM MB60PD-GETMAIN-FOR-MAP
033100                                 THRU MB60PD-GFM-EXIT
033200         MOVE MBUITS-VAR-DATA    TO MBMS09I
033300     ELSE
033400         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
033500         PERFORM MB60PD-RECEIVE-MAP
033600                                 THRU MB60PD-RM-EXIT.
033700*
033800**************************************************************
033900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
034000**************************************************************
034100*
034200     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034300     PERFORM MB60PD-NEW-TRANS-ROUTINE
034400                                 THRU MB60PD-NTR-EXIT.
034500*
034600****************************************************
034700*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
034800****************************************************
034900*
035000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
035100         GO TO F000-SETUP-COMMAREA.
035200*
035300*****************************************
035400*    READ THE STORE MASTER RECORD       *
035500*****************************************
035600*
035700*
035800     IF  MBCA-PTI-FUNCTION-IS-ADD
035900     AND MBCA-MBUI-UI-YES
036000     AND MBCA-MBUI-UI-UPDATE-NO
036100         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
036200         SET MBIORO-GETMAIN      TO TRUE
036300         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
036400         MOVE MMSMIR-RECORD      TO MMSM-RECORD
036500     ELSE
036600         MOVE SS08WS-CICS-FC-NOTFND
036700                                 TO MBIORO-TEMP-STATUS-1
036800         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
036900                                    MS09-ORG
037000         MOVE MBCA-STORE         TO MBIOWS-MMSM-STORE
037100                                    MS09-STORE
037200         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
037300         SET MBIORO-READ-RANDOM  TO TRUE
037400         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
037500         IF  SS08WS-RC-FC-NOTFND
037600         AND MBCA-MBUI-UI-YES
037700             MOVE 'MBUI'         TO MBCA-TRANS-ID
037800                                    MBCA-PREV-TRANS-ID
037900             MOVE 01             TO MBCA-SCREEN-NBR
038000             MOVE 'STR'          TO MS09-FILLER
038100             SET MBCA-MBUI-ERROR-YES
038200                                 TO TRUE
038300             GO TO F000-SETUP-COMMAREA.
038400*
038500     IF (MBCA-PTI-FUNCTION-IS-MAINT
038600     AND MBCA-MBUI-UI-YES
038700     AND (MMSM-REC-PURGED
038800       OR MMSM-REC-INCOMPLETE))
038900     OR
039000        (MBCA-PTI-FUNCTION-IS-ADD
039100     AND MBCA-MBUI-UI-YES
039200     AND MMSM-REC-PURGED)
039300         MOVE 'MBUI'             TO MBCA-TRANS-ID
039400                                    MBCA-PREV-TRANS-ID
039500         MOVE 01                 TO MBCA-SCREEN-NBR
039600         MOVE 'STR'              TO MS09-FILLER
039700         SET MBCA-MBUI-ERROR-YES
039800                                 TO TRUE
039900         GO TO F000-SETUP-COMMAREA.
040000*
040100*********************************************
040200*    MOVE THE PRIMARY NAME TO THE SCREEN    *
040300*********************************************
040400*
040500     MOVE MMSM-NA-LINE (1 1)     TO MS09-STORE-NAME.
040600*
040700****************************************
040800*    READ THE FIELD SECURITY RECORD    *
040900****************************************
041000*
041100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
041200     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
041300*
041400 C020-FIELD-EDITS.
041500*
041600*********************
041700*    FIELD EDITS    *
041800*********************
041900*
042000     MOVE MMSMTB-DUP-SALES-DAY-NBR (1:4)
042100                                 TO WS-INDEX-X.
042200     SET X-MMFS-STORE            TO WS-INDEX.
042300*
042400     PERFORM W010-EDIT-DUP-SALE-DAY-NBR
042500                                 THRU W019-EDSDN-EXIT.
042600*
042700     PERFORM W030-EDIT-DUP-AUTH-DAY-NBR
042800                                 THRU W039-EDADN-EXIT.
042900*
043000     PERFORM W050-EDIT-DUP-SALE-DAY-AMT
043100                                 THRU W059-EDSDA-EXIT.
043200*
043300     PERFORM W070-EDIT-DUP-AUTH-DAY-AMT
043400                                 THRU W079-EDADA-EXIT.
043500*
043600     PERFORM W090-EDIT-DUP-SALE-DAY-NBR-BIN
043700                                 THRU W099-EDSDNB-EXIT.
043800*
043900     PERFORM W110-EDIT-DUP-AUTH-DAY-NBR-BIN
044000                                 THRU W119-EDADNB-EXIT.
044100*
044200     PERFORM W130-EDIT-DUP-SALE-DAY-AMT-BIN
044300                                 THRU W139-EDSDAB-EXIT.
044400*
044500     PERFORM W150-EDIT-DUP-AUTH-DAY-AMT-BIN
044600                                 THRU W159-EDADAB-EXIT.
044700*
044800     PERFORM W170-EDIT-AUTH-BELOW-PL
044900                                 THRU W179-EABP-EXIT.
045000*
045100     PERFORM W190-EDIT-AUTH-BELOW-MC
045200                                 THRU W199-EABM-EXIT.
045300*
045400     PERFORM W210-EDIT-AUTH-BELOW-VI
045500                                 THRU W219-EABV-EXIT.
045600/
045700 D000-RETURN-ERRORS SECTION.
045800*
045900     IF  SS08WS-ERROR-SW-NO
046000         GO TO E000-UPDATE-FILE.
046100*
046200     IF  MBCA-MBUI-UI-YES
046300         MOVE 'MBUI'             TO MBCA-TRANS-ID
046400                                    MBCA-PREV-TRANS-ID
046500         MOVE 01                 TO MBCA-SCREEN-NBR
046600         SET MBCA-MBUI-ERROR-YES TO TRUE
046700         GO TO F000-SETUP-COMMAREA.
046800*
046900***************************************************************
047000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
047100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
047200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
047300***************************************************************
047400*
047500     PERFORM MB60PD-INIT-STD-MAP-LINES
047600                                 THRU MB60PD-ISML-EXIT.
047700*
047800***********************************************************
047900*    SET THE CURRENCY CODE, CURRENCY NOD
048000*            PER ITEM NOD, PERCENT NOD.
048100***********************************************************
048200*
048300     IF  MS09-ERR-MESSAGE IS EQUAL TO SPACES
048400     OR  MS09-ERR-MESSAGE IS EQUAL TO LOW-VALUES
048500         PERFORM MB06PD-FORMAT-MESSAGE-LINE
048600                                 THRU MB06PD-FML-EXIT
048700         MOVE SS08WS-FORMATTED-MSG
048800                                 TO MS09-ERR-MESSAGE
048900     END-IF.
049000*
049100**********************
049200*    SEND THE MAP    *
049300**********************
049400*
049500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
049700                                 THRU MB60PD-SMDO-EXIT.
049800*
049900************************
050000*    RETURN TO CICS    *
050100************************
050200*
050300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
050400     PERFORM MB70PD-RETURN-TRANS-ID
050500                                 THRU MB70PD-RTI-EXIT.
050600/
050700 E000-UPDATE-FILE SECTION.
050800*
050900     IF  MBCA-MBUI-UI-YES
051000         SET MBCA-MBUI-ERROR-NO  TO TRUE.
051100*
051200     IF  MBCA-MBUI-UI-YES
051300     AND MBCA-MBUI-UI-UPDATE-NO
051400         GO TO F000-SETUP-COMMAREA.
051500*
051600****************************************************
051700*    READ THE STORE MASTER RECORD FOR UPDATE       *
051800****************************************************
051900*
052000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
052100     SET MBIORO-READ-RANDOM-UPDATE
052200                                 TO TRUE.
052300     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
052400*
052500*************************************
052600*    OBTAIN STORAGE FOR LOG FILE    *
052700*************************************
052800*
052900     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
053000     SET MBIORO-GETMAIN          TO TRUE.
053100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
053200*
053300*************************************************
053400*    SET UP THE COMMON PORTION OF THE RECORD    *
053500*************************************************
053600*
053700     MOVE 'SM'                   TO MML1-FILE-CODE.
053800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
053900     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
054000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
054100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
054200     MOVE ZEROS                  TO MML1-SOURCE-CODE.
054300     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
054400*
054500 E020-UPDATE-FIELDS.
054600*
054700     MOVE MMSMTB-DUP-SALES-DAY-NBR (1:4)
054800                                 TO WS-INDEX-X.
054900     SET X-MMFS-STORE            TO WS-INDEX.
055000*
055100     PERFORM X010-UPDATE-DUP-SALE-DAY-NBR
055200                                 THRU X019-UDSDN-EXIT.
055300*
055400     PERFORM X030-UPDATE-DUP-AUTH-DAY-NBR
055500                                 THRU X039-UDADN-EXIT.
055600*
055700     PERFORM X050-UPDATE-DUP-SALE-DAY-AMT
055800                                 THRU X059-UDSDA-EXIT.
055900*
056000     PERFORM X070-UPDATE-DUP-AUTH-DAY-AMT
056100                                 THRU X079-UDADA-EXIT.
056200*
056300     PERFORM X090-UPDATE-DUP-SALE-NBR-BIN
056400                                 THRU X099-UDSNB-EXIT.
056500*
056600     PERFORM X110-UPDATE-DUP-AUTH-NBR-BIN
056700                                 THRU X119-UDANB-EXIT.
056800*
056900     PERFORM X130-UPDATE-DUP-SALE-AMT-BIN
057000                                 THRU X139-UDSAB-EXIT.
057100*
057200     PERFORM X150-UPDATE-DUP-AUTH-AMT-BIN
057300                                 THRU X159-UDAAB-EXIT.
057400*
057500     PERFORM X170-UPDATE-AUTH-BELOW-PL
057600                                 THRU X179-UABP-EXIT.
057700*
057800     PERFORM X190-UPDATE-AUTH-BELOW-MC
057900                                 THRU X199-UABM-EXIT.
058000*
058100     PERFORM X210-UPDATE-AUTH-BELOW-VI
058200                                 THRU X219-UABV-EXIT.
058300*
058400 E040-UPDATE-MMSM.
058500*
058600     IF  MBCA-PTI-FUNCTION-IS-ADD
058700         MOVE MBCA-SCREEN-NBR    TO MMSM-ONLINE-STATUS
058800         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
058900         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
059000         SET WS-UPDATE-SW-YES    TO TRUE.
059100*
059200**************************************************************
059300*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
059400*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
059500*    ON THE SCREEN                                           *
059600**************************************************************
059700*
059800     IF  MBCA-PTI-FUNCTION-IS-MAINT
059900     AND WS-UPDATE-SW-YES
060000         MOVE 0198               TO MML1-FIELD-CODE
060100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
060200                                    MML1-FIELD-OCCURRENCE-2
060300         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
060400         MOVE MMSM-LAST-MAINT-OPER
060500                                 TO MML1-VL03-B-DATA-X
060600         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
060700         MOVE MMSM-LAST-MAINT-OPER
060800                                 TO MML1-VL03-A-DATA-X
060900         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
061000         PERFORM Y910-WRITE-LOG-RECORD
061100                                 THRU Y919-WLR-EXIT
061200         MOVE 0199               TO MML1-FIELD-CODE
061300         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
061400         MOVE MMSM-LAST-MAINT-DATE
061500                                 TO MML1-VL07-B-DATA-9
061600         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
061700         MOVE MMSM-LAST-MAINT-DATE
061800                                 TO MML1-VL07-A-DATA-9
061900         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
062000         PERFORM Y910-WRITE-LOG-RECORD
062100                                 THRU Y919-WLR-EXIT.
062200*
062300****************************************************
062400*    REWRITE THE STORE MASTER RECORD IF            *
062500*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
062600*    UNLOCK IT IF THEY HAVE NOT                    *
062700****************************************************
062800*
062900     IF  WS-UPDATE-SW-YES
063000         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
063100         SET MBIORO-REWRITE      TO TRUE
063200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
063300     ELSE
063400         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
063500         SET MBIORO-UNLOCK       TO TRUE
063600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
063700/
063800 F000-SETUP-COMMAREA SECTION.
063900*
064000***************************************************************
064100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
064200***************************************************************
064300*
064400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
064500*
064600     PERFORM MB60PD-EDIT-PAGE-NBR
064700                                 THRU MB60PD-EPN-EXIT.
064800*
064900     IF  SS08WS-VALID-PF-KEY
065000     OR  SS08WS-EIBAID-VALID-PF-KEY
065100         SET MBCA-INITIAL-SCREEN-NBR
065200                                 TO TRUE.
065300*
065400 F090-TRANSFER-XCTL.
065500*
065600     IF  MBCA-MBUI-UI-YES
065700         MOVE 'MBUI'             TO MBCA-TRANS-ID
065800                                    MBCA-PREV-TRANS-ID
065900         MOVE 01                 TO MBCA-SCREEN-NBR
066000         MOVE MBMS09I            TO MBUITS-VAR-DATA
066100         MOVE LENGTH OF MBMS09I  TO MBUITS-VAR-LENGTH
066200         MOVE 'TS04'             TO MBCA-PROGRAM-LOCATION
066300         EXEC CICS WRITEQ TS
066400                   QUEUE   (TS-QUEUE-NAME)
066500                   FROM    (MBUITS-RECORD)
066600                   LENGTH  (LENGTH  OF MBUITS-RECORD)
066700              END-EXEC.
066800*
066900     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
067000     PERFORM MB70PD-XCTL-TO-MBOXCTL
067100                                 THRU MB70PD-XTM-EXIT.
067200/
067300 W000-FIELD-EDITS SECTION.
067400*
067500*********************************************************
067600*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
067700*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
067800*    THE EDIT ROUTINES CAN BE FOUND IN EACH EDIT        *
067900*    ROUTINE.                                           *
068000*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE    *
068100*    UNIQUE TO THAT ROUTINE.                            *
068200*********************************************************
068300*
068400 W010-EDIT-DUP-SALE-DAY-NBR.
068500*
068600*****************************************************
068700*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
068800*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
068900*****************************************************
069000*
069100     MOVE DFHBMDAS               TO MS09-DUP-SALES-DAY-CH-LP-A
069200                                    MS09-DUP-SALES-DAY-CH-RP-A.
069300     MOVE DFHBMASK               TO MS09-DUP-SALES-DAY-CH-A.
069400*
069500************************************************************
069600*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
069700*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
069800*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
069900*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
070000*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
070100*    RETURNED WILL BE ZERO.                                *
070200************************************************************
070300*
070400     PERFORM Y015-DUP-SALE-DAY-NBR-SECURITY
070500                                 THRU Y019-MDSDN-EXIT.
070600*
070700************************
070800*    EDIT THE FIELD    *
070900************************
071000*
071100     IF  MS09-DUP-SALES-DAY-CH-L IS GREATER THAN ZERO
071200         MOVE DFHBMASF           TO MS09-DUP-SALES-DAY-CH-A
071300     ELSE
071400         MOVE MMSM-DUP-SALES-DAY-NBR-C-H
071500                                 TO MS09-DUP-SALES-DAY-CH.
071600*
071700     IF  MS09-DUP-SALES-DAY-CH IS NOT NUMERIC
071800         GO TO W018-DUP-SALE-DAY-NBR-ERROR.
071900*
072000     IF  MBCA-PTI-FUNCTION-IS-MAINT
072100     OR  MS09-DUP-SALES-DAY-CH-L IS GREATER THAN ZERO
072200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
072300         GO TO W019-EDSDN-EXIT.
072400*
072500 W018-DUP-SALE-DAY-NBR-ERROR.
072600*
072700*******************************************************
072800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
072900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
073000*    THE DATA ELEMENT.                                *
073100*******************************************************
073200*
073300     IF  MS09-DUP-SALES-DAY-CH-L IS GREATER THAN ZERO
073400         MOVE DFHBMNBF           TO MS09-DUP-SALES-DAY-CH-A
073500     ELSE
073600         MOVE DFHBMUNB           TO MS09-DUP-SALES-DAY-CH-A.
073700*
073800     SET SS08WS-ERROR-SW-YES     TO TRUE.
073900     MOVE DFHBMASB               TO MS09-DUP-SALES-DAY-CH-LP-A
074000                                    MS09-DUP-SALES-DAY-CH-RP-A
074100     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-DAY-CH-L.
074200*
074300 W019-EDSDN-EXIT.
074400     EXIT.
074500*
074600 W030-EDIT-DUP-AUTH-DAY-NBR.
074700*
074800     SET X-MMFS-STORE            UP BY 1.
074900*
075000*****************************************************
075100*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
075200*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
075300*****************************************************
075400*
075500     MOVE DFHBMDAS               TO MS09-DUP-AUTHS-DAY-CH-LP-A
075600                                    MS09-DUP-AUTHS-DAY-CH-RP-A.
075700     MOVE DFHBMASK               TO MS09-DUP-AUTHS-DAY-CH-A.
075800*
075900************************************************************
076000*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
076100*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
076200*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
076300*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
076400*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
076500*    RETURNED WILL BE ZERO.                                *
076600************************************************************
076700*
076800     PERFORM Y035-DUP-AUTH-DAY-NBR-SECURITY
076900                                 THRU Y039-MDADN-EXIT.
077000*
077100************************
077200*    EDIT THE FIELD    *
077300************************
077400*
077500     IF  MS09-DUP-AUTHS-DAY-CH-L IS GREATER THAN ZERO
077600         MOVE DFHBMASF           TO MS09-DUP-AUTHS-DAY-CH-A
077700     ELSE
077800         MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
077900                                 TO MS09-DUP-AUTHS-DAY-CH.
078000*
078100     IF  MS09-DUP-AUTHS-DAY-CH IS NOT NUMERIC
078200         GO TO W038-DUP-AUTH-DAY-NBR-ERROR.
078300*
078400     IF  MBCA-PTI-FUNCTION-IS-MAINT
078500     OR  MS09-DUP-AUTHS-DAY-CH-L IS GREATER THAN ZERO
078600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
078700         GO TO W039-EDADN-EXIT.
078800*
078900 W038-DUP-AUTH-DAY-NBR-ERROR.
079000*
079100*******************************************************
079200*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
079300*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
079400*    THE DATA ELEMENT.                                *
079500*******************************************************
079600*
079700     IF  MS09-DUP-AUTHS-DAY-CH-L IS GREATER THAN ZERO
079800         MOVE DFHBMNBF           TO MS09-DUP-AUTHS-DAY-CH-A
079900     ELSE
080000         MOVE DFHBMUNB           TO MS09-DUP-AUTHS-DAY-CH-A.
080100*
080200     SET SS08WS-ERROR-SW-YES     TO TRUE.
080300     MOVE DFHBMASB               TO MS09-DUP-AUTHS-DAY-CH-LP-A
080400                                    MS09-DUP-AUTHS-DAY-CH-RP-A
080500     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-DAY-CH-L.
080600*
080700 W039-EDADN-EXIT.
080800     EXIT.
080900*
081000 W050-EDIT-DUP-SALE-DAY-AMT.
081100*
081200     SET X-MMFS-STORE            UP BY 1.
081300*
081400*****************************************************
081500*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
081600*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
081700*****************************************************
081800*
081900     MOVE DFHBMDAS               TO MS09-DUP-SALES-AMT-CH-LP-A
082000                                    MS09-DUP-SALES-AMT-CH-RP-A.
082100     MOVE DFHBMASK               TO MS09-DUP-SALES-AMT-CH-A.
082200*
082300************************************************************
082400*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
082500*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
082600*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
082700*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
082800*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
082900*    RETURNED WILL BE ZERO.                                *
083000************************************************************
083100*
083200     PERFORM Y055-DUP-SALE-DAY-AMT-SECURITY
083300                                 THRU Y059-MDSDA-EXIT.
083400*
083500************************
083600*    EDIT THE FIELD    *
083700************************
083800*
083900     IF  MS09-DUP-SALES-AMT-CH-L IS GREATER THAN ZERO
084000         MOVE DFHBMASF           TO MS09-DUP-SALES-AMT-CH-A
084100     ELSE
084200         MOVE MMSM-DUP-SALES-DAY-AMT-C-H
084300                                 TO MS09-DUP-SALES-AMT-CH.
084400*
084500     IF  MS09-DUP-SALES-AMT-CH IS NOT NUMERIC
084600         GO TO W058-DUP-SALE-DAY-AMT-ERROR.
084700*
084800     IF  MBCA-PTI-FUNCTION-IS-MAINT
084900     OR  MS09-DUP-SALES-AMT-CH-L IS GREATER THAN ZERO
085000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
085100         GO TO W059-EDSDA-EXIT.
085200*
085300 W058-DUP-SALE-DAY-AMT-ERROR.
085400*
085500*******************************************************
085600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
085700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
085800*    THE DATA ELEMENT.                                *
085900*******************************************************
086000*
086100     IF  MS09-DUP-SALES-AMT-CH-L IS GREATER THAN ZERO
086200         MOVE DFHBMNBF           TO MS09-DUP-SALES-AMT-CH-A
086300     ELSE
086400         MOVE DFHBMUNB           TO MS09-DUP-SALES-AMT-CH-A.
086500*
086600     SET SS08WS-ERROR-SW-YES     TO TRUE.
086700     MOVE DFHBMASB               TO MS09-DUP-SALES-AMT-CH-LP-A
086800                                    MS09-DUP-SALES-AMT-CH-RP-A
086900     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-AMT-CH-L.
087000*
087100 W059-EDSDA-EXIT.
087200     EXIT.
087300*
087400 W070-EDIT-DUP-AUTH-DAY-AMT.
087500*
087600     SET X-MMFS-STORE            UP BY 1.
087700*
087800*****************************************************
087900*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
088000*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
088100*****************************************************
088200*
088300     MOVE DFHBMDAS               TO MS09-DUP-AUTHS-AMT-CH-LP-A
088400                                    MS09-DUP-AUTHS-AMT-CH-RP-A.
088500     MOVE DFHBMASK               TO MS09-DUP-AUTHS-AMT-CH-A.
088600*
088700************************************************************
088800*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
088900*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
089000*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
089100*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
089200*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
089300*    RETURNED WILL BE ZERO.                                *
089400************************************************************
089500*
089600     PERFORM Y075-DUP-AUTH-DAY-AMT-SECURITY
089700                                 THRU Y079-MDADA-EXIT.
089800*
089900************************
090000*    EDIT THE FIELD    *
090100************************
090200*
090300     IF  MS09-DUP-AUTHS-AMT-CH-L IS GREATER THAN ZERO
090400         MOVE DFHBMASF           TO MS09-DUP-AUTHS-AMT-CH-A
090500     ELSE
090600         MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
090700                                 TO MS09-DUP-AUTHS-AMT-CH.
090800*
090900     IF  MS09-DUP-AUTHS-AMT-CH IS NOT NUMERIC
091000         GO TO W078-DUP-AUTH-DAY-AMT-ERROR.
091100*
091200     IF  MBCA-PTI-FUNCTION-IS-MAINT
091300     OR  MS09-DUP-AUTHS-AMT-CH-L IS GREATER THAN ZERO
091400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
091500         GO TO W079-EDADA-EXIT.
091600*
091700 W078-DUP-AUTH-DAY-AMT-ERROR.
091800*
091900*******************************************************
092000*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
092100*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
092200*    THE DATA ELEMENT.                                *
092300*******************************************************
092400*
092500     IF  MS09-DUP-AUTHS-AMT-CH-L IS GREATER THAN ZERO
092600         MOVE DFHBMNBF           TO MS09-DUP-AUTHS-AMT-CH-A
092700     ELSE
092800         MOVE DFHBMUNB           TO MS09-DUP-AUTHS-AMT-CH-A.
092900*
093000     SET SS08WS-ERROR-SW-YES     TO TRUE.
093100     MOVE DFHBMASB               TO MS09-DUP-AUTHS-AMT-CH-LP-A
093200                                    MS09-DUP-AUTHS-AMT-CH-RP-A
093300     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-AMT-CH-L.
093400*
093500 W079-EDADA-EXIT.
093600     EXIT.
093700*
093800 W090-EDIT-DUP-SALE-DAY-NBR-BIN.
093900*
094000     SET X-MMFS-STORE            UP BY 1.
094100*
094200*****************************************************
094300*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
094400*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
094500*****************************************************
094600*
094700     MOVE DFHBMDAS               TO MS09-DUP-SALES-DAY-BIN-LP-A
094800                                    MS09-DUP-SALES-DAY-BIN-RP-A.
094900     MOVE DFHBMASK               TO MS09-DUP-SALES-DAY-BIN-A.
095000*
095100************************************************************
095200*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
095300*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
095400*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
095500*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
095600*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
095700*    RETURNED WILL BE ZERO.                                *
095800************************************************************
095900*
096000     PERFORM Y095-DUP-SALE-DAY-BIN-SECURITY
096100                                 THRU Y099-MDSDNB-EXIT.
096200*
096300************************
096400*    EDIT THE FIELD    *
096500************************
096600*
096700     IF  MS09-DUP-SALES-DAY-BIN-L IS GREATER THAN ZERO
096800         MOVE DFHBMASF           TO MS09-DUP-SALES-DAY-BIN-A
096900     ELSE
097000         MOVE MMSM-DUP-SALES-DAY-NBR-BIN
097100                                 TO MS09-DUP-SALES-DAY-BIN.
097200*
097300     IF  MS09-DUP-SALES-DAY-BIN IS NOT NUMERIC
097400         GO TO W098-DUP-SALE-DAY-BIN-ERROR.
097500*
097600     IF  MBCA-PTI-FUNCTION-IS-MAINT
097700     OR  MS09-DUP-SALES-DAY-BIN-L IS GREATER THAN ZERO
097800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
097900         GO TO W099-EDSDNB-EXIT.
098000*
098100 W098-DUP-SALE-DAY-BIN-ERROR.
098200*
098300*******************************************************
098400*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
098500*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
098600*    THE DATA ELEMENT.                                *
098700*******************************************************
098800*
098900     IF  MS09-DUP-SALES-DAY-BIN-L IS GREATER THAN ZERO
099000         MOVE DFHBMNBF           TO MS09-DUP-SALES-DAY-BIN-A
099100     ELSE
099200         MOVE DFHBMUNB           TO MS09-DUP-SALES-DAY-BIN-A.
099300*
099400     SET SS08WS-ERROR-SW-YES     TO TRUE.
099500     MOVE DFHBMASB               TO MS09-DUP-SALES-DAY-BIN-LP-A
099600                                    MS09-DUP-SALES-DAY-BIN-RP-A
099700     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-DAY-BIN-L.
099800*
099900 W099-EDSDNB-EXIT.
100000     EXIT.
100100*
100200 W110-EDIT-DUP-AUTH-DAY-NBR-BIN.
100300*
100400     SET X-MMFS-STORE            UP BY 1.
100500*
100600*****************************************************
100700*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
100800*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
100900*****************************************************
101000*
101100     MOVE DFHBMDAS               TO MS09-DUP-AUTHS-DAY-BIN-LP-A
101200                                    MS09-DUP-AUTHS-DAY-BIN-RP-A.
101300     MOVE DFHBMASK               TO MS09-DUP-AUTHS-DAY-BIN-A.
101400*
101500************************************************************
101600*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
101700*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
101800*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
101900*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
102000*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
102100*    RETURNED WILL BE ZERO.                                *
102200************************************************************
102300*
102400     PERFORM Y115-DUP-AUTH-DAY-BIN-SECURITY
102500                                 THRU Y119-MDADNB-EXIT.
102600*
102700************************
102800*    EDIT THE FIELD    *
102900************************
103000*
103100     IF  MS09-DUP-AUTHS-DAY-BIN-L IS GREATER THAN ZERO
103200         MOVE DFHBMASF           TO MS09-DUP-AUTHS-DAY-BIN-A
103300     ELSE
103400         MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
103500                                 TO MS09-DUP-AUTHS-DAY-BIN.
103600*
103700     IF  MS09-DUP-AUTHS-DAY-BIN IS NOT NUMERIC
103800         GO TO W118-DUP-AUTH-DAY-BIN-ERROR.
103900*
104000     IF  MBCA-PTI-FUNCTION-IS-MAINT
104100     OR  MS09-DUP-AUTHS-DAY-BIN-L IS GREATER THAN ZERO
104200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
104300         GO TO W119-EDADNB-EXIT.
104400*
104500 W118-DUP-AUTH-DAY-BIN-ERROR.
104600*
104700*******************************************************
104800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
104900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
105000*    THE DATA ELEMENT.                                *
105100*******************************************************
105200*
105300     IF  MS09-DUP-AUTHS-DAY-BIN-L IS GREATER THAN ZERO
105400         MOVE DFHBMNBF           TO MS09-DUP-AUTHS-DAY-BIN-A
105500     ELSE
105600         MOVE DFHBMUNB           TO MS09-DUP-AUTHS-DAY-BIN-A.
105700*
105800     SET SS08WS-ERROR-SW-YES     TO TRUE.
105900     MOVE DFHBMASB               TO MS09-DUP-AUTHS-DAY-BIN-LP-A
106000                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
106100     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-DAY-BIN-L.
106200*
106300 W119-EDADNB-EXIT.
106400     EXIT.
106500*
106600 W130-EDIT-DUP-SALE-DAY-AMT-BIN.
106700*
106800     SET X-MMFS-STORE            UP BY 1.
106900*
107000*****************************************************
107100*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
107200*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
107300*****************************************************
107400*
107500     MOVE DFHBMDAS               TO MS09-DUP-SALES-AMT-BIN-LP-A
107600                                    MS09-DUP-SALES-AMT-BIN-RP-A.
107700     MOVE DFHBMASK               TO MS09-DUP-SALES-AMT-BIN-A.
107800*
107900************************************************************
108000*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
108100*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
108200*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
108300*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
108400*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
108500*    RETURNED WILL BE ZERO.                                *
108600************************************************************
108700*
108800     PERFORM Y135-DUP-SALE-AMT-BIN-SECURITY
108900                                 THRU Y139-MDSDAB-EXIT.
109000*
109100************************
109200*    EDIT THE FIELD    *
109300************************
109400*
109500     IF  MS09-DUP-SALES-AMT-BIN-L IS GREATER THAN ZERO
109600         MOVE DFHBMASF           TO MS09-DUP-SALES-AMT-BIN-A
109700     ELSE
109800         MOVE MMSM-DUP-SALES-DAY-AMT-BIN
109900                                 TO MS09-DUP-SALES-AMT-BIN.
110000*
110100     IF  MS09-DUP-SALES-AMT-BIN IS NOT NUMERIC
110200         GO TO W138-DUP-SALE-AMT-BIN-ERROR.
110300*
110400     IF  MBCA-PTI-FUNCTION-IS-MAINT
110500     OR  MS09-DUP-SALES-AMT-BIN-L IS GREATER THAN ZERO
110600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
110700         GO TO W139-EDSDAB-EXIT.
110800*
110900 W138-DUP-SALE-AMT-BIN-ERROR.
111000*
111100*******************************************************
111200*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
111300*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
111400*    THE DATA ELEMENT.                                *
111500*******************************************************
111600*
111700     IF  MS09-DUP-SALES-AMT-BIN-L IS GREATER THAN ZERO
111800         MOVE DFHBMNBF           TO MS09-DUP-SALES-AMT-BIN-A
111900     ELSE
112000         MOVE DFHBMUNB           TO MS09-DUP-SALES-AMT-BIN-A.
112100*
112200     SET SS08WS-ERROR-SW-YES     TO TRUE.
112300     MOVE DFHBMASB               TO MS09-DUP-SALES-AMT-BIN-LP-A
112400                                    MS09-DUP-SALES-AMT-BIN-RP-A
112500     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-AMT-BIN-L.
112600*
112700 W139-EDSDAB-EXIT.
112800     EXIT.
112900*
113000 W150-EDIT-DUP-AUTH-DAY-AMT-BIN.
113100*
113200     SET X-MMFS-STORE            UP BY 1.
113300*
113400*****************************************************
113500*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
113600*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
113700*****************************************************
113800*
113900     MOVE DFHBMDAS               TO MS09-DUP-AUTHS-AMT-BIN-LP-A
114000                                    MS09-DUP-AUTHS-AMT-BIN-RP-A.
114100     MOVE DFHBMASK               TO MS09-DUP-AUTHS-AMT-BIN-A.
114200*
114300************************************************************
114400*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
114500*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
114600*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
114700*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
114800*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
114900*    RETURNED WILL BE ZERO.                                *
115000************************************************************
115100*
115200     PERFORM Y155-DUP-AUTH-AMT-BIN-SECURITY
115300                                 THRU Y159-MDADAB-EXIT.
115400*
115500************************
115600*    EDIT THE FIELD    *
115700************************
115800*
115900     IF  MS09-DUP-AUTHS-AMT-BIN-L IS GREATER THAN ZERO
116000         MOVE DFHBMASF           TO MS09-DUP-AUTHS-AMT-BIN-A
116100     ELSE
116200         MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
116300                                 TO MS09-DUP-AUTHS-AMT-BIN.
116400*
116500     IF  MS09-DUP-AUTHS-AMT-BIN IS NOT NUMERIC
116600         GO TO W158-DUP-AUTH-AMT-BIN-ERROR.
116700*
116800     IF  MBCA-PTI-FUNCTION-IS-MAINT
116900     OR  MS09-DUP-AUTHS-AMT-BIN-L IS GREATER THAN ZERO
117000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
117100         GO TO W159-EDADAB-EXIT.
117200*
117300 W158-DUP-AUTH-AMT-BIN-ERROR.
117400*
117500*******************************************************
117600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
117700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
117800*    THE DATA ELEMENT.                                *
117900*******************************************************
118000*
118100     IF  MS09-DUP-AUTHS-AMT-BIN-L IS GREATER THAN ZERO
118200         MOVE DFHBMNBF           TO MS09-DUP-AUTHS-AMT-BIN-A
118300     ELSE
118400         MOVE DFHBMUNB           TO MS09-DUP-AUTHS-AMT-BIN-A.
118500*
118600     SET SS08WS-ERROR-SW-YES     TO TRUE.
118700     MOVE DFHBMASB               TO MS09-DUP-AUTHS-AMT-BIN-LP-A
118800                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
118900     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-AMT-BIN-L.
119000*
119100 W159-EDADAB-EXIT.
119200     EXIT.
119300*
119400 W170-EDIT-AUTH-BELOW-PL.
119500*
119600     SET X-MMFS-STORE            UP BY 1.
119700*
119800*****************************************************
119900*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
120000*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
120100*****************************************************
120200*
120300     MOVE DFHBMDAS               TO MS09-PRIVATE-LABEL-LIMIT-LP-A
120400                                    MS09-PRIVATE-LABEL-LIMIT-RP-A.
120500     MOVE DFHBMASK               TO MS09-PRIVATE-LABEL-LIMIT-A.
120600*
120700************************************************************
120800*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
120900*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
121000*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
121100*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
121200*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
121300*    RETURNED WILL BE ZERO.                                *
121400************************************************************
121500*
121600     PERFORM Y175-AUTH-BELOW-PL-SECURITY
121700                                 THRU Y179-MABP-EXIT.
121800*
121900************************
122000*    EDIT THE FIELD    *
122100************************
122200*
122300     IF  MS09-PRIVATE-LABEL-LIMIT-L IS GREATER THAN ZERO
122400         MOVE DFHBMASF           TO MS09-PRIVATE-LABEL-LIMIT-A
122500     ELSE
122600         MOVE MMSM-AUTHS-BELOW-FLOOR-PL
122700                                 TO MS09-PRIVATE-LABEL-LIMIT.
122800*
122900     IF  MS09-PRIVATE-LABEL-LIMIT IS NOT NUMERIC
123000         GO TO W178-AUTH-BELOW-PL-ERROR.
123100*
123200     IF  MBCA-PTI-FUNCTION-IS-MAINT
123300     OR  MS09-PRIVATE-LABEL-LIMIT-L IS GREATER THAN ZERO
123400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
123500         GO TO W179-EABP-EXIT.
123600*
123700 W178-AUTH-BELOW-PL-ERROR.
123800*
123900*******************************************************
124000*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
124100*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
124200*    THE DATA ELEMENT.                                *
124300*******************************************************
124400*
124500     IF  MS09-PRIVATE-LABEL-LIMIT-L IS GREATER THAN ZERO
124600         MOVE DFHBMNBF           TO MS09-PRIVATE-LABEL-LIMIT-A
124700     ELSE
124800         MOVE DFHBMUNB           TO MS09-PRIVATE-LABEL-LIMIT-A.
124900*
125000     SET SS08WS-ERROR-SW-YES     TO TRUE.
125100     MOVE DFHBMASB               TO MS09-PRIVATE-LABEL-LIMIT-LP-A
125200                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
125300     MOVE SS08WS-CURSOR          TO MS09-PRIVATE-LABEL-LIMIT-L.
125400*
125500 W179-EABP-EXIT.
125600     EXIT.
125700*
125800 W190-EDIT-AUTH-BELOW-MC.
125900*
126000     SET X-MMFS-STORE            UP BY 1.
126100*
126200*****************************************************
126300*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
126400*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
126500*****************************************************
126600*
126700     MOVE DFHBMDAS               TO MS09-EURO-MASTER-LIMIT-LP-A
126800                                    MS09-EURO-MASTER-LIMIT-RP-A.
126900     MOVE DFHBMASK               TO MS09-EURO-MASTER-LIMIT-A.
127000*
127100************************************************************
127200*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
127300*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
127400*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
127500*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
127600*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
127700*    RETURNED WILL BE ZERO.                                *
127800************************************************************
127900*
128000     PERFORM Y195-AUTH-BELOW-MC-SECURITY
128100                                 THRU Y199-MABM-EXIT.
128200*
128300************************
128400*    EDIT THE FIELD    *
128500************************
128600*
128700     IF  MS09-EURO-MASTER-LIMIT-L IS GREATER THAN ZERO
128800         MOVE DFHBMASF           TO MS09-EURO-MASTER-LIMIT-A
128900     ELSE
129000         MOVE MMSM-AUTHS-BELOW-FLOOR-MC
129100                                 TO MS09-EURO-MASTER-LIMIT.
129200*
129300     IF  MS09-EURO-MASTER-LIMIT IS NOT NUMERIC
129400         GO TO W198-AUTH-BELOW-MC-ERROR.
129500*
129600     IF  MBCA-PTI-FUNCTION-IS-MAINT
129700     OR  MS09-EURO-MASTER-LIMIT-L IS GREATER THAN ZERO
129800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
129900         GO TO W199-EABM-EXIT.
130000*
130100 W198-AUTH-BELOW-MC-ERROR.
130200*
130300*******************************************************
130400*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
130500*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
130600*    THE DATA ELEMENT.                                *
130700*******************************************************
130800*
130900     IF  MS09-EURO-MASTER-LIMIT-L IS GREATER THAN ZERO
131000         MOVE DFHBMNBF           TO MS09-EURO-MASTER-LIMIT-A
131100     ELSE
131200         MOVE DFHBMUNB           TO MS09-EURO-MASTER-LIMIT-A.
131300*
131400     SET SS08WS-ERROR-SW-YES     TO TRUE.
131500     MOVE DFHBMASB               TO MS09-EURO-MASTER-LIMIT-LP-A
131600                                    MS09-EURO-MASTER-LIMIT-RP-A
131700     MOVE SS08WS-CURSOR          TO MS09-EURO-MASTER-LIMIT-L.
131800*
131900 W199-EABM-EXIT.
132000     EXIT.
132100*
132200 W210-EDIT-AUTH-BELOW-VI.
132300*
132400     SET X-MMFS-STORE            UP BY 1.
132500*
132600*****************************************************
132700*    SET THE ATTRIBUTES TO WHAT THEY WOULD BE IF    *
132800*    SOMETHING WERE KEYED AND THE EDITS PASSED.     *
132900*****************************************************
133000*
133100     MOVE DFHBMDAS               TO MS09-VISA-LIMIT-LP-A
133200                                    MS09-VISA-LIMIT-RP-A.
133300     MOVE DFHBMASK               TO MS09-VISA-LIMIT-A.
133400*
133500************************************************************
133600*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
133700*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
133800*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
133900*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
134000*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
134100*    RETURNED WILL BE ZERO.                                *
134200************************************************************
134300*
134400     PERFORM Y215-AUTH-BELOW-VI-SECURITY
134500                                 THRU Y219-MABV-EXIT.
134600*
134700************************
134800*    EDIT THE FIELD    *
134900************************
135000*
135100     IF  MS09-VISA-LIMIT-L IS GREATER THAN ZERO
135200         MOVE DFHBMASF           TO MS09-VISA-LIMIT-A
135300     ELSE
135400         MOVE MMSM-AUTHS-BELOW-FLOOR-VI
135500                                 TO MS09-VISA-LIMIT.
135600*
135700     IF  MS09-VISA-LIMIT IS NOT NUMERIC
135800         GO TO W218-AUTH-BELOW-VI-ERROR.
135900*
136000     IF  MBCA-PTI-FUNCTION-IS-MAINT
136100     OR  MS09-VISA-LIMIT-L IS GREATER THAN ZERO
136200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
136300         GO TO W219-EABV-EXIT.
136400*
136500 W218-AUTH-BELOW-VI-ERROR.
136600*
136700*******************************************************
136800*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
136900*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
137000*    THE DATA ELEMENT.                                *
137100*******************************************************
137200*
137300     IF  MS09-VISA-LIMIT-L IS GREATER THAN ZERO
137400         MOVE DFHBMNBF           TO MS09-VISA-LIMIT-A
137500     ELSE
137600         MOVE DFHBMUNB           TO MS09-VISA-LIMIT-A.
137700*
137800     SET SS08WS-ERROR-SW-YES     TO TRUE.
137900     MOVE DFHBMASB               TO MS09-VISA-LIMIT-LP-A
138000                                    MS09-VISA-LIMIT-RP-A
138100     MOVE SS08WS-CURSOR          TO MS09-VISA-LIMIT-L.
138200*
138300 W219-EABV-EXIT.
138400     EXIT.
138500/
138600 X000-UPDATE-FIELDS SECTION.
138700*
138800 X010-UPDATE-DUP-SALE-DAY-NBR.
138900*
139000     IF  MS09-DUP-SALES-DAY-CH-L IS GREATER THAN ZERO
139100         IF  MS09-DUP-SALES-DAY-CH IS NOT EQUAL
139200                                 TO MMSM-DUP-SALES-DAY-NBR-C-H
139300             SET WS-UPDATE-SW-YES
139400                                 TO TRUE
139500             IF  MBCA-PTI-FUNCTION-IS-MAINT
139600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
139700                                 TO MML1-MMSM-AUDIT-CODE
139800                 MOVE 0901       TO MML1-FIELD-CODE
139900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
140000                                    MML1-FIELD-OCCURRENCE-2
140100                 MOVE MML1WS-VL-03
140200                                 TO MML1-VARIABLE-LENGTH
140300                 MOVE MMSM-DUP-SALES-DAY-NBR-C-H
140400                                 TO MML1-VL03-B-DATA-9
140500                 MOVE MS09-DUP-SALES-DAY-CH
140600                                 TO MMSM-DUP-SALES-DAY-NBR-C-H
140700                 MOVE MMSM-DUP-SALES-DAY-NBR-C-H
140800                                 TO MML1-VL03-A-DATA-9
140900                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
141000                 PERFORM Y910-WRITE-LOG-RECORD
141100                                 THRU Y919-WLR-EXIT
141200             ELSE
141300                 MOVE MS09-DUP-SALES-DAY-CH
141400                                 TO MMSM-DUP-SALES-DAY-NBR-C-H.
141500*
141600 X019-UDSDN-EXIT.
141700     EXIT.
141800*
141900 X030-UPDATE-DUP-AUTH-DAY-NBR.
142000*
142100     SET X-MMFS-STORE            UP BY 1.
142200*
142300     IF  MS09-DUP-AUTHS-DAY-CH-L IS GREATER THAN ZERO
142400         IF  MS09-DUP-AUTHS-DAY-CH IS NOT EQUAL
142500                                 TO MMSM-DUP-AUTHS-DAY-NBR-C-H
142600             SET WS-UPDATE-SW-YES
142700                                 TO TRUE
142800             IF  MBCA-PTI-FUNCTION-IS-MAINT
142900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
143000                                 TO MML1-MMSM-AUDIT-CODE
143100                 MOVE 0902       TO MML1-FIELD-CODE
143200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
143300                                    MML1-FIELD-OCCURRENCE-2
143400                 MOVE MML1WS-VL-03
143500                                 TO MML1-VARIABLE-LENGTH
143600                 MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
143700                                 TO MML1-VL03-B-DATA-9
143800                 MOVE MS09-DUP-AUTHS-DAY-CH
143900                                 TO MMSM-DUP-AUTHS-DAY-NBR-C-H
144000                 MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
144100                                 TO MML1-VL03-A-DATA-9
144200                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
144300                 PERFORM Y910-WRITE-LOG-RECORD
144400                                 THRU Y919-WLR-EXIT
144500             ELSE
144600                 MOVE MS09-DUP-AUTHS-DAY-CH
144700                                 TO MMSM-DUP-AUTHS-DAY-NBR-C-H.
144800*
144900 X039-UDADN-EXIT.
145000     EXIT.
145100*
145200 X050-UPDATE-DUP-SALE-DAY-AMT.
145300*
145400     SET X-MMFS-STORE            UP BY 1.
145500*
145600     IF  MS09-DUP-SALES-AMT-CH-L IS GREATER THAN ZERO
145700         IF  MS09-DUP-SALES-AMT-CH IS NOT EQUAL
145800                                 TO MMSM-DUP-SALES-DAY-AMT-C-H
145900             SET WS-UPDATE-SW-YES
146000                                 TO TRUE
146100             IF  MBCA-PTI-FUNCTION-IS-MAINT
146200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
146300                                 TO MML1-MMSM-AUDIT-CODE
146400                 MOVE 0903       TO MML1-FIELD-CODE
146500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
146600                                    MML1-FIELD-OCCURRENCE-2
146700                 MOVE MML1WS-VL-20
146800                                 TO MML1-VARIABLE-LENGTH
146900                 MOVE MMSM-DUP-SALES-DAY-AMT-C-H
147000                                 TO MML1-VL20-B-NBR-NO-DEC
147100                 MOVE MS09-DUP-SALES-AMT-CH
147200                                 TO MMSM-DUP-SALES-DAY-AMT-C-H
147300                 MOVE MMSM-DUP-SALES-DAY-AMT-C-H
147400                                 TO MML1-VL20-A-NBR-NO-DEC
147500                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
147600                 PERFORM Y910-WRITE-LOG-RECORD
147700                                 THRU Y919-WLR-EXIT
147800             ELSE
147900                 MOVE MS09-DUP-SALES-AMT-CH
148000                                 TO MMSM-DUP-SALES-DAY-AMT-C-H.
148100*
148200 X059-UDSDA-EXIT.
148300     EXIT.
148400*
148500 X070-UPDATE-DUP-AUTH-DAY-AMT.
148600*
148700     SET X-MMFS-STORE            UP BY 1.
148800*
148900     IF  MS09-DUP-AUTHS-AMT-CH-L IS GREATER THAN ZERO
149000         IF  MS09-DUP-AUTHS-AMT-CH IS NOT EQUAL
149100                                 TO MMSM-DUP-AUTHS-DAY-AMT-C-H
149200             SET WS-UPDATE-SW-YES
149300                                 TO TRUE
149400             IF  MBCA-PTI-FUNCTION-IS-MAINT
149500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
149600                                 TO MML1-MMSM-AUDIT-CODE
149700                 MOVE 0904       TO MML1-FIELD-CODE
149800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
149900                                    MML1-FIELD-OCCURRENCE-2
150000                 MOVE MML1WS-VL-20
150100                                 TO MML1-VARIABLE-LENGTH
150200                 MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
150300                                 TO MML1-VL20-B-NBR-NO-DEC
150400                 MOVE MS09-DUP-AUTHS-AMT-CH
150500                                 TO MMSM-DUP-AUTHS-DAY-AMT-C-H
150600                 MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
150700                                 TO MML1-VL20-A-NBR-NO-DEC
150800                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
150900                 PERFORM Y910-WRITE-LOG-RECORD
151000                                 THRU Y919-WLR-EXIT
151100             ELSE
151200                 MOVE MS09-DUP-AUTHS-AMT-CH
151300                                 TO MMSM-DUP-AUTHS-DAY-AMT-C-H.
151400*
151500 X079-UDADA-EXIT.
151600     EXIT.
151700*
151800 X090-UPDATE-DUP-SALE-NBR-BIN.
151900*
152000     SET X-MMFS-STORE            UP BY 1.
152100*
152200     IF  MS09-DUP-SALES-DAY-BIN-L IS GREATER THAN ZERO
152300         IF  MS09-DUP-SALES-DAY-BIN IS NOT EQUAL
152400                                 TO MMSM-DUP-SALES-DAY-NBR-BIN
152500             SET WS-UPDATE-SW-YES
152600                                 TO TRUE
152700             IF  MBCA-PTI-FUNCTION-IS-MAINT
152800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
152900                                 TO MML1-MMSM-AUDIT-CODE
153000                 MOVE 0905       TO MML1-FIELD-CODE
153100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
153200                                    MML1-FIELD-OCCURRENCE-2
153300                 MOVE MML1WS-VL-03
153400                                 TO MML1-VARIABLE-LENGTH
153500                 MOVE MMSM-DUP-SALES-DAY-NBR-BIN
153600                                 TO MML1-VL03-B-DATA-9
153700                 MOVE MS09-DUP-SALES-DAY-BIN
153800                                 TO MMSM-DUP-SALES-DAY-NBR-BIN
153900                 MOVE MMSM-DUP-SALES-DAY-NBR-BIN
154000                                 TO MML1-VL03-A-DATA-9
154100                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
154200                 PERFORM Y910-WRITE-LOG-RECORD
154300                                 THRU Y919-WLR-EXIT
154400             ELSE
154500                 MOVE MS09-DUP-SALES-DAY-BIN
154600                                 TO MMSM-DUP-SALES-DAY-NBR-BIN.
154700*
154800 X099-UDSNB-EXIT.
154900     EXIT.
155000*
155100 X110-UPDATE-DUP-AUTH-NBR-BIN.
155200*
155300     SET X-MMFS-STORE            UP BY 1.
155400*
155500     IF  MS09-DUP-AUTHS-DAY-BIN-L IS GREATER THAN ZERO
155600         IF  MS09-DUP-AUTHS-DAY-BIN IS NOT EQUAL
155700                                 TO MMSM-DUP-AUTHS-DAY-NBR-BIN
155800             SET WS-UPDATE-SW-YES
155900                                 TO TRUE
156000             IF  MBCA-PTI-FUNCTION-IS-MAINT
156100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
156200                                 TO MML1-MMSM-AUDIT-CODE
156300                 MOVE 0906       TO MML1-FIELD-CODE
156400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
156500                                    MML1-FIELD-OCCURRENCE-2
156600                 MOVE MML1WS-VL-03
156700                                 TO MML1-VARIABLE-LENGTH
156800                 MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
156900                                 TO MML1-VL03-B-DATA-9
157000                 MOVE MS09-DUP-AUTHS-DAY-BIN
157100                                 TO MMSM-DUP-AUTHS-DAY-NBR-BIN
157200                 MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
157300                                 TO MML1-VL03-A-DATA-9
157400                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
157500                 PERFORM Y910-WRITE-LOG-RECORD
157600                                 THRU Y919-WLR-EXIT
157700             ELSE
157800                 MOVE MS09-DUP-AUTHS-DAY-BIN
157900                                 TO MMSM-DUP-AUTHS-DAY-NBR-BIN.
158000*
158100 X119-UDANB-EXIT.
158200     EXIT.
158300*
158400 X130-UPDATE-DUP-SALE-AMT-BIN.
158500*
158600     SET X-MMFS-STORE            UP BY 1.
158700*
158800     IF  MS09-DUP-SALES-AMT-BIN-L IS GREATER THAN ZERO
158900         IF  MS09-DUP-SALES-AMT-BIN IS NOT EQUAL
159000                                 TO MMSM-DUP-SALES-DAY-AMT-BIN
159100             SET WS-UPDATE-SW-YES
159200                                 TO TRUE
159300             IF  MBCA-PTI-FUNCTION-IS-MAINT
159400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
159500                                 TO MML1-MMSM-AUDIT-CODE
159600                 MOVE 0907       TO MML1-FIELD-CODE
159700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
159800                                    MML1-FIELD-OCCURRENCE-2
159900                 MOVE MML1WS-VL-20
160000                                 TO MML1-VARIABLE-LENGTH
160100                 MOVE MMSM-DUP-SALES-DAY-AMT-BIN
160200                                 TO MML1-VL20-B-NBR-NO-DEC
160300                 MOVE MS09-DUP-SALES-AMT-BIN
160400                                 TO MMSM-DUP-SALES-DAY-AMT-BIN
160500                 MOVE MMSM-DUP-SALES-DAY-AMT-BIN
160600                                 TO MML1-VL20-A-NBR-NO-DEC
160700                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
160800                 PERFORM Y910-WRITE-LOG-RECORD
160900                                 THRU Y919-WLR-EXIT
161000             ELSE
161100                 MOVE MS09-DUP-SALES-AMT-BIN
161200                                 TO MMSM-DUP-SALES-DAY-AMT-BIN.
161300*
161400 X139-UDSAB-EXIT.
161500     EXIT.
161600*
161700 X150-UPDATE-DUP-AUTH-AMT-BIN.
161800*
161900     SET X-MMFS-STORE            UP BY 1.
162000*
162100     IF  MS09-DUP-AUTHS-AMT-BIN-L IS GREATER THAN ZERO
162200         IF  MS09-DUP-AUTHS-AMT-BIN IS NOT EQUAL
162300                                 TO MMSM-DUP-AUTHS-DAY-AMT-BIN
162400             SET WS-UPDATE-SW-YES
162500                                 TO TRUE
162600             IF  MBCA-PTI-FUNCTION-IS-MAINT
162700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
162800                                 TO MML1-MMSM-AUDIT-CODE
162900                 MOVE 0908       TO MML1-FIELD-CODE
163000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
163100                                    MML1-FIELD-OCCURRENCE-2
163200                 MOVE MML1WS-VL-20
163300                                 TO MML1-VARIABLE-LENGTH
163400                 MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
163500                                 TO MML1-VL20-B-NBR-NO-DEC
163600                 MOVE MS09-DUP-AUTHS-AMT-BIN
163700                                 TO MMSM-DUP-AUTHS-DAY-AMT-BIN
163800                 MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
163900                                 TO MML1-VL20-A-NBR-NO-DEC
164000                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
164100                 PERFORM Y910-WRITE-LOG-RECORD
164200                                 THRU Y919-WLR-EXIT
164300             ELSE
164400                 MOVE MS09-DUP-AUTHS-AMT-BIN
164500                                 TO MMSM-DUP-AUTHS-DAY-AMT-BIN.
164600*
164700 X159-UDAAB-EXIT.
164800     EXIT.
164900*
165000 X170-UPDATE-AUTH-BELOW-PL.
165100*
165200     SET X-MMFS-STORE            UP BY 1.
165300*
165400     IF  MS09-PRIVATE-LABEL-LIMIT-L IS GREATER THAN ZERO
165500         IF  MS09-PRIVATE-LABEL-LIMIT IS NOT EQUAL
165600                                 TO MMSM-AUTHS-BELOW-FLOOR-PL
165700             SET WS-UPDATE-SW-YES
165800                                 TO TRUE
165900             IF  MBCA-PTI-FUNCTION-IS-MAINT
166000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
166100                                 TO MML1-MMSM-AUDIT-CODE
166200                 MOVE 0909       TO MML1-FIELD-CODE
166300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
166400                                    MML1-FIELD-OCCURRENCE-2
166500                 MOVE MML1WS-VL-05
166600                                 TO MML1-VARIABLE-LENGTH
166700                 MOVE MMSM-AUTHS-BELOW-FLOOR-PL
166800                                 TO MML1-VL05-B-DATA-9
166900                 MOVE MS09-PRIVATE-LABEL-LIMIT
167000                                 TO MMSM-AUTHS-BELOW-FLOOR-PL
167100                 MOVE MMSM-AUTHS-BELOW-FLOOR-PL
167200                                 TO MML1-VL05-A-DATA-9
167300                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
167400                 PERFORM Y910-WRITE-LOG-RECORD
167500                                 THRU Y919-WLR-EXIT
167600             ELSE
167700                 MOVE MS09-PRIVATE-LABEL-LIMIT
167800                                 TO MMSM-AUTHS-BELOW-FLOOR-PL.
167900*
168000 X179-UABP-EXIT.
168100     EXIT.
168200*
168300 X190-UPDATE-AUTH-BELOW-MC.
168400*
168500     SET X-MMFS-STORE            UP BY 1.
168600*
168700     IF  MS09-EURO-MASTER-LIMIT-L IS GREATER THAN ZERO
168800         IF  MS09-EURO-MASTER-LIMIT IS NOT EQUAL
168900                                 TO MMSM-AUTHS-BELOW-FLOOR-MC
169000             SET WS-UPDATE-SW-YES
169100                                 TO TRUE
169200             IF  MBCA-PTI-FUNCTION-IS-MAINT
169300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
169400                                 TO MML1-MMSM-AUDIT-CODE
169500                 MOVE 0910       TO MML1-FIELD-CODE
169600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
169700                                    MML1-FIELD-OCCURRENCE-2
169800                 MOVE MML1WS-VL-05
169900                                 TO MML1-VARIABLE-LENGTH
170000                 MOVE MMSM-AUTHS-BELOW-FLOOR-MC
170100                                 TO MML1-VL05-B-DATA-9
170200                 MOVE MS09-EURO-MASTER-LIMIT
170300                                 TO MMSM-AUTHS-BELOW-FLOOR-MC
170400                 MOVE MMSM-AUTHS-BELOW-FLOOR-MC
170500                                 TO MML1-VL05-A-DATA-9
170600                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
170700                 PERFORM Y910-WRITE-LOG-RECORD
170800                                 THRU Y919-WLR-EXIT
170900             ELSE
171000                 MOVE MS09-EURO-MASTER-LIMIT
171100                                 TO MMSM-AUTHS-BELOW-FLOOR-MC.
171200*
171300 X199-UABM-EXIT.
171400     EXIT.
171500*
171600 X210-UPDATE-AUTH-BELOW-VI.
171700*
171800     SET X-MMFS-STORE            UP BY 1.
171900*
172000     IF  MS09-VISA-LIMIT-L IS GREATER THAN ZERO
172100         IF  MS09-VISA-LIMIT IS NOT EQUAL
172200                                 TO MMSM-AUTHS-BELOW-FLOOR-VI
172300             SET WS-UPDATE-SW-YES
172400                                 TO TRUE
172500             IF  MBCA-PTI-FUNCTION-IS-MAINT
172600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
172700                                 TO MML1-MMSM-AUDIT-CODE
172800                 MOVE 0911       TO MML1-FIELD-CODE
172900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
173000                                    MML1-FIELD-OCCURRENCE-2
173100                 MOVE MML1WS-VL-05
173200                                 TO MML1-VARIABLE-LENGTH
173300                 MOVE MMSM-AUTHS-BELOW-FLOOR-VI
173400                                 TO MML1-VL05-B-DATA-9
173500                 MOVE MS09-VISA-LIMIT
173600                                 TO MMSM-AUTHS-BELOW-FLOOR-VI
173700                 MOVE MMSM-AUTHS-BELOW-FLOOR-VI
173800                                 TO MML1-VL05-A-DATA-9
173900                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
174000                 PERFORM Y910-WRITE-LOG-RECORD
174100                                 THRU Y919-WLR-EXIT
174200             ELSE
174300                 MOVE MS09-VISA-LIMIT
174400                                 TO MMSM-AUTHS-BELOW-FLOOR-MC.
174500*
174600 X219-UABV-EXIT.
174700     EXIT.
174800/
174900 Y000-PERFORMED-ROUTINES SECTION.
175000*
175100 Y010-MOVE-DUP-SALE-DAY-NBR.
175200*
175300     MOVE MMSM-DUP-SALES-DAY-NBR-C-H
175400                                 TO MS09-DUP-SALES-DAY-CH.
175500*
175600 Y015-DUP-SALE-DAY-NBR-SECURITY.
175700*
175800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
175900         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-CH-LIT-A
176000                                    MS09-DUP-SALES-DAY-CH-LP-A
176100                                    MS09-DUP-SALES-DAY-CH-RP-A
176200                                    MS09-DUP-SALES-DAY-CH-A
176300         MOVE ZERO               TO MS09-DUP-SALES-DAY-CH-L
176400         GO TO Y019-MDSDN-EXIT.
176500*
176600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
176700         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-CH-LP-A
176800                                    MS09-DUP-SALES-DAY-CH-RP-A
176900         MOVE DFHBMASB           TO MS09-DUP-SALES-DAY-CH-A
177000         GO TO Y019-MDSDN-EXIT.
177100*
177200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
177300         MOVE ZERO               TO MS09-DUP-SALES-DAY-CH-L
177400         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-CH-LP-A
177500                                    MS09-DUP-SALES-DAY-CH-RP-A
177600         MOVE DFHBMASK           TO MS09-DUP-SALES-DAY-CH-A
177700         GO TO Y019-MDSDN-EXIT.
177800*
177900     IF  MBCA-PTI-FUNCTION-IS-ADD
178000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
178100             MOVE DFHBMASB       TO MS09-DUP-SALES-DAY-CH-LIT-A
178200         ELSE
178300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
178400                 MOVE ZERO       TO MS09-DUP-SALES-DAY-CH-L
178500                 MOVE DFHBMDAS   TO MS09-DUP-SALES-DAY-CH-LP-A
178600                                    MS09-DUP-SALES-DAY-CH-RP-A
178700                 MOVE DFHBMASK   TO MS09-DUP-SALES-DAY-CH-A.
178800*
178900     IF  MBCA-PTI-FUNCTION-IS-MAINT
179000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
179100             MOVE ZERO           TO MS09-DUP-SALES-DAY-CH-L
179200             MOVE DFHBMDAS       TO MS09-DUP-SALES-DAY-CH-LP-A
179300                                    MS09-DUP-SALES-DAY-CH-RP-A
179400             MOVE DFHBMASK       TO MS09-DUP-SALES-DAY-CH-A.
179500*
179600 Y019-MDSDN-EXIT.
179700     EXIT.
179800*
179900 Y030-MOVE-DUP-AUTH-DAY-NBR.
180000*
180100     SET X-MMFS-STORE            UP BY 1.
180200*
180300     MOVE MMSM-DUP-AUTHS-DAY-NBR-C-H
180400                                 TO MS09-DUP-AUTHS-DAY-CH.
180500*
180600 Y035-DUP-AUTH-DAY-NBR-SECURITY.
180700*
180800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
180900         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-CH-LIT-A
181000                                    MS09-DUP-AUTHS-DAY-CH-LP-A
181100                                    MS09-DUP-AUTHS-DAY-CH-RP-A
181200                                    MS09-DUP-AUTHS-DAY-CH-A
181300         MOVE ZERO               TO MS09-DUP-AUTHS-DAY-CH-L
181400         GO TO Y039-MDADN-EXIT.
181500*
181600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
181700         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-CH-LP-A
181800                                    MS09-DUP-AUTHS-DAY-CH-RP-A
181900         MOVE DFHBMASB           TO MS09-DUP-AUTHS-DAY-CH-A
182000         GO TO Y039-MDADN-EXIT.
182100*
182200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
182300         MOVE ZERO               TO MS09-DUP-AUTHS-DAY-CH-L
182400         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-CH-LP-A
182500                                    MS09-DUP-AUTHS-DAY-CH-RP-A
182600         MOVE DFHBMASK           TO MS09-DUP-AUTHS-DAY-CH-A
182700         GO TO Y039-MDADN-EXIT.
182800*
182900     IF  MBCA-PTI-FUNCTION-IS-ADD
183000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
183100             MOVE DFHBMASB       TO MS09-DUP-AUTHS-DAY-CH-LIT-A
183200         ELSE
183300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
183400                 MOVE ZERO       TO MS09-DUP-AUTHS-DAY-CH-L
183500                 MOVE DFHBMDAS   TO MS09-DUP-AUTHS-DAY-CH-LP-A
183600                                    MS09-DUP-AUTHS-DAY-CH-RP-A
183700                 MOVE DFHBMASK   TO MS09-DUP-AUTHS-DAY-CH-A.
183800*
183900     IF  MBCA-PTI-FUNCTION-IS-MAINT
184000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
184100             MOVE ZERO           TO MS09-DUP-AUTHS-DAY-CH-L
184200             MOVE DFHBMDAS       TO MS09-DUP-AUTHS-DAY-CH-LP-A
184300                                    MS09-DUP-AUTHS-DAY-CH-RP-A
184400             MOVE DFHBMASK       TO MS09-DUP-AUTHS-DAY-CH-A.
184500*
184600 Y039-MDADN-EXIT.
184700     EXIT.
184800*
184900 Y050-MOVE-DUP-SALE-DAY-AMT.
185000*
185100     SET X-MMFS-STORE            UP BY 1.
185200*
185300     MOVE MMSM-DUP-SALES-DAY-AMT-C-H
185400                                 TO MS09-DUP-SALES-AMT-CH.
185500*
185600 Y055-DUP-SALE-DAY-AMT-SECURITY.
185700*
185800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
185900         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-CH-LIT-A
186000                                    MS09-DUP-SALES-AMT-CH-LP-A
186100                                    MS09-DUP-SALES-AMT-CH-RP-A
186200                                    MS09-DUP-SALES-AMT-CH-A
186300         MOVE ZERO               TO MS09-DUP-SALES-AMT-CH-L
186400         GO TO Y059-MDSDA-EXIT.
186500*
186600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
186700         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-CH-LP-A
186800                                    MS09-DUP-SALES-AMT-CH-RP-A
186900         MOVE DFHBMASB           TO MS09-DUP-SALES-AMT-CH-A
187000         GO TO Y059-MDSDA-EXIT.
187100*
187200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
187300         MOVE ZERO               TO MS09-DUP-SALES-AMT-CH-L
187400         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-CH-LP-A
187500                                    MS09-DUP-SALES-AMT-CH-RP-A
187600         MOVE DFHBMASK           TO MS09-DUP-SALES-AMT-CH-A
187700         GO TO Y059-MDSDA-EXIT.
187800*
187900     IF  MBCA-PTI-FUNCTION-IS-ADD
188000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
188100             MOVE DFHBMASB       TO MS09-DUP-SALES-AMT-CH-LIT-A
188200         ELSE
188300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
188400                 MOVE ZERO       TO MS09-DUP-SALES-AMT-CH-L
188500                 MOVE DFHBMDAS   TO MS09-DUP-SALES-AMT-CH-LP-A
188600                                    MS09-DUP-SALES-AMT-CH-RP-A
188700                 MOVE DFHBMASK   TO MS09-DUP-SALES-AMT-CH-A.
188800*
188900     IF  MBCA-PTI-FUNCTION-IS-MAINT
189000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
189100             MOVE ZERO           TO MS09-DUP-SALES-AMT-CH-L
189200             MOVE DFHBMDAS       TO MS09-DUP-SALES-AMT-CH-LP-A
189300                                    MS09-DUP-SALES-AMT-CH-RP-A
189400             MOVE DFHBMASK       TO MS09-DUP-SALES-AMT-CH-A.
189500*
189600 Y059-MDSDA-EXIT.
189700     EXIT.
189800*
189900 Y070-MOVE-DUP-AUTH-DAY-AMT.
190000*
190100     SET X-MMFS-STORE            UP BY 1.
190200*
190300     MOVE MMSM-DUP-AUTHS-DAY-AMT-C-H
190400                                 TO MS09-DUP-AUTHS-AMT-CH.
190500*
190600 Y075-DUP-AUTH-DAY-AMT-SECURITY.
190700*
190800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
190900         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-CH-LIT-A
191000                                    MS09-DUP-AUTHS-AMT-CH-LP-A
191100                                    MS09-DUP-AUTHS-AMT-CH-RP-A
191200                                    MS09-DUP-AUTHS-AMT-CH-A
191300         MOVE ZERO               TO MS09-DUP-AUTHS-AMT-CH-L
191400         GO TO Y079-MDADA-EXIT.
191500*
191600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
191700         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-CH-LP-A
191800                                    MS09-DUP-AUTHS-AMT-CH-RP-A
191900         MOVE DFHBMASB           TO MS09-DUP-AUTHS-AMT-CH-A
192000         GO TO Y079-MDADA-EXIT.
192100*
192200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
192300         MOVE ZERO               TO MS09-DUP-AUTHS-AMT-CH-L
192400         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-CH-LP-A
192500                                    MS09-DUP-AUTHS-AMT-CH-RP-A
192600         MOVE DFHBMASK           TO MS09-DUP-AUTHS-AMT-CH-A
192700         GO TO Y079-MDADA-EXIT.
192800*
192900     IF  MBCA-PTI-FUNCTION-IS-ADD
193000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
193100             MOVE DFHBMASB       TO MS09-DUP-AUTHS-AMT-CH-LIT-A
193200         ELSE
193300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
193400                 MOVE ZERO       TO MS09-DUP-AUTHS-AMT-CH-L
193500                 MOVE DFHBMDAS   TO MS09-DUP-AUTHS-AMT-CH-LP-A
193600                                    MS09-DUP-AUTHS-AMT-CH-RP-A
193700                 MOVE DFHBMASK   TO MS09-DUP-AUTHS-AMT-CH-A.
193800*
193900     IF  MBCA-PTI-FUNCTION-IS-MAINT
194000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
194100             MOVE ZERO           TO MS09-DUP-AUTHS-AMT-CH-L
194200             MOVE DFHBMDAS       TO MS09-DUP-AUTHS-AMT-CH-LP-A
194300                                    MS09-DUP-AUTHS-AMT-CH-RP-A
194400             MOVE DFHBMASK       TO MS09-DUP-AUTHS-AMT-CH-A.
194500*
194600 Y079-MDADA-EXIT.
194700     EXIT.
194800*
194900 Y090-MOVE-DUP-SALE-DAY-NBR-BIN.
195000*
195100     SET X-MMFS-STORE            UP BY 1.
195200*
195300     MOVE MMSM-DUP-SALES-DAY-NBR-BIN
195400                                 TO MS09-DUP-SALES-DAY-BIN.
195500*
195600 Y095-DUP-SALE-DAY-BIN-SECURITY.
195700*
195800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
195900         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-BIN-LIT-A
196000                                    MS09-DUP-SALES-DAY-BIN-LP-A
196100                                    MS09-DUP-SALES-DAY-BIN-RP-A
196200                                    MS09-DUP-SALES-DAY-BIN-A
196300         MOVE ZERO               TO MS09-DUP-SALES-DAY-BIN-L
196400         GO TO Y099-MDSDNB-EXIT.
196500*
196600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
196700         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-BIN-LP-A
196800                                    MS09-DUP-SALES-DAY-BIN-RP-A
196900         MOVE DFHBMASB           TO MS09-DUP-SALES-DAY-BIN-A
197000         GO TO Y099-MDSDNB-EXIT.
197100*
197200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
197300         MOVE ZERO               TO MS09-DUP-SALES-DAY-BIN-L
197400         MOVE DFHBMDAS           TO MS09-DUP-SALES-DAY-BIN-LP-A
197500                                    MS09-DUP-SALES-DAY-BIN-RP-A
197600         MOVE DFHBMASK           TO MS09-DUP-SALES-DAY-BIN-A
197700         GO TO Y099-MDSDNB-EXIT.
197800*
197900     IF  MBCA-PTI-FUNCTION-IS-ADD
198000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
198100             MOVE DFHBMASB       TO MS09-DUP-SALES-DAY-BIN-LIT-A
198200         ELSE
198300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
198400                 MOVE ZERO       TO MS09-DUP-SALES-DAY-BIN-L
198500                 MOVE DFHBMDAS   TO MS09-DUP-SALES-DAY-BIN-LP-A
198600                                    MS09-DUP-SALES-DAY-BIN-RP-A
198700                 MOVE DFHBMASK   TO MS09-DUP-SALES-DAY-BIN-A.
198800*
198900     IF  MBCA-PTI-FUNCTION-IS-MAINT
199000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
199100             MOVE ZERO           TO MS09-DUP-SALES-DAY-BIN-L
199200             MOVE DFHBMDAS       TO MS09-DUP-SALES-DAY-BIN-LP-A
199300                                    MS09-DUP-SALES-DAY-BIN-RP-A
199400             MOVE DFHBMASK       TO MS09-DUP-SALES-DAY-BIN-A.
199500*
199600 Y099-MDSDNB-EXIT.
199700     EXIT.
199800*
199900 Y110-MOVE-DUP-AUTH-DAY-NBR-BIN.
200000*
200100     SET X-MMFS-STORE            UP BY 1.
200200*
200300     MOVE MMSM-DUP-AUTHS-DAY-NBR-BIN
200400                                 TO MS09-DUP-AUTHS-DAY-BIN.
200500*
200600 Y115-DUP-AUTH-DAY-BIN-SECURITY.
200700*
200800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
200900         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-BIN-LIT-A
201000                                    MS09-DUP-AUTHS-DAY-BIN-LP-A
201100                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
201200                                    MS09-DUP-AUTHS-DAY-BIN-A
201300         MOVE ZERO               TO MS09-DUP-AUTHS-DAY-BIN-L
201400         GO TO Y119-MDADNB-EXIT.
201500*
201600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
201700         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-BIN-LP-A
201800                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
201900         MOVE DFHBMASB           TO MS09-DUP-AUTHS-DAY-BIN-A
202000         GO TO Y119-MDADNB-EXIT.
202100*
202200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
202300         MOVE ZERO               TO MS09-DUP-AUTHS-DAY-BIN-L
202400         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-DAY-BIN-LP-A
202500                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
202600         MOVE DFHBMASK           TO MS09-DUP-AUTHS-DAY-BIN-A
202700         GO TO Y119-MDADNB-EXIT.
202800*
202900     IF  MBCA-PTI-FUNCTION-IS-ADD
203000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
203100             MOVE DFHBMASB       TO MS09-DUP-AUTHS-DAY-BIN-LIT-A
203200         ELSE
203300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
203400                 MOVE ZERO       TO MS09-DUP-AUTHS-DAY-BIN-L
203500                 MOVE DFHBMDAS   TO MS09-DUP-AUTHS-DAY-BIN-LP-A
203600                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
203700                 MOVE DFHBMASK   TO MS09-DUP-AUTHS-DAY-BIN-A.
203800*
203900     IF  MBCA-PTI-FUNCTION-IS-MAINT
204000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
204100             MOVE ZERO           TO MS09-DUP-AUTHS-DAY-BIN-L
204200             MOVE DFHBMDAS       TO MS09-DUP-AUTHS-DAY-BIN-LP-A
204300                                    MS09-DUP-AUTHS-DAY-BIN-RP-A
204400             MOVE DFHBMASK       TO MS09-DUP-AUTHS-DAY-BIN-A.
204500*
204600 Y119-MDADNB-EXIT.
204700     EXIT.
204800*
204900 Y130-MOVE-DUP-SALE-DAY-AMT-BIN.
205000*
205100     SET X-MMFS-STORE            UP BY 1.
205200*
205300     MOVE MMSM-DUP-SALES-DAY-AMT-BIN
205400                                 TO MS09-DUP-SALES-AMT-BIN.
205500*
205600 Y135-DUP-SALE-AMT-BIN-SECURITY.
205700*
205800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
205900         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-BIN-LIT-A
206000                                    MS09-DUP-SALES-AMT-BIN-LP-A
206100                                    MS09-DUP-SALES-AMT-BIN-RP-A
206200                                    MS09-DUP-SALES-AMT-BIN-A
206300         MOVE ZERO               TO MS09-DUP-SALES-AMT-BIN-L
206400         GO TO Y139-MDSDAB-EXIT.
206500*
206600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
206700         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-BIN-LP-A
206800                                    MS09-DUP-SALES-AMT-BIN-RP-A
206900         MOVE DFHBMASB           TO MS09-DUP-SALES-AMT-BIN-A
207000         GO TO Y139-MDSDAB-EXIT.
207100*
207200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
207300         MOVE ZERO               TO MS09-DUP-SALES-AMT-BIN-L
207400         MOVE DFHBMDAS           TO MS09-DUP-SALES-AMT-BIN-LP-A
207500                                    MS09-DUP-SALES-AMT-BIN-RP-A
207600         MOVE DFHBMASK           TO MS09-DUP-SALES-AMT-BIN-A
207700         GO TO Y139-MDSDAB-EXIT.
207800*
207900     IF  MBCA-PTI-FUNCTION-IS-ADD
208000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
208100             MOVE DFHBMASB       TO MS09-DUP-SALES-AMT-BIN-LIT-A
208200         ELSE
208300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
208400                 MOVE ZERO       TO MS09-DUP-SALES-AMT-BIN-L
208500                 MOVE DFHBMDAS   TO MS09-DUP-SALES-AMT-BIN-LP-A
208600                                    MS09-DUP-SALES-AMT-BIN-RP-A
208700                 MOVE DFHBMASK   TO MS09-DUP-SALES-AMT-BIN-A.
208800*
208900     IF  MBCA-PTI-FUNCTION-IS-MAINT
209000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
209100             MOVE ZERO           TO MS09-DUP-SALES-AMT-BIN-L
209200             MOVE DFHBMDAS       TO MS09-DUP-SALES-AMT-BIN-LP-A
209300                                    MS09-DUP-SALES-AMT-BIN-RP-A
209400             MOVE DFHBMASK       TO MS09-DUP-SALES-AMT-BIN-A.
209500*
209600 Y139-MDSDAB-EXIT.
209700     EXIT.
209800*
209900 Y150-MOVE-DUP-AUTH-DAY-AMT-BIN.
210000*
210100     SET X-MMFS-STORE            UP BY 1.
210200*
210300     MOVE MMSM-DUP-AUTHS-DAY-AMT-BIN
210400                                 TO MS09-DUP-AUTHS-AMT-BIN.
210500*
210600 Y155-DUP-AUTH-AMT-BIN-SECURITY.
210700*
210800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
210900         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-BIN-LIT-A
211000                                    MS09-DUP-AUTHS-AMT-BIN-LP-A
211100                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
211200                                    MS09-DUP-AUTHS-AMT-BIN-A
211300         MOVE ZERO               TO MS09-DUP-AUTHS-AMT-BIN-L
211400         GO TO Y159-MDADAB-EXIT.
211500*
211600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
211700         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-BIN-LP-A
211800                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
211900         MOVE DFHBMASB           TO MS09-DUP-AUTHS-AMT-BIN-A
212000         GO TO Y159-MDADAB-EXIT.
212100*
212200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
212300         MOVE ZERO               TO MS09-DUP-AUTHS-AMT-BIN-L
212400         MOVE DFHBMDAS           TO MS09-DUP-AUTHS-AMT-BIN-LP-A
212500                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
212600         MOVE DFHBMASK           TO MS09-DUP-AUTHS-AMT-BIN-A
212700         GO TO Y159-MDADAB-EXIT.
212800*
212900     IF  MBCA-PTI-FUNCTION-IS-ADD
213000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
213100             MOVE DFHBMASB       TO MS09-DUP-AUTHS-AMT-BIN-LIT-A
213200         ELSE
213300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
213400                 MOVE ZERO       TO MS09-DUP-AUTHS-AMT-BIN-L
213500                 MOVE DFHBMDAS   TO MS09-DUP-AUTHS-AMT-BIN-LP-A
213600                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
213700                 MOVE DFHBMASK   TO MS09-DUP-AUTHS-AMT-BIN-A.
213800*
213900     IF  MBCA-PTI-FUNCTION-IS-MAINT
214000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
214100             MOVE ZERO           TO MS09-DUP-AUTHS-AMT-BIN-L
214200             MOVE DFHBMDAS       TO MS09-DUP-AUTHS-AMT-BIN-LP-A
214300                                    MS09-DUP-AUTHS-AMT-BIN-RP-A
214400             MOVE DFHBMASK       TO MS09-DUP-AUTHS-AMT-BIN-A.
214500*
214600 Y159-MDADAB-EXIT.
214700     EXIT.
214800*
214900 Y170-MOVE-AUTH-BELOW-PL.
215000*
215100     SET X-MMFS-STORE            UP BY 1.
215200*
215300     MOVE MMSM-AUTHS-BELOW-FLOOR-PL
215400                                 TO MS09-PRIVATE-LABEL-LIMIT.
215500*
215600 Y175-AUTH-BELOW-PL-SECURITY.
215700*
215800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
215900         MOVE DFHBMDAS           TO MS09-PRIVATE-LABEL-LIT-A
216000                                    MS09-PRIVATE-LABEL-LIMIT-LP-A
216100                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
216200                                    MS09-PRIVATE-LABEL-LIMIT-A
216300         MOVE ZERO               TO MS09-PRIVATE-LABEL-LIMIT-L
216400         GO TO Y179-MABP-EXIT.
216500*
216600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
216700         MOVE DFHBMDAS           TO MS09-PRIVATE-LABEL-LIMIT-LP-A
216800                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
216900         MOVE DFHBMASB           TO MS09-PRIVATE-LABEL-LIMIT-A
217000         GO TO Y179-MABP-EXIT.
217100*
217200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
217300         MOVE ZERO               TO MS09-PRIVATE-LABEL-LIMIT-L
217400         MOVE DFHBMDAS           TO MS09-PRIVATE-LABEL-LIMIT-LP-A
217500                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
217600         MOVE DFHBMASK           TO MS09-PRIVATE-LABEL-LIMIT-A
217700         GO TO Y179-MABP-EXIT.
217800*
217900     IF  MBCA-PTI-FUNCTION-IS-ADD
218000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
218100             MOVE DFHBMASB       TO MS09-PRIVATE-LABEL-LIT-A
218200         ELSE
218300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
218400                 MOVE ZERO       TO MS09-PRIVATE-LABEL-LIMIT-L
218500                 MOVE DFHBMDAS   TO MS09-PRIVATE-LABEL-LIMIT-LP-A
218600                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
218700                 MOVE DFHBMASK   TO MS09-PRIVATE-LABEL-LIMIT-A.
218800*
218900     IF  MBCA-PTI-FUNCTION-IS-MAINT
219000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
219100             MOVE ZERO           TO MS09-PRIVATE-LABEL-LIMIT-L
219200             MOVE DFHBMDAS       TO MS09-PRIVATE-LABEL-LIMIT-LP-A
219300                                    MS09-PRIVATE-LABEL-LIMIT-RP-A
219400             MOVE DFHBMASK       TO MS09-PRIVATE-LABEL-LIMIT-A.
219500*
219600 Y179-MABP-EXIT.
219700     EXIT.
219800*
219900 Y190-MOVE-AUTH-BELOW-MC.
220000*
220100     SET X-MMFS-STORE            UP BY 1.
220200*
220300     MOVE MMSM-AUTHS-BELOW-FLOOR-MC
220400                                 TO MS09-EURO-MASTER-LIMIT.
220500*
220600 Y195-AUTH-BELOW-MC-SECURITY.
220700*
220800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
220900         MOVE DFHBMDAS           TO MS09-EUROCARD-MASTERCARD-LIT-A
221000                                    MS09-EURO-MASTER-LIMIT-LP-A
221100                                    MS09-EURO-MASTER-LIMIT-RP-A
221200                                    MS09-EURO-MASTER-LIMIT-A
221300         MOVE ZERO               TO MS09-EURO-MASTER-LIMIT-L
221400         GO TO Y199-MABM-EXIT.
221500*
221600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
221700         MOVE DFHBMDAS           TO MS09-EURO-MASTER-LIMIT-LP-A
221800                                    MS09-EURO-MASTER-LIMIT-RP-A
221900         MOVE DFHBMASB           TO MS09-EURO-MASTER-LIMIT-A
222000         GO TO Y199-MABM-EXIT.
222100*
222200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
222300         MOVE ZERO               TO MS09-EURO-MASTER-LIMIT-L
222400         MOVE DFHBMDAS           TO MS09-EURO-MASTER-LIMIT-LP-A
222500                                    MS09-EURO-MASTER-LIMIT-RP-A
222600         MOVE DFHBMASK           TO MS09-EURO-MASTER-LIMIT-A
222700         GO TO Y199-MABM-EXIT.
222800*
222900     IF  MBCA-PTI-FUNCTION-IS-ADD
223000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
223100             MOVE DFHBMASB       TO MS09-EUROCARD-MASTERCARD-LIT-A
223200         ELSE
223300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
223400                 MOVE ZERO       TO MS09-EURO-MASTER-LIMIT-L
223500                 MOVE DFHBMDAS   TO MS09-EURO-MASTER-LIMIT-LP-A
223600                                    MS09-EURO-MASTER-LIMIT-RP-A
223700                 MOVE DFHBMASK   TO MS09-EURO-MASTER-LIMIT-A.
223800*
223900     IF  MBCA-PTI-FUNCTION-IS-MAINT
224000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
224100             MOVE ZERO           TO MS09-EURO-MASTER-LIMIT-L
224200             MOVE DFHBMDAS       TO MS09-EURO-MASTER-LIMIT-LP-A
224300                                    MS09-EURO-MASTER-LIMIT-RP-A
224400             MOVE DFHBMASK       TO MS09-EURO-MASTER-LIMIT-A.
224500*
224600 Y199-MABM-EXIT.
224700     EXIT.
224800*
224900 Y210-MOVE-AUTH-BELOW-VI.
225000*
225100     SET X-MMFS-STORE            UP BY 1.
225200*
225300     MOVE MMSM-AUTHS-BELOW-FLOOR-VI
225400                                 TO MS09-VISA-LIMIT.
225500*
225600 Y215-AUTH-BELOW-VI-SECURITY.
225700*
225800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
225900         MOVE DFHBMDAS           TO MS09-VISA-LIT-A
226000                                    MS09-VISA-LIMIT-LP-A
226100                                    MS09-VISA-LIMIT-RP-A
226200                                    MS09-VISA-LIMIT-A
226300         MOVE ZERO               TO MS09-VISA-LIMIT-L
226400         GO TO Y219-MABV-EXIT.
226500*
226600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
226700         MOVE DFHBMDAS           TO MS09-VISA-LIMIT-LP-A
226800                                    MS09-VISA-LIMIT-RP-A
226900         MOVE DFHBMASB           TO MS09-VISA-LIMIT-A
227000         GO TO Y219-MABV-EXIT.
227100*
227200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
227300         MOVE ZERO               TO MS09-VISA-LIMIT-L
227400         MOVE DFHBMDAS           TO MS09-VISA-LIMIT-LP-A
227500                                    MS09-VISA-LIMIT-RP-A
227600         MOVE DFHBMASK           TO MS09-VISA-LIMIT-A
227700         GO TO Y219-MABV-EXIT.
227800*
227900     IF  MBCA-PTI-FUNCTION-IS-ADD
228000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
228100             MOVE DFHBMASB       TO MS09-VISA-LIT-A
228200         ELSE
228300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
228400                 MOVE ZERO       TO MS09-VISA-LIMIT-L
228500                 MOVE DFHBMDAS   TO MS09-VISA-LIMIT-LP-A
228600                                    MS09-VISA-LIMIT-RP-A
228700                 MOVE DFHBMASK   TO MS09-VISA-LIMIT-A.
228800*
228900     IF  MBCA-PTI-FUNCTION-IS-MAINT
229000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
229100             MOVE ZERO           TO MS09-VISA-LIMIT-L
229200             MOVE DFHBMDAS       TO MS09-VISA-LIMIT-LP-A
229300                                    MS09-VISA-LIMIT-RP-A
229400             MOVE DFHBMASK       TO MS09-VISA-LIMIT-A.
229500*
229600 Y219-MABV-EXIT.
229700     EXIT.
229800*
229900 Y800-SET-CURSOR.
230000*
230100************************************************************
230200*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
230300*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
230400*    OPEN FOR INPUT                                        *
230500************************************************************
230600*
230700     MOVE MMSMTB-DUP-SALES-DAY-NBR (1:4)
230800                                 TO WS-INDEX-X.
230900     SET X-MMFS-STORE            TO WS-INDEX.
231000*
231100 Y801-SC-LOOP.
231200*
231300     IF  MBCA-PTI-FUNCTION-IS-ADD
231400         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
231500         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
231600             GO TO Y802-SC-DETERMINE-FIELD.
231700*
231800     IF  MBCA-PTI-FUNCTION-IS-MAINT
231900         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
232000             GO TO Y802-SC-DETERMINE-FIELD.
232100*
232200     MOVE MMSMTB-VI-SVC-DVLP-IND (1:4)
232300                                 TO WS-INDEX-X.
232400*
232500     IF  X-MMFS-STORE IS LESS THAN WS-INDEX
232600         SET X-MMFS-STORE        UP BY 1
232700         GO TO Y801-SC-LOOP.
232800*
232900 Y802-SC-DETERMINE-FIELD.
233000*
233100     MOVE MMSMTB-VI-SVC-DVLP-IND (1:4)
233200                                 TO WS-INDEX-X.
233300*
233400     IF  X-MMFS-STORE IS EQUAL TO WS-INDEX
233500         MOVE SS08WS-CURSOR      TO MS09-ALT-TRANID-L
233600         GO TO Y809-SC-EXIT.
233700
233800     SET WS-FIELD-POSITION       TO X-MMFS-STORE.
233900     MOVE MMSMTB-MC-ASSIGNED-ID (1:4)
234000                                 TO WS-INDEX-X.
234100     SUBTRACT WS-INDEX           FROM WS-FIELD-POSITION.
234200
234300     GO TO   Y803-DUP-SALES-DAY-NBR-C-H
234400             Y803-DUP-AUTHS-DAY-NBR-C-H
234500             Y803-DUP-SALES-DAY-AMT-C-H
234600             Y803-DUP-AUTHS-DAY-AMT-C-H
234700             Y803-DUP-SALES-DAY-NBR-BIN
234800             Y803-DUP-AUTHS-DAY-NBR-BIN
234900             Y803-DUP-SALES-DAY-AMT-BIN
235000             Y803-DUP-AUTHS-DAY-AMT-BIN
235100             Y803-AUTHS-BELOW-FLOOR-PL
235200             Y803-AUTHS-BELOW-FLOOR-MC
235300             Y803-AUTHS-BELOW-FLOOR-VI
235400         DEPENDING ON WS-FIELD-POSITION.
235500*
235600 Y803-DUP-SALES-DAY-NBR-C-H.
235700*
235800     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-DAY-CH-L.
235900     GO TO Y809-SC-EXIT.
236000*
236100 Y803-DUP-AUTHS-DAY-NBR-C-H.
236200*
236300     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-DAY-CH-L.
236400     GO TO Y809-SC-EXIT.
236500*
236600 Y803-DUP-SALES-DAY-AMT-C-H.
236700*
236800     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-AMT-CH-L.
236900     GO TO Y809-SC-EXIT.
237000*
237100 Y803-DUP-AUTHS-DAY-AMT-C-H.
237200*
237300     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-AMT-CH-L.
237400     GO TO Y809-SC-EXIT.
237500*
237600 Y803-DUP-SALES-DAY-NBR-BIN.
237700*
237800     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-DAY-BIN-L.
237900     GO TO Y809-SC-EXIT.
238000*
238100 Y803-DUP-AUTHS-DAY-NBR-BIN.
238200*
238300     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-DAY-BIN-L.
238400     GO TO Y809-SC-EXIT.
238500*
238600 Y803-DUP-SALES-DAY-AMT-BIN.
238700*
238800     MOVE SS08WS-CURSOR          TO MS09-DUP-SALES-AMT-BIN-L.
238900     GO TO Y809-SC-EXIT.
239000*
239100 Y803-DUP-AUTHS-DAY-AMT-BIN.
239200*
239300     MOVE SS08WS-CURSOR          TO MS09-DUP-AUTHS-DAY-CH-L
239400     GO TO Y809-SC-EXIT.
239500*
239600 Y803-AUTHS-BELOW-FLOOR-PL.
239700*
239800     MOVE SS08WS-CURSOR          TO MS09-PRIVATE-LABEL-LIMIT-L.
239900     GO TO Y809-SC-EXIT.
240000*
240100 Y803-AUTHS-BELOW-FLOOR-MC.
240200*
240300     MOVE SS08WS-CURSOR          TO MS09-EURO-MASTER-LIMIT-L.
240400     GO TO Y809-SC-EXIT.
240500*
240600 Y803-AUTHS-BELOW-FLOOR-VI.
240700*
240800     MOVE SS08WS-CURSOR          TO MS09-VISA-LIMIT-L.
240900     GO TO Y809-SC-EXIT.
241000*
241100 Y809-SC-EXIT.
241200     EXIT.
241300*
241400 Y900-READ-MMFS.
241500*
241600****************************************
241700*    READ THE FIELD SECURITY RECORD    *
241800*    TO OBTAIN THE SECURITY CODES      *
241900****************************************
242000*
242100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
242200     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
242300     SET MBIORO-READ-RANDOM      TO TRUE.
242400     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
242500*
242600     IF  NOT MMFS-REC-ACTIVE
242700         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
242800         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
242900         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
243000         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
243100         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
243200         SET MBCA-ERROR-MSGS-PROVIDED
243300                                 TO TRUE
243400         MOVE 'READ ERROR - MMFSAO'
243500                                 TO MBCA-ERRR-MSG1
243600         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
243700                                 TO MBCA-ERRR-MSG2
243800         GO TO MB70PD-ERROR-ROUTINE.
243900*
244000 Y909-READ-MMFS-EXIT.
244100     EXIT.
244200*
244300 Y910-WRITE-LOG-RECORD.
244400*
244500     SET MBIORO-WRITE            TO TRUE.
244600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
244700     MOVE SPACES                 TO MML1-VARIABLE-AREA.
244800*
244900 Y919-WLR-EXIT.
245000     EXIT.
245100/
245200 Z000-COPIED-ROUTINES SECTION.
245300*
245400**********************************
245500*    JUL TO GREG DATE ROUTINE    *
245600**********************************
245700*
245800     COPY SS08PD.
245900/
246000*********************************
246100*    LINE 24 PF KEYS ROUTINE    *
246200*********************************
246300*
246400     COPY SS15PD.
246500/
246600****************************************
246700*    NUMERICALLY EDIT DATE ROUTINE     *
246800****************************************
246900*
247000     COPY SS26PD.
247100*
247200/
247300****************************************
247400*    NUMERICALLY EDIT TIME ROUTINE     *
247500****************************************
247600*
247700     COPY SS27PD.
247800/
247900************************************
248000*    OBTAIN FILE TABLE ROUTINE     *
248100************************************
248200*
248300     COPY SMFTPXO.
248400/
248500************************************************
248600*    STORE MASTER RECORD ACCESS ROUTINES       *
248700************************************************
248800*
248900     COPY MMSMAO.
249000/
249100***********************************************
249200*    FIELD SECURITY RECORD ACCESS ROUTINES    *
249300***********************************************
249400*
249500     COPY MMFSAO.
249600/
249700*****************************************
249800*    LOG FILE RECORD ACCESS ROUTINES    *
249900*****************************************
250000*
250100     COPY MML1AO.
250200/
250300*****************************************
250400*    FORMAT THE MESSAGE LINE ROUTINES   *
250500*****************************************
250600*
250700     COPY MB06PD.
250800/
250900*****************************
251000*    ONLINE MAP ROUTINES    *
251100*****************************
251200*
251300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS09 '
251400                           MBMAPXXI  BY MBMS09I
251500                           MBMAPXXO  BY MBMS09O.
251600/
251700***************************
251800*    ONLINE PROCEDURES    *
251900***************************
252000*
252100     COPY MB70PD.
