000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMT00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMT00 - ON-LINE TRAN CODE TRANSLATION                  *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAT                                       *
001200*                 B. MBMT                                       *
001300*                 C. MBQT                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMT00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC   (ORG CONTROL FILE)                  *
001800*                 B. MMXT   (TRAN CODE TRANSLATION)             *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600/         I/O REQUEST BLOCK WORK AREAS
002700     COPY MBIOWS.
002800/         I/O REQUEST BLOCK
002900     COPY MBIORO.
003000/         TRAN CODE TRANSLATION INITIALIZE VALUES
003100     COPY MMXTIR.
003200/         DATE WORK AREAS
003300     COPY SS01WS.
003400/         ONLINE WORK AREAS
003500     COPY SS08WS.
003600/
003700     COPY SS00WS.
003800/
003900     COPY SMFTWS.
004000/
004100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004200/
004300     COPY MB61LK.
004400/         STANDARD ERROR MESSAGES
004500     COPY MBEMWS.
004600*
004700 01  WS-MISCELLANEOUS.
004800     03  WS-ORG-LOW          PIC S9(03)      VALUE +001 COMP-3.
004900     03  WS-ORG-HIGH         PIC S9(03)      VALUE +998 COMP-3.
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 LINKAGE SECTION.
005400 01  DFHCOMMAREA.
005500     COPY MB60WS.
005600/         TRAN CODE TRANSLATION SCREEN 00 MAP DSECT
005700     COPY MBMT00.
005800/         TRAN CODE TRANSLATION SCREEN 00 MAP REDEFINITION
005900     COPY MBMT00R.
006000/         ORG RECORD LAYOUT
006100     COPY MMOCRL.
006200/         TRAN CPDE TRANSLATION LAYOUT
006300     COPY MMXTRL.
006400/
006500 PROCEDURE DIVISION.
006600 0000-HOUSEKEEPING SECTION.
006700 0100-INIT.
006800*
006900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007100                                 THRU MB70PD-OLH-EXIT.
007200*
007300     IF  MBCA-RECEIVE-SCREEN
007400         GO TO 2000-RECEIVE-SCREEN.
007500*
007600 1000-SEND-SCREEN SECTION.
007700*
007800****************************************************************
007900*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008000****************************************************************
008100*
008200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008300     PERFORM MB60PD-GETMAIN-FOR-MAP
008400                                 THRU MB60PD-GFM-EXIT.
008500*
008600     MOVE 1                      TO MBCA-MBMT-INDEX.
008700*
008800*****************************************************************
008900*    CHECK KEY CODES                                            *
009000* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
009100* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009200* 3. IF MMXT KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
009300*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
009400*    ORG IN THE MAP.  IF AN ERROR OCCURS IN THE                 *
009500*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
009600*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
009700*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
009800*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG INTO MAP              *
009900*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
010000* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG         *
010100*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP          *
010200*    HANDLE IF THEY WERE NON-DIRECT.                            *
010300*****************************************************************
010400*
010500     IF  MBCA-PTI-FUNCTION-IS-ADD
010600     OR  MBCA-INITIAL-KEY-CODE
010700         GO TO 1100-BUILD-SCREEN.
010800*
010900     IF  MBCA-MMXT-KEY-CODE
011000     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011100         MOVE MBCA-MERCHANT-ORG  TO MT00-ORG
011200         MOVE DFHBMUNF           TO MT00-ORG-A
011300         IF  MBCA-DIRECT-TRANSFER-CODE
011400         AND MBCA-INITIAL-SCREEN-NBR
011500             MOVE 00             TO MBCA-SCREEN-NBR
011600             GO TO 2130-READ-ORG
011700         ELSE
011800             GO TO 1100-BUILD-SCREEN.
011900*
012000     IF  MBCA-VALID-KEY-CODES
012100     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
012200         MOVE MBCA-MERCHANT-ORG  TO MT00-ORG
012300         MOVE DFHBMUNF           TO MT00-ORG-A.
012400*
012500 1100-BUILD-SCREEN.
012600*
012700****************************************************************
012800*    INITIALIZE THE STANDARD MAP LINES                         *
012900****************************************************************
013000*
013100     MOVE SS08WS-CURSOR          TO MT00-ORG-L.
013200     MOVE 00                     TO MBCA-SCREEN-NBR.
013300     PERFORM MB60PD-INIT-STD-MAP-LINES
013400                                 THRU MB60PD-ISML-EXIT.
013500*
013600     IF  MBCA-MERCHANT-ORG IS NUMERIC
013700     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013800         IF  MBCA-PTI-FUNCTION-IS-ADD
013900             NEXT SENTENCE
014000         ELSE
014100             MOVE DFHBMUNF       TO MT00-ORG-A
014200             MOVE MBCA-MERCHANT-ORG
014300                                 TO MT00-ORG.
014400*
014500****************************************************************
014600*    SEND THE MAP                                              *
014700****************************************************************
014800*
014900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
015000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
015100                                 THRU MB60PD-SMWE-EXIT.
015200*
015300****************************************************************
015400*    RETURN TO CICS                                            *
015500****************************************************************
015600*
015700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
015800     PERFORM MB70PD-RETURN-TRANS-ID
015900                                 THRU MB70PD-RTI-EXIT.
016000/
016100 2000-RECEIVE-SCREEN SECTION.
016200*
016300****************************************************************
016400*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
016500****************************************************************
016600*
016700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
016800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
016900*
017000****************************************************************
017100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017200****************************************************************
017300*
017400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
017500     PERFORM MB60PD-NEW-TRANS-ROUTINE
017600                                 THRU MB60PD-NTR-EXIT.
017700*
017800 2100-EDIT-SCREEN.
017900*
018000     SET SS08WS-ERROR-SW-NO      TO TRUE.
018100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
018200*
018300     IF   MT00-ORG-L IS LESS THAN 1
018400     AND (SS08WS-VALID-PF-KEY
018500     OR   SS08WS-EIBAID-VALID-PF-KEY)
018600         SET MBCA-INITIAL-SCREEN-NBR
018700                                 TO TRUE
018800         GO TO 2690-TRANSFER-XCTL.
018900*
019000 2120-EDIT-ORG.
019100*
019200     MOVE DFHBMUNF               TO MT00-ORG-A.
019300     MOVE DFHBMASK               TO MT00-ORG-LP-A
019400                                    MT00-ORG-RP-A.
019500*
019600     IF  MT00-ORG-L IS EQUAL TO ZERO
019700     OR  MT00-ORG IS NOT NUMERIC
019800         MOVE MBEMWS-INVALID-ORG TO MT00-ERR-MESSAGE
019900         GO TO 2140-ORG-ERROR.
020000*
020100     IF  MT00-ORG IS LESS THAN MBCA-ORG-LOW
020200     OR  MT00-ORG IS GREATER THAN MBCA-ORG-HIGH
020300     OR  MT00-ORG IS LESS THAN WS-ORG-LOW
020400     OR  MT00-ORG IS GREATER THAN WS-ORG-HIGH
020500         MOVE MBEMWS-INVALID-ORG TO MT00-ERR-MESSAGE
020600         GO TO 2140-ORG-ERROR.
020700*
020800     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
020900         GO TO 2150-READ-MMXT.
021000*
021100 2130-READ-ORG.
021200*
021300****************************************************************
021400*    READ THE ORGANIZATION FILE RECORD                         *
021500****************************************************************
021600*
021700     MOVE MT00-ORG               TO MBIOWS-MMOC-ORG.
021800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
021900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
022000     SET MBIORO-READ-RANDOM      TO TRUE.
022100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
022200*
022300     IF  SS08WS-RC-FC-NOTFND
022400         MOVE MBEMWS-NOT-ON-FILE TO MT00-ERR-MESSAGE
022500     ELSE
022600         IF  MMOC-ADD-PENDING
022700             MOVE MBEMWS-ADD-PENDING
022800                                 TO MT00-ERR-MESSAGE
022900         ELSE
023000             IF  MMOC-REC-PURGED
023100                 MOVE MBEMWS-REC-PURGED
023200                                 TO MT00-ERR-MESSAGE
023300             ELSE
023400                 MOVE DFHBMUNF   TO MT00-ORG-A
023500                 MOVE MT00-ORG   TO MBCA-MERCHANT-ORG
023600                                    MBCA-ORG
023700                 GO TO 2150-READ-MMXT.
023800*
023900 2140-ORG-ERROR.
024000*
024100     SET SS08WS-ERROR-SW-YES     TO TRUE.
024200     MOVE DFHBMASB               TO MT00-ORG-LP-A
024300                                    MT00-ORG-RP-A.
024400     MOVE SS08WS-CURSOR          TO MT00-ORG-L.
024500     MOVE DFHBMNBF               TO MT00-ORG-A.
024600     GO TO 2290-CHECK-ERROR.
024700*
024800 2150-READ-MMXT.
024900*
025000****************************************************************
025100*    READ THE TRAN CODE TRANSLATION FILE                       *
025200****************************************************************
025300*
025400     MOVE MT00-ORG               TO MBIOWS-MMXT-ORG.
025500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
025600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
025700     SET MBIORO-READ-RANDOM      TO TRUE.
025800     PERFORM MMXTAO-ACCESS       THRU MMXTAO-ACCESS-EXIT.
025900*
026000     IF  MBCA-PTI-FUNCTION-IS-ADD
026100     AND SS08WS-RC-FC-NOTFND
026200         GO TO 2290-CHECK-ERROR.
026300*
026400     IF  MBCA-PTI-FUNCTION-IS-ADD
026500     AND MMXT-ADD-PENDING
026600         MOVE 50                 TO MBCA-SCREEN-NBR
026700         GO TO 2600-SETUP-COMMAREA.
026800*
026900     IF  MBCA-PTI-FUNCTION-IS-ADD
027000         MOVE MBEMWS-ALREADY-ON-FILE
027100                                 TO MT00-ERR-MESSAGE
027200         GO TO 2160-MMXT-ERROR.
027300*
027400     IF  SS08WS-RC-FC-NOTFND
027500         MOVE MBEMWS-NOT-ON-FILE TO MT00-ERR-MESSAGE
027600     ELSE
027700         IF  MMXT-ADD-PENDING
027800             MOVE MBEMWS-ADD-PENDING
027900                                 TO MT00-ERR-MESSAGE
028000         ELSE
028100             IF  MMXT-REC-PURGED
028200                 MOVE MBEMWS-REC-PURGED
028300                                 TO MT00-ERR-MESSAGE
028400             ELSE
028500                 MOVE DFHBMUNF   TO MT00-ORG-A
028600                 MOVE MT00-ORG   TO MBCA-MERCHANT-ORG
028700                                    MBCA-ORG
028800                 GO TO 2290-CHECK-ERROR.
028900*
029000 2160-MMXT-ERROR.
029100*
029200     SET SS08WS-ERROR-SW-YES     TO TRUE.
029300     MOVE DFHBMASB               TO MT00-ORG-LP-A
029400                                    MT00-ORG-RP-A.
029500     MOVE SS08WS-CURSOR          TO MT00-ORG-L.
029600     MOVE DFHBMNBF               TO MT00-ORG-A.
029700     GO TO 2290-CHECK-ERROR.
029800*
029900*
030000 2290-CHECK-ERROR.
030100*
030200     IF  SS08WS-ERROR-SW-NO
030300         IF  MBCA-PTI-FUNCTION-IS-INQUIRY
030400             GO TO 2600-SETUP-COMMAREA
030500         ELSE
030600             GO TO 2400-UPDATE-FILE
030700     ELSE
030800         IF  SS08WS-VALID-PF-KEY
030900         OR  SS08WS-EIBAID-VALID-PF-KEY
031000             SET MBCA-INITIAL-SCREEN-NBR
031100                                 TO TRUE
031200             GO TO 2690-TRANSFER-XCTL.
031300*
031400 2300-SEND-MAP.
031500*
031600****************************************************************
031700*    SEND THE MAP                                              *
031800****************************************************************
031900*
032000     PERFORM MB60PD-INIT-STD-MAP-LINES
032100                                 THRU MB60PD-ISML-EXIT.
032200*
032300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
032400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
032500                                 THRU MB60PD-SMWE-EXIT.
032600*
032700****************************************************************
032800*    RETURN TO CICS                                            *
032900****************************************************************
033000*
033100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
033200     PERFORM MB70PD-RETURN-TRANS-ID
033300                                 THRU MB70PD-RTI-EXIT.
033400/
033500 2400-UPDATE-FILE.
033600*
033700****************************************************************
033800*    WRITE THE NEW TRAN CODE TRANSLATION RECORD FROM THE       *
033900*    INITIALIZED RECORD.                                       *
034000****************************************************************
034100*
034200     IF  MBCA-PTI-FUNCTION-IS-ADD
034300         PERFORM 9200-ADD-MMXT   THRU 9299-AMMXT-EXIT.
034400*
034500 2600-SETUP-COMMAREA.
034600*
034700****************************************************************
034800*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
034900****************************************************************
035000*
035100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
035200*
035300     IF  MBCA-PTI-FUNCTION-IS-ADD
035400         MOVE MBIOWS-MMXT-KEY-CODE
035500                                 TO MBCA-KEY-CODE
035600     ELSE
035700         MOVE MBIOWS-MMXT-DIRECT-KEY-CODE
035800                                 TO MBCA-KEY-CODE.
035900*
036000     PERFORM MB60PD-EDIT-PAGE-NBR
036100                                 THRU MB60PD-EPN-EXIT.
036200*
036300     IF  SS08WS-VALID-PF-KEY
036400     OR  SS08WS-EIBAID-VALID-PF-KEY
036500         SET MBCA-INITIAL-SCREEN-NBR
036600                                 TO TRUE.
036700*
036800 2690-TRANSFER-XCTL.
036900*
037000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
037100     PERFORM MB70PD-XCTL-TO-MBOXCTL
037200                                 THRU MB70PD-XTM-EXIT.
037300/
037400 9000-PERFORMED-ROUTINES-SECT SECTION.
037500*
037600 9200-ADD-MMXT.
037700*
037800****************************************************************
037900*    INITIALIZE THE TRAN CODE TRANSLATION RECORD               *
038000****************************************************************
038100*
038200     MOVE MMXTIR-RECORD          TO MMXT-RECORD.
038300     MOVE MBCA-MERCHANT-ORG      TO MMXT-ORG.
038400     MOVE ZEROES                 TO MMXT-ONLINE-STATUS.
038500     MOVE MBCA-START-DATE        TO MMXT-LAST-MAINT-DATE.
038600     MOVE MBCA-OPERATOR-ID       TO MMXT-LAST-MAINT-OPER.
038700*
038800****************************************************************
038900*    WRITE THE NEW INITIALIZED TRAN CODE TRANSLATION RECORD    *
039000****************************************************************
039100*
039200     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
039300     SET MBIORO-WRITE            TO TRUE.
039400     PERFORM MMXTAO-ACCESS       THRU MMXTAO-ACCESS-EXIT.
039500*
039600 9299-AMMXT-EXIT.
039700     EXIT.
039800/         GREGORIAN TO JULIAN DATE ROUTINE
039900     COPY SS07PD.
040000/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
040100     COPY SS26PD.
040200/         ROUTINE TO NUMERICALLY EDIT TIME
040300     COPY SS27PD.
040400/         JULIAN TO GREGORIAN DATE ROUTINE
040500     COPY SS08PD.
040600/         LINE 24 PF KEYS ROUTINE
040700     COPY SS15PD.
040800/         ORG FILE RECORD ACCESS ROUTINES
040900     COPY MMOCAO.
041000/         TRAN CODE TRANSLATION ACCESS ROUTINES
041100     COPY MMXTAO.
041200/         ON-LINE MAP ROUTINES
041300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMT00 '
041400                           MBMAPXXI BY MBMT00I
041500                           MBMAPXXO BY MBMT00O.
041600/         ON-LINE PROCEDURES
041700     COPY MB70PD.
041800/
041900     COPY SMFTPXO.
