000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMU02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMU02 - FRUAD RECORD ADD/MAINT/INQ                     *
000800*                SCREEN 02 AND 03                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAU                                       *
001200*                 B. MBMU                                       *
001300*                 C. MBQU                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMU02 (SCREEN 02 AND 03)                  *
001600*              3. FILES USED -                                  *
001700*                 A. MMFP (FRAUD PARAMETERS FILE)               *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-HOLD-FRAUD-NUMBER
003500                             PIC  9(03)      VALUE ZEROES.
003600         88  WS-HOLD-FRAUD-NUMBER-30         VALUE 30.
003700         88  WS-HOLD-FRAUD-NUMBER-60         VALUE 60.
003800*
003900 01  FILLER                  PIC  X(17)      VALUE
004000     'PROGRAM SWITCHES:'.
004100*
004200 01  WS-PROGRAM-SWITCHES.
004300     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004400         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004500         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004600/
004700 01  FILLER                  PIC  X(29)      VALUE
004800     'I/O REQUEST BLOCK WORK AREAS:'.
004900*
005000     COPY MBIOWS.
005100/
005200 01  FILLER                  PIC  X(18)      VALUE
005300     'I/O REQUEST BLOCK:'.
005400*
005500     COPY MBIORO.
005600/
005700 01  FILLER                  PIC  X(25)      VALUE
005800     'LOG RECORD REQUEST BLOCK:'.
005900*
006000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006100/
006200 01  FILLER                  PIC  X(38)      VALUE
006300     'FRAUD REPORTING PARAMETERS WORK AREAS:'.
006400*
006500     COPY MMFPWS.
006600/
006700 01  FILLER                  PIC  X(16)      VALUE
006800     'DATE WORK AREAS:'.
006900*
007000     COPY SS01WS.
007100/
007200 01  FILLER                  PIC  X(11)      VALUE
007300     'WORK AREAS:'.
007400*
007500     COPY SS08WS.
007600/
007700     COPY SS00WS.
007800/
007900     COPY SMFTWS.
008000/
008100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008200/
008300     COPY MB61LK.
008400*
008500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008600/
008700 LINKAGE SECTION.
008800*
008900 01  DFHCOMMAREA.
009000*
009100     COPY MB60WS.
009200/
009300*****************************
009400*    FRAUD PARAMETERS MAP   *
009500*****************************
009600*
009700     COPY MBMU02.
009800/
009900******************************************
010000*    FRAUD PARAMETERS MAP REDEFINITION   *
010100******************************************
010200*
010300     COPY MBMU02R.
010400/
010500****************************************
010600*    FRAUD PARAMETERS RECORD LAYOUT    *
010700****************************************
010800*
010900     COPY MMFPRL.
011000/
011100***************************
011200*    LOG RECORD LAYOUT    *
011300***************************
011400*
011500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011600/
011700 PROCEDURE DIVISION.
011800*
011900 A000-HOUSEKEEPING SECTION.
012000*
012100 A020-INIT.
012200*
012300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012500                                 THRU MB70PD-OLH-EXIT.
012600*
012700     IF  MBCA-RECEIVE-SCREEN
012800         GO TO C000-RECEIVE-SCREEN
012900     END-IF.
013000/
013100 B000-SEND-SCREEN SECTION.
013200*
013300*********************************************
013400*    GET CICS STORAGE NEEDED FOR THE MAP    *
013500*********************************************
013600*
013700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB60PD-GETMAIN-FOR-MAP
013900                                 THRU MB60PD-GFM-EXIT.
014000*
014100*******************************************
014200*    INITIALIZE THE STANDARD MAP LINES    *
014300*******************************************
014400*
014500     PERFORM MB60PD-INIT-STD-MAP-LINES
014600                                 THRU MB60PD-ISML-EXIT.
014700*
014800*****************************************
014900*    READ THE FRAUD PARAMETERS RECORD   *
015000*    FOR SUBSEQUENT DISPLAY             *
015100*****************************************
015200*
015300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015400     PERFORM Y900-READ-MMFP      THRU Y909-READ-MMFP-EXIT.
015500*
015600 B020-MOVE-FIELDS-TO-SCREEN.
015700*
015800     MOVE MMFP-FRAUD-TABLE-DESC  TO MU02-TABLE-NBR-DESC.
015900*
016000*****************************************
016100*    MOVE THE FRAUD PARAMETERS FIELDS   *
016200*    FROM THE RECORD TO THE SCREEN      *
016300*****************************************
016400*
016500     EVALUATE TRUE
016600         WHEN MBCA-SCREEN-NBR IS EQUAL TO 52
016700             SET X-MMFP-FRAUD    TO +1
016800             SET WS-HOLD-FRAUD-NUMBER-30
016900                                 TO TRUE
017000         WHEN MBCA-SCREEN-NBR IS EQUAL TO 53
017100             SET X-MMFP-FRAUD    TO +31
017200             SET WS-HOLD-FRAUD-NUMBER-60
017300                                 TO TRUE
017400         WHEN OTHER
017500             SET X-MMFP-FRAUD    TO +1
017600             SET WS-HOLD-FRAUD-NUMBER-30
017700                                 TO TRUE
017800     END-EVALUATE.
017900*
018000     SET X-MU02-FRAUD-INDEX      TO +1
018100*
018200     PERFORM
018300         VARYING X-MMFP-FRAUD FROM X-MMFP-FRAUD BY +1
018400         UNTIL   X-MMFP-FRAUD IS GREATER THAN WS-HOLD-FRAUD-NUMBER
018500             PERFORM Y010-MOVE-INDICATOR
018600                                 THRU Y019-MI-EXIT
018700             PERFORM Y020-MOVE-VARIANCE-OVER
018800                                 THRU Y029-MVO-EXIT
018900             PERFORM Y030-MOVE-VARIANCE-UNDER
019000                                 THRU Y039-MVU-EXIT
019100             SET X-MU02-FRAUD-INDEX
019200                                 UP BY +1
019300     END-PERFORM.
019400*
019500******************************************
019600*    SET THE CURSOR AND SCREEN NUMBER    *
019700******************************************
019800*
019900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
020000         MOVE SS08WS-CURSOR      TO MU02-ALT-TRANID-L
020100     ELSE
020200         MOVE SS08WS-CURSOR      TO MU02-OVER-L (1)
020300     END-IF.
020400*
020500     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
020600*
020700**********************
020800*    SEND THE MAP    *
020900**********************
021000*
021100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
021200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
021300                                 THRU MB60PD-SMWE-EXIT.
021400*
021500************************
021600*    RETURN TO CICS    *
021700************************
021800*
021900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
022000     PERFORM MB70PD-RETURN-TRANS-ID
022100                                 THRU MB70PD-RTI-EXIT.
022200/
022300 C000-RECEIVE-SCREEN SECTION.
022400*
022500******************************************
022600*    THIS SECTION RECEIVES THE SCREEN    *
022700******************************************
022800*
022900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
023000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
023100*
023200**************************************************************
023300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
023400**************************************************************
023500*
023600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
023700     PERFORM MB60PD-NEW-TRANS-ROUTINE
023800                                 THRU MB60PD-NTR-EXIT.
023900*
024000****************************************************
024100*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
024200****************************************************
024300*
024400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
024500         GO TO F000-SETUP-COMMAREA
024600     END-IF.
024700*
024800*****************************************
024900*    READ THE FRAUD PARAMETERS RECORD   *
025000*****************************************
025100*
025200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
025300     PERFORM Y900-READ-MMFP      THRU Y909-READ-MMFP-EXIT.
025400*
025500     EVALUATE TRUE
025600         WHEN MBCA-SCREEN-NBR IS EQUAL TO 02
025700             SET X-MMFP-FRAUD    TO +1
025800             SET WS-HOLD-FRAUD-NUMBER-30
025900                                 TO TRUE
026000         WHEN MBCA-SCREEN-NBR IS EQUAL TO 03
026100             SET X-MMFP-FRAUD    TO +31
026200             SET WS-HOLD-FRAUD-NUMBER-60
026300                                 TO TRUE
026400         WHEN OTHER
026500             SET X-MMFP-FRAUD    TO +1
026600             SET WS-HOLD-FRAUD-NUMBER-30
026700                                 TO TRUE
026800     END-EVALUATE.
026900*
027000     SET X-MU02-FRAUD-INDEX      TO +1.
027100*
027200 C020-FIELD-EDITS.
027300*
027400*********************
027500*    FIELD EDITS    *
027600*********************
027700*
027800     PERFORM
027900         VARYING X-MMFP-FRAUD FROM X-MMFP-FRAUD BY +1
028000         UNTIL   X-MMFP-FRAUD IS GREATER THAN WS-HOLD-FRAUD-NUMBER
028100             PERFORM W020-EDIT-VARIANCE-OVER
028200                                 THRU W029-EVO-EXIT
028300             PERFORM W030-EDIT-VARIANCE-UNDER
028400                                 THRU W039-EVU-EXIT
028500             SET X-MU02-FRAUD-INDEX
028600                                 UP BY +1
028700     END-PERFORM.
028800/
028900 D000-RETURN-ERRORS SECTION.
029000*
029100     IF  SS08WS-ERROR-SW-NO
029200         GO TO E000-UPDATE-FILE
029300     END-IF.
029400*
029500***************************************************************
029600*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
029700*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
029800*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
029900***************************************************************
030000*
030100     PERFORM MB60PD-INIT-STD-MAP-LINES
030200                                 THRU MB60PD-ISML-EXIT.
030300*
030400**********************
030500*    SEND THE MAP    *
030600**********************
030700*
030800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
030900     PERFORM MB60PD-SEND-MAP-DATA-ONLY
031000                                 THRU MB60PD-SMDO-EXIT.
031100*
031200************************
031300*    RETURN TO CICS    *
031400************************
031500*
031600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
031700     PERFORM MB70PD-RETURN-TRANS-ID
031800                                 THRU MB70PD-RTI-EXIT.
031900/
032000 E000-UPDATE-FILE SECTION.
032100*
032200****************************************************
032300*    READ THE FRAUD PARAMETERS RECORD FOR UPDATE   *
032400****************************************************
032500*
032600     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
032700     SET MBIORO-READ-RANDOM-UPDATE
032800                                 TO TRUE.
032900     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
033000*
033100*************************************
033200*    OBTAIN STORAGE FOR LOG FILE    *
033300*************************************
033400*
033500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
033600     SET MBIORO-GETMAIN          TO TRUE.
033700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
033800*
033900*************************************************
034000*    SET UP THE COMMON PORTION OF THE RECORD    *
034100*************************************************
034200*
034300     MOVE 'FP'                   TO MML1-FILE-CODE.
034400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMFP-ORG.
034500     MOVE MBCA-TABLE             TO MML1-MMFP-TABLE-NBR.
034600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
034700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
034800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
034900*
035000 E020-UPDATE-FIELDS.
035100*
035200     EVALUATE TRUE
035300         WHEN MBCA-SCREEN-NBR IS EQUAL TO 02
035400             SET X-MMFP-FRAUD    TO +1
035500             SET WS-HOLD-FRAUD-NUMBER-30
035600                                 TO TRUE
035700         WHEN MBCA-SCREEN-NBR IS EQUAL TO 03
035800             SET X-MMFP-FRAUD    TO +31
035900             SET WS-HOLD-FRAUD-NUMBER-60
036000                                 TO TRUE
036100         WHEN OTHER
036200             SET X-MMFP-FRAUD    TO +1
036300             SET WS-HOLD-FRAUD-NUMBER-30
036400                                 TO TRUE
036500     END-EVALUATE.
036600*
036700     SET X-MU02-FRAUD-INDEX      TO +1
036800*
036900     PERFORM
037000         VARYING X-MMFP-FRAUD FROM X-MMFP-FRAUD BY +1
037100         UNTIL   X-MMFP-FRAUD IS GREATER THAN WS-HOLD-FRAUD-NUMBER
037200             PERFORM X020-UPDATE-VARIANCE-OVER
037300                                 THRU X029-UVO-EXIT
037400             PERFORM X030-UPDATE-VARIANCE-UNDER
037500                                 THRU X039-UVU-EXIT
037600             SET X-MU02-FRAUD-INDEX
037700                                 UP BY +1
037800     END-PERFORM.
037900*
038000 E040-UPDATE-MMFP.
038100*
038200     IF  MBCA-PTI-FUNCTION-IS-ADD
038300     AND MBCA-SCREEN-NBR IS EQUAL TO 03
038400         MOVE MBCA-START-DATE    TO MMFP-LAST-MAINT-DATE
038500         MOVE MBCA-OPERATOR-ID   TO MMFP-LAST-MAINT-OPER
038600         SET WS-UPDATE-SW-YES    TO TRUE
038700         SET MMFP-REC-ACTIVE     TO TRUE
038800         SET MMFP-ADD-COMPLETED  TO TRUE
038900         MOVE ZEROES             TO MML1-FIELD-CODE
039000                                    MML1-FIELD-OCCURRENCE
039100                                    MML1-FIELD-OCCURRENCE-2
039200         MOVE LENGTH OF MMFP-RECORD
039300                                 TO MML1-VARIABLE-LENGTH
039400         MOVE MMFP-RECORD        TO MML1-ADD-AREA
039500         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
039600         PERFORM Y920-WRITE-LOG-RECORD
039700                                 THRU Y929-WLR-EXIT
039800     END-IF.
039900*
040000**************************************************************
040100*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
040200*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
040300*    ON THE SCREEN                                           *
040400**************************************************************
040500*
040600     IF  MBCA-PTI-FUNCTION-IS-MAINT
040700     AND WS-UPDATE-SW-YES
040800         MOVE 0198               TO MML1-FIELD-CODE
040900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
041000                                    MML1-FIELD-OCCURRENCE-2
041100         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
041200         MOVE MMFP-LAST-MAINT-OPER
041300                                 TO MML1-VL03-B-DATA-X
041400         MOVE MBCA-OPERATOR-ID   TO MMFP-LAST-MAINT-OPER
041500         MOVE MMFP-LAST-MAINT-OPER
041600                                 TO MML1-VL03-A-DATA-X
041700         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
041800         PERFORM Y920-WRITE-LOG-RECORD
041900                                 THRU Y929-WLR-EXIT
042000         MOVE 0199               TO MML1-FIELD-CODE
042100         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
042200         MOVE MMFP-LAST-MAINT-DATE
042300                                 TO MML1-VL07-B-DATA-9
042400         MOVE MBCA-START-DATE    TO MMFP-LAST-MAINT-DATE
042500         MOVE MMFP-LAST-MAINT-DATE
042600                                 TO MML1-VL07-A-DATA-9
042700         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
042800         PERFORM Y920-WRITE-LOG-RECORD
042900                                 THRU Y929-WLR-EXIT
043000     END-IF.
043100*
043200****************************************************
043300*    REWRITE THE FRAUD PARAMETERS RECORD IF        *
043400*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
043500*    UNLOCK IT IF THEY HAVE NOT                    *
043600****************************************************
043700*
043800     IF  WS-UPDATE-SW-YES
043900         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
044000         SET MBIORO-REWRITE      TO TRUE
044100         PERFORM MMFPAO-ACCESS   THRU MMFPAO-ACCESS-EXIT
044200     ELSE
044300         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
044400         SET MBIORO-UNLOCK       TO TRUE
044500         PERFORM MMFPAO-ACCESS   THRU MMFPAO-ACCESS-EXIT
044600     END-IF.
044700/
044800 F000-SETUP-COMMAREA SECTION.
044900*
045000***************************************************************
045100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
045200***************************************************************
045300*
045400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
045500*
045600     PERFORM MB60PD-EDIT-PAGE-NBR
045700                                 THRU MB60PD-EPN-EXIT.
045800*
045900     IF  SS08WS-VALID-PF-KEY
046000     OR  SS08WS-EIBAID-VALID-PF-KEY
046100         SET MBCA-INITIAL-SCREEN-NBR
046200                                 TO TRUE
046300     END-IF.
046400*
046500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
046600     PERFORM MB70PD-XCTL-TO-MBOXCTL
046700                                 THRU MB70PD-XTM-EXIT.
046800/
046900 W000-FIELD-EDITS SECTION.
047000*
047100*********************************************************
047200*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
047300*    IN A LIKE MANNER.                                  *
047400*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY        *
047500*    ARE UNIQUE TO THAT ROUTINE.                        *
047600*********************************************************
047700*
047800 W020-EDIT-VARIANCE-OVER.
047900*
048000     PERFORM Y025-VARIANCE-OVER-CONTINUE
048100                                 THRU Y029-MVO-EXIT.
048200*
048300     IF  MU02-OVER-L (X-MU02-FRAUD-INDEX) IS LESS THAN 1
048400         MOVE DFHBMASK           TO MU02-OVER-A
048500                                    (X-MU02-FRAUD-INDEX)
048600         MOVE DFHBMDAS           TO MU02-OVER-LP-A
048700                                    (X-MU02-FRAUD-INDEX)
048800                                    MU02-OVER-RP-A
048900                                    (X-MU02-FRAUD-INDEX)
049000         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
049100                                 TO MU02-OVER
049200                                    (X-MU02-FRAUD-INDEX)
049300     ELSE
049400         IF  MU02-OVER (X-MU02-FRAUD-INDEX) IS NOT NUMERIC
049500             MOVE DFHBMNBF       TO MU02-OVER-A
049600                                    (X-MU02-FRAUD-INDEX)
049700             MOVE DFHBMASB       TO MU02-OVER-LP-A
049800                                    (X-MU02-FRAUD-INDEX)
049900                                    MU02-OVER-RP-A
050000                                    (X-MU02-FRAUD-INDEX)
050100             MOVE SS08WS-CURSOR  TO MU02-OVER-L
050200                                    (X-MU02-FRAUD-INDEX)
050300             SET SS08WS-ERROR-SW-YES
050400                                 TO TRUE
050500         ELSE
050600             MOVE DFHBMASF       TO MU02-OVER-A
050700                                    (X-MU02-FRAUD-INDEX)
050800             MOVE DFHBMDAS       TO MU02-OVER-LP-A
050900                                    (X-MU02-FRAUD-INDEX)
051000                                    MU02-OVER-RP-A
051100                                    (X-MU02-FRAUD-INDEX)
051200             SET WS-UPDATE-SW-YES
051300                                 TO TRUE
051400         END-IF
051500     END-IF.
051600*
051700 W029-EVO-EXIT.
051800     EXIT.
051900*
052000 W030-EDIT-VARIANCE-UNDER.
052100*
052200     PERFORM Y035-VARIANCE-UNDER-CONTINUE
052300                                 THRU Y039-MVU-EXIT.
052400*
052500     IF  MU02-UNDER-L (X-MU02-FRAUD-INDEX) IS LESS THAN 1
052600         MOVE DFHBMASK           TO MU02-UNDER-A
052700                                    (X-MU02-FRAUD-INDEX)
052800         MOVE DFHBMDAS           TO MU02-UNDER-LP-A
052900                                    (X-MU02-FRAUD-INDEX)
053000                                    MU02-UNDER-RP-A
053100                                    (X-MU02-FRAUD-INDEX)
053200         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
053300                                 TO MU02-UNDER
053400                                    (X-MU02-FRAUD-INDEX)
053500     ELSE
053600         IF  MU02-UNDER (X-MU02-FRAUD-INDEX) IS NOT NUMERIC
053700             MOVE DFHBMNBF       TO MU02-UNDER-A
053800                                    (X-MU02-FRAUD-INDEX)
053900             MOVE DFHBMASB       TO MU02-UNDER-LP-A
054000                                    (X-MU02-FRAUD-INDEX)
054100                                    MU02-UNDER-RP-A
054200                                    (X-MU02-FRAUD-INDEX)
054300             MOVE SS08WS-CURSOR  TO MU02-UNDER-L
054400                                    (X-MU02-FRAUD-INDEX)
054500             SET SS08WS-ERROR-SW-YES
054600                                 TO TRUE
054700         ELSE
054800             MOVE DFHBMASF       TO MU02-UNDER-A
054900                                    (X-MU02-FRAUD-INDEX)
055000             MOVE DFHBMDAS       TO MU02-UNDER-LP-A
055100                                    (X-MU02-FRAUD-INDEX)
055200                                    MU02-UNDER-RP-A
055300                                    (X-MU02-FRAUD-INDEX)
055400             SET WS-UPDATE-SW-YES
055500                                 TO TRUE
055600         END-IF
055700     END-IF.
055800*
055900 W039-EVU-EXIT.
056000     EXIT.
056100/
056200 X000-UPDATE-FIELDS SECTION.
056300*
056400 X020-UPDATE-VARIANCE-OVER.
056500*
056600     IF  MU02-OVER-L (X-MU02-FRAUD-INDEX) IS GREATER THAN ZERO
056700         IF  MU02-OVER (X-MU02-FRAUD-INDEX) IS NOT EQUAL
056800                                 TO MMFP-FRAUD-VARIANCE-OVER
056900                                    (X-MMFP-FRAUD)
057000             SET WS-UPDATE-SW-YES
057100                                 TO TRUE
057200             IF  MBCA-PTI-FUNCTION-IS-MAINT
057300                 MOVE 0201       TO MML1-FIELD-CODE
057400                 SET MML1-FIELD-OCCURRENCE
057500                                 TO X-MMFP-FRAUD
057600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
057700                 MOVE MML1WS-VL-20
057800                                 TO MML1-VARIABLE-LENGTH
057900                 MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
058000                                 TO MML1-VL20-B-NBR-V903
058100                 MOVE MU02-OVER (X-MU02-FRAUD-INDEX)
058200                                 TO MMFP-FRAUD-VARIANCE-OVER
058300                                    (X-MMFP-FRAUD)
058400                 MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
058500                                 TO MML1-VL20-A-NBR-V903
058600                 MOVE 'FC09'     TO MBCA-PROGRAM-LOCATION
058700                 PERFORM Y920-WRITE-LOG-RECORD
058800                                 THRU Y929-WLR-EXIT
058900             ELSE
059000                 MOVE MU02-OVER (X-MU02-FRAUD-INDEX)
059100                                 TO MMFP-FRAUD-VARIANCE-OVER
059200                                    (X-MMFP-FRAUD)
059300             END-IF
059400         END-IF
059500     END-IF.
059600*
059700 X029-UVO-EXIT.
059800     EXIT.
059900*
060000 X030-UPDATE-VARIANCE-UNDER.
060100*
060200     IF  MU02-UNDER-L (X-MU02-FRAUD-INDEX) IS GREATER THAN ZERO
060300         IF  MU02-UNDER (X-MU02-FRAUD-INDEX) IS NOT EQUAL
060400                                 TO MMFP-FRAUD-VARIANCE-UNDER
060500                                    (X-MMFP-FRAUD)
060600             SET WS-UPDATE-SW-YES
060700                                 TO TRUE
060800             IF  MBCA-PTI-FUNCTION-IS-MAINT
060900                 MOVE 0202       TO MML1-FIELD-CODE
061000                 SET MML1-FIELD-OCCURRENCE
061100                                 TO X-MMFP-FRAUD
061200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
061300                 MOVE MML1WS-VL-20
061400                                 TO MML1-VARIABLE-LENGTH
061500                 MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
061600                                 TO MML1-VL20-B-NBR-V903
061700                 MOVE MU02-UNDER (X-MU02-FRAUD-INDEX)
061800                                 TO MMFP-FRAUD-VARIANCE-UNDER
061900                                    (X-MMFP-FRAUD)
062000                 MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
062100                                 TO MML1-VL20-A-NBR-V903
062200                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
062300                 PERFORM Y920-WRITE-LOG-RECORD
062400                                 THRU Y929-WLR-EXIT
062500             ELSE
062600                 MOVE MU02-UNDER (X-MU02-FRAUD-INDEX)
062700                                 TO MMFP-FRAUD-VARIANCE-UNDER
062800                                    (X-MMFP-FRAUD)
062900             END-IF
063000         END-IF
063100     END-IF.
063200*
063300 X039-UVU-EXIT.
063400     EXIT.
063500/
063600 Y000-PERFORMED-ROUTINES SECTION.
063700*
063800 Y010-MOVE-INDICATOR.
063900*
064000     SET X-MMFPWS-FRAUD          TO X-MMFP-FRAUD.
064100     MOVE MMFPWS-FRAUD-DESC (X-MMFPWS-FRAUD)
064200                                 TO MU02-OVER-UNDER-IND-LIT
064300                                    (X-MU02-FRAUD-INDEX).
064400     MOVE DFHBMASK               TO MU02-OVER-UNDER-IND-LIT-A
064500                                    (X-MU02-FRAUD-INDEX).
064600*
064700 Y019-MI-EXIT.
064800     EXIT.
064900*
065000 Y020-MOVE-VARIANCE-OVER.
065100*
065200     MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
065300                                 TO MU02-OVER
065400                                    (X-MU02-FRAUD-INDEX).
065500*
065600 Y025-VARIANCE-OVER-CONTINUE.
065700*
065800     IF  MU02-OVER-UNDER-IND-LIT (X-MU02-FRAUD-INDEX) IS EQUAL
065900                                 TO '                    '
066000         MOVE DFHBMDAF           TO MU02-OVER-UNDER-IND-LIT-A
066100                                    (X-MU02-FRAUD-INDEX)
066200         MOVE DFHBMDAS           TO MU02-OVER-LP-A
066300                                    (X-MU02-FRAUD-INDEX)
066400                                    MU02-OVER-RP-A
066500                                    (X-MU02-FRAUD-INDEX)
066600                                    MU02-OVER-A
066700                                    (X-MU02-FRAUD-INDEX)
066800         GO TO Y029-MVO-EXIT
066900     END-IF.
067000*
067100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
067200         MOVE DFHBMDAS           TO MU02-OVER-LP-A
067300                                    (X-MU02-FRAUD-INDEX)
067400                                    MU02-OVER-RP-A
067500                                    (X-MU02-FRAUD-INDEX)
067600         MOVE DFHBMASB           TO MU02-OVER-A
067700                                    (X-MU02-FRAUD-INDEX)
067800     END-IF.
067900*
068000 Y029-MVO-EXIT.
068100     EXIT.
068200*
068300 Y030-MOVE-VARIANCE-UNDER.
068400*
068500     MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
068600                                 TO MU02-UNDER
068700                                    (X-MU02-FRAUD-INDEX).
068800*
068900 Y035-VARIANCE-UNDER-CONTINUE.
069000*
069100     IF  MU02-OVER-UNDER-IND-LIT (X-MU02-FRAUD-INDEX) IS EQUAL
069200                                 TO '                    '
069300         MOVE DFHBMDAF           TO MU02-OVER-UNDER-IND-LIT-A
069400                                    (X-MU02-FRAUD-INDEX)
069500         MOVE DFHBMDAS           TO MU02-UNDER-LP-A
069600                                    (X-MU02-FRAUD-INDEX)
069700                                    MU02-UNDER-RP-A
069800                                    (X-MU02-FRAUD-INDEX)
069900                                    MU02-UNDER-A
070000                                    (X-MU02-FRAUD-INDEX)
070100         GO TO Y039-MVU-EXIT
070200     END-IF.
070300*
070400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
070500         MOVE DFHBMDAS           TO MU02-UNDER-LP-A
070600                                    (X-MU02-FRAUD-INDEX)
070700                                    MU02-UNDER-RP-A
070800                                    (X-MU02-FRAUD-INDEX)
070900         MOVE DFHBMASB           TO MU02-UNDER-A
071000                                    (X-MU02-FRAUD-INDEX)
071100     END-IF.
071200*
071300 Y039-MVU-EXIT.
071400     EXIT.
071500*
071600 Y900-READ-MMFP.
071700*
071800*****************************************
071900*    READ THE FRAUD PARAMETERS RECORD   *
072000*****************************************
072100*
072200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFP-ORG
072300                                    MU02-ORG.
072400     MOVE MBCA-TABLE             TO MBIOWS-MMFP-TABLE-NBR
072500                                    MU02-TABLE-NBR.
072600     SET MBIORO-READ-RANDOM      TO TRUE.
072700     PERFORM MMFPAO-ACCESS       THRU MMFPAO-ACCESS-EXIT.
072800*
072900 Y909-READ-MMFP-EXIT.
073000     EXIT.
073100*
073200 Y920-WRITE-LOG-RECORD.
073300*
073400     SET MBIORO-WRITE            TO TRUE.
073500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
073600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
073700*
073800 Y929-WLR-EXIT.
073900     EXIT.
074000/
074100 Z000-COPIED-ROUTINES SECTION.
074200*
074300**********************************
074400*    JUL TO GREG DATE ROUTINE    *
074500**********************************
074600*
074700     COPY SS08PD.
074800/
074900*********************************
075000*    LINE 24 PF KEYS ROUTINE    *
075100*********************************
075200*
075300     COPY SS15PD.
075400/
075500***************************************
075600*    NUMERICALLY EDIT DATE ROUTINE    *
075700***************************************
075800*
075900     COPY SS26PD.
076000/
076100***************************************
076200*    NUMERICALLY EDIT TIME ROUTINE    *
076300***************************************
076400*
076500     COPY SS27PD.
076600/
076700***********************************
076800*    OBTAIN FILE TABLE ROUTINE    *
076900***********************************
077000*
077100     COPY SMFTPXO.
077200/
077300************************************************
077400*    FRAUD PARAMETERS RECORD ACCESS ROUTINES   *
077500************************************************
077600*
077700     COPY MMFPAO.
077800/
077900*****************************************
078000*    LOG FILE RECORD ACCESS ROUTINES    *
078100*****************************************
078200*
078300     COPY MML1AO.
078400/
078500*****************************
078600*    ONLINE MAP ROUTINES    *
078700*****************************
078800*
078900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMU02 '
079000                           MBMAPXXI  BY MBMU02I
079100                           MBMAPXXO  BY MBMU02O.
079200/
079300***************************
079400*    ONLINE PROCEDURES    *
079500***************************
079600*
079700     COPY MB70PD.
