000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMV00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMV00 - ON-LINE INVENTORY/ASSOCIATION ADD/MAINT/INQ    *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAV                                       *
001200*                 B. MBMV                                       *
001300*                 C. MBQV                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMV00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMOC (ORG CONTROL FILE)                    *
001800*                 B. MMMM (MERCHANT MASTER FILE)                *
001900*                 C. MMSM (STORE MASTER FILE)                   *
002000*                 D. MMIC (INVENTORY CONTROL MASTER FILE)       *
002100*                                                               *
002200*****************************************************************
002300*
002400 ENVIRONMENT DIVISION.
002500*
002600 DATA DIVISION.
002700*
002800 WORKING-STORAGE SECTION.
002900*
003000 01  FILLER                  PIC  X(12)      VALUE
003100     '** WS-BEG **'.
003200*
003300 01  FILLER                  PIC  X(14)      VALUE
003400     'MISCELLANEOUS:'.
003500*
003600 01  WS-MISCELLANEOUS.
003700     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003800                                             VALUE +001.
003900     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
004000                                             VALUE +998.
004100     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
004200         88  WS-COPY-SW-NO                   VALUE 'N'.
004300         88  WS-COPY-SW-YES                  VALUE 'Y'.
004400     03  WS-MMMM-MMSM-RTN-CODE
004500                             PIC  X(01)      VALUE SPACE.
004600         88  WS-MMMM-MMSM-VALID-RTN-CODE     VALUE SPACE.
004700/
004800 01  FILLER                  PIC  X(29)      VALUE
004900     'I/O REQUEST BLOCK WORK AREAS:'.
005000*
005100     COPY MBIOWS.
005200/
005300 01  FILLER                  PIC  X(18)      VALUE
005400     'I/O REQUEST BLOCK:'.
005500*
005600     COPY MBIORO.
005700/
005800 01  FILLER                  PIC  X(21)      VALUE
005900     'ERROR MESSAGES TABLE:'.
006000*
006100     COPY MBEMWS.
006200/
006300 01  FILLER                  PIC  X(41)      VALUE
006400     'INVENTORY/ASSOCIATION INITIALIZER RECORD:'.
006500*
006600     COPY MMICIR.
006700/
006800 01  FILLER                  PIC  X(20)      VALUE
006900     'CCS DATE WORK AREAS:'.
007000*
007100     COPY SS01WS.
007200/
007300 01  FILLER                  PIC  X(15)      VALUE
007400     'CCS WORK AREAS:'.
007500*
007600     COPY SS08WS.
007700/
007800     COPY SS00WS.
007900/
008000     COPY SMFTWS.
008100/
008200     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008300/
008400     COPY MB61LK.
008500/
008600 01  FILLER                  PIC  X(12)      VALUE
008700     '** WS-END **'.
008800/
008900 LINKAGE SECTION.
009000*
009100 01  DFHCOMMAREA.
009200*
009300     COPY MB60WS.
009400/
009500******************************************
009600*    INVENTORY/ASSOCIATION LOCATE MAP    *
009700******************************************
009800*
009900     COPY MBMV00.
010000/
010100*******************************************************
010200*    INVENTORY/ASSOCIATION LOCATE MAP REDEFINITION    *
010300*******************************************************
010400*
010500     COPY MBMV00R.
010600/
010700***************************
010800*    ORG RECORD LAYOUT    *
010900***************************
011000*
011100     COPY MMOCRL.
011200/
011300***************************************
011400*    MERCHANT MASTER RECORD LAYOUT    *
011500***************************************
011600*
011700     COPY MMMMRL.
011800/
011900************************************
012000*    STORE MASTER RECORD LAYOUT    *
012100************************************
012200*
012300     COPY MMSMRL.
012400/
012500*********************************************
012600*    INVENTORY/ASSOCIATION RECORD LAYOUT    *
012700*********************************************
012800*
012900     COPY MMICRL.
013000/
013100 PROCEDURE DIVISION.
013200*
013300 A000-HOUSEKEEPING SECTION.
013400*
013500 A020-INIT.
013600*
013700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013900                                 THRU MB70PD-OLH-EXIT.
014000*
014100     IF  MBCA-RECEIVE-SCREEN
014200         GO TO C000-RECEIVE-SCREEN.
014300/
014400 B000-SEND-SCREEN SECTION.
014500*
014600*********************************************
014700*    GET CICS STORAGE NEEDED FOR THE MAP    *
014800*********************************************
014900*
015000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB60PD-GETMAIN-FOR-MAP
015200                                 THRU MB60PD-GFM-EXIT.
015300*
015400*****************************************************************
015500*    CHECK KEY CODES                                            *
015600* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
015700* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
015800* 3. IF MMIC KEY CODE, IT MUST HAVE AN ORGANIZATION NUMBER      *
015900*    GREATER THAN ZERO AND A NUMERIC MERCHANT NUMBER.  IF       *
016000*    DIRECT, GO TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE    *
016100*    PLUGGED THE ORGANIZATION AND MERCHANT IN THE MAP.  IF AN   *
016200*    ERROR OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL        *
016300*    HANDLE BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.   *
016400*    THIS IS WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE         *
016500*    NO MATTER WHICH ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG   *
016600*    THE ORGANIZATION AND MERCHANT INTO THE MAP AND BYPASS      *
016700*    ANY OTHER CHECKING OF THE KEY CODE.                        *
016800* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG IS      *
016900*    GREATER THAN ZERO.  IF IT IS, PLUG IT INTO THE MAP.  IF    *
017000*    THE MBCA-MERCHANT IS GREATER THAN ZERO, PLUG IT INTO THE   *
017100*    MAP.                                                       *
017200*****************************************************************
017300*
017400     IF  MBCA-INITIAL-KEY-CODE
017500     OR  MBCA-PTI-FUNCTION-IS-ADD
017600         GO TO B020-BUILD-SCREEN.
017700*
017800     IF  MBCA-MMIC-KEY-CODE
017900         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
018000             MOVE MBCA-MERCHANT-ORG
018100                                 TO MV00-ORG
018200             MOVE DFHBMUNF       TO MV00-ORG-A
018300             MOVE 3              TO MV00-ORG-L
018400             IF  MBCA-MERCHANT   IS GREATER THAN ZERO
018500             AND MBCA-S-M        IS EQUAL TO 'M'
018600                 MOVE MBCA-MERCHANT
018700                                 TO MV00-MERCHANT
018800                 MOVE DFHBMUNF   TO MV00-MERCHANT-A
018900                 MOVE MBCA-S-M   TO MV00-TYPE
019000                 MOVE DFHBMFSE   TO MV00-TYPE-A
019100                 MOVE 9          TO MV00-MERCHANT-L
019200                 MOVE 1          TO MV00-TYPE-L
019300             ELSE
019400                 IF  MBCA-STORE  IS GREATER THAN ZERO
019500                 AND MBCA-S-M    IS EQUAL TO 'S'
019600                     MOVE MBCA-STORE
019700                                 TO MV00-MERCHANT
019800                     MOVE DFHBMUNF
019900                                 TO MV00-MERCHANT-A
020000                     MOVE MBCA-S-M
020100                                 TO MV00-TYPE
020200                     MOVE 9      TO MV00-MERCHANT-L
020300                     MOVE 1      TO MV00-TYPE-L
020400                     MOVE DFHBMFSE
020500                                 TO MV00-TYPE-A
020600                 ELSE
020700                     GO TO B010-CHECK-KEY-CODE
020800         ELSE
020900             GO TO B010-CHECK-KEY-CODE
021000     ELSE
021100         GO TO B010-CHECK-KEY-CODE.
021200*
021300     IF  MBCA-DIRECT-TRANSFER-CODE
021400     AND MBCA-INITIAL-SCREEN-NBR
021500         MOVE 00         TO MBCA-SCREEN-NBR
021600         GO TO C102-READ-ORG
021700     ELSE
021800         GO TO B020-BUILD-SCREEN.
021900*
022000 B010-CHECK-KEY-CODE.
022100*
022200     IF  MBCA-VALID-KEY-CODES
022300         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
022400             MOVE MBCA-MERCHANT-ORG
022500                                 TO MV00-ORG
022600             MOVE DFHBMUNF       TO MV00-ORG-A
022700             IF  MBCA-MERCHANT IS GREATER THAN ZERO
022800                 MOVE MBCA-MERCHANT
022900                                 TO MV00-MERCHANT
023000                 MOVE DFHBMUNF   TO MV00-MERCHANT-A
023100                 MOVE 'M'        TO MBCA-S-M
023200                 MOVE MBCA-S-M   TO MV00-TYPE
023300                 MOVE DFHBMFSE   TO MV00-TYPE-A
023400             ELSE
023500                 IF  MBCA-STORE IS GREATER THAN ZERO
023600                     MOVE MBCA-STORE
023700                                 TO MV00-MERCHANT
023800                     MOVE DFHBMUNF
023900                                 TO MV00-MERCHANT-A
024000                     MOVE 'S'    TO MBCA-S-M
024100                     MOVE MBCA-S-M
024200                                 TO MV00-TYPE
024300                     MOVE DFHBMFSE
024400                                 TO MV00-TYPE-A.
024500*
024600 B020-BUILD-SCREEN.
024700*
024800*******************************************
024900*    INITIALIZE THE STANDARD MAP LINES    *
025000*******************************************
025100*
025200     MOVE SS08WS-CURSOR          TO MV00-ORG-L.
025300     MOVE 00                     TO MBCA-SCREEN-NBR.
025400     PERFORM MB60PD-INIT-STD-MAP-LINES
025500                                 THRU MB60PD-ISML-EXIT.
025600*
025700     IF  MBCA-PTI-FUNCTION-IS-MAINT
025800     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
025900         MOVE DFHBMDAS           TO MV00-COPY-ORG-LIT-A
026000                                    MV00-COPY-ORG-LP-A
026100                                    MV00-COPY-ORG-RP-A
026200                                    MV00-COPY-MERCHANT-LIT-A
026300                                    MV00-COPY-MERCHANT-LP-A
026400                                    MV00-COPY-MERCHANT-RP-A
026500                                    MV00-COPY-TYPE-LIT-A
026600                                    MV00-COPY-TYPE-LP-A
026700                                    MV00-COPY-TYPE-RP-A
026800                                    MV00-ADDR-CTL-LIT-A
026900                                    MV00-USE-PRIM-ADDR-LIT1-A
027000                                    MV00-USE-PRIM-ADDR-LIT2-A
027100                                    MV00-USE-PRIM-ADDR-LP-A
027200                                    MV00-USE-PRIM-ADDR-RP-A
027300                                    MV00-USE-SEC-ADDR-LIT-A
027400                                    MV00-USE-SEC-ADDR-LP-A
027500                                    MV00-USE-SEC-ADDR-RP-A
027600         MOVE DFHBMASK           TO MV00-COPY-ORG-A
027700                                    MV00-COPY-MERCHANT-A
027800                                    MV00-COPY-TYPE-A
027900                                    MV00-USE-PRIM-ADDR-A
028000                                    MV00-USE-SEC-ADDR-A.
028100*
028200     IF  MBCA-PTI-FUNCTION-IS-ADD
028300         MOVE ZERO               TO MV00-MERCHANT-L
028400                                    MV00-TYPE-L
028500         MOVE DFHBMUNN           TO MV00-MERCHANT-A
028600         MOVE DFHBMUNP           TO MV00-TYPE-A
028700         MOVE LOW-VALUES         TO MV00-MERCHANT-X
028800                                    MV00-TYPE.
028900*
029000**********************
029100*    SEND THE MAP    *
029200**********************
029300*
029400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
029500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
029600                                 THRU MB60PD-SMWE-EXIT.
029700*
029800************************
029900*    RETURN TO CICS    *
030000************************
030100*
030200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
030300     PERFORM MB70PD-RETURN-TRANS-ID
030400                                 THRU MB70PD-RTI-EXIT.
030500/
030600 C000-RECEIVE-SCREEN SECTION.
030700*
030800*************************************************
030900*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
031000*************************************************
031100*
031200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
031300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
031400*
031500**************************************************************
031600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
031700**************************************************************
031800*
031900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
032000     PERFORM MB60PD-NEW-TRANS-ROUTINE
032100                                 THRU MB60PD-NTR-EXIT.
032200*
032300 C020-FIELD-EDITS.
032400*
032500     MOVE 'N'                    TO SS08WS-ERROR.
032600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
032700*
032800     IF  (MV00-ORG-L IS LESS THAN 1
032900     AND  MV00-MERCHANT-L IS LESS THAN 1
033000     AND  MV00-TYPE-L IS LESS THAN 1
033100     AND  MV00-COPY-ORG-L IS LESS THAN 1
033200     AND  MV00-COPY-MERCHANT-L IS LESS THAN 1
033300     AND  MV00-COPY-TYPE-L IS LESS THAN 1
033400     AND  MV00-USE-PRIM-ADDR-L IS LESS THAN 1
033500     AND  MV00-USE-SEC-ADDR-L IS LESS THAN 1)
033600     AND (SS08WS-VALID-PF-KEY
033700     OR   SS08WS-EIBAID-VALID-PF-KEY)
033800         MOVE 99                 TO MBCA-SCREEN-NBR
033900         GO TO F090-TRANSFER-XCTL.
034000*
034100******************************************************
034200*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
034300*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
034400******************************************************
034500*
034600     MOVE DFHBMUNN               TO MV00-ORG-A
034700                                    MV00-MERCHANT-A.
034800     MOVE DFHBMUNP               TO MV00-TYPE-A.
034900     MOVE DFHBMASK               TO MV00-ORG-LP-A
035000                                    MV00-ORG-RP-A
035100                                    MV00-MERCHANT-LP-A
035200                                    MV00-MERCHANT-RP-A
035300                                    MV00-TYPE-LP-A
035400                                    MV00-TYPE-RP-A.
035500*
035600     IF  MBCA-PTI-FUNCTION-IS-ADD
035700         MOVE DFHBMUNN           TO MV00-COPY-ORG-A
035800                                    MV00-COPY-MERCHANT-A
035900         MOVE DFHBMUNP           TO MV00-COPY-TYPE-A
036000                                    MV00-USE-PRIM-ADDR-A
036100                                    MV00-USE-SEC-ADDR-A
036200         MOVE DFHBMASK           TO MV00-COPY-ORG-LP-A
036300                                    MV00-COPY-ORG-RP-A
036400                                    MV00-COPY-MERCHANT-LP-A
036500                                    MV00-COPY-MERCHANT-RP-A
036600                                    MV00-COPY-TYPE-LP-A
036700                                    MV00-COPY-TYPE-RP-A
036800                                    MV00-USE-PRIM-ADDR-LP-A
036900                                    MV00-USE-PRIM-ADDR-RP-A
037000                                    MV00-USE-SEC-ADDR-LP-A
037100                                    MV00-USE-SEC-ADDR-RP-A
037200     ELSE
037300         GO TO C100-EDIT-ORG.
037400*
037500**************************************************
037600*    BYPASS THE COPY EDITS IF COPY ORG, COPY     *
037700*    MERCHANT, OR COPY TYPE WERE NOT ENTERED.    *
037800**************************************************
037900*
038000     IF  MV00-COPY-ORG-L      IS EQUAL TO ZERO
038100     AND MV00-COPY-MERCHANT-L IS EQUAL TO ZERO
038200     AND MV00-COPY-TYPE-L     IS EQUAL TO ZERO
038300         GO TO C100-EDIT-ORG.
038400*
038500 C040-EDIT-COPY-ORG.
038600*
038700     IF  MV00-COPY-ORG-L IS EQUAL TO ZERO
038800     OR  MV00-COPY-ORG IS NOT NUMERIC
038900     OR  MV00-COPY-ORG IS LESS THAN MBCA-ORG-LOW
039000     OR  MV00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
039100     OR  MV00-COPY-ORG IS LESS THAN WS-ORG-LOW
039200     OR  MV00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
039300         MOVE MBEMWS-INVALID-ORG TO MV00-ERR-MESSAGE
039400         GO TO C058-COPY-ORG-ERROR.
039500*
039600************************************************
039700*    READ THE COPY ORGANIZATION RECORD.  IT    *
039800*    MUST BE ON FILE AND AN ACTIVE RECORD.     *
039900************************************************
040000*
040100     MOVE MV00-COPY-ORG          TO MBIOWS-MMOC-ORG.
040200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
040300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
040400     SET MBIORO-READ-RANDOM      TO TRUE.
040500     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
040600*
040700     IF  SS08WS-RC-FC-NOTFND
040800         MOVE MBEMWS-NOT-ON-FILE TO MV00-ERR-MESSAGE
040900     ELSE
041000         IF  MMOC-ADD-PENDING
041100             MOVE MBEMWS-ADD-PENDING
041200                                 TO MV00-ERR-MESSAGE
041300         ELSE
041400             IF  MMOC-REC-PURGED
041500                 MOVE MBEMWS-REC-PURGED
041600                                 TO MV00-ERR-MESSAGE
041700             ELSE
041800                 MOVE DFHBMUNF   TO MV00-COPY-ORG-A
041900                 GO TO C060-EDIT-COPY-MERCHANT.
042000*
042100 C058-COPY-ORG-ERROR.
042200*
042300     MOVE 'Y'                    TO SS08WS-ERROR.
042400     MOVE DFHBMASB               TO MV00-COPY-ORG-LP-A
042500                                    MV00-COPY-ORG-RP-A.
042600     MOVE SS08WS-CURSOR          TO MV00-COPY-ORG-L.
042700     MOVE DFHBMNBF               TO MV00-COPY-ORG-A.
042800     MOVE DFHBMUNF               TO MV00-ORG-A
042900                                    MV00-COPY-MERCHANT-A
043000                                    MV00-MERCHANT-A.
043100     MOVE DFHBMFSE               TO MV00-COPY-TYPE-A
043200                                    MV00-TYPE-A
043300                                    MV00-USE-PRIM-ADDR-A
043400                                    MV00-USE-SEC-ADDR-A.
043500     GO TO D000-RETURN-ERRORS.
043600*
043700 C060-EDIT-COPY-MERCHANT.
043800*
043900     IF  MV00-COPY-MERCHANT-L IS EQUAL TO ZERO
044000     OR  MV00-COPY-MERCHANT IS NOT NUMERIC
044100     OR  MV00-COPY-MERCHANT IS EQUAL TO ZEROES OR 999999999
044200         MOVE MBEMWS-INVALID-STORE-MERCHANT
044300                                 TO MV00-ERR-MESSAGE
044400         GO TO C078-COPY-MERCHANT-ERROR
044500     ELSE
044600         GO TO C080-EDIT-COPY-S-M.
044700*
044800 C078-COPY-MERCHANT-ERROR.
044900*
045000     MOVE 'Y'                    TO SS08WS-ERROR.
045100     MOVE DFHBMASB               TO MV00-COPY-MERCHANT-LP-A
045200                                    MV00-COPY-MERCHANT-RP-A.
045300     MOVE SS08WS-CURSOR          TO MV00-COPY-MERCHANT-L.
045400     MOVE DFHBMNBF               TO MV00-COPY-MERCHANT-A.
045500     MOVE DFHBMUNF               TO MV00-ORG-A
045600                                    MV00-MERCHANT-A.
045700     MOVE DFHBMFSE               TO MV00-COPY-TYPE-A
045800                                    MV00-TYPE-A
045900                                    MV00-USE-PRIM-ADDR-A
046000                                    MV00-USE-SEC-ADDR-A.
046100     GO TO D000-RETURN-ERRORS.
046200*
046300 C080-EDIT-COPY-S-M.
046400*
046500     IF  MV00-COPY-TYPE IS EQUAL TO 'M'
046600     OR  MV00-COPY-TYPE IS EQUAL TO 'S'
046700         GO TO C084-READ-MMIC
046800     ELSE
046900         MOVE MBEMWS-INVALID-S-M TO MV00-ERR-MESSAGE
047000         GO TO C082-COPY-S-M-ERROR.
047100*
047200 C082-COPY-S-M-ERROR.
047300*
047400     MOVE 'Y'                    TO SS08WS-ERROR.
047500     MOVE DFHBMASB               TO MV00-COPY-TYPE-LP-A
047600                                    MV00-COPY-TYPE-RP-A.
047700     MOVE SS08WS-CURSOR          TO MV00-COPY-TYPE-L.
047800     MOVE DFHBMUNF               TO MV00-COPY-MERCHANT-A.
047900     MOVE DFHBMUBF               TO MV00-COPY-TYPE-A.
048000     MOVE DFHBMUNF               TO MV00-MERCHANT-A.
048100     MOVE DFHBMFSE               TO MV00-TYPE-A
048200                                    MV00-USE-PRIM-ADDR-A
048300                                    MV00-USE-SEC-ADDR-A.
048400     GO TO D000-RETURN-ERRORS.
048500*
048600 C084-READ-MMIC.
048700*
048800*****************************************************************
048900*    READ THE INVENTORY/ASSOCIATION FILE TO ENSURE THAT THE     *
049000*    RECORD TO BE COPIED IS ON FILE AND AN ACTIVE RECORD        *
049100*****************************************************************
049200*
049300     MOVE MV00-COPY-ORG          TO MBIOWS-MMIC-ORG.
049400     MOVE MV00-COPY-MERCHANT     TO MBIOWS-MMIC-MERCHANT.
049500     MOVE MV00-COPY-TYPE         TO MBIOWS-MMIC-TYPE.
049600     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
049700     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
049800     SET MBIORO-READ-RANDOM      TO TRUE.
049900     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
050000*
050100     IF  SS08WS-RC-FC-NOTFND
050200         MOVE MBEMWS-NOT-ON-FILE TO MV00-ERR-MESSAGE
050300     ELSE
050400         IF  MMIC-ADD-PENDING
050500             MOVE MBEMWS-ADD-PENDING
050600                                 TO MV00-ERR-MESSAGE
050700         ELSE
050800             IF  MMIC-REC-PURGED
050900                 MOVE MBEMWS-REC-PURGED
051000                                 TO MV00-ERR-MESSAGE
051100             ELSE
051200                 MOVE 'Y'        TO WS-COPY-SW
051300                 MOVE DFHBMUNF   TO MV00-COPY-MERCHANT-A
051400                 MOVE DFHBMFSE   TO MV00-COPY-TYPE-A
051500                 GO TO C100-EDIT-ORG.
051600*
051700 C098-COPY-MERCHANT-S-M-ERROR.
051800*
051900     MOVE 'Y'                    TO SS08WS-ERROR.
052000     MOVE DFHBMASB               TO MV00-COPY-MERCHANT-LP-A
052100                                    MV00-COPY-MERCHANT-RP-A
052200                                    MV00-COPY-TYPE-LP-A
052300                                    MV00-COPY-TYPE-RP-A.
052400     MOVE SS08WS-CURSOR          TO MV00-COPY-MERCHANT-L.
052500     MOVE DFHBMNBF               TO MV00-COPY-MERCHANT-A.
052600     MOVE DFHBMUBF               TO MV00-COPY-TYPE-A.
052700     MOVE DFHBMUNF               TO MV00-ORG-A
052800                                    MV00-MERCHANT-A.
052900     MOVE DFHBMFSE               TO MV00-TYPE-A
053000                                    MV00-USE-PRIM-ADDR-A
053100                                    MV00-USE-SEC-ADDR-A.
053200     GO TO D000-RETURN-ERRORS.
053300*
053400 C100-EDIT-ORG.
053500*
053600     IF  MV00-ORG-L IS EQUAL TO ZERO
053700     OR  MV00-ORG IS NOT NUMERIC
053800     OR  MV00-ORG IS LESS THAN MBCA-ORG-LOW
053900     OR  MV00-ORG IS GREATER THAN MBCA-ORG-HIGH
054000     OR  MV00-ORG IS LESS THAN WS-ORG-LOW
054100     OR  MV00-ORG IS GREATER THAN WS-ORG-HIGH
054200         MOVE MBEMWS-INVALID-ORG TO MV00-ERR-MESSAGE
054300         GO TO C118-ORG-ERROR.
054400*
054500 C102-READ-ORG.
054600*
054700************************************************
054800*    READ THE ORGANIZATION RECORD.  IT MUST    *
054900*    BE ON FILE AND AN ACTIVE RECORD.          *
055000************************************************
055100*
055200     MOVE MV00-ORG               TO MBIOWS-MMOC-ORG.
055300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
055400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
055500     SET MBIORO-READ-RANDOM      TO TRUE.
055600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
055700*
055800     IF  SS08WS-RC-FC-NOTFND
055900         MOVE MBEMWS-NOT-ON-FILE TO MV00-ERR-MESSAGE
056000     ELSE
056100         IF  MMOC-ADD-PENDING
056200             MOVE MBEMWS-ADD-PENDING
056300                                 TO MV00-ERR-MESSAGE
056400         ELSE
056500             IF  MMOC-REC-PURGED
056600                 MOVE MBEMWS-REC-PURGED
056700                                 TO MV00-ERR-MESSAGE
056800             ELSE
056900                 MOVE DFHBMUNF   TO MV00-ORG-A
057000                 MOVE MV00-ORG   TO MBCA-MERCHANT-ORG
057100                 GO TO C120-EDIT-MERCHANT.
057200*
057300 C118-ORG-ERROR.
057400*
057500     MOVE 'Y'                    TO SS08WS-ERROR.
057600     MOVE DFHBMASB               TO MV00-ORG-LP-A
057700                                    MV00-ORG-RP-A.
057800     MOVE SS08WS-CURSOR          TO MV00-ORG-L.
057900     MOVE DFHBMNBF               TO MV00-ORG-A.
058000     MOVE DFHBMUNF               TO MV00-MERCHANT-A.
058100     MOVE DFHBMFSE               TO MV00-TYPE-A
058200                                    MV00-USE-PRIM-ADDR-A
058300                                    MV00-USE-SEC-ADDR-A.
058400     GO TO D000-RETURN-ERRORS.
058500*
058600 C120-EDIT-MERCHANT.
058700*
058800*
058900*
059000     IF  MV00-MERCHANT-L IS EQUAL TO ZERO
059100     OR  MV00-MERCHANT IS NOT NUMERIC
059200     OR  MV00-MERCHANT IS EQUAL TO ZEROES OR 999999999
059300         MOVE MBEMWS-INVALID-STORE-MERCHANT
059400                                 TO MV00-ERR-MESSAGE
059500         GO TO C138-MERCHANT-ERROR
059600     ELSE
059700         GO TO C140-EDIT-S-M.
059800*
059900 C138-MERCHANT-ERROR.
060000*
060100     MOVE 'Y'                    TO SS08WS-ERROR.
060200     MOVE DFHBMASB               TO MV00-MERCHANT-LP-A
060300                                    MV00-MERCHANT-RP-A.
060400     MOVE SS08WS-CURSOR          TO MV00-MERCHANT-L.
060500     MOVE DFHBMNBF               TO MV00-MERCHANT-A.
060600     MOVE DFHBMFSE               TO MV00-TYPE-A
060700                                    MV00-USE-PRIM-ADDR-A
060800                                    MV00-USE-SEC-ADDR-A.
060900     GO TO D000-RETURN-ERRORS.
061000*
061100 C140-EDIT-S-M.
061200*
061300     IF  MV00-TYPE IS EQUAL TO 'M'
061400     OR  MV00-TYPE IS EQUAL TO 'S'
061500         GO TO C144-READ-MMIC
061600     ELSE
061700         MOVE MBEMWS-INVALID-S-M TO MV00-ERR-MESSAGE
061800         GO TO C142-S-M-ERROR.
061900*
062000 C142-S-M-ERROR.
062100*
062200     MOVE 'Y'                    TO SS08WS-ERROR.
062300     MOVE DFHBMASB               TO MV00-TYPE-LP-A
062400                                    MV00-TYPE-RP-A.
062500     MOVE SS08WS-CURSOR          TO MV00-TYPE-L.
062600     MOVE DFHBMUNF               TO MV00-MERCHANT-A.
062700     MOVE DFHBMUBF               TO MV00-TYPE-A.
062800     MOVE DFHBMFSE               TO MV00-USE-PRIM-ADDR-A
062900                                    MV00-USE-SEC-ADDR-A.
063000     GO TO D000-RETURN-ERRORS.
063100*
063200 C144-READ-MMIC.
063300*
063400***************************************************************
063500*    READ THE INVENTORY MASTER RECORD.  IT MUST BE ON         *
063600*    FILE AND AN ACTIVE RECORD IF IN MAINTENANCE OR INQUIRY.  *
063700*    IT MUST NOT BE ON FILE (OR IN AN ADD PENDING STATE),     *
063800*    IF IN ADD.                                               *
063900***************************************************************
064000*
064100     MOVE MV00-ORG               TO MBIOWS-MMIC-ORG.
064200     MOVE MV00-MERCHANT          TO MBIOWS-MMIC-MERCHANT.
064300     MOVE MV00-TYPE              TO MBIOWS-MMIC-TYPE.
064400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
064500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
064600     SET MBIORO-READ-RANDOM      TO TRUE.
064700     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
064800*
064900     IF  SS08WS-RC-FC-VALID-RTN-CODE
065000         MOVE MV00-TYPE          TO MBCA-S-M
065100         IF  MMIC-TYPE-IS-MERCHANT
065200             MOVE MV00-MERCHANT  TO MBCA-MERCHANT
065300         ELSE
065400             MOVE MV00-MERCHANT  TO MBCA-STORE.
065500*
065600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
065700         IF  SS08WS-RC-FC-VALID-RTN-CODE
065800             IF  MMIC-ADD-PENDING
065900                 MOVE MBEMWS-ADD-PENDING
066000                                 TO MV00-ERR-MESSAGE
066100                 GO TO C158-MERCHANT-S-M-ERROR
066200             ELSE
066300                 GO TO F000-SETUP-COMMAREA
066400         ELSE
066500             MOVE MBEMWS-NOT-ON-FILE
066600                                 TO MV00-ERR-MESSAGE
066700             GO TO C158-MERCHANT-S-M-ERROR.
066800*
066900***************************************************************
067000*    IF THIS IS AN ADD AND THE RECORD IS NOT FOUND ON THE     *
067100*    INVENTORY ASSOCIATION FILE, THE NEXT STEP IS TO          *
067200*    VALIDATE THE MERCHANT OR STORE ON THEIR RESPECTIVE       *
067300*    FILES.  IF WE HAVE SPECIFIED THE STORE/MERCHANT          *
067400*    NUMBER AS A STORE, IT MUST RESIDE ON THE STORE MASTER    *
067500*    FILE AND BE AN ACTIVE RECORD.  IF WE HAVE SPECIFIED      *
067600*    IT AS A MERCHANT, IT MUST RESIDE ON THE MERCHANT         *
067700*    MASTER AND BE AN ACTIVE RECORD.                          *
067800***************************************************************
067900*
068000     IF  MBCA-PTI-FUNCTION-IS-ADD
068100     AND SS08WS-RC-FC-NOTFND
068200         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
068300         PERFORM Y900-READ-MMMM-OR-MMSM
068400                                 THRU Y919-RROR-EXIT
068500         IF  WS-MMMM-MMSM-VALID-RTN-CODE
068600             MOVE DFHBMUNF       TO MV00-MERCHANT-A
068700             MOVE DFHBMFSE       TO MV00-TYPE-A
068800             GO TO C160-EDIT-ADDR-CTL
068900         ELSE
069000             GO TO C158-MERCHANT-S-M-ERROR.
069100*
069200     IF  MBCA-PTI-FUNCTION-IS-ADD
069300     AND MMIC-ADD-PENDING
069400         IF  WS-COPY-SW-NO
069500             MOVE MMIC-ONLINE-STATUS
069600                                 TO MBCA-SCREEN-NBR
069700             GO TO F000-SETUP-COMMAREA
069800         ELSE
069900             MOVE MBEMWS-ADD-PENDING
070000                                 TO MV00-ERR-MESSAGE
070100             GO TO C158-MERCHANT-S-M-ERROR.
070200*
070300     IF  MBCA-PTI-FUNCTION-IS-ADD
070400         MOVE MBEMWS-ALREADY-ON-FILE
070500                                 TO MV00-ERR-MESSAGE
070600         GO TO C158-MERCHANT-S-M-ERROR.
070700*
070800     IF  MBCA-PTI-FUNCTION-IS-MAINT
070900     AND SS08WS-RC-FC-NOTFND
071000         MOVE MBEMWS-NOT-ON-FILE TO MV00-ERR-MESSAGE
071100         GO TO C158-MERCHANT-S-M-ERROR.
071200*
071300     IF  MBCA-PTI-FUNCTION-IS-MAINT
071400     AND MMIC-ADD-PENDING
071500         MOVE MBEMWS-ADD-PENDING TO MV00-ERR-MESSAGE
071600         GO TO C158-MERCHANT-S-M-ERROR.
071700*
071800     IF  MBCA-PTI-FUNCTION-IS-MAINT
071900     AND MMIC-REC-PURGED
072000         MOVE MBEMWS-REC-PURGED  TO MV00-ERR-MESSAGE
072100         GO TO C158-MERCHANT-S-M-ERROR.
072200*
072300************************************************
072400*    OTHERWISE, WE PASSED THE MERCHANT EDIT    *
072500************************************************
072600*
072700     GO TO F000-SETUP-COMMAREA.
072800*
072900 C158-MERCHANT-S-M-ERROR.
073000*
073100     MOVE 'Y'                    TO SS08WS-ERROR.
073200     MOVE DFHBMASB               TO MV00-MERCHANT-LP-A
073300                                    MV00-MERCHANT-RP-A
073400                                    MV00-TYPE-LP-A
073500                                    MV00-TYPE-RP-A.
073600     MOVE SS08WS-CURSOR          TO MV00-MERCHANT-L.
073700     MOVE DFHBMNBF               TO MV00-MERCHANT-A.
073800     MOVE DFHBMUBF               TO MV00-TYPE-A.
073900     MOVE DFHBMFSE               TO MV00-USE-PRIM-ADDR-A
074000                                    MV00-USE-SEC-ADDR-A.
074100     GO TO D000-RETURN-ERRORS.
074200*
074300 C160-EDIT-ADDR-CTL.
074400*
074500     IF  MV00-USE-PRIM-ADDR IS EQUAL TO LOW-VALUE OR SPACE
074600     AND MV00-USE-SEC-ADDR  IS EQUAL TO LOW-VALUE OR SPACE
074700         GO TO D000-RETURN-ERRORS.
074800*
074900     IF  MV00-USE-PRIM-ADDR IS GREATER THAN SPACE
075000     AND MV00-USE-SEC-ADDR  IS GREATER THAN SPACE
075100         GO TO C178-ADDR-CTL-ERROR.
075200*
075300     IF  MV00-USE-PRIM-ADDR IS GREATER THAN SPACE
075400         IF  MV00-USE-PRIM-ADDR IS EQUAL TO 'X'
075500             GO TO D000-RETURN-ERRORS
075600         ELSE
075700             MOVE 'Y'            TO SS08WS-ERROR
075800             MOVE DFHBMASB       TO MV00-USE-PRIM-ADDR-LP-A
075900                                    MV00-USE-PRIM-ADDR-RP-A
076000             MOVE SS08WS-CURSOR  TO MV00-USE-PRIM-ADDR-L
076100             MOVE DFHBMUBF       TO MV00-USE-PRIM-ADDR-A
076200             MOVE DFHBMUNP       TO MV00-USE-SEC-ADDR-A
076300             MOVE MBEMWS-INVALID-ADDR-CONTROL
076400                                 TO MV00-ERR-MESSAGE
076500             GO TO D000-RETURN-ERRORS.
076600*
076700     IF  MV00-USE-SEC-ADDR IS GREATER THAN SPACE
076800         IF  MV00-USE-SEC-ADDR IS EQUAL TO 'X'
076900             GO TO D000-RETURN-ERRORS
077000         ELSE
077100             MOVE 'Y'            TO SS08WS-ERROR
077200             MOVE DFHBMASB       TO MV00-USE-SEC-ADDR-LP-A
077300                                    MV00-USE-SEC-ADDR-RP-A
077400             MOVE SS08WS-CURSOR  TO MV00-USE-SEC-ADDR-L
077500             MOVE DFHBMUBF       TO MV00-USE-SEC-ADDR-A
077600             MOVE DFHBMUNP       TO MV00-USE-PRIM-ADDR-A
077700             MOVE MBEMWS-INVALID-ADDR-CONTROL
077800                                 TO MV00-ERR-MESSAGE
077900             GO TO D000-RETURN-ERRORS.
078000*
078100 C178-ADDR-CTL-ERROR.
078200*
078300     MOVE 'Y'                    TO SS08WS-ERROR.
078400     MOVE DFHBMASB               TO MV00-USE-PRIM-ADDR-LP-A
078500                                    MV00-USE-PRIM-ADDR-RP-A
078600                                    MV00-USE-SEC-ADDR-LP-A
078700                                    MV00-USE-SEC-ADDR-RP-A.
078800     MOVE SS08WS-CURSOR          TO MV00-USE-PRIM-ADDR-L.
078900     MOVE DFHBMUBF               TO MV00-USE-PRIM-ADDR-A
079000                                    MV00-USE-SEC-ADDR-A.
079100     MOVE MBEMWS-INVALID-ADDR-CONTROL
079200                                 TO MV00-ERR-MESSAGE.
079300     GO TO D000-RETURN-ERRORS.
079400/
079500 D000-RETURN-ERRORS SECTION.
079600*
079700     IF  SS08WS-ERROR IS EQUAL TO 'N'
079800         GO TO E000-UPDATE-FILE
079900     ELSE
080000         IF  SS08WS-VALID-PF-KEY
080100         OR  SS08WS-EIBAID-VALID-PF-KEY
080200             MOVE 99             TO MBCA-SCREEN-NBR
080300             GO TO F090-TRANSFER-XCTL.
080400*
080500************************************************
080600*    DARKEN AND AUTOSKIP THE COPY FIELDS AND   *
080700*    ADDRESS CONTROL FIELDS IF THIS IS THE     *
080800*    ADD FUNCTION                              *
080900************************************************
081000*
081100     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
081200         MOVE DFHBMDAS           TO MV00-COPY-ORG-LIT-A
081300                                    MV00-COPY-ORG-LP-A
081400                                    MV00-COPY-ORG-RP-A
081500                                    MV00-COPY-MERCHANT-LIT-A
081600                                    MV00-COPY-MERCHANT-LP-A
081700                                    MV00-COPY-MERCHANT-RP-A
081800                                    MV00-COPY-TYPE-LIT-A
081900                                    MV00-COPY-TYPE-LP-A
082000                                    MV00-COPY-TYPE-RP-A
082100                                    MV00-ADDR-CTL-LIT-A
082200                                    MV00-USE-PRIM-ADDR-LIT1-A
082300                                    MV00-USE-PRIM-ADDR-LIT2-A
082400                                    MV00-USE-PRIM-ADDR-LP-A
082500                                    MV00-USE-PRIM-ADDR-RP-A
082600                                    MV00-USE-SEC-ADDR-LIT-A
082700                                    MV00-USE-SEC-ADDR-LP-A
082800                                    MV00-USE-SEC-ADDR-RP-A
082900         MOVE DFHBMASK           TO MV00-COPY-ORG-A
083000                                    MV00-COPY-MERCHANT-A
083100                                    MV00-COPY-TYPE-A
083200                                    MV00-USE-PRIM-ADDR-A
083300                                    MV00-USE-SEC-ADDR-A.
083400*
083500***************************************************************
083600*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
083700*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
083800*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
083900***************************************************************
084000*
084100     PERFORM MB60PD-INIT-STD-MAP-LINES
084200                                 THRU MB60PD-ISML-EXIT.
084300*
084400*
084500**********************
084600*    SEND THE MAP    *
084700**********************
084800*
084900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
085000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
085100                                 THRU MB60PD-SMWE-EXIT.
085200*
085300************************
085400*    RETURN TO CICS    *
085500************************
085600*
085700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
085800     PERFORM MB70PD-RETURN-TRANS-ID
085900                                 THRU MB70PD-RTI-EXIT.
086000/
086100 E000-UPDATE-FILE SECTION.
086200*
086300****************************************************
086400*    WRITE THE NEW INVENTORY/ASSOCIATION RECORD    *
086500*    FROM THE INITIALIZED VALUES OR FROM THE       *
086600*    RECORD THAT IS BEING COPIED.                  *
086700****************************************************
086800*
086900     IF  WS-COPY-SW-YES
087000         GO TO E040-COPY-ADD.
087100*
087200 E020-ADD-NEW-RECORD.
087300*
087400*********************************************************
087500*    SET UP THE RECORD.  USE THE INITIALIZER RECORD     *
087600*    (MMICIR) AS THE FIELD DEFAULTS.                    *
087700*********************************************************
087800*
087900     MOVE MMICIR-RECORD          TO MMIC-RECORD.
088000     MOVE MV00-ORG               TO MMIC-ORG.
088100     MOVE MV00-MERCHANT          TO MMIC-MERCHANT.
088200     MOVE MV00-TYPE              TO MMIC-TYPE.
088300     MOVE MBCA-START-DATE        TO MMIC-LAST-MAINT-DATE.
088400     MOVE MBCA-OPERATOR-ID       TO MMIC-LAST-MAINT-OPER.
088500*
088600     GO TO E060-WRITE-MMIC.
088700*
088800 E040-COPY-ADD.
088900*
089000***************************************************************
089100*    RE-READ THE INVENTORY/ASSOCIATION RECORD TO BE COPIED    *
089200***************************************************************
089300*
089400     MOVE MV00-COPY-ORG          TO MBIOWS-MMIC-ORG.
089500     MOVE MV00-COPY-MERCHANT     TO MBIOWS-MMIC-MERCHANT.
089600     MOVE MV00-COPY-TYPE         TO MBIOWS-MMIC-TYPE.
089700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
089800     SET MBIORO-READ-RANDOM      TO TRUE.
089900     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
090000*
090100***************************
090200*    SET UP THE RECORD    *
090300***************************
090400*
090500     MOVE MV00-ORG               TO MMIC-ORG.
090600     MOVE MV00-MERCHANT          TO MMIC-MERCHANT.
090700     MOVE MV00-TYPE              TO MMIC-TYPE.
090800     MOVE MMICIR-REC-STATUS      TO MMIC-REC-STATUS.
090900     MOVE MMICIR-ONLINE-STATUS   TO MMIC-ONLINE-STATUS.
091000     MOVE MBCA-START-DATE        TO MMIC-LAST-MAINT-DATE.
091100     MOVE MBCA-OPERATOR-ID       TO MMIC-LAST-MAINT-OPER.
091200*
091300*************************************************************
091400*    INITIALIZE THE FIELDS THAT ARE NOT PART OF THE COPY    *
091500*************************************************************
091600*
091700     MOVE MMICIR-DATE-FIRST-SHIPMENT
091800                                 TO MMIC-DATE-FIRST-SHIPMENT.
091900     MOVE MMICIR-DATE-LAST-SHIPMENT
092000                                 TO MMIC-DATE-LAST-SHIPMENT.
092100     PERFORM Y920-INIT-INV-ITEM-FIELDS
092200                                 THRU Y939-IIIF-EXIT.
092300*
092400 E060-WRITE-MMIC.
092500*
092600*******************************************
092700*    MOVE THE DEMOGRAPHIC DATA IN FROM    *
092800*    THE STORE OR MERCHANT RECORD.        *
092900*******************************************
093000*
093100     IF  MV00-TYPE IS EQUAL TO 'M'
093200         MOVE MMMM-DEMOGRAPHICS-AREA
093300                                 TO MMIC-DEMOGRAPHICS-AREA
093400     ELSE
093500         MOVE MMSM-DEMOGRAPHICS-AREA
093600                                 TO MMIC-DEMOGRAPHICS-AREA.
093700*
093800     IF  WS-COPY-SW-YES
093900         IF  MV00-USE-PRIM-ADDR-L IS EQUAL TO ZERO
094000         AND MV00-USE-SEC-ADDR-L IS EQUAL TO ZERO
094100             GO TO E070-WRITE.
094200*
094300     EVALUATE TRUE ALSO TRUE
094400         WHEN MV00-USE-PRIM-ADDR-L IS GREATER THAN ZERO
094500         ALSO MV00-USE-PRIM-ADDR IS EQUAL TO 'X'
094600             SET MMIC-SAC-USE-PRIMARY
094700                                 TO TRUE
094800         WHEN MV00-USE-SEC-ADDR-L IS GREATER THAN ZERO
094900         ALSO MV00-USE-SEC-ADDR IS EQUAL TO 'X'
095000             SET MMIC-SAC-USE-SECONDARY
095100                                 TO TRUE
095200         WHEN OTHER
095300             SET MMIC-SAC-USE-PRIMARY
095400                                 TO TRUE
095500     END-EVALUATE.
095600*
095700 E070-WRITE.
095800*
095900     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
096000     SET MBIORO-WRITE            TO TRUE.
096100     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
096200*
096300     IF  MMIC-TYPE-IS-MERCHANT
096400         MOVE MV00-MERCHANT      TO MBCA-MERCHANT
096500     ELSE
096600         MOVE MV00-MERCHANT      TO MBCA-STORE.
096700*
096800     MOVE MV00-TYPE              TO MBCA-S-M.
096900/
097000 F000-SETUP-COMMAREA SECTION.
097100*
097200***************************************************************
097300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
097400***************************************************************
097500*
097600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
097700*
097800     MOVE MBIOWS-MMIC-DIRECT-KEY-CODE
097900                                 TO MBCA-KEY-CODE.
098000*
098100     PERFORM MB60PD-EDIT-PAGE-NBR
098200                                 THRU MB60PD-EPN-EXIT.
098300*
098400     IF  SS08WS-VALID-PF-KEY
098500     OR  SS08WS-EIBAID-VALID-PF-KEY
098600         MOVE 99                 TO MBCA-SCREEN-NBR.
098700*
098800 F090-TRANSFER-XCTL.
098900*
099000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
099100     PERFORM MB70PD-XCTL-TO-MBOXCTL
099200                                 THRU MB70PD-XTM-EXIT.
099300/
099400 Y000-PERFORMED-ROUTINES SECTION.
099500*
099600 Y900-READ-MMMM-OR-MMSM.
099700*
099800     IF  MV00-TYPE IS EQUAL TO 'M'
099900         PERFORM Y902-READ-MMMM  THRU Y903-READ-MMMM-EXIT
100000         IF  NOT SS08WS-RC-FC-VALID-RTN-CODE
100100             MOVE 'M'            TO WS-MMMM-MMSM-RTN-CODE
100200             MOVE MBEMWS-NOT-ON-MERCHANT-MASTER
100300                                 TO MV00-ERR-MESSAGE
100400             GO TO Y919-RROR-EXIT
100500         ELSE
100600             IF  NOT MMMM-REC-ACTIVE
100700                 MOVE 'M'        TO WS-MMMM-MMSM-RTN-CODE
100800                 MOVE MBEMWS-NOT-ON-MERCHANT-MASTER
100900                                 TO MV00-ERR-MESSAGE
101000                 GO TO Y919-RROR-EXIT.
101100*
101200     IF  MV00-TYPE IS EQUAL TO 'S'
101300         PERFORM Y904-READ-MMSM  THRU Y905-READ-MMSM-EXIT
101400         IF  NOT SS08WS-RC-FC-VALID-RTN-CODE
101500             MOVE 'S'            TO WS-MMMM-MMSM-RTN-CODE
101600             MOVE MBEMWS-NOT-ON-STORE-MASTER
101700                                 TO MV00-ERR-MESSAGE
101800             GO TO Y919-RROR-EXIT
101900         ELSE
102000             IF  NOT MMSM-REC-ACTIVE
102100                 MOVE 'S'        TO WS-MMMM-MMSM-RTN-CODE
102200                 MOVE MBEMWS-NOT-ON-STORE-MASTER
102300                                 TO MV00-ERR-MESSAGE
102400                 GO TO Y919-RROR-EXIT.
102500*
102600     GO TO Y919-RROR-EXIT.
102700*
102800 Y902-READ-MMMM.
102900*
103000     MOVE MV00-ORG               TO MBIOWS-MMMM-ORG.
103100     MOVE MV00-MERCHANT          TO MBIOWS-MMMM-MERCHANT.
103200     SET MBIORO-READ-RANDOM      TO TRUE.
103300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1
103400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
103500*
103600 Y903-READ-MMMM-EXIT.
103700     EXIT.
103800*
103900 Y904-READ-MMSM.
104000*
104100     MOVE MV00-ORG               TO MBIOWS-MMSM-ORG.
104200     MOVE MV00-MERCHANT          TO MBIOWS-MMSM-STORE.
104300     SET MBIORO-READ-RANDOM      TO TRUE.
104400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1
104500     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
104600*
104700 Y905-READ-MMSM-EXIT.
104800     EXIT.
104900*
105000 Y919-RROR-EXIT.
105100     EXIT.
105200*
105300 Y920-INIT-INV-ITEM-FIELDS.
105400*
105500     SET X-MMIC-INVENTORY        TO 1.
105600     SET X-MMICIR-INVENTORY      TO 1.
105700*
105800 Y922-IIIF-LOOP.
105900*
106000     MOVE MMICIR-QTY-ON-HAND         (X-MMICIR-INVENTORY)
106100                                 TO MMIC-QTY-ON-HAND
106200                                        (X-MMIC-INVENTORY).
106300     MOVE MMICIR-LAST-SHIPMENT-QTY   (X-MMICIR-INVENTORY)
106400                                 TO MMIC-LAST-SHIPMENT-QTY
106500                                        (X-MMIC-INVENTORY).
106600     MOVE MMICIR-LAST-SHIPMENT-OPER  (X-MMICIR-INVENTORY)
106700                                 TO MMIC-LAST-SHIPMENT-OPER
106800                                        (X-MMIC-INVENTORY).
106900     MOVE MMICIR-LAST-SHIPMENT-DATE  (X-MMICIR-INVENTORY)
107000                                 TO MMIC-LAST-SHIPMENT-DATE
107100                                        (X-MMIC-INVENTORY).
107200     MOVE MMICIR-NEXT-SHIPMENT-QTY   (X-MMICIR-INVENTORY)
107300                                 TO MMIC-NEXT-SHIPMENT-QTY
107400                                        (X-MMIC-INVENTORY).
107500     MOVE MMICIR-NEXT-SHIPMENT-OPER  (X-MMICIR-INVENTORY)
107600                                 TO MMIC-NEXT-SHIPMENT-OPER
107700                                        (X-MMIC-INVENTORY).
107800     MOVE MMICIR-NEXT-SHIPMENT-DATE  (X-MMICIR-INVENTORY)
107900                                 TO MMIC-NEXT-SHIPMENT-DATE
108000                                        (X-MMIC-INVENTORY).
108100*
108200     IF  X-MMIC-INVENTORY IS LESS THAN 18
108300         SET X-MMIC-INVENTORY    UP BY 1
108400         SET X-MMICIR-INVENTORY  UP BY 1
108500         GO TO Y922-IIIF-LOOP.
108600*
108700 Y939-IIIF-EXIT.
108800     EXIT.
108900/
109000 Z000-COPIED-ROUTINES SECTION.
109100*
109200/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
109300     COPY SS26PD.
109400*
109500/    ROUTINE TO NUMERICALLY EDIT TIME
109600     COPY SS27PD.
109700*
109800**********************************
109900*    JUL TO GREG DATE ROUTINE    *
110000**********************************
110100*
110200     COPY SS08PD.
110300/
110400*********************************
110500*    LINE 24 PF KEYS ROUTINE    *
110600*********************************
110700*
110800     COPY SS15PD.
110900/
111000*******************************************
111100*    ORG RECORD  ACCESS ROUTINES          *
111200*******************************************
111300*
111400     COPY MMOCAO.
111500/
111600************************************************
111700*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
111800************************************************
111900*
112000     COPY MMMMAO.
112100/
112200*********************************************
112300*    STORE MASTER RECORD ACCESS ROUTINES    *
112400*********************************************
112500*
112600     COPY MMSMAO.
112700/
112800******************************************************
112900*    INVENTORY CONTROL RECORD ACCESS ROUTINES        *
113000******************************************************
113100*
113200     COPY MMICAO.
113300/
113400*****************************
113500*    ONLINE MAP ROUTINES    *
113600*****************************
113700*
113800     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMV00 '
113900                           MBMAPXXI BY MBMV00I
114000                           MBMAPXXO BY MBMV00O.
114100/
114200***************************
114300*    ONLINE PROCEDURES    *
114400***************************
114500*
114600     COPY MB70PD.
114700/
114800     COPY SMFTPXO.
