000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMV01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMV01 - ON-LINE INVENTORY CONTROL ADD/MAINT/INQ        *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAV                                       *
001200*                 B. MBMV                                       *
001300*                 C. MBQV                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMV01 (SCREEN 01)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMIC (INVENTORY CONTROL MASTER FILE)       *
001800*                 B. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-INDEX            PIC S9(04)      BINARY.
003600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003700         88  WS-UPDATE-SW-YES                VALUE 'Y'.
003800         88  WS-UPDATE-SW-NO                 VALUE 'N'.
003900/
004000 01  FILLER                  PIC  X(29)      VALUE
004100     'I/O REQUEST BLOCK WORK AREAS:'.
004200*
004300     COPY MBIOWS.
004400/
004500 01  FILLER                  PIC  X(18)      VALUE
004600     'I/O REQUEST BLOCK:'.
004700*
004800     COPY MBIORO.
004900/
005000 01  FILLER                  PIC  X(25)      VALUE
005100     'LOG RECORD REQUEST BLOCK:'.
005200*
005300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005400/
005500 01  FILLER                  PIC  X(20)      VALUE
005600     'CCS DATE WORK AREAS:'.
005700*
005800     COPY SS01WS.
005900/
006000 01  FILLER                  PIC  X(15)      VALUE
006100     'CCS WORK AREAS:'.
006200*
006300     COPY SS08WS.
006400/
006500     COPY SS00WS.
006600/
006700     COPY SMFTWS.
006800/
006900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007000/
007100     COPY MB61LK.
007200/
007300 01  FILLER                  PIC  X(12)      VALUE
007400     '** WS-END **'.
007500/
007600 LINKAGE SECTION.
007700*
007800 01  DFHCOMMAREA.
007900*
008000     COPY MB60WS.
008100/
008200***********************************
008300*    INVENTORY CONTROL MAP        *
008400***********************************
008500*
008600     COPY MBMV01.
008700/
008800************************************************
008900*    INVENTORY CONTROL MAP REDEFINITION        *
009000************************************************
009100*
009200     COPY MBMV01R.
009300/
009400*********************************************
009500*    INVENTORY CONTROL RECORD LAYOUT        *
009600*********************************************
009700*
009800     COPY MMICRL.
009900/
010000***************************
010100*    LOG RECORD LAYOUT    *
010200***************************
010300*
010400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
010500/
010600 PROCEDURE DIVISION.
010700*
010800 A000-HOUSEKEEPING SECTION.
010900*
011000 A020-INIT.
011100*
011200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
011300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
011400                                 THRU MB70PD-OLH-EXIT.
011500*
011600     IF  MBCA-RECEIVE-SCREEN
011700         GO TO C000-RECEIVE-SCREEN.
011800/
011900 B000-SEND-SCREEN SECTION.
012000*
012100*********************************************
012200*    GET CICS STORAGE NEEDED FOR THE MAP    *
012300*********************************************
012400*
012500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
012600     PERFORM MB60PD-GETMAIN-FOR-MAP
012700                                 THRU MB60PD-GFM-EXIT.
012800*
012900*******************************************
013000*    INITIALIZE THE STANDARD MAP LINES    *
013100*******************************************
013200*
013300     PERFORM MB60PD-INIT-STD-MAP-LINES
013400                                 THRU MB60PD-ISML-EXIT.
013500*
013600****************************************
013700*    READ THE INVENTORY CONTROL        *
013800*    RECORD FOR SUBSEQUENT DISPLAY     *
013900****************************************
014000*
014100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG
014200                                    MV01-ORG.
014300     MOVE MBCA-S-M               TO MBIOWS-MMIC-TYPE.
014400*
014500     IF  MBCA-S-M IS EQUAL TO 'M'
014600         MOVE MBCA-MERCHANT      TO MBIOWS-MMIC-MERCHANT
014700                                    MV01-MERCHANT
014800     ELSE
014900         MOVE MBCA-STORE         TO MBIOWS-MMIC-MERCHANT
015000                                    MV01-MERCHANT.
015100*
015200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
015300     SET MBIORO-READ-RANDOM      TO TRUE.
015400     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
015500*
015600     IF  MMIC-TYPE-IS-MERCHANT
015700         MOVE 'MERCHANT'         TO MV01-MERCHANT-LIT
015800     ELSE
015900         MOVE '   STORE'         TO MV01-MERCHANT-LIT.
016000*
016100**************************************************
016200*    MOVE THE LAST MAINT DATE AND LAST MAINT     *
016300*    OPERATOR TO THE SCREEN, DEPENDING ON THE    *
016400*    FUNCTION                                    *
016500**************************************************
016600*
016700     IF  MBCA-PTI-FUNCTION-IS-ADD
016800         MOVE DFHBMDAS           TO MV01-MAINT-DATE-LIT-A
016900                                    MV01-MAINT-DATE-A
017000                                    MV01-MAINT-OPER-LIT-A
017100                                    MV01-MAINT-OPER-A
017200     ELSE
017300         MOVE MMIC-LAST-MAINT-DATE
017400                                 TO SS01WS-JULIAN
017500         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017600                                 THRU SS26PD-NED-EXIT
017700         MOVE SS01WS-XX-XX-YYYY  TO MV01-MAINT-DATE
017800         MOVE MMIC-LAST-MAINT-OPER
017900                                 TO MV01-MAINT-OPER.
018000*
018100 B020-MOVE-FIELDS-TO-SCREEN.
018200*
018300*
018400     MOVE MMIC-REC-STATUS        TO MV01-STATUS.
018500*
018600     MOVE MMIC-INVENTORY-USED-FLAG
018700                                 TO MV01-INVENTORY-USED-FLAG.
018800*
018900     MOVE MMIC-DATE-LAST-SHIPMENT
019000                                 TO SS01WS-JULIAN.
019100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019200                                 THRU SS26PD-NED-EXIT.
019300     MOVE SS01WS-XX-XX-YYYY      TO MV01-DATE-LAST-SHIPMENT.
019400*
019500     MOVE MMIC-DATE-NEXT-SHIPMENT
019600                                 TO SS01WS-JULIAN.
019700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019800                                 THRU SS26PD-NED-EXIT.
019900     MOVE SS01WS-XX-XX-YYYY      TO MV01-DATE-NEXT-SHIPMENT.
020000*
020100*
020200     IF  MMIC-SAC-USE-SECONDARY
020300         SET X-MMIC-PRIMARY      TO 2
020400     ELSE
020500         SET X-MMIC-PRIMARY      TO 1.
020600*
020700     PERFORM
020800         VARYING X-MV01-NA FROM 1 BY 1
020900         UNTIL X-MV01-NA IS GREATER THAN 5
021000         SET X-MMIC-NA           TO X-MV01-NA
021100         MOVE MMIC-NA-LINE (X-MMIC-PRIMARY X-MMIC-NA)
021200                                 TO MV01-NA-LINE (X-MV01-NA)
021300     END-PERFORM.
021400*
021500     MOVE MMIC-STATE-CODE (X-MMIC-PRIMARY)
021600                                 TO MV01-STATE.
021700     MOVE MMIC-PHONE (X-MMIC-PRIMARY)
021800                                 TO MV01-PHONE.
021900     MOVE MMIC-POSTAL-CODE (X-MMIC-PRIMARY)
022000                                 TO MV01-POSTAL-CODE.
022100     MOVE MMIC-FAX (X-MMIC-PRIMARY)
022200                                 TO MV01-FAX.
022300*
022400*
022500*
022600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
022700         PERFORM
022800             VARYING X-MV01-NA FROM 1 BY 1
022900             UNTIL X-MV01-NA IS GREATER THAN 5
023000             MOVE DFHBMASB       TO MV01-NA-LINE-A (X-MV01-NA)
023100         END-PERFORM
023200         MOVE DFHBMASB           TO MV01-STATE-A
023300                                    MV01-PHONE-A
023400                                    MV01-POSTAL-CODE-A
023500                                    MV01-FAX-A
023600                                    MV01-DATE-NEXT-SHIPMENT-A
023700                                    MV01-DATE-LAST-SHIPMENT-A
023800                                    MV01-STATUS-A
023900                                    MV01-INVENTORY-USED-FLAG-A
024000         PERFORM
024100             VARYING X-MV01-NA FROM 1 BY 1
024200             UNTIL X-MV01-NA IS GREATER THAN 5
024300             MOVE DFHBMDAS       TO MV01-NA-LINE-LP-A (X-MV01-NA)
024400                                    MV01-NA-LINE-RP-A (X-MV01-NA)
024500         END-PERFORM
024600         MOVE DFHBMDAS           TO MV01-STATE-LP-A
024700                                    MV01-STATE-RP-A
024800                                    MV01-PHONE-LP-A
024900                                    MV01-PHONE-RP-A
025000                                    MV01-POSTAL-CODE-LP-A
025100                                    MV01-POSTAL-CODE-RP-A
025200                                    MV01-FAX-LP-A
025300                                    MV01-FAX-RP-A
025400                                    MV01-STATUS-LP-A
025500                                    MV01-STATUS-RP-A
025600                                    MV01-INVENTORY-USED-FLAG-LP-A
025700                                    MV01-INVENTORY-USED-FLAG-RP-A.
025800*
025900     IF  MBCA-PTI-FUNCTION-IS-ADD
026000         MOVE DFHBMDAS           TO MV01-STATUS-LIT-A
026100                                    MV01-STATUS-LP-A
026200                                    MV01-STATUS-RP-A
026300                                    MV01-STATUS-A.
026400*
026500******************************************
026600*    SET THE CURSOR AND SCREEN NUMBER    *
026700******************************************
026800*
026900     MOVE SS08WS-CURSOR          TO MV01-INVENTORY-USED-FLAG-L.
027000*
027100     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
027200*
027300**********************
027400*    SEND THE MAP    *
027500**********************
027600*
027700*********************************************************
027800*    STATUS FIELDS ARE DARKENED FOR THIS RELEASE        *
027900*********************************************************
028000     MOVE DFHBMDAS               TO MV01-STATUS-LIT-A
028100                                    MV01-STATUS-LP-A
028200                                    MV01-STATUS-RP-A
028300                                    MV01-STATUS-A.
028400*
028500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
028600*
028700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
028800                                 THRU MB60PD-SMWE-EXIT.
028900*
029000************************
029100*    RETURN TO CICS    *
029200************************
029300*
029400     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
029500     PERFORM MB70PD-RETURN-TRANS-ID
029600                                 THRU MB70PD-RTI-EXIT.
029700/
029800 C000-RECEIVE-SCREEN SECTION.
029900*
030000******************************************
030100*    THIS SECTION RECEIVES THE SCREEN    *
030200******************************************
030300*
030400     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
030500     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
030600*
030700**************************************************************
030800*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
030900**************************************************************
031000*
031100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
031200     PERFORM MB60PD-NEW-TRANS-ROUTINE
031300                                 THRU MB60PD-NTR-EXIT.
031400*
031500***********************************************
031600*    READ THE INVENTORY CONTROL RECORD        *
031700***********************************************
031800*
031900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG
032000                                    MV01-ORG.
032100     MOVE MBCA-S-M               TO MBIOWS-MMIC-TYPE.
032200*
032300     IF  MBCA-S-M IS EQUAL TO 'M'
032400         MOVE MBCA-MERCHANT      TO MBIOWS-MMIC-MERCHANT
032500                                    MV01-MERCHANT
032600     ELSE
032700         MOVE MBCA-STORE         TO MBIOWS-MMIC-MERCHANT
032800                                    MV01-MERCHANT.
032900*
033000     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
033100     SET MBIORO-READ-RANDOM      TO TRUE.
033200     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
033300*
033400     IF  MMIC-TYPE-IS-MERCHANT
033500         MOVE 'MERCHANT'         TO MV01-MERCHANT-LIT
033600     ELSE
033700         MOVE '   STORE'         TO MV01-MERCHANT-LIT.
033800*
033900*********************************************
034000*    BYPASS THE EDITS IF THIS IS INQUIRY    *
034100*********************************************
034200*
034300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
034400         GO TO F000-SETUP-COMMAREA.
034500*
034600***********************************************************
034700*    MOVE THE LAST MAINT DATE AND LAST MAINT OPERATOR,    *
034800*    DEPENDING ON THE FUNCTION                            *
034900***********************************************************
035000*
035100     IF  MBCA-PTI-FUNCTION-IS-ADD
035200         MOVE DFHBMDAS           TO MV01-MAINT-DATE-LIT-A
035300                                    MV01-MAINT-DATE-A
035400                                    MV01-MAINT-OPER-LIT-A
035500                                    MV01-MAINT-OPER-A
035600     ELSE
035700         MOVE MMIC-LAST-MAINT-DATE
035800                                 TO SS01WS-JULIAN
035900         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
036000                                 THRU SS26PD-NED-EXIT
036100         MOVE SS01WS-XX-XX-YYYY  TO MV01-MAINT-DATE
036200         MOVE MMIC-LAST-MAINT-OPER
036300                                 TO MV01-MAINT-OPER.
036400*
036500 C020-FIELD-EDITS.
036600*
036700*********************
036800*    FIELD EDITS    *
036900*********************
037000*
037100     IF  MMIC-SAC-USE-SECONDARY
037200         SET X-MMIC-PRIMARY      TO 2
037300     ELSE
037400         SET X-MMIC-PRIMARY      TO 1.
037500*
037600*            ***** STATUS FIELD *****                         *
037700*
037800     IF  MBCA-PTI-FUNCTION-IS-ADD
037900         MOVE DFHBMDAS           TO MV01-STATUS-LIT-A
038000                                    MV01-STATUS-A
038100                                    MV01-STATUS-LP-A
038200                                    MV01-STATUS-RP-A
038300     ELSE
038400         IF  MV01-STATUS-L IS EQUAL TO ZERO
038500             MOVE DFHBMASK       TO MV01-STATUS-A
038600             MOVE DFHBMDAS       TO MV01-STATUS-LP-A
038700                                    MV01-STATUS-RP-A
038800             MOVE MMIC-REC-STATUS
038900                                 TO MV01-STATUS
039000         ELSE
039100             IF  MV01-STATUS IS NOT NUMERIC
039200                 MOVE 'Y'        TO SS08WS-ERROR
039300                 MOVE DFHBMASB   TO MV01-STATUS-LP-A
039400                                    MV01-STATUS-RP-A
039500                 MOVE DFHBMNBF   TO MV01-STATUS-A
039600                 MOVE SS08WS-CURSOR TO MV01-STATUS-L
039700             ELSE
039800                 MOVE MV01-STATUS
039900                                 TO MMIC-REC-STATUS
040000                 IF  MMIC-REC-ACTIVE
040100                 OR  MMIC-REC-INACTIVE
040200                     MOVE DFHBMASF
040300                                 TO MV01-STATUS-A
040400                 ELSE
040500                     MOVE 'Y'    TO SS08WS-ERROR
040600                     MOVE DFHBMASB
040700                                 TO MV01-STATUS-LP-A
040800                                    MV01-STATUS-RP-A
040900                     MOVE DFHBMNBF
041000                                 TO MV01-STATUS-A
041100                     MOVE SS08WS-CURSOR
041200                                 TO MV01-STATUS-L.
041300*
041400*            ***** INVENTORY USED FLAG *****                  *
041500*
041600     IF  MV01-INVENTORY-USED-FLAG-L IS LESS THAN 1
041700         MOVE DFHBMASK           TO MV01-INVENTORY-USED-FLAG-A
041800         MOVE DFHBMDAS           TO MV01-INVENTORY-USED-FLAG-LP-A
041900                                    MV01-INVENTORY-USED-FLAG-RP-A
042000         MOVE MMIC-INVENTORY-USED-FLAG
042100                                 TO MV01-INVENTORY-USED-FLAG
042200     ELSE
042300         IF  MV01-VALID-INVENTORY-USED-FLAG
042400             MOVE DFHBMASF       TO MV01-INVENTORY-USED-FLAG-A
042500             MOVE DFHBMDAS       TO MV01-INVENTORY-USED-FLAG-LP-A
042600                                    MV01-INVENTORY-USED-FLAG-RP-A
042700             MOVE MV01-INVENTORY-USED-FLAG
042800                                 TO MMIC-INVENTORY-USED-FLAG
042900             SET WS-UPDATE-SW-YES
043000                                 TO TRUE
043100         ELSE
043200             MOVE 'Y'            TO SS08WS-ERROR
043300             MOVE DFHBMASB       TO MV01-INVENTORY-USED-FLAG-LP-A
043400                                    MV01-INVENTORY-USED-FLAG-RP-A
043500             MOVE DFHBMUBF       TO MV01-INVENTORY-USED-FLAG-A
043600             MOVE SS08WS-CURSOR  TO MV01-INVENTORY-USED-FLAG-L.
043700*
043800*            ***** NAME ADDRESS LINES *****                    *
043900*
044000     PERFORM
044100         VARYING X-MV01-NA FROM 1 BY 1
044200         UNTIL X-MV01-NA IS GREATER THAN 5
044300         SET X-MMIC-NA           TO X-MV01-NA
044400         EVALUATE TRUE
044500         WHEN  MV01-NA-LINE-L (X-MV01-NA) IS LESS THAN 1
044600             MOVE DFHBMASK       TO MV01-NA-LINE-A (X-MV01-NA)
044700             MOVE DFHBMDAS       TO MV01-NA-LINE-LP-A (X-MV01-NA)
044800                                    MV01-NA-LINE-RP-A (X-MV01-NA)
044900             MOVE MMIC-NA-LINE (X-MMIC-PRIMARY X-MMIC-NA)
045000                                 TO MV01-NA-LINE (X-MV01-NA)
045100         WHEN OTHER
045200             MOVE DFHBMASF       TO MV01-NA-LINE-A (X-MV01-NA)
045300             MOVE DFHBMDAS       TO MV01-NA-LINE-LP-A (X-MV01-NA)
045400                                    MV01-NA-LINE-RP-A (X-MV01-NA)
045500             MOVE MV01-NA-LINE (X-MV01-NA)
045600                                 TO MMIC-NA-LINE
045700                                    (X-MMIC-PRIMARY X-MMIC-NA)
045800             SET WS-UPDATE-SW-YES
045900                                 TO TRUE
046000         END-EVALUATE
046100     END-PERFORM.
046200*
046300*            ***** STATE/PROVINCE *****                        *
046400*
046500     IF  MV01-STATE-L IS LESS THAN 1
046600         MOVE DFHBMASK           TO MV01-STATE-A
046700         MOVE DFHBMDAS           TO MV01-STATE-LP-A
046800                                    MV01-STATE-RP-A
046900         MOVE MMIC-STATE-CODE (X-MMIC-PRIMARY)
047000                                 TO MV01-STATE
047100     ELSE
047200         MOVE DFHBMASF           TO MV01-STATE-A
047300         MOVE DFHBMDAS           TO MV01-STATE-LP-A
047400                                    MV01-STATE-RP-A
047500         SET WS-UPDATE-SW-YES    TO TRUE.
047600*
047700*            ***** PHONE NUMBER *****                          *
047800*
047900     IF  MV01-PHONE-L IS LESS THAN 1
048000         MOVE DFHBMASK           TO MV01-PHONE-A
048100         MOVE DFHBMDAS           TO MV01-PHONE-LP-A
048200                                    MV01-PHONE-RP-A
048300         MOVE MMIC-PHONE (X-MMIC-PRIMARY)
048400                                 TO MV01-PHONE
048500     ELSE
048600         MOVE DFHBMASF           TO MV01-PHONE-A
048700         MOVE DFHBMDAS           TO MV01-PHONE-LP-A
048800                                    MV01-PHONE-RP-A
048900         MOVE MV01-PHONE         TO MMIC-PHONE (X-MMIC-PRIMARY)
049000         SET WS-UPDATE-SW-YES    TO TRUE.
049100*
049200*            ***** FAX PHONE NUMBER *****                      *
049300*
049400     IF  MV01-FAX-L IS LESS THAN 1
049500         MOVE DFHBMASK           TO MV01-FAX-A
049600         MOVE DFHBMDAS           TO MV01-FAX-LP-A
049700                                    MV01-FAX-RP-A
049800         MOVE MMIC-FAX (X-MMIC-PRIMARY)
049900                                 TO MV01-FAX
050000     ELSE
050100         MOVE DFHBMASF           TO MV01-FAX-A
050200         MOVE DFHBMDAS           TO MV01-FAX-LP-A
050300                                    MV01-FAX-RP-A
050400         MOVE MV01-FAX           TO MMIC-FAX (X-MMIC-PRIMARY)
050500         SET WS-UPDATE-SW-YES    TO TRUE.
050600*
050700*            ***** POSTAL CODE *****                           *
050800*
050900     IF  MBCA-PTI-FUNCTION-IS-ADD
051000     AND MV01-POSTAL-CODE-L IS LESS THAN 1
051100         MOVE DFHBMUBF           TO MV01-POSTAL-CODE-A
051200         MOVE DFHBMASB           TO MV01-POSTAL-CODE-LP-A
051300                                    MV01-POSTAL-CODE-RP-A
051400         MOVE SS08WS-CURSOR      TO MV01-POSTAL-CODE-L
051500         SET SS08WS-ERROR-SW-YES TO TRUE
051600     ELSE
051700         IF  MV01-POSTAL-CODE-L IS LESS THAN 1
051800             MOVE DFHBMASK       TO MV01-POSTAL-CODE-A
051900             MOVE DFHBMDAS       TO MV01-POSTAL-CODE-LP-A
052000                                    MV01-POSTAL-CODE-RP-A
052100             MOVE MMIC-POSTAL-CODE (X-MMIC-PRIMARY)
052200                                 TO MV01-POSTAL-CODE
052300         ELSE
052400             IF  MV01-POSTAL-CODE IS EQUAL TO SPACES
052500                 MOVE DFHBMUBF   TO MV01-POSTAL-CODE-A
052600                 MOVE DFHBMASB   TO MV01-POSTAL-CODE-LP-A
052700                                    MV01-POSTAL-CODE-RP-A
052800                 MOVE SS08WS-CURSOR TO MV01-POSTAL-CODE-L
052900                 SET SS08WS-ERROR-SW-YES
053000                                 TO TRUE
053100             ELSE
053200                 MOVE DFHBMASF   TO MV01-POSTAL-CODE-A
053300                 MOVE DFHBMDAS   TO MV01-POSTAL-CODE-LP-A
053400                                    MV01-POSTAL-CODE-RP-A
053500                 MOVE MV01-POSTAL-CODE
053600                                 TO MMIC-POSTAL-CODE
053700                                    (X-MMIC-PRIMARY)
053800                 SET WS-UPDATE-SW-YES
053900                                 TO TRUE.
054000/
054100 D000-RETURN-ERRORS SECTION.
054200*
054300     IF  SS08WS-ERROR IS EQUAL TO 'N'
054400         GO TO E000-UPDATE-FILE.
054500*
054600***************************************************************
054700*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
054800*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
054900*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
055000***************************************************************
055100*
055200     PERFORM MB60PD-INIT-STD-MAP-LINES
055300                                 THRU MB60PD-ISML-EXIT.
055400*
055500**********************
055600*    SEND THE MAP    *
055700**********************
055800*
055900*********************************************************
056000*    STATUS FIELDS ARE DARKENED FOR THIS RELEASE        *
056100*********************************************************
056200     MOVE DFHBMDAS               TO MV01-STATUS-LIT-A
056300                                    MV01-STATUS-LP-A
056400                                    MV01-STATUS-RP-A
056500                                    MV01-STATUS-A.
056600*
056700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
056800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
056900                                 THRU MB60PD-SMDO-EXIT.
057000*
057100************************
057200*    RETURN TO CICS    *
057300************************
057400*
057500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
057600     PERFORM MB70PD-RETURN-TRANS-ID
057700                                 THRU MB70PD-RTI-EXIT.
057800/
057900 E000-UPDATE-FILE SECTION.
058000*
058100********************************************************
058200*    READ THE INVENTORY CONTROL RECORD FOR UPDATE      *
058300********************************************************
058400*
058500     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
058600     SET MBIORO-READ-RANDOM-UPDATE
058700                                 TO TRUE.
058800     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
058900*
059000*****************************************************
059100*    OBTAIN STORAGE FOR LOG FILE RECORD             *
059200*****************************************************
059300*
059400     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
059500     SET MBIORO-GETMAIN          TO TRUE.
059600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
059700*
059800*************************************************
059900*    SET UP THE COMMON PORTION OF THE RECORD    *
060000*************************************************
060100*
060200     MOVE 'IC'                   TO MML1-FILE-CODE.
060300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMIC-ORG.
060400*
060500     IF  MBCA-S-M IS EQUAL TO 'S'
060600         MOVE MBCA-STORE         TO MML1-MMIC-MERCHANT
060700     ELSE
060800         MOVE MBCA-MERCHANT      TO MML1-MMIC-MERCHANT.
060900*
061000     MOVE MBCA-S-M               TO MML1-MMIC-TYPE.
061100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
061200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
061300     MOVE ZEROS                  TO MML1-SOURCE-CODE.
061400*
061500 E020-UPDATE-FIELDS.
061600*
061700     IF  MMIC-SAC-USE-SECONDARY
061800         SET X-MMIC-PRIMARY      TO 2
061900     ELSE
062000         SET X-MMIC-PRIMARY      TO 1.
062100*
062200*            ***** STATUS *****                                *
062300*
062400     IF  MV01-STATUS-L IS GREATER THAN ZERO
062500         IF  MV01-STATUS IS NOT EQUAL TO MMIC-REC-STATUS
062600             SET WS-UPDATE-SW-YES
062700                                 TO TRUE
062800             IF  MBCA-PTI-FUNCTION-IS-MAINT
062900                 MOVE 0101       TO MML1-FIELD-CODE
063000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
063100                                    MML1-FIELD-OCCURRENCE-2
063200                 MOVE MML1WS-VL-01
063300                                 TO MML1-VARIABLE-LENGTH
063400                 MOVE MMIC-REC-STATUS
063500                                 TO MML1-VL01-B-DATA-9
063600                 MOVE MV01-STATUS
063700                                 TO MMIC-REC-STATUS
063800                 MOVE MMIC-REC-STATUS
063900                                 TO MML1-VL01-A-DATA-9
064000                 MOVE 'FC04'     TO MBCA-PROGRAM-LOCATION
064100                 PERFORM Y900-WRITE-LOG-RECORD
064200                                 THRU Y909-WLR-EXIT
064300             ELSE
064400                 MOVE MV01-STATUS
064500                                 TO MMIC-REC-STATUS.
064600*
064700*            ***** INVENTORY USED FLAG *****                   *
064800*
064900     IF  MV01-INVENTORY-USED-FLAG-L IS GREATER THAN ZERO
065000         IF  MV01-INVENTORY-USED-FLAG IS NOT EQUAL TO
065100             MMIC-INVENTORY-USED-FLAG
065200             SET WS-UPDATE-SW-YES
065300                                 TO TRUE
065400             IF  MBCA-PTI-FUNCTION-IS-MAINT
065500                 MOVE 0102       TO MML1-FIELD-CODE
065600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
065700                                    MML1-FIELD-OCCURRENCE-2
065800                 MOVE MML1WS-VL-01
065900                                 TO MML1-VARIABLE-LENGTH
066000                 MOVE MMIC-INVENTORY-USED-FLAG
066100                                 TO MML1-VL01-B-DATA-X
066200                 MOVE MV01-INVENTORY-USED-FLAG
066300                                 TO MMIC-INVENTORY-USED-FLAG
066400                 MOVE MMIC-INVENTORY-USED-FLAG
066500                                 TO MML1-VL01-A-DATA-X
066600                 MOVE 'FC05'     TO MBCA-PROGRAM-LOCATION
066700                 PERFORM Y900-WRITE-LOG-RECORD
066800                                 THRU Y909-WLR-EXIT
066900             ELSE
067000                 MOVE MV01-INVENTORY-USED-FLAG
067100                                 TO MMIC-INVENTORY-USED-FLAG.
067200*
067300*            ***** NAME ADDRESS *****                          *
067400*
067500     PERFORM
067600         VARYING X-MMIC-NA FROM 1 BY 1
067700         UNTIL X-MMIC-NA IS GREATER THAN 5
067800         SET X-MV01-NA           TO X-MMIC-NA
067900         SET WS-INDEX            TO X-MMIC-NA
068000         IF  MV01-NA-LINE-L (X-MV01-NA) IS GREATER THAN ZEROES
068100             IF  MV01-NA-LINE (X-MV01-NA) IS NOT EQUAL TO
068200                 MMIC-NA-LINE (X-MMIC-PRIMARY X-MMIC-NA)
068300                 SET WS-UPDATE-SW-YES
068400                                 TO TRUE
068500               IF  MBCA-PTI-FUNCTION-IS-MAINT
068600                 SET MML1-FIELD-OCCURRENCE
068700                                 TO X-MMIC-PRIMARY
068800                 MOVE WS-INDEX   TO MML1-FIELD-OCCURRENCE-2
068900                 MOVE 0103       TO MML1-FIELD-CODE
069000                 MOVE MML1WS-VL-40
069100                                 TO MML1-VARIABLE-LENGTH
069200                 MOVE MMIC-NA-LINE (X-MMIC-PRIMARY X-MMIC-NA)
069300                                 TO MML1-VL40-B-DATA-X
069400                 MOVE MV01-NA-LINE (X-MV01-NA)
069500                                 TO MMIC-NA-LINE
069600                                    (X-MMIC-PRIMARY X-MMIC-NA)
069700                 MOVE MMIC-NA-LINE (X-MMIC-PRIMARY X-MMIC-NA)
069800                                 TO MML1-VL40-A-DATA-X
069900                 PERFORM Y900-WRITE-LOG-RECORD
070000                                 THRU Y909-WLR-EXIT
070100               ELSE
070200                 MOVE MV01-NA-LINE (X-MV01-NA)
070300                                 TO MMIC-NA-LINE
070400                                    (X-MMIC-PRIMARY X-MMIC-NA)
070500               END-IF
070600             END-IF
070700         END-IF
070800     END-PERFORM.
070900*
071000*            ***** STATE *****                                 *
071100*
071200     IF  MV01-STATE-L IS GREATER THAN ZERO
071300         IF  MV01-STATE IS NOT EQUAL TO
071400             MMIC-STATE-CODE (X-MMIC-PRIMARY)
071500             SET WS-UPDATE-SW-YES
071600                                 TO TRUE
071700             IF  MBCA-PTI-FUNCTION-IS-MAINT
071800                 SET MML1-FIELD-OCCURRENCE
071900                                 TO X-MMIC-PRIMARY
072000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
072100                 MOVE 0104       TO MML1-FIELD-CODE
072200                 MOVE MML1WS-VL-03
072300                                 TO MML1-VARIABLE-LENGTH
072400                 MOVE MMIC-STATE-CODE (X-MMIC-PRIMARY)
072500                                 TO MML1-VL03-B-DATA-X
072600                 MOVE MV01-STATE TO MMIC-STATE-CODE
072700                                    (X-MMIC-PRIMARY)
072800                 MOVE MMIC-STATE-CODE (X-MMIC-PRIMARY)
072900                                 TO MML1-VL03-A-DATA-X
073000                 PERFORM Y900-WRITE-LOG-RECORD
073100                                 THRU Y909-WLR-EXIT
073200            ELSE
073300                 MOVE MV01-STATE TO MMIC-STATE-CODE
073400                                    (X-MMIC-PRIMARY).
073500*
073600*            ***** PHONE NUMBER *****                          *
073700*
073800     IF  MV01-PHONE-L IS GREATER THAN ZERO
073900         IF  MV01-PHONE IS NOT EQUAL TO
074000             MMIC-PHONE (X-MMIC-PRIMARY)
074100             SET WS-UPDATE-SW-YES
074200                                 TO TRUE
074300             IF  MBCA-PTI-FUNCTION-IS-MAINT
074400                 SET MML1-FIELD-OCCURRENCE
074500                                 TO X-MMIC-PRIMARY
074600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
074700                 MOVE 0105       TO MML1-FIELD-CODE
074800                 MOVE MML1WS-VL-20
074900                                 TO MML1-VARIABLE-LENGTH
075000                 MOVE MMIC-PHONE (X-MMIC-PRIMARY)
075100                                 TO MML1-VL20-B-DATA-X
075200                 MOVE MV01-PHONE TO MMIC-PHONE (X-MMIC-PRIMARY)
075300                 MOVE MMIC-PHONE (X-MMIC-PRIMARY)
075400                                 TO MML1-VL20-A-DATA-X
075500                 PERFORM Y900-WRITE-LOG-RECORD
075600                                 THRU Y909-WLR-EXIT
075700             ELSE
075800                 MOVE MV01-PHONE TO MMIC-PHONE (X-MMIC-PRIMARY).
075900*
076000*            ***** POSTAL CODE *****                           *
076100*
076200     IF  MV01-POSTAL-CODE-L IS GREATER THAN ZERO
076300         IF  MV01-POSTAL-CODE IS NOT EQUAL TO
076400             MMIC-POSTAL-CODE (X-MMIC-PRIMARY)
076500             SET WS-UPDATE-SW-YES
076600                                 TO TRUE
076700             IF  MBCA-PTI-FUNCTION-IS-MAINT
076800                 SET MML1-FIELD-OCCURRENCE
076900                                 TO X-MMIC-PRIMARY
077000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
077100                 MOVE 0106       TO MML1-FIELD-CODE
077200                 MOVE MML1WS-VL-10
077300                                 TO MML1-VARIABLE-LENGTH
077400                 MOVE MMIC-POSTAL-CODE (X-MMIC-PRIMARY)
077500                                 TO MML1-VL10-B-DATA-X
077600                 MOVE MV01-POSTAL-CODE
077700                                 TO MMIC-POSTAL-CODE
077800                                    (X-MMIC-PRIMARY)
077900                 MOVE MMIC-POSTAL-CODE (X-MMIC-PRIMARY)
078000                                 TO MML1-VL10-A-DATA-X
078100                 PERFORM Y900-WRITE-LOG-RECORD
078200                                 THRU Y909-WLR-EXIT
078300             ELSE
078400                 MOVE MV01-POSTAL-CODE
078500                                 TO MMIC-POSTAL-CODE
078600                                    (X-MMIC-PRIMARY).
078700*
078800*            ***** FAX PHONE NUMBER *****                      *
078900*
079000     IF  MV01-FAX-L IS GREATER THAN ZERO
079100         IF  MV01-FAX IS NOT EQUAL TO
079200             MMIC-FAX (X-MMIC-PRIMARY)
079300             SET WS-UPDATE-SW-YES
079400                                 TO TRUE
079500             IF  MBCA-PTI-FUNCTION-IS-MAINT
079600                 SET MML1-FIELD-OCCURRENCE
079700                                 TO X-MMIC-PRIMARY
079800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
079900                 MOVE 0107       TO MML1-FIELD-CODE
080000                 MOVE MML1WS-VL-20
080100                                 TO MML1-VARIABLE-LENGTH
080200                 MOVE MMIC-FAX (X-MMIC-PRIMARY)
080300                                 TO MML1-VL20-B-DATA-X
080400                 MOVE MV01-FAX   TO MMIC-FAX (X-MMIC-PRIMARY)
080500                 MOVE MMIC-FAX (X-MMIC-PRIMARY)
080600                                 TO MML1-VL20-A-DATA-X
080700                 PERFORM Y900-WRITE-LOG-RECORD
080800                                 THRU Y909-WLR-EXIT
080900             ELSE
081000                 MOVE MV01-FAX   TO MMIC-FAX (X-MMIC-PRIMARY).
081100*
081200 E040-UPDATE-MMIC.
081300*
081400*******************************************************
081500*    IF THIS IS THE ADD FUNCTION AND THE INVENTORY    *
081600*    FEATURE OF THE SYSTEM IS NOT BEING USED, MAKE    *
081700*    THE INVENTORY CONTROL RECORD ACTIVE AND          *
081800*    WRITE THE LOG RECORD FOR THE ADD.                *
081900*******************************************************
082000*
082100     IF  MBCA-PTI-FUNCTION-IS-ADD
082200         SET WS-UPDATE-SW-YES    TO TRUE
082300         MOVE MBCA-START-DATE    TO MMIC-LAST-MAINT-DATE
082400         MOVE MBCA-OPERATOR-ID   TO MMIC-LAST-MAINT-OPER
082500         MOVE MBCA-SCREEN-NBR    TO MMIC-ONLINE-STATUS.
082600*
082700**************************************************************
082800*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
082900*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
083000*    ON THE SCREEN                                           *
083100**************************************************************
083200*
083300     IF  MBCA-PTI-FUNCTION-IS-MAINT
083400     AND WS-UPDATE-SW-YES
083500         MOVE 0198               TO MML1-FIELD-CODE
083600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
083700                                    MML1-FIELD-OCCURRENCE-2
083800         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
083900         MOVE MMIC-LAST-MAINT-OPER
084000                                 TO MML1-VL03-B-DATA-X
084100         MOVE MBCA-OPERATOR-ID   TO MMIC-LAST-MAINT-OPER
084200         MOVE MMIC-LAST-MAINT-OPER
084300                                 TO MML1-VL03-A-DATA-X
084400         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
084500         PERFORM Y900-WRITE-LOG-RECORD
084600                                 THRU Y909-WLR-EXIT
084700         MOVE 0199               TO MML1-FIELD-CODE
084800         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
084900         MOVE MMIC-LAST-MAINT-DATE
085000                                 TO MML1-VL07-B-DATA-9
085100         MOVE MBCA-START-DATE    TO MMIC-LAST-MAINT-DATE
085200         MOVE MMIC-LAST-MAINT-DATE
085300                                 TO MML1-VL07-A-DATA-9
085400         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
085500         PERFORM Y900-WRITE-LOG-RECORD
085600                                 THRU Y909-WLR-EXIT.
085700*
085800*****************************************************
085900*    REWRITE THE INVENTORY/ASSOCIAITON RECORD IF    *
086000*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR     *
086100*    UNLOCK IT IF THEY HAVE NOT                     *
086200*****************************************************
086300*
086400     IF  WS-UPDATE-SW-YES
086500         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
086600         SET MBIORO-REWRITE      TO TRUE
086700         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT
086800     ELSE
086900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
087000         SET MBIORO-UNLOCK       TO TRUE
087100         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT.
087200/
087300 F000-SETUP-COMMAREA SECTION.
087400*
087500***************************************************************
087600*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
087700***************************************************************
087800*
087900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
088000*
088100************************************************************
088200*    IF THE INVENTORY FEATURE OF THE SYSTEM IS NOT         *
088300*    BEING USED, SET THE MBCA-MAX-SCREEN-NBR TO THIS       *
088400*    SCREEN-NBR.                                           *
088500************************************************************
088600*
088700     PERFORM MB60PD-EDIT-PAGE-NBR
088800                                 THRU MB60PD-EPN-EXIT.
088900*
089000     IF  SS08WS-VALID-PF-KEY
089100     OR  SS08WS-EIBAID-VALID-PF-KEY
089200         MOVE 99                 TO MBCA-SCREEN-NBR.
089300*
089400     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
089500     PERFORM MB70PD-XCTL-TO-MBOXCTL
089600                                 THRU MB70PD-XTM-EXIT.
089700*
089800 Y900-WRITE-LOG-RECORD.
089900*
090000     SET MBIORO-WRITE            TO TRUE.
090100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
090200     MOVE SPACES                 TO MML1-VARIABLE-AREA.
090300*
090400 Y909-WLR-EXIT.
090500     EXIT.
090600/
090700 Z000-COPIED-ROUTINES SECTION.
090800*
090900/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
091000     COPY SS26PD.
091100*
091200/    ROUTINE TO NUMERICALLY EDIT TIME
091300     COPY SS27PD.
091400*
091500**********************************
091600*    JUL TO GREG DATE ROUTINE    *
091700**********************************
091800*
091900     COPY SS08PD.
092000/
092100*********************************
092200*    LINE 24 PF KEYS ROUTINE    *
092300*********************************
092400*
092500     COPY SS15PD.
092600/
092700******************************************************
092800*    INVENTORY CONTROL RECORD ACCESS ROUTINES        *
092900******************************************************
093000*
093100     COPY MMICAO.
093200/
093300*****************************************
093400*    LOG FILE RECORD ACCESS ROUTINES    *
093500*****************************************
093600*
093700     COPY MML1AO.
093800/
093900*****************************
094000*    ONLINE MAP ROUTINES    *
094100*****************************
094200*
094300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMV01 '
094400                           MBMAPXXI BY MBMV01I
094500                           MBMAPXXO BY MBMV01O.
094600/
094700***************************
094800*    ONLINE PROCEDURES    *
094900***************************
095000*
095100     COPY MB70PD.
095200/
095300     COPY SMFTPXO.
