000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMV03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMV03 - ON-LINE INVENTORY CONTROL ADD/MAINT/INQ        *
000800*                SCREENS 03 THRU 08                             *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAV                                       *
001200*                 B. MBMV                                       *
001300*                 C. MBQV                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMV03 (SCREENS 03 THRU 07)                *
001600*              3. FILES USED -                                  *
001700*                 A. MMIC (INVENTORY CONTROL FILE)              *
001800*                 B. MMOC (ORGANIZATION FILE)                   *
001900*                 C. MML1 (LOG FILE)                            *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE
003000     '** WS-BEG **'.
003100*
003200 01  FILLER                  PIC  X(14)      VALUE
003300     'MISCELLANEOUS:'.
003400*
003500 01  WS-MISCELLANEOUS.
003600*
003700*
003800     03  WS-BEG-INDEX        PIC S9(04)      BINARY
003900                                             VALUE ZEROES.
004000*
004100     03  WS-NEXT-SHIPMENT-BASE-DATES         VALUE ZEROES.
004200         05  WS-NEXT-SHIPMENT-BASE-DATE
004300                             PIC  9(07)      OCCURS 3 TIMES
004400                                             INDEXED BY
004500                                             X-WS-NEXT-SHIP-BASE.
004600*
004700     03  WS-LAST-SHIPMENT-DATE-SWS           VALUE 'NNN'.
004800         05  WS-LAST-SHIPMENT-DATE-SW
004900                             PIC  X(01)      OCCURS 3 TIMES
005000                                             INDEXED BY
005100                                             X-WS-LAST-SHIP-DATE.
005200         88  LAST-SHIP-DATE-WAS-ALTERED      VALUE 'Y'.
005300         88  LAST-SHIP-DATE-NOT-ALTERED      VALUE 'N'.
005400*
005500     03  WS-LAST-SHIPMENT-QTY-SWS            VALUE 'NNN'.
005600         05  WS-LAST-SHIPMENT-QTY-SW
005700                             PIC  X(01)      OCCURS 3 TIMES
005800                                             INDEXED BY
005900                                             X-WS-LAST-SHIP-QTY.
006000         88  LAST-SHIP-QTY-WAS-ALTERED       VALUE 'Y'.
006100         88  LAST-SHIP-QTY-NOT-ALTERED       VALUE 'N'.
006200*
006300     03  WS-LAST-SHIP-DATE-CALC-SW
006400                             PIC  X(01)      VALUE 'N'.
006500         88  LAST-SHIP-DATE-WAS-CALCULATED   VALUE 'Y'.
006600         88  LAST-SHIP-DATE-NOT-CALCULATED   VALUE 'N'.
006700*
006800     03  WS-NEXT-SHIPMENT-DATE-SWS           VALUE 'NNN'.
006900         05  WS-NEXT-SHIPMENT-DATE-SW
007000                             PIC  X(01)      OCCURS 3 TIMES
007100                                             INDEXED BY
007200                                             X-WS-NEXT-SHIP-DATE.
007300         88  NEXT-SHIP-DATE-IS-MANUAL        VALUE 'M'.
007400         88  NEXT-SHIP-DATE-IS-AUTO          VALUE 'A'.
007500         88  NEXT-SHIP-DATE-NOT-ALTERED      VALUE 'N'.
007600*
007700     03  WS-NEXT-SHIPMENT-QTY-SWS            VALUE 'NNN'.
007800         05  WS-NEXT-SHIPMENT-QTY-SW
007900                             PIC  X(01)      OCCURS 3 TIMES
008000                                             INDEXED BY
008100                                             X-WS-NEXT-SHIP-QTY.
008200         88  NEXT-SHIP-QTY-IS-MANUAL         VALUE 'M'.
008300         88  NEXT-SHIP-QTY-IS-AUTO           VALUE 'A'.
008400         88  NEXT-SHIP-QTY-NOT-ALTERED       VALUE 'N'.
008500*
008600     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
008700         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
008800         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
008900*
009000     03  WS-ITEM-CODE-ERROR-SW
009100                             PIC  X(01)      VALUE 'N'.
009200         88  ITEM-CODE-ERRORS-EXIST          VALUE 'Y'.
009300         88  NO-ITEM-CODE-ERRORS-EXIST       VALUE 'N'.
009400*
009500     03  WS-ITEM-DESC-ERROR-SW
009600                             PIC  X(01)      VALUE 'N'.
009700         88  ITEM-DESC-ERRORS-EXIST          VALUE 'Y'.
009800         88  NO-ITEM-DESC-ERRORS-EXIST       VALUE 'N'.
009900*
010000     03  WS-QTY-ON-HAND-ERROR-SW
010100                             PIC  X(01)      VALUE 'N'.
010200         88  QTY-ON-HAND-ERRORS-EXIST        VALUE 'Y'.
010300         88  NO-QTY-ON-HAND-ERRORS-EXIST     VALUE 'N'.
010400*
010500     03  WS-BUNDLE-AMT-ERROR-SW
010600                             PIC  X(01)      VALUE 'N'.
010700         88  BUNDLE-AMT-ERRORS-EXIST         VALUE 'Y'.
010800         88  NO-BUNDLE-AMT-ERRORS-EXIST      VALUE 'N'.
010900*
011000     03  WS-BUNDLE-QTY-ERROR-SW
011100                             PIC  X(01)      VALUE 'N'.
011200         88  BUNDLE-QTY-ERRORS-EXIST         VALUE 'Y'.
011300         88  NO-BUNDLE-QTY-ERRORS-EXIST      VALUE 'N'.
011400*
011500     03  WS-NORM-SHIP-FREQ-ERROR-SW
011600                             PIC  X(01)      VALUE 'N'.
011700         88  NORM-SHIP-FREQ-ERRORS-EXIST     VALUE 'Y'.
011800         88  NO-NORM-SHIP-FREQ-ERRORS-EXIST  VALUE 'N'.
011900*
012000     03  WS-NORM-SHIP-QTY-ERROR-SW
012100                             PIC  X(01)      VALUE 'N'.
012200         88  NORM-SHIP-QTY-ERRORS-EXIST      VALUE 'Y'.
012300         88  NO-NORM-SHIP-QTY-ERRORS-EXIST   VALUE 'N'.
012400*
012500     03  WS-LAST-SHIP-DATE-ERROR-SW
012600                             PIC  X(01)      VALUE 'N'.
012700         88  LAST-SHIP-DATE-ERRORS-EXIST     VALUE 'Y'.
012800         88  NO-LAST-SHIP-DATE-ERRORS-EXIST  VALUE 'N'.
012900*
013000     03  WS-LAST-SHIP-QTY-ERROR-SW
013100                             PIC  X(01)      VALUE 'N'.
013200         88  LAST-SHIP-QTY-ERRORS-EXIST      VALUE 'Y'.
013300         88  NO-LAST-SHIP-QTY-ERRORS-EXIST   VALUE 'N'.
013400*
013500     03  WS-NEXT-SHIP-DATE-ERROR-SW
013600                             PIC  X(01)      VALUE 'N'.
013700         88  NEXT-SHIP-DATE-ERRORS-EXIST     VALUE 'Y'.
013800         88  NO-NEXT-SHIP-DATE-ERRORS-EXIST  VALUE 'N'.
013900*
014000     03  WS-NEXT-SHIP-QTY-ERROR-SW
014100                             PIC  X(01)      VALUE 'N'.
014200         88  NEXT-SHIP-QTY-ERRORS-EXIST      VALUE 'Y'.
014300         88  NO-NEXT-SHIP-QTY-ERRORS-EXIST   VALUE 'N'.
014400/
014500 01  FILLER                  PIC  X(29)      VALUE
014600     'I/O REQUEST BLOCK WORK AREAS:'.
014700*
014800     COPY MBIOWS.
014900/
015000 01  FILLER                  PIC  X(18)      VALUE
015100     'I/O REQUEST BLOCK:'.
015200*
015300     COPY MBIORO.
015400/
015500 01  FILLER                  PIC  X(25)      VALUE
015600     'LOG RECORD REQUEST BLOCK:'.
015700*
015800     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
015900/
016000 01  FILLER                  PIC  X(41)      VALUE
016100     'INVENTORY CONTROL INITIALIZER RECORD:'.
016200*
016300     COPY MMICIR.
016400/
016500 01  FILLER                  PIC  X(20)      VALUE
016600     'CCS DATE WORK AREAS:'.
016700*
016800     COPY SS01WS.
016900/
017000 01  FILLER                  PIC  X(15)      VALUE
017100     'CCS WORK AREAS:'.
017200*
017300     COPY SS08WS.
017400/
017500     COPY SS00WS.
017600/
017700     COPY SMFTWS.
017800/
017900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
018000/
018100     COPY MB61LK.
018200/
018300 01  FILLER                  PIC  X(12)      VALUE
018400     '** WS-END **'.
018500/
018600 LINKAGE SECTION.
018700*
018800 01  DFHCOMMAREA.
018900*
019000     COPY MB60WS.
019100/
019200***********************************
019300*    INVENTORY CONTROL MAP        *
019400***********************************
019500*
019600     COPY MBMV03.
019700/
019800************************************************
019900*    INVENTORY CONTROL MAP REDEFINITION        *
020000************************************************
020100*
020200     COPY MBMV03R.
020300/
020400*********************************************
020500*    INVENTORY CONTROL RECORD LAYOUT        *
020600*********************************************
020700*
020800     COPY MMICRL.
020900/
021000************************************
021100*    ORGANIZATION RECORD LAYOUT    *
021200************************************
021300*
021400     COPY MMOCRL.
021500/
021600***************************
021700*    LOG RECORD LAYOUT    *
021800***************************
021900*
022000     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
022100/
022200 PROCEDURE DIVISION.
022300*
022400 A000-HOUSEKEEPING SECTION.
022500*
022600 A020-INIT.
022700*
022800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
022900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
023000                                 THRU MB70PD-OLH-EXIT.
023100*
023200     IF  MBCA-RECEIVE-SCREEN
023300         GO TO C000-RECEIVE-SCREEN.
023400/
023500 B000-SEND-SCREEN SECTION.
023600*
023700*********************************************
023800*    GET CICS STORAGE NEEDED FOR THE MAP    *
023900*********************************************
024000*
024100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
024200     PERFORM MB60PD-GETMAIN-FOR-MAP
024300                                 THRU MB60PD-GFM-EXIT.
024400*
024500*******************************************
024600*    INITIALIZE THE STANDARD MAP LINES    *
024700*******************************************
024800*
024900     PERFORM MB60PD-INIT-STD-MAP-LINES
025000                                 THRU MB60PD-ISML-EXIT.
025100*
025200****************************************
025300*    READ THE INVENTORY CONTROL        *
025400*    RECORD FOR SUBSEQUENT DISPLAY     *
025500****************************************
025600*
025700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG.
025800     MOVE MBCA-S-M               TO MBIOWS-MMIC-TYPE.
025900*
026000     IF  MBCA-S-M IS EQUAL TO 'M'
026100         MOVE MBCA-MERCHANT      TO MBIOWS-MMIC-MERCHANT
026200     ELSE
026300         MOVE MBCA-STORE         TO MBIOWS-MMIC-MERCHANT.
026400*
026500     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026600     SET MBIORO-READ-RANDOM      TO TRUE.
026700     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
026800*
026900     MOVE MMIC-NA-LINE (1 1)     TO MV03-NAME.
027000*
027100*********************************************
027200*    MOVE THE KEY AND NAME TO THE SCREEN    *
027300*********************************************
027400*
027500     MOVE MMIC-ORG               TO MV03-ORG.
027600     MOVE MMIC-MERCHANT          TO MV03-MERCHANT.
027700     MOVE MMIC-NA-LINE (1 1)     TO MV03-NAME.
027800*
027900     IF  MMIC-TYPE-IS-MERCHANT
028000         MOVE 'MERCHANT'         TO MV03-MERCHANT-LIT
028100     ELSE
028200         MOVE '   STORE'         TO MV03-MERCHANT-LIT.
028300*
028400 B020-MOVE-FIELDS-TO-SCREEN.
028500*
028600*******************************************
028700*    DETERMINE THE PLACE IN THE RECORD    *
028800*    FROM WHICH TO BEGIN THE DISPLAY      *
028900*******************************************
029000*
029100     COMPUTE WS-BEG-INDEX =
029200         ((MBCA-SCREEN-NBR - 53) * 3) + 1.
029300*
029400*******************************************************
029500*    MOVE THE FIELDS FROM THE RECORD TO THE SCREEN    *
029600*******************************************************
029700*
029800     PERFORM Y010-MOVE-ITEM-CODES
029900                                 THRU Y019-MIC-EXIT.
030000*
030100     PERFORM Y020-MOVE-ITEM-DESCS
030200                                 THRU Y029-MID-EXIT.
030300*
030400     PERFORM Y030-MOVE-QTY-ON-HANDS
030500                                 THRU Y039-MQOH-EXIT.
030600*
030700     PERFORM Y040-MOVE-BUNDLE-AMTS
030800                                 THRU Y049-MBA-EXIT.
030900*
031000     PERFORM Y050-MOVE-BUNDLE-QTYS
031100                                 THRU Y059-MBQ-EXIT.
031200*
031300     PERFORM Y060-MOVE-NORM-SHIPMENT-FREQS
031400                                 THRU Y069-MNSF-EXIT.
031500*
031600     PERFORM Y070-MOVE-NORM-SHIPMENT-QTYS
031700                                 THRU Y079-MNSQ-EXIT.
031800*
031900     PERFORM Y080-MOVE-LAST-SHIPMENT-DATES
032000                                 THRU Y089-MLSD-EXIT.
032100*
032200     PERFORM Y090-MOVE-LAST-SHIPMENT-QTYS
032300                                 THRU Y099-MLSQ-EXIT.
032400*
032500     PERFORM Y100-MOVE-LAST-SHIPMENT-OPERS
032600                                 THRU Y109-MLSO-EXIT.
032700*
032800     PERFORM Y110-MOVE-NEXT-SHIPMENT-DATES
032900                                 THRU Y119-MNSD-EXIT.
033000*
033100     PERFORM Y120-MOVE-NEXT-SHIPMENT-QTYS
033200                                 THRU Y129-MNSQ-EXIT.
033300*
033400     PERFORM Y130-MOVE-NEXT-SHIPMENT-OPERS
033500                                 THRU Y139-MNSO-EXIT.
033600*
033700******************************************
033800*    SET THE CURSOR AND SCREEN NUMBER    *
033900******************************************
034000*
034100     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
034200         SET  X-MV03-INVENTORY   TO 1
034300         MOVE SS08WS-CURSOR      TO MV03-ITEM-CODE-L
034400                                        (X-MV03-INVENTORY)
034500     ELSE
034600         MOVE SS08WS-CURSOR      TO MV03-ALT-TRANID-L.
034700
034800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
034900*
035000***********************************************************
035100*    SET THE CURRENCY CODE, CURRENCY NOD
035200*            PER ITEM NOD, PERCENT NOD.
035300***********************************************************
035400     IF MV03-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
035500        PERFORM MB06PD-FORMAT-MESSAGE-LINE
035600                                 THRU MB06PD-FML-EXIT
035700        MOVE SS08WS-FORMATTED-MSG   TO MV03-ERROR-MESSAGE
035800     END-IF.
035900*
036000**********************
036100*    SEND THE MAP    *
036200**********************
036300*
036400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
036500*
036600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036700                                 THRU MB60PD-SMWE-EXIT.
036800*
036900************************
037000*    RETURN TO CICS    *
037100************************
037200*
037300     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
037400     PERFORM MB70PD-RETURN-TRANS-ID
037500                                 THRU MB70PD-RTI-EXIT.
037600/
037700 C000-RECEIVE-SCREEN SECTION.
037800*
037900******************************************
038000*    THIS SECTION RECEIVES THE SCREEN    *
038100******************************************
038200*
038300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
038400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
038500*
038600**************************************************************
038700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
038800**************************************************************
038900*
039000     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
039100     PERFORM MB60PD-NEW-TRANS-ROUTINE
039200                                 THRU MB60PD-NTR-EXIT.
039300*
039400**************************************
039500*    READ THE ORGANIZATION RECORD    *
039600**************************************
039700*
039800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
039900     SET MBIORO-READ-RANDOM      TO TRUE.
040000     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
040100     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
040200*
040300*
040400***********************************************
040500*    READ THE INVENTORY CONTROL RECORD        *
040600***********************************************
040700*
040800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG
040900                                    MV03-ORG.
041000     MOVE MBCA-S-M               TO MBIOWS-MMIC-TYPE.
041100*
041200     IF  MBCA-S-M IS EQUAL TO 'M'
041300         MOVE MBCA-MERCHANT      TO MBIOWS-MMIC-MERCHANT
041400                                    MV03-MERCHANT
041500     ELSE
041600         MOVE MBCA-STORE         TO MBIOWS-MMIC-MERCHANT
041700                                    MV03-MERCHANT.
041800*
041900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
042000     SET MBIORO-READ-RANDOM      TO TRUE.
042100     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
042200*
042300     MOVE MMIC-NA-LINE (1 1)     TO MV03-NAME.
042400*
042500     IF  MMIC-TYPE-IS-MERCHANT
042600         MOVE 'MERCHANT'         TO MV03-MERCHANT-LIT
042700     ELSE
042800         MOVE '   STORE'         TO MV03-MERCHANT-LIT.
042900*
043000****************************************************
043100*    BYPASS ALL SCREEN EDITS IF THIS IS INQUIRY    *
043200****************************************************
043300*
043400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
043500         GO TO F000-SETUP-COMMAREA.
043600*
043700 C020-FIELD-EDITS.
043800*
043900*******************************************
044000*    DETERMINE THE PLACE IN THE RECORD    *
044100*    FROM WHICH TO BEGIN THE EDITS        *
044200*******************************************
044300*
044400     COMPUTE WS-BEG-INDEX =
044500         ((MBCA-SCREEN-NBR - 3) * 3) + 1.
044600*
044700*********************
044800*    FIELD EDITS    *
044900*********************
045000*
045100     PERFORM W010-EDIT-ITEM-CODES
045200                                 THRU W019-EIC-EXIT.
045300*
045400     PERFORM W020-EDIT-ITEM-DESCS
045500                                 THRU W029-EID-EXIT.
045600*
045700     PERFORM W030-EDIT-QTY-ON-HANDS
045800                                 THRU W039-EQOH-EXIT.
045900*
046000     PERFORM W040-EDIT-BUNDLE-AMTS
046100                                 THRU W049-EBA-EXIT.
046200*
046300     PERFORM W050-EDIT-BUNDLE-QTYS
046400                                 THRU W059-EBQ-EXIT.
046500*
046600     PERFORM W060-EDIT-NORM-SHIPMENT-FREQS
046700                                 THRU W069-ENSF-EXIT.
046800*
046900     PERFORM W070-EDIT-NORM-SHIPMENT-QTYS
047000                                 THRU W079-ENSQ-EXIT.
047100*
047200     PERFORM W110-EDIT-NEXT-SHIPMENT-DATE
047300                                 THRU W119-ENSD-EXIT.
047400*
047500     PERFORM W120-EDIT-NEXT-SHIPMENT-QTYS
047600                                 THRU W129-ENSQ-EXIT.
047700*
047800*********************
047900*    CROSS EDITS    *
048000*********************
048100*
048200     PERFORM W500-CROSS-EDITS    THRU W529-CE-EXIT.
048300/
048400 D000-RETURN-ERRORS SECTION.
048500*
048600     IF  SS08WS-ERROR IS EQUAL TO 'N'
048700         GO TO E000-UPDATE-FILE.
048800*
048900***************************************************************
049000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
049100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
049200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
049300***************************************************************
049400*
049500     PERFORM MB60PD-INIT-STD-MAP-LINES
049600                                 THRU MB60PD-ISML-EXIT.
049700*
049800***********************************************************
049900*    SET THE CURRENCY CODE, CURRENCY NOD
050000*            PER ITEM NOD, PERCENT NOD.
050100***********************************************************
050200     IF MV03-ERROR-MESSAGE IS EQUAL TO SPACES OR LOW-VALUES
050300        PERFORM MB06PD-FORMAT-MESSAGE-LINE
050400                                 THRU MB06PD-FML-EXIT
050500        MOVE SS08WS-FORMATTED-MSG   TO MV03-ERROR-MESSAGE
050600     END-IF.
050700*
050800*
050900**********************
051000*    SEND THE MAP    *
051100**********************
051200*
051300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
051400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
051500                                 THRU MB60PD-SMDO-EXIT.
051600*
051700************************
051800*    RETURN TO CICS    *
051900************************
052000*
052100     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
052200     PERFORM MB70PD-RETURN-TRANS-ID
052300                                 THRU MB70PD-RTI-EXIT.
052400/
052500 E000-UPDATE-FILE SECTION.
052600*
052700**********************************************************
052800*    READ THE INVENTORY CONTROL RECORD FOR UPDATE        *
052900**********************************************************
053000*
053100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
053200     SET MBIORO-READ-RANDOM-UPDATE
053300                                 TO TRUE.
053400     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
053500*
053600********************************************
053700*    OBTAIN STORAGE FOR LOG FILE RECORD    *
053800********************************************
053900*
054000     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
054100     SET MBIORO-GETMAIN          TO TRUE.
054200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
054300*
054400*************************************************
054500*    SET UP THE COMMON PORTION OF THE RECORD    *
054600*************************************************
054700*
054800     MOVE 'IC'                   TO MML1-FILE-CODE.
054900     MOVE MBCA-MERCHANT-ORG      TO MML1-MMIC-ORG.
055000*
055100     IF  MBCA-S-M IS EQUAL TO 'S'
055200         MOVE MBCA-STORE         TO MML1-MMIC-MERCHANT
055300     ELSE
055400         MOVE MBCA-MERCHANT      TO MML1-MMIC-MERCHANT.
055500*
055600     MOVE MBCA-S-M               TO MML1-MMIC-TYPE.
055700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
055800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
055900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
056000*
056100 E020-UPDATE-FIELDS.
056200*
056300     PERFORM X010-UPDATE-ITEM-CODES
056400                                 THRU X019-UIC-EXIT.
056500*
056600     PERFORM X020-UPDATE-ITEM-DESCS
056700                                 THRU X029-UID-EXIT.
056800*
056900     PERFORM X030-UPDATE-QTY-ON-HANDS
057000                                 THRU X039-UQOH-EXIT.
057100*
057200     PERFORM X040-UPDATE-BUNDLE-AMTS
057300                                 THRU X049-UBA-EXIT.
057400*
057500     PERFORM X050-UPDATE-BUNDLE-QTYS
057600                                 THRU X059-UBQ-EXIT.
057700*
057800     PERFORM X060-UPDATE-NORM-SHIPMENT-FREQ
057900                                 THRU X069-UNSF-EXIT.
058000*
058100     PERFORM X070-UPDATE-NORM-SHIPMENT-QTYS
058200                                 THRU X079-UNSQ-EXIT.
058300*
058400     PERFORM X080-UPDATE-LAST-SHIPMENT-DATE
058500                                 THRU X089-ULSD-EXIT.
058600*
058700     PERFORM X090-UPDATE-LAST-SHIPMENT-QTYS
058800                                 THRU X099-ULSQ-EXIT.
058900*
059000     PERFORM X110-UPDATE-NEXT-SHIPMENT-DATE
059100                                 THRU X119-UNSD-EXIT.
059200*
059300     PERFORM X120-UPDATE-NEXT-SHIPMENT-QTYS
059400                                 THRU X129-UNSQ-EXIT.
059500*
059600     PERFORM X130-UPDATE-NEXT-SHIPMENT-OPER
059700                                 THRU X139-UNSO-EXIT.
059800*
059900 E040-UPDATE-MMIC.
060000*
060100     IF  MBCA-PTI-FUNCTION-IS-ADD
060200         MOVE 'Y'                TO WS-UPDATE-SW
060300         MOVE MBCA-SCREEN-NBR    TO MMIC-ONLINE-STATUS
060400         MOVE MBCA-START-DATE    TO MMIC-LAST-MAINT-DATE
060500         MOVE MBCA-OPERATOR-ID   TO MMIC-LAST-MAINT-OPER
060600         IF  MBCA-SCREEN-NBR IS EQUAL TO MBCA-MAX-SCREEN-NBR
060700             MOVE 99             TO MMIC-ONLINE-STATUS
060800             MOVE 1              TO MMIC-REC-STATUS
060900             MOVE ZEROES         TO MML1-FIELD-CODE
061000                                    MML1-FIELD-OCCURRENCE
061100                                    MML1-FIELD-OCCURRENCE-2
061200             MOVE LENGTH OF MMIC-RECORD
061300                                 TO MML1-VARIABLE-LENGTH
061400             MOVE MMIC-RECORD    TO MML1-ADD-AREA
061500             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
061600             PERFORM Y900-WRITE-LOG-RECORD
061700                                 THRU Y909-WLR-EXIT.
061800*
061900**************************************************************
062000*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
062100*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
062200*    ON THE SCREEN                                           *
062300**************************************************************
062400*
062500     IF  MBCA-PTI-FUNCTION-IS-MAINT
062600     AND FIELDS-WERE-UPDATED
062700         MOVE 0198               TO MML1-FIELD-CODE
062800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
062900                                    MML1-FIELD-OCCURRENCE-2
063000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
063100         MOVE MMIC-LAST-MAINT-OPER
063200                                 TO MML1-VL03-B-DATA-X
063300         MOVE MBCA-OPERATOR-ID   TO MMIC-LAST-MAINT-OPER
063400         MOVE MMIC-LAST-MAINT-OPER
063500                                 TO MML1-VL03-A-DATA-X
063600         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
063700         PERFORM Y900-WRITE-LOG-RECORD
063800                                 THRU Y909-WLR-EXIT
063900         MOVE 0199               TO MML1-FIELD-CODE
064000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
064100         MOVE MMIC-LAST-MAINT-DATE
064200                                 TO MML1-VL07-B-DATA-9
064300         MOVE MBCA-START-DATE    TO MMIC-LAST-MAINT-DATE
064400         MOVE MMIC-LAST-MAINT-DATE
064500                                 TO MML1-VL07-A-DATA-9
064600         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
064700         PERFORM Y900-WRITE-LOG-RECORD
064800                                 THRU Y909-WLR-EXIT.
064900*
065000****************************************************
065100*    REWRITE THE INVENTORY CONTROL RECORD IF       *
065200*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
065300*    UNLOCK IT IF THEY HAVE NOT                    *
065400****************************************************
065500*
065600     IF  FIELDS-WERE-UPDATED
065700         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
065800         SET MBIORO-REWRITE      TO TRUE
065900         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT
066000     ELSE
066100         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
066200         SET MBIORO-UNLOCK       TO TRUE
066300         PERFORM MMICAO-ACCESS   THRU MMICAO-ACCESS-EXIT.
066400/
066500 F000-SETUP-COMMAREA SECTION.
066600*
066700***************************************************************
066800*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
066900***************************************************************
067000*
067100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
067200*
067300     PERFORM MB60PD-EDIT-PAGE-NBR
067400                                 THRU MB60PD-EPN-EXIT.
067500*
067600     IF  SS08WS-VALID-PF-KEY
067700     OR  SS08WS-EIBAID-VALID-PF-KEY
067800         MOVE 99                 TO MBCA-SCREEN-NBR.
067900*
068000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
068100     PERFORM MB70PD-XCTL-TO-MBOXCTL
068200                                 THRU MB70PD-XTM-EXIT.
068300/
068400 W000-FIELD-EDITS SECTION.
068500*
068600 W010-EDIT-ITEM-CODES.
068700*
068800***********************************
068900*    SET THE BEGINNING INDEXES    *
069000***********************************
069100*
069200     SET X-MV03-INVENTORY        TO 1.
069300     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
069400*
069500 W012-EIC-LOOP.
069600*
069700**************************************************
069800*    SET THE FIELD ATTRIBUTES TO THE STATE       *
069900*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
070000**************************************************
070100*
070200     MOVE DFHBMDAS               TO MV03-ITEM-CODE-LP-A
070300                                        (X-MV03-INVENTORY)
070400                                    MV03-ITEM-CODE-RP-A
070500                                        (X-MV03-INVENTORY).
070600     MOVE DFHBMASK               TO MV03-ITEM-CODE-A
070700                                        (X-MV03-INVENTORY).
070800*
070900*****************************
071000*    EDIT FOR VALID DATA    *
071100*****************************
071200*
071300     IF  MV03-ITEM-CODE-L (X-MV03-INVENTORY) IS GREATER THAN ZERO
071400         MOVE DFHBMASF           TO MV03-ITEM-CODE-A
071500                                        (X-MV03-INVENTORY)
071600     ELSE
071700         MOVE MMIC-ITEM-CODE (X-MMIC-INVENTORY)
071800                                 TO MV03-ITEM-CODE
071900                                        (X-MV03-INVENTORY).
072000*
072100 W018-INCREMENT-INDEXES.
072200*
072300     IF  X-MV03-INVENTORY IS LESS THAN 3
072400         SET X-MV03-INVENTORY    UP BY 1
072500         SET X-MMIC-INVENTORY    UP BY 1
072600         GO TO W012-EIC-LOOP.
072700*
072800 W019-EIC-EXIT.
072900     EXIT.
073000*
073100 W020-EDIT-ITEM-DESCS.
073200*
073300***********************************
073400*    SET THE BEGINNING INDEXES    *
073500***********************************
073600*
073700     SET X-MV03-INVENTORY        TO 1.
073800     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
073900*
074000 W022-EID-LOOP.
074100*
074200**************************************************
074300*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
074400*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
074500**************************************************
074600*
074700     MOVE DFHBMDAS               TO MV03-ITEM-DESC-LP-A
074800                                        (X-MV03-INVENTORY)
074900                                    MV03-ITEM-DESC-RP-A
075000                                        (X-MV03-INVENTORY).
075100     MOVE DFHBMASK               TO MV03-ITEM-DESC-A
075200                                        (X-MV03-INVENTORY).
075300*
075400*****************************
075500*    EDIT FOR VALID DATA    *
075600*****************************
075700*
075800     IF  MV03-ITEM-DESC-L (X-MV03-INVENTORY) IS GREATER THAN ZERO
075900         MOVE DFHBMASF           TO MV03-ITEM-DESC-A
076000                                        (X-MV03-INVENTORY)
076100     ELSE
076200         MOVE MMIC-ITEM-DESC (X-MMIC-INVENTORY)
076300                                 TO MV03-ITEM-DESC
076400                                        (X-MV03-INVENTORY).
076500*
076600 W028-INCREMENT-INDEXES.
076700*
076800     IF  X-MV03-INVENTORY IS LESS THAN 3
076900         SET X-MV03-INVENTORY    UP BY 1
077000         SET X-MMIC-INVENTORY    UP BY 1
077100         GO TO W022-EID-LOOP.
077200*
077300 W029-EID-EXIT.
077400     EXIT.
077500*
077600 W030-EDIT-QTY-ON-HANDS.
077700*
077800***********************************
077900*    SET THE BEGINNING INDEXES    *
078000***********************************
078100*
078200     SET X-MV03-INVENTORY        TO 1.
078300     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
078400*
078500 W032-EQOH-LOOP.
078600*
078700**************************************************
078800*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
078900*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
079000**************************************************
079100*
079200     MOVE DFHBMDAS               TO MV03-QTY-ON-HAND-LP-A
079300                                        (X-MV03-INVENTORY)
079400                                    MV03-QTY-ON-HAND-RP-A
079500                                        (X-MV03-INVENTORY).
079600     MOVE DFHBMASK               TO MV03-QTY-ON-HAND-A
079700                                        (X-MV03-INVENTORY).
079800*
079900*************************************
080000*    EDIT FOR VALID NUMERIC DATA    *
080100*************************************
080200*
080300     IF  MV03-QTY-ON-HAND-L (X-MV03-INVENTORY) IS EQUAL TO ZERO
080400         MOVE MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
080500                                 TO MV03-QTY-ON-HAND
080600                                        (X-MV03-INVENTORY)
080700     ELSE
080800         MOVE DFHBMASF           TO MV03-QTY-ON-HAND-A
080900                                        (X-MV03-INVENTORY).
081000*
081100     IF  MV03-QTY-ON-HAND (X-MV03-INVENTORY) IS NUMERIC
081200         GO TO W038-INCREMENT-INDEXES.
081300*
081400 W034-QTY-ON-HAND-ERROR.
081500*
081600     MOVE 'Y'                    TO SS08WS-ERROR
081700                                    WS-QTY-ON-HAND-ERROR-SW.
081800     MOVE SS08WS-CURSOR          TO MV03-QTY-ON-HAND-L
081900                                        (X-MV03-INVENTORY).
082000     MOVE DFHBMNBF               TO MV03-QTY-ON-HAND-A
082100                                        (X-MV03-INVENTORY).
082200     MOVE DFHBMASB               TO MV03-QTY-ON-HAND-LP-A
082300                                        (X-MV03-INVENTORY)
082400                                    MV03-QTY-ON-HAND-RP-A
082500                                        (X-MV03-INVENTORY).
082600*
082700 W038-INCREMENT-INDEXES.
082800*
082900     IF  X-MV03-INVENTORY IS LESS THAN 3
083000         SET X-MV03-INVENTORY    UP BY 1
083100         SET X-MMIC-INVENTORY    UP BY 1
083200         GO TO W032-EQOH-LOOP.
083300*
083400 W039-EQOH-EXIT.
083500     EXIT.
083600*
083700 W040-EDIT-BUNDLE-AMTS.
083800*
083900***********************************
084000*    SET THE BEGINNING INDEXES    *
084100***********************************
084200*
084300     SET X-MV03-INVENTORY        TO 1.
084400     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
084500*
084600 W042-EBA-LOOP.
084700*
084800**************************************************
084900*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
085000*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
085100**************************************************
085200*
085300     MOVE DFHBMDAS               TO MV03-BUNDLE-AMT-LP-A
085400                                        (X-MV03-INVENTORY)
085500                                    MV03-BUNDLE-AMT-RP-A
085600                                        (X-MV03-INVENTORY).
085700     MOVE DFHBMASK               TO MV03-BUNDLE-AMT-A
085800                                        (X-MV03-INVENTORY).
085900*
086000*************************************
086100*    EDIT FOR VALID NUMERIC DATA    *
086200*************************************
086300*
086400     IF  MV03-BUNDLE-AMT-L (X-MV03-INVENTORY) IS EQUAL TO ZERO
086500         MOVE MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
086600                                 TO MV03-BUNDLE-AMT
086700                                        (X-MV03-INVENTORY)
086800     ELSE
086900         MOVE DFHBMASF           TO MV03-BUNDLE-AMT-A
087000                                        (X-MV03-INVENTORY).
087100*
087200     IF  MV03-BUNDLE-AMT (X-MV03-INVENTORY) IS NUMERIC
087300         GO TO W048-INCREMENT-INDEXES.
087400*
087500 W044-BUNDLE-AMT-ERROR.
087600*
087700     MOVE 'Y'                    TO SS08WS-ERROR
087800                                    WS-BUNDLE-AMT-ERROR-SW.
087900     MOVE SS08WS-CURSOR          TO MV03-BUNDLE-AMT-L
088000                                        (X-MV03-INVENTORY).
088100     MOVE DFHBMNBF               TO MV03-BUNDLE-AMT-A
088200                                        (X-MV03-INVENTORY).
088300     MOVE DFHBMASB               TO MV03-BUNDLE-AMT-LP-A
088400                                        (X-MV03-INVENTORY)
088500                                    MV03-BUNDLE-AMT-RP-A
088600                                        (X-MV03-INVENTORY).
088700*
088800 W048-INCREMENT-INDEXES.
088900*
089000     IF  X-MV03-INVENTORY IS LESS THAN 3
089100         SET X-MV03-INVENTORY    UP BY 1
089200         SET X-MMIC-INVENTORY    UP BY 1
089300         GO TO W042-EBA-LOOP.
089400*
089500 W049-EBA-EXIT.
089600     EXIT.
089700*
089800 W050-EDIT-BUNDLE-QTYS.
089900*
090000***********************************
090100*    SET THE BEGINNING INDEXES    *
090200***********************************
090300*
090400     SET X-MV03-INVENTORY        TO 1.
090500     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
090600*
090700 W052-EBQ-LOOP.
090800*
090900**************************************************
091000*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
091100*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
091200**************************************************
091300*
091400     MOVE DFHBMDAS               TO MV03-BUNDLE-QTY-LP-A
091500                                        (X-MV03-INVENTORY)
091600                                    MV03-BUNDLE-QTY-RP-A
091700                                        (X-MV03-INVENTORY).
091800     MOVE DFHBMASK               TO MV03-BUNDLE-QTY-A
091900                                        (X-MV03-INVENTORY).
092000*
092100*************************************
092200*    EDIT FOR VALID NUMERIC DATA    *
092300*************************************
092400*
092500     IF  MV03-BUNDLE-QTY-L (X-MV03-INVENTORY) IS EQUAL TO ZERO
092600         MOVE MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
092700                                 TO MV03-BUNDLE-QTY
092800                                        (X-MV03-INVENTORY)
092900     ELSE
093000         MOVE DFHBMASF           TO MV03-BUNDLE-QTY-A
093100                                        (X-MV03-INVENTORY).
093200*
093300     IF  MV03-BUNDLE-QTY (X-MV03-INVENTORY) IS NUMERIC
093400         GO TO W058-INCREMENT-INDEXES.
093500*
093600 W054-BUNDLE-QTY-ERROR.
093700*
093800     MOVE 'Y'                    TO SS08WS-ERROR
093900                                    WS-BUNDLE-QTY-ERROR-SW.
094000     MOVE SS08WS-CURSOR          TO MV03-BUNDLE-QTY-L
094100                                        (X-MV03-INVENTORY).
094200     MOVE DFHBMNBF               TO MV03-BUNDLE-QTY-A
094300                                        (X-MV03-INVENTORY).
094400     MOVE DFHBMASB               TO MV03-BUNDLE-QTY-LP-A
094500                                        (X-MV03-INVENTORY)
094600                                    MV03-BUNDLE-QTY-RP-A
094700                                        (X-MV03-INVENTORY).
094800*
094900 W058-INCREMENT-INDEXES.
095000*
095100     IF  X-MV03-INVENTORY IS LESS THAN 3
095200         SET X-MV03-INVENTORY    UP BY 1
095300         SET X-MMIC-INVENTORY    UP BY 1
095400         GO TO W052-EBQ-LOOP.
095500*
095600 W059-EBQ-EXIT.
095700     EXIT.
095800*
095900 W060-EDIT-NORM-SHIPMENT-FREQS.
096000*
096100***********************************
096200*    SET THE BEGINNING INDEXES    *
096300***********************************
096400*
096500     SET X-MV03-INVENTORY        TO 1.
096600     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
096700*
096800 W062-ENSF-LOOP.
096900*
097000**************************************************
097100*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
097200*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
097300**************************************************
097400*
097500     MOVE DFHBMDAS               TO MV03-NORM-SHIPMENT-FREQ-LP-A
097600                                        (X-MV03-INVENTORY)
097700                                    MV03-NORM-SHIPMENT-FREQ-RP-A
097800                                        (X-MV03-INVENTORY).
097900     MOVE DFHBMASK               TO MV03-NORM-SHIPMENT-FREQ-A
098000                                        (X-MV03-INVENTORY).
098100*
098200*************************************
098300*    EDIT FOR VALID NUMERIC DATA    *
098400*************************************
098500*
098600     IF  MV03-NORM-SHIPMENT-FREQ-L (X-MV03-INVENTORY)
098700         IS EQUAL TO ZERO
098800         MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
098900                                 TO MV03-NORM-SHIPMENT-FREQ
099000                                        (X-MV03-INVENTORY)
099100     ELSE
099200         MOVE DFHBMASF           TO MV03-NORM-SHIPMENT-FREQ-A
099300                                        (X-MV03-INVENTORY).
099400*
099500     IF  MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY) IS NUMERIC
099600         MOVE MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
099700                                 TO MMIC-NORM-SHIPMENT-FREQ
099800                                        (X-MMIC-INVENTORY)
099900         GO TO W068-INCREMENT-INDEXES.
100000*
100100 W064-NORM-SHIPMENT-FREQ-ERROR.
100200*
100300     MOVE 'Y'                    TO SS08WS-ERROR
100400                                    WS-NORM-SHIP-FREQ-ERROR-SW.
100500     MOVE SS08WS-CURSOR          TO MV03-NORM-SHIPMENT-FREQ-L
100600                                        (X-MV03-INVENTORY).
100700     MOVE DFHBMNBF               TO MV03-NORM-SHIPMENT-FREQ-A
100800                                        (X-MV03-INVENTORY).
100900     MOVE DFHBMASB               TO MV03-NORM-SHIPMENT-FREQ-LP-A
101000                                        (X-MV03-INVENTORY)
101100                                    MV03-NORM-SHIPMENT-FREQ-RP-A
101200                                        (X-MV03-INVENTORY).
101300*
101400 W068-INCREMENT-INDEXES.
101500*
101600     IF  X-MV03-INVENTORY IS LESS THAN 3
101700         SET X-MV03-INVENTORY    UP BY 1
101800         SET X-MMIC-INVENTORY    UP BY 1
101900         GO TO W062-ENSF-LOOP.
102000*
102100 W069-ENSF-EXIT.
102200     EXIT.
102300*
102400 W070-EDIT-NORM-SHIPMENT-QTYS.
102500*
102600***********************************
102700*    SET THE BEGINNING INDEXES    *
102800***********************************
102900*
103000     SET X-MV03-INVENTORY        TO 1.
103100     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
103200*
103300 W072-ENSQ-LOOP.
103400*
103500**************************************************
103600*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
103700*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
103800**************************************************
103900*
104000     MOVE DFHBMDAS               TO MV03-NORM-SHIPMENT-QTY-LP-A
104100                                        (X-MV03-INVENTORY)
104200                                    MV03-NORM-SHIPMENT-QTY-RP-A
104300                                        (X-MV03-INVENTORY).
104400     MOVE DFHBMASK               TO MV03-NORM-SHIPMENT-QTY-A
104500                                        (X-MV03-INVENTORY).
104600*
104700*************************************
104800*    EDIT FOR VALID NUMERIC DATA    *
104900*************************************
105000*
105100     IF  MV03-NORM-SHIPMENT-QTY-L (X-MV03-INVENTORY)
105200         IS EQUAL TO ZERO
105300         MOVE MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
105400                                 TO MV03-NORM-SHIPMENT-QTY
105500                                        (X-MV03-INVENTORY)
105600     ELSE
105700         MOVE DFHBMASF           TO MV03-NORM-SHIPMENT-QTY-A
105800                                        (X-MV03-INVENTORY).
105900*
106000     IF  MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY) IS NUMERIC
106100         GO TO W078-INCREMENT-INDEXES.
106200*
106300 W074-NORM-SHIPMENT-QTY-ERROR.
106400*
106500     MOVE 'Y'                    TO SS08WS-ERROR
106600                                    WS-NORM-SHIP-QTY-ERROR-SW.
106700     MOVE SS08WS-CURSOR          TO MV03-NORM-SHIPMENT-QTY-L
106800                                        (X-MV03-INVENTORY).
106900     MOVE DFHBMNBF               TO MV03-NORM-SHIPMENT-QTY-A
107000                                        (X-MV03-INVENTORY).
107100     MOVE DFHBMASB               TO MV03-NORM-SHIPMENT-QTY-LP-A
107200                                        (X-MV03-INVENTORY)
107300                                    MV03-NORM-SHIPMENT-QTY-RP-A
107400                                        (X-MV03-INVENTORY).
107500*
107600 W078-INCREMENT-INDEXES.
107700*
107800     IF  X-MV03-INVENTORY IS LESS THAN 3
107900         SET X-MV03-INVENTORY    UP BY 1
108000         SET X-MMIC-INVENTORY    UP BY 1
108100         GO TO W072-ENSQ-LOOP.
108200*
108300 W079-ENSQ-EXIT.
108400     EXIT.
108500*
108600 W110-EDIT-NEXT-SHIPMENT-DATE.
108700*
108800***********************************
108900*    SET THE BEGINNING INDEXES    *
109000***********************************
109100*
109200     SET X-MV03-INVENTORY        TO 1.
109300     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
109400*
109500 W112-ENSD-LOOP.
109600*
109700**************************************************
109800*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
109900*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
110000**************************************************
110100*
110200     MOVE DFHBMDAS               TO MV03-NEXT-SHIPMENT-DATE-LP-A
110300                                    (X-MV03-INVENTORY)
110400                                    MV03-NEXT-SHIPMENT-DATE-RP-A
110500                                    (X-MV03-INVENTORY).
110600     MOVE DFHBMASK               TO MV03-NEXT-SHIPMENT-DATE-A
110700                                    (X-MV03-INVENTORY).
110800*
110900*************************************
111000*    EDIT FOR VALID NUMERIC DATA    *
111100*************************************
111200*
111300     IF  MV03-NEXT-SHIPMENT-DATE-L (X-MV03-INVENTORY)
111400         IS EQUAL TO ZERO
111500         MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
111600                                 TO SS01WS-JULIAN
111700         PERFORM SS08PD-JUL-TO-GREG
111800                                 THRU SS08PD-JTG-EXIT
111900         MOVE SS01WS-DATE        TO MV03-NEXT-SHIPMENT-DATE
112000                                    (X-MV03-INVENTORY)
112100     ELSE
112200         MOVE DFHBMASF           TO MV03-NEXT-SHIPMENT-DATE-A
112300                                    (X-MV03-INVENTORY).
112400*
112500     IF  MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY) IS NOT NUMERIC
112600         GO TO W114-NEXT-SHIPMENT-DATE-ERROR.
112700*
112800     IF  MV03-NEXT-SHIPMENT-DATE-L (X-MV03-INVENTORY)
112900                                 IS EQUAL TO ZERO
113000     AND MV03-NORM-SHIPMENT-FREQ-L (X-MV03-INVENTORY)
113100                                 IS GREATER THAN ZERO
113200     AND MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
113300                                 IS LESS THAN 99
113400     AND MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
113500                                 IS GREATER THAN ZERO
113600         EVALUATE TRUE
113700           WHEN MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
113800                                 IS EQUAL TO ZEROS
113900             MOVE MMOC-DATE-NEXT-PROC
114000                                 TO MMIC-LAST-SHIPMENT-DATE
114100                                    (X-MMIC-INVENTORY)
114200                                    SS01WS-JULIAN
114300             PERFORM SS08PD-JUL-TO-GREG
114400                                 THRU SS08PD-JTG-EXIT
114500             MOVE SS01WS-DATE    TO MV03-LAST-SHIPMENT-DATE
114600                                    (X-MV03-INVENTORY)
114700             MOVE +7             TO MV03-LAST-SHIPMENT-DATE-L
114800                                    (X-MV03-INVENTORY)
114900         END-EVALUATE
115000         MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
115100                                 TO SS01WS-JULIAN
115200         MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
115300                                 TO SS01WS-FREQ
115400         MOVE 'M'                TO SS01WS-PERIOD
115500         MOVE ZERO               TO SS01WS-DAY-OF-MON
115600         PERFORM SS03PD-FUTURE-DATE
115700                                 THRU SS03PD-FD-EXIT
115800         MOVE SS01WS-DATE        TO MV03-NEXT-SHIPMENT-DATE
115900                                    (X-MV03-INVENTORY)
116000         MOVE +7                 TO MV03-NEXT-SHIPMENT-DATE-L
116100                                    (X-MV03-INVENTORY).
116200*
116300     IF  MV03-NEXT-SHIPMENT-DATE-L (X-MV03-INVENTORY)
116400                                 IS EQUAL TO ZERO
116500     AND MV03-NORM-SHIPMENT-FREQ-L (X-MV03-INVENTORY)
116600                                 IS GREATER THAN ZERO
116700     AND MV03-NORM-SHIPMENT-FREQ-MANUAL (X-MV03-INVENTORY)
116800         MOVE MMOC-DATE-NEXT-PROC
116900                                 TO MMIC-NEXT-SHIPMENT-DATE
117000                                    (X-MMIC-INVENTORY)
117100                                    SS01WS-JULIAN
117200         PERFORM SS08PD-JUL-TO-GREG
117300                                 THRU SS08PD-JTG-EXIT
117400         MOVE SS01WS-DATE        TO MV03-NEXT-SHIPMENT-DATE
117500                                    (X-MV03-INVENTORY)
117600         MOVE +7                 TO MV03-NEXT-SHIPMENT-DATE-L
117700                                    (X-MV03-INVENTORY).
117800*
117900     IF  MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY)
118000         IS LESS THAN 1000000
118100         MOVE MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY)
118200                                 TO SS01WS-MDY
118300         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
118400     ELSE
118500         MOVE MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY)
118600                                 TO SS01WS-DATE.
118700*
118800     PERFORM SS05PD-DATE-VALIDATION
118900                                 THRU SS05PD-DV-EXIT.
119000*
119100*************************************************
119200*    THE DATE MUST BE VALID AND GREATER THAN    *
119300*    THE LAST TIME THE SYSTEM WAS RUN           *
119400*************************************************
119500*
119600     IF  SS01WS-DATE-IS-INVALID
119700         GO TO W114-NEXT-SHIPMENT-DATE-ERROR
119800     ELSE
119900         MOVE SS01WS-DATE        TO MV03-NEXT-SHIPMENT-DATE
120000                                    (X-MV03-INVENTORY).
120100*
120200     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
120300*
120400     IF  SS01WS-JULIAN IS EQUAL TO ZEROES
120500     OR  SS01WS-JULIAN IS GREATER THAN MMOC-DATE-NEXT-PROC
120600     OR  SS01WS-JULIAN IS EQUAL TO MMOC-DATE-NEXT-PROC
120700         GO TO W118-INCREMENT-INDEXES.
120800*
120900 W114-NEXT-SHIPMENT-DATE-ERROR.
121000*
121100     SET SS08WS-ERROR-SW-YES     TO TRUE.
121200     SET NEXT-SHIP-DATE-ERRORS-EXIST
121300                                 TO TRUE.
121400     MOVE SS08WS-CURSOR          TO MV03-NEXT-SHIPMENT-DATE-L
121500                                    (X-MV03-INVENTORY).
121600     MOVE DFHBMNBF               TO MV03-NEXT-SHIPMENT-DATE-A
121700                                    (X-MV03-INVENTORY).
121800     MOVE DFHBMASB               TO MV03-NEXT-SHIPMENT-DATE-LP-A
121900                                    (X-MV03-INVENTORY)
122000                                    MV03-NEXT-SHIPMENT-DATE-RP-A
122100                                    (X-MV03-INVENTORY).
122200*
122300 W118-INCREMENT-INDEXES.
122400*
122500     IF  X-MV03-INVENTORY IS LESS THAN 3
122600         SET X-MV03-INVENTORY    UP BY 1
122700         SET X-MMIC-INVENTORY    UP BY 1
122800         GO TO W112-ENSD-LOOP.
122900*
123000 W119-ENSD-EXIT.
123100     EXIT.
123200*
123300 W120-EDIT-NEXT-SHIPMENT-QTYS.
123400*
123500***********************************
123600*    SET THE BEGINNING INDEXES    *
123700***********************************
123800*
123900     SET X-WS-NEXT-SHIP-QTY      TO 1.
124000     SET X-MV03-INVENTORY        TO 1.
124100     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
124200*
124300 W122-ENSQ-LOOP.
124400*
124500**************************************************
124600*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
124700*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
124800**************************************************
124900*
125000     MOVE DFHBMDAS               TO MV03-NEXT-SHIPMENT-QTY-LP-A
125100                                        (X-MV03-INVENTORY)
125200                                    MV03-NEXT-SHIPMENT-QTY-RP-A
125300                                        (X-MV03-INVENTORY).
125400     MOVE DFHBMASK               TO MV03-NEXT-SHIPMENT-QTY-A
125500                                        (X-MV03-INVENTORY).
125600*
125700*************************************
125800*    EDIT FOR VALID NUMERIC DATA    *
125900*************************************
126000*
126100     IF  MV03-NEXT-SHIPMENT-QTY-L (X-MV03-INVENTORY)
126200         IS EQUAL TO ZERO
126300         MOVE MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
126400                                 TO MV03-NEXT-SHIPMENT-QTY
126500                                        (X-MV03-INVENTORY)
126600     ELSE
126700         MOVE DFHBMASF           TO MV03-NEXT-SHIPMENT-QTY-A
126800                                        (X-MV03-INVENTORY)
126900         MOVE 'M'                TO WS-NEXT-SHIPMENT-QTY-SW
127000                                        (X-WS-NEXT-SHIP-QTY).
127100*
127200***********************************************************
127300*    USE THE NORMAL SHIPMENT QTY IN THE NEXT SHIPMENT     *
127400*    QTY FIELD IF THIS IS THE ADD AND NO NEXT SHIPMENT    *
127500*    QTY WAS ENTERED.                                     *
127600***********************************************************
127700*
127800     IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT
127900     AND MV03-NEXT-SHIPMENT-QTY-L (X-MV03-INVENTORY)
128000         IS EQUAL TO ZERO
128100     AND MMIC-NSF-AUTOMATIC (X-MMIC-INVENTORY)
128200     AND MV03-NORM-SHIPMENT-QTY-A (X-MV03-INVENTORY)
128300         IS NOT EQUAL TO DFHBMNBF
128400         MOVE +7                 TO MV03-NEXT-SHIPMENT-QTY-L
128500                                        (X-MV03-INVENTORY)
128600         MOVE MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY)
128700                                 TO MV03-NEXT-SHIPMENT-QTY
128800                                        (X-MV03-INVENTORY)
128900         MOVE 'A'                TO WS-NEXT-SHIPMENT-QTY-SW
129000                                        (X-WS-NEXT-SHIP-QTY).
129100*
129200     IF  MV03-NEXT-SHIPMENT-QTY (X-MV03-INVENTORY) IS NUMERIC
129300         GO TO W128-INCREMENT-INDEXES.
129400*
129500 W124-NEXT-SHIPMENT-QTY-ERROR.
129600*
129700     MOVE 'Y'                    TO SS08WS-ERROR
129800                                    WS-NEXT-SHIP-QTY-ERROR-SW.
129900     MOVE SS08WS-CURSOR          TO MV03-NEXT-SHIPMENT-QTY-L
130000                                        (X-MV03-INVENTORY).
130100     MOVE DFHBMNBF               TO MV03-NEXT-SHIPMENT-QTY-A
130200                                        (X-MV03-INVENTORY).
130300     MOVE DFHBMASB               TO MV03-NEXT-SHIPMENT-QTY-LP-A
130400                                        (X-MV03-INVENTORY)
130500                                    MV03-NEXT-SHIPMENT-QTY-RP-A
130600                                        (X-MV03-INVENTORY).
130700*
130800 W128-INCREMENT-INDEXES.
130900*
131000     IF  X-MV03-INVENTORY IS LESS THAN 3
131100         SET X-WS-NEXT-SHIP-QTY  UP BY 1
131200         SET X-MV03-INVENTORY    UP BY 1
131300         SET X-MMIC-INVENTORY    UP BY 1
131400         GO TO W122-ENSQ-LOOP.
131500*
131600 W129-ENSQ-EXIT.
131700     EXIT.
131800*
131900 W500-CROSS-EDITS.
132000*
132100     IF  QTY-ON-HAND-ERRORS-EXIST
132200     OR  BUNDLE-AMT-ERRORS-EXIST
132300     OR  BUNDLE-QTY-ERRORS-EXIST
132400     OR  NORM-SHIP-FREQ-ERRORS-EXIST
132500     OR  NORM-SHIP-QTY-ERRORS-EXIST
132600     OR  NEXT-SHIP-DATE-ERRORS-EXIST
132700     OR  NEXT-SHIP-QTY-ERRORS-EXIST
132800         GO TO W529-CE-EXIT.
132900*
133000     PERFORM W501-ITEM-CROSS-EDITS
133100                                 THRU W501-ICE-EXIT.
133200*
133300     PERFORM W502-SHIP-FREQ-CROSS-EDITS
133400                                 THRU W502-SFCE-EXIT.
133500*
133600     PERFORM W510-NEXT-SHIP-OPER-EDITS
133700                                 THRU W510-NSOE-EXIT.
133800*
133900     GO TO W529-CE-EXIT.
134000*
134100 W501-ITEM-CROSS-EDITS.
134200*
134300*************************
134400*    SET THE INDEXES    *
134500*************************
134600*
134700     SET X-MV03-INVENTORY        TO 1.
134800     SET X-MMICIR-INVENTORY      TO WS-BEG-INDEX.
134900*
135000 W501-ICE-LOOP.
135100*
135200**************************************************************
135300*                                                            *
135400*    ITEM CROSS EDITS ARE AS FOLLOWS:                        *
135500*                                                            *
135600*      . IF ANY DATA ELEMENT IS KEYED AND IS DIFFERENT       *
135700*        FROM THE INITIALIZER DEFAULT, THE ITEM CODE AND     *
135800*        ITEM DESCRIPTION MUST BE KEYED AND BE DIFFERENT     *
135900*        FROM THE INITIALIZER DEFAULT (SPACES).              *
136000*                                                            *
136100*                                                            *
136200*    IF THERE IS AN ERROR, THE ITEM CODE AND ITEM            *
136300*    DESCRIPTION FIELDS ARE HIGHLIGHTED AND OPENED           *
136400*    FOR CORRECTION.                                         *
136500*                                                            *
136600**************************************************************
136700*
136800     IF  MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY) IS EQUAL TO
136900         MMICIR-NORM-SHIPMENT-FREQ  (X-MMICIR-INVENTORY)
137000         GO TO W501-INCREMENT-INDEXES.
137100*
137200     IF  MV03-ITEM-CODE (X-MV03-INVENTORY) IS EQUAL TO
137300         MMICIR-ITEM-CODE  (X-MMICIR-INVENTORY)
137400         MOVE 'Y'                TO WS-ITEM-CODE-ERROR-SW.
137500*
137600     IF  MV03-ITEM-DESC (X-MV03-INVENTORY) IS EQUAL TO
137700         MMICIR-ITEM-DESC  (X-MMICIR-INVENTORY)
137800         MOVE 'Y'                TO WS-ITEM-DESC-ERROR-SW.
137900*
138000     IF  NO-ITEM-CODE-ERRORS-EXIST
138100     AND NO-ITEM-DESC-ERRORS-EXIST
138200         GO TO W501-INCREMENT-INDEXES.
138300*
138400 W501-ITEM-ERROR.
138500*
138600**********************************************************
138700*    BRIGHTEN AND FSET THE ITEM CODE AND/OR ITEM DESC    *
138800**********************************************************
138900*
139000     MOVE 'Y'                    TO SS08WS-ERROR.
139100*
139200     IF  ITEM-CODE-ERRORS-EXIST
139300         MOVE SS08WS-CURSOR      TO MV03-ITEM-CODE-L
139400                                        (X-MV03-INVENTORY)
139500         MOVE DFHBMASB           TO MV03-ITEM-CODE-LP-A
139600                                        (X-MV03-INVENTORY)
139700                                    MV03-ITEM-CODE-RP-A
139800                                        (X-MV03-INVENTORY)
139900         MOVE DFHBMUBF           TO MV03-ITEM-CODE-A
140000                                        (X-MV03-INVENTORY).
140100     IF  ITEM-DESC-ERRORS-EXIST
140200         MOVE SS08WS-CURSOR      TO MV03-ITEM-DESC-L
140300                                        (X-MV03-INVENTORY)
140400         MOVE DFHBMASB           TO MV03-ITEM-DESC-LP-A
140500                                        (X-MV03-INVENTORY)
140600                                    MV03-ITEM-DESC-RP-A
140700                                        (X-MV03-INVENTORY)
140800         MOVE DFHBMUBF           TO MV03-ITEM-DESC-A
140900                                        (X-MV03-INVENTORY).
141000*
141100 W501-INCREMENT-INDEXES.
141200*
141300     IF  X-MV03-INVENTORY IS LESS THAN 3
141400         SET X-MV03-INVENTORY    UP BY 1
141500         SET X-MMICIR-INVENTORY  UP BY 1
141600         MOVE 'N'                TO WS-ITEM-CODE-ERROR-SW
141700                                    WS-ITEM-DESC-ERROR-SW
141800         GO TO W501-ICE-LOOP.
141900*
142000 W501-ICE-EXIT.
142100     EXIT.
142200*
142300 W502-SHIP-FREQ-CROSS-EDITS.
142400*
142500*************************
142600*    SET THE INDEXES    *
142700*************************
142800*
142900     SET X-MV03-INVENTORY        TO 1.
143000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
143100*
143200 W502-SFCE-LOOP.
143300*
143400**************************************************************
143500*                                                            *
143600*    SHIPMENT FREQUENCY CROSS EDITS:                         *
143700*                                                            *
143800*      . IF THE SHIPMENT FREQUENCY IS SPECIFIED AS           *
143900*        AUTOMATIC (01-98) OR MANUAL (99), A CORRESPONDING   *
144000*        NON-ZERO SHIPMENT QUANTITY MUST BE SUPPLIED.        *
144100*                                                            *
144200*    IF THERE IS AN ERROR, THE SHIPMENT FREQUENCY AND        *
144300*    NORMAL SHIPMENT QUANTITY FIELDS ARE HIGHLIGHTED         *
144400*    AND OPENED FOR CORRECTION.                              *
144500*                                                            *
144600**************************************************************
144700*
144800     IF  MMIC-NSF-NOT-USED (X-MMIC-INVENTORY)
144900         GO TO W502-INCREMENT-INDEXES.
145000*
145100     IF  MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY)
145200         IS GREATER THAN ZERO
145300         GO TO W502-INCREMENT-INDEXES.
145400*
145500 W502-SHIP-QTY-ERROR.
145600*
145700**************************************************
145800*    BRIGHTEN AND FSET THE SHIPMENT FREQUENCY    *
145900*    AND NORMAL SHIPMENT QUANTITY                *
146000**************************************************
146100*
146200     MOVE 'Y'                    TO SS08WS-ERROR
146300                                    WS-NORM-SHIP-FREQ-ERROR-SW
146400                                    WS-NORM-SHIP-QTY-ERROR-SW.
146500*
146600     MOVE SS08WS-CURSOR          TO MV03-NORM-SHIPMENT-FREQ-L
146700                                        (X-MV03-INVENTORY).
146800     MOVE DFHBMASB               TO MV03-NORM-SHIPMENT-FREQ-LP-A
146900                                        (X-MV03-INVENTORY)
147000                                    MV03-NORM-SHIPMENT-FREQ-RP-A
147100                                        (X-MV03-INVENTORY)
147200                                    MV03-NORM-SHIPMENT-QTY-LP-A
147300                                        (X-MV03-INVENTORY)
147400                                    MV03-NORM-SHIPMENT-QTY-RP-A
147500                                        (X-MV03-INVENTORY).
147600     MOVE DFHBMNBF               TO MV03-NORM-SHIPMENT-FREQ-A
147700                                        (X-MV03-INVENTORY)
147800                                    MV03-NORM-SHIPMENT-QTY-A
147900                                        (X-MV03-INVENTORY).
148000*
148100 W502-INCREMENT-INDEXES.
148200*
148300     IF  X-MV03-INVENTORY IS LESS THAN 3
148400         SET X-MV03-INVENTORY    UP BY 1
148500         SET X-MMIC-INVENTORY    UP BY 1
148600         GO TO W502-SFCE-LOOP.
148700*
148800 W502-SFCE-EXIT.
148900     EXIT.
149000*
149100 W510-NEXT-SHIP-OPER-EDITS.
149200*
149300*************************
149400*    SET THE INDEXES    *
149500*************************
149600*
149700     SET X-MV03-INVENTORY        TO 1.
149800     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
149900*
150000 W510-NSOE-LOOP.
150100*
150200     IF  MV03-NORM-SHIPMENT-FREQ-L (X-MV03-INVENTORY)
150300                                 IS GREATER THAN ZERO
150400         IF  MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
150500                                 IS NOT EQUAL
150600                                 TO MMIC-NORM-SHIPMENT-FREQ
150700                                    (X-MMIC-INVENTORY)
150800             MOVE MBCA-OPERATOR-ID
150900                                 TO MV03-NEXT-SHIPMENT-OPER
151000                                    (X-MV03-INVENTORY)
151100             MOVE +3             TO MV03-NEXT-SHIPMENT-OPER-L
151200                                    (X-MV03-INVENTORY)
151300             GO TO W510-INCREMENT-INDEXES.
151400*
151500     IF  MV03-NEXT-SHIPMENT-DATE-L (X-MV03-INVENTORY)
151600                                 IS GREATER THAN ZERO
151700         IF  MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY)
151800                                 IS NOT EQUAL
151900                                 TO MMIC-NEXT-SHIPMENT-DATE
152000                                    (X-MMIC-INVENTORY)
152100             MOVE MBCA-OPERATOR-ID
152200                                 TO MV03-NEXT-SHIPMENT-OPER
152300                                    (X-MV03-INVENTORY)
152400             MOVE +3             TO MV03-NEXT-SHIPMENT-OPER-L
152500                                    (X-MV03-INVENTORY)
152600             GO TO W510-INCREMENT-INDEXES.
152700*
152800     IF  MV03-NEXT-SHIPMENT-QTY-L (X-MV03-INVENTORY)
152900                                 IS GREATER THAN ZERO
153000         IF  MV03-NEXT-SHIPMENT-QTY (X-MV03-INVENTORY)
153100                                 IS NOT EQUAL
153200                                 TO MMIC-NEXT-SHIPMENT-QTY
153300                                    (X-MMIC-INVENTORY)
153400             MOVE MBCA-OPERATOR-ID
153500                                 TO MV03-NEXT-SHIPMENT-OPER
153600                                    (X-MV03-INVENTORY)
153700             MOVE +3             TO MV03-NEXT-SHIPMENT-OPER-L
153800                                    (X-MV03-INVENTORY)
153900             GO TO W510-INCREMENT-INDEXES.
154000*
154100 W510-INCREMENT-INDEXES.
154200*
154300     IF  X-MV03-INVENTORY IS LESS THAN 3
154400         SET X-MV03-INVENTORY    UP BY 1
154500         SET X-MMIC-INVENTORY    UP BY 1
154600         GO TO W510-NSOE-LOOP.
154700*
154800 W510-NSOE-EXIT.
154900     EXIT.
155000*
155100 W529-CE-EXIT.
155200     EXIT.
155300/
155400 X000-UPDATE-FIELDS SECTION.
155500*
155600 X010-UPDATE-ITEM-CODES.
155700*
155800***********************************
155900*    SET THE BEGINNING INDEXES    *
156000***********************************
156100
156200     SET X-MV03-INVENTORY        TO 1.
156300     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
156400*
156500 X012-UIC-LOOP.
156600*
156700     IF  MV03-ITEM-CODE-L (X-MV03-INVENTORY) IS GREATER THAN ZERO
156800         IF  MV03-ITEM-CODE (X-MV03-INVENTORY) IS NOT EQUAL TO
156900             MMIC-ITEM-CODE (X-MMIC-INVENTORY)
157000             MOVE 'Y'            TO WS-UPDATE-SW
157100             IF  MBCA-PTI-FUNCTION-IS-MAINT
157200                 MOVE 0301       TO MML1-FIELD-CODE
157300                 SET MML1-FIELD-OCCURRENCE
157400                                 TO X-MMIC-INVENTORY
157500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
157600                 MOVE MML1WS-VL-20
157700                                 TO MML1-VARIABLE-LENGTH
157800                 MOVE MMIC-ITEM-CODE (X-MMIC-INVENTORY)
157900                                 TO MML1-VL20-B-DATA-X
158000                 MOVE MV03-ITEM-CODE     (X-MV03-INVENTORY)
158100                                 TO MMIC-ITEM-CODE
158200                                         (X-MMIC-INVENTORY)
158300                 MOVE MMIC-ITEM-CODE (X-MMIC-INVENTORY)
158400                                 TO MML1-VL20-A-DATA-X
158500                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
158600                 PERFORM Y900-WRITE-LOG-RECORD
158700                                 THRU Y909-WLR-EXIT
158800             ELSE
158900                 MOVE MV03-ITEM-CODE     (X-MV03-INVENTORY)
159000                                 TO MMIC-ITEM-CODE
159100                                         (X-MMIC-INVENTORY).
159200*
159300 X018-INCREMENT-INDEXES.
159400*
159500     IF  X-MV03-INVENTORY IS LESS THAN 3
159600         SET X-MV03-INVENTORY    UP BY 1
159700         SET X-MMIC-INVENTORY    UP BY 1
159800         GO TO X012-UIC-LOOP.
159900*
160000 X019-UIC-EXIT.
160100     EXIT.
160200*
160300 X020-UPDATE-ITEM-DESCS.
160400*
160500***********************************
160600*    SET THE BEGINNING INDEXES    *
160700***********************************
160800
160900     SET X-MV03-INVENTORY        TO 1.
161000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
161100*
161200 X022-UID-LOOP.
161300*
161400     IF  MV03-ITEM-DESC-L (X-MV03-INVENTORY) IS GREATER THAN ZERO
161500         IF  MV03-ITEM-DESC (X-MV03-INVENTORY) IS NOT EQUAL TO
161600             MMIC-ITEM-DESC (X-MMIC-INVENTORY)
161700             MOVE 'Y'            TO WS-UPDATE-SW
161800             IF  MBCA-PTI-FUNCTION-IS-MAINT
161900                 MOVE 0302       TO MML1-FIELD-CODE
162000                 SET MML1-FIELD-OCCURRENCE
162100                                 TO X-MMIC-INVENTORY
162200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
162300                 MOVE MML1WS-VL-30
162400                                 TO MML1-VARIABLE-LENGTH
162500                 MOVE MMIC-ITEM-DESC (X-MMIC-INVENTORY)
162600                                 TO MML1-VL30-B-DATA-X
162700                 MOVE MV03-ITEM-DESC     (X-MV03-INVENTORY)
162800                                 TO MMIC-ITEM-DESC
162900                                         (X-MMIC-INVENTORY)
163000                 MOVE MMIC-ITEM-DESC (X-MMIC-INVENTORY)
163100                                 TO MML1-VL30-A-DATA-X
163200                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
163300                 PERFORM Y900-WRITE-LOG-RECORD
163400                                 THRU Y909-WLR-EXIT
163500             ELSE
163600                 MOVE MV03-ITEM-DESC     (X-MV03-INVENTORY)
163700                                 TO MMIC-ITEM-DESC
163800                                         (X-MMIC-INVENTORY).
163900*
164000 X028-INCREMENT-INDEXES.
164100*
164200     IF  X-MV03-INVENTORY IS LESS THAN 3
164300         SET X-MV03-INVENTORY    UP BY 1
164400         SET X-MMIC-INVENTORY    UP BY 1
164500         GO TO X022-UID-LOOP.
164600*
164700 X029-UID-EXIT.
164800     EXIT.
164900*
165000 X030-UPDATE-QTY-ON-HANDS.
165100*
165200***********************************
165300*    SET THE BEGINNING INDEXES    *
165400***********************************
165500
165600     SET X-MV03-INVENTORY        TO 1.
165700     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
165800*
165900 X032-UQOH-LOOP.
166000*
166100     IF  MV03-QTY-ON-HAND-L (X-MV03-INVENTORY)
166200         IS GREATER THAN ZERO
166300         IF  MV03-QTY-ON-HAND (X-MV03-INVENTORY) IS NOT EQUAL TO
166400             MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
166500             MOVE 'Y'            TO WS-UPDATE-SW
166600             IF  MBCA-PTI-FUNCTION-IS-MAINT
166700                 MOVE 0303       TO MML1-FIELD-CODE
166800                 SET MML1-FIELD-OCCURRENCE
166900                                 TO X-MMIC-INVENTORY
167000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
167100                 MOVE MML1WS-VL-07
167200                                 TO MML1-VARIABLE-LENGTH
167300                 MOVE MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
167400                                 TO MML1-VL07-B-DATA-9
167500                 MOVE MV03-QTY-ON-HAND   (X-MV03-INVENTORY)
167600                                 TO MMIC-QTY-ON-HAND
167700                                         (X-MMIC-INVENTORY)
167800                 MOVE MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
167900                                 TO MML1-VL07-A-DATA-9
168000                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
168100                 PERFORM Y900-WRITE-LOG-RECORD
168200                                 THRU Y909-WLR-EXIT
168300             ELSE
168400                 MOVE MV03-QTY-ON-HAND   (X-MV03-INVENTORY)
168500                                 TO MMIC-QTY-ON-HAND
168600                                         (X-MMIC-INVENTORY).
168700*
168800 X038-INCREMENT-INDEXES.
168900*
169000     IF  X-MV03-INVENTORY IS LESS THAN 3
169100         SET X-MV03-INVENTORY    UP BY 1
169200         SET X-MMIC-INVENTORY    UP BY 1
169300         GO TO X032-UQOH-LOOP.
169400*
169500 X039-UQOH-EXIT.
169600     EXIT.
169700*
169800 X040-UPDATE-BUNDLE-AMTS.
169900*
170000***********************************
170100*    SET THE BEGINNING INDEXES    *
170200***********************************
170300
170400     SET X-MV03-INVENTORY        TO 1.
170500     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
170600*
170700 X042-UBA-LOOP.
170800*
170900     IF  MV03-BUNDLE-AMT-L (X-MV03-INVENTORY)
171000         IS GREATER THAN ZERO
171100         IF  MV03-BUNDLE-AMT (X-MV03-INVENTORY) IS NOT EQUAL TO
171200             MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
171300             MOVE 'Y'            TO WS-UPDATE-SW
171400             IF  MBCA-PTI-FUNCTION-IS-MAINT
171500                 MOVE 0304       TO MML1-FIELD-CODE
171600                 SET MML1-FIELD-OCCURRENCE
171700                                 TO X-MMIC-INVENTORY
171800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
171900                 MOVE MML1WS-VL-07
172000                                 TO MML1-VARIABLE-LENGTH
172100                 MOVE MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
172200                                 TO MML1-VL07-B-DATA-9
172300                 MOVE MV03-BUNDLE-AMT    (X-MV03-INVENTORY)
172400                                 TO MMIC-BUNDLE-AMT
172500                                         (X-MMIC-INVENTORY)
172600                 MOVE MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
172700                                 TO MML1-VL07-A-DATA-9
172800                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
172900                 PERFORM Y900-WRITE-LOG-RECORD
173000                                 THRU Y909-WLR-EXIT
173100             ELSE
173200                 MOVE MV03-BUNDLE-AMT    (X-MV03-INVENTORY)
173300                                 TO MMIC-BUNDLE-AMT
173400                                         (X-MMIC-INVENTORY).
173500*
173600 X048-INCREMENT-INDEXES.
173700*
173800     IF  X-MV03-INVENTORY IS LESS THAN 3
173900         SET X-MV03-INVENTORY    UP BY 1
174000         SET X-MMIC-INVENTORY    UP BY 1
174100         GO TO X042-UBA-LOOP.
174200*
174300 X049-UBA-EXIT.
174400     EXIT.
174500*
174600 X050-UPDATE-BUNDLE-QTYS.
174700*
174800***********************************
174900*    SET THE BEGINNING INDEXES    *
175000***********************************
175100
175200     SET X-MV03-INVENTORY        TO 1.
175300     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
175400*
175500 X052-UBQ-LOOP.
175600*
175700     IF  MV03-BUNDLE-QTY-L (X-MV03-INVENTORY)
175800         IS GREATER THAN ZERO
175900         IF  MV03-BUNDLE-QTY (X-MV03-INVENTORY) IS NOT EQUAL TO
176000             MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
176100             MOVE 'Y'            TO WS-UPDATE-SW
176200             IF  MBCA-PTI-FUNCTION-IS-MAINT
176300                 MOVE 0305       TO MML1-FIELD-CODE
176400                 SET MML1-FIELD-OCCURRENCE
176500                                 TO X-MMIC-INVENTORY
176600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
176700                 MOVE MML1WS-VL-07
176800                                 TO MML1-VARIABLE-LENGTH
176900                 MOVE MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
177000                                 TO MML1-VL07-B-DATA-9
177100                 MOVE MV03-BUNDLE-QTY    (X-MV03-INVENTORY)
177200                                 TO MMIC-BUNDLE-QTY
177300                                         (X-MMIC-INVENTORY)
177400                 MOVE MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
177500                                 TO MML1-VL07-A-DATA-9
177600                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
177700                 PERFORM Y900-WRITE-LOG-RECORD
177800                                 THRU Y909-WLR-EXIT
177900             ELSE
178000                 MOVE MV03-BUNDLE-QTY    (X-MV03-INVENTORY)
178100                                 TO MMIC-BUNDLE-QTY
178200                                         (X-MMIC-INVENTORY).
178300*
178400 X058-INCREMENT-INDEXES.
178500*
178600     IF  X-MV03-INVENTORY IS LESS THAN 3
178700         SET X-MV03-INVENTORY    UP BY 1
178800         SET X-MMIC-INVENTORY    UP BY 1
178900         GO TO X052-UBQ-LOOP.
179000*
179100 X059-UBQ-EXIT.
179200     EXIT.
179300*
179400 X060-UPDATE-NORM-SHIPMENT-FREQ.
179500*
179600***********************************
179700*    SET THE BEGINNING INDEXES    *
179800***********************************
179900
180000     SET X-MV03-INVENTORY        TO 1.
180100     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
180200*
180300 X062-UNSF-LOOP.
180400*
180500     IF  MV03-NORM-SHIPMENT-FREQ-L (X-MV03-INVENTORY)
180600         IS GREATER THAN ZERO
180700         IF  MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
180800             IS NOT EQUAL TO
180900             MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
181000             MOVE 'Y'            TO WS-UPDATE-SW
181100             IF  MBCA-PTI-FUNCTION-IS-MAINT
181200                 MOVE 0306       TO MML1-FIELD-CODE
181300                 SET MML1-FIELD-OCCURRENCE
181400                                 TO X-MMIC-INVENTORY
181500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
181600                 MOVE MML1WS-VL-02
181700                                 TO MML1-VARIABLE-LENGTH
181800                 MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
181900                                 TO MML1-VL02-B-DATA-9
182000                 MOVE MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
182100                                 TO MMIC-NORM-SHIPMENT-FREQ
182200                                         (X-MMIC-INVENTORY)
182300                 MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
182400                                 TO MML1-VL02-A-DATA-9
182500                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
182600                 PERFORM Y900-WRITE-LOG-RECORD
182700                                 THRU Y909-WLR-EXIT
182800             ELSE
182900                 MOVE MV03-NORM-SHIPMENT-FREQ (X-MV03-INVENTORY)
183000                                 TO MMIC-NORM-SHIPMENT-FREQ
183100                                         (X-MMIC-INVENTORY).
183200*
183300 X068-INCREMENT-INDEXES.
183400*
183500     IF  X-MV03-INVENTORY IS LESS THAN 3
183600         SET X-MV03-INVENTORY    UP BY 1
183700         SET X-MMIC-INVENTORY    UP BY 1
183800         GO TO X062-UNSF-LOOP.
183900*
184000 X069-UNSF-EXIT.
184100     EXIT.
184200*
184300 X070-UPDATE-NORM-SHIPMENT-QTYS.
184400*
184500***********************************
184600*    SET THE BEGINNING INDEXES    *
184700***********************************
184800
184900     SET X-MV03-INVENTORY        TO 1.
185000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
185100*
185200 X072-UNSQ-LOOP.
185300*
185400     IF  MV03-NORM-SHIPMENT-QTY-L (X-MV03-INVENTORY)
185500         IS GREATER THAN ZERO
185600         IF  MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY)
185700             IS NOT EQUAL TO
185800             MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
185900             MOVE 'Y'            TO WS-UPDATE-SW
186000             IF  MBCA-PTI-FUNCTION-IS-MAINT
186100                 MOVE 0307       TO MML1-FIELD-CODE
186200                 SET MML1-FIELD-OCCURRENCE
186300                                 TO X-MMIC-INVENTORY
186400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
186500                 MOVE MML1WS-VL-07
186600                                 TO MML1-VARIABLE-LENGTH
186700                 MOVE MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
186800                                 TO MML1-VL07-B-DATA-9
186900                 MOVE MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY)
187000                                 TO MMIC-NORM-SHIPMENT-QTY
187100                                         (X-MMIC-INVENTORY)
187200                 MOVE MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
187300                                 TO MML1-VL07-A-DATA-9
187400                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
187500                 PERFORM Y900-WRITE-LOG-RECORD
187600                                 THRU Y909-WLR-EXIT
187700             ELSE
187800                 MOVE MV03-NORM-SHIPMENT-QTY (X-MV03-INVENTORY)
187900                                 TO MMIC-NORM-SHIPMENT-QTY
188000                                         (X-MMIC-INVENTORY).
188100*
188200 X078-INCREMENT-INDEXES.
188300*
188400     IF  X-MV03-INVENTORY IS LESS THAN 3
188500         SET X-MV03-INVENTORY    UP BY 1
188600         SET X-MMIC-INVENTORY    UP BY 1
188700         GO TO X072-UNSQ-LOOP.
188800*
188900 X079-UNSQ-EXIT.
189000     EXIT.
189100*
189200 X080-UPDATE-LAST-SHIPMENT-DATE.
189300*
189400***********************************
189500*    SET THE BEGINNING INDEXES    *
189600***********************************
189700
189800     SET X-MV03-INVENTORY        TO 1.
189900     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
190000*
190100 X082-ULSD-LOOP.
190200*
190300     IF  MV03-LAST-SHIPMENT-DATE-L (X-MV03-INVENTORY)
190400         IS GREATER THAN ZERO
190500         MOVE MV03-LAST-SHIPMENT-DATE (X-MV03-INVENTORY)
190600                                 TO SS01WS-DATE
190700         PERFORM SS07PD-GREG-TO-JUL
190800                                 THRU SS07PD-GTJ-EXIT
190900         IF  SS01WS-JULIAN IS NOT EQUAL TO
191000             MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
191100             MOVE 'Y'            TO WS-UPDATE-SW
191200             IF  MBCA-PTI-FUNCTION-IS-MAINT
191300                 MOVE 0308       TO MML1-FIELD-CODE
191400                 SET MML1-FIELD-OCCURRENCE
191500                                 TO X-MMIC-INVENTORY
191600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
191700                 MOVE MML1WS-VL-07
191800                                 TO MML1-VARIABLE-LENGTH
191900                 MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
192000                                 TO MML1-VL07-B-DATA-9
192100                 MOVE SS01WS-JULIAN
192200                                 TO MMIC-LAST-SHIPMENT-DATE
192300                                         (X-MMIC-INVENTORY)
192400                 MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
192500                                 TO MML1-VL07-A-DATA-9
192600                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
192700                 PERFORM Y900-WRITE-LOG-RECORD
192800                                 THRU Y909-WLR-EXIT
192900             ELSE
193000                 MOVE SS01WS-JULIAN
193100                                 TO MMIC-LAST-SHIPMENT-DATE
193200                                         (X-MMIC-INVENTORY).
193300*
193400 X088-INCREMENT-INDEXES.
193500*
193600     IF  X-MV03-INVENTORY IS LESS THAN 3
193700         SET X-MV03-INVENTORY    UP BY 1
193800         SET X-MMIC-INVENTORY    UP BY 1
193900         GO TO X082-ULSD-LOOP.
194000*
194100 X089-ULSD-EXIT.
194200     EXIT.
194300*
194400 X090-UPDATE-LAST-SHIPMENT-QTYS.
194500*
194600***********************************
194700*    SET THE BEGINNING INDEXES    *
194800***********************************
194900
195000     SET X-MV03-INVENTORY        TO 1.
195100     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
195200*
195300 X092-ULSQ-LOOP.
195400*
195500     IF  MV03-LAST-SHIPMENT-QTY-L (X-MV03-INVENTORY)
195600         IS GREATER THAN ZERO
195700         IF  MV03-LAST-SHIPMENT-QTY (X-MV03-INVENTORY)
195800             IS NOT EQUAL TO
195900             MMIC-LAST-SHIPMENT-QTY (X-MMIC-INVENTORY)
196000             MOVE 'Y'            TO WS-UPDATE-SW
196100             IF  MBCA-PTI-FUNCTION-IS-MAINT
196200                 MOVE 0309       TO MML1-FIELD-CODE
196300                 SET MML1-FIELD-OCCURRENCE
196400                                 TO X-MMIC-INVENTORY
196500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
196600                 MOVE MML1WS-VL-07
196700                                 TO MML1-VARIABLE-LENGTH
196800                 MOVE MMIC-LAST-SHIPMENT-QTY (X-MMIC-INVENTORY)
196900                                 TO MML1-VL07-B-DATA-9
197000                 MOVE MV03-LAST-SHIPMENT-QTY (X-MV03-INVENTORY)
197100                                 TO MMIC-LAST-SHIPMENT-QTY
197200                                         (X-MMIC-INVENTORY)
197300                 MOVE MMIC-LAST-SHIPMENT-QTY (X-MMIC-INVENTORY)
197400                                 TO MML1-VL07-A-DATA-9
197500                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
197600                 PERFORM Y900-WRITE-LOG-RECORD
197700                                 THRU Y909-WLR-EXIT
197800             ELSE
197900                 MOVE MV03-LAST-SHIPMENT-QTY (X-MV03-INVENTORY)
198000                                 TO MMIC-LAST-SHIPMENT-QTY
198100                                         (X-MMIC-INVENTORY).
198200*
198300 X098-INCREMENT-INDEXES.
198400*
198500     IF  X-MV03-INVENTORY IS LESS THAN 3
198600         SET X-MV03-INVENTORY    UP BY 1
198700         SET X-MMIC-INVENTORY    UP BY 1
198800         GO TO X092-ULSQ-LOOP.
198900*
199000 X099-ULSQ-EXIT.
199100     EXIT.
199200*
199300 X110-UPDATE-NEXT-SHIPMENT-DATE.
199400*
199500***********************************
199600*    SET THE BEGINNING INDEXES    *
199700***********************************
199800
199900     SET X-MV03-INVENTORY        TO 1.
200000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
200100*
200200 X112-UNSD-LOOP.
200300*
200400     IF  MV03-NEXT-SHIPMENT-DATE-L (X-MV03-INVENTORY)
200500         IS GREATER THAN ZERO
200600         MOVE MV03-NEXT-SHIPMENT-DATE (X-MV03-INVENTORY)
200700                                 TO SS01WS-DATE
200800         PERFORM SS07PD-GREG-TO-JUL
200900                                 THRU SS07PD-GTJ-EXIT
201000         IF  SS01WS-JULIAN IS NOT EQUAL TO
201100             MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
201200             MOVE 'Y'            TO WS-UPDATE-SW
201300             IF  MBCA-PTI-FUNCTION-IS-MAINT
201400                 MOVE 0311       TO MML1-FIELD-CODE
201500                 SET MML1-FIELD-OCCURRENCE
201600                                 TO X-MMIC-INVENTORY
201700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
201800                 MOVE MML1WS-VL-07
201900                                 TO MML1-VARIABLE-LENGTH
202000                 MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
202100                                 TO MML1-VL07-B-DATA-9
202200                 MOVE SS01WS-JULIAN
202300                                 TO MMIC-NEXT-SHIPMENT-DATE
202400                                         (X-MMIC-INVENTORY)
202500                 MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
202600                                 TO MML1-VL07-A-DATA-9
202700                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
202800                 PERFORM Y900-WRITE-LOG-RECORD
202900                                 THRU Y909-WLR-EXIT
203000             ELSE
203100                 MOVE SS01WS-JULIAN
203200                                 TO MMIC-NEXT-SHIPMENT-DATE
203300                                         (X-MMIC-INVENTORY).
203400*
203500 X118-INCREMENT-INDEXES.
203600*
203700     IF  X-MV03-INVENTORY IS LESS THAN 3
203800         SET X-MV03-INVENTORY    UP BY 1
203900         SET X-MMIC-INVENTORY    UP BY 1
204000         GO TO X112-UNSD-LOOP.
204100*
204200 X119-UNSD-EXIT.
204300     EXIT.
204400*
204500 X120-UPDATE-NEXT-SHIPMENT-QTYS.
204600*
204700***********************************
204800*    SET THE BEGINNING INDEXES    *
204900***********************************
205000
205100     SET X-MV03-INVENTORY        TO 1.
205200     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
205300*
205400 X122-UNSQ-LOOP.
205500*
205600     IF  MV03-NEXT-SHIPMENT-QTY-L (X-MV03-INVENTORY)
205700         IS GREATER THAN ZERO
205800         IF  MV03-NEXT-SHIPMENT-QTY (X-MV03-INVENTORY)
205900             IS NOT EQUAL TO
206000             MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
206100             MOVE 'Y'            TO WS-UPDATE-SW
206200             IF  MBCA-PTI-FUNCTION-IS-MAINT
206300                 MOVE 0312       TO MML1-FIELD-CODE
206400                 SET MML1-FIELD-OCCURRENCE
206500                                 TO X-MMIC-INVENTORY
206600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
206700                 MOVE MML1WS-VL-07
206800                                 TO MML1-VARIABLE-LENGTH
206900                 MOVE MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
207000                                 TO MML1-VL07-B-DATA-9
207100                 MOVE MV03-NEXT-SHIPMENT-QTY (X-MV03-INVENTORY)
207200                                 TO MMIC-NEXT-SHIPMENT-QTY
207300                                         (X-MMIC-INVENTORY)
207400                 MOVE MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
207500                                 TO MML1-VL07-A-DATA-9
207600                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
207700                 PERFORM Y900-WRITE-LOG-RECORD
207800                                 THRU Y909-WLR-EXIT
207900             ELSE
208000                 MOVE MV03-NEXT-SHIPMENT-QTY (X-MV03-INVENTORY)
208100                                 TO MMIC-NEXT-SHIPMENT-QTY
208200                                         (X-MMIC-INVENTORY).
208300*
208400 X128-INCREMENT-INDEXES.
208500*
208600     IF  X-MV03-INVENTORY IS LESS THAN 3
208700         SET X-MV03-INVENTORY    UP BY 1
208800         SET X-MMIC-INVENTORY    UP BY 1
208900         GO TO X122-UNSQ-LOOP.
209000*
209100 X129-UNSQ-EXIT.
209200     EXIT.
209300*
209400 X130-UPDATE-NEXT-SHIPMENT-OPER.
209500*
209600***********************************
209700*    SET THE BEGINNING INDEXES    *
209800***********************************
209900
210000     SET X-MV03-INVENTORY        TO 1.
210100     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
210200*
210300 X132-UNSO-LOOP.
210400*
210500     IF  MV03-NEXT-SHIPMENT-OPER-L (X-MV03-INVENTORY)
210600                                 IS GREATER THAN ZERO
210700         IF  MV03-NEXT-SHIPMENT-OPER (X-MV03-INVENTORY)
210800             IS NOT EQUAL TO
210900             MMIC-NEXT-SHIPMENT-OPER (X-MMIC-INVENTORY)
211000             MOVE 'Y'            TO WS-UPDATE-SW
211100             IF  MBCA-PTI-FUNCTION-IS-MAINT
211200                 MOVE 0313       TO MML1-FIELD-CODE
211300                 SET MML1-FIELD-OCCURRENCE
211400                                 TO X-MMIC-INVENTORY
211500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
211600                 MOVE MML1WS-VL-03
211700                                 TO MML1-VARIABLE-LENGTH
211800                 MOVE MMIC-NEXT-SHIPMENT-OPER (X-MMIC-INVENTORY)
211900                                 TO MML1-VL03-B-DATA-X
212000                 MOVE MV03-NEXT-SHIPMENT-OPER (X-MV03-INVENTORY)
212100                                 TO MMIC-NEXT-SHIPMENT-OPER
212200                                         (X-MMIC-INVENTORY)
212300                 MOVE MMIC-NEXT-SHIPMENT-OPER (X-MMIC-INVENTORY)
212400                                 TO MML1-VL03-A-DATA-X
212500                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
212600                 PERFORM Y900-WRITE-LOG-RECORD
212700                                 THRU Y909-WLR-EXIT
212800             ELSE
212900                 MOVE MV03-NEXT-SHIPMENT-OPER (X-MV03-INVENTORY)
213000                                 TO MMIC-NEXT-SHIPMENT-OPER
213100                                         (X-MMIC-INVENTORY).
213200*
213300 X138-INCREMENT-INDEXES.
213400*
213500     IF  X-MV03-INVENTORY IS LESS THAN 3
213600         SET X-MV03-INVENTORY    UP BY 1
213700         SET X-MMIC-INVENTORY    UP BY 1
213800         GO TO X132-UNSO-LOOP.
213900*
214000 X139-UNSO-EXIT.
214100     EXIT.
214200/
214300 Y000-PERFORMED-ROUTINES SECTION.
214400*
214500 Y010-MOVE-ITEM-CODES.
214600*
214700***********************************
214800*    SET THE BEGINNING INDEXES    *
214900***********************************
215000*
215100     SET X-MV03-INVENTORY        TO 1.
215200     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
215300*
215400 Y012-MIC-LOOP.
215500*
215600     MOVE MMIC-ITEM-CODE (X-MMIC-INVENTORY)
215700                                 TO MV03-ITEM-CODE
215800                                        (X-MV03-INVENTORY).
215900*
216000****************************************
216100*    DARKEN THE PARENS AND BRIGHTEN    *
216200*    THE DATA ELEMENT IF IN INQUIRY    *
216300****************************************
216400*
216500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
216600         MOVE DFHBMASB           TO MV03-ITEM-CODE-A
216700                                        (X-MV03-INVENTORY)
216800         MOVE DFHBMDAS           TO MV03-ITEM-CODE-LP-A
216900                                        (X-MV03-INVENTORY)
217000                                    MV03-ITEM-CODE-RP-A
217100                                        (X-MV03-INVENTORY).
217200*
217300 Y018-INCREMENT-INDEXES.
217400*
217500     IF  X-MV03-INVENTORY IS LESS THAN 3
217600         SET X-MV03-INVENTORY    UP BY 1
217700         SET X-MMIC-INVENTORY    UP BY 1
217800         GO TO Y012-MIC-LOOP.
217900*
218000 Y019-MIC-EXIT.
218100     EXIT.
218200*
218300 Y020-MOVE-ITEM-DESCS.
218400*
218500***********************************
218600*    SET THE BEGINNING INDEXES    *
218700***********************************
218800*
218900     SET X-MV03-INVENTORY        TO 1.
219000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
219100*
219200 Y022-MID-LOOP.
219300*
219400     MOVE MMIC-ITEM-DESC (X-MMIC-INVENTORY)
219500                                 TO MV03-ITEM-DESC
219600                                        (X-MV03-INVENTORY).
219700*
219800****************************************
219900*    DARKEN THE PARENS AND BRIGHTEN    *
220000*    THE DATA ELEMENT IF IN INQUIRY    *
220100****************************************
220200*
220300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
220400         MOVE DFHBMASB           TO MV03-ITEM-DESC-A
220500                                        (X-MV03-INVENTORY)
220600         MOVE DFHBMDAS           TO MV03-ITEM-DESC-LP-A
220700                                        (X-MV03-INVENTORY)
220800                                    MV03-ITEM-DESC-RP-A
220900                                        (X-MV03-INVENTORY).
221000*
221100 Y028-INCREMENT-INDEXES.
221200*
221300     IF  X-MV03-INVENTORY IS LESS THAN 3
221400         SET X-MV03-INVENTORY    UP BY 1
221500         SET X-MMIC-INVENTORY    UP BY 1
221600         GO TO Y022-MID-LOOP.
221700*
221800 Y029-MID-EXIT.
221900     EXIT.
222000*
222100 Y030-MOVE-QTY-ON-HANDS.
222200*
222300***********************************
222400*    SET THE BEGINNING INDEXES    *
222500***********************************
222600*
222700     SET X-MV03-INVENTORY        TO 1.
222800     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
222900*
223000 Y032-MQOH-LOOP.
223100*
223200     MOVE MMIC-QTY-ON-HAND (X-MMIC-INVENTORY)
223300                                 TO MV03-QTY-ON-HAND
223400                                        (X-MV03-INVENTORY).
223500*
223600****************************************
223700*    DARKEN THE PARENS AND BRIGHTEN    *
223800*    THE DATA ELEMENT IF IN INQUIRY    *
223900****************************************
224000*
224100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
224200         MOVE DFHBMASB           TO MV03-QTY-ON-HAND-A
224300                                        (X-MV03-INVENTORY)
224400         MOVE DFHBMDAS           TO MV03-QTY-ON-HAND-LP-A
224500                                        (X-MV03-INVENTORY)
224600                                    MV03-QTY-ON-HAND-RP-A
224700                                        (X-MV03-INVENTORY).
224800*
224900 Y038-INCREMENT-INDEXES.
225000*
225100     IF  X-MV03-INVENTORY IS LESS THAN 3
225200         SET X-MV03-INVENTORY    UP BY 1
225300         SET X-MMIC-INVENTORY    UP BY 1
225400         GO TO Y032-MQOH-LOOP.
225500*
225600 Y039-MQOH-EXIT.
225700     EXIT.
225800*
225900 Y040-MOVE-BUNDLE-AMTS.
226000*
226100***********************************
226200*    SET THE BEGINNING INDEXES    *
226300***********************************
226400*
226500     SET X-MV03-INVENTORY        TO 1.
226600     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
226700*
226800 Y042-MBA-LOOP.
226900*
227000     MOVE MMIC-BUNDLE-AMT (X-MMIC-INVENTORY)
227100                                 TO MV03-BUNDLE-AMT
227200                                        (X-MV03-INVENTORY).
227300*
227400****************************************
227500*    DARKEN THE PARENS AND BRIGHTEN    *
227600*    THE DATA ELEMENT IF IN INQUIRY    *
227700****************************************
227800*
227900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
228000         MOVE DFHBMASB           TO MV03-BUNDLE-AMT-A
228100                                        (X-MV03-INVENTORY)
228200         MOVE DFHBMDAS           TO MV03-BUNDLE-AMT-LP-A
228300                                        (X-MV03-INVENTORY)
228400                                    MV03-BUNDLE-AMT-RP-A
228500                                        (X-MV03-INVENTORY).
228600*
228700 Y048-INCREMENT-INDEXES.
228800*
228900     IF  X-MV03-INVENTORY IS LESS THAN 3
229000         SET X-MV03-INVENTORY    UP BY 1
229100         SET X-MMIC-INVENTORY    UP BY 1
229200         GO TO Y042-MBA-LOOP.
229300*
229400 Y049-MBA-EXIT.
229500     EXIT.
229600*
229700 Y050-MOVE-BUNDLE-QTYS.
229800*
229900***********************************
230000*    SET THE BEGINNING INDEXES    *
230100***********************************
230200*
230300     SET X-MV03-INVENTORY        TO 1.
230400     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
230500*
230600 Y052-MBQ-LOOP.
230700*
230800     MOVE MMIC-BUNDLE-QTY (X-MMIC-INVENTORY)
230900                                 TO MV03-BUNDLE-QTY
231000                                        (X-MV03-INVENTORY).
231100*
231200****************************************
231300*    DARKEN THE PARENS AND BRIGHTEN    *
231400*    THE DATA ELEMENT IF IN INQUIRY    *
231500****************************************
231600*
231700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
231800         MOVE DFHBMASB           TO MV03-BUNDLE-QTY-A
231900                                        (X-MV03-INVENTORY)
232000         MOVE DFHBMDAS           TO MV03-BUNDLE-QTY-LP-A
232100                                        (X-MV03-INVENTORY)
232200                                    MV03-BUNDLE-QTY-RP-A
232300                                        (X-MV03-INVENTORY).
232400*
232500 Y058-INCREMENT-INDEXES.
232600*
232700     IF  X-MV03-INVENTORY IS LESS THAN 3
232800         SET X-MV03-INVENTORY    UP BY 1
232900         SET X-MMIC-INVENTORY    UP BY 1
233000         GO TO Y052-MBQ-LOOP.
233100*
233200 Y059-MBQ-EXIT.
233300     EXIT.
233400*
233500 Y060-MOVE-NORM-SHIPMENT-FREQS.
233600*
233700***********************************
233800*    SET THE BEGINNING INDEXES    *
233900***********************************
234000*
234100     SET X-MV03-INVENTORY        TO 1.
234200     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
234300*
234400 Y062-MNSF-LOOP.
234500*
234600     MOVE MMIC-NORM-SHIPMENT-FREQ (X-MMIC-INVENTORY)
234700                                 TO MV03-NORM-SHIPMENT-FREQ
234800                                        (X-MV03-INVENTORY).
234900*
235000****************************************
235100*    DARKEN THE PARENS AND BRIGHTEN    *
235200*    THE DATA ELEMENT IF IN INQUIRY    *
235300****************************************
235400*
235500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
235600         MOVE DFHBMASB           TO MV03-NORM-SHIPMENT-FREQ-A
235700                                        (X-MV03-INVENTORY)
235800         MOVE DFHBMDAS           TO MV03-NORM-SHIPMENT-FREQ-LP-A
235900                                        (X-MV03-INVENTORY)
236000                                    MV03-NORM-SHIPMENT-FREQ-RP-A
236100                                        (X-MV03-INVENTORY).
236200*
236300 Y068-INCREMENT-INDEXES.
236400*
236500     IF  X-MV03-INVENTORY IS LESS THAN 3
236600         SET X-MV03-INVENTORY    UP BY 1
236700         SET X-MMIC-INVENTORY    UP BY 1
236800         GO TO Y062-MNSF-LOOP.
236900*
237000 Y069-MNSF-EXIT.
237100     EXIT.
237200*
237300 Y070-MOVE-NORM-SHIPMENT-QTYS.
237400*
237500***********************************
237600*    SET THE BEGINNING INDEXES    *
237700***********************************
237800*
237900     SET X-MV03-INVENTORY        TO 1.
238000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
238100*
238200 Y072-MNSQ-LOOP.
238300*
238400     MOVE MMIC-NORM-SHIPMENT-QTY (X-MMIC-INVENTORY)
238500                                 TO MV03-NORM-SHIPMENT-QTY
238600                                        (X-MV03-INVENTORY).
238700*
238800****************************************
238900*    DARKEN THE PARENS AND BRIGHTEN    *
239000*    THE DATA ELEMENT IF IN INQUIRY    *
239100****************************************
239200*
239300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
239400         MOVE DFHBMASB           TO MV03-NORM-SHIPMENT-QTY-A
239500                                        (X-MV03-INVENTORY)
239600         MOVE DFHBMDAS           TO MV03-NORM-SHIPMENT-QTY-LP-A
239700                                        (X-MV03-INVENTORY)
239800                                    MV03-NORM-SHIPMENT-QTY-RP-A
239900                                        (X-MV03-INVENTORY).
240000*
240100 Y078-INCREMENT-INDEXES.
240200*
240300     IF  X-MV03-INVENTORY IS LESS THAN 3
240400         SET X-MV03-INVENTORY    UP BY 1
240500         SET X-MMIC-INVENTORY    UP BY 1
240600         GO TO Y072-MNSQ-LOOP.
240700*
240800 Y079-MNSQ-EXIT.
240900     EXIT.
241000*
241100 Y080-MOVE-LAST-SHIPMENT-DATES.
241200*
241300***********************************
241400*    SET THE BEGINNING INDEXES    *
241500***********************************
241600*
241700     SET X-MV03-INVENTORY        TO 1.
241800     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
241900*
242000 Y082-MLSD-LOOP.
242100*
242200     MOVE MMIC-LAST-SHIPMENT-DATE (X-MMIC-INVENTORY)
242300                                 TO SS01WS-JULIAN.
242400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
242500     MOVE SS01WS-DATE            TO MV03-LAST-SHIPMENT-DATE
242600                                    (X-MV03-INVENTORY).
242700*
242800     MOVE DFHBMASK               TO MV03-LAST-SHIPMENT-DATE-A
242900                                    (X-MV03-INVENTORY).
243000*
243100     MOVE DFHBMASK               TO MV03-LAST-SHIPMENT-DATE-A
243200                                        (X-MV03-INVENTORY).
243300*
243400****************************************
243500*    DARKEN THE PARENS AND BRIGHTEN    *
243600*    THE DATA ELEMENT IF IN INQUIRY    *
243700****************************************
243800*
243900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
244000         MOVE DFHBMASB           TO MV03-LAST-SHIPMENT-DATE-A
244100                                        (X-MV03-INVENTORY).
244200*
244300 Y088-INCREMENT-INDEXES.
244400*
244500     IF  X-MV03-INVENTORY IS LESS THAN 3
244600         SET X-MV03-INVENTORY    UP BY 1
244700         SET X-MMIC-INVENTORY    UP BY 1
244800         GO TO Y082-MLSD-LOOP.
244900*
245000 Y089-MLSD-EXIT.
245100     EXIT.
245200*
245300 Y090-MOVE-LAST-SHIPMENT-QTYS.
245400*
245500***********************************
245600*    SET THE BEGINNING INDEXES    *
245700***********************************
245800*
245900     SET X-MV03-INVENTORY        TO 1.
246000     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
246100*
246200 Y092-MLSQ-LOOP.
246300*
246400     MOVE MMIC-LAST-SHIPMENT-QTY (X-MMIC-INVENTORY)
246500                                 TO MV03-LAST-SHIPMENT-QTY
246600                                        (X-MV03-INVENTORY).
246700*
246800     MOVE DFHBMASK               TO MV03-LAST-SHIPMENT-QTY-A
246900                                        (X-MV03-INVENTORY).
247000*
247100****************************************
247200*    DARKEN THE PARENS AND BRIGHTEN    *
247300*    THE DATA ELEMENT IF IN INQUIRY    *
247400****************************************
247500*
247600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
247700         MOVE DFHBMASB           TO MV03-LAST-SHIPMENT-QTY-A
247800                                        (X-MV03-INVENTORY).
247900*
248000 Y098-INCREMENT-INDEXES.
248100*
248200     IF  X-MV03-INVENTORY IS LESS THAN 3
248300         SET X-MV03-INVENTORY    UP BY 1
248400         SET X-MMIC-INVENTORY    UP BY 1
248500         GO TO Y092-MLSQ-LOOP.
248600*
248700 Y099-MLSQ-EXIT.
248800     EXIT.
248900*
249000 Y100-MOVE-LAST-SHIPMENT-OPERS.
249100*
249200***********************************
249300*    SET THE BEGINNING INDEXES    *
249400***********************************
249500*
249600     SET X-MV03-INVENTORY        TO 1.
249700     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
249800*
249900 Y102-MLSO-LOOP.
250000*
250100     MOVE MMIC-LAST-SHIPMENT-OPER (X-MMIC-INVENTORY)
250200                                 TO MV03-LAST-SHIPMENT-OPER
250300                                        (X-MV03-INVENTORY).
250400*
250500     MOVE DFHBMASK               TO MV03-LAST-SHIPMENT-OPER-A
250600                                        (X-MV03-INVENTORY).
250700*
250800****************************************
250900*    DARKEN THE PARENS AND BRIGHTEN    *
251000*    THE DATA ELEMENT IF IN INQUIRY    *
251100****************************************
251200*
251300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
251400         MOVE DFHBMASB           TO MV03-LAST-SHIPMENT-OPER-A
251500                                        (X-MV03-INVENTORY).
251600*
251700 Y108-INCREMENT-INDEXES.
251800*
251900     IF  X-MV03-INVENTORY IS LESS THAN 3
252000         SET X-MV03-INVENTORY    UP BY 1
252100         SET X-MMIC-INVENTORY    UP BY 1
252200         GO TO Y102-MLSO-LOOP.
252300*
252400 Y109-MLSO-EXIT.
252500     EXIT.
252600*
252700 Y110-MOVE-NEXT-SHIPMENT-DATES.
252800*
252900***********************************
253000*    SET THE BEGINNING INDEXES    *
253100***********************************
253200*
253300     SET X-MV03-INVENTORY        TO 1.
253400     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
253500*
253600 Y112-MNSD-LOOP.
253700*
253800     MOVE MMIC-NEXT-SHIPMENT-DATE (X-MMIC-INVENTORY)
253900                                 TO SS01WS-JULIAN.
254000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
254100     MOVE SS01WS-DATE            TO MV03-NEXT-SHIPMENT-DATE
254200                                        (X-MV03-INVENTORY).
254300*
254400****************************************
254500*    DARKEN THE PARENS AND BRIGHTEN    *
254600*    THE DATA ELEMENT IF IN INQUIRY    *
254700****************************************
254800*
254900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
255000         MOVE DFHBMASB           TO MV03-NEXT-SHIPMENT-DATE-A
255100                                        (X-MV03-INVENTORY)
255200         MOVE DFHBMDAS           TO MV03-NEXT-SHIPMENT-DATE-LP-A
255300                                        (X-MV03-INVENTORY)
255400                                    MV03-NEXT-SHIPMENT-DATE-RP-A
255500                                        (X-MV03-INVENTORY).
255600*
255700 Y118-INCREMENT-INDEXES.
255800*
255900     IF  X-MV03-INVENTORY IS LESS THAN 3
256000         SET X-MV03-INVENTORY    UP BY 1
256100         SET X-MMIC-INVENTORY    UP BY 1
256200         GO TO Y112-MNSD-LOOP.
256300*
256400 Y119-MNSD-EXIT.
256500     EXIT.
256600*
256700 Y120-MOVE-NEXT-SHIPMENT-QTYS.
256800*
256900***********************************
257000*    SET THE BEGINNING INDEXES    *
257100***********************************
257200*
257300     SET X-MV03-INVENTORY        TO 1.
257400     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
257500*
257600 Y122-MNSQ-LOOP.
257700*
257800     MOVE MMIC-NEXT-SHIPMENT-QTY (X-MMIC-INVENTORY)
257900                                 TO MV03-NEXT-SHIPMENT-QTY
258000                                        (X-MV03-INVENTORY).
258100*
258200****************************************
258300*    DARKEN THE PARENS AND BRIGHTEN    *
258400*    THE DATA ELEMENT IF IN INQUIRY    *
258500****************************************
258600*
258700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
258800         MOVE DFHBMASB           TO MV03-NEXT-SHIPMENT-QTY-A
258900                                        (X-MV03-INVENTORY)
259000         MOVE DFHBMDAS           TO MV03-NEXT-SHIPMENT-QTY-LP-A
259100                                        (X-MV03-INVENTORY)
259200                                    MV03-NEXT-SHIPMENT-QTY-RP-A
259300                                        (X-MV03-INVENTORY).
259400*
259500 Y128-INCREMENT-INDEXES.
259600*
259700     IF  X-MV03-INVENTORY IS LESS THAN 3
259800         SET X-MV03-INVENTORY    UP BY 1
259900         SET X-MMIC-INVENTORY    UP BY 1
260000         GO TO Y122-MNSQ-LOOP.
260100*
260200 Y129-MNSQ-EXIT.
260300     EXIT.
260400*
260500 Y130-MOVE-NEXT-SHIPMENT-OPERS.
260600*
260700***********************************
260800*    SET THE BEGINNING INDEXES    *
260900***********************************
261000*
261100     SET X-MV03-INVENTORY        TO 1.
261200     SET X-MMIC-INVENTORY        TO WS-BEG-INDEX.
261300*
261400 Y132-MNSO-LOOP.
261500*
261600     MOVE MMIC-NEXT-SHIPMENT-OPER (X-MMIC-INVENTORY)
261700                                 TO MV03-NEXT-SHIPMENT-OPER
261800                                        (X-MV03-INVENTORY).
261900*
262000     MOVE DFHBMASK               TO MV03-NEXT-SHIPMENT-OPER-A
262100                                        (X-MV03-INVENTORY).
262200*
262300****************************************
262400*    DARKEN THE PARENS AND BRIGHTEN    *
262500*    THE DATA ELEMENT IF IN INQUIRY    *
262600****************************************
262700*
262800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
262900         MOVE DFHBMASB           TO MV03-NEXT-SHIPMENT-OPER-A
263000                                        (X-MV03-INVENTORY).
263100*
263200 Y138-INCREMENT-INDEXES.
263300*
263400     IF  X-MV03-INVENTORY IS LESS THAN 3
263500         SET X-MV03-INVENTORY    UP BY 1
263600         SET X-MMIC-INVENTORY    UP BY 1
263700         GO TO Y132-MNSO-LOOP.
263800*
263900 Y139-MNSO-EXIT.
264000     EXIT.
264100*
264200 Y900-WRITE-LOG-RECORD.
264300*
264400     SET MBIORO-WRITE            TO TRUE.
264500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
264600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
264700*
264800 Y909-WLR-EXIT.
264900     EXIT.
265000/
265100 Z000-COPIED-ROUTINES SECTION.
265200*
265300*****************************
265400*    FUTURE DATE ROUTINE    *
265500*****************************
265600*
265700     COPY SS03PD.
265800/
265900*********************************
266000*    DATE VALIDATION ROUTINE    *
266100*********************************
266200*
266300     COPY SS05PD.
266400/
266500**********************************
266600*    GREG TO JUL DATE ROUTINE    *
266700**********************************
266800*
266900     COPY SS07PD.
267000/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
267100     COPY SS26PD.
267200*
267300/    ROUTINE TO NUMERICALLY EDIT TIME
267400     COPY SS27PD.
267500*
267600/
267700**********************************
267800*    JUL TO GREG DATE ROUTINE    *
267900**********************************
268000*
268100     COPY SS08PD.
268200/
268300*********************************
268400*    LINE 24 PF KEYS ROUTINE    *
268500*********************************
268600*
268700     COPY SS15PD.
268800*
268900/    ROUTINE TO MOVE COMMAREA VARIABLES TO
269000*                    SS08-FORMATTED-MSG VARIABLE.
269100     COPY MB06PD.
269200/
269300******************************************************
269400*    INVENTORY CONTROL RECORD ACCESS ROUTINES        *
269500******************************************************
269600*
269700     COPY MMICAO.
269800/
269900*********************************************
270000*    ORGANIZATION RECORD ACCESS ROUTINES    *
270100*********************************************
270200*
270300     COPY MMOCAO.
270400/
270500*****************************************
270600*    LOG FILE RECORD ACCESS ROUTINES    *
270700*****************************************
270800*
270900     COPY MML1AO.
271000/
271100*****************************
271200*    ONLINE MAP ROUTINES    *
271300*****************************
271400*
271500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMV03 '
271600                           MBMAPXXI BY MBMV03I
271700                           MBMAPXXO BY MBMV03O.
271800/
271900***************************
272000*    ONLINE PROCEDURES    *
272100***************************
272200*
272300     COPY MB70PD.
272400/
272500     COPY SMFTPXO.
