000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMX00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMX00 - ON-LINE MONETARY TRANSACTION CONTROL A/M/Q     *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAX                                       *
001200*                 B. MBMX                                       *
001300*                 C. MBQX                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMX00 (LOCATE MAP)                        *
001600*              3. FILES USED -                                  *
001700*                 A. MMGD   (GEN/DEF TRANS CODE FILE)           *
001800*                 B. MMTC   (TRANS CONTROL FILE)                *
001900*                 C. MMOC   (ORGANIZATION CONTROL FILE)         *
002000*                 C. MML1   (LOG FILE 1)                        *
002100*                                                               *
002200*****************************************************************
002300*
002400 ENVIRONMENT DIVISION.
002500 DATA DIVISION.
002600 WORKING-STORAGE SECTION.
002700 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002800/         I/O REQUEST BLOCK WORK AREAS
002900     COPY MBIOWS.
003000/         I/O REQUEST BLOCK
003100     COPY MBIORO.
003200/         GEN/DEFAULT TC RECORD INITIALIZE VALUES
003300     COPY MMGDIR.
003400/         MONETARY TC RECORD INITIALIZE VALUES
003500     COPY MMTCIR.
003600/         DATE WORK AREAS
003700     COPY SS01WS.
003800/         ONLINE WORK AREAS
003900     COPY SS08WS.
004000/
004100     COPY SS00WS.
004200/
004300     COPY SMFTWS.
004400/
004500     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004600/
004700     COPY MB61LK.
004800/         STANDARD ERROR MESSAGES
004900     COPY MBEMWS.
005000*
005100 01  WS-MISCELLANEOUS.
005200     03  WS-ORG-LOW          PIC S9(03)      VALUE +001 COMP-3.
005300     03  WS-ORG-HIGH         PIC S9(03)      VALUE +998 COMP-3.
005400     03  WS-COPY-SW          PIC  X(01)      VALUE 'N'.
005500         88  WS-COPY-SW-NO                   VALUE 'N'.
005600         88  WS-COPY-SW-YES                  VALUE 'Y'.
005700     03  WS-SELECT-ERROR-SW  PIC  X(01)      VALUE 'N'.
005800         88  WS-SELECT-ERROR-NO              VALUE 'N'.
005900         88  WS-SELECT-ERROR-YES             VALUE 'Y'.
006000     03  WS-ADD-BYPASS-SW    PIC  X(01)      VALUE 'N'.
006100         88  WS-ADD-BYPASS-NO                VALUE 'N'.
006200         88  WS-ADD-BYPASS-YES               VALUE 'Y'.
006300     03  WS-TXN-CODE         PIC  9(03)      VALUE ZEROS.
006400*
006500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006600/
006700 LINKAGE SECTION.
006800 01  DFHCOMMAREA.
006900     COPY MB60WS.
007000/         T/C SCREEN 00 MAP DSECT
007100     COPY MBMX00.
007200/         T/C SCREEN 00 MAP REDEFINITION
007300     COPY MBMX00R.
007400/         ORGANIZATION MASTER FILE
007500     COPY MMOCRL.
007600/         GEN/DEFAULT TC RECORD LAYOUT
007700     COPY MMGDRL.
007800/         MONETARY TC RECORD LAYOUT
007900     COPY MMTCRL.
008000/         LOGGING FILE RECORD LAYOUT
008100     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
008200/
008300 PROCEDURE DIVISION.
008400 0000-HOUSEKEEPING SECTION.
008500 0100-INIT.
008600*
008700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008900                                 THRU MB70PD-OLH-EXIT.
009000*
009100     IF  MBCA-RECEIVE-SCREEN
009200         GO TO 2000-RECEIVE-SCREEN.
009300*
009400 1000-SEND-SCREEN SECTION.
009500*
009600****************************************************************
009700*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009800****************************************************************
009900*
010000     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010100     PERFORM MB60PD-GETMAIN-FOR-MAP
010200                                 THRU MB60PD-GFM-EXIT.
010300*
010400     MOVE ZERO                   TO MBCA-MBMX-SUB-PAGE-NBR.
010500*
010600     IF  MBCA-PTI-FUNCTION-MAINT-OR-INQ
010700         MOVE DFHBMDAS           TO MX00-COPY-ORG-LIT-A
010800                                    MX00-COPY-ORG-LIT-A
010900                                    MX00-COPY-ORG-LP-A
011000                                    MX00-COPY-ORG-RP-A
011100         MOVE DFHBMASK           TO MX00-COPY-ORG-A
011200     END-IF
011300     .
011400*
011500*****************************************************************
011600*    CHECK KEY CODES                                            *
011700* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
011800* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
011900* 3. IF MMGD KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
012000*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
012100*    ORG IN THE MAP.  IF AN ERROR OCCURS IN THE                 *
012200*    RECEIVE SCREEN ROUTINE, IT WILL HANDLE BUILDING THE MAP    *
012300*    AND IT WILL SEND ITS OWN SCREEN.  THIS IS WHY LOCATE       *
012400*    PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH ROUTINE    *
012500*    YOU ARE IN.  IF NOT DIRECT, PLUG ORG INTO MAP              *
012600*    AND BYPASS ANY OTHER CHECKING OF THE KEY CODE.             *
012700* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-ORG                  *
012800*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP          *
012900*    HANDLE IF THEY WERE NON-DIRECT.                            *
013000*****************************************************************
013100*
013200     IF  MBCA-PTI-FUNCTION-IS-ADD
013300     OR  MBCA-INITIAL-KEY-CODE
013400         GO TO 1100-BUILD-SCREEN.
013500*
013600     IF  MBCA-MMGD-KEY-CODE
013700     OR  MBCA-MMOC-KEY-CODE
013800     AND MBCA-ORG IS GREATER THAN ZERO
013900         MOVE MBCA-ORG           TO MX00-ORG
014000         MOVE DFHBMUNF           TO MX00-ORG-A
014100         IF  MBCA-DIRECT-TRANSFER-CODE
014200         AND MBCA-INITIAL-SCREEN-NBR
014300             MOVE 00             TO MBCA-SCREEN-NBR
014400             GO TO 2130-READ-ORG
014500         ELSE
014600             GO TO 1100-BUILD-SCREEN.
014700*
014800     IF  MBCA-VALID-KEY-CODES
014900     AND MBCA-ORG IS GREATER THAN ZERO
015000         MOVE MBCA-ORG           TO MX00-ORG
015100         MOVE DFHBMUNF           TO MX00-ORG-A.
015200*
015300 1100-BUILD-SCREEN.
015400*
015500****************************************************************
015600*    INITIALIZE THE STANDARD MAP LINES                         *
015700****************************************************************
015800*
015900     MOVE SS08WS-CURSOR          TO MX00-ORG-L.
016000     MOVE 00                     TO MBCA-SCREEN-NBR.
016100     PERFORM MB60PD-INIT-STD-MAP-LINES
016200                                 THRU MB60PD-ISML-EXIT.
016300*
016400     IF  MBCA-PTI-FUNCTION-IS-MAINT
016500     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
016600         MOVE DFHBMDAS           TO MX00-COPY-ORG-LIT-A
016700                                    MX00-COPY-ORG-LP-A
016800                                    MX00-COPY-ORG-RP-A
016900         MOVE DFHBMASK           TO MX00-COPY-ORG-A.
017000*
017100     IF  MBCA-ORG IS NUMERIC
017200     AND MBCA-ORG IS GREATER THAN ZERO
017300         IF  MBCA-PTI-FUNCTION-IS-ADD
017400             NEXT SENTENCE
017500         ELSE
017600             MOVE MBCA-ORG       TO MX00-ORG.
017700*
017800****************************************************************
017900*    SEND THE MAP                                              *
018000****************************************************************
018100*
018200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
018300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
018400                                 THRU MB60PD-SMWE-EXIT.
018500*
018600****************************************************************
018700*    RETURN TO CICS                                            *
018800****************************************************************
018900*
019000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
019100     PERFORM MB70PD-RETURN-TRANS-ID
019200                                 THRU MB70PD-RTI-EXIT.
019300/
019400 2000-RECEIVE-SCREEN SECTION.
019500*
019600****************************************************************
019700*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
019800****************************************************************
019900*
020000     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
020100     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
020200*
020300****************************************************************
020400*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
020500****************************************************************
020600*
020700     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
020800     PERFORM MB60PD-NEW-TRANS-ROUTINE
020900                                 THRU MB60PD-NTR-EXIT.
021000*
021100 2100-EDIT-SCREEN.
021200*
021300     SET SS08WS-ERROR-SW-NO      TO TRUE.
021400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
021500*
021600     IF  (MX00-ORG-L IS LESS THAN 1
021700     AND  MX00-COPY-ORG-L IS LESS THAN 1)
021800     AND (SS08WS-VALID-PF-KEY
021900     OR   SS08WS-EIBAID-VALID-PF-KEY)
022000         SET MBCA-INITIAL-SCREEN-NBR
022100                                 TO TRUE
022200         GO TO 2690-TRANSFER-XCTL.
022300*
022400     IF  MBCA-PTI-FUNCTION-IS-ADD
022500         NEXT SENTENCE
022600     ELSE
022700         GO TO 2120-EDIT-ORG.
022800*
022900 2110-EDIT-COPY-ORG.
023000*
023100     MOVE DFHBMUNF               TO MX00-COPY-ORG-A.
023200     MOVE DFHBMASK               TO MX00-COPY-ORG-LP-A
023300                                    MX00-COPY-ORG-RP-A.
023400*
023500     IF  MX00-COPY-ORG-L IS EQUAL TO ZERO
023600         GO TO 2120-EDIT-ORG.
023700*
023800     IF  MX00-COPY-ORG IS NOT NUMERIC
023900         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE
024000         GO TO 2115-COPY-ORG-ERROR.
024100*
024200     IF  MX00-COPY-ORG IS LESS THAN MBCA-ORG-LOW
024300     OR  MX00-COPY-ORG IS GREATER THAN MBCA-ORG-HIGH
024400     OR  MX00-COPY-ORG IS LESS THAN WS-ORG-LOW
024500     OR  MX00-COPY-ORG IS GREATER THAN WS-ORG-HIGH
024600         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE
024700         GO TO 2115-COPY-ORG-ERROR.
024800*
024900****************************************************************
025000*    READ THE COPY GEN/DEFAULT TRAN CODE RECORD.               *
025100****************************************************************
025200*
025300     MOVE 'Y'                    TO WS-COPY-SW.
025400     MOVE MX00-COPY-ORG          TO MBIOWS-MMGD-ORG.
025500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
025600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
025700     SET MBIORO-READ-RANDOM      TO TRUE.
025800     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
025900*
026000     IF  SS08WS-RC-FC-NOTFND
026100         MOVE MBEMWS-NOT-ON-FILE TO MX00-ERR-MESSAGE
026200     ELSE
026300         IF  MMGD-ADD-PENDING
026400             MOVE MBEMWS-ADD-PENDING
026500                                 TO MX00-ERR-MESSAGE
026600         ELSE
026700             IF  MMGD-REC-INCOMPLETE
026800             OR  MMGD-REC-PURGED
026900                 MOVE MBEMWS-NOT-ACTIVE
027000                                 TO MX00-ERR-MESSAGE
027100             ELSE
027200                 GO TO 2120-EDIT-ORG.
027300*
027400 2115-COPY-ORG-ERROR.
027500*
027600     SET SS08WS-ERROR-SW-YES     TO TRUE.
027700     MOVE DFHBMASB               TO MX00-COPY-ORG-LP-A
027800                                    MX00-COPY-ORG-RP-A.
027900     MOVE SS08WS-CURSOR          TO MX00-COPY-ORG-L.
028000     MOVE DFHBMNBF               TO MX00-COPY-ORG-A.
028100     MOVE DFHBMUNF               TO MX00-ORG-A.
028200     GO TO 2200-VALIDATE-ORG.
028300*
028400 2120-EDIT-ORG.
028500*
028600     MOVE DFHBMUNF               TO MX00-ORG-A.
028700     MOVE DFHBMASK               TO MX00-ORG-LP-A
028800                                    MX00-ORG-RP-A.
028900     MOVE DFHBMDAS               TO MX00-COPY-ORG-LIT-A
029000                                    MX00-COPY-ORG-LIT-A
029100                                    MX00-COPY-ORG-LP-A
029200                                    MX00-COPY-ORG-RP-A.
029300     MOVE DFHBMASK               TO MX00-COPY-ORG-A.
029400*
029500     IF  MX00-ORG-L IS EQUAL TO ZERO
029600     OR  MX00-ORG IS NOT NUMERIC
029700         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE
029800         GO TO 2140-ORG-ERROR.
029900*
030000     IF  MX00-ORG IS LESS THAN MBCA-ORG-LOW
030100     OR  MX00-ORG IS GREATER THAN MBCA-ORG-HIGH
030200     OR  MX00-ORG IS LESS THAN WS-ORG-LOW
030300     OR  MX00-ORG IS GREATER THAN WS-ORG-HIGH
030400         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE
030500         GO TO 2140-ORG-ERROR.
030600*
030700 2130-READ-ORG.
030800*
030900****************************************************************
031000*    READ THE DEFAULT/GENERATED TRANS RECORD FOR THE ORG       *
031100****************************************************************
031200*
031300     MOVE MX00-ORG               TO MBIOWS-MMGD-ORG.
031400     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
031500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
031600     SET MBIORO-READ-RANDOM      TO TRUE.
031700     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
031800*
031900     IF  SS08WS-RC-FC-VALID-RTN-CODE
032000         MOVE MX00-ORG           TO MBCA-ORG.
032100*
032200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
032300         IF  SS08WS-RC-FC-VALID-RTN-CODE
032400             IF  MMGD-ADD-PENDING
032500                 MOVE MBEMWS-ADD-PENDING
032600                                 TO MX00-ERR-MESSAGE
032700                 GO TO 2140-ORG-ERROR
032800             ELSE
032900                 GO TO 2200-VALIDATE-ORG
033000         ELSE
033100             MOVE MBEMWS-NOT-ON-FILE
033200                                 TO MX00-ERR-MESSAGE
033300             GO TO 2140-ORG-ERROR.
033400*
033500     IF  MBCA-PTI-FUNCTION-IS-ADD
033600     AND SS08WS-RC-FC-NOTFND
033700         GO TO 2200-VALIDATE-ORG.
033800*
033900     IF  MBCA-PTI-FUNCTION-IS-ADD
034000     AND MMGD-ADD-PENDING
034100         IF  WS-COPY-SW-NO
034200             MOVE MMGD-ONLINE-STATUS
034300                                 TO MBCA-SCREEN-NBR
034400             GO TO 2600-SETUP-COMMAREA
034500         ELSE
034600             MOVE MBEMWS-ADD-PENDING
034700                                 TO MX00-ERR-MESSAGE
034800             GO TO 2115-COPY-ORG-ERROR
034900         END-IF
035000     END-IF
035100*
035200     IF  MBCA-PTI-FUNCTION-IS-ADD
035300         SET WS-ADD-BYPASS-YES   TO TRUE.
035400*
035500     IF  MBCA-PTI-FUNCTION-IS-MAINT
035600     AND SS08WS-RC-FC-NOTFND
035700         MOVE MBEMWS-NOT-ON-FILE TO MX00-ERR-MESSAGE
035800         GO TO 2140-ORG-ERROR.
035900*
036000     IF  MBCA-PTI-FUNCTION-IS-MAINT
036100     AND MMGD-ADD-PENDING
036200         MOVE MBEMWS-ADD-PENDING TO MX00-ERR-MESSAGE
036300         GO TO 2140-ORG-ERROR.
036400*
036500******************************************************************
036600*    OTHERWISE, WE PASSED THE ORG EDIT                           *
036700******************************************************************
036800*
036900 2200-VALIDATE-ORG.
037000*
037100     MOVE MX00-ORG               TO MBCA-ORG.
037200     MOVE MX00-ORG               TO MBIOWS-MMOC-ORG.
037300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
037400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
037500     SET MBIORO-READ-RANDOM      TO TRUE.
037600     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
037700*
037800     MOVE SPACES                 TO MBCA-MBMX-ORG-NAME.
037900*
038000     IF  SS08WS-RC-FC-NOTFND
038100         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE
038200         GO TO 2140-ORG-ERROR.
038300*
038400     IF  MMOC-REC-ACTIVE
038500         MOVE MMOC-NA-LINE (1 1) TO MBCA-MBMX-ORG-NAME
038600         GO TO 2290-CHECK-ERROR
038700     ELSE
038800         MOVE MBEMWS-INVALID-ORG TO MX00-ERR-MESSAGE.
038900*
039000 2140-ORG-ERROR.
039100*
039200     SET SS08WS-ERROR-SW-YES     TO TRUE.
039300     MOVE DFHBMASB               TO MX00-ORG-LP-A
039400                                    MX00-ORG-RP-A.
039500     MOVE SS08WS-CURSOR          TO MX00-ORG-L.
039600     MOVE DFHBMNBF               TO MX00-ORG-A.
039700*
039800 2290-CHECK-ERROR.
039900*
040000     IF  SS08WS-ERROR-SW-NO
040100         IF  MBCA-PTI-FUNCTION-IS-INQUIRY
040200         OR  MBCA-PTI-FUNCTION-IS-MAINT
040300             GO TO 2600-SETUP-COMMAREA
040400         ELSE
040500             GO TO 2400-UPDATE-FILE
040600     ELSE
040700         IF  SS08WS-VALID-PF-KEY
040800         OR  SS08WS-EIBAID-VALID-PF-KEY
040900             SET MBCA-INITIAL-SCREEN-NBR
041000                                 TO TRUE
041100             GO TO 2690-TRANSFER-XCTL.
041200*
041300 2300-SEND-MAP.
041400*
041500****************************************************************
041600*    SEND THE MAP                                              *
041700****************************************************************
041800*
041900     PERFORM MB60PD-INIT-STD-MAP-LINES
042000                                 THRU MB60PD-ISML-EXIT.
042100*
042200     IF  MBCA-PTI-FUNCTION-IS-MAINT
042300     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
042400         MOVE DFHBMDAS           TO MX00-COPY-ORG-LIT-A
042500                                    MX00-COPY-ORG-LP-A
042600                                    MX00-COPY-ORG-RP-A
042700         MOVE DFHBMASK           TO MX00-COPY-ORG-A.
042800*
042900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
043000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
043100                                 THRU MB60PD-SMWE-EXIT.
043200*
043300****************************************************************
043400*    RETURN TO CICS                                            *
043500****************************************************************
043600*
043700     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
043800     PERFORM MB70PD-RETURN-TRANS-ID
043900                                 THRU MB70PD-RTI-EXIT.
044000/
044100 2400-UPDATE-FILE.
044200*
044300     MOVE MMOC-NA-LINE (1 1)     TO MBCA-MBMX-ORG-NAME.
044400*
044500****************************************************************
044600*    WRITE THE NEW ORG FROM THE INITIALIZED RECORDS OR FROM    *
044700*    THE ORG THAT IS BEING COPIED.                             *
044800****************************************************************
044900*
045000     IF  WS-ADD-BYPASS-YES
045100         GO TO 2600-SETUP-COMMAREA.
045200*
045300*
045400****************************************************************
045500*    GETMAIN FOR LOG/JOURNAL RECORD                            *
045600****************************************************************
045700*
045800     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
045900     SET MBIORO-GETMAIN          TO TRUE.
046000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
046100*
046200     IF  MX00-COPY-ORG-L IS GREATER THAN ZERO
046300         PERFORM 9100-COPY-ORG   THRU 9199-CO-EXIT
046400         SET WS-ADD-BYPASS-YES   TO TRUE
046500     ELSE
046600         PERFORM 9200-ADD-ORG    THRU 9299-AO-EXIT.
046700*
046800 2600-SETUP-COMMAREA.
046900*
047000****************************************************************
047100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047200****************************************************************
047300*
047400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
047500*
047600     IF  MBCA-PTI-FUNCTION-IS-ADD
047700         MOVE MBIOWS-MMGD-KEY-CODE
047800                                 TO MBCA-KEY-CODE
047900     ELSE
048000         MOVE MBIOWS-MMGD-DIRECT-KEY-CODE
048100                                 TO MBCA-KEY-CODE.
048200*
048300     PERFORM MB60PD-EDIT-PAGE-NBR
048400                                 THRU MB60PD-EPN-EXIT.
048500*
048600     IF  WS-ADD-BYPASS-YES
048700         MOVE 53                 TO MBCA-SCREEN-NBR.
048800*
048900     IF  SS08WS-VALID-PF-KEY
049000     OR  SS08WS-EIBAID-VALID-PF-KEY
049100         SET MBCA-INITIAL-SCREEN-NBR
049200                                 TO TRUE.
049300*
049400 2690-TRANSFER-XCTL.
049500*
049600     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
049700     PERFORM MB70PD-XCTL-TO-MBOXCTL
049800                                 THRU MB70PD-XTM-EXIT.
049900/
050000 9000-PERFORMED-ROUTINES-SECT SECTION.
050100*
050200 9100-COPY-ORG.
050300*
050400****************************************************************
050500*    READ THE COPY GEN/DEFAULT TC RECORD                       *
050600****************************************************************
050700*
050800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
050900     MOVE MX00-COPY-ORG          TO MBIOWS-MMGD-ORG.
051000     SET MBIORO-READ-RANDOM      TO TRUE.
051100     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
051200*
051300     MOVE MBCA-ORG               TO MMGD-ORG.
051400*
051500     MOVE SPACES                 TO MMGD-LAST-MAINT-OPER.
051600*
051700     SET  MMGD-REC-ACTIVE        TO TRUE.
051800     MOVE ZEROES                 TO MMGD-LAST-MAINT-DATE.
051900*
052000*****************************************************************
052100*    WRITE LOG RECORD FOR MMGD FILE                             *
052200*****************************************************************
052300*
052400     MOVE SPACES                 TO MML1-MMTC-KEY.
052500     SET MML1-FILE-IS-MMGD       TO TRUE.
052600     MOVE MBCA-ORG               TO MML1-MMGD-ORG.
052700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
052800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
052900     MOVE ZEROES                 TO MML1-SOURCE-CODE
053000                                    MML1-FIELD-CODE
053100                                    MML1-FIELD-OCCURRENCE
053200                                    MML1-FIELD-OCCURRENCE-2.
053300     MOVE LENGTH OF MMGD-RECORD  TO MML1-VARIABLE-LENGTH.
053400     MOVE MMGD-RECORD            TO MML1-ADD-AREA.
053500*
053600     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
053700     SET MBIORO-WRITE            TO TRUE.
053800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
053900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
054000*
054100****************************************************************
054200*    WRITE THE NEW GEN/DEFAULT TC RECORD                       *
054300****************************************************************
054400*
054500     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
054600     SET MBIORO-WRITE            TO TRUE.
054700     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
054800*
054900****************************************************************
055000*    COPY ALL MMTC RECORDS FROM THE 'COPY' ORG TO NEW ORG      *
055100****************************************************************
055200*
055300     MOVE ZEROS                  TO WS-TXN-CODE.
055400     PERFORM 9300-COPY-ORG-MMTC-RECORDS
055500                                 THRU 9340-COMR-EXIT
055600     .
055700 9199-CO-EXIT.
055800     EXIT.
055900*
056000 9200-ADD-ORG.
056100*
056200****************************************************************
056300*    GETMAIN FOR GEN/DEFAULT TC RECORD                         *
056400****************************************************************
056500*
056600     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
056700     SET MBIORO-GETMAIN          TO TRUE.
056800     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
056900*
057000****************************************************************
057100*    INITIALIZE THE GEN/DEFAULT TC RECORDS                     *
057200****************************************************************
057300*
057400     MOVE MMGDIR-RECORD          TO MMGD-RECORD.
057500     MOVE MBCA-ORG               TO MMGD-ORG.
057600     MOVE ZEROES                 TO MMGD-ONLINE-STATUS.
057700     MOVE MBCA-START-DATE        TO MMGD-LAST-MAINT-DATE.
057800     MOVE MBCA-OPERATOR-ID       TO MMGD-LAST-MAINT-OPER.
057900*
058000****************************************************************
058100*    WRITE THE NEW INITIALIZED GEN/DEFAULT TC RECORD           *
058200****************************************************************
058300*
058400     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
058500     SET MBIORO-WRITE            TO TRUE.
058600     PERFORM MMGDAO-ACCESS       THRU MMGDAO-ACCESS-EXIT.
058700*
058800     MOVE MMGDIR-RECORD          TO MMGD-RECORD.
058900     MOVE MBCA-ORG               TO MMGD-ORG.
059000*
059100 9299-AO-EXIT.
059200     EXIT.
059300/
059400 9300-COPY-ORG-MMTC-RECORDS.
059500*
059600****************************************************************
059700*    START BROWSE THE ORG MONETARY TC CONTROL FILE.            *
059800****************************************************************
059900*
060000     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION
060100     MOVE MX00-COPY-ORG          TO MBIOWS-MMTC-ORG
060200     MOVE WS-TXN-CODE            TO MBIOWS-MMTC-TXN-CODE
060300     SET MBIORO-STARTBR-GTE      TO TRUE
060400     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT
060500     .
060600 9310-READ-LOOP.
060700*
060800****************************************************************
060900*    READNEXT THE ORG MONETARY TC CONTROL FILE.                *
061000****************************************************************
061100*
061200     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION
061300     SET MBIORO-READ-SEQ         TO TRUE
061400     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT
061500*
061600*
061700****************************************************************
061800*    END BROWSE THE MERCH/PRODUCT STATS FILE.                  *
061900****************************************************************
062000*
062100     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION
062200     SET MBIORO-ENDBR            TO TRUE
062300     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT
062400     IF  MMTC-ORG        IS NOT EQUAL TO MX00-COPY-ORG
062500         GO TO 9340-COMR-EXIT
062600     END-IF
062700*
062800     COMPUTE WS-TXN-CODE = MMTC-TXN-CODE + 1.
062900*
063000     MOVE MBCA-ORG               TO MMTC-ORG.
063100*
063200     MOVE SPACES                 TO MMTC-LAST-MAINT-OPER.
063300*
063400     MOVE ZEROES                 TO MMTC-LAST-MAINT-DATE.
063500*
063600*
063700*****************************************************************
063800*    WRITE LOG RECORD FOR MMTC FILE                             *
063900*****************************************************************
064000*
064100     SET MML1-FILE-IS-MMTC       TO TRUE.
064200     MOVE MMTC-KEY               TO MML1-MMTC-KEY.
064300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
064400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
064500     MOVE ZEROES                 TO MML1-SOURCE-CODE
064600                                    MML1-FIELD-CODE
064700                                    MML1-FIELD-OCCURRENCE
064800                                    MML1-FIELD-OCCURRENCE-2.
064900     MOVE LENGTH OF MMTC-RECORD  TO MML1-VARIABLE-LENGTH.
065000     MOVE MMTC-RECORD            TO MML1-ADD-AREA.
065100*
065200     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
065300     SET MBIORO-WRITE            TO TRUE.
065400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
065500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
065600*
065700****************************************************************
065800*    WRITE THE NEW MONETARY TC CONTROL RECORD                  *
065900****************************************************************
066000*
066100     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION
066200     SET MBIORO-WRITE            TO TRUE
066300     PERFORM MMTCAO-ACCESS       THRU MMTCAO-ACCESS-EXIT
066400*
066500     MOVE MX00-COPY-ORG          TO MBIOWS-MMTC-ORG
066600     GO TO 9300-COPY-ORG-MMTC-RECORDS.
066700     .
066800 9340-COMR-EXIT.
066900     EXIT.
067000/         GREGORIAN TO JULIAN DATE ROUTINE
067100     COPY SS07PD.
067200/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
067300     COPY SS26PD.
067400/         ROUTINE TO NUMERICALLY EDIT TIME
067500     COPY SS27PD.
067600/         JULIAN TO GREGORIAN DATE ROUTINE
067700     COPY SS08PD.
067800/         LINE 24 PF KEYS ROUTINE
067900     COPY SS15PD.
068000/         ORGANIZATION MASTER FILE ACCESS ROUTINES
068100     COPY MMOCAO.
068200/         GEN/DEFAULT TC FILE RECORD ACCESS ROUTINES
068300     COPY MMGDAO.
068400/         LOG/JOURNAL ACCESS ROUTINES
068500     COPY MML1AO.
068600/         MONETARY TC FILE RECORD ACCESS ROUTINES
068700     COPY MMTCAO.
068800/         ON-LINE MAP ROUTINES
068900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMX00 '
069000                           MBMAPXXI BY MBMX00I
069100                           MBMAPXXO BY MBMX00O.
069200/         ON-LINE PROCEDURES
069300     COPY MB70PD.
069400/
069500     COPY SMFTPXO.
