000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMY02.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMY02 - ON-LINE SYSTEM RECORD MAINTENANCE/INQUIRY      *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBMY                                       *
001200*                 B. MBQY                                       *
001300*              2. MAPS USED -                                   *
001400*                 A. MBMY02 (SYSTEM MAP 02)                     *
001500*              3. FILES USED -                                  *
001600*                 A. MMSC   (SYSTEM/ORG CONTROL FILE)           *
001700*                 B. MML1   (LOG/JOURNAL FILE)                  *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200 DATA DIVISION.
002300 WORKING-STORAGE SECTION.
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*         I/O REQUEST BLOCK WORK AREAS
002600     COPY MBIOWS.
002700/         I/O REQUEST BLOCK
002800     COPY MBIORO.
002900/         LOG/JOURNAL WORK AREAS
003000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003100/         DATE WORK-AREAS.
003200     COPY SS01WS.
003300/         ONLINE WORK AREAS.
003400     COPY SS08WS.
003500/
003600     COPY SS00WS.
003700/
003800     COPY SMFTWS.
003900/
004000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004100/
004200     COPY MB61LK.
004300/         CHECK DIGIT WORK FIELDS
004400     COPY SS05WS.
004500/
004600 01  WS-WORK-AREAS.
004700     03  WS-INDEX            PIC S9(04)      BINARY.
004800     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005000         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005100*
005200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005300/
005400 LINKAGE SECTION.
005500 01  DFHCOMMAREA.
005600     COPY MB60WS.
005700/         SYSTEM SCREEN 02 MAP DSECT
005800     COPY MBMY02.
005900/         SYSTEM SCREEN 02 MAP REDEFINITION
006000     COPY MBMY02R.
006100/         SYSTEM/ORG FILE RECORD LAYOUT
006200     COPY MMSCRL.
006300/         LOG/JOURNAL FILE RECORD LAYOUT
006400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 PROCEDURE DIVISION.
006700 0000-HOUSEKEEPING SECTION.
006800 0100-INIT.
006900*
007000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007200                                 THRU MB70PD-OLH-EXIT.
007300*
007400     MOVE MBIOWS-MMSC-KEY-CODE   TO MBCA-KEY-CODE.
007500*
007600     IF  MBCA-RECEIVE-SCREEN
007700         GO TO 2000-RECEIVE-SCREEN.
007800/
007900 1000-SEND-SCREEN SECTION.
008000*
008100****************************************************************
008200*    THIS SECTION BUILDS AND SENDS THE 02 SCREEN.              *
008300****************************************************************
008400*
008500     MOVE 02                     TO MBCA-SCREEN-NBR.
008600*
008700****************************************************************
008800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008900****************************************************************
009000*
009100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009200     PERFORM MB60PD-GETMAIN-FOR-MAP
009300                                 THRU MB60PD-GFM-EXIT.
009400*
009500****************************************************************
009600*    INITIALIZE THE STANDARD MAP LINES                         *
009700****************************************************************
009800*
009900     PERFORM MB60PD-INIT-STD-MAP-LINES
010000                                 THRU MB60PD-ISML-EXIT.
010100*
010200****************************************************************
010300*    READ THE SYSTEM RECORD                                    *
010400****************************************************************
010500*
010600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
010700     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
010800     SET MBIORO-READ-RANDOM      TO TRUE.
010900     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
011000*
011100/
011200 1100-BUILD-SCREEN.
011300*
011400****************************************************************
011500*    BUILD THE MAP FROM THE SYSTEM RECORD                      *
011600****************************************************************
011700*
011800     MOVE MMSC-DATE-FORMAT       TO MY02-DATE-FORMAT.
011900     MOVE MMSC-FICHE-FLAG        TO MY02-FICHE-FLAG.
012000     MOVE MMSC-MER-GROUP-STAT-FLAG
012100                                 TO MY02-MER-GROUP-FLAG.
012200     MOVE MMSC-STORE-GROUP-STAT-FLAG
012300                                 TO MY02-STORE-GROUP-FLAG.
012400     MOVE MMSC-FORM              TO MY02-FORM-CODE.
012500     MOVE MMSC-MISC-CMS-ACTIVE   TO MY02-MISC-CMS-ACT.
012600     MOVE MMSC-LINES-PER-PAGE    TO MY02-LINES-PER-PAGE.
012700     MOVE MMSC-CRB-FREQ          TO MY02-CRB-FREQ.
012800     MOVE MMSC-CRB-DEMAND-REQ    TO MY02-CRB-DEMAND-REQ.
012900     MOVE SPACES                 TO SS01WS-EDIT-X.
013000     MOVE MMSC-CRB-DATE-LAST-PROD
013100                                 TO SS01WS-JULIAN.
013200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
013300                                 THRU SS26PD-NED-EXIT.
013400     MOVE SS01WS-XX-XX-YYYY      TO MY02-CRB-LAST-PROD.
013410     MOVE MMSC-REGION-CANADA     TO MY02-REGION-CANADA.           FX800054
013412     MOVE MMSC-REGION-RESERVED   TO MY02-REGION-RESERVED.         FX800054
013414     MOVE MMSC-REGION-ASIA-PACIFIC                                FX800054
013416                                 TO MY02-REGION-ASIA-PACIFIC.     FX800054
013418     MOVE MMSC-REGION-LATAM-CARIB                                 FX800054
013420                                 TO MY02-REGION-LATAM-CARIB.      FX800054
013422     MOVE MMSC-REGION-CEMEA      TO MY02-REGION-CEMEA.            FX800054
013500     MOVE MMSC-MULTIPLE-INTCHG   TO MY02-MULT-INTCHG.
013600     MOVE MMSC-INTCHG-BIN        TO MY02-VI-BIN-NBR.
013700     MOVE MMSC-ICA-TABLE-OR-FILE TO MY02-MC-ICA-FILE.
013800     MOVE MMSC-INTCHG-ICA        TO MY02-MC-ICA-NBR.
013802     MOVE MMSC-EUROPAY-CMID      TO MY02-EUROPAY-CMID.            EH800900
013900     MOVE MMSC-VI-ON-US-INTCHG   TO MY02-VI-ON-US-INTCHG.
014000     MOVE MMSC-EUROPAY-FLAG      TO MY02-EUROPAY-FLAG.
014004     IF  MMSC-EUROPAY-ON                                          EH800900
014006         MOVE SPACES             TO MY02-MC-VI-LIT (1:10)         EH800900
014008         MOVE 'EC/MC'            TO MY02-MC-VI-LIT (1:5).         EH800900
014100*
014200/
014300****************************************************************
014400*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
014500****************************************************************
014600*
014700     MOVE SS08WS-CURSOR          TO MY02-FICHE-FLAG-L.
014800*
014900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
015000         MOVE SS08WS-CURSOR      TO MY02-ALT-TRANID-L
015100         MOVE DFHBMASB           TO MY02-DATE-FORMAT-A
015200                                    MY02-FICHE-FLAG-A
015300                                    MY02-MER-GROUP-FLAG-A
015400                                    MY02-FORM-CODE-A
015500                                    MY02-STORE-GROUP-FLAG-A
015600                                    MY02-MISC-CMS-ACT-A
015700                                    MY02-LINES-PER-PAGE-A
015800                                    MY02-CRB-FREQ-A
015900                                    MY02-CRB-DEMAND-REQ-A
016000                                    MY02-CRB-LAST-PROD-A
016010                                    MY02-REGION-CANADA-A          FX800054
016012                                    MY02-REGION-RESERVED-A        FX800054
016014                                    MY02-REGION-ASIA-PACIFIC-A    FX800054
016016                                    MY02-REGION-LATAM-CARIB-A     FX800054
016018                                    MY02-REGION-CEMEA-A           FX800054
016100                                    MY02-MULT-INTCHG-A
016200                                    MY02-VI-BIN-NBR-A
016300                                    MY02-MC-ICA-FILE-A
016400                                    MY02-MC-ICA-NBR-A
016500                                    MY02-VI-ON-US-INTCHG-A
016600                                    MY02-EUROPAY-FLAG-A
016602                                    MY02-EUROPAY-CMID-A           EH800900
016700         MOVE DFHBMDAS           TO MY02-FICHE-FLAG-LP-A
016800                                    MY02-FICHE-FLAG-RP-A
016900                                    MY02-MER-GROUP-FLAG-LP-A
017000                                    MY02-MER-GROUP-FLAG-RP-A
017100                                    MY02-FORM-CODE-LP-A
017200                                    MY02-FORM-CODE-RP-A
017300                                    MY02-STORE-GROUP-FLAG-LP-A
017400                                    MY02-STORE-GROUP-FLAG-RP-A
017500                                    MY02-MISC-CMS-ACT-LP-A
017600                                    MY02-MISC-CMS-ACT-RP-A
017700                                    MY02-LINES-PER-PAGE-LP-A
017800                                    MY02-LINES-PER-PAGE-RP-A
017900                                    MY02-CRB-FREQ-LP-A
018000                                    MY02-CRB-FREQ-RP-A
018100                                    MY02-CRB-DEMAND-REQ-LP-A
018200                                    MY02-CRB-DEMAND-REQ-RP-A
018210                                    MY02-REGION-CANADA-LP-A       FX800054
018212                                    MY02-REGION-CANADA-RP-A       FX800054
018214                                    MY02-REGION-RESERVED-LP-A     FX800054
018216                                    MY02-REGION-RESERVED-RP-A     FX800054
018218                                    MY02-REGION-ASIA-PACIFIC-LP-A FX800054
018220                                    MY02-REGION-ASIA-PACIFIC-RP-A FX800054
018222                                    MY02-REGION-LATAM-CARIB-LP-A  FX800054
018224                                    MY02-REGION-LATAM-CARIB-RP-A  FX800054
018226                                    MY02-REGION-CEMEA-LP-A        FX800054
018228                                    MY02-REGION-CEMEA-RP-A        FX800054
018300                                    MY02-MULT-INTCHG-LP-A
018400                                    MY02-MULT-INTCHG-RP-A
018500                                    MY02-VI-BIN-NBR-LP-A
018600                                    MY02-VI-BIN-NBR-RP-A
018700                                    MY02-MC-ICA-FILE-LP-A
018800                                    MY02-MC-ICA-FILE-RP-A
018900                                    MY02-MC-ICA-NBR-LP-A
019000                                    MY02-MC-ICA-NBR-RP-A
019100                                    MY02-EUROPAY-FLAG-LP-A
019200                                    MY02-EUROPAY-FLAG-RP-A
019202                                    MY02-EUROPAY-CMID-LP-A        EH800900
019204                                    MY02-EUROPAY-CMID-RP-A        EH800900
019300                                    MY02-VI-ON-US-INTCHG-LP-A
019400                                    MY02-VI-ON-US-INTCHG-RP-A.
019500*
019600******************************************************************FX800054
019700*    REMOVE THE FOLLOWING FOUR LINES OF CODE TO ACTIVATE THE     *FX800054
019800*    RESERVED QUARTERLY REPORTING REGION                         *FX800054
019900******************************************************************FX800054
020000     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-LIT-A.   FX800054
020010     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-A.       FX800054
020100     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-LP-A.    FX800054
020200     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-RP-A.    FX800054
020300******************************************************************
020400****************************************************************
020500*    SEND THE MAP                                              *
020600****************************************************************
020700*
020800     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
020900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
021000                                 THRU MB60PD-SMWE-EXIT.
021100*
021200****************************************************************
021300*    RETURN TO CICS                                            *
021400****************************************************************
021500*
021600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
021700     PERFORM MB70PD-RETURN-TRANS-ID
021800                                 THRU MB70PD-RTI-EXIT.
021900/
022000 2000-RECEIVE-SCREEN SECTION.
022100*
022200****************************************************************
022300*    THIS SECTION RECEIVES THE 02 SCREEN                       *
022400****************************************************************
022500*
022600     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
022700     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
022800*
022900****************************************************************
023000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
023100****************************************************************
023200*
023300     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
023400     PERFORM MB60PD-NEW-TRANS-ROUTINE
023500                                 THRU MB60PD-NTR-EXIT.
023600*
023700****************************************************************
023800*    BYPASS EDITS ON INQUIRY                                   *
023900****************************************************************
024000*
024100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
024200         GO TO 2600-SETUP-COMMAREA.
024300*
024400****************************************************************
024500*    READ THE SYSTEM CONTROL FILE                              *
024600****************************************************************
024700*
024800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
024900     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
025000     SET MBIORO-READ-RANDOM      TO TRUE.
025100     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
025200*
025300****************************************************************
025400*    EDIT FIELDS                                               *
025500****************************************************************
025600*
025700*            ***** FICHE FLAG *****                            *
025800*
025900     IF  MY02-FICHE-FLAG-L IS LESS THAN 1
026000         MOVE DFHBMASK           TO MY02-FICHE-FLAG-A
026100         MOVE DFHBMDAS           TO MY02-FICHE-FLAG-LP-A
026200                                    MY02-FICHE-FLAG-RP-A
026300         MOVE MMSC-FICHE-FLAG    TO MY02-FICHE-FLAG
026400     ELSE
026500         IF  MY02-FICHE-FLAG IS NUMERIC
026600             MOVE DFHBMASF       TO MY02-FICHE-FLAG-A
026700             MOVE DFHBMDAS       TO MY02-FICHE-FLAG-LP-A
026800                                    MY02-FICHE-FLAG-RP-A
026900             SET WS-UPDATE-SW-YES
027000                                 TO TRUE
027100         ELSE
027200             MOVE DFHBMNBF       TO MY02-FICHE-FLAG-A
027300             MOVE DFHBMASB       TO MY02-FICHE-FLAG-LP-A
027400                                    MY02-FICHE-FLAG-RP-A
027500             MOVE SS08WS-CURSOR  TO MY02-FICHE-FLAG-L
027600             SET SS08WS-ERROR-SW-YES TO TRUE.
027700*
027800*            ***** MERCHANT GROUP STATISTICS FLAG *****        *
027900*
028000     IF  MY02-MER-GROUP-FLAG-L IS LESS THAN 1
028100         MOVE DFHBMASK           TO MY02-MER-GROUP-FLAG-A
028200         MOVE DFHBMDAS           TO MY02-MER-GROUP-FLAG-LP-A
028300                                    MY02-MER-GROUP-FLAG-RP-A
028400         MOVE MMSC-MER-GROUP-STAT-FLAG
028500                                 TO MY02-MER-GROUP-FLAG
028600     ELSE
028700         IF  MY02-VALID-MER-GROUP-FLAG
028800             MOVE DFHBMASF       TO MY02-MER-GROUP-FLAG-A
028900             MOVE DFHBMDAS       TO MY02-MER-GROUP-FLAG-LP-A
029000                                    MY02-MER-GROUP-FLAG-RP-A
029100             SET WS-UPDATE-SW-YES
029200                                 TO TRUE
029300         ELSE
029400             MOVE DFHBMUBF       TO MY02-MER-GROUP-FLAG-A
029500             MOVE DFHBMASB       TO MY02-MER-GROUP-FLAG-LP-A
029600                                    MY02-MER-GROUP-FLAG-RP-A
029700             MOVE SS08WS-CURSOR  TO MY02-MER-GROUP-FLAG-L
029800             SET SS08WS-ERROR-SW-YES TO TRUE.
029900*
030000*             ***** FORM CODE *****                             *
030100*
030200     IF  MY02-FORM-CODE-L IS LESS THAN 1
030300         MOVE DFHBMASK           TO MY02-FORM-CODE-A
030400         MOVE DFHBMDAS           TO MY02-FORM-CODE-LP-A
030500                                    MY02-FORM-CODE-RP-A
030600         MOVE MMSC-FORM          TO MY02-FORM-CODE
030700     ELSE
030800         IF  MY02-FORM-CODE IS NUMERIC
030900             MOVE DFHBMASF       TO MY02-FORM-CODE-A
031000             MOVE DFHBMDAS       TO MY02-FORM-CODE-LP-A
031100                                    MY02-FORM-CODE-RP-A
031200             SET WS-UPDATE-SW-YES
031300                                 TO TRUE
031400         ELSE
031500             MOVE DFHBMNBF       TO MY02-FORM-CODE-A
031600             MOVE DFHBMASB       TO MY02-FORM-CODE-LP-A
031700                                    MY02-FORM-CODE-RP-A
031800             MOVE SS08WS-CURSOR  TO MY02-FORM-CODE-L
031900             SET SS08WS-ERROR-SW-YES TO TRUE.
032000*
032100*            ***** STORE GROUP STATISTICS FLAG *****           *
032200*
032300     IF  MY02-STORE-GROUP-FLAG-L IS LESS THAN 1
032400         MOVE DFHBMASK           TO MY02-STORE-GROUP-FLAG-A
032500         MOVE DFHBMDAS           TO MY02-STORE-GROUP-FLAG-LP-A
032600                                    MY02-STORE-GROUP-FLAG-RP-A
032700         MOVE MMSC-STORE-GROUP-STAT-FLAG
032800                                 TO MY02-STORE-GROUP-FLAG
032900     ELSE
033000         IF  MY02-VALID-STORE-GROUP-FLAG
033100             MOVE DFHBMASF       TO MY02-STORE-GROUP-FLAG-A
033200             MOVE DFHBMDAS       TO MY02-STORE-GROUP-FLAG-LP-A
033300                                    MY02-STORE-GROUP-FLAG-RP-A
033400             SET WS-UPDATE-SW-YES
033500                                 TO TRUE
033600         ELSE
033700             MOVE DFHBMUBF       TO MY02-STORE-GROUP-FLAG-A
033800             MOVE DFHBMASB       TO MY02-STORE-GROUP-FLAG-LP-A
033900                                    MY02-STORE-GROUP-FLAG-RP-A
034000             MOVE SS08WS-CURSOR  TO MY02-STORE-GROUP-FLAG-L
034100             SET SS08WS-ERROR-SW-YES TO TRUE.
034200*
034300*             ***** CMS ACTIVE *****                            *
034400*
034500*
034600     IF  MY02-MISC-CMS-ACT-L IS LESS THAN 1
034700         MOVE DFHBMASK           TO MY02-MISC-CMS-ACT-A
034800         MOVE DFHBMDAS           TO MY02-MISC-CMS-ACT-LP-A
034900                                    MY02-MISC-CMS-ACT-RP-A
035000         MOVE MMSC-MISC-CMS-ACTIVE
035100                                 TO MY02-MISC-CMS-ACT
035200     ELSE
035300         IF  MY02-MISC-CMS-VALID
035400             MOVE DFHBMASF       TO MY02-MISC-CMS-ACT-A
035500             MOVE DFHBMDAS       TO MY02-MISC-CMS-ACT-LP-A
035600                                    MY02-MISC-CMS-ACT-RP-A
035700             SET WS-UPDATE-SW-YES
035800                                 TO TRUE
035900         ELSE
036000             MOVE DFHBMUBF       TO MY02-MISC-CMS-ACT-A
036100             MOVE DFHBMASB       TO MY02-MISC-CMS-ACT-LP-A
036200                                    MY02-MISC-CMS-ACT-RP-A
036300             MOVE SS08WS-CURSOR  TO MY02-MISC-CMS-ACT-L
036400             SET SS08WS-ERROR-SW-YES TO TRUE.
036500*
036600*            ***** LINES PER PAGE *****                        *
036700*
036800     IF  MY02-LINES-PER-PAGE-L IS LESS THAN 1
036900         MOVE DFHBMASK           TO MY02-LINES-PER-PAGE-A
037000         MOVE DFHBMDAS           TO MY02-LINES-PER-PAGE-LP-A
037100                                    MY02-LINES-PER-PAGE-RP-A
037200         MOVE MMSC-LINES-PER-PAGE
037300                                 TO MY02-LINES-PER-PAGE
037400     ELSE
037500         IF  MY02-LINES-PER-PAGE IS NOT NUMERIC
037600             MOVE DFHBMNBF       TO MY02-LINES-PER-PAGE-A
037700             MOVE DFHBMASB       TO MY02-LINES-PER-PAGE-LP-A
037800                                    MY02-LINES-PER-PAGE-RP-A
037900             MOVE SS08WS-CURSOR  TO MY02-LINES-PER-PAGE-L
038000             SET SS08WS-ERROR-SW-YES TO TRUE
038100         ELSE
038200             IF  MY02-VALID-LINES-PER-PAGE
038300                 MOVE DFHBMASF   TO MY02-LINES-PER-PAGE-A
038400                 MOVE DFHBMDAS   TO MY02-LINES-PER-PAGE-LP-A
038500                                    MY02-LINES-PER-PAGE-RP-A
038600                 SET WS-UPDATE-SW-YES
038700                                 TO TRUE
038800             ELSE
038900                 MOVE DFHBMNBF   TO MY02-LINES-PER-PAGE-A
039000                 MOVE DFHBMASB   TO MY02-LINES-PER-PAGE-LP-A
039100                                    MY02-LINES-PER-PAGE-RP-A
039200                 MOVE SS08WS-CURSOR TO MY02-LINES-PER-PAGE-L
039300                 SET SS08WS-ERROR-SW-YES
039400                                 TO TRUE.
039500*
039600*            ***** CRB FREQUENCY *****                         *
039700*
039800     IF  MY02-CRB-FREQ-L IS LESS THAN 1
039900         MOVE DFHBMASK           TO MY02-CRB-FREQ-A
040000         MOVE DFHBMDAS           TO MY02-CRB-FREQ-LP-A
040100                                    MY02-CRB-FREQ-RP-A
040200         MOVE MMSC-CRB-FREQ      TO MY02-CRB-FREQ
040300     ELSE
040400         IF  MY02-CRB-FREQ IS NUMERIC
040500         AND MY02-VALID-CRB-FREQ
040600             MOVE DFHBMASF       TO MY02-CRB-FREQ-A
040700             MOVE DFHBMDAS       TO MY02-CRB-FREQ-LP-A
040800                                    MY02-CRB-FREQ-RP-A
040900             SET WS-UPDATE-SW-YES
041000                                 TO TRUE
041100         ELSE
041200             MOVE DFHBMNBF       TO MY02-CRB-FREQ-A
041300             MOVE DFHBMASB       TO MY02-CRB-FREQ-LP-A
041400                                    MY02-CRB-FREQ-RP-A
041500             MOVE SS08WS-CURSOR  TO MY02-CRB-FREQ-L
041600             SET SS08WS-ERROR-SW-YES TO TRUE.
041700*
041800*            ***** CRB DEMAND REQUEST *****                    *
041900*
042000     IF  MY02-CRB-DEMAND-REQ-L IS LESS THAN 1
042100         MOVE DFHBMASK           TO MY02-CRB-DEMAND-REQ-A
042200         MOVE DFHBMDAS           TO MY02-CRB-DEMAND-REQ-LP-A
042300                                    MY02-CRB-DEMAND-REQ-RP-A
042400         MOVE MMSC-CRB-DEMAND-REQ
042500                                 TO MY02-CRB-DEMAND-REQ
042600     ELSE
042700         IF  MY02-CRB-DEMAND-REQ-VALID
042800             MOVE DFHBMASF       TO MY02-CRB-DEMAND-REQ-A
042900             MOVE DFHBMDAS       TO MY02-CRB-DEMAND-REQ-LP-A
043000                                    MY02-CRB-DEMAND-REQ-RP-A
043100             SET WS-UPDATE-SW-YES
043200                                 TO TRUE
043300         ELSE
043400             MOVE DFHBMUBF       TO MY02-CRB-DEMAND-REQ-A
043500             MOVE DFHBMASB       TO MY02-CRB-DEMAND-REQ-LP-A
043600                                    MY02-CRB-DEMAND-REQ-RP-A
043700             MOVE SS08WS-CURSOR  TO MY02-CRB-DEMAND-REQ-L
043800             SET SS08WS-ERROR-SW-YES TO TRUE.
043900*
044000*            ***** CRB DEMAND REQUEST *****                    *
044100*
044200     MOVE SPACES                 TO SS01WS-EDIT-X.
044300     MOVE MMSC-CRB-DATE-LAST-PROD
044400                                 TO SS01WS-JULIAN.
044500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
044600                                 THRU SS26PD-NED-EXIT.
044602     MOVE SS01WS-XX-XX-YYYY      TO MY02-CRB-LAST-PROD.           FX800054
044604*                                                                 FX800054
044606*             *****  REGION-CANADA FLAG *****                    *FX800054
044608*                                                                 FX800054
044610     IF  MY02-REGION-CANADA-L IS LESS THAN 1                      FX800054
044612         MOVE DFHBMASK           TO MY02-REGION-CANADA-A          FX800054
044614         MOVE DFHBMDAS           TO MY02-REGION-CANADA-LP-A       FX800054
044616                                    MY02-REGION-CANADA-RP-A       FX800054
044618         MOVE MMSC-REGION-CANADA TO MY02-REGION-CANADA            FX800054
044620     ELSE                                                         FX800054
044622         IF  MY02-VALID-REGION-CANADA                             FX800054
044624             MOVE DFHBMASF       TO MY02-REGION-CANADA-A          FX800054
044626             MOVE DFHBMDAS       TO MY02-REGION-CANADA-LP-A       FX800054
044628                                    MY02-REGION-CANADA-RP-A       FX800054
044630             SET WS-UPDATE-SW-YES                                 FX800054
044632                                 TO TRUE                          FX800054
044634         ELSE                                                     FX800054
044636             MOVE DFHBMUBF       TO MY02-REGION-CANADA-A          FX800054
044638             MOVE DFHBMASB       TO MY02-REGION-CANADA-LP-A       FX800054
044640                                    MY02-REGION-CANADA-RP-A       FX800054
044642             MOVE SS08WS-CURSOR  TO MY02-REGION-CANADA-L          FX800054
044644             SET SS08WS-ERROR-SW-YES TO TRUE.                     FX800054
044646*                                                                 FX800054
044648*                                                                 FX800054
044650*             *****  REGION-RESERVED FLAG *****                  *FX800054
044652*                                                                 FX800054
044654     IF  MY02-REGION-RESERVED-L IS LESS THAN 1                    FX800054
044656         MOVE DFHBMASK           TO MY02-REGION-RESERVED-A        FX800054
044658         MOVE DFHBMDAS           TO MY02-REGION-RESERVED-LP-A     FX800054
044660                                    MY02-REGION-RESERVED-RP-A     FX800054
044662         MOVE MMSC-REGION-RESERVED                                FX800054
044664                                 TO MY02-REGION-RESERVED          FX800054
044666     ELSE                                                         FX800054
044668         IF  MY02-VALID-REGION-RESERVED                           FX800054
044670             MOVE DFHBMASF       TO MY02-REGION-RESERVED-A        FX800054
044672             MOVE DFHBMDAS       TO MY02-REGION-RESERVED-LP-A     FX800054
044674                                    MY02-REGION-RESERVED-RP-A     FX800054
044676             SET WS-UPDATE-SW-YES                                 FX800054
044678                                 TO TRUE                          FX800054
044680         ELSE                                                     FX800054
044682             MOVE DFHBMUBF       TO MY02-REGION-RESERVED-A        FX800054
044684             MOVE DFHBMASB       TO MY02-REGION-RESERVED-LP-A     FX800054
044686                                    MY02-REGION-RESERVED-RP-A     FX800054
044688             MOVE SS08WS-CURSOR  TO MY02-REGION-RESERVED-L        FX800054
044690             SET SS08WS-ERROR-SW-YES TO TRUE.                     FX800054
044692*                                                                 FX800054
044694*                                                                 FX800054
044696*             *****  REGION-ASIA-PACIFIC FLAG *****              *FX800054
044698*                                                                 FX800054
044700     IF  MY02-REGION-ASIA-PACIFIC-L IS LESS THAN 1                FX800054
044702         MOVE DFHBMASK           TO MY02-REGION-ASIA-PACIFIC-A    FX800054
044704         MOVE DFHBMDAS           TO MY02-REGION-ASIA-PACIFIC-LP-A FX800054
044706                                    MY02-REGION-ASIA-PACIFIC-RP-A FX800054
044708         MOVE MMSC-REGION-ASIA-PACIFIC                            FX800054
044710                                 TO MY02-REGION-ASIA-PACIFIC      FX800054
044712     ELSE                                                         FX800054
044714         IF  MY02-VALID-REGION-AP                                 FX800054
044716             MOVE DFHBMASF       TO MY02-REGION-ASIA-PACIFIC-A    FX800054
044718             MOVE DFHBMDAS       TO MY02-REGION-ASIA-PACIFIC-LP-A FX800054
044720                                    MY02-REGION-ASIA-PACIFIC-RP-A FX800054
044722             SET WS-UPDATE-SW-YES                                 FX800054
044724                                 TO TRUE                          FX800054
044726         ELSE                                                     FX800054
044728             MOVE DFHBMUBF       TO MY02-REGION-ASIA-PACIFIC-A    FX800054
044730             MOVE DFHBMASB       TO MY02-REGION-ASIA-PACIFIC-LP-A FX800054
044732                                    MY02-REGION-ASIA-PACIFIC-RP-A FX800054
044734             MOVE SS08WS-CURSOR  TO MY02-REGION-ASIA-PACIFIC-L    FX800054
044736             SET SS08WS-ERROR-SW-YES TO TRUE.                     FX800054
044738*                                                                 FX800054
044740*                                                                 FX800054
044742*             *****  REGION-LATAM-CARIB FLAG *****               *FX800054
044744*                                                                 FX800054
044746     IF  MY02-REGION-LATAM-CARIB-L IS LESS THAN 1                 FX800054
044748         MOVE DFHBMASK           TO MY02-REGION-LATAM-CARIB-A     FX800054
044750         MOVE DFHBMDAS           TO MY02-REGION-LATAM-CARIB-LP-A  FX800054
044752                                    MY02-REGION-LATAM-CARIB-RP-A  FX800054
044754         MOVE MMSC-REGION-LATAM-CARIB                             FX800054
044756                                 TO MY02-REGION-LATAM-CARIB       FX800054
044758     ELSE                                                         FX800054
044760         IF  MY02-VALID-REGION-LA-C                               FX800054
044762             MOVE DFHBMASF       TO MY02-REGION-LATAM-CARIB-A     FX800054
044764             MOVE DFHBMDAS       TO MY02-REGION-LATAM-CARIB-LP-A  FX800054
044766                                    MY02-REGION-LATAM-CARIB-RP-A  FX800054
044768             SET WS-UPDATE-SW-YES                                 FX800054
044770                                 TO TRUE                          FX800054
044772         ELSE                                                     FX800054
044774             MOVE DFHBMUBF       TO MY02-REGION-LATAM-CARIB-A     FX800054
044776             MOVE DFHBMASB       TO MY02-REGION-LATAM-CARIB-LP-A  FX800054
044778                                    MY02-REGION-LATAM-CARIB-RP-A  FX800054
044780             MOVE SS08WS-CURSOR  TO MY02-REGION-LATAM-CARIB-L     FX800054
044782             SET SS08WS-ERROR-SW-YES TO TRUE.                     FX800054
044784*                                                                 FX800054
044786*                                                                 FX800054
044788*             *****  REGION-CEMEA FLAG *****                     *FX800054
044790*                                                                 FX800054
044792     IF  MY02-REGION-CEMEA-L IS LESS THAN 1                       FX800054
044794         MOVE DFHBMASK           TO MY02-REGION-CEMEA-A           FX800054
044796         MOVE DFHBMDAS           TO MY02-REGION-CEMEA-LP-A        FX800054
044798                                    MY02-REGION-CEMEA-RP-A        FX800054
044800         MOVE MMSC-REGION-CEMEA  TO MY02-REGION-CEMEA             FX800054
044802     ELSE                                                         FX800054
044804         IF  MY02-VALID-REGION-CEMEA                              FX800054
044806             MOVE DFHBMASF       TO MY02-REGION-CEMEA-A           FX800054
044808             MOVE DFHBMDAS       TO MY02-REGION-CEMEA-LP-A        FX800054
044810                                    MY02-REGION-CEMEA-RP-A        FX800054
044812             SET WS-UPDATE-SW-YES                                 FX800054
044814                                 TO TRUE                          FX800054
044816         ELSE                                                     FX800054
044818             MOVE DFHBMUBF       TO MY02-REGION-CEMEA-A           FX800054
044820             MOVE DFHBMASB       TO MY02-REGION-CEMEA-LP-A        FX800054
044822                                    MY02-REGION-CEMEA-RP-A        FX800054
044824             MOVE SS08WS-CURSOR  TO MY02-REGION-CEMEA-L           FX800054
044826             SET SS08WS-ERROR-SW-YES TO TRUE.                     FX800054
044898*                                                                 FX800054
044900*            ***** MULTIPLE INTCHG *****                        *
045000*
045100     IF  MY02-MULT-INTCHG-L IS LESS THAN 1
045200         MOVE DFHBMASK           TO MY02-MULT-INTCHG-A
045300         MOVE DFHBMDAS           TO MY02-MULT-INTCHG-LP-A
045400                                    MY02-MULT-INTCHG-RP-A
045500         MOVE MMSC-MULTIPLE-INTCHG
045600                                 TO MY02-MULT-INTCHG
045700     ELSE
045800         IF  MY02-VALID-MULT-INTCHG
045900             MOVE DFHBMASF       TO MY02-MULT-INTCHG-A
046000             MOVE DFHBMDAS       TO MY02-MULT-INTCHG-LP-A
046100                                    MY02-MULT-INTCHG-RP-A
046200             SET WS-UPDATE-SW-YES
046300                                 TO TRUE
046400         ELSE
046500             MOVE DFHBMUBF       TO MY02-MULT-INTCHG-A
046600             MOVE DFHBMASB       TO MY02-MULT-INTCHG-LP-A
046700                                    MY02-MULT-INTCHG-RP-A
046800             MOVE SS08WS-CURSOR  TO MY02-MULT-INTCHG-L
046900             SET SS08WS-ERROR-SW-YES TO TRUE.
047000*
047100*             ***** VISA BIN NUMBER *****                      *
047200*
047300*
047400     IF  MY02-VI-BIN-NBR-L IS LESS THAN 1
047500         MOVE DFHBMASK           TO MY02-VI-BIN-NBR-A
047600         MOVE DFHBMDAS           TO MY02-VI-BIN-NBR-LP-A
047700                                    MY02-VI-BIN-NBR-RP-A
047800         MOVE MMSC-INTCHG-BIN    TO MY02-VI-BIN-NBR
047900     ELSE
048000         IF  MY02-VI-BIN-NBR IS NUMERIC
048100             MOVE DFHBMASF       TO MY02-VI-BIN-NBR-A
048200             MOVE DFHBMDAS       TO MY02-VI-BIN-NBR-LP-A
048300                                    MY02-VI-BIN-NBR-RP-A
048400             SET WS-UPDATE-SW-YES
048500                                 TO TRUE
048600         ELSE
048700             MOVE DFHBMNBF       TO MY02-VI-BIN-NBR-A
048800             MOVE DFHBMASB       TO MY02-VI-BIN-NBR-LP-A
048900                                    MY02-VI-BIN-NBR-RP-A
049000             MOVE SS08WS-CURSOR  TO MY02-VI-BIN-NBR-L
049100             SET SS08WS-ERROR-SW-YES TO TRUE.
049200*
049300*             ***** MASTERCARD ICA FILE *****                  *
049400*
049500*
049600     IF  MBCA-PTI-FUNCTION-IS-ADD
049700     AND MY02-MC-ICA-FILE-L IS LESS THAN 1
049800         MOVE DFHBMUBF           TO MY02-MC-ICA-FILE-A
049900         MOVE DFHBMASB           TO MY02-MC-ICA-FILE-LP-A
050000                                    MY02-MC-ICA-FILE-RP-A
050100         MOVE SS08WS-CURSOR      TO MY02-MC-ICA-FILE-L
050200         SET SS08WS-ERROR-SW-YES TO TRUE.
050300*
050400     IF  MY02-MC-ICA-FILE-L IS LESS THAN 1
050500         MOVE DFHBMASK           TO MY02-MC-ICA-FILE-A
050600         MOVE DFHBMDAS           TO MY02-MC-ICA-FILE-LP-A
050700                                    MY02-MC-ICA-FILE-RP-A
050800         MOVE MMSC-ICA-TABLE-OR-FILE
050900                                 TO MY02-MC-ICA-FILE
051000     ELSE
051100         IF  MY02-VALID-MC-ICA-FILE
051200             MOVE DFHBMASF       TO MY02-MC-ICA-FILE-A
051300             MOVE DFHBMDAS       TO MY02-MC-ICA-FILE-LP-A
051400                                    MY02-MC-ICA-FILE-RP-A
051500             SET WS-UPDATE-SW-YES
051600                                 TO TRUE
051700         ELSE
051800             MOVE DFHBMUBF       TO MY02-MC-ICA-FILE-A
051900             MOVE DFHBMASB       TO MY02-MC-ICA-FILE-LP-A
052000                                    MY02-MC-ICA-FILE-RP-A
052100             MOVE SS08WS-CURSOR  TO MY02-MC-ICA-FILE-L
052200             SET SS08WS-ERROR-SW-YES TO TRUE.
052300*
052400*             ***** VISA ON-US INTCHG  *****                    *
052500*
052600*
052700     IF  MY02-VI-ON-US-INTCHG-L IS LESS THAN 1
052800         MOVE DFHBMASK           TO MY02-VI-ON-US-INTCHG-A
052900         MOVE DFHBMDAS           TO MY02-VI-ON-US-INTCHG-LP-A
053000                                    MY02-VI-ON-US-INTCHG-RP-A
053100         MOVE MMSC-VI-ON-US-INTCHG
053200                                 TO MY02-VI-ON-US-INTCHG
053300     ELSE
053400         IF  MY02-VALID-VI-ON-US-INTCHG
053500             MOVE DFHBMASF       TO MY02-VI-ON-US-INTCHG-A
053600             MOVE DFHBMDAS       TO MY02-VI-ON-US-INTCHG-LP-A
053700                                    MY02-VI-ON-US-INTCHG-RP-A
053800             SET WS-UPDATE-SW-YES
053900                                 TO TRUE
054000         ELSE
054100             MOVE DFHBMUBF       TO MY02-VI-ON-US-INTCHG-A
054200             MOVE DFHBMASB       TO MY02-VI-ON-US-INTCHG-LP-A
054300                                    MY02-VI-ON-US-INTCHG-RP-A
054400             MOVE SS08WS-CURSOR  TO MY02-VI-ON-US-INTCHG-L
054500             SET SS08WS-ERROR-SW-YES TO TRUE.
054600*
054700*             ***** MASTERCARD ICA NUMBER  *****               *
054800*
054900*
055000     IF  MY02-MC-ICA-NBR-L IS LESS THAN 1
055100         MOVE DFHBMASK           TO MY02-MC-ICA-NBR-A
055200         MOVE DFHBMDAS           TO MY02-MC-ICA-NBR-LP-A
055300                                    MY02-MC-ICA-NBR-RP-A
055400         MOVE MMSC-INTCHG-ICA    TO MY02-MC-ICA-NBR
055500     ELSE
055600         IF  MY02-MC-ICA-NBR IS NUMERIC
055700             MOVE DFHBMASF       TO MY02-MC-ICA-NBR-A
055800             MOVE DFHBMDAS       TO MY02-MC-ICA-NBR-LP-A
055900                                    MY02-MC-ICA-NBR-RP-A
056000             SET WS-UPDATE-SW-YES
056100                                 TO TRUE
056200         ELSE
056300             MOVE DFHBMNBF       TO MY02-MC-ICA-NBR-A
056400             MOVE DFHBMASB       TO MY02-MC-ICA-NBR-LP-A
056500                                    MY02-MC-ICA-NBR-RP-A
056600             MOVE SS08WS-CURSOR  TO MY02-MC-ICA-NBR-L
056700             SET SS08WS-ERROR-SW-YES TO TRUE.
056800*
056900*             ***** EUROPAY FLAG   *****                         *
057000*
057100*
057200     IF  MY02-EUROPAY-FLAG-L IS LESS THAN 1
057300         MOVE DFHBMASK           TO MY02-EUROPAY-FLAG-A
057400         MOVE DFHBMDAS           TO MY02-EUROPAY-FLAG-LP-A
057500                                    MY02-EUROPAY-FLAG-RP-A
057600         MOVE MMSC-EUROPAY-FLAG  TO MY02-EUROPAY-FLAG
057700     ELSE
057800         IF  MY02-VALID-EUROPAY-FLAG
057900             MOVE DFHBMASF       TO MY02-EUROPAY-FLAG-A
058000             MOVE DFHBMDAS       TO MY02-EUROPAY-FLAG-LP-A
058100                                    MY02-EUROPAY-FLAG-RP-A
058200             SET WS-UPDATE-SW-YES
058300                                 TO TRUE
058400         ELSE
058500             MOVE DFHBMUBF       TO MY02-EUROPAY-FLAG-A
058600             MOVE DFHBMASB       TO MY02-EUROPAY-FLAG-LP-A
058700                                    MY02-EUROPAY-FLAG-RP-A
058800             MOVE SS08WS-CURSOR  TO MY02-EUROPAY-FLAG-L
058900             SET SS08WS-ERROR-SW-YES TO TRUE.
058902*                                                                 EH800900
058904*             ***** EUROPAY CMID  *****               *           EH800900
058906*                                                                 EH800900
058908*                                                                 EH800900
058910     IF  MY02-EUROPAY-CMID-L IS LESS THAN 1                       EH800900
058912         MOVE DFHBMASK           TO MY02-EUROPAY-CMID-A           EH800900
058914         MOVE DFHBMDAS           TO MY02-EUROPAY-CMID-LP-A        EH800900
058916                                    MY02-EUROPAY-CMID-RP-A        EH800900
058918         MOVE MMSC-EUROPAY-CMID  TO MY02-EUROPAY-CMID             EH800900
058920     ELSE                                                         EH800900
058922         IF  MY02-EUROPAY-CMID IS NUMERIC                         EH800900
058924             MOVE DFHBMASF       TO MY02-EUROPAY-CMID-A           EH800900
058926             MOVE DFHBMDAS       TO MY02-EUROPAY-CMID-LP-A        EH800900
058928                                    MY02-EUROPAY-CMID-RP-A        EH800900
058930             SET WS-UPDATE-SW-YES                                 EH800900
058932                                 TO TRUE                          EH800900
058934         ELSE                                                     EH800900
058936             MOVE DFHBMNBF       TO MY02-EUROPAY-CMID-A           EH800900
058938             MOVE DFHBMASB       TO MY02-EUROPAY-CMID-LP-A        EH800900
058940                                    MY02-EUROPAY-CMID-RP-A        EH800900
058942             MOVE SS08WS-CURSOR  TO MY02-EUROPAY-CMID-L           EH800900
058944             SET SS08WS-ERROR-SW-YES TO TRUE.                     EH800900
058946*                                                                 EH800900
058948*            ***** CROSS EDITS FOR EUROFLAG ****                  EH800900
058950*                                                                 EH800900
058952     IF  MY02-EUROPAY-FLAG-YES                                    EH800900
058954         IF  MY02-MC-ICA-FILE IS NOT EQUAL TO SPACES              EH800900
058956             MOVE DFHBMUBF       TO MY02-MC-ICA-FILE-A            EH800900
058958             MOVE DFHBMASB       TO MY02-MC-ICA-FILE-LP-A         EH800900
058960                                    MY02-MC-ICA-FILE-RP-A         EH800900
058962             MOVE SS08WS-CURSOR  TO MY02-MC-ICA-FILE-L            EH800900
058964             SET SS08WS-ERROR-SW-YES TO TRUE                      EH800900
058966         END-IF                                                   EH800900
058968         IF  MY02-MC-ICA-NBR IS NOT EQUAL TO ZEROS                EH800900
058970             MOVE DFHBMUBF       TO MY02-MC-ICA-NBR-A             EH800900
058972             MOVE DFHBMASB       TO MY02-MC-ICA-NBR-LP-A          EH800900
058974                                    MY02-MC-ICA-NBR-RP-A          EH800900
058976             MOVE SS08WS-CURSOR  TO MY02-MC-ICA-NBR-L             EH800900
058978             SET SS08WS-ERROR-SW-YES TO TRUE                      EH800900
058980         END-IF                                                   EH800900
058981         IF  MY02-EUROPAY-CMID IS EQUAL TO ZEROS                  EH800900
058982             MOVE DFHBMUBF       TO MY02-EUROPAY-CMID-A           EH800900
058983             MOVE DFHBMASB       TO MY02-EUROPAY-CMID-LP-A        EH800900
058984                                    MY02-EUROPAY-CMID-RP-A        EH800900
058985             MOVE SS08WS-CURSOR  TO MY02-EUROPAY-CMID-L           EH800900
058986             SET SS08WS-ERROR-SW-YES TO TRUE                      EH800900
058987         END-IF                                                   EH800900
058988     ELSE                                                         EH800900
058989         IF  MY02-EUROPAY-CMID IS NOT EQUAL TO ZEROS              EH800900
058990             MOVE DFHBMUBF       TO MY02-EUROPAY-CMID-A           EH800900
058991             MOVE DFHBMASB       TO MY02-EUROPAY-CMID-LP-A        EH800900
058992                                    MY02-EUROPAY-CMID-RP-A        EH800900
058993             MOVE SS08WS-CURSOR  TO MY02-EUROPAY-CMID-L           EH800900
058994             SET SS08WS-ERROR-SW-YES TO TRUE                      EH800900
058995         END-IF                                                   EH800900
058996     END-IF                                                       EH800900
058998*                                                                 EH800900
059000*
059100*
059200     IF  SS08WS-ERROR-SW-NO
059300         GO TO 2400-UPDATE-FILE.
059400*
059500******************************************************************FX800054
059600*    REMOVE THE FOLLOWING FOUR LINES OF CODE TO ACTIVATE THE     *FX800054
059700*    RESERVED QUARTERLY REPORTING REGION                         *FX800054
059800******************************************************************FX800054
059900     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-LIT-A.   FX800054
059910     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-A.       FX800054
060000     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-LP-A.    FX800054
060100     MOVE DFHBMDAS               TO MY02-REGION-RESERVED-RP-A.    FX800054
060200******************************************************************
060300****************************************************************
060400*    SEND THE MAP                                              *
060500****************************************************************
060600*
060700     PERFORM MB60PD-INIT-STD-MAP-LINES
060800                                 THRU MB60PD-ISML-EXIT.
060900     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
061000     PERFORM MB60PD-SEND-MAP-DATA-ONLY
061100                                 THRU MB60PD-SMDO-EXIT.
061200*
061300****************************************************************
061400*    RETURN TO CICS                                            *
061500****************************************************************
061600*
061700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
061800     MOVE 02                     TO MBCA-SCREEN-NBR.
061900     PERFORM MB70PD-RETURN-TRANS-ID
062000                                 THRU MB70PD-RTI-EXIT.
062100/
062200 2400-UPDATE-FILE.
062300*
062400     IF  WS-UPDATE-SW-NO
062500         GO TO 2600-SETUP-COMMAREA.
062600*
062700****************************************************************
062800*    GETMAIN FOR LOG/JOURNAL RECORD                            *
062900****************************************************************
063000*
063100     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
063200     SET MBIORO-GETMAIN          TO TRUE.
063300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
063400*
063500****************************************************************
063600*    READ THE SYSTEM CONTROL FILE FOR UPDATE                   *
063700****************************************************************
063800*
063900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
064000     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
064100     SET MBIORO-READ-RANDOM-UPDATE
064200                                 TO TRUE.
064300     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
064400*
064500*            ***** FICHE FLAG *****                            *
064600*
064700     IF  MY02-FICHE-FLAG-L IS GREATER THAN ZEROES
064800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
064900         MOVE 0201               TO MML1-FIELD-CODE
065000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
065100         MOVE MMSC-FICHE-FLAG    TO MML1-VL01-B-DATA-9
065200         MOVE MY02-FICHE-FLAG    TO MMSC-FICHE-FLAG
065300         MOVE MMSC-FICHE-FLAG    TO MML1-VL01-A-DATA-9
065400         PERFORM 9050-CREATE-MAINT-RECORD
065500                                 THRU 9099-CMR-EXIT.
065600*
065700*            ***** MERCHANT GROUP STATISTICS FLAG *****        *
065800*
065900     IF  MY02-MER-GROUP-FLAG-L IS GREATER THAN ZEROES
066000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
066100         MOVE 0202               TO MML1-FIELD-CODE
066200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
066300         MOVE MMSC-MER-GROUP-STAT-FLAG
066400                                 TO MML1-VL01-B-DATA-X
066500         MOVE MY02-MER-GROUP-FLAG
066600                                 TO MMSC-MER-GROUP-STAT-FLAG
066700         MOVE MMSC-MER-GROUP-STAT-FLAG
066800                                 TO MML1-VL01-A-DATA-X
066900         PERFORM 9050-CREATE-MAINT-RECORD
067000                                 THRU 9099-CMR-EXIT.
067100*
067200*            ***** FORM CODE *****                             *
067300*
067400     IF  MY02-FORM-CODE-L IS GREATER THAN ZEROES
067500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
067600         MOVE 0203               TO MML1-FIELD-CODE
067700         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
067800         MOVE MMSC-FORM          TO MML1-VL02-B-DATA-9
067900         MOVE MY02-FORM-CODE     TO MMSC-FORM
068000         MOVE MMSC-FORM          TO MML1-VL02-A-DATA-9
068100         PERFORM 9050-CREATE-MAINT-RECORD
068200                                 THRU 9099-CMR-EXIT.
068300*
068400*            ***** STORE GROUP STATISTICS FLAG *****        *
068500*
068600     IF  MY02-STORE-GROUP-FLAG-L IS GREATER THAN ZEROES
068700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
068800         MOVE 0215               TO MML1-FIELD-CODE
068900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
069000         MOVE MMSC-STORE-GROUP-STAT-FLAG
069100                                 TO MML1-VL01-B-DATA-X
069200         MOVE MY02-STORE-GROUP-FLAG
069300                                 TO MMSC-STORE-GROUP-STAT-FLAG
069400         MOVE MMSC-STORE-GROUP-STAT-FLAG
069500                                 TO MML1-VL01-A-DATA-X
069600         PERFORM 9050-CREATE-MAINT-RECORD
069700                                 THRU 9099-CMR-EXIT.
069800*
069900*            ***** CMS ACTIVE FLAG *****                        *
070000*
070100     IF  MY02-MISC-CMS-ACT-L IS GREATER THAN ZEROES
070200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
070300         MOVE 0204               TO MML1-FIELD-CODE
070400         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
070500         MOVE MMSC-MISC-CMS-ACTIVE
070600                                 TO MML1-VL01-B-DATA-X
070700         MOVE MY02-MISC-CMS-ACT
070800                                 TO MMSC-MISC-CMS-ACTIVE
070900         MOVE MMSC-MISC-CMS-ACTIVE
071000                                 TO MML1-VL01-A-DATA-X
071100         PERFORM 9050-CREATE-MAINT-RECORD
071200                                 THRU 9099-CMR-EXIT.
071300*
071400*            ***** LINES PER PAGE *****                        *
071500*
071600     IF  MY02-LINES-PER-PAGE-L IS GREATER THAN ZEROES
071700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
071800         MOVE 0205               TO MML1-FIELD-CODE
071900         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
072000         MOVE MMSC-LINES-PER-PAGE
072100                                 TO MML1-VL02-B-DATA-9
072200         MOVE MY02-LINES-PER-PAGE
072300                                 TO MMSC-LINES-PER-PAGE
072400         MOVE MMSC-LINES-PER-PAGE
072500                                 TO MML1-VL02-A-DATA-9
072600         PERFORM 9050-CREATE-MAINT-RECORD
072700                                 THRU 9099-CMR-EXIT.
072800*
072900*
073000*            ***** CRB FREQUENCY *****                         *
073100*
073200     IF  MY02-CRB-FREQ-L IS GREATER THAN ZEROES
073300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
073400         MOVE 0206               TO MML1-FIELD-CODE
073500         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
073600         MOVE MMSC-CRB-FREQ      TO MML1-VL02-B-DATA-9
073700         MOVE MY02-CRB-FREQ      TO MMSC-CRB-FREQ
073800         MOVE MMSC-CRB-FREQ      TO MML1-VL02-A-DATA-9
073900         PERFORM 9050-CREATE-MAINT-RECORD
074000                                 THRU 9099-CMR-EXIT.
074100*
074200*            ***** CRB DEMAND REQUEST *****                    *
074300*
074400     IF  MY02-CRB-DEMAND-REQ-L IS GREATER THAN ZEROES
074500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
074600         MOVE 0207               TO MML1-FIELD-CODE
074700         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
074800         MOVE MMSC-CRB-DEMAND-REQ
074900                                 TO MML1-VL01-B-DATA-X
075000         MOVE MY02-CRB-DEMAND-REQ
075100                                 TO MMSC-CRB-DEMAND-REQ
075200         MOVE MMSC-CRB-DEMAND-REQ
075300                                 TO MML1-VL01-A-DATA-X
075400         PERFORM 9050-CREATE-MAINT-RECORD
075402                                 THRU 9099-CMR-EXIT.              FX800054
075404*                                                                 FX800054
075406*            ***** REGION-CANADA *****                           *FX800054
075408*                                                                 FX800054
075410     IF  MY02-REGION-CANADA-L IS GREATER THAN ZEROES              FX800054
075412         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         FX800054
075414         MOVE 0218               TO MML1-FIELD-CODE               FX800054
075416         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH          FX800054
075418         MOVE MMSC-REGION-CANADA TO MML1-VL01-B-DATA-X            FX800054
075420         MOVE MY02-REGION-CANADA TO MMSC-REGION-CANADA            FX800054
075422         MOVE MMSC-REGION-CANADA TO MML1-VL01-A-DATA-X            FX800054
075424         PERFORM 9050-CREATE-MAINT-RECORD                         FX800054
075426                                 THRU 9099-CMR-EXIT.              FX800054
075428*                                                                 FX800054
075430*            ***** REGION-RESERVED *****                         *FX800054
075432*                                                                 FX800054
075434     IF  MY02-REGION-RESERVED-L IS GREATER THAN ZEROES            FX800054
075436         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         FX800054
075438         MOVE 0219               TO MML1-FIELD-CODE               FX800054
075440         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH          FX800054
075442         MOVE MMSC-REGION-RESERVED                                FX800054
075444                                 TO MML1-VL01-B-DATA-X            FX800054
075446         MOVE MY02-REGION-RESERVED                                FX800054
075448                                 TO MMSC-REGION-RESERVED          FX800054
075450         MOVE MMSC-REGION-RESERVED                                FX800054
075452                                 TO MML1-VL01-A-DATA-X            FX800054
075454         PERFORM 9050-CREATE-MAINT-RECORD                         FX800054
075456                                 THRU 9099-CMR-EXIT.              FX800054
075458*                                                                 FX800054
075460*            ***** REGION-ASIA-PACIFIC *****                     *FX800054
075462*                                                                 FX800054
075464     IF  MY02-REGION-ASIA-PACIFIC-L IS GREATER THAN ZEROES        FX800054
075466         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         FX800054
075468         MOVE 0220               TO MML1-FIELD-CODE               FX800054
075470         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH          FX800054
075472         MOVE MMSC-REGION-ASIA-PACIFIC                            FX800054
075474                                 TO MML1-VL01-B-DATA-X            FX800054
075476         MOVE MY02-REGION-ASIA-PACIFIC                            FX800054
075478                                 TO MMSC-REGION-ASIA-PACIFIC      FX800054
075480         MOVE MMSC-REGION-ASIA-PACIFIC                            FX800054
075482                                 TO MML1-VL01-A-DATA-X            FX800054
075484         PERFORM 9050-CREATE-MAINT-RECORD                         FX800054
075486                                 THRU 9099-CMR-EXIT.              FX800054
075488*                                                                 FX800054
075490*            ***** REGION-LATAM-CARIB *****                      *FX800054
075492*                                                                 FX800054
075494     IF  MY02-REGION-LATAM-CARIB-L IS GREATER THAN ZEROES         FX800054
075496         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         FX800054
075498         MOVE 0221               TO MML1-FIELD-CODE               FX800054
075500         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH          FX800054
075502         MOVE MMSC-REGION-LATAM-CARIB                             FX800054
075504                                 TO MML1-VL01-B-DATA-X            FX800054
075506         MOVE MY02-REGION-LATAM-CARIB                             FX800054
075508                                 TO MMSC-REGION-LATAM-CARIB       FX800054
075510         MOVE MMSC-REGION-LATAM-CARIB                             FX800054
075512                                 TO MML1-VL01-A-DATA-X            FX800054
075514         PERFORM 9050-CREATE-MAINT-RECORD                         FX800054
075516                                 THRU 9099-CMR-EXIT.              FX800054
075518*                                                                 FX800054
075520*            ***** REGION-CEMEA *****                            *FX800054
075522*                                                                 FX800054
075524     IF  MY02-REGION-CEMEA-L IS GREATER THAN ZEROES               FX800054
075526         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         FX800054
075528         MOVE 0222               TO MML1-FIELD-CODE               FX800054
075530         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH          FX800054
075532         MOVE MMSC-REGION-CEMEA  TO MML1-VL01-B-DATA-X            FX800054
075534         MOVE MY02-REGION-CEMEA  TO MMSC-REGION-CEMEA             FX800054
075536         MOVE MMSC-REGION-CEMEA  TO MML1-VL01-A-DATA-X            FX800054
075538         PERFORM 9050-CREATE-MAINT-RECORD                         FX800054
075540                                 THRU 9099-CMR-EXIT.              FX800054
075600*
075700*            ***** MULTIPLE INTERCHANGE *****                  *
075800*
075900     IF  MY02-MULT-INTCHG-L IS GREATER THAN ZEROES
076000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
076100         MOVE 0210               TO MML1-FIELD-CODE
076200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
076300         MOVE MMSC-MULTIPLE-INTCHG
076400                                 TO MML1-VL01-B-DATA-X
076500         MOVE MY02-MULT-INTCHG   TO MMSC-MULTIPLE-INTCHG
076600         MOVE MMSC-MULTIPLE-INTCHG
076700                                 TO MML1-VL01-A-DATA-X
076800         PERFORM 9050-CREATE-MAINT-RECORD
076900                                 THRU 9099-CMR-EXIT.
077000*
077100*            ***** VISA BIN NUMBER *****                        *
077200*
077300     IF  MY02-VI-BIN-NBR-L IS GREATER THAN ZEROES
077400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
077500         MOVE 0211               TO MML1-FIELD-CODE
077600         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
077700         MOVE MMSC-INTCHG-BIN    TO MML1-VL07-B-DATA-9
077800         MOVE MY02-VI-BIN-NBR    TO MMSC-INTCHG-BIN
077900         MOVE MMSC-INTCHG-BIN    TO MML1-VL07-A-DATA-9
078000         PERFORM 9050-CREATE-MAINT-RECORD
078100                                 THRU 9099-CMR-EXIT.
078200*
078300*            ***** MASTERCARD ICA FILE *****                    *
078400*
078500     IF  MY02-MC-ICA-FILE-L IS GREATER THAN ZEROES
078600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
078700         MOVE 0212               TO MML1-FIELD-CODE
078800         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
078900         MOVE MMSC-ICA-TABLE-OR-FILE
079000                                 TO MML1-VL01-B-DATA-X
079100         MOVE MY02-MC-ICA-FILE   TO MMSC-ICA-TABLE-OR-FILE
079200         MOVE MMSC-ICA-TABLE-OR-FILE
079300                                 TO MML1-VL01-A-DATA-X
079400         PERFORM 9050-CREATE-MAINT-RECORD
079500                                 THRU 9099-CMR-EXIT.
079600*
079700*            ***** VISA ON-US INTERCHANGE *****                 *
079800*
079900     IF  MY02-VI-ON-US-INTCHG-L IS GREATER THAN ZEROES
080000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
080100         MOVE 0213               TO MML1-FIELD-CODE
080200         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
080300         MOVE MMSC-VI-ON-US-INTCHG
080400                                 TO MML1-VL01-B-DATA-X
080500         MOVE MY02-VI-ON-US-INTCHG
080600                                 TO MMSC-VI-ON-US-INTCHG
080700         MOVE MMSC-VI-ON-US-INTCHG
080800                                 TO MML1-VL01-A-DATA-X
080900         PERFORM 9050-CREATE-MAINT-RECORD
081000                                 THRU 9099-CMR-EXIT.
081100*
081200*            ***** MASTERCARD ICA NUMBER *****                  *
081300*
081400     IF  MY02-MC-ICA-NBR-L IS GREATER THAN ZEROES
081500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
081600         MOVE 0214               TO MML1-FIELD-CODE
081700         MOVE MML1WS-VL-04       TO MML1-VARIABLE-LENGTH
081800         MOVE MMSC-INTCHG-ICA    TO MML1-VL04-B-DATA-9
081900         MOVE MY02-MC-ICA-NBR    TO MMSC-INTCHG-ICA
082000         MOVE MMSC-INTCHG-ICA    TO MML1-VL04-A-DATA-9
082100         PERFORM 9050-CREATE-MAINT-RECORD
082200                                 THRU 9099-CMR-EXIT.
082300*
082400*            ***** EUROPAY FLAG *****                           *
082500*
082600     IF  MY02-EUROPAY-FLAG-L IS GREATER THAN ZEROES
082700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
082800         MOVE 0216               TO MML1-FIELD-CODE
082900         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
083000         MOVE MMSC-EUROPAY-FLAG
083100                                 TO MML1-VL01-B-DATA-X
083200         MOVE MY02-EUROPAY-FLAG
083300                                 TO MMSC-EUROPAY-FLAG
083400         MOVE MMSC-EUROPAY-FLAG
083500                                 TO MML1-VL01-A-DATA-X
083600         PERFORM 9050-CREATE-MAINT-RECORD
083700                                 THRU 9099-CMR-EXIT.
083702*                                                                 EH800900
083704*            ***** EUROPAY CMID *****                          *  EH800900
083706*                                                                 EH800900
083708     IF  MY02-EUROPAY-CMID-L IS GREATER THAN ZEROES               EH800900
083710         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE         EH800900
083712         MOVE 0217               TO MML1-FIELD-CODE               EH800900
083714         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH          EH800900
083716         MOVE MMSC-EUROPAY-CMID  TO MML1-VL10-B-DATA-9            EH800900
083718         MOVE MY02-EUROPAY-CMID  TO MMSC-EUROPAY-CMID             EH800900
083720         MOVE MMSC-EUROPAY-CMID  TO MML1-VL10-A-DATA-9            EH800900
083722         PERFORM 9050-CREATE-MAINT-RECORD                         EH800900
083724                                 THRU 9099-CMR-EXIT.              EH800900
083800*
083900****************************************************************
084000*    UPDATE THE SYSTEM CONTROL RECORD                          *
084100****************************************************************
084200*
084300     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
084400     MOVE 0199                   TO MML1-FIELD-CODE.
084500     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
084600     MOVE MMSC-LAST-MAINT-DATE   TO MML1-VL07-B-DATA-9.
084700     MOVE MBCA-START-DATE        TO MMSC-LAST-MAINT-DATE.
084800     MOVE MMSC-LAST-MAINT-DATE   TO MML1-VL07-A-DATA-9.
084900     PERFORM 9050-CREATE-MAINT-RECORD
085000                                 THRU 9099-CMR-EXIT.
085100     MOVE 0198                   TO MML1-FIELD-CODE.
085200     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
085300     MOVE MMSC-LAST-MAINT-OPER   TO MML1-VL03-B-DATA-X.
085400     MOVE MBCA-OPERATOR-ID       TO MMSC-LAST-MAINT-OPER.
085500     MOVE MMSC-LAST-MAINT-OPER   TO MML1-VL03-A-DATA-X.
085600     PERFORM 9050-CREATE-MAINT-RECORD
085700                                 THRU 9099-CMR-EXIT.
085800*
085900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
086000     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
086100     SET MBIORO-REWRITE          TO TRUE.
086200     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
086300*
086400 2600-SETUP-COMMAREA.
086500*
086600****************************************************************
086700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
086800****************************************************************
086900*
087000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
087100*
087200     PERFORM MB60PD-EDIT-PAGE-NBR
087300                                 THRU MB60PD-EPN-EXIT.
087400*
087500     IF  SS08WS-VALID-PF-KEY
087600     OR  SS08WS-EIBAID-VALID-PF-KEY
087700         SET MBCA-INITIAL-SCREEN-NBR
087800                                 TO TRUE.
087900*
088000     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
088100     PERFORM MB70PD-XCTL-TO-MBOXCTL
088200                                 THRU MB70PD-XTM-EXIT.
088300/
088400*
088500 9050-CREATE-MAINT-RECORD.
088600*****************************************************************
088700*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
088800*    LOG/JOURNAL TRANSACTIONS                                   *
088900*****************************************************************
089000*
089100     MOVE 'SC'                   TO MML1-FILE-CODE.
089200     MOVE ZEROES                 TO MML1-MMSC-ORG.
089300     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
089400     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
089500     MOVE ZEROES                 TO MML1-SOURCE-CODE.
089600     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE-2.
089700*
089800*****************************************************************
089900*    WRITE THE LOG/JOURNAL FILE RECORD                          *
090000*****************************************************************
090100*
090200     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
090300     SET MBIORO-WRITE            TO TRUE.
090400     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
090500     MOVE SPACES                 TO MML1-VARIABLE-AREA.
090600*
090700 9099-CMR-EXIT.
090800     EXIT.
090900*
091000/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
091100     COPY SS26PD.
091200/         ROUTINE TO NUMERICALLY EDIT TIME
091300     COPY SS27PD.
091400/         JULIAN TO GREGORIAN ROUTINE
091500     COPY SS08PD.
091600/         CHECK DIGIT ROUTINE
091700     COPY SS09PD.
091800/         LINE 24 PF KEYS ROUTINE
091900     COPY SS15PD.
092000/         SYSTEM CONTROL ACCESS ROUTINES
092100     COPY MMSCAO.
092200/         LOG/JOURNAL ACCESS ROUTINES
092300     COPY MML1AO.
092400/         ON-LINE MAP ROUTINES
092500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMY02 '
092600                           MBMAPXXI BY MBMY02I
092700                           MBMAPXXO BY MBMY02O.
092800/         ON-LINE PROCEDURES
092900     COPY MB70PD.
093000/
093100     COPY SMFTPXO.
