000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMY03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMY03 - ON-LINE SYSTEM RECORD MAINTENANCE/INQUIRY      *
000800*                SCREEN 03                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBMY                                       *
001200*                 B. MBQY                                       *
001300*              2. MAPS USED -                                   *
001400*                 A. MBMY03 (SYSTEM MAP 03)                     *
001500*              3. FILES USED -                                  *
001600*                 A. MMSC   (SYSTEM CONTROL FILE)               *
001700*                 B. MML1   (LOG/JOURNAL FILE)                  *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200 DATA DIVISION.
002300 WORKING-STORAGE SECTION.
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*         I/O REQUEST BLOCK WORK AREAS
002600     COPY MBIOWS.
002700/         I/O REQUEST BLOCK
002800     COPY MBIORO.
002900/         LOG/JOURNAL WORK AREAS
003000     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
003100/         DATE WORK-AREAS.
003200     COPY SS01WS.
003300/         ONLINE WORK AREAS.
003400     COPY SS08WS.
003500/
003600     COPY SS00WS.
003700/
003800     COPY SMFTWS.
003900/
004000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
004100/
004200     COPY MB61LK.
004300/         CHECK DIGIT WORK FIELDS
004400     COPY SS05WS.
004500/
004600 01  WS-WORK-AREAS.
004700     03  WS-INDEX            PIC S9(04)      BINARY.
004800     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004900         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005000         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005100*
005200 01  WS-DATE-WORK.
005300     03  WS-DW-MM            PIC  9(02).
005400     03  WS-DW-DD            PIC  9(02).
005500*
005600 01  WS-WEEK-SWITCHES.
005700     03  WS-MISC-SW          PIC  X(01)      VALUE 'N'.
005800         88  WS-MISC-SW-YES                  VALUE 'Y'.
005900         88  WS-MISC-SW-NO                   VALUE 'N'.
006000     03  WS-GOOD-WORK-WEEK   PIC  X(01)      VALUE 'Y'.
006100         88  VALID-WEEK                      VALUE 'Y'.
006200         88  INVALID-WEEK                    VALUE 'N'.
006300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006400/
006500 LINKAGE SECTION.
006600 01  DFHCOMMAREA.
006700     COPY MB60WS.
006800/         SYSTEM SCREEN 03 MAP DSECT
006900     COPY MBMY03.
007000/         SYSTEM SCREEN 03 MAP REDEFINITION
007100     COPY MBMY03R.
007200/         SYSTEM/ORG FILE RECORD LAYOUT
007300     COPY MMSCRL.
007400/         LOG/JOURNAL FILE RECORD LAYOUT
007500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
007600/
007700 PROCEDURE DIVISION.
007800 0000-HOUSEKEEPING SECTION.
007900 0100-INIT.
008000*
008100     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008200     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008300                                 THRU MB70PD-OLH-EXIT.
008400*
008500     MOVE MBIOWS-MMSC-KEY-CODE   TO MBCA-KEY-CODE.
008600*
008700     IF  MBCA-RECEIVE-SCREEN
008800         GO TO 2000-RECEIVE-SCREEN.
008900/
009000 1000-SEND-SCREEN SECTION.
009100*
009200****************************************************************
009300*    THIS SECTION BUILDS AND SENDS THE 03 SCREEN.              *
009400****************************************************************
009500*
009600     MOVE 03                     TO MBCA-SCREEN-NBR.
009700*
009800****************************************************************
009900*    GET CICS STORAGE NEEDED FOR THE MAP                       *
010000****************************************************************
010100*
010200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
010300     PERFORM MB60PD-GETMAIN-FOR-MAP
010400                                 THRU MB60PD-GFM-EXIT.
010500*
010600****************************************************************
010700*    INITIALIZE THE STANDARD MAP LINES                         *
010800****************************************************************
010900*
011000     PERFORM MB60PD-INIT-STD-MAP-LINES
011100                                 THRU MB60PD-ISML-EXIT.
011200*
011300****************************************************************
011400*    READ THE SYSTEM RECORD                                    *
011500****************************************************************
011600*
011700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
011800     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
011900     SET MBIORO-READ-RANDOM      TO TRUE.
012000     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
012100/
012200 1100-BUILD-SCREEN.
012300*
012400****************************************************************
012500*    BUILD THE MAP FROM THE SYSTEM RECORD                      *
012600****************************************************************
012700*
012800     MOVE MMSC-ACH-DEST-NAME     TO MY03-ACH-DEST.
012900     MOVE MMSC-ACH-DEST-ABA-NBR  TO MY03-ACH-DEST-RT.
013000     MOVE MMSC-ACH-ORIGIN-NAME   TO MY03-ACH-ORIG.
013100     MOVE MMSC-ACH-ORIGIN-ABA-NBR
013200                                 TO MY03-ACH-ORIG-RT.
013300     MOVE MMSC-ACH-FILE-ID-MOD   TO MY03-FILE-ID-MODIFIER.
013400     MOVE MMSC-ACH-TAX-ID-NBR    TO MY03-TAX-ID.
013500     MOVE MMSC-ACH-CONFIRM-DAYS  TO MY03-CONFIRM-DAYS.
013600     MOVE MMSC-ACH-WORK-WEEK-R (1)
013700                                 TO MY03-WORK-WEEK (1).
013800     MOVE MMSC-ACH-WORK-WEEK-R (2)
013900                                 TO MY03-WORK-WEEK (2).
014000     MOVE MMSC-ACH-WORK-WEEK-R (3)
014100                                 TO MY03-WORK-WEEK (3).
014200     MOVE MMSC-ACH-WORK-WEEK-R (4)
014300                                 TO MY03-WORK-WEEK (4).
014400     MOVE MMSC-ACH-WORK-WEEK-R (5)
014500                                 TO MY03-WORK-WEEK (5).
014600     MOVE MMSC-ACH-WORK-WEEK-R (6)
014700                                 TO MY03-WORK-WEEK (6).
014800     MOVE MMSC-ACH-WORK-WEEK-R (7)
014900                                 TO MY03-WORK-WEEK (7).
015000*
015100     SET X-SYS-HOLIDAY           TO 1.
015200*
015300 1200-BUILD-SCREEN-LOOP.
015400*
015500     SET X-MMSC-ACH-HOL          TO X-SYS-HOLIDAY.
015600*
015700     IF  MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
015800                                 IS NOT EQUAL TO ZEROES
015900     OR  MBCA-PTI-FUNCTION-IS-INQUIRY
016000         MOVE MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
016100                                 TO SS01WS-JULIAN
016200         PERFORM SS08PD-JUL-TO-GREG
016300                                 THRU SS08PD-JTG-EXIT
016400         MOVE SS01WS-DATE        TO MY03-HOLIDAY (X-SYS-HOLIDAY).
016500*
016600     IF  X-SYS-HOLIDAY IS LESS THAN 25
016700         SET X-SYS-HOLIDAY       UP BY 1
016800         GO TO 1200-BUILD-SCREEN-LOOP.
016900/
017000****************************************************************
017100*    IF INQUIRY, DARKEN PARENS AND ASKIP FIELDS                *
017200****************************************************************
017300*
017400     MOVE SS08WS-CURSOR          TO MY03-WORK-WEEK-L (1).
017500*
017600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
017700         MOVE SS08WS-CURSOR      TO MY03-ALT-TRANID-L
017800         MOVE DFHBMASB           TO MY03-ACH-DEST-A
017900                                    MY03-ACH-DEST-RT-A
018000                                    MY03-ACH-ORIG-A
018100                                    MY03-ACH-ORIG-RT-A
018200                                    MY03-FILE-ID-MODIFIER-A
018300                                    MY03-TAX-ID-A
018400                                    MY03-CONFIRM-DAYS-A
018500                                    MY03-WORK-WEEK-A (1)
018600                                    MY03-WORK-WEEK-A (2)
018700                                    MY03-WORK-WEEK-A (3)
018800                                    MY03-WORK-WEEK-A (4)
018900                                    MY03-WORK-WEEK-A (5)
019000                                    MY03-WORK-WEEK-A (6)
019100                                    MY03-WORK-WEEK-A (7)
019200         MOVE DFHBMDAS           TO MY03-ACH-DEST-LP-A
019300                                    MY03-ACH-DEST-RP-A
019400                                    MY03-ACH-DEST-RT-LP-A
019500                                    MY03-ACH-DEST-RT-RP-A
019600                                    MY03-ACH-ORIG-LP-A
019700                                    MY03-ACH-ORIG-RP-A
019800                                    MY03-ACH-ORIG-RT-LP-A
019900                                    MY03-ACH-ORIG-RT-RP-A
020000                                    MY03-FILE-ID-MODIFIER-LP-A
020100                                    MY03-FILE-ID-MODIFIER-RP-A
020200                                    MY03-TAX-ID-LP-A
020300                                    MY03-TAX-ID-RP-A
020400                                    MY03-CONFIRM-DAYS-LP-A
020500                                    MY03-CONFIRM-DAYS-RP-A
020600                                    MY03-WORK-WEEK-LP-A
020700                                    MY03-WORK-WEEK-RP-A
020800         PERFORM 9300-HOLIDAY-ATTRIBUTES
020900                                 THRU 9399-HA-EXIT.
021000*
021100****************************************************************
021200*    SEND THE MAP                                              *
021300****************************************************************
021400*
021500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
021600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
021700                                 THRU MB60PD-SMWE-EXIT.
021800*
021900****************************************************************
022000*    RETURN TO CICS                                            *
022100****************************************************************
022200*
022300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
022400     PERFORM MB70PD-RETURN-TRANS-ID
022500                                 THRU MB70PD-RTI-EXIT.
022600/
022700 2000-RECEIVE-SCREEN SECTION.
022800*
022900****************************************************************
023000*    THIS SECTION RECEIVES THE 03 SCREEN                       *
023100****************************************************************
023200*
023300     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
023400     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
023500*
023600****************************************************************
023700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
023800****************************************************************
023900*
024000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
024100     PERFORM MB60PD-NEW-TRANS-ROUTINE
024200                                 THRU MB60PD-NTR-EXIT.
024300*
024400****************************************************************
024500*    BYPASS EDITS ON INQUIRY                                   *
024600****************************************************************
024700*
024800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
024900         GO TO 2600-SETUP-COMMAREA.
025000*
025100****************************************************************
025200*    READ THE SYSTEM CONTROL FILE                              *
025300****************************************************************
025400*
025500     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
025600     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
025700     SET MBIORO-READ-RANDOM      TO TRUE.
025800     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
025900*
026000****************************************************************
026100*    EDIT FIELDS                                               *
026200****************************************************************
026300*
026400*            ***** DESTINATION NAME *****                      *
026500*
026600     IF  MY03-ACH-DEST-L IS LESS THAN 1
026700         MOVE DFHBMASK           TO MY03-ACH-DEST-A
026800         MOVE DFHBMDAS           TO MY03-ACH-DEST-LP-A
026900                                    MY03-ACH-DEST-RP-A
027000         MOVE MMSC-ACH-DEST-NAME
027100                                 TO MY03-ACH-DEST
027200     ELSE
027300         MOVE DFHBMASF           TO MY03-ACH-DEST-A
027400         MOVE DFHBMDAS           TO MY03-ACH-DEST-LP-A
027500                                    MY03-ACH-DEST-RP-A
027600         MOVE 'Y'                TO WS-UPDATE-SW.
027700*
027800*            ***** DESTINATION ABA NUMBER *****                *
027900*
028000     IF  MY03-ACH-DEST-RT-L IS LESS THAN 1
028100         MOVE DFHBMASK           TO MY03-ACH-DEST-RT-A
028200         MOVE DFHBMDAS           TO MY03-ACH-DEST-RT-LP-A
028300                                    MY03-ACH-DEST-RT-RP-A
028400         MOVE MMSC-ACH-DEST-ABA-NBR
028500                                 TO MY03-ACH-DEST-RT
028600     ELSE
028700         IF  MY03-ACH-DEST-RT IS NOT NUMERIC
028800             MOVE DFHBMNBF       TO MY03-ACH-DEST-RT-A
028900             MOVE DFHBMASB       TO MY03-ACH-DEST-RT-LP-A
029000                                    MY03-ACH-DEST-RT-RP-A
029100             MOVE SS08WS-CURSOR  TO MY03-ACH-DEST-RT-L
029200             MOVE 'Y'            TO SS08WS-ERROR
029300         ELSE
029400             MOVE MY03-ACH-DEST-RT
029500                                 TO SS05WS-NBR
029600             MOVE ZEROES         TO SS05WS-OPTION
029700             PERFORM SS09PD-MOD10-137
029800                                 THRU SS09PD-M137-EXIT
029900             IF  SS05WS-CD-IS-INVALID
030000                 MOVE DFHBMNBF   TO MY03-ACH-DEST-RT-A
030100                 MOVE DFHBMASB   TO MY03-ACH-DEST-RT-LP-A
030200                                    MY03-ACH-DEST-RT-RP-A
030300                 MOVE SS08WS-CURSOR TO MY03-ACH-DEST-RT-L
030400                 MOVE 'Y'        TO SS08WS-ERROR
030500             ELSE
030600                 MOVE DFHBMASF   TO MY03-ACH-DEST-RT-A
030700                 MOVE DFHBMDAS   TO MY03-ACH-DEST-RT-LP-A
030800                                    MY03-ACH-DEST-RT-RP-A
030900                 MOVE 'Y'        TO WS-UPDATE-SW.
031000*
031100*            ***** ORIGIN NAME *****                           *
031200*
031300     IF  MY03-ACH-ORIG-L IS LESS THAN 1
031400         MOVE DFHBMASK           TO MY03-ACH-ORIG-A
031500         MOVE DFHBMDAS           TO MY03-ACH-ORIG-LP-A
031600                                    MY03-ACH-ORIG-RP-A
031700         MOVE MMSC-ACH-ORIGIN-NAME
031800                                 TO MY03-ACH-ORIG
031900     ELSE
032000         MOVE DFHBMASF           TO MY03-ACH-ORIG-A
032100         MOVE DFHBMDAS           TO MY03-ACH-ORIG-LP-A
032200                                    MY03-ACH-ORIG-RP-A
032300         MOVE 'Y'                TO WS-UPDATE-SW.
032400*
032500*            ***** ORIGIN ABA NUMBER *****                     *
032600*
032700     IF  MY03-ACH-ORIG-RT-L IS LESS THAN 1
032800         MOVE DFHBMASK           TO MY03-ACH-ORIG-RT-A
032900         MOVE DFHBMDAS           TO MY03-ACH-ORIG-RT-LP-A
033000                                    MY03-ACH-ORIG-RT-RP-A
033100         MOVE MMSC-ACH-ORIGIN-ABA-NBR
033200                                 TO MY03-ACH-ORIG-RT
033300     ELSE
033400         IF  MY03-ACH-ORIG-RT IS NOT NUMERIC
033500             MOVE DFHBMNBF       TO MY03-ACH-ORIG-RT-A
033600             MOVE DFHBMASB       TO MY03-ACH-ORIG-RT-LP-A
033700                                    MY03-ACH-ORIG-RT-RP-A
033800             MOVE SS08WS-CURSOR  TO MY03-ACH-ORIG-RT-L
033900             MOVE 'Y'            TO SS08WS-ERROR
034000         ELSE
034100             MOVE MY03-ACH-ORIG-RT
034200                                 TO SS05WS-NBR
034300             MOVE ZEROES         TO SS05WS-OPTION
034400             PERFORM SS09PD-MOD10-137
034500                                 THRU SS09PD-M137-EXIT
034600             IF  SS05WS-CD-IS-INVALID
034700                 MOVE DFHBMNBF   TO MY03-ACH-ORIG-RT-A
034800                 MOVE DFHBMASB   TO MY03-ACH-ORIG-RT-LP-A
034900                                    MY03-ACH-ORIG-RT-RP-A
035000                 MOVE SS08WS-CURSOR TO MY03-ACH-ORIG-RT-L
035100                 MOVE 'Y'        TO SS08WS-ERROR
035200             ELSE
035300                 MOVE DFHBMASF   TO MY03-ACH-ORIG-RT-A
035400                 MOVE DFHBMDAS   TO MY03-ACH-ORIG-RT-LP-A
035500                                    MY03-ACH-ORIG-RT-RP-A
035600                 MOVE 'Y'        TO WS-UPDATE-SW.
035700*
035800*            ***** FILE ID MOD *****                           *
035900*
036000     IF  MY03-FILE-ID-MODIFIER-L IS LESS THAN 1
036100         MOVE DFHBMASK           TO MY03-FILE-ID-MODIFIER-A
036200         MOVE DFHBMDAS           TO MY03-FILE-ID-MODIFIER-LP-A
036300                                    MY03-FILE-ID-MODIFIER-RP-A
036400         MOVE MMSC-ACH-FILE-ID-MOD
036500                                 TO MY03-FILE-ID-MODIFIER
036600     ELSE
036700         MOVE DFHBMASF           TO MY03-FILE-ID-MODIFIER-A
036800         MOVE DFHBMDAS           TO MY03-FILE-ID-MODIFIER-LP-A
036900                                    MY03-FILE-ID-MODIFIER-RP-A
037000         MOVE 'Y'                TO WS-UPDATE-SW.
037100*
037200*            ***** TAX ID NUMBER *****                         *
037300*
037400     IF  MY03-TAX-ID-L IS LESS THAN 1
037500         MOVE DFHBMASK           TO MY03-TAX-ID-A
037600         MOVE DFHBMDAS           TO MY03-TAX-ID-LP-A
037700                                    MY03-TAX-ID-RP-A
037800         MOVE MMSC-ACH-TAX-ID-NBR
037900                                 TO MY03-TAX-ID
038000     ELSE
038100         MOVE DFHBMASF           TO MY03-TAX-ID-A
038200         MOVE DFHBMDAS           TO MY03-TAX-ID-LP-A
038300                                    MY03-TAX-ID-RP-A
038400         MOVE 'Y'                TO WS-UPDATE-SW.
038500*
038600*            ***** CONFIRM DAYS *****                          *
038700*
038800     IF  MY03-CONFIRM-DAYS-L IS LESS THAN 1
038900         MOVE DFHBMASK           TO MY03-CONFIRM-DAYS-A
039000         MOVE DFHBMDAS           TO MY03-CONFIRM-DAYS-LP-A
039100                                    MY03-CONFIRM-DAYS-RP-A
039200         MOVE MMSC-ACH-CONFIRM-DAYS
039300                                 TO MY03-CONFIRM-DAYS
039400     ELSE
039500         IF  MY03-CONFIRM-DAYS IS NUMERIC
039600         AND MY03-CONFIRM-DAYS IS GREATER THAN 5                  FX800043
039700             MOVE DFHBMASF       TO MY03-CONFIRM-DAYS-A
039800             MOVE DFHBMDAS       TO MY03-CONFIRM-DAYS-LP-A
039900                                    MY03-CONFIRM-DAYS-RP-A
040000             MOVE 'Y'            TO WS-UPDATE-SW
040100         ELSE
040200             MOVE DFHBMNBF       TO MY03-CONFIRM-DAYS-A
040300             MOVE DFHBMASB       TO MY03-CONFIRM-DAYS-LP-A
040400                                    MY03-CONFIRM-DAYS-RP-A
040500             MOVE SS08WS-CURSOR  TO MY03-CONFIRM-DAYS-L
040600             MOVE 'Y'            TO SS08WS-ERROR.
040700*
040800*             ***** WORK WEEK *****                            *
040900*
041000     PERFORM
041100         VARYING X-WORK-WEEK FROM 1 BY 1
041200         UNTIL X-WORK-WEEK IS GREATER THAN 7
041300         SET  X-MMSC-ACH-WW      TO X-WORK-WEEK
041400         EVALUATE TRUE
041500             WHEN MY03-WORK-WEEK-L (X-WORK-WEEK) IS LESS THAN 1
041600                 MOVE DFHBMASK   TO MY03-WORK-WEEK-A (X-WORK-WEEK)
041700                 MOVE MMSC-ACH-WORK-WEEK-R (X-MMSC-ACH-WW)
041800                                 TO MY03-WORK-WEEK (X-WORK-WEEK)
041900                 SET WS-MISC-SW-YES
042000                                 TO TRUE
042100             WHEN INVALID-WEEK
042200                 CONTINUE
042300             WHEN (NOT MY03-WORK-WEEK-VALID (X-WORK-WEEK))
042400                 SET INVALID-WEEK
042500                                 TO TRUE
042600                 MOVE SS08WS-CURSOR
042700                                 TO MY03-WORK-WEEK-L (X-WORK-WEEK)
042800             WHEN MY03-WORK-WEEK-OPEN (X-WORK-WEEK)
042900                 SET WS-MISC-SW-YES
043000                                 TO TRUE
043100                 SET WS-UPDATE-SW-YES
043200                                 TO TRUE
043300         END-EVALUATE
043400     END-PERFORM.
043500*
043600     IF  WS-MISC-SW-NO
043700         SET INVALID-WEEK        TO TRUE.
043800*
043900     IF  INVALID-WEEK
044000         SET SS08WS-ERROR-SW-YES TO TRUE
044100         MOVE DFHBMUBF           TO MY03-WORK-WEEK-A (1)
044200                                    MY03-WORK-WEEK-A (2)
044300                                    MY03-WORK-WEEK-A (3)
044400                                    MY03-WORK-WEEK-A (4)
044500                                    MY03-WORK-WEEK-A (5)
044600                                    MY03-WORK-WEEK-A (6)
044700                                    MY03-WORK-WEEK-A (7)
044800         MOVE DFHBMASB           TO MY03-WORK-WEEK-LP-A
044900                                    MY03-WORK-WEEK-RP-A
045000         MOVE SS08WS-CURSOR      TO MY03-WORK-WEEK-L (1).
045100*
045200*            ***** HOLIDAYS *****                              *
045300*
045400     SET X-SYS-HOLIDAY           TO 1.
045500*
045600 2100-EDIT-DATE-LOOP.
045700*
045800     SET X-MMSC-ACH-HOL          TO X-SYS-HOLIDAY.
045900*
046000     IF  MY03-HOLIDAY-L (X-SYS-HOLIDAY) IS LESS THAN 1
046100         IF  MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
046200                                 IS GREATER THAN ZERO
046300             MOVE MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
046400                                 TO SS01WS-JULIAN
046500             PERFORM SS08PD-JUL-TO-GREG
046600                                 THRU SS08PD-JTG-EXIT
046700             MOVE SS01WS-DATE    TO MY03-HOLIDAY   (X-SYS-HOLIDAY)
046800             MOVE DFHBMASK       TO MY03-HOLIDAY-A (X-SYS-HOLIDAY)
046900             MOVE DFHBMDAS       TO MY03-HOLIDAY-LP-A
047000                                    (X-SYS-HOLIDAY)
047100                                    MY03-HOLIDAY-RP-A
047200                                    (X-SYS-HOLIDAY)
047300         ELSE
047400             MOVE DFHBMASK       TO MY03-HOLIDAY-A (X-SYS-HOLIDAY)
047500             MOVE DFHBMDAS       TO MY03-HOLIDAY-LP-A
047600                                    (X-SYS-HOLIDAY)
047700                                    MY03-HOLIDAY-RP-A
047800                                    (X-SYS-HOLIDAY)
047900     ELSE
048000         IF  MY03-HOLIDAY (X-SYS-HOLIDAY) IS NOT NUMERIC
048100             MOVE DFHBMNBF       TO MY03-HOLIDAY-A (X-SYS-HOLIDAY)
048200             MOVE DFHBMASB       TO MY03-HOLIDAY-LP-A
048300                                    (X-SYS-HOLIDAY)
048400                                    MY03-HOLIDAY-RP-A
048500                                    (X-SYS-HOLIDAY)
048600             MOVE SS08WS-CURSOR  TO MY03-HOLIDAY-L (X-SYS-HOLIDAY)
048700             MOVE 'Y'            TO SS08WS-ERROR
048800         ELSE
048900             PERFORM 9100-VERIFY-DATE
049000                                 THRU 9199-VD-EXIT
049100             IF  SS01WS-DATE-IS-INVALID
049200                 MOVE DFHBMNBF   TO MY03-HOLIDAY-A (X-SYS-HOLIDAY)
049300                 MOVE DFHBMASB   TO MY03-HOLIDAY-LP-A
049400                                    (X-SYS-HOLIDAY)
049500                                    MY03-HOLIDAY-RP-A
049600                                    (X-SYS-HOLIDAY)
049700                 MOVE SS08WS-CURSOR
049800                                 TO MY03-HOLIDAY-L (X-SYS-HOLIDAY)
049900                 MOVE 'Y'        TO SS08WS-ERROR
050000             ELSE
050100                 MOVE SS01WS-DATE
050200                                 TO MY03-HOLIDAY (X-SYS-HOLIDAY)
050300                 MOVE DFHBMASF   TO MY03-HOLIDAY-A (X-SYS-HOLIDAY)
050400                 MOVE DFHBMDAS   TO MY03-HOLIDAY-LP-A
050500                                    (X-SYS-HOLIDAY)
050600                                    MY03-HOLIDAY-RP-A
050700                                    (X-SYS-HOLIDAY)
050800                 MOVE 'Y'        TO WS-UPDATE-SW.
050900*
051000     IF  X-SYS-HOLIDAY IS LESS THAN 25
051100         SET X-SYS-HOLIDAY       UP BY 1
051200         GO TO 2100-EDIT-DATE-LOOP.
051300*
051400     IF  SS08WS-ERROR IS EQUAL TO 'N'
051500         GO TO 2400-UPDATE-FILE.
051600*
051700****************************************************************
051800*    SEND THE MAP                                              *
051900****************************************************************
052000*
052100     PERFORM MB60PD-INIT-STD-MAP-LINES
052200                                 THRU MB60PD-ISML-EXIT.
052300     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
052400     PERFORM MB60PD-SEND-MAP-DATA-ONLY
052500                                 THRU MB60PD-SMDO-EXIT.
052600*
052700****************************************************************
052800*    RETURN TO CICS                                            *
052900****************************************************************
053000*
053100     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
053200     MOVE 03                     TO MBCA-SCREEN-NBR.
053300     PERFORM MB70PD-RETURN-TRANS-ID
053400                                 THRU MB70PD-RTI-EXIT.
053500/
053600 2400-UPDATE-FILE.
053700*
053800     IF  WS-UPDATE-SW-NO
053900         GO TO 2600-SETUP-COMMAREA.
054000*
054100****************************************************************
054200*    GETMAIN FOR LOG/JOURNAL RECORD                            *
054300****************************************************************
054400*
054500     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
054600     SET MBIORO-GETMAIN          TO TRUE.
054700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
054800*
054900****************************************************************
055000*    READ THE SYSTEM CONTROL FILE FOR UPDATE                   *
055100****************************************************************
055200*
055300     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
055400     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
055500     SET MBIORO-READ-RANDOM-UPDATE
055600                                 TO TRUE.
055700     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
055800*
055900*            ***** DESTINATION NAME *****                      *
056000*
056100     IF  MY03-ACH-DEST-L IS GREATER THAN ZEROES
056200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
056300         MOVE 0303               TO MML1-FIELD-CODE
056400         MOVE MML1WS-VL-30       TO MML1-VARIABLE-LENGTH
056500         MOVE MMSC-ACH-DEST-NAME
056600                                 TO MML1-VL30-B-DATA-X
056700         MOVE MY03-ACH-DEST      TO MMSC-ACH-DEST-NAME
056800         MOVE MMSC-ACH-DEST-NAME
056900                                 TO MML1-VL30-A-DATA-X
057000         PERFORM 9050-CREATE-MAINT-RECORD
057100                                 THRU 9099-CMR-EXIT.
057200*
057300*            ***** DESTINATION ABA NUMBER *****                *
057400*
057500     IF  MY03-ACH-DEST-RT-L IS GREATER THAN ZEROES
057600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
057700         MOVE 0304               TO MML1-FIELD-CODE
057800         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
057900         MOVE MMSC-ACH-DEST-ABA-NBR
058000                                 TO MML1-VL10-B-DATA-9
058100         MOVE MY03-ACH-DEST-RT   TO MMSC-ACH-DEST-ABA-NBR
058200         MOVE MMSC-ACH-DEST-ABA-NBR
058300                                 TO MML1-VL10-A-DATA-9
058400         PERFORM 9050-CREATE-MAINT-RECORD
058500                                 THRU 9099-CMR-EXIT.
058600*
058700*            ***** ORIGIN NAME *****                           *
058800*
058900     IF  MY03-ACH-ORIG-L IS GREATER THAN ZEROES
059000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
059100         MOVE 0305               TO MML1-FIELD-CODE
059200         MOVE MML1WS-VL-30       TO MML1-VARIABLE-LENGTH
059300         MOVE MMSC-ACH-ORIGIN-NAME
059400                                 TO MML1-VL30-B-DATA-X
059500         MOVE MY03-ACH-ORIG      TO MMSC-ACH-ORIGIN-NAME
059600         MOVE MMSC-ACH-ORIGIN-NAME
059700                                 TO MML1-VL30-A-DATA-X
059800         PERFORM 9050-CREATE-MAINT-RECORD
059900                                 THRU 9099-CMR-EXIT.
060000*
060100*            ***** ORIGIN ABA NUMBER *****                     *
060200*
060300     IF  MY03-ACH-ORIG-RT-L IS GREATER THAN ZEROES
060400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
060500         MOVE 0306               TO MML1-FIELD-CODE
060600         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
060700         MOVE MMSC-ACH-ORIGIN-ABA-NBR
060800                                 TO MML1-VL10-B-DATA-9
060900         MOVE MY03-ACH-ORIG-RT   TO MMSC-ACH-ORIGIN-ABA-NBR
061000         MOVE MMSC-ACH-ORIGIN-ABA-NBR
061100                                 TO MML1-VL10-A-DATA-9
061200         PERFORM 9050-CREATE-MAINT-RECORD
061300                                 THRU 9099-CMR-EXIT.
061400*
061500*            ***** FILE ID MOD *****                           *
061600*
061700     IF  MY03-FILE-ID-MODIFIER-L IS GREATER THAN ZEROES
061800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
061900         MOVE 0307               TO MML1-FIELD-CODE
062000         MOVE MML1WS-VL-01       TO MML1-VARIABLE-LENGTH
062100         MOVE MMSC-ACH-FILE-ID-MOD
062200                                 TO MML1-VL01-B-DATA-X
062300         MOVE MY03-FILE-ID-MODIFIER
062400                                 TO MMSC-ACH-FILE-ID-MOD
062500         MOVE MMSC-ACH-FILE-ID-MOD
062600                                 TO MML1-VL01-A-DATA-X
062700         PERFORM 9050-CREATE-MAINT-RECORD
062800                                 THRU 9099-CMR-EXIT.
062900*
063000*            ***** TAX ID NUMBER *****                         *
063100*
063200     IF  MY03-TAX-ID-L IS GREATER THAN ZEROES
063300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
063400         MOVE 0308               TO MML1-FIELD-CODE
063500         MOVE MML1WS-VL-20       TO MML1-VARIABLE-LENGTH
063600         MOVE MMSC-ACH-TAX-ID-NBR
063700                                 TO MML1-VL20-B-DATA-X
063800         MOVE MY03-TAX-ID        TO MMSC-ACH-TAX-ID-NBR
063900         MOVE MMSC-ACH-TAX-ID-NBR
064000                                 TO MML1-VL20-A-DATA-X
064100         PERFORM 9050-CREATE-MAINT-RECORD
064200                                 THRU 9099-CMR-EXIT.
064300*
064400*            ***** CONFIRM DAYS *****                          *
064500*
064600     IF  MY03-CONFIRM-DAYS-L IS GREATER THAN ZEROES
064700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
064800         MOVE 0309               TO MML1-FIELD-CODE
064900         MOVE MML1WS-VL-02       TO MML1-VARIABLE-LENGTH
065000         MOVE MMSC-ACH-CONFIRM-DAYS
065100                                 TO MML1-VL02-B-DATA-9
065200         MOVE MY03-CONFIRM-DAYS  TO MMSC-ACH-CONFIRM-DAYS
065300         MOVE MMSC-ACH-CONFIRM-DAYS
065400                                 TO MML1-VL02-A-DATA-9
065500         PERFORM 9050-CREATE-MAINT-RECORD
065600                                 THRU 9099-CMR-EXIT.
065700*
065800*            ***** WORK WEEK *****                             *
065900*
066000     PERFORM
066100         VARYING X-WORK-WEEK FROM 1 BY 1
066200         UNTIL X-WORK-WEEK IS GREATER THAN 7
066300         SET  X-MMSC-ACH-WW      TO X-WORK-WEEK
066400         EVALUATE TRUE
066500             WHEN MY03-WORK-WEEK-L (X-WORK-WEEK)
066600                                 IS GREATER THAN ZEROS
066700                 SET MML1-FIELD-OCCURRENCE
066800                                 TO X-MMSC-ACH-WW
066900                 MOVE 0301       TO MML1-FIELD-CODE
067000                 MOVE MML1WS-VL-01
067100                                 TO MML1-VARIABLE-LENGTH
067200                 MOVE MMSC-ACH-WORK-WEEK-R (X-MMSC-ACH-WW)
067300                                 TO MML1-VL01-B-DATA-X
067400                 MOVE MY03-WORK-WEEK (X-WORK-WEEK)
067500                                 TO
067600                                 MMSC-ACH-WORK-WEEK-R
067700                                 (X-MMSC-ACH-WW)
067800                 MOVE MMSC-ACH-WORK-WEEK-R (X-MMSC-ACH-WW)
067900                                 TO MML1-VL01-A-DATA-X
068000                 PERFORM 9050-CREATE-MAINT-RECORD
068100                                         THRU 9099-CMR-EXIT
068200         END-EVALUATE
068300     END-PERFORM.
068400*
068500*            ***** HOLIDAYS *****                              *
068600*
068700     SET X-SYS-HOLIDAY           TO 1.
068800*
068900 2500-CHECK-DATE-LOOP.
069000*
069100     SET X-MMSC-ACH-HOL          TO X-SYS-HOLIDAY.
069200*
069300     IF  MY03-HOLIDAY-L (X-SYS-HOLIDAY) IS GREATER THAN ZEROES
069400         SET WS-INDEX            TO X-MMSC-ACH-HOL
069500         MOVE WS-INDEX           TO MML1-FIELD-OCCURRENCE
069600         MOVE 0302               TO MML1-FIELD-CODE
069700         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
069800         MOVE MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
069900                                 TO MML1-VL07-B-DATA-9
070000         MOVE MY03-HOLIDAY (X-SYS-HOLIDAY)
070100                                 TO SS01WS-DATE
070200         PERFORM SS07PD-GREG-TO-JUL
070300                                 THRU SS07PD-GTJ-EXIT
070400         MOVE SS01WS-JULIAN      TO MMSC-ACH-HOLIDAYS
070500                                    (X-MMSC-ACH-HOL)
070600         MOVE MMSC-ACH-HOLIDAYS (X-MMSC-ACH-HOL)
070700                                 TO MML1-VL07-A-DATA-9
070800         PERFORM 9050-CREATE-MAINT-RECORD
070900                                 THRU 9099-CMR-EXIT.
071000*
071100     IF  X-SYS-HOLIDAY IS LESS THAN 25
071200         SET X-SYS-HOLIDAY       UP BY 1
071300         GO TO 2500-CHECK-DATE-LOOP.
071400*
071500****************************************************************
071600*    UPDATE THE SYSTEM CONTROL RECORD                          *
071700****************************************************************
071800*
071900     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE.
072000     MOVE 0199                   TO MML1-FIELD-CODE.
072100     MOVE MML1WS-VL-07           TO MML1-VARIABLE-LENGTH.
072200     MOVE MMSC-LAST-MAINT-DATE
072300                                 TO MML1-VL07-B-DATA-9.
072400     MOVE MBCA-START-DATE        TO MMSC-LAST-MAINT-DATE.
072500     MOVE MMSC-LAST-MAINT-DATE
072600                                 TO MML1-VL07-A-DATA-9.
072700     PERFORM 9050-CREATE-MAINT-RECORD
072800                                 THRU 9099-CMR-EXIT.
072900     MOVE 0198                   TO MML1-FIELD-CODE.
073000     MOVE MML1WS-VL-03           TO MML1-VARIABLE-LENGTH.
073100     MOVE MMSC-LAST-MAINT-OPER
073200                                 TO MML1-VL03-B-DATA-X.
073300     MOVE MBCA-OPERATOR-ID       TO MMSC-LAST-MAINT-OPER.
073400     MOVE MMSC-LAST-MAINT-OPER
073500                                 TO MML1-VL03-A-DATA-X.
073600     PERFORM 9050-CREATE-MAINT-RECORD
073700                                 THRU 9099-CMR-EXIT.
073800*
073900     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
074000     MOVE ZEROES                 TO MBIOWS-MMSC-KEY.
074100     SET MBIORO-REWRITE          TO TRUE.
074200     PERFORM MMSCAO-ACCESS       THRU MMSCAO-ACCESS-EXIT.
074300*
074400 2600-SETUP-COMMAREA.
074500*
074600****************************************************************
074700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
074800****************************************************************
074900*
075000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
075100*
075200     PERFORM MB60PD-EDIT-PAGE-NBR
075300                                 THRU MB60PD-EPN-EXIT.
075400*
075500     IF  SS08WS-VALID-PF-KEY
075600     OR  SS08WS-EIBAID-VALID-PF-KEY
075700         MOVE 99                 TO MBCA-SCREEN-NBR.
075800*
075900     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
076000     PERFORM MB70PD-XCTL-TO-MBOXCTL
076100                                 THRU MB70PD-XTM-EXIT.
076200/
076300*
076400 9050-CREATE-MAINT-RECORD.
076500*****************************************************************
076600*    THIS ROUTINE WILL CREATE THE COMMON DATA FOR ALL OF THE    *
076700*    LOG/JOURNAL TRANSACTIONS                                   *
076800*****************************************************************
076900*
077000     MOVE 'SC'                   TO MML1-FILE-CODE.
077100     MOVE ZEROES                 TO MML1-MMSC-ORG.
077200     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
077300     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
077400     MOVE ZEROES                 TO MML1-SOURCE-CODE.
077500     MOVE ZEROES                 TO MML1-FIELD-OCCURRENCE-2.
077600*
077700*****************************************************************
077800*    WRITE THE LOG/JOURNAL FILE RECORD                          *
077900*****************************************************************
078000*
078100     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
078200     SET MBIORO-WRITE            TO TRUE.
078300     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
078400     MOVE SPACES                 TO MML1-VARIABLE-AREA.
078500*
078600 9099-CMR-EXIT.
078700     EXIT.
078800*
078900 9100-VERIFY-DATE.
079000*
079100     IF  MY03-HOLIDAY (X-SYS-HOLIDAY) IS LESS THAN 1000000
079200         MOVE MY03-HOLIDAY (X-SYS-HOLIDAY)
079300                                 TO SS01WS-MDY
079400         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
079500     ELSE
079600         MOVE MY03-HOLIDAY (X-SYS-HOLIDAY)
079700                                 TO SS01WS-DATE.
079800*
079900     PERFORM SS05PD-DATE-VALIDATION
080000                                 THRU SS05PD-DV-EXIT.
080100*
080200 9199-VD-EXIT.
080300     EXIT.
080400*
080500*
080600 9300-HOLIDAY-ATTRIBUTES.
080700*
080800     SET X-SYS-HOLIDAY           TO 1.
080900*
081000 9300-HOLIDAY-LOOP.
081100*
081200     MOVE DFHBMASB               TO MY03-HOLIDAY-A
081300                                    (X-SYS-HOLIDAY).
081400     MOVE DFHBMDAS               TO MY03-HOLIDAY-LP-A
081500                                    (X-SYS-HOLIDAY)
081600                                    MY03-HOLIDAY-RP-A
081700                                    (X-SYS-HOLIDAY).
081800*
081900     IF  X-SYS-HOLIDAY IS LESS THAN 25
082000         SET X-SYS-HOLIDAY       UP BY 1
082100         GO TO 9300-HOLIDAY-LOOP.
082200*
082300 9399-HA-EXIT.
082400     EXIT.
082500/         DATE VALIDATION ROUTINE
082600     COPY SS05PD.
082700/         GREGORIAN TO JULIAN DATE ROUTINE
082800     COPY SS07PD.
082900/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION.
083000     COPY SS26PD.
083100/         ROUTINE TO EDIT ITME.
083200     COPY SS27PD.
083300/         JULIAN TO GREGORIAN DATE ROUTINE.
083400     COPY SS08PD.
083500/         CHECK DIGIT ROUTINE
083600     COPY SS09PD.
083700/         LINE 24 PF KEYS ROUTINE
083800     COPY SS15PD.
083900/         SYSTEM CONTROL ACCESS ROUTINES
084000     COPY MMSCAO.
084100/         LOG/JOURNAL ACCESS ROUTINES
084200     COPY MML1AO.
084300/         ON-LINE MAP ROUTINES
084400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMY03 '
084500                           MBMAPXXI BY MBMY03I
084600                           MBMAPXXO BY MBMY03O.
084700/         ON-LINE PROCEDURES
084800     COPY MB70PD.
084900/
085000     COPY SMFTPXO.
