000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBONL01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBONL01 - ON-LINE NAME LOCATE SCREEN 01                  *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBNL                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBNL01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MBNL   (NAME LOCATE FILE)                  *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/
004000 01  WS-MISCELLANEOUS.
004100     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004200     03  WS-FIELD-LENGTH     PIC  9(04)      VALUE ZEROS.
004300     03  WS-NAME-LENGTH      PIC  9(04)      VALUE ZEROS.
004400     03  WS-FWD-NAME         PIC  X(40)      VALUE SPACES.
004500     03  WS-FWD-TIE-BREAKER  PIC S9(08)      BINARY VALUE ZEROS.
004600     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004700         88  WS-SELECT-NO                    VALUE 'N'.
004800         88  WS-SELECT-YES                   VALUE 'Y'.
004900     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
005000         88  WS-BYPASS-NO                    VALUE 'N'.
005100         88  WS-BYPASS-YES                   VALUE 'Y'.
005200     03  WS-MATCHUP          PIC  X(01)      VALUE 'N'.
005300         88  WS-NOT-A-MATCH                  VALUE 'Y'.
005400         88  WS-A-MATCH                      VALUE 'N'.
005500     03  TS-QUEUE-NAME.
005600         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005700         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBNL'.
005800*
005900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006000/
006100 LINKAGE SECTION.
006200 01  DFHCOMMAREA.
006300     COPY MB60WS.
006400/         NAME LOCATE SCREEN 01 MAP DSECT
006500     COPY MBNL01.
006600/         NAME LOCATE SCREEN 01 MAP REDEFINITION
006700     COPY MBNL01R.
006800/         NAME LOCATE MASTER RECORD LAYOUT
006900     COPY MMNLRL.
007000/         NAME LOCATE TEMPORARY STORAGE
007100     COPY MBNLTS.
007200/
007300 PROCEDURE DIVISION.
007400 0000-HOUSEKEEPING SECTION.
007500 0100-INIT.
007600*
007700     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
007800     MOVE DFHENTER               TO MBCA-EIBAID.
007900*
008000     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008100     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008200                                 THRU MB70PD-OLH-EXIT.
008300*
008400     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
008500     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
008600*
008700     IF  MBCA-RECEIVE-SCREEN
008800         GO TO 2000-RECEIVE-SCREEN.
008900*
009000 1000-SEND-SCREEN SECTION.
009100*
009200****************************************************************
009300*    GET CICS STORAGE NEEDED FOR THE MAP                       *
009400****************************************************************
009500*
009600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
009700     PERFORM MB60PD-GETMAIN-FOR-MAP
009800                                 THRU MB60PD-GFM-EXIT.
009900     MOVE 01                     TO MBCA-SCREEN-NBR.
010000*
010100****************************************************************
010200*    INITIALIZE THE STANDARD MAP LINES                         *
010300****************************************************************
010400*
010500     PERFORM MB60PD-INIT-STD-MAP-LINES
010600                                 THRU MB60PD-ISML-EXIT.
010700*
010800****************************************************************
010900*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
011000****************************************************************
011100*
011200     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
011300     PERFORM 8100-TEMP-STORAGE-GETMAIN
011400                                 THRU 8199-TSG-EXIT.
011500*
011600     EXEC CICS HANDLE CONDITION
011700               QIDERR (1010-CHECK-RETURN-FLAG)
011800          END-EXEC.
011900*
012000***********************************************
012100*    READ THE TEMP STORAGE RECORD             *
012200***********************************************
012300*
012400     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
012500     PERFORM 8200-TEMP-STORAGE-READ
012600                                 THRU 8299-TSR-EXIT.
012700*
012800***********************************************
012900*    DELETE THE TEMP STORAGE RECORD           *
013000***********************************************
013100*
013200     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
013300     PERFORM 8300-TEMP-STORAGE-DELETE
013400                                 THRU 8399-TSD-EXIT.
013500*
013600     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
013700     GO TO 1080-CONTINUE.
013800*
013900 1010-CHECK-RETURN-FLAG.
014000*
014100     IF  MBCA-MBNL-RETURN-BOTTOM
014200         PERFORM 8900-LAST-SCREEN
014300                                 THRU 8999-LS-EXIT
014400         GO TO 1080-CONTINUE
014500     ELSE
014600         IF  MBCA-MBNL-RETURN-BWD
014700             IF  WS-BYPASS-YES
014800                 SET WS-BYPASS-NO
014900                                 TO TRUE
015000             ELSE
015100                 PERFORM 9000-BACK-SCREEN
015200                                 THRU 9099-BS-EXIT
015300                 GO TO 1080-CONTINUE.
015400*
015500 1015-READ-NAME-LOCATE.
015600*
015700****************************************************************
015800*    START BROWSE THE NAME LOCATE FILE                         *
015900****************************************************************
016000*
016100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016200     MOVE MBCA-MBNL-FWD-NAME     TO MBIOWS-MMNL-NAME.
016300     MOVE MBCA-MBNL-FWD-TIE-BREAKER
016400                                 TO MBIOWS-MMNL-TIE-BREAKER.
016500     SET MBIORO-STARTBR-GTE      TO TRUE.
016600     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
016700*
016800     SET X-NL01-INDEX            TO +1.
016900*
017000 1020-READ-LOOP.
017100*
017200****************************************************************
017300*    READNEXT THE NAME LOCATE FILE                             *
017400****************************************************************
017500*
017600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
017700     SET MBIORO-READ-SEQ         TO TRUE.
017800     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
017900*
018000     IF  MMNL-NAME (1:MBCA-MBNL-NAME-CNT)
018100                           IS GREATER THAN MBCA-MBNL-NAME
018200         GO TO 1020-END-BROWSE.
018300*
018400     PERFORM 9200-VERIFY-RECORD  THRU 9299-VR-EXIT.
018500*
018600     IF  WS-NOT-A-MATCH
018700         SET WS-A-MATCH          TO TRUE
018800         GO TO 1020-READ-LOOP.
018900*
019000     PERFORM 9500-BUILD-SCREEN-LINE
019100                                 THRU 9599-BSL-EXIT.
019200*
019300     IF  X-NL01-INDEX IS EQUAL TO +1
019400         MOVE MMNL-NAME          TO MBCA-MBNL-BACK-NAME
019500         MOVE MMNL-TIE-BREAKER   TO MBCA-MBNL-BACK-TIE-BREAKER.
019600*
019700     IF  X-NL01-INDEX IS LESS THAN +5
019800         SET X-NL01-INDEX        UP BY +1
019900         GO TO 1020-READ-LOOP
020000     ELSE
020100         MOVE MMNL-NAME          TO MBCA-MBNL-FWD-NAME
020200         MOVE MMNL-TIE-BREAKER   TO MBCA-MBNL-FWD-TIE-BREAKER
020300         PERFORM 9400-READ-AHEAD THRU 9499-RA-EXIT
020400         SET X-NL01-INDEX        UP BY +1.
020500*
020600 1020-END-BROWSE.
020700*
020800****************************************************************
020900*    END BROWSE THE NAME LOCATE FILE                           *
021000****************************************************************
021100*
021200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
021300     SET MBIORO-ENDBR            TO TRUE.
021400     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
021500*
021600 1060-SET-ATTRIBUTE.
021700*
021800     IF  X-NL01-INDEX IS EQUAL TO +1
021900         IF  MBCA-MBNL-RETURN-NORMAL
022000             SET MBCA-INITIAL-SCREEN-NBR
022100                                 TO TRUE
022200             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
022300             PERFORM MB70PD-XCTL-TO-MBOXCTL
022400                                 THRU MB70PD-XTM-EXIT
022500         ELSE
022600             MOVE MBCA-MBNL-BACK-NAME
022700                                 TO MBCA-MBNL-FWD-NAME
022800             MOVE MBCA-MBNL-BACK-TIE-BREAKER
022900                                 TO MBCA-MBNL-FWD-TIE-BREAKER
023000             GO TO 1015-READ-NAME-LOCATE.
023100*
023200     IF  X-NL01-INDEX IS LESS THAN +6
023300         SET X-MBNLTS-INDEX      TO X-NL01-INDEX
023400         MOVE ZEROS              TO MBNLTS-ORG
023500                                    (X-MBNLTS-INDEX)
023600                                    MBNLTS-FILE-NBR
023700                                    (X-MBNLTS-INDEX)
023800                                    WS-FWD-TIE-BREAKER
023900                                    MBCA-MBNL-FWD-TIE-BREAKER
024000         MOVE SPACES             TO MBCA-MBNL-FWD-NAME
024100                                    WS-FWD-NAME
024200                                    MBNLTS-NAME
024300                                    (X-MBNLTS-INDEX)
024400                                    MBNLTS-PRIM-SEC
024500                                    (X-MBNLTS-INDEX)
024600                                    MBNLTS-PHONE
024700                                    (X-MBNLTS-INDEX)
024800                                    MBNLTS-ADDR-1
024900                                    (X-MBNLTS-INDEX)
025000                                    MBNLTS-CITY
025100                                    (X-MBNLTS-INDEX)
025200                                    MBNLTS-STATE
025300                                    (X-MBNLTS-INDEX)
025400                                    MBNLTS-POSTAL-CODE
025500                                    (X-MBNLTS-INDEX)
025600         MOVE DFHBMASK           TO NL01-SELECT-A
025700                                    (X-NL01-INDEX)
025800         MOVE DFHBMDAS           TO NL01-SELECT-LP-A
025900                                    (X-NL01-INDEX)
026000                                    NL01-SELECT-RP-A
026100                                    (X-NL01-INDEX)
026200                                    NL01-NAME-A
026300                                    (X-NL01-INDEX)
026400                                    NL01-ADDR1-A
026500                                    (X-NL01-INDEX)
026600                                    NL01-CITY-A
026700                                    (X-NL01-INDEX)
026800                                    NL01-STATE-A
026900                                    (X-NL01-INDEX)
027000                                    NL01-FILE-NBR-A
027100                                    (X-NL01-INDEX)
027200                                    NL01-FILE-TYPE-A
027300                                    (X-NL01-INDEX)
027400                                    NL01-POSTAL-CODE-A
027500                                    (X-NL01-INDEX)
027600                                    NL01-PHONE-A
027700                                    (X-NL01-INDEX)
027800                                    NL01-PRIM-SEC-A
027900                                    (X-NL01-INDEX)
028000         SET X-NL01-INDEX        UP BY +1
028100         GO TO 1060-SET-ATTRIBUTE.
028200*
028300 1080-CONTINUE.
028400*
028500     IF  MBCA-MBNL-BACK-NAME IS NOT EQUAL
028600                                 TO MBCA-MBNL-FIRST-NAME
028700         MOVE DFHBMASB           TO NL01-FWD-IND-A.
028800*
028900     IF  WS-FWD-NAME IS NOT EQUAL TO SPACES
029000         MOVE DFHBMASB           TO NL01-BACK-IND-A.
029100*
029200****************************************************************
029300*    WRITE THE TEMP STORAGE RECORD                             *
029400****************************************************************
029500*
029600     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
029700     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
029800*
029900     SET X-NL01-INDEX            TO +1.
030000*
030100 1090-CURSOR-LOOP.
030200*
030300     IF  X-NL01-INDEX IS GREATER THAN +5
030400         MOVE SS08WS-CURSOR      TO NL01-ALT-TRANID-L
030500         GO TO 1100-CONTINUE.
030600*
030700     IF  NL01-SELECT-A (X-NL01-INDEX)
030800                                 IS EQUAL TO DFHBMASK
030900         SET X-NL01-INDEX        UP BY +1
031000         GO TO 1090-CURSOR-LOOP
031100     ELSE
031200         MOVE SS08WS-CURSOR      TO NL01-SELECT-L
031300                                    (X-NL01-INDEX).
031400*
031500 1100-CONTINUE.
031600*
031700     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
031800     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
031900     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
032000     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
032100     MOVE SS08WS-LINE-24         TO NL01-PF-KEYS.
032200     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
032300     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
032400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
032500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
032600*
032700     MOVE DFHBMASK               TO NL01-CURRENT-PAGE-A.
032800*
032900****************************************************************
033000*    SEND THE MAP                                              *
033100****************************************************************
033200*
033300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033500                                 THRU MB60PD-SMWE-EXIT.
033600*
033700****************************************************************
033800*    RETURN TO CICS                                            *
033900****************************************************************
034000*
034100     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034200     PERFORM MB70PD-RETURN-TRANS-ID
034300                                 THRU MB70PD-RTI-EXIT.
034400/
034500 2000-RECEIVE-SCREEN SECTION.
034600*
034700     IF  MBCA-EIBAID-CLEAR
034800         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
034900         PERFORM 8300-TEMP-STORAGE-DELETE
035000                                 THRU 8399-TSD-EXIT
035100         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
035200         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
035300                                 THRU MB70PD-OLH-EXIT.
035400*
035500****************************************************************
035600*    THIS SECTION RECEIVES THE 01 SCREEN                       *
035700****************************************************************
035800*
035900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
036100*
036200*****************************************************
036300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
036400*****************************************************
036500*
036600     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
036700     PERFORM 8100-TEMP-STORAGE-GETMAIN
036800                                 THRU 8199-TSG-EXIT.
036900*
037000***********************************************
037100*    READ THE TEMP STORAGE RECORD             *
037200***********************************************
037300*
037400     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
037500     PERFORM 8200-TEMP-STORAGE-READ
037600                                 THRU 8299-TSR-EXIT.
037700*
037800***********************************************
037900*    DELETE THE TEMP STORAGE RECORD           *
038000***********************************************
038100*
038200     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
038300     PERFORM 8300-TEMP-STORAGE-DELETE
038400                                 THRU 8399-TSD-EXIT.
038500*
038600****************************************************************
038700*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
038800****************************************************************
038900*
039000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039100     PERFORM MB60PD-NEW-TRANS-ROUTINE
039200                                 THRU MB60PD-NTR-EXIT.
039300*
039400 2005-EDIT-SELECT.
039500*
039600****************************************************************
039700*    EDIT SELECT FIELD                                         *
039800****************************************************************
039900*
040000     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
040100*
040200 2090-CHECK-ERROR.
040300*
040400     IF  SS08WS-ERROR-SW-NO
040500         GO TO 2400-CHECK-SELECT.
040600*
040700 2300-SEND-MAP.
040800*
040900***********************************************
041000*    WRITE THE TEMP STORAGE RECORD            *
041100***********************************************
041200*
041300     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
041400     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
041500*
041600****************************************************************
041700*    SEND THE MAP                                              *
041800****************************************************************
041900*
042000     PERFORM MB60PD-INIT-STD-MAP-LINES
042100                                 THRU MB60PD-ISML-EXIT.
042200*
042300     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
042400     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
042500     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
042600     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
042700     MOVE SS08WS-LINE-24         TO NL01-PF-KEYS.
042800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
042900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
043000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
043100     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
043200*
043300     MOVE DFHBMASK               TO NL01-CURRENT-PAGE-A.
043400*
043500     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
043600     PERFORM MB60PD-SEND-MAP-DATA-ONLY
043700                                 THRU MB60PD-SMDO-EXIT.
043800*
043900****************************************************************
044000*    RETURN TO CICS                                            *
044100****************************************************************
044200*
044300     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
044400     PERFORM MB70PD-RETURN-TRANS-ID
044500                                 THRU MB70PD-RTI-EXIT.
044600/
044700 2400-CHECK-SELECT.
044800*
044900     IF  WS-SELECT-YES
045000         SET X-MBNLTS-INDEX      TO X-NL01-INDEX
045100         MOVE MBNLTS-NAME (X-MBNLTS-INDEX)
045200                                 TO MBCA-MBNL-NAME
045300         SET MBCA-INITIAL-SCREEN-NBR
045400                                 TO TRUE
045500         EVALUATE TRUE
045600           WHEN  NL01-VALID-MERCH-MASTER (X-NL01-INDEX)
045700             MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
045800                                 TO MBCA-KEY-CODE
045900             MOVE NL01-ORG (X-NL01-INDEX)
046000                                 TO MBCA-MERCHANT-ORG
046100             MOVE NL01-FILE-NBR (X-NL01-INDEX)
046200                                 TO MBCA-MERCHANT
046300             IF  NL01-VALID-INQUIRY (X-NL01-INDEX)
046400                 MOVE '..QM'     TO SS08WS-WORK-TRANS-ID
046500                 GO TO 2690-PF-KEY-BYPASS
046600             ELSE
046700                 MOVE '..MM'     TO SS08WS-WORK-TRANS-ID
046800                 GO TO 2690-PF-KEY-BYPASS
046900             END-IF
047000           WHEN  NL01-VALID-STORE-MASTER (X-NL01-INDEX)
047100             MOVE MBIOWS-MMSM-DIRECT-KEY-CODE
047200                                 TO MBCA-KEY-CODE
047300             MOVE NL01-ORG (X-NL01-INDEX)
047400                                 TO MBCA-MERCHANT-ORG
047500             MOVE NL01-FILE-NBR (X-NL01-INDEX)
047600                                 TO MBCA-STORE
047700             IF  NL01-VALID-INQUIRY (X-NL01-INDEX)
047800                 MOVE '..QS' TO SS08WS-WORK-TRANS-ID
047900                 GO TO 2690-PF-KEY-BYPASS
048000             ELSE
048100                 MOVE '..MS' TO SS08WS-WORK-TRANS-ID
048200                 GO TO 2690-PF-KEY-BYPASS
048300             END-IF
048400           WHEN  NL01-VALID-MERCH-CHAIN (X-NL01-INDEX)
048500             MOVE MBIOWS-MMRC-DIRECT-KEY-CODE
048600                                 TO MBCA-KEY-CODE
048700             MOVE NL01-ORG (X-NL01-INDEX)
048800                                 TO MBCA-MERCHANT-ORG
048900             MOVE NL01-FILE-NBR (X-NL01-INDEX)
049000                                 TO MBCA-CHAIN
049100             IF  NL01-VALID-INQUIRY (X-NL01-INDEX)
049200                 MOVE '..QC' TO SS08WS-WORK-TRANS-ID
049300                 GO TO 2690-PF-KEY-BYPASS
049400             ELSE
049500                 MOVE '..MC' TO SS08WS-WORK-TRANS-ID
049600                 GO TO 2690-PF-KEY-BYPASS
049700             END-IF
049800           WHEN  NL01-VALID-STORE-CHAIN (X-NL01-INDEX)
049900             MOVE MBIOWS-MMSR-DIRECT-KEY-CODE
050000                                 TO MBCA-KEY-CODE
050100             MOVE NL01-ORG (X-NL01-INDEX)
050200                                 TO MBCA-MERCHANT-ORG
050300             MOVE NL01-FILE-NBR (X-NL01-INDEX)
050400                                 TO MBCA-CHAIN
050500             IF  NL01-VALID-INQUIRY (X-NL01-INDEX)
050600                 MOVE '..QG' TO SS08WS-WORK-TRANS-ID
050700                 GO TO 2690-PF-KEY-BYPASS
050800             ELSE
050900                 MOVE '..MG' TO SS08WS-WORK-TRANS-ID
051000                 GO TO 2690-PF-KEY-BYPASS
051100             END-IF
051200         END-EVALUATE.
051300/
051400 2600-SETUP-COMMAREA.
051500*
051600****************************************************************
051700*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
051800****************************************************************
051900*
052000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
052100*
052200     IF  SS08WS-VALID-PF3
052300     OR  SS08WS-EIBAID-VALID-PF3
052400         MOVE 51                 TO MBCA-SCREEN-NBR
052500         MOVE MBCA-MBNL-FIRST-NAME
052600                                 TO MBCA-MBNL-FWD-NAME
052700         MOVE MBCA-MBNL-FIRST-TIE-BREAKER
052800                                 TO MBCA-MBNL-FWD-TIE-BREAKER
052900         MOVE ' '                TO MBCA-MBNL-RETURN-FLAG
053000         GO TO 2690-PF-KEY-BYPASS.
053100*
053200     IF  SS08WS-VALID-PF4
053300     OR  SS08WS-EIBAID-VALID-PF4
053400         MOVE 51                 TO MBCA-SCREEN-NBR
053500         IF (MBNLTS-NAME (1) IS NOT EQUAL TO SPACES
053600         AND MBNLTS-NAME (5) IS EQUAL TO SPACES)
053700         OR (MBCA-MBNL-FWD-NAME IS EQUAL TO SPACES)
053800             MOVE ' '            TO MBCA-MBNL-RETURN-FLAG
053900             MOVE SPACES         TO MBCA-MBNL-FWD-NAME
054000             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
054100             PERFORM 8400-WRITE-QUEUE
054200                                 THRU 8499-WQ-EXIT
054300             GO TO 2690-PF-KEY-BYPASS
054400         ELSE
054500             MOVE 'E'            TO MBCA-MBNL-RETURN-FLAG
054600             GO TO 2690-PF-KEY-BYPASS.
054700*
054800     IF  SS08WS-VALID-PF5
054900     OR  SS08WS-EIBAID-VALID-PF5
055000         MOVE 51                 TO MBCA-SCREEN-NBR
055100         IF (MBNLTS-NAME (1) IS NOT EQUAL TO SPACES
055200         AND MBNLTS-NAME (5) IS EQUAL TO SPACES)
055300         OR (MBCA-MBNL-FWD-NAME IS EQUAL TO SPACES)
055400             MOVE ' '            TO MBCA-MBNL-RETURN-FLAG
055500             MOVE SPACES         TO MBCA-MBNL-FWD-NAME
055600             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
055700             PERFORM 8400-WRITE-QUEUE
055800                                 THRU 8499-WQ-EXIT
055900             GO TO 2690-PF-KEY-BYPASS
056000         ELSE
056100             MOVE 'F'            TO MBCA-MBNL-RETURN-FLAG
056200             ADD 1               TO MBCA-MBNL-FWD-TIE-BREAKER
056300             GO TO 2690-PF-KEY-BYPASS.
056400*
056500     IF  SS08WS-VALID-PF6
056600     OR  SS08WS-EIBAID-VALID-PF6
056700         MOVE 51                 TO MBCA-SCREEN-NBR
056800         IF  MBCA-MBNL-FIRST-NAME IS EQUAL
056900                                 TO MBCA-MBNL-BACK-NAME
057000         AND MBCA-MBNL-FIRST-TIE-BREAKER IS EQUAL
057100                                 TO MBCA-MBNL-BACK-TIE-BREAKER
057200             MOVE ' '            TO MBCA-MBNL-RETURN-FLAG
057300             MOVE MBCA-MBNL-FIRST-NAME
057400                                 TO MBCA-MBNL-FWD-NAME
057500             MOVE MBCA-MBNL-FIRST-TIE-BREAKER
057600                                 TO MBCA-MBNL-FWD-TIE-BREAKER
057700             SET WS-BYPASS-YES   TO TRUE
057800             GO TO 2690-PF-KEY-BYPASS
057900         ELSE
058000             MOVE MBCA-MBNL-BACK-NAME
058100                                 TO MBCA-MBNL-FWD-NAME
058200             MOVE MBCA-MBNL-BACK-TIE-BREAKER
058300                                 TO MBCA-MBNL-FWD-TIE-BREAKER
058400             MOVE 'B'            TO MBCA-MBNL-RETURN-FLAG
058500             GO TO 2690-PF-KEY-BYPASS.
058600*
058700     IF  SS08WS-VALID-PF-KEY
058800     OR  SS08WS-EIBAID-VALID-PF-KEY
058900     OR  MBNLTS-NAME (5) IS EQUAL TO SPACES
059000     OR  MBCA-MBNL-FWD-NAME IS EQUAL TO SPACES
059100         SET MBCA-INITIAL-SCREEN-NBR
059200                                 TO TRUE
059300         MOVE MBIOWS-MMNL-KEY-CODE
059400                                 TO MBCA-KEY-CODE
059500         MOVE ' '                TO MBCA-MBNL-RETURN-FLAG
059600         GO TO 2690-PF-KEY-BYPASS.
059700*
059800     MOVE 51                     TO MBCA-SCREEN-NBR.
059900     ADD 1                       TO MBCA-MBNL-FWD-TIE-BREAKER.
060000     MOVE ' '                    TO MBCA-MBNL-RETURN-FLAG.
060100*
060200 2690-PF-KEY-BYPASS.
060300*
060400     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
060500     PERFORM MB70PD-XCTL-TO-MBOXCTL
060600                                 THRU MB70PD-XTM-EXIT.
060700/
060800 8000-PERFORMED-ROUTINES-SECT SECTION.
060900*
061000 8100-TEMP-STORAGE-GETMAIN.
061100*
061200     EXEC CICS GETMAIN
061300               FLENGTH (LENGTH  OF MBNLTS-RECORD)
061400               SET     (ADDRESS OF MBNLTS-RECORD)
061500          END-EXEC.
061600*
061700 8199-TSG-EXIT.
061800     EXIT.
061900*
062000 8200-TEMP-STORAGE-READ.
062100*
062200     EXEC CICS READQ TS
062300               QUEUE   (TS-QUEUE-NAME)
062400               INTO    (MBNLTS-RECORD)
062500               LENGTH  (LENGTH  OF MBNLTS-RECORD)
062600               ITEM    (1)
062700          END-EXEC.
062800*
062900 8299-TSR-EXIT.
063000     EXIT.
063100*
063200 8300-TEMP-STORAGE-DELETE.
063300*
063400     EXEC CICS IGNORE CONDITION
063500               QIDERR
063600          END-EXEC.
063700*
063800     EXEC CICS DELETEQ TS
063900               QUEUE  (TS-QUEUE-NAME)
064000          END-EXEC.
064100*
064200 8399-TSD-EXIT.
064300     EXIT.
064400*
064500 8400-WRITE-QUEUE.
064600*
064700     EXEC CICS WRITEQ TS
064800               QUEUE   (TS-QUEUE-NAME)
064900               FROM    (MBNLTS-RECORD)
065000               LENGTH  (LENGTH  OF MBNLTS-RECORD)
065100          END-EXEC.
065200*
065300 8499-WQ-EXIT.
065400     EXIT.
065500*
065600 8600-EDIT-SELECT.
065700*
065800     SET X-NL01-INDEX            TO +1.
065900*
066000 8600-EDIT-LOOP.
066100*
066200     IF  NL01-SELECT-L (X-NL01-INDEX) IS GREATER THAN ZERO
066300         IF  NL01-VALID-SELECT (X-NL01-INDEX)
066400             MOVE DFHBMASF       TO NL01-SELECT-A
066500                                    (X-NL01-INDEX)
066600             MOVE DFHBMDAS       TO NL01-SELECT-LP-A
066700                                    (X-NL01-INDEX)
066800                                    NL01-SELECT-RP-A
066900                                    (X-NL01-INDEX)
067000             IF  NL01-VALID-INQUIRY-MAINT (X-NL01-INDEX)
067100                 MOVE 'Y'        TO WS-SELECT-SW
067200                 GO TO 8699-ES-EXIT
067300             ELSE
067400                 NEXT SENTENCE
067500         ELSE
067600             SET SS08WS-ERROR-SW-YES TO TRUE
067700             MOVE SS08WS-CURSOR  TO NL01-SELECT-L
067800                                    (X-NL01-INDEX)
067900             MOVE DFHBMUBF       TO NL01-SELECT-A
068000                                    (X-NL01-INDEX)
068100             MOVE DFHBMASB       TO NL01-SELECT-LP-A
068200                                    (X-NL01-INDEX)
068300                                    NL01-SELECT-RP-A
068400                                    (X-NL01-INDEX)
068500             GO TO 8699-ES-EXIT.
068600*
068700     IF  X-NL01-INDEX IS LESS THAN +5
068800         SET X-NL01-INDEX        UP BY +1
068900         GO TO 8600-EDIT-LOOP.
069000*
069100 8699-ES-EXIT.
069200     EXIT.
069300*
069400 8800-BUILD-SCREEN.
069500*
069600     SET X-NL01-INDEX            TO +1.
069700*
069800 8800-BUILD-LOOP.
069900*
070000     SET X-MBNLTS-INDEX          TO X-NL01-INDEX.
070100*
070200     IF  MBNLTS-NAME (X-MBNLTS-INDEX)
070300                                 IS NOT EQUAL TO SPACES
070400         MOVE MBNLTS-NAME (X-MBNLTS-INDEX)
070500                                 TO NL01-NAME
070600                                    (X-NL01-INDEX)
070700         MOVE MBNLTS-ADDR-1 (X-MBNLTS-INDEX)
070800                                 TO NL01-ADDR1
070900                                    (X-NL01-INDEX)
071000         MOVE MBNLTS-CITY (X-MBNLTS-INDEX)
071100                                 TO NL01-CITY
071200                                    (X-NL01-INDEX)
071300         MOVE MBNLTS-STATE (X-MBNLTS-INDEX)
071400                                 TO NL01-STATE
071500                                    (X-NL01-INDEX)
071600         MOVE MBNLTS-ORG (X-MBNLTS-INDEX)
071700                                 TO NL01-ORG
071800                                    (X-NL01-INDEX)
071900         MOVE DFHBMABF           TO NL01-ORG-A
072000                                    (X-NL01-INDEX)
072100         MOVE MBNLTS-FILE-NBR (X-MBNLTS-INDEX)
072200                                 TO NL01-FILE-NBR
072300                                    (X-NL01-INDEX)
072400         MOVE DFHBMABF           TO NL01-FILE-NBR-A
072500                                    (X-NL01-INDEX)
072600         MOVE MBNLTS-FILE-TYPE (X-MBNLTS-INDEX)
072700                                 TO NL01-FILE-TYPE
072800                                    (X-NL01-INDEX)
072900         MOVE DFHBMABF           TO NL01-FILE-TYPE-A
073000                                    (X-NL01-INDEX)
073100         MOVE MBNLTS-PRIM-SEC (X-MBNLTS-INDEX)
073200                                 TO NL01-PRIM-SEC
073300                                    (X-NL01-INDEX)
073400         MOVE MBNLTS-POSTAL-CODE (X-MBNLTS-INDEX)
073500                                 TO NL01-POSTAL-CODE
073600                                    (X-NL01-INDEX)
073700         MOVE MBNLTS-PHONE (X-MBNLTS-INDEX)
073800                                 TO NL01-PHONE
073900                                    (X-NL01-INDEX)
074000     ELSE
074100         MOVE DFHBMASK           TO NL01-SELECT-A
074200                                    (X-NL01-INDEX)
074300         MOVE DFHBMDAS           TO NL01-NAME-A
074400                                    (X-NL01-INDEX)
074500                                    NL01-ADDR1-A
074600                                    (X-NL01-INDEX)
074700                                    NL01-CITY-A
074800                                    (X-NL01-INDEX)
074900                                    NL01-STATE-A
075000                                    (X-NL01-INDEX)
075100                                    NL01-FILE-NBR-A
075200                                    (X-NL01-INDEX)
075300                                    NL01-FILE-TYPE-A
075400                                    (X-NL01-INDEX)
075500                                    NL01-POSTAL-CODE-A
075600                                    (X-NL01-INDEX)
075700                                    NL01-PHONE-A
075800                                    (X-NL01-INDEX)
075900                                    NL01-PRIM-SEC-A
076000                                    (X-NL01-INDEX)
076100                                    NL01-SELECT-LP-A
076200                                    (X-NL01-INDEX)
076300                                    NL01-SELECT-RP-A
076400                                    (X-NL01-INDEX).
076500*
076600     IF  X-NL01-INDEX IS LESS THAN +5
076700         SET X-NL01-INDEX        UP BY +1
076800         GO TO 8800-BUILD-LOOP
076900     ELSE
077000         MOVE MBCA-MBNL-FWD-NAME
077100                                 TO WS-FWD-NAME.
077200*
077300 8899-BS-EXIT.
077400     EXIT.
077500*
077600 8900-LAST-SCREEN.
077700*
077800****************************************************************
077900*    START BROWSE THE NAME LOCATE FILE                         *
078000****************************************************************
078100*
078200     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
078300     MOVE MBCA-MBNL-NAME         TO MBIOWS-MMNL-NAME.
078400     COMPUTE WS-NAME-LENGTH      = 40 - MBCA-MBNL-NAME-CNT.
078500     COMPUTE WS-FIELD-LENGTH     = MBCA-MBNL-NAME-CNT + 1.
078600     MOVE HIGH-VALUES            TO MBIOWS-MMNL-NAME
078700                             (WS-FIELD-LENGTH : WS-NAME-LENGTH)
078800     MOVE 99999999               TO MBIOWS-MMNL-TIE-BREAKER.
078900     SET MBIORO-STARTBR-GTE      TO TRUE.
079000     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
079100*
079200****************************************************************
079300*    READNEXT THE NAME LOCATE FILE                             *
079400****************************************************************
079500*
079600     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
079700     SET MBIORO-READ-SEQ         TO TRUE.
079800     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
079900*
080000****************************************************************
080100*    READPREV THE NAME LOCATE FILE                             *
080200****************************************************************
080300*
080400     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
080500     SET MBIORO-READ-PREV        TO TRUE.
080600     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
080700*
080800     SET X-NL01-INDEX            TO +5.
080900     MOVE 'N'                    TO WS-BYPASS-SW.
081000*
081100 8900-READ-NAME-LOCATE-FILE.
081200*
081300****************************************************************
081400*    READPREV THE NAME LOCATE FILE                             *
081500****************************************************************
081600*
081700     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
081800     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
081900     SET MBIORO-READ-PREV        TO TRUE.
082000     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
082100*
082200 8900-BUILD-LOOP.
082300*
082400*
082500     IF  MMNL-NAME (1:MBCA-MBNL-NAME-CNT)
082600                   IS LESS THAN MBCA-MBNL-NAME
082700     OR  SS08WS-RC-FC-ENDFILE
082800         GO TO 8900-END-BROWSE.
082900*
083000     PERFORM 9200-VERIFY-RECORD  THRU 9299-VR-EXIT.
083100*
083200     IF  WS-NOT-A-MATCH
083300         SET WS-A-MATCH          TO TRUE
083400         GO TO 8900-READ-NAME-LOCATE-FILE.
083500*
083600*
083700     PERFORM 9500-BUILD-SCREEN-LINE
083800                                 THRU 9599-BSL-EXIT.
083900*
084000     IF  X-NL01-INDEX IS GREATER THAN +1
084100         SET X-NL01-INDEX        DOWN BY +1
084200         GO TO 8900-READ-NAME-LOCATE-FILE.
084300*
084400 8900-END-BROWSE.
084500*
084600****************************************************************
084700*    END BROWSE THE NAME LOCATE FILE                           *
084800****************************************************************
084900*
085000     MOVE MMNL-NAME              TO MBCA-MBNL-BACK-NAME.
085100     MOVE MMNL-TIE-BREAKER       TO MBCA-MBNL-BACK-TIE-BREAKER.
085200*
085300     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
085400     SET MBIORO-ENDBR            TO TRUE.
085500     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
085600*
085700     IF  WS-BYPASS-YES
085800         GO TO 8999-LS-EXIT.
085900*
086000     MOVE ZEROS                  TO MBCA-MBNL-FWD-TIE-BREAKER.
086100*
086200     MOVE SPACES                 TO MBCA-MBNL-FWD-NAME
086300                                    WS-FWD-NAME.
086400*
086500 8999-LS-EXIT.
086600     EXIT.
086700*
086800 9000-BACK-SCREEN.
086900*
087000****************************************************************
087100*    START BROWSE THE NAME LOCATE FILE                         *
087200****************************************************************
087300*
087400     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
087500     MOVE MBCA-MBNL-FWD-NAME     TO MBIOWS-MMNL-NAME.
087600     MOVE MBCA-MBNL-FWD-TIE-BREAKER
087700                                 TO MBIOWS-MMNL-TIE-BREAKER.
087800     SET MBIORO-STARTBR-GTE      TO TRUE.
087900     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
088000*
088100****************************************************************
088200*    READNEXT THE NAME LOCATE FILE                             *
088300****************************************************************
088400*
088500     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
088600     SET MBIORO-READ-SEQ         TO TRUE.
088700     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
088800*
088900****************************************************************
089000*    READPREV THE NAME LOCATE FILE                             *
089100****************************************************************
089200*
089300     MOVE 'FC11'                 TO MBCA-PROGRAM-LOCATION.
089400     SET MBIORO-READ-PREV        TO TRUE.
089500     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
089600*
089700     SET X-NL01-INDEX            TO +5.
089800     MOVE 'N'                    TO WS-BYPASS-SW.
089900*
090000 9000-READ-NAME-LOCATE-FILE.
090100*
090200****************************************************************
090300*    READPREV THE NAME LOCATE FILE                             *
090400****************************************************************
090500*
090600     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
090700     MOVE SS08WS-CICS-FC-ENDFILE TO MBIORO-TEMP-STATUS-1.
090800     SET MBIORO-READ-PREV        TO TRUE.
090900     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
091000*
091100 9000-BUILD-LOOP.
091200*
091300     IF  MMNL-NAME (1:MBCA-MBNL-NAME-CNT)
091400                   IS LESS THAN MBCA-MBNL-NAME
091500     OR  SS08WS-RC-FC-ENDFILE
091600         GO TO 9000-END-BROWSE.
091700*
091800     PERFORM 9200-VERIFY-RECORD  THRU 9299-VR-EXIT.
091900*
092000     IF  WS-NOT-A-MATCH
092100         SET WS-A-MATCH          TO TRUE
092200         GO TO 9000-READ-NAME-LOCATE-FILE.
092300*
092400     PERFORM 9500-BUILD-SCREEN-LINE
092500                                 THRU 9599-BSL-EXIT.
092600*
092700     IF  X-NL01-INDEX IS EQUAL TO +5
092800         MOVE MMNL-TIE-BREAKER   TO MBCA-MBNL-FWD-TIE-BREAKER
092900         MOVE MMNL-NAME          TO MBCA-MBNL-FWD-NAME
093000                                    WS-FWD-NAME.
093100*
093200     IF  X-NL01-INDEX IS GREATER THAN +1
093300         SET X-NL01-INDEX        DOWN BY +1
093400         GO TO 9000-READ-NAME-LOCATE-FILE.
093500*
093600 9000-END-BROWSE.
093700*
093800****************************************************************
093900*    END BROWSE THE NAME LOCATE FILE                           *
094000****************************************************************
094100*
094200     MOVE MMNL-TIE-BREAKER       TO MBCA-MBNL-BACK-TIE-BREAKER.
094300     MOVE MMNL-NAME              TO MBCA-MBNL-BACK-NAME.
094400*
094500     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
094600     SET MBIORO-ENDBR            TO TRUE.
094700     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
094800*
094900 9099-BS-EXIT.
095000     EXIT.
095100*
095200 9200-VERIFY-RECORD.
095300*
095400     IF  MBCA-MBNL-MC-TYPE IS EQUAL TO MMNL-FILE-TYPE
095500         NEXT SENTENCE
095600     ELSE
095700         SET WS-NOT-A-MATCH     TO TRUE
095800         GO TO 9299-VR-EXIT.
095900*
096000     IF  MBCA-MBNL-PS-TYPE IS EQUAL TO MMNL-NAME-LOCATION
096100     OR  MBCA-MBNL-PS-TYPE-BOTH
096200         NEXT SENTENCE
096300     ELSE
096400         SET WS-NOT-A-MATCH     TO TRUE
096500         GO TO 9299-VR-EXIT.
096600*
096700     IF  MBCA-MBNL-NAME-CNT IS GREATER THAN ZERO
096800         IF  MBCA-MBNL-NAME-DELIM IS EQUAL TO '*'
096900             IF  MMNL-NAME (1:MBCA-MBNL-NAME-CNT) IS EQUAL TO
097000                               MBCA-MBNL-NAME
097100                 NEXT SENTENCE
097200             ELSE
097300                 SET WS-NOT-A-MATCH
097400                                 TO TRUE
097500                 GO TO 9299-VR-EXIT
097600         ELSE
097700             IF  MMNL-NAME IS EQUAL TO MBCA-MBNL-NAME
097800                 NEXT SENTENCE
097900             ELSE
098000                 SET WS-NOT-A-MATCH
098100                                 TO TRUE
098200                 GO TO 9299-VR-EXIT.
098300*
098400     IF  MBCA-MBNL-ADDR1-CNT IS GREATER THAN ZERO
098500         IF  MBCA-MBNL-ADDR1-DELIM IS EQUAL TO '*'
098600             IF  MMNL-ADDR1 (1:MBCA-MBNL-ADDR1-CNT) IS EQUAL TO
098700                               MBCA-MBNL-ADDR1
098800                 NEXT SENTENCE
098900             ELSE
099000                 SET WS-NOT-A-MATCH
099100                                 TO TRUE
099200                 GO TO 9299-VR-EXIT
099300         ELSE
099400             IF  MMNL-ADDR1 IS EQUAL TO MBCA-MBNL-ADDR1
099500                 NEXT SENTENCE
099600             ELSE
099700                 SET WS-NOT-A-MATCH
099800                                 TO TRUE
099900                 GO TO 9299-VR-EXIT.
100000*
100100     IF  MBCA-MBNL-CITY-CNT IS GREATER THAN ZERO
100200         IF  MBCA-MBNL-CITY-DELIM IS EQUAL TO '*'
100300             IF  MMNL-CITY (1:MBCA-MBNL-CITY-CNT) IS EQUAL TO
100400                               MBCA-MBNL-CITY
100500                 NEXT SENTENCE
100600             ELSE
100700                 SET WS-NOT-A-MATCH TO TRUE
100800                 GO TO 9299-VR-EXIT
100900         ELSE
101000             IF  MMNL-CITY IS EQUAL TO MBCA-MBNL-CITY
101100                 NEXT SENTENCE
101200             ELSE
101300                 SET WS-NOT-A-MATCH TO TRUE
101400                 GO TO 9299-VR-EXIT.
101500*
101600     IF  MBCA-MBNL-STATE-CNT IS GREATER THAN ZERO
101700         IF  MBCA-MBNL-STATE-DELIM IS EQUAL TO '*'
101800             IF  MMNL-STATE (1:MBCA-MBNL-STATE-CNT) IS EQUAL TO
101900                               MBCA-MBNL-STATE
102000                 NEXT SENTENCE
102100             ELSE
102200                 SET WS-NOT-A-MATCH TO TRUE
102300                 GO TO 9299-VR-EXIT
102400         ELSE
102500             IF  MMNL-STATE IS EQUAL TO MBCA-MBNL-STATE
102600                 NEXT SENTENCE
102700             ELSE
102800                 SET WS-NOT-A-MATCH TO TRUE
102900                 GO TO 9299-VR-EXIT.
103000*
103100     IF  MBCA-MBNL-POSTAL-CODE-CNT IS GREATER THAN ZERO
103200         IF  MBCA-MBNL-POSTAL-CODE-DELIM IS EQUAL TO '*'
103300             IF  MMNL-POSTAL-CODE (1:MBCA-MBNL-POSTAL-CODE-CNT)
103400                                IS EQUAL TO
103500                                MBCA-MBNL-POSTAL-CODE
103600                 NEXT SENTENCE
103700             ELSE
103800                 SET WS-NOT-A-MATCH TO TRUE
103900                 GO TO 9299-VR-EXIT
104000         ELSE
104100             IF  MMNL-POSTAL-CODE IS EQUAL
104200                                 TO MBCA-MBNL-POSTAL-CODE
104300                 NEXT SENTENCE
104400             ELSE
104500                 SET WS-NOT-A-MATCH TO TRUE
104600                 GO TO 9299-VR-EXIT.
104700*
104800     IF  MBCA-MBNL-PHONE-CNT IS GREATER THAN ZERO
104900         IF  MBCA-MBNL-PHONE-DELIM IS EQUAL TO '*'
105000             IF  MMNL-PHONE (1:MBCA-MBNL-PHONE-CNT)
105100                    IS EQUAL TO MBCA-MBNL-PHONE
105200                 NEXT SENTENCE
105300             ELSE
105400                 SET WS-NOT-A-MATCH TO TRUE
105500                  GO TO 9299-VR-EXIT
105600         ELSE
105700             IF  MMNL-PHONE IS EQUAL TO MBCA-MBNL-PHONE
105800                 NEXT SENTENCE
105900             ELSE
106000                 SET WS-NOT-A-MATCH TO TRUE
106100                  GO TO 9299-VR-EXIT.
106200*
106300 9299-VR-EXIT.
106400     EXIT.
106500*
106600 9400-READ-AHEAD.
106700*
106800****************************************************************
106900*    READNEXT THE NAME LOCATE FILE                             *
107000****************************************************************
107100*
107200     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
107300     SET MBIORO-READ-SEQ         TO TRUE.
107400     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
107500*
107600     IF  MMNL-NAME (1:MBCA-MBNL-NAME-CNT)
107700                           IS GREATER THAN MBCA-MBNL-NAME
107800         MOVE SPACES             TO WS-FWD-NAME
107900         GO TO 9499-RA-EXIT.
108000*
108100     PERFORM 9200-VERIFY-RECORD  THRU 9299-VR-EXIT.
108200*
108300     IF  WS-NOT-A-MATCH
108400         SET WS-A-MATCH          TO TRUE
108500         GO TO 9400-READ-AHEAD.
108600*
108700     MOVE MMNL-NAME              TO WS-FWD-NAME.
108800*
108900 9499-RA-EXIT.
109000     EXIT.
109100*
109200 9500-BUILD-SCREEN-LINE.
109300*
109400     SET X-MBNLTS-INDEX          TO X-NL01-INDEX.
109500*
109600     MOVE MMNL-NAME              TO NL01-NAME
109700                                    (X-NL01-INDEX)
109800                                    MBNLTS-NAME
109900                                    (X-MBNLTS-INDEX).
110000*
110100     MOVE MMNL-ADDR1             TO NL01-ADDR1
110200                                    (X-NL01-INDEX)
110300                                    MBNLTS-ADDR-1
110400                                    (X-MBNLTS-INDEX).
110500*
110600     MOVE MMNL-CITY              TO NL01-CITY
110700                                    (X-NL01-INDEX)
110800                                    MBNLTS-CITY
110900                                    (X-MBNLTS-INDEX).
111000*
111100     MOVE MMNL-STATE             TO NL01-STATE
111200                                    (X-NL01-INDEX)
111300                                    MBNLTS-STATE
111400                                    (X-MBNLTS-INDEX).
111500*
111600     MOVE MMNL-ORG               TO NL01-ORG
111700                                    (X-NL01-INDEX)
111800                                    MBNLTS-ORG
111900                                    (X-MBNLTS-INDEX).
112000     MOVE DFHBMABF               TO NL01-ORG-A
112100                                    (X-NL01-INDEX).
112200*
112300     MOVE MMNL-FILE-NBR          TO NL01-FILE-NBR
112400                                    (X-NL01-INDEX)
112500                                    MBNLTS-FILE-NBR
112600                                    (X-MBNLTS-INDEX).
112700     MOVE DFHBMABF               TO NL01-FILE-NBR-A
112800                                    (X-NL01-INDEX).
112900*
113000     MOVE MMNL-FILE-TYPE         TO NL01-FILE-TYPE
113100                                    (X-NL01-INDEX)
113200                                    MBNLTS-FILE-TYPE
113300                                    (X-MBNLTS-INDEX).
113400     MOVE DFHBMABF               TO NL01-FILE-TYPE-A
113500                                    (X-NL01-INDEX).
113600*
113700     MOVE MMNL-NAME-LOCATION     TO NL01-PRIM-SEC
113800                                    (X-NL01-INDEX)
113900                                    MBNLTS-PRIM-SEC
114000                                    (X-MBNLTS-INDEX).
114100*
114200     MOVE MMNL-POSTAL-CODE       TO NL01-POSTAL-CODE
114300                                    (X-NL01-INDEX)
114400                                    MBNLTS-POSTAL-CODE
114500                                    (X-MBNLTS-INDEX).
114600*
114700     MOVE MMNL-PHONE             TO NL01-PHONE
114800                                    (X-NL01-INDEX)
114900                                    MBNLTS-PHONE
115000                                    (X-MBNLTS-INDEX).
115100*
115200 9599-BSL-EXIT.
115300     EXIT.
115400/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
115500     COPY SS26PD.
115600/         ROUTINE TO NUMERICALLY EDIT TIME
115700     COPY SS27PD.
115800/         JULIAN TO GREGORIAN DATE ROUTINE
115900     COPY SS08PD.
116000/         LINE 24 PF KEYS ROUTINE
116100     COPY SS15PD.
116200/         NAME LOCATE RECORD ACCESS ROUTINES
116300     COPY MMNLAO.
116400/         ON-LINE MAP ROUTINES
116500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBNL01 '
116600                           MBMAPXXI BY MBNL01I
116700                           MBMAPXXO BY MBNL01O.
116800/         ON-LINE PROCEDURES
116900     COPY MB70PD.
117000/
117100     COPY SMFTPXO.
