000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBONU01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBONU01 - ON-LINE SYSTEM MENU                            *
000800*                                                               *
000900*              1. TRANSIDS                                      *
001000*                 A. MBNU                                       *
001100*              2. MAPS USED -                                   *
001200*                 A. MBNU01 (SYSTEM MENU MAP)                   *
001300*              3. FILES USED -                                  *
001400*                 A. NONE                                       *
001500*                                                               *
001600*****************************************************************
001700*
001800 ENVIRONMENT DIVISION.
001900 CONFIGURATION SECTION.
002000 SOURCE-COMPUTER.            IBM-4341.
002100 OBJECT-COMPUTER.            IBM-4341.
002200*
002300 DATA DIVISION.
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  FILLER                  PIC  X(15)      VALUE
002800                               'CCS WORK AREAS:'.
002900*         DATE WORK AREAS
003000     COPY SS01WS.
003100/         ON-LINE WORK AREAS
003200     COPY SS08WS.
003300/
003400     COPY SS00WS.
003500/
003600     COPY SMFTWS.
003700/
003800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003900/
004000     COPY MB61LK.
004100/
004200     COPY MBIOWS.
004300/
004400     COPY MBIORO.
004500/
004600 01  FILLER                  PIC  X(14)      VALUE
004700                               'MISCELLANEOUS:'.
004800*
004900 01  WS-WORKING-FIELDS.
005000     03  WS-INDEX            PIC S9(04)      VALUE ZEROS BINARY.
005100     03  WS-SUB-INDEX        PIC S9(04)      VALUE ZEROS BINARY.
005200     03  WS-PIC-X4.
005300         05  WS-PIC-9        PIC  9(01).
005400         05  FILLER          PIC  X(03).
005500     03  WS-PIC-X4-R         REDEFINES WS-PIC-X4.
005600         05  WS-PIC-99       PIC  9(02).
005700         05  FILLER          PIC  X(02).
005800     03  WS-PIC-DOT-SUB      REDEFINES WS-PIC-X4.
005900         05  FILLER          PIC  X(01).
006000         05  WS-PIC-DOT      PIC  X(01).
006100         05  WS-PIC-DOT-99   PIC  9(02).
006200         05  WS-PIC-DOT-99-R REDEFINES WS-PIC-DOT-99.
006300             07  WS-PIC-DOT-9
006400                             PIC  9(01).
006500             07  FILLER      PIC  X(01).
006600/
006700 01  FILLER                  PIC  X(20)      VALUE
006800                               'MENU FUNCTION TABLE:'.
006900*         MENU FUNCTION TABLE
007000     COPY MBNUWS.
007100/
007200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007300*         MENU FUNCTION TABLE
007400 LINKAGE SECTION.
007500*
007600 01  DFHCOMMAREA.
007700     COPY MB60WS.
007800/         MENU SCREEN MAP DSECT
007900     COPY MBNU01.
008000/         MENU SCREEN MAP REDEFINITION
008100     COPY MBNU01R.
008200/
008300 PROCEDURE DIVISION.
008400*
008500 0100-START.
008600*
008700     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
008800     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
008900                                 THRU MB70PD-OLH-EXIT.
009000*
009100*****************************************************************
009200* DURING THE 'BUILD-SCREEN' SECTION OF THIS PROGRAM, 01 IS      *
009300* ALWAYS MOVED TO MBCA-SCREEN-NBR. THIS WILL ALLOW THE PROGRAM  *
009400* TO BRANCH TO THE RECEIVE SECTION THE NEXT TIME THE PROGRAM IS *
009500* ENTERED.  THE FIRST TIME IN, MBCA-SCREEN-NBR IS 99, AND       *
009600* AFTER EACH RECEIVE SECTION IT IS 01.                          *
009700*****************************************************************
009800*
009900     IF  MBCA-SCREEN-NBR IS EQUAL TO 01
010000         GO TO 0200-RECEIVE-SCREEN.
010100/
010200 0110-BUILD-SCREEN.
010300*
010400*****************************************************************
010500*  GET CICS STORAGE NEEDED FOR THE MAP.                         *
010600*****************************************************************
010700*
010800     IF  MBCA-INITIAL-SCREEN-NBR
010900         MOVE 1                  TO MBCA-TRANS-LOOP-CONTROL-9.
011000*
011100     MOVE 01                     TO MBCA-SCREEN-NBR.
011200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011300     PERFORM MB60PD-GETMAIN-FOR-MAP
011400                                 THRU MB60PD-GFM-EXIT.
011500     PERFORM MB60PD-INIT-STD-MAP-LINES
011600                                 THRU MB60PD-ISML-EXIT.
011700     MOVE ' PF5=*BWD*'           TO SS08WS-LINE-24-TABLE (5).
011800     MOVE SS08WS-LINE-24         TO TTN2401I.
011900     MOVE 'RESV'                 TO SS08WS-LINE-24-TABLE (5).
012000     MOVE MBCA-TRANS-LOOP-CONTROL-9
012100                                 TO WS-INDEX.
012200     SET X-MAP-I                 TO 1.
012300     SET X-NU01-MENU-TABLE       TO WS-INDEX.
012400     SET X-NU01-MENU-FUNCTION    TO 1.
012500*
012600 0120-BUILD-LEFT-SIDE.
012700*
012800     IF  NU01-MENU-FUNCTION
012900                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
013000                                 IS EQUAL TO SPACES
013100         MOVE DFHBMASK           TO NU01-CODE-A (X-MAP-I)
013200         MOVE DFHBMDAS           TO NU01-DESC-A (X-MAP-I)
013300         MOVE DFHBMDAS           TO NU01-CODE-LP-A (X-MAP-I)
013400         MOVE DFHBMDAS           TO NU01-CODE-RP-A (X-MAP-I)
013500     ELSE
013600         MOVE NU01-MENU-FUNCTION
013700                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
013800                                 TO NU01-DESC (X-MAP-I).
013900*
014000     SET X-NU01-MENU-FUNCTION    UP BY 1.
014100*
014200     IF  X-MAP-I IS LESS THAN 29
014300         SET X-MAP-I             UP BY 2
014400         GO TO 0120-BUILD-LEFT-SIDE.
014500*
014600     SET X-MAP-I                 TO 2.
014700*
014800 0140-BUILD-RIGHT-SIDE.
014900*
015000     IF  NU01-MENU-FUNCTION
015100                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
015200                                 IS EQUAL TO SPACES
015300         MOVE DFHBMASK           TO NU01-CODE-A (X-MAP-I)
015400         MOVE DFHBMDAS           TO NU01-DESC-A (X-MAP-I)
015500         MOVE DFHBMDAS           TO NU01-CODE-LP-A (X-MAP-I)
015600         MOVE DFHBMDAS           TO NU01-CODE-RP-A (X-MAP-I)
015700     ELSE
015800         MOVE NU01-MENU-FUNCTION
015900                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
016000                                 TO NU01-DESC (X-MAP-I).
016100*
016200     IF  X-MAP-I IS LESS THAN 30
016300         SET X-MAP-I             UP BY 2
016400         SET X-NU01-MENU-FUNCTION
016500                                 UP BY 1
016600         GO TO 0140-BUILD-RIGHT-SIDE.
016700*
016800     MOVE SS08WS-CURSOR          TO TTN0108L.
016900     MOVE NU01-MENU-TYPE (X-NU01-MENU-TABLE)
017000                                 TO TTN0220I.
017100*
017200     MOVE DFHBMASK               TO TTN0162A.
017300     COMPUTE TTN0162I            = MBCA-TRANS-LOOP-CONTROL-9 - 1.
017400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017600                                 THRU MB60PD-SMWE-EXIT.
017700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB70PD-RETURN-TRANS-ID
017900                                 THRU MB70PD-RTI-EXIT.
018000/
018100 0200-RECEIVE-SCREEN.
018200*
018300*****************************************************************
018400* THE 51 IN MBCA-SCREEN-NBR WILL SIGNIFY TO FALL THRU TO THE    *
018500* 'BUILD-SCREEN' LOGIC OF THIS PROGRAM IF IT ENTERS ITSELF AGAIN*
018600*****************************************************************
018700*
018800     MOVE 51                     TO MBCA-SCREEN-NBR.
018900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
019000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
019100*
019200*****************************************************************
019300* CHECK THE COMMAND LINE TO SEE IF A 1 OR 2-DIGIT NBR WAS       *
019400* ENTERED.  IF SO, THE SPECIFIC SCREEN CAN BE CALCULATED.       *
019500* IF ON SCREEN 1 (LOCATE) THE SUB-LOCATE WILL BE CALCULATED.    *
019600* IF ON A SUBLOCATE, THE NUMBER ENTERED CAN BE USED TO CALCULATE*
019700* WHICH ENTRY IN THE DESC TABLE IS DESIRED, WHICH IN TURN HAS   *
019800* THE TRAN SUBDEFINED IN THE DESCRIPTION.                       *
019900*****************************************************************
020000*
020100     MOVE TTN0108I               TO WS-PIC-X4.
020200*
020300*****************************************************************
020400* IF THE USER ENTERS A SPECIAL NBR IN THE TRAN AREA SUCH AS     *
020500* ( 1.9  ) OR ( 3.13 ) WE WILL GO TO THE APPROPRIATE TABLE      *
020600* AND PULL THE TRAN CODE FROM THE DESC. AND XFER CONTROL TO IT. *
020700*****************************************************************
020800*
020900     IF  WS-PIC-DOT IS NOT EQUAL TO '.'
021000         GO TO 0240-CHECK-LEN-2.
021100*
021200     IF  WS-PIC-9 IS NOT NUMERIC
021300     OR  WS-PIC-DOT-9 IS NOT NUMERIC
021400         GO TO 0240-CHECK-LEN-2.
021500*
021600     MOVE WS-PIC-9               TO WS-INDEX.
021700*
021800     IF  WS-PIC-DOT-99 IS NUMERIC
021900         MOVE WS-PIC-DOT-99      TO WS-SUB-INDEX
022000     ELSE
022100         MOVE WS-PIC-DOT-9       TO WS-SUB-INDEX.
022200*
022300     IF  WS-INDEX IS LESS THAN 1
022400     OR  WS-INDEX IS GREATER THAN 30
022500         MOVE 'PC03'             TO MBCA-PROGRAM-LOCATION
022600         PERFORM MB70PD-XCTL-TO-MBOXCTL
022700                                 THRU MB70PD-XTM-EXIT.
022800*
022900     SET X-NU01-MENU-TABLE       TO WS-INDEX.
023000     SET X-NU01-MENU-TABLE       UP BY 1.
023100     SET X-NU01-MENU-FUNCTION    TO WS-SUB-INDEX.
023200*
023300*****************************************************************
023400* IF THE ENTRY WAS NUMERICALLY SOUND (IE - 3.29) BUT THERE IS   *
023500* NO TRAN ENTRY, THEN TREAT IT AS IF JUST THE 3 WAS ENTERED.    *
023600*****************************************************************
023700*
023800     IF  NU01-MENU-TRANSID
023900                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
024000                                 IS EQUAL TO SPACES
024100         ADD 1                   TO WS-INDEX
024200         MOVE WS-INDEX           TO MBCA-TRANS-LOOP-CONTROL-9
024300         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
024400         PERFORM MB70PD-XCTL-TO-MBOXCTL
024500                                 THRU MB70PD-XTM-EXIT.
024600*
024700     GO TO 0260-SUB-TRANSFER.
024800*
024900 0240-CHECK-LEN-2.
025000*
025100     IF  TTN0108L IS GREATER THAN 2
025200         GO TO 0340-MOVE-TRANS.
025300*
025400     MOVE MBCA-TRANS-LOOP-CONTROL-9
025500                                 TO WS-INDEX.
025600     SET X-NU01-MENU-TABLE       TO WS-INDEX.
025700*
025800     IF  WS-PIC-9 IS NOT NUMERIC
025900         GO TO 0340-MOVE-TRANS.
026000*
026100     IF  WS-PIC-99 IS NUMERIC
026200         MOVE WS-PIC-99          TO WS-INDEX
026300     ELSE
026400         MOVE WS-PIC-9           TO WS-INDEX.
026500*
026600     IF  WS-INDEX IS LESS THAN 1
026700     OR  WS-INDEX IS GREATER THAN 30
026800         MOVE 'PC05'             TO MBCA-PROGRAM-LOCATION
026900         PERFORM MB70PD-XCTL-TO-MBOXCTL
027000                                 THRU MB70PD-XTM-EXIT.
027100*
027200     SET X-NU01-MENU-FUNCTION    TO WS-INDEX.
027300*
027400 0260-SUB-TRANSFER.
027500*
027600     IF  NU01-MENU-TRANSID
027700                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
027800                                 IS EQUAL TO SPACES
027900         MOVE 'PC06'             TO MBCA-PROGRAM-LOCATION
028000         PERFORM MB70PD-XCTL-TO-MBOXCTL
028100                                 THRU MB70PD-XTM-EXIT.
028200*
028300     IF  X-NU01-MENU-TABLE IS EQUAL TO 1
028400         ADD 1                   TO WS-INDEX
028500         MOVE WS-INDEX           TO MBCA-TRANS-LOOP-CONTROL-9
028600         MOVE 'PC07'             TO MBCA-PROGRAM-LOCATION
028700         PERFORM MB70PD-XCTL-TO-MBOXCTL
028800                                 THRU MB70PD-XTM-EXIT
028900     ELSE
029000         SET MBCA-INITIAL-SCREEN-NBR
029100                                 TO TRUE
029200         MOVE NU01-MENU-TRANSID
029300                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
029400                                 TO SS08WS-WORK-TRANS-ID
029500         PERFORM 9500-INSERT-DOT-DOT
029600                                 THRU 9599-IDD-EXIT
029700         MOVE 'PC08'             TO MBCA-PROGRAM-LOCATION
029800         PERFORM MB70PD-XCTL-TO-MBOXCTL
029900                                 THRU MB70PD-XTM-EXIT.
030000*
030100 0340-MOVE-TRANS.
030200*
030300     IF  TTN0108L IS EQUAL TO 3
030400     OR  TTN0108L IS EQUAL TO 4
030500         NEXT SENTENCE
030600     ELSE
030700         MOVE SPACES             TO TTN0108I
030800         MOVE DFHBMUNP           TO TTN0108A
030900         MOVE DFHBMASF           TO TTN0106A
031000                                    TTN0113A
031100         GO TO 0420-BEGIN-EDITS.
031200*
031300     MOVE TTN0108I               TO SS08WS-WORK-TRANS-ID.
031400*
031500     IF  SS08WS-VALID-PF-KEY
031600         MOVE DFHBMFSE           TO TTN0108A
031700         MOVE DFHBMASF           TO TTN0106A
031800                                    TTN0113A
031900         GO TO 0420-BEGIN-EDITS.
032000*
032100     IF  TTN0108L IS EQUAL TO 4
032200         SET MBCA-INITIAL-SCREEN-NBR
032300                                 TO TRUE
032400         MOVE 'PC09'             TO MBCA-PROGRAM-LOCATION
032500         PERFORM MB70PD-XCTL-TO-MBOXCTL
032600                                 THRU MB70PD-XTM-EXIT.
032700*
032800 0420-BEGIN-EDITS.
032900*
033000*****************************************************************
033100* THE FIELD MBCA-TRANS-LOOP-CONTROL-9 IS A 2-DIGIT FIELD THAT   *
033200* IS USED BY THIS PROGRAM TO DETERMINE WHICH SCREEN IS TO BE    *
033300* SENT OR EDITED.  WHEN IT IS EQUAL TO 1, IT IS THE 1ST SCREEN  *
033400* AND POINTS TO THE DESCRIPTION TABLE 1 (WHICH IS LIKE A LOCATE *
033500* SCREEN). THESE DESCRIPTIONS DO NOT HAVE TRANSACTIONS DEFINED  *
033600* AS PART OF THEIR DESCRIPTION.  WHEN THIS IS EQUAL TO 01,      *
033700* WE WILL HAVE TO DETERMINE WHICH SUB-SCREEN IS DESIRED.        *
033800*****************************************************************
033900*
034000     MOVE MBCA-TRANS-LOOP-CONTROL-9
034100                                 TO WS-INDEX.
034200     SET X-MAP-I                 TO +01.
034300     SET X-NU01-MENU-TABLE       TO WS-INDEX.
034400     SET X-NU01-MENU-FUNCTION    TO +01.
034500/
034600 0430-EDIT-LEFT-SIDE.
034700*
034800     IF (NU01-CODE-L (X-MAP-I) IS EQUAL TO ZERO)
034900     OR (NU01-CODE   (X-MAP-I) IS EQUAL TO SPACES)
035000     OR (NU01-CODE   (X-MAP-I) IS EQUAL TO LOW-VALUES)
035100         NEXT SENTENCE
035200     ELSE
035300         IF  MBCA-TRANS-LOOP-CONTROL-9 IS EQUAL TO 01
035400             SET WS-INDEX        TO X-NU01-MENU-FUNCTION
035500             ADD 1               TO WS-INDEX
035600             MOVE WS-INDEX       TO MBCA-TRANS-LOOP-CONTROL-9
035700             MOVE 'PC10'         TO MBCA-PROGRAM-LOCATION
035800             PERFORM MB70PD-XCTL-TO-MBOXCTL
035900                                 THRU MB70PD-XTM-EXIT
036000         ELSE
036100             SET MBCA-INITIAL-SCREEN-NBR
036200                                 TO TRUE
036300             MOVE NU01-MENU-TRANSID
036400                         (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
036500                                 TO SS08WS-WORK-TRANS-ID
036600             PERFORM 9500-INSERT-DOT-DOT
036700                                 THRU 9599-IDD-EXIT
036800             MOVE 'PC11'         TO MBCA-PROGRAM-LOCATION
036900             PERFORM MB70PD-XCTL-TO-MBOXCTL
037000                                 THRU MB70PD-XTM-EXIT.
037100*
037200     SET X-NU01-MENU-FUNCTION    UP BY 1.
037300*
037400     IF  X-MAP-I IS LESS THAN 29
037500         SET X-MAP-I             UP BY 2
037600         GO TO 0430-EDIT-LEFT-SIDE.
037700*
037800     SET X-MAP-I                 TO 2.
037900*
038000 0440-EDIT-RIGHT-SIDE.
038100*
038200     IF (NU01-CODE-L (X-MAP-I) IS EQUAL TO ZERO)
038300     OR (NU01-CODE   (X-MAP-I) IS EQUAL TO SPACES)
038400     OR (NU01-CODE   (X-MAP-I) IS EQUAL TO LOW-VALUES)
038500         NEXT SENTENCE
038600     ELSE
038700         IF  MBCA-TRANS-LOOP-CONTROL-9 IS EQUAL TO 01
038800             SET WS-INDEX        TO X-NU01-MENU-FUNCTION
038900             ADD 1               TO WS-INDEX
039000             MOVE WS-INDEX       TO MBCA-TRANS-LOOP-CONTROL-9
039100             MOVE 'PC12'         TO MBCA-PROGRAM-LOCATION
039200             PERFORM MB70PD-XCTL-TO-MBOXCTL
039300                                 THRU MB70PD-XTM-EXIT
039400         ELSE
039500             SET MBCA-INITIAL-SCREEN-NBR
039600                                 TO TRUE
039700             MOVE NU01-MENU-TRANSID
039800                 (X-NU01-MENU-TABLE X-NU01-MENU-FUNCTION)
039900                                 TO SS08WS-WORK-TRANS-ID
040000             PERFORM 9500-INSERT-DOT-DOT
040100                                 THRU 9599-IDD-EXIT
040200             MOVE 'PC13'         TO MBCA-PROGRAM-LOCATION
040300             PERFORM MB70PD-XCTL-TO-MBOXCTL
040400                                 THRU MB70PD-XTM-EXIT.
040500*
040600     IF  X-MAP-I IS LESS THAN 30
040700         SET X-MAP-I             UP BY 2
040800         SET X-NU01-MENU-FUNCTION
040900                                 UP BY 1
041000         GO TO 0440-EDIT-RIGHT-SIDE.
041100*
041200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
041300*
041400     IF  SS08WS-VALID-PF-KEY
041500     OR  SS08WS-EIBAID-VALID-PF-KEY
041600         IF  SS08WS-VALID-PF5
041700         OR  SS08WS-EIBAID-VALID-PF5
041800             NEXT SENTENCE
041900         ELSE
042000             SET MBCA-INITIAL-SCREEN-NBR
042100                                 TO TRUE
042200             MOVE 'PC14'         TO MBCA-PROGRAM-LOCATION
042300             PERFORM MB70PD-XCTL-TO-MBOXCTL
042400                                 THRU MB70PD-XTM-EXIT.
042500*
042600     IF  SS08WS-VALID-PF5
042700     OR  SS08WS-EIBAID-VALID-PF5
042800         SUBTRACT 1              FROM MBCA-TRANS-LOOP-CONTROL-9
042900     ELSE
043000         ADD 1                   TO MBCA-TRANS-LOOP-CONTROL-9.
043100*
043200     IF  MBCA-TRANS-LOOP-CONTROL-9 IS GREATER THAN 08
043300     OR  MBCA-TRANS-LOOP-CONTROL-9 IS LESS THAN 01
043400         SET MBCA-INITIAL-SCREEN-NBR
043500                                 TO TRUE
043600         MOVE 0                  TO MBCA-TRANS-LOOP-CONTROL-9
043700         MOVE 'PC15'             TO MBCA-PROGRAM-LOCATION
043800         PERFORM MB70PD-XCTL-TO-MBOXCTL
043900                                 THRU MB70PD-XTM-EXIT.
044000*
044100     MOVE 'PC16'                 TO MBCA-PROGRAM-LOCATION.
044200     PERFORM MB70PD-XCTL-TO-MBOXCTL
044300                                 THRU MB70PD-XTM-EXIT.
044400/
044500*
044600 9500-INSERT-DOT-DOT.
044700*
044800     MOVE SS08WS-WORK-TRANS-ID   TO MBCA-TRANS-ID.
044900     MOVE '..'                   TO MBCA-TI-POS-1-2.
045000     MOVE MBCA-TRANS-ID          TO SS08WS-WORK-TRANS-ID.
045100*
045200 9599-IDD-EXIT.
045300     EXIT.
045400/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
045500     COPY SS26PD.
045600/         ROUTINE TO NUMERICALLY EDIT TIME
045700     COPY SS27PD.
045800/         JULIAN TO GREGORIAN DATE ROUTINE
045900     COPY SS08PD.
046000/         LINE 24 PF KEYS ROUTINE
046100     COPY SS15PD.
046200/         ON-LINE MAP ROUTINES
046300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBNU01 '
046400                            MBMAPXXI BY MBNU01I
046500                            MBMAPXXO BY MBNU01O.
046600/         ON-LINE PROCEDURES
046700     COPY MB70PD.
046800/
046900     COPY SMFTPXO.
