000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOPL00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOPL00 - ON-LINE PLATE GENETATION                       *
000800*                LOCATE SCREEN 00                               *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBPL                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBPL00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC (ORGANIZATION FILE)                   *
001600*                 B. MMPF (PLATE FILE)                          *
001700*                 C. MMMM (MERCHANT MASTER FILE)                *
001800*                 D. MMSM (STORE MASTER FILE)                   *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  WS-MISCELLANEOUS.
003500     03  WS-ORG-LOW          PIC S9(03)      COMP-3
003600                                             VALUE +001.
003700     03  WS-ORG-HIGH         PIC S9(03)      COMP-3
003800                                             VALUE +998.
003900     03  WS-ORG              PIC  9(03)      VALUE ZEROES.
004000     03  WS-MERCHANT         PIC  9(09)      VALUE ZEROES.
004100     03  WS-INITIAL-LOCATE-SW
004200                             PIC  X(01)      VALUE 'Y'.
004300         88  INITIAL-LOCATE-IS-PERFORMING    VALUE 'Y'.
004400         88  INITIAL-LOCATE-NOT-PERFORMING   VALUE 'Y'.
004500/
004600 01  FILLER                  PIC  X(29)      VALUE
004700     'I/O REQUEST BLOCK WORK AREAS:'.
004800*
004900     COPY MBIOWS.
005000/
005100 01  FILLER                  PIC  X(18)      VALUE
005200     'I/O REQUEST BLOCK:'.
005300*
005400     COPY MBIORO.
005500/
005600 01  FILLER                  PIC  X(21)      VALUE
005700     'ERROR MESSAGES TABLE:'.
005800*
005900     COPY MBEMWS.
006000/
006100 01  FILLER                  PIC  X(31)      VALUE
006200     'PLATE FILE INTITIALIZER RECORD:'.
006300*
006400     COPY MMPFIR.
006500/
006600 01  FILLER                  PIC  X(20)      VALUE
006700     'CCS DATE WORK AREAS:'.
006800*
006900     COPY SS01WS.
007000/
007100 01  FILLER                  PIC  X(15)      VALUE
007200     'CCS WORK AREAS:'.
007300*
007400     COPY SS08WS.
007500/
007600     COPY SS00WS.
007700/
007800     COPY SMFTWS.
007900/
008000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008100/
008200     COPY MB61LK.
008300/
008400 01  FILLER                  PIC  X(12)      VALUE
008500     '** WS-END **'.
008600*
008700/
008800 LINKAGE SECTION.
008900*
009000 01  DFHCOMMAREA.
009100*
009200     COPY MB60WS.
009300/
009400*******************************
009500*    PLATE FILE LOCATE MAP    *
009600*******************************
009700*
009800     COPY MBPL00.
009900/
010000********************************************
010100*    PLATE FILE LOCATE MAP REDEFINITION    *
010200********************************************
010300*
010400     COPY MBPL00R.
010500/
010600***************************
010700*    ORG RECORD LAYOUT    *
010800***************************
010900*
011000     COPY MMOCRL.
011100/
011200***************************************
011300*    MERCHANT MASTER RECORD LAYOUT    *
011400***************************************
011500*
011600     COPY MMMMRL.
011700/
011800************************************
011900*    STORE MASTER RECORD LAYOUT    *
012000************************************
012100*
012200     COPY MMSMRL.
012300/
012400**********************************
012500*    PLATE FILE RECORD LAYOUT    *
012600**********************************
012700*
012800     COPY MMPFRL.
012900/
013000 PROCEDURE DIVISION.
013100*
013200 A000-HOUSEKEEPING SECTION.
013300*
013400 A020-INIT.
013500*
013600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013800                                 THRU MB70PD-OLH-EXIT.
013900*
014000     IF  MBCA-RECEIVE-SCREEN
014100         GO TO C000-RECEIVE-SCREEN.
014200/
014300 B000-SEND-SCREEN SECTION.
014400*
014500*********************************************
014600*    GET CICS STORAGE NEEDED FOR THE MAP    *
014700*********************************************
014800*
014900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
015000     PERFORM MB60PD-GETMAIN-FOR-MAP
015100                                 THRU MB60PD-GFM-EXIT.
015200*
015300*****************************************************************
015400*    CHECK KEY CODES                                            *
015500* 1. IF ADD FUNCTION, BYPASS CHECK OF KEY CODES.                *
015600* 2. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
015700* 3. IF MMPF KEY CODE, IT MUST HAVE AN ORGANIZATION NUMBER      *
015800*    GREATER THAN ZERO AND A NUMERIC MERCHANT NUMBER.  IF       *
015900*    DIRECT, GO TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE    *
016000*    PLUGGED THE ORGANIZATION AND MERCHANT IN THE MAP.  IF AN   *
016100*    ERROR OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL        *
016200*    HANDLE BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.   *
016300*    THIS IS WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE         *
016400*    NO MATTER WHICH ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG   *
016500*    THE ORGANIZATION AND MERCHANT INTO THE MAP AND BYPASS      *
016600*    ANY OTHER CHECKING OF THE KEY CODE.                        *
016700* 4. IF 2 AND 3 ARE FALSE, SEE IF THE MBCA-MERCHANT-ORG IS      *
016800*    GREATER THAN ZERO.  IF IT IS, PLUG IT INTO THE MAP.  IF    *
016900*    THE MBCA-MERCHANT IS GREATER THAN ZERO, PLUG IT INTO THE   *
017000*    MAP.                                                       *
017100*****************************************************************
017200*
017300     IF  MBCA-INITIAL-KEY-CODE
017400         GO TO B020-BUILD-SCREEN.
017500*
017600     IF  MBCA-MMPF-KEY-CODE
017700         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
017800         AND MBCA-MERCHANT      IS GREATER THAN ZERO
017900         AND MBCA-S-M           IS EQUAL TO 'M'
018000             MOVE MBCA-MERCHANT-ORG
018100                                 TO PL00-ORG
018200             MOVE MBCA-MERCHANT  TO PL00-MERCHANT
018300             MOVE MBCA-S-M       TO PL00-TYPE
018400             MOVE DFHBMUNF       TO PL00-ORG-A
018500                                    PL00-MERCHANT-A
018600             MOVE DFHBMFSE       TO PL00-TYPE-A
018700             IF  MBCA-DIRECT-TRANSFER-CODE
018800             AND MBCA-INITIAL-SCREEN-NBR
018900                 MOVE 00         TO MBCA-SCREEN-NBR
019000                 GO TO C042-READ-ORG
019100             ELSE
019200                 GO TO B020-BUILD-SCREEN.
019300*
019400     IF  MBCA-MMPF-KEY-CODE
019500         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
019600         AND MBCA-MERCHANT      IS GREATER THAN ZERO
019700         AND MBCA-S-M           IS EQUAL TO 'S'
019800             MOVE MBCA-MERCHANT-ORG
019900                                 TO PL00-ORG
020000             MOVE MBCA-STORE     TO PL00-MERCHANT
020100             MOVE MBCA-S-M       TO PL00-TYPE
020200             MOVE DFHBMUNF       TO PL00-ORG-A
020300                                    PL00-MERCHANT-A
020400             MOVE DFHBMFSE       TO PL00-TYPE-A
020500             IF  MBCA-DIRECT-TRANSFER-CODE
020600             AND MBCA-INITIAL-SCREEN-NBR
020700                 MOVE 00         TO MBCA-SCREEN-NBR
020800                 GO TO C042-READ-ORG
020900             ELSE
021000                 GO TO B020-BUILD-SCREEN.
021100*
021200     IF  MBCA-VALID-KEY-CODES
021300         IF  MBCA-MERCHANT-ORG IS GREATER THAN ZERO
021400             MOVE MBCA-MERCHANT-ORG
021500                                 TO PL00-ORG
021600             MOVE DFHBMUNF       TO PL00-ORG-A
021700             IF  MBCA-MERCHANT IS GREATER THAN ZERO
021800                 MOVE MBCA-MERCHANT
021900                                 TO PL00-MERCHANT
022000                 MOVE DFHBMUNF   TO PL00-MERCHANT-A
022100                 MOVE 'M'        TO MBCA-S-M
022200                 MOVE MBCA-S-M   TO PL00-TYPE
022300                 MOVE DFHBMFSE   TO PL00-TYPE-A
022400             ELSE
022500                 IF  MBCA-STORE IS GREATER THAN ZERO
022600                     MOVE MBCA-STORE
022700                                 TO PL00-MERCHANT
022800                     MOVE DFHBMUNF
022900                                 TO PL00-MERCHANT-A
023000                     MOVE 'S'    TO MBCA-S-M
023100                     MOVE MBCA-S-M
023200                                 TO PL00-TYPE
023300                     MOVE DFHBMFSE
023400                                 TO PL00-TYPE-A.
023500*
023600 B020-BUILD-SCREEN.
023700*
023800*******************************************
023900*    INITIALIZE THE STANDARD MAP LINES    *
024000*******************************************
024100*
024200     MOVE SS08WS-CURSOR          TO PL00-ORG-L.
024300     MOVE 00                     TO MBCA-SCREEN-NBR.
024400     PERFORM MB60PD-INIT-STD-MAP-LINES
024500                                 THRU MB60PD-ISML-EXIT.
024600*
024700**********************
024800*    SEND THE MAP    *
024900**********************
025000*
025100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
025200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
025300                                 THRU MB60PD-SMWE-EXIT.
025400*
025500************************
025600*    RETURN TO CICS    *
025700************************
025800*
025900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
026000     PERFORM MB70PD-RETURN-TRANS-ID
026100                                 THRU MB70PD-RTI-EXIT.
026200/
026300 C000-RECEIVE-SCREEN SECTION.
026400*
026500*************************************************
026600*    THIS SECTION RECEIVES THE LOCATE SCREEN    *
026700*************************************************
026800*
026900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
027000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
027100*
027200**************************************************************
027300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
027400**************************************************************
027500*
027600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
027700     PERFORM MB60PD-NEW-TRANS-ROUTINE
027800                                 THRU MB60PD-NTR-EXIT.
027900*
028000 C020-FIELD-EDITS.
028100*
028200******************************************************
028300*    RESET THE FIELD ARRIBUTES TO THEIR NORMAL       *
028400*    PRIOR STATE PRIOR TO ANY EDITING BEING DONE.    *
028500******************************************************
028600*
028700     MOVE 'N'                    TO SS08WS-ERROR.
028800     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
028900*
029000     IF  (PL00-ORG-L IS LESS THAN 1
029100     AND  PL00-MERCHANT-L IS LESS THAN 1
029200     AND  PL00-TYPE-L IS LESS THAN 1)
029300     AND (SS08WS-VALID-PF-KEY
029400     OR   SS08WS-EIBAID-VALID-PF-KEY)
029500         MOVE 99                 TO MBCA-SCREEN-NBR
029600         GO TO F090-TRANSFER-XCTL.
029700*
029800     MOVE DFHBMUNN               TO PL00-ORG-A
029900                                    PL00-MERCHANT-A.
030000     MOVE DFHBMUNP               TO PL00-TYPE-A.
030100     MOVE DFHBMASK               TO PL00-ORG-LP-A
030200                                    PL00-ORG-RP-A
030300                                    PL00-MERCHANT-LP-A
030400                                    PL00-MERCHANT-RP-A
030500                                    PL00-TYPE-LP-A
030600                                    PL00-TYPE-RP-A.
030700 C040-EDIT-ORG.
030800*
030900     IF  PL00-ORG-L IS EQUAL TO ZERO
031000     OR  PL00-ORG IS NOT NUMERIC
031100     OR  PL00-ORG IS LESS THAN MBCA-ORG-LOW
031200     OR  PL00-ORG IS GREATER THAN MBCA-ORG-HIGH
031300     OR  PL00-ORG IS LESS THAN WS-ORG-LOW
031400     OR  PL00-ORG IS GREATER THAN WS-ORG-HIGH
031500         MOVE MBEMWS-INVALID-ORG TO PL00-ERR-MESSAGE
031600         GO TO C058-ORG-ERROR.
031700*
031800 C042-READ-ORG.
031900*
032000************************************************
032100*    READ THE ORGANIZATION RECORD.  IT MUST    *
032200*    BE ON FILE AND AN ACTIVE RECORD.          *
032300************************************************
032400*
032500     MOVE PL00-ORG               TO MBIOWS-MMOC-ORG.
032600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
032700     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
032800     SET MBIORO-READ-RANDOM      TO TRUE.
032900     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
033000*
033100     IF  SS08WS-RC-FC-NOTFND
033200         MOVE MBEMWS-NOT-ON-FILE TO PL00-ERR-MESSAGE
033300     ELSE
033400         IF  MMOC-ADD-PENDING
033500             MOVE MBEMWS-ADD-PENDING
033600                                 TO PL00-ERR-MESSAGE
033700         ELSE
033800             IF  MMOC-REC-PURGED
033900                 MOVE MBEMWS-NOT-ACTIVE
034000                                 TO PL00-ERR-MESSAGE
034100             ELSE
034200                 MOVE DFHBMUNF   TO PL00-ORG-A
034300                 MOVE PL00-ORG   TO MBCA-MERCHANT-ORG
034400                 GO TO C060-EDIT-MERCHANT.
034500*
034600 C058-ORG-ERROR.
034700*
034800     MOVE 'Y'                    TO SS08WS-ERROR.
034900     MOVE DFHBMASB               TO PL00-ORG-LP-A
035000                                    PL00-ORG-RP-A.
035100     MOVE SS08WS-CURSOR          TO PL00-ORG-L.
035200     MOVE DFHBMNBF               TO PL00-ORG-A.
035300     MOVE DFHBMUNF               TO PL00-MERCHANT-A.
035400     MOVE DFHBMFSE               TO PL00-TYPE-A.
035500     GO TO D000-RETURN-ERRORS.
035600*
035700 C060-EDIT-MERCHANT.
035800*
035900     IF  MBCA-DIRECT-TRANSFER-CODE
036000         GO TO C084-READ-MMPF.
036100*
036200     IF  PL00-MERCHANT-L IS EQUAL TO ZERO
036300     OR  PL00-MERCHANT IS NOT NUMERIC
036400     OR  PL00-MERCHANT IS EQUAL TO ZEROES OR 999999999
036500         MOVE MBEMWS-INVALID-STORE-MERCHANT
036600                                 TO PL00-ERR-MESSAGE
036700         GO TO C078-MERCHANT-ERROR
036800     ELSE
036900         GO TO C080-EDIT-S-M.
037000*
037100 C078-MERCHANT-ERROR.
037200*
037300     MOVE 'Y'                    TO SS08WS-ERROR.
037400     MOVE DFHBMASB               TO PL00-MERCHANT-LP-A
037500                                    PL00-MERCHANT-RP-A.
037600     MOVE SS08WS-CURSOR          TO PL00-MERCHANT-L.
037700     MOVE DFHBMNBF               TO PL00-MERCHANT-A.
037800     MOVE DFHBMFSE               TO PL00-TYPE-A.
037900     GO TO D000-RETURN-ERRORS.
038000*
038100 C080-EDIT-S-M.
038200*
038300     IF  PL00-TYPE IS EQUAL TO 'M'
038400     OR  PL00-TYPE IS EQUAL TO 'S'
038500         GO TO C084-READ-MMPF
038600     ELSE
038700         MOVE MBEMWS-INVALID-S-M
038800                                 TO PL00-ERR-MESSAGE
038900         GO TO C082-S-M-ERROR.
039000*
039100 C082-S-M-ERROR.
039200*
039300     MOVE 'Y'                    TO SS08WS-ERROR.
039400     MOVE DFHBMASB               TO PL00-TYPE-LP-A
039500                                    PL00-TYPE-RP-A.
039600     MOVE SS08WS-CURSOR          TO PL00-TYPE-L.
039700     MOVE DFHBMUNF               TO PL00-MERCHANT-A.
039800     MOVE DFHBMUBF               TO PL00-TYPE-A.
039900     GO TO D000-RETURN-ERRORS.
040000*
040100 C084-READ-MMPF.
040200*
040300****************************************************
040400*    READ THE PLATE FILE.  TRANSFER TO THE NEXT    *
040500*    PROGRAM IF THE RECORD IS ALREADY ON FILE      *
040600****************************************************
040700*
040800     MOVE PL00-ORG               TO MBIOWS-MMPF-ORG.
040900     MOVE PL00-MERCHANT          TO MBIOWS-MMPF-MERCHANT.
041000     MOVE PL00-TYPE              TO MBIOWS-MMPF-TYPE.
041100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
041200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
041300     SET MBIORO-READ-RANDOM      TO TRUE.
041400     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
041500*
041600     IF  SS08WS-RC-FC-VALID-RTN-CODE
041700         MOVE PL00-TYPE          TO MBCA-S-M
041800         IF  PL00-TYPE IS EQUAL TO 'M'
041900             MOVE PL00-MERCHANT  TO MBCA-MERCHANT
042000             GO TO F000-SETUP-COMMAREA
042100         ELSE
042200             MOVE PL00-MERCHANT  TO MBCA-STORE
042300             GO TO F000-SETUP-COMMAREA.
042400*
042500 C086-READ-MMMM-OR-MMSM.
042600*
042700*************************************************************
042800*    READ THE MERCHANT MASTER RECORD OR STORE MASTER        *
042900*    RECORD, DEPENDING ON THE S/M FLAG.  THE MERCHANT OR    *
043000*    STORE MUST BE ON FILE AND AN ACTIVE RECORD.            *
043100*************************************************************
043200*
043300     IF  PL00-TYPE IS EQUAL TO 'M'
043400         MOVE PL00-ORG           TO WS-ORG
043500         MOVE PL00-MERCHANT      TO WS-MERCHANT
043600         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
043700         PERFORM Y900-READ-MMMM  THRU Y919-READ-MMMM-EXIT
043800         IF  SS08WS-RC-FC-VALID-RTN-CODE
043900         AND MMMM-REC-ACTIVE
044000             GO TO D000-RETURN-ERRORS
044100         ELSE
044200             MOVE MBEMWS-NOT-ON-MERCHANT-MASTER
044300                                 TO PL00-ERR-MESSAGE
044400             GO TO C098-MERCHANT-S-M-ERROR.
044500*
044600     IF  PL00-TYPE IS EQUAL TO 'S'
044700         MOVE 'FC04'             TO MBCA-PROGRAM-LOCATION
044800         PERFORM Y920-READ-MMSM  THRU Y939-READ-MMSM-EXIT
044900         IF  SS08WS-RC-FC-VALID-RTN-CODE
045000         AND MMSM-REC-ACTIVE
045100             GO TO D000-RETURN-ERRORS
045200         ELSE
045300             MOVE MBEMWS-NOT-ON-STORE-MASTER
045400                                 TO PL00-ERR-MESSAGE
045500             GO TO C098-MERCHANT-S-M-ERROR.
045600*
045700 C098-MERCHANT-S-M-ERROR.
045800*
045900     MOVE 'Y'                    TO SS08WS-ERROR.
046000     MOVE DFHBMASB               TO PL00-MERCHANT-LP-A
046100                                    PL00-MERCHANT-RP-A
046200                                    PL00-TYPE-LP-A
046300                                    PL00-TYPE-RP-A.
046400     MOVE SS08WS-CURSOR          TO PL00-MERCHANT-L.
046500     MOVE DFHBMNBF               TO PL00-MERCHANT-A.
046600     MOVE DFHBMUBF               TO PL00-TYPE-A.
046700     GO TO D000-RETURN-ERRORS.
046800/
046900 D000-RETURN-ERRORS SECTION.
047000*
047100     IF  SS08WS-ERROR IS EQUAL TO 'N'
047200         GO TO E000-UPDATE-FILE
047300     ELSE
047400         IF  SS08WS-VALID-PF-KEY
047500         OR  SS08WS-EIBAID-VALID-PF-KEY
047600             MOVE 99             TO MBCA-SCREEN-NBR
047700             GO TO F090-TRANSFER-XCTL.
047800*
047900***************************************************************
048000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
048100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
048200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
048300***************************************************************
048400*
048500     PERFORM MB60PD-INIT-STD-MAP-LINES
048600                                 THRU MB60PD-ISML-EXIT.
048700*
048800**********************
048900*    SEND THE MAP    *
049000**********************
049100*
049200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
049300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
049400                                 THRU MB60PD-SMWE-EXIT.
049500*
049600************************
049700*    RETURN TO CICS    *
049800************************
049900*
050000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
050100     PERFORM MB70PD-RETURN-TRANS-ID
050200                                 THRU MB70PD-RTI-EXIT.
050300/
050400 E000-UPDATE-FILE SECTION.
050500*
050600************************************************************
050700*    WRITE THE NEW PLATE FILE RECORD AFTER INITIALIZING    *
050800*    IT AND FILLING IN THE MERCHANT AND POSSIBLY STORE     *
050900*    DATA                                                  *
051000************************************************************
051100*
051200     MOVE MMPFIR-RECORD          TO MMPF-RECORD.
051300     MOVE PL00-ORG               TO MMPF-ORG.
051400     MOVE PL00-MERCHANT          TO MMPF-MERCHANT.
051500     MOVE PL00-TYPE              TO MMPF-TYPE.
051600*
051700*********************************************************
051800*    MOVE THE STORE DATA IF THIS IS A STORE PLATE       *
051900*    RECORD (ONLY THE DATA THAT MAY BE MODIFIED IN      *
052000*    THE SUBSEQUENT PROGRAM IS MOVED HERE), AND READ    *
052100*    THE ASSOCIATED MERCHANT RECORD.                    *
052200*********************************************************
052300*
052400     IF  PL00-TYPE IS EQUAL TO 'S'
052500         MOVE MMSM-NA-LINE (1 1) TO MMPF-S-NA-LINE (1 1)
052600         MOVE MMSM-NA-LINE (1 2) TO MMPF-S-NA-LINE (1 2)
052700         MOVE MMSM-NA-LINE (1 3) TO MMPF-S-NA-LINE (1 3)
052800         MOVE MMSM-NA-LINE (1 4) TO MMPF-S-NA-LINE (1 4)
052900         MOVE MMSM-NA-LINE (1 5) TO MMPF-S-NA-LINE (1 5)
053000         MOVE MMSM-STATE-CODE (1)
053100                                 TO MMPF-S-STATE-CODE (1)
053200         MOVE MMSM-POSTAL-CODE (1)
053300                                 TO MMPF-S-POSTAL-CODE (1)
053400         MOVE MMSM-PHONE (1)     TO MMPF-S-PHONE (1)
053500         MOVE MMSM-FAX (1)       TO MMPF-S-FAX (1)
053600         MOVE MMSM-NA-LINE (2 1) TO MMPF-S-NA-LINE (2 1)
053700         MOVE MMSM-NA-LINE (2 2) TO MMPF-S-NA-LINE (2 2)
053800         MOVE MMSM-NA-LINE (2 3) TO MMPF-S-NA-LINE (2 3)
053900         MOVE MMSM-NA-LINE (2 4) TO MMPF-S-NA-LINE (2 4)
054000         MOVE MMSM-NA-LINE (2 5) TO MMPF-S-NA-LINE (2 5)
054100         MOVE MMSM-STATE-CODE (2)
054200                                 TO MMPF-S-STATE-CODE (2)
054300         MOVE MMSM-POSTAL-CODE (2)
054400                                 TO MMPF-S-POSTAL-CODE (2)
054500         MOVE MMSM-PHONE (2)     TO MMPF-S-PHONE (2)
054600         MOVE MMSM-FAX (2)       TO MMPF-S-FAX (2)
054700         MOVE MMSM-DBA-NAME      TO MMPF-S-DBA-NAME
054800         MOVE MMSM-DBA-CITY      TO MMPF-S-DBA-CITY
054900         MOVE MMSM-DBA-COUNTRY-CODE
055000                                 TO MMPF-S-DBA-COUNTRY-CODE
055100         PERFORM
055200             VARYING X-MMSM-IMP FROM 1 BY 1
055300             UNTIL X-MMSM-IMP IS GREATER THAN 3
055400             SET X-MMPF-S-IMP    TO X-MMSM-IMP
055500             MOVE  MMSM-IMP-DEV-TITLE (X-MMSM-IMP)
055600                                 TO MMPF-S-IMP-DEV-TITLE
055700                                    (X-MMPF-S-IMP)
055800             MOVE  MMSM-IMP-DEV-NBR (X-MMSM-IMP)
055900                                 TO MMPF-S-IMP-DEV-NBR
056000                                    (X-MMPF-S-IMP)
056100         END-PERFORM
056200         MOVE MMSM-ORG           TO WS-ORG
056300         MOVE MMSM-MERCHANT-ID   TO WS-MERCHANT
056400         MOVE 'N'                TO WS-INITIAL-LOCATE-SW
056500         PERFORM Y900-READ-MMMM  THRU Y919-READ-MMMM-EXIT.
056600*
056700*************************************************************
056800*    MOVE THE MERCHANT DATA.  ONLY THE DATA THAT MAY BE     *
056900*    CHANGED IN THE SUBSEQUENT PROGRAM IS MOVED HERE.       *
057000*    ALL OTHER DATA CONTAINED IN THE FINAL RECORD IS        *
057100*    OBTAINED WHEN THE RECORD IS MADE ACTIVE OR MODIFIED    *
057200*    IN THE SUBSEQUENT PROGRAM.                             *
057300*************************************************************
057400*
057500     MOVE MMMM-NA-LINE (1 1)     TO MMPF-M-NA-LINE (1 1).
057600     MOVE MMMM-NA-LINE (1 2)     TO MMPF-M-NA-LINE (1 2).
057700     MOVE MMMM-NA-LINE (1 3)     TO MMPF-M-NA-LINE (1 3).
057800     MOVE MMMM-NA-LINE (1 4)     TO MMPF-M-NA-LINE (1 4).
057900     MOVE MMMM-NA-LINE (1 5)     TO MMPF-M-NA-LINE (1 5).
058000     MOVE MMMM-STATE-CODE (1)    TO MMPF-M-STATE-CODE (1).
058100     MOVE MMMM-POSTAL-CODE (1)   TO MMPF-M-POSTAL-CODE (1).
058200     MOVE MMMM-PHONE (1)         TO MMPF-M-PHONE (1).
058300     MOVE MMMM-FAX (1)           TO MMPF-M-FAX (1).
058400     MOVE MMMM-NA-LINE (2 1)     TO MMPF-M-NA-LINE (2 1).
058500     MOVE MMMM-NA-LINE (2 2)     TO MMPF-M-NA-LINE (2 2).
058600     MOVE MMMM-NA-LINE (2 3)     TO MMPF-M-NA-LINE (2 3).
058700     MOVE MMMM-NA-LINE (2 4)     TO MMPF-M-NA-LINE (2 4).
058800     MOVE MMMM-NA-LINE (2 5)     TO MMPF-M-NA-LINE (2 5).
058900     MOVE MMMM-STATE-CODE (2)    TO MMPF-M-STATE-CODE (2).
059000     MOVE MMMM-POSTAL-CODE (2)   TO MMPF-M-POSTAL-CODE (2).
059100     MOVE MMMM-PHONE (2)         TO MMPF-M-PHONE (2).
059200     MOVE MMMM-FAX (2)           TO MMPF-M-FAX (2).
059300     MOVE MMMM-AGENT-BANK        TO MMPF-AGENT-BANK.
059400     MOVE MMMM-BRANCH            TO MMPF-BRANCH.
059500     MOVE MMMM-DBA-NAME          TO MMPF-M-DBA-NAME.
059600     MOVE MMMM-DBA-CITY          TO MMPF-M-DBA-CITY.
059700     MOVE MMMM-DBA-COUNTRY-CODE  TO MMPF-M-DBA-COUNTRY-CODE.
059800     MOVE MMMM-STMT-ADDR-CONTROL TO MMPF-STMT-ADDR-CONTROL.
059900     SET X-MMMM-SETT-ACH         TO MMMM-TAT-SETT-BILL-INDEX (16).
060000     MOVE MMMM-ACTIVE-CR-RT (X-MMMM-SETT-ACH)
060100                                 TO MMPF-ACTIVE-DR-RT.
060200     MOVE MMMM-ACTIVE-CR-ACCT (X-MMMM-SETT-ACH)
060300                                 TO MMPF-ACTIVE-DR-ACCT.
060400     MOVE MMMM-ACTIVE-CR-ACCT-TYPE (X-MMMM-SETT-ACH)
060500                                 TO MMPF-ACTIVE-DR-ACCT-TYPE.
060600     PERFORM
060700         VARYING X-MMMM-IMP FROM 1 BY 1
060800         UNTIL X-MMMM-IMP IS GREATER THAN 3
060900         SET X-MMPF-M-IMP    TO X-MMMM-IMP
061000         MOVE MMMM-IMP-DEV-TITLE (X-MMMM-IMP)
061100                             TO MMPF-M-IMP-DEV-TITLE
061200                                (X-MMPF-M-IMP)
061300         MOVE MMMM-IMP-DEV-NBR (X-MMMM-IMP)
061400                                 TO MMPF-M-IMP-DEV-NBR
061500                                    (X-MMPF-M-IMP)
061600     END-PERFORM.
061700     MOVE MMMM-MERCHANT          TO MMPF-MERCHANT-ID.
061800*
061900     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
062000     SET MBIORO-WRITE            TO TRUE.
062100     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
062200*
062300     IF  MMPF-MERCHANT-RECORD
062400         MOVE PL00-MERCHANT      TO MBCA-MERCHANT
062500     ELSE
062600         MOVE PL00-MERCHANT      TO MBCA-STORE.
062700*
062800     MOVE PL00-TYPE              TO MBCA-S-M.
062900/
063000 F000-SETUP-COMMAREA SECTION.
063100*
063200***************************************************************
063300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
063400***************************************************************
063500*
063600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
063700*
063800     MOVE MBIOWS-MMPF-DIRECT-KEY-CODE
063900                                 TO MBCA-KEY-CODE.
064000*
064100     PERFORM MB60PD-EDIT-PAGE-NBR
064200                                 THRU MB60PD-EPN-EXIT.
064300*
064400     IF  PL00-TYPE IS EQUAL TO 'M'
064500         MOVE 52                 TO MBCA-SCREEN-NBR.
064600*
064700     IF  SS08WS-VALID-PF-KEY
064800     OR  SS08WS-EIBAID-VALID-PF-KEY
064900         MOVE 99                 TO MBCA-SCREEN-NBR.
065000*
065100 F090-TRANSFER-XCTL.
065200*
065300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
065400     PERFORM MB70PD-XCTL-TO-MBOXCTL
065500                                 THRU MB70PD-XTM-EXIT.
065600/
065700 Y000-PERFORMED-ROUTINES SECTION.
065800*
065900 Y900-READ-MMMM.
066000*
066100     MOVE WS-ORG                TO MBIOWS-MMMM-ORG.
066200     MOVE WS-MERCHANT           TO MBIOWS-MMMM-MERCHANT.
066300     SET MBIORO-READ-RANDOM      TO TRUE.
066400*
066500     IF  INITIAL-LOCATE-IS-PERFORMING
066600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1.
066700*
066800     PERFORM MMMMAO-ACCESS      THRU MMMMAO-ACCESS-EXIT.
066900*
067000 Y919-READ-MMMM-EXIT.
067100     EXIT.
067200*
067300 Y920-READ-MMSM.
067400*
067500      MOVE PL00-ORG              TO MBIOWS-MMSM-ORG.
067600      MOVE PL00-MERCHANT         TO MBIOWS-MMSM-STORE.
067700      SET MBIORO-READ-RANDOM     TO TRUE.
067800      MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1.
067900      PERFORM MMSMAO-ACCESS      THRU MMSMAO-ACCESS-EXIT.
068000*
068100 Y939-READ-MMSM-EXIT.
068200      EXIT.
068300/
068400 Z000-COPIED-ROUTINES SECTION.
068500*
068600/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
068700     COPY SS26PD.
068800*
068900/    ROUTINE TO NUMERICALLY EDIT TIME
069000     COPY SS27PD.
069100*
069200**********************************
069300*    JUL TO GREG DATE ROUTINE    *
069400**********************************
069500*
069600     COPY SS08PD.
069700*
069800/
069900*********************************
070000*    LINE 24 PF KEYS ROUTINE    *
070100*********************************
070200*
070300     COPY SS15PD.
070400/
070500*******************************************
070600*    ORG FILE RECORD 1 ACCESS ROUTINES    *
070700*******************************************
070800*
070900     COPY MMOCAO.
071000/
071100************************************************
071200*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
071300************************************************
071400*
071500     COPY MMMMAO.
071600/
071700*********************************************
071800*    STORE MASTER RECORD ACCESS ROUTINES    *
071900*********************************************
072000*
072100     COPY MMSMAO.
072200/
072300*******************************************
072400*    PLATE FILE RECORD ACCESS ROUTINES    *
072500*******************************************
072600*
072700     COPY MMPFAO.
072800/
072900*****************************
073000*    ONLINE MAP ROUTINES    *
073100*****************************
073200*
073300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBPL00 '
073400                           MBMAPXXI BY MBPL00I
073500                           MBMAPXXO BY MBPL00O.
073600/
073700***************************
073800*    ONLINE PROCEDURES    *
073900***************************
074000*
074100     COPY MB70PD.
074200/
074300     COPY SMFTPXO.
