000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOPL01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOPL01 - PLATE GENERATION                              *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBPL                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBPL01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMPF (PLATE FILE)                          *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 C. MMSM (STORE MASTER FILE)                   *
001800*                 D. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE
002900     '** WS-BEG **'.
003000*
003100 01  FILLER                  PIC  X(14)      VALUE
003200     'MISCELLANEOUS:'.
003300*
003400 01  FILLER                  PIC  X(17)      VALUE
003500     'PROGRAM SWITCHES:'.
003600*
003700 01  WS-PROGRAM-SWITCHES.
003800     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
003900         88  WS-UPDATE-SW-YES                VALUE 'Y'.
004000         88  WS-UPDATE-SW-NO                 VALUE 'N'.
004100/
004200 01  FILLER                  PIC  X(29)      VALUE
004300     'I/O REQUEST BLOCK WORK AREAS:'.
004400*
004500     COPY MBIOWS.
004600/
004700 01  FILLER                  PIC  X(18)      VALUE
004800     'I/O REQUEST BLOCK:'.
004900*
005000     COPY MBIORO.
005100/
005200 01  FILLER                  PIC  X(25)      VALUE
005300     'LOG RECORD REQUEST BLOCK:'.
005400*
005500     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
005600/
005700 01  FILLER                  PIC  X(20)      VALUE
005800     'CCS DATE WORK AREAS:'.
005900*
006000     COPY SS01WS.
006100/
006200 01  FILLER                  PIC  X(15)      VALUE
006300     'CCS WORK AREAS:'.
006400*
006500     COPY SS08WS.
006600/
006700     COPY SS00WS.
006800/
006900     COPY SMFTWS.
007000/
007100     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
007200/
007300     COPY MB61LK.
007400/
007500 01  FILLER                  PIC  X(12)      VALUE
007600     '** WS-END **'.
007700/
007800 LINKAGE SECTION.
007900*
008000 01  DFHCOMMAREA.
008100*
008200     COPY MB60WS.
008300/
008400************************
008500*    PLATE FILE MAP    *
008600************************
008700*
008800     COPY MBPL01.
008900/
009000*************************************
009100*    PLATE FILE MAP REDEFINITION    *
009200*************************************
009300*
009400     COPY MBPL01R.
009500/
009600**********************************
009700*    PLATE FILE RECORD LAYOUT    *
009800**********************************
009900*
010000     COPY MMPFRL.
010100/
010200***************************************
010300*    MERCHANT MASTER RECORD LAYOUT    *
010400***************************************
010500*
010600     COPY MMMMRL.
010700/
010800************************************
010900*    STORE MASTER RECORD LAYOUT    *
011000************************************
011100*
011200     COPY MMSMRL.
011300/
011400***************************
011500*    LOG RECORD LAYOUT    *
011600***************************
011700*
011800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
011900/
012000 PROCEDURE DIVISION.
012100*
012200 A000-HOUSEKEEPING SECTION.
012300*
012400 A020-INIT.
012500*
012600     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
012700     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
012800                                 THRU MB70PD-OLH-EXIT.
012900*
013000     IF  MBCA-RECEIVE-SCREEN
013100         GO TO C000-RECEIVE-SCREEN.
013200/
013300 B000-SEND-SCREEN SECTION.
013400*
013500*********************************************
013600*    GET CICS STORAGE NEEDED FOR THE MAP    *
013700*********************************************
013800*
013900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM MB60PD-GETMAIN-FOR-MAP
014100                                 THRU MB60PD-GFM-EXIT.
014200*
014300*******************************************
014400*    INITIALIZE THE STANDARD MAP LINES    *
014500*******************************************
014600*
014700     PERFORM MB60PD-INIT-STD-MAP-LINES
014800                                 THRU MB60PD-ISML-EXIT.
014900*
015000************************************
015100*    READ THE PLATE FILE RECORD    *
015200*    FOR SUBSEQUENT DISPLAY        *
015300************************************
015400*
015500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPF-ORG
015600                                    PL01-ORG.
015700     MOVE MBCA-S-M               TO MBIOWS-MMPF-TYPE.
015800     MOVE MBCA-STORE             TO MBIOWS-MMPF-MERCHANT
015900                                    PL01-STORE.
016000*
016100     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
016200     SET MBIORO-READ-RANDOM      TO TRUE.
016300     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
016400*
016500************************************
016600*    READ THE MERCHANT MASTER      *
016700************************************
016800*
016900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
017000     MOVE MMPF-MERCHANT-ID       TO MBIOWS-MMMM-MERCHANT.
017100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
017200     SET MBIORO-READ-RANDOM      TO TRUE.
017300     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
017400*
017500**********************************************************
017600*    READ THE STORE RECORD                               *
017700**********************************************************
017800*
017900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
018000     PERFORM Y920-READ-MMSM      THRU Y929-READ-MMSM-EXIT.
018100*
018200 B020-MOVE-FIELDS-TO-SCREEN.
018300*
018400**********************************
018500*    MOVE THE FIELDS FROM THE    *
018600*    RECORD TO THE SCREEN        *
018700**********************************
018800*
018900     IF  MMPF-SAC-USE-PRIMARY
019000         SET X-MMPF-S-PRIMARY        TO 1
019100     ELSE
019200         SET X-MMPF-S-PRIMARY        TO 2.
019300*
019400******************************************************************
019500*    MOVE LAST MAINT DATE AND LAST MAINT OPERATOR TO THE SCREEN  *
019600*    DEPENDING ON THE FUNCTION.                                  *
019700******************************************************************
019800*
019900     IF  MBCA-PTI-FUNCTION-IS-ADD
020000         MOVE DFHBMDAS           TO PL01-LAST-MAINT-LIT-A
020100                                    PL01-LAST-MAINT-DATE-A
020200                                    PL01-LAST-MAINT-OPER-LIT-A
020300                                    PL01-LAST-MAINT-OPER-A
020400     ELSE
020500         MOVE MMPF-LAST-MAINT-DATE
020600                                 TO SS01WS-JULIAN
020700         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020800                                 THRU  SS26PD-NED-EXIT
020900         MOVE SS01WS-XX-XX-YYYY  TO PL01-LAST-MAINT-DATE
021000         MOVE MMPF-LAST-MAINT-OPER
021100                                 TO PL01-LAST-MAINT-OPER
021200         MOVE DFHBMASB           TO PL01-LAST-MAINT-DATE-A
021300                                    PL01-LAST-MAINT-OPER-A.
021400*
021500     PERFORM
021600         VARYING X-PL01-PRD FROM 1 BY 1
021700         UNTIL X-PL01-PRD IS GREATER THAN 4
021800         SET X-MMPF-PRD          TO X-PL01-PRD
021900         MOVE MMPF-NBR-PLATES-REQ (X-MMPF-PRD)
022000                                 TO PL01-NBR-PLATES-REQ
022100                                    (X-PL01-PRD)
022200         MOVE MMPF-PLATE-TYPE (X-MMPF-PRD)
022300                                 TO PL01-PLATE-TYPE
022400                                    (X-PL01-PRD)
022500     END-PERFORM.
022600*
022700     MOVE MMPF-MERCHANT-ID       TO PL01-MERCHANT-ID.
022800*
022900     MOVE MMPF-USER-DATA         TO PL01-USER-DATA.
023000*
023100     MOVE MMPF-ACTIVE-DR-RT      TO PL01-ACTIVE-DR-RT.
023200*
023300     MOVE MMPF-USER-CODE         TO PL01-USER-CODE.
023400*
023500     MOVE MMPF-USER-NBR-1        TO PL01-USER-NBR1.
023600*
023700     MOVE MMPF-USER-NBR-2        TO PL01-USER-NBR2.
023800*
023900     MOVE MMPF-ACTIVE-DR-ACCT    TO PL01-ACTIVE-DR-ACCT.
024000*
024100     MOVE MMPF-USER-PHONE        TO PL01-USER-PHONE.
024200*
024300     MOVE MMPF-USER-NAME         TO PL01-USER-NAME.
024400*
024500     PERFORM
024600         VARYING X-PL01-NA FROM 1 BY 1
024700         UNTIL X-PL01-NA IS GREATER THAN 5
024800         SET X-MMPF-S-NA         TO X-PL01-NA
024900         MOVE MMPF-S-NA-LINE (X-MMPF-S-PRIMARY X-MMPF-S-NA)
025000                                 TO PL01-NA-LINE (X-PL01-NA)
025100     END-PERFORM.
025200*
025300     MOVE MMPF-S-STATE-CODE (X-MMPF-S-PRIMARY)
025400                                 TO PL01-STATE.
025500     MOVE MMPF-S-PHONE (X-MMPF-S-PRIMARY)
025600                                 TO PL01-PHONE.
025700     MOVE MMPF-S-POSTAL-CODE (X-MMPF-S-PRIMARY)
025800                                 TO PL01-POSTAL-CODE.
025900     MOVE MMPF-S-FAX (X-MMPF-S-PRIMARY)
026000                                 TO PL01-FAX.
026100******************************************
026200*    SET THE CURSOR AND SCREEN NUMBER    *
026300******************************************
026400*
026500     MOVE SS08WS-CURSOR          TO PL01-PLATE-TYPE-L (1).
026600*
026700     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
026800*
026900**********************
027000*    SEND THE MAP    *
027100**********************
027200*
027300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
027400*
027500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
027600                                 THRU MB60PD-SMWE-EXIT.
027700*
027800************************
027900*    RETURN TO CICS    *
028000************************
028100*
028200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
028300     PERFORM MB70PD-RETURN-TRANS-ID
028400                                 THRU MB70PD-RTI-EXIT.
028500/
028600 C000-RECEIVE-SCREEN SECTION.
028700*
028800******************************************
028900*    THIS SECTION RECEIVES THE SCREEN    *
029000******************************************
029100*
029200     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
029300     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
029400*
029500**************************************************************
029600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
029700**************************************************************
029800*
029900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
030000     PERFORM MB60PD-NEW-TRANS-ROUTINE
030100                                 THRU MB60PD-NTR-EXIT.
030200*
030300************************************
030400*    READ THE PLATE FILE RECORD    *
030500************************************
030600*
030700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPF-ORG
030800                                    PL01-ORG.
030900     MOVE MBCA-S-M               TO MBIOWS-MMPF-TYPE.
031000     MOVE MBCA-STORE             TO MBIOWS-MMPF-MERCHANT
031100                                    PL01-STORE.
031200*
031300     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
031400     SET MBIORO-READ-RANDOM      TO TRUE.
031500     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
031600*
031700**********************************************************
031800*    READ THE STORE RECORD                               *
031900**********************************************************
032000*
032100     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
032200     PERFORM Y920-READ-MMSM      THRU Y929-READ-MMSM-EXIT.
032300*
032400 C020-FIELD-EDITS.
032500*
032600*********************
032700*    FIELD EDITS    *
032800*********************
032900*
033000     IF  MMPF-SAC-USE-PRIMARY
033100         SET X-MMPF-S-PRIMARY        TO 1
033200     ELSE
033300         SET X-MMPF-S-PRIMARY        TO 2.
033400*
033500     MOVE MMPF-MERCHANT-ID       TO PL01-MERCHANT-ID.
033600*
033700     MOVE MMPF-ACTIVE-DR-RT      TO PL01-ACTIVE-DR-RT.
033800*
033900     MOVE MMPF-ACTIVE-DR-ACCT    TO PL01-ACTIVE-DR-ACCT.
034000*
034100*            ***** PLATE REQUESTED AND TYPE *****              *
034200*
034300     PERFORM
034400         VARYING X-PL01-PRD FROM 1 BY 1
034500         UNTIL X-PL01-PRD IS GREATER THAN 4
034600         SET X-MMPF-PRD          TO X-PL01-PRD
034700         EVALUATE TRUE
034800           WHEN  PL01-NBR-PLATES-REQ-L (X-PL01-PRD) IS LESS THAN 1
034900             MOVE DFHBMASK       TO PL01-NBR-PLATES-REQ-A
035000                                    (X-PL01-PRD)
035100             MOVE DFHBMDAS       TO PL01-NBR-PLATES-REQ-LP-A
035200                                    (X-PL01-PRD)
035300                                    PL01-NBR-PLATES-REQ-RP-A
035400                                    (X-PL01-PRD)
035500             MOVE MMPF-NBR-PLATES-REQ (X-MMPF-PRD)
035600                                 TO PL01-NBR-PLATES-REQ
035700                                    (X-PL01-PRD)
035800           WHEN OTHER
035900             MOVE DFHBMASF       TO PL01-NBR-PLATES-REQ-A
036000                                    (X-PL01-PRD)
036100             MOVE DFHBMDAS       TO PL01-NBR-PLATES-REQ-LP-A
036200                                    (X-PL01-PRD)
036300                                    PL01-NBR-PLATES-REQ-RP-A
036400                                    (X-PL01-PRD)
036500             SET WS-UPDATE-SW-YES
036600                                 TO TRUE
036700         END-EVALUATE
036800         EVALUATE TRUE
036900           WHEN  PL01-PLATE-TYPE-L (X-PL01-PRD) IS LESS THAN 1
037000             MOVE DFHBMASK       TO PL01-PLATE-TYPE-A
037100                                    (X-PL01-PRD)
037200             MOVE DFHBMDAS       TO PL01-PLATE-TYPE-LP-A
037300                                    (X-PL01-PRD)
037400                                    PL01-PLATE-TYPE-RP-A
037500                                    (X-PL01-PRD)
037600             MOVE MMPF-PLATE-TYPE (X-MMPF-PRD)
037700                                 TO PL01-PLATE-TYPE-RP-A
037800                                    (X-PL01-PRD)
037900           WHEN OTHER
038000             MOVE DFHBMASF       TO PL01-PLATE-TYPE-A
038100                                    (X-PL01-PRD)
038200             MOVE DFHBMDAS       TO PL01-PLATE-TYPE-LP-A
038300                                    (X-PL01-PRD)
038400                                    PL01-PLATE-TYPE-RP-A
038500                                    (X-PL01-PRD)
038600             SET WS-UPDATE-SW-YES
038700                                 TO TRUE
038800         END-EVALUATE
038900     END-PERFORM.
039000*
039100*            ***** USER DATA *****                             *
039200*
039300     IF  PL01-USER-DATA-L IS LESS THAN 1
039400         MOVE DFHBMASK           TO PL01-USER-DATA-A
039500         MOVE DFHBMDAS           TO PL01-USER-DATA-LP-A
039600                                    PL01-USER-DATA-RP-A
039700         MOVE MMPF-USER-DATA     TO PL01-USER-DATA
039800     ELSE
039900         MOVE DFHBMASF           TO PL01-USER-DATA-A
040000         MOVE DFHBMDAS           TO PL01-USER-DATA-LP-A
040100                                    PL01-USER-DATA-RP-A
040200         SET WS-UPDATE-SW-YES    TO TRUE.
040300*
040400*            ***** USER CODE *****                             *
040500*
040600     IF  PL01-USER-CODE-L IS LESS THAN 1
040700         MOVE DFHBMASK           TO PL01-USER-CODE-A
040800         MOVE DFHBMDAS           TO PL01-USER-CODE-LP-A
040900                                    PL01-USER-CODE-RP-A
041000         MOVE MMPF-USER-CODE     TO PL01-USER-CODE
041100     ELSE
041200         MOVE DFHBMASF           TO PL01-USER-CODE-A
041300         MOVE DFHBMDAS           TO PL01-USER-CODE-LP-A
041400                                    PL01-USER-CODE-RP-A
041500         SET WS-UPDATE-SW-YES    TO TRUE.
041600*
041700*            ***** USER NBR1 *****                             *
041800*
041900     IF  PL01-USER-NBR1-L IS LESS THAN 1
042000         MOVE DFHBMASK           TO PL01-USER-NBR1-A
042100         MOVE DFHBMDAS           TO PL01-USER-NBR1-LP-A
042200                                    PL01-USER-NBR1-RP-A
042300         MOVE MMPF-USER-NBR-1    TO PL01-USER-NBR1
042400     ELSE
042500         IF  PL01-USER-NBR1 IS NUMERIC
042600             MOVE DFHBMASF       TO PL01-USER-NBR1-A
042700             MOVE DFHBMDAS       TO PL01-USER-NBR1-LP-A
042800                                    PL01-USER-NBR1-RP-A
042900             SET WS-UPDATE-SW-YES
043000                                 TO TRUE
043100         ELSE
043200             MOVE DFHBMNBF       TO PL01-USER-NBR1-A
043300             MOVE DFHBMASB       TO PL01-USER-NBR1-LP-A
043400                                    PL01-USER-NBR1-RP-A
043500             SET SS08WS-ERROR-SW-YES
043600                                 TO TRUE
043700             MOVE SS08WS-CURSOR  TO PL01-USER-NBR1-L
043800             GO TO D000-RETURN-ERRORS.
043900*
044000*            ***** USER NBR2 *****                             *
044100*
044200     IF  PL01-USER-NBR2-L IS LESS THAN 1
044300         MOVE DFHBMASK           TO PL01-USER-NBR2-A
044400         MOVE DFHBMDAS           TO PL01-USER-NBR2-LP-A
044500                                    PL01-USER-NBR2-RP-A
044600         MOVE MMPF-USER-NBR-2    TO PL01-USER-NBR2
044700     ELSE
044800         IF  PL01-USER-NBR2 IS NUMERIC
044900             MOVE DFHBMASF       TO PL01-USER-NBR2-A
045000             MOVE DFHBMDAS       TO PL01-USER-NBR2-LP-A
045100                                    PL01-USER-NBR2-RP-A
045200             SET WS-UPDATE-SW-YES
045300                                 TO TRUE
045400         ELSE
045500             MOVE DFHBMNBF       TO PL01-USER-NBR2-A
045600             MOVE DFHBMASB       TO PL01-USER-NBR2-LP-A
045700                                    PL01-USER-NBR2-RP-A
045800             SET SS08WS-ERROR-SW-YES
045900                                 TO TRUE
046000             MOVE SS08WS-CURSOR  TO PL01-USER-NBR2-L
046100             GO TO D000-RETURN-ERRORS.
046200*
046300*            ***** USER PHONE *****                            *
046400*
046500     IF  PL01-USER-PHONE-L IS LESS THAN 1
046600         MOVE DFHBMASK           TO PL01-USER-PHONE-A
046700         MOVE DFHBMDAS           TO PL01-USER-PHONE-LP-A
046800                                    PL01-USER-PHONE-RP-A
046900         MOVE MMPF-USER-PHONE    TO PL01-USER-PHONE
047000     ELSE
047100         MOVE DFHBMASF           TO PL01-USER-PHONE-A
047200         MOVE DFHBMDAS           TO PL01-USER-PHONE-LP-A
047300                                    PL01-USER-PHONE-RP-A
047400         SET WS-UPDATE-SW-YES    TO TRUE.
047500*
047600*            ***** USER NAME *****                             *
047700*
047800     IF  PL01-USER-NAME-L IS LESS THAN 1
047900         MOVE DFHBMASK           TO PL01-USER-NAME-A
048000         MOVE DFHBMDAS           TO PL01-USER-NAME-LP-A
048100                                    PL01-USER-NAME-RP-A
048200         MOVE MMPF-USER-NAME     TO PL01-USER-NAME
048300     ELSE
048400         MOVE DFHBMASF           TO PL01-USER-NAME-A
048500         MOVE DFHBMDAS           TO PL01-USER-NAME-LP-A
048600                                    PL01-USER-NAME-RP-A
048700         SET WS-UPDATE-SW-YES    TO TRUE.
048800*
048900*            ***** NAME ADDRESS LINES *****                    *
049000*
049100     PERFORM
049200         VARYING X-PL01-NA FROM 1 BY 1
049300         UNTIL X-PL01-NA IS GREATER THAN 5
049400         SET X-MMPF-S-NA         TO X-PL01-NA
049500         EVALUATE TRUE
049600         WHEN  PL01-NA-LINE-L (X-PL01-NA) IS LESS THAN 1
049700             MOVE DFHBMASK       TO PL01-NA-LINE-A (X-PL01-NA)
049800             MOVE DFHBMDAS       TO PL01-NA-LINE-LP-A (X-PL01-NA)
049900                                    PL01-NA-LINE-RP-A (X-PL01-NA)
050000             MOVE MMPF-S-NA-LINE (X-MMPF-S-PRIMARY X-MMPF-S-NA)
050100                                 TO PL01-NA-LINE (X-PL01-NA)
050200         WHEN OTHER
050300             MOVE DFHBMASF       TO PL01-NA-LINE-A (X-PL01-NA)
050400             MOVE DFHBMDAS       TO PL01-NA-LINE-LP-A (X-PL01-NA)
050500                                    PL01-NA-LINE-RP-A (X-PL01-NA)
050600             SET WS-UPDATE-SW-YES
050700                                 TO TRUE
050800         END-EVALUATE
050900     END-PERFORM.
051000*
051100*            ***** STATE/PROVINCE *****                        *
051200*
051300     IF  PL01-STATE-L IS LESS THAN 1
051400         MOVE DFHBMASK           TO PL01-STATE-A
051500         MOVE DFHBMDAS           TO PL01-STATE-LP-A
051600                                    PL01-STATE-RP-A
051700         MOVE MMPF-S-STATE-CODE (X-MMPF-S-PRIMARY)
051800                                 TO PL01-STATE
051900     ELSE
052000         MOVE DFHBMASF           TO PL01-STATE-A
052100         MOVE DFHBMDAS           TO PL01-STATE-LP-A
052200                                    PL01-STATE-RP-A
052300         SET WS-UPDATE-SW-YES    TO TRUE.
052400*
052500*            ***** PHONE NUMBER *****                          *
052600*
052700     IF  PL01-PHONE-L IS LESS THAN 1
052800         MOVE DFHBMASK           TO PL01-PHONE-A
052900         MOVE DFHBMDAS           TO PL01-PHONE-LP-A
053000                                    PL01-PHONE-RP-A
053100         MOVE MMPF-S-PHONE (X-MMPF-S-PRIMARY)
053200                                 TO PL01-PHONE
053300     ELSE
053400         MOVE DFHBMASF           TO PL01-PHONE-A
053500         MOVE DFHBMDAS           TO PL01-PHONE-LP-A
053600                                    PL01-PHONE-RP-A
053700         SET WS-UPDATE-SW-YES    TO TRUE.
053800*
053900*            ***** FAX PHONE NUMBER *****                      *
054000*
054100     IF  PL01-FAX-L IS LESS THAN 1
054200         MOVE DFHBMASK           TO PL01-FAX-A
054300         MOVE DFHBMDAS           TO PL01-FAX-LP-A
054400                                    PL01-FAX-RP-A
054500         MOVE MMPF-S-FAX (X-MMPF-S-PRIMARY)
054600                                 TO PL01-FAX
054700     ELSE
054800         MOVE DFHBMASF           TO PL01-FAX-A
054900         MOVE DFHBMDAS           TO PL01-FAX-LP-A
055000                                    PL01-FAX-RP-A
055100         SET WS-UPDATE-SW-YES    TO TRUE.
055200*
055300*            ***** POSTAL CODE *****                           *
055400*
055500     IF  MBCA-PTI-FUNCTION-IS-ADD
055600     AND PL01-POSTAL-CODE-L IS LESS THAN 1
055700         MOVE DFHBMUBF           TO PL01-POSTAL-CODE-A
055800         MOVE DFHBMASB           TO PL01-POSTAL-CODE-LP-A
055900                                    PL01-POSTAL-CODE-RP-A
056000         MOVE SS08WS-CURSOR      TO PL01-POSTAL-CODE-L
056100         SET SS08WS-ERROR-SW-YES TO TRUE
056200     ELSE
056300         IF  PL01-POSTAL-CODE-L IS LESS THAN 1
056400             MOVE DFHBMASK       TO PL01-POSTAL-CODE-A
056500             MOVE DFHBMDAS       TO PL01-POSTAL-CODE-LP-A
056600                                    PL01-POSTAL-CODE-RP-A
056700             MOVE MMPF-S-POSTAL-CODE (X-MMPF-S-PRIMARY)
056800                                 TO PL01-POSTAL-CODE
056900         ELSE
057000             IF  PL01-POSTAL-CODE IS EQUAL TO SPACES
057100                 MOVE DFHBMUBF   TO PL01-POSTAL-CODE-A
057200                 MOVE DFHBMASB   TO PL01-POSTAL-CODE-LP-A
057300                                    PL01-POSTAL-CODE-RP-A
057400                 MOVE SS08WS-CURSOR TO PL01-POSTAL-CODE-L
057500                 SET SS08WS-ERROR-SW-YES
057600                                 TO TRUE
057700             ELSE
057800                 MOVE DFHBMASF   TO PL01-POSTAL-CODE-A
057900                 MOVE DFHBMDAS   TO PL01-POSTAL-CODE-LP-A
058000                                    PL01-POSTAL-CODE-RP-A
058100                 SET WS-UPDATE-SW-YES
058200                                 TO TRUE.
058300/
058400 D000-RETURN-ERRORS SECTION.
058500*
058600     IF  SS08WS-ERROR IS EQUAL TO 'N'
058700         GO TO E000-UPDATE-FILE.
058800*
058900***************************************************************
059000*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
059100*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
059200*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
059300***************************************************************
059400*
059500     PERFORM MB60PD-INIT-STD-MAP-LINES
059600                                 THRU MB60PD-ISML-EXIT.
059700*
059800**********************
059900*    SEND THE MAP    *
060000**********************
060100*
060200     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
060300     PERFORM MB60PD-SEND-MAP-DATA-ONLY
060400                                 THRU MB60PD-SMDO-EXIT.
060500*
060600************************
060700*    RETURN TO CICS    *
060800************************
060900*
061000     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
061100     PERFORM MB70PD-RETURN-TRANS-ID
061200                                 THRU MB70PD-RTI-EXIT.
061300/
061400 E000-UPDATE-FILE SECTION.
061500*
061600**************************************************
061700*    READ THE PLATE FILE RECORD FOR UPDATE       *
061800**************************************************
061900*
062000     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
062100     SET MBIORO-READ-RANDOM-UPDATE
062200                                 TO TRUE.
062300     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
062400*
062500*************************************
062600*    OBTAIN STORAGE FOR LOG FILE    *
062700*************************************
062800*
062900     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
063000     SET MBIORO-GETMAIN          TO TRUE.
063100     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
063200*
063300*************************************************
063400*    SET UP THE COMMON PORTION OF THE RECORD    *
063500*************************************************
063600*
063700     MOVE 'PF'                   TO MML1-FILE-CODE.
063800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMPF-ORG.
063900     MOVE MBCA-STORE             TO MML1-MMPF-MERCHANT.
064000     MOVE MBCA-S-M               TO MML1-MMPF-TYPE.
064100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
064200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
064300     MOVE ZEROS                  TO MML1-SOURCE-CODE.
064400*
064500 E020-UPDATE-FIELDS.
064600*
064700     IF  MBCA-S-M IS EQUAL TO 'S'
064800         MOVE MMSM-BRANCH        TO MMPF-BRANCH
064900         MOVE MMSM-AGENT-BANK    TO MMPF-AGENT-BANK.
065000*
065100     PERFORM
065200         VARYING X-PL01-PRD FROM 1 BY 1
065300         UNTIL X-PL01-PRD IS GREATER THAN 4
065400         SET  X-MMPF-PRD         TO X-PL01-PRD
065500         EVALUATE TRUE
065600           WHEN (PL01-NBR-PLATES-REQ-L (X-PL01-PRD)
065700                                    IS GREATER THAN ZEROS
065800            AND PL01-NBR-PLATES-REQ (X-PL01-PRD) IS NOT EQUAL
065900                                 TO MMPF-NBR-PLATES-REQ
066000                                    (X-MMPF-PRD))
066100             MOVE 'Y'            TO WS-UPDATE-SW
066200             MOVE PL01-NBR-PLATES-REQ (X-PL01-PRD)
066300                                 TO MMPF-NBR-PLATES-REQ
066400                                    (X-MMPF-PRD)
066500         END-EVALUATE
066600         EVALUATE TRUE
066700           WHEN (PL01-PLATE-TYPE-L (X-PL01-PRD)
066800                                    IS GREATER THAN ZEROS
066900            AND PL01-PLATE-TYPE (X-PL01-PRD) IS NOT EQUAL
067000                                 TO MMPF-PLATE-TYPE
067100                                    (X-MMPF-PRD))
067200             MOVE 'Y'            TO WS-UPDATE-SW
067300             MOVE PL01-PLATE-TYPE (X-PL01-PRD)
067400                                 TO MMPF-PLATE-TYPE
067500                                    (X-MMPF-PRD)
067600         END-EVALUATE
067700     END-PERFORM.
067800*
067900     IF  PL01-USER-DATA-L IS GREATER THAN ZERO
068000         IF  PL01-USER-DATA IS NOT EQUAL TO MMPF-USER-DATA
068100             MOVE 'Y'            TO WS-UPDATE-SW
068200             MOVE PL01-USER-DATA
068300                                 TO MMPF-USER-DATA.
068400*
068500     IF  PL01-USER-CODE-L IS GREATER THAN ZERO
068600         IF  PL01-USER-CODE IS NOT EQUAL TO MMPF-USER-CODE
068700             MOVE 'Y'            TO WS-UPDATE-SW
068800             MOVE PL01-USER-CODE
068900                                 TO MMPF-USER-CODE.
069000*
069100     IF  PL01-USER-NBR1-L IS GREATER THAN ZERO
069200         IF  PL01-USER-NBR1 IS NOT EQUAL TO MMPF-USER-NBR-1
069300             MOVE 'Y'            TO WS-UPDATE-SW
069400             MOVE PL01-USER-NBR1
069500                                 TO MMPF-USER-NBR-1.
069600*
069700     IF  PL01-USER-NBR2-L IS GREATER THAN ZERO
069800         IF  PL01-USER-NBR2 IS NOT EQUAL TO MMPF-USER-NBR-2
069900             MOVE 'Y'            TO WS-UPDATE-SW
070000             MOVE PL01-USER-NBR2
070100                                 TO MMPF-USER-NBR-2.
070200*
070300     IF  PL01-USER-PHONE-L IS GREATER THAN ZERO
070400         IF  PL01-USER-PHONE IS NOT EQUAL TO MMPF-USER-PHONE
070500             MOVE 'Y'            TO WS-UPDATE-SW
070600             MOVE PL01-USER-PHONE
070700                                 TO MMPF-USER-PHONE.
070800*
070900     IF  PL01-USER-NAME-L IS GREATER THAN ZERO
071000         IF  PL01-USER-NAME IS NOT EQUAL TO MMPF-USER-NAME
071100             MOVE 'Y'            TO WS-UPDATE-SW
071200             MOVE PL01-USER-NAME
071300                                 TO MMPF-USER-NAME.
071400*
071500     SET X-MMPF-S-PRIMARY        TO 1.
071600*
071700     PERFORM
071800         VARYING X-PL01-NA FROM 1 BY 1
071900         UNTIL X-PL01-NA IS GREATER THAN 5
072000         SET  X-MMPF-S-NA        TO X-PL01-NA
072100         EVALUATE TRUE
072200           WHEN (PL01-NA-LINE-L (X-PL01-NA) IS GREATER THAN ZERO
072300            AND PL01-NA-LINE (X-PL01-NA) IS NOT EQUAL
072400                                 TO MMPF-S-NA-LINE
072500                                  (X-MMPF-S-PRIMARY X-MMPF-S-NA))
072600             MOVE 'Y'            TO WS-UPDATE-SW
072700             MOVE PL01-NA-LINE (X-PL01-NA)
072800                                 TO MMPF-S-NA-LINE
072900                                  (X-MMPF-S-PRIMARY X-MMPF-S-NA)
073000         END-EVALUATE
073100     END-PERFORM.
073200*
073300     IF  PL01-STATE-L IS GREATER THAN ZERO
073400         IF  PL01-STATE IS NOT EQUAL TO MMPF-S-STATE-CODE
073500                                        (X-MMPF-S-PRIMARY)
073600             MOVE 'Y'            TO WS-UPDATE-SW
073700             MOVE PL01-STATE     TO MMPF-S-STATE-CODE
073800                                  (X-MMPF-S-PRIMARY).
073900*
074000     IF  PL01-PHONE-L IS GREATER THAN ZERO
074100         IF  PL01-PHONE IS NOT EQUAL TO MMPF-S-PHONE
074200                                        (X-MMPF-S-PRIMARY)
074300             MOVE 'Y'            TO WS-UPDATE-SW
074400             MOVE PL01-PHONE     TO MMPF-S-PHONE
074500                                  (X-MMPF-S-PRIMARY).
074600*
074700     IF  PL01-POSTAL-CODE-L IS GREATER THAN ZERO
074800         IF  PL01-POSTAL-CODE IS NOT EQUAL TO MMPF-S-POSTAL-CODE
074900                                            (X-MMPF-S-PRIMARY)
075000             MOVE 'Y'            TO WS-UPDATE-SW
075100             MOVE PL01-POSTAL-CODE
075200                                 TO MMPF-S-POSTAL-CODE
075300                                  (X-MMPF-S-PRIMARY).
075400*
075500     IF  PL01-FAX-L IS GREATER THAN ZERO
075600         IF  PL01-FAX IS NOT EQUAL TO MMPF-S-FAX
075700                                            (X-MMPF-S-PRIMARY)
075800             MOVE 'Y'            TO WS-UPDATE-SW
075900             MOVE PL01-FAX       TO MMPF-S-FAX
076000                                  (X-MMPF-S-PRIMARY).
076100*
076200 E040-UPDATE-MMPF.
076300*
076400****************************************************
076500*    WRITE A LOG FILE ADD OR REPLACEMENT RECORD    *
076600****************************************************
076700*
076800     IF  MMPF-REC-ACTIVE
076900     AND WS-UPDATE-SW-YES
077000         MOVE MBCA-OPERATOR-ID   TO MMPF-LAST-MAINT-OPER
077100         MOVE MBCA-START-DATE    TO MMPF-LAST-MAINT-DATE
077200         MOVE 0100               TO MML1-FIELD-CODE
077300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
077400                                    MML1-FIELD-OCCURRENCE-2
077500         MOVE LENGTH OF MMPF-RECORD
077600                                 TO MML1-VARIABLE-LENGTH
077700         MOVE MMPF-RECORD        TO MML1-ADD-AREA
077800         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
077900         PERFORM Y930-WRITE-LOG-RECORD
078000                                 THRU Y939-WLR-EXIT.
078100*
078200*************************************************
078300*    REWRITE THE PLATE FILE RECORD IF FIELDS    *
078400*    HAVE BEEN CHANGED, OR UNLOCK IT IF THEY    *
078500*    HAVE NOT                                   *
078600*************************************************
078700*
078800     IF  WS-UPDATE-SW-YES
078900         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
079000         SET MBIORO-REWRITE      TO TRUE
079100         PERFORM MMPFAO-ACCESS   THRU MMPFAO-ACCESS-EXIT
079200     ELSE
079300         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
079400         SET MBIORO-UNLOCK       TO TRUE
079500         PERFORM MMPFAO-ACCESS   THRU MMPFAO-ACCESS-EXIT.
079600/
079700 F000-SETUP-COMMAREA SECTION.
079800*
079900***************************************************************
080000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
080100***************************************************************
080200*
080300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
080400*
080500     PERFORM MB60PD-EDIT-PAGE-NBR
080600                                 THRU MB60PD-EPN-EXIT.
080700*
080800     IF  SS08WS-VALID-PF-KEY
080900     OR  SS08WS-EIBAID-VALID-PF-KEY
081000         MOVE 99                 TO MBCA-SCREEN-NBR.
081100*
081200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
081300     PERFORM MB70PD-XCTL-TO-MBOXCTL
081400                                 THRU MB70PD-XTM-EXIT.
081500*
081600 Y920-READ-MMSM.
081700*
081800     MOVE MMPF-ORG               TO MBIOWS-MMSM-ORG.
081900     MOVE MMPF-MERCHANT          TO MBIOWS-MMSM-STORE.
082000*
082100     SET MBIORO-READ-RANDOM      TO TRUE.
082200     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
082300*
082400 Y921-MOVE-STORE-STATIC-DATA.
082500*
082600 Y921-MSSD-EXIT.
082700     EXIT.
082800*
082900 Y929-READ-MMSM-EXIT.
083000     EXIT.
083100*
083200 Y930-WRITE-LOG-RECORD.
083300*
083400     SET MBIORO-WRITE            TO TRUE.
083500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
083600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
083700*
083800 Y939-WLR-EXIT.
083900     EXIT.
084000/
084100 Z000-COPIED-ROUTINES SECTION.
084200*
084300/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
084400     COPY SS26PD.
084500*
084600/    ROUTINE TO NUMERICALLY EDIT TIME
084700     COPY SS27PD.
084800*
084900**********************************
085000*    JUL TO GREG DATE ROUTINE    *
085100**********************************
085200*
085300     COPY SS08PD.
085400/
085500*********************************
085600*    LINE 24 PF KEYS ROUTINE    *
085700*********************************
085800*
085900     COPY SS15PD.
086000/
086100*******************************************
086200*    PLATE FILE RECORD ACCESS ROUTINES    *
086300*******************************************
086400*
086500     COPY MMPFAO.
086600/
086700************************************************
086800*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
086900************************************************
087000*
087100     COPY MMMMAO.
087200/
087300*********************************************
087400*    STORE MASTER RECORD ACCESS ROUTINES    *
087500*********************************************
087600*
087700     COPY MMSMAO.
087800/
087900*****************************************
088000*    LOG FILE RECORD ACCESS ROUTINES    *
088100*****************************************
088200*
088300     COPY MML1AO.
088400/
088500*****************************
088600*    ONLINE MAP ROUTINES    *
088700*****************************
088800*
088900     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBPL01 '
089000                           MBMAPXXI BY MBPL01I
089100                           MBMAPXXO BY MBPL01O.
089200/
089300***************************
089400*    ONLINE PROCEDURES    *
089500***************************
089600*
089700     COPY MB70PD.
089800/
089900     COPY SMFTPXO.
