000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBORC01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBORC01 - ON-LINE MERCHANT RELATIONSHIPS                 *
000800*                INQUIRY SCREEN 01                              *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBRC                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBRC01 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMRD   (MERCHANT RELATIONSHIP FILE)        *
001600*                 B. MMMM   (MERCHANT MASTER FILE)              *
001700*                                                               *
001800*****************************************************************
001900*
002000 ENVIRONMENT DIVISION.
002100 DATA DIVISION.
002200 WORKING-STORAGE SECTION.
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*         I/O REQUEST BLOCK WORK AREAS
002500     COPY MBIOWS.
002600/         I/O REQUEST BLOCK
002700     COPY MBIORO.
002800/         DATE WORK AREAS
002900     COPY SS01WS.
003000/         ONLINE WORK AREAS
003100     COPY SS08WS.
003200/
003300     COPY SS00WS.
003400/
003500     COPY SMFTWS.
003600/
003700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003800/
003900     COPY MB61LK.
004000/
004100 01  WS-MISCELLANEOUS.
004200     03  WS-SAVE-EIBAID      PIC  X(01)      VALUE SPACES.
004300     03  WS-FWD-INDEX        PIC S9(04)      VALUE ZEROES BINARY.
004400     03  WS-HOLD-FWD-SEQ-NBR PIC  S9(04)     BINARY VALUE ZERO.
004500     03  WS-SELECT-SW        PIC  X(01)      VALUE 'N'.
004600         88  WS-SELECT-NO                    VALUE 'N'.
004700         88  WS-SELECT-YES                   VALUE 'Y'.
004800     03  WS-BYPASS-SW        PIC  X(01)      VALUE 'N'.
004900         88  WS-BYPASS-NO                    VALUE 'N'.
005000         88  WS-BYPASS-YES                   VALUE 'Y'.
005100     03  TS-QUEUE-NAME.
005200         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005300         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBRC'.
005400*
005500 01  WS-DETAIL-LINE.
005600     03  WS-MERCHANT-NBR     PIC  9(09).
005700     03  FILLER              PIC  X(02)      VALUE SPACES.
005800     03  WS-MERCHANT-NAME    PIC  X(30).
005900     03  FILLER              PIC  X(08)      VALUE SPACES.
006000     03  WS-BLOCK-CODE       PIC  X(01).
006100     03  FILLER              PIC  X(12)      VALUE SPACES.
006200     03  WS-REC-STATUS       PIC  9(01).
006300     03  FILLER              PIC  X(04)      VALUE SPACES.
006400*
006500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006600/
006700 LINKAGE SECTION.
006800 01  DFHCOMMAREA.
006900     COPY MB60WS.
007000/         MERCHANT RELATIONSHIP SCREEN 01 MAP DSECT
007100     COPY MBRC01.
007200/         MERCHANT RELATIONSHIP SCREEN 01 MAP REDEFINITION
007300     COPY MBRC01R.
007400/         MERCHANT RELATIONSHIP RECORD LAYOUT
007500     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
007600/         MERCHANT MASTER RECORD LAYOUT
007700     COPY MMMMRL.
007800/         RELATIONSHIP TEMPORARY STORAGE
007900 01  TS-MBRC-RECORD.
008000     03  TS-MBRC-KEY-AREA                    OCCURS 15 TIMES
008100                                             INDEXED BY
008200                                             X-TS-MBRC-INDEX.
008300         05  TS-MBRC-MERCHANT
008400                             PIC  9(09).
008500         05  TS-MBRC-MERCHANT-NAME
008600                             PIC  X(30).
008700         05  TS-MBRC-BLOCK-CODE
008800                             PIC  X(01).
008900         05  TS-MBRC-REC-STATUS
009000                             PIC  9(01).
009100/
009200 PROCEDURE DIVISION.
009300 0000-HOUSEKEEPING SECTION.
009400 0100-INIT.
009500*
009600     MOVE MBCA-EIBAID            TO WS-SAVE-EIBAID.
009700     SET MBCA-EIBAID-ENTER       TO TRUE.
009800*
009900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
010000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
010100                                 THRU MB70PD-OLH-EXIT.
010200*
010300     MOVE WS-SAVE-EIBAID         TO MBCA-EIBAID.
010400     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
010500*
010600     IF  MBCA-RECEIVE-SCREEN
010700         GO TO 2000-RECEIVE-SCREEN.
010800*
010900 1000-SEND-SCREEN SECTION.
011000*
011100****************************************************************
011200*    GET CICS STORAGE NEEDED FOR THE MAP                       *
011300****************************************************************
011400*
011500     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
011600     PERFORM MB60PD-GETMAIN-FOR-MAP
011700                                 THRU MB60PD-GFM-EXIT.
011800*
011900     MOVE MBCA-MERCHANT-ORG      TO RC01-ORG
012000                                    MBIOWS-MMMM-ORG.
012100     MOVE MBCA-CHAIN             TO RC01-CHAIN.
012200     MOVE MBCA-MBRC-NAME         TO RC01-CHAIN-NAME.
012300     MOVE 01                     TO MBCA-SCREEN-NBR.
012400*
012500****************************************************************
012600*    INITIALIZE THE STANDARD MAP LINES                         *
012700****************************************************************
012800*
012900     PERFORM MB60PD-INIT-STD-MAP-LINES
013000                                 THRU MB60PD-ISML-EXIT.
013100*
013200****************************************************************
013300*    ACQUIRE MAIN STORAGE FOR MERCHANT MASTER RECORD           *
013400****************************************************************
013500*
013600     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
013700     SET MBIORO-GETMAIN          TO TRUE.
013800     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
013900*
014000     MOVE ZEROES                 TO MMMM-ORG
014100                                    MMMM-MERCHANT.
014200*
014300****************************************************************
014400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
014500****************************************************************
014600*
014700     MOVE 'TS01'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM 8100-TEMP-STORAGE-GETMAIN
014900                                 THRU 8199-TSG-EXIT.
015000*
015100     EXEC CICS HANDLE CONDITION
015200               QIDERR (1010-CHECK-RETURN-FLAG)
015300          END-EXEC.
015400*
015500***********************************************
015600*    READ THE TEMP STORAGE RECORD             *
015700***********************************************
015800*
015900     MOVE 'TS02'                 TO MBCA-PROGRAM-LOCATION.
016000     PERFORM 8200-TEMP-STORAGE-READ
016100                                 THRU 8299-TSR-EXIT.
016200*
016300***********************************************
016400*    DELETE THE TEMP STORAGE RECORD           *
016500***********************************************
016600*
016700     MOVE 'TS03'                 TO MBCA-PROGRAM-LOCATION.
016800     PERFORM 8300-TEMP-STORAGE-DELETE
016900                                 THRU 8399-TSD-EXIT.
017000*
017100     IF  MBCA-MBRC-FIRST-TIME
017200         GO TO 1010-CHECK-RETURN-FLAG.
017300*
017400     PERFORM 8800-BUILD-SCREEN   THRU 8899-BS-EXIT.
017500     GO TO 1080-CONTINUE.
017600*
017700 1010-CHECK-RETURN-FLAG.
017800*
017900     MOVE 'N'                    TO MBCA-MBRC-FIRST-TIME-FLAG.
018000*
018100     IF  MBCA-MBRC-RETURN-BOTTOM
018200         PERFORM 8900-LAST-SCREEN
018300                                 THRU 8999-LS-EXIT
018400         IF  WS-BYPASS-YES
018500             GO TO 1015-READ-RELATIONSHIP
018600         ELSE
018700             GO TO 1080-CONTINUE
018800     ELSE
018900         IF  MBCA-MBRC-RETURN-BWD
019000             PERFORM 9000-BACK-SCREEN
019100                                 THRU 9099-BS-EXIT
019200             IF  WS-BYPASS-YES
019300                 GO TO 1015-READ-RELATIONSHIP
019400             ELSE
019500                 GO TO 1080-CONTINUE.
019600*
019700 1015-READ-RELATIONSHIP.
019800*
019900****************************************************************
020000*    READ RANDOM THE MERCHANT RELATIONSHIP FILE                *
020100****************************************************************
020200*
020300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
020400     PERFORM 9200-READ-RELATIONSHIP
020500                                 THRU 9299-RR-EXIT.
020600*
020700     SET X-MERCHANT-INDEX        TO +1.
020800     SET X-MMRD-MEMBER           TO MBCA-MBRC-FWD-INDEX.
020900*
021000 1020-MEMBER-LOOP.
021100*
021200     IF  MBCA-MBRC-FWD-INDEX IS GREATER THAN +800
021300         COMPUTE MBCA-MBRC-FWD-SEQ-NBR
021400                                 = MBCA-MBRC-FWD-SEQ-NBR + 1
021500         PERFORM 9200-READ-RELATIONSHIP
021600                                 THRU 9299-RR-EXIT
021700         IF  SS08WS-RC-FC-NOTFND
021800             GO TO 1060-SET-ATTRIBUTE
021900         ELSE
022000             MOVE +1             TO MBCA-MBRC-FWD-INDEX
022100             SET X-MMRD-MEMBER
022200                                 TO MBCA-MBRC-FWD-INDEX.
022300*
022400     IF  MMRD-MEMBER (X-MMRD-MEMBER) IS EQUAL TO ZEROES
022500         SET X-MMRD-MEMBER       UP BY +1
022600         SET MBCA-MBRC-FWD-INDEX TO X-MMRD-MEMBER
022700         GO TO 1020-MEMBER-LOOP.
022800*
022900     PERFORM 9400-BUILD-SCREEN-LINE
023000                                 THRU 9499-BSL-EXIT.
023100*
023200     IF  X-MERCHANT-INDEX IS EQUAL TO +1
023300         SET MBCA-MBRC-BACK-INDEX
023400                                 TO X-MMRD-MEMBER
023500         MOVE MMRD-SEQ-NBR       TO MBCA-MBRC-BACK-SEQ-NBR.
023600*
023700     IF  X-MERCHANT-INDEX IS LESS THAN +15
023800         SET X-MERCHANT-INDEX    UP BY +1
023900         SET X-MMRD-MEMBER       UP BY +1
024000         SET MBCA-MBRC-FWD-INDEX TO X-MMRD-MEMBER
024100         GO TO 1020-MEMBER-LOOP
024200     ELSE
024300         SET MBCA-MBRC-FWD-INDEX TO X-MMRD-MEMBER
024400         MOVE MMRD-SEQ-NBR       TO MBCA-MBRC-FWD-SEQ-NBR
024500         PERFORM 9300-READ-AHEAD THRU 9399-RA-EXIT
024600         SET X-MERCHANT-INDEX    UP BY +1.
024700*
024800 1060-SET-ATTRIBUTE.
024900*
025000     IF  X-MERCHANT-INDEX IS EQUAL TO +1
025100         IF  MBCA-MBRC-RETURN-NORMAL
025200             MOVE 99             TO MBCA-SCREEN-NBR
025300             MOVE MBIOWS-MMRD-KEY-CODE
025400                                 TO MBCA-KEY-CODE
025500             MOVE 'PC02'         TO MBCA-PROGRAM-LOCATION
025600             PERFORM MB70PD-XCTL-TO-MBOXCTL
025700                                 THRU MB70PD-XTM-EXIT
025800         ELSE
025900             MOVE MBCA-MBRC-BACK-INDEX
026000                                 TO MBCA-MBRC-FWD-INDEX
026100             MOVE MBCA-MBRC-BACK-SEQ-NBR
026200                                 TO MBCA-MBRC-FWD-SEQ-NBR
026300             SET X-MMRD-MEMBER   TO MBCA-MBRC-FWD-INDEX
026400             GO TO 1020-MEMBER-LOOP.
026500*
026600     IF  X-MERCHANT-INDEX IS LESS THAN +16
026700         SET X-TS-MBRC-INDEX     TO X-MERCHANT-INDEX
026800         MOVE ZEROES             TO MBCA-MBRC-FWD-INDEX
026900                                    WS-FWD-INDEX
027000                                    MBCA-MBRC-FWD-SEQ-NBR
027100                                    TS-MBRC-MERCHANT
027200                                    (X-TS-MBRC-INDEX)
027300                                    TS-MBRC-REC-STATUS
027400                                    (X-TS-MBRC-INDEX)
027500         MOVE SPACES             TO TS-MBRC-MERCHANT-NAME
027600                                    (X-TS-MBRC-INDEX)
027700                                    TS-MBRC-BLOCK-CODE
027800                                    (X-TS-MBRC-INDEX)
027900         MOVE DFHBMASK           TO RC01-SELECT-A
028000                                    (X-MERCHANT-INDEX)
028100         MOVE DFHBMDAS           TO RC01-DIRECTORY-LINE-A
028200                                    (X-MERCHANT-INDEX)
028300                                    RC01-SELECT-LP-A
028400                                    (X-MERCHANT-INDEX)
028500                                    RC01-SELECT-RP-A
028600                                    (X-MERCHANT-INDEX)
028700         SET X-MERCHANT-INDEX    UP BY +1
028800         GO TO 1060-SET-ATTRIBUTE.
028900*
029000 1080-CONTINUE.
029100*
029200     IF (MBCA-MBRC-BACK-SEQ-NBR IS NOT EQUAL
029300                                 TO MBCA-MBRC-FIRST-SEQ-NBR)
029400     OR (MBCA-MBRC-BACK-SEQ-NBR IS EQUAL
029500                                 TO MBCA-MBRC-FIRST-SEQ-NBR
029600     AND MBCA-MBRC-BACK-INDEX IS NOT EQUAL
029700                                 TO MBCA-MBRC-FIRST-INDEX)
029800         MOVE DFHBMASB           TO RC01-FWD-BACK-IND-A (1).
029900*
030000     IF  WS-FWD-INDEX IS GREATER THAN ZEROES
030100         MOVE DFHBMASB           TO RC01-FWD-BACK-IND-A (15).
030200*
030300****************************************************************
030400*    WRITE THE TEMP STORAGE RECORD                             *
030500****************************************************************
030600*
030700     MOVE 'TS04'                 TO MBCA-PROGRAM-LOCATION.
030800     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
030900*
031000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
031100         MOVE SS08WS-CURSOR      TO RC01-ALT-TRANID-L
031200         PERFORM 8500-SET-ATTRIBUTES
031300                                 THRU 8599-SA-EXIT
031400             VARYING X-MERCHANT-INDEX FROM +1 BY +1
031500             UNTIL   X-MERCHANT-INDEX IS GREATER THAN +15
031600     ELSE
031700         MOVE SS08WS-CURSOR      TO RC01-SELECT-L (1).
031800*
031900     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
032000     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
032100     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
032200     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
032300     MOVE SS08WS-LINE-24         TO RC01-PF-KEYS.
032400     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
032500     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
032600     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
032700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
032800*
032900     MOVE DFHBMASK               TO RC01-CURRENT-PAGE-A.
033000*
033100****************************************************************
033200*    SEND THE MAP                                              *
033300****************************************************************
033400*
033500     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
033600     PERFORM MB60PD-SEND-MAP-WITH-ERASE
033700                                 THRU MB60PD-SMWE-EXIT.
033800*
033900****************************************************************
034000*    RETURN TO CICS                                            *
034100****************************************************************
034200*
034300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
034400     PERFORM MB70PD-RETURN-TRANS-ID
034500                                 THRU MB70PD-RTI-EXIT.
034600/
034700 2000-RECEIVE-SCREEN SECTION.
034800*
034900     IF  MBCA-EIBAID-CLEAR
035000         MOVE 'TS05'             TO MBCA-PROGRAM-LOCATION
035100         PERFORM 8300-TEMP-STORAGE-DELETE
035200                                 THRU 8399-TSD-EXIT
035300         MOVE 'PC04'             TO MBCA-PROGRAM-LOCATION
035400         PERFORM MB70PD-ON-LINE-HOUSEKEEPING
035500                                 THRU MB70PD-OLH-EXIT.
035600*
035700****************************************************************
035800*    THIS SECTION RECEIVES THE 01 SCREEN                       *
035900****************************************************************
036000*
036100     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
036200     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
036300*
036400*****************************************************
036500*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD   *
036600*****************************************************
036700*
036800     MOVE 'TS06'                 TO MBCA-PROGRAM-LOCATION.
036900     PERFORM 8100-TEMP-STORAGE-GETMAIN
037000                                 THRU 8199-TSG-EXIT.
037100*
037200***********************************************
037300*    READ THE TEMP STORAGE RECORD             *
037400***********************************************
037500*
037600     MOVE 'TS07'                 TO MBCA-PROGRAM-LOCATION.
037700     PERFORM 8200-TEMP-STORAGE-READ
037800                                 THRU 8299-TSR-EXIT.
037900*
038000***********************************************
038100*    DELETE THE TEMP STORAGE RECORD           *
038200***********************************************
038300*
038400     MOVE 'TS08'                 TO MBCA-PROGRAM-LOCATION.
038500     PERFORM 8300-TEMP-STORAGE-DELETE
038600                                 THRU 8399-TSD-EXIT.
038700*
038800****************************************************************
038900*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
039000****************************************************************
039100*
039200     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
039300     PERFORM MB60PD-NEW-TRANS-ROUTINE
039400                                 THRU MB60PD-NTR-EXIT.
039500*
039600*****************************************************
039700*    BYPASS EDITS ON INQUIRY                        *
039800*****************************************************
039900*
040000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
040100         GO TO 2600-SETUP-COMMAREA.
040200*
040300 2005-EDIT-SELECT.
040400*
040500****************************************************************
040600*    EDIT SELECT FIELD                                         *
040700****************************************************************
040800*
040900     PERFORM 8600-EDIT-SELECT    THRU 8699-ES-EXIT.
041000*
041100 2090-CHECK-ERROR.
041200*
041300     IF  SS08WS-ERROR IS EQUAL TO 'N'
041400         GO TO 2400-CHECK-SELECT.
041500*
041600 2300-SEND-MAP.
041700*
041800***********************************************
041900*    WRITE THE TEMP STORAGE RECORD            *
042000***********************************************
042100*
042200     MOVE 'TS09'                 TO MBCA-PROGRAM-LOCATION.
042300     PERFORM 8400-WRITE-QUEUE    THRU 8499-WQ-EXIT.
042400*
042500****************************************************************
042600*    SEND THE MAP                                              *
042700****************************************************************
042800*
042900     PERFORM MB60PD-INIT-STD-MAP-LINES
043000                                 THRU MB60PD-ISML-EXIT.
043100*
043200     MOVE '*TOP*'                TO SS08WS-LINE-24-PF-KEY-FUNC(3).
043300     MOVE '*BOT*'                TO SS08WS-LINE-24-PF-KEY-FUNC(4).
043400     MOVE '*FWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(5).
043500     MOVE '*BWD*'                TO SS08WS-LINE-24-PF-KEY-FUNC(6).
043600     MOVE SS08WS-LINE-24         TO RC01-PF-KEYS.
043700     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (3).
043800     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (4).
043900     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (5).
044000     MOVE 'RESV'                 TO MBCA-PGMX-PF-TRANS-ID (6).
044100*
044200     MOVE DFHBMASK               TO RC01-CURRENT-PAGE-A.
044300*
044400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
044500     PERFORM MB60PD-SEND-MAP-DATA-ONLY
044600                                 THRU MB60PD-SMDO-EXIT.
044700*
044800****************************************************************
044900*    RETURN TO CICS                                            *
045000****************************************************************
045100*
045200     MOVE 'PC06'                 TO MBCA-PROGRAM-LOCATION.
045300     PERFORM MB70PD-RETURN-TRANS-ID
045400                                 THRU MB70PD-RTI-EXIT.
045500/
045600 2400-CHECK-SELECT.
045700*
045800     IF  WS-SELECT-YES
045900         SET X-TS-MBRC-INDEX     TO X-MERCHANT-INDEX
046000         MOVE TS-MBRC-MERCHANT (X-TS-MBRC-INDEX)
046100                                 TO MBCA-MERCHANT
046200         MOVE MBIOWS-MMMM-DIRECT-KEY-CODE
046300                                 TO MBCA-KEY-CODE
046400         MOVE 99                 TO MBCA-SCREEN-NBR
046500         IF  RC01-VALID-INQUIRY (X-MERCHANT-INDEX)
046600             MOVE '..QM'         TO SS08WS-WORK-TRANS-ID
046700             GO TO 2690-PF-KEY-BYPASS
046800         ELSE
046900             IF  RC01-VALID-MAINT (X-MERCHANT-INDEX)
047000                 MOVE '..MM'     TO SS08WS-WORK-TRANS-ID
047100                 GO TO 2690-PF-KEY-BYPASS.
047200*
047300 2600-SETUP-COMMAREA.
047400*
047500****************************************************************
047600*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
047700****************************************************************
047800*
047900     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
048000*
048100     IF  SS08WS-VALID-PF3
048200     OR  SS08WS-EIBAID-VALID-PF3
048300         MOVE 51                 TO MBCA-SCREEN-NBR
048400         MOVE 01                 TO MBCA-MBRC-FWD-SEQ-NBR
048500         MOVE +1                 TO MBCA-MBRC-FWD-INDEX
048600         MOVE ' '                TO MBCA-MBRC-RETURN-FLAG
048700         GO TO 2690-PF-KEY-BYPASS.
048800*
048900     IF  SS08WS-VALID-PF4
049000     OR  SS08WS-EIBAID-VALID-PF4
049100         MOVE 51                 TO MBCA-SCREEN-NBR
049200         IF (TS-MBRC-MERCHANT (1) IS GREATER THAN ZEROES
049300         AND TS-MBRC-MERCHANT (15) IS EQUAL TO ZEROES)
049400         OR (MBCA-MBRC-FWD-INDEX IS EQUAL TO ZEROES)
049500             MOVE ' '            TO MBCA-MBRC-RETURN-FLAG
049600             MOVE ZEROES         TO MBCA-MBRC-FWD-INDEX
049700                                    MBCA-MBRC-FWD-SEQ-NBR
049800             MOVE 'TS10'         TO MBCA-PROGRAM-LOCATION
049900             PERFORM 8400-WRITE-QUEUE
050000                                 THRU 8499-WQ-EXIT
050100             GO TO 2690-PF-KEY-BYPASS
050200         ELSE
050300             MOVE 'E'            TO MBCA-MBRC-RETURN-FLAG
050400             GO TO 2690-PF-KEY-BYPASS.
050500*
050600     IF  SS08WS-VALID-PF5
050700     OR  SS08WS-EIBAID-VALID-PF5
050800         MOVE 51                 TO MBCA-SCREEN-NBR
050900         IF (TS-MBRC-MERCHANT (1) IS GREATER THAN ZEROES
051000         AND TS-MBRC-MERCHANT (15) IS EQUAL TO ZEROES)
051100         OR (MBCA-MBRC-FWD-INDEX IS EQUAL TO ZEROES)
051200             MOVE ' '            TO MBCA-MBRC-RETURN-FLAG
051300             MOVE ZEROES         TO MBCA-MBRC-FWD-INDEX
051400                                    MBCA-MBRC-FWD-SEQ-NBR
051500             MOVE 'TS11'         TO MBCA-PROGRAM-LOCATION
051600             PERFORM 8400-WRITE-QUEUE
051700                                 THRU 8499-WQ-EXIT
051800             GO TO 2690-PF-KEY-BYPASS
051900         ELSE
052000             MOVE 'F'            TO MBCA-MBRC-RETURN-FLAG
052100             ADD +1              TO MBCA-MBRC-FWD-INDEX
052200             GO TO 2690-PF-KEY-BYPASS.
052300*
052400     IF  SS08WS-VALID-PF6
052500     OR  SS08WS-EIBAID-VALID-PF6
052600         MOVE 51                 TO MBCA-SCREEN-NBR
052700         IF  MBCA-MBRC-BACK-SEQ-NBR IS EQUAL
052800                                 TO MBCA-MBRC-FIRST-SEQ-NBR
052900         AND MBCA-MBRC-BACK-INDEX IS EQUAL
053000                                 TO MBCA-MBRC-FIRST-INDEX
053100             MOVE ' '            TO MBCA-MBRC-RETURN-FLAG
053200             MOVE 'TS12'         TO MBCA-PROGRAM-LOCATION
053300             PERFORM 8400-WRITE-QUEUE
053400                                 THRU 8499-WQ-EXIT
053500             GO TO 2690-PF-KEY-BYPASS
053600         ELSE
053700             SUBTRACT +1         FROM MBCA-MBRC-BACK-INDEX
053800             IF  MBCA-MBRC-BACK-SEQ-NBR IS EQUAL
053900                                 TO MBCA-MBRC-FIRST-SEQ-NBR
054000             AND MBCA-MBRC-BACK-INDEX IS EQUAL
054100                                 TO MBCA-MBRC-FIRST-INDEX
054200                 MOVE MBCA-MBRC-BACK-INDEX
054300                                 TO MBCA-MBRC-FWD-INDEX
054400                 MOVE MBCA-MBRC-BACK-SEQ-NBR
054500                                 TO MBCA-MBRC-FWD-SEQ-NBR
054600                 MOVE ' '        TO MBCA-MBRC-RETURN-FLAG
054700                 GO TO 2690-PF-KEY-BYPASS
054800             ELSE
054900                 MOVE MBCA-MBRC-BACK-INDEX
055000                                 TO MBCA-MBRC-FWD-INDEX
055100                 MOVE MBCA-MBRC-BACK-SEQ-NBR
055200                                 TO MBCA-MBRC-FWD-SEQ-NBR
055300                 MOVE 'B'        TO MBCA-MBRC-RETURN-FLAG
055400                 GO TO 2690-PF-KEY-BYPASS.
055500*
055600     IF  SS08WS-VALID-PF-KEY
055700     OR  SS08WS-EIBAID-VALID-PF-KEY
055800     OR  TS-MBRC-MERCHANT (15) IS EQUAL TO ZEROES
055900     OR  MBCA-MBRC-FWD-INDEX IS EQUAL TO ZEROES
056000         MOVE 99                 TO MBCA-SCREEN-NBR
056100         MOVE MBIOWS-MMRD-KEY-CODE
056200                                 TO MBCA-KEY-CODE
056300         MOVE ' '                TO MBCA-MBRC-RETURN-FLAG
056400         GO TO 2690-PF-KEY-BYPASS.
056500*
056600     MOVE 51                     TO MBCA-SCREEN-NBR.
056700     ADD +1                      TO MBCA-MBRC-FWD-INDEX.
056800     MOVE ' '                    TO MBCA-MBRC-RETURN-FLAG.
056900*
057000 2690-PF-KEY-BYPASS.
057100*
057200     MOVE 'PC07'                 TO MBCA-PROGRAM-LOCATION.
057300     PERFORM MB70PD-XCTL-TO-MBOXCTL
057400                                 THRU MB70PD-XTM-EXIT.
057500/
057600*
057700 8100-TEMP-STORAGE-GETMAIN.
057800*
057900     EXEC CICS GETMAIN
058000               FLENGTH (LENGTH  OF TS-MBRC-RECORD)
058100               SET     (ADDRESS OF TS-MBRC-RECORD)
058200          END-EXEC.
058300*
058400 8199-TSG-EXIT.
058500     EXIT.
058600*
058700 8200-TEMP-STORAGE-READ.
058800*
058900     EXEC CICS READQ TS
059000               QUEUE   (TS-QUEUE-NAME)
059100               INTO    (TS-MBRC-RECORD)
059200               LENGTH  (LENGTH  OF TS-MBRC-RECORD)
059300               ITEM    (1)
059400          END-EXEC.
059500*
059600 8299-TSR-EXIT.
059700     EXIT.
059800*
059900 8300-TEMP-STORAGE-DELETE.
060000*
060100     EXEC CICS IGNORE CONDITION
060200               QIDERR
060300          END-EXEC.
060400*
060500     EXEC CICS DELETEQ TS
060600               QUEUE  (TS-QUEUE-NAME)
060700          END-EXEC.
060800*
060900 8399-TSD-EXIT.
061000     EXIT.
061100*
061200 8400-WRITE-QUEUE.
061300*
061400     EXEC CICS WRITEQ TS
061500               QUEUE   (TS-QUEUE-NAME)
061600               FROM    (TS-MBRC-RECORD)
061700               LENGTH  (LENGTH OF TS-MBRC-RECORD)
061800          END-EXEC.
061900*
062000 8499-WQ-EXIT.
062100     EXIT.
062200*
062300 8500-SET-ATTRIBUTES.
062400*
062500     MOVE DFHBMASK               TO RC01-SELECT-A
062600                                    (X-MERCHANT-INDEX).
062700     MOVE DFHBMDAS               TO RC01-SELECT-LP-A
062800                                    (X-MERCHANT-INDEX)
062900                                    RC01-SELECT-RP-A
063000                                    (X-MERCHANT-INDEX).
063100     MOVE DFHBMASB               TO RC01-DIRECTORY-LINE-A
063200                                    (X-MERCHANT-INDEX).
063300*
063400 8599-SA-EXIT.
063500     EXIT.
063600*
063700 8600-EDIT-SELECT.
063800*
063900     SET X-MERCHANT-INDEX        TO +1.
064000*
064100 8600-EDIT-LOOP.
064200*
064300     IF  RC01-SELECT-L (X-MERCHANT-INDEX) IS GREATER THAN ZERO
064400         IF  RC01-VALID-SELECT (X-MERCHANT-INDEX)
064500             MOVE DFHBMASF       TO RC01-SELECT-A
064600                                    (X-MERCHANT-INDEX)
064700             MOVE DFHBMDAS       TO RC01-SELECT-LP-A
064800                                    (X-MERCHANT-INDEX)
064900                                    RC01-SELECT-RP-A
065000                                    (X-MERCHANT-INDEX)
065100             IF  RC01-VALID-INQUIRY-MAINT (X-MERCHANT-INDEX)
065200                 MOVE 'Y'        TO WS-SELECT-SW
065300                 GO TO 8699-ES-EXIT
065400             ELSE
065500                 NEXT SENTENCE
065600         ELSE
065700             MOVE 'Y'            TO SS08WS-ERROR
065800             MOVE SS08WS-CURSOR  TO RC01-SELECT-L
065900                                    (X-MERCHANT-INDEX)
066000             MOVE DFHBMUBF       TO RC01-SELECT-A
066100                                    (X-MERCHANT-INDEX)
066200             MOVE DFHBMASB       TO RC01-SELECT-LP-A
066300                                    (X-MERCHANT-INDEX)
066400                                    RC01-SELECT-RP-A
066500                                    (X-MERCHANT-INDEX)
066600             GO TO 8699-ES-EXIT.
066700*
066800     IF  X-MERCHANT-INDEX IS LESS THAN +15
066900         SET X-MERCHANT-INDEX    UP BY +1
067000         GO TO 8600-EDIT-LOOP.
067100*
067200 8699-ES-EXIT.
067300     EXIT.
067400*
067500 8800-BUILD-SCREEN.
067600*
067700     SET X-MERCHANT-INDEX        TO +1.
067800*
067900 8800-BUILD-LOOP.
068000*
068100     SET X-TS-MBRC-INDEX         TO X-MERCHANT-INDEX.
068200*
068300     IF  TS-MBRC-MERCHANT (X-TS-MBRC-INDEX)
068400                                 IS GREATER THAN ZEROES
068500         MOVE TS-MBRC-MERCHANT (X-TS-MBRC-INDEX)
068600                                 TO WS-MERCHANT-NBR
068700         MOVE TS-MBRC-MERCHANT-NAME (X-TS-MBRC-INDEX)
068800                                 TO WS-MERCHANT-NAME
068900         MOVE TS-MBRC-BLOCK-CODE (X-TS-MBRC-INDEX)
069000                                 TO WS-BLOCK-CODE
069100         MOVE TS-MBRC-REC-STATUS (X-TS-MBRC-INDEX)
069200                                 TO WS-REC-STATUS
069300         MOVE WS-DETAIL-LINE     TO RC01-DIRECTORY-LINE
069400                                    (X-MERCHANT-INDEX)
069500     ELSE
069600         MOVE DFHBMASK           TO RC01-SELECT-A
069700                                    (X-MERCHANT-INDEX)
069800         MOVE DFHBMDAS           TO RC01-DIRECTORY-LINE-A
069900                                    (X-MERCHANT-INDEX)
070000                                    RC01-SELECT-LP-A
070100                                    (X-MERCHANT-INDEX)
070200                                    RC01-SELECT-RP-A
070300                                    (X-MERCHANT-INDEX).
070400*
070500     IF  X-MERCHANT-INDEX IS LESS THAN +15
070600         SET X-MERCHANT-INDEX    UP BY +1
070700         GO TO 8800-BUILD-LOOP
070800     ELSE
070900         MOVE MBCA-MBRC-FWD-INDEX
071000                                 TO WS-FWD-INDEX.
071100*
071200 8899-BS-EXIT.
071300     EXIT.
071400*
071500 8900-LAST-SCREEN.
071600*
071700****************************************************************
071800*    START BROWSE THE MERCHANT RELATIONSHIP FILE               *
071900****************************************************************
072000*
072100     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
072200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
072300     MOVE MBCA-CHAIN             TO MBIOWS-MMRD-CHAIN.
072400     MOVE 99                     TO MBIOWS-MMRD-SEQ-NBR.
072500     SET MBIORO-STARTBR-GTE      TO TRUE.
072600     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
072700*
072800****************************************************************
072900*    READNEXT THE MERCHANT RELATIONSHIP FILE                   *
073000****************************************************************
073100*
073200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
073300     SET MBIORO-READ-SEQ         TO TRUE.
073400     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
073500*
073600****************************************************************
073700*    READPREV THE MERCHANT RELATIONSHIP FILE                   *
073800****************************************************************
073900*
074000     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
074100     SET MBIORO-READ-PREV        TO TRUE.
074200     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
074300*
074400     SET X-MERCHANT-INDEX        TO +15.
074500     MOVE 'N'                    TO WS-BYPASS-SW.
074600*
074700 8900-READ-RELATIONSHIP-FILE.
074800*
074900****************************************************************
075000*    READPREV THE MERCHANT RELATIONSHIP FILE                   *
075100****************************************************************
075200*
075300     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
075400     SET MBIORO-READ-PREV        TO TRUE.
075500     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
075600*
075700     SET X-MMRD-MEMBER           TO +800.
075800*
075900 8900-BUILD-LOOP.
076000*
076100     IF  X-MMRD-MEMBER IS LESS THAN +1
076200     AND MMRD-SEQ-NBR IS NOT EQUAL
076300                                 TO MBCA-MBRC-FIRST-SEQ-NBR
076400         GO TO 8900-READ-RELATIONSHIP-FILE.
076500*
076600     IF  X-MMRD-MEMBER IS EQUAL TO MBCA-MBRC-FIRST-INDEX
076700     AND MMRD-SEQ-NBR IS EQUAL TO MBCA-MBRC-FIRST-SEQ-NBR
076800     AND X-MERCHANT-INDEX IS GREATER THAN +1
076900         MOVE ' '                TO MBCA-MBRC-RETURN-FLAG
077000         MOVE MBCA-MBRC-FIRST-INDEX
077100                                 TO MBCA-MBRC-FWD-INDEX
077200         MOVE MBCA-MBRC-FIRST-SEQ-NBR
077300                                 TO MBCA-MBRC-FWD-SEQ-NBR
077400         MOVE 'Y'                TO WS-BYPASS-SW
077500         GO TO 8900-END-BROWSE.
077600*
077700     IF  MMRD-MEMBER (X-MMRD-MEMBER) IS EQUAL TO ZEROES
077800         SET X-MMRD-MEMBER       DOWN BY +1
077900         GO TO 8900-BUILD-LOOP.
078000*
078100     PERFORM 9400-BUILD-SCREEN-LINE
078200                                 THRU 9499-BSL-EXIT.
078300*
078400     IF  X-MERCHANT-INDEX IS GREATER THAN +1
078500         SET X-MERCHANT-INDEX    DOWN BY +1
078600         SET X-MMRD-MEMBER       DOWN BY +1
078700         GO TO 8900-BUILD-LOOP
078800     ELSE
078900         SET MBCA-MBRC-BACK-INDEX
079000                                 TO X-MMRD-MEMBER
079100         MOVE MMRD-SEQ-NBR       TO MBCA-MBRC-BACK-SEQ-NBR.
079200*
079300 8900-END-BROWSE.
079400*
079500****************************************************************
079600*    END BROWSE THE MERCHANT RELATIONSHIP FILE                 *
079700****************************************************************
079800*
079900     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
080000     SET MBIORO-ENDBR            TO TRUE.
080100     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
080200*
080300     IF  WS-BYPASS-YES
080400         GO TO 8999-LS-EXIT.
080500*
080600     MOVE ZEROES                 TO MBCA-MBRC-FWD-INDEX
080700                                    MBCA-MBRC-FWD-SEQ-NBR
080800                                    WS-FWD-INDEX.
080900*
081000 8999-LS-EXIT.
081100     EXIT.
081200*
081300 9000-BACK-SCREEN.
081400*
081500****************************************************************
081600*    START BROWSE THE MERCHANT RELATIONSHIP FILE               *
081700****************************************************************
081800*
081900     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
082000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
082100     MOVE MBCA-CHAIN             TO MBIOWS-MMRD-CHAIN.
082200     MOVE MBCA-MBRC-FWD-SEQ-NBR  TO MBIOWS-MMRD-SEQ-NBR.
082300     SET MBIORO-STARTBR-GTE      TO TRUE.
082400     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
082500*
082600     SET X-MERCHANT-INDEX        TO +15.
082700     SET X-MMRD-MEMBER           TO MBCA-MBRC-FWD-INDEX.
082800     MOVE 'N'                    TO WS-BYPASS-SW.
082900*
083000 9000-READ-RELATIONSHIP-FILE.
083100*
083200****************************************************************
083300*    READPREV THE MERCHANT RELATIONSHIP FILE                   *
083400****************************************************************
083500*
083600     MOVE 'FC08'                 TO MBCA-PROGRAM-LOCATION.
083700     SET MBIORO-READ-PREV        TO TRUE.
083800     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
083900*
084000 9000-BUILD-LOOP.
084100*
084200     IF  X-MMRD-MEMBER IS LESS THAN +1
084300         IF  MMRD-SEQ-NBR IS NOT EQUAL
084400                                 TO MBCA-MBRC-FIRST-SEQ-NBR
084500             SET X-MMRD-MEMBER
084600                                 TO +800
084700             GO TO 9000-READ-RELATIONSHIP-FILE
084800         ELSE
084900             IF  MMRD-SEQ-NBR IS EQUAL
085000                                 TO MBCA-MBRC-FIRST-SEQ-NBR
085100                 MOVE ' '        TO MBCA-MBRC-RETURN-FLAG
085200                 MOVE MBCA-MBRC-FIRST-INDEX
085300                                 TO MBCA-MBRC-FWD-INDEX
085400                 MOVE MBCA-MBRC-FIRST-SEQ-NBR
085500                                 TO MBCA-MBRC-FWD-SEQ-NBR
085600                 MOVE 'Y'        TO WS-BYPASS-SW
085700                 GO TO 9000-END-BROWSE.
085800*
085900     IF  MMRD-MEMBER (X-MMRD-MEMBER) IS EQUAL TO ZEROES
086000         SET X-MMRD-MEMBER       DOWN BY +1
086100         GO TO 9000-BUILD-LOOP.
086200*
086300     PERFORM 9400-BUILD-SCREEN-LINE
086400                                 THRU 9499-BSL-EXIT.
086500*
086600     IF  X-MERCHANT-INDEX IS EQUAL TO +15
086700         SET MBCA-MBRC-FWD-INDEX TO X-MMRD-MEMBER
086800         SET WS-FWD-INDEX        TO X-MMRD-MEMBER
086900         MOVE MMRD-SEQ-NBR       TO MBCA-MBRC-FWD-SEQ-NBR.
087000*
087100     IF  X-MERCHANT-INDEX IS GREATER THAN +1
087200         SET X-MERCHANT-INDEX    DOWN BY +1
087300         SET X-MMRD-MEMBER       DOWN BY +1
087400         GO TO 9000-BUILD-LOOP
087500     ELSE
087600         SET MBCA-MBRC-BACK-INDEX
087700                                 TO X-MMRD-MEMBER
087800         MOVE MMRD-SEQ-NBR       TO MBCA-MBRC-BACK-SEQ-NBR.
087900*
088000 9000-END-BROWSE.
088100*
088200****************************************************************
088300*    END BROWSE THE MERCHANT RELATIONSHIP FILE                 *
088400****************************************************************
088500*
088600     MOVE 'FC09'                 TO MBCA-PROGRAM-LOCATION.
088700     SET MBIORO-ENDBR            TO TRUE.
088800     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
088900*
089000 9099-BS-EXIT.
089100     EXIT.
089200*
089300 9100-READ-MERCHANT.
089400*
089500     IF  MBIOWS-MMMM-KEY IS EQUAL TO MMMM-KEY
089600         GO TO 9199-RM-EXIT.
089700*
089800****************************************************************
089900*    READ RANDOM THE MERCHANT MASTER FILE                      *
090000****************************************************************
090100*
090200     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
090300     SET MBIORO-READ-RANDOM      TO TRUE.
090400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
090500*
090600 9199-RM-EXIT.
090700     EXIT.
090800*
090900 9200-READ-RELATIONSHIP.
091000*
091100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRD-ORG.
091200     MOVE MBCA-CHAIN             TO MBIOWS-MMRD-CHAIN.
091300     MOVE MBCA-MBRC-FWD-SEQ-NBR  TO MBIOWS-MMRD-SEQ-NBR.
091400     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
091500     SET MBIORO-READ-RANDOM      TO TRUE.
091600     PERFORM MMRDAO-ACCESS       THRU MMRDAO-ACCESS-EXIT.
091700*
091800 9299-RR-EXIT.
091900     EXIT.
092000*
092100 9300-READ-AHEAD.
092200*
092300     SET X-MMRD-MEMBER           UP BY +1.
092400     MOVE MBCA-MBRC-FWD-SEQ-NBR  TO WS-HOLD-FWD-SEQ-NBR.
092500*
092600 9300-READ-LOOP.
092700*
092800     IF  X-MMRD-MEMBER IS GREATER THAN +800
092900         COMPUTE MBCA-MBRC-FWD-SEQ-NBR
093000                                 = MBCA-MBRC-FWD-SEQ-NBR + 1
093100         PERFORM 9200-READ-RELATIONSHIP
093200                                 THRU 9299-RR-EXIT
093300         SET X-MMRD-MEMBER       TO 1
093400         IF  SS08WS-RC-FC-NOTFND
093500             MOVE ZEROES         TO WS-FWD-INDEX
093600                                    MBCA-MBRC-FWD-INDEX
093700             GO TO 9300-RESET-SEQ-NBR.
093800*
093900     IF  MMRD-MEMBER (X-MMRD-MEMBER) IS EQUAL TO ZEROES
094000         SET X-MMRD-MEMBER       UP BY +1
094100         GO TO 9300-READ-LOOP.
094200*
094300     SET WS-FWD-INDEX            TO X-MMRD-MEMBER.
094400*
094500 9300-RESET-SEQ-NBR.
094600*
094700     MOVE WS-HOLD-FWD-SEQ-NBR    TO MBCA-MBRC-FWD-SEQ-NBR.
094800*
094900 9399-RA-EXIT.
095000     EXIT.
095100*
095200 9400-BUILD-SCREEN-LINE.
095300*
095400     SET X-TS-MBRC-INDEX         TO X-MERCHANT-INDEX.
095500*
095600     MOVE MMRD-MEMBER (X-MMRD-MEMBER)
095700                                 TO WS-MERCHANT-NBR
095800                                    MBIOWS-MMMM-MERCHANT
095900                                    TS-MBRC-MERCHANT
096000                                    (X-TS-MBRC-INDEX).
096100*
096200     PERFORM 9100-READ-MERCHANT  THRU 9199-RM-EXIT.
096300*
096400     MOVE MMMM-NA-LINE (1 1)     TO WS-MERCHANT-NAME
096500                                    TS-MBRC-MERCHANT-NAME
096600                                    (X-TS-MBRC-INDEX).
096700*
096800     MOVE MMMM-BLOCK-CODE        TO WS-BLOCK-CODE
096900                                    TS-MBRC-BLOCK-CODE
097000                                    (X-TS-MBRC-INDEX).
097100*
097200     MOVE MMMM-REC-STATUS        TO WS-REC-STATUS
097300                                    TS-MBRC-REC-STATUS
097400                                    (X-TS-MBRC-INDEX).
097500*
097600     MOVE WS-DETAIL-LINE         TO RC01-DIRECTORY-LINE
097700                                    (X-MERCHANT-INDEX).
097800*
097900 9499-BSL-EXIT.
098000     EXIT.
098100/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
098200     COPY SS26PD.
098300/         ROUTINE TO NUMERICALLY EDIT TIME
098400     COPY SS27PD.
098500/         JULIAN TO GREGORIAN DATE ROUTINE
098600     COPY SS08PD.
098700/         LINE 24 PF KEYS ROUTINE
098800     COPY SS15PD.
098900/         MERCHANT RELATIONSHIP RECORD ACCESS ROUTINES
099000     COPY MMRDAO.
099100/         MERCHANT MASTER RECORD ACCESS ROUTINES
099200     COPY MMMMAO.
099300/         ON-LINE MAP ROUTINES
099400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBRC01 '
099500                           MBMAPXXI BY MBRC01I
099600                           MBMAPXXO BY MBRC01O.
099700/         ON-LINE PROCEDURES
099800     COPY MB70PD.
099900/
100000     COPY SMFTPXO.
