000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBORG00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBORG00 - ON-LINE STORE RELATIONSHIPS                    *
000800*                INQUIRY LOCATE SCREEN 00                       *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBRG                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBRG00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMOC   (ORG CONTROL FILE)                  *
001600*                 B. MMSD   (STORE RELATIONSHIP DETAIL FILE)    *
001700*                 C. MMSR   (STORE RELATIONSHIP CONTROL FILE)   *
001800*                                                               *
001900*****************************************************************
002000*
002100 ENVIRONMENT DIVISION.
002200 DATA DIVISION.
002300 WORKING-STORAGE SECTION.
002400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002500*         I/O REQUEST BLOCK WORK AREAS
002600     COPY MBIOWS.
002700/         I/O REQUEST BLOCK
002800     COPY MBIORO.
002900/         DATE WORK AREAS
003000     COPY SS01WS.
003100/         ONLINE WORK AREAS
003200     COPY SS08WS.
003300/
003400     COPY SS00WS.
003500/
003600     COPY SMFTWS.
003700/
003800     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003900/
004000     COPY MB61LK.
004100/         STANDARD ERROR MESSAGES
004200     COPY MBEMWS.
004300*
004400 01  WS-MISCELLANEOUS.
004500     03  WS-GROUP-LOW        PIC  9(02)      VALUE 01.
004600     03  WS-GROUP-HIGH       PIC  9(02)      VALUE 06.
004700     03  WS-GROUP-READ-SW    PIC  X(01)      VALUE 'N'.
004800         88  WS-GROUP-READ-NO                VALUE 'N'.
004900         88  WS-GROUP-READ-YES               VALUE 'Y'.
005000     03  WS-ORG-CHAIN-KEY.
005100         05  WS-ORG          PIC  9(03)      VALUE ZEROS.
005200         05  WS-CHAIN        PIC  9(09)      VALUE ZEROS.
005300*
005400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005500/
005600 LINKAGE SECTION.
005700 01  DFHCOMMAREA.
005800     COPY MB60WS.
005900/         RELATIONSHIP SCREEN 00 MAP DSECT
006000     COPY MBRG00.
006100/         RELATIONSHIP SCREEN 00 MAP REDEFINITION
006200     COPY MBRG00R.
006300/         ORG RECORD LAYOUT
006400     COPY MMOCRL.
006500/         STORE RELATIONSHIP DETAIL RECORD LAYOUT
006600     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
006700/         STORE RELATIONSHIP CONTROL RECORD LAYOUT
006800     COPY MMSRRL.
006900/
007000 PROCEDURE DIVISION.
007100 0000-HOUSEKEEPING SECTION.
007200 0100-INIT.
007300*
007400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
007500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
007600                                 THRU MB70PD-OLH-EXIT.
007700*
007800     IF  MBCA-RECEIVE-SCREEN
007900         GO TO 2000-RECEIVE-SCREEN.
008000*
008100 1000-SEND-SCREEN SECTION.
008200*
008300****************************************************************
008400*    GET CICS STORAGE NEEDED FOR THE MAP                       *
008500****************************************************************
008600*
008700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
008800     PERFORM MB60PD-GETMAIN-FOR-MAP
008900                                 THRU MB60PD-GFM-EXIT.
009000*
009100*****************************************************************
009200*    CHECK KEY CODES                                            *
009300* 1. IF INITIAL KEY CODE, BYPASS CHECK OF KEY CODES.            *
009400* 2. IF MMSD KEY CODE, IT MUST BE A VALID CODE.  IF DIRECT, GO  *
009500*    TO THE RECEIVE EDITING ROUTINE SINCE WE HAVE PLUGGED THE   *
009600*    ORG, STORE, AND GROUP NUMBER IN THE MAP. IF AN ERROR       *
009700*    OCCURS IN THE RECEIVE SCREEN ROUTINE, IT WILL HANDLE       *
009800*    BUILDING THE MAP AND IT WILL SEND ITS OWN SCREEN.  THIS IS *
009900*    WHY LOCATE PROGRAMS ALWAYS SEND WITH ERASE NO MATTER WHICH *
010000*    ROUTINE YOU ARE IN.  IF NOT DIRECT, PLUG ORG, STORE        *
010100*    CHAIN AND GROUP NUMBER INTO THE MAP AND BYPASS ANY OTHER   *
010200*    CHECKING OF THE KEY CODE.                                  *
010300* 3. IF 2 IS FALSE, SEE IF THE MBCA-MERCHANT-ORG                *
010400*    FIELD IS GREATER THAN ZERO.  IF SO, PLUG INTO MAP. SEE IF  *
010500*    MBCA-S-CHAIN IS GREATER THAN ZERO. IF SO, PLUG INTO MAP.   *
010600*    SEE IF MBCA-GROUP-NBR IS GREATER THAN ZERO. IF SO, PLUG    *
010700*    INTO MAP. HANDLE IF THEY WERE NON-DIRECT.                  *
010800*****************************************************************
010900*
011000     IF  MBCA-INITIAL-KEY-CODE
011100         GO TO 1100-BUILD-SCREEN.
011200*
011300     IF  MBCA-MMSD-KEY-CODE
011400     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
011500     AND MBCA-S-CHAIN       IS GREATER THAN ZERO
011600         MOVE MBCA-MERCHANT-ORG  TO RG00-ORG
011700         MOVE MBCA-S-CHAIN       TO RG00-CHAIN
011800         MOVE DFHBMUNF           TO RG00-ORG-A
011900                                    RG00-CHAIN-A
012000         IF  MBCA-DIRECT-TRANSFER-CODE
012100         AND MBCA-INITIAL-SCREEN-NBR
012200             MOVE 00             TO MBCA-SCREEN-NBR
012300             GO TO 2120-READ-ORG.
012400*
012500 1100-BUILD-SCREEN.
012600*
012700****************************************************************
012800*    INITIALIZE THE STANDARD MAP LINES                         *
012900****************************************************************
013000*
013100     MOVE SS08WS-CURSOR          TO RG00-ORG-L.
013200     MOVE 00                     TO MBCA-SCREEN-NBR.
013300     PERFORM MB60PD-INIT-STD-MAP-LINES
013400                                 THRU MB60PD-ISML-EXIT.
013500*
013600     IF  MBCA-VALID-KEY-CODES
013700     AND MBCA-MERCHANT-ORG IS GREATER THAN ZERO
013800         MOVE MBCA-MERCHANT-ORG TO RG00-ORG
013900         MOVE DFHBMUNF           TO RG00-ORG-A
014000         IF  MBCA-S-CHAIN IS GREATER THAN ZERO
014100             MOVE MBCA-S-CHAIN   TO RG00-CHAIN
014200             MOVE DFHBMUNF       TO RG00-CHAIN-A.
014300*
014400     MOVE DFHBMASK               TO RG00-CURRENT-PAGE-A.
014500*
014600****************************************************************
014700*    SEND THE MAP                                              *
014800****************************************************************
014900*
015000     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
015100     PERFORM MB60PD-SEND-MAP-WITH-ERASE
015200                                 THRU MB60PD-SMWE-EXIT.
015300*
015400****************************************************************
015500*    RETURN TO CICS                                            *
015600****************************************************************
015700*
015800     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
015900     PERFORM MB70PD-RETURN-TRANS-ID
016000                                 THRU MB70PD-RTI-EXIT.
016100/
016200 2000-RECEIVE-SCREEN SECTION.
016300*
016400****************************************************************
016500*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
016600****************************************************************
016700*
016800     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
016900     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
017000*
017100****************************************************************
017200*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
017300****************************************************************
017400*
017500     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
017600     PERFORM MB60PD-NEW-TRANS-ROUTINE
017700                                 THRU MB60PD-NTR-EXIT.
017800*
017900 2100-EDIT-SCREEN.
018000*
018100     MOVE 'N'                    TO SS08WS-ERROR.
018200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
018300*
018400     IF  (RG00-ORG-L IS LESS THAN 1
018500     AND  RG00-CHAIN-L IS LESS THAN 1)
018600     AND (SS08WS-VALID-PF-KEY
018700     OR   SS08WS-EIBAID-VALID-PF-KEY)
018800         MOVE 99                 TO MBCA-SCREEN-NBR
018900         GO TO 2690-TRANSFER-XCTL.
019000*
019100 2110-EDIT-ORG.
019200*
019300     MOVE DFHBMUNF               TO RG00-ORG-A.
019400     MOVE DFHBMASK               TO RG00-ORG-LP-A
019500                                    RG00-ORG-RP-A.
019600*
019700     IF  RG00-ORG-L IS EQUAL TO ZERO
019800     OR  RG00-ORG IS NOT NUMERIC
019900         MOVE MBEMWS-INVALID-ORG TO RG00-ERR-MESSAGE
020000         GO TO 2130-ORG-ERROR.
020100*
020200     IF  RG00-ORG IS LESS THAN MBCA-ORG-LOW
020300     OR  RG00-ORG IS GREATER THAN MBCA-ORG-HIGH
020400         MOVE MBEMWS-INVALID-ORG TO RG00-ERR-MESSAGE
020500         GO TO 2130-ORG-ERROR.
020600*
020700 2120-READ-ORG.
020800*
020900****************************************************************
021000*    READ THE ORGANIZATION FILE                                *
021100****************************************************************
021200*
021300     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
021400     MOVE RG00-ORG               TO MBIOWS-MMOC-ORG.
021500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
021600     SET MBIORO-READ-RANDOM      TO TRUE.
021700     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
021800*
021900     IF  SS08WS-RC-FC-VALID-RTN-CODE
022000         MOVE RG00-ORG           TO MBCA-MERCHANT-ORG
022100         IF  MMOC-ADD-PENDING
022200             MOVE MBEMWS-ADD-PENDING
022300                                 TO RG00-ERR-MESSAGE
022400         ELSE
022500             IF  MMOC-REC-INCOMPLETE
022600             OR  MMOC-REC-PURGED
022700                 MOVE MBEMWS-NOT-ACTIVE
022800                                 TO RG00-ERR-MESSAGE
022900             ELSE
023000                 GO TO 2140-EDIT-CHAIN
023100     ELSE
023200         MOVE MBEMWS-NOT-ON-FILE TO RG00-ERR-MESSAGE.
023300*
023400 2130-ORG-ERROR.
023500*
023600     MOVE DFHBMNBF               TO RG00-ORG-A.
023700     MOVE DFHBMASB               TO RG00-ORG-LP-A
023800                                    RG00-ORG-RP-A.
023900     MOVE SS08WS-CURSOR          TO RG00-ORG-L.
024000     MOVE 'Y'                    TO SS08WS-ERROR.
024100*
024200 2140-EDIT-CHAIN.
024300*
024400     MOVE DFHBMUNF               TO RG00-CHAIN-A.
024500     MOVE DFHBMASK               TO RG00-CHAIN-LP-A
024600                                    RG00-CHAIN-RP-A.
024700*
024800     IF  MBCA-DIRECT-TRANSFER-CODE
024900         GO TO 2145-CHAIN-READ.
025000*
025100     IF  RG00-CHAIN-L IS EQUAL TO ZERO
025200     OR  RG00-CHAIN IS NOT NUMERIC
025300         MOVE MBEMWS-INVALID-CHAIN
025400                                 TO RG00-ERR-MESSAGE
025500         GO TO 2150-CHAIN-ERROR.
025600*
025700 2145-CHAIN-READ.
025800*
025900****************************************************************
026000*    READ THE CHAIN CONTROL RECORD                             *
026100****************************************************************
026200*
026300     IF  SS08WS-ERROR IS EQUAL TO 'Y'
026400         GO TO 2160-READ-MMSD.
026500*
026600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
026700     MOVE RG00-ORG               TO MBIOWS-MMSR-ORG.
026800     MOVE RG00-CHAIN             TO MBIOWS-MMSR-CHAIN.
026900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
027000     SET MBIORO-READ-RANDOM      TO TRUE.
027100     PERFORM MMSRAO-ACCESS       THRU MMSRAO-ACCESS-EXIT.
027200*
027300     IF  SS08WS-RC-FC-NOTFND
027400         MOVE MBEMWS-NOT-ON-FILE TO RG00-ERR-MESSAGE
027500     ELSE
027600         IF  MMSR-ADD-PENDING
027700             MOVE MBEMWS-ADD-PENDING
027800                                 TO RG00-ERR-MESSAGE
027900         ELSE
028000             IF  MMSR-REC-INCOMPLETE
028100             OR  MMSR-REC-PURGED
028200                 MOVE MBEMWS-NOT-ACTIVE
028300                                 TO RG00-ERR-MESSAGE
028400             ELSE
028500                 MOVE RG00-CHAIN
028600                                 TO MBCA-S-CHAIN
028700                 MOVE MMSR-NA-LINE (1)
028800                                 TO MBCA-MBRC-NAME
028900                 GO TO 2160-READ-MMSD.
029000*
029100 2150-CHAIN-ERROR.
029200*
029300     MOVE DFHBMNBF               TO RG00-CHAIN-A.
029400     MOVE DFHBMASB               TO RG00-CHAIN-LP-A
029500                                    RG00-CHAIN-RP-A.
029600     MOVE SS08WS-CURSOR          TO RG00-CHAIN-L.
029700     MOVE 'Y'                    TO SS08WS-ERROR.
029800*
029900 2160-READ-MMSD.
030000*
030100****************************************************************
030200*    READ THE CHAIN FILE GROUP RECORD                          *
030300****************************************************************
030400*
030500     IF  SS08WS-ERROR IS EQUAL TO 'Y'
030600         GO TO 2290-CHECK-ERROR.
030700*
030800****************************************************************
030900*    START BROWSE THE CHAIN FILE                               *
031000****************************************************************
031100*
031200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
031300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSD-ORG.
031400     MOVE RG00-CHAIN             TO MBIOWS-MMSD-CHAIN.
031500     MOVE ZEROS                  TO MBIOWS-MMSD-SEQ-NBR.
031600     SET MBIORO-STARTBR-GTE      TO TRUE.
031700     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
031800*
031900 2165-READ-NEXT.
032000*
032100****************************************************************
032200*    READNEXT THE CHAIN FILE                                   *
032300****************************************************************
032400*
032500     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
032600     SET MBIORO-READ-SEQ         TO TRUE.
032700     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
032800*
032900     MOVE MBCA-MERCHANT-ORG      TO WS-ORG.
033000     MOVE MBCA-S-CHAIN           TO WS-CHAIN.
033100*
033200     IF  MMSD-ORG-CHAIN IS GREATER THAN WS-ORG-CHAIN-KEY
033300         MOVE 'NO RECORDS ON FILE FOR THE SELECTION CRITERIA'
033400                                 TO RG00-ERR-MESSAGE
033500         MOVE DFHBMNBF           TO RG00-ORG-A
033600         MOVE DFHBMASB           TO RG00-ORG-LP-A
033700                                    RG00-ORG-RP-A
033800         MOVE SS08WS-CURSOR      TO RG00-ORG-L
033900     ELSE
034000         IF  MMSD-NBR-OF-MEMBERS IS EQUAL TO ZEROES
034100             GO TO 2165-READ-NEXT
034200         ELSE
034300             PERFORM 9100-FIND-FIRST-MEMBER
034400                                 THRU 9199-FFM-EXIT
034500             IF  WS-GROUP-READ-YES
034600                 GO TO 2165-READ-NEXT
034700             ELSE
034800                 SET MBCA-MBRC-FIRST-INDEX
034900                                 TO X-MMSD-MEMBER
035000                 SET MBCA-MBRC-FWD-INDEX
035100                                 TO X-MMSD-MEMBER
035200                 MOVE ' '        TO MBCA-MBRC-RETURN-FLAG
035300                 MOVE 'Y'        TO MBCA-MBRC-FIRST-TIME-FLAG
035400                 MOVE ZEROES     TO MBCA-MBRC-BACK-SEQ-NBR
035500                                    MBCA-MBRC-BACK-INDEX
035600                 MOVE MMSD-SEQ-NBR
035700                                 TO MBCA-MBRC-FIRST-SEQ-NBR
035800                                    MBCA-MBRC-FWD-SEQ-NBR
035900                 GO TO 2290-CHECK-ERROR.
036000*
036100****************************************************************
036200*    END BROWSE THE CHAIN FILE                                 *
036300****************************************************************
036400*
036500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
036600     SET MBIORO-ENDBR            TO TRUE.
036700     PERFORM MMSDAO-ACCESS       THRU MMSDAO-ACCESS-EXIT.
036800*
036900 2170-CHAIN-DETAIL-ERROR.
037000*
037100     MOVE DFHBMNBF               TO RG00-CHAIN-A.
037200     MOVE DFHBMASB               TO RG00-CHAIN-LP-A
037300                                    RG00-CHAIN-RP-A.
037400     MOVE SS08WS-CURSOR          TO RG00-CHAIN-L.
037500     MOVE 'Y'                    TO SS08WS-ERROR.
037600*
037700 2290-CHECK-ERROR.
037800*
037900     IF  SS08WS-ERROR IS EQUAL TO 'N'
038000         GO TO 2600-SETUP-COMMAREA
038100     ELSE
038200         IF  SS08WS-VALID-PF-KEY
038300         OR  SS08WS-EIBAID-VALID-PF-KEY
038400             MOVE 99             TO MBCA-SCREEN-NBR
038500             GO TO 2690-TRANSFER-XCTL.
038600*
038700 2300-SEND-MAP.
038800*
038900****************************************************************
039000*    SEND THE MAP                                              *
039100****************************************************************
039200*
039300     PERFORM MB60PD-INIT-STD-MAP-LINES
039400                                 THRU MB60PD-ISML-EXIT.
039500*
039600     MOVE DFHBMASK               TO RG00-CURRENT-PAGE-A.
039700*
039800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
039900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
040000                                 THRU MB60PD-SMWE-EXIT.
040100*
040200****************************************************************
040300*    RETURN TO CICS                                            *
040400****************************************************************
040500*
040600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
040700     PERFORM MB70PD-RETURN-TRANS-ID
040800                                 THRU MB70PD-RTI-EXIT.
040900/
041000 2600-SETUP-COMMAREA.
041100*
041200****************************************************************
041300*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
041400****************************************************************
041500*
041600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
041700*
041800     MOVE MBIOWS-MMSD-DIRECT-KEY-CODE
041900                                 TO MBCA-KEY-CODE.
042000*
042100     PERFORM MB60PD-EDIT-PAGE-NBR
042200                                 THRU MB60PD-EPN-EXIT.
042300*
042400     IF  SS08WS-VALID-PF-KEY
042500     OR  SS08WS-EIBAID-VALID-PF-KEY
042600         MOVE 99                 TO MBCA-SCREEN-NBR.
042700*
042800 2690-TRANSFER-XCTL.
042900*
043000     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
043100     PERFORM MB70PD-XCTL-TO-MBOXCTL
043200                                 THRU MB70PD-XTM-EXIT.
043300/
043400*
043500 9100-FIND-FIRST-MEMBER.
043600*
043700     SET X-MMSD-MEMBER           TO +1.
043800     MOVE 'N'                    TO WS-GROUP-READ-SW.
043900*
044000 9100-FIND-LOOP.
044100*
044200     IF  X-MMSD-MEMBER IS GREATER THAN +800
044300         MOVE 'Y'                TO WS-GROUP-READ-SW
044400         GO TO 9199-FFM-EXIT.
044500*
044600     IF  MMSD-MEMBER (X-MMSD-MEMBER) IS EQUAL TO ZEROES
044700         SET X-MMSD-MEMBER       UP BY +1
044800         GO TO 9100-FIND-LOOP.
044900*
045000 9199-FFM-EXIT.
045100     EXIT.
045200/         NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
045300     COPY SS26PD.
045400/         ROUTINE TO NUMERICALLY EDIT TIME
045500     COPY SS27PD.
045600/         JULIAN TO GREGORIAN DATE ROUTINE
045700     COPY SS08PD.
045800/         LINE 24 PF KEYS ROUTINE
045900     COPY SS15PD.
046000/         ORG FILE RECORD 1 ACCESS ROUTINES
046100     COPY MMOCAO.
046200/         STORE RELATIONSHIP FILE CONTROL ACCESS ROUTINES
046300     COPY MMSRAO.
046400/         STORE RELATIONSHIP FILE DETAIL ACCESS ROUTINES
046500     COPY MMSDAO.
046600/         ON-LINE MAP ROUTINES
046700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBRG00 '
046800                           MBMAPXXI BY MBRG00I
046900                           MBMAPXXO BY MBRG00O.
047000/         ON-LINE PROCEDURES
047100     COPY MB70PD.
047200/
047300     COPY SMFTPXO.
