000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOSS00.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOSS00 - ON-LINE MERCHANT STATISTICS                    *
000800*                INQUIRY LOCATE SCREEN 00                       *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBSS                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBSS00 (LOCATE MAP)                        *
001400*              3. FILES USED -                                  *
001500*                 A. MMSC (SYSTEM CONTROL FILE)                 *
001600*                                                               *
001700*****************************************************************
001800*
001900 ENVIRONMENT DIVISION.
002000 DATA DIVISION.
002100 WORKING-STORAGE SECTION.
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*         I/O REQUEST BLOCK WORK AREAS
002400     COPY MBIOWS.
002500/         I/O REQUEST BLOCK
002600     COPY MBIORO.
002700/         DATE WORK AREAS
002800     COPY SS01WS.
002900/         ONLINE WORK AREAS
003000     COPY SS08WS.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SMFTWS.
003500/
003600     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
003700/
003800     COPY MB61LK.
003900/         STANDARD ERROR MESSAGES
004000     COPY MBEMWS.
004100*
004200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004300/
004400 LINKAGE SECTION.
004500 01  DFHCOMMAREA.
004600     COPY MB60WS.
004700/         MERCHANT STATISTICS SCREEN 00 MAP DSECT
004800     COPY MBSS00.
004900/         MERCHANT STATISTICS SCREEN 00 MAP REDEFINITION
005000     COPY MBSS00R.
005100/         SYSTEM CONTROL FILE RECORD LAYOUT
005200     COPY MMSCRL.
005300/
005400 PROCEDURE DIVISION.
005500 0000-HOUSEKEEPING SECTION.
005600 0100-INIT.
005700*
005800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
005900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
006000                                 THRU MB70PD-OLH-EXIT.
006100*
006200     IF  MBCA-RECEIVE-SCREEN
006300         GO TO 2000-RECEIVE-SCREEN.
006400*
006500 1000-SEND-SCREEN SECTION.
006600*
006700****************************************************************
006800*    GET CICS STORAGE NEEDED FOR THE MAP                       *
006900****************************************************************
007000*
007100     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
007200     PERFORM MB60PD-GETMAIN-FOR-MAP
007300                                 THRU MB60PD-GFM-EXIT.
007400*
007500 1100-BUILD-SCREEN.
007600*
007700****************************************************************
007800*    INITIALIZE THE STANDARD MAP LINES                         *
007900****************************************************************
008000*
008100     MOVE SS08WS-CURSOR          TO SS00-MERCHANT-L.
008200     MOVE 00                     TO MBCA-SCREEN-NBR.
008300     PERFORM MB60PD-INIT-STD-MAP-LINES
008400                                 THRU MB60PD-ISML-EXIT.
008500*
008600     EVALUATE TRUE
008700         WHEN MBCA-MBSM-VALID-STORE
008800             MOVE DFHBMFSE       TO SS00-STORE-A
008900             SET SS00-STORE-VALID
009000                                 TO TRUE
009100         WHEN MBCA-MBSM-VALID-MERCHANT
009200             MOVE DFHBMFSE       TO SS00-MERCHANT-A
009300             SET SS00-MERCHANT-VALID
009400                                 TO TRUE
009500         WHEN MBCA-MBSM-VALID-CHAIN
009600             MOVE DFHBMFSE       TO SS00-MER-CH-A
009700             SET SS00-MER-CH-VALID
009800                                 TO TRUE
009900         WHEN MBCA-MBSM-VALID-S-CHAIN
010000             MOVE DFHBMFSE       TO SS00-STORE-CH-A
010100             SET SS00-STORE-CH-VALID
010200                                 TO TRUE
010300     END-EVALUATE.
010400*
010500     EVALUATE TRUE
010600         WHEN MBCA-MBSM-VALID-TOTALS
010700             MOVE DFHBMFSE       TO SS00-TOTALS-A
010800             SET SS00-TOTALS-VALID
010900                                 TO TRUE
011000         WHEN MBCA-MBSM-VALID-PRODUCT
011100             MOVE DFHBMFSE       TO SS00-PRODUCT-A
011200             SET SS00-PRODUCT-VALID
011300                                 TO TRUE
011400         WHEN MBCA-MBSM-VALID-CRED-PLAN
011500             MOVE DFHBMFSE       TO SS00-CRED-PLN-A
011600             SET SS00-CRED-PLN-VALID
011700                                 TO TRUE
011800         WHEN MBCA-MBSM-VALID-QUAL-LVL
011900             MOVE DFHBMFSE       TO SS00-INT-LVL-A
012000             SET SS00-INT-LVL-VALID
012100                                 TO TRUE
012200     END-EVALUATE.
012300*
012400     EVALUATE TRUE
012500         WHEN MBCA-MBSM-EXPENSE-VALID
012600             MOVE DFHBMFSE       TO SS00-EXPENSE-A
012700             SET SS00-EXPENSE-VALID
012800                                 TO TRUE
012900     END-EVALUATE.
013000*
013100     INITIALIZE                  MBCA-MBSM-WORK-AREA.
013200*
013300 1200-SEND-MAP.
013400*
013500****************************************************************
013600*    SEND THE MAP                                              *
013700****************************************************************
013800*
013900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
014000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
014100                                 THRU MB60PD-SMWE-EXIT.
014200*
014300****************************************************************
014400*    RETURN TO CICS                                            *
014500****************************************************************
014600*
014700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM MB70PD-RETURN-TRANS-ID
014900                                 THRU MB70PD-RTI-EXIT.
015000/
015100 2000-RECEIVE-SCREEN SECTION.
015200*
015300****************************************************************
015400*    THIS SECTION RECEIVES THE LOCATE SCREEN                   *
015500****************************************************************
015600*
015700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
015800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
015900*
016000****************************************************************
016100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER      *
016200****************************************************************
016300*
016400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
016500     PERFORM MB60PD-NEW-TRANS-ROUTINE
016600                                 THRU MB60PD-NTR-EXIT.
016700*
016800 2100-EDIT-SCREEN.
016900*
017000     SET SS08WS-ERROR-SW-NO      TO TRUE
017100     MOVE MBCA-EIBAID            TO SS08WS-EIBAID
017200*
017300* PRE-EDIT - VERIFY ONE AND ONLY ONE SELECTED
017400*    FROM EACH COLUMN
017500*
017600     MOVE ZERO                   TO SS08WS-WORK-BINARY.
017700*
017800* -- CHECK COLUMN 1 --
017900*
018000     IF  SS00-STORE-L IS GREATER THAN ZERO
018100         EVALUATE TRUE
018200             WHEN SS00-STORE-VALID
018300                 ADD +1          TO SS08WS-WORK-BINARY
018400                 MOVE DFHBMASF   TO SS00-STORE-A
018500             WHEN SS00-STORE-SPACE
018600                 MOVE DFHBMASF   TO SS00-STORE-A
018700             WHEN OTHER
018800                 MOVE DFHBMUBF   TO SS00-STORE-A
018900                 MOVE DFHBMASB   TO SS00-STORE-LP-A
019000                                    SS00-STORE-RP-A
019100                 MOVE SS08WS-CURSOR TO SS00-STORE-L
019200                 SET SS08WS-ERROR-SW-YES
019300                                 TO TRUE
019400         END-EVALUATE
019500     END-IF.
019600*
019700     IF  SS00-MERCHANT-L IS GREATER THAN ZERO
019800         EVALUATE TRUE
019900             WHEN SS00-MERCHANT-VALID
020000                 ADD +1          TO SS08WS-WORK-BINARY
020100                 MOVE DFHBMASF   TO SS00-MERCHANT-A
020200             WHEN SS00-MERCHANT-SPACE
020300                 MOVE DFHBMASF   TO SS00-MERCHANT-A
020400             WHEN OTHER
020500                 MOVE DFHBMUBF   TO SS00-MERCHANT-A
020600                 MOVE DFHBMASB   TO SS00-MERCHANT-LP-A
020700                                    SS00-MERCHANT-RP-A
020800                 MOVE SS08WS-CURSOR TO SS00-MERCHANT-L
020900                 SET SS08WS-ERROR-SW-YES
021000                                 TO TRUE
021100         END-EVALUATE
021200     END-IF.
021300*
021400     IF  SS00-MER-CH-L IS GREATER THAN ZERO
021500         EVALUATE TRUE
021600             WHEN SS00-MER-CH-VALID
021700                 ADD +1          TO SS08WS-WORK-BINARY
021800                 MOVE DFHBMASF   TO SS00-MER-CH-A
021900             WHEN SS00-MER-CH-SPACE
022000                 MOVE DFHBMASF   TO SS00-MER-CH-A
022100             WHEN OTHER
022200                 MOVE DFHBMUBF   TO SS00-MER-CH-A
022300                 MOVE DFHBMASB   TO SS00-MER-CH-LP-A
022400                                    SS00-MER-CH-RP-A
022500                 MOVE SS08WS-CURSOR TO SS00-MER-CH-L
022600                 SET SS08WS-ERROR-SW-YES
022700                                 TO TRUE
022800         END-EVALUATE
022900         MOVE 'FC01'             TO MBCA-PROGRAM-LOCATION
023000         MOVE ZEROES             TO MBIOWS-MMSC-ORG
023100         SET MBIORO-READ-RANDOM  TO TRUE
023200         PERFORM MMSCAO-ACCESS   THRU MMSCAO-ACCESS-EXIT
023300         IF  MMSC-MER-GROUP-STAT-NO
023400             MOVE DFHBMUBF       TO SS00-MER-CH-A
023500             MOVE DFHBMASB       TO SS00-MER-CH-LP-A
023600                                    SS00-MER-CH-RP-A
023700             MOVE SS08WS-CURSOR  TO SS00-MER-CH-L
023800             SET SS08WS-ERROR-SW-YES TO TRUE
023900             MOVE 'CHAIN STATISTICS ARE NOT BEING BUILT'
024000                                 TO SS00-ERR-MESSAGE
024100         END-IF
024200     END-IF.
024300*
024400     IF  SS00-STORE-CH-L IS GREATER THAN ZERO
024500         EVALUATE TRUE
024600             WHEN SS00-STORE-CH-VALID
024700                 ADD +1          TO SS08WS-WORK-BINARY
024800                 MOVE DFHBMASF   TO SS00-STORE-CH-A
024900             WHEN SS00-STORE-CH-SPACE
025000                 MOVE DFHBMASF   TO SS00-STORE-CH-A
025100             WHEN OTHER
025200                 MOVE DFHBMUBF   TO SS00-STORE-CH-A
025300                 MOVE DFHBMASB   TO SS00-STORE-CH-LP-A
025400                                    SS00-STORE-CH-RP-A
025500                 MOVE SS08WS-CURSOR TO SS00-STORE-CH-L
025600                 SET SS08WS-ERROR-SW-YES
025700                                 TO TRUE
025800         END-EVALUATE
025900         MOVE 'FC01'             TO MBCA-PROGRAM-LOCATION
026000         MOVE ZEROES             TO MBIOWS-MMSC-ORG
026100         SET MBIORO-READ-RANDOM  TO TRUE
026200         PERFORM MMSCAO-ACCESS   THRU MMSCAO-ACCESS-EXIT
026300*
026400         IF  MMSC-STORE-GROUP-STAT-NO
026500             MOVE DFHBMUBF       TO SS00-STORE-CH-A
026600             MOVE DFHBMASB       TO SS00-STORE-CH-LP-A
026700                                    SS00-STORE-CH-RP-A
026800             MOVE SS08WS-CURSOR  TO SS00-STORE-CH-L
026900             SET SS08WS-ERROR-SW-YES TO TRUE
027000             MOVE 'CHAIN STATISTICS ARE NOT BEING BUILT'
027100                                 TO SS00-ERR-MESSAGE
027200         END-IF
027300     END-IF.
027400*
027500* -- CHECK COLUMN 2 --
027600*
027700     IF  SS00-TOTALS-L IS GREATER THAN ZERO
027800         EVALUATE TRUE
027900             WHEN SS00-TOTALS-VALID
028000                 ADD +10         TO SS08WS-WORK-BINARY
028100                 MOVE DFHBMASF   TO SS00-TOTALS-A
028200             WHEN SS00-TOTALS-SPACE
028300                 MOVE DFHBMASF   TO SS00-TOTALS-A
028400             WHEN OTHER
028500                 MOVE DFHBMUBF   TO SS00-TOTALS-A
028600                 MOVE DFHBMASB   TO SS00-TOTALS-LP-A
028700                                    SS00-TOTALS-RP-A
028800                 MOVE SS08WS-CURSOR TO SS00-TOTALS-L
028900                 SET SS08WS-ERROR-SW-YES
029000                                 TO TRUE
029100         END-EVALUATE
029200     END-IF.
029300*
029400* -- CHECK EXPENSES --
029500*
029600     IF  SS00-EXPENSE-L IS GREATER THAN ZERO
029700         EVALUATE TRUE
029800             WHEN SS00-EXPENSE-VALID
029900                 MOVE DFHBMASF   TO SS00-EXPENSE-A
030000                 SET MBCA-MBSM-EXPENSE-VALID
030100                                 TO TRUE
030200             WHEN SS00-EXPENSE-SPACE
030300                 MOVE DFHBMASF   TO SS00-EXPENSE-A
030400                 SET MBCA-MBSM-EXPENSE-SPACE
030500                                 TO TRUE
030600             WHEN OTHER
030700                 MOVE DFHBMUBF   TO SS00-EXPENSE-A
030800                 MOVE DFHBMASB   TO SS00-EXPENSE-LP-A
030900                                    SS00-EXPENSE-RP-A
031000                 MOVE SS08WS-CURSOR TO SS00-EXPENSE-L
031100                 SET SS08WS-ERROR-SW-YES
031200                                 TO TRUE
031300         END-EVALUATE
031400     ELSE
031500         SET MBCA-MBSM-EXPENSE-SPACE
031600                                 TO TRUE
031700     END-IF.
031800*
031900     IF  SS00-PRODUCT-L IS GREATER THAN ZERO
032000         EVALUATE TRUE
032100             WHEN SS00-PRODUCT-VALID
032200                 ADD +10         TO SS08WS-WORK-BINARY
032300                 MOVE DFHBMASF   TO SS00-PRODUCT-A
032400             WHEN SS00-PRODUCT-SPACE
032500                 MOVE DFHBMASF   TO SS00-PRODUCT-A
032600             WHEN OTHER
032700                 MOVE DFHBMUBF   TO SS00-PRODUCT-A
032800                 MOVE DFHBMASB   TO SS00-PRODUCT-LP-A
032900                                    SS00-PRODUCT-RP-A
033000                 MOVE SS08WS-CURSOR TO SS00-PRODUCT-L
033100                 SET SS08WS-ERROR-SW-YES
033200                                 TO TRUE
033300         END-EVALUATE
033400     END-IF.
033500*
033600     IF  SS00-CRED-PLN-L IS GREATER THAN ZERO
033700         EVALUATE TRUE
033800             WHEN SS00-CRED-PLN-VALID
033900                 ADD +10         TO SS08WS-WORK-BINARY
034000                 MOVE DFHBMASF   TO SS00-CRED-PLN-A
034100             WHEN SS00-CRED-PLN-SPACE
034200                 MOVE DFHBMASF   TO SS00-CRED-PLN-A
034300             WHEN OTHER
034400                 MOVE DFHBMUBF   TO SS00-CRED-PLN-A
034500                 MOVE DFHBMASB   TO SS00-CRED-PLN-LP-A
034600                                    SS00-CRED-PLN-RP-A
034700                 MOVE SS08WS-CURSOR TO SS00-CRED-PLN-L
034800                 SET SS08WS-ERROR-SW-YES
034900                                 TO TRUE
035000         END-EVALUATE
035100     END-IF.
035200*
035300     IF  SS00-INT-LVL-L IS GREATER THAN ZERO
035400         EVALUATE TRUE
035500             WHEN SS00-INT-LVL-VALID
035600                 ADD +10         TO SS08WS-WORK-BINARY
035700                 MOVE DFHBMASF   TO SS00-INT-LVL-A
035800             WHEN SS00-INT-LVL-SPACE
035900                 MOVE DFHBMASF   TO SS00-INT-LVL-A
036000             WHEN OTHER
036100                 MOVE DFHBMUBF   TO SS00-INT-LVL-A
036200                 MOVE DFHBMASB   TO SS00-INT-LVL-LP-A
036300                                    SS00-INT-LVL-RP-A
036400                 MOVE SS08WS-CURSOR TO SS00-INT-LVL-L
036500                 SET SS08WS-ERROR-SW-YES
036600                                 TO TRUE
036700         END-EVALUATE
036800     END-IF.
036900*
037000     IF  SS08WS-ERROR-SW-YES
037100         GO TO 2300-SEND-MAP.
037200* --------------
037300*
037400     IF  SS08WS-WORK-BINARY IS EQUAL TO +11
037500     AND SS00-EXPENSE-VALID
037600         EVALUATE TRUE
037700           WHEN ((SS00-MER-CH-L IS GREATER THAN ZERO
037800           AND  SS00-MER-CH-VALID)
037900           OR   (SS00-MERCHANT-L IS GREATER THAN ZERO
038000           AND  SS00-MERCHANT-VALID))
038100             EVALUATE TRUE
038200               WHEN ((SS00-TOTALS-L IS GREATER THAN ZERO
038300               AND SS00-TOTALS-VALID)
038400               OR (SS00-PRODUCT-L IS GREATER THAN ZERO
038500               AND SS00-PRODUCT-VALID)
038600               OR (SS00-INT-LVL-L IS GREATER THAN ZERO
038700               AND SS00-INT-LVL-VALID))
038800                 CONTINUE
038900               WHEN OTHER
039000                 MOVE 'INVALID COMBINATION'
039100                                   TO SS00-ERR-MESSAGE
039200                 PERFORM 9100-SET-ERROR-ATTRIBUTES
039300                                   THRU 9199-SEA-EXIT
039400                 GO TO 2200-SET-ERROR-SW
039500             END-EVALUATE
039600           WHEN OTHER
039700             MOVE 'EXP CAN ONLY BE USED WITH MERCH OR MERCH CHAIN'
039800                                 TO SS00-ERR-MESSAGE
039900             PERFORM 9100-SET-ERROR-ATTRIBUTES
040000                                 THRU 9199-SEA-EXIT
040100             GO TO 2200-SET-ERROR-SW
040200         END-EVALUATE
040300     END-IF.
040400*
040500     IF  SS08WS-WORK-BINARY IS EQUAL TO +11
040600         IF  SS00-STORE-L IS EQUAL TO ZERO
040700         OR  SS00-STORE-SPACE
040800         OR  SS00-INT-LVL-L IS EQUAL TO ZERO
040900         OR  SS00-INT-LVL-SPACE
041000             EVALUATE TRUE ALSO TRUE
041100                 WHEN SS00-STORE-L IS GREATER THAN ZERO
041200                 ALSO SS00-STORE-VALID
041300                     SET MBCA-MBSM-VALID-STORE
041400                                 TO TRUE
041500                     MOVE MBIOWS-MMPS-KEY-CODE
041600                                 TO MBCA-KEY-CODE
041700                 WHEN SS00-MERCHANT-L IS GREATER THAN ZERO
041800                 ALSO SS00-MERCHANT-VALID
041900                     SET MBCA-MBSM-VALID-MERCHANT
042000                                 TO TRUE
042100                     MOVE MBIOWS-MMPA-KEY-CODE
042200                                 TO MBCA-KEY-CODE
042300                 WHEN SS00-MER-CH-L IS GREATER THAN ZERO
042400                 ALSO SS00-MER-CH-VALID
042500                     SET MBCA-MBSM-VALID-CHAIN
042600                                 TO TRUE
042700                     MOVE MBIOWS-MMPG-KEY-CODE
042800                                 TO MBCA-KEY-CODE
042900                 WHEN SS00-STORE-CH-L IS GREATER THAN ZERO
043000                 ALSO SS00-STORE-CH-VALID
043100                     SET MBCA-MBSM-VALID-S-CHAIN
043200                                 TO TRUE
043300                     MOVE MBIOWS-MMRG-KEY-CODE
043400                                 TO MBCA-KEY-CODE
043500             END-EVALUATE
043600             EVALUATE TRUE ALSO TRUE
043700                 WHEN SS00-TOTALS-L IS GREATER THAN ZERO
043800                 ALSO SS00-TOTALS-VALID
043900                     SET MBCA-MBSM-VALID-TOTALS
044000                                 TO TRUE
044100                 WHEN SS00-PRODUCT-L IS GREATER THAN ZERO
044200                 ALSO SS00-PRODUCT-VALID
044300                     SET MBCA-MBSM-VALID-PRODUCT
044400                                 TO TRUE
044500                 WHEN SS00-CRED-PLN-L IS GREATER THAN ZERO
044600                 ALSO SS00-CRED-PLN-VALID
044700                     SET MBCA-MBSM-VALID-CRED-PLAN
044800                                 TO TRUE
044900                     EVALUATE TRUE
045000                         WHEN MBCA-MBSM-VALID-STORE
045100                             MOVE MBIOWS-MMCS-KEY-CODE
045200                                 TO MBCA-KEY-CODE
045300                         WHEN MBCA-MBSM-VALID-MERCHANT
045400                             MOVE MBIOWS-MMCP-KEY-CODE
045500                                 TO MBCA-KEY-CODE
045600                         WHEN MBCA-MBSM-VALID-CHAIN
045700                             MOVE MBIOWS-MMCG-KEY-CODE
045800                                 TO MBCA-KEY-CODE
045900                     END-EVALUATE
046000                 WHEN SS00-INT-LVL-L IS GREATER THAN ZERO
046100                 ALSO SS00-INT-LVL-VALID
046200                     SET MBCA-MBSM-VALID-QUAL-LVL
046300                                 TO TRUE
046400                     EVALUATE TRUE
046500                         WHEN MBCA-MBSM-VALID-MERCHANT
046600                             MOVE MBIOWS-MMOI-KEY-CODE
046700                                 TO MBCA-KEY-CODE
046800                         WHEN MBCA-MBSM-VALID-CHAIN
046900                             MOVE MBIOWS-MMOG-KEY-CODE
047000                                 TO MBCA-KEY-CODE
047100                         WHEN MBCA-MBSM-VALID-S-CHAIN
047200                           MOVE 'INVALID COMBINATION'
047300                                 TO SS00-ERR-MESSAGE
047400                           PERFORM 9100-SET-ERROR-ATTRIBUTES
047500                                 THRU 9199-SEA-EXIT
047600                           GO TO 2200-SET-ERROR-SW
047700                     END-EVALUATE
047800             END-EVALUATE
047900             SET MBCA-INITIAL-SCREEN-NBR
048000                                 TO TRUE
048100             MOVE '..SM'         TO SS08WS-WORK-TRANS-ID
048200             GO TO 2600-SETUP-COMMAREA
048300         ELSE
048400             MOVE 'INVALID COMBINATION'
048500                                 TO SS00-ERR-MESSAGE
048600             PERFORM 9100-SET-ERROR-ATTRIBUTES
048700                                 THRU 9199-SEA-EXIT
048800         END-IF
048900     ELSE
049000         MOVE 'MUST SELECT EXACTLY ONE FROM EACH COLUMN'
049100                                 TO SS00-ERR-MESSAGE
049200         PERFORM 9100-SET-ERROR-ATTRIBUTES
049300                                 THRU 9199-SEA-EXIT
049400     END-IF.
049500*
049600 2200-SET-ERROR-SW.
049700*
049800     SET SS08WS-ERROR-SW-YES     TO TRUE.
049900*
050000     IF  SS08WS-VALID-PF-KEY
050100     OR  SS08WS-EIBAID-VALID-PF-KEY
050200         SET MBCA-INITIAL-SCREEN-NBR
050300                                 TO TRUE
050400         GO TO 2690-TRANSFER-XCTL
050500     END-IF.
050600*
050700 2300-SEND-MAP.
050800*
050900****************************************************************
051000*    SEND THE MAP                                              *
051100****************************************************************
051200*
051300     PERFORM MB60PD-INIT-STD-MAP-LINES
051400                                 THRU MB60PD-ISML-EXIT.
051500*
051600     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
051700     PERFORM MB60PD-SEND-MAP-WITH-ERASE
051800                                 THRU MB60PD-SMWE-EXIT.
051900*
052000****************************************************************
052100*    RETURN TO CICS                                            *
052200****************************************************************
052300*
052400     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
052500     PERFORM MB70PD-RETURN-TRANS-ID
052600                                 THRU MB70PD-RTI-EXIT.
052700/
052800 2600-SETUP-COMMAREA.
052900*
053000****************************************************************
053100*    SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM   *
053200****************************************************************
053300*
053400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
053500*
053600*
053700     PERFORM MB60PD-EDIT-PAGE-NBR
053800                                 THRU MB60PD-EPN-EXIT.
053900*
054000     IF  SS08WS-VALID-PF-KEY
054100     OR  SS08WS-EIBAID-VALID-PF-KEY
054200         SET MBCA-INITIAL-SCREEN-NBR
054300                                 TO TRUE.
054400*
054500 2690-TRANSFER-XCTL.
054600*
054700     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
054800     PERFORM MB70PD-XCTL-TO-MBOXCTL
054900                                 THRU MB70PD-XTM-EXIT.
055000/
055100 9000-PERFORMED-ROUTINES-SECT SECTION.
055200*
055300 9100-SET-ERROR-ATTRIBUTES.
055400*
055500     IF  SS00-STORE-L IS GREATER THAN ZERO
055600         EVALUATE TRUE
055700             WHEN SS00-STORE-VALID
055800                 MOVE SS08WS-CURSOR TO SS00-STORE-L
055900                 MOVE DFHBMUBF   TO SS00-STORE-A
056000                 MOVE DFHBMASB   TO SS00-STORE-LP-A
056100                                    SS00-STORE-RP-A
056200             WHEN SS00-STORE-SPACE
056300                 MOVE DFHBMUNP   TO SS00-STORE-A
056400                 MOVE DFHBMASK   TO SS00-STORE-LP-A
056500                                    SS00-STORE-RP-A
056600         END-EVALUATE
056700     END-IF.
056800*
056900     IF  SS00-TOTALS-L IS GREATER THAN ZERO
057000         EVALUATE TRUE
057100             WHEN SS00-TOTALS-VALID
057200                 MOVE SS08WS-CURSOR TO SS00-TOTALS-L
057300                 MOVE DFHBMUBF   TO SS00-TOTALS-A
057400                 MOVE DFHBMASB   TO SS00-TOTALS-LP-A
057500                                    SS00-TOTALS-RP-A
057600             WHEN SS00-TOTALS-SPACE
057700                 MOVE DFHBMUNP   TO SS00-TOTALS-A
057800                 MOVE DFHBMASK   TO SS00-TOTALS-LP-A
057900                                    SS00-TOTALS-RP-A
058000         END-EVALUATE
058100     END-IF.
058200*
058300     IF  SS00-MERCHANT-L IS GREATER THAN ZERO
058400         EVALUATE TRUE
058500             WHEN SS00-MERCHANT-VALID
058600                 MOVE SS08WS-CURSOR TO SS00-MERCHANT-L
058700                 MOVE DFHBMUBF   TO SS00-MERCHANT-A
058800                 MOVE DFHBMASB   TO SS00-MERCHANT-LP-A
058900                                    SS00-MERCHANT-RP-A
059000             WHEN SS00-MERCHANT-SPACE
059100                 MOVE DFHBMUNP   TO SS00-MERCHANT-A
059200                 MOVE DFHBMASK   TO SS00-MERCHANT-LP-A
059300                                    SS00-MERCHANT-RP-A
059400         END-EVALUATE
059500     END-IF.
059600*
059700     IF  SS00-PRODUCT-L IS GREATER THAN ZERO
059800         EVALUATE TRUE
059900             WHEN SS00-PRODUCT-VALID
060000                 MOVE SS08WS-CURSOR TO SS00-PRODUCT-L
060100                 MOVE DFHBMUBF   TO SS00-PRODUCT-A
060200                 MOVE DFHBMASB   TO SS00-PRODUCT-LP-A
060300                                    SS00-PRODUCT-RP-A
060400             WHEN SS00-PRODUCT-SPACE
060500                 MOVE DFHBMUNP   TO SS00-PRODUCT-A
060600                 MOVE DFHBMASK   TO SS00-PRODUCT-LP-A
060700                                    SS00-PRODUCT-RP-A
060800         END-EVALUATE
060900     END-IF.
061000*
061100     IF  SS00-MER-CH-L IS GREATER THAN ZERO
061200         EVALUATE TRUE
061300             WHEN SS00-MER-CH-VALID
061400                 MOVE SS08WS-CURSOR TO SS00-MER-CH-L
061500                 MOVE DFHBMUBF   TO SS00-MER-CH-A
061600                 MOVE DFHBMASB   TO SS00-MER-CH-LP-A
061700                                    SS00-MER-CH-RP-A
061800             WHEN SS00-MER-CH-SPACE
061900                 MOVE DFHBMUNP   TO SS00-MER-CH-A
062000                 MOVE DFHBMASK   TO SS00-MER-CH-LP-A
062100                                    SS00-MER-CH-RP-A
062200         END-EVALUATE
062300     END-IF.
062400*
062500     IF  SS00-CRED-PLN-L IS GREATER THAN ZERO
062600         EVALUATE TRUE
062700             WHEN SS00-CRED-PLN-VALID
062800                 MOVE SS08WS-CURSOR TO SS00-CRED-PLN-L
062900                 MOVE DFHBMUBF   TO SS00-CRED-PLN-A
063000                 MOVE DFHBMASB   TO SS00-CRED-PLN-LP-A
063100                                    SS00-CRED-PLN-RP-A
063200             WHEN SS00-CRED-PLN-SPACE
063300                 MOVE DFHBMUNP   TO SS00-CRED-PLN-A
063400                 MOVE DFHBMASK   TO SS00-CRED-PLN-LP-A
063500                                    SS00-CRED-PLN-RP-A
063600         END-EVALUATE
063700     END-IF.
063800*
063900     IF  SS00-STORE-CH-L IS GREATER THAN ZERO
064000         EVALUATE TRUE
064100             WHEN SS00-STORE-CH-VALID
064200                 MOVE SS08WS-CURSOR TO SS00-STORE-CH-L
064300                 MOVE DFHBMUBF   TO SS00-STORE-CH-A
064400                 MOVE DFHBMASB   TO SS00-STORE-CH-LP-A
064500                                    SS00-STORE-CH-RP-A
064600             WHEN SS00-STORE-CH-SPACE
064700                 MOVE DFHBMUNP   TO SS00-STORE-CH-A
064800                 MOVE DFHBMASK   TO SS00-STORE-CH-LP-A
064900                                    SS00-STORE-CH-RP-A
065000         END-EVALUATE
065100     END-IF.
065200*
065300     IF  SS00-INT-LVL-L IS GREATER THAN ZERO
065400         EVALUATE TRUE
065500             WHEN SS00-INT-LVL-VALID
065600                 MOVE SS08WS-CURSOR TO SS00-INT-LVL-L
065700                 MOVE DFHBMUBF   TO SS00-INT-LVL-A
065800                 MOVE DFHBMASB   TO SS00-INT-LVL-LP-A
065900                                    SS00-INT-LVL-RP-A
066000             WHEN SS00-INT-LVL-SPACE
066100                 MOVE DFHBMUNP   TO SS00-INT-LVL-A
066200                 MOVE DFHBMASK   TO SS00-INT-LVL-LP-A
066300                                    SS00-INT-LVL-RP-A
066400         END-EVALUATE
066500     END-IF.
066600*
066700     IF  SS00-EXPENSE-L IS GREATER THAN ZERO
066800         EVALUATE TRUE
066900             WHEN SS00-EXPENSE-VALID
067000                 MOVE SS08WS-CURSOR TO SS00-EXPENSE-L
067100                 MOVE DFHBMUBF   TO SS00-EXPENSE-A
067200                 MOVE DFHBMASB   TO SS00-EXPENSE-LP-A
067300                                    SS00-EXPENSE-RP-A
067400             WHEN SS00-EXPENSE-SPACE
067500                 MOVE DFHBMUNP   TO SS00-EXPENSE-A
067600                 MOVE DFHBMASK   TO SS00-EXPENSE-LP-A
067700                                    SS00-EXPENSE-RP-A
067800         END-EVALUATE
067900     END-IF.
068000*
068100 9199-SEA-EXIT.
068200     EXIT.
068300/         JULIAN TO GREGORIAN DATE ROUTINE
068400     COPY SS08PD.
068500/         LINE 24 PF KEYS ROUTINE
068600     COPY SS15PD.
068700/
068800     COPY SS26PD.
068900/
069000     COPY SS27PD.
069100/         SYSTEM CONTROL FILE ACCESS ROUTINE
069200     COPY MMSCAO.
069300/         ON-LINE MAP ROUTINES
069400     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBSS00 '
069500                           MBMAPXXI BY MBSS00I
069600                           MBMAPXXO BY MBSS00O.
069700/         ON-LINE PROCEDURES
069800     COPY MB70PD.
069900/
070000     COPY SMFTPXO.
