000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOT101.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOT101 - TERMINATED MERCHANTS ADD/MAINT/INQ             *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBTM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBT101 (SCREEN 01)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMTM (TERMINATED MERCHANTS FILE)           *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 B. MMSM (STORE MASTER FILE)                   *
001800*                 C. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  WS-MISCELLANEOUS.
003400     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
003500     03  WS-PHONE.
003600         05  WS-PHONE-BYTE   PIC  X(01)      OCCURS 17 TIMES
003700                                             INDEXED BY
003800                                             X-WS-PHONE.
003900     03  WS-NEW-PHONE.
004000         05  WS-NEW-PHONE-BYTE
004100                             PIC  X(01)      OCCURS 10 TIMES
004200                                             INDEXED BY
004300                                             X-WS-NEW-PHONE.
004400*
004500 01  FILLER                  PIC  X(17)      VALUE
004600     'PROGRAM SWITCHES:'.
004700*
004800 01  WS-PROGRAM-SWITCHES.
004900     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005000         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005100         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005200     03  WS-INDEX-X.
005300         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
005400/
005500 01  FILLER                  PIC  X(29)      VALUE
005600     'I/O REQUEST BLOCK WORK AREAS:'.
005700*
005800     COPY MBIOWS.
005900/
006000 01  FILLER                  PIC  X(18)      VALUE
006100     'I/O REQUEST BLOCK:'.
006200*
006300     COPY MBIORO.
006400/
006500 01  FILLER                  PIC  X(23)      VALUE
006600     'TERMINATED MERCHANT I/O'.
006700*
006800     COPY MMTMIO.
006900/
007000 01  FILLER                  PIC  X(25)      VALUE
007100     'MERCHANT MASTER INIT REC:'.
007200*
007300     COPY MMMMIR.
007400/
007500 01  FILLER                  PIC  X(25)      VALUE
007600     'STORE MASTER INIT REC:   '.
007700*
007800     COPY MMSMIR.
007900/
008000 01  FILLER                  PIC  X(25)      VALUE
008100     'LOG RECORD REQUEST BLOCK:'.
008200*
008300     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008400/
008500 01  FILLER                  PIC  X(20)      VALUE
008600     'CCS DATE WORK AREAS:'.
008700*
008800     COPY SS01WS.
008900/
009000 01  FILLER                  PIC  X(15)      VALUE
009100     'CCS WORK AREAS:'.
009200*
009300     COPY SS08WS.
009400/
009500     COPY SS00WS.
009600/
009700     COPY SMFTWS.
009800/
009900     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
010000/
010100     COPY MB61LK.
010200/
010300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010400/
010500 LINKAGE SECTION.
010600*
010700 01  DFHCOMMAREA.
010800*
010900     COPY MB60WS.
011000/
011100*********************************
011200*    TERMINATED MERCHANT MAP    *
011300*********************************
011400*
011500     COPY MBT101.
011600/
011700**********************************************
011800*    TERMINATED MERCHANT MAP REDEFINITION    *
011900**********************************************
012000*
012100     COPY MBT101R.
012200/
012300******************************************
012400*    TERMINATED MECHANT RECORD LAYOUT    *
012500******************************************
012600*
012700     COPY MMTMRL.
012800/
012900******************************************
013000*    MERCHANT MASTER    RECORD LAYOUT    *
013100******************************************
013200*
013300     COPY MMMMRL.
013400/
013500******************************************
013600*    STORE MASTER    RECORD LAYOUT       *
013700******************************************
013800*
013900     COPY MMSMRL.
014000/
014100***************************
014200*    LOG RECORD LAYOUT    *
014300***************************
014400*
014500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
014600/
014700 PROCEDURE DIVISION.
014800*
014900 A000-HOUSEKEEPING SECTION.
015000*
015100 A020-INIT.
015200*
015300     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
015400     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015500                                 THRU MB70PD-OLH-EXIT.
015600*
015700     IF  MBCA-RECEIVE-SCREEN
015800         GO TO C000-RECEIVE-SCREEN.
015900/
016000 B000-SEND-SCREEN SECTION.
016100*
016200*********************************************
016300*    GET CICS STORAGE NEEDED FOR THE MAP    *
016400*********************************************
016500*
016600     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016700     PERFORM MB60PD-GETMAIN-FOR-MAP
016800                                 THRU MB60PD-GFM-EXIT.
016900*
017000*******************************************
017100*    INITIALIZE THE STANDARD MAP LINES    *
017200*******************************************
017300*
017400     PERFORM MB60PD-INIT-STD-MAP-LINES
017500                                 THRU MB60PD-ISML-EXIT.
017600*
017700********************************************************
017800*    READ THE TERMINATED MERCHANT RECORD FOR           *
017900*    SUBSEQUENT DISPLAY.                               *
018000********************************************************
018100*
018200     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG.
018300     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT.
018400     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
018500     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
018600*
018700     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018800     SET MBIORO-READ-RANDOM      TO TRUE.
018900     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
019000*
019100********************************************************
019200*    READ THE STORE OR MERCHANT RECORD FOR             *
019300*    DEPENDING ON THE STORE MERCHANT FLAG              *
019400********************************************************
019500*
019600*
019700     IF  MBCA-MBTM-CC-AU
019800         MOVE 'AU'               TO T101-COUNTRY
019900     ELSE
020000         MOVE 'NZ'               TO T101-COUNTRY.
020100*
020200     MOVE DFHBMDAS               TO T101-COUNTRY-LP-A
020300                                    T101-COUNTRY-RP-A.
020400     MOVE DFHBMASK               TO T101-COUNTRY-A.
020500*
020600     IF  MBCA-MBTM-FUNCTION-ADD
020700         IF  MBCA-S-M IS EQUAL TO 'M'
020800             MOVE MBCA-MERCHANT-ORG
020900                                 TO MBIOWS-MMMM-ORG
021000             MOVE SS08WS-CICS-FC-NOTFND
021100                                 TO MBIORO-TEMP-STATUS-1
021200             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
021300             MOVE 'FC02'         TO MBCA-PROGRAM-LOCATION
021400             SET MBIORO-READ-RANDOM
021500                                 TO TRUE
021600             PERFORM MMMMAO-ACCESS
021700                                 THRU MMMMAO-ACCESS-EXIT
021800             IF  SS08WS-RC-FC-NOTFND
021900                 MOVE SPACES     TO T101-LEGAL-NAME
022000                                    T101-DBA-NAME
022100                                    T101-ADDR-1
022200                                    T101-CITY
022300                                    T101-AREA
022400                                    T101-BUS-PHONE-1
022500                                    T101-BUS-PHONE-2
022600                                    T101-BUS-PHONE-3
022700                 MOVE ZEROS      TO T101-POST-CD
022800             ELSE
022900                 MOVE MMMM-NA-LINE (1 1)
023000                                 TO T101-LEGAL-NAME
023100                 MOVE MMMM-DBA-NAME
023200                                 TO T101-DBA-NAME
023300                 MOVE MMMM-NA-LINE (1 2)
023400                                 TO T101-ADDR-1
023500                 MOVE MMMM-DBA-CITY
023600                                 TO T101-CITY
023700                 MOVE MMMM-POSTAL-CODE (1)
023800                                 TO T101-POST-CD-X
023900                 MOVE MMMM-STATE-CODE (1)
024000                                 TO T101-AREA
024100                 MOVE MMMM-PHONE (1)
024200                                 TO WS-PHONE
024300                 PERFORM Y920-VERIFY-PHONE
024400                                 THRU Y929-VP-EXIT
024500                 MOVE WS-NEW-PHONE
024600                                 TO T101-BUS-PHONE-1
024700                 MOVE MMMM-PHONE (2)
024800                                 TO WS-PHONE
024900                 PERFORM Y920-VERIFY-PHONE
025000                                 THRU Y929-VP-EXIT
025100                 MOVE WS-NEW-PHONE
025200                                 TO T101-BUS-PHONE-2
025300         ELSE
025400             MOVE MBCA-MERCHANT-ORG
025500                                 TO MBIOWS-MMSM-ORG
025600             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
025700             MOVE 'FC03'         TO MBCA-PROGRAM-LOCATION
025800             MOVE SS08WS-CICS-FC-NOTFND
025900                                 TO MBIORO-TEMP-STATUS-1
026000             SET MBIORO-READ-RANDOM
026100                                 TO TRUE
026200             PERFORM MMSMAO-ACCESS
026300                                 THRU MMSMAO-ACCESS-EXIT
026400             IF  SS08WS-RC-FC-NOTFND
026500                 MOVE SPACES     TO T101-LEGAL-NAME
026600                                    T101-DBA-NAME
026700                                    T101-ADDR-1
026800                                    T101-AREA
026900                                    T101-CITY
027000                                    T101-BUS-PHONE-1
027100                                    T101-BUS-PHONE-2
027200                                    T101-BUS-PHONE-3
027300                 MOVE ZEROS      TO T101-POST-CD
027400             ELSE
027500                 MOVE MMSM-NA-LINE (1 1)
027600                                 TO T101-LEGAL-NAME
027700                 MOVE MMSM-VI-DBA-NAME
027800                                 TO T101-DBA-NAME
027900                 MOVE MMSM-NA-LINE (1 2)
028000                                 TO T101-ADDR-1
028100                 MOVE MMSM-DBA-CITY
028200                                 TO T101-CITY
028300                 MOVE MMSM-POSTAL-CODE (1)
028400                                 TO T101-POST-CD-X
028500                 MOVE MMSM-STATE-CODE (1)
028600                                 TO T101-AREA
028700                 MOVE MMSM-PHONE (1)
028800                                 TO WS-PHONE
028900                 PERFORM Y920-VERIFY-PHONE
029000                                 THRU Y929-VP-EXIT
029100                 MOVE WS-NEW-PHONE
029200                                 TO T101-BUS-PHONE-1
029300                 MOVE MMSM-PHONE (2)
029400                                 TO WS-PHONE
029500                 PERFORM Y920-VERIFY-PHONE
029600                                 THRU Y929-VP-EXIT
029700                 MOVE WS-NEW-PHONE
029800                                 TO T101-BUS-PHONE-2
029900     ELSE
030000         MOVE MMTM-VANZ-MER-LEGAL-NAME
030100                                 TO T101-LEGAL-NAME
030200         MOVE MMTM-VANZ-MER-TRADING-NAME
030300                                 TO T101-DBA-NAME
030400         MOVE MMTM-VANZ-MER-STREET-ADDR
030500                                 TO T101-ADDR-1
030600         MOVE MMTM-VANZ-MER-CITY
030700                                 TO T101-CITY
030800         MOVE MMTM-VANZ-MER-AREA
030900                                 TO T101-AREA
031000         MOVE MMTM-VANZ-MER-COUNTRY-CODE
031100                                 TO T101-COUNTRY
031200         MOVE MMTM-VANZ-MER-POSTAL-CODE
031300                                 TO T101-POST-CD
031400         MOVE MMTM-VANZ-TELE-NBR-1
031500                                 TO T101-BUS-PHONE-1
031600         MOVE MMTM-VANZ-TELE-NBR-2
031700                                 TO T101-BUS-PHONE-2
031800         MOVE MMTM-VANZ-TELE-NBR-3
031900                                 TO T101-BUS-PHONE-3.
032000*
032100 B020-MOVE-FIELDS-TO-SCREEN.
032200*
032300*********************************************
032400*    MOVE THE TERMINATED MERCHANT FIELDS    *
032500*    FROM THE RECORD TO THE SCREEN          *
032600*********************************************
032700*
032800     MOVE MMTM-ORG               TO T101-ORG.
032900     MOVE MMTM-MERCHANT          TO T101-MERCHANT.
033000     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
033100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
033200        THRU SS26PD-NED-EXIT.
033300     MOVE SS01WS-XX-XX-YYYY      TO T101-LAST-MAINT-DATE.
033400     MOVE MMTM-LAST-MAINT-OPER   TO T101-LAST-MAINT-OPER.
033500*
033600     IF  MBCA-S-M IS EQUAL TO 'S'
033700         MOVE 'STORE   '         TO T101-MERCHANT-LIT.
033800*
033900     EVALUATE TRUE
034000         WHEN MMTM-ACTION-CODE IS EQUAL TO 'AV'
034100             MOVE 'ADD VISA NMAS'
034200                                 TO T101-ACTION
034300         WHEN MMTM-ACTION-CODE IS EQUAL TO 'IV'
034400             MOVE 'INQUIRY FOR VISA NMAS'
034500                                 TO T101-ACTION
034600     END-EVALUATE.
034700*
034800     MOVE DFHBMASK               TO T101-ACTION-A.
034900*
035000 B100-SEND-MAP.
035100*
035200     MOVE SS08WS-CURSOR          TO T101-LEGAL-NAME-L.
035300     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
035400*
035500**********************
035600*    SEND THE MAP    *
035700**********************
035800*
035900     MOVE DFHBMASK               TO T101-CURRENT-PAGE-A.
036000*
036100     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
036200     PERFORM MB60PD-SEND-MAP-WITH-ERASE
036300                                 THRU MB60PD-SMWE-EXIT.
036400*
036500************************
036600*    RETURN TO CICS    *
036700************************
036800*
036900     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
037000     PERFORM MB70PD-RETURN-TRANS-ID
037100                                 THRU MB70PD-RTI-EXIT.
037200/
037300 C000-RECEIVE-SCREEN SECTION.
037400*
037500******************************************
037600*    THIS SECTION RECEIVES THE SCREEN    *
037700******************************************
037800*
037900     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
038000     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
038100*
038200**************************************************************
038300*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
038400**************************************************************
038500*
038600     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
038700     PERFORM MB60PD-NEW-TRANS-ROUTINE
038800                                 THRU MB60PD-NTR-EXIT.
038900*
039000*********************************************
039100*    READ THE TERMINATED MERCHANT RECORD    *
039200*********************************************
039300*
039400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMTM-ORG
039500                                    T101-ORG.
039600     MOVE MBCA-MERCHANT          TO MBIOWS-MMTM-MERCHANT
039700                                    T101-MERCHANT.
039800     MOVE MBCA-S-M               TO MBIOWS-MMTM-FILE-TYPE.
039900     MOVE MBCA-ACTION-CODE       TO MBIOWS-MMTM-ACTION-CODE.
040000     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
040100     SET MBIORO-READ-RANDOM      TO TRUE.
040200     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
040300*
040400********************************************************
040500*    READ THE STORE OR MERCHANT RECORD FOR             *
040600*    DEPENDING ON THE STORE MERCHANT FLAG              *
040700********************************************************
040800*
040900     IF  MBCA-S-M IS EQUAL TO 'M'
041000         IF  MBCA-MBTM-MERCH-FOUND
041100             MOVE MBCA-MERCHANT-ORG
041200                                 TO MBIOWS-MMMM-ORG
041300             MOVE MBCA-MERCHANT  TO MBIOWS-MMMM-MERCHANT
041400             MOVE 'FC05'         TO MBCA-PROGRAM-LOCATION
041500             SET MBIORO-READ-RANDOM
041600                                 TO TRUE
041700             PERFORM MMMMAO-ACCESS
041800                                 THRU MMMMAO-ACCESS-EXIT
041900         ELSE
042000             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
042100             SET MBIORO-GETMAIN  TO TRUE
042200             PERFORM MMMMAO-ACCESS
042300                                 THRU MMMMAO-ACCESS-EXIT
042400             MOVE MMMMIR-RECORD  TO MMMM-RECORD.
042500*
042600     IF  MBCA-S-M IS EQUAL TO 'S'
042700         IF  MBCA-MBTM-MERCH-FOUND
042800             MOVE MBCA-MERCHANT-ORG
042900                                 TO MBIOWS-MMSM-ORG
043000             MOVE MBCA-MERCHANT  TO MBIOWS-MMSM-STORE
043100             MOVE 'FC06'         TO MBCA-PROGRAM-LOCATION
043200             SET MBIORO-READ-RANDOM
043300                                 TO TRUE
043400             PERFORM MMSMAO-ACCESS
043500                                 THRU MMSMAO-ACCESS-EXIT
043600         ELSE
043700             MOVE 'SC02'         TO MBCA-PROGRAM-LOCATION
043800             SET MBIORO-GETMAIN  TO TRUE
043900             PERFORM MMSMAO-ACCESS
044000                                 THRU MMSMAO-ACCESS-EXIT
044100             MOVE MMSMIR-RECORD  TO MMSM-RECORD.
044200*
044300***********************************************************
044400*    MOVE THE LAST MAINT DATE AND LAST MAINT OPERATOR,    *
044500*    DEPENDING ON THE FUNCTION                            *
044600***********************************************************
044700*
044800     MOVE MMTM-LAST-MAINT-DATE   TO SS01WS-JULIAN.
044900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
045000        THRU SS26PD-NED-EXIT.
045100     MOVE SS01WS-XX-XX-YYYY      TO T101-LAST-MAINT-DATE.
045200     MOVE MMTM-LAST-MAINT-OPER   TO T101-LAST-MAINT-OPER.
045300*
045400*********************
045500*    FIELD EDITS    *
045600*********************
045700*
045800 C010-EDIT-LEGAL-NAME.
045900*
046000     MOVE DFHBMDAS               TO T101-LEGAL-NAME-LP-A
046100                                    T101-LEGAL-NAME-RP-A.
046200     MOVE DFHBMASK               TO T101-LEGAL-NAME-A.
046300*
046400     IF  T101-LEGAL-NAME-L IS LESS THAN 1
046500         IF  MBCA-MBTM-FUNCTION-ADD
046600             IF  MBCA-S-M IS EQUAL TO 'S'
046700                 MOVE MMSM-NA-LINE (1 1)
046800                                 TO T101-LEGAL-NAME
046900                 MOVE DFHBMASF   TO T101-LEGAL-NAME-A
047000                 MOVE 1          TO T101-LEGAL-NAME-L
047100             ELSE
047200                 MOVE MMMM-NA-LINE (1 1)
047300                                 TO T101-LEGAL-NAME
047400                 MOVE DFHBMASF   TO T101-LEGAL-NAME-A
047500                 MOVE 1          TO T101-LEGAL-NAME-L
047600         ELSE
047700             MOVE MMTM-VANZ-MER-LEGAL-NAME
047800                                 TO T101-LEGAL-NAME
047900     ELSE
048000         MOVE DFHBMASF           TO T101-LEGAL-NAME-A.
048100*
048200     IF  T101-LEGAL-NAME IS EQUAL TO SPACES
048300         SET SS08WS-ERROR-SW-YES TO TRUE
048400         MOVE SS08WS-CURSOR      TO T101-LEGAL-NAME-L
048500         MOVE DFHBMASB           TO T101-LEGAL-NAME-LP-A
048600                                    T101-LEGAL-NAME-RP-A
048700         MOVE DFHBMUBF           TO T101-LEGAL-NAME-A.
048800*
048900 C020-EDIT-DBA-NAME.
049000*
049100     MOVE DFHBMDAS               TO T101-DBA-NAME-LP-A
049200                                    T101-DBA-NAME-RP-A.
049300     MOVE DFHBMASK               TO T101-DBA-NAME-A.
049400*
049500     IF  T101-DBA-NAME-L IS LESS THAN 1
049600         IF  MBCA-MBTM-FUNCTION-ADD
049700             IF  MBCA-S-M IS EQUAL TO 'S'
049800                 MOVE MMSM-VI-DBA-NAME
049900                                 TO T101-DBA-NAME
050000                 MOVE DFHBMASF   TO T101-DBA-NAME-A
050100                 MOVE 1          TO T101-DBA-NAME-L
050200             ELSE
050300                 MOVE MMMM-DBA-NAME
050400                                 TO T101-DBA-NAME
050500                 MOVE DFHBMASF   TO T101-DBA-NAME-A
050600                 MOVE 1          TO T101-DBA-NAME-L
050700         ELSE
050800             MOVE MMTM-VANZ-MER-TRADING-NAME
050900                                 TO T101-DBA-NAME
051000     ELSE
051100         MOVE DFHBMASF           TO T101-DBA-NAME-A.
051200*
051300     IF  T101-DBA-NAME IS EQUAL TO SPACES
051400         SET SS08WS-ERROR-SW-YES TO TRUE
051500         MOVE SS08WS-CURSOR      TO T101-DBA-NAME-L
051600         MOVE DFHBMASB           TO T101-DBA-NAME-LP-A
051700                                    T101-DBA-NAME-RP-A
051800         MOVE DFHBMUBF           TO T101-DBA-NAME-A.
051900*
052000 C030-EDIT-ADDRESS1.
052100*
052200     MOVE DFHBMDAS               TO T101-ADDR-1-LP-A
052300                                    T101-ADDR-1-RP-A.
052400     MOVE DFHBMASK               TO T101-ADDR-1-A.
052500*
052600     IF  T101-ADDR-1-L IS LESS THAN 1
052700         IF  MBCA-MBTM-FUNCTION-ADD
052800             IF  MBCA-S-M IS EQUAL TO 'M'
052900                 MOVE MMMM-NA-LINE (1 2)
053000                                 TO T101-ADDR-1
053100                 MOVE DFHBMASF   TO T101-ADDR-1-A
053200                 MOVE 1          TO T101-ADDR-1-L
053300             ELSE
053400                 MOVE MMSM-NA-LINE (1 2)
053500                                 TO T101-ADDR-1
053600                 MOVE DFHBMASF   TO T101-ADDR-1-A
053700                 MOVE 1          TO T101-ADDR-1-L
053800         ELSE
053900             MOVE MMTM-VANZ-MER-STREET-ADDR
054000                                 TO T101-ADDR-1
054100     ELSE
054200         MOVE DFHBMASF           TO T101-ADDR-1-A.
054300*
054400*
054500     IF  T101-ADDR-1 IS EQUAL TO SPACES
054600         SET SS08WS-ERROR-SW-YES TO TRUE
054700         MOVE SS08WS-CURSOR      TO T101-ADDR-1-L
054800         MOVE DFHBMASB           TO T101-ADDR-1-LP-A
054900                                    T101-ADDR-1-RP-A
055000         MOVE DFHBMUBF           TO T101-ADDR-1-A.
055100*
055200 C040-EDIT-CITY.
055300*
055400     MOVE DFHBMDAS               TO T101-CITY-LP-A
055500                                    T101-CITY-RP-A.
055600     MOVE DFHBMASK               TO T101-CITY-A.
055700*
055800     IF  T101-CITY-L IS LESS THAN 1
055900         IF  MBCA-MBTM-FUNCTION-ADD
056000             IF  MBCA-S-M IS EQUAL TO 'M'
056100                 MOVE MMMM-DBA-CITY
056200                                 TO T101-CITY
056300                 MOVE DFHBMASF   TO T101-CITY-A
056400                 MOVE 1          TO T101-CITY-L
056500             ELSE
056600                 MOVE MMSM-DBA-CITY
056700                                 TO T101-CITY
056800                 MOVE DFHBMASF   TO T101-CITY-A
056900                 MOVE 1          TO T101-CITY-L
057000         ELSE
057100             MOVE MMTM-VANZ-MER-CITY
057200                                 TO T101-CITY
057300     ELSE
057400         MOVE DFHBMASF           TO T101-CITY-A.
057500*
057600*
057700     IF  T101-CITY (1:1) IS EQUAL TO SPACES
057800     OR  T101-CITY (2:1) IS EQUAL TO SPACES
057900         SET SS08WS-ERROR-SW-YES TO TRUE
058000         MOVE SS08WS-CURSOR      TO T101-CITY-L
058100         MOVE DFHBMASB           TO T101-CITY-LP-A
058200                                    T101-CITY-RP-A
058300         MOVE DFHBMUBF           TO T101-CITY-A.
058400*
058500 C050-EDIT-AREA.
058600*
058700     MOVE DFHBMDAS               TO T101-AREA-LP-A
058800                                    T101-AREA-RP-A.
058900     MOVE DFHBMASK               TO T101-AREA-A.
059000*
059100     IF  T101-AREA-L IS LESS THAN 1
059200         IF  MBCA-MBTM-FUNCTION-ADD
059300             IF  MBCA-S-M IS EQUAL TO 'M'
059400                 MOVE MMMM-STATE-CODE (1)
059500                                 TO T101-AREA
059600                 MOVE DFHBMASF   TO T101-AREA-A
059700                 MOVE 1          TO T101-AREA-L
059800             ELSE
059900                 MOVE MMSM-STATE-CODE (1)
060000                                 TO T101-AREA
060100                 MOVE DFHBMASF   TO T101-AREA-A
060200                 MOVE 1          TO T101-AREA-L
060300         ELSE
060400             MOVE MMTM-VANZ-MER-AREA
060500                                 TO T101-AREA
060600     ELSE
060700         MOVE DFHBMASF           TO T101-AREA-A.
060800*
060900     IF  MBCA-MBTM-CC-AU
061000     AND T101-AREA IS EQUAL TO SPACES
061100         SET SS08WS-ERROR-SW-YES
061200                                 TO TRUE
061300         MOVE SS08WS-CURSOR      TO T101-AREA-L
061400         MOVE DFHBMASB           TO T101-AREA-LP-A
061500                                    T101-AREA-RP-A
061600         MOVE DFHBMUBF           TO T101-AREA-A
061700         GO TO C060-EDIT-COUNTRY-CODE.
061800*
061900     IF  T101-AREA-L IS GREATER THAN ZERO
062000     AND (T101-AREA (1:1) IS EQUAL TO SPACES
062100     OR  T101-AREA (2:1) IS EQUAL TO SPACES)
062200         SET SS08WS-ERROR-SW-YES TO TRUE
062300         MOVE SS08WS-CURSOR      TO T101-AREA-L
062400         MOVE DFHBMASB           TO T101-AREA-LP-A
062500                                    T101-AREA-RP-A
062600         MOVE DFHBMUBF           TO T101-AREA-A.
062700*
062800 C060-EDIT-COUNTRY-CODE.
062900*
063000     IF  MBCA-MBTM-CC-AU
063100         MOVE 'AU'               TO T101-COUNTRY
063200     ELSE
063300         MOVE 'NZ'               TO T101-COUNTRY.
063400*
063500     MOVE DFHBMDAS               TO T101-COUNTRY-LP-A
063600                                    T101-COUNTRY-RP-A.
063700     MOVE DFHBMASK               TO T101-COUNTRY-A.
063800*
063900     IF  MBCA-MBTM-FUNCTION-ADD
064000         MOVE 2                  TO T101-COUNTRY-L.
064100*
064200     GO TO C070-EDIT-POSTAL-CODE.
064300*
064400     IF  T101-COUNTRY-L IS LESS THAN 1
064500         IF  MBCA-MBTM-FUNCTION-ADD
064600             IF  MBCA-S-M IS EQUAL TO 'M'
064700                 MOVE MMMM-COUNTRY-CODE (1)
064800                                 TO T101-COUNTRY
064900                 MOVE DFHBMASF   TO T101-COUNTRY-A
065000                 MOVE 1          TO T101-COUNTRY-L
065100             ELSE
065200                 MOVE MMSM-COUNTRY-CODE (1)
065300                                 TO T101-COUNTRY
065400                 MOVE DFHBMASF   TO T101-COUNTRY-A
065500                 MOVE 1          TO T101-COUNTRY-L
065600         ELSE
065700             MOVE MMTM-VANZ-MER-COUNTRY-CODE
065800                                 TO T101-COUNTRY
065900     ELSE
066000         MOVE DFHBMASF           TO T101-COUNTRY-A.
066100*
066200*
066300     IF  T101-COUNTRY IS EQUAL TO 'AU '
066400     OR  T101-COUNTRY IS EQUAL TO 'NZ '
066500         NEXT SENTENCE
066600     ELSE
066700         SET SS08WS-ERROR-SW-YES TO TRUE
066800         MOVE SS08WS-CURSOR      TO T101-COUNTRY-L
066900         MOVE DFHBMASB           TO T101-COUNTRY-LP-A
067000                                    T101-COUNTRY-RP-A
067100         MOVE DFHBMUBF           TO T101-COUNTRY-A.
067200*
067300 C070-EDIT-POSTAL-CODE.
067400*
067500     MOVE DFHBMDAS               TO T101-POST-CD-LP-A
067600                                    T101-POST-CD-RP-A.
067700     MOVE DFHBMASK               TO T101-POST-CD-A.
067800*
067900     IF  T101-POST-CD-L IS LESS THAN 1
068000         IF  MBCA-MBTM-FUNCTION-ADD
068100             IF  MBCA-S-M IS EQUAL TO 'M'
068200                 IF  MMMM-POSTAL-CODE (1) (1:4) IS NOT NUMERIC
068300                     NEXT SENTENCE
068400                 ELSE
068500                     MOVE MMMM-POSTAL-CODE (1) (1:4)
068600                                 TO T101-POST-CD-X
068700                     MOVE DFHBMASF
068800                                 TO T101-POST-CD-A
068900                     MOVE 1      TO T101-POST-CD-L
069000             ELSE
069100                 IF  MMSM-POSTAL-CODE (1) (1:4) IS NOT NUMERIC
069200                     NEXT SENTENCE
069300                 ELSE
069400                     MOVE MMSM-POSTAL-CODE (1) (1:4)
069500                                 TO T101-POST-CD-X
069600                     MOVE DFHBMASF
069700                                 TO T101-POST-CD-A
069800                     MOVE 1      TO T101-POST-CD-L
069900         ELSE
070000             MOVE MMTM-VANZ-MER-POSTAL-CODE
070100                                 TO T101-POST-CD
070200     ELSE
070300         MOVE DFHBMASF           TO T101-POST-CD-A.
070400*
070500*
070600*
070700     IF  T101-POST-CD-L IS GREATER THAN ZERO
070800     AND T101-POST-CD IS EQUAL TO ZEROS
070900         SET SS08WS-ERROR-SW-YES TO TRUE
071000         MOVE SS08WS-CURSOR      TO T101-POST-CD-L
071100         MOVE DFHBMASB           TO T101-POST-CD-LP-A
071200                                    T101-POST-CD-RP-A
071300         MOVE DFHBMUBF           TO T101-POST-CD-A.
071400*
071500     IF  T101-POST-CD IS NOT NUMERIC
071600         SET SS08WS-ERROR-SW-YES TO TRUE
071700         MOVE SS08WS-CURSOR      TO T101-POST-CD-L
071800         MOVE DFHBMASB           TO T101-POST-CD-LP-A
071900                                    T101-POST-CD-RP-A
072000         MOVE DFHBMUBF           TO T101-POST-CD-A.
072100*
072200 C080-EDIT-BUS-PHONE-1.
072300*
072400     MOVE DFHBMDAS               TO T101-BUS-PHONE-1-LP-A
072500                                    T101-BUS-PHONE-1-RP-A.
072600     MOVE DFHBMASK               TO T101-BUS-PHONE-1-A.
072700*
072800     IF  T101-BUS-PHONE-1-L IS LESS THAN 1
072900         IF  MBCA-MBTM-FUNCTION-ADD
073000             IF  MBCA-S-M IS EQUAL TO 'M'
073100                 MOVE MMMM-PHONE (1)
073200                                 TO WS-PHONE
073300                 PERFORM Y920-VERIFY-PHONE
073400                                 THRU Y929-VP-EXIT
073500                 MOVE WS-NEW-PHONE
073600                                 TO T101-BUS-PHONE-1
073700                 MOVE DFHBMASF   TO T101-BUS-PHONE-1-A
073800                 MOVE 1          TO T101-BUS-PHONE-1-L
073900             ELSE
074000                 MOVE MMSM-PHONE (1)
074100                                 TO WS-PHONE
074200                 PERFORM Y920-VERIFY-PHONE
074300                                 THRU Y929-VP-EXIT
074400                 MOVE WS-NEW-PHONE
074500                                 TO T101-BUS-PHONE-1
074600                 MOVE DFHBMASF   TO T101-BUS-PHONE-1-A
074700                 MOVE 1          TO T101-BUS-PHONE-1-L
074800         ELSE
074900             MOVE MMTM-VANZ-TELE-NBR-1
075000                                 TO T101-BUS-PHONE-1
075100     ELSE
075200         MOVE DFHBMASF           TO T101-BUS-PHONE-1-A.
075300*
075400     IF  T101-BUS-PHONE-1 IS EQUAL TO ZEROS
075500     OR  T101-BUS-PHONE-1 IS EQUAL TO SPACES
075600         SET SS08WS-ERROR-SW-YES TO TRUE
075700         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-1-L
075800         MOVE DFHBMASB           TO T101-BUS-PHONE-1-LP-A
075900                                    T101-BUS-PHONE-1-RP-A
076000         MOVE DFHBMUBF           TO T101-BUS-PHONE-1-A
076100         GO TO C090-EDIT-BUS-PHONE-2.
076200*
076300     IF  MBCA-MBTM-CC-AU
076400         IF  T101-BUS-PHONE-1 (1:8) IS NUMERIC
076500         AND T101-BUS-PHONE-1 (1:8) IS NOT EQUAL TO ZEROS
076600             NEXT SENTENCE
076700         ELSE
076800             IF ((T101-BUS-PHONE-1 (9:2) IS NUMERIC
076900             AND T101-BUS-PHONE-1 (9:2) IS NOT EQUAL TO ZEROS)
077000             OR  (T101-BUS-PHONE-1 (9:1) IS NUMERIC
077100             AND T101-BUS-PHONE-1 (9:1) IS NOT EQUAL TO ZEROS
077200             AND T101-BUS-PHONE-1 (10:1) IS EQUAL TO SPACES))
077300                 NEXT SENTENCE
077400             ELSE
077500                 SET SS08WS-ERROR-SW-YES
077600                                 TO TRUE
077700                 MOVE SS08WS-CURSOR TO T101-BUS-PHONE-1-L
077800                 MOVE DFHBMASB   TO T101-BUS-PHONE-1-LP-A
077900                                    T101-BUS-PHONE-1-RP-A
078000                 MOVE DFHBMUBF   TO T101-BUS-PHONE-1-A
078100     ELSE
078200         IF  MBCA-MBTM-CC-NZ
078300             IF  T101-BUS-PHONE-1 (1:9) IS NUMERIC
078400             AND T101-BUS-PHONE-1 (1:9) IS NOT EQUAL TO ZEROS
078500                 NEXT SENTENCE
078600             ELSE
078700                 IF  T101-BUS-PHONE-1 (10:1) IS NUMERIC
078800                 AND T101-BUS-PHONE-1 (10:1) IS NOT EQUAL TO ZERO
078900                     NEXT SENTENCE
079000                 ELSE
079100                     SET SS08WS-ERROR-SW-YES
079200                                  TO TRUE
079300                     MOVE SS08WS-CURSOR TO T101-BUS-PHONE-1-L
079400                     MOVE DFHBMASB   TO T101-BUS-PHONE-1-LP-A
079500                                    T101-BUS-PHONE-1-RP-A
079600                     MOVE DFHBMUBF   TO T101-BUS-PHONE-1-A.
079700*
079800     IF  ((T101-BUS-PHONE-1 (9:1) IS NUMERIC
079900     OR  T101-BUS-PHONE-1 (9:1) IS EQUAL TO SPACES)
080000     AND (T101-BUS-PHONE-1 (10:1) IS NUMERIC
080100     OR  T101-BUS-PHONE-1 (10:1) IS EQUAL TO SPACES))
080200         NEXT SENTENCE
080300     ELSE
080400         SET SS08WS-ERROR-SW-YES TO TRUE
080500         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-1-L
080600         MOVE DFHBMASB           TO T101-BUS-PHONE-1-LP-A
080700                                    T101-BUS-PHONE-1-RP-A
080800         MOVE DFHBMUBF           TO T101-BUS-PHONE-1-A.
080900*
081000 C090-EDIT-BUS-PHONE-2.
081100*
081200     MOVE DFHBMDAS               TO T101-BUS-PHONE-2-LP-A
081300                                    T101-BUS-PHONE-2-RP-A.
081400     MOVE DFHBMASK               TO T101-BUS-PHONE-2-A.
081500*
081600     IF  T101-BUS-PHONE-2-L IS LESS THAN 1
081700         IF  MBCA-MBTM-FUNCTION-ADD
081800             IF  MBCA-S-M IS EQUAL TO 'M'
081900                 MOVE MMMM-PHONE (2)
082000                                 TO WS-PHONE
082100                 PERFORM Y920-VERIFY-PHONE
082200                                 THRU Y929-VP-EXIT
082300                 MOVE WS-NEW-PHONE
082400                                 TO T101-BUS-PHONE-2
082500                 MOVE DFHBMASF   TO T101-BUS-PHONE-2-A
082600                 MOVE 1          TO T101-BUS-PHONE-2-L
082700             ELSE
082800                 MOVE MMSM-PHONE (2)
082900                                 TO WS-PHONE
083000                 PERFORM Y920-VERIFY-PHONE
083100                                 THRU Y929-VP-EXIT
083200                 MOVE WS-NEW-PHONE
083300                                 TO T101-BUS-PHONE-2
083400                 MOVE DFHBMASF   TO T101-BUS-PHONE-2-A
083500                 MOVE 1          TO T101-BUS-PHONE-2-L
083600         ELSE
083700             MOVE MMTM-VANZ-TELE-NBR-2
083800                                 TO T101-BUS-PHONE-2
083900     ELSE
084000         MOVE DFHBMASF           TO T101-BUS-PHONE-2-A.
084100*
084200     IF  T101-BUS-PHONE-2 IS EQUAL TO ZEROS
084300         SET SS08WS-ERROR-SW-YES TO TRUE
084400         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-2-L
084500         MOVE DFHBMASB           TO T101-BUS-PHONE-2-LP-A
084600                                    T101-BUS-PHONE-2-RP-A
084700         MOVE DFHBMUBF           TO T101-BUS-PHONE-2-A
084800         GO TO C100-EDIT-BUS-PHONE-3.
084900*
085000     IF  MBCA-MBTM-CC-AU
085100         IF  (T101-BUS-PHONE-2 (1:8) IS NUMERIC
085200         AND T101-BUS-PHONE-2 (1:8) IS NOT EQUAL TO ZEROS)
085300         OR  T101-BUS-PHONE-2 IS EQUAL TO SPACES
085400             NEXT SENTENCE
085500         ELSE
085600             IF ((T101-BUS-PHONE-2 (9:2) IS NUMERIC
085700             AND T101-BUS-PHONE-2 (9:2) IS NOT EQUAL TO ZEROS)
085800             OR  (T101-BUS-PHONE-2 (9:1) IS NUMERIC
085900             AND T101-BUS-PHONE-2 (9:1) IS NOT EQUAL TO ZEROS
086000             AND T101-BUS-PHONE-2 (10:1) IS EQUAL TO SPACES))
086100                 NEXT SENTENCE
086200             ELSE
086300                 SET SS08WS-ERROR-SW-YES
086400                                 TO TRUE
086500                 MOVE SS08WS-CURSOR TO T101-BUS-PHONE-2-L
086600                 MOVE DFHBMASB   TO T101-BUS-PHONE-2-LP-A
086700                                    T101-BUS-PHONE-2-RP-A
086800                 MOVE DFHBMUBF   TO T101-BUS-PHONE-2-A
086900     ELSE
087000         IF  MBCA-MBTM-CC-NZ
087100             IF  (T101-BUS-PHONE-2 (1:9) IS NUMERIC
087200             AND T101-BUS-PHONE-2 (1:9) IS NOT EQUAL TO ZEROS)
087300             OR  T101-BUS-PHONE-2 IS EQUAL TO SPACES
087400                 NEXT SENTENCE
087500             ELSE
087600                 IF  T101-BUS-PHONE-2 (10:1) IS NUMERIC
087700                 AND T101-BUS-PHONE-2 (10:1) IS NOT EQUAL TO ZERO
087800                     NEXT SENTENCE
087900                 ELSE
088000                     SET SS08WS-ERROR-SW-YES
088100                                 TO TRUE
088200                     MOVE SS08WS-CURSOR
088300                                 TO T101-BUS-PHONE-2-L
088400                     MOVE DFHBMASB
088500                                 TO T101-BUS-PHONE-2-LP-A
088600                                    T101-BUS-PHONE-2-RP-A
088700                     MOVE DFHBMUBF
088800                                 TO T101-BUS-PHONE-2-A.
088900*
089000     IF  ((T101-BUS-PHONE-2 (9:1) IS NUMERIC
089100     OR  T101-BUS-PHONE-2 (9:1) IS EQUAL TO SPACES)
089200     AND (T101-BUS-PHONE-2 (10:1) IS NUMERIC
089300     OR  T101-BUS-PHONE-2 (10:1) IS EQUAL TO SPACES))
089400         NEXT SENTENCE
089500     ELSE
089600         SET SS08WS-ERROR-SW-YES TO TRUE
089700         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-2-L
089800         MOVE DFHBMASB           TO T101-BUS-PHONE-2-LP-A
089900                                    T101-BUS-PHONE-2-RP-A
090000         MOVE DFHBMUBF           TO T101-BUS-PHONE-2-A.
090100*
090200*
090300 C100-EDIT-BUS-PHONE-3.
090400*
090500     MOVE DFHBMDAS               TO T101-BUS-PHONE-3-LP-A
090600                                    T101-BUS-PHONE-3-RP-A.
090700     MOVE DFHBMASK               TO T101-BUS-PHONE-3-A.
090800*
090900     IF  T101-BUS-PHONE-3-L IS LESS THAN 1
091000         MOVE MMTM-VANZ-TELE-NBR-3
091100                                 TO T101-BUS-PHONE-3
091200     ELSE
091300         MOVE DFHBMASF           TO T101-BUS-PHONE-3-A.
091400*
091500     IF  T101-BUS-PHONE-3 IS EQUAL TO ZEROS
091600         SET SS08WS-ERROR-SW-YES TO TRUE
091700         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-3-L
091800         MOVE DFHBMASB           TO T101-BUS-PHONE-3-LP-A
091900                                    T101-BUS-PHONE-3-RP-A
092000         MOVE DFHBMUBF           TO T101-BUS-PHONE-3-A
092100         GO TO D000-RETURN-ERRORS.
092200*
092300     IF  MBCA-MBTM-CC-AU
092400         IF  (T101-BUS-PHONE-3 (1:8) IS NUMERIC
092500         AND T101-BUS-PHONE-3 (1:8) IS NOT EQUAL TO ZEROS)
092600         OR  T101-BUS-PHONE-3 IS EQUAL TO SPACES
092700             NEXT SENTENCE
092800         ELSE
092900             IF ((T101-BUS-PHONE-3 (9:2) IS NUMERIC
093000             AND T101-BUS-PHONE-3 (9:2) IS NOT EQUAL TO ZEROS)
093100             OR  (T101-BUS-PHONE-3 (9:1) IS NUMERIC
093200             AND T101-BUS-PHONE-3 (9:1) IS NOT EQUAL TO ZEROS
093300             AND T101-BUS-PHONE-3 (10:1) IS EQUAL TO SPACES))
093400                 NEXT SENTENCE
093500             ELSE
093600                 SET SS08WS-ERROR-SW-YES
093700                                 TO TRUE
093800                 MOVE SS08WS-CURSOR TO T101-BUS-PHONE-3-L
093900                 MOVE DFHBMASB   TO T101-BUS-PHONE-3-LP-A
094000                                    T101-BUS-PHONE-3-RP-A
094100                 MOVE DFHBMUBF   TO T101-BUS-PHONE-3-A
094200     ELSE
094300         IF  MBCA-MBTM-CC-NZ
094400             IF  (T101-BUS-PHONE-3 (1:9) IS NUMERIC
094500             AND T101-BUS-PHONE-3 (1:9) IS NOT EQUAL TO ZEROS)
094600             OR  T101-BUS-PHONE-3 IS EQUAL TO SPACES
094700                 NEXT SENTENCE
094800             ELSE
094900                 IF  T101-BUS-PHONE-2 (10:1) IS NUMERIC
095000                 AND T101-BUS-PHONE-2 (10:1) IS NOT EQUAL TO ZERO
095100                     NEXT SENTENCE
095200                 ELSE
095300                     SET SS08WS-ERROR-SW-YES
095400                                 TO TRUE
095500                     MOVE SS08WS-CURSOR
095600                                 TO T101-BUS-PHONE-3-L
095700                     MOVE DFHBMASB
095800                                 TO T101-BUS-PHONE-3-LP-A
095900                                    T101-BUS-PHONE-3-RP-A
096000                     MOVE DFHBMUBF
096100                                 TO T101-BUS-PHONE-3-A.
096200*
096300     IF  ((T101-BUS-PHONE-3 (9:1) IS NUMERIC
096400     OR  T101-BUS-PHONE-3 (9:1) IS EQUAL TO SPACES)
096500     AND (T101-BUS-PHONE-3 (10:1) IS NUMERIC
096600     OR  T101-BUS-PHONE-3 (10:1) IS EQUAL TO SPACES))
096700         NEXT SENTENCE
096800     ELSE
096900         SET SS08WS-ERROR-SW-YES TO TRUE
097000         MOVE SS08WS-CURSOR      TO T101-BUS-PHONE-3-L
097100         MOVE DFHBMASB           TO T101-BUS-PHONE-3-LP-A
097200                                    T101-BUS-PHONE-3-RP-A
097300         MOVE DFHBMUBF           TO T101-BUS-PHONE-3-A.
097400*
097500/
097600 D000-RETURN-ERRORS SECTION.
097700*
097800     IF  SS08WS-ERROR-SW-NO
097900         GO TO E000-UPDATE-FILE.
098000*
098100***************************************************************
098200*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
098300*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
098400*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
098500***************************************************************
098600*
098700     PERFORM MB60PD-INIT-STD-MAP-LINES
098800                                 THRU MB60PD-ISML-EXIT.
098900*
099000**********************
099100*    SEND THE MAP    *
099200**********************
099300*
099400     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
099500     PERFORM MB60PD-SEND-MAP-DATA-ONLY
099600                                 THRU MB60PD-SMDO-EXIT.
099700*
099800************************
099900*    RETURN TO CICS    *
100000************************
100100*
100200     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
100300     PERFORM MB70PD-RETURN-TRANS-ID
100400                                 THRU MB70PD-RTI-EXIT.
100500/
100600 E000-UPDATE-FILE SECTION.
100700*
100800********************************************************
100900*    READ THE TERMINATED MERCHANT RECORD FOR UPDATE    *
101000********************************************************
101100*
101200     MOVE MMTM-RECORD            TO MMTMIO-RECORD.
101300*
101400     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
101500     SET MBIORO-READ-RANDOM-UPDATE
101600                                 TO TRUE.
101700     PERFORM MMTMAO-ACCESS       THRU MMTMAO-ACCESS-EXIT.
101800*
101900*************************************
102000*    OBTAIN STORAGE FOR LOG FILE    *
102100*    RECORD IF DOING MAINTENANCE    *
102200*************************************
102300*
102400     MOVE 'SC02'                 TO MBCA-PROGRAM-LOCATION.
102500     SET MBIORO-GETMAIN          TO TRUE.
102600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
102700*
102800*************************************************
102900*    SET UP THE COMMON PORTION OF THE RECORD    *
103000*************************************************
103100*
103200     MOVE 'TM'                   TO MML1-FILE-CODE.
103300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMTM-ORG.
103400     MOVE MBCA-MERCHANT          TO MML1-MMTM-MERCHANT.
103500     MOVE MBCA-ACTION-CODE       TO MML1-MMTM-ACTION-CODE.
103600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
103700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
103800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
103900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
104000*
104100 E020-UPDATE-FIELDS.
104200*
104300*       ***** UPDATE LEGAL NAME *****
104400*
104500     IF  T101-LEGAL-NAME-L IS GREATER THAN ZERO
104600         IF  T101-LEGAL-NAME IS NOT EQUAL
104700                                 TO MMTM-VANZ-MER-LEGAL-NAME
104800             SET WS-UPDATE-SW-YES
104900                                 TO TRUE
105000             IF  MMTM-ADD-COMPLETED
105100                 MOVE 0101       TO MML1-FIELD-CODE
105200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
105300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
105400                 MOVE MML1WS-VL-30
105500                                 TO MML1-VARIABLE-LENGTH
105600                 MOVE MMTM-VANZ-MER-LEGAL-NAME
105700                                 TO MML1-VL30-B-DATA-X
105800                 MOVE T101-LEGAL-NAME
105900                                 TO MMTM-VANZ-MER-LEGAL-NAME
106000                 MOVE MMTM-VANZ-MER-LEGAL-NAME
106100                                 TO MML1-VL30-A-DATA-X
106200                 MOVE 'FC08'     TO MBCA-PROGRAM-LOCATION
106300                 PERFORM Y910-WRITE-LOG-RECORD
106400                                 THRU Y919-WLR-EXIT
106500             ELSE
106600                 MOVE T101-LEGAL-NAME
106700                                 TO MMTM-VANZ-MER-LEGAL-NAME.
106800*
106900*       ***** UPDATE DBA NAME *****
107000*
107100     IF  T101-DBA-NAME-L IS GREATER THAN ZERO
107200         IF  T101-DBA-NAME IS NOT EQUAL
107300                                 TO MMTM-VANZ-MER-TRADING-NAME
107400             SET WS-UPDATE-SW-YES
107500                                 TO TRUE
107600             IF  MMTM-ADD-COMPLETED
107700                 MOVE 0102       TO MML1-FIELD-CODE
107800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
107900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
108000                 MOVE MML1WS-VL-30
108100                                 TO MML1-VARIABLE-LENGTH
108200                 MOVE MMTM-VANZ-MER-TRADING-NAME
108300                                 TO MML1-VL30-B-DATA-X
108400                 MOVE T101-DBA-NAME
108500                                 TO MMTM-VANZ-MER-TRADING-NAME
108600                 MOVE MMTM-VANZ-MER-TRADING-NAME
108700                                 TO MML1-VL30-A-DATA-X
108800                 MOVE 'FC09'     TO MBCA-PROGRAM-LOCATION
108900                 PERFORM Y910-WRITE-LOG-RECORD
109000                                 THRU Y919-WLR-EXIT
109100             ELSE
109200                 MOVE T101-DBA-NAME
109300                                 TO MMTM-VANZ-MER-TRADING-NAME.
109400*
109500*       ***** UPDATE ADDRESS LINE 1 *****
109600*
109700     IF  T101-ADDR-1-L IS GREATER THAN ZERO
109800         IF  T101-ADDR-1 IS NOT EQUAL
109900                                 TO MMTM-VANZ-MER-STREET-ADDR
110000             SET WS-UPDATE-SW-YES
110100                                 TO TRUE
110200             IF  MMTM-ADD-COMPLETED
110300                 MOVE 0103       TO MML1-FIELD-CODE
110400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
110500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
110600                 MOVE MML1WS-VL-30
110700                                 TO MML1-VARIABLE-LENGTH
110800                 MOVE MMTM-VANZ-MER-STREET-ADDR
110900                                 TO MML1-VL30-B-DATA-X
111000                 MOVE T101-ADDR-1
111100                                 TO MMTM-VANZ-MER-STREET-ADDR
111200                 MOVE MMTM-VANZ-MER-STREET-ADDR
111300                                 TO MML1-VL30-A-DATA-X
111400                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
111500                 PERFORM Y910-WRITE-LOG-RECORD
111600                                 THRU Y919-WLR-EXIT
111700             ELSE
111800                 MOVE T101-ADDR-1
111900                                 TO MMTM-VANZ-MER-STREET-ADDR.
112000*
112100*       ***** UPDATE CITY *****
112200*
112300     IF  T101-CITY-L IS GREATER THAN ZERO
112400         IF  T101-CITY IS NOT EQUAL
112500                                 TO MMTM-VANZ-MER-CITY
112600             SET WS-UPDATE-SW-YES
112700                                 TO TRUE
112800             IF  MMTM-ADD-COMPLETED
112900                 MOVE 0104       TO MML1-FIELD-CODE
113000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
113100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
113200                 MOVE MML1WS-VL-20
113300                                 TO MML1-VARIABLE-LENGTH
113400                 MOVE MMTM-VANZ-MER-CITY
113500                                 TO MML1-VL20-B-DATA-X
113600                 MOVE T101-CITY  TO MMTM-VANZ-MER-CITY
113700                 MOVE MMTM-VANZ-MER-CITY
113800                                 TO MML1-VL20-A-DATA-X
113900                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
114000                 PERFORM Y910-WRITE-LOG-RECORD
114100                                 THRU Y919-WLR-EXIT
114200             ELSE
114300                 MOVE T101-CITY  TO MMTM-VANZ-MER-CITY.
114400*
114500*       ***** UPDATE AREA *****
114600*
114700     IF  T101-AREA-L IS GREATER THAN ZERO
114800         IF  T101-AREA IS NOT EQUAL
114900                                 TO MMTM-VANZ-MER-AREA
115000             SET WS-UPDATE-SW-YES
115100                                 TO TRUE
115200             IF  MMTM-ADD-COMPLETED
115300                 MOVE 0105       TO MML1-FIELD-CODE
115400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
115500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
115600                 MOVE MML1WS-VL-20
115700                                 TO MML1-VARIABLE-LENGTH
115800                 MOVE MMTM-VANZ-MER-AREA
115900                                 TO MML1-VL20-B-DATA-X
116000                 MOVE T101-AREA  TO MMTM-VANZ-MER-AREA
116100                 MOVE MMTM-VANZ-MER-AREA
116200                                 TO MML1-VL20-A-DATA-X
116300                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
116400                 PERFORM Y910-WRITE-LOG-RECORD
116500                                 THRU Y919-WLR-EXIT
116600             ELSE
116700                 MOVE T101-AREA   TO MMTM-VANZ-MER-AREA.
116800*
116900*       ***** UPDATE COUNTRY CODE *****
117000*
117100     IF  T101-COUNTRY-L IS GREATER THAN ZERO
117200         IF  T101-COUNTRY IS NOT EQUAL
117300                                 TO MMTM-VANZ-MER-COUNTRY-CODE
117400             SET WS-UPDATE-SW-YES
117500                                 TO TRUE
117600             IF  MMTM-ADD-COMPLETED
117700                 MOVE 0106       TO MML1-FIELD-CODE
117800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
117900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
118000                 MOVE MML1WS-VL-03
118100                                 TO MML1-VARIABLE-LENGTH
118200                 MOVE MMTM-VANZ-MER-COUNTRY-CODE
118300                                 TO MML1-VL03-B-DATA-X
118400                 MOVE T101-COUNTRY
118500                                 TO MMTM-VANZ-MER-COUNTRY-CODE
118600                 MOVE MMTM-VANZ-MER-COUNTRY-CODE
118700                                 TO MML1-VL03-A-DATA-X
118800                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
118900                 PERFORM Y910-WRITE-LOG-RECORD
119000                                 THRU Y919-WLR-EXIT
119100             ELSE
119200                 MOVE T101-COUNTRY
119300                                 TO MMTM-VANZ-MER-COUNTRY-CODE.
119400*
119500*       ***** UPDATE POSTAL CODE *****
119600*
119700     IF  T101-POST-CD-L IS GREATER THAN ZERO
119800         IF  T101-POST-CD IS NOT EQUAL
119900                                 TO MMTM-VANZ-MER-POSTAL-CODE
120000             SET WS-UPDATE-SW-YES
120100                                 TO TRUE
120200             IF  MMTM-ADD-COMPLETED
120300                 MOVE 0107       TO MML1-FIELD-CODE
120400                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
120500                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
120600                 MOVE MML1WS-VL-10
120700                                 TO MML1-VARIABLE-LENGTH
120800                 MOVE MMTM-VANZ-MER-POSTAL-CODE
120900                                 TO MML1-VL10-B-DATA-X
121000                 MOVE T101-POST-CD
121100                                 TO MMTM-VANZ-MER-POSTAL-CODE
121200                 MOVE MMTM-VANZ-MER-POSTAL-CODE
121300                                 TO MML1-VL10-A-DATA-X
121400                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
121500                 PERFORM Y910-WRITE-LOG-RECORD
121600                                 THRU Y919-WLR-EXIT
121700             ELSE
121800                 MOVE T101-POST-CD
121900                                 TO MMTM-VANZ-MER-POSTAL-CODE.
122000*
122100*       ***** BUSINESS BUS-PHONE 1 *****
122200*
122300     IF  T101-BUS-PHONE-1-L IS GREATER THAN ZERO
122400         IF  T101-BUS-PHONE-1 IS NOT EQUAL
122500                                 TO MMTM-VANZ-TELE-NBR-1
122600             SET WS-UPDATE-SW-YES
122700                                 TO TRUE
122800             IF  MMTM-ADD-COMPLETED
122900                 MOVE 0108       TO MML1-FIELD-CODE
123000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
123100                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
123200                 MOVE MML1WS-VL-20
123300                                 TO MML1-VARIABLE-LENGTH
123400                 MOVE MMTM-VANZ-TELE-NBR-1
123500                                 TO MML1-VL20-B-DATA-X
123600                 MOVE T101-BUS-PHONE-1
123700                                 TO MMTM-VANZ-TELE-NBR-1
123800                 MOVE MMTM-VANZ-TELE-NBR-1
123900                                 TO MML1-VL20-A-DATA-X
124000                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
124100                 PERFORM Y910-WRITE-LOG-RECORD
124200                                 THRU Y919-WLR-EXIT
124300             ELSE
124400                 MOVE T101-BUS-PHONE-1
124500                                 TO MMTM-VANZ-TELE-NBR-1.
124600*
124700*       ***** BUSINESS BUS-PHONE 2 *****
124800*
124900     IF  T101-BUS-PHONE-2-L IS GREATER THAN ZERO
125000         IF  T101-BUS-PHONE-2 IS NOT EQUAL
125100                                 TO MMTM-VANZ-TELE-NBR-2
125200             SET WS-UPDATE-SW-YES
125300                                 TO TRUE
125400             IF  MMTM-ADD-COMPLETED
125500                 MOVE 0109       TO MML1-FIELD-CODE
125600                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
125700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
125800                 MOVE MML1WS-VL-20
125900                                 TO MML1-VARIABLE-LENGTH
126000                 MOVE MMTM-VANZ-TELE-NBR-2
126100                                 TO MML1-VL20-B-DATA-X
126200                 MOVE T101-BUS-PHONE-2
126300                                 TO MMTM-VANZ-TELE-NBR-2
126400                 MOVE MMTM-VANZ-TELE-NBR-2
126500                                 TO MML1-VL20-A-DATA-X
126600                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
126700                 PERFORM Y910-WRITE-LOG-RECORD
126800                                 THRU Y919-WLR-EXIT
126900             ELSE
127000                 MOVE T101-BUS-PHONE-2
127100                                 TO MMTM-VANZ-TELE-NBR-2.
127200*
127300*       ***** BUSINESS BUS-PHONE 3 *****
127400*
127500     IF  T101-BUS-PHONE-3-L IS GREATER THAN ZERO
127600         IF  T101-BUS-PHONE-3 IS NOT EQUAL
127700                                 TO MMTM-VANZ-TELE-NBR-3
127800             SET WS-UPDATE-SW-YES
127900                                 TO TRUE
128000             IF  MMTM-ADD-COMPLETED
128100                 MOVE 0110       TO MML1-FIELD-CODE
128200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE
128300                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
128400                 MOVE MML1WS-VL-20
128500                                 TO MML1-VARIABLE-LENGTH
128600                 MOVE MMTM-VANZ-TELE-NBR-3
128700                                 TO MML1-VL20-B-DATA-X
128800                 MOVE T101-BUS-PHONE-3
128900                                 TO MMTM-VANZ-TELE-NBR-3
129000                 MOVE MMTM-VANZ-TELE-NBR-3
129100                                 TO MML1-VL20-A-DATA-X
129200                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
129300                 PERFORM Y910-WRITE-LOG-RECORD
129400                                 THRU Y919-WLR-EXIT
129500             ELSE
129600                 MOVE T101-BUS-PHONE-3
129700                                 TO MMTM-VANZ-TELE-NBR-3.
129800*
129900 E040-UPDATE-MMTM.
130000*
130100**************************************************************
130200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
130300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
130400*    ON THE SCREEN                                           *
130500**************************************************************
130600*
130700     IF  MBCA-MBTM-FUNCTION-ADD
130800     AND WS-UPDATE-SW-YES
130900         SET WS-UPDATE-SW-YES    TO TRUE
131000         MOVE MBCA-SCREEN-NBR    TO MMTM-ONLINE-STATUS.
131100*
131200     IF  WS-UPDATE-SW-YES
131300         MOVE 0198               TO MML1-FIELD-CODE
131400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
131500                                    MML1-FIELD-OCCURRENCE-2
131600         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
131700         MOVE MMTM-LAST-MAINT-OPER
131800                                 TO MML1-VL03-B-DATA-X
131810         MOVE '1'                TO MMTM-DATA-FORMAT              EH800900
131900         MOVE MBCA-OPERATOR-ID   TO MMTM-LAST-MAINT-OPER
132000         MOVE MMTM-LAST-MAINT-OPER
132100                                 TO MML1-VL03-A-DATA-X
132200         MOVE 'FC19'             TO MBCA-PROGRAM-LOCATION
132300         PERFORM Y910-WRITE-LOG-RECORD
132400                                 THRU Y919-WLR-EXIT
132500         MOVE 0199               TO MML1-FIELD-CODE
132600         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
132700         MOVE MMTM-LAST-MAINT-DATE
132800                                 TO MML1-VL07-B-DATA-9
132900         MOVE MBCA-START-DATE    TO MMTM-LAST-MAINT-DATE
133000         MOVE MMTM-LAST-MAINT-DATE
133100                                 TO MML1-VL07-A-DATA-9
133200         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
133300         PERFORM Y910-WRITE-LOG-RECORD
133400                                 THRU Y919-WLR-EXIT.
133500*
133600     IF  MMTM-ADD-PENDING
133700         MOVE MBCA-SCREEN-NBR    TO MMTM-ONLINE-STATUS.
133800*
133900****************************************************
134000*    REWRITE THE TERMINATED MERCHANT RECORD IF     *
134100*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
134200*    UNLOCK IT IF THEY HAVE NOT                    *
134300****************************************************
134400*
134500     IF  WS-UPDATE-SW-YES
134600         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
134700         SET MBIORO-REWRITE      TO TRUE
134800         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT
134900     ELSE
135000         MOVE 'FC22'             TO MBCA-PROGRAM-LOCATION
135100         SET MBIORO-UNLOCK       TO TRUE
135200         PERFORM MMTMAO-ACCESS   THRU MMTMAO-ACCESS-EXIT.
135300/
135400 F000-SETUP-COMMAREA SECTION.
135500*
135600***************************************************************
135700*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
135800***************************************************************
135900*
136000     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
136100*
136200     PERFORM MB60PD-EDIT-PAGE-NBR
136300                                 THRU MB60PD-EPN-EXIT.
136400*
136500     IF  SS08WS-VALID-PF-KEY
136600     OR  SS08WS-EIBAID-VALID-PF-KEY
136700         SET MBCA-INITIAL-SCREEN-NBR
136800                                 TO TRUE.
136900*
137000     IF  NOT MMTM-ADD-COMPLETED
137100         MOVE DFHBMASK           TO T101-CURRENT-PAGE-A.
137200*
137300 F090-TRANSFER-XCTL.
137400*
137500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
137600     PERFORM MB70PD-XCTL-TO-MBOXCTL
137700                                 THRU MB70PD-XTM-EXIT.
137800*
137900 Y910-WRITE-LOG-RECORD.
138000*
138100     IF  MMTM-ADD-PENDING
138200         GO TO Y919-WLR-EXIT.
138300*
138400     SET MBIORO-WRITE            TO TRUE.
138500     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
138600     MOVE SPACES                 TO MML1-VARIABLE-AREA.
138700*
138800 Y919-WLR-EXIT.
138900     EXIT.
139000*
139100 Y920-VERIFY-PHONE.
139200*
139300     MOVE SPACES                 TO WS-NEW-PHONE.
139400     SET X-WS-NEW-PHONE          TO 1.
139500*
139600     PERFORM
139700         VARYING X-WS-PHONE FROM 1 BY 1
139800         UNTIL X-WS-PHONE IS GREATER THAN 17
139900         IF  X-WS-NEW-PHONE IS GREATER THAN 10
140000             CONTINUE
140100         ELSE
140200             IF  WS-PHONE-BYTE (X-WS-PHONE) IS NUMERIC
140300                 MOVE WS-PHONE-BYTE (X-WS-PHONE)
140400                                 TO WS-NEW-PHONE-BYTE
140500                                    (X-WS-NEW-PHONE)
140600                 SET X-WS-NEW-PHONE  UP BY 1
140700             END-IF
140800         END-IF
140900     END-PERFORM.
141000*
141100 Y929-VP-EXIT.
141200     EXIT.
141300/
141400 Z000-COPIED-ROUTINES SECTION.
141500*
141600**********************************
141700*    JUL TO GREG DATE ROUTINE    *
141800**********************************
141900*
142000     COPY SS08PD.
142100/
142200     COPY SS26PD.
142300/
142400     COPY SS27PD.
142500/
142600**********************************
142700*    GREG TO JUL DATE ROUTINE    *
142800**********************************
142900*
143000     COPY SS07PD.
143100/
143200**********************************
143300*    DATE VALIDATION ROUTINE     *
143400**********************************
143500*
143600     COPY SS05PD.
143700/
143800*********************************
143900*    LINE 24 PF KEYS ROUTINE    *
144000*********************************
144100*
144200     COPY SS15PD.
144300/
144400****************************************************
144500*    TERMINATED MERCHANT RECORD ACCESS ROUTINES    *
144600****************************************************
144700*
144800     COPY MMTMAO.
144900/
145000****************************************************
145100*    MERCHANT MASTER RECORD ACCESS ROUTINES        *
145200****************************************************
145300*
145400     COPY MMMMAO.
145500/
145600****************************************************
145700*    STORE MASTER RECORD ACCESS ROUTINES           *
145800****************************************************
145900*
146000     COPY MMSMAO.
146100/
146200*****************************************
146300*    LOG FILE RECORD ACCESS ROUTINES    *
146400*****************************************
146500*
146600     COPY MML1AO.
146700/
146800*****************************
146900*    ONLINE MAP ROUTINES    *
147000*****************************
147100*
147200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBT101 '
147300                           MBMAPXXI BY MBT101I
147400                           MBMAPXXO BY MBT101O.
147500/
147600***************************
147700*    ONLINE PROCEDURES    *
147800***************************
147900*
148000     COPY MB70PD.
148100/
148200     COPY SMFTPXO.
