000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOT402.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOT402 - VISA NMAS            ADD/MAINT/INQ             *
000800*                SCREEN 02                                      *
000900*                                                               *
001000*              1. TRANSID                                       *
001100*                 B. MBTM                                       *
001200*              2. MAPS USED -                                   *
001300*                 A. MBT402 (SCREEN 02)                         *
001400*              3. FILES USED -                                  *
001500*                 A. MMTM (TERMINATED MERCHANTS FILE)           *
001600*                 B. MMMM (MERCHANT MASTER FILE)                *
001700*                 B. MMSM (STORE MASTER FILE)                   *
001800*                 C. MML1 (LOG FILE)                            *
001900*                                                               *
002000*****************************************************************
002100*
002200 ENVIRONMENT DIVISION.
002300*
002400 DATA DIVISION.
002500*
002600 WORKING-STORAGE SECTION.
002700*
002800 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002900*
003000 01  FILLER                  PIC  X(14)      VALUE
003100     'MISCELLANEOUS:'.
003200*
003300 01  FILLER                  PIC  X(17)      VALUE
003400     'PROGRAM SWITCHES:'.
003500/
003600 01  FILLER                  PIC  X(29)      VALUE
003700     'I/O REQUEST BLOCK WORK AREAS:'.
003800*
003900     COPY MBIOWS.
004000/
004100 01  FILLER                  PIC  X(18)      VALUE
004200     'I/O REQUEST BLOCK:'.
004300*
004400     COPY MBIORO.
004500/
004600 01  FILLER                  PIC  X(23)      VALUE
004700     'TERMINATED MERCHANT I/O'.
004800*
004900     COPY MMTMIO.
005000/
005100 01  FILLER                  PIC  X(25)      VALUE
005200     'MERCHANT MASTER INIT REC:'.
005300*
005400     COPY MMMMIR.
005500/
005600 01  FILLER                  PIC  X(25)      VALUE
005700     'STORE MASTER INIT REC:   '.
005800*
005900     COPY MMSMIR.
006000/
006100 01  FILLER                  PIC  X(25)      VALUE
006200     'LOG RECORD REQUEST BLOCK:'.
006300*
006400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006500/
006600 01  FILLER                  PIC  X(20)      VALUE
006700     'CCS DATE WORK AREAS:'.
006800*
006900     COPY SS01WS.
007000/
007100 01  FILLER                  PIC  X(15)      VALUE
007200     'CCS WORK AREAS:'.
007300*
007400     COPY SS08WS.
007500/
007600     COPY SS00WS.
007700/
007800     COPY SMFTWS.
007900/
008000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
008100/
008200     COPY MB61LK.
008300/
008400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008500/
008600 LINKAGE SECTION.
008700*
008800 01  DFHCOMMAREA.
008900*
009000     COPY MB60WS.
009100/
009200*********************************
009300*    TERMINATED MERCHANT MAP    *
009400*********************************
009500*
009600     COPY MBT402.
009700/
009800**********************************************
009900*    TERMINATED MERCHANT MAP REDEFINITION    *
010000**********************************************
010100*
010200     COPY MBT402R.
010300/
010400******************************************
010500*    TERMINATED MECHANT RECORD LAYOUT    *
010600******************************************
010700*
010800     COPY MMTMRL.
010900/
011000******************************************
011100*    MERCHANT MASTER    RECORD LAYOUT    *
011200******************************************
011300*
011400     COPY MMMMRL.
011500/
011600******************************************
011700*    STORE MASTER    RECORD LAYOUT       *
011800******************************************
011900*
012000     COPY MMSMRL.
012100/
012200***************************
012300*    LOG RECORD LAYOUT    *
012400***************************
012500*
012600     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
012700/
012800 PROCEDURE DIVISION.
012900*
013000 A000-HOUSEKEEPING SECTION.
013100*
013200 A020-INIT.
013300*
013400     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
013500     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
013600                                 THRU MB70PD-OLH-EXIT.
013700*
013800     IF  MBCA-RECEIVE-SCREEN
013900         GO TO C000-RECEIVE-SCREEN.
014000/
014100 B000-SEND-SCREEN SECTION.
014200*
014300*********************************************
014400*    GET CICS STORAGE NEEDED FOR THE MAP    *
014500*********************************************
014600*
014700     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
014800     PERFORM MB60PD-GETMAIN-FOR-MAP
014900                                 THRU MB60PD-GFM-EXIT.
015000*
015100*******************************************
015200*    INITIALIZE THE STANDARD MAP LINES    *
015300*******************************************
015400*
015500     PERFORM MB60PD-INIT-STD-MAP-LINES
015600                                 THRU MB60PD-ISML-EXIT.
015700*
015800 B100-SEND-MAP.
015900*
016000     MOVE SS08WS-CURSOR          TO T402-ALT-TRANID-L.
016100     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
016200*
016300**********************
016400*    SEND THE MAP    *
016500**********************
016600*
016700     MOVE DFHBMASK               TO T402-CURRENT-PAGE-A.
016800*
016900     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
017000     PERFORM MB60PD-SEND-MAP-WITH-ERASE
017100                                 THRU MB60PD-SMWE-EXIT.
017200*
017300************************
017400*    RETURN TO CICS    *
017500************************
017600*
017700     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
017800     PERFORM MB70PD-RETURN-TRANS-ID
017900                                 THRU MB70PD-RTI-EXIT.
018000/
018100 C000-RECEIVE-SCREEN SECTION.
018200*
018300******************************************
018400*    THIS SECTION RECEIVES THE SCREEN    *
018500******************************************
018600*
018700     MOVE 'BM02'                 TO MBCA-PROGRAM-LOCATION.
018800     PERFORM MB60PD-RECEIVE-MAP  THRU MB60PD-RM-EXIT.
018900*
019000**************************************************************
019100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
019200**************************************************************
019300*
019400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
019500     PERFORM MB60PD-NEW-TRANS-ROUTINE
019600                                 THRU MB60PD-NTR-EXIT.
019700/
019800 F000-SETUP-COMMAREA SECTION.
019900*
020000***************************************************************
020100*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
020200***************************************************************
020300*
020400     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
020500*
020600     PERFORM MB60PD-EDIT-PAGE-NBR
020700                                 THRU MB60PD-EPN-EXIT.
020800*
020900     IF  SS08WS-VALID-PF-KEY
021000     OR  SS08WS-EIBAID-VALID-PF-KEY
021100         SET MBCA-INITIAL-SCREEN-NBR
021200                                 TO TRUE.
021300*
021400     MOVE DFHBMASK           TO T402-CURRENT-PAGE-A.
021500*
021600 F090-TRANSFER-XCTL.
021700*
021800     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
021900     PERFORM MB70PD-XCTL-TO-MBOXCTL
022000                                 THRU MB70PD-XTM-EXIT.
022100/
022200 Z000-COPIED-ROUTINES SECTION.
022300*
022400**********************************
022500*    JUL TO GREG DATE ROUTINE    *
022600**********************************
022700*
022800     COPY SS08PD.
022900/
023000     COPY SS26PD.
023100/
023200     COPY SS27PD.
023300/
023400**********************************
023500*    GREG TO JUL DATE ROUTINE    *
023600**********************************
023700*
023800     COPY SS07PD.
023900/
024000**********************************
024100*    DATE VALIDATION ROUTINE     *
024200**********************************
024300*
024400     COPY SS05PD.
024500/
024600*********************************
024700*    LINE 24 PF KEYS ROUTINE    *
024800*********************************
024900*
025000     COPY SS15PD.
025100/
025200****************************************************
025300*    TERMINATED MERCHANT RECORD ACCESS ROUTINES    *
025400****************************************************
025500*
025600     COPY MMTMAO.
025700/
025800****************************************************
025900*    MERCHANT MASTER RECORD ACCESS ROUTINES        *
026000****************************************************
026100*
026200     COPY MMMMAO.
026300/
026400****************************************************
026500*    STORE MASTER RECORD ACCESS ROUTINES           *
026600****************************************************
026700*
026800     COPY MMSMAO.
026900/
027000*****************************************
027100*    LOG FILE RECORD ACCESS ROUTINES    *
027200*****************************************
027300*
027400     COPY MML1AO.
027500/
027600*****************************
027700*    ONLINE MAP ROUTINES    *
027800*****************************
027900*
028000     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBT402 '
028100                           MBMAPXXI BY MBT402I
028200                           MBMAPXXO BY MBT402O.
028300/
028400***************************
028500*    ONLINE PROCEDURES    *
028600***************************
028700*
028800     COPY MB70PD.
028900/
029000     COPY SMFTPXO.
