000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.      MBU000.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*               MBU000    -  CONTROL CARD LOAD                  *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY SS00WS.
002800/
002900     COPY SS01WS.
003000/
003100     COPY SS02WS.
003200/
003300     COPY SS00RB REPLACING ==:SS00:== BY ==SWCC==.
003400/
003500     COPY SWCCIO REPLACING ==:SWCC:== BY ==SWCC==.
003600/
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
003800/
003900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004000/
004100     COPY MB00WS.
004200/
004300     COPY MB99WS.
004400/
004500     COPY MB20WS.
004600*
004700 01  SS20FD-PRINT-RECORD     REDEFINES MB20WS-PRINT-LINE.
004800     03  FILLER              PIC X(20).
004900     03  PR-DL1-LIT1         PIC X(80).
005000     03  FILLER              PIC X(32).
005100/
005200 01  WS-PROG-ID              PIC X(06).
005300 01  WS-FIRST-SW             PIC X(01)       VALUE SPACE.
005400*
005500 01  WS-RULER-AREA.
005600     03  WS-RULER-1.
005700         05  FILLER          PIC X(20)       VALUE SPACES.
005800         05  FILLER          PIC X(40)       VALUE
005900             '         1         2         3         4'.
006000         05  FILLER          PIC X(40)       VALUE
006100             '         5         6         7         8'.
006200     03  WS-RULER-2.
006300         05  FILLER          PIC X(20)       VALUE SPACES.
006400         05  FILLER          PIC X(40)       VALUE
006500             '1...5....0....5....0....5....0....5....0'.
006600         05  FILLER          PIC X(40)       VALUE
006700             '0...5....0....5....0....5....0....5....0'.
006800*
006900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007000/
007100 PROCEDURE DIVISION.
007200 0000-HOUSEKEEPING.
007300*
007400     MOVE 'MBU000'               TO SS02WS-ABEND-PROG-ID.
007500     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
007600     MOVE 'T000'                 TO MB20WS-SH-INTERNAL-RPT-ID.
007700     MOVE '          MERCHANTS'  TO MB20WS-SH-SYSTEM.
007800     MOVE SPACES                 TO MB20WS-SH-LIT-1.
007900     MOVE '      CONTROL CARD LOAD'
008000                                 TO MB20WS-SH-RPT-NAME.
008100     MOVE SPACES                 TO MB20WS-SH-LIT-5.
008200     MOVE SPACES                 TO MB20WS-SH-FILE-DATE-LIT.
008300     MOVE WS-RULER-1             TO MB20WS-SH-L5.
008400     MOVE WS-RULER-2             TO MB20WS-SH-L6.
008500*
008600     MOVE SS02WS-END-OF-FILE     TO SWCCRB-PERM-STATUS-1.
008700     MOVE 'O1WC'                 TO SS02WS-ABEND-LOCATION.
008800     SET SWCCRB-OPEN-INPUT       TO TRUE.
008900     PERFORM SS00PD-SWCC-ACCESS  THRU SS00PD-SWCC-ACCESS-EXIT.
009000*
009100     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
009200     SET MTCCRB-OPEN-OUTPUT      TO TRUE.
009300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
009400/
009500 1000-READ-INPUT.
009600*
009700     MOVE 'R1WC'                 TO SS02WS-ABEND-LOCATION.
009800     SET SWCCRB-READ-SEQ         TO TRUE.
009900     PERFORM SS00PD-SWCC-ACCESS  THRU SS00PD-SWCC-ACCESS-EXIT.
010000*
010100*****DISPLAY 'SWCC ' SWCCIO-RECORD.
010200     IF  SS02WS-FS-END-OF-FILE
010300         GO TO 2000-CLOSE-FILES.
010400*
010500     IF  WS-FIRST-SW IS EQUAL TO SPACE
010600         MOVE 'X'                TO WS-FIRST-SW
010700         IF  NOT SWCCIO-HEADER
010800             MOVE 00001          TO SS02WS-ABEND-CODE
010900             PERFORM MB99PD-MISSING-HEADER-ABEND
011000                                 THRU MB99PD-MHA-EXIT.
011100*
011200     IF  SWCCIO-HEADER
011300         MOVE SWCCIO-DEST-PROG   TO WS-PROG-ID
011400         MOVE SWCCIO-RECORD-DETAIL
011500                                 TO PR-DL1-LIT1
011600         PERFORM MB20PD-PRINT-1-LINE
011700                                 THRU MB20PD-P1L-EXIT
011800         GO TO 1000-READ-INPUT.
011900*
012000     MOVE SWCCIO-RECORD-DETAIL   TO MTCCIO-CARD-DATA.
012100     MOVE WS-PROG-ID             TO MTCCIO-PROGRAM-ID.
012200*
012300*****DISPLAY 'MTCCIO-RECORD ' MTCCIO-RECORD.
012400     MOVE 'W1CC'                 TO SS02WS-ABEND-LOCATION.
012500     SET MTCCRB-WRITE            TO TRUE.
012600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012700*
012800     MOVE SWCCIO-RECORD-DETAIL   TO PR-DL1-LIT1.
012900     PERFORM MB20PD-PRINT-2-LINES
013000                                 THRU MB20PD-P2L-EXIT.
013100*
013200     GO TO 1000-READ-INPUT.
013300/
013400 2000-CLOSE-FILES.
013500*
013600     IF  WS-FIRST-SW IS EQUAL TO SPACES
013700         MOVE 00002              TO SS02WS-ABEND-CODE
013800         MOVE '- SWCC-CONTROL CARDS MISSING'
013900                                 TO SS02WS-ABENDMSG8
014000         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
014100*
014200     PERFORM MB20PD-CLOSE-PRINT-FILES
014300                                 THRU MB20PD-CPF-EXIT.
014400*
014500     MOVE 'C1WC'                 TO SS02WS-ABEND-LOCATION.
014600     SET SWCCRB-CLOSE            TO TRUE.
014700     PERFORM SS00PD-SWCC-ACCESS  THRU SS00PD-SWCC-ACCESS-EXIT.
014800*
014900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
015000     SET MTCCRB-CLOSE            TO TRUE.
015100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015200*
015300     STOP RUN.
015400/
015500 9000-PERFORMED-ROUTINES.
015600*
015700     COPY SS02PD.
015800/
015900     COPY SS07PD.
016000/
016100     COPY SS08PD.
016200/
016300     COPY SS16PD.
016400/
016500     COPY SS26PD.
016600/
016700     COPY SS27PD.
016800/
016900     COPY MB99PD.
017000/
017100     COPY SS00PD REPLACING ==:SS00:== BY ==SWCC==.
017200/
017300     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
017400/
017500     COPY MB20PD.
