000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU023.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*    MBU023 - COPY/BACKUP DETAIL DEPOSIT HISTORY FILE 1         *
000800*             WITH INCLUDE/EXCLUDE PURGE OPTION                 *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700 FILE-CONTROL.
001800*
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC X(12)       VALUE '** WS-BEG **'.
002600*
002700 01  WS-MBU023-WORK-AREAS.
002800     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU023'.
002900     03  WS-NBR-INPUT        PIC S9(11)      COMP-3 VALUE ZERO.
003000     03  WS-NBR-COPIED       PIC S9(11)      COMP-3 VALUE ZERO.
003100     03  WS-NBR-PURGED       PIC S9(11)      COMP-3 VALUE ZERO.
003200     03  WS-INC-EXC-LIT      PIC  X(12)      VALUE SPACES.
003300         88  WS-NO-INC-EXC-OPTION            VALUE SPACES.
003400         88  WS-INCLUDE-OPTION               VALUE 'INCLUDE ORG='.
003500         88  WS-EXCLUDE-OPTION               VALUE 'EXCLUDE ORG='.
003600     03  WS-INC-EXC-ORG-X.
003700         05  WS-INC-EXC-ORG  PIC  9(03)      VALUE ZERO.
003800     03  WS-INC-EXC-BYPASS-SW
003900                             PIC  X(01)      VALUE 'N'.
004000         88  WS-INC-EXC-BYPASS-YES           VALUE 'Y'.
004100         88  WS-INC-EXC-BYPASS-NO            VALUE 'N'.
004200/
004300     COPY MMSCRL.
004400/
004500     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004600/
004700******************************************************************
004800     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
004900/
005000     COPY MB00RB REPLACING ==:MB00:== BY ==MB3I==.
005100/
005200     COPY MB00RB REPLACING ==:MB00:== BY ==MB3O==.
005300/
005400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
005500/
005600******************************************************************
005700     COPY MMSCIO.
005800/
005900     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3I==.
006000/
006100     COPY MMD3IO REPLACING ==:MMD3:== BY ==MB3O==.
006200/
006300     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
006400/
006500     COPY MB00WS.
006600/
006700     COPY MB99WS.
006800/
006900     COPY SS00WS.
007000/
007100     COPY SS01WS.
007200/
007300     COPY SS02WS.
007400/
007500     COPY MB20WS.
007600 01  WS-PRINT-LINE-00        REDEFINES MB20WS-PRINT-LINE.
007700     03  WS-PL00-LIT         PIC  X(41).
007800     03  WS-PL00-NBR         PIC  ZZZZZZZZZZZZZ9-.
007900     03  FILLER              PIC  X(76).
008000*
008100 01  FILLER                  PIC X(12)       VALUE '** WS-END **'.
008200/
008300 PROCEDURE DIVISION.
008400 A000-PROGRAM-CONTROL-SECT SECTION.
008500 A010-PC-BEGIN.
008600*
008700     MOVE WS-PROG-ID             TO SS02WS-ABEND-PROG-ID.
008800*
008900     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
009000     SET MTCCRB-OPEN-INPUT       TO TRUE.
009100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
009200*
009300     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
009400*
009500 A010-PC-BEGIN-READ-CONTROL.
009600*
009700     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
009800     SET MTCCRB-READ-SEQ         TO TRUE.
009900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
010000*
010100     IF  SS02WS-FS-END-OF-FILE
010200         MOVE SPACES             TO MTCCIO-RECORD
010300         MOVE WS-PROG-ID         TO MTCCIO-PROGRAM-ID.
010400*
010500     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
010600*
010700     IF  MTCC-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
010800         GO TO A010-PC-BEGIN-READ-CONTROL.
010900*
011000     IF (MTCC-RECORD-MBU020 (1:12) IS EQUAL TO 'INCLUDE ORG='
011100     OR  MTCC-RECORD-MBU020 (1:12) IS EQUAL TO 'EXCLUDE ORG=')
011200     AND
011300         MTCC-RECORD-MBU020 (13:3) IS NUMERIC
011400         MOVE MTCC-RECORD (1:12) TO WS-INC-EXC-LIT
011500         MOVE MTCC-RECORD (13:3) TO WS-INC-EXC-ORG-X.
011600*
011700     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
011800     SET MMSCRB-OPEN-INPUT       TO TRUE.
011900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012000*
012100     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012200     SET MMSCRB-READ-SEQ         TO TRUE.
012300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012400*
012500     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012600*
012700     IF  MMSCIO-HEADER
012800         NEXT SENTENCE
012900     ELSE
013000         PERFORM MB99PD-MISSING-HEADER-ABEND
013100            THRU MB99PD-MHA-EXIT.
013200*
013300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013400     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
013500     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
013600     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013700     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
013800     MOVE 'S023'                 TO MB20WS-SH-INTERNAL-RPT-ID.
013900     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
014000     MOVE ZERO                   TO MB20WS-SH-ORG.
014100     MOVE MMSC-PROC-CENTER-ID    TO MB20WS-SH-ORG-NAME.
014200     MOVE '   COPY/BACKUP MB3I/3O FILE   '
014300                                 TO MB20WS-SH-RPT-NAME.
014400     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
014500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
014600                                 THRU SS26PD-NED-EXIT.
014700     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
014800     MOVE SPACES                 TO MB20WS-SH-LIT-5.
014900     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINE-LIMIT.
015000     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
015100     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
015200     PERFORM MB20PD-PRINT-2-LINES THRU MB20PD-P2L-EXIT.
015300*
015400*
015500*
015600 A100-PROCESS-CONTROL-CARD.
015700*
015800     MOVE 'O13I'                 TO SS02WS-ABEND-LOCATION.
015900     SET MB3IRB-OPEN-INPUT       TO TRUE.
016000     PERFORM MB00PD-MB3I-ACCESS  THRU MB00PD-MB3I-ACCESS-EXIT.
016100*
016200     MOVE 'O13O'                 TO SS02WS-ABEND-LOCATION.
016300     SET MB3ORB-OPEN-OUTPUT      TO TRUE.
016400     PERFORM MB00PD-MB3O-ACCESS  THRU MB00PD-MB3O-ACCESS-EXIT.
016500*
016600     MOVE SS02WS-END-OF-FILE     TO MB3IRB-PERM-STATUS-1.
016700*
016800 A200-PROCESS-FILE.
016900*
017000     MOVE 'R13I'                 TO SS02WS-ABEND-LOCATION.
017100     SET MB3IRB-READ-SEQ         TO TRUE.
017200     PERFORM MB00PD-MB3I-ACCESS  THRU MB00PD-MB3I-ACCESS-EXIT.
017300*
017400     IF  SS02WS-FS-END-OF-FILE
017500         GO TO A900-PC-CLOSE-FILES.
017600*
017700     ADD  1                      TO WS-NBR-INPUT.
017800*
017900     SET  WS-INC-EXC-BYPASS-NO   TO TRUE.
018000*
018100     EVALUATE TRUE
018200       WHEN MB3IIO-HEADER
018300           CONTINUE
018400       WHEN MB3IIO-TRAILER
018500           CONTINUE
018600       WHEN OTHER
018700         EVALUATE TRUE
018800           WHEN WS-NO-INC-EXC-OPTION
018900             CONTINUE
019000           WHEN WS-INCLUDE-OPTION
019100               IF  MB3IIO-ORG-X IS NOT EQUAL TO WS-INC-EXC-ORG-X
019200                   SET  WS-INC-EXC-BYPASS-YES
019300                                 TO TRUE
019400               END-IF
019500           WHEN WS-EXCLUDE-OPTION
019600               IF  MB3IIO-ORG-X IS EQUAL TO WS-INC-EXC-ORG-X
019700                   SET  WS-INC-EXC-BYPASS-YES
019800                                 TO TRUE
019900               END-IF
020000         END-EVALUATE
020100     END-EVALUATE.
020200*
020300     IF  WS-INC-EXC-BYPASS-YES
020400         ADD  1                  TO WS-NBR-PURGED
020500         GO TO A200-PROCESS-FILE.
020600*
020700     MOVE MB3IIO-RECORD          TO MB3OIO-RECORD.
020800*
020900     MOVE 'W13O'                 TO SS02WS-ABEND-LOCATION.
021000     SET MB3ORB-WRITE            TO TRUE.
021100     PERFORM MB00PD-MB3O-ACCESS  THRU MB00PD-MB3O-ACCESS-EXIT.
021200*
021300     ADD  1                      TO WS-NBR-COPIED.
021400     GO TO A200-PROCESS-FILE.
021500*
021600*
021700*
021800 A900-PC-CLOSE-FILES.
021900*
022000     MOVE 'NUMBER OF INPUT RECORDS'
022100                                 TO WS-PL00-LIT.
022200     MOVE WS-NBR-INPUT           TO WS-PL00-NBR.
022300     PERFORM MB20PD-PRINT-2-LINES THRU MB20PD-P2L-EXIT.
022400*
022500     MOVE 'NUMBER OF COPIED RECORDS'
022600                                 TO WS-PL00-LIT.
022700     MOVE WS-NBR-COPIED          TO WS-PL00-NBR.
022800     PERFORM MB20PD-PRINT-2-LINES THRU MB20PD-P2L-EXIT.
022900*
023000     MOVE 'NUMBER OF RECORDS PURGED'
023100                                 TO WS-PL00-LIT.
023200     MOVE WS-NBR-PURGED          TO WS-PL00-NBR.
023300     PERFORM MB20PD-PRINT-2-LINES THRU MB20PD-P2L-EXIT.
023400*
023500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
023600     SET MTCCRB-CLOSE            TO TRUE.
023700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
023800*
023900     MOVE 'C13I'                 TO SS02WS-ABEND-LOCATION.
024000     SET MB3IRB-CLOSE            TO TRUE.
024100     PERFORM MB00PD-MB3I-ACCESS  THRU MB00PD-MB3I-ACCESS-EXIT.
024200*
024300     MOVE 'C13O'                 TO SS02WS-ABEND-LOCATION.
024400     SET MB3ORB-CLOSE            TO TRUE.
024500     PERFORM MB00PD-MB3O-ACCESS  THRU MB00PD-MB3O-ACCESS-EXIT.
024600*
024700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
024800     SET MMSCRB-CLOSE            TO TRUE.
024900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
025000*
025100     PERFORM MB20PD-CLOSE-PRINT-FILES
025200        THRU MB20PD-CPF-EXIT.
025300*
025400     GO TO 9999-END-OF-PROGRAM.
025500*
025600 A999-PC-EXIT.
025700     EXIT.
025800/
025900 9900-PERFORMED-ROUTINES-SECT SECTION.
026000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
026100/
026200     COPY MB00PD REPLACING ==:MB00:== BY ==MB3I==.
026300/
026400     COPY MB00PD REPLACING ==:MB00:== BY ==MB3O==.
026500/
026600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
026700/
026800     COPY MB20PD.
026900/
027000     COPY MB99PD.
027100/
027200     COPY SS02PD.
027300/
027400     COPY SS07PD.
027500/
027600     COPY SS08PD.
027700/
027800     COPY SS16PD.
027900/
028000     COPY SS26PD.
028100/
028200     COPY SS27PD.
028300*
028400 9995-END-SOURCE-STATEMENTS SECTION.
028500 9999-END-OF-PROGRAM.
028600     STOP RUN.
