000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU040.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*                MBU040 - MERGE USER INPUT (MTUD MTUT)          *
000800*                         INTO MTUI.                           *
000900*                                                               *
001000*****************************************************************
001100*
001200 ENVIRONMENT DIVISION.
001300 CONFIGURATION SECTION.
001400 SOURCE-COMPUTER.            IBM-4341.
001500 OBJECT-COMPUTER.            IBM-4341.
001600/
001700 INPUT-OUTPUT SECTION.
001800 FILE-CONTROL.
001900*
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300/
002400 WORKING-STORAGE SECTION.
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700     COPY MB00RB REPLACING ==:MB00:== BY ==MTUT==.
002800/
002900     COPY MTUIIO REPLACING ==:MTUI:== BY ==MTUT==.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MTUD==.
003200/
003300     COPY MTUIIO REPLACING ==:MTUI:== BY ==MTUD==.
003400/
003500     COPY MB00RB REPLACING ==:MB00:== BY ==MTUI==.
003600/
003700     COPY MTUIIO REPLACING ==:MTUI:== BY ==MTUI==.
003800/
003900     COPY MB00WS.
004000/
004100     COPY SS00WS.
004200/
004300     COPY SS01WS.
004400/
004500     COPY SS02WS.
004600/
004700 01  WS-WORK-AREAS.
004800     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU040'.
004900*
005000*
005100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005200/
005300 PROCEDURE DIVISION.
005400*
005500 A000-MAINLINE-LOGIC.
005600*
005700     MOVE 'MBU040'               TO SS02WS-ABEND-PROG-ID.
005800*
005900     PERFORM A100-PROCESS-MTUD-RECS
006000                                 THRU A199-PMR-EXIT.
006100*
006200     PERFORM B100-PROCESS-MTUT-RECS
006300                                 THRU B199-PMR-EXIT.
006400*
006500*
006600     STOP RUN.
006700/
006800 A100-PROCESS-MTUD-RECS.
006900*
007000     MOVE SS02WS-END-OF-FILE     TO MTUDRB-PERM-STATUS-1.
007100*
007200     MOVE 'O1UD'                 TO SS02WS-ABEND-LOCATION.
007300     SET MTUDRB-OPEN-INPUT       TO TRUE.
007400     PERFORM MB00PD-MTUD-ACCESS  THRU MB00PD-MTUD-ACCESS-EXIT.
007500*
007600     MOVE 'O1UI'                 TO SS02WS-ABEND-LOCATION.
007700     SET MTUIRB-OPEN-OUTPUT      TO TRUE.
007800     PERFORM MB00PD-MTUI-ACCESS  THRU MB00PD-MTUI-ACCESS-EXIT.
007900*
008000 A100-READ-MTUD.
008100*
008200     MOVE 'R1UD'                 TO SS02WS-ABEND-LOCATION.
008300     SET MTUDRB-READ-SEQ         TO TRUE.
008400     PERFORM MB00PD-MTUD-ACCESS  THRU MB00PD-MTUD-ACCESS-EXIT.
008500*
008600     IF  SS02WS-FS-END-OF-FILE
008700         MOVE 'C1UD'             TO SS02WS-ABEND-LOCATION
008800         SET MTUDRB-CLOSE        TO TRUE
008900         PERFORM MB00PD-MTUD-ACCESS THRU MB00PD-MTUD-ACCESS-EXIT
009000         GO TO A199-PMR-EXIT.
009100*
009200     MOVE MTUDIO-RECORD          TO MTUIIO-RECORD.
009300*
009400     PERFORM C100-WRITE-MTUI-FILE
009500                                 THRU C199-WMF-EXIT.
009600*
009700     GO TO A100-READ-MTUD.
009800*
009900 A199-PMR-EXIT.
010000     EXIT.
010100/
010200 B100-PROCESS-MTUT-RECS.
010300*
010400     MOVE SS02WS-END-OF-FILE     TO MTUTRB-PERM-STATUS-1.
010500*
010600     MOVE 'O1UT'                 TO SS02WS-ABEND-LOCATION.
010700     SET MTUTRB-OPEN-INPUT       TO TRUE.
010800     PERFORM MB00PD-MTUT-ACCESS  THRU MB00PD-MTUT-ACCESS-EXIT.
010900*
011000 B100-READ-MTUT.
011100*
011200     MOVE 'R1UT'                 TO SS02WS-ABEND-LOCATION.
011300     SET MTUTRB-READ-SEQ         TO TRUE.
011400     PERFORM MB00PD-MTUT-ACCESS  THRU MB00PD-MTUT-ACCESS-EXIT.
011500*
011600     IF  SS02WS-FS-END-OF-FILE
011700         MOVE 'C1UT'             TO SS02WS-ABEND-LOCATION
011800         SET MTUTRB-CLOSE        TO TRUE
011900         PERFORM MB00PD-MTUT-ACCESS THRU MB00PD-MTUT-ACCESS-EXIT
012000         GO TO B199-PMR-EXIT.
012100*
012200     MOVE MTUTIO-RECORD          TO MTUIIO-RECORD.
012300*
012400     PERFORM C100-WRITE-MTUI-FILE
012500                                 THRU C199-WMF-EXIT.
012600*
012700     GO TO B100-READ-MTUT.
012800*
012900 B199-PMR-EXIT.
013000     EXIT.
013100*
013200 C100-WRITE-MTUI-FILE.
013300*
013400     MOVE 'W1UI'                 TO SS02WS-ABEND-LOCATION.
013500     SET MTUIRB-WRITE            TO TRUE.
013600     PERFORM MB00PD-MTUI-ACCESS  THRU MB00PD-MTUI-ACCESS-EXIT.
013700*
013800 C199-WMF-EXIT.
013900     EXIT.
014000/
014100*
014200 E999-PR-EXIT.
014300     EXIT.
014400/
014500     COPY MB00PD REPLACING ==:MB00:== BY ==MTUD==.
014600/
014700     COPY MB00PD REPLACING ==:MB00:== BY ==MTUT==.
014800/
014900     COPY MB00PD REPLACING ==:MB00:== BY ==MTUI==.
015000/
015100     COPY SS08PD.
015200/
015300     COPY SS26PD.
015400/
015500     COPY SS27PD.
