000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU070.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU070 - CREATE PRODUCT/BIN EXTRACT FOR TRAMS           *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400 01  MS1S-RECORD.
002500     03  MS1S-KEY.
002600         05  MS1S-PROD-BIN.
002700             09  MS1S-PROD   PIC  X.
002800             09  MS1S-BIN    PIC  9(09).
002900     03  MS1S-DATA.
003000         05  FILLER          PIC X(90).
003100/
003200 WORKING-STORAGE SECTION.
003300*
003400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003500*
003600 01  WS-MBU070-WORK-AREAS.
003700     03  WS-SORT-EOF         PIC X           VALUE 'N'.
003800         88  WS-SORT-AT-EOF                  VALUE 'Y'.
003900     03  WS-EURO-DROPPED     PIC S9(09)      COMP-3 VALUE ZERO.
004000     03  WS-MC-DROPPED       PIC S9(09)      COMP-3 VALUE ZERO.
004100     03  WS-VISA-DROPPED     PIC S9(09)      COMP-3 VALUE ZERO.
004200     03  WS-EURO-WRITTEN     PIC S9(09)      COMP-3 VALUE ZERO.
004300     03  WS-MC-WRITTEN       PIC S9(09)      COMP-3 VALUE ZERO.
004400     03  WS-VISA-WRITTEN     PIC S9(09)      COMP-3 VALUE ZERO.
004500*
004600     COPY MMOCIO.
004700/
004800     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
004900/
005000     COPY MMOCRL.
005100/
005200     COPY MMBNIO.
005210/
005220     COPY SMCUIO.
005300/
005400     COPY MB00RB REPLACING ==:MB00:== BY ==MMBN==.
005500/
005600     COPY MMBNRL.
005700/
005710     COPY SMCURL.
005720/
005800     COPY MB00WS.
005900/
006000     COPY MB99WS.
006100/
006200     COPY SS00WS.
006300/
006400     COPY SS02WS.
006410/
006420     COPY SC00WS.
006430/
006440     COPY SMCUWS.
006500*
006600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006700/
006800 PROCEDURE DIVISION.
006900 A000-MAIN-LINE-SECT SECTION.
007000 A010-ML-BEGIN.
007100*
007200     MOVE 'MBU070'               TO SS02WS-ABEND-PROG-ID.
007300*
007400     PERFORM A100-OPEN-FILES
007500        THRU A199-OF-EXIT.
007600*
007700     PERFORM A200-SORT-PROCESS
007800        THRU A299-SP-EXIT.
007900*
008000     PERFORM A300-CLOSE-FILES
008100        THRU A399-CF-EXIT.
008200*
008300     GOBACK.
008400/
008500 A100-OPEN-FILES  SECTION.
008600     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
008700     SET MMOCRB-OPEN-INPUT       TO TRUE.
008800     PERFORM MB00PD-MMOC-ACCESS
008900        THRU MB00PD-MMOC-ACCESS-EXIT.
009000*
009100     MOVE 'O1BN'                 TO SS02WS-ABEND-LOCATION.
009200     SET MMBNRB-OPEN-OUTPUT      TO TRUE.
009300     PERFORM MB00PD-MMBN-ACCESS
009400        THRU MB00PD-MMBN-ACCESS-EXIT.
009500*
009600 A199-OF-EXIT.
009700     EXIT.
009800/
009900 A200-SORT-PROCESS SECTION.
010000 A201-SP-BEGIN.
010100*
010200     SORT MS1S-SORT-FILE
010300         ON ASCENDING KEY MS1S-KEY
010400         INPUT  PROCEDURE IS 1000-BUILD-SORT-RECORD
010500         OUTPUT PROCEDURE IS 2000-BUILD-MMBN.
010600*
010700     IF SORT-RETURN NOT EQUAL ZERO
010800         MOVE 'SRT1'                  TO SS02WS-ABEND-LOCATION
010900         MOVE 40101                   TO SS02WS-ABEND-CODE
011000         MOVE 'INVALID SORT 1 RETCD'  TO SS02WS-ABENDMSG8
011100         PERFORM SS02PD-ABEND THRU SS02PD-ABEND-EXIT
011200     END-IF.
011300*
011400 A299-SP-EXIT.
011500     EXIT.
011600/
011700 A300-CLOSE-FILES  SECTION.
011800*
011900     MOVE SPACES                 TO MMBNIO-RECORD.
012000     MOVE 9                      TO MMBNIO-PRODUCT.
012100     MOVE 999999999              TO MMBNIO-BIN.
012200*
012300     MOVE 'W9BN'                 TO SS02WS-ABEND-LOCATION.
012400     SET MMBNRB-WRITE            TO TRUE.
012500     PERFORM MB00PD-MMBN-ACCESS
012600        THRU MB00PD-MMBN-ACCESS-EXIT.
012700*
012800     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
012900     SET MMOCRB-CLOSE            TO TRUE.
013000     PERFORM MB00PD-MMOC-ACCESS
013100        THRU MB00PD-MMOC-ACCESS-EXIT.
013200*
013300     MOVE 'C1BN'                 TO SS02WS-ABEND-LOCATION.
013400     SET MMBNRB-CLOSE            TO TRUE.
013500     PERFORM MB00PD-MMBN-ACCESS
013600        THRU MB00PD-MMBN-ACCESS-EXIT.
013700*
013800     DISPLAY 'EURO DROPPED = '  WS-EURO-DROPPED.
013900     DISPLAY 'M/C  DROPPED = '  WS-MC-DROPPED.
014000     DISPLAY 'VISA DROPPED = '  WS-VISA-DROPPED.
014100     DISPLAY 'EURO WRITTEN = '  WS-EURO-WRITTEN.
014200     DISPLAY 'M/C  WRITTEN = '  WS-MC-WRITTEN.
014300     DISPLAY 'VISA WRITTEN = '  WS-VISA-WRITTEN.
014400*
014500 A399-CF-EXIT.
014600     EXIT.
014700/
014800 B000-WRITE-MMBN SECTION.
014900 B001-WMMBN-BEGIN.
015000*
015100     MOVE 'W5BN'                 TO SS02WS-ABEND-LOCATION.
015200     SET MMBNRB-WRITE            TO TRUE.
015300     MOVE SS02WS-DUPLICATE-RECORD
015400                                 TO MMBNRB-TEMP-STATUS-1.
015500     PERFORM MB00PD-MMBN-ACCESS
015600        THRU MB00PD-MMBN-ACCESS-EXIT.
015700     IF SS02WS-FS-DUPLICATE-RECORD
015800         EVALUATE TRUE
015900            WHEN MMBN-EURO
016000                ADD +1           TO WS-EURO-DROPPED
016100            WHEN MMBN-MC
016200                ADD +1           TO WS-MC-DROPPED
016300            WHEN MMBN-VISA
016400                ADD +1           TO WS-VISA-DROPPED
016500         END-EVALUATE
016600         GO TO B099-WMMBN-EXIT.
016700*
016800     EVALUATE TRUE
016900        WHEN MMBN-EURO
017000            ADD +1               TO WS-EURO-WRITTEN
017100        WHEN MMBN-MC
017200            ADD +1               TO WS-MC-WRITTEN
017300        WHEN MMBN-VISA
017400            ADD +1               TO WS-VISA-WRITTEN
017500     END-EVALUATE.
017600*
017700 B099-WMMBN-EXIT.
017800     EXIT.
017900/
018000 B100-RELEASE-SORT SECTION.
018100 B101-RS-BEGIN.
018200*
018300     RELEASE MS1S-RECORD.
018400*
018500 B199-RS-EXIT.
018600     EXIT.
018700/
018800 C100-BUILD-MMBN SECTION.
018900 C101-BMMBN-BEGIN.
019000* EUROPAY
019100     MOVE SPACES                 TO MMBN-RECORD.
019200     SET MMBN-EURO               TO TRUE.
019300     MOVE MMOC-EUROPAY-CMID      TO MMBN-BIN.
019400     MOVE MMOC-ORG               TO MMBN-ORG.
019410     IF MMOC-MEMBER-ID NUMERIC
019500         MOVE MMOC-MEMBER-ID     TO MMBN-BANKCARD-MEMBER-ID
019510      ELSE
019520         MOVE ZERO               TO MMBN-BANKCARD-MEMBER-ID
019530     END-IF.
019600     PERFORM 3000-CONVERT-CURRENCY-CODE
019610                                 THRU 3099-CCC-EXIT.
019700     MOVE MMBN-RECORD            TO MS1S-RECORD.
019800     PERFORM B100-RELEASE-SORT.
019900*
020000 C199-BMMBN-EXIT.
020100     EXIT.
020200*
020300 C200-BUILD-MMBN SECTION.
020400 C201-BMMBN-BEGIN.
020500* MASTERCARD
020600     MOVE SPACES                 TO MMBN-RECORD.
020700     SET MMBN-MC                 TO TRUE.
020800     MOVE MMOC-MC-INTCHG-BIN     TO MMBN-BIN.
020900     MOVE MMOC-ORG               TO MMBN-ORG.
020910     IF MMOC-MEMBER-ID NUMERIC
021000         MOVE MMOC-MEMBER-ID     TO MMBN-BANKCARD-MEMBER-ID
021010      ELSE
021020         MOVE ZERO               TO MMBN-BANKCARD-MEMBER-ID
021030     END-IF.
021100     PERFORM 3000-CONVERT-CURRENCY-CODE
021110                                 THRU 3099-CCC-EXIT.
021200     MOVE MMBN-RECORD            TO MS1S-RECORD.
021300     PERFORM B100-RELEASE-SORT.
021400*
021500 C299-BMMBN-EXIT.
021600     EXIT.
021700*
021800 C300-BUILD-MMBN SECTION.
021900 C301-BMMBN-BEGIN.
022000* VISA
022100     MOVE SPACES                 TO MMBN-RECORD.
022200     SET MMBN-VISA               TO TRUE.
022300     MOVE MMOC-INTCHG-BIN        TO MMBN-BIN.
022400     MOVE MMOC-ORG               TO MMBN-ORG.
022410     IF MMOC-MEMBER-ID NUMERIC
022500         MOVE MMOC-MEMBER-ID     TO MMBN-BANKCARD-MEMBER-ID
022510      ELSE
022520         MOVE ZERO               TO MMBN-BANKCARD-MEMBER-ID
022530     END-IF.
022600     PERFORM 3000-CONVERT-CURRENCY-CODE
022610                                 THRU 3099-CCC-EXIT.
022700     MOVE MMBN-RECORD            TO MS1S-RECORD.
022800     PERFORM B100-RELEASE-SORT.
022900*
023000 C399-BMMBN-EXIT.
023100     EXIT.
023200/
023300 1000-BUILD-SORT-RECORD  SECTION.
023400 1100-BSR-READ-MMOC.
023500*
023600     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
023700     SET MMOCRB-READ-SEQ         TO TRUE.
023800     PERFORM MB00PD-MMOC-ACCESS
023900        THRU MB00PD-MMOC-ACCESS-EXIT.
024000*
024100     IF MMOCIO-HEADER
024200         MOVE SPACES             TO MMBNIO-RECORD
024300         MOVE ZERO               TO MMBNIO-PRODUCT
024400         MOVE ZERO               TO MMBNIO-BIN
024500         MOVE MMOCIO-DATE-STAMP  TO MMBNIO-DATE-STAMP
024600         MOVE MMOCIO-TIME-STAMP  TO MMBNIO-TIME-STAMP
024700         MOVE MMBNIO-RECORD      TO MS1S-RECORD
024800         PERFORM B100-RELEASE-SORT
024900         GO TO 1100-BSR-READ-MMOC.
025000*
025100     IF MMOCIO-TRAILER
025200         GO TO 1999-BSR-EXIT.
025300*
025400     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
025500*
025600     IF MMOC-EUROPAY-CMID GREATER THAN ZERO
025700*  EUROPAY
025800         PERFORM C100-BUILD-MMBN
025900            THRU C199-BMMBN-EXIT
026000     END-IF.
026100*
026200     IF MMOC-MC-INTCHG-BIN GREATER THAN ZERO
026300*  MASTERCARD
026400         PERFORM C200-BUILD-MMBN
026500            THRU C299-BMMBN-EXIT
026600     END-IF.
026700*
026800     IF MMOC-INTCHG-BIN GREATER THAN ZERO
026900*  VISA
027000         PERFORM C300-BUILD-MMBN
027100            THRU C399-BMMBN-EXIT
027200     END-IF.
027300*
027400     GO TO 1100-BSR-READ-MMOC.
027500 1999-BSR-EXIT.
027600     EXIT.
027700/
027800 2000-BUILD-MMBN  SECTION.
027900 2001-BMMBN-BEGIN.
028000*
028100     PERFORM 2100-BMMBN-RETURN-SORT
028200        THRU 2199-BMMBN-RS-EXIT.
028300*
028400     IF WS-SORT-AT-EOF
028500         GO TO 2999-BMMBN-EXIT.
028600*
028700     MOVE MS1S-RECORD            TO MMBNIO-RECORD
028800                                    MMBN-RECORD.
028900     PERFORM B000-WRITE-MMBN
029000     GO TO 2001-BMMBN-BEGIN.
029100*
029200*
029300 2100-BMMBN-RETURN-SORT.
029400*
029500     RETURN MS1S-SORT-FILE
029600         AT END
029700             SET WS-SORT-AT-EOF  TO TRUE.
029800*
029900 2199-BMMBN-RS-EXIT.
030000     EXIT.
030100*
030200 2999-BMMBN-EXIT.
030300     EXIT.
030400/
030402 3000-CONVERT-CURRENCY-CODE  SECTION.
030404     IF MMOC-CURRENCY-CODE NUMERIC
030406         MOVE MMOC-CURRENCY-CODE TO MMBN-CURRENCY-CODE
030408      ELSE
030410         MOVE MMOC-CURRENCY-CODE TO SMCUWS-CURRENCY-CODE
030412         PERFORM SMCUPXB-OBTAIN-CURRENCY-DATA
030414                                  THRU SMCUPXB-OCD-EXIT
030416         IF SMCUWS-RC-CURRENCY-FOUND
030418             MOVE SMCUWS-RECORD  TO SMCU-RECORD
030420             MOVE SMCU-CURRENCY-CODE-OTHER
030422                                 TO MMBN-CURRENCY-CODE
030424          ELSE
030426             MOVE ZERO           TO MMBN-CURRENCY-CODE
030428             DISPLAY 'NO CURRENCY FOUND:' MMBN-CURRENCY-CODE
030430         END-IF
030432     END-IF.
030434 3099-CCC-EXIT.
030436     EXIT.
030438/
030500 9000-PERFORMED-ROUTINES SECTION.
030600     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
030700/
030800     COPY MB00PD REPLACING ==:MB00:== BY ==MMBN==.
030900/
031000     COPY MB99PD.
031100/
031200     COPY SS02PD.
031210/
031220     COPY SMCUPXB.
031300*
031400 9995-END-SOURCE-STATEMENTS SECTION.
031500 9999-END-OF-PROGRAM.
031600     STOP RUN.
