000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU100.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU100 - USER INPUT NON-MONETARY REPORT                 *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500*
002600 01  MS1S-SORT-RECORD-MAX.
002700     03  MS1S-KEY-MAX        PIC  X(21).
002800     03  MS1S-MMUO-RECORD-MAX.
002900         05  MS1S-SEQ-MAX    PIC  9(07).
003000         05  MS1S-LENGTH-MAX PIC S9(04)      BINARY.
003100         05  MS1S-VAR-DATA-MAX
003200                             PIC  X(8167).
003300*
003400 01  MS1S-SORT-RECORD.
003500     03  MS1S-KEY.
003600         05  MS1S-FILE-CODE  PIC  X(02).
003700             88  MS1S-NO-FILE-ID             VALUE LOW-VALUES.
003800             88  MS1S-FI-MMMM                VALUE '12' 'MM'.
003900             88  MS1S-FI-MMRC                VALUE '15' 'RC'.
004000             88  MS1S-FI-MMSM                VALUE '18' 'SM'.
004100             88  MS1S-FI-MMSR                VALUE '24' 'SR'.
004200         05  MS1S-FILLER     PIC  X(03).
004300         05  MS1S-ORG-X.
004400             07  MS1S-ORG    PIC  9(03).
004500         05  MS1S-NUMBER-X.
004600             07  MS1S-NUMBER PIC  9(09).
004700         05  MS1S-TI-POS-3-4 PIC  X(02).
004800         05  MS1S-CURRENT-PAGE-X.
004900             07  MS1S-CURRENT-PAGE
005000                             PIC  9(02).
005100     03  MS1S-MMUO-RECORD.
005200         05  MS1S-SEQ-X.
005300             07  MS1S-SEQ    PIC  9(07).
005400         05  MS1S-LENGTH     PIC S9(04)      BINARY.
005500         05  MS1S-VAR-DATA   PIC  X(01)      OCCURS 1 TO 8167
005600                                             TIMES
005700                                             DEPENDING ON
005800                                             MS1S-LENGTH.
005900/
006000 WORKING-STORAGE SECTION.
006100*
006200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
006300*
006400     COPY MBU100WS.
006500/
006600 01  WS-MBU100-WORK-AREAS.
006700     03  WS-U100-SORT-EOF-SW PIC  X(01)      VALUE 'N'.
006800         88  WS-U100-SORT-AT-EOF             VALUE 'Y'.
006900     03  WS-U100-INTERNAL-RPT-ID.
007000         05  WS-U100-IRD-LIT PIC  X(01)      VALUE 'O'.
007100         05  WS-U100-IRD-NBR PIC  9(02)      VALUE ZERO.
007200     03  WS-U100-FILE-CODE   PIC  X(02)      VALUE HIGH-VALUES.
007300*
007400 01  WS-U100-HEADING-1.
007500     03  WS-U100-H1-1-22     PIC  X(22)      VALUE SPACES.
007600     03  FILLER              PIC  X(22)      VALUE
007700        'TRANS                 '.
007800     03  FILLER              PIC  X(44)      VALUE
007900        '                                            '.
008000     03  FILLER              PIC  X(44)      VALUE
008100        '                                            '.
008200*
008300 01  WS-U100-HEADING-2.
008400     03  WS-U100-H2-1-22     PIC  X(22)      VALUE SPACES.
008500     03  FILLER              PIC  X(22)      VALUE
008600        ' ID  PAGE *-FIELD  DES'.
008700     03  FILLER              PIC  X(44)      VALUE
008800        'CRIPTION-*      *------------------ CHANGE D'.
008900     03  FILLER              PIC  X(44)      VALUE
009000        'ATA -----------------* *------MESSAGE------*'.
009100/
009200     COPY MMSCIO.
009300/
009400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
009500/
009600     COPY MMSCRL.
009700/
009800     COPY MMUIIO REPLACING ==:MMUI:== BY ==MMUO==.
009900/
010000     COPY MB00RB REPLACING ==:MB00:== BY ==MMUO==.
010100/
010200     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
010300/
010400     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
010500/
010600     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
010700/
010800     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
010900/
011000     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
011100/
011200     COPY MB00WS.
011300/
011400     COPY MB20WS.
011500/
011600     COPY MB22WS.
011700/
011800     COPY MB99WS.
011900/
012000     COPY SS00WS.
012100/
012200     COPY SS01WS.
012300/
012400     COPY SS02WS.
012500*
012600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012700/
012800 PROCEDURE DIVISION.
012900 A000-MAIN-LINE-SECT SECTION.
013000 A010-ML-BEGIN.
013100*
013200     MOVE 'MBU100'               TO SS02WS-ABEND-PROG-ID.
013300     MOVE SPACES                 TO MBU100WS-PRINT-LINE-1.
013400*
013500     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
013600     SET MTCCRB-OPEN-INPUT       TO TRUE.
013700     PERFORM MB00PD-MTCC-ACCESS
013800        THRU MB00PD-MTCC-ACCESS-EXIT.
013900*
014000     PERFORM Z000-PROCESS-CONTROL-CARD
014100        THRU Z099-PCC-EXIT.
014200*
014300     MOVE 'O1UO'                 TO SS02WS-ABEND-LOCATION.
014400     SET MMUORB-OPEN-INPUT       TO TRUE.
014500     PERFORM MB00PD-MMUO-ACCESS
014600        THRU MB00PD-MMUO-ACCESS-EXIT.
014700*
014800     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
014900     SET MMSCRB-OPEN-INPUT       TO TRUE.
015000     PERFORM MB00PD-MMSC-ACCESS
015100        THRU MB00PD-MMSC-ACCESS-EXIT.
015200*
015300     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
015400     SET MMSCRB-READ-SEQ         TO TRUE.
015500     PERFORM MB00PD-MMSC-ACCESS
015600        THRU MB00PD-MMSC-ACCESS-EXIT.
015700*
015800     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
015900*
016000     IF  MMSCIO-HEADER
016100         NEXT SENTENCE
016200     ELSE
016300         PERFORM MB99PD-MISSING-HEADER-ABEND
016400            THRU MB99PD-MHA-EXIT.
016500*
016600     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
016700     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
016800     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
016900*
017000     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
017100     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017200     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINE-LIMIT.
017300     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
017400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017500                                 THRU SS26PD-NED-EXIT.
017600     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
017700     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
017800     MOVE 'T100'                 TO MB20WS-SH-INTERNAL-RPT-ID.
017900     MOVE 'NON-MONETARY USER-INPUT REPORT'
018000                                 TO MB20WS-SH-RPT-NAME.
018100     MOVE SPACES                 TO MB20WS-SH-LIT-1
018200                                    MB20WS-SH-LIT-5
018300                                    MB20WS-SH-L4
018400                                    MB20WS-SH-L5
018500                                    MB20WS-SH-L6
018600                                    MB20WS-SH-L7
018700                                    MB20WS-SH-L8.
018800*
018900*
019000*
019100     SORT MS1S-SORT-FILE ON ASCENDING KEY MS1S-KEY
019200                                          MS1S-SEQ-X
019300          INPUT  PROCEDURE IS B000-LOAD-USER-OUTPUT-SECT
019400          OUTPUT PROCEDURE IS C000-REPORT-SECT.
019500*
019600     PERFORM SS98PD-VERIFY-SORT-RETURN
019700        THRU SS98PD-VSR-EXIT.
019800*
019900*
020000*
020100     MOVE 'C1UO'                 TO SS02WS-ABEND-LOCATION.
020200     SET MMUORB-CLOSE            TO TRUE.
020300     PERFORM MB00PD-MMUO-ACCESS
020400        THRU MB00PD-MMUO-ACCESS-EXIT.
020500*
020600     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
020700     SET MMSCRB-CLOSE            TO TRUE.
020800     PERFORM MB00PD-MMSC-ACCESS
020900        THRU MB00PD-MMSC-ACCESS-EXIT.
021000*
021100     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
021200     SET MTCCRB-CLOSE            TO TRUE.
021300     PERFORM MB00PD-MTCC-ACCESS
021400        THRU MB00PD-MTCC-ACCESS-EXIT.
021500*
021600     PERFORM MB20PD-CLOSE-PRINT-FILES
021700        THRU MB20PD-CPF-EXIT.
021800*
021900     STOP RUN.
022000*
022100 A099-ML-EXIT.
022200     EXIT.
022300/
022400 B000-LOAD-USER-OUTPUT-SECT SECTION.
022500 B010-LUO-BEGIN.
022600*
022700     MOVE SS02WS-END-OF-FILE     TO MMUORB-PERM-STATUS-1.
022800*
022900     PERFORM B100-READ-MMUO
023000        THRU B199-RM-EXIT
023100        UNTIL MMUOIO-TRAILER.
023200*
023300     GO TO B999-LUO-EXIT.
023400*
023500*
023600*
023700 B100-READ-MMUO.
023800*
023900     MOVE 'R1UO'                 TO SS02WS-ABEND-LOCATION.
024000     SET MMUORB-READ-SEQ         TO TRUE.
024100     PERFORM MB00PD-MMUO-ACCESS
024200        THRU MB00PD-MMUO-ACCESS-EXIT.
024300*
024400     IF  SS02WS-FS-END-OF-FILE
024500         SET MMUOIO-TRAILER      TO TRUE
024600         GO TO B199-RM-EXIT.
024700*
024800     IF  MMUOIO-HEADER
024900         MOVE MMUOIO-RECORD      TO MMUO-RECORD
025000         EVALUATE TRUE
025100             WHEN MMUO-HO-UPDATE
025200                 SET MBU100WS-PO-UPDATE
025300                                 TO TRUE
025400             WHEN OTHER
025500                 SET MBU100WS-PO-EDIT-ONLY
025600                                 TO TRUE
025700         END-EVALUATE
025800         GO TO B199-RM-EXIT.
025900*
026000     IF  MMUOIO-TRAILER
026100         GO TO B199-RM-EXIT.
026200*
026300     MOVE MMUOIO-RECORD          TO MMUO-RECORD.
026400*
026500     IF  MMUO-FILLER IS EQUAL TO LOW-VALUES
026600         MOVE SPACES             TO MMUO-FILLER.
026700*
026800     MOVE MMUO-FILLER            TO MS1S-FILLER.
026900     MOVE MMUO-CURRENT-PAGE      TO MS1S-CURRENT-PAGE-X.
027000     MOVE MMUO-VAR-DATA          TO MS1S-VAR-DATA-MAX.
027100     MOVE MMUO-TI-POS-3-4        TO MS1S-TI-POS-3-4.
027200*
027300     EVALUATE TRUE
027400       WHEN (MMUO-FILLER IS NOT EQUAL TO SPACES
027500        AND (NOT MMUO-MAP-ERROR))
027600         PERFORM B800-SEVERE-MAP-ERROR
027700            THRU B899-SME-EXIT
027800       WHEN MMUO-FILE-MMMM
027900         SET MS1S-FI-MMMM        TO TRUE
028000         EVALUATE TRUE
028100           WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
028200             MOVE MMUO-MM-L-ORG  TO MS1S-ORG
028300             MOVE MMUO-MM-L-MERCHANT
028400                                 TO MS1S-NUMBER
028500           WHEN OTHER
028600             MOVE MMUO-MM-ORG    TO MS1S-ORG
028700             MOVE MMUO-MM-MERCHANT
028800                                 TO MS1S-NUMBER
028900         END-EVALUATE
029000       WHEN MMUO-FILE-MMRC
029100         SET MS1S-FI-MMRC        TO TRUE
029200         EVALUATE TRUE
029300           WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
029400             MOVE MMUO-MC-L-ORG  TO MS1S-ORG
029500             MOVE MMUO-MC-L-CHAIN
029600                                 TO MS1S-NUMBER
029700           WHEN OTHER
029800             MOVE MMUO-MC-ORG    TO MS1S-ORG
029900             MOVE MMUO-MC-CHAIN
030000                                 TO MS1S-NUMBER
030100         END-EVALUATE
030200       WHEN MMUO-FILE-MMSM
030300         SET MS1S-FI-MMSM        TO TRUE
030400         EVALUATE TRUE
030500           WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
030600             MOVE MMUO-MS-L-ORG  TO MS1S-ORG
030700             MOVE MMUO-MS-L-STORE
030800                                 TO MS1S-NUMBER
030900           WHEN OTHER
031000             MOVE MMUO-MS-ORG    TO MS1S-ORG
031100             MOVE MMUO-MS-STORE
031200                                 TO MS1S-NUMBER
031300         END-EVALUATE
031400       WHEN MMUO-FILE-MMSR
031500         SET MS1S-FI-MMSR        TO TRUE
031600         EVALUATE TRUE
031700           WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
031800             MOVE MMUO-MG-L-ORG  TO MS1S-ORG
031900             MOVE MMUO-MG-L-CHAIN
032000                                 TO MS1S-NUMBER
032100           WHEN OTHER
032200             MOVE MMUO-MG-ORG    TO MS1S-ORG
032300             MOVE MMUO-MG-CHAIN
032400                                 TO MS1S-NUMBER
032500         END-EVALUATE
032600       WHEN OTHER
032700         PERFORM B800-SEVERE-MAP-ERROR
032800            THRU B899-SME-EXIT
032900     END-EVALUATE.
033000*
033100     MOVE MMUO-SEQ               TO MS1S-SEQ-MAX.
033200     MOVE MMUO-VAR-LENGTH        TO MS1S-LENGTH.
033300     RELEASE MS1S-SORT-RECORD.
033400*
033500 B199-RM-EXIT.
033600     EXIT.
033700*
033800*
033900*
034000 B800-SEVERE-MAP-ERROR.
034100*
034200     SET MS1S-NO-FILE-ID         TO TRUE.
034300*
034400     EVALUATE TRUE
034500         WHEN MMUO-FILE-MMMM
034600             EVALUATE TRUE
034700                 WHEN MS1S-CURRENT-PAGE-X IS EQUAL TO ZERO
034800                     MOVE MMUO-MM-L-ORG
034900                                 TO MS1S-ORG-X
035000                     MOVE MMUO-MM-L-MERCHANT
035100                                 TO MS1S-NUMBER-X
035200                 WHEN OTHER
035300                     MOVE MMUO-MM-ORG
035400                                 TO MS1S-ORG-X
035500                     MOVE MMUO-MM-MERCHANT
035600                                 TO MS1S-NUMBER-X
035700             END-EVALUATE
035800         WHEN MMUO-FILE-MMRC
035900             EVALUATE TRUE
036000                 WHEN MS1S-CURRENT-PAGE-X IS EQUAL TO ZERO
036100                     MOVE MMUO-MC-L-ORG
036200                                 TO MS1S-ORG-X
036300                     MOVE MMUO-MC-L-CHAIN
036400                                 TO MS1S-NUMBER-X
036500                 WHEN OTHER
036600                     MOVE MMUO-MC-ORG
036700                                 TO MS1S-ORG-X
036800                     MOVE MMUO-MC-CHAIN
036900                                 TO MS1S-NUMBER-X
037000             END-EVALUATE
037100         WHEN MMUO-FILE-MMSM
037200             EVALUATE TRUE
037300                 WHEN MS1S-CURRENT-PAGE-X IS EQUAL TO ZERO
037400                     MOVE MMUO-MS-L-ORG
037500                                 TO MS1S-ORG-X
037600                     MOVE MMUO-MS-L-STORE
037700                                 TO MS1S-NUMBER-X
037800                 WHEN OTHER
037900                     MOVE MMUO-MS-ORG
038000                                 TO MS1S-ORG-X
038100                     MOVE MMUO-MS-STORE
038200                                 TO MS1S-NUMBER-X
038300             END-EVALUATE
038400         WHEN MMUO-FILE-MMSR
038500             EVALUATE TRUE
038600                 WHEN MS1S-CURRENT-PAGE-X IS EQUAL TO ZERO
038700                     MOVE MMUO-MG-L-ORG
038800                                 TO MS1S-ORG-X
038900                     MOVE MMUO-MG-L-CHAIN
039000                                 TO MS1S-NUMBER-X
039100                 WHEN OTHER
039200                     MOVE MMUO-MG-ORG
039300                                 TO MS1S-ORG-X
039400                     MOVE MMUO-MG-CHAIN
039500                                 TO MS1S-NUMBER-X
039600             END-EVALUATE
039700         WHEN OTHER
039800             MOVE ZERO           TO MS1S-ORG
039900             MOVE ZERO           TO MS1S-NUMBER
040000     END-EVALUATE.
040100*
040200 B899-SME-EXIT.
040300     EXIT.
040400*
040500*
040600 B999-LUO-EXIT.
040700     EXIT.
040800/
040900 C000-REPORT-SECT SECTION.
041000 C010-RS-BEGIN.
041100*
041200     PERFORM MB22PD-INITIALIZE-PAGE
041300        THRU MB22PD-IP-EXIT.
041400*
041500     PERFORM C100-RS-RETURN-SORT
041600        THRU C199-RS-RS-EXIT
041700        UNTIL WS-U100-SORT-AT-EOF.
041800*
041900     GO TO C999-RS-EXIT.
042000*
042100*
042200*
042300 C100-RS-RETURN-SORT.
042400*
042500     RETURN MS1S-SORT-FILE
042600         AT END
042700             MOVE 'Y'            TO WS-U100-SORT-EOF-SW
042800             GO TO C199-RS-RS-EXIT.
042900*
043000     MOVE MS1S-SEQ-MAX           TO MMUO-SEQ.
043100     MOVE MS1S-LENGTH-MAX        TO MMUO-VAR-LENGTH.
043200     MOVE MS1S-VAR-DATA-MAX (1:MS1S-LENGTH-MAX)
043300                                 TO MMUO-VAR-DATA.
043400*
043500     IF  MS1S-FILE-CODE IS NOT EQUAL TO WS-U100-FILE-CODE
043600         PERFORM C700-RS-SET-HEADINGS
043700            THRU C799-RS-SH-EXIT.
043800*
043900     PERFORM C600-RS-PROCESS-USER-INPUT
044000        THRU C699-RS-PUI-EXIT.
044100*
044200 C199-RS-RS-EXIT.
044300     EXIT.
044400/
044500 C600-RS-PROCESS-USER-INPUT.
044600*
044700     EVALUATE TRUE
044800         WHEN MS1S-FI-MMMM
044900             PERFORM X120-CALL-MBU100MM
045000                THRU X129-C-MM-EXIT
045100         WHEN MS1S-FI-MMRC
045200             PERFORM X150-CALL-MBU100RC
045300                THRU X159-C-RC-EXIT
045400         WHEN MS1S-FI-MMSM
045500             PERFORM X180-CALL-MBU100SM
045600                THRU X189-C-SM-EXIT
045700         WHEN MS1S-FI-MMSR
045800             PERFORM X240-CALL-MBU100SR
045900                THRU X249-C-SR-EXIT
046000         WHEN OTHER
046100             PERFORM X990-CALL-MBU100E
046200                THRU X999-C-E-EXIT
046300     END-EVALUATE.
046400*
046500     PERFORM MB22PD-DRIVER-PRINT-LINES
046600        THRU MB22PD-DPL-EXIT.
046700*
046800 C699-RS-PUI-EXIT.
046900     EXIT.
047000*
047100*
047200*
047300 C700-RS-SET-HEADINGS.
047400*
047500     EVALUATE TRUE
047600         WHEN MS1S-FI-MMMM
047700             MOVE '                      '
047800                                 TO WS-U100-H1-1-22
047900             MOVE 'ORG MERCHANT   PROD   '
048000                                 TO WS-U100-H2-1-22
048100         WHEN MS1S-FI-MMRC
048200             MOVE '    MERCHANT          '
048300                                 TO WS-U100-H1-1-22
048400             MOVE 'ORG  CHAIN            '
048500                                 TO WS-U100-H2-1-22
048600         WHEN MS1S-FI-MMSM
048700             MOVE '                      '
048800                                 TO WS-U100-H1-1-22
048900             MOVE 'ORG *-STORE-*         '
049000                                 TO WS-U100-H2-1-22
049100         WHEN MS1S-FI-MMSR
049200             MOVE '     STORE            '
049300                                 TO WS-U100-H1-1-22
049400             MOVE 'ORG  CHAIN            '
049500                                 TO WS-U100-H2-1-22
049600         WHEN OTHER
049700             MOVE '                      '
049800                                 TO WS-U100-H1-1-22
049900             MOVE 'SEVERE ERROR REASON   '
050000                                 TO WS-U100-H2-1-22
050100     END-EVALUATE.
050200*
050300     MOVE MS1S-FILE-CODE         TO WS-U100-FILE-CODE.
050400*
050500     MOVE WS-U100-HEADING-1      TO MB20WS-SH-L5.
050600     MOVE WS-U100-HEADING-2      TO MB20WS-SH-L6.
050700     MOVE MB20WS-FORCE-PAGE      TO MB20WS-LINE-COUNT.
050800*
050900 C799-RS-SH-EXIT.
051000     EXIT.
051100*
051200*
051300*
051400 C999-RS-EXIT.
051500     EXIT.
051600/
051700 X120-CALL-MBU100MM SECTION.
051800 X121-C-MM-BEGIN.
051900*
052000     IF  MTCC-MBU100-PRINT-SEVERE
052100         GO TO X129-C-MM-EXIT.
052200*
052300     CALL MB00WS-MBU100MM        USING MBU100WS-AREA
052400                                       MTCC-RECORD
052500                                       MMUO-RECORD
052600                                       MB22WS-LINK-DATA.
052700*
052800 X129-C-MM-EXIT.
052900     EXIT.
053000/
053100 X150-CALL-MBU100RC SECTION.
053200 X151-C-RC-BEGIN.
053300*
053400     IF  MTCC-MBU100-PRINT-SEVERE
053500         GO TO X159-C-RC-EXIT.
053600*
053700     CALL MB00WS-MBU100RC        USING MBU100WS-AREA
053800                                       MTCC-RECORD
053900                                       MMUO-RECORD
054000                                       MB22WS-LINK-DATA.
054100*
054200 X159-C-RC-EXIT.
054300     EXIT.
054400/
054500 X180-CALL-MBU100SM SECTION.
054600 X181-C-SM-BEGIN.
054700*
054800     IF  MTCC-MBU100-PRINT-SEVERE
054900         GO TO X189-C-SM-EXIT.
055000*
055100     CALL MB00WS-MBU100SM        USING MBU100WS-AREA
055200                                       MTCC-RECORD
055300                                       MMUO-RECORD
055400                                       MB22WS-LINK-DATA.
055500*
055600 X189-C-SM-EXIT.
055700     EXIT.
055800/
055900 X240-CALL-MBU100SR SECTION.
056000 X241-C-SR-BEGIN.
056100*
056200     IF  MTCC-MBU100-PRINT-SEVERE
056300         GO TO X249-C-SR-EXIT.
056400*
056500     CALL MB00WS-MBU100SR        USING MBU100WS-AREA
056600                                       MTCC-RECORD
056700                                       MMUO-RECORD
056800                                       MB22WS-LINK-DATA.
056900*
057000 X249-C-SR-EXIT.
057100     EXIT.
057200/
057300 X990-CALL-MBU100E SECTION.
057400 X991-C-E-BEGIN.
057500*
057600     CALL MB00WS-MBU100E         USING MBU100WS-AREA
057700                                       MTCC-RECORD
057800                                       MMUO-RECORD
057900                                       MB22WS-LINK-DATA.
058000*
058100 X999-C-E-EXIT.
058200     EXIT.
058300/
058400 Z000-PROCESS-CONTROL-CARD SECTION.
058500 Z001-PCC-BEGIN.
058600*
058700     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
058800     SET MTCCRB-READ-SEQ         TO TRUE.
058900     PERFORM MB00PD-MTCC-ACCESS
059000        THRU MB00PD-MTCC-ACCESS-EXIT.
059100*
059200     IF  SS02WS-FS-END-OF-FILE
059300         MOVE 'ERRORS'           TO MTCCIO-RECORD
059400         MOVE SS02WS-ABEND-PROG-ID TO MTCCIO-PROGRAM-ID
059500         GO TO Z099-PCC-EXIT.
059600*
059700     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO SS02WS-ABEND-PROG-ID
059800         GO TO Z001-PCC-BEGIN.
059900*
060000     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
060100*
060200     IF  MTCC-MBU100-PRINT-ALL
060300     OR  MTCC-MBU100-PRINT-ERRORS
060400     OR  MTCC-MBU100-PRINT-SEVERE
060500         GO TO Z099-PCC-EXIT.
060600*
060700     GO TO Z001-PCC-BEGIN.
060800*
060900 Z099-PCC-EXIT.
061000     EXIT.
061100/
061200 9000-PERFORMED-ROUTINES-SECT SECTION.
061300*
061400     COPY MB00PD REPLACING ==:MB00:== BY ==MMUO==.
061500/
061600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
061700/
061800     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
061900/
062000     COPY MB20PD.
062100/
062200     COPY MB22PD1.
062300/
062400     COPY MB99PD.
062500/
062600     COPY SS02PD.
062700/
062800     COPY SS07PD.
062900/
063000     COPY SS08PD.
063100/
063200     COPY SS16PD.
063300/
063400     COPY SS26PD.
063500/
063600     COPY SS27PD.
063700/
063800     COPY SS98PD.
063900*
064000 9995-END-SOURCE-STATEMENTS SECTION.
064100 9999-END-OF-PROGRAM.
064200     EXIT.
