000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU100SR.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU100SR - NON-MONETARY USER-INPUT                          *
000800*              STORE CHAIN RELATIONSHIPS SCREENS REPORT         *
000900*                                                               *
001000*****************************************************************
001100 ENVIRONMENT DIVISION.
001200 CONFIGURATION SECTION.
001300 SOURCE-COMPUTER.            IBM-4341.
001400 OBJECT-COMPUTER.            IBM-4341.
001500/
001600 INPUT-OUTPUT SECTION.
001700*
001800 FILE-CONTROL.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200/
002300 WORKING-STORAGE SECTION.
002400*
002500 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002600*
002700 01  WS-U100-WORK-AREAS.
002800     03  WS-L                PIC S9(04)      BINARY VALUE ZERO.
002900     03  WS-U100-PAGE-ERROR-SW
003000                             PIC  X(01)      VALUE 'N'.
003100         88  WS-U100-PAGE-ERRORS             VALUE 'Y'.
003200         88  WS-U100-NO-PAGE-ERRORS          VALUE 'N'.
003300     03  WS-U100-FIRST-TIME-SW
003400                             PIC  X(01)      VALUE 'Y'.
003500         88  WS-U100-FIRST-TIME              VALUE 'Y'.
003600         88  WS-U100-SUBSEQUENT              VALUE 'N'.
003700     03  WS-U100-SEQ-LIT.
003800         05  FILLER          PIC  X(02)      VALUE 'S='.
003900         05  WS-U100-SL-SEQ  PIC  9(07)      VALUE ZERO.
004000/
004100     COPY MBMG00.
004200     COPY MBMG00R.
004300/
004400     COPY MBMG01.
004500     COPY MBMG01R.
004600/
004700     COPY MB00WS.
004800/
004900     COPY MB20WS.
005000/
005100     COPY SS00WS.
005200/
005300     COPY SS01WS.
005400/
005500     COPY SS02WS.
005600*
005700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005800/
005900 LINKAGE SECTION.
006000     COPY MBU100WS.
006100/
006200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
006300/
006400     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
006500/
006600     COPY MB22WS.
006700/
006800 PROCEDURE DIVISION              USING MBU100WS-AREA
006900                                       MTCC-RECORD
007000                                       MMUO-RECORD
007100                                       MB22WS-LINK-DATA.
007200*
007300 A000-MAIN-LINE-SECT SECTION.
007400 A010-ML-BEGIN.
007500*
007600     IF  WS-U100-FIRST-TIME
007700         SET WS-U100-SUBSEQUENT  TO TRUE
007800         MOVE SPACES             TO MB20WS-SH-L1
007900         MOVE SPACES             TO MB20WS-SH-L2
008000         MOVE SPACES             TO MB20WS-SH-L3
008100         MOVE SPACES             TO MB20WS-SH-L4
008200         MOVE SPACES             TO MB20WS-SH-L5
008300         MOVE SPACES             TO MB20WS-SH-L6
008400         MOVE SPACES             TO MB20WS-SH-L7
008500         MOVE SPACES             TO MB20WS-SH-L8.
008600*
008700     PERFORM P000-PROCESS-RECORD
008800        THRU P099-PR-EXIT.
008900*
009000     GOBACK.
009100*
009200 A999-ML-EXIT.
009300     EXIT.
009400/
009500 P000-PROCESS-RECORD SECTION.
009600 P010-PR-BEGIN.
009700*
009800     MOVE SPACES                 TO MBU100WS-PRINT-LINE-1.
009900     MOVE ZERO                   TO WS-U100-SL-SEQ.
010000*
010100     EVALUATE TRUE
010200       WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
010300         MOVE MMUO-VAR-DATA      TO MBMG00I
010400         PERFORM 0000-PAGE-00    THRU 0099-P00-EXIT
010500       WHEN MMUO-CURRENT-PAGE IS EQUAL TO 01
010600         MOVE MMUO-VAR-DATA      TO MBMG01I
010700         PERFORM 0100-PAGE-01    THRU 0199-P01-EXIT
010800     END-EVALUATE.
010900*
011000 P099-PR-EXIT.
011100     EXIT.
011200/
011300 0000-PAGE-00 SECTION.
011400 0001-P00-BEGIN.
011500*
011600     SET WS-U100-NO-PAGE-ERRORS  TO TRUE.
011700*
011800     IF  MG00-ORG-L              IS LESS THAN ZERO
011900     OR  MG00-CHAIN-L            IS LESS THAN ZERO
012000         SET WS-U100-PAGE-ERRORS TO TRUE.
012100*
012200     IF  MG00-ORG-L IS LESS THAN ZERO
012300     OR
012400        (MG00-ORG-L IS GREATER THAN ZERO
012500     AND MTCC-MBU100-PRINT-ALL)
012600         MOVE 'ORGANIZATION          '
012700                                 TO MBU100WS-PL1-DESC
012800         MOVE MG00-ORG           TO MBU100WS-PL1-FROM-VALUE
012900         MOVE MG00-ORG-L         TO WS-L
013000         PERFORM Z900-ERROR-MESSAGE
013100            THRU Z999-EM-EXIT.
013200*
013300     IF  MG00-CHAIN-L IS LESS THAN ZERO
013400     OR
013500        (MG00-CHAIN-L IS GREATER THAN ZERO
013600     AND MTCC-MBU100-PRINT-ALL)
013700         MOVE 'CHAIN                 '
013800                                 TO MBU100WS-PL1-DESC
013900         MOVE MG00-CHAIN         TO MBU100WS-PL1-FROM-VALUE
014000         MOVE MG00-CHAIN-L       TO WS-L
014100         PERFORM Z900-ERROR-MESSAGE
014200            THRU Z999-EM-EXIT.
014300*
014400 0099-P00-EXIT.
014500     EXIT.
014600/
014700 0100-PAGE-01 SECTION.
014800 0101-P01-BEGIN.
014900*
015000     SET WS-U100-NO-PAGE-ERRORS  TO TRUE.
015100*
015200     IF  MG01-NA-LINE-L (1)      IS LESS THAN ZERO
015300     OR  MG01-NA-LINE-L (2)      IS LESS THAN ZERO
015400     OR  MG01-NA-LINE-L (3)      IS LESS THAN ZERO
015500     OR  MG01-NA-LINE-L (4)      IS LESS THAN ZERO
015600     OR  MG01-NA-LINE-L (5)      IS LESS THAN ZERO
015700     OR  MG01-STATE-L            IS LESS THAN ZERO
015800     OR  MG01-PHONE-L            IS LESS THAN ZERO
015900     OR  MG01-POSTAL-CODE-L      IS LESS THAN ZERO
016000     OR  MG01-FAX-L              IS LESS THAN ZERO
016100         SET WS-U100-PAGE-ERRORS TO TRUE.
016200*
016300     IF  MG01-NA-LINE-L (1)      IS LESS THAN ZERO
016400     OR
016500        (MG01-NA-LINE-L (1)      IS GREATER THAN ZERO
016600     AND MTCC-MBU100-PRINT-ALL)
016700         MOVE 'NAME/ADDRESS LINE 1   '
016800                                 TO MBU100WS-PL1-DESC
016900         MOVE MG01-NA-LINE (1)   TO MBU100WS-PL1-FROM-VALUE
017000         MOVE MG01-NA-LINE-L (1) TO WS-L
017100         PERFORM Z900-ERROR-MESSAGE
017200            THRU Z999-EM-EXIT.
017300*
017400     IF  MG01-NA-LINE-L (2)      IS LESS THAN ZERO
017500     OR
017600        (MG01-NA-LINE-L (2)      IS GREATER THAN ZERO
017700     AND MTCC-MBU100-PRINT-ALL)
017800         MOVE 'NAME/ADDRESS LINE 2   '
017900                                 TO MBU100WS-PL1-DESC
018000         MOVE MG01-NA-LINE (2)   TO MBU100WS-PL1-FROM-VALUE
018100         MOVE MG01-NA-LINE-L (2) TO WS-L
018200         PERFORM Z900-ERROR-MESSAGE
018300            THRU Z999-EM-EXIT.
018400*
018500     IF  MG01-NA-LINE-L (3)      IS LESS THAN ZERO
018600     OR
018700        (MG01-NA-LINE-L (3)      IS GREATER THAN ZERO
018800     AND MTCC-MBU100-PRINT-ALL)
018900         MOVE 'NAME/ADDRESS LINE 3   '
019000                                 TO MBU100WS-PL1-DESC
019100         MOVE MG01-NA-LINE (3)   TO MBU100WS-PL1-FROM-VALUE
019200         MOVE MG01-NA-LINE-L (3) TO WS-L
019300         PERFORM Z900-ERROR-MESSAGE
019400            THRU Z999-EM-EXIT.
019500*
019600     IF  MG01-NA-LINE-L (4)      IS LESS THAN ZERO
019700     OR
019800        (MG01-NA-LINE-L (4)      IS GREATER THAN ZERO
019900     AND MTCC-MBU100-PRINT-ALL)
020000         MOVE 'NAME/ADDRESS LINE 4   '
020100                                 TO MBU100WS-PL1-DESC
020200         MOVE MG01-NA-LINE (4)   TO MBU100WS-PL1-FROM-VALUE
020300         MOVE MG01-NA-LINE-L (4) TO WS-L
020400         PERFORM Z900-ERROR-MESSAGE
020500            THRU Z999-EM-EXIT.
020600*
020700     IF  MG01-NA-LINE-L (5)      IS LESS THAN ZERO
020800     OR
020900        (MG01-NA-LINE-L (5)      IS GREATER THAN ZERO
021000     AND MTCC-MBU100-PRINT-ALL)
021100         MOVE 'NAME/ADDRESS LINE 5   '
021200                                 TO MBU100WS-PL1-DESC
021300         MOVE MG01-NA-LINE (5)   TO MBU100WS-PL1-FROM-VALUE
021400         MOVE MG01-NA-LINE-L (5) TO WS-L
021500         PERFORM Z900-ERROR-MESSAGE
021600            THRU Z999-EM-EXIT.
021700*
021800     IF  MG01-STATE-L            IS LESS THAN ZERO
021900     OR
022000        (MG01-STATE-L            IS GREATER THAN ZERO
022100     AND MTCC-MBU100-PRINT-ALL)
022200         MOVE 'STATE/PROVINCE        '
022300                                 TO MBU100WS-PL1-DESC
022400         MOVE MG01-STATE         TO MBU100WS-PL1-FROM-VALUE
022500         MOVE MG01-STATE-L       TO WS-L
022600         PERFORM Z900-ERROR-MESSAGE
022700            THRU Z999-EM-EXIT.
022800*
022900     IF  MG01-PHONE-L            IS LESS THAN ZERO
023000     OR
023100        (MG01-PHONE-L            IS GREATER THAN ZERO
023200     AND MTCC-MBU100-PRINT-ALL)
023300         MOVE 'PHONE                 '
023400                                 TO MBU100WS-PL1-DESC
023500         MOVE MG01-PHONE         TO MBU100WS-PL1-FROM-VALUE
023600         MOVE MG01-PHONE-L       TO WS-L
023700         PERFORM Z900-ERROR-MESSAGE
023800            THRU Z999-EM-EXIT.
023900*
024000     IF  MG01-POSTAL-CODE-L      IS LESS THAN ZERO
024100     OR
024200        (MG01-POSTAL-CODE-L      IS GREATER THAN ZERO
024300     AND MTCC-MBU100-PRINT-ALL)
024400         MOVE 'POSTAL CODE           '
024500                                 TO MBU100WS-PL1-DESC
024600         MOVE MG01-POSTAL-CODE   TO MBU100WS-PL1-FROM-VALUE
024700         MOVE MG01-POSTAL-CODE-L TO WS-L
024800         PERFORM Z900-ERROR-MESSAGE
024900            THRU Z999-EM-EXIT.
025000*
025100     IF  MG01-FAX-L              IS LESS THAN ZERO
025200     OR
025300        (MG01-FAX-L              IS GREATER THAN ZERO
025400     AND MTCC-MBU100-PRINT-ALL)
025500         MOVE 'FAX                   '
025600                                 TO MBU100WS-PL1-DESC
025700         MOVE MG01-FAX           TO MBU100WS-PL1-FROM-VALUE
025800         MOVE MG01-FAX-L         TO WS-L
025900         PERFORM Z900-ERROR-MESSAGE
026000            THRU Z999-EM-EXIT.
026100*
026200 0199-P01-EXIT.
026300     EXIT.
026400/
026500 Z900-ERROR-MESSAGE SECTION.
026600 Z901-EM-BEGIN.
026700*
026800     EVALUATE TRUE
026900         WHEN MMUO-CURRENT-PAGE IS EQUAL TO ZERO
027000             MOVE MMUO-MC-L-ORG  TO MBU100WS-PL1-K5-ORG
027100             MOVE MMUO-MC-L-CHAIN
027200                                 TO MBU100WS-PL1-K5-NBR
027300         WHEN OTHER
027400             MOVE MMUO-MC-ORG    TO MBU100WS-PL1-K5-ORG
027500             MOVE MMUO-MC-CHAIN  TO MBU100WS-PL1-K5-NBR
027600     END-EVALUATE.
027700*
027800     MOVE MMUO-TI-POS-3-4        TO MBU100WS-PL1-TRANS-ID.
027900     MOVE MMUO-CURRENT-PAGE      TO MBU100WS-PL1-PAGE.
028000     MOVE '  TO='                TO MBU100WS-PL1-FROM.
028100*
028200     EVALUATE TRUE
028300         WHEN WS-L IS LESS THAN ZERO
028400             MOVE '*** E R R O R ***    '
028500                                 TO MBU100WS-PL1-MSG
028600         WHEN OTHER
028700             EVALUATE TRUE
028800                 WHEN WS-U100-PAGE-ERRORS
028900                     MOVE 'VALID DATA/PAGE ERROR'
029000                                 TO MBU100WS-PL1-MSG
029100                 WHEN MBU100WS-PO-UPDATE
029200                     MOVE 'ACCEPTED / UPDATED   '
029300                                 TO MBU100WS-PL1-MSG
029400                 WHEN OTHER
029500                     MOVE 'VALID DATA/NO UPDATE '
029600                                 TO MBU100WS-PL1-MSG
029700             END-EVALUATE
029800     END-EVALUATE.
029900*
030000     IF  MBU100WS-PL1-FROM-VALUE (42:9) IS EQUAL TO SPACES
030100     AND WS-U100-SL-SEQ IS EQUAL TO ZERO
030200         MOVE MMUO-SEQ           TO WS-U100-SL-SEQ
030300         MOVE WS-U100-SEQ-LIT    TO MBU100WS-PL1-FROM-VALUE(42:9)
030400     END-IF.
030500*
030600     MOVE MBU100WS-PRINT-LINE-1  TO MB20WS-PRINT-LINE.
030700     PERFORM MB22PD-PRINT-1-LINE
030800        THRU MB22PD-P1L-EXIT.
030900*
031000 Z999-EM-EXIT.
031100     EXIT.
031200/
031300 9000-PERFORMED-ROUTINES-SECT SECTION.
031400*
031500     COPY MB22PD.
031600/
031700     COPY SS02PD.
031800/
031900     COPY SS07PD.
032000/
032100     COPY SS08PD.
032200/
032300     COPY SS16PD.
032400/
032500     COPY SS26PD.
032600/
032700     COPY SS27PD.
032800*
032900 9995-END-SOURCE-STATEMENTS SECTION.
033000 9999-END-OF-PROGRAM.
033100     EXIT.
