000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU210.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU210 - MASS ACH PRENOTE                               *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400/
002500     COPY MMMMIO.
002600/
002700     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
002800/
002900     COPY MMMMRL.
003000/
003100     COPY MMOCIO.
003200/
003300     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
003400/
003500     COPY MMOCRL.
003600/
003700     COPY MMSCIO.
003800/
003900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
004000/
004100     COPY MMSCRL.
004200/
004300     COPY MTSIIO.
004400/
004500     COPY MB00RB REPLACING ==:MB00:== BY ==MTSI==.
004600/
004700     COPY MTSIRL.
004800/
004900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
005000/
005100     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
005200/
005300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
005400/
005500     COPY MTUIIO REPLACING ==:MTUI:== BY ==MTUD==.
005600/
005700     COPY MB00RB REPLACING ==:MB00:== BY ==MTUD==.
005800/
005900     COPY MBMM05.
006000     COPY MBMM05R.
006100/
006200     COPY MBD200WS.
006300/
006400     COPY MB00WS.
006500/
006600     COPY MB99WS.
006700/
006800     COPY SS00WS.
006900/
007000     COPY SS01WS.
007100/
007200     COPY SS02WS.
007300*
007400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007500/
007600 PROCEDURE DIVISION.
007700 A000-MAIN-LINE-SECT SECTION.
007800 A010-ML-BEGIN.
007900*
008000     MOVE 'MBU210'               TO SS02WS-ABEND-PROG-ID.
008100*
008200*
008300 A020-OPEN-FILES.
008400*
008500*
008600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
008700     SET MMSCRB-OPEN-INPUT       TO TRUE.
008800     PERFORM MB00PD-MMSC-ACCESS
008900        THRU MB00PD-MMSC-ACCESS-EXIT.
009000*
009100     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
009200     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
009300     PERFORM MB00PD-MMOC-ACCESS
009400        THRU MB00PD-MMOC-ACCESS-EXIT.
009500*
009600     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
009700     SET MMMMRB-OPEN-INPUT       TO TRUE.
009800     PERFORM MB00PD-MMMM-ACCESS
009900        THRU MB00PD-MMMM-ACCESS-EXIT.
010000*
010100     MOVE 'O1SI'                 TO SS02WS-ABEND-LOCATION.
010200     SET MTSIRB-OPEN-OUTPUT      TO TRUE.
010300     PERFORM MB00PD-MTSI-ACCESS
010400        THRU MB00PD-MTSI-ACCESS-EXIT.
010500*
010600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
010700     SET MTCCRB-OPEN-INPUT       TO TRUE.
010800     PERFORM MB00PD-MTCC-ACCESS
010900        THRU MB00PD-MTCC-ACCESS-EXIT.
011000*
011100     MOVE 'O1UD'                 TO SS02WS-ABEND-LOCATION.
011200     SET MTUDRB-OPEN-OUTPUT      TO TRUE.
011300     PERFORM MB00PD-MTUD-ACCESS
011400        THRU MB00PD-MTUD-ACCESS-EXIT.
011500*
011600     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011700*
011800*
011900 A030-CHECK-HEADERS.
012000*
012100*
012200     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012300     SET MMSCRB-READ-SEQ         TO TRUE.
012400     PERFORM MB00PD-MMSC-ACCESS
012500        THRU MB00PD-MMSC-ACCESS-EXIT.
012600*
012700     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012800*
012900     IF  MMSCIO-HEADER
013000         NEXT SENTENCE
013100     ELSE
013200         PERFORM MB99PD-MISSING-HEADER-ABEND
013300            THRU MB99PD-MHA-EXIT.
013400*
013500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013600     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
013700     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
013800*
013900     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
014000     SET MMOCRB-READ-SEQ         TO TRUE.
014100     PERFORM MB00PD-MMOC-ACCESS
014200        THRU MB00PD-MMOC-ACCESS-EXIT.
014300     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
014400*
014500     IF  MMOCIO-HEADER
014600         NEXT SENTENCE
014700     ELSE
014800         PERFORM MB99PD-MISSING-HEADER-ABEND
014900            THRU MB99PD-MHA-EXIT.
015000*
015100     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
015200     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
015300     PERFORM MB99PD-CHECK-DATE-TIME
015400        THRU MB99PD-CDT-EXIT.
015500*
015600*
015700     MOVE 'R0MM'                 TO SS02WS-ABEND-LOCATION.
015800     SET MMMMRB-READ-SEQ         TO TRUE.
015900     PERFORM MB00PD-MMMM-ACCESS
016000        THRU MB00PD-MMMM-ACCESS-EXIT.
016100     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
016200*
016300     IF  MMMMIO-HEADER
016400         NEXT SENTENCE
016500     ELSE
016600         PERFORM MB99PD-MISSING-HEADER-ABEND
016700            THRU MB99PD-MHA-EXIT.
016800*
016900     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
017000     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
017100     PERFORM MB99PD-CHECK-DATE-TIME
017200        THRU MB99PD-CDT-EXIT.
017300*
017400     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
017500     SET MMMMRB-READ-SEQ         TO TRUE.
017600     PERFORM MB00PD-MMMM-ACCESS
017700        THRU MB00PD-MMMM-ACCESS-EXIT.
017800*
017900     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
018000*
018100*
018200 A040-WRITE-HEADER.
018300*
018400*
018500     MOVE SPACES                 TO MTSIIO-RECORD.
018600     SET MTSIIO-HEADER           TO TRUE.
018700     MOVE MMSC-TODAYS-JULIAN     TO MTSIIO-DATE-STAMP.
018800     MOVE MMSC-TIME-STAMP        TO MTSIIO-TIME-STAMP.
018900*
019000     MOVE 'W0SI'                 TO SS02WS-ABEND-LOCATION.
019100     SET MTSIRB-WRITE            TO TRUE.
019200     PERFORM MB00PD-MTSI-ACCESS
019300        THRU MB00PD-MTSI-ACCESS-EXIT.
019400*
019500*
019600 A050-PROCESS.
019700*
019800*
019900*
020000************************************************************
020100*
020200     PERFORM B000-PROCESS-CONTROL-CARD
020300        THRU B099-PCC-EXIT.
020400*
020500*
020600     PERFORM C000-PROCESS-MERCHANTS
020700        THRU C099-PM-EXIT.
020800*
020900************************************************************
021000*
021100 A060-WRITE-HEADER.
021200*
021300     MOVE SPACES                 TO MTSIIO-RECORD.
021400     SET MTSIIO-TRAILER          TO TRUE.
021500     MOVE MMSC-TODAYS-JULIAN     TO MTSIIO-DATE-STAMP.
021600     MOVE MMSC-TIME-STAMP        TO MTSIIO-TIME-STAMP.
021700*
021800     MOVE 'W2SI'                 TO SS02WS-ABEND-LOCATION.
021900     SET MTSIRB-WRITE            TO TRUE.
022000     PERFORM MB00PD-MTSI-ACCESS
022100        THRU MB00PD-MTSI-ACCESS-EXIT.
022200*
022300*
022400 A070-CLOSE-FILES.
022500*
022600*
022700     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
022800     SET MTCCRB-CLOSE            TO TRUE.
022900     PERFORM MB00PD-MTCC-ACCESS
023000        THRU MB00PD-MTCC-ACCESS-EXIT.
023100*
023200     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
023300     SET MMOCRB-CLOSE            TO TRUE.
023400     PERFORM MB00PD-MMOC-ACCESS
023500        THRU MB00PD-MMOC-ACCESS-EXIT.
023600*
023700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
023800     SET MMSCRB-CLOSE            TO TRUE.
023900     PERFORM MB00PD-MMSC-ACCESS
024000        THRU MB00PD-MMSC-ACCESS-EXIT.
024100*
024200     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
024300     SET MMMMRB-CLOSE            TO TRUE.
024400     PERFORM MB00PD-MMMM-ACCESS
024500        THRU MB00PD-MMMM-ACCESS-EXIT.
024600*
024700     MOVE 'C1SI'                 TO SS02WS-ABEND-LOCATION.
024800     SET MTSIRB-CLOSE            TO TRUE.
024900     PERFORM MB00PD-MTSI-ACCESS
025000        THRU MB00PD-MTSI-ACCESS-EXIT.
025100*
025200     MOVE 'C1UD'                 TO SS02WS-ABEND-LOCATION.
025300     SET MTUDRB-CLOSE            TO TRUE.
025400     PERFORM MB00PD-MTUD-ACCESS
025500        THRU MB00PD-MTUD-ACCESS-EXIT.
025600*
025700     GO TO 9999-END-OF-PROGRAM.
025800*
025900 A099-ML-EXIT.
026000     EXIT.
026100/
026200 B000-PROCESS-CONTROL-CARD SECTION.
026300 B001-PCC-BEGIN.
026400*
026500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
026600     SET MTCCRB-READ-SEQ         TO TRUE.
026700     PERFORM MB00PD-MTCC-ACCESS
026800        THRU MB00PD-MTCC-ACCESS-EXIT.
026900*
027000     IF  SS02WS-FS-END-OF-FILE
027100         GO TO B099-PCC-EXIT.
027200*
027300     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO SS02WS-ABEND-PROG-ID
027400         GO TO B001-PCC-BEGIN.
027500*
027600     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
027700*
027800     EVALUATE TRUE
027900         WHEN MTCC-MBU210-ALL-ORGS
028000             CONTINUE
028100         WHEN MTCC-MBU210-ORG-OPTION IS NUMERIC
028200             CONTINUE
028300         WHEN OTHER
028400             MOVE 21001          TO SS02WS-ABEND-CODE
028500             MOVE 'INVALID ORG OPTION'
028600                                 TO SS02WS-ABENDMSG8
028700             PERFORM SS02PD-ABEND
028800                THRU SS02PD-ABEND-EXIT
028900     END-EVALUATE.
029000*
029100 B099-PCC-EXIT.
029200     EXIT.
029300/
029400 C000-PROCESS-MERCHANTS SECTION.
029500 C001-PM-BEGIN.
029600*
029700     IF  MTCC-MBU210-ALL-ORGS
029800         MOVE 'R0OC'             TO SS02WS-ABEND-LOCATION
029900         SET MMOCRB-READ-SEQ     TO TRUE
030000         PERFORM MB00PD-MMOC-ACCESS
030100            THRU MB00PD-MMOC-ACCESS-EXIT
030200         MOVE MMOCIO-RECORD      TO MMOC-RECORD
030300         IF  MMOCIO-TRAILER
030400             GO TO C099-PM-EXIT
030500         ELSE
030600             PERFORM C100-PROCESS
030700                THRU C199-P-EXIT
030800                UNTIL MMMM-ORG IS GREATER THAN MMOC-ORG
030900             GO TO C001-PM-BEGIN
031000         END-IF
031100     ELSE
031200         MOVE 'R0OC'             TO SS02WS-ABEND-LOCATION
031300         SET MMOCRB-READ-RANDOM  TO TRUE
031400         MOVE MTCC-MBU210-ORG-OPTION
031500                                 TO MMOCIO-ORG
031600         PERFORM MB00PD-MMOC-ACCESS
031700            THRU MB00PD-MMOC-ACCESS-EXIT
031800         MOVE MMOCIO-RECORD      TO MMOC-RECORD
031900         MOVE 'S1MM'             TO SS02WS-ABEND-LOCATION
032000         SET MMMMRB-START-GTE    TO TRUE
032100         MOVE MMOC-ORG           TO MMMMIO-ORG
032200         MOVE ZEROS              TO MMMMIO-MERCHANT
032300         PERFORM MB00PD-MMMM-ACCESS
032400            THRU MB00PD-MMMM-ACCESS-EXIT
032500         PERFORM C900-READ-MERCHANT
032600            THRU C999-RM-EXIT
032700         PERFORM C100-PROCESS    THRU C199-P-EXIT
032800            UNTIL MMMM-ORG IS GREATER THAN MMOC-ORG.
032900*
033000*
033100 C099-PM-EXIT.
033200     EXIT.
033300*
033400 C100-PROCESS SECTION.
033500 C101-P-BEGIN.
033600*
033700     CALL MB00WS-MBD200AE        USING MBD200WS-AREA
033800                                       MMSC-RECORD
033900                                       MMOC-RECORD.
034000*
034100     PERFORM
034200         VARYING X-MMMM-SETT-ACCT FROM 1 BY 1
034300         UNTIL   X-MMMM-SETT-ACCT IS GREATER THAN 4
034400         SET X-MMMM-SETT-ACH     TO X-MMMM-SETT-ACCT
034500         EVALUATE TRUE
034600           WHEN MMMM-PSA-ACH (X-MMMM-SETT-ACH)
034700               PERFORM P000-PENDING-ACH-PRENOTE
034800                  THRU P099-PAP-EXIT
034900           WHEN MMMM-ISA-ACH (X-MMMM-SETT-ACH)
035000               PERFORM I000-INTERIM-ACH-PRENOTE
035100                  THRU I099-IAP-EXIT
035200           WHEN (MMMM-SA-ACH       (X-MMMM-SETT-ACCT)
035300            AND  MMMM-ISA-NOT-USED (X-MMMM-SETT-ACH))
035400               PERFORM E000-ACTIVE-ACH-PRENOTE
035500                  THRU E099-AAP-EXIT
035600         END-EVALUATE
035700     END-PERFORM.
035800*
035900     PERFORM C900-READ-MERCHANT
036000        THRU C999-RM-EXIT.
036100*
036200 C199-P-EXIT.
036300     EXIT.
036400*
036500*
036600*
036700 C800-WRITE-MTSI SECTION.
036800 C801-WM-BEGIN.
036900*
037000     MOVE MTSI-RECORD            TO MTSIIO-RECORD.
037100*
037200     MOVE 'W1SI'                 TO SS02WS-ABEND-LOCATION.
037300     SET MTSIRB-WRITE            TO TRUE.
037400     PERFORM MB00PD-MTSI-ACCESS
037500        THRU MB00PD-MTSI-ACCESS-EXIT.
037600*
037700 C899-WM-EXIT.
037800     EXIT.
037900*
038000*
038100*
038200 C900-READ-MERCHANT SECTION.
038300 C901-RM-BEGIN.
038400*
038500     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
038600     SET MMMMRB-READ-SEQ         TO TRUE.
038700     PERFORM MB00PD-MMMM-ACCESS
038800        THRU MB00PD-MMMM-ACCESS-EXIT.
038900*
039000     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
039100*
039200     IF  MMMMIO-TRAILER
039300         GO TO C999-RM-EXIT.
039400*
039500     IF  MMMM-REC-INCOMPLETE
039600     OR  MMMM-REC-PURGED
039700     OR  MMMM-REC-PENDING-PURGE
039800     OR  MMMM-REC-PURGING
039900     OR  MMMM-REC-MODEL
040000     OR  MMMM-ADD-PENDING
040100         GO TO C900-READ-MERCHANT.
040200*
040300 C999-RM-EXIT.
040400     EXIT.
040500/
040600 E000-ACTIVE-ACH-PRENOTE SECTION.
040700 E001-AAP-BEGIN.
040800*
040900     PERFORM Z000-COMMON-ACH-DATA
041000        THRU Z099-CAD-EXIT.
041100     MOVE MMMM-ACTIVE-CR-RT (X-MMMM-SETT-ACH)
041200                                 TO MTSI-RT-NBR.
041300     MOVE MMMM-ACTIVE-CR-ACCT (X-MMMM-SETT-ACH)
041400                                 TO MTSI-ACH-ACCT.
041500     PERFORM Z100-COMMON-ACH-CREDIT-DATA
041600        THRU Z199-CACD-EXIT.
041700*
041800     IF  MMMM-ACTIVE-CR-ACCT-DDA (X-MMMM-SETT-ACH)
041900         SET MTSI-TC-ACH-DDA-PRENOTE-CR
042000                                 TO TRUE
042100     ELSE
042200         SET MTSI-TC-ACH-SAV-PRENOTE-CR
042300                                 TO TRUE
042400     END-IF.
042500*
042600     PERFORM C800-WRITE-MTSI
042700        THRU C899-WM-EXIT.
042800*
042900*
043000*
043100     EVALUATE TRUE
043200         WHEN MMMM-SA-NO-DEBIT-ACH (X-MMMM-SETT-ACCT)
043300             CONTINUE
043400         WHEN OTHER
043500             PERFORM Z000-COMMON-ACH-DATA
043600                THRU Z099-CAD-EXIT
043700             MOVE MMMM-ACTIVE-DR-RT (X-MMMM-SETT-ACH)
043800                                 TO MTSI-RT-NBR
043900             MOVE MMMM-ACTIVE-DR-ACCT (X-MMMM-SETT-ACH)
044000                                 TO MTSI-ACH-ACCT
044100             PERFORM Z200-COMMON-ACH-DEBIT-DATA
044200                THRU Z299-CADD-EXIT
044300             IF  MMMM-ACTIVE-DR-ACCT-DDA (X-MMMM-SETT-ACH)
044400                 SET MTSI-TC-ACH-DDA-PRENOTE-CR
044500                                 TO TRUE
044600             ELSE
044700                 SET MTSI-TC-ACH-SAV-PRENOTE-CR
044800                                 TO TRUE
044900             END-IF
045000             PERFORM C800-WRITE-MTSI
045100                THRU C899-WM-EXIT
045200     END-EVALUATE.
045300*
045400*
045500*
045600 E099-AAP-EXIT.
045700     EXIT.
045800/
045900 I000-INTERIM-ACH-PRENOTE SECTION.
046000 I001-IAP-BEGIN.
046100*
046200     PERFORM Z000-COMMON-ACH-DATA
046300        THRU Z099-CAD-EXIT.
046400     MOVE MMMM-ACTIVE-CR-RT (X-MMMM-SETT-ACH)
046500                                 TO MTSI-RT-NBR.
046600     MOVE MMMM-ACTIVE-CR-ACCT (X-MMMM-SETT-ACH)
046700                                 TO MTSI-ACH-ACCT.
046800     PERFORM Z100-COMMON-ACH-CREDIT-DATA
046900        THRU Z199-CACD-EXIT.
047000*
047100     IF  MMMM-ACTIVE-CR-ACCT-DDA (X-MMMM-SETT-ACH)
047200         SET MTSI-TC-ACH-DDA-PRENOTE-CR
047300                                 TO TRUE
047400     ELSE
047500         SET MTSI-TC-ACH-SAV-PRENOTE-CR
047600                                 TO TRUE
047700     END-IF.
047800*
047900     PERFORM C800-WRITE-MTSI
048000        THRU C899-WM-EXIT.
048100*
048200*
048300*
048400     EVALUATE TRUE
048500         WHEN MMMM-ISA-NO-DEBIT-ACH (X-MMMM-SETT-ACH)
048600             CONTINUE
048700         WHEN OTHER
048800             PERFORM Z000-COMMON-ACH-DATA
048900                THRU Z099-CAD-EXIT
049000             MOVE MMMM-ACTIVE-DR-RT (X-MMMM-SETT-ACH)
049100                                 TO MTSI-RT-NBR
049200             MOVE MMMM-ACTIVE-DR-ACCT (X-MMMM-SETT-ACH)
049300                                 TO MTSI-ACH-ACCT
049400             PERFORM Z200-COMMON-ACH-DEBIT-DATA
049500                THRU Z299-CADD-EXIT
049600             IF  MMMM-ACTIVE-DR-ACCT-DDA (X-MMMM-SETT-ACH)
049700                 SET MTSI-TC-ACH-DDA-PRENOTE-CR
049800                                 TO TRUE
049900             ELSE
050000                 SET MTSI-TC-ACH-SAV-PRENOTE-CR
050100                                 TO TRUE
050200             END-IF
050300             PERFORM C800-WRITE-MTSI
050400                THRU C899-WM-EXIT
050500     END-EVALUATE.
050600*
050700*
050800*
050900 I099-IAP-EXIT.
051000     EXIT.
051100/
051200 P000-PENDING-ACH-PRENOTE SECTION.
051300 P001-PAP-BEGIN.
051400*
051500     PERFORM Z000-COMMON-ACH-DATA
051600        THRU Z099-CAD-EXIT.
051700     MOVE MMMM-PENDING-CR-RT (X-MMMM-SETT-ACH)
051800                                 TO MTSI-RT-NBR.
051900     MOVE MMMM-PENDING-CR-ACCT (X-MMMM-SETT-ACH)
052000                                 TO MTSI-ACH-ACCT.
052100     PERFORM Z100-COMMON-ACH-CREDIT-DATA
052200        THRU Z199-CACD-EXIT.
052300*
052400     IF  MMMM-PENDING-CR-ACCT-DDA (X-MMMM-SETT-ACH)
052500         SET MTSI-TC-ACH-DDA-PRENOTE-CR
052600                                 TO TRUE
052700     ELSE
052800         SET MTSI-TC-ACH-SAV-PRENOTE-CR
052900                                 TO TRUE
053000     END-IF.
053100*
053200     PERFORM C800-WRITE-MTSI
053300        THRU C899-WM-EXIT.
053400*
053500*
053600*
053700     EVALUATE TRUE
053800         WHEN MMMM-PSA-NO-DEBIT-ACH (X-MMMM-SETT-ACH)
053900             CONTINUE
054000         WHEN OTHER
054100             PERFORM Z000-COMMON-ACH-DATA
054200                THRU Z099-CAD-EXIT
054300             MOVE MMMM-PENDING-DR-RT (X-MMMM-SETT-ACH)
054400                                 TO MTSI-RT-NBR
054500             MOVE MMMM-PENDING-DR-ACCT (X-MMMM-SETT-ACH)
054600                                 TO MTSI-ACH-ACCT
054700             PERFORM Z200-COMMON-ACH-DEBIT-DATA
054800                THRU Z299-CADD-EXIT
054900             IF  MMMM-PENDING-DR-ACCT-DDA (X-MMMM-SETT-ACH)
055000                 SET MTSI-TC-ACH-DDA-PRENOTE-CR
055100                                 TO TRUE
055200             ELSE
055300                 SET MTSI-TC-ACH-SAV-PRENOTE-CR
055400                                 TO TRUE
055500             END-IF
055600             PERFORM C800-WRITE-MTSI
055700                THRU C899-WM-EXIT
055800     END-EVALUATE.
055900*
056000*
056100*
056200     MOVE LOW-VALUES             TO MBMM05I.
056300     MOVE 'MBMM'                 TO MM05-TRANID.
056400     MOVE MMMM-ORG               TO MM05-ORG.
056500     MOVE MMMM-MERCHANT          TO MM05-MERCHANT.
056600*
056700     EVALUATE TRUE
056800         WHEN X-MMMM-SETT-ACH IS EQUAL TO 1
056900             MOVE 05             TO MM05-CURRENT-PAGE
057000             PERFORM P900-CALC-NEW-PENDING-DATE
057100                THRU P999-CNPD-EXIT
057200             MOVE SS01WS-DATE    TO MM05-PENDING-DATE (1)
057300             MOVE LENGTH OF MM05-PENDING-DATE (1)
057400                                 TO MM05-PENDING-DATE-L (1)
057500         WHEN X-MMMM-SETT-ACH IS EQUAL TO 2
057600             MOVE 05             TO MM05-CURRENT-PAGE
057700             PERFORM P900-CALC-NEW-PENDING-DATE
057800                THRU P999-CNPD-EXIT
057900             MOVE SS01WS-DATE    TO MM05-PENDING-DATE (2)
058000             MOVE LENGTH OF MM05-PENDING-DATE (2)
058100                                 TO MM05-PENDING-DATE-L (2)
058200         WHEN X-MMMM-SETT-ACH IS EQUAL TO 3
058300             MOVE 06             TO MM05-CURRENT-PAGE
058400             PERFORM P900-CALC-NEW-PENDING-DATE
058500                THRU P999-CNPD-EXIT
058600             MOVE SS01WS-DATE    TO MM05-PENDING-DATE (1)
058700             MOVE LENGTH OF MM05-PENDING-DATE (1)
058800                                 TO MM05-PENDING-DATE-L (1)
058900         WHEN X-MMMM-SETT-ACH IS EQUAL TO 4
059000             MOVE 06             TO MM05-CURRENT-PAGE
059100             PERFORM P900-CALC-NEW-PENDING-DATE
059200                THRU P999-CNPD-EXIT
059300             MOVE SS01WS-DATE    TO MM05-PENDING-DATE (2)
059400             MOVE LENGTH OF MM05-PENDING-DATE (2)
059500                                 TO MM05-PENDING-DATE-L (2)
059600     END-EVALUATE.
059700*
059800     MOVE MBMM05I                TO MTUDIO-RECORD.
059900*
060000     MOVE 'W1UD'                 TO SS02WS-ABEND-LOCATION.
060100     SET MTUDRB-WRITE            TO TRUE.
060200     PERFORM MB00PD-MTUD-ACCESS
060300        THRU MB00PD-MTUD-ACCESS-EXIT.
060400*
060500*
060600*
060700 P099-PAP-EXIT.
060800     EXIT.
060900/
061000 P900-CALC-NEW-PENDING-DATE SECTION.
061100 P901-CNPD-BEGIN.
061200*
061300     MOVE MMOC-DATE-NEXT-PROC    TO SS01WS-JULIAN.
061400     MOVE MMSC-ACH-CONFIRM-DAYS  TO SS01WS-FREQ.
061500     MOVE 'D'                    TO SS01WS-PERIOD.
061600     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
061700     PERFORM SS03PD-FUTURE-DATE  THRU SS03PD-FD-EXIT.
061800*
061900 P999-CNPD-EXIT.
062000     EXIT.
062100/
062200 Z000-COMMON-ACH-DATA SECTION.
062300 Z001-CAD-BEGIN.
062400*
062500     MOVE SPACES                 TO MTSI-RECORD.
062600     MOVE MMMM-KEY               TO MTSI-KEY.
062700     MOVE ZERO                   TO MTSI-SETT-BILL-INDEX.
062800     MOVE ZERO                   TO MTSI-CMS-ORG.
062900     MOVE ZERO                   TO MTSI-CMS-TC.
063000     MOVE ZERO                   TO MTSI-CMS-PLAN.
063100     MOVE ZERO                   TO MTSI-CMS-STORE-ORG.
063200     MOVE ZERO                   TO MTSI-CMS-STORE.
063300     MOVE ZERO                   TO MTSI-ACH-DESC-INDEX.
063400     MOVE ZERO                   TO MTSI-AMOUNT.
063500     MOVE MMMM-NA-LINE (1 1)     TO MTSI-NAME.
063600     SET MTSI-SETTLED-ACH-MAN    TO TRUE.
063700     SET MTSI-SETT-ACCT          TO X-MMMM-SETT-ACCT.
063800     MOVE MMOC-ACH-RELEASE-DAYS  TO MTSI-ACH-RELEASE-DAYS.
063900     MOVE MMOC-TODAYS-JULIAN     TO MTSI-POST-DATE.
064000*
064100 Z099-CAD-EXIT.
064200     EXIT.
064300*
064400*
064500*
064600 Z100-COMMON-ACH-CREDIT-DATA SECTION.
064700 Z101-CACD-BEGIN.
064800*
064900     MOVE MMOC-ACH-CR-PRENOTE-DESC
065000                                 TO MTSI-ACH-DESC.
065100     MOVE MBD200WS-MBD200AE-EFF-DATE-CR
065200                                 TO MTSI-ACH-EFF-DATE.
065300*
065400 Z199-CACD-EXIT.
065500     EXIT.
065600*
065700*
065800*
065900 Z200-COMMON-ACH-DEBIT-DATA SECTION.
066000 Z201-CADD-BEGIN.
066100*
066200     MOVE MMOC-ACH-DR-PRENOTE-DESC
066300                                 TO MTSI-ACH-DESC.
066400     MOVE MBD200WS-MBD200AE-EFF-DATE-DR
066500                                 TO MTSI-ACH-EFF-DATE.
066600*
066700 Z299-CADD-EXIT.
066800     EXIT.
066900/
067000 9000-PERFORMED-ROUTINES SECTION.
067100     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
067200/
067300     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
067400/
067500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
067600/
067700     COPY MB00PD REPLACING ==:MB00:== BY ==MTSI==.
067800/
067900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
068000/
068100     COPY MB00PD REPLACING ==:MB00:== BY ==MTUD==.
068200/
068300     COPY MB99PD.
068400/
068500     COPY SS02PD.
068600/
068700     COPY SS03PD.
068800/
068900     COPY SS07PD.
069000/
069100     COPY SS08PD.
069200/
069300     COPY SS26PD.
069400/
069500     COPY SS27PD.
069600*
069700 9995-END-SOURCE-STATEMENTS SECTION.
069800 9999-END-OF-PROGRAM.
069900     STOP RUN.
