000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU260.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU260 - BUILD MASTERCARD MATCH OUTGOING FILE           *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200 INPUT-OUTPUT SECTION.
001300 FILE-CONTROL.
001400 DATA DIVISION.
001500 FILE SECTION.
001600/
001700 WORKING-STORAGE SECTION.
001800*
001900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002000*
002100 01  WS-MBU260-WORK-AREAS.
002200     03  WS-REC-SEQ          PIC  9(06)      VALUE ZERO.
002300     03  WS-REFMOD           PIC  9(02)      VALUE ZERO.
002400     03  WS-NBR-GROUP.
002500         05  WS-NBR-X                        OCCURS 10 TIMES
002600                                             INDEXED BY
002700                                             X-WS-NBR.
002800             07  WS-NBR      PIC  9(01).
002900     03  WS-NBR-GROUP-9      REDEFINES WS-NBR-GROUP.
003000         05  WS-NBR-9        PIC  9(10).
003100*
003200/
003300     COPY MMSCRL.
003400/
003500     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003600/
003700     COPY MMSCIO.
003800/
003810     COPY MMOCRL.                                                 FX800012
003820/                                                                 FX800012
003830     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.                FX800012
003840/                                                                 FX800012
003850     COPY MMOCIO.                                                 FX800012
003860/                                                                 FX800012
003900     COPY MMTMRL.
004000/
004100     COPY MB00RB REPLACING ==:MB00:== BY ==MMTM==.
004200/
004300     COPY MMTMIO.
004400/
004500     COPY MTMORL.
004600/
004700     COPY MB00RB REPLACING ==:MB00:== BY ==MTMO==.
004800/
004900     COPY MTMOIO.
005000/
005100     COPY MB00WS.
005200/
005300     COPY MB99WS.
005400/
005500     COPY SS00WS.
005600/
005700     COPY SS01WS.
005800/
005900     COPY SS02WS.
006000*
006100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006200/
006300 PROCEDURE DIVISION.
006400 A000-MAIN-LINE-SECT SECTION.
006500 A010-ML-BEGIN.
006600*
006700     PERFORM A100-OPEN-FILES
006800        THRU A199-OF-EXIT.
006900*
007000     PERFORM A200-BUILD-MASTERCARD-MATCH
007100        THRU A299-BMM-EXIT
007200        UNTIL MMTMIO-TRAILER.
007300*
007400     PERFORM A300-CLOSE-FILES
007500        THRU A399-CF-EXIT.
007600*
007700     STOP RUN.
007800/
007900 A100-OPEN-FILES SECTION.
008000 A101-OF-BEGIN.
008100*
008200     MOVE 'MBU260'               TO SS02WS-ABEND-PROG-ID.
008300*
008400     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
008500     SET MMSCRB-OPEN-INPUT       TO TRUE.
008600     PERFORM MB00PD-MMSC-ACCESS
008700        THRU MB00PD-MMSC-ACCESS-EXIT.
008800*
008810     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.        FX800012
008820     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.                         FX800012
008830     PERFORM MB00PD-MMOC-ACCESS                                   FX800012
008840        THRU MB00PD-MMOC-ACCESS-EXIT.                             FX800012
008850*                                                                 FX800012
008900     MOVE 'O1TM'                 TO SS02WS-ABEND-LOCATION.
009000     SET MMTMRB-OPEN-INPUT       TO TRUE.
009100     PERFORM MB00PD-MMTM-ACCESS
009200        THRU MB00PD-MMTM-ACCESS-EXIT.
009300*
009400     MOVE 'O1MO'                 TO SS02WS-ABEND-LOCATION.
009500     SET MTMORB-OPEN-OUTPUT      TO TRUE.
009600     PERFORM MB00PD-MTMO-ACCESS
009700        THRU MB00PD-MTMO-ACCESS-EXIT.
009800*
009900*
010000*
010100     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
010200     SET MMSCRB-READ-SEQ         TO TRUE.
010300     PERFORM MB00PD-MMSC-ACCESS
010400        THRU MB00PD-MMSC-ACCESS-EXIT.
010500     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
010600*
010700     IF  MMSCIO-HEADER
010800         NEXT SENTENCE
010900     ELSE
011000         PERFORM MB99PD-MISSING-HEADER-ABEND
011100            THRU MB99PD-MHA-EXIT.
011200*
011300     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
011400     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
011500     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
011600*
011700     MOVE 'R0TM'                 TO SS02WS-ABEND-LOCATION.
011800     SET MMTMRB-READ-SEQ         TO TRUE.
011900     PERFORM MB00PD-MMTM-ACCESS
012000        THRU MB00PD-MMTM-ACCESS-EXIT.
012100     MOVE 'MMTM'                 TO MB99WS-FILE-ID.
012200*
012300     IF  MMTMIO-HEADER
012400         NEXT SENTENCE
012500     ELSE
012600         PERFORM MB99PD-MISSING-HEADER-ABEND
012700            THRU MB99PD-MHA-EXIT.
012800*
012900     MOVE MMTMIO-RECORD          TO MMTM-RECORD.
013000*
013100 A199-OF-EXIT.
013200     EXIT.
013300/
013400 A200-BUILD-MASTERCARD-MATCH.
013500 A201-BMM-BEGIN.
013600*
013700     MOVE 'R1TM'                 TO SS02WS-ABEND-LOCATION.
013800     SET MMTMRB-READ-SEQ         TO TRUE.
013900     PERFORM MB00PD-MMTM-ACCESS
014000        THRU MB00PD-MMTM-ACCESS-EXIT.
014100*
014200     IF  MMTMIO-HEADER
014300     OR  MMTMIO-TRAILER
014400         GO TO A299-BMM-EXIT.
014500*
014600     MOVE MMTMIO-RECORD          TO MMTM-RECORD.
014700*
014800     IF  MMTM-REC-INCOMPLETE
014900     OR  MMTM-REC-PURGED
015000     OR  MMTM-ADD-PENDING
015100         GO TO A299-BMM-EXIT.
015200*
015300     IF  MMTM-ACTION-CODE-MC
015400         CONTINUE
015500     ELSE
015600         GO TO A299-BMM-EXIT.
015700*
015800     MOVE SPACES                 TO MTMO-RECORD.
015900     SET  MTMO-TC-651            TO TRUE.
015910*                                                                 FX800012
015920     MOVE MMTM-ORG               TO MMOCIO-ORG.                   FX800012
015930     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.        FX800012
015940     SET MMOCRB-READ-RANDOM      TO TRUE.                         FX800012
015950     PERFORM MB00PD-MMOC-ACCESS                                   FX800012
015960        THRU MB00PD-MMOC-ACCESS-EXIT.                             FX800012
015970     MOVE MMOCIO-RECORD          TO MMOC-RECORD.                  FX800012
015980*                                                                 FX800012
016000     MOVE MMOC-INTCHG-ICA        TO MTMO-ICA.                     FX800012
016100     MOVE ZERO                   TO MTMO-REC-SEQ.
016200*
016300     EVALUATE TRUE
016400         WHEN MMTM-ACTION-CODE-ADD
016500             SET MTMO-ACTION-ADD TO TRUE
016600             PERFORM A500-MATCH-ADD
016700                THRU A599-MA-EXIT
016800         WHEN OTHER
016900             SET MTMO-ACTION-INQ TO TRUE
017000             PERFORM A600-MATCH-INQUIRY
017100                THRU A699-MI-EXIT
017200     END-EVALUATE.
017300*
017400 A299-BMM-EXIT.
017500     EXIT.
017600/
017700 A300-CLOSE-FILES SECTION.
017800 A301-CF-BEGIN.
017900*
018000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
018100     SET MMSCRB-CLOSE            TO TRUE.
018200     PERFORM MB00PD-MMSC-ACCESS
018300        THRU MB00PD-MMSC-ACCESS-EXIT.
018400*
018410     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.        FX800012
018420     SET MMOCRB-CLOSE            TO TRUE.                         FX800012
018430     PERFORM MB00PD-MMOC-ACCESS                                   FX800012
018440        THRU MB00PD-MMOC-ACCESS-EXIT.                             FX800012
018450*                                                                 FX800012
018500     MOVE 'C1TM'                 TO SS02WS-ABEND-LOCATION.
018600     SET MMTMRB-CLOSE            TO TRUE.
018700     PERFORM MB00PD-MMTM-ACCESS
018800        THRU MB00PD-MMTM-ACCESS-EXIT.
018900*
019000     MOVE 'C1MO'                 TO SS02WS-ABEND-LOCATION.
019100     SET MTMORB-CLOSE            TO TRUE.
019200     PERFORM MB00PD-MTMO-ACCESS
019300        THRU MB00PD-MTMO-ACCESS-EXIT.
019400*
019500 A399-CF-EXIT.
019600     EXIT.
019700/
019800 A500-MATCH-ADD SECTION.
019900 A501-MA-BEGIN.
020000*
020100     SET MTMO-RT-GENERAL-DATA    TO TRUE.
020200     INITIALIZE                     MTMO-MATCH-ADD-GEN-DATA.
020300     MOVE MMTM-CATEGORY-CODE     TO MTMO-A1-CATEGORY.
020400     MOVE MMTM-DATE-OPENED       TO SS01WS-JULIAN.
020500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
020600                                 THRU SS26PD-NED-EXIT.
020700     COMPUTE MTMO-A1-DATE-OPENED = (SS01WS-YEAR * 10000)
020800                                 + (SS01WS-MM * 100)
020900                                 +  SS01WS-DD.
021000     MOVE MMTM-DATE-CLOSED       TO SS01WS-JULIAN.
021100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
021200                                 THRU SS26PD-NED-EXIT.
021300     COMPUTE MTMO-A1-DATE-CLOSED = (SS01WS-YEAR * 10000)
021400                                 + (SS01WS-MM * 100)
021500                                 +  SS01WS-DD.
021600     COMPUTE MTMO-A1-MERCHANT    = (MMTM-ORG * 1000000000)
021700                                 +  MMTM-MERCHANT.
021800     MOVE MMTM-NAME-LINE-1       TO MTMO-A1-NAME.
021900     MOVE MMTM-DBA-NAME          TO MTMO-A1-DBA-NAME.
022000     MOVE MMTM-ADDR-LINE-1       TO MTMO-A1-ADDR-1.
022100     MOVE MMTM-ADDR-LINE-2       TO MTMO-A1-ADDR-2.
022200     MOVE MMTM-CITY              TO MTMO-A1-CITY.
022300     MOVE MMTM-STATE-PROV        TO MTMO-A1-STATE.
022400     MOVE MMTM-POSTAL-CODE       TO MTMO-A1-ZIP.
022500     MOVE MMTM-COUNTRY-CODE      TO MTMO-A1-COUNTRY.
022600     MOVE ZERO                   TO WS-NBR-GROUP.
022700     SET X-WS-NBR                TO 10.
022800     PERFORM
022900         VARYING WS-REFMOD FROM 10 BY -1
023000         UNTIL   WS-REFMOD IS LESS THAN 1
023100         IF  MMTM-PHONE (WS-REFMOD:1) IS NUMERIC
023200             MOVE MMTM-PHONE (WS-REFMOD:1)
023300                                 TO WS-NBR-X (X-WS-NBR)
023400             SET X-WS-NBR        DOWN BY 1
023500         END-IF
023600     END-PERFORM.
023700     MOVE WS-NBR-9               TO MTMO-A1-PHONE.
023800     MOVE MMTM-CH-ACT-TERM-IND   TO MTMO-A1-CAT-IND.
023900     MOVE MMTM-STATE-TAX-ID      TO MTMO-A1-STATE-TAX-ID.
024000     MOVE MMTM-FED-TAX-ID        TO MTMO-A1-FED-TAX-ID.
024100     MOVE MMTM-REASON-CODE       TO MTMO-A1-REASON.
024200     MOVE MMTM-COMMENTS (1)      TO MTMO-A1-COMMENTS (1:50).
024300     MOVE MMTM-COMMENTS (2)      TO MTMO-A1-COMMENTS (51:50).
024400     MOVE MMTM-COMMENTS (3)      TO MTMO-A1-COMMENTS (101:50).
024500     MOVE MMTM-COMMENTS (4)      TO MTMO-A1-COMMENTS (151:50).
024600*
024700     PERFORM A900-WRITE-MTMO
024800        THRU A999-WMTMO-EXIT.
024900*
025000*
025100*
025200     SET  MTMO-RT-PRINCIPAL-DATA TO TRUE.
025300     MOVE SPACES                 TO MTMO-MATCH-ADD-PRIN-DATA.
025400     INITIALIZE                     MTMO-MATCH-ADD-PRIN-DATA.
025500*
025600     PERFORM
025700         VARYING X-MTMO-A2-PRIN FROM 1 BY 1
025800         UNTIL   X-MTMO-A2-PRIN IS GREATER THAN 5
025900         SET X-MMTM-PRIN-DATA    TO X-MTMO-A2-PRIN
026000         MOVE MMTM-PR-LAST-NAME (X-MMTM-PRIN-DATA)
026100                                 TO MTMO-A2-PRIN-LAST-NAME
026200                                    (X-MTMO-A2-PRIN)
026300         MOVE MMTM-PR-FIRST-NAME (X-MMTM-PRIN-DATA)
026400                                 TO MTMO-A2-PRIN-FIRST-NAME
026500                                    (X-MTMO-A2-PRIN)
026600         MOVE MMTM-PR-MIDDLE-INITIAL (X-MMTM-PRIN-DATA)
026700                                 TO MTMO-A2-PRIN-MIDDLE-INITIAL
026800                                    (X-MTMO-A2-PRIN)
026900         MOVE MMTM-PR-ADDR-1 (X-MMTM-PRIN-DATA)
027000                                 TO MTMO-A2-PRIN-ADDR-1
027100                                    (X-MTMO-A2-PRIN)
027200         MOVE MMTM-PR-ADDR-2 (X-MMTM-PRIN-DATA)
027300                                 TO MTMO-A2-PRIN-ADDR-2
027400                                    (X-MTMO-A2-PRIN)
027500         MOVE MMTM-PR-CITY (X-MMTM-PRIN-DATA)
027600                                 TO MTMO-A2-PRIN-CITY
027700                                    (X-MTMO-A2-PRIN)
027800         MOVE MMTM-PR-STATE (X-MMTM-PRIN-DATA)
027900                                 TO MTMO-A2-PRIN-STATE
028000                                    (X-MTMO-A2-PRIN)
028100         MOVE MMTM-PR-POSTAL-CODE (X-MMTM-PRIN-DATA)
028200                                 TO MTMO-A2-PRIN-ZIP
028300                                    (X-MTMO-A2-PRIN)
028400         MOVE MMTM-PR-COUNTRY (X-MMTM-PRIN-DATA)
028500                                 TO MTMO-A2-PRIN-COUNTRY
028600                                    (X-MTMO-A2-PRIN)
028700         MOVE ZERO               TO WS-NBR-GROUP
028800         SET X-WS-NBR            TO 10
028900         PERFORM
029000             VARYING WS-REFMOD FROM 10 BY -1
029100             UNTIL   WS-REFMOD IS LESS THAN 1
029200             IF  MMTM-PR-PHONE (X-MMTM-PRIN-DATA) (WS-REFMOD:1)
029300                                 IS NUMERIC
029400                 MOVE MMTM-PR-PHONE (X-MMTM-PRIN-DATA)
029500                                    (WS-REFMOD:1)
029600                                 TO WS-NBR-X (X-WS-NBR)
029700                 SET X-WS-NBR        DOWN BY 1
029800             END-IF
029900         END-PERFORM
030000         MOVE WS-NBR-9           TO MTMO-A2-PRIN-PHONE
030100                                    (X-MTMO-A2-PRIN)
030200         MOVE ZERO               TO WS-NBR-GROUP
030300         SET X-WS-NBR            TO 10
030400         PERFORM
030500             VARYING WS-REFMOD FROM 9 BY -1
030600             UNTIL   WS-REFMOD IS LESS THAN 1
030700             IF  MMTM-SOC-SEC-NBR (X-MMTM-PRIN-DATA) (WS-REFMOD:1)
030800                                 IS NUMERIC
030900                 MOVE MMTM-SOC-SEC-NBR (X-MMTM-PRIN-DATA)
031000                                    (WS-REFMOD:1)
031100                                 TO WS-NBR-X (X-WS-NBR)
031200                 SET X-WS-NBR        DOWN BY 1
031300             END-IF
031400         END-PERFORM
031500         MOVE WS-NBR-9           TO MTMO-A2-PRIN-SSN
031600                                    (X-MTMO-A2-PRIN)
031700         MOVE MMTM-DL-NBR (X-MMTM-PRIN-DATA)
031800                                 TO MTMO-A2-PRIN-DL-NBR
031900                                    (X-MTMO-A2-PRIN)
032000         MOVE MMTM-DL-STATE (X-MMTM-PRIN-DATA)
032100                                 TO MTMO-A2-PRIN-DL-STATE
032200                                    (X-MTMO-A2-PRIN)
032300         MOVE MMTM-DL-COUNTRY (X-MMTM-PRIN-DATA)
032400                                 TO MTMO-A2-PRIN-DL-COUNTRY
032500                                    (X-MTMO-A2-PRIN)
032600     END-PERFORM.
032700*
032800     PERFORM A900-WRITE-MTMO
032900        THRU A999-WMTMO-EXIT.
033000*
033100 A599-MA-EXIT.
033200     EXIT.
033300/
033400 A600-MATCH-INQUIRY SECTION.
033500 A601-MI-BEGIN.
033600*
033700     SET MTMO-RT-GENERAL-DATA    TO TRUE.
033800     INITIALIZE                     MTMO-MATCH-INQ-GEN-DATA.
033900*
034000     MOVE MMTM-NBR-MATCHES       TO MTMO-I1-PHONETIC-MATCHES.
034100     MOVE MMTM-NAME-LINE-1       TO MTMO-I1-BUSINESS-NAME.
034200     MOVE MMTM-DBA-NAME          TO MTMO-I1-DBA-NAME.
034300     MOVE MMTM-ADDR-LINE-1       TO MTMO-I1-ADDR-1.
034400     MOVE MMTM-ADDR-LINE-2       TO MTMO-I1-ADDR-2.
034500     MOVE MMTM-CITY              TO MTMO-I1-CITY.
034600     MOVE MMTM-STATE-PROV        TO MTMO-I1-STATE.
034700     MOVE MMTM-POSTAL-CODE       TO MTMO-I1-ZIP.
034800     MOVE MMTM-COUNTRY-CODE      TO MTMO-I1-COUNTRY.
034900     MOVE ZERO                   TO WS-NBR-GROUP.
035000     SET X-WS-NBR                TO 10.
035100     PERFORM
035200         VARYING WS-REFMOD FROM 10 BY -1
035300         UNTIL   WS-REFMOD IS LESS THAN 1
035400         IF  MMTM-PHONE (WS-REFMOD:1) IS NUMERIC
035500             MOVE MMTM-PHONE (WS-REFMOD:1)
035600                                 TO WS-NBR-X (X-WS-NBR)
035700             SET X-WS-NBR        DOWN BY 1
035800         END-IF
035900     END-PERFORM.
036000     MOVE WS-NBR-9               TO MTMO-I1-PHONE.
036100     MOVE MMTM-STATE-TAX-ID      TO MTMO-I1-STATE-TAX-ID.
036200     MOVE MMTM-FED-TAX-ID        TO MTMO-I1-FED-TAX-ID.
036300     MOVE MMTM-TRANS-REF-NBR     TO MTMO-I1-REF.
036400     MOVE MMTM-REGION (1)        TO MTMO-I1-REGION-SEARCH (1).
036500     MOVE MMTM-REGION (2)        TO MTMO-I1-REGION-SEARCH (2).
036600     MOVE MMTM-REGION (3)        TO MTMO-I1-REGION-SEARCH (3).
036700     MOVE MMTM-REGION (4)        TO MTMO-I1-REGION-SEARCH (4).
036800     MOVE MMTM-REGION (5)        TO MTMO-I1-REGION-SEARCH (5).
036900     MOVE MMTM-REGION (6)        TO MTMO-I1-REGION-SEARCH (6).
037000     MOVE MMTM-COUNTRY (1)       TO MTMO-I1-COUNTRY-SEARCH (1).
037100     MOVE MMTM-COUNTRY (2)       TO MTMO-I1-COUNTRY-SEARCH (2).
037200     MOVE MMTM-COUNTRY (3)       TO MTMO-I1-COUNTRY-SEARCH (3).
037300     MOVE MMTM-COUNTRY (4)       TO MTMO-I1-COUNTRY-SEARCH (4).
037400     MOVE MMTM-COUNTRY (5)       TO MTMO-I1-COUNTRY-SEARCH (5).
037500     MOVE MMTM-COUNTRY (6)       TO MTMO-I1-COUNTRY-SEARCH (6).
037600     MOVE MMTM-COUNTRY (7)       TO MTMO-I1-COUNTRY-SEARCH (7).
037700     MOVE MMTM-COUNTRY (8)       TO MTMO-I1-COUNTRY-SEARCH (8).
037800     MOVE MMTM-COUNTRY (9)       TO MTMO-I1-COUNTRY-SEARCH (9).
037900     MOVE MMTM-COUNTRY (10)      TO MTMO-I1-COUNTRY-SEARCH (10).
038000*
038100*
038200     PERFORM A900-WRITE-MTMO
038300        THRU A999-WMTMO-EXIT.
038400*
038500*
038600*
038700     SET  MTMO-RT-PRINCIPAL-DATA TO TRUE.
038800     MOVE SPACES                 TO MTMO-MATCH-INQ-PRIN-DATA.
038900     INITIALIZE                     MTMO-MATCH-INQ-PRIN-DATA.
039000*
039100     PERFORM
039200         VARYING X-MTMO-I2-PRIN FROM 1 BY 1
039300         UNTIL   X-MTMO-I2-PRIN IS GREATER THAN 5
039400         SET X-MMTM-PRIN-DATA    TO X-MTMO-I2-PRIN
039500         MOVE MMTM-PR-LAST-NAME (X-MMTM-PRIN-DATA)
039600                                 TO MTMO-I2-PRIN-LAST-NAME
039700                                    (X-MTMO-I2-PRIN)
039800         MOVE MMTM-PR-FIRST-NAME (X-MMTM-PRIN-DATA)
039900                                 TO MTMO-I2-PRIN-FIRST-NAME
040000                                    (X-MTMO-I2-PRIN)
040100         MOVE MMTM-PR-MIDDLE-INITIAL (X-MMTM-PRIN-DATA)
040200                                 TO MTMO-I2-PRIN-MIDDLE-INITIAL
040300                                    (X-MTMO-I2-PRIN)
040400         MOVE MMTM-PR-ADDR-1 (X-MMTM-PRIN-DATA)
040500                                 TO MTMO-I2-PRIN-ADDR-1
040600                                    (X-MTMO-I2-PRIN)
040700         MOVE MMTM-PR-ADDR-2 (X-MMTM-PRIN-DATA)
040800                                 TO MTMO-I2-PRIN-ADDR-2
040900                                    (X-MTMO-I2-PRIN)
041000         MOVE MMTM-PR-CITY (X-MMTM-PRIN-DATA)
041100                                 TO MTMO-I2-PRIN-CITY
041200                                    (X-MTMO-I2-PRIN)
041300         MOVE MMTM-PR-STATE (X-MMTM-PRIN-DATA)
041400                                 TO MTMO-I2-PRIN-STATE
041500                                    (X-MTMO-I2-PRIN)
041600         MOVE MMTM-PR-POSTAL-CODE (X-MMTM-PRIN-DATA)
041700                                 TO MTMO-I2-PRIN-ZIP
041800                                    (X-MTMO-I2-PRIN)
041900         MOVE MMTM-PR-COUNTRY (X-MMTM-PRIN-DATA)
042000                                 TO MTMO-I2-PRIN-COUNTRY
042100                                    (X-MTMO-I2-PRIN)
042200         MOVE ZERO               TO WS-NBR-GROUP
042300         SET X-WS-NBR            TO 10
042400         PERFORM
042500             VARYING WS-REFMOD FROM 10 BY -1
042600             UNTIL   WS-REFMOD IS LESS THAN 1
042700             IF  MMTM-PR-PHONE (X-MMTM-PRIN-DATA) (WS-REFMOD:1)
042800                                 IS NUMERIC
042900                 MOVE MMTM-PR-PHONE (X-MMTM-PRIN-DATA)
043000                                    (WS-REFMOD:1)
043100                                 TO WS-NBR-X (X-WS-NBR)
043200                 SET X-WS-NBR        DOWN BY 1
043300             END-IF
043400         END-PERFORM
043500         MOVE WS-NBR-9           TO MTMO-I2-PRIN-PHONE
043600                                    (X-MTMO-I2-PRIN)
043700         MOVE ZERO               TO WS-NBR-GROUP
043800         SET X-WS-NBR            TO 10
043900         PERFORM
044000             VARYING WS-REFMOD FROM 9 BY -1
044100             UNTIL   WS-REFMOD IS LESS THAN 1
044200             IF  MMTM-SOC-SEC-NBR (X-MMTM-PRIN-DATA) (WS-REFMOD:1)
044300                                 IS NUMERIC
044400                 MOVE MMTM-SOC-SEC-NBR (X-MMTM-PRIN-DATA)
044500                                    (WS-REFMOD:1)
044600                                 TO WS-NBR-X (X-WS-NBR)
044700                 SET X-WS-NBR        DOWN BY 1
044800             END-IF
044900         END-PERFORM
045000         MOVE WS-NBR-9           TO MTMO-I2-PRIN-SSN
045100                                    (X-MTMO-I2-PRIN)
045200         MOVE MMTM-DL-NBR (X-MMTM-PRIN-DATA)
045300                                 TO MTMO-I2-PRIN-DL-NBR
045400                                    (X-MTMO-I2-PRIN)
045500         MOVE MMTM-DL-STATE (X-MMTM-PRIN-DATA)
045600                                 TO MTMO-I2-PRIN-DL-STATE
045700                                    (X-MTMO-I2-PRIN)
045800         MOVE MMTM-DL-COUNTRY (X-MMTM-PRIN-DATA)
045900                                 TO MTMO-I2-PRIN-DL-COUNTRY
046000                                    (X-MTMO-I2-PRIN)
046100     END-PERFORM.
046200*
046300     PERFORM A900-WRITE-MTMO
046400        THRU A999-WMTMO-EXIT.
046500*
046600 A699-MI-EXIT.
046700     EXIT.
046800/
046900 A900-WRITE-MTMO SECTION.
047000 A901-WMTMO-BEGIN.
047100*
047200     ADD  1                      TO WS-REC-SEQ.
047300     MOVE WS-REC-SEQ             TO MTMO-REC-SEQ.
047400     MOVE MTMO-RECORD            TO MTMOIO-RECORD.
047500*
047600     MOVE 'W1MO'                 TO SS02WS-ABEND-LOCATION.
047700     SET MTMORB-WRITE            TO TRUE.
047800     PERFORM MB00PD-MTMO-ACCESS
047900        THRU MB00PD-MTMO-ACCESS-EXIT.
048000*
048100 A999-WMTMO-EXIT.
048200     EXIT.
048300/
048400 9000-PERFORMED-ROUTINES-SECT SECTION.
048500*
048600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
048700/
048710     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.                FX800012
048720/                                                                 FX800012
048800     COPY MB00PD REPLACING ==:MB00:== BY ==MMTM==.
048900/
049000     COPY MB00PD REPLACING ==:MB00:== BY ==MTMO==.
049100/
049200     COPY MB99PD.
049300/
049400     COPY SS02PD.
049500/
049600     COPY SS07PD.
049700/
049800     COPY SS08PD.
049900/
050000     COPY SS16PD.
050100/
050200     COPY SS26PD.
050300/
050400     COPY SS27PD.
050500*
050600 9995-END-SOURCE-STATEMENTS SECTION.
050700 9999-END-OF-PROGRAM.
050800     EXIT.
