000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU261.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU261 - BUILD VISA NMAS OUTGOING FILE TO TRAMS         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200 INPUT-OUTPUT SECTION.
001300 FILE-CONTROL.
001400 DATA DIVISION.
001500 FILE SECTION.
001600/
001700 WORKING-STORAGE SECTION.
001800*
001900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002000*
002100 01  WS-MBU261-WORK-AREAS.
002200     03  WS-U261-OP-DATE     PIC  9(06)      VALUE ZERO.
002210     03  WS-U261-LOCATOR-NBR PIC 9(04)   VALUE ZERO.
002300/
002400     COPY MMSCRL.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002700/
002800     COPY MMSCIO.
002900/
003000     COPY MMOCRL.
003100/
003200     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
003300/
003400     COPY MMOCIO.
003500/
003600     COPY MMTMRL.
003700/
003800     COPY MB00RB REPLACING ==:MB00:== BY ==MMTM==.
003900/
004000     COPY MMTMIO.
004100/
004200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004300/
004400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
004500/
004600     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004700/
004800     COPY MTVNRL REPLACING ==:MTVN:== BY ==MTVN==.
004900/
005000     COPY MB00RB REPLACING ==:MB00:== BY ==MTVN==.
005100/
005200     COPY MTVNIO REPLACING ==:MTVN:== BY ==MTVN==.
005300/
005400     COPY MB00WS.
005500/
005600     COPY MB99WS.
005700/
005800     COPY SS00WS.
005900/
006000     COPY SS01WS.
006100/
006200     COPY SS02WS.
006300*
006400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
006500/
006600 PROCEDURE DIVISION.
006700 A000-MAIN-LINE-SECT SECTION.
006800 A010-ML-BEGIN.
006900*
007000     MOVE 'MBU261'               TO SS02WS-ABEND-PROG-ID.
007100*
007200     PERFORM SS16PD-OPERATING-SYSTEM-DATE
007300        THRU SS16PD-OSD-EXIT.
007400*
007500     MOVE SS01WS-DMY             TO WS-U261-OP-DATE.
007600*
007700     PERFORM A100-OPEN-FILES
007800        THRU A199-OF-EXIT.
007900*
008000     PERFORM A200-BUILD-VISA-NMAS
008100        THRU A299-BVN-EXIT
008200        UNTIL MMTMIO-TRAILER.
008300*
008400     PERFORM A300-CLOSE-FILES
008500        THRU A399-CF-EXIT.
008600*
008700     GO TO 9999-END-OF-PROGRAM.
008800*
008900 A099-ML-EXIT.
009000     EXIT.
009100/
009200 A100-OPEN-FILES SECTION.
009300 A101-OF-BEGIN.
009400*
009500     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
009600     SET MMSCRB-OPEN-INPUT       TO TRUE.
009700     PERFORM MB00PD-MMSC-ACCESS
009800        THRU MB00PD-MMSC-ACCESS-EXIT.
009900*
010000     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
010100     SET MTCCRB-OPEN-INPUT       TO TRUE.
010200     PERFORM MB00PD-MTCC-ACCESS
010300        THRU MB00PD-MTCC-ACCESS-EXIT.
010400*
010500     PERFORM Z000-PROCESS-CONTROL-CARD
010600        THRU Z099-PCC-EXIT.
010700*
010800     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
010900     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
011000     PERFORM MB00PD-MMOC-ACCESS
011100        THRU MB00PD-MMOC-ACCESS-EXIT.
011200*
011300     MOVE 'O1TM'                 TO SS02WS-ABEND-LOCATION.
011400     SET MMTMRB-OPEN-INPUT       TO TRUE.
011500     PERFORM MB00PD-MMTM-ACCESS
011600        THRU MB00PD-MMTM-ACCESS-EXIT.
011700*
011800     MOVE 'O1VN'                 TO SS02WS-ABEND-LOCATION.
011900     SET MTVNRB-OPEN-OUTPUT      TO TRUE.
012000     PERFORM MB00PD-MTVN-ACCESS
012100        THRU MB00PD-MTVN-ACCESS-EXIT.
012200*
012300*
012400*
012500     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
012600     SET MMSCRB-READ-SEQ         TO TRUE.
012700     PERFORM MB00PD-MMSC-ACCESS
012800        THRU MB00PD-MMSC-ACCESS-EXIT.
012900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013000*
013100     IF  MMSCIO-HEADER
013200         CONTINUE
013300     ELSE
013400         PERFORM MB99PD-MISSING-HEADER-ABEND
013500            THRU MB99PD-MHA-EXIT
013600     END-IF.
013700*
013800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013900     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
014000     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
014100     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
014200*
014300*
014400*
014500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMOCRB-READ-SEQ         TO TRUE.
014700     PERFORM MB00PD-MMOC-ACCESS
014800        THRU MB00PD-MMOC-ACCESS-EXIT.
014900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
015000*
015100     IF  MMOCIO-HEADER
015200         CONTINUE
015300     ELSE
015400         PERFORM MB99PD-MISSING-HEADER-ABEND
015500            THRU MB99PD-MHA-EXIT
015600     END-IF.
015700*
015800     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
015900     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
016000     PERFORM MB99PD-CHECK-DATE-TIME
016100        THRU MB99PD-CDT-EXIT.
016200*
016300     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
016400*
016500*
016600*
016700     MOVE 'R0TM'                 TO SS02WS-ABEND-LOCATION.
016800     SET MMTMRB-READ-SEQ         TO TRUE.
016900     PERFORM MB00PD-MMTM-ACCESS
017000        THRU MB00PD-MMTM-ACCESS-EXIT.
017100     MOVE 'MMTM'                 TO MB99WS-FILE-ID.
017200*
017300     IF  MMTMIO-HEADER
017400         CONTINUE
017500     ELSE
017600         PERFORM MB99PD-MISSING-HEADER-ABEND
017700            THRU MB99PD-MHA-EXIT
017800     END-IF.
017900*
018000     MOVE MMTMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
018100     MOVE MMTMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
018200     PERFORM MB99PD-CHECK-DATE-TIME
018300                                 THRU MB99PD-CDT-EXIT.
018400*
018500     MOVE MMTMIO-RECORD          TO MMTM-RECORD.
018600*
018700*
018800*
018900 A199-OF-EXIT.
019000     EXIT.
019100/
019200 A200-BUILD-VISA-NMAS SECTION.
019300 A201-BVN-BEGIN.
019400*
019500     MOVE 'R1TM'                 TO SS02WS-ABEND-LOCATION.
019600     SET MMTMRB-READ-SEQ         TO TRUE.
019700     PERFORM MB00PD-MMTM-ACCESS
019800        THRU MB00PD-MMTM-ACCESS-EXIT.
019900*
020000     IF  MMTMIO-HEADER
020100     OR  MMTMIO-TRAILER
020200         GO TO A299-BVN-EXIT
020300     END-IF.
020400*
020500     MOVE MMTMIO-RECORD          TO MMTM-RECORD.
020600*
020700     IF  MMTM-REC-INCOMPLETE
020800     OR  MMTM-REC-PURGED
020900     OR  MMTM-ADD-PENDING
021000     OR  MMTM-ACTION-CODE-MC
021100         GO TO A299-BVN-EXIT
021200     END-IF.
021300*
021400     IF  MTCC-MBU261-ORG-X IS EQUAL TO 'ALL'
021500     OR  MTCC-MBU261-ORG-X IS EQUAL TO MMTM-ORG-X
021600         CONTINUE
021700     ELSE
021800         GO TO A299-BVN-EXIT
021900     END-IF.
022000*
022100     IF  MMOC-ORG-X IS NOT EQUAL TO MMTM-ORG-X
022200         MOVE MMTM-ORG           TO MMOCIO-ORG
022300         MOVE 'R2OC'             TO SS02WS-ABEND-LOCATION
022400         SET MMOCRB-READ-RANDOM  TO TRUE
022500         PERFORM MB00PD-MMOC-ACCESS
022600            THRU MB00PD-MMOC-ACCESS-EXIT
022700         MOVE MMOCIO-RECORD      TO MMOC-RECORD
022800     END-IF.
022900*
023000     EVALUATE TRUE
023100         WHEN MMTM-DF-VISA-0
023200             PERFORM V000-NMAS-UK
023300                THRU V099-NMAS-UK-EXIT
023400         WHEN MMTM-DF-VISA-1
023500             PERFORM V100-NMAS-AUNZ
023600                THRU V199-NMAS-UK-EXIT
023700         WHEN MMTM-DF-VISA-2
023800             PERFORM V200-NMAS-REGION-2
023900                THRU V299-NMAS-R2-EXIT
024000         WHEN MMTM-DF-VISA-3
024100             PERFORM V300-NMAS-REGION-3
024200                THRU V399-NMAS-R3-EXIT
024300         WHEN MMTM-DF-VISA-4
024400             PERFORM V400-NMAS-REGION-4
024500                THRU V499-NMAS-R4-EXIT
024600         WHEN MMTM-DF-VISA-5
024700             PERFORM V500-NMAS-REGION-5
024800                THRU V599-NMAS-R5-EXIT
024900         WHEN MMTM-DF-VISA-6
025000             PERFORM V600-NMAS-REGION-6
025100                THRU V699-NMAS-R6-EXIT
025200         WHEN MMTM-DF-VISA-7
025300             PERFORM V700-NMAS-REGION-7
025400                THRU V799-NMAS-R7-EXIT
025500         WHEN MMTM-DF-VISA-8
025600             PERFORM V800-NMAS-REGION-8
025700                THRU V899-NMAS-R8-EXIT
025800         WHEN MMTM-DF-VISA-9
025900             PERFORM V900-NMAS-REGION-9
026000                THRU V999-NMAS-R9-EXIT
026100     END-EVALUATE.
026200*
026300     MOVE MMTM-ORG-MERCHANT      TO MTVN-ORG-MERCHANT.
026400     MOVE MMTM-FILE-TYPE         TO MTVN-FILE-TYPE.
026500     SET  MTVN-TC-NMAS-REC       TO TRUE.
026600     SET  MTVN-DEST-BIN-NMAS     TO TRUE.
026700     MOVE MMOC-INTCHG-BIN        TO MTVN-SOURCE-BIN.
026800     MOVE WS-U261-OP-DATE        TO MTVN-REQUEST-DATE.
026900*
026910     COMPUTE WS-U261-LOCATOR-NBR = WS-U261-LOCATOR-NBR + 1.
026920     MOVE WS-U261-LOCATOR-NBR    TO MTVN-LOCATOR-NBR.
027000     EVALUATE TRUE
027100         WHEN MMTM-ACTION-CODE-ADD
027200             SET  MTVN-ACTION-IS-ADD
027300                                 TO TRUE
027400         WHEN OTHER
027500             SET  MTVN-ACTION-IS-INQ
027600                                 TO TRUE
027700     END-EVALUATE.
027800*
027900     MOVE MMOC-COUNTRY-CODE (1)  TO MTVN-ACQ-COUNTRY-CODE.
028000*
028100     MOVE MTVN-RECORD            TO MTVNIO-RECORD.
028200*
028300     MOVE 'W1VN'                 TO SS02WS-ABEND-LOCATION.
028400     SET MTVNRB-WRITE            TO TRUE.
028500     PERFORM MB00PD-MTVN-ACCESS
028600        THRU MB00PD-MTVN-ACCESS-EXIT.
028700*
028800 A299-BVN-EXIT.
028900     EXIT.
029000/
029100 A300-CLOSE-FILES SECTION.
029200 A301-CF-BEGIN.
029300*
029400     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
029500     SET MMSCRB-CLOSE            TO TRUE.
029600     PERFORM MB00PD-MMSC-ACCESS
029700        THRU MB00PD-MMSC-ACCESS-EXIT.
029800*
029900     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
030000     SET MMOCRB-CLOSE            TO TRUE.
030100     PERFORM MB00PD-MMOC-ACCESS
030200        THRU MB00PD-MMOC-ACCESS-EXIT.
030300*
030400     MOVE 'C1TM'                 TO SS02WS-ABEND-LOCATION.
030500     SET MMTMRB-CLOSE            TO TRUE.
030600     PERFORM MB00PD-MMTM-ACCESS
030700        THRU MB00PD-MMTM-ACCESS-EXIT.
030800*
030900     MOVE 'C1VN'                 TO SS02WS-ABEND-LOCATION.
031000     SET MTVNRB-CLOSE            TO TRUE.
031100     PERFORM MB00PD-MTVN-ACCESS
031200        THRU MB00PD-MTVN-ACCESS-EXIT.
031300*
031400     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
031500     SET MTCCRB-CLOSE            TO TRUE.
031600     PERFORM MB00PD-MTCC-ACCESS
031700        THRU MB00PD-MTCC-ACCESS-EXIT.
031800*
031900 A399-CF-EXIT.
032000     EXIT.
032100/
032200 V000-NMAS-UK SECTION.
032300 V001-NMAS-UK-BEGIN.
032400*
032500     INITIALIZE MTVN-RECORD.
032600     MOVE MMTM-V-UK-MER-CAT-CODE TO MTVN-CATEGORY-CODE.
032700     MOVE MMTM-V-UK-LISTING-REASON-CODE
032800                                 TO MTVN-LISTING-REASON-CODE.
032900     MOVE MMTM-V-UK-MER-LEGAL-NAME
033000                                 TO MTVN-LEGAL-NAME.
033100     MOVE MMTM-V-UK-MER-TRADING-NAME
033200                                 TO MTVN-TRADING-NAME-DBA.
033300     MOVE MMTM-V-UK-CONTRACT-OPEN-DATE
033400                                 TO SS01WS-JULIAN.
033500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
033600                                 THRU SS26PD-NED-EXIT.
033700     MOVE SS01WS-DMY             TO MTVN-CONTRACT-OPENED-DATE.
033800     MOVE MMTM-V-UK-CONTRACT-CLOSED-DATE
033900                                 TO SS01WS-JULIAN.
034000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
034100                                 THRU SS26PD-NED-EXIT.
034200     MOVE SS01WS-DMY             TO MTVN-CONTRACT-CLOSED-DATE.
034300     MOVE MMTM-V-UK-MER-STREET-ADDR
034400                                 TO MTVN-STREET-ADDRESS.
034500     MOVE MMTM-V-UK-MER-CITY     TO MTVN-CITY-TOWN.
034600     MOVE MMTM-V-UK-MER-COUNTY   TO MTVN-AREA-COUNTY.
034700     MOVE MMTM-V-UK-LOCALITY-DISTRICT
034800                                 TO MTVN-LOCALITY-DISTRICT.
034900     MOVE MMTM-V-UK-MER-COUNTRY-CODE
035000                                 TO MTVN-COUNTRY-CODE.
035100     MOVE MMTM-V-UK-MER-POSTAL-CODE
035200                                 TO MTVN-POSTAL-CODE.
035300     MOVE MMTM-V-UK-VAT-REG-1-NBR
035400                                 TO MTVN-BUS-CO-REG-NBR-1.
035500     MOVE MMTM-V-UK-BUS-REG-2-NBR
035600                                 TO MTVN-BUS-CO-REG-NBR-2.
035700     MOVE MMTM-V-UK-TELE-NBR-1   TO MTVN-PHONE-NBR-1.
035800     MOVE MMTM-V-UK-TELE-NBR-2   TO MTVN-PHONE-NBR-2.
035900     MOVE MMTM-V-UK-TELE-NBR-3   TO MTVN-PHONE-NBR-3.
036000     MOVE MMTM-V-UK-PRIN-NAME-1  TO MTVN-PRIN-OWNER-NAME-1.
036100     MOVE MMTM-V-UK-PRIN-NAME-2  TO MTVN-PRIN-OWNER-NAME-2.
036200     MOVE MMTM-V-UK-PRIN-NAME-3  TO MTVN-PRIN-OWNER-NAME-3.
036300     MOVE SPACES                 TO MTVN-PRIN-OWNER-NID-1.
036400     MOVE SPACES                 TO MTVN-PRIN-OWNER-NID-2.
036500     MOVE SPACES                 TO MTVN-PRIN-OWNER-NID-3.
036600     MOVE MMTM-V-UK-BANK-ACCT-CODE
036700                                 TO MTVN-DDA-ACCT-1.
036800     MOVE SPACES                 TO MTVN-DDA-ACCT-2.
036900     MOVE SPACES                 TO MTVN-DDA-ACCT-3.
037000     MOVE MMTM-V-UK-BANK-SORT-CODE
037100                                 TO MTVN-BANK-SORT-CODE.
037200*
037300 V099-NMAS-UK-EXIT.
037400     EXIT.
037500/
037600 V100-NMAS-AUNZ SECTION.
037700 V101-NMAS-UK-BEGIN.
037800*
037900     INITIALIZE MTVN-RECORD.
038000     MOVE MMTM-VANZ-MER-CAT-CODE TO MTVN-CATEGORY-CODE.
038100     MOVE MMTM-VANZ-LISTING-REASON-CODE
038200                                 TO MTVN-LISTING-REASON-CODE.
038300     MOVE MMTM-VANZ-MER-LEGAL-NAME
038400                                 TO MTVN-LEGAL-NAME.
038500     MOVE MMTM-VANZ-MER-TRADING-NAME
038600                                 TO MTVN-TRADING-NAME-DBA.
038700     MOVE MMTM-VANZ-CONTRACT-OPEN-DATE
038800                                 TO SS01WS-JULIAN.
038900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
039000                                 THRU SS26PD-NED-EXIT.
039100     MOVE SS01WS-DMY             TO MTVN-CONTRACT-OPENED-DATE.
039200     MOVE MMTM-VANZ-CONTRACT-CLOSED-DATE
039300                                 TO SS01WS-JULIAN.
039400     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
039500                                 THRU SS26PD-NED-EXIT.
039600     MOVE SS01WS-DMY             TO MTVN-CONTRACT-CLOSED-DATE.
039700     MOVE MMTM-VANZ-MER-STREET-ADDR
039800                                 TO MTVN-STREET-ADDRESS.
039900     MOVE MMTM-VANZ-MER-CITY     TO MTVN-CITY-TOWN.
040000     MOVE MMTM-VANZ-MER-AREA     TO MTVN-AREA-COUNTY.
040100     MOVE SPACES                 TO MTVN-LOCALITY-DISTRICT.
040200     MOVE MMTM-VANZ-MER-COUNTRY-CODE
040300                                 TO MTVN-COUNTRY-CODE.
040400     MOVE MMTM-VANZ-MER-POSTAL-CODE
040500                                 TO MTVN-POSTAL-CODE.
040600     MOVE MMTM-VANZ-BUS-REG-NBR  TO MTVN-BUS-CO-REG-NBR-1.
040700     MOVE SPACES                 TO MTVN-BUS-CO-REG-NBR-2.
040800     MOVE MMTM-VANZ-TELE-NBR-1   TO MTVN-PHONE-NBR-1.
040900     MOVE MMTM-VANZ-TELE-NBR-2   TO MTVN-PHONE-NBR-2.
041000     MOVE MMTM-VANZ-TELE-NBR-3   TO MTVN-PHONE-NBR-3.
041100     MOVE MMTM-VANZ-PRIN-NAME-1  TO MTVN-PRIN-OWNER-NAME-1.
041200     MOVE MMTM-VANZ-PRIN-NAME-2  TO MTVN-PRIN-OWNER-NAME-2.
041300     MOVE MMTM-VANZ-PRIN-NAME-3  TO MTVN-PRIN-OWNER-NAME-3.
041400     MOVE MMTM-VANZ-NATIONAL-ID-1
041500                                 TO MTVN-PRIN-OWNER-NID-1.
041600     MOVE MMTM-VANZ-NATIONAL-ID-2
041700                                 TO MTVN-PRIN-OWNER-NID-2.
041800     MOVE MMTM-VANZ-NATIONAL-ID-3
041900                                 TO MTVN-PRIN-OWNER-NID-3.
042000     MOVE MMTM-VANZ-DDA-ACCT-1   TO MTVN-DDA-ACCT-1.
042100     MOVE MMTM-VANZ-DDA-ACCT-2   TO MTVN-DDA-ACCT-2.
042200     MOVE MMTM-VANZ-DDA-ACCT-3   TO MTVN-DDA-ACCT-3.
042300     MOVE SPACES                 TO MTVN-BANK-SORT-CODE.
042400*
042500 V199-NMAS-UK-EXIT.
042600     EXIT.
042700/
042800 V200-NMAS-REGION-2 SECTION.
042900 V201-NMAS-R2-BEGIN.
043000*
043100*     THIS AREA IS FOR DE,ID,IN,IT,LK AND PK                      EH800900
043200*          COUNTRY CODES                                          EH800900
043210*                                                                 EH800900
043300     INITIALIZE MTVN-RECORD.
043400*
043500     MOVE MMTM-V-MER-CAT-CODE    TO MTVN-CATEGORY-CODE.           EH800900
043600     MOVE MMTM-V-LISTING-REASON-CODE                              EH800900
043700                                 TO MTVN-LISTING-REASON-CODE.     EH800900
043800     MOVE MMTM-V-MER-LEGAL-NAME  TO MTVN-LEGAL-NAME.              EH800900
043900     MOVE MMTM-V-MER-TRADING-NAME                                 EH800900
044000                                 TO MTVN-TRADING-NAME-DBA.        EH800900
044100     MOVE MMTM-V-CONTRACT-OPEN-DATE                               EH800900
044200                                 TO SS01WS-JULIAN.                EH800900
044300     PERFORM SS08PD-JUL-TO-GREG                                   EH800900
044400        THRU SS08PD-JTG-EXIT.                                     EH800900
044500     MOVE SS01WS-DMY             TO MTVN-CONTRACT-OPENED-DATE.    EH800900
044600*                                                                 EH800900
044700     MOVE MMTM-V-CONTRACT-CLOSED-DATE                             EH800900
044800                                 TO SS01WS-JULIAN.                EH800900
044900     PERFORM SS08PD-JUL-TO-GREG                                   EH800900
045000        THRU SS08PD-JTG-EXIT.                                     EH800900
045100     MOVE SS01WS-DMY             TO MTVN-CONTRACT-CLOSED-DATE.    EH800900
045200*                                                                 EH800900
045300     MOVE MMTM-V-MER-STREET-ADDR                                  EH800900
045400                                 TO MTVN-STREET-ADDRESS.          EH800900
045500     MOVE MMTM-V-MER-CITY        TO MTVN-CITY-TOWN.               EH800900
045600     MOVE MMTM-V-MER-COUNTY      TO MTVN-AREA-COUNTY.             EH800900
045700     MOVE MMTM-V-LOCALITY-DISTRICT                                EH800900
045800                                 TO MTVN-LOCALITY-DISTRICT.       EH800900
045900     MOVE MMTM-V-MER-COUNTRY-CODE                                 EH800900
046000                                 TO MTVN-COUNTRY-CODE.            EH800900
046100     MOVE MMTM-V-MER-POSTAL-CODE TO MTVN-POSTAL-CODE.             EH800900
046200     MOVE MMTM-V-BUS-REG-1-NBR   TO MTVN-BUS-CO-REG-NBR-1.        EH800900
046300     MOVE MMTM-V-BUS-REG-2-NBR   TO MTVN-BUS-CO-REG-NBR-2.        EH800900
046400     MOVE MMTM-V-TELE-NBR-1      TO MTVN-PHONE-NBR-1.             EH800900
046500     MOVE MMTM-V-TELE-NBR-2      TO MTVN-PHONE-NBR-2.             EH800900
046600     MOVE MMTM-V-TELE-NBR-3      TO MTVN-PHONE-NBR-3.             EH800900
046700     MOVE MMTM-V-PRIN-NAME-1     TO MTVN-PRIN-OWNER-NAME-1.       EH800900
046800     MOVE MMTM-V-PRIN-NAME-2     TO MTVN-PRIN-OWNER-NAME-2.       EH800900
046900     MOVE MMTM-V-PRIN-NAME-3     TO MTVN-PRIN-OWNER-NAME-3.       EH800900
047000     MOVE MMTM-V-NATIONAL-ID-1   TO MTVN-PRIN-OWNER-NID-1.        EH800900
047010     MOVE MMTM-V-NATIONAL-ID-2   TO MTVN-PRIN-OWNER-NID-2.        EH800900
047020     MOVE MMTM-V-NATIONAL-ID-3   TO MTVN-PRIN-OWNER-NID-3.        EH800900
047030     MOVE MMTM-V-DDA-ACCT-1      TO MTVN-DDA-ACCT-1.              EH800900
047040     MOVE MMTM-V-DDA-ACCT-2      TO MTVN-DDA-ACCT-2.              EH800900
047050     MOVE MMTM-V-DDA-ACCT-3      TO MTVN-DDA-ACCT-3.              EH800900
047060     MOVE MMTM-V-BANK-SORT-CODE  TO MTVN-BANK-SORT-CODE.          EH800900
047070     MOVE MMTM-V-CAB-BRANCH-NBR  TO MTVN-BRANCH-NBR.              EH800900
047100*
047200 V299-NMAS-R2-EXIT.
047300     EXIT.
047400/
047500 V300-NMAS-REGION-3 SECTION.
047600 V301-NMAS-R3-BEGIN.
047700*
047800*     THIS AREA RESERVED FOR FUTURE USE.
047900*
048000     INITIALIZE MTVN-RECORD.
048100*
048200*
048300*
048400*
048500*
048600*
048700*
048800*
048900*
049000*
049100*
049200*
049300*
049400*
049500*
049600*
049700*
049800*
049900*
050000*
050100*
050200*
050300*
050400*
050500*
050600*
050700*
050800*
050900*
051000*
051100*
051200*
051300*
051400*
051500*
051600*
051700*
051800*
051900 V399-NMAS-R3-EXIT.
052000     EXIT.
052100/
052200 V400-NMAS-REGION-4 SECTION.
052300 V401-NMAS-R4-BEGIN.
052400*
052500*     THIS AREA RESERVED FOR FUTURE USE.
052600*
052700     INITIALIZE MTVN-RECORD.
052800*
052900*
053000*
053100*
053200*
053300*
053400*
053500*
053600*
053700*
053800*
053900*
054000*
054100*
054200*
054300*
054400*
054500*
054600*
054700*
054800*
054900*
055000*
055100*
055200*
055300*
055400*
055500*
055600*
055700*
055800*
055900*
056000*
056100*
056200*
056300*
056400*
056500*
056600 V499-NMAS-R4-EXIT.
056700     EXIT.
056800/
056900 V500-NMAS-REGION-5 SECTION.
057000 V501-NMAS-R5-BEGIN.
057100*
057200*     THIS AREA RESERVED FOR FUTURE USE.
057300*
057400     INITIALIZE MTVN-RECORD.
057500*
057600*
057700*
057800*
057900*
058000*
058100*
058200*
058300*
058400*
058500*
058600*
058700*
058800*
058900*
059000*
059100*
059200*
059300*
059400*
059500*
059600*
059700*
059800*
059900*
060000*
060100*
060200*
060300*
060400*
060500*
060600*
060700*
060800*
060900*
061000*
061100*
061200*
061300 V599-NMAS-R5-EXIT.
061400     EXIT.
061500/
061600 V600-NMAS-REGION-6 SECTION.
061700 V601-NMAS-R6-BEGIN.
061800*
061900*     THIS AREA RESERVED FOR FUTURE USE.
062000*
062100     INITIALIZE MTVN-RECORD.
062200*
062300*
062400*
062500*
062600*
062700*
062800*
062900*
063000*
063100*
063200*
063300*
063400*
063500*
063600*
063700*
063800*
063900*
064000*
064100*
064200*
064300*
064400*
064500*
064600*
064700*
064800*
064900*
065000*
065100*
065200*
065300*
065400*
065500*
065600*
065700*
065800*
065900*
066000 V699-NMAS-R6-EXIT.
066100     EXIT.
066200/
066300 V700-NMAS-REGION-7 SECTION.
066400 V701-NMAS-R7-BEGIN.
066500*
066600*     THIS AREA RESERVED FOR FUTURE USE.
066700*
066800     INITIALIZE MTVN-RECORD.
066900*
067000*
067100*
067200*
067300*
067400*
067500*
067600*
067700*
067800*
067900*
068000*
068100*
068200*
068300*
068400*
068500*
068600*
068700*
068800*
068900*
069000*
069100*
069200*
069300*
069400*
069500*
069600*
069700*
069800*
069900*
070000*
070100*
070200*
070300*
070400*
070500*
070600*
070700 V799-NMAS-R7-EXIT.
070800     EXIT.
070900/
071000 V800-NMAS-REGION-8 SECTION.
071100 V801-NMAS-R8-BEGIN.
071200*
071300*     THIS AREA RESERVED FOR FUTURE USE.
071400*
071500     INITIALIZE MTVN-RECORD.
071600*
071700*
071800*
071900*
072000*
072100*
072200*
072300*
072400*
072500*
072600*
072700*
072800*
072900*
073000*
073100*
073200*
073300*
073400*
073500*
073600*
073700*
073800*
073900*
074000*
074100*
074200*
074300*
074400*
074500*
074600*
074700*
074800*
074900*
075000*
075100*
075200*
075300*
075400 V899-NMAS-R8-EXIT.
075500     EXIT.
075600/
075700 V900-NMAS-REGION-9 SECTION.
075800 V901-NMAS-R9-BEGIN.
075900*
076000*     THIS AREA RESERVED FOR FUTURE USE.
076100*
076200     INITIALIZE MTVN-RECORD.
076300*
076400*
076500*
076600*
076700*
076800*
076900*
077000*
077100*
077200*
077300*
077400*
077500*
077600*
077700*
077800*
077900*
078000*
078100*
078200*
078300*
078400*
078500*
078600*
078700*
078800*
078900*
079000*
079100*
079200*
079300*
079400*
079500*
079600*
079700*
079800*
079900*
080000*
080100 V999-NMAS-R9-EXIT.
080200     EXIT.
080300/
080400 Z000-PROCESS-CONTROL-CARD SECTION.
080500 Z001-PCC-BEGIN.
080600*
080700     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
080800     SET MTCCRB-READ-SEQ         TO TRUE.
080900     PERFORM MB00PD-MTCC-ACCESS
081000        THRU MB00PD-MTCC-ACCESS-EXIT.
081100*
081200     IF  SS02WS-FS-END-OF-FILE
081300         MOVE 'ALL'              TO MTCCIO-RECORD
081400         MOVE MTCCIO-RECORD      TO MTCC-RECORD
081500         GO TO Z099-PCC-EXIT.
081600*
081700     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO SS02WS-ABEND-PROG-ID
081800         GO TO Z001-PCC-BEGIN.
081900*
082000     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
082100*
082200     IF  MTCC-MBU261-ORG-X IS EQUAL TO 'ALL'
082300     OR
082400        (MTCC-MBU261-ORG IS NUMERIC
082500     AND MTCC-MBU261-ORG-X IS GREATER THAN ZERO
082600     AND MTCC-MBU261-ORG-X IS LESS THAN '999')
082700         CONTINUE
082800     ELSE
082900         MOVE 26101              TO SS02WS-ABEND-CODE
083000         MOVE 'INVALID ORG NUMBER'
083100                                 TO SS02WS-ABENDMSG8
083200         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT
083300     END-IF.
083400*
083500 Z099-PCC-EXIT.
083600     EXIT.
083700/
083800 9000-PERFORMED-ROUTINES-SECT SECTION.
083900*
084000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
084100/
084200     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
084300/
084400     COPY MB00PD REPLACING ==:MB00:== BY ==MMTM==.
084500/
084600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
084700/
084800     COPY MB00PD REPLACING ==:MB00:== BY ==MTVN==.
084900/
085000     COPY MB99PD.
085100/
085200     COPY SS02PD.
085300/
085400     COPY SS07PD.
085500/
085600     COPY SS08PD.
085700/
085800     COPY SS16PD.
085900/
086000     COPY SS26PD.
086100/
086200     COPY SS27PD.
086300*
086400 9995-END-SOURCE-STATEMENTS SECTION.
086500 9999-END-OF-PROGRAM.
086600     STOP RUN.
