000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU380.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU380 - MERCHANT MANAGEMENT REPORT                     *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700     COPY MS1SES.
001800*
001900     COPY MS2SES.
002000*
002100     COPY MS3SES.
002200/
002300 DATA DIVISION.
002400 FILE SECTION.
002500     COPY MS1SSD.
002600     COPY MMPARL REPLACING ==:MMPA:== BY ==MWPA==.
002700/
002800     COPY MS2SSD.
002900     COPY MMPARL REPLACING ==:MMPA:== BY ==MWOI==.
003000/
003100     COPY MS3SSD.
003200     COPY MMPARL REPLACING ==:MMPA:== BY ==MWCP==.
003300/
003400 WORKING-STORAGE SECTION.
003500*
003600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003700/
003800 01  WS-MBU380-WORK-AREAS.
003900     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU380'.
004000     03  WS-SORT-ORG         PIC  9(03)      VALUE ZERO.
004100     03  WS-KEY-TYPE         PIC  9(01)      VALUE ZERO.
004200     03  WS-PREV-PROD        PIC  9(02)      VALUE ZERO.
004300     03  WS-CTA              PIC  9(03)      VALUE ZERO.
004400     03  WS-PREV-PLAN        PIC  9(05)      VALUE ZERO.
004500     03  WS-U380-RPT-REC-TYPE
004600                             PIC  9(01)      VALUE ZERO.
004700     03  WS-U380-QL-DISPLAY-X.
004800         05  WS-U380-QL-DISPLAY
004900                             PIC  9(02)      VALUE ZERO.
005000     03  WS-U380-CP-DISPLAY-X.
005100         05  WS-U380-CP-DISPLAY
005200                             PIC  9(05)      VALUE ZERO.
005300     03  WS-RPT-PROCESSING-SW
005400                             PIC  X(01)      VALUE 'Y'.
005500         88  WS-RPT-PROCESS                  VALUE 'Y'.
005600         88  WS-NO-RPT-PROCESS               VALUE 'N'.
005700     03  WS-1ST-TIME-CP-TOT-SW
005800                             PIC  X(01)      VALUE 'Y'.
005900         88  WS-1ST-TIME-CP-TOT-ON           VALUE 'Y'.
006000         88  WS-1ST-TIME-CP-TOT-OFF          VALUE 'N'.
006100     03  WS-1ST-TIME-CP-HD-SW
006200                             PIC  X(01)      VALUE 'Y'.
006300         88  WS-1ST-TIME-CP-HD-ON            VALUE 'Y'.
006400         88  WS-1ST-TIME-CP-HD-OFF           VALUE 'N'.
006500     03  WS-1ST-TIME-CP-PROD-HD-SW
006600                             PIC  X(01)      VALUE 'Y'.
006700         88  WS-1ST-TIME-CP-PROD-HD-ON       VALUE 'Y'.
006800         88  WS-1ST-TIME-CP-PROD-HD-OFF      VALUE 'N'.
006900/
007000 01  WS-PROD-TOTALS-AREA.
007100     03  WS-PTA-TABLE                        OCCURS 101 TIMES
007200                                             INDEXED BY
007300                                             X-WS-PTA.
007400         05  WS-PTA-ACTIVITY-SW
007500                             PIC  X(01).
007600             88  WS-PTA-NO-ACTIVITY          VALUE 'N' SPACE.
007700             88  WS-PTA-ACTIVITY             VALUE 'Y'.
007800         05  WS-PTA-NBR-AMT                  OCCURS 3 TIMES
007900                                             INDEXED BY
008000                                             X-PTA-NBR-AMT.
008100             07 WS-PTA-SALE-NBR
008200                             PIC S9(11)      COMP-3.
008300             07 WS-PTA-SALE-AMT
008400                             PIC S9(17)      COMP-3.
008500             07 WS-PTA-RETURN-NBR
008600                             PIC S9(11)      COMP-3.
008700             07 WS-PTA-RETURN-AMT
008800                             PIC S9(17)      COMP-3.
008900             07 WS-PTA-TOTAL-INCOME
009000                             PIC S9(17)      COMP-3.
009100/
009200 01  WS-QL-TOTALS-AREA.
009300     03  WS-QTA-TABLE                        OCCURS 101 TIMES
009400                                             INDEXED BY
009500                                             X-WS-QTA.
009600         05  WS-QTA-PROD-ACTIVITY-SW
009700                             PIC  X(01).
009800             88  WS-QTA-PROD-NO-ACTIVITY     VALUE 'N' SPACE.
009900             88  WS-QTA-PROD-ACTIVITY        VALUE 'Y'.
010000*
010100         05  WS-QTA-QL-TABLE                 OCCURS 99 TIMES
010200                                             INDEXED BY
010300                                             X-WS-QTA-QL.
010400             07  WS-QTA-ACTIVITY-SW
010500                             PIC  X(01).
010600                 88  WS-QTA-NO-ACTIVITY      VALUE 'N' SPACE.
010700                 88  WS-QTA-ACTIVITY         VALUE 'Y'.
010800             07  WS-QTA-NBR-AMT              OCCURS 3 TIMES
010900                                             INDEXED BY
011000                                             X-QTA-NBR-AMT.
011100                 09 WS-QTA-SALE-NBR
011200                             PIC S9(11)      COMP-3.
011300                 09 WS-QTA-SALE-AMT
011400                             PIC S9(17)      COMP-3.
011500                 09 WS-QTA-RETURN-NBR
011600                             PIC S9(11)      COMP-3.
011700                 09 WS-QTA-RETURN-AMT
011800                             PIC S9(17)      COMP-3.
011900/
012000 01  WS-CP-TOTALS-AREA.
012100     03  WS-CTA-NBR-AMT                      OCCURS 3 TIMES
012200                                             INDEXED BY
012300                                             X-CTA-NBR-AMT.
012400         05 WS-CTA-SALE-NBR  PIC S9(11)      COMP-3.
012500         05 WS-CTA-SALE-AMT  PIC S9(17)      COMP-3.
012600         05 WS-CTA-RETURN-NBR
012700                             PIC S9(11)      COMP-3.
012800         05 WS-CTA-RETURN-AMT
012900                             PIC S9(17)      COMP-3.
013000/
013100 01  WS-HIST-TOTALS-AREA.
013200     03  WS-HTA-TABLE                        OCCURS 12 TIMES
013300                                             INDEXED BY
013400                                             X-WS-HTA.
013500         05  WS-HTA-SALE-NBR
013600                             PIC S9(11)      COMP-3.
013700         05  WS-HTA-SALE-AMT
013800                             PIC S9(17)      COMP-3.
013900         05  WS-HTA-RETURN-NBR
014000                             PIC S9(11)      COMP-3.
014100         05  WS-HTA-RETURN-AMT
014200                             PIC S9(17)      COMP-3.
014300         05  WS-HTA-REC-ADJ-NBR
014400                             PIC S9(11)      COMP-3.
014500         05  WS-HTA-REC-ADJ-AMT
014600                             PIC S9(17)      COMP-3.
014700         05  WS-HTA-ADJ-NBR
014800                             PIC S9(11)      COMP-3.
014900         05  WS-HTA-ADJ-AMT
015000                             PIC S9(17)      COMP-3.
015100         05  WS-HTA-TOTAL-INCOME
015200                             PIC S9(17)      COMP-3.
015300/
015400*
015500 01  WS-U380-TABLE.
015600     03  WS-U380-ORG-RANGES-TABLE-X.
015700         05  WS-U380-ORG-RANGES-TABLE        OCCURS 999 TIMES
015800                                             INDEXED BY
015900                                             X-WS-U380-ORT.
016000             07  WS-U380-ORT-BEG-ORG-MERCHANT.
016100                 88  WS-U380-ORT-END-OF-TABLE
016200                                             VALUE '999999999999'.
016300                 09  WS-U380-ORT-BEG-ORG-X.
016400                     11  WS-U380-ORT-BEG-ORG
016500                             PIC  9(03)      VALUE 999.
016600                 09  WS-U380-ORT-BEG-MERCH-X.
016700                     11  WS-U380-ORT-BEG-MERCH
016800                             PIC  9(09)      VALUE 999999999.
016900             07  WS-U380-ORT-END-ORG-MERCHANT.
017000                 09  WS-U380-ORT-END-ORG-X.
017100                     11  WS-U380-ORT-END-ORG
017200                             PIC  9(03)      VALUE 999.
017300                 09  WS-U380-ORT-BEG-MERCH-X.
017400                     11  WS-U380-ORT-END-MERCH
017500                             PIC  9(09)      VALUE 999999999.
017600/
017700     COPY MMSCIO.
017800/
017900     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
018000/
018100     COPY MMSCRL.
018200/
018300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTC1==.
018400/
018500     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
018600/
018700     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
018800/
018900     COPY MMOCIO.
019000/
019100     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
019200/
019300     COPY MMOCRL.
019400/
019500     COPY MMMMIO.
019600/
019700     COPY MMMMIR.
019800/
019900     COPY MB00RB REPLACING ==:MB00:== BY ==MMMM==.
020000/
020100     COPY MMMMRL.
020200/
020300     COPY MMMMWS.
020400/
020500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMCP==.
020600/
020700     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMCP==.
020800/
020900     COPY MB00RB REPLACING ==:MB00:== BY ==MMCP==.
021000/
021100     COPY MMPARL REPLACING ==:MMPA:== BY ==MMCP==.
021200/
021300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMOI==.
021400/
021500     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMOI==.
021600/
021700     COPY MB00RB REPLACING ==:MB00:== BY ==MMOI==.
021800/
021900     COPY MMPARL REPLACING ==:MMPA:== BY ==MMOI==.
022000/
022100     COPY MMPARL REPLACING ==:MMPA:== BY ==MTCP==.
022200/
022300     COPY MMPARL REPLACING ==:MMPA:== BY ==MTOI==.
022400/
022500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MMPA==.
022600/
022700     COPY MMPAIR REPLACING ==:MMPA:== BY ==MMPA==.
022800/
022900     COPY MB00RB REPLACING ==:MB00:== BY ==MMPA==.
023000/
023100     COPY MMPARL REPLACING ==:MMPA:== BY ==MMPA==.
023200/
023300     COPY MMPARL REPLACING ==:MMPA:== BY ==MTPA==.
023400/
023500     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
023600/
023700     COPY MTRFRL REPLACING ==:MTRF:== BY ==MTRF==.
023800/
023900     COPY MTRFIO REPLACING ==:MTRF:== BY ==MTRF==.
024000/
024100     COPY MB00RB REPLACING ==:MB00:== BY ==MTRF==.
024200/
024300     COPY MTRFWS REPLACING ==:MTRF:== BY ==MTRF==.
024400/
024500     COPY MMPAIO REPLACING ==:MMPA:== BY ==MWCP==.
024600/
024700     COPY MB00RB REPLACING ==:MB00:== BY ==MWCP==.
024800/
024900     COPY MMPAIO REPLACING ==:MMPA:== BY ==MWOI==.
025000/
025100     COPY MB00RB REPLACING ==:MB00:== BY ==MWOI==.
025200/
025300     COPY MMPAIO REPLACING ==:MMPA:== BY ==MWPA==.
025400/
025500     COPY MB00RB REPLACING ==:MB00:== BY ==MWPA==.
025600/
025700     COPY MMTCWS.
025800/
025900     COPY MB00WS.
026000/
026100     COPY MB80WS.
026200/
026300     COPY MB99WS.
026400/
026500     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
026600/
026700     COPY MB00RB REPLACING ==:MB00:== BY ==MS2S==.
026800/
026900     COPY MB00RB REPLACING ==:MB00:== BY ==MS3S==.
027000/
027100     COPY SS00WS.
027200/
027300     COPY SS01WS.
027400/
027500     COPY SS02WS.
027600/
027700 PROCEDURE DIVISION.
027800 A000-MAIN-LINE-SECT SECTION.
027900 A010-ML-BEGIN.
028000*
028100     MOVE 'MBU380'               TO SS02WS-ABEND-PROG-ID.
028200*
028300     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
028400     MOVE SPACES                 TO MTC1-RECORD.
028500*
028600     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
028700     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
028800     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
028900*
029000     SET MMSCRB-OPEN-INPUT       TO TRUE.
029100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
029200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
029300*
029400     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
029500     SET MMSCRB-READ-SEQ         TO TRUE.
029600     PERFORM MB00PD-MMSC-ACCESS
029700        THRU MB00PD-MMSC-ACCESS-EXIT.
029800*
029900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
030000*
030100     IF  MMSCIO-HEADER
030200         NEXT SENTENCE
030300     ELSE
030400         PERFORM MB99PD-MISSING-HEADER-ABEND
030500            THRU MB99PD-MHA-EXIT.
030600*
030700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
030800*
030900     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
031000     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
031100*
031200     PERFORM A200-GET-CC-OPTIONS
031300        THRU A299-GCCO-EXIT.
031400*
031500     IF  WS-RPT-PROCESS
031600         PERFORM A300-GET-CC-RANGES
031700            THRU A399-GCCR-EXIT
031800         PERFORM A500-BUILD-REPORT
031900            THRU A599-BR-EXIT.
032000*
032100     SET MMOCRB-CLOSE            TO TRUE.
032200     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
032300     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
032400*
032500     SET MMSCRB-CLOSE            TO TRUE.
032600     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
032700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
032800*
032900     STOP RUN.
033000*
033100 A099-MLS-EXIT.
033200     EXIT.
033300*
033400/
033500 A200-GET-CC-OPTIONS SECTION.
033600 A201-GCCO-BEGIN.
033700*
033800     SET MTCCRB-OPEN-INPUT       TO TRUE.
033900     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
034000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
034100*
034200 A210-GCCO-READ-MTCC.
034300*
034400     SET MTCCRB-READ-SEQ         TO TRUE.
034500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
034600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
034700*
034800     IF  SS02WS-FS-END-OF-FILE
034900         GO TO A290-GCCO-CLOSE-FILE.
035000*
035100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
035200         GO TO A210-GCCO-READ-MTCC.
035300*
035400     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
035500*
035600     PERFORM
035700         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
035800         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
035900         IF  MTCC-MBU380-HIST-PERIOD (X-MTCC-MBU380-HIST)
036000                                 IS NOT NUMERIC
036100         OR  NOT MTCC-MBU380-VALID-HIST (X-MTCC-MBU380-HIST)
036200             EVALUATE TRUE
036300                 WHEN X-MTCC-MBU380-HIST IS EQUAL TO 1
036400                     MOVE 16     TO MTCC-MBU380-HIST-PERIOD
036500                                    (X-MTCC-MBU380-HIST)
036600                 WHEN X-MTCC-MBU380-HIST IS EQUAL TO 2
036700                     MOVE 14     TO MTCC-MBU380-HIST-PERIOD
036800                                    (X-MTCC-MBU380-HIST)
036900                 WHEN X-MTCC-MBU380-HIST IS EQUAL TO 3
037000                     MOVE 15     TO MTCC-MBU380-HIST-PERIOD
037100                                    (X-MTCC-MBU380-HIST)
037200             END-EVALUATE
037300         END-IF
037400     END-PERFORM.
037500*
037600     IF  NOT MTCC-MBU380-VALID-PROD
037700         SET MTCC-MBU380-PROD-DET
037800                                 TO TRUE.
037900*
038000     IF  NOT MTCC-MBU380-VALID-QUAL
038100         SET MTCC-MBU380-QUAL-DET
038200                                 TO TRUE.
038300*
038400     IF  NOT MTCC-MBU380-VALID-PLAN
038500         SET MTCC-MBU380-PLAN-DET
038600                                 TO TRUE.
038700*
038800     IF  NOT MTCC-MBU380-VALID-HIST-SEC
038900         SET MTCC-MBU380-HIST-YES
039000                                 TO TRUE.
039100*
039200     IF  MTCC-MBU380-FREQ IS NUMERIC
039300     AND
039400        (MTCC-MBU380-ON-REQUEST
039500     OR  MTCC-MBU380-WEEKLY
039600     OR  MTCC-MBU380-MONTHLY)
039700         NEXT SENTENCE
039800     ELSE
039900         MOVE 99                 TO MTCC-MBU380-FREQ.
040000*
040100     IF (MTCC-MBU380-DETAIL-OPTION
040200     OR  MTCC-MBU380-ORG-OPTION
040300     OR  MTCC-MBU380-SYSTEM-OPTION)
040400     AND
040500        (MTCC-MBU380-ON-REQUEST
040600     OR  MTCC-MBU380-WEEKLY
040700     OR  MTCC-MBU380-MONTHLY)
040800         MOVE MTCCIO-RECORD      TO MTC1-RECORD
040900     ELSE
041000         GO TO A210-GCCO-READ-MTCC.
041100*
041200 A290-GCCO-CLOSE-FILE.
041300*
041400     IF  MTC1-RECORD IS EQUAL TO SPACES
041500         MOVE 'MD99'             TO MTCC-RECORD
041600         MOVE WS-PROG-ID         TO MTCC-PROGRAM-ID
041700         MOVE MTCC-RECORD        TO MTC1-RECORD.
041800*
041900     MOVE MTCC-RECORD            TO MTC1-RECORD.
042000*
042100     SET MTCCRB-CLOSE            TO TRUE.
042200     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042400*
042500     MOVE MTC1-RECORD            TO MTCC-RECORD.
042600*****************************************************************
042700*    CHECK CONTROL CARD FOR REPORT FREQUENCY. VALID ENTRIES:
042800*        ... 99 RUN REPORT (DEFAULT WHEN NONE OF THE FOLLOWING)
042900*        ... 1-31 DAY OF THE MONTH
043000*                DAY SELECTED IS GREATER THAN OR EQUAL TO THE
043100*                SYSTEM CONTROL TODAYS JULIAN AND LESS THAN
043200*                THE SYSTEM CONTROL NEXT PROCESSING DATE
043300*        ... 41-47 DAY OF THE WEEK
043400*                DAY SELECTED IS INDICATED BY THE LAST DIGIT
043500*                (1-7) WITH 1 BEING SUNDAY. IT IS COMPARED TO
043600*                THE SYSTEM CONTROL TODAYS JULIAN DAY.
043700*****************************************************************
043800*
043900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
044000*
044100     EVALUATE TRUE
044200         WHEN MTCC-MBU380-ON-REQUEST
044300              CONTINUE
044400         WHEN MTCC-MBU380-WEEKLY
044500              PERFORM SS06PD-DAY-OF-WEEK
044600                                 THRU SS06PD-DOW-EXIT
044700              COMPUTE SS01WS-DOW
044800                                 = SS01WS-DOW + 1
044900              EVALUATE TRUE
045000                  WHEN SS01WS-DOW IS NOT EQUAL TO
045100                                 MTCC-MBU380-FREQ-DOW
045200                      SET WS-NO-RPT-PROCESS
045300                                 TO TRUE
045400              END-EVALUATE
045500         WHEN OTHER
045600              MOVE ZERO          TO SS01WS-FREQ
045700              MOVE 'M'           TO SS01WS-PERIOD
045800              MOVE MTCC-MBU380-FREQ
045900                                 TO SS01WS-DAY-OF-MON
046000              PERFORM SS03PD-FUTURE-DATE
046100                                 THRU SS03PD-FD-EXIT
046200              EVALUATE TRUE
046300                  WHEN SS01WS-JULIAN IS LESS THAN
046400                                 MMSC-TODAYS-JULIAN
046500                  WHEN SS01WS-JULIAN IS NOT LESS THAN
046600                                 MMSC-DATE-NEXT-PROC
046700                       SET WS-NO-RPT-PROCESS
046800                                 TO TRUE
046900              END-EVALUATE
047000     END-EVALUATE.
047100*
047200 A299-GCCO-EXIT.
047300     EXIT.
047400/
047500 A300-GET-CC-RANGES SECTION.
047600 A301-GCCR-BEGIN.
047700*
047800     SET X-WS-U380-ORT           TO 1.
047900     MOVE ZERO                   TO WS-U380-ORT-BEG-ORG (1).
048000     MOVE ZERO                   TO WS-U380-ORT-BEG-MERCH (1).
048100*
048200     SET MTCCRB-OPEN-INPUT       TO TRUE.
048300     MOVE 'O2CC'                 TO SS02WS-ABEND-LOCATION.
048400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
048500*
048600 A310-GCCR-READ-MTCC.
048700*
048800     SET MTCCRB-READ-SEQ         TO TRUE.
048900     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
049000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
049100*
049200     IF  SS02WS-FS-END-OF-FILE
049300         GO TO A390-GCCR-CLOSE-FILE.
049400*
049500     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
049600         GO TO A310-GCCR-READ-MTCC.
049700*
049800     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
049900*
050000     IF  MTCC-MBU380-DETAIL-OPTION
050100     OR  MTCC-MBU380-ORG-OPTION
050200     OR  MTCC-MBU380-SYSTEM-OPTION
050300         GO TO A310-GCCR-READ-MTCC.
050400*
050500     IF  MTCC-MBU380-END-ORG-X   IS EQUAL TO SPACES
050600     AND MTCC-MBU380-END-MERCH-X IS EQUAL TO SPACES
050700         MOVE MTCC-MBU380-BEG-ORG-X
050800                                 TO MTCC-MBU380-END-ORG-X
050900         MOVE MTCC-MBU380-BEG-MERCH-X
051000                                 TO MTCC-MBU380-END-MERCH-X.
051100*
051200     IF  MTCC-MBU380-BEG-ORG   IS NUMERIC
051300     AND MTCC-MBU380-BEG-MERCH IS NUMERIC
051400     AND MTCC-MBU380-END-ORG   IS NUMERIC
051500     AND MTCC-MBU380-END-MERCH IS NUMERIC
051600         NEXT SENTENCE
051700     ELSE
051800         DISPLAY MTCC-RECORD ' INVALID CONTROL CARD'
051900         GO TO A310-GCCR-READ-MTCC.
052000*
052100     MOVE MTCC-MBU380-BEG-ORG    TO WS-U380-ORT-BEG-ORG
052200                                    (X-WS-U380-ORT).
052300     MOVE MTCC-MBU380-BEG-MERCH  TO WS-U380-ORT-BEG-MERCH
052400                                    (X-WS-U380-ORT).
052500     MOVE MTCC-MBU380-END-ORG    TO WS-U380-ORT-END-ORG
052600                                    (X-WS-U380-ORT).
052700     MOVE MTCC-MBU380-END-MERCH  TO WS-U380-ORT-END-MERCH
052800                                    (X-WS-U380-ORT).
052900     SET X-WS-U380-ORT           UP BY 1.
053000     GO TO A310-GCCR-READ-MTCC.
053100*
053200 A390-GCCR-CLOSE-FILE.
053300*
053400     SET MTCCRB-CLOSE            TO TRUE.
053500     MOVE 'C2CC'                 TO SS02WS-ABEND-LOCATION.
053600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
053700*
053800 A399-GCCR-EXIT.
053900     EXIT.
054000/
054100 A500-BUILD-REPORT SECTION.
054200 A501-BR-BEGIN.
054300*
054400     MOVE MTC1-RECORD            TO MTCC-RECORD.
054500*
054600     SET MMMMRB-OPEN-INPUT       TO TRUE.
054700     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
054800     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
054900*
055000     SET MMCPRB-OPEN-INPUT       TO TRUE.
055100     MOVE 'O1CP'                 TO SS02WS-ABEND-LOCATION.
055200     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
055300*
055400     SET MMOIRB-OPEN-INPUT       TO TRUE.
055500     MOVE 'O1OI'                 TO SS02WS-ABEND-LOCATION.
055600     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
055700*
055800     SET MMPARB-OPEN-INPUT       TO TRUE.
055900     MOVE 'O1PA'                 TO SS02WS-ABEND-LOCATION.
056000     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
056100*
056200     SET MTRFRB-OPEN-OUTPUT      TO TRUE.
056300     MOVE 'O1RF'                 TO SS02WS-ABEND-LOCATION.
056400     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
056500*
056600     MOVE SPACES                 TO MTRFIO-RECORD.
056700     SET MTRFIO-HEADER           TO TRUE.
056800     MOVE MMSC-TODAYS-JULIAN     TO MTRFIO-DATE-STAMP.
056900     MOVE MMSC-TIME-STAMP        TO MTRFIO-TIME-STAMP.            FX800024
057000*
057100     SET MTRFRB-WRITE            TO TRUE.
057200     MOVE 'W0RF'                 TO SS02WS-ABEND-LOCATION.
057300     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
057400*
057500*
057600*
057700     SET MMMMRB-READ-SEQ         TO TRUE.
057800     MOVE 'O1MM'                 TO SS02WS-ABEND-LOCATION.
057900     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
058000*
058100     MOVE 'MMMM'                 TO MB99WS-FILE-ID.
058200*
058300     IF  MMMMIO-HEADER
058400         NEXT SENTENCE
058500     ELSE
058600         PERFORM MB99PD-MISSING-HEADER-ABEND
058700            THRU MB99PD-MHA-EXIT.
058800*
058900     MOVE MMMMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
059000     MOVE MMMMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
059100     PERFORM MB99PD-CHECK-DATE-TIME
059200                                 THRU MB99PD-CDT-EXIT.
059300*
059400*
059500*
059600     MOVE 'R0CP'                 TO SS02WS-ABEND-LOCATION.
059700     SET MMCPRB-READ-SEQ         TO TRUE.
059800     PERFORM MB00PD-MMCP-ACCESS
059900        THRU MB00PD-MMCP-ACCESS-EXIT.
060000     MOVE 'MMCP'                 TO MB99WS-FILE-ID.
060100*
060200     IF  MMCPIO-HEADER
060300         NEXT SENTENCE
060400     ELSE
060500         PERFORM MB99PD-MISSING-HEADER-ABEND
060600            THRU MB99PD-MHA-EXIT.
060700*
060800     MOVE MMCPIO-DATE-STAMP      TO MB99WS-FILE-DATE.
060900     MOVE MMCPIO-TIME-STAMP      TO MB99WS-FILE-TIME.
061000     PERFORM MB99PD-CHECK-DATE-TIME
061100                                 THRU MB99PD-CDT-EXIT.
061200*
061300     MOVE 'R1CP'                 TO SS02WS-ABEND-LOCATION.
061400     SET MMCPRB-READ-SEQ         TO TRUE.
061500     PERFORM MB00PD-MMCP-ACCESS
061600        THRU MB00PD-MMCP-ACCESS-EXIT.
061700*
061800     MOVE MMCPIO-RECORD          TO MMCP-RECORD.
061900*
062000*
062100*
062200     MOVE 'R0OI'                 TO SS02WS-ABEND-LOCATION.
062300     SET MMOIRB-READ-SEQ         TO TRUE.
062400     PERFORM MB00PD-MMOI-ACCESS
062500        THRU MB00PD-MMOI-ACCESS-EXIT.
062600     MOVE 'MMOI'                 TO MB99WS-FILE-ID.
062700*
062800     IF  MMOIIO-HEADER
062900         NEXT SENTENCE
063000     ELSE
063100         PERFORM MB99PD-MISSING-HEADER-ABEND
063200            THRU MB99PD-MHA-EXIT.
063300*
063400     MOVE MMOIIO-DATE-STAMP      TO MB99WS-FILE-DATE.
063500     MOVE MMOIIO-TIME-STAMP      TO MB99WS-FILE-TIME.
063600     PERFORM MB99PD-CHECK-DATE-TIME
063700                                 THRU MB99PD-CDT-EXIT.
063800*
063900     MOVE 'R1OI'                 TO SS02WS-ABEND-LOCATION.
064000     SET MMOIRB-READ-SEQ         TO TRUE.
064100     PERFORM MB00PD-MMOI-ACCESS
064200        THRU MB00PD-MMOI-ACCESS-EXIT.
064300*
064400*
064500*
064600     MOVE 'R0PA'                 TO SS02WS-ABEND-LOCATION.
064700     SET MMPARB-READ-SEQ         TO TRUE.
064800     PERFORM MB00PD-MMPA-ACCESS
064900        THRU MB00PD-MMPA-ACCESS-EXIT.
065000     MOVE 'MMPA'                 TO MB99WS-FILE-ID.
065100*
065200     IF  MMPAIO-HEADER
065300         NEXT SENTENCE
065400     ELSE
065500         PERFORM MB99PD-MISSING-HEADER-ABEND
065600            THRU MB99PD-MHA-EXIT.
065700*
065800     MOVE MMPAIO-DATE-STAMP      TO MB99WS-FILE-DATE.
065900     MOVE MMPAIO-TIME-STAMP      TO MB99WS-FILE-TIME.
066000     PERFORM MB99PD-CHECK-DATE-TIME
066100        THRU MB99PD-CDT-EXIT.
066200*
066300     MOVE 'R1PA'                 TO SS02WS-ABEND-LOCATION.
066400     SET MMPARB-READ-SEQ         TO TRUE.
066500     PERFORM MB00PD-MMPA-ACCESS
066600        THRU MB00PD-MMPA-ACCESS-EXIT.
066700*
066800*
066900*
067000     EVALUATE TRUE
067100         WHEN (MTCC-MBU380-ORG-OPTION
067200           OR  MTCC-MBU380-SYSTEM-OPTION)
067300             SORT MS1S-SORT-FILE ON ASCENDING KEY MWPA-KEY
067400                  INPUT  PROCEDURE IS 1000-EXTRACT-MMPA
067500                  OUTPUT PROCEDURE IS 2000-BUILD-MWPA
067600             PERFORM SS98PD-VERIFY-SORT-RETURN
067700                THRU SS98PD-VSR-EXIT
067800             MOVE 'OAPA'         TO SS02WS-ABEND-LOCATION
067900             SET MWPARB-OPEN-INPUT
068000                                 TO TRUE
068100             PERFORM MB00PD-MWPA-ACCESS
068200                THRU MB00PD-MWPA-ACCESS-EXIT
068300             MOVE 'RAPA'         TO SS02WS-ABEND-LOCATION
068400             SET MWPARB-READ-SEQ TO TRUE
068500             PERFORM MB00PD-MWPA-ACCESS
068600                THRU MB00PD-MWPA-ACCESS-EXIT
068700             MOVE 'RBPA'         TO SS02WS-ABEND-LOCATION
068800             SET MWPARB-READ-SEQ TO TRUE
068900             PERFORM MB00PD-MWPA-ACCESS
069000                    THRU MB00PD-MWPA-ACCESS-EXIT
069100             IF  MTCC-MBU380-QUAL-DET
069200                 SORT MS2S-SORT-FILE ON ASCENDING KEY MWOI-KEY
069300                      INPUT PROCEDURE IS 3000-EXTRACT-MMOI
069400                      OUTPUT PROCEDURE IS 4000-BUILD-MWOI
069500                 PERFORM SS98PD-VERIFY-SORT-RETURN
069600                    THRU SS98PD-VSR-EXIT
069700                 MOVE 'OAOI'     TO SS02WS-ABEND-LOCATION
069800                 SET MWOIRB-OPEN-INPUT
069900                                     TO TRUE
070000                 PERFORM MB00PD-MWOI-ACCESS
070100                    THRU MB00PD-MWOI-ACCESS-EXIT
070200                 MOVE 'RAOI'     TO SS02WS-ABEND-LOCATION
070300                 SET MWOIRB-READ-SEQ
070400                                     TO TRUE
070500                 PERFORM MB00PD-MWOI-ACCESS
070600                    THRU MB00PD-MWOI-ACCESS-EXIT
070700                 MOVE 'RBOI'     TO SS02WS-ABEND-LOCATION
070800                 SET MWOIRB-READ-SEQ
070900                                     TO TRUE
071000                 PERFORM MB00PD-MWOI-ACCESS
071100                    THRU MB00PD-MWOI-ACCESS-EXIT
071200             END-IF
071300             IF  MTCC-MBU380-PLAN-DET
071400                 SORT MS3S-SORT-FILE ON ASCENDING KEY MWCP-KEY
071500                      INPUT PROCEDURE IS 5000-EXTRACT-MMCP
071600                      OUTPUT PROCEDURE IS 6000-BUILD-MWCP
071700                 PERFORM SS98PD-VERIFY-SORT-RETURN
071800                    THRU SS98PD-VSR-EXIT
071900                 MOVE 'OACP'     TO SS02WS-ABEND-LOCATION
072000                 SET MWCPRB-OPEN-INPUT
072100                                     TO TRUE
072200                 PERFORM MB00PD-MWCP-ACCESS
072300                    THRU MB00PD-MWCP-ACCESS-EXIT
072400                 MOVE 'RACP'     TO SS02WS-ABEND-LOCATION
072500                 SET MWCPRB-READ-SEQ
072600                                     TO TRUE
072700                 PERFORM MB00PD-MWCP-ACCESS
072800                    THRU MB00PD-MWCP-ACCESS-EXIT
072900                 MOVE 'RBCP'     TO SS02WS-ABEND-LOCATION
073000                 SET MWCPRB-READ-SEQ
073100                                     TO TRUE
073200                 PERFORM MB00PD-MWCP-ACCESS
073300                    THRU MB00PD-MWCP-ACCESS-EXIT
073400                 MOVE MWCPIO-RECORD TO MMCP-RECORD
073500             END-IF
073600             EVALUATE TRUE
073700                 WHEN MTCC-MBU380-ORG-OPTION
073800                     MOVE ZERO   TO MMOCIO-ORG
073900                     MOVE 'S1OC' TO SS02WS-ABEND-LOCATION
074000                     SET MMOCRB-START-GTE
074100                                 TO TRUE
074200                     PERFORM MB00PD-MMOC-ACCESS
074300                        THRU MB00PD-MMOC-ACCESS-EXIT
074400                     PERFORM B500-PROCESS-ORG
074500                        THRU B599-PO-EXIT
074600                        UNTIL MMOCIO-TRAILER
074700                 WHEN OTHER
074800                     MOVE WS-SORT-ORG
074900                                 TO MMOCIO-ORG
075000                     MOVE 'S2OC' TO SS02WS-ABEND-LOCATION
075100                     SET MMOCRB-START-GTE
075200                                 TO TRUE
075300                     PERFORM MB00PD-MMOC-ACCESS
075400                        THRU MB00PD-MMOC-ACCESS-EXIT
075500                     PERFORM B500-PROCESS-ORG
075600                        THRU B599-PO-EXIT
075700             END-EVALUATE
075800             SET MWPARB-CLOSE    TO TRUE
075900             MOVE 'CAPA'         TO SS02WS-ABEND-LOCATION
076000             PERFORM MB00PD-MWPA-ACCESS
076100                THRU MB00PD-MWPA-ACCESS-EXIT
076200             IF  MTCC-MBU380-QUAL-DET
076300                 SET MWOIRB-CLOSE TO TRUE
076400                 MOVE 'CAOI'     TO SS02WS-ABEND-LOCATION
076500                 PERFORM MB00PD-MWOI-ACCESS
076600                    THRU MB00PD-MWOI-ACCESS-EXIT
076700             END-IF
076800             IF  MTCC-MBU380-PLAN-DET
076900                 SET MWCPRB-CLOSE TO TRUE
077000                 MOVE 'CACP'     TO SS02WS-ABEND-LOCATION
077100                 PERFORM MB00PD-MWCP-ACCESS
077200                    THRU MB00PD-MWCP-ACCESS-EXIT
077300             END-IF
077400         WHEN OTHER
077500             PERFORM B000-PROCESS-MMMM
077600                THRU B099-PMMMM-EXIT
077700                UNTIL MMMMIO-TRAILER
077800     END-EVALUATE.
077900*
078000*
078100*
078200     MOVE SPACES                 TO MTRFIO-RECORD.
078300     SET MTRFIO-TRAILER          TO TRUE.
078400     MOVE MMSC-TODAYS-JULIAN     TO MTRFIO-DATE-STAMP.
078500     MOVE MMSC-TIME-STAMP        TO MTRFIO-TIME-STAMP.
078600*
078700     SET MTRFRB-WRITE            TO TRUE.
078800     MOVE 'W9RF'                 TO SS02WS-ABEND-LOCATION.
078900     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
079000*
079100     SET MTRFRB-CLOSE            TO TRUE.
079200     MOVE 'C1RF'                 TO SS02WS-ABEND-LOCATION.
079300     PERFORM MB00PD-MTRF-ACCESS  THRU MB00PD-MTRF-ACCESS-EXIT.
079400*
079500     SET MMMMRB-CLOSE            TO TRUE.
079600     MOVE 'C1MM'                 TO SS02WS-ABEND-LOCATION.
079700     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
079800*
079900     SET MMCPRB-CLOSE            TO TRUE.
080000     MOVE 'C1CP'                 TO SS02WS-ABEND-LOCATION.
080100     PERFORM MB00PD-MMCP-ACCESS  THRU MB00PD-MMCP-ACCESS-EXIT.
080200*
080300     SET MMOIRB-CLOSE            TO TRUE.
080400     MOVE 'C1OI'                 TO SS02WS-ABEND-LOCATION.
080500     PERFORM MB00PD-MMOI-ACCESS  THRU MB00PD-MMOI-ACCESS-EXIT.
080600*
080700     SET MMPARB-CLOSE            TO TRUE.
080800     MOVE 'C1PA'                 TO SS02WS-ABEND-LOCATION.
080900     PERFORM MB00PD-MMPA-ACCESS  THRU MB00PD-MMPA-ACCESS-EXIT.
081000*
081100*
081200*
081300 A599-BR-EXIT.
081400     EXIT.
081500/
081600 A900-REPORT-HEADERS-TRAILERS SECTION.
081700 A901-RHT-BEGIN.
081800*
081900     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
082000         NEXT SENTENCE
082100     ELSE
082200         MOVE SPACES             TO MTRF-RECORD
082300         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
082400                                 TO MTRF-KEY-1
082500         MOVE ZERO               TO MTRF-K1-REC-TYPE
082600         MOVE MTRFWS-ORT-HEADINGS-DATA  (X-MTRFWS-ORT)
082700                                 TO MTRF-HD-HEADINGS-DATA
082800         MOVE MTRF-RECORD        TO MTRFIO-RECORD
082900         MOVE 'W1RF'             TO SS02WS-ABEND-LOCATION
083000         SET MTRFRB-WRITE        TO TRUE
083100         PERFORM MB00PD-MTRF-ACCESS
083200            THRU MB00PD-MTRF-ACCESS-EXIT
083300         MOVE SPACES             TO MTRF-RECORD
083400         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
083500                                 TO MTRF-KEY-1
083600         MOVE 9                  TO MTRF-K1-REC-TYPE
083700         MOVE MTRF-RECORD        TO MTRFIO-RECORD
083800         MOVE 'W2RF'             TO SS02WS-ABEND-LOCATION
083900         SET MTRFRB-WRITE        TO TRUE
084000         PERFORM MB00PD-MTRF-ACCESS
084100            THRU MB00PD-MTRF-ACCESS-EXIT.
084200*
084300     MOVE SPACES                 TO MTRF-RECORD.
084400*
084500 A999-RHT-EXIT.
084600     EXIT.
084700/
084800 B000-PROCESS-MMMM SECTION.
084900 B001-PMMMM-BEGIN.
085000*
085100     SET MMMMRB-READ-SEQ         TO TRUE.
085200     MOVE 'R1MM'                 TO SS02WS-ABEND-LOCATION.
085300     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
085400*
085500     IF  MMMMIO-HEADER
085600         GO TO B001-PMMMM-BEGIN.
085700*
085800     IF  MMMMIO-TRAILER
085900         GO TO B099-PMMMM-EXIT.
086000*
086100     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
086200*
086300     IF  MMMM-REC-INCOMPLETE
086400     OR  MMMM-REC-PURGED
086500     OR  MMMM-REC-PURGING
086600     OR  MMMM-REC-MODEL
086700     OR  MMMM-ADD-PENDING
086800         GO TO B001-PMMMM-BEGIN.
086900*
087000     SET X-WS-U380-ORT           TO 1.
087100     SEARCH WS-U380-ORG-RANGES-TABLE VARYING X-WS-U380-ORT
087200         AT END
087300             GO TO B001-PMMMM-BEGIN
087400         WHEN WS-U380-ORT-END-OF-TABLE (X-WS-U380-ORT)
087500             GO TO B001-PMMMM-BEGIN
087600         WHEN MMMMIO-ORG-MERCHANT IS NOT LESS THAN
087700              WS-U380-ORT-BEG-ORG-MERCHANT (X-WS-U380-ORT)
087800         AND  MMMMIO-ORG-MERCHANT IS NOT GREATER THAN
087900              WS-U380-ORT-END-ORG-MERCHANT (X-WS-U380-ORT)
088000             NEXT SENTENCE.
088100*
088200     INITIALIZE WS-PROD-TOTALS-AREA.
088300     INITIALIZE WS-QL-TOTALS-AREA.
088400     INITIALIZE WS-CP-TOTALS-AREA.
088500     INITIALIZE WS-HIST-TOTALS-AREA.
088600*
088700     IF  MMMM-ORG IS NOT EQUAL TO MMOC-ORG
088800         MOVE MMMM-ORG           TO MMOCIO-ORG
088900         SET MMOCRB-READ-RANDOM  TO TRUE
089000         MOVE 'R1OC'             TO SS02WS-ABEND-LOCATION
089100         PERFORM MB00PD-MMOC-ACCESS THRU MB00PD-MMOC-ACCESS-EXIT
089200         MOVE MMOCIO-RECORD      TO MMOC-RECORD
089300         PERFORM Z100-ADJUST-ORG
089400            THRU Z199-AO-EXIT
089500         PERFORM MTRFPX-BUILD-REPORT-TABLE
089600            THRU MTRFPX-BRT-EXIT
089700         SET X-MTRFWS-ORT        TO 88
089800         PERFORM A900-REPORT-HEADERS-TRAILERS
089900            THRU A999-RHT-EXIT.
090000*
090100     SET MTRF-K2-O88-KT-MERCHANT TO TRUE.
090200     MOVE MTRF-K2-O88-KEY-TYPE   TO WS-KEY-TYPE.
090300     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
090400     SET MTRF-K2-O88-RS-HEADER   TO TRUE.
090500     MOVE ZERO                   TO MTRF-K2-O88-PRODUCT.
090600     SET MTRF-K2-O88-RT-PROD-QL-HEADER
090700                                 TO TRUE.
090800     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
090900     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
091000     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
091100     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
091200     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
091300*
091400     MOVE MMMM-NA-LINE (1 1)     TO MTRF-O88-NAME.
091500*
091600     PERFORM
091700         VARYING X-MTCC-MBU380-HIST
091800         FROM 1 BY 1
091900         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
092000         SET X-MMMM              TO MTCC-MBU380-HIST-PERIOD
092100                                    (X-MTCC-MBU380-HIST)
092200         SET X-MTRF-O88-HIST     TO X-MTCC-MBU380-HIST
092300         MOVE MMMM-OCCURRENCE-ID (X-MMMM)
092400                                 TO MTRF-O88-HIST-HEADING-ID
092500                                    (X-MTRF-O88-HIST)
092600         MOVE MMMM-OCCURRENCE-YEAR (X-MMMM)
092700                                 TO MTRF-O88-HIST-HEADING-YR
092800                                    (X-MTRF-O88-HIST)
092900     END-PERFORM.
093000*
093100     PERFORM R980-WRITE-REPORT-FILE
093200        THRU R989-WRF-EXIT.
093300*
093400     PERFORM
093500         UNTIL MMPAIO-ORG-ACCT     IS GREATER THAN
093600                                 MMMM-ORG-MERCHANT
093700         MOVE MMPAIO-LOGIC-MODULE
093800                                 TO MMTCWS-LOGIC-MODULE
093900         EVALUATE TRUE
094000             WHEN MMTCWS-LM-VALID-INTERNAL
094100                 CONTINUE
094200             WHEN MMPAIO-ORG-ACCT
094300                                 IS EQUAL TO MMMM-ORG-MERCHANT
094400                 MOVE MMPAIO-RECORD
094500                                 TO MMPA-RECORD
094600                 PERFORM C200-PRODUCT-DETAIL
094700                    THRU C299-PD-EXIT
094800         END-EVALUATE
094900         SET MMPARB-READ-SEQ     TO TRUE
095000         MOVE 'R2PA'             TO SS02WS-ABEND-LOCATION
095100         PERFORM MB00PD-MMPA-ACCESS
095200            THRU MB00PD-MMPA-ACCESS-EXIT
095300     END-PERFORM.
095400*
095500     IF  MTCC-MBU380-PROD-NO
095600         GO TO B003-QUAL-LEVEL.
095700*
095800     PERFORM C100-PRODUCT-HEADER
095900        THRU C199-PH-EXIT
096000        VARYING X-WS-PTA FROM 1 BY 1
096100        UNTIL   X-WS-PTA IS GREATER THAN 101.
096200*
096300     PERFORM C300-PRODUCT-TOTALS
096400        THRU C399-PT-EXIT
096500        VARYING X-WS-PTA FROM 1 BY 1
096600        UNTIL   X-WS-PTA IS GREATER THAN 101.
096700*
096800 B003-QUAL-LEVEL.
096900*
097000     IF  MTCC-MBU380-QUAL-NO
097100         GO TO B005-CREDIT-PLAN.
097200*
097300     PERFORM
097400         UNTIL MMOIIO-ORG-ACCT     IS GREATER THAN
097500                                 MMMM-ORG-MERCHANT
097600         MOVE MMOIIO-LOGIC-MODULE
097700                                 TO MMTCWS-LOGIC-MODULE
097800         EVALUATE TRUE
097900             WHEN MMTCWS-LM-VALID-INTERNAL
098000                 CONTINUE
098100             WHEN MMOIIO-ORG-ACCT
098200                                 IS EQUAL TO MMMM-ORG-MERCHANT
098300                 MOVE MMOIIO-RECORD
098400                                 TO MMOI-RECORD
098500                 PERFORM D200-QUAL-LEVEL-DETAIL
098600                    THRU D299-QLD-EXIT
098700         END-EVALUATE
098800         SET MMOIRB-READ-SEQ     TO TRUE
098900         MOVE 'R2OI'             TO SS02WS-ABEND-LOCATION
099000         PERFORM MB00PD-MMOI-ACCESS
099100            THRU MB00PD-MMOI-ACCESS-EXIT
099200     END-PERFORM.
099300*
099400     PERFORM
099500         VARYING X-WS-QTA FROM 1 BY 1
099600         UNTIL   X-WS-QTA IS GREATER THAN 101
099700         PERFORM D000-PRODUCT-QL-HEADER
099800            THRU D099-PQLH-EXIT
099900     END-PERFORM.
100000*
100100     PERFORM
100200         VARYING X-WS-QTA FROM 1 BY 1
100300         UNTIL   X-WS-QTA IS GREATER THAN 101
100400         PERFORM D100-QUAL-LEVEL-HEADER
100500            THRU D199-QLH-EXIT
100600            VARYING X-WS-QTA-QL FROM 1 BY 1
100700            UNTIL   X-WS-QTA-QL IS GREATER THAN 99
100800     END-PERFORM.
100900*
101000     PERFORM
101100         VARYING X-WS-QTA FROM 1 BY 1
101200         UNTIL   X-WS-QTA IS GREATER THAN 101
101300         PERFORM D300-QUAL-LEVEL-TOTALS
101400            THRU D399-QLT-EXIT
101500            VARYING X-WS-QTA-QL FROM 1 BY 1
101600            UNTIL   X-WS-QTA-QL IS GREATER THAN 99
101700     END-PERFORM.
101800*
101900 B005-CREDIT-PLAN.
102000*
102100     IF  MTCC-MBU380-PLAN-NO
102200         GO TO B007-HISTORY.
102300*
102400     PERFORM
102500         UNTIL MMCPIO-ORG-ACCT     IS GREATER THAN
102600                                 MMMM-ORG-MERCHANT
102700         MOVE MMCPIO-LOGIC-MODULE
102800                                 TO MMTCWS-LOGIC-MODULE
102900         EVALUATE TRUE
103000             WHEN MMTCWS-LM-VALID-INTERNAL
103100                 SET MMCPRB-READ-SEQ
103200                                 TO TRUE
103300                 MOVE 'R2CP'     TO SS02WS-ABEND-LOCATION
103400                 PERFORM MB00PD-MMCP-ACCESS
103500                    THRU MB00PD-MMCP-ACCESS-EXIT
103600                 MOVE MMCPIO-RECORD
103700                                 TO MMCP-RECORD
103800             WHEN MMCPIO-ORG-ACCT
103900                                 IS EQUAL TO MMMM-ORG-MERCHANT
104000                 PERFORM E200-CREDIT-PLAN-DETAIL
104100                    THRU E299-CPD-EXIT
104200                 MOVE MMCP-PLAN  TO WS-PREV-PLAN
104300                 MOVE MMCP-PRODUCT
104400                                 TO WS-PREV-PROD
104500                 SET MMCPRB-READ-SEQ
104600                                 TO TRUE
104700                 MOVE 'R2CP'     TO SS02WS-ABEND-LOCATION
104800                 PERFORM MB00PD-MMCP-ACCESS
104900                    THRU MB00PD-MMCP-ACCESS-EXIT
105000                 MOVE MMCPIO-RECORD
105100                                 TO MMCP-RECORD
105200                 PERFORM E100-CREDIT-PLAN-HEADER
105300                    THRU E199-CPH-EXIT
105400                 PERFORM E300-CREDIT-PLAN-TOTALS
105500                    THRU E399-CPT-EXIT
105600                 PERFORM E000-PRODUCT-CP-HEADER
105700                    THRU E099-PCPH-EXIT
105800             WHEN OTHER
105900                 SET MMCPRB-READ-SEQ
106000                                 TO TRUE
106100                 MOVE 'R2CP'     TO SS02WS-ABEND-LOCATION
106200                 PERFORM MB00PD-MMCP-ACCESS
106300                    THRU MB00PD-MMCP-ACCESS-EXIT
106400                 MOVE MMCPIO-RECORD
106500                                 TO MMCP-RECORD
106600         END-EVALUATE
106700     END-PERFORM.
106800*
106900 B007-HISTORY.
107000*
107100     PERFORM F100-HIST-HEADER
107200        THRU F199-HH-EXIT.
107300*
107400     PERFORM F900-HISTORICAL
107500        THRU F999-H-EXIT
107600        VARYING X-MMMM FROM 1 BY 1
107700        UNTIL   X-MMMM IS GREATER THAN 12.
107800*
107900 B099-PMMMM-EXIT.
108000     EXIT.
108100/
108200 B500-PROCESS-ORG SECTION.
108300 B501-PO-BEGIN.
108400*
108500     SET MMOCRB-READ-SEQ         TO TRUE.
108600     MOVE 'R2OC'                 TO SS02WS-ABEND-LOCATION.
108700     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
108800*
108900     IF  MMOCIO-HEADER
109000         GO TO B501-PO-BEGIN.
109100*
109200     IF  MMOCIO-TRAILER
109300         GO TO B599-PO-EXIT.
109400*
109500     SET X-WS-U380-ORT           TO 1.
109600     SEARCH WS-U380-ORG-RANGES-TABLE VARYING X-WS-U380-ORT
109700         AT END
109800             GO TO B501-PO-BEGIN
109900         WHEN WS-U380-ORT-END-OF-TABLE (X-WS-U380-ORT)
110000             GO TO B501-PO-BEGIN
110100         WHEN MMOCIO-ORG IS NOT LESS THAN
110200              WS-U380-ORT-BEG-ORG (X-WS-U380-ORT)
110300         AND  MMOCIO-ORG IS NOT GREATER THAN
110400              WS-U380-ORT-END-ORG (X-WS-U380-ORT)
110500             NEXT SENTENCE.
110600*
110700     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
110800     PERFORM Z100-ADJUST-ORG
110900        THRU Z199-AO-EXIT.
111000*
111100     IF  MMOC-REC-INCOMPLETE
111200     OR  MMOC-REC-PURGED
111300     OR  MMOC-ADD-PENDING
111400         GO TO B501-PO-BEGIN.
111500*
111600     IF  MWPAIO-ORG IS GREATER THAN MMOC-ORG
111700         GO TO B501-PO-BEGIN.
111800*
111900     INITIALIZE WS-PROD-TOTALS-AREA.
112000     INITIALIZE WS-QL-TOTALS-AREA.
112100     INITIALIZE WS-CP-TOTALS-AREA.
112200     INITIALIZE WS-HIST-TOTALS-AREA.
112300*
112400     MOVE MMOC-TODAYS-JULIAN     TO MMMMIR-DATE.
112500     PERFORM MMMMPX-INIT-RECORD
112600        THRU MMMMPX-IR-EXIT.
112700     MOVE MMMMIR-RECORD          TO MMMM-RECORD.
112800     MOVE MMOC-ORG               TO MMMM-ORG.
112900     MOVE MMOC-DEMOGRAPHICS-AREA TO MMMM-DEMOGRAPHICS-AREA.
113000     MOVE MMOC-REC-STATUS        TO MMMM-REC-STATUS.
113100*
113200     PERFORM MTRFPX-BUILD-REPORT-TABLE
113300        THRU MTRFPX-BRT-EXIT.
113400     SET X-MTRFWS-ORT            TO 88.
113500     PERFORM A900-REPORT-HEADERS-TRAILERS
113600        THRU A999-RHT-EXIT.
113700*
113800     SET MTRF-K2-O88-KT-ORG-TOTALS
113900                                 TO TRUE.
114000*
114100     IF  MTCC-MBU380-SYSTEM-OPTION
114200         SET MTRF-K2-O88-KT-SYSTEM-TOTALS
114300                                 TO TRUE.
114400*
114500     MOVE MTRF-K2-O88-KEY-TYPE   TO WS-KEY-TYPE.
114600     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
114700     SET MTRF-K2-O88-RS-HEADER   TO TRUE.
114800     MOVE ZERO                   TO MTRF-K2-O88-PRODUCT.
114900*
115000     PERFORM
115100         VARYING X-MTCC-MBU380-HIST
115200         FROM 1 BY 1
115300         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
115400         SET X-MMMM              TO MTCC-MBU380-HIST-PERIOD
115500                                    (X-MTCC-MBU380-HIST)
115600         SET X-MTRF-O88-HIST     TO X-MTCC-MBU380-HIST
115700         MOVE MMMM-OCCURRENCE-ID (X-MMMM)
115800                                 TO MTRF-O88-HIST-HEADING-ID
115900                                    (X-MTRF-O88-HIST)
116000         MOVE MMMM-OCCURRENCE-YEAR (X-MMMM)
116100                                 TO MTRF-O88-HIST-HEADING-YR
116200                                    (X-MTRF-O88-HIST)
116300     END-PERFORM.
116400*
116500     SET MTRF-K2-O88-RT-PROD-QL-HEADER
116600                                 TO TRUE.
116700     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
116800     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
116900     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
117000     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
117100     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
117200*
117300     MOVE MMMM-NA-LINE (1 1)     TO MTRF-O88-NAME.
117400*
117500     PERFORM R980-WRITE-REPORT-FILE
117600        THRU R989-WRF-EXIT.
117700*
117800 B503-PRODUCT.
117900*
118000     PERFORM
118100         UNTIL MWPAIO-ORG IS GREATER THAN MMOC-ORG
118200         MOVE MWPAIO-LOGIC-MODULE
118300                                 TO MMTCWS-LOGIC-MODULE
118400         EVALUATE TRUE
118500             WHEN MMTCWS-LM-VALID-INTERNAL
118600                 CONTINUE
118700             WHEN MWPAIO-ORG IS EQUAL TO MMOC-ORG
118800                 MOVE MWPAIO-RECORD
118900                                 TO MMPA-RECORD
119000                 PERFORM C200-PRODUCT-DETAIL
119100                    THRU C299-PD-EXIT
119200         END-EVALUATE
119300         SET MWPARB-READ-SEQ     TO TRUE
119400         MOVE 'R3PA'             TO SS02WS-ABEND-LOCATION
119500         PERFORM MB00PD-MWPA-ACCESS
119600            THRU MB00PD-MWPA-ACCESS-EXIT
119700     END-PERFORM.
119800*
119900     IF  MTCC-MBU380-PROD-NO
120000         GO TO B505-QUAL-LEVEL.
120100*
120200     PERFORM C100-PRODUCT-HEADER
120300        THRU C199-PH-EXIT
120400        VARYING X-WS-PTA FROM 1 BY 1
120500        UNTIL   X-WS-PTA IS GREATER THAN 101.
120600*
120700     PERFORM C300-PRODUCT-TOTALS
120800        THRU C399-PT-EXIT
120900        VARYING X-WS-PTA FROM 1 BY 1
121000        UNTIL   X-WS-PTA IS GREATER THAN 101.
121100*
121200*
121300 B505-QUAL-LEVEL.
121400*
121500     IF  MTCC-MBU380-QUAL-NO
121600         GO TO B507-CREDIT-PLAN.
121700*
121800     PERFORM
121900         UNTIL MWOIIO-ORG IS GREATER THAN MMOC-ORG
122000         MOVE MWOIIO-LOGIC-MODULE
122100                                 TO MMTCWS-LOGIC-MODULE
122200         EVALUATE TRUE
122300             WHEN MMTCWS-LM-VALID-INTERNAL
122400                 CONTINUE
122500             WHEN MWOIIO-ORG IS EQUAL TO MMOC-ORG
122600                 MOVE MWOIIO-RECORD
122700                                 TO MMOI-RECORD
122800                 PERFORM D200-QUAL-LEVEL-DETAIL
122900                    THRU D299-QLD-EXIT
123000         END-EVALUATE
123100         SET MWOIRB-READ-SEQ     TO TRUE
123200         MOVE 'R3OI'             TO SS02WS-ABEND-LOCATION
123300         PERFORM MB00PD-MWOI-ACCESS
123400            THRU MB00PD-MWOI-ACCESS-EXIT
123500     END-PERFORM.
123600*
123700     PERFORM
123800         VARYING X-WS-QTA FROM 1 BY 1
123900         UNTIL   X-WS-QTA IS GREATER THAN 101
124000         PERFORM D000-PRODUCT-QL-HEADER
124100            THRU D099-PQLH-EXIT
124200     END-PERFORM.
124300*
124400     PERFORM
124500         VARYING X-WS-QTA FROM 1 BY 1
124600         UNTIL   X-WS-QTA IS GREATER THAN 101
124700         PERFORM D100-QUAL-LEVEL-HEADER
124800            THRU D199-QLH-EXIT
124900            VARYING X-WS-QTA-QL FROM 1 BY 1
125000            UNTIL   X-WS-QTA-QL IS GREATER THAN 99
125100     END-PERFORM.
125200*
125300     PERFORM
125400         VARYING X-WS-QTA FROM 1 BY 1
125500         UNTIL   X-WS-QTA IS GREATER THAN 101
125600         PERFORM D300-QUAL-LEVEL-TOTALS
125700            THRU D399-QLT-EXIT
125800            VARYING X-WS-QTA-QL FROM 1 BY 1
125900            UNTIL   X-WS-QTA-QL IS GREATER THAN 99
126000     END-PERFORM.
126100*
126200*
126300 B507-CREDIT-PLAN.
126400*
126500     IF  MTCC-MBU380-PLAN-NO
126600         GO TO B509-HISTORY.
126700*
126800     PERFORM
126900         UNTIL MWCPIO-ORG IS GREATER THAN
127000                                 MMOC-ORG
127100         MOVE MWCPIO-LOGIC-MODULE
127200                                 TO MMTCWS-LOGIC-MODULE
127300         EVALUATE TRUE
127400             WHEN MMTCWS-LM-VALID-INTERNAL
127500                 SET MWCPRB-READ-SEQ
127600                                 TO TRUE
127700                 MOVE 'R3CP'     TO SS02WS-ABEND-LOCATION
127800                 PERFORM MB00PD-MWCP-ACCESS
127900                    THRU MB00PD-MWCP-ACCESS-EXIT
128000                 MOVE MWCPIO-RECORD
128100                                 TO MMCP-RECORD
128200             WHEN MWCPIO-ORG     IS EQUAL TO MMOC-ORG
128300                 PERFORM E200-CREDIT-PLAN-DETAIL
128400                    THRU E299-CPD-EXIT
128500                 MOVE MMCP-PLAN  TO WS-PREV-PLAN
128600                 MOVE MMCP-PRODUCT
128700                                 TO WS-PREV-PROD
128800                 SET MWCPRB-READ-SEQ
128900                                 TO TRUE
129000                 MOVE 'R4CP'     TO SS02WS-ABEND-LOCATION
129100                 PERFORM MB00PD-MWCP-ACCESS
129200                    THRU MB00PD-MWCP-ACCESS-EXIT
129300                 MOVE MWCPIO-RECORD
129400                                 TO MMCP-RECORD
129500                 PERFORM E100-CREDIT-PLAN-HEADER
129600                    THRU E199-CPH-EXIT
129700                 PERFORM E300-CREDIT-PLAN-TOTALS
129800                    THRU E399-CPT-EXIT
129900                 PERFORM E000-PRODUCT-CP-HEADER
130000                    THRU E099-PCPH-EXIT
130100             WHEN OTHER
130200                 SET MWCPRB-READ-SEQ
130300                                 TO TRUE
130400                 MOVE 'R6CP'     TO SS02WS-ABEND-LOCATION
130500                 PERFORM MB00PD-MWCP-ACCESS
130600                    THRU MB00PD-MWCP-ACCESS-EXIT
130700                 MOVE MWCPIO-RECORD
130800                                 TO MMCP-RECORD
130900         END-EVALUATE
131000     END-PERFORM.
131100*
131200*
131300 B509-HISTORY.
131400*
131500     IF  MTCC-MBU380-HIST-NO
131600         GO TO B599-PO-EXIT.
131700*
131800     PERFORM F100-HIST-HEADER
131900        THRU F199-HH-EXIT.
132000*
132100     PERFORM F900-HISTORICAL
132200        THRU F999-H-EXIT
132300        VARYING X-MMMM FROM 1 BY 1
132400        UNTIL   X-MMMM IS GREATER THAN 12.
132500*
132600 B599-PO-EXIT.
132700     EXIT.
132800/
132900 C100-PRODUCT-HEADER SECTION.
133000 C101-PH-BEGIN.
133100*
133200     IF  WS-PTA-NO-ACTIVITY (X-WS-PTA)
133300     OR  MTCC-MBU380-PROD-NO
133400         GO TO C199-PH-EXIT.
133500*
133600     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
133700     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
133800     SET MTRF-K2-O88-RS-PRODUCT  TO TRUE.
133900     SET MTRF-K2-O88-RT-PROD-HEADER
134000                                 TO TRUE.
134100     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
134200     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
134300     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
134400     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
134500     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
134600*
134700     MOVE SPACES                 TO MTRF-O88-QL-DESC.
134800*
134900     EVALUATE TRUE
135000         WHEN X-WS-PTA IS EQUAL TO 101
135100             SET MTRF-K2-O88-ALL-PRODUCTS
135200                                 TO TRUE
135300             MOVE '**ALL PRODUCTS**'
135400                                 TO MTRF-O88-PROD-DESC
135500         WHEN X-WS-PTA IS EQUAL TO 100
135600             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
135700             MOVE 'MERCHANT LEVEL  '
135800                                 TO MTRF-O88-PROD-DESC
135900         WHEN OTHER
136000             SET  MTRF-K2-O88-PRODUCT
136100                                 TO X-WS-PTA
136200             SET  X-MMOC-PROD    TO X-WS-PTA
136300             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
136400                                 TO MTRF-O88-PROD-DESC
136500     END-EVALUATE.
136600*
136700     IF  MTCC-MBU380-PROD-TOT
136800     AND X-WS-PTA IS NOT EQUAL TO 101
136900         GO TO C199-PH-EXIT.
137000*
137100     PERFORM R980-WRITE-REPORT-FILE
137200        THRU R989-WRF-EXIT.
137300*
137400 C199-PH-EXIT.
137500     EXIT.
137600/
137700 C200-PRODUCT-DETAIL SECTION.
137800 C201-PD-BEGIN.
137900*
138000     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
138100     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
138200     SET MTRF-K2-O88-RS-PRODUCT  TO TRUE.
138300*
138400     IF  MMPA-DETAIL
138500         EVALUATE TRUE
138600             WHEN MMPA-PRODUCT IS GREATER THAN ZERO
138700                 SET X-WS-PTA    TO MMPA-PRODUCT
138800             WHEN OTHER
138900                 SET X-WS-PTA    TO 100
139000         END-EVALUATE
139100         MOVE MMPA-PRODUCT       TO MTRF-K2-O88-PRODUCT
139200     ELSE
139300         SET X-WS-PTA            TO 101
139400         SET MTRF-K2-O88-ALL-PRODUCTS
139500                                 TO TRUE.
139600*
139700     SET MTRF-K2-O88-RT-PROD-DETAIL
139800                                 TO TRUE.
139900     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
140000     MOVE MMPA-LOGIC-MODULE      TO MTRF-K2-O88-LOGIC-MODULE.
140100     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
140200     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
140300     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
140400*
140500     MOVE MMPA-LOGIC-MODULE      TO MTRF-O88-LOGIC-MODULE.
140600*
140700     PERFORM
140800         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
140900         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
141000         SET X-MMPA              TO MTCC-MBU380-HIST-PERIOD
141100                                    (X-MTCC-MBU380-HIST)
141200         SET X-O88-PQ-DET        TO X-MTCC-MBU380-HIST
141300         MOVE MMPA-NBR (X-MMPA)  TO MTRF-O88-NBR-DET
141400                                    (X-O88-PQ-DET)
141500         MOVE MMPA-AMT (X-MMPA)  TO MTRF-O88-AMT-DET
141600                                    (X-O88-PQ-DET)
141700     END-PERFORM.
141800*
141900     IF  MTCC-MBU380-PROD-TOT
142000     AND X-WS-PTA IS NOT EQUAL TO 101
142100         NEXT SENTENCE
142200     ELSE
142300         IF  MTCC-MBU380-PROD-NO
142400             NEXT SENTENCE
142500         ELSE
142600             PERFORM R980-WRITE-REPORT-FILE
142700                THRU R989-WRF-EXIT.
142800*
142900     SET WS-PTA-ACTIVITY (X-WS-PTA)
143000                                 TO TRUE.
143100*
143200 C203-CALC-TOT.
143300*
143400     IF  MTCC-MBU380-PROD-NO
143500         GO TO C205-CALC-HIST.
143600*
143700     EVALUATE TRUE
143800         WHEN (MMTCWS-LM-CR-FEES
143900           OR  MMTCWS-LM-REFUND)
144000             PERFORM
144100                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
144200                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
144300                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
144400                                    (X-MTCC-MBU380-HIST)
144500                 SET X-PTA-NBR-AMT
144600                                 TO X-MTCC-MBU380-HIST
144700                 SUBTRACT MMPA-AMT (X-MMPA)
144800                                 FROM  WS-PTA-TOTAL-INCOME
144900                                       (X-WS-PTA X-PTA-NBR-AMT)
145000             END-PERFORM
145100         WHEN (MMTCWS-LM-DR-FEES
145200           OR  MMTCWS-LM-DISCOUNT)
145300             PERFORM
145400                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
145500                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
145600                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
145700                                    (X-MTCC-MBU380-HIST)
145800                 SET X-PTA-NBR-AMT
145900                                 TO X-MTCC-MBU380-HIST
146000                 ADD MMPA-AMT (X-MMPA)
146100                                 TO WS-PTA-TOTAL-INCOME
146200                                    (X-WS-PTA X-PTA-NBR-AMT)
146300             END-PERFORM
146400     END-EVALUATE.
146500*
146600     EVALUATE TRUE
146700         WHEN MMTCWS-LM-SALE
146800             PERFORM
146900                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
147000                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
147100                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
147200                                    (X-MTCC-MBU380-HIST)
147300                 SET X-PTA-NBR-AMT
147400                                 TO X-MTCC-MBU380-HIST
147500                 ADD MMPA-NBR (X-MMPA)
147600                                 TO WS-PTA-SALE-NBR
147700                                    (X-WS-PTA X-PTA-NBR-AMT)
147800                 ADD MMPA-AMT (X-MMPA)
147900                                 TO WS-PTA-SALE-AMT
148000                                    (X-WS-PTA X-PTA-NBR-AMT)
148100             END-PERFORM
148200         WHEN MMTCWS-LM-SALE-REV
148300             PERFORM
148400                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
148500                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
148600                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
148700                                    (X-MTCC-MBU380-HIST)
148800                 SET X-PTA-NBR-AMT
148900                                 TO X-MTCC-MBU380-HIST
149000                 SUBTRACT MMPA-NBR (X-MMPA)
149100                                 FROM WS-PTA-SALE-NBR
149200                                      (X-WS-PTA X-PTA-NBR-AMT)
149300                 SUBTRACT MMPA-AMT (X-MMPA)
149400                                 FROM WS-PTA-SALE-AMT
149500                                      (X-WS-PTA X-PTA-NBR-AMT)
149600             END-PERFORM
149700         WHEN MMTCWS-LM-RETURN
149800             PERFORM
149900                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
150000                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
150100                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
150200                                    (X-MTCC-MBU380-HIST)
150300                 SET X-PTA-NBR-AMT
150400                                 TO X-MTCC-MBU380-HIST
150500                 ADD MMPA-NBR (X-MMPA)
150600                                 TO WS-PTA-RETURN-NBR
150700                                    (X-WS-PTA X-PTA-NBR-AMT)
150800                 ADD MMPA-AMT (X-MMPA)
150900                                 TO WS-PTA-RETURN-AMT
151000                                    (X-WS-PTA X-PTA-NBR-AMT)
151100             END-PERFORM
151200         WHEN MMTCWS-LM-RETURN-REV
151300             PERFORM
151400                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
151500                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
151600                 SET X-MMPA      TO MTCC-MBU380-HIST-PERIOD
151700                                    (X-MTCC-MBU380-HIST)
151800                 SET X-PTA-NBR-AMT
151900                                 TO X-MTCC-MBU380-HIST
152000                 SUBTRACT MMPA-NBR (X-MMPA)
152100                                 FROM WS-PTA-RETURN-NBR
152200                                      (X-WS-PTA X-PTA-NBR-AMT)
152300                 SUBTRACT MMPA-AMT (X-MMPA)
152400                                 FROM WS-PTA-RETURN-AMT
152500                                      (X-WS-PTA X-PTA-NBR-AMT)
152600             END-PERFORM
152700     END-EVALUATE.
152800*
152900 C205-CALC-HIST.
153000*
153100     IF  MTCC-MBU380-HIST-NO
153200         GO TO C299-PD-EXIT.
153300*
153400     EVALUATE TRUE
153500         WHEN (MMPA-DETAIL
153600          AND (MMTCWS-LM-CR-FEES
153700           OR  MMTCWS-LM-REFUND))
153800             PERFORM
153900                 VARYING X-WS-HTA FROM 1 BY 1
154000                 UNTIL   X-WS-HTA IS GREATER THAN 12
154100                 SET X-MMPA      TO X-WS-HTA
154200                 SUBTRACT MMPA-AMT (X-MMPA)
154300                                 FROM  WS-HTA-TOTAL-INCOME
154400                                       (X-WS-HTA)
154500             END-PERFORM
154600         WHEN (MMPA-DETAIL
154700          AND (MMTCWS-LM-DR-FEES
154800           OR  MMTCWS-LM-DISCOUNT))
154900             PERFORM
155000                 VARYING X-WS-HTA FROM 1 BY 1
155100                 UNTIL   X-WS-HTA IS GREATER THAN 12
155200                 SET X-MMPA      TO X-WS-HTA
155300                 ADD MMPA-AMT (X-MMPA)
155400                                 TO WS-HTA-TOTAL-INCOME
155500                                    (X-WS-HTA)
155600             END-PERFORM
155700     END-EVALUATE.
155800*
155900     EVALUATE TRUE
156000         WHEN (MMTCWS-LM-SALE
156100          AND  MMPA-DETAIL)
156200             PERFORM
156300                 VARYING X-WS-HTA FROM 1 BY 1
156400                 UNTIL   X-WS-HTA IS GREATER THAN 12
156500                    SET X-MMPA   TO X-WS-HTA
156600                    ADD MMPA-NBR (X-MMPA)
156700                                 TO WS-HTA-SALE-NBR (X-WS-HTA)
156800                    ADD MMPA-AMT (X-MMPA)
156900                                 TO WS-HTA-SALE-AMT (X-WS-HTA)
157000             END-PERFORM
157100         WHEN (MMTCWS-LM-SALE-REV
157200          AND  MMPA-DETAIL)
157300             PERFORM
157400                 VARYING X-WS-HTA FROM 1 BY 1
157500                 UNTIL   X-WS-HTA IS GREATER THAN 12
157600                 SET X-MMPA      TO X-WS-HTA
157700                 SUBTRACT MMPA-NBR (X-MMPA)
157800                               FROM WS-HTA-SALE-NBR (X-WS-HTA)
157900                 SUBTRACT MMPA-AMT (X-MMPA)
158000                               FROM WS-HTA-SALE-AMT (X-WS-HTA)
158100             END-PERFORM
158200         WHEN (MMTCWS-LM-RETURN
158300          AND  MMPA-DETAIL)
158400             PERFORM
158500                 VARYING X-WS-HTA FROM 1 BY 1
158600                 UNTIL   X-WS-HTA IS GREATER THAN 12
158700                 SET X-MMPA      TO X-WS-HTA
158800                 ADD MMPA-NBR (X-MMPA)
158900                                 TO WS-HTA-RETURN-NBR (X-WS-HTA)
159000                 ADD MMPA-AMT (X-MMPA)
159100                                 TO WS-HTA-RETURN-AMT (X-WS-HTA)
159200             END-PERFORM
159300         WHEN (MMTCWS-LM-RETURN-REV
159400          AND  MMPA-DETAIL)
159500             PERFORM
159600                 VARYING X-WS-HTA FROM 1 BY 1
159700                 UNTIL   X-WS-HTA IS GREATER THAN 12
159800                 SET X-MMPA      TO X-WS-HTA
159900                 SUBTRACT MMPA-NBR (X-MMPA)
160000                               FROM WS-HTA-RETURN-NBR (X-WS-HTA)
160100                 SUBTRACT MMPA-AMT (X-MMPA)
160200                               FROM WS-HTA-RETURN-AMT (X-WS-HTA)
160300             END-PERFORM
160400         WHEN (MMTCWS-LM-RECOVERY-ADJ-CR
160500          AND  MMPA-DETAIL)
160600             PERFORM
160700                 VARYING X-WS-HTA FROM 1 BY 1
160800                 UNTIL   X-WS-HTA IS GREATER THAN 12
160900                 SET X-MMPA      TO X-WS-HTA
161000                 ADD MMPA-NBR (X-MMPA)
161100                                 TO WS-HTA-REC-ADJ-NBR (X-WS-HTA)
161200                 ADD MMPA-AMT (X-MMPA)
161300                                 TO WS-HTA-REC-ADJ-AMT (X-WS-HTA)
161400             END-PERFORM
161500         WHEN (MMTCWS-LM-RECOVERY-ADJ-DR
161600          AND  MMPA-DETAIL)
161700             PERFORM
161800                 VARYING X-WS-HTA FROM 1 BY 1
161900                 UNTIL   X-WS-HTA IS GREATER THAN 12
162000                 SET X-MMPA      TO X-WS-HTA
162100                 SUBTRACT MMPA-NBR (X-MMPA)
162200                               FROM WS-HTA-REC-ADJ-NBR (X-WS-HTA)
162300                 SUBTRACT MMPA-AMT (X-MMPA)
162400                               FROM WS-HTA-REC-ADJ-AMT (X-WS-HTA)
162500             END-PERFORM
162600         WHEN (MMTCWS-LM-ADJ-CR
162700          AND  MMPA-DETAIL)
162800             PERFORM
162900                 VARYING X-WS-HTA FROM 1 BY 1
163000                 UNTIL   X-WS-HTA IS GREATER THAN 12
163100                 SET X-MMPA      TO X-WS-HTA
163200                 ADD MMPA-NBR (X-MMPA)
163300                                 TO WS-HTA-ADJ-NBR (X-WS-HTA)
163400                 ADD MMPA-AMT (X-MMPA)
163500                                 TO WS-HTA-ADJ-AMT (X-WS-HTA)
163600             END-PERFORM
163700         WHEN (MMTCWS-LM-ADJ-DR
163800          AND  MMPA-DETAIL)
163900             PERFORM
164000                 VARYING X-WS-HTA FROM 1 BY 1
164100                 UNTIL   X-WS-HTA IS GREATER THAN 12
164200                 SET X-MMPA      TO X-WS-HTA
164300                 SUBTRACT MMPA-NBR (X-MMPA)
164400                               FROM WS-HTA-ADJ-NBR (X-WS-HTA)
164500                 SUBTRACT MMPA-AMT (X-MMPA)
164600                               FROM WS-HTA-ADJ-AMT (X-WS-HTA)
164700             END-PERFORM
164800     END-EVALUATE.
164900*
165000 C299-PD-EXIT.
165100     EXIT.
165200/
165300 C300-PRODUCT-TOTALS SECTION.
165400 C301-PT-BEGIN.
165500*
165600     IF  WS-PTA-NO-ACTIVITY (X-WS-PTA)
165700     OR  MTCC-MBU380-PROD-NO
165800         GO TO C399-PT-EXIT.
165900*
166000     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
166100     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
166200     SET MTRF-K2-O88-RS-PRODUCT  TO TRUE.
166300     SET MTRF-K2-O88-RT-PROD-TOTALS
166400                                 TO TRUE.
166500     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
166600     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
166700     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
166800     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
166900     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
167000*
167100     MOVE SPACES                 TO MTRF-O88-QL-DESC.
167200*
167300     EVALUATE TRUE
167400         WHEN X-WS-PTA IS EQUAL TO 101
167500             SET MTRF-K2-O88-ALL-PRODUCTS
167600                                 TO TRUE
167700         WHEN X-WS-PTA IS EQUAL TO 100
167800             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
167900         WHEN OTHER
168000             SET  MTRF-K2-O88-PRODUCT
168100                                 TO X-WS-PTA
168200     END-EVALUATE.
168300*
168400     PERFORM
168500         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
168600         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
168700         SET X-PTA-NBR-AMT       TO X-MTCC-MBU380-HIST
168800         SET X-O88-PQ-TOT        TO X-MTCC-MBU380-HIST
168900         COMPUTE MTRF-O88-PQ-NET-SALES (X-O88-PQ-TOT)
169000                                 =  WS-PTA-SALE-AMT
169100                                    (X-WS-PTA X-PTA-NBR-AMT)
169200                                 -  WS-PTA-RETURN-AMT
169300                                    (X-WS-PTA X-PTA-NBR-AMT)
169400*
169500         IF  WS-PTA-SALE-NBR (X-WS-PTA X-PTA-NBR-AMT)
169600                                 IS NOT GREATER THAN ZERO
169700             MOVE ZERO           TO MTRF-O88-PQ-AVG-TKT
169800                                    (X-O88-PQ-TOT)
169900         ELSE
170000             COMPUTE MTRF-O88-PQ-AVG-TKT (X-O88-PQ-TOT) ROUNDED
170100                                 =  WS-PTA-SALE-AMT
170200                                    (X-WS-PTA X-PTA-NBR-AMT)
170300                                 /  WS-PTA-SALE-NBR
170400                                    (X-WS-PTA X-PTA-NBR-AMT)
170500         END-IF
170600*
170700         MOVE WS-PTA-TOTAL-INCOME (X-WS-PTA X-PTA-NBR-AMT)
170800                                 TO MTRF-O88-PQ-TOTAL-INCOME
170900                                    (X-O88-PQ-TOT)
171000     END-PERFORM.
171100*
171200     IF  MTCC-MBU380-PROD-TOT
171300     AND X-WS-PTA IS NOT EQUAL TO 101
171400         GO TO C399-PT-EXIT.
171500*
171600     PERFORM R980-WRITE-REPORT-FILE
171700        THRU R989-WRF-EXIT.
171800*
171900 C399-PT-EXIT.
172000     EXIT.
172100/
172200 D000-PRODUCT-QL-HEADER SECTION.
172300 D001-PQLH-BEGIN.
172400*
172500     IF  WS-QTA-PROD-NO-ACTIVITY (X-WS-QTA)
172600     OR  MTCC-MBU380-QUAL-NO
172700         GO TO D099-PQLH-EXIT.
172800*
172900     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
173000     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
173100     SET MTRF-K2-O88-RS-QUAL-LEVEL
173200                                 TO TRUE.
173300     SET MTRF-K2-O88-RT-PROD-QL-HEADER
173400                                 TO TRUE.
173500     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
173600     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
173700     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
173800     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
173900     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
174000*
174100     MOVE SPACES                 TO MTRF-O88-QL-DESC.
174200*
174300     EVALUATE TRUE
174400         WHEN X-WS-QTA IS EQUAL TO 101
174500             SET MTRF-K2-O88-ALL-PRODUCTS
174600                                 TO TRUE
174700             MOVE '**ALL PRODUCTS**'
174800                                 TO MTRF-O88-PROD-DESC
174900         WHEN X-WS-QTA IS EQUAL TO 100
175000             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
175100             MOVE 'MERCHANT LEVEL  '
175200                                 TO MTRF-O88-PROD-DESC
175300         WHEN OTHER
175400             SET  MTRF-K2-O88-PRODUCT
175500                                 TO X-WS-QTA
175600             SET  X-MMOC-PROD    TO X-WS-QTA
175700             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
175800                                 TO MTRF-O88-PROD-DESC
175900     END-EVALUATE.
176000*
176100     PERFORM R980-WRITE-REPORT-FILE
176200        THRU R989-WRF-EXIT.
176300*
176400 D099-PQLH-EXIT.
176500     EXIT.
176600/
176700 D100-QUAL-LEVEL-HEADER SECTION.
176800 D101-QLH-BEGIN.
176900*
177000     IF  WS-QTA-NO-ACTIVITY (X-WS-QTA X-WS-QTA-QL)
177100     OR  MTCC-MBU380-QUAL-NO
177200         GO TO D199-QLH-EXIT.
177300*
177400     IF  X-WS-QTA IS GREATER THAN 2
177500     AND X-WS-QTA-QL IS GREATER THAN 9
177600         GO TO D199-QLH-EXIT.
177700*
177800     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
177900     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
178000     MOVE ZEROS                  TO MTRF-K2-O88-CREDIT-PLAN.
178100     SET MTRF-K2-O88-RS-QUAL-LEVEL
178200                                 TO TRUE.
178300     SET MTRF-K2-O88-RT-QL-HEADER
178400                                 TO TRUE.
178500     SET MTRF-K2-O88-QUAL-LEVEL  TO X-WS-QTA-QL.
178600     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
178700     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
178800     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
178900     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
179000*
179100     EVALUATE TRUE
179200         WHEN X-WS-QTA IS EQUAL TO 101
179300             SET MTRF-K2-O88-ALL-PRODUCTS
179400                                 TO TRUE
179500             MOVE 'ALL QUAL-LEVELS'
179600                                 TO MTRF-O88-PROD-DESC
179700         WHEN X-WS-QTA IS EQUAL TO 100
179800             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
179900             MOVE 'MERCHANT LEVEL  '
180000                                 TO MTRF-O88-PROD-DESC
180100         WHEN OTHER
180200             SET  MTRF-K2-O88-PRODUCT
180300                                 TO X-WS-QTA
180400             SET  X-MMOC-PROD    TO X-WS-QTA
180500             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
180600                                 TO MTRF-O88-PROD-DESC
180700     END-EVALUATE.
180800*
180900     MOVE SPACES                 TO MTRF-O88-QL-DESC.
181000*
181100     EVALUATE TRUE
181200         WHEN X-WS-QTA IS GREATER THAN 99
181300             MOVE 'QUAL LEVEL-'
181400                                 TO MTRF-O88-QL-DESC
181500             SET  WS-U380-QL-DISPLAY
181600                                 TO X-WS-QTA-QL
181700             MOVE WS-U380-QL-DISPLAY-X
181800                                 TO MTRF-O88-QL-DESC (12:2)
181900         WHEN (X-WS-QTA IS EQUAL TO 1
182000           OR  X-WS-QTA IS EQUAL TO 2)
182100             SET X-MB80WS-IFT    TO X-WS-QTA
182200             SET X-MB80WS-QL     TO X-WS-QTA-QL
182300             MOVE MB80WS-INTCHG-QL-DESC
182400                  (X-MB80WS-IFT X-MB80WS-QL)
182500                                 TO MTRF-O88-QL-DESC
182600         WHEN OTHER
182700             SET X-MB80WS-PL-IFT TO X-WS-QTA
182800             SET X-MB80WS-PL-QL  TO X-WS-QTA-QL
182900             MOVE MB80WS-PL-INTCHG-QL-DESC
183000                  (X-MB80WS-PL-IFT X-MB80WS-PL-QL)
183100                                 TO MTRF-O88-QL-DESC
183200     END-EVALUATE.
183300*
183400     PERFORM R980-WRITE-REPORT-FILE
183500        THRU R989-WRF-EXIT.
183600*
183700 D199-QLH-EXIT.
183800     EXIT.
183900/
184000 D200-QUAL-LEVEL-DETAIL SECTION.
184100 D201-QLD-BEGIN.
184200*
184300     IF  MTCC-MBU380-QUAL-NO
184400         GO TO D299-QLD-EXIT.
184500*
184600     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
184700     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
184800     MOVE ZEROS                  TO MTRF-K2-O88-CREDIT-PLAN.
184900     SET MTRF-K2-O88-RS-QUAL-LEVEL
185000                                 TO TRUE.
185100*
185200     IF  MMOI-DETAIL
185300         EVALUATE TRUE
185400             WHEN MMOI-PRODUCT IS GREATER THAN ZERO
185500                 SET X-WS-QTA    TO MMOI-PRODUCT
185600             WHEN OTHER
185700                 SET X-WS-QTA    TO 100
185800         END-EVALUATE
185900         MOVE MMOI-PRODUCT       TO MTRF-K2-O88-PRODUCT
186000     ELSE
186100         SET X-WS-QTA            TO 101
186200         SET MTRF-K2-O88-ALL-PRODUCTS
186300                                 TO TRUE.
186400*
186500     IF  MMOI-QUAL-LEVEL IS GREATER THAN ZERO
186600         EVALUATE TRUE
186700             WHEN (MMOI-PROD-IS-VISA
186800               OR  MMOI-PROD-IS-MC)
186900                 SET X-WS-QTA-QL TO MMOI-QUAL-LEVEL
187000             WHEN OTHER
187100                 IF  MMOI-QUAL-LEVEL IS GREATER THAN 9
187200                     SET X-WS-QTA-QL
187300                                 TO 9
187400                 ELSE
187500                     SET X-WS-QTA-QL
187600                                 TO MMOI-QUAL-LEVEL
187700                 END-IF
187800         END-EVALUATE
187900     ELSE
188000         EVALUATE TRUE
188100             WHEN (MMOI-PROD-IS-VISA
188200               OR  MMOI-PROD-IS-MC)
188300                 SET X-WS-QTA-QL TO 99
188400             WHEN OTHER
188500                 SET X-WS-QTA-QL TO 9
188600         END-EVALUATE.
188700*
188800     SET MTRF-K2-O88-RT-QL-DETAIL
188900                                 TO TRUE.
189000     SET MTRF-K2-O88-QUAL-LEVEL  TO X-WS-QTA-QL.
189100     MOVE MMOI-LOGIC-MODULE      TO MTRF-K2-O88-LOGIC-MODULE.
189200     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
189300     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
189400     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
189500*
189600     MOVE MMOI-LOGIC-MODULE      TO MTRF-O88-LOGIC-MODULE.
189700*
189800     PERFORM
189900         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
190000         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
190100         SET X-MMOI              TO MTCC-MBU380-HIST-PERIOD
190200                                    (X-MTCC-MBU380-HIST)
190300         SET X-O88-PQ-DET        TO X-MTCC-MBU380-HIST
190400         MOVE MMOI-NBR (X-MMOI)  TO MTRF-O88-NBR-DET
190500                                    (X-O88-PQ-DET)
190600         MOVE MMOI-AMT (X-MMOI)  TO MTRF-O88-AMT-DET
190700                                    (X-O88-PQ-DET)
190800     END-PERFORM.
190900*
191000     PERFORM R980-WRITE-REPORT-FILE
191100        THRU R989-WRF-EXIT.
191200*
191300     SET WS-QTA-ACTIVITY (X-WS-QTA X-WS-QTA-QL)
191400                                 TO TRUE.
191500     SET WS-QTA-PROD-ACTIVITY (X-WS-QTA)
191600                                 TO TRUE.
191700*
191800     EVALUATE TRUE
191900         WHEN MMTCWS-LM-SALE
192000             PERFORM
192100                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
192200                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
192300                 SET X-MMOI      TO MTCC-MBU380-HIST-PERIOD
192400                                    (X-MTCC-MBU380-HIST)
192500                 SET X-QTA-NBR-AMT
192600                                 TO X-MTCC-MBU380-HIST
192700                 ADD MMOI-NBR (X-MMOI)
192800                                 TO WS-QTA-SALE-NBR
192900                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
193000                 ADD MMOI-AMT (X-MMOI)
193100                                 TO WS-QTA-SALE-AMT
193200                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
193300             END-PERFORM
193400         WHEN MMTCWS-LM-SALE-REV
193500             PERFORM
193600                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
193700                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
193800                 SET X-MMOI      TO MTCC-MBU380-HIST-PERIOD
193900                                    (X-MTCC-MBU380-HIST)
194000                 SET X-QTA-NBR-AMT
194100                                 TO X-MTCC-MBU380-HIST
194200                 SUBTRACT MMOI-NBR (X-MMOI)
194300                                 FROM WS-QTA-SALE-NBR
194400                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
194500                 SUBTRACT MMOI-AMT (X-MMOI)
194600                                 FROM WS-QTA-SALE-AMT
194700                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
194800             END-PERFORM
194900         WHEN MMTCWS-LM-RETURN
195000             PERFORM
195100                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
195200                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
195300                 SET X-MMOI      TO MTCC-MBU380-HIST-PERIOD
195400                                    (X-MTCC-MBU380-HIST)
195500                 SET X-QTA-NBR-AMT
195600                                 TO X-MTCC-MBU380-HIST
195700                 ADD MMOI-NBR (X-MMOI)
195800                                 TO WS-QTA-RETURN-NBR
195900                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
196000                 ADD MMOI-AMT (X-MMOI)
196100                                 TO WS-QTA-RETURN-AMT
196200                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
196300             END-PERFORM
196400         WHEN MMTCWS-LM-RETURN-REV
196500             PERFORM
196600                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
196700                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
196800                 SET X-MMOI      TO MTCC-MBU380-HIST-PERIOD
196900                                    (X-MTCC-MBU380-HIST)
197000                 SET X-QTA-NBR-AMT
197100                                 TO X-MTCC-MBU380-HIST
197200                 SUBTRACT MMOI-NBR (X-MMOI)
197300                                 FROM WS-QTA-RETURN-NBR
197400                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
197500                 SUBTRACT MMOI-AMT (X-MMOI)
197600                                 FROM WS-QTA-RETURN-AMT
197700                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
197800             END-PERFORM
197900     END-EVALUATE.
198000*
198100 D299-QLD-EXIT.
198200     EXIT.
198300/
198400 D300-QUAL-LEVEL-TOTALS SECTION.
198500 D301-QLT-BEGIN.
198600*
198700     IF  WS-QTA-NO-ACTIVITY (X-WS-QTA X-WS-QTA-QL)
198800     OR  MTCC-MBU380-QUAL-NO
198900         GO TO D399-QLT-EXIT.
199000*
199100     IF  X-WS-QTA IS GREATER THAN 2
199200     AND X-WS-QTA-QL IS GREATER THAN 9
199300         GO TO D399-QLT-EXIT.
199400*
199500     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
199600     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
199700     MOVE ZEROS                  TO MTRF-K2-O88-CREDIT-PLAN.
199800     SET MTRF-K2-O88-RS-QUAL-LEVEL
199900                                 TO TRUE.
200000     SET MTRF-K2-O88-RT-QL-TOTALS
200100                                 TO TRUE.
200200     SET MTRF-K2-O88-QUAL-LEVEL  TO X-WS-QTA-QL.
200300     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
200400     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
200500     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
200600     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
200700*
200800     MOVE SPACES                 TO MTRF-O88-QL-DESC.
200900*
201000     INITIALIZE MTRF-O88-PROD-QL-TOTALS.
201100*
201200     EVALUATE TRUE
201300         WHEN X-WS-QTA IS EQUAL TO 101
201400             SET MTRF-K2-O88-ALL-PRODUCTS
201500                                 TO TRUE
201600         WHEN X-WS-QTA IS EQUAL TO 100
201700             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
201800         WHEN OTHER
201900             SET  MTRF-K2-O88-PRODUCT
202000                                 TO X-WS-QTA
202100     END-EVALUATE.
202200*
202300*
202400     PERFORM
202500         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
202600         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
202700         SET X-QTA-NBR-AMT       TO X-MTCC-MBU380-HIST
202800         SET X-O88-PQ-TOT        TO X-MTCC-MBU380-HIST
202900         COMPUTE MTRF-O88-PQ-NET-SALES (X-O88-PQ-TOT)
203000                                 =  WS-QTA-SALE-AMT
203100                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
203200                                 -  WS-QTA-RETURN-AMT
203300                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
203400*
203500         IF  WS-QTA-SALE-NBR (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
203600                                 IS NOT GREATER THAN ZERO
203700             MOVE ZERO           TO MTRF-O88-PQ-AVG-TKT
203800                                    (X-O88-PQ-TOT)
203900         ELSE
204000             COMPUTE MTRF-O88-PQ-AVG-TKT (X-O88-PQ-TOT) ROUNDED
204100                                 =  WS-QTA-SALE-AMT
204200                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
204300                                 /  WS-QTA-SALE-NBR
204400                             (X-WS-QTA X-WS-QTA-QL X-QTA-NBR-AMT)
204500         END-IF
204600     END-PERFORM.
204700*
204800     PERFORM R980-WRITE-REPORT-FILE
204900        THRU R989-WRF-EXIT.
205000*
205100 D399-QLT-EXIT.
205200     EXIT.
205300/
205400 E000-PRODUCT-CP-HEADER SECTION.
205500 E001-PCPH-BEGIN.
205600*
205700     IF  MTCC-MBU380-PLAN-NO
205800         GO TO E099-PCPH-EXIT.
205900*
206000     IF (MTCC-MBU380-ORG-OPTION
206100     OR  MTCC-MBU380-SYSTEM-OPTION)
206200         IF  MMCP-ORG IS GREATER THAN
206300                                 MMOC-ORG
206400            GO TO E001-CONT
206500         ELSE
206600             IF  MMCP-PRODUCT IS EQUAL TO WS-PREV-PROD
206700                 GO TO E099-PCPH-EXIT
206800             ELSE
206900                 GO TO E001-CONT.
207000*
207100     IF  MMCP-ORG-ACCT     IS GREATER THAN
207200                                 MMMM-ORG-MERCHANT
207300         NEXT SENTENCE
207400     ELSE
207500         IF  MMCP-PRODUCT IS EQUAL TO WS-PREV-PROD
207600             GO TO E099-PCPH-EXIT.
207700*
207800 E001-CONT.
207900*
208000     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
208100     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
208200     SET MTRF-K2-O88-RS-CREDIT-PLAN
208300                                 TO TRUE.
208400     SET MTRF-K2-O88-RT-PROD-CP-HEADER
208500                                 TO TRUE.
208600     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
208700     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
208800     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
208900     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
209000     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
209100*
209200     MOVE SPACES                 TO MTRF-O88-QL-DESC
209300                                    MTRF-O88-CP-DESC.
209400*
209500     EVALUATE TRUE
209600         WHEN WS-CTA IS EQUAL TO 101
209700             SET MTRF-K2-O88-ALL-PRODUCTS
209800                                 TO TRUE
209900             MOVE '**ALL PRODUCTS**'
210000                                 TO MTRF-O88-PROD-DESC
210100         WHEN WS-CTA IS EQUAL TO 100
210200             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
210300             MOVE 'MERCHANT LEVEL  '
210400                                 TO MTRF-O88-PROD-DESC
210500         WHEN OTHER
210600             MOVE WS-PREV-PROD   TO MTRF-K2-O88-PRODUCT
210700             SET  X-MMOC-PROD    TO WS-PREV-PROD
210800             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
210900                                 TO MTRF-O88-PROD-DESC
211000     END-EVALUATE.
211100*
211200     PERFORM R980-WRITE-REPORT-FILE
211300        THRU R989-WRF-EXIT.
211400*
211500 E099-PCPH-EXIT.
211600     EXIT.
211700/
211800 E100-CREDIT-PLAN-HEADER SECTION.
211900 E101-CPH-BEGIN.
212000*
212100     IF  MTCC-MBU380-PLAN-NO
212200         GO TO E199-CPH-EXIT.
212300*
212400     IF (MTCC-MBU380-ORG-OPTION
212500     OR  MTCC-MBU380-SYSTEM-OPTION)
212600         IF  MMCP-ORG IS GREATER THAN
212700                                 MMOC-ORG
212800             GO TO E101-CONT
212900         ELSE
213000             IF  (MMCP-PRODUCT IS NOT EQUAL TO WS-PREV-PROD
213100             OR  MMCP-PLAN IS NOT EQUAL TO WS-PREV-PLAN)
213200                 GO TO E101-CONT
213300             ELSE
213400                 GO TO E199-CPH-EXIT.
213500*
213600     IF  MMCP-ORG-ACCT     IS GREATER THAN
213700                                 MMMM-ORG-MERCHANT
213800         NEXT SENTENCE
213900     ELSE
214000         IF  (MMCP-PRODUCT IS NOT EQUAL TO WS-PREV-PROD
214100         OR  MMCP-PLAN IS NOT EQUAL TO WS-PREV-PLAN)
214200             NEXT SENTENCE
214300         ELSE
214400             GO TO E199-CPH-EXIT.
214500*
214600 E101-CONT.
214700*
214800     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
214900     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
215000     SET MTRF-K2-O88-RS-CREDIT-PLAN
215100                                 TO TRUE.
215200     SET MTRF-K2-O88-RT-CP-HEADER
215300                                 TO TRUE.
215400     MOVE WS-PREV-PLAN           TO MTRF-K2-O88-CREDIT-PLAN.
215500     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
215600     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
215700     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
215800     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
215900*
216000     EVALUATE TRUE
216100         WHEN WS-CTA IS EQUAL TO 101
216200             SET MTRF-K2-O88-ALL-PRODUCTS
216300                                 TO TRUE
216400             MOVE 'ALL CREDIT-PLANS'
216500                                 TO MTRF-O88-PROD-DESC
216600         WHEN WS-CTA IS EQUAL TO 100
216700             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
216800             MOVE 'MERCHANT LEVEL  '
216900                                 TO MTRF-O88-PROD-DESC
217000         WHEN OTHER
217100             MOVE WS-PREV-PROD   TO MTRF-K2-O88-PRODUCT
217200             SET  X-MMOC-PROD    TO WS-PREV-PROD
217300             MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
217400                                 TO MTRF-O88-PROD-DESC
217500     END-EVALUATE.
217600*
217700     MOVE SPACES                 TO MTRF-O88-QL-DESC.
217800*
217900     MOVE 'CREDIT PLAN'          TO MTRF-O88-QL-DESC.
218000     MOVE MMCP-PLAN              TO WS-U380-CP-DISPLAY.
218100     MOVE WS-U380-CP-DISPLAY-X   TO MTRF-O88-CP-DESC (13:5).
218200*
218300     PERFORM R980-WRITE-REPORT-FILE
218400        THRU R989-WRF-EXIT.
218500*
218600 E199-CPH-EXIT.
218700     EXIT.
218800/
218900 E200-CREDIT-PLAN-DETAIL SECTION.
219000 E201-CPD-BEGIN.
219100*
219200     IF  MTCC-MBU380-PLAN-NO
219300         GO TO E299-CPD-EXIT.
219400*
219500     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
219600     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
219700     SET MTRF-K2-O88-RS-CREDIT-PLAN
219800                                 TO TRUE.
219900*
220000     IF  MMCP-DETAIL
220100         EVALUATE TRUE
220200             WHEN MMCP-PRODUCT IS GREATER THAN ZERO
220300                 MOVE MMCP-PRODUCT
220400                                 TO WS-CTA
220500             WHEN OTHER
220600                 MOVE 100        TO WS-CTA
220700         END-EVALUATE
220800         MOVE MMCP-PRODUCT       TO MTRF-K2-O88-PRODUCT
220900     ELSE
221000         MOVE 101                TO WS-CTA
221100         SET MTRF-K2-O88-ALL-PRODUCTS
221200                                 TO TRUE.
221300*
221400     SET MTRF-K2-O88-RT-CP-DETAIL
221500                                 TO TRUE.
221600     MOVE MMCP-PLAN              TO MTRF-K2-O88-CREDIT-PLAN.
221700     MOVE MMCP-LOGIC-MODULE      TO MTRF-K2-O88-LOGIC-MODULE.
221800     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
221900     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
222000     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
222100*
222200     MOVE MMCP-LOGIC-MODULE      TO MTRF-O88-LOGIC-MODULE.
222300*
222400     PERFORM
222500         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
222600         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
222700         SET X-MMCP              TO MTCC-MBU380-HIST-PERIOD
222800                                    (X-MTCC-MBU380-HIST)
222900         SET X-O88-PQ-DET        TO X-MTCC-MBU380-HIST
223000         MOVE MMCP-NBR (X-MMCP)  TO MTRF-O88-NBR-DET
223100                                    (X-O88-PQ-DET)
223200         MOVE MMCP-AMT (X-MMCP)  TO MTRF-O88-AMT-DET
223300                                    (X-O88-PQ-DET)
223400     END-PERFORM.
223500*
223600     PERFORM R980-WRITE-REPORT-FILE
223700        THRU R989-WRF-EXIT.
223800*
223900     EVALUATE TRUE
224000         WHEN MMTCWS-LM-SALE
224100             PERFORM
224200                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
224300                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
224400                 SET X-MMCP      TO MTCC-MBU380-HIST-PERIOD
224500                                    (X-MTCC-MBU380-HIST)
224600                 SET X-CTA-NBR-AMT
224700                                 TO X-MTCC-MBU380-HIST
224800                 ADD MMCP-NBR (X-MMCP)
224900                                 TO WS-CTA-SALE-NBR
225000                                    (X-CTA-NBR-AMT)
225100                 ADD MMCP-AMT (X-MMCP)
225200                                 TO WS-CTA-SALE-AMT
225300                                    (X-CTA-NBR-AMT)
225400             END-PERFORM
225500         WHEN MMTCWS-LM-SALE-REV
225600             PERFORM
225700                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
225800                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
225900                 SET X-MMCP      TO MTCC-MBU380-HIST-PERIOD
226000                                    (X-MTCC-MBU380-HIST)
226100                 SET X-CTA-NBR-AMT
226200                                 TO X-MTCC-MBU380-HIST
226300                 SUBTRACT MMCP-NBR (X-MMCP)
226400                                 FROM WS-CTA-SALE-NBR
226500                                    (X-CTA-NBR-AMT)
226600                 SUBTRACT MMCP-AMT (X-MMCP)
226700                                 FROM WS-CTA-SALE-AMT
226800                                    (X-CTA-NBR-AMT)
226900             END-PERFORM
227000         WHEN MMTCWS-LM-RETURN
227100             PERFORM
227200                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
227300                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
227400                 SET X-MMCP      TO MTCC-MBU380-HIST-PERIOD
227500                                    (X-MTCC-MBU380-HIST)
227600                 SET X-CTA-NBR-AMT
227700                                 TO X-MTCC-MBU380-HIST
227800                 ADD MMCP-NBR (X-MMCP)
227900                                 TO WS-CTA-RETURN-NBR
228000                                    (X-CTA-NBR-AMT)
228100                 ADD MMCP-AMT (X-MMCP)
228200                                 TO WS-CTA-RETURN-AMT
228300                                    (X-CTA-NBR-AMT)
228400             END-PERFORM
228500         WHEN MMTCWS-LM-RETURN-REV
228600             PERFORM
228700                 VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
228800                 UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
228900                 SET X-MMCP      TO MTCC-MBU380-HIST-PERIOD
229000                                    (X-MTCC-MBU380-HIST)
229100                 SET X-CTA-NBR-AMT
229200                                 TO X-MTCC-MBU380-HIST
229300                 SUBTRACT MMCP-NBR (X-MMCP)
229400                                 FROM WS-CTA-RETURN-NBR
229500                                   (X-CTA-NBR-AMT)
229600                 SUBTRACT MMCP-AMT (X-MMCP)
229700                                 FROM WS-CTA-RETURN-AMT
229800                                   (X-CTA-NBR-AMT)
229900             END-PERFORM
230000     END-EVALUATE.
230100*
230200 E299-CPD-EXIT.
230300     EXIT.
230400/
230500 E300-CREDIT-PLAN-TOTALS SECTION.
230600 E301-CPT-BEGIN.
230700*
230800     IF  MTCC-MBU380-PLAN-NO
230900         GO TO E399-CPT-EXIT.
231000*
231100     IF (MTCC-MBU380-ORG-OPTION
231200     OR  MTCC-MBU380-SYSTEM-OPTION)
231300         IF  MMCP-ORG IS GREATER THAN
231400                                 MMOC-ORG
231500             GO TO E301-CONT
231600         ELSE
231700             IF (MMCP-PRODUCT IS NOT EQUAL TO WS-PREV-PROD
231800             OR  MMCP-PLAN IS NOT EQUAL TO WS-PREV-PLAN)
231900                 GO TO E301-CONT
232000             ELSE
232100                 GO TO E399-CPT-EXIT.
232200*
232300     IF  MMCP-ORG-ACCT     IS GREATER THAN
232400                                 MMMM-ORG-MERCHANT
232500         NEXT SENTENCE
232600     ELSE
232700         IF  MMCP-PRODUCT IS NOT EQUAL TO WS-PREV-PROD
232800         OR  MMCP-PLAN IS NOT EQUAL TO WS-PREV-PLAN
232900             NEXT SENTENCE
233000         ELSE
233100             GO TO E399-CPT-EXIT.
233200*
233300 E301-CONT.
233400*
233500     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
233600     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
233700     SET MTRF-K2-O88-RS-CREDIT-PLAN
233800                                 TO TRUE.
233900     SET MTRF-K2-O88-RT-CP-TOTALS
234000                                 TO TRUE.
234100     MOVE WS-PREV-PLAN           TO MTRF-K2-O88-CREDIT-PLAN.
234200     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
234300     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
234400     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
234500     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
234600*
234700     MOVE SPACES                 TO MTRF-O88-QL-DESC.
234800*
234900     INITIALIZE MTRF-O88-PROD-QL-TOTALS.
235000*
235100     EVALUATE TRUE
235200         WHEN WS-CTA IS EQUAL TO 101
235300             SET MTRF-K2-O88-ALL-PRODUCTS
235400                                 TO TRUE
235500         WHEN WS-CTA IS EQUAL TO 100
235600             MOVE ZERO           TO MTRF-K2-O88-PRODUCT
235700         WHEN OTHER
235800             MOVE WS-PREV-PROD   TO MTRF-K2-O88-PRODUCT
235900     END-EVALUATE.
236000*
236100*
236200     PERFORM
236300         VARYING X-MTCC-MBU380-HIST FROM 1 BY 1
236400         UNTIL X-MTCC-MBU380-HIST IS GREATER THAN 3
236500         SET X-CTA-NBR-AMT       TO X-MTCC-MBU380-HIST
236600         SET X-O88-PQ-TOT        TO X-MTCC-MBU380-HIST
236700         COMPUTE MTRF-O88-PQ-NET-SALES (X-O88-PQ-TOT)
236800                                 =  WS-CTA-SALE-AMT
236900                                    (X-CTA-NBR-AMT)
237000                                 -  WS-CTA-RETURN-AMT
237100                                    (X-CTA-NBR-AMT)
237200*
237300         IF  WS-CTA-SALE-NBR (X-CTA-NBR-AMT)
237400                                 IS NOT GREATER THAN ZERO
237500             MOVE ZERO       TO MTRF-O88-PQ-AVG-TKT
237600                                    (X-O88-PQ-TOT)
237700         ELSE
237800             COMPUTE MTRF-O88-PQ-AVG-TKT (X-O88-PQ-TOT)
237900                                             ROUNDED
238000                                 =  WS-CTA-SALE-AMT
238100                                    (X-CTA-NBR-AMT)
238200                                 /  WS-CTA-SALE-NBR
238300                                    (X-CTA-NBR-AMT)
238400         END-IF
238500     END-PERFORM.
238600*
238700     PERFORM R980-WRITE-REPORT-FILE
238800        THRU R989-WRF-EXIT.
238900*
239000     PERFORM
239100         VARYING X-CTA-NBR-AMT FROM 1 BY 1
239200         UNTIL X-CTA-NBR-AMT IS GREATER THAN 3
239300         MOVE ZEROS              TO WS-CTA-SALE-AMT
239400                                    (X-CTA-NBR-AMT)
239500                                    WS-CTA-SALE-AMT
239600                                    (X-CTA-NBR-AMT)
239700                                    WS-CTA-SALE-NBR
239800                                    (X-CTA-NBR-AMT)
239900                                    WS-CTA-RETURN-AMT
240000                                    (X-CTA-NBR-AMT)
240100                                    WS-CTA-RETURN-NBR
240200                                    (X-CTA-NBR-AMT)
240300     END-PERFORM.
240400*
240500 E399-CPT-EXIT.
240600     EXIT.
240700/
240800 F100-HIST-HEADER SECTION.
240900 F101-HH-BEGIN.
241000*
241100     IF  MTCC-MBU380-HIST-NO
241200         GO TO F199-HH-EXIT.
241300*
241400     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
241500     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
241600     SET MTRF-K2-O88-RS-HISTORICAL
241700                                 TO TRUE.
241800     SET MTRF-K2-O88-RT-HIST-HEADER
241900                                 TO TRUE.
242000     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
242100     MOVE ZERO                   TO MTRF-K2-O88-PRODUCT.
242200     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
242300     MOVE ZERO                   TO MTRF-K2-O88-HIST-YEAR.
242400     MOVE ZERO                   TO MTRF-K2-O88-HIST-MON.
242500     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
242600*
242700     PERFORM R980-WRITE-REPORT-FILE
242800        THRU R989-WRF-EXIT.
242900*
243000 F199-HH-EXIT.
243100     EXIT.
243200/
243300 F900-HISTORICAL SECTION.
243400 F901-H-BEGIN.
243500*
243600     IF  MTCC-MBU380-HIST-NO
243700         GO TO F999-H-EXIT.
243800*
243900     MOVE WS-KEY-TYPE            TO MTRF-K2-O88-KEY-TYPE.
244000     MOVE MMMM-MERCHANT          TO MTRF-K2-O88-MERCHANT.
244100     SET MTRF-K2-O88-RS-HISTORICAL
244200                                 TO TRUE.
244300     SET MTRF-K2-O88-RT-HISTORICAL
244400                                 TO TRUE.
244500     MOVE ZERO                   TO MTRF-K2-O88-PRODUCT.
244600     MOVE ZERO                   TO MTRF-K2-O88-CREDIT-PLAN.
244700     MOVE ZERO                   TO MTRF-K2-O88-LOGIC-MODULE.
244800     SET  X-WS-HTA               TO X-MMMM.
244900     MOVE MMMM-OCCURRENCE-YEAR (X-MMMM)
245000                                 TO MTRF-K2-O88-HIST-YEAR.
245100     EVALUATE TRUE
245200         WHEN MMMM-OID-JAN (X-MMMM)
245300             MOVE 01             TO MTRF-K2-O88-HIST-MON
245400         WHEN MMMM-OID-FEB (X-MMMM)
245500             MOVE 02             TO MTRF-K2-O88-HIST-MON
245600         WHEN MMMM-OID-MAR (X-MMMM)
245700             MOVE 03             TO MTRF-K2-O88-HIST-MON
245800         WHEN MMMM-OID-APR (X-MMMM)
245900             MOVE 04             TO MTRF-K2-O88-HIST-MON
246000         WHEN MMMM-OID-MAY (X-MMMM)
246100             MOVE 05             TO MTRF-K2-O88-HIST-MON
246200         WHEN MMMM-OID-JUN (X-MMMM)
246300             MOVE 06             TO MTRF-K2-O88-HIST-MON
246400         WHEN MMMM-OID-JUL (X-MMMM)
246500             MOVE 07             TO MTRF-K2-O88-HIST-MON
246600         WHEN MMMM-OID-AUG (X-MMMM)
246700             MOVE 08             TO MTRF-K2-O88-HIST-MON
246800         WHEN MMMM-OID-SEP (X-MMMM)
246900             MOVE 09             TO MTRF-K2-O88-HIST-MON
247000         WHEN MMMM-OID-OCT (X-MMMM)
247100             MOVE 10             TO MTRF-K2-O88-HIST-MON
247200         WHEN MMMM-OID-NOV (X-MMMM)
247300             MOVE 11             TO MTRF-K2-O88-HIST-MON
247400         WHEN MMMM-OID-DEC (X-MMMM)
247500             MOVE 12             TO MTRF-K2-O88-HIST-MON
247600         WHEN OTHER
247700             MOVE 01             TO MTRF-K2-O88-HIST-MON
247800     END-EVALUATE.
247900*
248000     MOVE 1                      TO WS-U380-RPT-REC-TYPE.
248100*
248200     MOVE MMMM-OCCURRENCE-DESC (X-MMMM)
248300                                 TO MTRF-O88-OCCURRENCE-DESC.
248400*
248500     MOVE WS-HTA-SALE-NBR (X-WS-HTA)
248600                                 TO MTRF-O88-SALES-NBR.
248700     MOVE WS-HTA-SALE-AMT (X-WS-HTA)
248800                                 TO MTRF-O88-SALES-AMT.
248900*
249000     MOVE WS-HTA-RETURN-NBR (X-WS-HTA)
249100                                 TO MTRF-O88-RETURNS-NBR.
249200     MOVE WS-HTA-RETURN-AMT (X-WS-HTA)
249300                                 TO MTRF-O88-RETURNS-AMT.
249400*
249500     MOVE WS-HTA-REC-ADJ-NBR (X-WS-HTA)
249600                                 TO MTRF-O88-RECOVERY-ADJ-NBR.
249700     MOVE WS-HTA-REC-ADJ-AMT (X-WS-HTA)
249800                                 TO MTRF-O88-RECOVERY-ADJ-AMT.
249900*
250000     MOVE WS-HTA-ADJ-NBR (X-WS-HTA)
250100                                 TO MTRF-O88-ADJUSTMENT-NBR.
250200     MOVE WS-HTA-ADJ-AMT (X-WS-HTA)
250300                                 TO MTRF-O88-ADJUSTMENT-AMT.
250400*
250500     IF  WS-HTA-SALE-NBR (X-WS-HTA) IS NOT GREATER THAN ZERO
250600         MOVE ZERO               TO MTRF-O88-AVG-TKT
250700     ELSE
250800         COMPUTE MTRF-O88-AVG-TKT ROUNDED
250900                                 =  WS-HTA-SALE-AMT
251000                                    (X-WS-HTA)
251100                                 /  WS-HTA-SALE-NBR
251200                                    (X-WS-HTA).
251300*
251400     MOVE WS-HTA-TOTAL-INCOME (X-WS-HTA)
251500                                 TO MTRF-O88-TOT-INCOME-AMT.
251600*
251700     PERFORM R980-WRITE-REPORT-FILE
251800        THRU R989-WRF-EXIT.
251900*
252000 F999-H-EXIT.
252100     EXIT.
252200/
252300 R980-WRITE-REPORT-FILE SECTION.
252400 R981-WRF-BEGIN.
252500*
252600     IF  MTRFWS-ORT-F1-NOT-REQUESTED  (X-MTRFWS-ORT)
252700         NEXT SENTENCE
252800     ELSE
252900         MOVE MTRFWS-ORT-FREQ-1  (X-MTRFWS-ORT)
253000                                 TO MTRF-KEY-1
253100         PERFORM R990-OBTAIN-STATIC-DATA
253200            THRU R999-OSD-EXIT
253300         MOVE MTRF-RECORD        TO MTRFIO-RECORD
253400         MOVE 'W3RF'             TO SS02WS-ABEND-LOCATION
253500         SET MTRFRB-WRITE        TO TRUE
253600         PERFORM MB00PD-MTRF-ACCESS
253700            THRU MB00PD-MTRF-ACCESS-EXIT.
253800*
253900     MOVE SPACES                 TO MTRF-RECORD.
254000*
254100 R989-WRF-EXIT.
254200     EXIT.
254300/
254400 R990-OBTAIN-STATIC-DATA SECTION.
254500 R990-OSD-BEGIN.
254600*
254700     MOVE WS-U380-RPT-REC-TYPE   TO MTRF-K1-REC-TYPE.
254800*
254900     IF  MTRF-K1-RT-HEADER
255000     OR  MTRF-K1-RT-TRAILER
255100         GO TO R999-OSD-EXIT.
255200*
255300     MOVE MMMM-MERCHANT          TO MTRF-MERCHANT.
255400     MOVE ZERO                   TO MTRF-STORE.
255500     MOVE ZERO                   TO MTRF-CHAIN.
255600     MOVE MMMM-BLOCK-CODE        TO MTRF-BLOCK-CODE.
255700     MOVE MMMM-REC-STATUS        TO MTRF-REC-STATUS.
255800     MOVE MMMM-GNA-NBR (1)       TO MTRF-GNA-NBR.
255900     MOVE MMMM-NA-OVERFLOW-SW(1) TO MTRF-NA-OVERFLOW-SW.
256000     MOVE MMMM-NA-LINE (1 1)     TO MTRF-NAME.
256100     MOVE MMMM-STATE-CODE (1)    TO MTRF-STATE.
256200     MOVE MMMM-COUNTRY-CODE (1)  TO MTRF-COUNTRY.
256300     MOVE MMMM-STMT-FREQ-1       TO MTRF-STMT-FREQ-1.
256400     MOVE MMMM-STMT-FREQ-2       TO MTRF-STMT-FREQ-2.
256500     MOVE MMMM-DISC-FREQ-1       TO MTRF-DISC-FREQ-1.
256600     MOVE MMMM-DISC-FREQ-2       TO MTRF-DISC-FREQ-2.
256700     MOVE MMMM-PART-FREQ-1       TO MTRF-PART-FREQ-1.
256800     MOVE MMMM-PART-FREQ-2       TO MTRF-PART-FREQ-2.
256900     MOVE MMMM-SETT-FREQ-1       TO MTRF-SETT-FREQ-1.
257000     MOVE MMMM-SETT-FREQ-2       TO MTRF-SETT-FREQ-2.
257100*
257200 R999-OSD-EXIT.
257300     EXIT.
257400/
257500 Z100-ADJUST-ORG SECTION.
257600 Z101-AO-BEGIN.
257700*
257800     MOVE 99                     TO MMOC-OR-FREQ-1 (88).
257900     MOVE ZERO                   TO MMOC-OR-FREQ-2 (88).
258000*
258100     IF  MTCC-MBU380-RPT-TITLE IS NOT EQUAL TO SPACES
258200         MOVE MTCC-MBU380-RPT-TITLE
258300                                 TO MMOC-OR-RPT-TITLE (88).
258400*
258500 Z199-AO-EXIT.
258600     EXIT.
258700/
258800 1000-EXTRACT-MMPA SECTION.
258900 1001-EMMPA-BEGIN.
259000*
259100     MOVE ZERO                   TO WS-SORT-ORG.
259200     MOVE LOW-VALUES             TO MMMMIO-KEY.
259300     SET MMMMRB-START-GTE        TO TRUE.
259400     MOVE 'S2MM'                 TO SS02WS-ABEND-LOCATION.
259500     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
259600*
259700 1100-EMMPA-READ-MMMM.
259800*
259900     SET MMMMRB-READ-SEQ         TO TRUE.
260000     MOVE 'R2MM'                 TO SS02WS-ABEND-LOCATION.
260100     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
260200*
260300     IF  MMMMIO-HEADER
260400         GO TO 1100-EMMPA-READ-MMMM.
260500*
260600     IF  MMMMIO-TRAILER
260700         GO TO 1900-EMMPA-TRAILER.
260800*
260900     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
261000*
261100     IF  MMMM-REC-INCOMPLETE
261200     OR  MMMM-REC-PURGED
261300     OR  MMMM-REC-PURGING
261400     OR  MMMM-REC-MODEL
261500     OR  MMMM-ADD-PENDING
261600         GO TO 1100-EMMPA-READ-MMMM.
261700*
261800     SET X-WS-U380-ORT           TO 1.
261900     SEARCH WS-U380-ORG-RANGES-TABLE VARYING X-WS-U380-ORT
262000         AT END
262100             GO TO 1100-EMMPA-READ-MMMM
262200         WHEN WS-U380-ORT-END-OF-TABLE (X-WS-U380-ORT)
262300             GO TO 1100-EMMPA-READ-MMMM
262400         WHEN MMMMIO-ORG-MERCHANT IS NOT LESS THAN
262500              WS-U380-ORT-BEG-ORG-MERCHANT (X-WS-U380-ORT)
262600         AND  MMMMIO-ORG-MERCHANT IS NOT GREATER THAN
262700              WS-U380-ORT-END-ORG-MERCHANT (X-WS-U380-ORT)
262800             NEXT SENTENCE.
262900*
263000     EVALUATE TRUE
263100         WHEN MTCC-MBU380-ORG-OPTION
263200             MOVE MMMM-ORG       TO WS-SORT-ORG
263300         WHEN OTHER
263400             IF  WS-SORT-ORG IS EQUAL TO ZERO
263500                 MOVE MMMM-ORG   TO WS-SORT-ORG
263600             END-IF
263700     END-EVALUATE.
263800*
263900     PERFORM
264000         UNTIL MMPAIO-ORG-ACCT     IS GREATER THAN
264100                                 MMMM-ORG-MERCHANT
264200         MOVE MMPAIO-LOGIC-MODULE
264300                                 TO MMTCWS-LOGIC-MODULE
264400         EVALUATE TRUE
264500             WHEN MMTCWS-LM-VALID-INTERNAL
264600                 CONTINUE
264700             WHEN MMPAIO-ORG-ACCT
264800                                 IS EQUAL TO MMMM-ORG-MERCHANT
264900                 MOVE MMPAIO-RECORD
265000                                 TO MWPA-RECORD
265100                 MOVE WS-SORT-ORG
265200                                 TO MWPA-ORG
265300                 MOVE ZERO       TO MWPA-ACCT
265400                 RELEASE MWPA-RECORD
265500         END-EVALUATE
265600         SET MMPARB-READ-SEQ     TO TRUE
265700         MOVE 'R4PA'             TO SS02WS-ABEND-LOCATION
265800         PERFORM MB00PD-MMPA-ACCESS
265900            THRU MB00PD-MMPA-ACCESS-EXIT
266000     END-PERFORM.
266100*
266200     GO TO 1100-EMMPA-READ-MMMM.
266300*
266400 1900-EMMPA-TRAILER.
266500*
266600     MOVE MMPAIO-RECORD          TO MWPA-RECORD.
266700     RELEASE MWPA-RECORD.
266800*
266900 1999-EMMPA-EXIT.
267000     EXIT.
267100/
267200 2000-BUILD-MWPA SECTION.
267300 2001-BMWPA-BEGIN.
267400*
267500     MOVE MMPAIR-RECORD          TO MTPA-RECORD.
267600*
267700     SET MWPARB-OPEN-OUTPUT      TO TRUE.
267800     MOVE 'OBPA'                 TO SS02WS-ABEND-LOCATION.
267900     PERFORM MB00PD-MWPA-ACCESS  THRU MB00PD-MWPA-ACCESS-EXIT.
268000*
268100 2100-BMWPA-RETURN-SORT.
268200*
268300     RETURN MS1S-SORT-FILE
268400         AT END
268500             GO TO 2900-BMWPA-CLOSE-FILE.
268600*
268700     IF  MWPA-KEY IS EQUAL TO MTPA-KEY
268800         PERFORM
268900             VARYING X-MWPA FROM 1 BY 1
269000             UNTIL   X-MWPA IS GREATER THAN 18
269100             SET X-MTPA          TO X-MWPA
269200             ADD MWPA-NBR (X-MWPA)
269300                                 TO MTPA-NBR (X-MTPA)
269400             ADD MWPA-AMT (X-MWPA)
269500                                 TO MTPA-AMT (X-MTPA)
269600         END-PERFORM
269700     ELSE
269800         MOVE MTPA-RECORD        TO MWPAIO-RECORD
269900         SET MWPARB-WRITE        TO TRUE
270000         MOVE 'WAPA'             TO SS02WS-ABEND-LOCATION
270100         PERFORM MB00PD-MWPA-ACCESS THRU MB00PD-MWPA-ACCESS-EXIT
270200         MOVE MWPA-RECORD        TO MTPA-RECORD.
270300*
270400     GO TO 2100-BMWPA-RETURN-SORT.
270500*
270600 2900-BMWPA-CLOSE-FILE.
270700*
270800     MOVE MMPAIR-RECORD          TO MWPAIO-RECORD.
270900     SET MWPAIO-TRAILER          TO TRUE.
271000*
271100     SET MWPARB-WRITE            TO TRUE.
271200     MOVE 'WBPA'                 TO SS02WS-ABEND-LOCATION.
271300     PERFORM MB00PD-MWPA-ACCESS  THRU MB00PD-MWPA-ACCESS-EXIT.
271400*
271500     SET MWPARB-CLOSE            TO TRUE.
271600     MOVE 'CBPA'                 TO SS02WS-ABEND-LOCATION.
271700     PERFORM MB00PD-MWPA-ACCESS  THRU MB00PD-MWPA-ACCESS-EXIT.
271800*
271900 2999-BMWPA-EXIT.
272000     EXIT.
272100/
272200 3000-EXTRACT-MMOI SECTION.
272300 3001-EMMOI-BEGIN.
272400*
272500     MOVE ZERO                   TO WS-SORT-ORG.
272600     MOVE LOW-VALUES             TO MMMMIO-KEY.
272700     SET MMMMRB-START-GTE        TO TRUE.
272800     MOVE 'S3MM'                 TO SS02WS-ABEND-LOCATION.
272900     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
273000*
273100 3100-EMMOI-READ-MMMM.
273200*
273300     SET MMMMRB-READ-SEQ         TO TRUE.
273400     MOVE 'R3MM'                 TO SS02WS-ABEND-LOCATION.
273500     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
273600*
273700     IF  MMMMIO-HEADER
273800         GO TO 3100-EMMOI-READ-MMMM.
273900*
274000     IF  MMMMIO-TRAILER
274100         GO TO 3900-EMMOI-TRAILER.
274200*
274300     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
274400*
274500     IF  MMMM-REC-INCOMPLETE
274600     OR  MMMM-REC-PURGED
274700     OR  MMMM-REC-PURGING
274800     OR  MMMM-REC-MODEL
274900     OR  MMMM-ADD-PENDING
275000         GO TO 3100-EMMOI-READ-MMMM.
275100*
275200     SET X-WS-U380-ORT           TO 1.
275300     SEARCH WS-U380-ORG-RANGES-TABLE VARYING X-WS-U380-ORT
275400         AT END
275500             GO TO 3100-EMMOI-READ-MMMM
275600         WHEN WS-U380-ORT-END-OF-TABLE (X-WS-U380-ORT)
275700             GO TO 3100-EMMOI-READ-MMMM
275800         WHEN MMMMIO-ORG-MERCHANT IS NOT LESS THAN
275900              WS-U380-ORT-BEG-ORG-MERCHANT (X-WS-U380-ORT)
276000         AND  MMMMIO-ORG-MERCHANT IS NOT GREATER THAN
276100              WS-U380-ORT-END-ORG-MERCHANT (X-WS-U380-ORT)
276200             NEXT SENTENCE.
276300*
276400     EVALUATE TRUE
276500         WHEN MTCC-MBU380-ORG-OPTION
276600             MOVE MMMM-ORG       TO WS-SORT-ORG
276700         WHEN OTHER
276800             IF  WS-SORT-ORG IS EQUAL TO ZERO
276900                 MOVE MMMM-ORG   TO WS-SORT-ORG
277000             END-IF
277100     END-EVALUATE.
277200*
277300     PERFORM
277400         UNTIL MMOIIO-ORG-ACCT     IS GREATER THAN
277500                                 MMMM-ORG-MERCHANT
277600         MOVE MMOIIO-LOGIC-MODULE
277700                                 TO MMTCWS-LOGIC-MODULE
277800         EVALUATE TRUE
277900             WHEN MMTCWS-LM-VALID-INTERNAL
278000                 CONTINUE
278100             WHEN MMOIIO-ORG-ACCT
278200                                 IS EQUAL TO MMMM-ORG-MERCHANT
278300                 MOVE MMOIIO-RECORD
278400                                 TO MWOI-RECORD
278500                 MOVE WS-SORT-ORG
278600                                 TO MWOI-ORG
278700                 MOVE ZERO       TO MWOI-ACCT
278800                 RELEASE MWOI-RECORD
278900         END-EVALUATE
279000         SET MMOIRB-READ-SEQ     TO TRUE
279100         MOVE 'R4OI'             TO SS02WS-ABEND-LOCATION
279200         PERFORM MB00PD-MMOI-ACCESS
279300            THRU MB00PD-MMOI-ACCESS-EXIT
279400     END-PERFORM.
279500*
279600     GO TO 3100-EMMOI-READ-MMMM.
279700*
279800 3900-EMMOI-TRAILER.
279900*
280000     MOVE MMOIIO-RECORD          TO MWOI-RECORD.
280100     RELEASE MWOI-RECORD.
280200*
280300 3999-EMMOI-EXIT.
280400     EXIT.
280500/
280600 4000-BUILD-MWOI SECTION.
280700 4001-BMWOI-BEGIN.
280800*
280900     MOVE MMOIIR-RECORD          TO MTOI-RECORD.
281000*
281100     SET MWOIRB-OPEN-OUTPUT      TO TRUE.
281200     MOVE 'OBOI'                 TO SS02WS-ABEND-LOCATION.
281300     PERFORM MB00PD-MWOI-ACCESS  THRU MB00PD-MWOI-ACCESS-EXIT.
281400*
281500 4100-BMWOI-RETURN-SORT.
281600*
281700     RETURN MS1S-SORT-FILE
281800         AT END
281900             GO TO 4900-BMWOI-CLOSE-FILE.
282000*
282100     IF  MWOI-KEY IS EQUAL TO MTOI-KEY
282200         PERFORM
282300             VARYING X-MWOI FROM 1 BY 1
282400             UNTIL   X-MWOI IS GREATER THAN 18
282500             SET X-MTOI          TO X-MWOI
282600             ADD MWOI-NBR (X-MWOI)
282700                                 TO MTOI-NBR (X-MTOI)
282800             ADD MWOI-AMT (X-MWOI)
282900                                 TO MTOI-AMT (X-MTOI)
283000         END-PERFORM
283100     ELSE
283200         MOVE MTOI-RECORD        TO MWOIIO-RECORD
283300         SET MWOIRB-WRITE        TO TRUE
283400         MOVE 'WAOI'             TO SS02WS-ABEND-LOCATION
283500         PERFORM MB00PD-MWOI-ACCESS THRU MB00PD-MWOI-ACCESS-EXIT
283600         MOVE MWOI-RECORD        TO MTOI-RECORD.
283700*
283800     GO TO 4100-BMWOI-RETURN-SORT.
283900*
284000 4900-BMWOI-CLOSE-FILE.
284100*
284200     MOVE MMOIIR-RECORD          TO MWOIIO-RECORD.
284300     SET MWOIIO-TRAILER          TO TRUE.
284400*
284500     SET MWOIRB-WRITE            TO TRUE.
284600     MOVE 'WBOI'                 TO SS02WS-ABEND-LOCATION.
284700     PERFORM MB00PD-MWOI-ACCESS  THRU MB00PD-MWOI-ACCESS-EXIT.
284800*
284900     SET MWOIRB-CLOSE            TO TRUE.
285000     MOVE 'CBOI'                 TO SS02WS-ABEND-LOCATION.
285100     PERFORM MB00PD-MWOI-ACCESS  THRU MB00PD-MWOI-ACCESS-EXIT.
285200*
285300 4999-BMWOI-EXIT.
285400     EXIT.
285500/
285600 5000-EXTRACT-MMCP SECTION.
285700 5001-EMMCP-BEGIN.
285800*
285900     MOVE ZERO                   TO WS-SORT-ORG.
286000     MOVE LOW-VALUES             TO MMMMIO-KEY.
286100     SET MMMMRB-START-GTE        TO TRUE.
286200     MOVE 'S3MM'                 TO SS02WS-ABEND-LOCATION.
286300     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
286400*
286500 5100-EMMCP-READ-MMMM.
286600*
286700     SET MMMMRB-READ-SEQ         TO TRUE.
286800     MOVE 'R3MM'                 TO SS02WS-ABEND-LOCATION.
286900     PERFORM MB00PD-MMMM-ACCESS  THRU MB00PD-MMMM-ACCESS-EXIT.
287000*
287100     IF  MMMMIO-HEADER
287200         GO TO 5100-EMMCP-READ-MMMM.
287300*
287400     IF  MMMMIO-TRAILER
287500         GO TO 5900-EMMCP-TRAILER.
287600*
287700     MOVE MMMMIO-RECORD          TO MMMM-RECORD.
287800*
287900     IF  MMMM-REC-INCOMPLETE
288000     OR  MMMM-REC-PURGED
288100     OR  MMMM-REC-PURGING
288200     OR  MMMM-REC-MODEL
288300     OR  MMMM-ADD-PENDING
288400         GO TO 5100-EMMCP-READ-MMMM.
288500*
288600     SET X-WS-U380-ORT           TO 1.
288700     SEARCH WS-U380-ORG-RANGES-TABLE VARYING X-WS-U380-ORT
288800         AT END
288900             GO TO 5100-EMMCP-READ-MMMM
289000         WHEN WS-U380-ORT-END-OF-TABLE (X-WS-U380-ORT)
289100             GO TO 5100-EMMCP-READ-MMMM
289200         WHEN MMMMIO-ORG-MERCHANT IS NOT LESS THAN
289300              WS-U380-ORT-BEG-ORG-MERCHANT (X-WS-U380-ORT)
289400         AND  MMMMIO-ORG-MERCHANT IS NOT GREATER THAN
289500              WS-U380-ORT-END-ORG-MERCHANT (X-WS-U380-ORT)
289600             NEXT SENTENCE.
289700*
289800     EVALUATE TRUE
289900         WHEN MTCC-MBU380-ORG-OPTION
290000             MOVE MMMM-ORG       TO WS-SORT-ORG
290100         WHEN OTHER
290200             IF  WS-SORT-ORG IS EQUAL TO ZERO
290300                 MOVE MMMM-ORG   TO WS-SORT-ORG
290400             END-IF
290500     END-EVALUATE.
290600*
290700     PERFORM
290800         UNTIL MMCPIO-ORG-ACCT     IS GREATER THAN
290900                                 MMMM-ORG-MERCHANT
291000         MOVE MMCPIO-LOGIC-MODULE
291100                                 TO MMTCWS-LOGIC-MODULE
291200         EVALUATE TRUE
291300             WHEN MMTCWS-LM-VALID-INTERNAL
291400                 CONTINUE
291500             WHEN MMCPIO-ORG-ACCT
291600                                 IS EQUAL TO MMMM-ORG-MERCHANT
291700                 MOVE MMCPIO-RECORD
291800                                 TO MWCP-RECORD
291900                 MOVE WS-SORT-ORG
292000                                 TO MWCP-ORG
292100                 MOVE ZERO       TO MWCP-ACCT
292200                 RELEASE MWCP-RECORD
292300         END-EVALUATE
292400         SET MMCPRB-READ-SEQ     TO TRUE
292500         MOVE 'R4CP'             TO SS02WS-ABEND-LOCATION
292600         PERFORM MB00PD-MMCP-ACCESS
292700            THRU MB00PD-MMCP-ACCESS-EXIT
292800     END-PERFORM.
292900*
293000     GO TO 5100-EMMCP-READ-MMMM.
293100*
293200 5900-EMMCP-TRAILER.
293300*
293400     MOVE MMCPIO-RECORD          TO MWCP-RECORD.
293500     RELEASE MWCP-RECORD.
293600*
293700 5999-EMMCP-EXIT.
293800     EXIT.
293900/
294000 6000-BUILD-MWCP SECTION.
294100 6001-BMWCP-BEGIN.
294200*
294300     MOVE MMCPIR-RECORD          TO MTCP-RECORD.
294400*
294500     SET MWCPRB-OPEN-OUTPUT      TO TRUE.
294600     MOVE 'OBCP'                 TO SS02WS-ABEND-LOCATION.
294700     PERFORM MB00PD-MWCP-ACCESS  THRU MB00PD-MWCP-ACCESS-EXIT.
294800*
294900 6100-BMWCP-RETURN-SORT.
295000*
295100     RETURN MS1S-SORT-FILE
295200         AT END
295300             GO TO 6900-BMWCP-CLOSE-FILE.
295400*
295500     IF  MWCP-KEY IS EQUAL TO MTCP-KEY
295600         PERFORM
295700             VARYING X-MWCP FROM 1 BY 1
295800             UNTIL   X-MWCP IS GREATER THAN 18
295900             SET X-MTCP          TO X-MWCP
296000             ADD MWCP-NBR (X-MWCP)
296100                                 TO MTCP-NBR (X-MTCP)
296200             ADD MWCP-AMT (X-MWCP)
296300                                 TO MTCP-AMT (X-MTCP)
296400         END-PERFORM
296500     ELSE
296600         MOVE MTCP-RECORD        TO MWCPIO-RECORD
296700         SET MWCPRB-WRITE        TO TRUE
296800         MOVE 'WACP'             TO SS02WS-ABEND-LOCATION
296900         PERFORM MB00PD-MWCP-ACCESS THRU MB00PD-MWCP-ACCESS-EXIT
297000         MOVE MWCP-RECORD        TO MTCP-RECORD.
297100*
297200     GO TO 6100-BMWCP-RETURN-SORT.
297300*
297400 6900-BMWCP-CLOSE-FILE.
297500*
297600     MOVE MMCPIR-RECORD          TO MWCPIO-RECORD.
297700     SET MWCPIO-TRAILER          TO TRUE.
297800*
297900     SET MWCPRB-WRITE            TO TRUE.
298000     MOVE 'WBCP'                 TO SS02WS-ABEND-LOCATION.
298100     PERFORM MB00PD-MWCP-ACCESS  THRU MB00PD-MWCP-ACCESS-EXIT.
298200*
298300     SET MWCPRB-CLOSE            TO TRUE.
298400     MOVE 'CBCP'                 TO SS02WS-ABEND-LOCATION.
298500     PERFORM MB00PD-MWCP-ACCESS  THRU MB00PD-MWCP-ACCESS-EXIT.
298600*
298700 6999-BMWCP-EXIT.
298800     EXIT.
298900/
299000 9000-PERFORMED-ROUTINES-SECT SECTION.
299100*
299200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
299300/
299400     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
299500/
299600     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
299700/
299800     COPY MB00PD REPLACING ==:MB00:== BY ==MMMM==.
299900/
300000     COPY MMMMPX.
300100/
300200     COPY MB00PD REPLACING ==:MB00:== BY ==MMCP==.
300300/
300400     COPY MB00PD REPLACING ==:MB00:== BY ==MMOI==.
300500/
300600     COPY MB00PD REPLACING ==:MB00:== BY ==MMPA==.
300700/
300800     COPY MB00PD REPLACING ==:MB00:== BY ==MTRF==.
300900/
301000     COPY MTRFPX.
301100/
301200     COPY MB00PD REPLACING ==:MB00:== BY ==MWCP==.
301300/
301400     COPY MB00PD REPLACING ==:MB00:== BY ==MWOI==.
301500/
301600     COPY MB00PD REPLACING ==:MB00:== BY ==MWPA==.
301700/
301800     COPY MB99PD.
301900/
302000     COPY SS02PD.
302100/
302200     COPY SS03PD.
302300/
302400     COPY SS06PD.
302500/
302600     COPY SS07PD.
302700/
302800     COPY SS08PD.
302900/
303000     COPY SS26PD.
303100/
303200     COPY SS27PD.
303300/
303400     COPY SS98PD.
303500*
303600 9995-END-SOURCE-STATEMENTS SECTION.
303700 9999-END-OF-PROGRAM.
303800     EXIT.
