000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU430.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU430 - STORE RELATIONSHIP FILE BUILD                  *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.            IBM-4341.
001100 OBJECT-COMPUTER.            IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400*
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800/
001900 DATA DIVISION.
002000 FILE SECTION.
002100/
002200     COPY MS1SSD.
002300 01  MS1S-RECORD.
002400     03 MS1S-KEY.
002500         05  MS1S-ORG-CHAIN.
002600             07  MS1S-ORG    PIC  9(03).
002700             07  MS1S-CHAIN  PIC  9(09).
002800         05  MS1S-STORE      PIC  9(09).
002900     03  MS1S-STORE-NAME     PIC  X(30).
003000/
003100 WORKING-STORAGE SECTION.
003200*
003300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003400*
003500 01  WS-MBU430-WORK-AREAS.
003600     03  WS-SEQ-NBR          PIC S9(04)      BINARY VALUE +1.
003700     03  WS-SEQ              PIC S9(04)      BINARY VALUE ZEROS.
003800     03  WS-NBR-OF-MEMBERS   PIC S9(03)      COMP-3 VALUE ZEROS.
003900     03  WS-TOTAL-MEMBERS    PIC S9(09)      COMP-3 VALUE ZEROS.
004000     03  WS-ORG              PIC  9(03)      VALUE ZEROS.
004100     03  WS-CHAIN            PIC  9(09)      VALUE ZEROS.
004200     03  WS-CHAIN-NAME       PIC  X(30)      VALUE SPACES.
004300     03  WS-R1-STORE-NAMES.
004400         05  WS-STORE-NAME   PIC  X(30)      OCCURS 800 TIMES
004500                                             INDEXED BY
004600                                             X-STORE-NAME.
004700*
004800*
004900 01  WS-SWITCHS.
005000     03  WS-MS1S-EOF-SW      PIC  X(01)      VALUE 'N'.
005100         88  WS-MS1S-IS-END-OF-FILE          VALUE 'Y'.
005200     03  WS-1ST-TIME-MS1S-SW PIC  X(01)      VALUE 'Y'.
005300         88  WS-1ST-TIME-MS1S                VALUE 'Y'.
005400     03  WS-1ST-TIME-STORE-SW
005500                             PIC  X(01)      VALUE 'Y'.
005600         88  WS-1ST-TIME-STORE-ON            VALUE 'Y'.
005700         88  WS-1ST-TIME-STORE-OFF           VALUE 'N'.
005800     03  WS-1ST-TIME-RPT-SW  PIC  X(01)      VALUE 'Y'.
005900         88  WS-1ST-TIME-RPT                 VALUE 'Y'.
006000     03  WS-SEQ-NBR-SW       PIC  X(01)      VALUE 'N'.
006100         88  WS-SEQ-NBR-ON                   VALUE 'Y'.
006200/
006300     COPY MMSMRL.
006400/
006500     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
006600/
006700     COPY MMSMIO.
006800/
006900     COPY MMSRRL.
007000/
007100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
007200/
007300     COPY MMSRIO.
007400/
007500     COPY MMSDIR REPLACING ==:MMSD:== BY ==MMSD==.
007600/
007700     COPY MMSDRL REPLACING ==:MMSD:== BY ==MTSD==.
007800/
007900     COPY MB00RB REPLACING ==:MB00:== BY ==MTSD==.
008000/
008100     COPY MMSDIO REPLACING ==:MMSD:== BY ==MTSD==.
008200/
008300     COPY MMSCRL.
008400/
008500     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
008600/
008700     COPY MMSCIO.
008800/
008900     COPY MMOCRL.
009000/
009100     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
009200/
009300     COPY MMOCIO.
009400/
009500     COPY MB00WS.
009600/
009700     COPY MB99WS.
009800/
009900     COPY MB20WS.
010000*
010100 01  WS-PRINT-LINE-00        REDEFINES MB20WS-PRINT-LINE.
010200     05  FILLER              PIC  X(132).
010300*
010400 01  WS-PRINT-LINE-01        REDEFINES MB20WS-PRINT-LINE.
010500     03  WS-STORE-DATA                       OCCURS 3 TIMES
010600                                             INDEXED BY
010700                                             X-STORE.
010800         05  FILLER          PIC  X(02).
010900         05  WS-PL01-STORE   PIC  9(09).
011000         05  FILLER          PIC  X(02).
011100         05  WS-PL01-STORE-NAME
011200                             PIC  X(30).
011300         05  FILLER          PIC  X(01).
011400*
011500 01  WS-HEADING-LINE-01      REDEFINES MB20WS-PRINT-LINE.
011600     03  FILLER              PIC  X(05).
011700     03  WS-HL01-LIT-1       PIC  X(03).
011800     03  FILLER              PIC  X(02).
011900     03  WS-HL01-ORG         PIC  9(03).
012000     03  FILLER              PIC  X(02).
012100     03  WS-HL01-LIT-2       PIC  X(15).
012200     03  FILLER              PIC  X(02).
012300     03  WS-HL01-CHAIN       PIC  9(09).
012400     03  FILLER              PIC  X(02).
012500     03  WS-HL01-LIT-3       PIC  X(13).
012600     03  FILLER              PIC  X(03).
012700     03  WS-HL01-CHAIN-NAME  PIC  X(40).
012800     03  FILLER              PIC  X(03).
012900     03  WS-HL01-MSG         PIC  X(30).
013000*
013100 01  WS-HEADING-LINE-03      REDEFINES MB20WS-PRINT-LINE.
013200     03  FILLER              PIC  X(02).
013300     03  WS-HL03-STORE-1     PIC  X(09).
013400     03  FILLER              PIC  X(09).
013500     03  WS-HL03-NAME-1      PIC  X(13).
013600     03  FILLER              PIC  X(13).
013700     03  WS-HL03-STORE-2     PIC  X(09).
013800     03  FILLER              PIC  X(09).
013900     03  WS-HL03-NAME-2      PIC  X(13).
014000     03  FILLER              PIC  X(13).
014100     03  WS-HL03-STORE-3     PIC  X(09).
014200     03  FILLER              PIC  X(09).
014300     03  WS-HL03-NAME-3      PIC  X(13).
014400*
014500 01  WS-TOTAL-LINE-02        REDEFINES MB20WS-PRINT-LINE.
014600     03  FILLER              PIC  X(05).
014700     03  WS-TL02-LIT-1       PIC  X(19).
014800     03  FILLER              PIC  X(02).
014900     03  WS-TL02-NBR-STORE   PIC  ZZZZZZZZZZ9-.
015000     03  WS-TL02-SEQ-DESC    PIC  X(14).
015100     03  WS-TL02-SEQ-NBR     PIC  ZZZ9-.
015200/
015300     COPY SS00WS.
015400/
015500     COPY SS01WS.
015600/
015700     COPY SS02WS.
015800*
015900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
016000/
016100 PROCEDURE DIVISION.
016200 A000-MAIN-LINE-SECT SECTION.
016300 A010-ML-BEGIN.
016400*
016500     PERFORM A100-OPEN-FILES
016600        THRU A199-OF-EXIT.
016700*
016800     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
016900     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017000     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
017100     MOVE 'T430'                 TO MB20WS-SH-INTERNAL-RPT-ID.
017200     MOVE MMSC-ORG               TO MB20WS-SH-ORG.
017300     MOVE MMSC-PROC-CENTER-ID    TO MB20WS-SH-ORG-NAME.
017400     MOVE '          STORE GROUP REBUILD'
017500                                 TO MB20WS-SH-RPT-NAME.
017600     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
017700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
017800                                 THRU SS26PD-NED-EXIT.
017900     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
018000     MOVE SPACES                 TO MB20WS-SH-DEST-ID.
018100     MOVE SPACES                 TO MB20WS-SH-DEST-DESC.
018200*
018300     SORT MS1S-SORT-FILE
018400          ASCENDING KEY MS1S-KEY
018500          INPUT PROCEDURE        IS B000-READ-INPUT-SEC
018600          OUTPUT PROCEDURE       IS C000-WRITE-SORTED-FILE-SEC.
018700*
018800     PERFORM SS98PD-VERIFY-SORT-RETURN
018900        THRU SS98PD-VSR-EXIT.
019000*
019100     PERFORM A200-CLOSE-FILES
019200        THRU A299-CF-EXIT.
019300*
019400     STOP RUN.
019500/
019600 A100-OPEN-FILES.
019700     MOVE 'MBU430'               TO SS02WS-ABEND-PROG-ID.
019800*
019900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
020000     SET MMSCRB-OPEN-INPUT       TO TRUE.
020100     PERFORM MB00PD-MMSC-ACCESS
020200        THRU MB00PD-MMSC-ACCESS-EXIT.
020300*
020400     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
020500     SET MMOCRB-OPEN-INPUT-DYN   TO TRUE.
020600     PERFORM MB00PD-MMOC-ACCESS
020700        THRU MB00PD-MMOC-ACCESS-EXIT.
020800*
020900     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
021000     SET MMSMRB-OPEN-INPUT       TO TRUE.
021100     PERFORM MB00PD-MMSM-ACCESS
021200        THRU MB00PD-MMSM-ACCESS-EXIT.
021300*
021400     MOVE 'O1SR'                 TO SS02WS-ABEND-LOCATION.
021500     SET MMSRRB-OPEN-INPUT       TO TRUE.
021600     PERFORM MB00PD-MMSR-ACCESS
021700        THRU MB00PD-MMSR-ACCESS-EXIT.
021800*
021900     MOVE 'O1SD'                 TO SS02WS-ABEND-LOCATION.
022000     SET MTSDRB-OPEN-OUTPUT      TO TRUE.
022100     PERFORM MB00PD-MTSD-ACCESS
022200        THRU MB00PD-MTSD-ACCESS-EXIT.
022300*
022400*
022500*
022600     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
022700     SET MMSCRB-READ-SEQ         TO TRUE.
022800     PERFORM MB00PD-MMSC-ACCESS
022900        THRU MB00PD-MMSC-ACCESS-EXIT.
023000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
023100*
023200     IF  MMSCIO-HEADER
023300         NEXT SENTENCE
023400     ELSE
023500         PERFORM MB99PD-MISSING-HEADER-ABEND
023600            THRU MB99PD-MHA-EXIT.
023700*
023800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
023900     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
024000     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
024100     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
024200*
024300*
024400*
024500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
024600     SET MMOCRB-READ-SEQ         TO TRUE.
024700     PERFORM MB00PD-MMOC-ACCESS
024800        THRU MB00PD-MMOC-ACCESS-EXIT.
024900     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
025000*
025100     IF  MMOCIO-HEADER
025200         NEXT SENTENCE
025300     ELSE
025400         PERFORM MB99PD-MISSING-HEADER-ABEND
025500            THRU MB99PD-MHA-EXIT.
025600*
025700     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
025800     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
025900     PERFORM MB99PD-CHECK-DATE-TIME
026000        THRU MB99PD-CDT-EXIT.
026100*
026200*
026300*
026400     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
026500     SET MMSMRB-READ-SEQ         TO TRUE.
026600     PERFORM MB00PD-MMSM-ACCESS
026700        THRU MB00PD-MMSM-ACCESS-EXIT.
026800     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
026900*
027000     IF  MMSMIO-HEADER
027100         NEXT SENTENCE
027200     ELSE
027300         PERFORM MB99PD-MISSING-HEADER-ABEND
027400            THRU MB99PD-MHA-EXIT.
027500*
027600     MOVE MMSMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
027700     MOVE MMSMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
027800     PERFORM MB99PD-CHECK-DATE-TIME
027900        THRU MB99PD-CDT-EXIT.
028000*
028100     MOVE 'R1SM'                 TO SS02WS-ABEND-LOCATION.
028200     SET MMSMRB-READ-SEQ         TO TRUE.
028300     PERFORM MB00PD-MMSM-ACCESS
028400        THRU MB00PD-MMSM-ACCESS-EXIT.
028500*
028600*
028700*
028800     MOVE 'R0SR'                 TO SS02WS-ABEND-LOCATION.
028900     SET MMSRRB-READ-SEQ         TO TRUE.
029000     PERFORM MB00PD-MMSR-ACCESS
029100        THRU MB00PD-MMSR-ACCESS-EXIT.
029200     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
029300*
029400     IF  MMSRIO-HEADER
029500         NEXT SENTENCE
029600     ELSE
029700         PERFORM MB99PD-MISSING-HEADER-ABEND
029800            THRU MB99PD-MHA-EXIT.
029900*
030000     MOVE MMSRIO-DATE-STAMP      TO MB99WS-FILE-DATE.
030100     MOVE MMSRIO-TIME-STAMP      TO MB99WS-FILE-TIME.
030200     PERFORM MB99PD-CHECK-DATE-TIME
030300        THRU MB99PD-CDT-EXIT.
030400*
030500*
030600*
030700     MOVE SPACES                 TO MTSDIO-RECORD.
030800     MOVE ZEROS                  TO MTSDIO-ORG
030900                                    MTSDIO-CHAIN
031000                                    MTSDIO-SEQ-NBR
031100                                    MTSDIO-DATE-STAMP
031200                                    MTSDIO-TIME-STAMP.
031300     MOVE 'W1SD'                 TO SS02WS-ABEND-LOCATION.
031400     SET MTSDRB-WRITE            TO TRUE.
031500     PERFORM MB00PD-MTSD-ACCESS
031600        THRU MB00PD-MTSD-ACCESS-EXIT.
031700*
031800*
031900 A199-OF-EXIT.
032000     EXIT.
032100/
032200 A200-CLOSE-FILES.
032300*
032400     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
032500     SET MMSCRB-CLOSE            TO TRUE.
032600     PERFORM MB00PD-MMSC-ACCESS
032700        THRU MB00PD-MMSC-ACCESS-EXIT.
032800*
032900     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
033000     SET MMSMRB-CLOSE            TO TRUE.
033100     PERFORM MB00PD-MMSM-ACCESS
033200        THRU MB00PD-MMSM-ACCESS-EXIT.
033300*
033400     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
033500     SET MMOCRB-CLOSE            TO TRUE.
033600     PERFORM MB00PD-MMOC-ACCESS
033700        THRU MB00PD-MMOC-ACCESS-EXIT.
033800*
033900     MOVE 'C1SR'                 TO SS02WS-ABEND-LOCATION.
034000     SET MMSRRB-CLOSE            TO TRUE.
034100     PERFORM MB00PD-MMSR-ACCESS
034200        THRU MB00PD-MMSR-ACCESS-EXIT.
034300*
034400     MOVE 'C1SD'                 TO SS02WS-ABEND-LOCATION.
034500     SET MTSDRB-CLOSE            TO TRUE.
034600     PERFORM MB00PD-MTSD-ACCESS
034700        THRU MB00PD-MTSD-ACCESS-EXIT.
034800*
034900     PERFORM MB20PD-CLOSE-PRINT-FILES
035000        THRU MB20PD-CPF-EXIT.
035100*
035200 A299-CF-EXIT.
035300     EXIT.
035400/
035500 B000-READ-INPUT-SEC SECTION.
035600 B010-BEG-INPUT.
035700*
035800     PERFORM B100-PROCESS-MMSM
035900        THRU B199-PR-EXIT
036000        UNTIL MMSMIO-TRAILER.
036100*
036200     MOVE LOW-VALUES             TO MS1S-RECORD.
036300*
036400     GO TO B999-EXIT.
036500*
036600 B099-RIS-EXIT.
036700     EXIT.
036800/
036900 B100-PROCESS-MMSM.
037000*
037100     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
037200*
037300     IF  MMSM-REC-ACTIVE
037400     OR  MMSM-REC-CLOSED
037500     OR  MMSM-REC-PENDING-PURGE
037600     OR  MMSM-REC-PURGING
037700         NEXT SENTENCE
037800     ELSE
037900         GO TO B110-CONTINUE.
038000*
038100     SET X-MMSM-STORE-CHAIN      TO 1.
038200     PERFORM B200-FIND-CHAINS
038300        THRU B299-FC-EXIT
038400        UNTIL X-MMSM-STORE-CHAIN GREATER THAN 10.
038500*
038600 B110-CONTINUE.
038700*
038800     MOVE 'R2SM'                 TO SS02WS-ABEND-LOCATION.
038900     SET MMSMRB-READ-SEQ         TO TRUE.
039000     PERFORM MB00PD-MMSM-ACCESS
039100        THRU MB00PD-MMSM-ACCESS-EXIT.
039200*
039300 B199-PR-EXIT.
039400     EXIT.
039500/
039600 B200-FIND-CHAINS.
039700*
039800     IF  MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
039900         IS GREATER THAN ZERO
040000         MOVE MMSM-ORG           TO MS1S-ORG
040100         MOVE MMSM-STORE         TO MS1S-STORE
040200         MOVE MMSM-STORE-CHAIN-ID (X-MMSM-STORE-CHAIN)
040300                                 TO MS1S-CHAIN
040400         MOVE MMSM-NA-LINE (1 1) TO MS1S-STORE-NAME
040500         RELEASE MS1S-RECORD.
040600*
040700     SET X-MMSM-STORE-CHAIN      UP BY 1.
040800*
040900 B299-FC-EXIT.
041000     EXIT.
041100*
041200 B999-EXIT.
041300     EXIT.
041400/
041500 C000-WRITE-SORTED-FILE-SEC SECTION.
041600 C010-BEG-RETURN.
041700*
041800     PERFORM C100-PROCESS-MMSR
041900        THRU C199-PR-EXIT
042000        UNTIL MMSRIO-TRAILER.
042100*
042200     MOVE SPACES                 TO MTSDIO-RECORD.
042300     MOVE 999999999999           TO MTSDIO-KEY.
042400     MOVE 9999999                TO MTSDIO-DATE-STAMP.
042500     MOVE 99999999999            TO MTSDIO-TIME-STAMP.
042600     MOVE 'W3SD'                 TO SS02WS-ABEND-LOCATION.
042700     SET MTSDRB-WRITE            TO TRUE.
042800     PERFORM MB00PD-MTSD-ACCESS
042900        THRU MB00PD-MTSD-ACCESS-EXIT.
043000*
043100*
043200     GO TO C999-EXIT.
043300*
043400 C099-FR-EXIT.
043500     EXIT.
043600*
043700 C100-PROCESS-MMSR.
043800*
043900     MOVE 'R2SR'                 TO SS02WS-ABEND-LOCATION.
044000     SET MMSRRB-READ-SEQ         TO TRUE.
044100     PERFORM MB00PD-MMSR-ACCESS
044200        THRU MB00PD-MMSR-ACCESS-EXIT.
044300*
044400     MOVE 'N'                    TO WS-SEQ-NBR-SW.
044500     MOVE MMSRIO-RECORD          TO MMSR-RECORD.
044600     MOVE ZERO                   TO WS-TOTAL-MEMBERS.
044700*
044800     MOVE MMSDIR-RECORD          TO MTSD-RECORD.
044900*
045000     PERFORM C200-RETURN-SORT
045100        THRU C299-RS-EXIT
045200        UNTIL MS1S-ORG-CHAIN IS GREATER THAN
045300              MMSRIO-ORG-CHAIN
045400          OR  WS-MS1S-IS-END-OF-FILE.
045500*
045600 C199-PR-EXIT.
045700     EXIT.
045800*
045900 C200-RETURN-SORT.
046000*
046100     IF  WS-1ST-TIME-MS1S
046200         MOVE 'N'                TO WS-1ST-TIME-MS1S-SW
046300         RETURN MS1S-SORT-FILE
046400             AT END
046500                MOVE 'Y'         TO WS-MS1S-EOF-SW
046600                GO TO C299-RS-EXIT.
046700*
046800     IF  MS1S-ORG-CHAIN LESS THAN MMSRIO-ORG-CHAIN
046900         GO TO C220-RETURN.
047000*
047100     IF  MS1S-ORG-CHAIN GREATER THAN MMSRIO-ORG-CHAIN
047200     AND WS-1ST-TIME-STORE-ON
047300         GO TO C299-RS-EXIT.
047400*
047500     IF  MS1S-ORG-CHAIN GREATER THAN MMSRIO-ORG-CHAIN
047600         GO TO C210-WRITE.
047700*
047800     IF  WS-1ST-TIME-STORE-ON
047900         IF  WS-SEQ-NBR-ON
048000             NEXT SENTENCE
048100         ELSE
048200             MOVE 1              TO WS-SEQ-NBR.
048300*
048400     IF  WS-1ST-TIME-STORE-ON
048500         MOVE 'SYS'              TO MTSD-LAST-MAINT-OPER
048600         MOVE MMSC-TODAYS-JULIAN
048700                                 TO MTSD-LAST-MAINT-DATE
048800         MOVE MS1S-ORG           TO MTSD-ORG
048900         MOVE MS1S-CHAIN         TO MTSD-CHAIN
049000         SET X-MTSD-MEMBER       TO 1
049100         MOVE ZEROS              TO WS-NBR-OF-MEMBERS
049200         SET WS-1ST-TIME-STORE-OFF
049300                                 TO TRUE.
049400*
049500     IF  MS1S-ORG-CHAIN EQUAL MMSRIO-ORG-CHAIN
049600         MOVE MS1S-STORE         TO
049700                                 MTSD-MEMBER (X-MTSD-MEMBER)
049800         SET X-STORE-NAME        TO X-MTSD-MEMBER
049900         MOVE MS1S-STORE-NAME    TO WS-STORE-NAME (X-STORE-NAME)
050000         ADD 1                   TO WS-NBR-OF-MEMBERS
050100         SET X-MTSD-MEMBER       UP BY 1
050200         IF  WS-NBR-OF-MEMBERS NOT LESS THAN 800
050300             GO TO C210-WRITE
050400         ELSE
050500             GO TO C220-RETURN.
050600*
050700 C210-WRITE.
050800*
050900     IF  MTSD-ORG IS EQUAL TO ZERO
051000         MOVE MMSDIR-RECORD      TO MTSD-RECORD
051100         MOVE ZERO               TO WS-NBR-OF-MEMBERS
051200         MOVE 1                  TO WS-SEQ-NBR
051300         MOVE 'N'                TO WS-SEQ-NBR-SW
051400         SET WS-1ST-TIME-STORE-ON
051500                                 TO TRUE
051600         GO TO C299-RS-EXIT.
051700*
051800*
051900     SET WS-1ST-TIME-STORE-ON    TO TRUE.
052000     MOVE 'W2SD'                 TO SS02WS-ABEND-LOCATION.
052100     MOVE WS-NBR-OF-MEMBERS      TO MTSD-NBR-OF-MEMBERS.
052200     ADD WS-NBR-OF-MEMBERS       TO WS-TOTAL-MEMBERS.
052300     MOVE WS-SEQ-NBR             TO MTSD-SEQ-NBR.
052400     PERFORM R100-REPORT-SECT
052500        THRU R199-RS-EXIT.
052600     SET MTSD-REC-ACTIVE         TO TRUE.
052700     MOVE MTSD-RECORD            TO MTSDIO-RECORD.
052800     SET MTSDRB-WRITE            TO TRUE.
052900     PERFORM MB00PD-MTSD-ACCESS
053000        THRU MB00PD-MTSD-ACCESS-EXIT.
053100*
053200     MOVE MMSDIR-RECORD          TO MTSD-RECORD.
053300*
053400     IF  WS-NBR-OF-MEMBERS NOT LESS THAN 800
053500         ADD 1                   TO WS-SEQ-NBR
053600         MOVE 'Y'                TO WS-SEQ-NBR-SW
053700         GO TO C220-RETURN.
053800*
053900     GO TO C299-RS-EXIT.
054000*
054100 C220-RETURN.
054200*
054300     RETURN MS1S-SORT-FILE
054400        AT END
054500           MOVE 'Y'              TO WS-MS1S-EOF-SW
054600           GO TO C210-WRITE.
054700*
054800     IF  MS1S-ORG-CHAIN NOT EQUAL MMSRIO-ORG-CHAIN
054900         AND
055000         WS-1ST-TIME-STORE-OFF
055100         GO TO C210-WRITE.
055200*
055300 C299-RS-EXIT.
055400     EXIT.
055500*
055600 C999-EXIT.
055700     EXIT.
055800/
055900 R100-REPORT-SECT SECTION.
056000 R110-REPORTS.
056100*
056200     IF  WS-1ST-TIME-RPT
056300         MOVE 'N'                TO WS-1ST-TIME-RPT-SW
056400         PERFORM Z100-GET-ORG-OPTIONS
056500            THRU Z199-GOO-EXIT
056600         MOVE MTSD-ORG           TO WS-ORG
056700         MOVE MTSD-CHAIN         TO WS-CHAIN
056800         MOVE MTSD-SEQ-NBR       TO WS-SEQ
056900         PERFORM R300-HEADING-LINE1
057000            THRU R309-HL1-EXIT
057100         PERFORM R320-HEADING-LINE3
057200            THRU R329-HL3-EXIT
057300         SET X-MTSD-MEMBER       TO 1
057400         SET X-STORE             TO 1
057500         SET X-STORE-NAME        TO 1
057600         PERFORM R200-PRINT-DETAIL
057700            THRU R299-PD-EXIT
057800         PERFORM R410-TOTAL-LINE2
057900            THRU R419-TL2-EXIT
058000         GO TO R199-RS-EXIT.
058100*
058200     IF  MTSD-ORG NOT EQUAL WS-ORG
058300         PERFORM Z100-GET-ORG-OPTIONS
058400            THRU Z199-GOO-EXIT
058500         MOVE MB20WS-FORCE-PAGE  TO MB20WS-LINE-COUNT.
058600*
058700     IF  MTSD-CHAIN NOT EQUAL WS-CHAIN
058800     OR  (MTSD-CHAIN IS EQUAL WS-CHAIN
058900     AND  MTSD-SEQ-NBR IS NOT EQUAL WS-SEQ)
059000         MOVE MTSD-ORG        TO WS-ORG
059100         MOVE MTSD-CHAIN      TO WS-CHAIN
059200         MOVE MTSD-SEQ-NBR       TO WS-SEQ
059300         PERFORM R300-HEADING-LINE1
059400            THRU R309-HL1-EXIT
059500         PERFORM R320-HEADING-LINE3
059600            THRU R329-HL3-EXIT
059700         SET X-MTSD-MEMBER    TO 1
059800         SET X-STORE             TO 1
059900         SET X-STORE-NAME        TO 1
060000         PERFORM R200-PRINT-DETAIL
060100            THRU R299-PD-EXIT
060200         PERFORM R410-TOTAL-LINE2
060300            THRU R419-TL2-EXIT
060400         GO TO R199-RS-EXIT.
060500*
060600 R199-RS-EXIT.
060700     EXIT.
060800*
060900*
061000 R200-PRINT-DETAIL SECTION.
061100 R201-PD-SECT.
061200*
061300     IF  MTSD-MEMBER (X-MTSD-MEMBER) IS EQUAL ZEROS
061400         IF  MB20WS-PRINT-LINE IS NOT EQUAL TO SPACES
061500             PERFORM MB20PD-PRINT-1-LINE
061600                THRU MB20PD-P1L-EXIT
061700             GO TO R299-PD-EXIT
061800         ELSE
061900             GO TO R299-PD-EXIT
062000     ELSE
062100         MOVE MTSD-MEMBER (X-MTSD-MEMBER)
062200                                 TO WS-PL01-STORE (X-STORE)
062300         MOVE WS-STORE-NAME (X-STORE-NAME)
062400                                 TO WS-PL01-STORE-NAME (X-STORE)
062500         SET X-MTSD-MEMBER       UP BY 1
062600         SET X-STORE-NAME        UP BY 1
062700         SET X-STORE             UP BY 1.
062800*
062900     IF  X-MTSD-MEMBER GREATER THAN 800
063000         PERFORM MB20PD-PRINT-1-LINE
063100            THRU MB20PD-P1L-EXIT
063200         GO TO R299-PD-EXIT.
063300*
063400     IF  X-STORE IS GREATER THAN 3
063500         PERFORM MB20PD-PRINT-1-LINE
063600            THRU MB20PD-P1L-EXIT
063700         SET X-STORE              TO 1
063800         GO TO R201-PD-SECT
063900     ELSE
064000         GO TO R201-PD-SECT.
064100*
064200 R299-PD-EXIT.
064300     EXIT.
064400*
064500 R300-HEADING-LINE1 SECTION.
064600 R301-HL1-SECT.
064700*
064800     MOVE 'ORG'                  TO WS-HL01-LIT-1.
064900     MOVE MTSD-ORG               TO WS-HL01-ORG.
065000     MOVE 'CHAIN NUMBER'         TO WS-HL01-LIT-2.
065100     MOVE MTSD-CHAIN             TO WS-HL01-CHAIN.
065200     MOVE 'CHAIN NAME'           TO WS-HL01-LIT-3.
065300     MOVE MMSR-NA-LINE (1)       TO WS-HL01-CHAIN-NAME.
065400*
065500     PERFORM MB20PD-PRINT-2-LINES
065600        THRU MB20PD-P2L-EXIT.
065700*
065800 R309-HL1-EXIT.
065900     EXIT.
066000*
066100 R320-HEADING-LINE3 SECTION.
066200 R321-HL3-SECT.
066300*
066400     MOVE 'STORE NBR'            TO WS-HL03-STORE-1.
066500     MOVE '   STORE NAME'        TO WS-HL03-NAME-1.
066600     MOVE 'STORE NBR'            TO WS-HL03-STORE-2.
066700     MOVE '   STORE NAME'        TO WS-HL03-NAME-2.
066800     MOVE 'STORE NBR'            TO WS-HL03-STORE-3.
066900     MOVE '   STORE NAME'        TO WS-HL03-NAME-3.
067000*
067100     PERFORM MB20PD-PRINT-2-LINES
067200        THRU MB20PD-P2L-EXIT.
067300*
067400 R329-HL3-EXIT.
067500     EXIT.
067600*
067700 R410-TOTAL-LINE2 SECTION.
067800 R411-TL2-SECT.
067900*
068000     MOVE 'NUMBER OF STORES   '  TO WS-TL02-LIT-1.
068100     MOVE WS-NBR-OF-MEMBERS      TO WS-TL02-NBR-STORE.
068200     MOVE '  FOR SEQ NBR '       TO WS-TL02-SEQ-DESC.
068300     MOVE WS-SEQ-NBR             TO WS-TL02-SEQ-NBR.
068400*
068500     PERFORM MB20PD-PRINT-3-LINES
068600        THRU MB20PD-P3L-EXIT.
068700*
068800 R419-TL2-EXIT.
068900     EXIT.
069000/
069100 Z100-GET-ORG-OPTIONS SECTION.
069200 Z110-GOO-BEGIN.
069300*
069400     MOVE MTSD-ORG               TO MMOCIO-ORG.
069500*
069600     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
069700     SET MMOCRB-READ-RANDOM      TO TRUE.
069800     PERFORM MB00PD-MMOC-ACCESS
069900        THRU MB00PD-MMOC-ACCESS-EXIT.
070000*
070100     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
070200*
070300     MOVE MMOC-ORG               TO MB20WS-SH-ORG.
070400     MOVE ' - '                  TO MB20WS-SH-LIT-1.
070500     MOVE MMOC-NA-LINE (1 1)     TO MB20WS-SH-ORG-NAME.
070600     MOVE ZERO                   TO MB20WS-PAGE-COUNT.
070700     MOVE SPACES                 TO MB20WS-SH-LIT-5.
070800*
070900 Z199-GOO-EXIT.
071000     EXIT.
071100/
071200 9000-PERFORMED-ROUTINES-SECT SECTION.
071300*
071400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
071500/
071600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
071700/
071800     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
071900/
072000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.
072100/
072200     COPY MB00PD REPLACING ==:MB00:== BY ==MTSD==.
072300/
072400     COPY MB20PD.
072500/
072600     COPY MB99PD.
072700/
072800     COPY SS02PD.
072900/
073000     COPY SS08PD.
073100/
073200     COPY SS16PD.
073300/
073400     COPY SS26PD.
073500/
073600     COPY SS27PD.
073700/
073800     COPY SS98PD.
073900*
074000 9995-END-SOURCE-STATEMENTS SECTION.
074100 9999-END-OF-PROGRAM.
074200     EXIT.
