000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU440.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  R E T A I L    M E R C H A N T      S Y S T E M   *
000600*                                                               *
000700*       MBU440 - MMXR FILE REBUILD                              *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900*
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400*
002500 01  MS1S-RECORD.
002600     03  MS1S-KEY.
002700         05  MS1S-ORG        PIC  X(30).
002800         05  MS1S-MERCHANT   PIC  9(09).
002900         05  MS1S-STORE      PIC S9(09)      BINARY.
003000     03  MS1S-MMXR-RECORD    PIC  X(26).
003100/
003200 WORKING-STORAGE SECTION.
003300*
003400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003500*
003600 01  WS-MBU440-WORK-AREAS.
003700     03  WS-MS1S-EOF-SW      PIC  X(01)      VALUE 'N'.
003800         88  WS-MS1S-IS-END-OF-FILE          VALUE 'Y'.
003900     03  WS-1ST-TIME-SW      PIC  X(01)      VALUE 'Y'.
004000         88  WS-1ST-TIME-ON                  VALUE 'Y'.
004100         88  WS-1ST-TIME-OFF                 VALUE 'N'.
004200/
004300     COPY MMXRIO.
004400/
004500     COPY MB00RB REPLACING ==:MB00:== BY ==MMXR==.
004600/
004700     COPY MMXRRL.
004800/
004900     COPY MMSMIO.
005000/
005100     COPY MB00RB REPLACING ==:MB00:== BY ==MMSM==.
005200/
005300     COPY MMSMRL.
005400/
005500     COPY MMOCIO.
005600/
005700     COPY MB00RB REPLACING ==:MB00:== BY ==MMOC==.
005800/
005900     COPY MMOCRL.
006000/
006100     COPY MMSCIO.
006200/
006300     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
006400/
006500     COPY MMSCRL.
006600/
006700     COPY MB00WS.
006800/
006900     COPY MB99WS.
007000/
007100     COPY SS00WS.
007200/
007300     COPY SS01WS.
007400/
007500     COPY SS02WS.
007600/
007700     COPY SS05WS.
007800/
007900     COPY SS12WS.
008000*
008100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008200/
008300 PROCEDURE DIVISION.
008400 A000-MAIN-LINE-SECT SECTION.
008500 A010-ML-BEGIN.
008600*
008700     MOVE 'MBU440'               TO SS02WS-ABEND-PROG-ID.
008800*
008900     PERFORM A100-OPEN-FILES     THRU A199-OF-EXIT.
009000*
009100     SORT MS1S-SORT-FILE
009200          ASCENDING KEY MS1S-KEY
009300          INPUT PROCEDURE        IS B000-READ-INPUT-SEC
009400          OUTPUT PROCEDURE       IS C000-WRITE-SORTED-FILE-SEC.
009500*
009600     PERFORM SS98PD-VERIFY-SORT-RETURN
009700        THRU SS98PD-VSR-EXIT.
009800*
009900     PERFORM A200-CLOSE-FILES    THRU A299-CF-EXIT.
010000*
010100     STOP RUN.
010200*
010300 A099-ML-EXIT.
010400     EXIT.
010500/
010600 A100-OPEN-FILES SECTION.
010700 A101-OF-OPEN-FILES.
010800*
010900     MOVE 'O1XR'                 TO SS02WS-ABEND-LOCATION.
011000     SET MMXRRB-OPEN-OUTPUT      TO TRUE.
011100     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
011200*
011300     MOVE 'O1SM'                 TO SS02WS-ABEND-LOCATION.
011400     SET MMSMRB-OPEN-INPUT       TO TRUE.
011500     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
011600*
011700     MOVE 'O1OC'                 TO SS02WS-ABEND-LOCATION.
011800     SET MMOCRB-OPEN-INPUT       TO TRUE.
011900     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
012000*
012100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012200     SET MMSCRB-OPEN-INPUT       TO TRUE.
012300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012400*
012500 A110-CHECK-HEADERS-READ.
012600*
012700     MOVE 'R0SC'                 TO SS02WS-ABEND-LOCATION.
012800     SET MMSCRB-READ-SEQ         TO TRUE.
012900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
013000*
013100     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013200*
013300     IF  MMSCIO-HEADER
013400         NEXT SENTENCE
013500     ELSE
013600         PERFORM MB99PD-MISSING-HEADER-ABEND
013700                                 THRU MB99PD-MHA-EXIT.
013800*
013900     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
014000     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
014100     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
014200*
014300*
014400*
014500     MOVE 'R0OC'                 TO SS02WS-ABEND-LOCATION.
014600     SET MMOCRB-READ-SEQ         TO TRUE.
014700     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
014800     MOVE 'MMOC'                 TO MB99WS-FILE-ID.
014900*
015000     IF  MMOCIO-HEADER
015100         NEXT SENTENCE
015200     ELSE
015300         PERFORM MB99PD-MISSING-HEADER-ABEND
015400                                 THRU MB99PD-MHA-EXIT.
015500*
015600     MOVE MMOCIO-DATE-STAMP      TO MB99WS-FILE-DATE.
015700     MOVE MMOCIO-TIME-STAMP      TO MB99WS-FILE-TIME.
015800     PERFORM MB99PD-CHECK-DATE-TIME
015900                                 THRU MB99PD-CDT-EXIT.
016000*
016100     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
016200*
016300*
016400*
016500     MOVE 'R0SM'                 TO SS02WS-ABEND-LOCATION.
016600     SET MMSMRB-READ-SEQ         TO TRUE.
016700     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
016800     MOVE 'MMSM'                 TO MB99WS-FILE-ID.
016900*
017000     IF  MMSMIO-HEADER
017100         NEXT SENTENCE
017200     ELSE
017300         PERFORM MB99PD-MISSING-HEADER-ABEND
017400                                 THRU MB99PD-MHA-EXIT.
017500*
017600     MOVE MMSMIO-DATE-STAMP      TO MB99WS-FILE-DATE.
017700     MOVE MMSMIO-TIME-STAMP      TO MB99WS-FILE-TIME.
017800     PERFORM MB99PD-CHECK-DATE-TIME
017900                                 THRU MB99PD-CDT-EXIT.
018000*
018100     MOVE 'R1SM'                 TO SS02WS-ABEND-LOCATION.
018200     SET MMSMRB-READ-SEQ         TO TRUE.
018300     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
018400*
018500     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
018600*
018700*
018800*
018900 A199-OF-EXIT.
019000     EXIT.
019100/
019200 A200-CLOSE-FILES SECTION.
019300 A201-CF-BEGIN.
019400*
019500     MOVE 'C1XR'                 TO SS02WS-ABEND-LOCATION.
019600     SET MMXRRB-CLOSE            TO TRUE.
019700     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
019800*
019900     MOVE 'C1SM'                 TO SS02WS-ABEND-LOCATION.
020000     SET MMSMRB-CLOSE            TO TRUE.
020100     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
020200*
020300     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
020400     SET MMOCRB-CLOSE            TO TRUE.
020500     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
020600*
020700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
020800     SET MMSCRB-CLOSE            TO TRUE.
020900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
021000*
021100 A299-CF-EXIT.
021200     EXIT.
021300 A999-EXIT.
021400     EXIT.
021500/
021600*
021700 B000-READ-INPUT-SEC SECTION.
021800 B010-PP-BEGIN.
021900*
022000     PERFORM E000-PROCESS-ORG    THRU E019-PO-EXIT.
022100*
022200     IF  MMOCIO-TRAILER
022300         GO TO B010-PP-BEGIN-EXIT.
022400*
022500     PERFORM G000-PROCESS-STORES THRU G019-PS-EXIT
022600        UNTIL MMSMIO-ORG IS GREATER THAN MMOC-ORG.
022700*
022800     GO TO B010-PP-BEGIN.
022900*
023000 B010-PP-BEGIN-EXIT.
023100     EXIT.
023200 B999-PP-EXIT.
023300     EXIT.
023400*
023500 C000-WRITE-SORTED-FILE-SEC SECTION.
023600 C010-BEG-RETURN.
023700*
023800     PERFORM C020-PROCESS-RETURNS
023900                                 THRU C029-BEGIN-RETURN-EXIT
024000         UNTIL WS-MS1S-IS-END-OF-FILE.
024100*
024200     MOVE SPACES                 TO MMXR-RECORD.
024300     MOVE 999                    TO MMXR-ORG.
024400     MOVE 999999999              TO MMXR-STORE.
024500     MOVE 999999999              TO MMXR-MERCHANT.
024600     MOVE MMXR-RECORD            TO MMXRIO-RECORD.
024700     PERFORM 9000-WRITE-MMXR     THRU 9099-WM-EXIT.
024800*
024900     GO TO C999-EXIT.
025000*
025100 C020-PROCESS-RETURNS.
025200*
025300     RETURN MS1S-SORT-FILE
025400         AT END
025500            MOVE 'Y'             TO WS-MS1S-EOF-SW
025600            GO TO C029-BEGIN-RETURN-EXIT.
025700*
025800     MOVE MS1S-MMXR-RECORD       TO MMXRIO-RECORD.
025900     PERFORM 9000-WRITE-MMXR     THRU 9099-WM-EXIT.
026000*
026100 C029-BEGIN-RETURN-EXIT.
026200     EXIT.
026300 C999-EXIT.
026400     EXIT.
026500/
026600 E000-PROCESS-ORG SECTION.
026700 E010-PO-BEGIN.
026800*
026900     MOVE 'R1OC'                 TO SS02WS-ABEND-LOCATION.
027000     SET MMOCRB-READ-SEQ         TO TRUE.
027100     PERFORM MB00PD-MMOC-ACCESS  THRU MB00PD-MMOC-ACCESS-EXIT.
027200*
027300     IF  MMOCIO-TRAILER
027400         GO TO E019-PO-EXIT.
027500*
027600     MOVE MMOCIO-RECORD          TO MMOC-RECORD.
027700*
027800     IF  MMOC-REC-INCOMPLETE
027900     OR  MMOC-ADD-PENDING
028000     OR  MMOC-REC-PURGED
028100         GO TO E010-PO-BEGIN.
028200*
028300 E019-PO-EXIT.
028400     EXIT.
028500 E999-EXIT.
028600     EXIT.
028700*
028800/
028900 G000-PROCESS-STORES SECTION.
029000 G010-PS-BEGIN.
029100*
029200     IF  WS-1ST-TIME-ON
029300         SET WS-1ST-TIME-OFF     TO TRUE
029400         MOVE SPACES             TO MMXR-RECORD
029500         MOVE ZEROS              TO MMXR-ORG
029600                                    MS1S-ORG
029700         MOVE ZEROS              TO MMXR-STORE
029800                                    MS1S-STORE
029900         MOVE ZEROS              TO MMXR-MERCHANT
030000                                    MS1S-MERCHANT
030100         MOVE MMXR-RECORD        TO MMXRIO-RECORD
030200         MOVE ZERO               TO MMXRIO-DATE-STAMP
030300         MOVE ZERO               TO MMXRIO-TIME-STAMP
030400         MOVE MMXRIO-RECORD      TO MMXR-RECORD
030500         MOVE MMXR-RECORD        TO MS1S-MMXR-RECORD
030600         RELEASE MS1S-RECORD.
030700*
030800     IF  MMSMIO-TRAILER
030900         GO TO G019-PS-EXIT.
031000*
031100     IF  MMSM-ORG IS LESS THAN MMOC-ORG
031200         PERFORM 9200-GET-NEXT-STORE
031300                                 THRU 9299-GNS-EXIT
031400         GO TO G019-PS-EXIT.
031500*
031600     IF  MMSM-ORG IS NOT EQUAL TO MMOC-ORG
031700         GO TO G019-PS-EXIT.
031800*
031900     IF  MMSM-REC-INCOMPLETE
032000     OR  MMSM-ADD-PENDING
032100     OR  MMSM-REC-PURGED
032200         PERFORM 9200-GET-NEXT-STORE
032300                                 THRU 9299-GNS-EXIT
032400         GO TO G019-PS-EXIT.
032500*
032600     IF  MMSM-MERCHANT-ID IS EQUAL TO ZEROS
032700         PERFORM 9200-GET-NEXT-STORE
032800                                 THRU 9299-GNS-EXIT
032900         GO TO G019-PS-EXIT.
033000*
033100     MOVE ZEROS                  TO MMXR-LAST-MAINT-DATE.
033200     MOVE SPACES                 TO MMXR-LAST-MAINT-OPER.
033300     SET MMXR-REC-ACTIVE         TO TRUE.
033400     SET MMXR-ADD-COMPLETED      TO TRUE.
033500     MOVE MMSM-ORG               TO MMXR-ORG
033600                                    MS1S-ORG.
033700     MOVE MMSM-STORE             TO MMXR-STORE
033800                                    MS1S-STORE.
033900     MOVE MMSM-MERCHANT-ID       TO MMXR-MERCHANT
034000                                    MS1S-MERCHANT.
034100     MOVE MMXR-RECORD            TO MS1S-MMXR-RECORD.
034200     RELEASE MS1S-RECORD.
034300*
034400     PERFORM 9200-GET-NEXT-STORE THRU 9299-GNS-EXIT.
034500*
034600 G019-PS-EXIT.
034700     EXIT.
034800 G999-EXIT.
034900     EXIT.
035000*
035100 9000-PERFORMED-ROUTINS-SEC SECTION.
035200 9000-WRITE-MMXR.
035300*
035400     MOVE 'W1XR'                 TO SS02WS-ABEND-LOCATION.
035500     SET MMXRRB-WRITE            TO TRUE.
035600     PERFORM MB00PD-MMXR-ACCESS  THRU MB00PD-MMXR-ACCESS-EXIT.
035700*
035800 9099-WM-EXIT.
035900     EXIT.
036000*
036100 9200-GET-NEXT-STORE.
036200*
036300     MOVE 'R2SM'                 TO SS02WS-ABEND-LOCATION.
036400     SET MMSMRB-READ-SEQ         TO TRUE.
036500     PERFORM MB00PD-MMSM-ACCESS  THRU MB00PD-MMSM-ACCESS-EXIT.
036600*
036700     IF  MMSMIO-TRAILER
036800         GO TO 9299-GNS-EXIT.
036900*
037000     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
037100*
037200 9299-GNS-EXIT.
037300     EXIT.
037400/
037500/
037600     COPY MB00PD REPLACING ==:MB00:== BY ==MMXR==.
037700/
037800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSM==.
037900/
038000     COPY MB00PD REPLACING ==:MB00:== BY ==MMOC==.
038100/
038200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
038300/
038400     COPY MB99PD.
038500/
038600     COPY SS02PD.
038700/
038800     COPY SS03PD.
038900/
039000     COPY SS04PD.
039100/
039200     COPY SS06PD.
039300/
039400     COPY SS07PD.
039500/
039600     COPY SS08PD.
039700/
039800     COPY SS09PD.
039900/
040000     COPY SS12PD.
040100/
040200     COPY SS18PD.
040300/
040400     COPY SS26PD.
040500/
040600     COPY SS27PD.
040700/
040800     COPY SS98PD.
040900*
041000 9995-END-SOURCE-STATEMENTS SECTION.
041100 9999-END-OF-PROGRAM.
041200     EXIT.
