000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU500.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*  MBU500 - MERGE TODAYS ONLINE MERCHANT STATEMENTS WITH TODAYS *
000600*           ONLINE CHAIN STATEMENTS TO PRODUCE THE MTSU FILE    *
000700*                                                               *
000800*****************************************************************
000900*
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400 INPUT-OUTPUT SECTION.
001500 FILE-CONTROL.
001600*
001700     COPY MS1SES.
001800*
001900 DATA DIVISION.
002000 FILE SECTION.
002100*
002200     COPY MS1SSD.
002300     COPY MMS1RL REPLACING ==:MMS1:== BY ==MMS1==.
002400*
002500 WORKING-STORAGE SECTION.
002600*
002700 01  FILLER                  PIC  X(12)       VALUE
002800        '** WS-BEG **'.
002900*
003000 01  WS-MBU500-WORK-AREAS.
003100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU500'.
003200/
003300     COPY MMS1IO REPLACING ==:MMS1:== BY ==MTU1==.
003400/
003500     COPY MMS1RL REPLACING ==:MMS1:== BY ==MTU1==.
003600/
003700     COPY MB00RB REPLACING ==:MB00:== BY ==MTU1==.
003800/
003900     COPY MMS1IO REPLACING ==:MMS1:== BY ==MTU2==.
004000/
004100     COPY MMS1RL REPLACING ==:MMS1:== BY ==MTU2==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MTU2==.
004400/
004500     COPY MMS1IO REPLACING ==:MMS1:== BY ==MTU3==.
004600/
004700     COPY MMS1RL REPLACING ==:MMS1:== BY ==MTU3==.
004800/
004900     COPY MB00RB REPLACING ==:MB00:== BY ==MTU3==.
005000/
005100     COPY MMS1IO REPLACING ==:MMS1:== BY ==MTSU==.
005200/
005300     COPY MMS1RL REPLACING ==:MMS1:== BY ==MTSU==.
005400/
005500     COPY MB00RB REPLACING ==:MB00:== BY ==MTSU==.
005600/
005700     COPY MB00WS.
005800/
005900     COPY MB99WS.
006000/
006100     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
006200/
006300     COPY SS00WS.
006400/
006500     COPY SS01WS.
006600/
006700     COPY SS02WS.
006800/
006900*
007000 01  FILLER                  PIC  X(12)       VALUE
007100        '** WS-END **'.
007200/
007300 PROCEDURE DIVISION.
007400 A000-MAIN-LINE SECTION.
007500 A010-ML-BEGIN.
007600*
007700     MOVE WS-PROG-ID             TO SS02WS-ABEND-PROG-ID.
007800*
007900     MOVE 'O1U3'                 TO SS02WS-ABEND-LOCATION.
008000     SET MTU3RB-OPEN-INPUT       TO TRUE.
008100     PERFORM MB00PD-MTU3-ACCESS  THRU MB00PD-MTU3-ACCESS-EXIT.
008200*
008300     MOVE 'MTU3'                 TO MB99WS-FILE-ID.
008400     MOVE 'R0U3'                 TO SS02WS-ABEND-LOCATION.
008500     SET MTU3RB-READ-SEQ         TO TRUE.
008600     PERFORM MB00PD-MTU3-ACCESS  THRU MB00PD-MTU3-ACCESS-EXIT.
008700*
008800     IF  MTU3IO-HEADER
008900         NEXT SENTENCE
009000     ELSE
009100         PERFORM MB99PD-MISSING-HEADER-ABEND
009200            THRU MB99PD-MHA-EXIT.
009300*
009400     MOVE MTU3IO-RECORD          TO MTU3-RECORD.
009500*
009600     MOVE 'O1U2'                 TO SS02WS-ABEND-LOCATION.
009700     SET MTU2RB-OPEN-INPUT       TO TRUE.
009800     PERFORM MB00PD-MTU2-ACCESS  THRU MB00PD-MTU2-ACCESS-EXIT.
009900*
010000     MOVE 'MTU2'                 TO MB99WS-FILE-ID.
010100     MOVE 'R0U2'                 TO SS02WS-ABEND-LOCATION.
010200     SET MTU2RB-READ-SEQ         TO TRUE.
010300     PERFORM MB00PD-MTU2-ACCESS  THRU MB00PD-MTU2-ACCESS-EXIT.
010400*
010500     IF  MTU2IO-HEADER
010600         NEXT SENTENCE
010700     ELSE
010800         PERFORM MB99PD-MISSING-HEADER-ABEND
010900            THRU MB99PD-MHA-EXIT.
011000*
011100     MOVE MTU2IO-RECORD          TO MTU2-RECORD.
011200*
011300     MOVE 'O1U1'                 TO SS02WS-ABEND-LOCATION.
011400     SET MTU1RB-OPEN-INPUT       TO TRUE.
011500     PERFORM MB00PD-MTU1-ACCESS  THRU MB00PD-MTU1-ACCESS-EXIT.
011600*
011700     MOVE 'MTU1'                 TO MB99WS-FILE-ID.
011800     MOVE 'R0U1'                 TO SS02WS-ABEND-LOCATION.
011900     SET MTU1RB-READ-SEQ         TO TRUE.
012000     PERFORM MB00PD-MTU1-ACCESS  THRU MB00PD-MTU1-ACCESS-EXIT.
012100*
012200     IF  MTU1IO-HEADER
012300         NEXT SENTENCE
012400     ELSE
012500         PERFORM MB99PD-MISSING-HEADER-ABEND
012600            THRU MB99PD-MHA-EXIT.
012700*
012800     MOVE MTU1IO-RECORD          TO MTU1-RECORD.
012900*
013000*
013100*
013200     IF ((MTU1IO-DATE-STAMP IS EQUAL TO MTU2IO-DATE-STAMP
013300     AND  MTU1IO-TIME-STAMP IS EQUAL TO MTU2IO-TIME-STAMP)
013400     OR
013500          MTU2IO-DATE-STAMP IS EQUAL TO ZERO)
013600     AND
013700        ((MTU1IO-DATE-STAMP IS EQUAL TO MTU3IO-DATE-STAMP
013800     AND  MTU1IO-TIME-STAMP IS EQUAL TO MTU3IO-TIME-STAMP)
013900     OR
014000          MTU3IO-DATE-STAMP IS EQUAL TO ZERO)
014100         NEXT SENTENCE
014200     ELSE
014300         MOVE 50001              TO SS02WS-ABEND-CODE
014400         MOVE 'DATE/TIME ERROR U1/U2/U3'
014500                                 TO SS02WS-ABENDMSG8
014600         PERFORM SS02PD-ABEND
014700            THRU SS02PD-ABEND-EXIT.
014800*
014900*
015000*
015100     MOVE 'O1SU'                 TO SS02WS-ABEND-LOCATION.
015200     SET MTSURB-OPEN-OUTPUT      TO TRUE.
015300     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
015400*
015500     MOVE MTU1IO-RECORD          TO MTSUIO-RECORD.
015600*
015700     MOVE 'W0SU'                 TO SS02WS-ABEND-LOCATION.
015800     SET MTSURB-WRITE            TO TRUE.
015900     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
016000*
016100     MOVE 'R1U3'                 TO SS02WS-ABEND-LOCATION.
016200     SET MTU3RB-READ-SEQ         TO TRUE.
016300     PERFORM MB00PD-MTU3-ACCESS  THRU MB00PD-MTU3-ACCESS-EXIT.
016400*
016500     MOVE 'R1U2'                 TO SS02WS-ABEND-LOCATION.
016600     SET MTU2RB-READ-SEQ         TO TRUE.
016700     PERFORM MB00PD-MTU2-ACCESS  THRU MB00PD-MTU2-ACCESS-EXIT.
016800*
016900     MOVE 'R1U1'                 TO SS02WS-ABEND-LOCATION.
017000     SET MTU1RB-READ-SEQ         TO TRUE.
017100     PERFORM MB00PD-MTU1-ACCESS  THRU MB00PD-MTU1-ACCESS-EXIT.
017200*
017300*
017400*
017500     SORT MS1S-SORT-FILE
017600         ON ASCENDING KEY MMS1-KEY
017700         INPUT  PROCEDURE IS 1000-SORT-INPUT-SECT
017800         OUTPUT PROCEDURE IS 2000-SORT-OUTPUT-SECT.
017900*
018000     PERFORM SS98PD-VERIFY-SORT-RETURN
018100        THRU SS98PD-VSR-EXIT.
018200*
018300*
018400*
018500     MOVE MTU1IO-RECORD          TO MTSUIO-RECORD.
018600*
018700     MOVE 'W9SU'                 TO SS02WS-ABEND-LOCATION.
018800     SET MTSURB-WRITE            TO TRUE.
018900     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
019000*
019100*
019200*
019300     MOVE 'C1SU'                 TO SS02WS-ABEND-LOCATION.
019400     SET MTSURB-CLOSE            TO TRUE.
019500     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
019600*
019700     MOVE 'C1U3'                 TO SS02WS-ABEND-LOCATION.
019800     SET MTU3RB-CLOSE            TO TRUE.
019900     PERFORM MB00PD-MTU3-ACCESS  THRU MB00PD-MTU3-ACCESS-EXIT.
020000*
020100     MOVE 'C1U2'                 TO SS02WS-ABEND-LOCATION.
020200     SET MTU2RB-CLOSE            TO TRUE.
020300     PERFORM MB00PD-MTU2-ACCESS  THRU MB00PD-MTU2-ACCESS-EXIT.
020400*
020500     MOVE 'C1U1'                 TO SS02WS-ABEND-LOCATION.
020600     SET MTU1RB-CLOSE            TO TRUE.
020700     PERFORM MB00PD-MTU1-ACCESS  THRU MB00PD-MTU1-ACCESS-EXIT.
020800*
020900     STOP RUN.
021000*
021100 0999-PC-EXIT.
021200     EXIT.
021300/
021400 1000-SORT-INPUT-SECT SECTION.
021500 1010-SI-BEGIN.
021600*
021700     PERFORM
021800         UNTIL MTU1IO-TRAILER
021900         MOVE MTU1IO-RECORD      TO MMS1-RECORD
022000         RELEASE MMS1-RECORD
022100         MOVE 'R2U1'             TO SS02WS-ABEND-LOCATION
022200         SET MTU1RB-READ-SEQ     TO TRUE
022300         PERFORM MB00PD-MTU1-ACCESS THRU MB00PD-MTU1-ACCESS-EXIT
022400     END-PERFORM.
022500*
022600     PERFORM
022700         UNTIL MTU2IO-TRAILER
022800         MOVE MTU2IO-RECORD      TO MMS1-RECORD
022900         RELEASE MMS1-RECORD
023000         MOVE 'R2U2'             TO SS02WS-ABEND-LOCATION
023100         SET MTU2RB-READ-SEQ     TO TRUE
023200         PERFORM MB00PD-MTU2-ACCESS THRU MB00PD-MTU2-ACCESS-EXIT
023300     END-PERFORM.
023400*
023500     PERFORM
023600         UNTIL MTU3IO-TRAILER
023700         MOVE MTU3IO-RECORD      TO MMS1-RECORD
023800         RELEASE MMS1-RECORD
023900         MOVE 'R2U3'             TO SS02WS-ABEND-LOCATION
024000         SET MTU3RB-READ-SEQ     TO TRUE
024100         PERFORM MB00PD-MTU3-ACCESS THRU MB00PD-MTU3-ACCESS-EXIT
024200     END-PERFORM.
024300*
024400 1999-SI-EXIT.
024500     EXIT.
024600/
024700 2000-SORT-OUTPUT-SECT SECTION.
024800 2010-SO-BEGIN.
024900*
025000     RETURN MS1S-SORT-FILE
025100         AT END
025200             GO TO 2999-SO-EXIT.
025300*
025400     MOVE MMS1-RECORD            TO MTSUIO-RECORD.
025500*
025600     MOVE 'W2SU'                 TO SS02WS-ABEND-LOCATION.
025700     SET MTSURB-WRITE            TO TRUE.
025800     PERFORM MB00PD-MTSU-ACCESS  THRU MB00PD-MTSU-ACCESS-EXIT.
025900*
026000     GO TO 2010-SO-BEGIN.
026100*
026200 2999-SO-EXIT.
026300     EXIT.
026400/
026500 9900-PERFORMED-ROUTINES-SECT SECTION.
026600*
026700     COPY MB00PD REPLACING ==:MB00:== BY ==MTU1==.
026800/
026900     COPY MB00PD REPLACING ==:MB00:== BY ==MTU2==.
027000/
027100     COPY MB00PD REPLACING ==:MB00:== BY ==MTU3==.
027200/
027300     COPY MB00PD REPLACING ==:MB00:== BY ==MTSU==.
027400     COPY MB99PD.
027500/
027600     COPY SS02PD.
027700/
027800     COPY SS98PD.
027900*
028000 9995-END-SOURCE-STATEMENTS SECTION.
028100 9999-END-OF-PROGRAM.
028200     EXIT.
