000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU560.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU560 - RE-BUILD MMDH FILE FROM MMSH FILE              *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700/
001800 DATA DIVISION.
001900 FILE SECTION.
002000 WORKING-STORAGE SECTION.
002100*
002200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002300*
002400     COPY MTPTIO REPLACING ==:MTPT:== BY ==MMSH==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSH==.
002700/
002800     COPY MTPTRL REPLACING ==:MTPT:== BY ==MMSH==.
002900/
003000     COPY MMDHIO.
003100/
003200     COPY MB00RB REPLACING ==:MB00:== BY ==MMDH==.
003300/
003400     COPY MMDHRL.
003500/
003600     COPY MB00WS.
003700/
003800     COPY MB99WS.
003900/
004000     COPY SS00WS.
004100/
004200     COPY SS02WS.
004300*
004400 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
004500/
004600 PROCEDURE DIVISION.
004700 A000-MAIN-LINE-SECT SECTION.
004800 A010-ML-BEGIN.
004900*
005000     MOVE 'MBU560'               TO SS02WS-ABEND-PROG-ID.
005100*
005200     MOVE 'O1SH'                 TO SS02WS-ABEND-LOCATION.
005300     SET MMSHRB-OPEN-INPUT       TO TRUE.
005400     PERFORM MB00PD-MMSH-ACCESS
005500        THRU MB00PD-MMSH-ACCESS-EXIT.
005600*
005700     MOVE 'O1DH'                 TO SS02WS-ABEND-LOCATION.
005800     SET MMDHRB-OPEN-OUTPUT      TO TRUE.
005900     PERFORM MB00PD-MMDH-ACCESS
006000        THRU MB00PD-MMDH-ACCESS-EXIT.
006100*
006200     MOVE SPACES                 TO MMDHIO-RECORD.
006300     MOVE ZERO                   TO MMDHIO-ORG.
006400     MOVE ZERO                   TO MMDHIO-MERCHANT.
006500     MOVE ZERO                   TO MMDHIO-SEQ-NBR.
006600*
006700     MOVE 'W0DH'                 TO SS02WS-ABEND-LOCATION.
006800     SET MMDHRB-WRITE            TO TRUE.
006900     PERFORM MB00PD-MMDH-ACCESS
007000        THRU MB00PD-MMDH-ACCESS-EXIT.
007100*
007200 A100-ML-READ-MMSH.
007300*
007400     MOVE 'R1SH'                 TO SS02WS-ABEND-LOCATION.
007500     SET MMSHRB-READ-SEQ         TO TRUE.
007600     PERFORM MB00PD-MMSH-ACCESS
007700        THRU MB00PD-MMSH-ACCESS-EXIT.
007800*
007900     IF  MMSHIO-HEADER
008000         GO TO A100-ML-READ-MMSH.
008100*
008200     IF  MMSHIO-TRAILER
008300         GO TO A900-ML-CLOSE-FILES.
008400*
008500     MOVE MMSHIO-RECORD          TO MMSH-RECORD.
008600*
008700     PERFORM X250-CONVERT-MMSH
008800        THRU X259-CMMSH-EXIT
008900*
009000     PERFORM B000-WRITE-MMDH
009100        THRU B099-WMMDH-EXIT.
009200*
009300     GO TO A100-ML-READ-MMSH.
009400*
009500*
009600*
009700 A900-ML-CLOSE-FILES.
009800*
009900     MOVE SPACES                 TO MMDHIO-RECORD.
010000     MOVE 999                    TO MMDHIO-ORG.
010100     MOVE 999999999              TO MMDHIO-MERCHANT.
010200     MOVE ZERO                   TO MMDHIO-SEQ-NBR.
010300*
010400     MOVE 'W9DH'                 TO SS02WS-ABEND-LOCATION.
010500     SET MMDHRB-WRITE            TO TRUE.
010600     PERFORM MB00PD-MMDH-ACCESS
010700        THRU MB00PD-MMDH-ACCESS-EXIT.
010800*
010900*
011000*
011100     MOVE 'C1SH'                 TO SS02WS-ABEND-LOCATION.
011200     SET MMSHRB-CLOSE            TO TRUE.
011300     PERFORM MB00PD-MMSH-ACCESS
011400        THRU MB00PD-MMSH-ACCESS-EXIT.
011500*
011600     MOVE 'C1DH'                 TO SS02WS-ABEND-LOCATION.
011700     SET MMDHRB-CLOSE            TO TRUE.
011800     PERFORM MB00PD-MMDH-ACCESS
011900        THRU MB00PD-MMDH-ACCESS-EXIT.
012000*
012100     GO TO 9999-END-OF-PROGRAM.
012200*
012300 A099-ML-EXIT.
012400     EXIT.
012500/
012600 B000-WRITE-MMDH SECTION.
012700 B001-WMMDH-BEGIN.
012800*
012900     MOVE MMDH-RECORD            TO MMDHIO-RECORD.
013000*
013100     MOVE 'W5DH'                 TO SS02WS-ABEND-LOCATION.
013200     SET MMDHRB-WRITE            TO TRUE.
013300     PERFORM MB00PD-MMDH-ACCESS
013400        THRU MB00PD-MMDH-ACCESS-EXIT.
013500*
013600 B099-WMMDH-EXIT.
013700     EXIT.
013800/
013900 X250-CONVERT-MMSH SECTION.
014000 X251-CMMSH-BEGIN.
014100*
014200     MOVE SPACES                 TO MMDH-RECORD.
014300     MOVE MMSH-ORG-MERCHANT      TO MMDH-ORG-MERCHANT.
014400     MOVE MMSH-SEQ-NBR           TO MMDH-SEQ-NBR.
014500     MOVE MMSH-STORE             TO MMDH-STORE.
014600     MOVE MMSH-PRODUCT           TO MMDH-PRODUCT.
014700     MOVE MMSH-PLAN              TO MMDH-PLAN.
014800     MOVE MMSH-LOGIC-MODULE      TO MMDH-LOGIC-MODULE.
014900     MOVE MMSH-QUAL-LEVEL        TO MMDH-QUAL-LEVEL.
015000     MOVE MMSH-TRANS-CODE        TO MMDH-TRANS-CODE.
015100     MOVE MMSH-TRANS-FLAG        TO MMDH-TRANS-FLAG.
015200     MOVE MMSH-NBR-ITEMS         TO MMDH-NBR-ITEMS.
015300     MOVE MMSH-AMOUNT            TO MMDH-AMOUNT.
015400     MOVE MMSH-POST-DATE         TO MMDH-POST-DATE.
015500     MOVE MMSH-ENTRY-DATE        TO MMDH-ENTRY-DATE.
015600     MOVE MMSH-STMT-FLAG         TO MMDH-STMT-FLAG.
015700     MOVE MMSH-SETT-FLAG         TO MMDH-SETT-FLAG.
015800     MOVE MMSH-SETT-ACCT         TO MMDH-SETT-ACCT.
015900     MOVE MMSH-SETT-DATE         TO MMDH-SETT-DATE.
016000     MOVE MMSH-BATCH             TO MMDH-BATCH.
016100     MOVE MMSH-ORIG-GL-SOURCE    TO MMDH-ORIG-GL-SOURCE.
016200     MOVE MMSH-GL-SOURCE         TO MMDH-GL-SOURCE.
016300     MOVE MMSH-RPT-DESC          TO MMDH-RPT-DESC.
016400*
016500 X259-CMMSH-EXIT.
016600     EXIT.
016700/
016800 9000-PERFORMED-ROUTINES SECTION.
016900     COPY MB00PD REPLACING ==:MB00:== BY ==MMSH==.
017000/
017100     COPY MB00PD REPLACING ==:MB00:== BY ==MMDH==.
017200/
017300     COPY MB99PD.
017400/
017500     COPY SS02PD.
017600*
017700 9995-END-SOURCE-STATEMENTS SECTION.
017800 9999-END-OF-PROGRAM.
017900     STOP RUN.
