000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU6MM12.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU6MM12 - BUILD MERCHANT NON-MONETARY FROM E.X.A.M. PAGE 12*
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400*
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800 DATA DIVISION.
001900 FILE SECTION.
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MBMM12.
002600     COPY MBMM12R.
002700/
002800     COPY MMEXTB REPLACING ==:MMEX:== BY ==MMEX==.
002900/
003000     COPY MMEXWS REPLACING ==:MMEX:== BY ==MMEX==.
003100/
003200     COPY SS00WS.
003300/
003400     COPY SS01WS.
003500/
003600     COPY SS02WS.
003700*
003800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
003900/
004000 LINKAGE SECTION.
004100     COPY MMEXRL REPLACING ==:MMEX:== BY ==MMEX==.
004200/
004300     COPY MMMMRL.
004400/
004500     COPY MMSMRL.
004600/
004700     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUO==.
004800/
004900     COPY MMUIRL REPLACING ==:MMUI:== BY ==MMUI==.
005000/
005100 PROCEDURE DIVISION              USING MMEX-RECORD
005200                                       MMMM-RECORD
005300                                       MMSM-RECORD
005400                                       MMUO-RECORD
005500                                       MMUI-RECORD.
005600 A000-MAIN-LINE-SECT SECTION.
005700 A010-ML-BEGIN.
005800*
005900     MOVE LOW-VALUES             TO MMUO-RECORD.
006000     MOVE LOW-VALUES             TO MMUI-RECORD.
006100     MOVE LOW-VALUES             TO MBMM12I.
006200*
006300     IF  MMMM-SINGLE-STORE-YES
006400         EVALUATE TRUE
006500             WHEN MMEX-TARGET-STORE-YES
006600                 PERFORM S000-STORE-DRIVER
006700                    THRU S099-SD-EXIT
006800             WHEN MMEX-TARGET-MERCHANT-YES
006900                 PERFORM M000-MERCH-DRIVER
007000                    THRU M099-MD-EXIT
007100         END-EVALUATE.
007200*
007300     IF  MBMM12I IS EQUAL TO LOW-VALUES
007400         NEXT SENTENCE
007500     ELSE
007600         MOVE MBMM12I            TO MMUO-MAP-DATA
007700         MOVE 'MBMM'             TO MMUO-TRANID
007800         MOVE 12                 TO MMUO-CURRENT-PAGE
007900         MOVE MMMM-ORG           TO MMUO-MM-ORG
008000         MOVE MMMM-MERCHANT      TO MMUO-MM-MERCHANT
008100         MOVE LENGTH OF MBMM12I  TO MMUO-VAR-LENGTH
008200     END-IF.
008300*
008400*
008500     GO TO 9999-END-OF-PROGRAM.
008600*
008700 A999-ML-EXIT.
008800     EXIT.
008900/
009000 M000-MERCH-DRIVER SECTION.
009100 M001-MD-BEGIN.
009200*
009300     IF  MMMM-STORE-NBR IS EQUAL TO ZEROS
009400         PERFORM 5100-STORE-NBR
009500            THRU 5199-SN-EXIT.
009600*
009700 M099-MD-EXIT.
009800     EXIT.
009900/
010000 S000-STORE-DRIVER SECTION.
010100 S001-SD-BEGIN.
010200*
010300     IF  MMMM-STORE-NBR IS EQUAL TO ZEROS
010400         GO TO S099-SD-EXIT.
010500*
010600     PERFORM 0100-AUTH-FLAG
010700        THRU 0199-AF-EXIT.
010800*
010900     PERFORM 0200-AUTH-LOGO
011000        THRU 0299-AL-EXIT.
011100*
011200     PERFORM 0300-GOV-STATE
011300        THRU 0399-GS-EXIT.
011400*
011500     PERFORM 0400-SETT-FLAG
011600        THRU 0499-SF-EXIT.
011700*
011800     PERFORM 0500-SETT-DATE
011900        THRU 0599-SD-EXIT.
012000*
012100     PERFORM 0600-MEDIA-TYPE
012200        THRU 0699-MT-EXIT.
012300*
012400     PERFORM 0700-BULLETIN-TYPE
012500        THRU 0799-BT-EXIT.
012600*
012700     PERFORM 0800-STORE-TYPE
012800        THRU 0899-ST-EXIT.
012900*
013000     PERFORM 0900-ACT-RECAP-1
013100        THRU 0999-AR1-EXIT.
013200*
013300     PERFORM 1000-ACT-RECAP-DTL-1
013400        THRU 1099-ARD1-EXIT.
013500*
013600     PERFORM 1100-ACT-RECAP-2
013700        THRU 1199-AR2-EXIT.
013800*
013900     PERFORM 1200-ACT-RECAP-DTL-2
014000        THRU 1299-ARD2-EXIT.
014100*
014200     PERFORM 1300-ACT-RECAP-3
014300        THRU 1399-AR3-EXIT.
014400*
014500     PERFORM 1400-ACT-RECAP-DTL-3
014600        THRU 1499-ARD3-EXIT.
014700*
014800     PERFORM 1500-ACT-RECAP-4
014900        THRU 1599-AR4-EXIT.
015000*
015100     PERFORM 1600-ACT-RECAP-DTL-4
015200        THRU 1699-ARD4-EXIT.
015300*
015400 S099-SD-EXIT.
015500     EXIT.
015600/
015700 0000-MERCHANT-MAINT-PAGE-12 SECTION.
015800 0100-AUTH-FLAG.
015900*
016000     SET X-MMEXTB                TO 152.
016100     PERFORM 8000-SEARCH-MMEX-MAINT
016200        THRU 8099-SMM-EXIT.
016300*
016400     IF  SS02WS-FS-NO-RECORD-FOUND
016500         GO TO 0199-AF-EXIT.
016600*
016700     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
016800                                 TO MM12-AUTH-CODE.
016900     MOVE LENGTH OF MM12-AUTH-CODE
017000                                 TO MM12-AUTH-CODE-L.
017100*
017200 0199-AF-EXIT.
017300     EXIT.
017400/
017500 0200-AUTH-LOGO.
017600*
017700     SET X-MMEXTB                TO 153.
017800     PERFORM 8000-SEARCH-MMEX-MAINT
017900        THRU 8099-SMM-EXIT.
018000*
018100     IF  SS02WS-FS-NO-RECORD-FOUND
018200         GO TO 0299-AL-EXIT.
018300*
018400     PERFORM MBU600PD-EXTRACT-NUMERICS
018500        THRU MBU600PD-EN-EXIT.
018600*
018700     MOVE MMEXWS-NUMBER          TO MM12-AUTH-LOGO.
018800     MOVE LENGTH OF MM12-AUTH-LOGO
018900                                 TO MM12-AUTH-LOGO-L.
019000*
019100 0299-AL-EXIT.
019200     EXIT.
019300/
019400 0300-GOV-STATE.
019500*
019600     SET X-MMEXTB                TO 154.
019700     PERFORM 8000-SEARCH-MMEX-MAINT
019800        THRU 8099-SMM-EXIT.
019900*
020000     IF  SS02WS-FS-NO-RECORD-FOUND
020100         GO TO 0399-GS-EXIT.
020200*
020300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
020400                                 TO MM12-GOVERNING-STATE.
020500     MOVE LENGTH OF MM12-GOVERNING-STATE
020600                                 TO MM12-GOVERNING-STATE-L.
020700*
020800 0399-GS-EXIT.
020900     EXIT.
021000/
021100 0400-SETT-FLAG.
021200*
021300     SET X-MMEXTB                TO 156.
021400     PERFORM 8000-SEARCH-MMEX-MAINT
021500        THRU 8099-SMM-EXIT.
021600*
021700     IF  SS02WS-FS-NO-RECORD-FOUND
021800         GO TO 0499-SF-EXIT.
021900*
022000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
022100                                 TO MM12-STORE-SETT-FLAG.
022200     MOVE LENGTH OF MM12-STORE-SETT-FLAG
022300                                 TO MM12-STORE-SETT-FLAG-L.
022400*
022500 0499-SF-EXIT.
022600     EXIT.
022700/
022800 0500-SETT-DATE.
022900*
023000     SET X-MMEXTB                TO 157.
023100     PERFORM 8000-SEARCH-MMEX-MAINT
023200        THRU 8099-SMM-EXIT.
023300*
023400     IF  SS02WS-FS-NO-RECORD-FOUND
023500         GO TO 0599-SD-EXIT.
023600*
023700     PERFORM MBU600PD-EXTRACT-NUMERICS
023800        THRU MBU600PD-EN-EXIT.
023900*
024000     MOVE MMEXWS-NUMBER          TO MM12-STORE-SETT-DATE.
024100     MOVE LENGTH OF MM12-STORE-SETT-DATE
024200                                 TO MM12-STORE-SETT-DATE-L.
024300*
024400 0599-SD-EXIT.
024500     EXIT.
024600/
024700 0600-MEDIA-TYPE.
024800*
024900     SET X-MMEXTB                TO 159.
025000     PERFORM 8000-SEARCH-MMEX-MAINT
025100        THRU 8099-SMM-EXIT.
025200*
025300     IF  SS02WS-FS-NO-RECORD-FOUND
025400         GO TO 0699-MT-EXIT.
025500*
025600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
025700                                 TO MM12-MEDIA-TYPE.
025800     MOVE LENGTH OF MM12-MEDIA-TYPE
025900                                 TO MM12-MEDIA-TYPE-L.
026000*
026100 0699-MT-EXIT.
026200     EXIT.
026300/
026400 0700-BULLETIN-TYPE.
026500*
026600     SET X-MMEXTB                TO 160.
026700     PERFORM 8000-SEARCH-MMEX-MAINT
026800        THRU 8099-SMM-EXIT.
026900*
027000     IF  SS02WS-FS-NO-RECORD-FOUND
027100         GO TO 0799-BT-EXIT.
027200*
027300     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
027400                                 TO MM12-BULLETIN-TYPE.
027500     MOVE LENGTH OF MM12-BULLETIN-TYPE
027600                                 TO MM12-BULLETIN-TYPE-L.
027700*
027800 0799-BT-EXIT.
027900     EXIT.
028000/
028100 0800-STORE-TYPE.
028200*
028300     SET X-MMEXTB                TO 161.
028400     PERFORM 8000-SEARCH-MMEX-MAINT
028500        THRU 8099-SMM-EXIT.
028600*
028700     IF  SS02WS-FS-NO-RECORD-FOUND
028800         GO TO 0899-ST-EXIT.
028900*
029000     PERFORM MBU600PD-EXTRACT-NUMERICS
029100        THRU MBU600PD-EN-EXIT.
029200*
029300     MOVE MMEXWS-NUMBER          TO MM12-STORE-TYPE.
029400     MOVE LENGTH OF MM12-STORE-TYPE
029500                                 TO MM12-STORE-TYPE-L.
029600*
029700 0899-ST-EXIT.
029800     EXIT.
029900/
030000 0900-ACT-RECAP-1.
030100*
030200     SET X-MMEXTB                TO 162.
030300     PERFORM 8000-SEARCH-MMEX-MAINT
030400        THRU 8099-SMM-EXIT.
030500*
030600     IF  SS02WS-FS-NO-RECORD-FOUND
030700         GO TO 0999-AR1-EXIT.
030800*
030900     PERFORM MBU600PD-EXTRACT-NUMERICS
031000        THRU MBU600PD-EN-EXIT.
031100*
031200     MOVE MMEXWS-NUMBER          TO MM12-ACT-RECAP (1).
031300     MOVE LENGTH OF MM12-ACT-RECAP (1)
031400                                 TO MM12-ACT-RECAP-L (1).
031500*
031600 0999-AR1-EXIT.
031700     EXIT.
031800/
031900 1000-ACT-RECAP-DTL-1.
032000*
032100     SET X-MMEXTB                TO 163.
032200     PERFORM 8000-SEARCH-MMEX-MAINT
032300        THRU 8099-SMM-EXIT.
032400*
032500     IF  SS02WS-FS-NO-RECORD-FOUND
032600         GO TO 1099-ARD1-EXIT.
032700*
032800     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
032900                                 TO MM12-ACT-RECAP-DTL (1).
033000     MOVE LENGTH OF MM12-ACT-RECAP-DTL (1)
033100                                 TO MM12-ACT-RECAP-DTL-L (1).
033200*
033300 1099-ARD1-EXIT.
033400     EXIT.
033500/
033600 1100-ACT-RECAP-2.
033700*
033800     SET X-MMEXTB                TO 164.
033900     PERFORM 8000-SEARCH-MMEX-MAINT
034000        THRU 8099-SMM-EXIT.
034100*
034200     IF  SS02WS-FS-NO-RECORD-FOUND
034300         GO TO 1199-AR2-EXIT.
034400*
034500     PERFORM MBU600PD-EXTRACT-NUMERICS
034600        THRU MBU600PD-EN-EXIT.
034700*
034800     MOVE MMEXWS-NUMBER          TO MM12-ACT-RECAP (2).
034900     MOVE LENGTH OF MM12-ACT-RECAP (2)
035000                                 TO MM12-ACT-RECAP-L (2).
035100*
035200 1199-AR2-EXIT.
035300     EXIT.
035400/
035500 1200-ACT-RECAP-DTL-2.
035600*
035700     SET X-MMEXTB                TO 165.
035800     PERFORM 8000-SEARCH-MMEX-MAINT
035900        THRU 8099-SMM-EXIT.
036000*
036100     IF  SS02WS-FS-NO-RECORD-FOUND
036200         GO TO 1299-ARD2-EXIT.
036300*
036400     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
036500                                 TO MM12-ACT-RECAP-DTL (2).
036600     MOVE LENGTH OF MM12-ACT-RECAP-DTL (2)
036700                                 TO MM12-ACT-RECAP-DTL-L (2).
036800*
036900 1299-ARD2-EXIT.
037000     EXIT.
037100/
037200 1300-ACT-RECAP-3.
037300*
037400     SET X-MMEXTB                TO 166.
037500     PERFORM 8000-SEARCH-MMEX-MAINT
037600        THRU 8099-SMM-EXIT.
037700*
037800     IF  SS02WS-FS-NO-RECORD-FOUND
037900         GO TO 1399-AR3-EXIT.
038000*
038100     PERFORM MBU600PD-EXTRACT-NUMERICS
038200        THRU MBU600PD-EN-EXIT.
038300*
038400     MOVE MMEXWS-NUMBER          TO MM12-ACT-RECAP (3).
038500     MOVE LENGTH OF MM12-ACT-RECAP (3)
038600                                 TO MM12-ACT-RECAP-L (3).
038700*
038800 1399-AR3-EXIT.
038900     EXIT.
039000/
039100 1400-ACT-RECAP-DTL-3.
039200*
039300     SET X-MMEXTB                TO 167.
039400     PERFORM 8000-SEARCH-MMEX-MAINT
039500        THRU 8099-SMM-EXIT.
039600*
039700     IF  SS02WS-FS-NO-RECORD-FOUND
039800         GO TO 1499-ARD3-EXIT.
039900*
040000     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
040100                                 TO MM12-ACT-RECAP-DTL (3).
040200     MOVE LENGTH OF MM12-ACT-RECAP-DTL (3)
040300                                 TO MM12-ACT-RECAP-DTL-L (3).
040400*
040500 1499-ARD3-EXIT.
040600     EXIT.
040700/
040800 1500-ACT-RECAP-4.
040900*
041000     SET X-MMEXTB                TO 168.
041100     PERFORM 8000-SEARCH-MMEX-MAINT
041200        THRU 8099-SMM-EXIT.
041300*
041400     IF  SS02WS-FS-NO-RECORD-FOUND
041500         GO TO 1599-AR4-EXIT.
041600*
041700     PERFORM MBU600PD-EXTRACT-NUMERICS
041800        THRU MBU600PD-EN-EXIT.
041900*
042000     MOVE MMEXWS-NUMBER          TO MM12-ACT-RECAP (4).
042100     MOVE LENGTH OF MM12-ACT-RECAP (4)
042200                                 TO MM12-ACT-RECAP-L (4).
042300*
042400 1599-AR4-EXIT.
042500     EXIT.
042600/
042700 1600-ACT-RECAP-DTL-4.
042800*
042900     SET X-MMEXTB                TO 169.
043000     PERFORM 8000-SEARCH-MMEX-MAINT
043100        THRU 8099-SMM-EXIT.
043200*
043300     IF  SS02WS-FS-NO-RECORD-FOUND
043400         GO TO 1699-ARD4-EXIT.
043500*
043600     MOVE MMEX-MAINT-FIELD-VALUE (X-MMEX-MAINT)
043700                                 TO MM12-ACT-RECAP-DTL (4).
043800     MOVE LENGTH OF MM12-ACT-RECAP-DTL (4)
043900                                 TO MM12-ACT-RECAP-DTL-L (4).
044000*
044100 1699-ARD4-EXIT.
044200     EXIT.
044300/
044400 5100-STORE-NBR.
044500*
044600     SET X-MMEXTB                TO 395.
044700     PERFORM 8000-SEARCH-MMEX-MAINT
044800        THRU 8099-SMM-EXIT.
044900*
045000     IF  SS02WS-FS-NO-RECORD-FOUND
045100         GO TO 5199-SN-EXIT.
045200*
045300     PERFORM MBU600PD-EXTRACT-NUMERICS
045400        THRU MBU600PD-EN-EXIT.
045500*
045600     MOVE MMEXWS-NUMBER          TO MM12-STORE-NBR.
045700     MOVE LENGTH OF MM12-STORE-NBR
045800                                 TO MM12-STORE-NBR-L.
045900*
046000 5199-SN-EXIT.
046100     EXIT.
046200/
046300 8000-SEARCH-MMEX-MAINT SECTION.
046400 8001-SMM-BEGIN.
046500*
046600     SET X-MMEX-MAINT            TO 1.
046700     SEARCH MMEX-MAINT-CRITERIA VARYING X-MMEX-MAINT
046800         AT END
046900             SET SS02WS-FS-NO-RECORD-FOUND
047000                                 TO TRUE
047100         WHEN MMEX-MAINT-FILE-ID(X-MMEX-MAINT) IS EQUAL TO SPACES
047200             SET SS02WS-FS-NO-RECORD-FOUND
047300                                 TO TRUE
047400         WHEN MMEX-MAINT-FIELD-CODE (X-MMEX-MAINT)
047500              IS EQUAL TO MMEXTB-FIELD-CODE (X-MMEXTB)
047600             SET SS02WS-FS-SUCCESSFUL
047700                                 TO TRUE.
047800*
047900 8099-SMM-EXIT.
048000     EXIT.
048100/
048200 9000-PERFORMED-ROUTINES-SECT SECTION.
048300     COPY SS07PD.
048400/
048500     COPY SS08PD.
048600/
048700     COPY SS26PD.
048800/
048900     COPY SS27PD.
049000/
049100     COPY MBU600PD.
049200*
049300 9995-END-SOURCE-STATEMENTS SECTION.
049400 9999-END-OF-PROGRAM.
049500     GOBACK.
