000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU700.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*            MBU700 - GL DETAIL FILE DISPLAY (MTGL)             *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500*
001600/
001700 DATA DIVISION.
001800 FILE SECTION.
001900*
002000/
002100 WORKING-STORAGE SECTION.
002200*
002300 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002400*
002500     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002600/
002700     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002800/
002900     COPY MBU999WS.
003000/
003100     COPY MB00RB REPLACING ==:MB00:== BY ==MTGL==.
003200/
003300     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003400/
003500     COPY MMSCRL.
003600/
003700     COPY MTGLRL REPLACING ==:MTGL:== BY ==MTGL==.
003800/
003900     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004000/
004100     COPY MMSCIO.
004200/
004300     COPY MTGLIO REPLACING ==:MTGL:== BY ==MTGL==.
004400/
004500     COPY MB00KY.
004600/
004700     COPY MB00WS.
004800/
004900     COPY MB20WS.
005000*
005100 01  MB20WS-PRT-LINE         REDEFINES MB20WS-PRINT-LINE.
005200     03  FILLER              PIC  X(132).
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU700'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500     03  WS-U700-LINE-COUNT  PIC S9(04)      BINARY VALUE ZERO.
006600*
006700     03  WS-BEG-MTGL-KEY.
006800         05  WS-BEG-ORG-MERCHANT.
006900             07  WS-BEG-ORG  PIC  9(03).
007000             07  WS-BEG-MERCHANT
007100                             PIC  9(09).
007200         05  WS-BEG-TC-PREFIX
007300                             PIC  9(01).
007400         05  WS-BEG-TC-NBR   PIC  9(03).
007500/
007600                             COPY MB21WS.
007700*
007800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
007900/
008000 PROCEDURE DIVISION.
008100*
008200 A000-DRIVER.
008300*
008400*
008500     MOVE 'MBU700'               TO SS02WS-ABEND-PROG-ID
008600                                    MBU999WS-PROGRAM-ID.
008700     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
008800     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
008900     MOVE 'T700'                 TO MB20WS-SH-INTERNAL-RPT-ID.
009000     MOVE ' GL DETAIL FILE DISPLAY '
009100                                 TO MB20WS-SH-RPT-NAME.
009200     MOVE SPACES                 TO MB20WS-SH-LIT-1
009300                                    MB20WS-SH-LIT-5
009400                                    MB20WS-SH-L4
009500                                    MB20WS-SH-L5
009600                                    MB20WS-SH-L6.
009700     PERFORM MB21PD-PAP-RESET-INDEXES
009800                                 THRU MB21PD-PAP-EXIT.
009900*
010000 A100-OPEN-FILES.
010100*
010200     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
010300     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
010400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
010500     SET MTCCRB-OPEN-INPUT       TO TRUE.
010600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
010700*
010800     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
010900     SET MMSCRB-OPEN-INPUT-DYN   TO TRUE.
011000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011100*
011200     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
011300     SET MMSCRB-READ-SEQ         TO TRUE.
011400     MOVE '23'                   TO MMSCRB-PERM-STATUS-3.
011500     MOVE SS02WS-END-OF-FILE     TO MMSCRB-PERM-STATUS-4.
011600     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011700*
011800     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
011900*
012000     IF  MMSCIO-HEADER
012100         NEXT SENTENCE
012200     ELSE
012300         PERFORM MB99PD-MISSING-HEADER-ABEND
012400            THRU MB99PD-MHA-EXIT.
012500*
012600     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
012700     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
012800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
012900                                 THRU SS26PD-NED-EXIT.
013000     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
013100     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
013200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
013300                                 THRU SS27PD-NET-EXIT.
013400     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
013500*
013600     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
013700     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
013800     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
013900     MOVE 99                     TO MB20WS-LINE-LIMIT.
014000     COMPUTE MB21WS-LIN-LIMIT = MMSC-LINES-PER-PAGE    - 4.
014100     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
014200     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
014300*
014400     MOVE 'O1GL'                 TO SS02WS-ABEND-LOCATION.
014500     SET MTGLRB-OPEN-INPUT       TO TRUE.
014600     PERFORM MB00PD-MTGL-ACCESS  THRU MB00PD-MTGL-ACCESS-EXIT.
014700*
014800     MOVE 'R1GL'                 TO SS02WS-ABEND-LOCATION.
014900     SET MTGLRB-READ-SEQ         TO TRUE.
015000     MOVE '23'                   TO MTGLRB-PERM-STATUS-3.
015100     MOVE SS02WS-END-OF-FILE     TO MTGLRB-PERM-STATUS-4.
015200     PERFORM MB00PD-MTGL-ACCESS  THRU MB00PD-MTGL-ACCESS-EXIT.
015300*
015400     MOVE 'MTGL'                 TO MB99WS-FILE-ID.
015500*
015600     IF  MTGLIO-HEADER
015700         NEXT SENTENCE
015800     ELSE
015900         PERFORM MB99PD-MISSING-HEADER-ABEND
016000            THRU MB99PD-MHA-EXIT.
016100*
016200     PERFORM B100-PHR-BEGIN      THRU B999-PHR-EXIT.
016300*
016400 A200-PROGRAM-CONTROL.
016500*
016600     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
016700     SET MTCCRB-READ-SEQ         TO TRUE.
016800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
016900*
017000     IF  SS02WS-FS-END-OF-FILE
017100         GO TO A400-CHECK-READ-SWITCH.
017200*
017300     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
017400         GO TO A200-PROGRAM-CONTROL.
017500*
017600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
017700*
017800 A300-RANGE-CARD.
017900*
018000     MOVE 'Y'                    TO WS-CARD-READ-SW.
018100     INSPECT MTCC-MBU700-BEG-X   REPLACING ALL SPACE BY ZERO.
018200*
018300     IF  MTCC-MBU700-END-X IS EQUAL
018400                                 TO SPACES
018500         MOVE MTCC-MBU700-BEG-X  TO MTCC-MBU700-END-X.
018600*
018700     INSPECT MTCC-MBU700-END-X   REPLACING ALL SPACE BY ZERO.
018800*
018900     MOVE MTCC-MBU700-BEG-X      TO WS-BEG-ORG-MERCHANT.
019000     MOVE ZEROS                  TO WS-BEG-TC-PREFIX
019100                                    WS-BEG-TC-NBR.
019200*
019300     MOVE MTCC-MBU700-END-X      TO MB00KY-MTGL-ORG-MERCHANT.
019400     MOVE 9                      TO MB00KY-MTGL-TC-PREFIX.
019500     MOVE 999                    TO MB00KY-MTGL-TC-NBR.
019600*
019700 A350-READ-NEXT.
019800*
019900     MOVE 'R2GL'                 TO SS02WS-ABEND-LOCATION.
020000     SET MTGLRB-READ-SEQ         TO TRUE.
020100     PERFORM MB00PD-MTGL-ACCESS  THRU MB00PD-MTGL-ACCESS-EXIT.
020200*
020300     IF  SS02WS-FS-END-OF-FILE
020400         IF  MB21WS-PRINT-PAGE IS EQUAL
020500                                 TO SPACES
020600             GO TO A200-PROGRAM-CONTROL
020700         ELSE
020800             PERFORM MB21PD-PRINT-A-PAGE
020900                                 THRU MB21PD-PAP-EXIT
021000             GO TO A200-PROGRAM-CONTROL.
021100*
021200     IF  MTGLIO-HEADER
021300     OR  MTGLIO-TRAILER
021400         GO TO A350-READ-NEXT.
021500*
021600     IF  MTGLIO-KEY  IS LESS THAN WS-BEG-MTGL-KEY
021700         GO TO A350-READ-NEXT.
021800*
021900     IF  MTGLIO-KEY  IS GREATER THAN MB00KY-MTGL-KEY
022000         IF  MB21WS-PRINT-PAGE IS EQUAL
022100                                 TO SPACES
022200             GO TO A200-PROGRAM-CONTROL
022300         ELSE
022400             PERFORM MB21PD-PRINT-A-PAGE
022500                                 THRU MB21PD-PAP-EXIT
022600             GO TO A200-PROGRAM-CONTROL.
022700*
022800     MOVE MTGLIO-RECORD          TO MTGL-RECORD.
022900     PERFORM C100-PRT-BEGIN      THRU C999-PRT-EXIT.
023000     GO TO A350-READ-NEXT.
023100*
023200 A400-CHECK-READ-SWITCH.
023300*
023400     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
023500         MOVE '*** NO CONTROL CARDS ***'
023600                                 TO MB21WS-PP-COL44 (5 1)
023700         PERFORM MB21PD-PRINT-A-PAGE
023800                                 THRU MB21PD-PAP-EXIT.
023900*
024000     GO TO A600-CLOSE-FILES.
024100*
024200 A500-CONTROL-CARD-ERROR.
024300*
024400     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
024500     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
024600     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
024700     MOVE SPACE                  TO MB21WS-PP-LINE (4).
024800     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
024900     GO TO A200-PROGRAM-CONTROL.
025000*
025100 A600-CLOSE-FILES.
025200*
025300     MOVE 'C1GL'                 TO SS02WS-ABEND-LOCATION.
025400     SET MTGLRB-CLOSE            TO TRUE.
025500     PERFORM MB00PD-MTGL-ACCESS  THRU MB00PD-MTGL-ACCESS-EXIT.
025600*
025700     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
025800     SET MTCCRB-CLOSE            TO TRUE.
025900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026000*
026100     MOVE 'C1OC'                 TO SS02WS-ABEND-LOCATION.
026200     SET MMSCRB-CLOSE            TO TRUE.
026300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
026400*
026500     PERFORM MB20PD-CLOSE-PRINT-FILES
026600                                 THRU MB20PD-CPF-EXIT.
026700     STOP RUN.
026800/
026900 B100-PHR-BEGIN.
027000*
027100     MOVE 'HEADER RECORD (MTGL-)'
027200                                 TO MB21WS-NAME.
027300     PERFORM MB21PD-INSERT-A-COLUMN
027400                                 THRU MB21PD-IAC-EXIT.
027500*
027600     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
027700     MOVE 'FD-ORG'               TO MB21WS-NAME.
027800     MOVE MTGLIO-ORG             TO MB21WS-3V0.
027900     PERFORM MB21PD-INSERT-A-COLUMN
028000                                 THRU MB21PD-IAC-EXIT.
028100*
028200     MOVE 'FD-MERCHANT'          TO MB21WS-NAME.
028300     MOVE MTGLIO-MERCHANT        TO MB21WS-9V0.
028400     PERFORM MB21PD-INSERT-A-COLUMN
028500                                 THRU MB21PD-IAC-EXIT.
028600*
028700     MOVE 'FD-TC-PREFIX'         TO MB21WS-NAME.
028800     MOVE MTGLIO-TC-PREFIX       TO MB21WS-1V0.
028900     PERFORM MB21PD-INSERT-A-COLUMN
029000                                 THRU MB21PD-IAC-EXIT.
029100*
029200     MOVE 'FD-TC-NBR'            TO MB21WS-NAME.
029300     MOVE MTGLIO-TC-NBR          TO MB21WS-3V0.
029400     PERFORM MB21PD-INSERT-A-COLUMN
029500                                 THRU MB21PD-IAC-EXIT.
029600*
029700     MOVE 'FD-DATE-STAMP'        TO MB21WS-NAME.
029800     MOVE MTGLIO-DATE-STAMP      TO SS01WS-JULIAN.
029900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
030000                                 THRU SS26PD-NED-EXIT.
030100     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
030200     PERFORM MB21PD-INSERT-A-COLUMN
030300                                 THRU MB21PD-IAC-EXIT.
030400*
030500     MOVE 'FD-TIME-STAMP'        TO MB21WS-NAME.
030600     MOVE MTGLIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
030700     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
030800                                 THRU SS27PD-NET-EXIT.
030900     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
031000     PERFORM MB21PD-INSERT-A-COLUMN
031100                                 THRU MB21PD-IAC-EXIT.
031200     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
031300*
031400 B999-PHR-EXIT.
031500     EXIT.
031600/
031700 C100-PRT-BEGIN.
031800*
031900     MOVE MB21WS-LIN-LIMIT       TO MB20WS-LINES-REMAINING.
032000     SET  WS-U700-LINE-COUNT     TO X-MB21WS-LIN.
032100     SUBTRACT WS-U700-LINE-COUNT FROM MB20WS-LINES-REMAINING.
032200*
032300     IF  MB20WS-LINES-REMAINING IS LESS THAN 33
032400         SET X-MB21WS-LIN        TO 1
032500         SET X-MB21WS-COL        UP BY 1.
032600*
032700     MOVE '*----- GL DETAIL RECORD (MTGL-) ------*'
032800                                 TO MB21WS-PRINT-WORK-AREA.
032900     PERFORM MB21PD-INSERT-A-COLUMN
033000                                 THRU MB21PD-IAC-EXIT.
033100*
033200     MOVE 'ORG'                  TO MB21WS-NAME.
033300     MOVE MTGL-ORG               TO MB21WS-3V0.
033400     PERFORM MB21PD-INSERT-A-COLUMN
033500                                 THRU MB21PD-IAC-EXIT.
033600*
033700     MOVE 'MERCHANT'             TO MB21WS-NAME.
033800     MOVE MTGL-MERCHANT          TO MB21WS-9V0.
033900     PERFORM MB21PD-INSERT-A-COLUMN
034000                                 THRU MB21PD-IAC-EXIT.
034100*
034200     MOVE 'TC-PREFIX'            TO MB21WS-NAME.
034300     MOVE MTGL-TC-PREFIX         TO MB21WS-1V0.
034400     PERFORM MB21PD-INSERT-A-COLUMN
034500                                 THRU MB21PD-IAC-EXIT.
034600*
034700     MOVE 'TC-NBR'               TO MB21WS-NAME.
034800     MOVE MTGL-TC-NBR            TO MB21WS-3V0.
034900     PERFORM MB21PD-INSERT-A-COLUMN
035000                                 THRU MB21PD-IAC-EXIT.
035100*
035200     MOVE 'STORE'                TO MB21WS-NAME.
035300     MOVE MTGL-STORE             TO MB21WS-9V0.
035400     PERFORM MB21PD-INSERT-A-COLUMN
035500                                 THRU MB21PD-IAC-EXIT.
035600*
035700     MOVE 'ORIG-TC'              TO MB21WS-NAME.
035800     MOVE MTGL-ORIG-TC           TO MB21WS-3V0.
035900     PERFORM MB21PD-INSERT-A-COLUMN
036000                                 THRU MB21PD-IAC-EXIT.
036100*
036200     MOVE 'ORIG-GL-SOURCE'       TO MB21WS-NAME.
036300     MOVE MTGL-ORIG-GL-SOURCE    TO MB21WS-1V0.
036400     PERFORM MB21PD-INSERT-A-COLUMN
036500                                 THRU MB21PD-IAC-EXIT.
036600*
036700     MOVE 'GL-SOURCE'            TO MB21WS-NAME.
036800     MOVE MTGL-GL-SOURCE         TO MB21WS-1V0.
036900     PERFORM MB21PD-INSERT-A-COLUMN
037000                                 THRU MB21PD-IAC-EXIT.
037100*
037200     MOVE 'PLAN'                 TO MB21WS-NAME.
037300     MOVE MTGL-PLAN              TO MB21WS-5V0.
037400     PERFORM MB21PD-INSERT-A-COLUMN
037500                                 THRU MB21PD-IAC-EXIT.
037600*
037700     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
037800     MOVE MTGL-LOGIC-MODULE      TO MB21WS-3V0.
037900     PERFORM MB21PD-INSERT-A-COLUMN
038000                                 THRU MB21PD-IAC-EXIT.
038100*
038200     MOVE 'PRODUCT  '            TO MB21WS-NAME.
038300     MOVE MTGL-PRODUCT           TO MB21WS-2V0.
038400     PERFORM MB21PD-INSERT-A-COLUMN
038500                                 THRU MB21PD-IAC-EXIT.
038600*
038700     MOVE 'AR-LOGO'              TO MB21WS-NAME.
038800     MOVE MTGL-AR-LOGO           TO MB21WS-3V0.
038900     PERFORM MB21PD-INSERT-A-COLUMN
039000                                 THRU MB21PD-IAC-EXIT.
039100*
039200     MOVE 'AR-POST-FLAG'         TO MB21WS-NAME.
039300     MOVE MTGL-AR-POST-FLAG      TO MB21WS-2V0.
039400     PERFORM MB21PD-INSERT-A-COLUMN
039500                                 THRU MB21PD-IAC-EXIT.
039600*
039700     MOVE 'SKU-NBR'              TO MB21WS-NAME.
039800     MOVE MTGL-SKU-NBR           TO MB21WS-9V0.
039900     PERFORM MB21PD-INSERT-A-COLUMN
040000                                 THRU MB21PD-IAC-EXIT.
040100*
040200     MOVE 'DEPT-CODE'            TO MB21WS-NAME.
040300     MOVE MTGL-DEPT-CODE         TO MB21WS-4X.
040400     PERFORM MB21PD-INSERT-A-COLUMN
040500                                 THRU MB21PD-IAC-EXIT.
040600*
040700     MOVE 'QUAL-LEVEL'           TO MB21WS-NAME.
040800     MOVE MTGL-QUAL-LEVEL        TO MB21WS-2V0.
040900     PERFORM MB21PD-INSERT-A-COLUMN
041000                                 THRU MB21PD-IAC-EXIT.
041100*
041200     MOVE 'QUAL-IND'             TO MB21WS-NAME.
041300     MOVE MTGL-QUAL-INDICATOR    TO MB21WS-X.
041400     PERFORM MB21PD-INSERT-A-COLUMN
041500                                 THRU MB21PD-IAC-EXIT.
041600*
041700     MOVE 'DATA-ENTRY-MODE'      TO MB21WS-NAME.
041800     MOVE MTGL-DATA-ENTRY-MODE   TO MB21WS-X.
041900     PERFORM MB21PD-INSERT-A-COLUMN
042000                                 THRU MB21PD-IAC-EXIT.
042100*
042200     MOVE 'TYPE'                 TO MB21WS-NAME.
042300     MOVE MTGL-TYPE              TO MB21WS-X.
042400     PERFORM MB21PD-INSERT-A-COLUMN
042500                                 THRU MB21PD-IAC-EXIT.
042600*
042700     MOVE 'ENTRY-DATE'           TO MB21WS-NAME.
042800     MOVE MTGL-ENTRY-DATE        TO SS01WS-JULIAN.
042900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
043000                                 THRU SS26PD-NED-EXIT.
043100     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
043200     PERFORM MB21PD-INSERT-A-COLUMN
043300                                 THRU MB21PD-IAC-EXIT.
043400*
043500     MOVE 'POST-DATE'            TO MB21WS-NAME.
043600     MOVE MTGL-POST-DATE         TO SS01WS-JULIAN.
043700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
043800                                 THRU SS26PD-NED-EXIT.
043900     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
044000     PERFORM MB21PD-INSERT-A-COLUMN
044100                                 THRU MB21PD-IAC-EXIT.
044200*
044300     MOVE 'NBR-ITEMS'            TO MB21WS-NAME.
044400     MOVE MTGL-NBR-ITEMS         TO MB21WS-7V0.
044500     PERFORM MB21PD-INSERT-A-COLUMN
044600                                 THRU MB21PD-IAC-EXIT.
044700*
044800     MOVE 'AMOUNT'               TO MB21WS-NAME.
044900     MOVE MTGL-AMOUNT            TO MB21WS-15V2.
045000     PERFORM MB21PD-INSERT-A-COLUMN
045100                                 THRU MB21PD-IAC-EXIT.
045200*
045300     MOVE 'DR-ACCT'              TO MB21WS-NAME.
045400     MOVE MTGL-DR-ACCT           TO MB21WS-19X.
045500     PERFORM MB21PD-INSERT-A-COLUMN
045600                                 THRU MB21PD-IAC-EXIT.
045700*
045800     MOVE 'DR-DESC'              TO MB21WS-NAME.
045900     MOVE MTGL-DR-DESC           TO MB21WS-15X.
046000     PERFORM MB21PD-INSERT-A-COLUMN
046100                                 THRU MB21PD-IAC-EXIT.
046200*
046300     MOVE 'CR-ACCT'              TO MB21WS-NAME.
046400     MOVE MTGL-CR-ACCT           TO MB21WS-19X.
046500     PERFORM MB21PD-INSERT-A-COLUMN
046600                                 THRU MB21PD-IAC-EXIT.
046700*
046800     MOVE 'CR-DESC'              TO MB21WS-NAME.
046900     MOVE MTGL-CR-DESC           TO MB21WS-15X.
047000     PERFORM MB21PD-INSERT-A-COLUMN
047100                                 THRU MB21PD-IAC-EXIT.
047200*
047300     MOVE 'AR-ORG'               TO MB21WS-NAME.
047400     MOVE MTGL-AR-ORG            TO MB21WS-3V0.
047500     PERFORM MB21PD-INSERT-A-COLUMN
047600                                 THRU MB21PD-IAC-EXIT.
047700*
047800     MOVE 'AR-ACCT'              TO MB21WS-NAME.
047900     MOVE MTGL-AR-ACCT           TO MB21WS-19X.
048000     PERFORM MB21PD-INSERT-A-COLUMN
048100                                 THRU MB21PD-IAC-EXIT.
048200*
048300     MOVE 'RPT-DESC'             TO MB21WS-NAME.
048400     MOVE MTGL-RPT-DESC          TO MB21WS-15X.
048500     PERFORM MB21PD-INSERT-A-COLUMN
048600                                 THRU MB21PD-IAC-EXIT.
048700*
048800     MOVE 'AGENT-BANK'           TO MB21WS-NAME.
048900     MOVE MTGL-AGENT-BANK        TO MB21WS-5V0.
049000     PERFORM MB21PD-INSERT-A-COLUMN
049100                                 THRU MB21PD-IAC-EXIT.
049200*
049300     MOVE 'BRANCH'               TO MB21WS-NAME.
049400     MOVE MTGL-BRANCH            TO MB21WS-9V0.
049500     PERFORM MB21PD-INSERT-A-COLUMN
049600                                 THRU MB21PD-IAC-EXIT.
049700*
049800     MOVE 'OFFICER-ID'           TO MB21WS-NAME.
049900     MOVE MTGL-OFFICER-ID        TO MB21WS-3X.
050000     PERFORM MB21PD-INSERT-A-COLUMN
050100                                 THRU MB21PD-IAC-EXIT 2 TIMES.
050200*
050300 C999-PRT-EXIT.
050400     EXIT.
050500/
050600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
050700*                          COMMON ROUTINES                      *
050800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
050900     COPY SS02PD.
051000/
051100     COPY SS08PD.
051200/
051300     COPY SS16PD.
051400/
051500     COPY SS26PD.
051600/
051700     COPY SS27PD.
051800/
051900     COPY MB20PD.
052000/
052100     COPY MB21PD.
052200/
052300     COPY MB99PD.
052400/
052500     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
052600/
052700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
052800/
052900     COPY MB00PD REPLACING ==:MB00:== BY ==MTGL==.
053000/
