000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU880.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*       MBU880 - MTFI/MTFJ AND MTCI/MTCJ PRE-PROCESSING         *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600*
001700 FILE-CONTROL.
001800*
001900     COPY MS1SES.
002000/
002100 DATA DIVISION.
002200 FILE SECTION.
002300*
002400     COPY MS1SSD.
002500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTPT==.
002600/
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003000*
003100 01  WS-U880-WORK-AREAS.
003200     03  WS-U880-ORG-ACCT-TC PIC  X(28)      VALUE SPACES.
003300     03  WS-DISPLAY-STORE.
003400         05  WS-DISPLAY-STORE-9
003500                             PIC  9(09)      VALUE ZERO.
003600     03  WS-DISPLAY-TC.
003700         05  WS-DISPLAY-TC-9 PIC  9(03)      VALUE ZERO.
003800     03  WS-U880-PLAN-SW     PIC  X(01)      VALUE 'Y'.
003900         88  WS-U880-PLAN-CONSOLIDATED       VALUE 'Y'.
004000         88  WS-U880-NO-PLAN-CONSOLIDATED    VALUE 'N'.
004100     03  WS-U880-BUBBLE-SW   PIC  X(01)      VALUE 'Y'.
004200         88  WS-U880-BUBBLE-SWAP             VALUE 'Y'.
004300         88  WS-U880-BUBBLE-NO-SWAP          VALUE 'N'.
004400     03  WS-U880-INDEX       PIC S9(08)      BINARY  VALUE ZERO.
004500/
004600     COPY MMCTIO.
004700/
004800     COPY MB00RB REPLACING ==:MB00:== BY ==MMCT==.
004900/
005000     COPY MMCTRL.
005100/
005200     COPY MMCTTB.
005300/
005400     COPY MMGDIO.
005500/
005600     COPY MB00RB REPLACING ==:MB00:== BY ==MMGD==.
005700/
005800     COPY MMGDRL.
005900/
006000     COPY MMGDTB.
006100/
006200     COPY MMSCIO.
006300/
006400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
006500/
006600     COPY MMSCRL.
006700/
006800     COPY MMSSIO.
006900/
007000     COPY MB00RB REPLACING ==:MB00:== BY ==MMSS==.
007100/
007200     COPY MMSSRL.
007300/
007400 01  MMSSTB-TABLE-PARMS.
007500     03  MMSSTB-BEG-INDEX    PIC S9(04)      VALUE +1.
007600     03  MMSSTB-MAX-ENTRIES  PIC S9(04)      BINARY VALUE +9999.
007700*
007800 01  MMSSTB-TABLE-DATA.
007900     03  MMSSTB-TABLE                        OCCURS 9999 TIMES
008000                                             INDEXED BY
008100                                             X-MMSSTB
008200                                             X-MMSSTB-SEARCH.
008300         05  MMSSTB-RECORD.
008400             07  MMSSTB-KEY.
008500                 88  MMSSTB-END-OF-TABLE     VALUE SPACES.
008600                 09  MMSSTB-ORG-X.
008700                     11  MMSSTB-ORG
008800                             PIC  9(03).
008900                 09  MMSSTB-SEQ
009000                             PIC S9(04)      BINARY.
009100             07  MMSSTB-KEY-R
009200                             REDEFINES MMSSTB-KEY.
009300                 09  FILLER  PIC  X(03).
009400                 09  MMSSTB-SEQ-R
009500                             PIC  X(02).
009600                     88  MMSSTB-HEADER       VALUE LOW-VALUES.
009700                     88  MMSSTB-TRAILER      VALUE HIGH-VALUES.
009800*
009900             07  MMSSTB-STATUS-INFORMATION.
010000                 09  MMSSTB-REC-STATUS
010100                             PIC  9(01).
010200                     88  MMSSTB-REC-INCOMPLETE
010300                                             VALUE 0.
010400                     88  MMSSTB-REC-ACTIVE   VALUE 1.
010500                     88  MMSSTB-REC-PURGED   VALUE 9.
010600                 09  MMSSTB-ONLINE-STATUS
010700                             PIC  9(02).
010800                     88  MMSSTB-ADD-PENDING  VALUE 00 THRU 49.
010900                     88  MMSSTB-ADD-COMPLETED
011000                                             VALUE 99.
011100                 09  MMSSTB-LAST-MAINT-DATE
011200                             PIC S9(07)      COMP-3.
011300                 09  MMSSTB-LAST-MAINT-OPER
011400                             PIC  X(03).
011500             07  MMSSTB-SOURCE-DATA.
011600                 09  MMSSTB-SOURCE-CODE
011700                             PIC  X(05).
011800                 09  MMSSTB-SOURCE-DESC
011900                             PIC  X(16).
012000                 09  MMSSTB-SOURCE-PRODUCT
012100                             PIC  9(02).
012200                 09  MMSSTB-SOURCE-ORG
012300                             PIC  9(03).
012400                     88  MMSSTB-NO-SOURCE-ORG
012500                                             VALUE ZERO 999.
012600                 09  MMSSTB-SOURCE-LOGO
012700                             PIC  9(03).
012800                     88  MMSSTB-NO-SOURCE-LOGO
012900                                             VALUE ZERO 999.
013000                 09  MMSSTB-SOURCE-PREFIXES.
013100                     11  MMSSTB-SOURCE-FROM-PREFIX
013200                             PIC  X(11).
013300                     11  MMSSTB-SOURCE-CRITERIA-OPER
013400                             PIC  X(01).
013500                         88  MMSSTB-SCO-EXACT-MATCH
013600                                             VALUE 'X'.
013700                         88  MMSSTB-SCO-RANGE-MATCH
013800                                             VALUE 'R'.
013900                         88  MMSSTB-SCO-WILDCARD-MATCH
014000                                             VALUE '*'.
014100                         88  MMSSTB-SCO-DEFAULT-MATCH
014200                                             VALUE 'Z' SPACE.
014300                     11  MMSSTB-SOURCE-TO-PREFIX
014400                             PIC  X(11).
014500*
014600             07  FILLER      PIC  X(23).
014700             07  USER-FILLER PIC  X(10).
014800/
014900     COPY MMTCIO.
015000/
015100     COPY MB00RB REPLACING ==:MB00:== BY ==MMTC==.
015200/
015300     COPY MMTCRL.
015400/
015500     COPY MMTCTB.
015600/
015700     COPY MMTCWS.
015800/
015900     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
016000/
016100     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTCI==.
016200/
016300     COPY MB00RB REPLACING ==:MB00:== BY ==MTCI==.
016400/
016500     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTCI==.
016600/
016700     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTCJ==.
016800/
016900     COPY MB00RB REPLACING ==:MB00:== BY ==MTCJ==.
017000/
017100     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTCJ==.
017200/
017300     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFI==.
017400/
017500     COPY MB00RB REPLACING ==:MB00:== BY ==MTFI==.
017600/
017700     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFI==.
017800/
017900     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTFJ==.
018000/
018100     COPY MB00RB REPLACING ==:MB00:== BY ==MTFJ==.
018200/
018300     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTFJ==.
018400/
018500     COPY MTPTIR REPLACING ==:MTPT:== BY ==MTPT==.
018600/
018700     COPY MB00WS.
018800/
018900     COPY MB99WS.
019000/
019100     COPY SS00WS.
019200/
019300     COPY SS01WS.
019400/
019500     COPY SS02WS.
019600*
019700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
019800/
019900 PROCEDURE DIVISION.
020000 A000-MAIN-LINE-SECT SECTION.
020100 A010-ML-BEGIN.
020200*
020300     MOVE 'MBU880'               TO SS02WS-ABEND-PROG-ID.
020400*
020500     PERFORM A100-OPEN-FILES
020600        THRU A199-OF-EXIT.
020700*
020800     PERFORM A200-SORT-PROCESS
020900        THRU A299-SP-EXIT.
021000*
021100     PERFORM A300-CLOSE-FILES
021200        THRU A399-CF-EXIT.
021300*
021400     STOP RUN.
021500*
021600 A099-ML-EXIT.
021700     EXIT.
021800/
021900 A100-OPEN-FILES SECTION.
022000 A101-OF-BEGIN.
022100*
022200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
022300     SET MMSCRB-OPEN-INPUT       TO TRUE.
022400     PERFORM MB00PD-MMSC-ACCESS
022500        THRU MB00PD-MMSC-ACCESS-EXIT.
022600*
022700     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
022800     SET MMSCRB-READ-SEQ         TO TRUE.
022900     PERFORM MB00PD-MMSC-ACCESS
023000        THRU MB00PD-MMSC-ACCESS-EXIT.
023100*
023200     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
023300*
023400     IF  MMSCIO-HEADER
023500         NEXT SENTENCE
023600     ELSE
023700         PERFORM MB99PD-MISSING-HEADER-ABEND
023800            THRU MB99PD-MHA-EXIT.
023900*
024000     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
024100     MOVE MMSC-TODAYS-JULIAN     TO MB99WS-PROC-DATE.
024200     MOVE MMSC-TIME-STAMP        TO MB99WS-PROC-TIME.
024300*
024400*
024500*
024600     MOVE 'O1CT'                 TO SS02WS-ABEND-LOCATION.
024700     SET MMCTRB-OPEN-INPUT       TO TRUE.
024800     PERFORM MB00PD-MMCT-ACCESS
024900        THRU MB00PD-MMCT-ACCESS-EXIT.
025000*
025100     MOVE 'O1GD'                 TO SS02WS-ABEND-LOCATION.
025200     SET MMGDRB-OPEN-INPUT-DYN   TO TRUE.
025300     PERFORM MB00PD-MMGD-ACCESS
025400        THRU MB00PD-MMGD-ACCESS-EXIT.
025500*
025600     MOVE 'O1SS'                 TO SS02WS-ABEND-LOCATION.
025700     SET MMSSRB-OPEN-INPUT       TO TRUE.
025800     PERFORM MB00PD-MMSS-ACCESS
025900        THRU MB00PD-MMSS-ACCESS-EXIT.
026000*
026100     MOVE 'O1TC'                 TO SS02WS-ABEND-LOCATION.
026200     SET MMTCRB-OPEN-INPUT-DYN   TO TRUE.
026300     PERFORM MB00PD-MMTC-ACCESS
026400        THRU MB00PD-MMTC-ACCESS-EXIT.
026500*
026600     SET X-MMSSTB                TO 1.
026700     MOVE SPACES                 TO MMSSTB-TABLE-DATA.
026800*
026900 A110-OF-LOAD-MMSS-FILE.
027000*
027100     MOVE 'R1SS'                 TO SS02WS-ABEND-LOCATION.
027200     SET MMSSRB-READ-SEQ         TO TRUE.
027300     PERFORM MB00PD-MMSS-ACCESS
027400        THRU MB00PD-MMSS-ACCESS-EXIT.
027500*
027600     IF  MMSSIO-HEADER
027700         GO TO A110-OF-LOAD-MMSS-FILE.
027800*
027900     IF  MMSSIO-TRAILER
028000         NEXT SENTENCE
028100     ELSE
028200         MOVE MMSSIO-RECORD      TO MMSS-RECORD
028300         EVALUATE TRUE
028400             WHEN MMSS-REC-INCOMPLETE
028500                 CONTINUE
028600             WHEN MMSS-REC-INACTIVE
028700                 CONTINUE
028800             WHEN MMSS-REC-PURGED
028900                 CONTINUE
029000             WHEN MMSS-ADD-PENDING
029100                 CONTINUE
029200             WHEN OTHER
029300                 MOVE MMSS-RECORD
029400                                 TO MMSSTB-RECORD (X-MMSSTB)
029500                 SET X-MMSSTB    UP BY 1
029600         END-EVALUATE
029700         GO TO A110-OF-LOAD-MMSS-FILE.
029800*
029900 A199-OF-EXIT.
030000     EXIT.
030100/
030200 A200-SORT-PROCESS SECTION.
030300 A201-SP-BEGIN.
030400*
030500     SORT MS1S-SORT-FILE
030600         ON ASCENDING KEY MTPT-ORG
030700         INPUT  PROCEDURE IS 1000-MERGE-FILES
030800         OUTPUT PROCEDURE IS 4000-PRE-PROCESS-TRANSACTIONS.
030900*
031000     PERFORM SS98PD-VERIFY-SORT-RETURN
031100        THRU SS98PD-VSR-EXIT.
031200*
031300*
031400*
031500 A299-SP-EXIT.
031600     EXIT.
031700/
031800 A300-CLOSE-FILES SECTION.
031900 A301-CF-BEGIN.
032000*
032100     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
032200     SET MMSCRB-CLOSE            TO TRUE.
032300     PERFORM MB00PD-MMSC-ACCESS
032400        THRU MB00PD-MMSC-ACCESS-EXIT.
032500*
032600     MOVE 'C1CT'                 TO SS02WS-ABEND-LOCATION.
032700     SET MMCTRB-CLOSE            TO TRUE.
032800     PERFORM MB00PD-MMCT-ACCESS
032900        THRU MB00PD-MMCT-ACCESS-EXIT.
033000*
033100     MOVE 'C1GD'                 TO SS02WS-ABEND-LOCATION.
033200     SET MMGDRB-CLOSE            TO TRUE.
033300     PERFORM MB00PD-MMGD-ACCESS
033400        THRU MB00PD-MMGD-ACCESS-EXIT.
033500*
033600     MOVE 'C1SS'                 TO SS02WS-ABEND-LOCATION.
033700     SET MMSSRB-CLOSE            TO TRUE.
033800     PERFORM MB00PD-MMSS-ACCESS
033900        THRU MB00PD-MMSS-ACCESS-EXIT.
034000*
034100     MOVE 'C1TC'                 TO SS02WS-ABEND-LOCATION.
034200     SET MMTCRB-CLOSE            TO TRUE.
034300     PERFORM MB00PD-MMTC-ACCESS
034400        THRU MB00PD-MMTC-ACCESS-EXIT.
034500*
034600 A399-CF-EXIT.
034700     EXIT.
034800/
034900 1000-MERGE-FILES SECTION.
035000 1001-MF-BEGIN.
035100*
035200     MOVE 'O1FI'                 TO SS02WS-ABEND-LOCATION.
035300     SET MTFIRB-OPEN-INPUT       TO TRUE.
035400     PERFORM MB00PD-MTFI-ACCESS
035500        THRU MB00PD-MTFI-ACCESS-EXIT.
035600*
035700     MOVE 'O1FJ'                 TO SS02WS-ABEND-LOCATION.
035800     SET MTFJRB-OPEN-INPUT       TO TRUE.
035900     PERFORM MB00PD-MTFJ-ACCESS
036000        THRU MB00PD-MTFJ-ACCESS-EXIT.
036100*
036200     MOVE 'O1CI'                 TO SS02WS-ABEND-LOCATION.
036300     SET MTCIRB-OPEN-INPUT       TO TRUE.
036400     PERFORM MB00PD-MTCI-ACCESS
036500        THRU MB00PD-MTCI-ACCESS-EXIT.
036600*
036700     MOVE 'O1CJ'                 TO SS02WS-ABEND-LOCATION.
036800     SET MTCJRB-OPEN-INPUT       TO TRUE.
036900     PERFORM MB00PD-MTCJ-ACCESS
037000        THRU MB00PD-MTCJ-ACCESS-EXIT.
037100*
037200     MOVE SS02WS-END-OF-FILE     TO MTFIRB-PERM-STATUS-1.
037300     MOVE SS02WS-END-OF-FILE     TO MTFJRB-PERM-STATUS-1.
037400     MOVE SS02WS-END-OF-FILE     TO MTCIRB-PERM-STATUS-1.
037500     MOVE SS02WS-END-OF-FILE     TO MTCJRB-PERM-STATUS-1.
037600*
037700 1100-MF-READ-MTFI.
037800*
037900     MOVE 'R1FI'                 TO SS02WS-ABEND-LOCATION.
038000     SET MTFIRB-READ-SEQ         TO TRUE.
038100     PERFORM MB00PD-MTFI-ACCESS
038200        THRU MB00PD-MTFI-ACCESS-EXIT.
038300*
038400     IF  SS02WS-FS-END-OF-FILE
038500         GO TO 1200-MF-READ-MTCI.
038600*
038700     IF  MTFIIO-HEADER
038800     OR  MTFIIO-TRAILER
038900         GO TO 1100-MF-READ-MTFI.
039000*
039100     MOVE MTFIIO-RECORD          TO MTPT-RECORD.
039200*
039300     RELEASE MTPT-RECORD.
039400     GO TO 1100-MF-READ-MTFI.
039500*
039600*
039700*
039800*
039900 1200-MF-READ-MTCI.
040000*
040100     MOVE 'R1CI'                 TO SS02WS-ABEND-LOCATION.
040200     SET MTCIRB-READ-SEQ         TO TRUE.
040300     PERFORM MB00PD-MTCI-ACCESS
040400        THRU MB00PD-MTCI-ACCESS-EXIT.
040500*
040600     IF  SS02WS-FS-END-OF-FILE
040700         GO TO 1500-MF-READ-MTFJ.
040800*
040900     IF  MTCIIO-HEADER
041000     OR  MTCIIO-TRAILER
041100         GO TO 1200-MF-READ-MTCI.
041200*
041300     MOVE MTCIIO-RECORD          TO MTPT-RECORD.
041400*
041500     RELEASE MTPT-RECORD.
041600     GO TO 1200-MF-READ-MTCI.
041700*
041800*
041900*
042000 1500-MF-READ-MTFJ.
042100*
042200     MOVE 'R1FJ'                 TO SS02WS-ABEND-LOCATION.
042300     SET MTFJRB-READ-SEQ         TO TRUE.
042400     PERFORM MB00PD-MTFJ-ACCESS
042500        THRU MB00PD-MTFJ-ACCESS-EXIT.
042600*
042700     IF  SS02WS-FS-END-OF-FILE
042800         GO TO 1600-MF-READ-MTCJ.
042900*
043000     IF  MTFJIO-HEADER
043100     OR  MTFJIO-TRAILER
043200         GO TO 1500-MF-READ-MTFJ.
043300*
043400     MOVE MTFJIO-RECORD          TO MTPT-RECORD.
043500*
043600     RELEASE MTPT-RECORD.
043700     GO TO 1500-MF-READ-MTFJ.
043800*
043900*
044000*
044100*
044200 1600-MF-READ-MTCJ.
044300*
044400     MOVE 'R1CJ'                 TO SS02WS-ABEND-LOCATION.
044500     SET MTCJRB-READ-SEQ         TO TRUE.
044600     PERFORM MB00PD-MTCJ-ACCESS
044700        THRU MB00PD-MTCJ-ACCESS-EXIT.
044800*
044900     IF  SS02WS-FS-END-OF-FILE
045000         GO TO 1900-MF-CLOSE-FILES.
045100*
045200     IF  MTCJIO-HEADER
045300     OR  MTCJIO-TRAILER
045400         GO TO 1600-MF-READ-MTCJ.
045500*
045600     MOVE MTCJIO-RECORD          TO MTPT-RECORD.
045700*
045800     RELEASE MTPT-RECORD.
045900     GO TO 1600-MF-READ-MTCJ.
046000*
046100*
046200*
046300 1900-MF-CLOSE-FILES.
046400*
046500     MOVE 'C1FI'                 TO SS02WS-ABEND-LOCATION.
046600     SET MTFIRB-CLOSE            TO TRUE.
046700     PERFORM MB00PD-MTFI-ACCESS
046800        THRU MB00PD-MTFI-ACCESS-EXIT.
046900*
047000     MOVE 'C1FJ'                 TO SS02WS-ABEND-LOCATION.
047100     SET MTFJRB-CLOSE            TO TRUE.
047200     PERFORM MB00PD-MTFJ-ACCESS
047300        THRU MB00PD-MTFJ-ACCESS-EXIT.
047400*
047500     MOVE 'C1CI'                 TO SS02WS-ABEND-LOCATION.
047600     SET MTCIRB-CLOSE            TO TRUE.
047700     PERFORM MB00PD-MTCI-ACCESS
047800        THRU MB00PD-MTCI-ACCESS-EXIT.
047900*
048000     MOVE 'C1CJ'                 TO SS02WS-ABEND-LOCATION.
048100     SET MTCJRB-CLOSE            TO TRUE.
048200     PERFORM MB00PD-MTCJ-ACCESS
048300        THRU MB00PD-MTCJ-ACCESS-EXIT.
048400*
048500 1999-MF-EXIT.
048600     EXIT.
048700/
048800 4000-PRE-PROCESS-TRANSACTIONS SECTION.
048900 4001-PPT-BEGIN.
049000*
049100     MOVE 'O2FI'                 TO SS02WS-ABEND-LOCATION.
049200     SET MTFIRB-OPEN-OUTPUT      TO TRUE.
049300     PERFORM MB00PD-MTFI-ACCESS
049400        THRU MB00PD-MTFI-ACCESS-EXIT.
049500*
049600     MOVE 'O2FJ'                 TO SS02WS-ABEND-LOCATION.
049700     SET MTFJRB-OPEN-OUTPUT      TO TRUE.
049800     PERFORM MB00PD-MTFJ-ACCESS
049900        THRU MB00PD-MTFJ-ACCESS-EXIT.
050000*
050100     MOVE SPACES                 TO MMTCTB-TABLE-DATA.
050200*
050300 4010-PPT-RETURN-SORT.
050400*
050500     RETURN MS1S-SORT-FILE
050600         AT END
050700             GO TO 4090-PPT-CLOSE-FILES.
050800*
050900     IF  MTPT-PF-QUALIFIED-NON-POST
051000         SET MMTCWS-LM-VALID-DELETE
051100                                 TO TRUE
051200         PERFORM 4900-TRANSACTION-OUTPUT
051300            THRU 4999-TO-EXIT
051400         GO TO 4010-PPT-RETURN-SORT.
051500*
051600     IF  MTPT-ORG IS NOT EQUAL TO MMTCTB-ORG
051700         MOVE MTPT-ORG           TO MMTCTB-ORG
051800         PERFORM MMTCPX-LOAD-TRANSACTION-TABLE
051900            THRU MMTCPX-LTT-EXIT
052000         PERFORM 6100-LOAD-MMGD
052100            THRU 6199-LMMGD-EXIT
052200         PERFORM 6200-LOAD-MMCT
052300            THRU 6299-LMMCT-EXIT.
052400*
052500     IF  MTPT-REF-NBR IS EQUAL TO SPACES
052600     OR  MTPT-REF-NBR IS EQUAL TO ZEROES
052700     OR  MTPT-REF-NBR IS EQUAL TO LOW-VALUES
052800         EVALUATE TRUE
052900             WHEN MTPT-OGL-LOCAL-INP
053000                 MOVE 'A'        TO MTPT-REF-NBR (1:1)
053100                 MOVE MTPT-SEQ-NBR
053200                                 TO SS01WS-DATE
053300                 MOVE SS01WS-DATEZ
053400                                 TO MTPT-REF-NBR (16:8)
053500             WHEN MTPT-OGL-USER-INP
053600                 MOVE 'U'        TO MTPT-REF-NBR (1:1)
053700                 MOVE MTPT-BATCH-SEQ
053800                                 TO SS01WS-DATE
053900                 MOVE SS01WS-DATEZ
054000                                 TO MTPT-REF-NBR (16:8)
054100             WHEN OTHER
054200                 MOVE '*'        TO MTPT-REF-NBR (1:1)
054300                 MOVE MTPT-BATCH-SEQ
054400                                 TO SS01WS-DATE
054500                 MOVE SS01WS-DATEZ
054600                                 TO MTPT-REF-NBR (16:8)
054700         END-EVALUATE
054800         MOVE MTPT-BATCH-SOURCE  TO SS01WS-JULIAN
054900         MOVE SS01WS-JULZ (4:4)  TO MTPT-REF-NBR (7:4)
055000         MOVE MTPT-BATCH-NBR     TO SS01WS-JULIAN
055100         MOVE SS01WS-JULZ (3:5)  TO MTPT-REF-NBR (11:5)
055200         MOVE MTPT-BATCH-DATE    TO SS01WS-JULIAN
055300         MOVE SS01WS-JULZ (3:5)  TO MTPT-REF-NBR (2:5).
055400*
055500     IF  MTPT-TRANS-CODE IS EQUAL TO ZERO OR 999
055600         PERFORM 7500-ASSIGN-TC
055700            THRU 7599-AT-EXIT
055800     ELSE
055900         PERFORM 7000-ASSIGN-LM
056000            THRU 7099-AL-EXIT.
056100*
056200     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
056300*
056400     EVALUATE TRUE
056500         WHEN (MTPT-VDI-DEPOSIT-DATA
056600          AND  MMTCWS-LM-VAR-DATA-0-OR-1)
056700             CONTINUE
056800         WHEN (MTPT-VDI-FEE-DATA
056900          AND  MMTCWS-LM-VAR-DATA-0-OR-2)
057000             CONTINUE
057100         WHEN (MTPT-VDI-HEADER-DATA
057200          AND  MMTCWS-LM-VAR-DATA-0-OR-3)
057300             CONTINUE
057400         WHEN (MTPT-VDI-DEPOSIT-DATA
057500          AND  MMTCWS-LM-VAR-DATA-0-OR-2)
057600             MOVE MTPT-VD-AR-ORG-ACCT-TC
057700                                 TO WS-U880-ORG-ACCT-TC
057800             MOVE MTPTIR-VD-FEE-AREA
057900                                 TO MTPT-VD-FEE-AREA
058000             MOVE WS-U880-ORG-ACCT-TC
058100                                 TO MTPT-VD-AR-ORG-ACCT-TC
058200             SET  MTPT-VDI-FEE-DATA
058300                                 TO TRUE
058400         WHEN (MTPT-VDI-FEE-DATA
058500          AND  MMTCWS-LM-VAR-DATA-0-OR-1)
058600             MOVE MTPT-VD-AR-ORG-ACCT-TC
058700                                 TO WS-U880-ORG-ACCT-TC
058800             MOVE MTPTIR-VD-DEPOSIT-DATA
058900                                 TO MTPT-VD-DEPOSIT-DATA
059000             MOVE WS-U880-ORG-ACCT-TC
059100                                 TO MTPT-VD-AR-ORG-ACCT-TC
059200             SET  MTPT-VDI-DEPOSIT-DATA
059300                                 TO TRUE
059400         WHEN OTHER
059500             SET  MTPT-VDI-NOT-PRESENT
059600                                 TO TRUE
059700             MOVE MTPTIR-VD-DEPOSIT-DATA
059800                                 TO MTPT-VD-DEPOSIT-DATA
059900     END-EVALUATE.
060000*
060100     IF  MMTCWS-LM-PRODUCT-REQUIRED
060200     AND MTPT-NON-PRODUCT
060300         PERFORM 5000-FIND-THE-PRODUCT
060400            THRU 5099-FTP-EXIT.
060500*
060600     PERFORM 8000-PLAN-CONSOLIDATION
060700        THRU 8099-PC-EXIT.
060800*
060900     PERFORM 4900-TRANSACTION-OUTPUT
061000        THRU 4999-TO-EXIT.
061100*
061200     GO TO 4010-PPT-RETURN-SORT.
061300*
061400*
061500*
061600 4090-PPT-CLOSE-FILES.
061700*
061800     MOVE 'C2FI'                 TO SS02WS-ABEND-LOCATION.
061900     SET MTFIRB-CLOSE            TO TRUE.
062000     PERFORM MB00PD-MTFI-ACCESS
062100        THRU MB00PD-MTFI-ACCESS-EXIT.
062200*
062300     MOVE 'C2FJ'                 TO SS02WS-ABEND-LOCATION.
062400     SET MTFJRB-CLOSE            TO TRUE.
062500     PERFORM MB00PD-MTFJ-ACCESS
062600        THRU MB00PD-MTFJ-ACCESS-EXIT.
062700*
062800*
062900 4099-PPT-EXIT.
063000     EXIT.
063100/
063200 4900-TRANSACTION-OUTPUT SECTION.
063300 4901-TO-BEGIN.
063400*
063410     SET  MTPT-STORE-DUP-INIT    TO TRUE.                         RG800902
063412     SET  MTPT-MERCH-DUP-INIT    TO TRUE.                         RG800902
063414*                                                                 RG800902
063500     EVALUATE TRUE
063600         WHEN MMTCWS-LM-SALE
063700         WHEN MMTCWS-LM-SALE-REV
063800         WHEN MMTCWS-LM-RETURN
063900         WHEN MMTCWS-LM-RETURN-REV
063910         WHEN MMTCWS-LM-AUTH-APPROVED                             RG800902
063912         WHEN MMTCWS-LM-AUTH-DECLINED                             RG800902
064000             MOVE MTPT-RECORD    TO MTFIIO-RECORD
064100             MOVE 'W1FI'         TO SS02WS-ABEND-LOCATION
064200             SET MTFIRB-WRITE    TO TRUE
064300             PERFORM MB00PD-MTFI-ACCESS
064400                THRU MB00PD-MTFI-ACCESS-EXIT
064500         WHEN OTHER
064600             MOVE MTPT-RECORD    TO MTFJIO-RECORD
064700             MOVE 'W1FJ'         TO SS02WS-ABEND-LOCATION
064800             SET MTFJRB-WRITE    TO TRUE
064900             PERFORM MB00PD-MTFJ-ACCESS
065000                THRU MB00PD-MTFJ-ACCESS-EXIT
065100     END-EVALUATE.
065200*
065300 4999-TO-EXIT.
065400     EXIT.
065500/
065600 5000-FIND-THE-PRODUCT SECTION.
065700 5001-FTP-BEGIN.
065800*
065900     IF  MTPT-PF-QUALIFIED-NON-POST
066000         GO TO 5099-FTP-EXIT.
066100*
066200******************************************************************
066300*                                                                *
066400*    SEARCH FOR THE PRODUCT USING AN EXACT MATCH ON THE          *
066500*    ACCOUNT NUMBER.                                             *
066600*                                                                *
066700******************************************************************
066800*
066900     PERFORM
067000         VARYING X-MMSSTB FROM 1 BY 1
067100         UNTIL   X-MMSSTB IS GREATER THAN MMSSTB-MAX-ENTRIES
067200             OR  MMSSTB-END-OF-TABLE (X-MMSSTB)
067300             OR  MTPT-PRODUCT IS GREATER THAN ZERO
067400         IF  MMSSTB-SCO-EXACT-MATCH (X-MMSSTB)
067500         AND MTPT-PRODUCT IS EQUAL TO ZERO
067600         AND
067700            (MMSSTB-NO-SOURCE-ORG (X-MMSSTB)
067800          OR MMSSTB-SOURCE-ORG (X-MMSSTB) IS EQUAL TO MTPT-AR-ORG)
067900         AND
068000            (MMSSTB-NO-SOURCE-LOGO (X-MMSSTB)
068100          OR MMSSTB-SOURCE-LOGO (X-MMSSTB) IS EQUAL TO MTPT-LOGO)
068200             EVALUATE TRUE
068300                 WHEN MTPT-AR-ACCT (1:11) IS EQUAL TO
068400                      MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB)
068500                     MOVE MMSSTB-SOURCE-PRODUCT (X-MMSSTB)
068600                                 TO MTPT-PRODUCT
068700                 WHEN OTHER
068800                     CONTINUE
068900             END-EVALUATE
069000         END-IF
069100     END-PERFORM.
069200*
069300******************************************************************
069400*                                                                *
069500*    SEARCH FOR THE PRODUCT USING A RANGE MATCH ON THE           *
069600*    ACCOUNT NUMBER.                                             *
069700*                                                                *
069800******************************************************************
069900*
070000     PERFORM
070100         VARYING X-MMSSTB FROM 1 BY 1
070200         UNTIL   X-MMSSTB IS GREATER THAN MMSSTB-MAX-ENTRIES
070300             OR  MMSSTB-END-OF-TABLE (X-MMSSTB)
070400             OR  MTPT-PRODUCT IS GREATER THAN ZERO
070500         IF  MMSSTB-SCO-RANGE-MATCH (X-MMSSTB)
070600         AND MTPT-PRODUCT IS EQUAL TO ZERO
070700         AND
070800            (MMSSTB-NO-SOURCE-ORG (X-MMSSTB)
070900          OR MMSSTB-SOURCE-ORG (X-MMSSTB) IS EQUAL TO MTPT-AR-ORG)
071000         AND
071100            (MMSSTB-NO-SOURCE-LOGO (X-MMSSTB)
071200          OR MMSSTB-SOURCE-LOGO (X-MMSSTB) IS EQUAL TO MTPT-LOGO)
071300             EVALUATE TRUE
071400                 WHEN (MTPT-AR-ACCT (1:11) IS NOT LESS THAN
071500                       MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB)
071600                  AND  MTPT-AR-ACCT (1:11) IS NOT GREATER THAN
071700                       MMSSTB-SOURCE-TO-PREFIX (X-MMSSTB))
071800                     MOVE MMSSTB-SOURCE-PRODUCT (X-MMSSTB)
071900                                 TO MTPT-PRODUCT
072000                 WHEN OTHER
072100                     CONTINUE
072200             END-EVALUATE
072300         END-IF
072400     END-PERFORM.
072500*
072600******************************************************************
072700*                                                                *
072800*    SEARCH FOR THE PRODUCT USING A WILDCARD MATCH ON THE        *
072900*    ACCOUNT NUMBER.                                             *
073000*                                                                *
073100******************************************************************
073200*
073300     PERFORM
073400         VARYING X-MMSSTB FROM 1 BY 1
073500         UNTIL   X-MMSSTB IS GREATER THAN MMSSTB-MAX-ENTRIES
073600             OR  MMSSTB-END-OF-TABLE (X-MMSSTB)
073700             OR  MTPT-PRODUCT IS GREATER THAN ZERO
073800         IF  MMSSTB-SCO-WILDCARD-MATCH (X-MMSSTB)
073900         AND MTPT-PRODUCT IS EQUAL TO ZERO
074000         AND
074100            (MMSSTB-NO-SOURCE-ORG (X-MMSSTB)
074200          OR MMSSTB-SOURCE-ORG (X-MMSSTB) IS EQUAL TO MTPT-AR-ORG)
074300         AND
074400            (MMSSTB-NO-SOURCE-LOGO (X-MMSSTB)
074500          OR MMSSTB-SOURCE-LOGO (X-MMSSTB) IS EQUAL TO MTPT-LOGO)
074600             IF (MTPT-AR-ACCT (1:1) IS EQUAL TO
074700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (1:1)
074800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (1:1)
074900                                     IS EQUAL TO '*')
075000             AND
075100                (MTPT-AR-ACCT (2:1) IS EQUAL TO
075200                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (2:1)
075300              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (2:1)
075400                                     IS EQUAL TO '*')
075500             AND
075600                (MTPT-AR-ACCT (3:1) IS EQUAL TO
075700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (3:1)
075800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (3:1)
075900                                     IS EQUAL TO '*')
076000             AND
076100                (MTPT-AR-ACCT (4:1) IS EQUAL TO
076200                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (4:1)
076300              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (4:1)
076400                                     IS EQUAL TO '*')
076500             AND
076600                (MTPT-AR-ACCT (5:1) IS EQUAL TO
076700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (5:1)
076800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (5:1)
076900                                     IS EQUAL TO '*')
077000             AND
077100                (MTPT-AR-ACCT (6:1) IS EQUAL TO
077200                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (6:1)
077300              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (6:1)
077400                                     IS EQUAL TO '*')
077500             AND
077600                (MTPT-AR-ACCT (7:1) IS EQUAL TO
077700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (7:1)
077800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (7:1)
077900                                     IS EQUAL TO '*')
078000             AND
078100                (MTPT-AR-ACCT (8:1) IS EQUAL TO
078200                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (8:1)
078300              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (8:1)
078400                                     IS EQUAL TO '*')
078500             AND
078600                (MTPT-AR-ACCT (9:1) IS EQUAL TO
078700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (9:1)
078800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (9:1)
078900                                     IS EQUAL TO '*')
079000             AND
079100                (MTPT-AR-ACCT (10:1) IS EQUAL TO
079200                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (10:1)
079300              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (10:1)
079400                                     IS EQUAL TO '*')
079500             AND
079600                (MTPT-AR-ACCT (11:1) IS EQUAL TO
079700                 MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (11:1)
079800              OR MMSSTB-SOURCE-FROM-PREFIX (X-MMSSTB) (11:1)
079900                                     IS EQUAL TO '*')
080000                 MOVE MMSSTB-SOURCE-PRODUCT (X-MMSSTB)
080100                                     TO MTPT-PRODUCT
080200             END-IF
080300         END-IF
080400     END-PERFORM.
080500*
080600******************************************************************
080700*                                                                *
080800*    SEARCH FOR THE PRODUCT USING THE DEFAULT MATCH (IF ANY).    *
080900*                                                                *
081000******************************************************************
081100*
081200     PERFORM
081300         VARYING X-MMSSTB FROM 1 BY 1
081400         UNTIL   X-MMSSTB IS GREATER THAN MMSSTB-MAX-ENTRIES
081500             OR  MMSSTB-END-OF-TABLE (X-MMSSTB)
081600             OR  MTPT-PRODUCT IS GREATER THAN ZERO
081700         IF  MMSSTB-SCO-DEFAULT-MATCH (X-MMSSTB)
081800         AND MTPT-PRODUCT IS EQUAL TO ZERO
081900         AND
082000            (MMSSTB-NO-SOURCE-ORG (X-MMSSTB)
082100          OR MMSSTB-SOURCE-ORG (X-MMSSTB) IS EQUAL TO MTPT-AR-ORG)
082200         AND
082300            (MMSSTB-NO-SOURCE-LOGO (X-MMSSTB)
082400          OR MMSSTB-SOURCE-LOGO (X-MMSSTB) IS EQUAL TO MTPT-LOGO)
082500             MOVE MMSSTB-SOURCE-PRODUCT (X-MMSSTB)
082600                                 TO MTPT-PRODUCT
082700         END-IF
082800     END-PERFORM.
082900*
083000******************************************************************
083100*                                                                *
083200*    IF PRODUCT CODE IS REQUIRED ON THE TRANSACTION AND THE      *
083300*    PRODUCT CODE IS STILL ZERO, ABEND THE PROGRAM.              *
083400*                                                                *
083500******************************************************************
083600*
083700     IF  MMTCWS-LM-PRODUCT-REQUIRED
083800     AND MTPT-NON-PRODUCT
083900         MOVE MTPT-STORE         TO WS-DISPLAY-STORE-9
084000         DISPLAY 'ORG=' MTPT-ORG
084100                 ' MERCHANT=' MTPT-MERCHANT
084200                 ' STORE=' WS-DISPLAY-STORE
084300                 ' AR-ORG=' MTPT-AR-ORG-X
084400                 ' ACCT=' MTPT-AR-ACCT
084500         MOVE 88001              TO SS02WS-ABEND-CODE
084600         MOVE 'CANNOT ASSIGN PRODUCT'
084700                                 TO SS02WS-ABENDMSG8
084800         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
084900*
085000 5099-FTP-EXIT.
085100     EXIT.
085200/
085300 6100-LOAD-MMGD SECTION.
085400 6101-LMMGD-BEGIN.
085500*
085600     MOVE MMTCTB-ORG             TO MMGDIO-ORG.
085700*
085800     MOVE 'R1GD'                 TO SS02WS-ABEND-LOCATION.
085900     SET MMGDRB-READ-RANDOM      TO TRUE.
086000     PERFORM MB00PD-MMGD-ACCESS
086100        THRU MB00PD-MMGD-ACCESS-EXIT.
086200*
086300     MOVE MMGDIO-RECORD          TO MMGD-RECORD.
086400*
086500 6199-LMMGD-EXIT.
086600     EXIT.
086700/
086800 6200-LOAD-MMCT SECTION.
086900 6201-LMMCT-BEGIN.
087000*
087100     MOVE MMTCTB-ORG             TO MMCTIO-ORG.
087200     MOVE ZERO                   TO MMCTIO-SEQ.
087300*
087400     MOVE 'S1CT'                 TO SS02WS-ABEND-LOCATION.
087500     SET MMCTRB-START-GTE        TO TRUE.
087600     PERFORM MB00PD-MMCT-ACCESS
087700        THRU MB00PD-MMCT-ACCESS-EXIT.
087800*
087900     MOVE SPACES                 TO MMCTTB-TABLE-X.
088000     SET X-MMCTTB                TO 1.
088100*
088200 6210-LMMCT-READ-AND-LOAD.
088300*
088400     MOVE 'R1CT'                 TO SS02WS-ABEND-LOCATION.
088500     SET MMCTRB-READ-SEQ         TO TRUE.
088600     PERFORM MB00PD-MMCT-ACCESS
088700        THRU MB00PD-MMCT-ACCESS-EXIT.
088800*
088900     IF  MMCTIO-ORG IS NOT EQUAL TO MMTCTB-ORG
089000         GO TO 6290-LMMCT-BUBBLE-SORT.
089100*
089200     MOVE MMCTIO-RECORD          TO MMCT-RECORD.
089300*
089400     IF  MMCT-REC-PURGED
089500     OR  MMCT-ADD-PENDING
089600         GO TO 6210-LMMCT-READ-AND-LOAD.
089700*
089800     MOVE MMCTIO-RECORD          TO MMCTTB-RECORD (X-MMCTTB).
089900     MOVE MMCT-PRIORITY          TO MMCTTB-SEQ (X-MMCTTB).
090000     SET X-MMCTTB                UP BY 1.
090100     GO TO 6210-LMMCT-READ-AND-LOAD.
090200*
090300 6290-LMMCT-BUBBLE-SORT.
090400*
090500******************************************************************
090600******************************************************************
090700******************************************************************
090800*****************BUBBLE SORT MMCTTB-TABLE*************************
090900******************************************************************
091000******************************************************************
091100******************************************************************
091200     SET WS-U880-BUBBLE-SWAP     TO TRUE.
091300     COMPUTE WS-U880-INDEX        =  MMCTTB-MAX-ENTRIES - 1.
091400     PERFORM
091500         UNTIL WS-U880-BUBBLE-NO-SWAP
091600         SET WS-U880-BUBBLE-NO-SWAP
091700                                 TO TRUE
091800         PERFORM
091900             VARYING X-MMCTTB FROM 1 BY 1
092000             UNTIL   X-MMCTTB IS GREATER THAN WS-U880-INDEX
092100                OR   MMCTTB-END-OF-TABLE (X-MMCTTB)
092200                 SET X-MMCTTB-SEARCH
092300                                 TO X-MMCTTB
092400                 SET X-MMCTTB-SEARCH
092500                                 UP BY 1
092600                 IF  MMCTTB-KEY (X-MMCTTB) IS GREATER THAN
092700                     MMCTTB-KEY (X-MMCTTB-SEARCH)
092800                     IF  MMCTTB-END-OF-TABLE (X-MMCTTB-SEARCH)
092900                         CONTINUE
093000                     ELSE
093100                         SET WS-U880-BUBBLE-SWAP
093200                                 TO TRUE
093300                         MOVE MMCTTB-RECORD (X-MMCTTB)
093400                                 TO MMCT-RECORD
093500                         MOVE MMCTTB-RECORD (X-MMCTTB-SEARCH)
093600                                 TO MMCTTB-RECORD (X-MMCTTB)
093700                         MOVE MMCT-RECORD
093800                                 TO MMCTTB-RECORD
093900                                    (X-MMCTTB-SEARCH)
094000                     END-IF
094100                 END-IF
094200         END-PERFORM
094300     END-PERFORM.
094400*
094500 6299-LMMCT-EXIT.
094600     EXIT.
094700/
094800 7000-ASSIGN-LM SECTION.
094900 7001-AL-BEGIN.
095000*
095100     SET X-MMTCTB                TO MTPT-TRANS-CODE.
095200     MOVE MMTCTB-RECORD (X-MMTCTB)
095300                                 TO MMTC-RECORD.
095400*
095500     EVALUATE TRUE
095600         WHEN (MMTCTB-RECORD (X-MMTCTB) IS EQUAL TO SPACES
095700           OR  MMTC-REC-INCOMPLETE
095800           OR  MMTC-REC-GENERATED
095900           OR  MMTC-REC-PURGED
096000           OR  MMTC-ADD-PENDING)
096100             MOVE MTPT-TRANS-CODE
096200                                 TO WS-DISPLAY-TC-9
096300             PERFORM 7500-ASSIGN-TC
096400                THRU 7599-AT-EXIT
096500             IF  MTPT-TRANS-CODE IS EQUAL TO ZERO OR 999
096600                 MOVE MTPT-STORE TO WS-DISPLAY-STORE-9
096700                 DISPLAY 'ORG=' MTPT-ORG
096800                         ' MERCHANT=' MTPT-MERCHANT
096900                         ' STORE=' WS-DISPLAY-STORE
097000                         ' ACCT=' MTPT-AR-ACCT
097100                         ' T/C=' WS-DISPLAY-TC
097200                         ' L/M=' MTPT-LOGIC-MODULE
097300                 MOVE 88002      TO SS02WS-ABEND-CODE
097400                 MOVE 'CANNOT ASSIGN T/C'
097500                                 TO SS02WS-ABENDMSG8
097600                 PERFORM SS02PD-ABEND
097700                    THRU SS02PD-ABEND-EXIT
097800             END-IF
097900         WHEN OTHER
098000             MOVE MMTC-LOGIC-MODULE
098100                                 TO MTPT-LOGIC-MODULE
098200             PERFORM 7900-CHECK-DESCRIPTION
098300                THRU 7999-CD-EXIT
098400     END-EVALUATE.
098500*
098600 7099-AL-EXIT.
098700     EXIT.
098800/
098900 7500-ASSIGN-TC SECTION.
099000 7501-AT-BEGIN.
099100*
099200     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
099300*
099400     IF  MMTCWS-LM-VALID-VIA-FRONT-END
099500         NEXT SENTENCE
099600     ELSE
099700         MOVE MTPT-STORE         TO WS-DISPLAY-STORE-9
099800         MOVE MTPT-TRANS-CODE    TO WS-DISPLAY-TC-9
099900         DISPLAY 'ORG=' MTPT-ORG
100000                 ' MERCHANT=' MTPT-MERCHANT
100100                 ' STORE=' WS-DISPLAY-STORE
100200                 ' ACCT=' MTPT-AR-ACCT
100300                 ' T/C=' WS-DISPLAY-TC
100400                 ' L/M=' MTPT-LOGIC-MODULE
100500         MOVE 88003              TO SS02WS-ABEND-CODE
100600         MOVE 'CANNOT ASSIGN T/C'
100700                                 TO SS02WS-ABENDMSG8
100800         PERFORM SS02PD-ABEND
100900            THRU SS02PD-ABEND-EXIT.
101000*
101100     SET X-MMGDTB-DT-SEARCH      TO 1.
101200*
101300     SEARCH MMGDTB-DT-TABLE VARYING X-MMGDTB-DT-SEARCH
101400         AT END
101500             PERFORM 7700-ASSIGN-USER-TC
101600                THRU 7799-AUT-EXIT
101700         WHEN MMGDTB-DT-LM (X-MMGDTB-DT-SEARCH)
101800                                 IS EQUAL TO MTPT-LOGIC-MODULE
101900             SET X-MMGD-DT       TO X-MMGDTB-DT-SEARCH
102000             MOVE MMGD-DT-TC (X-MMGD-DT)
102100                                 TO MTPT-TRANS-CODE
102200             IF  MTPT-TRANS-CODE IS EQUAL TO ZERO
102300                 PERFORM 7700-ASSIGN-USER-TC
102400                    THRU 7799-AUT-EXIT
102500             ELSE
102600                 SET X-MMTCTB    TO MTPT-TRANS-CODE
102700                 MOVE MMTCTB-RECORD (X-MMTCTB)
102800                                 TO MMTC-RECORD
102900                 PERFORM 7900-CHECK-DESCRIPTION
103000                    THRU 7999-CD-EXIT
103100             END-IF.
103200*
103300 7599-AT-EXIT.
103400     EXIT.
103500/
103600 7700-ASSIGN-USER-TC SECTION.
103700 7701-AUT-BEGIN.
103800*
103900     MOVE SPACES                 TO MMTC-RECORD.
104000*
104100     PERFORM
104200         VARYING X-MMTCTB FROM 1 BY 1
104300         UNTIL   X-MMTCTB IS GREATER THAN 998
104400              OR MMTC-RECORD IS NOT EQUAL TO SPACES
104500         MOVE MMTCTB-RECORD (X-MMTCTB)
104600                                 TO MMTC-RECORD
104700         EVALUATE TRUE
104800             WHEN MMTC-RECORD IS EQUAL TO SPACES
104900                 CONTINUE
105000             WHEN OTHER
105100                 IF  MTPT-LOGIC-MODULE
105200                                 IS EQUAL TO MMTC-LOGIC-MODULE
105300                 AND MMTC-REC-USER-DEFINED
105400                     CONTINUE
105500                 ELSE
105600                     MOVE SPACES TO MMTC-RECORD
105700                 END-IF
105800         END-EVALUATE
105900     END-PERFORM.
106000*
106100     IF  MMTC-RECORD IS EQUAL TO SPACES
106200         MOVE MTPT-STORE         TO WS-DISPLAY-STORE-9
106300         MOVE MTPT-TRANS-CODE    TO WS-DISPLAY-TC-9
106400         DISPLAY 'ORG=' MTPT-ORG
106500                 ' MERCHANT=' MTPT-MERCHANT
106600                 ' STORE=' WS-DISPLAY-STORE
106700                 ' ACCT=' MTPT-AR-ACCT
106800                 ' T/C=' WS-DISPLAY-TC
106900                 ' L/M=' MTPT-LOGIC-MODULE
107000         MOVE 88004              TO SS02WS-ABEND-CODE
107100         MOVE 'CANNOT ASSIGN T/C'
107200                                 TO SS02WS-ABENDMSG8
107300         PERFORM SS02PD-ABEND
107400            THRU SS02PD-ABEND-EXIT.
107500*
107600     MOVE MMTC-TXN-CODE          TO MTPT-TRANS-CODE.
107700     PERFORM 7900-CHECK-DESCRIPTION
107800        THRU 7999-CD-EXIT.
107900*
108000 7799-AUT-EXIT.
108100     EXIT.
108200/
108300 7900-CHECK-DESCRIPTION SECTION.
108400 7901-CD-BEGIN.
108500*
108600     IF  MTPT-DESC IS EQUAL TO SPACES
108700         MOVE MMTC-DEFAULT-DESC  TO MTPT-DESC.
108800*
108900     MOVE MTPT-LOGIC-MODULE      TO MMTCWS-LOGIC-MODULE.
109000*
109100     EVALUATE TRUE
109200         WHEN MMTCWS-LM-VALID-CREDIT
109300             SET MTPT-TF-CREDIT  TO TRUE
109400         WHEN MMTCWS-LM-VALID-DEBIT
109500             SET MTPT-TF-DEBIT   TO TRUE
109600         WHEN OTHER
109700             SET MTPT-TF-MEMO    TO TRUE
109800     END-EVALUATE.
109900*
110000 7999-CD-EXIT.
110100     EXIT.
110200/
110300 8000-PLAN-CONSOLIDATION SECTION.
110400 8001-PC-BEGIN.
110500*
110600     SET WS-U880-NO-PLAN-CONSOLIDATED
110700                                 TO TRUE.
110800*
110900     PERFORM
111000         VARYING X-MMCTTB FROM 1 BY 1
111100         UNTIL   X-MMCTTB IS GREATER THAN MMCTTB-MAX-ENTRIES
111200            OR   MMCTTB-END-OF-TABLE (X-MMCTTB)
111300            OR   WS-U880-PLAN-CONSOLIDATED
111400         PERFORM 8100-TEST-PLANS
111500            THRU 8199-TP-EXIT
111600     END-PERFORM.
111700*
111800 8099-PC-EXIT.
111900     EXIT.
112000/
112100 8100-TEST-PLANS SECTION.
112200 8101-TP-BEGIN.
112300*
112400     MOVE MMCTTB-RECORD (X-MMCTTB)
112500                                 TO MMCT-RECORD.
112600*
112700     EVALUATE TRUE
112800         WHEN (MMCT-BEG-PLAN (1:1) IS EQUAL TO '*'
112900           OR  MMCT-BEG-PLAN (2:1) IS EQUAL TO '*'
113000           OR  MMCT-BEG-PLAN (3:1) IS EQUAL TO '*'
113100           OR  MMCT-BEG-PLAN (4:1) IS EQUAL TO '*'
113200           OR  MMCT-BEG-PLAN (5:1) IS EQUAL TO '*')
113300             IF (MMCT-BEG-PLAN (1:1) IS EQUAL TO MTPT-PLAN-X (1:1)
113400              OR MMCT-BEG-PLAN (1:1) IS EQUAL TO '*')
113500             AND
113600                (MMCT-BEG-PLAN (2:1) IS EQUAL TO MTPT-PLAN-X (2:1)
113700              OR MMCT-BEG-PLAN (2:1) IS EQUAL TO '*')
113800             AND
113900                (MMCT-BEG-PLAN (3:1) IS EQUAL TO MTPT-PLAN-X (3:1)
114000              OR MMCT-BEG-PLAN (3:1) IS EQUAL TO '*')
114100             AND
114200                (MMCT-BEG-PLAN (4:1) IS EQUAL TO MTPT-PLAN-X (4:1)
114300              OR MMCT-BEG-PLAN (4:1) IS EQUAL TO '*')
114400             AND
114500                (MMCT-BEG-PLAN (5:1) IS EQUAL TO MTPT-PLAN-X (5:1)
114600              OR MMCT-BEG-PLAN (5:1) IS EQUAL TO '*')
114700                 PERFORM 8900-MIGRATE-PLAN
114800                    THRU 8999-MP-EXIT
114900             END-IF
115000         WHEN (MTPT-PLAN-X IS NOT LESS THAN    MMCT-BEG-PLAN
115100          AND  MTPT-PLAN-X IS NOT GREATER THAN MMCT-END-PLAN)
115200             PERFORM 8900-MIGRATE-PLAN
115300                THRU 8999-MP-EXIT
115400     END-EVALUATE.
115500*
115600 8199-TP-EXIT.
115700     EXIT.
115800/
115900 8900-MIGRATE-PLAN SECTION.
116000 8901-MP-BEGIN.
116100*
116200     EVALUATE TRUE
116300         WHEN MTPT-REF-PLAN IS EQUAL TO MTPT-PLAN
116400             MOVE MTPT-PLAN      TO MTPT-REF-PLAN
116500             MOVE MMCT-NEW-PLAN  TO MTPT-PLAN
116600         WHEN MTPT-REF-PLAN IS EQUAL TO ZERO
116700             MOVE MTPT-PLAN      TO MTPT-REF-PLAN
116800             MOVE MMCT-NEW-PLAN  TO MTPT-PLAN
116900         WHEN OTHER
117000             MOVE MMCT-NEW-PLAN  TO MTPT-PLAN
117100     END-EVALUATE.
117200*
117300     SET WS-U880-PLAN-CONSOLIDATED
117400                                 TO TRUE.
117500*
117600 8999-MP-EXIT.
117700     EXIT.
117800/
117900 9000-PERFORMED-ROUTINES-SECT SECTION.
118000*
118100     COPY MB00PD REPLACING ==:MB00:== BY ==MMCT==.
118200/
118300     COPY MB00PD REPLACING ==:MB00:== BY ==MMGD==.
118400/
118500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
118600/
118700     COPY MB00PD REPLACING ==:MB00:== BY ==MMSS==.
118800/
118900     COPY MB00PD REPLACING ==:MB00:== BY ==MMTC==.
119000/
119100     COPY MMTCPX.
119200/
119300     COPY MB00PD REPLACING ==:MB00:== BY ==MTFI==.
119400/
119500     COPY MB00PD REPLACING ==:MB00:== BY ==MTFJ==.
119600/
119700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCI==.
119800/
119900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCJ==.
120000/
120100     COPY MB99PD.
120200/
120300     COPY SS02PD.
120400/
120500     COPY SS08PD.
120600/
120700     COPY SS26PD.
120800/
120900     COPY SS27PD.
121000/
121100     COPY SS98PD.
121200*
121300 9995-END-SOURCE-STATEMENTS SECTION.
121400 9999-END-OF-PROGRAM.
121500     EXIT.
