000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU906.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU906 - CREDIT TRANSACTION FILE DISPLAY (MMCT)         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMCT==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMCTRL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMCTIO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB99WS.
005300/
005400     COPY SS00WS.
005500/
005600     COPY SS01WS.
005700/
005800     COPY SS02WS.
005900/
006000 01  WS-WORK-AREAS.
006100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU906'.
006200     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006300*
006400     03  WS-MMCT-BEG-KEY.
006500         05  WS-MMCT-ORG-B   PIC  9(03)      VALUE ZEROS.
006600         05  WS-MMCT-SEQ-B   PIC S9(04)      BINARY
006700                                             VALUE ZEROS.
006800*
006900     03  WS-MMCT-END-KEY.
007000         05  WS-MMCT-ORG-E   PIC  9(03)      VALUE ZEROS.
007100         05  WS-MMCT-SEQ-E   PIC S9(04)      BINARY
007200                                             VALUE ZEROS.
007300*
007400     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
007500         88  WS-BACKUP                       VALUE 'BACKUP'.
007600         88  WS-MASTER                       VALUE 'MASTER'.
007700/
007800     COPY MB21WS.
007900*
008000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008100/
008200 PROCEDURE DIVISION.
008300*
008400 A000-DRIVER.
008500*
008600     MOVE 'MBU906'               TO SS02WS-ABEND-PROG-ID
008700                                    MBU999WS-PROGRAM-ID.
008800*
008900     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
009000*
009100     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
009200     MOVE 'T906'                 TO MB20WS-SH-INTERNAL-RPT-ID.
009300     MOVE '   CREDIT TRANSACTION FILE    '
009400                                 TO MB20WS-SH-RPT-NAME.
009500     MOVE SPACES                 TO MB20WS-SH-LIT-1
009600                                    MB20WS-SH-LIT-5
009700                                    MB20WS-SH-L4
009800                                    MB20WS-SH-L5
009900                                    MB20WS-SH-L6.
010000     PERFORM MB21PD-PAP-RESET-INDEXES
010100                                 THRU MB21PD-PAP-EXIT.
010200*
010300 A100-OPEN-FILES.
010400*
010500     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
010600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
010700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
010800     SET MTCCRB-OPEN-INPUT       TO TRUE.
010900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011000*
011100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
011200     SET MMSCRB-OPEN-INPUT       TO TRUE.
011300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011400*
011500     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
011600     SET  MMSCRB-READ-SEQ        TO TRUE.
011700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011800*
011900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012000*
012100     IF  MMSCIO-HEADER
012200         NEXT SENTENCE
012300     ELSE
012400         PERFORM MB99PD-MISSING-HEADER-ABEND
012500            THRU MB99PD-MHA-EXIT.
012600*
012700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
012800*
012810     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
012900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
013000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
013100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
013200     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
013300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
013400                                 THRU SS27PD-NET-EXIT.
013500     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
013600*
013700     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
013800     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
013900     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
014000     MOVE 99                     TO MB20WS-LINE-LIMIT.
014100     COMPUTE MB21WS-LIN-LIMIT
014200                                 =  MMSC-LINES-PER-PAGE - 4.
014300     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
014500*
014600     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
014700     SET MTCCRB-READ-SEQ         TO TRUE.
014800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
014900*
015000     IF  SS02WS-FS-END-OF-FILE
015100         GO TO A400-CHECK-READ-SWITCH
015200     END-IF.
015300*
015400     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
015500         GO TO A200-PROGRAM-CONTROL
015600     END-IF.
015700*
015800     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
015900*
016000     IF  MTCC-MBU9XX-BACKUP
016100         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
016200         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
016300         SET MBMFRB-OPEN-INPUT   TO TRUE
016400         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
016500         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
016600         SET MBMFRB-READ-SEQ     TO TRUE
016700         MOVE SS02WS-NO-RECORD-FOUND
016800                                 TO MBMFRB-PERM-STATUS-3
016900         MOVE SS02WS-END-OF-FILE
017000                                 TO MBMFRB-PERM-STATUS-4
017100         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017200     ELSE
017300         MOVE 'O1CT'             TO SS02WS-ABEND-LOCATION
017400         SET MMCTRB-OPEN-INPUT   TO TRUE
017500         PERFORM MB00PD-MMCT-ACCESS THRU MB00PD-MMCT-ACCESS-EXIT
017600         MOVE 'R1CT'             TO SS02WS-ABEND-LOCATION
017700         SET MMCTRB-READ-SEQ     TO TRUE
017800         MOVE SS02WS-NO-RECORD-FOUND
017900                                 TO MMCTRB-PERM-STATUS-3
018000         MOVE SS02WS-END-OF-FILE
018100                                 TO MMCTRB-PERM-STATUS-4
018200         PERFORM MB00PD-MMCT-ACCESS THRU MB00PD-MMCT-ACCESS-EXIT
018300         GO TO A130-PRINT-HR-RECORD
018400     END-IF.
018500*
018600     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
018700*
018800     IF  MBMFIO-FILE-IS-HEADER
018900         NEXT SENTENCE
019000     ELSE
019100         PERFORM MB99PD-MISSING-HEADER-ABEND
019200            THRU MB99PD-MHA-EXIT.
019300*
019400     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
019500*
019600     SET X-MBMF-FILE             TO 1.
019700*
019800 A110-SEARCH-HEADER-TABLE-LOOP.
019900*
020000     IF  X-MBMF-FILE IS GREATER THAN 75
020100         MOVE 'MMCT'             TO MB99WS-FILE-ID
020200         PERFORM MB99PD-NOT-ON-BACKUP
020300            THRU MB99PD-NOB-EXIT.
020400*
020500     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'CT'
020600         CONTINUE
020700     ELSE
020800         SET X-MBMF-FILE         UP BY 1
020900         GO TO A110-SEARCH-HEADER-TABLE-LOOP
021000     END-IF.
021100*
021200 A120-READ-MBMF-LOOP.
021300*
021400     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
021500     SET MBMFRB-READ-SEQ         TO TRUE.
021600     MOVE SS02WS-NO-RECORD-FOUND
021700                                 TO MBMFRB-PERM-STATUS-3.
021800     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
021900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
022000*
022100     IF  SS02WS-FS-END-OF-FILE
022200         GO TO A200-PROGRAM-CONTROL
022300     END-IF.
022400*
022500     IF  MBMFIO-FILE-IS-MMCT
022600         CONTINUE
022700     ELSE
022800         GO TO A120-READ-MBMF-LOOP
022900     END-IF.
023000*
023100 A130-PRINT-HR-RECORD.
023200*
023300     IF  WS-BACKUP
023400         MOVE MBMFIO-VAR-DATA    TO MMCTIO-RECORD
023500     END-IF.
023600*
023700     MOVE 'MMCT'                 TO MB99WS-FILE-ID.
023800*
023900     IF  MMCTIO-HEADER
024000         NEXT SENTENCE
024100     ELSE
024200         PERFORM MB99PD-MISSING-HEADER-ABEND
024300            THRU MB99PD-MHA-EXIT.
024400*
024500     MOVE MMCTIO-RECORD          TO MMCT-RECORD.
024600*
024700     IF  MMCTIO-HEADER
024800         PERFORM B200-PRINT-HEADER
024900                                 THRU B200-PH-EXIT
025000     END-IF.
025100*
025200 A200-PROGRAM-CONTROL.
025300*
025400     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
025500         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
025600     ELSE
025700         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
025800             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
025900             GO TO A210-PC-BY-FIRST-READ.
026000*
026100     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026200     SET MTCCRB-READ-SEQ         TO TRUE.
026300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026400*
026500     IF  SS02WS-FS-END-OF-FILE
026600         GO TO A400-CHECK-READ-SWITCH
026700     END-IF.
026800*
026900 A210-PC-BY-FIRST-READ.
027000*
027100     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
027200         GO TO A200-PROGRAM-CONTROL
027300     END-IF.
027400*
027500     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
027600*
027700 A300-RANGE-CARD.
027800*
027900     MOVE 'Y'                    TO WS-CARD-READ-SW.
028000     INSPECT MTCC-MBU906-BEG-X   REPLACING ALL SPACE BY ZERO.
028100*
028200     IF  MTCC-MBU906-END-X IS EQUAL TO SPACES
028300         MOVE MTCC-MBU906-BEG-X  TO MTCC-MBU906-END-X
028400     END-IF.
028500*
028600     INSPECT MTCC-MBU906-END-X   REPLACING ALL SPACE BY ZERO.
028700*
028800     MOVE MTCC-MBU906-BEG-ORG    TO WS-MMCT-ORG-B.
028900     MOVE MTCC-MBU906-BEG-SEQ    TO WS-MMCT-SEQ-B.
029000*
029100     MOVE MTCC-MBU906-END-ORG    TO WS-MMCT-ORG-E.
029200     MOVE MTCC-MBU906-END-SEQ    TO WS-MMCT-SEQ-E.
029300*
029400     IF  WS-BACKUP
029500         GO TO A350-READ-NEXT-MBMF
029600     END-IF.
029700*
029800     MOVE WS-MMCT-BEG-KEY        TO MMCTIO-KEY.
029900*
030000     MOVE 'S1CT'                 TO SS02WS-ABEND-LOCATION.
030100     SET  MMCTRB-START-GTE       TO TRUE.
030200     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
030300*
030400     IF  SS02WS-FS-NO-RECORD-FOUND
030500         GO TO A500-CONTROL-CARD-ERROR
030600     END-IF.
030700*
030800 A350-READ-NEXT.
030900*
031000     MOVE 'R2CT'                 TO SS02WS-ABEND-LOCATION.
031100     SET  MMCTRB-READ-SEQ        TO TRUE.
031200     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
031300*
031400     IF  SS02WS-FS-END-OF-FILE
031500         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
031600             GO TO A200-PROGRAM-CONTROL
031700         ELSE
031800             PERFORM MB21PD-PRINT-A-PAGE
031900                                 THRU MB21PD-PAP-EXIT
032000             GO TO A200-PROGRAM-CONTROL.
032100*
032200     IF  MMCTIO-KEY IS GREATER THAN WS-MMCT-END-KEY
032300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032400             GO TO A200-PROGRAM-CONTROL
032500         ELSE
032600             PERFORM MB21PD-PRINT-A-PAGE
032700                                 THRU MB21PD-PAP-EXIT
032800             GO TO A200-PROGRAM-CONTROL.
032900*
033000     IF  MMCTIO-HEADER
033100     OR  MMCTIO-TRAILER
033200         GO TO A350-READ-NEXT.
033300*
033400     MOVE MMCTIO-RECORD          TO MMCT-RECORD.
033500*
033600     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
033700     GO TO A350-READ-NEXT.
033800*
033900 A350-READ-NEXT-MBMF.
034000*
034100     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034200     SET  MBMFRB-READ-SEQ        TO TRUE.
034300     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
034400*
034500     IF  SS02WS-FS-NO-RECORD-FOUND
034600         GO TO A500-CONTROL-CARD-ERROR
034700     END-IF.
034800*
034900     IF  SS02WS-FS-END-OF-FILE
035000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035100             GO TO A200-PROGRAM-CONTROL
035200         ELSE
035300             PERFORM MB21PD-PRINT-A-PAGE
035400                                 THRU MB21PD-PAP-EXIT
035500             GO TO A200-PROGRAM-CONTROL.
035600*
035700     IF  MBMFIO-FILE-IS-MMCT
035800         CONTINUE
035900     ELSE
036000         GO TO A350-READ-NEXT-MBMF
036100     END-IF.
036200*
036300     MOVE MBMFIO-VAR-DATA        TO MMCT-RECORD.
036400*
036500     IF  MMCT-KEY IS LESS THAN WS-MMCT-BEG-KEY
036600         GO TO A350-READ-NEXT-MBMF
036700     END-IF.
036800*
036900     IF  MMCT-KEY IS GREATER THAN WS-MMCT-END-KEY
037000         PERFORM MB21PD-PRINT-A-PAGE
037100                                 THRU MB21PD-PAP-EXIT
037200         GO TO A200-PROGRAM-CONTROL
037300     END-IF.
037400*
037500     IF  MMCT-ORG IS EQUAL TO 999
037600         GO TO A350-READ-NEXT-MBMF.
037700*
037800     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
037900     GO TO A350-READ-NEXT-MBMF.
038000*
038100 A400-CHECK-READ-SWITCH.
038200*
038300     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
038400         MOVE '*** NO CONTROL CARDS ***'
038500                                 TO MB21WS-PP-COL44 (5 1)
038600         PERFORM MB21PD-PRINT-A-PAGE
038700                                 THRU MB21PD-PAP-EXIT.
038800*
038900     GO TO A600-CLOSE-FILES.
039000*
039100 A500-CONTROL-CARD-ERROR.
039200*
039300     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
039400     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
039500     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
039600     MOVE SPACE                  TO MB21WS-PP-LINE (4).
039700     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
039800     GO TO A200-PROGRAM-CONTROL.
039900*
040000 A600-CLOSE-FILES.
040100*
040200     EVALUATE TRUE
040300         WHEN  WS-BACKUP
040400             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
040500             SET MBMFRB-CLOSE    TO TRUE
040600             PERFORM MB00PD-MBMF-ACCESS
040700                                 THRU MB00PD-MBMF-ACCESS-EXIT
040800         WHEN  WS-MASTER
040900             MOVE 'C1CT'         TO SS02WS-ABEND-LOCATION
041000             SET MMCTRB-CLOSE    TO TRUE
041100             PERFORM MB00PD-MMCT-ACCESS
041200                                 THRU MB00PD-MMCT-ACCESS-EXIT
041300         WHEN  OTHER
041400             CONTINUE
041500     END-EVALUATE.
041600*
041700     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
041800     SET MTCCRB-CLOSE            TO TRUE.
041900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042000*
042100     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042200     SET MMSCRB-CLOSE            TO TRUE.
042300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
042400*
042500     PERFORM MB20PD-CLOSE-PRINT-FILES
042600                                 THRU MB20PD-CPF-EXIT.
042700*
042800     STOP RUN.
042900*
043000 B100-PRT-BEGIN.
043100*
043200     MOVE 'CREDIT PLAN TRANS RECORD (MMCT)'
043300                                 TO MB21WS-PRINT-WORK-AREA.
043400     PERFORM MB21PD-INSERT-A-COLUMN
043500                                 THRU MB21PD-IAC-EXIT.
043600*
043700     MOVE 'ORG'                  TO MB21WS-NAME.
043800     MOVE MMCT-ORG               TO MB21WS-3V0.
043900     PERFORM MB21PD-INSERT-A-COLUMN
044000                                 THRU MB21PD-IAC-EXIT.
044100*
044200     MOVE 'SEQ'                  TO MB21WS-NAME.
044300     MOVE MMCT-SEQ               TO MB21WS-5V0.
044400     PERFORM MB21PD-INSERT-A-COLUMN
044500                                 THRU MB21PD-IAC-EXIT.
044600*
044700     MOVE 'REC-STATUS'           TO MB21WS-NAME.
044800     MOVE MMCT-REC-STATUS        TO MB21WS-1V0.
044900     PERFORM MB21PD-INSERT-A-COLUMN
045000                                 THRU MB21PD-IAC-EXIT.
045100*
045200     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
045300     MOVE MMCT-ONLINE-STATUS     TO MB21WS-2V0.
045400     PERFORM MB21PD-INSERT-A-COLUMN
045500                                 THRU MB21PD-IAC-EXIT.
045600*
045700     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
045800     MOVE MMCT-LAST-MAINT-DATE   TO SS01WS-JULIAN.
045900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
046000     MOVE MMCT-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046100     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
046200     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
046300     PERFORM MB21PD-INSERT-A-COLUMN
046400                                 THRU MB21PD-IAC-EXIT.
046500*
046600     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
046700     MOVE MMCT-LAST-MAINT-OPER   TO MB21WS-3X.
046800     PERFORM MB21PD-INSERT-A-COLUMN
046900                                 THRU MB21PD-IAC-EXIT.
047000*
047100     MOVE 'DESC'                 TO MB21WS-NAME.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400     MOVE MMCT-DESC              TO MB21WS-30X.
047500     PERFORM MB21PD-INSERT-A-COLUMN
047600                                 THRU MB21PD-IAC-EXIT.
047700*
047800     MOVE 'BEG-PLAN'             TO MB21WS-NAME.
047900     MOVE MMCT-BEG-PLAN          TO MB21WS-5X.
048000     PERFORM MB21PD-INSERT-A-COLUMN
048100                                 THRU MB21PD-IAC-EXIT.
048200*
048300     MOVE 'END-PLAN'             TO MB21WS-NAME.
048400     MOVE MMCT-END-PLAN          TO MB21WS-5X.
048500     PERFORM MB21PD-INSERT-A-COLUMN
048600                                 THRU MB21PD-IAC-EXIT.
048700*
048800     MOVE 'NEW-PLAN'             TO MB21WS-NAME.
048900     MOVE MMCT-NEW-PLAN          TO MB21WS-5V0.
049000     PERFORM MB21PD-INSERT-A-COLUMN
049100                                 THRU MB21PD-IAC-EXIT.
049200*
049300     MOVE 'PRIORITY'             TO MB21WS-NAME.
049400     MOVE MMCT-PRIORITY          TO MB21WS-5V0.
049500     PERFORM MB21PD-INSERT-A-COLUMN
049600                                 THRU MB21PD-IAC-EXIT 2 TIMES.
049700*
049800 B999-PRT-EXIT.
049900     EXIT.
050000*
050100 B200-PRINT-HEADER.
050200*
050300     MOVE 'CREDIT PLAN TRANS HEADER(MMCT)'
050400                                 TO MB21WS-NAME.
050500     PERFORM MB21PD-INSERT-A-COLUMN
050600                                 THRU MB21PD-IAC-EXIT.
050700*
050800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
050900     MOVE 'ORG'                  TO MB21WS-NAME.
051000     MOVE MMCTIO-ORG             TO MB21WS-3V0.
051100     PERFORM MB21PD-INSERT-A-COLUMN
051200                                 THRU MB21PD-IAC-EXIT.
051300*
051400     MOVE 'SEQ'                  TO MB21WS-NAME.
051500     MOVE MMCTIO-SEQ             TO MB21WS-5V0.
051600     PERFORM MB21PD-INSERT-A-COLUMN
051700                                 THRU MB21PD-IAC-EXIT.
051800*
051900     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
052000     MOVE MMCTIO-DATE-STAMP      TO SS01WS-JULIAN.
052100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
052200     MOVE MMCTIO-DATE-STAMP      TO MB21WS-JULIAN.
052300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
052400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
052500     PERFORM MB21PD-INSERT-A-COLUMN
052600                                 THRU MB21PD-IAC-EXIT.
052700*
052800     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
052900     MOVE MMCTIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
053000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
053100                                 THRU SS27PD-NET-EXIT.
053200     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
053300     PERFORM MB21PD-INSERT-A-COLUMN
053400                                 THRU MB21PD-IAC-EXIT.
053500*
053600     PERFORM MB21PD-PRINT-A-PAGE
053700                                 THRU MB21PD-PAP-EXIT.
053800*
053900 B200-PH-EXIT.
054000     EXIT.
054100/
054200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
054300*                          COMMON ROUTINES                      *
054400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
054500*
054600     COPY SS02PD.
054700/
054800     COPY SS08PD.
054900/
055000     COPY SS16PD.
055100/
055200     COPY SS26PD.
055300/
055400     COPY SS27PD.
055500/
055600     COPY MB20PD.
055700/
055800     COPY MB21PD.
055900/
056000     COPY MB99PD.
056100/
056200     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
056300/
056400     COPY MB00PD REPLACING ==:MB00:== BY ==MMCT==.
056500/
056600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
056700/
056800     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
