000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU908.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU908 - EXPENSE FACTORS FILE DISPLAY (MMEF)            *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMEF==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMIFRL REPLACING ==:MMIF:== BY ==MMEF==.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMIFIO REPLACING ==:MMIF:== BY ==MMEF==.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU908'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMEF-BEG-KEY.
007100         05  WS-BEG-ORG-TABLE-NBR.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-TABLE-NBR
007400                             PIC  9(09).
007500*
007600     03  WS-MMEF-END-KEY.
007700         05  WS-END-ORG-TABLE-NBR.
007800             07  WS-END-ORG  PIC  9(03).
007900             07  WS-END-TABLE-NBR
008000                             PIC  9(09).
008100*
008200 01  WS-INTCHG-DESC-AREA.
008300     03  WS-INTCHG-LIT-X.
008400         05  FILLER          PIC  X(44)      VALUE
008500             '******** INTERCHANGE FEES FOR VISA *********'.
008600         05  FILLER          PIC  X(44)      VALUE
008700             '********* INTERCHANGE FEES FOR MC **********'.
008800     03  WS-INTCHG-LIT-R     REDEFINES WS-INTCHG-LIT-X.
008900         05  WS-INTCHG-LIT   PIC  X(44)      OCCURS 2 TIMES
009000                                             INDEXED BY
009100                                             X-INTCHG-INDEX.
009200*
009300 01  WS-INTCHG-QUAL-DESC-AREA.
009400     03  WS-INTCHG-QUAL-LIT.
009500         05  FILLER          PIC  X(23)      VALUE
009600             'INTERCHANGE QUAL LEVEL '.
009700         05  WS-INTCHG-QUAL-NBR
009800                             PIC  9(02).
009900*
010000 01  WS-PL-INTCHG-FEES-DESC-AREA.
010100     03  WS-PL-INTCHG-FEES-LIT.
010200         05  FILLER          PIC  X(25)      VALUE
010300             'PL INTERCHANGE FEE TABLE '.
010400         05  WS-PL-INTCHG-FEES-NBR
010500                             PIC  9(02).
010600*
010700 01  WS-PL-INTCHG-QUAL-DESC-AREA.
010800     03  WS-PL-INTCHG-QUAL-LIT.
010900         05  FILLER          PIC  X(26)      VALUE
011000             'PL INTERCHANGE QUAL LEVEL '.
011100         05  WS-PL-INTCHG-QUAL-NBR
011200                             PIC  9(02).
011300*
011400 01  WS-PROD-FEES-DESC-AREA.
011500     03  WS-PROD-FEES-LIT.
011600         05  FILLER          PIC  X(19)      VALUE
011700             'PRODUCT FEES TABLE '.
011800         05  WS-PROD-FEES-NBR
011900                             PIC  9(02).
012000*
012100 01  WS-PROD-USER-FEES-DESC-AREA.
012200     03  WS-PROD-USER-FEES-LIT.
012300         05  FILLER          PIC  X(24)      VALUE
012400             'PRODUCT USER FEES TABLE '.
012500         05  WS-PROD-USER-FEES-NBR
012600                             PIC  9(02).
012700*
012800 01  WS-USER-FEES-DESC-AREA.
012900     03  WS-USER-FEES-LIT.
013000         05  FILLER          PIC  X(24)      VALUE
013100             'USER FEES CHARGES TABLE '.
013200         05  WS-USER-FEES-NBR
013300                             PIC  9(02).
013400*
013500 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
013600/
013700 PROCEDURE DIVISION.
013800*
013900 A000-DRIVER.
014000*
014100     MOVE 'MBU908'               TO SS02WS-ABEND-PROG-ID
014200                                    MBU999WS-PROGRAM-ID.
014300*
014400     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
014500*
014600     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
014700     MOVE 'T908'                 TO MB20WS-SH-INTERNAL-RPT-ID.
014800     MOVE ' EXPENSE FACTORS FILE DISPLAY '
014900                                 TO MB20WS-SH-RPT-NAME.
015000     MOVE SPACES                 TO MB20WS-SH-LIT-1
015100                                    MB20WS-SH-LIT-5
015200                                    MB20WS-SH-L4
015300                                    MB20WS-SH-L5
015400                                    MB20WS-SH-L6.
015500     PERFORM MB21PD-PAP-RESET-INDEXES
015600                                 THRU MB21PD-PAP-EXIT.
015700*
015800 A100-OPEN-FILES.
015900*
016000     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
016100     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
016200     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
016300     SET MTCCRB-OPEN-INPUT       TO TRUE.
016400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
016500*
016600     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
016700     SET MMSCRB-OPEN-INPUT       TO TRUE.
016800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
016900*
017000     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
017100     SET  MMSCRB-READ-SEQ        TO TRUE.
017200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
017300*
017400     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
017500*
017600     IF  MMSCIO-HEADER
017700         NEXT SENTENCE
017800     ELSE
017900         PERFORM MB99PD-MISSING-HEADER-ABEND
018000            THRU MB99PD-MHA-EXIT.
018100*
018200     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
018300*
018310     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
018400     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
018500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
018600     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
018700     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
018800     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
018900                                 THRU SS27PD-NET-EXIT.
019000     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
019100*
019200     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
019300     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
019400     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
019500     MOVE 99                     TO MB20WS-LINE-LIMIT.
019600     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
019700     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
019900*
020000     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
020100     SET MTCCRB-READ-SEQ         TO TRUE.
020200     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
020300*
020400     IF  SS02WS-FS-END-OF-FILE
020500         GO TO A400-CHECK-READ-SWITCH
020600     END-IF.
020700*
020800     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
020900         GO TO A200-PROGRAM-CONTROL
021000     END-IF.
021100*
021200     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
021300*
021400     IF  MTCC-MBU9XX-BACKUP
021500         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
021600         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
021700         SET MBMFRB-OPEN-INPUT   TO TRUE
021800         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
021900         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
022000         SET MBMFRB-READ-SEQ     TO TRUE
022100         MOVE SS02WS-NO-RECORD-FOUND
022200                                 TO MBMFRB-PERM-STATUS-3
022300         MOVE SS02WS-END-OF-FILE
022400                                 TO MBMFRB-PERM-STATUS-4
022500         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
022600     ELSE
022700         MOVE 'O1EF'             TO SS02WS-ABEND-LOCATION
022800         SET MMEFRB-OPEN-INPUT   TO TRUE
022900         PERFORM MB00PD-MMEF-ACCESS THRU MB00PD-MMEF-ACCESS-EXIT
023000         MOVE 'R1EF'             TO SS02WS-ABEND-LOCATION
023100         SET MMEFRB-READ-SEQ     TO TRUE
023200         MOVE SS02WS-NO-RECORD-FOUND
023300                                 TO MMEFRB-PERM-STATUS-3
023400         MOVE SS02WS-END-OF-FILE
023500                                 TO MMEFRB-PERM-STATUS-4
023600         PERFORM MB00PD-MMEF-ACCESS THRU MB00PD-MMEF-ACCESS-EXIT
023700         GO TO A130-PRINT-HR-RECORD
023800     END-IF.
023900*
024000     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
024100*
024200     IF  MBMFIO-FILE-IS-HEADER
024300         NEXT SENTENCE
024400     ELSE
024500         PERFORM MB99PD-MISSING-HEADER-ABEND
024600            THRU MB99PD-MHA-EXIT.
024700*
024800     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
024900*
025000     SET X-MBMF-FILE             TO 1.
025100*
025200 A110-SEARCH-HEADER-TABLE-LOOP.
025300*
025400     IF  X-MBMF-FILE IS GREATER THAN 75
025500         MOVE 'MMEF'             TO MB99WS-FILE-ID
025600         PERFORM MB99PD-NOT-ON-BACKUP
025700            THRU MB99PD-NOB-EXIT.
025800*
025900     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'EF'
026000         CONTINUE
026100     ELSE
026200         SET X-MBMF-FILE         UP BY 1
026300         GO TO A110-SEARCH-HEADER-TABLE-LOOP
026400     END-IF.
026500*
026600 A120-READ-MBMF-LOOP.
026700*
026800     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
026900     SET MBMFRB-READ-SEQ         TO TRUE.
027000     MOVE SS02WS-NO-RECORD-FOUND
027100                                 TO MBMFRB-PERM-STATUS-3.
027200     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
027300     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
027400*
027500     IF  SS02WS-FS-END-OF-FILE
027600         GO TO A200-PROGRAM-CONTROL
027700     END-IF.
027800*
027900     IF  MBMFIO-FILE-IS-MMEF
028000         CONTINUE
028100     ELSE
028200         GO TO A120-READ-MBMF-LOOP
028300     END-IF.
028400*
028500 A130-PRINT-HR-RECORD.
028600*
028700     IF  WS-BACKUP
028800         MOVE MBMFIO-VAR-DATA    TO MMEFIO-RECORD
028900     END-IF.
029000*
029100     MOVE 'MMEF'                 TO MB99WS-FILE-ID.
029200*
029300     IF  MMEFIO-HEADER
029400         NEXT SENTENCE
029500     ELSE
029600         PERFORM MB99PD-MISSING-HEADER-ABEND
029700            THRU MB99PD-MHA-EXIT.
029800*
029900     MOVE MMEFIO-RECORD          TO MMEF-RECORD.
030000*
030100     IF  MMEFIO-HEADER
030200         PERFORM B200-PRINT-HEADER
030300                                 THRU B200-PH-EXIT
030400     END-IF.
030500*
030600 A200-PROGRAM-CONTROL.
030700*
030800     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
030900         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
031000     ELSE
031100         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
031200             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
031300             GO TO A210-PC-BY-FIRST-READ.
031400*
031500     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
031600     SET MTCCRB-READ-SEQ         TO TRUE.
031700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
031800*
031900     IF  SS02WS-FS-END-OF-FILE
032000         GO TO A400-CHECK-READ-SWITCH
032100     END-IF.
032200*
032300 A210-PC-BY-FIRST-READ.
032400*
032500     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
032600         GO TO A200-PROGRAM-CONTROL
032700     END-IF.
032800*
032900     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
033000*
033100 A300-RANGE-CARD.
033200*
033300     MOVE 'Y'                    TO WS-CARD-READ-SW.
033400     INSPECT MTCC-MBU908-BEG-X   REPLACING ALL SPACE BY ZERO.
033500*
033600     IF  MTCC-MBU908-END-X IS EQUAL TO SPACES
033700         MOVE MTCC-MBU908-BEG-X  TO MTCC-MBU908-END-X
033800     END-IF.
033900*
034000     INSPECT MTCC-MBU908-END-X   REPLACING ALL SPACE BY ZERO.
034100*
034200     MOVE MTCC-MBU908-BEG-X      TO WS-MMEF-BEG-KEY.
034300*
034400     MOVE MTCC-MBU908-END-X      TO WS-MMEF-END-KEY.
034500*
034600     IF  WS-BACKUP
034700         GO TO A350-READ-NEXT-MBMF
034800     END-IF.
034900*
035000     MOVE MTCC-MBU908-BEG-X      TO MMEFIO-ORG-TABLE.
035100*
035200     MOVE 'S1EF'                 TO SS02WS-ABEND-LOCATION.
035300     SET  MMEFRB-START-GTE       TO TRUE.
035400     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
035500*
035600     IF  SS02WS-FS-NO-RECORD-FOUND
035700         GO TO A500-CONTROL-CARD-ERROR
035800     END-IF.
035900*
036000 A350-READ-NEXT.
036100*
036200     MOVE 'R2EF'                 TO SS02WS-ABEND-LOCATION.
036300     SET  MMEFRB-READ-SEQ        TO TRUE.
036400     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
036500*
036600     IF  SS02WS-FS-END-OF-FILE
036700         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
036800             GO TO A200-PROGRAM-CONTROL
036900         ELSE
037000             PERFORM MB21PD-PRINT-A-PAGE
037100                                 THRU MB21PD-PAP-EXIT
037200             GO TO A200-PROGRAM-CONTROL.
037300*
037400     IF  MMEFIO-ORG-TABLE IS GREATER THAN WS-MMEF-END-KEY
037500         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037600             GO TO A200-PROGRAM-CONTROL
037700         ELSE
037800             PERFORM MB21PD-PRINT-A-PAGE
037900                                 THRU MB21PD-PAP-EXIT
038000             GO TO A200-PROGRAM-CONTROL.
038100*
038200     IF  MMEFIO-HEADER
038300     OR  MMEFIO-TRAILER
038400         GO TO A350-READ-NEXT.
038500*
038600     MOVE MMEFIO-RECORD          TO MMEF-RECORD.
038700*
038800     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038900     GO TO A350-READ-NEXT.
039000*
039100 A350-READ-NEXT-MBMF.
039200*
039300     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
039400     SET  MBMFRB-READ-SEQ        TO TRUE.
039500     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
039600*
039700     IF  SS02WS-FS-NO-RECORD-FOUND
039800         GO TO A500-CONTROL-CARD-ERROR
039900     END-IF.
040000*
040100     IF  SS02WS-FS-END-OF-FILE
040200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
040300             GO TO A200-PROGRAM-CONTROL
040400         ELSE
040500             PERFORM MB21PD-PRINT-A-PAGE
040600                                 THRU MB21PD-PAP-EXIT
040700             GO TO A200-PROGRAM-CONTROL.
040800*
040900     IF  MBMFIO-FILE-IS-MMEF
041000         CONTINUE
041100     ELSE
041200         GO TO A350-READ-NEXT-MBMF
041300     END-IF.
041400*
041500     MOVE MBMFIO-VAR-DATA        TO MMEF-RECORD.
041600*
041700     IF  MMEF-KEY IS LESS THAN WS-MMEF-BEG-KEY
041800         GO TO A350-READ-NEXT-MBMF
041900     END-IF.
042000*
042100     IF  MMEF-KEY IS GREATER THAN WS-MMEF-END-KEY
042200         PERFORM MB21PD-PRINT-A-PAGE
042300                                 THRU MB21PD-PAP-EXIT
042400         GO TO A200-PROGRAM-CONTROL
042500     END-IF.
042600*
042700     IF  MMEF-ORG IS EQUAL TO 999
042800         GO TO A350-READ-NEXT-MBMF.
042900*
043000     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
043100     GO TO A350-READ-NEXT-MBMF.
043200*
043300 A400-CHECK-READ-SWITCH.
043400*
043500     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
043600         MOVE '*** NO CONTROL CARDS ***'
043700                                 TO MB21WS-PP-COL44 (5 1)
043800         PERFORM MB21PD-PRINT-A-PAGE
043900                                 THRU MB21PD-PAP-EXIT.
044000*
044100     GO TO A600-CLOSE-FILES.
044200*
044300 A500-CONTROL-CARD-ERROR.
044400*
044500     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
044600     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
044700     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
044800     MOVE SPACE                  TO MB21WS-PP-LINE (4).
044900     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
045000     GO TO A200-PROGRAM-CONTROL.
045100*
045200 A600-CLOSE-FILES.
045300*
045400     EVALUATE TRUE
045500         WHEN  WS-BACKUP
045600             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
045700             SET MBMFRB-CLOSE    TO TRUE
045800             PERFORM MB00PD-MBMF-ACCESS
045900                                 THRU MB00PD-MBMF-ACCESS-EXIT
046000         WHEN  WS-MASTER
046100             MOVE 'C1EF'         TO SS02WS-ABEND-LOCATION
046200             SET MMEFRB-CLOSE    TO TRUE
046300             PERFORM MB00PD-MMEF-ACCESS
046400                                 THRU MB00PD-MMEF-ACCESS-EXIT
046500         WHEN  OTHER
046600             CONTINUE
046700     END-EVALUATE.
046800*
046900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
047000     SET MTCCRB-CLOSE            TO TRUE.
047100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
047200*
047300     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
047400     SET MMSCRB-CLOSE            TO TRUE.
047500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
047600*
047700     PERFORM MB20PD-CLOSE-PRINT-FILES
047800                                 THRU MB20PD-CPF-EXIT.
047900*
048000     STOP RUN.
048100*
048200 B100-PRT-BEGIN.
048300*
048400     MOVE 'EXPENSE FACTORS FILE (MMEF)'
048500                                 TO MB21WS-PRINT-WORK-AREA.
048600     PERFORM MB21PD-INSERT-A-COLUMN
048700                                 THRU MB21PD-IAC-EXIT.
048800*
048900     MOVE 'ORG'                  TO MB21WS-NAME.
049000     MOVE MMEF-ORG               TO MB21WS-3V0.
049100     PERFORM MB21PD-INSERT-A-COLUMN
049200                                 THRU MB21PD-IAC-EXIT.
049300*
049400     MOVE 'TABLE NBR'            TO MB21WS-NAME.
049500     MOVE MMEF-TABLE-NBR         TO MB21WS-9V0.
049600     PERFORM MB21PD-INSERT-A-COLUMN
049700                                 THRU MB21PD-IAC-EXIT.
049800*
049900     MOVE 'REC STATUS '          TO MB21WS-NAME.
050000     MOVE MMEF-REC-STATUS        TO MB21WS-1V0.
050100     PERFORM MB21PD-INSERT-A-COLUMN
050200                                 THRU MB21PD-IAC-EXIT.
050300*
050400     MOVE 'ONLINE STATUS'        TO MB21WS-NAME.
050500     MOVE MMEF-ONLINE-STATUS     TO MB21WS-2V0.
050600     PERFORM MB21PD-INSERT-A-COLUMN
050700                                 THRU MB21PD-IAC-EXIT.
050800*
050900     MOVE 'LAST MAINT DATE'      TO MB21WS-NAME.
051000     MOVE MMEF-LAST-MAINT-DATE   TO SS01WS-JULIAN.
051100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
051200     MOVE MMEF-LAST-MAINT-DATE   TO MB21WS-JULIAN.
051300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
051400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
051500     PERFORM MB21PD-INSERT-A-COLUMN
051600                                 THRU MB21PD-IAC-EXIT.
051700*
051800     MOVE 'LAST MAINT OPER'      TO MB21WS-NAME.
051900     MOVE MMEF-LAST-MAINT-OPER   TO MB21WS-3X.
052000     PERFORM MB21PD-INSERT-A-COLUMN
052100                                 THRU MB21PD-IAC-EXIT.
052200*
052300     MOVE 'TABLE NAME'           TO MB21WS-NAME.
052400     PERFORM MB21PD-INSERT-A-COLUMN
052500                                 THRU MB21PD-IAC-EXIT.
052600     MOVE MMEF-TABLE-NAME        TO MB21WS-30X.
052700     PERFORM MB21PD-INSERT-A-COLUMN
052800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
052900*
053000     MOVE '****** PER ITEM CHARGES *******'
053100                                 TO MB21WS-DATA-NAME.
053200     PERFORM MB21PD-INSERT-A-COLUMN
053300                                 THRU MB21PD-IAC-EXIT.
053400*
053500     MOVE 'SALES FEE'            TO MB21WS-NAME.
053600     MOVE MMEF-SALES-FEE         TO MB21WS-9V0.
053700     PERFORM MB21PD-INSERT-A-COLUMN
053800                                 THRU MB21PD-IAC-EXIT.
053900*
054000     MOVE 'RETURNS  FEE'         TO MB21WS-NAME.
054100     MOVE MMEF-RETURNS-FEE       TO MB21WS-9V0.
054200     PERFORM MB21PD-INSERT-A-COLUMN
054300                                 THRU MB21PD-IAC-EXIT.
054400*
054500     MOVE 'BATCH HDR FEE'        TO MB21WS-NAME.
054600     MOVE MMEF-BATCH-HDR-FEE     TO MB21WS-9V0.
054700     PERFORM MB21PD-INSERT-A-COLUMN
054800                                 THRU MB21PD-IAC-EXIT.
054900*
055000     MOVE 'KEYED FEE'            TO MB21WS-NAME.
055100     MOVE MMEF-KEYED-FEE         TO MB21WS-9V0.
055200     PERFORM MB21PD-INSERT-A-COLUMN
055300                                 THRU MB21PD-IAC-EXIT.
055400*
055500     MOVE 'SWIPED FEE'           TO MB21WS-NAME.
055600     MOVE MMEF-SWIPED-FEE        TO MB21WS-9V0.
055700     PERFORM MB21PD-INSERT-A-COLUMN
055800                                 THRU MB21PD-IAC-EXIT.
055900*
056000     MOVE 'USER INP FEE'         TO MB21WS-NAME.
056100     MOVE MMEF-USER-INP-FEE      TO MB21WS-9V0.
056200     PERFORM MB21PD-INSERT-A-COLUMN
056300                                 THRU MB21PD-IAC-EXIT.
056400*
056500     MOVE 'LOCAL INP FEE'        TO MB21WS-NAME.
056600     MOVE MMEF-LOCAL-INP-FEE     TO MB21WS-9V0.
056700     PERFORM MB21PD-INSERT-A-COLUMN
056800                                 THRU MB21PD-IAC-EXIT.
056900*
057000     MOVE 'CHECK APPR FEE'       TO MB21WS-NAME.
057100     MOVE MMEF-CHECK-APPR-FEE    TO MB21WS-9V0.
057200     PERFORM MB21PD-INSERT-A-COLUMN
057300                                 THRU MB21PD-IAC-EXIT.
057400*
057500     MOVE 'ADJ INPUT FEE'        TO MB21WS-NAME.
057600     MOVE MMEF-ADJ-INPUT-FEE     TO MB21WS-9V0.
057700     PERFORM MB21PD-INSERT-A-COLUMN
057800                                 THRU MB21PD-IAC-EXIT.
057900*
058000     MOVE 'CHGBACK FEE '         TO MB21WS-NAME.
058100     MOVE MMEF-CHGBACK-FEE       TO MB21WS-9V0.
058200     PERFORM MB21PD-INSERT-A-COLUMN
058300                                 THRU MB21PD-IAC-EXIT.
058400*
058500     MOVE 'ACH FEE'              TO MB21WS-NAME.
058600     MOVE MMEF-ACH-FEE           TO MB21WS-9V0.
058700     PERFORM MB21PD-INSERT-A-COLUMN
058800                                 THRU MB21PD-IAC-EXIT.
058900*
059000     MOVE 'POS 1 CAP FEE'        TO MB21WS-NAME.
059100     MOVE MMEF-POS-1-CAP-FEE     TO MB21WS-9V0.
059200     PERFORM MB21PD-INSERT-A-COLUMN
059300                                 THRU MB21PD-IAC-EXIT.
059400*
059500     MOVE 'POS 2 CAP FEE'        TO MB21WS-NAME.
059600     MOVE MMEF-POS-2-CAP-FEE     TO MB21WS-9V0.
059700     PERFORM MB21PD-INSERT-A-COLUMN
059800                                 THRU MB21PD-IAC-EXIT.
059900*
060000     MOVE 'POS 3 CAP FEE'        TO MB21WS-NAME.
060100     MOVE MMEF-POS-3-CAP-FEE     TO MB21WS-9V0.
060200     PERFORM MB21PD-INSERT-A-COLUMN
060300                                 THRU MB21PD-IAC-EXIT.
060400*
060500     MOVE 'IN STORE PMT FEE    ' TO MB21WS-NAME.
060600     MOVE MMEF-IN-STORE-PMT-FEE  TO MB21WS-9V0.
060700     PERFORM MB21PD-INSERT-A-COLUMN
060800                                 THRU MB21PD-IAC-EXIT.
060900*
061000     MOVE 'RETRIEVAL-FEE'        TO MB21WS-NAME.
061100     MOVE MMEF-RETRIEVAL-FEE     TO MB21WS-9V0.
061200     PERFORM MB21PD-INSERT-A-COLUMN
061300                                 THRU MB21PD-IAC-EXIT.
061400*
061500     MOVE 'FUTURE USE PER ITEM2' TO MB21WS-NAME.
061600     MOVE MMEF-FUTURE-USE-PER-ITEM-2
061700                                 TO MB21WS-9V0.
061800     PERFORM MB21PD-INSERT-A-COLUMN
061900                                 THRU MB21PD-IAC-EXIT.
062000*
062100     MOVE 'FUTURE USE PER ITEM1' TO MB21WS-NAME.
062200     MOVE MMEF-FUTURE-USE-PER-ITEM-1
062300                                 TO MB21WS-9V0.
062400     PERFORM MB21PD-INSERT-A-COLUMN
062500                                 THRU MB21PD-IAC-EXIT 2 TIMES.
062600*
062700     MOVE '**** AUTHORIZATION CHARGES ****'
062800                                 TO MB21WS-DATA-NAME.
062900     PERFORM MB21PD-INSERT-A-COLUMN
063000                                 THRU MB21PD-IAC-EXIT.
063100*
063200     MOVE 'VOICE AUTH FEE'       TO MB21WS-NAME.
063300     MOVE MMEF-VOICE-AUTH-FEE    TO MB21WS-9V0.
063400     PERFORM MB21PD-INSERT-A-COLUMN
063500                                 THRU MB21PD-IAC-EXIT.
063600*
063700     MOVE 'VOICE AUTH DECL FEE'  TO MB21WS-NAME.
063800     MOVE MMEF-VOICE-AUTH-DECL-FEE
063900                                 TO MB21WS-9V0.
064000     PERFORM MB21PD-INSERT-A-COLUMN
064100                                 THRU MB21PD-IAC-EXIT.
064200*
064300     MOVE 'POS 1 AUTH FEE'       TO MB21WS-NAME.
064400     MOVE MMEF-POS-1-AUTH-FEE    TO MB21WS-9V0.
064500     PERFORM MB21PD-INSERT-A-COLUMN
064600                                 THRU MB21PD-IAC-EXIT.
064700*
064800     MOVE 'POS 1 AUTH DECL FEE'  TO MB21WS-NAME.
064900     MOVE MMEF-POS-1-AUTH-DECL-FEE
065000                                 TO MB21WS-9V0.
065100     PERFORM MB21PD-INSERT-A-COLUMN
065200                                 THRU MB21PD-IAC-EXIT.
065300*
065400     MOVE 'POS 2 AUTH FEE'       TO MB21WS-NAME.
065500     MOVE MMEF-POS-2-AUTH-FEE    TO MB21WS-9V0.
065600     PERFORM MB21PD-INSERT-A-COLUMN
065700                                 THRU MB21PD-IAC-EXIT.
065800*
065900     MOVE 'POS 2 AUTH DECL FEE'  TO MB21WS-NAME.
066000     MOVE MMEF-POS-2-AUTH-DECL-FEE
066100                                 TO MB21WS-9V0.
066200     PERFORM MB21PD-INSERT-A-COLUMN
066300                                 THRU MB21PD-IAC-EXIT.
066400*
066500     MOVE 'POS 3 AUTH FEE'       TO MB21WS-NAME.
066600     MOVE MMEF-POS-3-AUTH-FEE    TO MB21WS-9V0.
066700     PERFORM MB21PD-INSERT-A-COLUMN
066800                                 THRU MB21PD-IAC-EXIT.
066900*
067000     MOVE 'POS 3 AUTH DECL FEE'  TO MB21WS-NAME.
067100     MOVE MMEF-POS-3-AUTH-DECL-FEE
067200                                 TO MB21WS-9V0.
067300     PERFORM MB21PD-INSERT-A-COLUMN
067400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
067500*
067600     MOVE '**** MISCELLANEOUS CHARGES ****'
067700                                 TO MB21WS-DATA-NAME.
067800     PERFORM MB21PD-INSERT-A-COLUMN
067900                                 THRU MB21PD-IAC-EXIT.
068000*
068100     MOVE 'STATEMENT FEE'        TO MB21WS-NAME.
068200     MOVE MMEF-STATEMENT-FEE     TO MB21WS-9V0.
068300     PERFORM MB21PD-INSERT-A-COLUMN
068400                                 THRU MB21PD-IAC-EXIT.
068500*
068600     MOVE 'MEMBERSHIP FEE'       TO MB21WS-NAME.
068700     MOVE MMEF-MEMBERSHIP-FEE    TO MB21WS-9V0.
068800     PERFORM MB21PD-INSERT-A-COLUMN
068900                                 THRU MB21PD-IAC-EXIT.
069000*
069100     MOVE 'SETUP FEE'            TO MB21WS-NAME.
069200     MOVE MMEF-SETUP-FEE         TO MB21WS-9V0.
069300     PERFORM MB21PD-INSERT-A-COLUMN
069400                                 THRU MB21PD-IAC-EXIT.
069500*
069600     MOVE 'ADMIN FEE'            TO MB21WS-NAME.
069700     MOVE MMEF-ADMIN-FEE         TO MB21WS-9V0.
069800     PERFORM MB21PD-INSERT-A-COLUMN
069900                                 THRU MB21PD-IAC-EXIT.
070000*
070100     MOVE 'LOCATION FEE'         TO MB21WS-NAME.
070200     MOVE MMEF-LOCATION-FEE      TO MB21WS-9V0.
070300     PERFORM MB21PD-INSERT-A-COLUMN
070400                                 THRU MB21PD-IAC-EXIT.
070500*
070600     MOVE 'BULLETIN FEE'         TO MB21WS-NAME.
070700     MOVE MMEF-BULLETIN-FEE      TO MB21WS-9V0.
070800     PERFORM MB21PD-INSERT-A-COLUMN
070900                                 THRU MB21PD-IAC-EXIT.
071000*
071100     MOVE 'FUTURE MISC FEE 2'    TO MB21WS-NAME.
071200     MOVE MMEF-FUTURE-MISC-FEE-2 TO MB21WS-9V0.
071300     PERFORM MB21PD-INSERT-A-COLUMN
071400                                 THRU MB21PD-IAC-EXIT.
071500*
071600     MOVE 'FUTURE MISC FEE 1'    TO MB21WS-NAME.
071700     MOVE MMEF-FUTURE-MISC-FEE-1 TO MB21WS-9V0.
071800     PERFORM MB21PD-INSERT-A-COLUMN
071900                                 THRU MB21PD-IAC-EXIT 2 TIMES.
072000*
072100     MOVE '****** EQUIPMENT CHARGES ******'
072200                                 TO MB21WS-DATA-NAME.
072300     PERFORM MB21PD-INSERT-A-COLUMN
072400                                 THRU MB21PD-IAC-EXIT.
072500*
072600     MOVE 'IMP 1 DEV FEE'        TO MB21WS-NAME.
072700     MOVE MMEF-IMP-1-DEV-FEE     TO MB21WS-9V0.
072800     PERFORM MB21PD-INSERT-A-COLUMN
072900                                 THRU MB21PD-IAC-EXIT.
073000*
073100     MOVE 'IMP 2 DEV FEE'        TO MB21WS-NAME.
073200     MOVE MMEF-IMP-2-DEV-FEE     TO MB21WS-9V0.
073300     PERFORM MB21PD-INSERT-A-COLUMN
073400                                 THRU MB21PD-IAC-EXIT.
073500*
073600     MOVE 'IMP 3 DEV FEE'        TO MB21WS-NAME.
073700     MOVE MMEF-IMP-3-DEV-FEE     TO MB21WS-9V0.
073800     PERFORM MB21PD-INSERT-A-COLUMN
073900                                 THRU MB21PD-IAC-EXIT.
074000*
074100     MOVE 'POS 1 DEV FEE'        TO MB21WS-NAME.
074200     MOVE MMEF-POS-1-DEV-FEE     TO MB21WS-9V0.
074300     PERFORM MB21PD-INSERT-A-COLUMN
074400                                 THRU MB21PD-IAC-EXIT.
074500*
074600     MOVE 'POS 2 DEV FEE'        TO MB21WS-NAME.
074700     MOVE MMEF-POS-2-DEV-FEE     TO MB21WS-9V0.
074800     PERFORM MB21PD-INSERT-A-COLUMN
074900                                 THRU MB21PD-IAC-EXIT.
075000*
075100     MOVE 'POS 3 DEV FEE'        TO MB21WS-NAME.
075200     MOVE MMEF-POS-3-DEV-FEE     TO MB21WS-9V0.
075300     PERFORM MB21PD-INSERT-A-COLUMN
075400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
075500*
075600     MOVE '****** USER FEES CHARGES ******'
075700                                 TO MB21WS-DATA-NAME.
075800     PERFORM MB21PD-INSERT-A-COLUMN
075900                                 THRU MB21PD-IAC-EXIT.
076000*
076100     PERFORM VARYING X-MMEF-UFT FROM +1 BY +1
076200             UNTIL   X-MMEF-UFT IS GREATER THAN +10
076300         SET WS-USER-FEES-NBR    TO X-MMEF-UFT
076400         MOVE WS-USER-FEES-LIT   TO MB21WS-DATA-NAME
076500         PERFORM MB21PD-INSERT-A-COLUMN
076600                                 THRU MB21PD-IAC-EXIT
076700         MOVE 'USER FEE IND'     TO MB21WS-NAME
076800         MOVE MMEF-USER-FEE-IND (X-MMEF-UFT)
076900                                 TO MB21WS-X
077000         PERFORM MB21PD-INSERT-A-COLUMN
077100                                 THRU MB21PD-IAC-EXIT
077200         IF  MMEF-UFI-IS-AMT (X-MMEF-UFT)
077300             MOVE 'USER FEE AMT' TO MB21WS-NAME
077400             MOVE MMEF-USER-FEE-AMT (X-MMEF-UFT)
077500                                 TO MB21WS-9V0
077600             PERFORM MB21PD-INSERT-A-COLUMN
077700                                 THRU MB21PD-IAC-EXIT
077800         ELSE
077900             MOVE 'USER FEE PCT' TO MB21WS-NAME
078000             MOVE MMEF-USER-FEE-PCT (X-MMEF-UFT)
078100                                 TO MB21WS-9V0
078200             PERFORM MB21PD-INSERT-A-COLUMN
078300                                 THRU MB21PD-IAC-EXIT
078400         END-IF
078500     END-PERFORM.
078600*
078700     PERFORM MB21PD-INSERT-A-COLUMN
078800                                 THRU MB21PD-IAC-EXIT.
078900*
079000     MOVE '*MERCHANT INTERCHANGE FEE AREA*'
079100                                 TO MB21WS-DATA-NAME.
079200     PERFORM MB21PD-INSERT-A-COLUMN
079300                                 THRU MB21PD-IAC-EXIT.
079400*
079500     PERFORM VARYING X-MMEF-IFT FROM +1 BY +1
079600             UNTIL   X-MMEF-IFT IS GREATER THAN +2
079700         SET X-INTCHG-INDEX      TO X-MMEF-IFT
079800         MOVE WS-INTCHG-LIT (X-INTCHG-INDEX)
079900                                 TO MB21WS-DATA-NAME
080000         PERFORM MB21PD-INSERT-A-COLUMN
080100                                 THRU MB21PD-IAC-EXIT
080200         PERFORM VARYING X-MMEF-QL FROM +1 BY +1
080300                 UNTIL   X-MMEF-QL IS GREATER THAN +99
080400             SET WS-INTCHG-QUAL-NBR
080500                                 TO X-MMEF-QL
080600             MOVE WS-INTCHG-QUAL-LIT
080700                                 TO MB21WS-DATA-NAME
080800             PERFORM MB21PD-INSERT-A-COLUMN
080900                                 THRU MB21PD-IAC-EXIT
081000             MOVE 'INTCHG RATE'  TO MB21WS-NAME
081100             MOVE MMEF-INTCHG-RATE (X-MMEF-IFT X-MMEF-QL)
081200                                 TO MB21WS-7V0
081300             PERFORM MB21PD-INSERT-A-COLUMN
081400                                 THRU MB21PD-IAC-EXIT
081500             MOVE 'INTCHG PER ITEM'
081600                                 TO MB21WS-NAME
081700             MOVE MMEF-INTCHG-PER-ITEM (X-MMEF-IFT X-MMEF-QL)
081800                                 TO MB21WS-9V0
081900             PERFORM MB21PD-INSERT-A-COLUMN
082000                                 THRU MB21PD-IAC-EXIT
082100         END-PERFORM
082200     END-PERFORM.
082300*
082400     PERFORM MB21PD-INSERT-A-COLUMN
082500                                 THRU MB21PD-IAC-EXIT.
082600*
082700     PERFORM VARYING X-MMEF-PL-IFT FROM +1 BY +1
082800             UNTIL   X-MMEF-PL-IFT IS GREATER THAN +99
082900         SET WS-PL-INTCHG-FEES-NBR
083000                                 TO X-MMEF-PL-IFT
083100         MOVE WS-PL-INTCHG-FEES-LIT
083200                                 TO MB21WS-DATA-NAME
083300         PERFORM MB21PD-INSERT-A-COLUMN
083400                                 THRU MB21PD-IAC-EXIT
083500         PERFORM VARYING X-MMEF-PL-QL FROM +1 BY +1
083600                 UNTIL   X-MMEF-PL-QL IS GREATER THAN +9
083700             SET WS-PL-INTCHG-QUAL-NBR
083800                                 TO X-MMEF-PL-QL
083900             MOVE WS-PL-INTCHG-QUAL-LIT
084000                                 TO MB21WS-DATA-NAME
084100             PERFORM MB21PD-INSERT-A-COLUMN
084200                                 THRU MB21PD-IAC-EXIT
084300             MOVE 'PL INTCHG RATE'
084400                                 TO MB21WS-NAME
084500             MOVE MMEF-PL-INTCHG-RATE (X-MMEF-PL-IFT X-MMEF-PL-QL)
084600                                 TO MB21WS-7V0
084700             PERFORM MB21PD-INSERT-A-COLUMN
084800                                 THRU MB21PD-IAC-EXIT
084900             MOVE 'PL INTCHG PER ITEM'
085000                                 TO MB21WS-NAME
085100             MOVE MMEF-PL-INTCHG-PER-ITEM
085200                                  (X-MMEF-PL-IFT X-MMEF-PL-QL)
085300                                 TO MB21WS-9V0
085400             PERFORM MB21PD-INSERT-A-COLUMN
085500                                 THRU MB21PD-IAC-EXIT
085600         END-PERFORM
085700     END-PERFORM.
085800*
085900     PERFORM MB21PD-INSERT-A-COLUMN
086000                                 THRU MB21PD-IAC-EXIT.
086100*
086200     MOVE '**** CARD PRODUCT CHARGES *****'
086300                                 TO MB21WS-DATA-NAME.
086400     PERFORM MB21PD-INSERT-A-COLUMN
086500                                 THRU MB21PD-IAC-EXIT.
086600*
086700     PERFORM VARYING X-MMEF-PROD-FEES FROM +1 BY +1
086800             UNTIL   X-MMEF-PROD-FEES IS GREATER THAN +99
086900         SET WS-PROD-FEES-NBR    TO X-MMEF-PROD-FEES
087000         MOVE WS-PROD-FEES-LIT   TO MB21WS-DATA-NAME
087100         PERFORM MB21PD-INSERT-A-COLUMN
087200                                 THRU MB21PD-IAC-EXIT
087300         MOVE 'PROD AUTH APPR FEE'
087400                                 TO MB21WS-NAME
087500         MOVE MMEF-PROD-AUTH-APPR-FEE (X-MMEF-PROD-FEES)
087600                                 TO MB21WS-9V0
087700         PERFORM MB21PD-INSERT-A-COLUMN
087800                                 THRU MB21PD-IAC-EXIT
087900         MOVE 'PROD AUTH DECL FEE'
088000                                 TO MB21WS-NAME
088100         MOVE MMEF-PROD-AUTH-DECL-FEE (X-MMEF-PROD-FEES)
088200                                 TO MB21WS-9V0
088300         PERFORM MB21PD-INSERT-A-COLUMN
088400                                 THRU MB21PD-IAC-EXIT
088500         PERFORM VARYING X-MMEF-PUF FROM +1 BY +1
088600                 UNTIL   X-MMEF-PUF IS GREATER THAN +3
088700             SET WS-PROD-USER-FEES-NBR
088800                                 TO X-MMEF-PUF
088900             MOVE WS-PROD-USER-FEES-LIT
089000                                 TO MB21WS-DATA-NAME
089100             PERFORM MB21PD-INSERT-A-COLUMN
089200                                 THRU MB21PD-IAC-EXIT
089300             MOVE 'PUF IND'      TO MB21WS-NAME
089400             MOVE MMEF-PUF-IND (X-MMEF-PROD-FEES  X-MMEF-PUF)
089500                                 TO MB21WS-X
089600             PERFORM MB21PD-INSERT-A-COLUMN
089700                                 THRU MB21PD-IAC-EXIT
089800             IF  MMEF-PUF-IND-IS-AMT (X-MMEF-PROD-FEES
089900                                      X-MMEF-PUF)
090000                 MOVE 'PUF AMT'  TO MB21WS-NAME
090100                 MOVE MMEF-PUF-AMT (X-MMEF-PROD-FEES X-MMEF-PUF)
090200                                 TO MB21WS-9V0
090300                 PERFORM MB21PD-INSERT-A-COLUMN
090400                                 THRU MB21PD-IAC-EXIT
090500             ELSE
090600                 MOVE 'PUF PCT'  TO MB21WS-NAME
090700                 MOVE MMEF-PUF-PCT (X-MMEF-PROD-FEES X-MMEF-PUF)
090800                                 TO MB21WS-9V0
090900                 PERFORM MB21PD-INSERT-A-COLUMN
091000                                 THRU MB21PD-IAC-EXIT
091100             END-IF
091200         END-PERFORM
091300     END-PERFORM.
091400*
091500     PERFORM MB21PD-INSERT-A-COLUMN
091600                                 THRU MB21PD-IAC-EXIT.
091700*
091800 B999-PRT-EXIT.
091900     EXIT.
092000*
092100 B200-PRINT-HEADER.
092200*
092300     MOVE 'HEADER RECORD (MMEF-)'
092400                                 TO MB21WS-NAME.
092500     PERFORM MB21PD-INSERT-A-COLUMN
092600                                 THRU MB21PD-IAC-EXIT.
092700*
092800     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
092900     MOVE 'ORG'                  TO MB21WS-NAME.
093000     MOVE MMEFIO-ORG             TO MB21WS-3V0.
093100     PERFORM MB21PD-INSERT-A-COLUMN
093200                                 THRU MB21PD-IAC-EXIT.
093300*
093400     MOVE 'TABLE NBR'            TO MB21WS-NAME.
093500     MOVE MMEFIO-TABLE-NBR       TO MB21WS-9V0.
093600     PERFORM MB21PD-INSERT-A-COLUMN
093700                                 THRU MB21PD-IAC-EXIT.
093800*
093900     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
094000     MOVE MMEFIO-DATE-STAMP      TO SS01WS-JULIAN.
094100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
094200     MOVE MMEFIO-DATE-STAMP      TO MB21WS-JULIAN.
094300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
094400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
094500     PERFORM MB21PD-INSERT-A-COLUMN
094600                                 THRU MB21PD-IAC-EXIT.
094700*
094800     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
094900     MOVE MMEFIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
095000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
095100                                 THRU SS27PD-NET-EXIT.
095200     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
095300     PERFORM MB21PD-INSERT-A-COLUMN
095400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
095500*
095600     PERFORM MB21PD-PRINT-A-PAGE
095700                                 THRU MB21PD-PAP-EXIT.
095800*
095900 B200-PH-EXIT.
096000     EXIT.
096100/
096200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
096300*                          COMMON ROUTINES                      *
096400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
096500*
096600     COPY SS02PD.
096700/
096800     COPY SS08PD.
096900/
097000     COPY SS16PD.
097100/
097200     COPY SS26PD.
097300/
097400     COPY SS27PD.
097500/
097600     COPY MB20PD.
097700/
097800     COPY MB21PD.
097900/
098000     COPY MB99PD.
098100/
098200     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
098300/
098400     COPY MB00PD REPLACING ==:MB00:== BY ==MMEF==.
098500/
098600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
098700/
098800     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
