000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU909.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU909 - MERCHANT/STORE FIELD SECURITY FILE (MMFS)      *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMFS==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMFSRL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMFSIO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB99WS.
005300/
005400     COPY SS00WS.
005500/
005600     COPY SS01WS.
005700/
005800     COPY SS02WS.
005900/
006000 01  WS-WORK-AREAS.
006100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU909'.
006200     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006300     03  WS-COUNT            PIC  S9(04)     BINARY VALUE ZEROS.
006400*
006500     03  WS-MMFS-BEG-KEY.
006600         05  WS-MMFS-BEG-ORG
006700                             PIC  9(03).
006800         05  WS-MMFS-BEG-FS-CODE
006900                             PIC  X(01)      VALUE ' '.
007000*
007100     03  WS-MMFS-END-KEY.
007200         05  WS-MMFS-END-ORG
007300                             PIC  9(03).
007400         05  WS-MMFS-END-FS-CODE
007500                             PIC  X(01)      VALUE '9'.
007600*
007700     03  WS-MT-ATTR-LIT.
007800         05                  PIC  X(23)      VALUE
007900             'MT-FIELD-ATTR (OCCUR - '.
008000         05  WS-MT-ATTR-CNT  PIC  ZZZZ9.
008100         05                  PIC  X(01)      VALUE ')'.
008200*
008300     03  WS-MT-AUDIT-LIT.
008400         05                  PIC  X(23)      VALUE
008500             'MT-AUDIT-CODE (OCCUR - '.
008600         05  WS-MT-AUDIT-CNT PIC  ZZZZ9.
008700         05                  PIC  X(01)      VALUE ')'.
008800*
008900     03  WS-ST-ATTR-LIT.
009000         05                  PIC  X(23)      VALUE
009100             'ST-FIELD-ATTR (OCCUR - '.
009200         05  WS-ST-ATTR-CNT  PIC  ZZZZ9.
009300         05                  PIC  X(01)      VALUE ')'.
009400*
009500     03  WS-ST-AUDIT-LIT.
009600         05                  PIC  X(23)      VALUE
009700             'ST-AUDIT-CODE (OCCUR - '.
009800         05  WS-ST-AUDIT-CNT PIC  ZZZZ9.
009900         05                  PIC  X(01)      VALUE ')'.
010000*
010100     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
010200         88  WS-BACKUP                       VALUE 'BACKUP'.
010300         88  WS-MASTER                       VALUE 'MASTER'.
010400/
010500     COPY MB21WS.
010600*
010700 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010800/
010900 PROCEDURE DIVISION.
011000*
011100 A000-DRIVER.
011200*
011300     MOVE 'MBU909'               TO SS02WS-ABEND-PROG-ID
011400                                    MBU999WS-PROGRAM-ID.
011500*
011600     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
011700*
011800     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
011900     MOVE 'T909'                 TO MB20WS-SH-INTERNAL-RPT-ID.
012000     MOVE ' MERCHANT FIELD SECURITY FILE '
012100                                 TO MB20WS-SH-RPT-NAME.
012200     MOVE SPACES                 TO MB20WS-SH-LIT-1
012300                                    MB20WS-SH-LIT-5
012400                                    MB20WS-SH-L4
012500                                    MB20WS-SH-L5
012600                                    MB20WS-SH-L6.
012700     PERFORM MB21PD-PAP-RESET-INDEXES
012800                                 THRU MB21PD-PAP-EXIT.
012900*
013000 A100-OPEN-FILES.
013100*
013200     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
013300     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
013400     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
013500     SET MTCCRB-OPEN-INPUT       TO TRUE.
013600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
013700*
013800     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
013900     SET MMSCRB-OPEN-INPUT       TO TRUE.
014000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014100*
014200     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
014300     SET  MMSCRB-READ-SEQ        TO TRUE.
014400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
014500*
014600     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
014700*
014800     IF  MMSCIO-HEADER
014900         NEXT SENTENCE
015000     ELSE
015100         PERFORM MB99PD-MISSING-HEADER-ABEND
015200            THRU MB99PD-MHA-EXIT.
015300*
015400     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
015500*
015510     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
015600     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
015700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
015800     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
015900     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
016000     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
016100                                 THRU SS27PD-NET-EXIT.
016200     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
016300*
016400     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
016500     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
016600     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
016700     MOVE 99                     TO MB20WS-LINE-LIMIT.
016800     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
016900     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
017100*
017200     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
017300     SET MTCCRB-READ-SEQ         TO TRUE.
017400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
017500*
017600     IF  SS02WS-FS-END-OF-FILE
017700         GO TO A400-CHECK-READ-SWITCH
017800     END-IF.
017900*
018000     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
018100         GO TO A200-PROGRAM-CONTROL
018200     END-IF.
018300*
018400     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
018500*
018600     IF  MTCC-MBU9XX-BACKUP
018700         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
018800         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
018900         SET MBMFRB-OPEN-INPUT   TO TRUE
019000         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
019100         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
019200         SET MBMFRB-READ-SEQ     TO TRUE
019300         MOVE SS02WS-NO-RECORD-FOUND
019400                                 TO MBMFRB-PERM-STATUS-3
019500         MOVE SS02WS-END-OF-FILE
019600                                 TO MBMFRB-PERM-STATUS-4
019700         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
019800     ELSE
019900         MOVE 'O1FS'             TO SS02WS-ABEND-LOCATION
020000         SET MMFSRB-OPEN-INPUT   TO TRUE
020100         PERFORM MB00PD-MMFS-ACCESS THRU MB00PD-MMFS-ACCESS-EXIT
020200         MOVE 'R1FS'             TO SS02WS-ABEND-LOCATION
020300         SET MMFSRB-READ-SEQ     TO TRUE
020400         MOVE SS02WS-NO-RECORD-FOUND
020500                                 TO MMFSRB-PERM-STATUS-3
020600         MOVE SS02WS-END-OF-FILE
020700                                 TO MMFSRB-PERM-STATUS-4
020800         PERFORM MB00PD-MMFS-ACCESS THRU MB00PD-MMFS-ACCESS-EXIT
020900         GO TO A130-PRINT-HR-RECORD
021000     END-IF.
021100*
021200     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
021300*
021400     IF  MBMFIO-FILE-IS-HEADER
021500         NEXT SENTENCE
021600     ELSE
021700         PERFORM MB99PD-MISSING-HEADER-ABEND
021800            THRU MB99PD-MHA-EXIT.
021900*
022000     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
022100*
022200     SET X-MBMF-FILE             TO 1.
022300*
022400 A110-SEARCH-HEADER-TABLE-LOOP.
022500*
022600     IF  X-MBMF-FILE IS GREATER THAN 75
022700         MOVE 'MMFS'             TO MB99WS-FILE-ID
022800         PERFORM MB99PD-NOT-ON-BACKUP
022900            THRU MB99PD-NOB-EXIT.
023000*
023100     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'FS'
023200         CONTINUE
023300     ELSE
023400         SET X-MBMF-FILE         UP BY 1
023500         GO TO A110-SEARCH-HEADER-TABLE-LOOP
023600     END-IF.
023700*
023800 A120-READ-MBMF-LOOP.
023900*
024000     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
024100     SET MBMFRB-READ-SEQ         TO TRUE.
024200     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
024300*
024400     IF  SS02WS-FS-END-OF-FILE
024500         GO TO A200-PROGRAM-CONTROL
024600     END-IF.
024700*
024800     IF  MBMFIO-FILE-IS-MMFS
024900         CONTINUE
025000     ELSE
025100         GO TO A120-READ-MBMF-LOOP
025200     END-IF.
025300*
025400 A130-PRINT-HR-RECORD.
025500*
025600     IF  WS-BACKUP
025700         MOVE MBMFIO-VAR-DATA    TO MMFSIO-RECORD
025800     END-IF.
025900*
026000     MOVE 'MMFS'                 TO MB99WS-FILE-ID.
026100*
026200     IF  MMFSIO-HEADER
026300         NEXT SENTENCE
026400     ELSE
026500         PERFORM MB99PD-MISSING-HEADER-ABEND
026600            THRU MB99PD-MHA-EXIT.
026700*
026800     MOVE MMFSIO-RECORD          TO MMFS-RECORD.
026900*
027000     IF  MMFSIO-HEADER
027100         PERFORM B200-PRINT-HEADER
027200                                 THRU B200-PH-EXIT
027300     END-IF.
027400*
027500 A200-PROGRAM-CONTROL.
027600*
027700     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
027800         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
027900     ELSE
028000         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
028100             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
028200             GO TO A210-PC-BY-FIRST-READ.
028300*
028400     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
028500     SET MTCCRB-READ-SEQ         TO TRUE.
028600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
028700*
028800     IF  SS02WS-FS-END-OF-FILE
028900         GO TO A400-CHECK-READ-SWITCH
029000     END-IF.
029100*
029200 A210-PC-BY-FIRST-READ.
029300*
029400     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
029500         GO TO A200-PROGRAM-CONTROL
029600     END-IF.
029700*
029800     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
029900*
030000 A300-RANGE-CARD.
030100*
030200     MOVE 'Y'                    TO WS-CARD-READ-SW.
030300     INSPECT MTCC-MBU909-BEG-ORG-X
030400                                 REPLACING ALL SPACE BY ZERO.
030500*
030600     IF  MTCC-MBU909-END-ORG-X IS EQUAL TO SPACES
030700         MOVE MTCC-MBU909-BEG-ORG-X
030800                                 TO MTCC-MBU909-END-ORG-X
030900     END-IF.
031000*
031100     INSPECT MTCC-MBU909-END-ORG-X
031200                                 REPLACING ALL SPACE BY ZERO.
031300*
031400     MOVE MTCC-MBU909-BEG-X      TO WS-MMFS-BEG-KEY.
031500*
031600     MOVE MTCC-MBU909-END-X      TO WS-MMFS-END-KEY.
031700*
031800     IF  WS-BACKUP
031900         GO TO A350-READ-NEXT-MBMF
032000     END-IF.
032100*
032200     MOVE WS-MMFS-BEG-KEY        TO MMFSIO-KEY.
032300*
032400     MOVE 'S1FS'                 TO SS02WS-ABEND-LOCATION.
032500     SET  MMFSRB-START-GTE       TO TRUE.
032600     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
032700*
032800     IF  SS02WS-FS-NO-RECORD-FOUND
032900         GO TO A500-CONTROL-CARD-ERROR
033000     END-IF.
033100*
033200 A350-READ-NEXT.
033300*
033400     MOVE 'R2FS'                 TO SS02WS-ABEND-LOCATION.
033500     SET  MMFSRB-READ-SEQ        TO TRUE.
033600     PERFORM MB00PD-MMFS-ACCESS  THRU MB00PD-MMFS-ACCESS-EXIT.
033700*
033800     IF  SS02WS-FS-END-OF-FILE
033900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034000             GO TO A200-PROGRAM-CONTROL
034100         ELSE
034200             PERFORM MB21PD-PRINT-A-PAGE
034300                                 THRU MB21PD-PAP-EXIT
034400             GO TO A200-PROGRAM-CONTROL.
034500*
034600     IF  MMFSIO-KEY IS GREATER THAN WS-MMFS-END-KEY
034700         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034800             GO TO A200-PROGRAM-CONTROL
034900         ELSE
035000             PERFORM MB21PD-PRINT-A-PAGE
035100                                 THRU MB21PD-PAP-EXIT
035200             GO TO A200-PROGRAM-CONTROL.
035300*
035400     IF  MMFSIO-HEADER
035500     OR  MMFSIO-TRAILER
035600         GO TO A350-READ-NEXT.
035700*
035800     MOVE MMFSIO-RECORD          TO MMFS-RECORD.
035900*
036000     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
036100     GO TO A350-READ-NEXT.
036200*
036300 A350-READ-NEXT-MBMF.
036400*
036500     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
036600     SET  MBMFRB-READ-SEQ        TO TRUE.
036700     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
036800*
036900     IF  SS02WS-FS-NO-RECORD-FOUND
037000         GO TO A500-CONTROL-CARD-ERROR
037100     END-IF.
037200*
037300     IF  SS02WS-FS-END-OF-FILE
037400         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
037500             GO TO A200-PROGRAM-CONTROL
037600         ELSE
037700             PERFORM MB21PD-PRINT-A-PAGE
037800                                 THRU MB21PD-PAP-EXIT
037900             GO TO A200-PROGRAM-CONTROL.
038000*
038100     IF  MBMFIO-FILE-IS-MMFS
038200         CONTINUE
038300     ELSE
038400         GO TO A350-READ-NEXT-MBMF
038500     END-IF.
038600*
038700     MOVE MBMFIO-VAR-DATA        TO MMFS-RECORD.
038800*
038900     IF  MMFS-KEY IS LESS THAN WS-MMFS-BEG-KEY
039000         GO TO A350-READ-NEXT-MBMF
039100     END-IF.
039200*
039300     IF  MMFS-KEY IS GREATER THAN WS-MMFS-END-KEY
039400         PERFORM MB21PD-PRINT-A-PAGE
039500                                 THRU MB21PD-PAP-EXIT
039600         GO TO A200-PROGRAM-CONTROL
039700     END-IF.
039800*
039900     IF  MMFS-ORG IS EQUAL TO 999
040000         GO TO A350-READ-NEXT-MBMF.
040100*
040200     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
040300     GO TO A350-READ-NEXT-MBMF.
040400*
040500 A400-CHECK-READ-SWITCH.
040600*
040700     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
040800         MOVE '*** NO CONTROL CARDS ***'
040900                                 TO MB21WS-PP-COL44 (5 1)
041000         PERFORM MB21PD-PRINT-A-PAGE
041100                                 THRU MB21PD-PAP-EXIT.
041200*
041300     GO TO A600-CLOSE-FILES.
041400*
041500 A500-CONTROL-CARD-ERROR.
041600*
041700     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
041800     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
041900     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
042000     MOVE SPACE                  TO MB21WS-PP-LINE (4).
042100     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
042200     GO TO A200-PROGRAM-CONTROL.
042300*
042400 A600-CLOSE-FILES.
042500*
042600     EVALUATE TRUE
042700         WHEN  WS-BACKUP
042800             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
042900             SET MBMFRB-CLOSE    TO TRUE
043000             PERFORM MB00PD-MBMF-ACCESS
043100                                 THRU MB00PD-MBMF-ACCESS-EXIT
043200         WHEN  WS-MASTER
043300             MOVE 'C1FS'         TO SS02WS-ABEND-LOCATION
043400             SET MMFSRB-CLOSE    TO TRUE
043500             PERFORM MB00PD-MMFS-ACCESS
043600                                 THRU MB00PD-MMFS-ACCESS-EXIT
043700         WHEN  OTHER
043800             CONTINUE
043900     END-EVALUATE.
044000*
044100     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
044200     SET MTCCRB-CLOSE            TO TRUE.
044300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
044400*
044500     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
044600     SET MMSCRB-CLOSE            TO TRUE.
044700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
044800*
044900     PERFORM MB20PD-CLOSE-PRINT-FILES
045000                                 THRU MB20PD-CPF-EXIT.
045100*
045200     STOP RUN.
045300*
045400 B100-PRT-BEGIN.
045500*
045600     MOVE 'MERCH/STORE FIELD SECURITY REC (MMFS)'
045700                                 TO MB21WS-PRINT-WORK-AREA.
045800     PERFORM MB21PD-INSERT-A-COLUMN
045900                                 THRU MB21PD-IAC-EXIT.
046000*
046100     MOVE 'ORG'                  TO MB21WS-NAME.
046200     MOVE MMFS-ORG               TO MB21WS-3V0.
046300     PERFORM MB21PD-INSERT-A-COLUMN
046400                                 THRU MB21PD-IAC-EXIT.
046500*
046600     MOVE 'FS-CODE'              TO MB21WS-NAME.
046700     MOVE MMFS-FS-CODE           TO MB21WS-X.
046800     PERFORM MB21PD-INSERT-A-COLUMN
046900                                 THRU MB21PD-IAC-EXIT 2 TIMES.
047000*
047100     MOVE '*-----  MMFS STATUS INFORMATION  ------*'
047200                                 TO MB21WS-PRINT-WORK-AREA.
047300     PERFORM MB21PD-INSERT-A-COLUMN
047400                                 THRU MB21PD-IAC-EXIT.
047500*
047600     MOVE 'REC-STATUS'           TO MB21WS-NAME.
047700     MOVE MMFS-REC-STATUS        TO MB21WS-1V0.
047800     PERFORM MB21PD-INSERT-A-COLUMN
047900                                 THRU MB21PD-IAC-EXIT.
048000*
048100     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
048200     MOVE MMFS-ONLINE-STATUS     TO MB21WS-2V0.
048300     PERFORM MB21PD-INSERT-A-COLUMN
048400                                 THRU MB21PD-IAC-EXIT.
048500*
048600     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
048700     MOVE MMFS-LAST-MAINT-DATE   TO SS01WS-JULIAN.
048800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
048900     MOVE MMFS-LAST-MAINT-DATE   TO MB21WS-JULIAN.
049000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
049100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
049200     PERFORM MB21PD-INSERT-A-COLUMN
049300                                 THRU MB21PD-IAC-EXIT.
049400*
049500     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
049600     MOVE MMFS-LAST-MAINT-OPER   TO MB21WS-3X.
049700     PERFORM MB21PD-INSERT-A-COLUMN
049800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
049900*
050000     MOVE 'NAME'                 TO MB21WS-NAME.
050100     MOVE MMFS-NAME              TO MB21WS-30X.
050200     PERFORM MB21PD-INSERT-A-COLUMN
050300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
050400*
050500     MOVE '*---------  MERCHANT DATA  -----------*    '
050600                                 TO MB21WS-PRINT-WORK-AREA.
050700     PERFORM MB21PD-INSERT-A-COLUMN
050800                                 THRU MB21PD-IAC-EXIT.
050900*
051000     MOVE ZEROS                  TO WS-COUNT.
051100*
051200     PERFORM VARYING X-MMFS-MERCH FROM 1 BY 1
051300             UNTIL   X-MMFS-MERCH GREATER THAN 1000
051400         ADD 1                   TO WS-COUNT
051500         MOVE WS-COUNT           TO WS-MT-ATTR-CNT
051600                                    WS-MT-AUDIT-CNT
051700         MOVE WS-MT-ATTR-LIT     TO MB21WS-NAME
051800         MOVE MMFS-MT-FIELD-ATTR (X-MMFS-MERCH)
051900                                 TO MB21WS-X
052000         PERFORM MB21PD-INSERT-A-COLUMN
052100                                 THRU MB21PD-IAC-EXIT
052200         MOVE WS-MT-AUDIT-LIT    TO MB21WS-NAME
052300         MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
052400                                 TO MB21WS-X
052500         PERFORM MB21PD-INSERT-A-COLUMN
052600                                 THRU MB21PD-IAC-EXIT 2 TIMES
052700     END-PERFORM.
052800*
052900     MOVE '*-----------  STORE DATA  ------------*    '
053000                                 TO MB21WS-PRINT-WORK-AREA.
053100     PERFORM MB21PD-INSERT-A-COLUMN
053200                                 THRU MB21PD-IAC-EXIT.
053300*
053400     MOVE ZEROS                  TO WS-COUNT.
053500*
053600     PERFORM VARYING X-MMFS-STORE FROM 1 BY 1
053700             UNTIL   X-MMFS-STORE GREATER THAN 1000
053800         ADD 1                   TO WS-COUNT
053900         MOVE WS-COUNT           TO WS-ST-ATTR-CNT
054000                                    WS-ST-AUDIT-CNT
054100         MOVE WS-ST-ATTR-LIT     TO MB21WS-NAME
054200         MOVE MMFS-ST-FIELD-ATTR (X-MMFS-STORE)
054300                                 TO MB21WS-X
054400         PERFORM MB21PD-INSERT-A-COLUMN
054500                                 THRU MB21PD-IAC-EXIT
054600         MOVE WS-ST-AUDIT-LIT    TO MB21WS-NAME
054700         MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
054800                                 TO MB21WS-X
054900         PERFORM MB21PD-INSERT-A-COLUMN
055000                                 THRU MB21PD-IAC-EXIT 2 TIMES
055100     END-PERFORM.
055200*
055300 B999-PRT-EXIT.
055400     EXIT.
055500*
055600 B200-PRINT-HEADER.
055700*
055800     MOVE 'MERCH/STORE FIELD SECURITY HDR(MMFS)'
055900                                 TO MB21WS-DATA-NAME.
056000     PERFORM MB21PD-INSERT-A-COLUMN
056100                                 THRU MB21PD-IAC-EXIT.
056200*
056300     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
056400     MOVE 'ORG'                  TO MB21WS-NAME.
056500     MOVE MMFSIO-ORG             TO MB21WS-3V0.
056600     PERFORM MB21PD-INSERT-A-COLUMN
056700                                 THRU MB21PD-IAC-EXIT.
056800*
056900     MOVE 'FS-CODE'              TO MB21WS-NAME.
057000     MOVE MMFSIO-FS-CODE         TO MB21WS-X.
057100     PERFORM MB21PD-INSERT-A-COLUMN
057200                                 THRU MB21PD-IAC-EXIT.
057300*
057400     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
057500     MOVE MMFSIO-DATE-STAMP      TO SS01WS-JULIAN.
057600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
057700     MOVE MMFSIO-DATE-STAMP      TO MB21WS-JULIAN.
057800     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
057900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
058000     PERFORM MB21PD-INSERT-A-COLUMN
058100                                 THRU MB21PD-IAC-EXIT.
058200*
058300     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
058400     MOVE MMFSIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
058500     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
058600                                 THRU SS27PD-NET-EXIT.
058700     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
058800     PERFORM MB21PD-INSERT-A-COLUMN
058900                                 THRU MB21PD-IAC-EXIT.
059000*
059100     PERFORM MB21PD-PRINT-A-PAGE
059200                                 THRU MB21PD-PAP-EXIT.
059300*
059400 B200-PH-EXIT.
059500     EXIT.
059600/
059700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
059800*                          COMMON ROUTINES                      *
059900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
060000*
060100     COPY SS02PD.
060200/
060300     COPY SS08PD.
060400/
060500     COPY SS16PD.
060600/
060700     COPY SS26PD.
060800/
060900     COPY SS27PD.
061000/
061100     COPY MB20PD.
061200/
061300     COPY MB21PD.
061400/
061500     COPY MB99PD.
061600/
061700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
061800/
061900     COPY MB00PD REPLACING ==:MB00:== BY ==MMFS==.
062000/
062100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
062200/
062300     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
