000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU915.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU915 - FRAUD REPORTING FILE DISPLAY (MMFP)            *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMFP==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMFPRL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMFPIO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU915'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMFP-BEG-KEY.
007100         05  WS-BEG-ORG-TABLE-NBR.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-TABLE-NBR
007400                             PIC  9(09).
007500*
007600     03  WS-MMFP-END-KEY.
007700         05  WS-END-ORG-TABLE-NBR.
007800             07  WS-END-ORG  PIC  9(03).
007900             07  WS-END-TABLE-NBR
008000                             PIC  9(09).
008100*
008200     03  WS-FRAUD-TABLE-LINES.
008300         05  FILLER          PIC  X(20)      VALUE
008400             'FRAUD TABLE ELEMENT '.
008500         05  WS-FRAUD-TABLE-LINE-NBR
008600                             PIC  9(02).
008700*
008800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008900/
009000 PROCEDURE DIVISION.
009100*
009200 A000-DRIVER.
009300*
009400     MOVE 'MBU915'               TO SS02WS-ABEND-PROG-ID
009500                                    MBU999WS-PROGRAM-ID.
009600*
009700     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
009800*
009900     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
010000     MOVE 'T915'                 TO MB20WS-SH-INTERNAL-RPT-ID.
010100     MOVE ' FRAUD REPORTING FILE DISPLAY '
010200                                 TO MB20WS-SH-RPT-NAME.
010300     MOVE SPACES                 TO MB20WS-SH-LIT-1
010400                                    MB20WS-SH-LIT-5
010500                                    MB20WS-SH-L4
010600                                    MB20WS-SH-L5
010700                                    MB20WS-SH-L6.
010800     PERFORM MB21PD-PAP-RESET-INDEXES
010900                                 THRU MB21PD-PAP-EXIT.
011000*
011100 A100-OPEN-FILES.
011200*
011300     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
011400     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011500     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011600     SET MTCCRB-OPEN-INPUT       TO TRUE.
011700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011800*
011900     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012000     SET MMSCRB-OPEN-INPUT       TO TRUE.
012100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012200*
012300     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012400     SET  MMSCRB-READ-SEQ        TO TRUE.
012500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012600*
012700     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012800*
012900     IF  MMSCIO-HEADER
013000         NEXT SENTENCE
013100     ELSE
013200         PERFORM MB99PD-MISSING-HEADER-ABEND
013300            THRU MB99PD-MHA-EXIT.
013400*
013500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013600*
013610     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013700     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
013800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
013900     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
014000     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
014100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
014200                                 THRU SS27PD-NET-EXIT.
014300     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
014400*
014500     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
014600     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
014700     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
014800     MOVE 99                     TO MB20WS-LINE-LIMIT.
014900     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
015000     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
015200*
015300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
015400     SET MTCCRB-READ-SEQ         TO TRUE.
015500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015600*
015700     IF  SS02WS-FS-END-OF-FILE
015800         GO TO A400-CHECK-READ-SWITCH
015900     END-IF.
016000*
016100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
016200         GO TO A200-PROGRAM-CONTROL
016300     END-IF.
016400*
016500     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
016600*
016700     IF  MTCC-MBU9XX-BACKUP
016800         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
016900         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
017000         SET MBMFRB-OPEN-INPUT   TO TRUE
017100         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017200         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
017300         SET MBMFRB-READ-SEQ     TO TRUE
017400         MOVE SS02WS-NO-RECORD-FOUND
017500                                 TO MBMFRB-PERM-STATUS-3
017600         MOVE SS02WS-END-OF-FILE
017700                                 TO MBMFRB-PERM-STATUS-4
017800         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017900     ELSE
018000         MOVE 'O1FP'             TO SS02WS-ABEND-LOCATION
018100         SET MMFPRB-OPEN-INPUT   TO TRUE
018200         PERFORM MB00PD-MMFP-ACCESS THRU MB00PD-MMFP-ACCESS-EXIT
018300         MOVE 'R1FP'             TO SS02WS-ABEND-LOCATION
018400         SET MMFPRB-READ-SEQ     TO TRUE
018500         MOVE SS02WS-NO-RECORD-FOUND
018600                                 TO MMFPRB-PERM-STATUS-3
018700         MOVE SS02WS-END-OF-FILE
018800                                 TO MMFPRB-PERM-STATUS-4
018900         PERFORM MB00PD-MMFP-ACCESS THRU MB00PD-MMFP-ACCESS-EXIT
019000         GO TO A130-PRINT-HR-RECORD
019100     END-IF.
019200*
019300     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019400*
019500     IF  MBMFIO-FILE-IS-HEADER
019600         NEXT SENTENCE
019700     ELSE
019800         PERFORM MB99PD-MISSING-HEADER-ABEND
019900            THRU MB99PD-MHA-EXIT.
020000*
020100     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020200*
020300     SET X-MBMF-FILE             TO 1.
020400*
020500 A110-SEARCH-HEADER-TABLE-LOOP.
020600*
020700     IF  X-MBMF-FILE IS GREATER THAN 75
020800         MOVE 'MMFP'             TO MB99WS-FILE-ID
020900         PERFORM MB99PD-NOT-ON-BACKUP
021000            THRU MB99PD-NOB-EXIT.
021100*
021200     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'FP'
021300         CONTINUE
021400     ELSE
021500         SET X-MBMF-FILE         UP BY 1
021600         GO TO A110-SEARCH-HEADER-TABLE-LOOP
021700     END-IF.
021800*
021900 A120-READ-MBMF-LOOP.
022000*
022100     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022200     SET MBMFRB-READ-SEQ         TO TRUE.
022300     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
022400*
022500     IF  SS02WS-FS-END-OF-FILE
022600         GO TO A200-PROGRAM-CONTROL
022700     END-IF.
022800*
022900     IF  MBMFIO-FILE-IS-MMFP
023000         CONTINUE
023100     ELSE
023200         GO TO A120-READ-MBMF-LOOP
023300     END-IF.
023400*
023500 A130-PRINT-HR-RECORD.
023600*
023700     IF  WS-BACKUP
023800         MOVE MBMFIO-VAR-DATA    TO MMFPIO-RECORD
023900     END-IF.
024000*
024100     MOVE 'MMFP'                 TO MB99WS-FILE-ID.
024200*
024300     IF  MMFPIO-HEADER
024400         NEXT SENTENCE
024500     ELSE
024600         PERFORM MB99PD-MISSING-HEADER-ABEND
024700            THRU MB99PD-MHA-EXIT.
024800*
024900     MOVE MMFPIO-RECORD          TO MMFP-RECORD.
025000*
025100     IF  MMFPIO-HEADER
025200         PERFORM B200-PRINT-HEADER
025300                                 THRU B200-PH-EXIT
025400     END-IF.
025500*
025600 A200-PROGRAM-CONTROL.
025700*
025800     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
025900         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
026000     ELSE
026100         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
026200             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026300             GO TO A210-PC-BY-FIRST-READ.
026400*
026500     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026600     SET MTCCRB-READ-SEQ         TO TRUE.
026700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026800*
026900     IF  SS02WS-FS-END-OF-FILE
027000         GO TO A400-CHECK-READ-SWITCH
027100     END-IF.
027200*
027300 A210-PC-BY-FIRST-READ.
027400*
027500     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
027600         GO TO A200-PROGRAM-CONTROL
027700     END-IF.
027800*
027900     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
028000*
028100 A300-RANGE-CARD.
028200*
028300     MOVE 'Y'                    TO WS-CARD-READ-SW.
028400     INSPECT MTCC-MBU915-BEG-X   REPLACING ALL SPACE BY ZERO.
028500*
028600     IF  MTCC-MBU915-END-X IS EQUAL TO SPACES
028700         MOVE MTCC-MBU915-BEG-X  TO MTCC-MBU915-END-X
028800     END-IF.
028900*
029000     INSPECT MTCC-MBU915-END-X   REPLACING ALL SPACE BY ZERO.
029100*
029200     MOVE MTCC-MBU915-BEG-X      TO WS-MMFP-BEG-KEY.
029300*
029400     MOVE MTCC-MBU915-END-X      TO WS-MMFP-END-KEY.
029500*
029600     IF  WS-BACKUP
029700         GO TO A350-READ-NEXT-MBMF
029800     END-IF.
029900*
030000     MOVE MTCC-MBU915-BEG-X      TO MMFPIO-ORG-TABLE.
030100*
030200     MOVE 'S1FP'                 TO SS02WS-ABEND-LOCATION.
030300     SET  MMFPRB-START-GTE       TO TRUE.
030400     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
030500*
030600     IF  SS02WS-FS-NO-RECORD-FOUND
030700         GO TO A500-CONTROL-CARD-ERROR
030800     END-IF.
030900*
031000 A350-READ-NEXT.
031100*
031200     MOVE 'R2FP'                 TO SS02WS-ABEND-LOCATION.
031300     SET  MMFPRB-READ-SEQ        TO TRUE.
031400     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
031500*
031600     IF  SS02WS-FS-END-OF-FILE
031700         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
031800             GO TO A200-PROGRAM-CONTROL
031900         ELSE
032000             PERFORM MB21PD-PRINT-A-PAGE
032100                                 THRU MB21PD-PAP-EXIT
032200             GO TO A200-PROGRAM-CONTROL.
032300*
032400     IF  MMFPIO-KEY IS GREATER THAN WS-MMFP-END-KEY
032500         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032600             GO TO A200-PROGRAM-CONTROL
032700         ELSE
032800             PERFORM MB21PD-PRINT-A-PAGE
032900                                 THRU MB21PD-PAP-EXIT
033000             GO TO A200-PROGRAM-CONTROL.
033100*
033200     IF  MMFPIO-HEADER
033300     OR  MMFPIO-TRAILER
033400         GO TO A350-READ-NEXT.
033500*
033600     MOVE MMFPIO-RECORD          TO MMFP-RECORD.
033700*
033800     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
033900     GO TO A350-READ-NEXT.
034000*
034100 A350-READ-NEXT-MBMF.
034200*
034300     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034400     SET  MBMFRB-READ-SEQ        TO TRUE.
034500     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
034600*
034700     IF  SS02WS-FS-NO-RECORD-FOUND
034800         GO TO A500-CONTROL-CARD-ERROR
034900     END-IF.
035000*
035100     IF  SS02WS-FS-END-OF-FILE
035200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035300             GO TO A200-PROGRAM-CONTROL
035400         ELSE
035500             PERFORM MB21PD-PRINT-A-PAGE
035600                                 THRU MB21PD-PAP-EXIT
035700             GO TO A200-PROGRAM-CONTROL.
035800*
035900     IF  MBMFIO-FILE-IS-MMFP
036000         CONTINUE
036100     ELSE
036200         GO TO A350-READ-NEXT-MBMF
036300     END-IF.
036400*
036500     MOVE MBMFIO-VAR-DATA        TO MMFP-RECORD.
036600*
036700     IF  MMFP-KEY IS LESS THAN WS-MMFP-BEG-KEY
036800         GO TO A350-READ-NEXT-MBMF
036900     END-IF.
037000*
037100     IF  MMFP-KEY IS GREATER THAN WS-MMFP-END-KEY
037200         PERFORM MB21PD-PRINT-A-PAGE
037300                                 THRU MB21PD-PAP-EXIT
037400         GO TO A200-PROGRAM-CONTROL
037500     END-IF.
037600*
037700     IF  MMFP-ORG IS EQUAL TO 999
037800         GO TO A350-READ-NEXT-MBMF.
037900*
038000     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038100     GO TO A350-READ-NEXT-MBMF.
038200*
038300 A400-CHECK-READ-SWITCH.
038400*
038500     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
038600         MOVE '*** NO CONTROL CARDS ***'
038700                                 TO MB21WS-PP-COL44 (5 1)
038800         PERFORM MB21PD-PRINT-A-PAGE
038900                                 THRU MB21PD-PAP-EXIT.
039000*
039100     GO TO A600-CLOSE-FILES.
039200*
039300 A500-CONTROL-CARD-ERROR.
039400*
039500     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
039600     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
039700     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
039800     MOVE SPACE                  TO MB21WS-PP-LINE (4).
039900     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
040000     GO TO A200-PROGRAM-CONTROL.
040100*
040200 A600-CLOSE-FILES.
040300*
040400     EVALUATE TRUE
040500         WHEN  WS-BACKUP
040600             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
040700             SET MBMFRB-CLOSE    TO TRUE
040800             PERFORM MB00PD-MBMF-ACCESS
040900                                 THRU MB00PD-MBMF-ACCESS-EXIT
041000         WHEN  WS-MASTER
041100             MOVE 'C1FP'         TO SS02WS-ABEND-LOCATION
041200             SET MMFPRB-CLOSE    TO TRUE
041300             PERFORM MB00PD-MMFP-ACCESS
041400                                 THRU MB00PD-MMFP-ACCESS-EXIT
041500         WHEN  OTHER
041600             CONTINUE
041700     END-EVALUATE.
041800*
041900     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042000     SET MTCCRB-CLOSE            TO TRUE.
042100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042200*
042300     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042400     SET MMSCRB-CLOSE            TO TRUE.
042500     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
042600*
042700     PERFORM MB20PD-CLOSE-PRINT-FILES
042800                                 THRU MB20PD-CPF-EXIT.
042900*
043000     STOP RUN.
043100/
043200 B100-PRT-BEGIN.
043300*
043400     MOVE 'FRAUD REPORTING FILE (MMFP)'
043500                                 TO MB21WS-PRINT-WORK-AREA.
043600     PERFORM MB21PD-INSERT-A-COLUMN
043700                                 THRU MB21PD-IAC-EXIT.
043800*
043900     MOVE 'ORG'                  TO MB21WS-NAME.
044000     MOVE MMFP-ORG               TO MB21WS-3V0.
044100     PERFORM MB21PD-INSERT-A-COLUMN
044200                                 THRU MB21PD-IAC-EXIT.
044300*
044400     MOVE 'TABLE NBR'            TO MB21WS-NAME.
044500     MOVE MMFP-TABLE-NBR         TO MB21WS-9V0.
044600     PERFORM MB21PD-INSERT-A-COLUMN
044700                                 THRU MB21PD-IAC-EXIT.
044800*
044900     MOVE 'REC STATUS '          TO MB21WS-NAME.
045000     MOVE MMFP-REC-STATUS        TO MB21WS-1V0.
045100     PERFORM MB21PD-INSERT-A-COLUMN
045200                                 THRU MB21PD-IAC-EXIT.
045300*
045400     MOVE 'ONLINE STATUS'        TO MB21WS-NAME.
045500     MOVE MMFP-ONLINE-STATUS     TO MB21WS-2V0.
045600     PERFORM MB21PD-INSERT-A-COLUMN
045700                                 THRU MB21PD-IAC-EXIT.
045800*
045900     MOVE 'LAST MAINT DATE'      TO MB21WS-NAME.
046000     MOVE MMFP-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
046200     MOVE MMFP-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046300     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
046400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
046500     PERFORM MB21PD-INSERT-A-COLUMN
046600                                 THRU MB21PD-IAC-EXIT.
046700*
046800     MOVE 'LAST MAINT OPER'      TO MB21WS-NAME.
046900     MOVE MMFP-LAST-MAINT-OPER   TO MB21WS-3X.
047000     PERFORM MB21PD-INSERT-A-COLUMN
047100                                 THRU MB21PD-IAC-EXIT.
047200*
047300     MOVE 'TABLE NAME'           TO MB21WS-NAME.
047400     PERFORM MB21PD-INSERT-A-COLUMN
047500                                 THRU MB21PD-IAC-EXIT.
047600     MOVE MMFP-FRAUD-TABLE-DESC  TO MB21WS-30X.
047700     PERFORM MB21PD-INSERT-A-COLUMN
047800                                 THRU MB21PD-IAC-EXIT.
047900*
048000     MOVE 'AVG ELAP DAYS '       TO MB21WS-NAME.                  RG800902
048100     MOVE MMFP-FRAUD-AVG-ELAP-DAYS                                RG800902
048200                                 TO MB21WS-3V0.                   RG800902
048300     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048400                                 THRU MB21PD-IAC-EXIT.            RG800902
048500*                                                                 RG800902
048502     MOVE 'LAST DEP EXCESS'      TO MB21WS-NAME.                  RG800902
048504     MOVE MMFP-FRAUD-LAST-DEP-EXCESS                              RG800902
048506                                 TO MB21WS-3V0.                   RG800902
048508     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048510                                 THRU MB21PD-IAC-EXIT.            RG800902
048512*                                                                 RG800902
048514     MOVE 'CHGBACK EXCESS '      TO MB21WS-NAME.                  RG800902
048516     MOVE MMFP-FRAUD-CHGBACK-EXCESS                               RG800902
048518                                 TO MB21WS-3V0.                   RG800902
048520     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048522                                 THRU MB21PD-IAC-EXIT.            RG800902
048524*                                                                 RG800902
048526     MOVE 'SALE EXCESS AMT'      TO MB21WS-NAME.                  RG800902
048528     MOVE MMFP-FRAUD-SALE-EXCESS-AMT                              RG800902
048530                                 TO MB21WS-17V0.                  RG800902
048532     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048534                                 THRU MB21PD-IAC-EXIT.            RG800902
048536*                                                                 RG800902
048538     MOVE 'AUTH EXCESS AMT'      TO MB21WS-NAME.                  RG800902
048540     MOVE MMFP-FRAUD-AUTH-EXCESS-AMT                              RG800902
048542                                 TO MB21WS-17V0.                  RG800902
048544     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048546                                 THRU MB21PD-IAC-EXIT.            RG800902
048548*                                                                 RG800902
048550     MOVE 'WEEK EXCESS SALE'     TO MB21WS-NAME.                  RG800902
048552     MOVE MMFP-FRAUD-WEEK-EXCESS-SALES                            RG800902
048554                                 TO MB21WS-17V0.                  RG800902
048556     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048558                                 THRU MB21PD-IAC-EXIT.            RG800902
048560*                                                                 RG800902
048562     MOVE 'AVG NBR MONTHS'       TO MB21WS-NAME.                  RG800902
048564     MOVE MMFP-FRAUD-AVG-NBR-MONTHS                               RG800902
048566                                 TO MB21WS-2V0.                   RG800902
048568     PERFORM MB21PD-INSERT-A-COLUMN                               RG800902
048570                                 THRU MB21PD-IAC-EXIT 2 TIMES.    RG800902
048572*                                                                 RG800902
048600     MOVE '*----- FRAUD ELEMENT TABLE -----*'
048700                                 TO MB21WS-PRINT-WORK-AREA.
048800     PERFORM MB21PD-INSERT-A-COLUMN
048900                                 THRU MB21PD-IAC-EXIT.
049000*
049100     PERFORM
049200         VARYING X-MMFP-FRAUD FROM +1 BY +1
049300         UNTIL   X-MMFP-FRAUD IS GREATER THAN +60                 RG800902
049400         SET WS-FRAUD-TABLE-LINE-NBR
049500                                 TO X-MMFP-FRAUD
049600         MOVE WS-FRAUD-TABLE-LINES
049700                                 TO MB21WS-DATA-NAME
049800         PERFORM MB21PD-INSERT-A-COLUMN
049900                                 THRU MB21PD-IAC-EXIT
050000         MOVE 'FRAUD VAR OVER'   TO MB21WS-NAME
050100         MOVE MMFP-FRAUD-VARIANCE-OVER (X-MMFP-FRAUD)
050200                                 TO MB21WS-2V3
050300         PERFORM MB21PD-INSERT-A-COLUMN
050400                                 THRU MB21PD-IAC-EXIT
050500         MOVE 'FRAUD VAR UNDER'  TO MB21WS-NAME
050600         MOVE MMFP-FRAUD-VARIANCE-UNDER (X-MMFP-FRAUD)
050700                                 TO MB21WS-0V3
050800         PERFORM MB21PD-INSERT-A-COLUMN
050900                                 THRU MB21PD-IAC-EXIT
051000     END-PERFORM.
051100*
051200     PERFORM MB21PD-INSERT-A-COLUMN
051300                                 THRU MB21PD-IAC-EXIT.
051400*
051500 B999-PRT-EXIT.
051600     EXIT.
051700*
051800 B200-PRINT-HEADER.
051900*
052000     MOVE 'HEADER RECORD (MMFP-)'
052100                                 TO MB21WS-NAME.
052200     PERFORM MB21PD-INSERT-A-COLUMN
052300                                 THRU MB21PD-IAC-EXIT.
052400*
052500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
052600     MOVE 'ORG'                  TO MB21WS-NAME.
052700     MOVE MMFPIO-ORG             TO MB21WS-3V0.
052800     PERFORM MB21PD-INSERT-A-COLUMN
052900                                 THRU MB21PD-IAC-EXIT.
053000*
053100     MOVE 'TABLE NBR'            TO MB21WS-NAME.
053200     MOVE MMFPIO-TABLE-NBR       TO MB21WS-9V0.
053300     PERFORM MB21PD-INSERT-A-COLUMN
053400                                 THRU MB21PD-IAC-EXIT.
053500*
053600     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
053700     MOVE MMFPIO-DATE-STAMP      TO SS01WS-JULIAN.
053800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
053900     MOVE MMFPIO-DATE-STAMP      TO MB21WS-JULIAN.
054000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
054100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
054200     PERFORM MB21PD-INSERT-A-COLUMN
054300                                 THRU MB21PD-IAC-EXIT.
054400*
054500     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
054600     MOVE MMFPIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
054700     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
054800                                 THRU SS27PD-NET-EXIT.
054900     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
055000     PERFORM MB21PD-INSERT-A-COLUMN
055100                                 THRU MB21PD-IAC-EXIT 2 TIMES.
055200*
055300     PERFORM MB21PD-PRINT-A-PAGE
055400                                 THRU MB21PD-PAP-EXIT.
055500*
055600 B200-PH-EXIT.
055700     EXIT.
055800/
055900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
056000*                          COMMON ROUTINES                      *
056100* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
056200*
056300     COPY SS02PD.
056400/
056500     COPY SS08PD.
056600/
056700     COPY SS16PD.
056800/
056900     COPY SS26PD.
057000/
057100     COPY SS27PD.
057200/
057300     COPY MB20PD.
057400/
057500     COPY MB21PD.
057600/
057700     COPY MB99PD.
057800/
057900     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
058000/
058100     COPY MB00PD REPLACING ==:MB00:== BY ==MMFP==.
058200/
058300     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
058400/
058500     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
