000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU917.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU917 - MERCHANT RELATIONSHIP DETAIL FILE (MMRD)      *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMRDIO REPLACING ==:MMRD:== BY ==MMRD==.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMRD==.
004300/
004400     COPY MMRDRL REPLACING ==:MMRD:== BY ==MMRD==.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU917'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMRD-BEG-KEY.
007100         05  WS-BEG-ORG-CHAIN.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-CHAIN
007400                             PIC  9(09).
007500         05  WS-BEG-SEQ-NBR  PIC S9(04)      BINARY VALUE ZEROES.
007600*
007700     03  WS-MMRD-END-KEY.
007800         05  WS-END-ORG-CHAIN.
007900             07  WS-END-ORG  PIC  9(03).
008000             07  WS-END-CHAIN
008100                             PIC  9(09).
008200*
008300     03  WS-MEMBER-TABLE-LINES.
008400         05  FILLER          PIC  X(19)      VALUE
008500             '***** MEMBER TABLE '.
008600         05  WS-MEMBER-TABLE-LINE-NBR
008700                             PIC  9(03).
008800         05  FILLER          PIC  X(06)      VALUE
008900             ' *****'.
009000*
009100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009200/
009300 PROCEDURE DIVISION.
009400*
009500 A000-DRIVER.
009600*
009700     MOVE 'MBU917'               TO SS02WS-ABEND-PROG-ID
009800                                    MBU999WS-PROGRAM-ID.
009900*
010000     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
010100*
010200     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
010300     MOVE 'T917'                 TO MB20WS-SH-INTERNAL-RPT-ID.
010400     MOVE 'MERCHANT RELATIONSHIP DISPLAY '
010500                                 TO MB20WS-SH-RPT-NAME.
010600     MOVE SPACES                 TO MB20WS-SH-LIT-1
010700                                    MB20WS-SH-LIT-5
010800                                    MB20WS-SH-L4
010900                                    MB20WS-SH-L5
011000                                    MB20WS-SH-L6.
011100     PERFORM MB21PD-PAP-RESET-INDEXES
011200                                 THRU MB21PD-PAP-EXIT.
011300*
011400 A100-OPEN-FILES.
011500*
011600     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
011700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011900     SET MTCCRB-OPEN-INPUT       TO TRUE.
012000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012100*
012200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012300     SET MMSCRB-OPEN-INPUT       TO TRUE.
012400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012500*
012600     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012700     SET MMSCRB-READ-SEQ         TO TRUE.
012800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013000*
013100     IF  MMSCIO-HEADER
013200         NEXT SENTENCE
013300     ELSE
013400         PERFORM MB99PD-MISSING-HEADER-ABEND
013500            THRU MB99PD-MHA-EXIT.
013600*
013700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013800*
013810     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
014000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
014100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
014200     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
014300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
014400                                 THRU SS27PD-NET-EXIT.
014500     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
014600*
014700     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
014800     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
014900     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
015000     MOVE 99                     TO MB20WS-LINE-LIMIT.
015100     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
015200     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
015400*
015500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION
015600     SET MTCCRB-READ-SEQ         TO TRUE
015700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
015800*
015900     IF  SS02WS-FS-END-OF-FILE
016000         GO TO A400-CHECK-READ-SWITCH
016100     END-IF.
016200*
016300     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
016400         GO TO A200-PROGRAM-CONTROL
016500     END-IF.
016600*
016700     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
016800*
016900     IF  MTCC-MBU9XX-BACKUP
017000         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
017100         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
017200         SET MBMFRB-OPEN-INPUT   TO TRUE
017300         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017400         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
017500         SET MBMFRB-READ-SEQ     TO TRUE
017600         MOVE SS02WS-NO-RECORD-FOUND
017700                                 TO MBMFRB-PERM-STATUS-3
017800         MOVE SS02WS-END-OF-FILE
017900                                 TO MBMFRB-PERM-STATUS-4
018000         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
018100     ELSE
018200         MOVE 'O1RD'             TO SS02WS-ABEND-LOCATION
018300         SET MMRDRB-OPEN-INPUT   TO TRUE
018400         PERFORM MB00PD-MMRD-ACCESS THRU MB00PD-MMRD-ACCESS-EXIT
018500         MOVE 'R1RD'             TO SS02WS-ABEND-LOCATION
018600         SET MMRDRB-READ-SEQ     TO TRUE
018700         MOVE SS02WS-NO-RECORD-FOUND
018800                                 TO MMRDRB-PERM-STATUS-3
018900         MOVE SS02WS-END-OF-FILE
019000                                 TO MMRDRB-PERM-STATUS-4
019100         PERFORM MB00PD-MMRD-ACCESS THRU MB00PD-MMRD-ACCESS-EXIT
019200         GO TO A130-PRINT-HR-RECORD
019300     END-IF.
019400*
019500     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019600*
019700     IF  MBMFIO-FILE-IS-HEADER
019800         NEXT SENTENCE
019900     ELSE
020000         PERFORM MB99PD-MISSING-HEADER-ABEND
020100            THRU MB99PD-MHA-EXIT.
020200*
020300     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020400*
020500     SET X-MBMF-FILE             TO 1.
020600*
020700 A110-SEARCH-HEADER-TABLE-LOOP.
020800*
020900     IF  X-MBMF-FILE IS GREATER THAN 75
021000         MOVE 'MMRD'             TO MB99WS-FILE-ID
021100         PERFORM MB99PD-NOT-ON-BACKUP
021200            THRU MB99PD-NOB-EXIT.
021300*
021400*
021500     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'RD'
021600         CONTINUE
021700     ELSE
021800         SET X-MBMF-FILE         UP BY 1
021900         GO TO A110-SEARCH-HEADER-TABLE-LOOP
022000     END-IF.
022100*
022200 A120-READ-MBMF-LOOP.
022300*
022400     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022500     SET MBMFRB-READ-SEQ         TO TRUE.
022600     MOVE SS02WS-NO-RECORD-FOUND
022700                                 TO MBMFRB-PERM-STATUS-3.
022800     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
022900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
023000*
023100     IF  SS02WS-FS-END-OF-FILE
023200         GO TO A200-PROGRAM-CONTROL
023300     END-IF.
023400*
023500     IF  MBMFIO-FILE-IS-MMRD
023600         CONTINUE
023700     ELSE
023800         GO TO A120-READ-MBMF-LOOP
023900     END-IF.
024000*
024100 A130-PRINT-HR-RECORD.
024200*
024300     IF  WS-BACKUP
024400         MOVE MBMFIO-VAR-DATA    TO MMRDIO-RECORD
024500     END-IF.
024600*
024700     MOVE 'MMRD'                 TO MB99WS-FILE-ID.
024800*
024900     IF  MMRDIO-HEADER
025000         PERFORM B200-PRINT-HEADER
025100                                 THRU B200-PH-EXIT
025200     ELSE
025300         PERFORM MB99PD-MISSING-HEADER-ABEND
025400            THRU MB99PD-MHA-EXIT.
025500*
025600     MOVE MMRDIO-RECORD          TO MMRD-RECORD.
025700*
025800 A200-PROGRAM-CONTROL.
025900*
026000     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
026100         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
026200     ELSE
026300         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
026400             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026500             GO TO A210-PC-BY-FIRST-READ.
026600*
026700     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026800     SET MTCCRB-READ-SEQ         TO TRUE.
026900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
027000*
027100     IF  SS02WS-FS-END-OF-FILE
027200         GO TO A400-CHECK-READ-SWITCH
027300     END-IF.
027400*
027500 A210-PC-BY-FIRST-READ.
027600*
027700     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
027800         GO TO A200-PROGRAM-CONTROL
027900     END-IF.
028000*
028100     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
028200*
028300 A300-RANGE-CARD.
028400*
028500     MOVE 'Y'                    TO WS-CARD-READ-SW.
028600     INSPECT MTCC-MBU917-BEG-X   REPLACING ALL SPACE BY ZERO.
028700*
028800     IF  MTCC-MBU917-END-X IS EQUAL TO SPACES
028900         MOVE MTCC-MBU917-BEG-X  TO MTCC-MBU917-END-X
029000     END-IF.
029100*
029200     INSPECT MTCC-MBU917-END-X   REPLACING ALL SPACE BY ZERO.
029300*
029400     MOVE MTCC-MBU917-BEG-ORG    TO WS-BEG-ORG.
029500     MOVE MTCC-MBU917-BEG-CHAIN  TO WS-BEG-CHAIN.
029600*
029700     MOVE MTCC-MBU917-END-ORG    TO WS-END-ORG.
029800     MOVE MTCC-MBU917-END-CHAIN  TO WS-END-CHAIN.
029900*
030000     IF  WS-BACKUP
030100         GO TO A350-READ-NEXT-MBMF
030200     END-IF.
030300*
030400     MOVE WS-MMRD-BEG-KEY        TO MMRDIO-KEY.
030500*
030600     MOVE 'S1RD'                 TO SS02WS-ABEND-LOCATION.
030700     SET  MMRDRB-START-GTE       TO TRUE.
030800     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
030900*
031000     IF  SS02WS-FS-NO-RECORD-FOUND
031100         GO TO A500-CONTROL-CARD-ERROR
031200     END-IF.
031300*
031400 A350-READ-NEXT.
031500*
031600     MOVE 'R2MM'                 TO SS02WS-ABEND-LOCATION.
031700     SET  MMRDRB-READ-SEQ        TO TRUE.
031800     PERFORM MB00PD-MMRD-ACCESS  THRU MB00PD-MMRD-ACCESS-EXIT.
031900*
032000     IF  SS02WS-FS-END-OF-FILE
032100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032200             GO TO A200-PROGRAM-CONTROL
032300         ELSE
032400             PERFORM MB21PD-PRINT-A-PAGE
032500                                 THRU MB21PD-PAP-EXIT
032600             GO TO A200-PROGRAM-CONTROL.
032700*
032800     IF  MMRDIO-ORG-CHAIN IS GREATER THAN WS-MMRD-END-KEY
032900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
033000             GO TO A200-PROGRAM-CONTROL
033100         ELSE
033200             PERFORM MB21PD-PRINT-A-PAGE
033300                                 THRU MB21PD-PAP-EXIT
033400             GO TO A200-PROGRAM-CONTROL.
033500*
033600     IF  MMRDIO-HEADER
033700     OR  MMRDIO-TRAILER
033800         GO TO A350-READ-NEXT.
033900*
034000     MOVE MMRDIO-RECORD          TO MMRD-RECORD.
034100*
034200     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
034300     GO TO A350-READ-NEXT.
034400*
034500 A350-READ-NEXT-MBMF.
034600*
034700     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034800     SET  MBMFRB-READ-SEQ        TO TRUE.
034900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
035000*
035100     IF  SS02WS-FS-NO-RECORD-FOUND
035200         GO TO A500-CONTROL-CARD-ERROR
035300     END-IF.
035400*
035500     IF  SS02WS-FS-END-OF-FILE
035600         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035700             GO TO A200-PROGRAM-CONTROL
035800         ELSE
035900             PERFORM MB21PD-PRINT-A-PAGE
036000                                 THRU MB21PD-PAP-EXIT
036100             GO TO A200-PROGRAM-CONTROL.
036200*
036300     IF  MBMFIO-FILE-IS-MMRD
036400         CONTINUE
036500     ELSE
036600         GO TO A350-READ-NEXT-MBMF
036700     END-IF.
036800*
036900     MOVE MBMFIO-VAR-DATA        TO MMRD-RECORD.
037000*
037100     IF  MMRD-KEY IS LESS THAN WS-MMRD-BEG-KEY
037200         GO TO A350-READ-NEXT-MBMF
037300     END-IF.
037400*
037500     IF  MMRD-ORG-CHAIN IS GREATER THAN WS-MMRD-END-KEY
037600         PERFORM MB21PD-PRINT-A-PAGE
037700                                 THRU MB21PD-PAP-EXIT
037800         GO TO A200-PROGRAM-CONTROL
037900     END-IF.
038000*
038100     IF  MMRD-ORG IS EQUAL TO 999
038200         GO TO A350-READ-NEXT-MBMF.
038300*
038400     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038500     GO TO A350-READ-NEXT-MBMF.
038600*
038700 A400-CHECK-READ-SWITCH.
038800*
038900     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
039000         MOVE '*** NO CONTROL CARDS ***'
039100                                 TO MB21WS-PP-COL44 (5 1)
039200         PERFORM MB21PD-PRINT-A-PAGE
039300                                 THRU MB21PD-PAP-EXIT.
039400*
039500     GO TO A600-CLOSE-FILES.
039600*
039700 A500-CONTROL-CARD-ERROR.
039800*
039900     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
040000     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
040100     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
040200     MOVE SPACE                  TO MB21WS-PP-LINE (4).
040300     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
040400     GO TO A200-PROGRAM-CONTROL.
040500*
040600 A600-CLOSE-FILES.
040700*
040800     EVALUATE TRUE
040900         WHEN  WS-BACKUP
041000             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
041100             SET MBMFRB-CLOSE    TO TRUE
041200             PERFORM MB00PD-MBMF-ACCESS
041300                                 THRU MB00PD-MBMF-ACCESS-EXIT
041400         WHEN  WS-MASTER
041500             MOVE 'C1RD'         TO SS02WS-ABEND-LOCATION
041600             SET MMRDRB-CLOSE    TO TRUE
041700             PERFORM MB00PD-MMRD-ACCESS
041800                                 THRU MB00PD-MMRD-ACCESS-EXIT
041900         WHEN  OTHER
042000             CONTINUE
042100     END-EVALUATE.
042200*
042300     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042400     SET MTCCRB-CLOSE            TO TRUE.
042500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042600*
042700     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042800     SET MMSCRB-CLOSE            TO TRUE.
042900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
043000*
043100     PERFORM MB20PD-CLOSE-PRINT-FILES
043200                                 THRU MB20PD-CPF-EXIT.
043300*
043400     STOP RUN.
043500/
043600 B100-PRT-BEGIN.
043700*
043800     MOVE '**- MERCHANT RELATIONSHIP DETAIL (MMRD) --**'
043900                                 TO MB21WS-PRINT-WORK-AREA.
044000     PERFORM MB21PD-INSERT-A-COLUMN
044100                                 THRU MB21PD-IAC-EXIT.
044200*
044300     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
044400     MOVE 'ORG'                  TO MB21WS-NAME.
044500     MOVE MMRD-ORG               TO MB21WS-3V0.
044600     PERFORM MB21PD-INSERT-A-COLUMN
044700                                 THRU MB21PD-IAC-EXIT.
044800*
044900     MOVE 'CHAIN'                TO MB21WS-NAME.
045000     MOVE MMRD-CHAIN             TO MB21WS-9V0.
045100     PERFORM MB21PD-INSERT-A-COLUMN
045200                                 THRU MB21PD-IAC-EXIT.
045300*
045400     MOVE 'SEQUENCE NBR'         TO MB21WS-NAME.
045500     MOVE MMRD-SEQ-NBR           TO MB21WS-5V0.
045600     PERFORM MB21PD-INSERT-A-COLUMN
045700                                 THRU MB21PD-IAC-EXIT.
045800*
045900     MOVE 'REC-STATUS'           TO MB21WS-NAME.
046000     MOVE MMRD-REC-STATUS        TO MB21WS-1V0.
046100     PERFORM MB21PD-INSERT-A-COLUMN
046200                                 THRU MB21PD-IAC-EXIT.
046300*
046400     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
046500     MOVE MMRD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
046700     MOVE MMRD-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046800     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
046900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
047000     PERFORM MB21PD-INSERT-A-COLUMN
047100                                 THRU MB21PD-IAC-EXIT.
047200*
047300     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
047400     MOVE MMRD-LAST-MAINT-OPER   TO MB21WS-3X.
047500     PERFORM MB21PD-INSERT-A-COLUMN
047600                                 THRU MB21PD-IAC-EXIT 2 TIMES.
047700*
047800     MOVE 'NBR OF MEMBERS'       TO MB21WS-NAME.
047900     MOVE MMRD-NBR-OF-MEMBERS    TO MB21WS-3V0.
048000     PERFORM MB21PD-INSERT-A-COLUMN
048100                                 THRU MB21PD-IAC-EXIT 2 TIMES.
048200*
048300     MOVE '*----------- MEMBER TABLE AREA ------------*'
048400                                 TO MB21WS-PRINT-WORK-AREA.
048500     PERFORM MB21PD-INSERT-A-COLUMN
048600                                 THRU MB21PD-IAC-EXIT.
048700*
048800     PERFORM
048900         VARYING X-MMRD-MEMBER FROM +1 BY +1
049000         UNTIL   X-MMRD-MEMBER IS GREATER THAN +800
049100         SET WS-MEMBER-TABLE-LINE-NBR
049200                                 TO X-MMRD-MEMBER
049300         MOVE WS-MEMBER-TABLE-LINES
049400                                 TO MB21WS-DATA-NAME
049500         MOVE MMRD-MEMBER (X-MMRD-MEMBER)
049600                                 TO MB21WS-9V0
049700         PERFORM MB21PD-INSERT-A-COLUMN
049800                                 THRU MB21PD-IAC-EXIT
049900     END-PERFORM.
050000*
050100     PERFORM MB21PD-INSERT-A-COLUMN
050200                                 THRU MB21PD-IAC-EXIT.
050300*
050400 B999-PRT-EXIT.
050500     EXIT.
050600*
050700 B200-PRINT-HEADER.
050800*
050900     MOVE 'HEADER RECORD (MMRD-)'
051000                                 TO MB21WS-NAME.
051100     PERFORM MB21PD-INSERT-A-COLUMN
051200                                 THRU MB21PD-IAC-EXIT.
051300*
051400     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
051500     MOVE 'ORG'                  TO MB21WS-NAME.
051600     MOVE MMRDIO-ORG             TO MB21WS-3V0.
051700     PERFORM MB21PD-INSERT-A-COLUMN
051800                                 THRU MB21PD-IAC-EXIT.
051900*
052000     MOVE 'CHAIN NBR'            TO MB21WS-NAME.
052100     MOVE MMRDIO-CHAIN           TO MB21WS-9V0.
052200     PERFORM MB21PD-INSERT-A-COLUMN
052300                                 THRU MB21PD-IAC-EXIT.
052400*
052500     MOVE 'SEQUENCE NBR'         TO MB21WS-NAME.
052600     MOVE MMRDIO-SEQ-NBR         TO MB21WS-5V0.
052700     PERFORM MB21PD-INSERT-A-COLUMN
052800                                 THRU MB21PD-IAC-EXIT.
052900*
053000     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
053100     MOVE MMRDIO-DATE-STAMP      TO SS01WS-JULIAN.
053200     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
053300     MOVE MMRDIO-DATE-STAMP      TO MB21WS-JULIAN.
053400     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
053500     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
053600     PERFORM MB21PD-INSERT-A-COLUMN
053700                                 THRU MB21PD-IAC-EXIT.
053800*
053900     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
054000     MOVE MMRDIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
054100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
054200                                 THRU SS27PD-NET-EXIT.
054300     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
054400     PERFORM MB21PD-INSERT-A-COLUMN
054500                                 THRU MB21PD-IAC-EXIT.
054600*
054700     PERFORM MB21PD-PRINT-A-PAGE
054800                                 THRU MB21PD-PAP-EXIT.
054900*
055000 B200-PH-EXIT.
055100     EXIT.
055200/
055300* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055400*                          COMMON ROUTINES                      *
055500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055600*
055700     COPY SS02PD.
055800/
055900     COPY SS08PD.
056000/
056100     COPY SS16PD.
056200/
056300     COPY SS26PD.
056400/
056500     COPY SS27PD.
056600/
056700     COPY MB20PD.
056800/
056900     COPY MB21PD.
057000/
057100     COPY MB99PD.
057200/
057300     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
057400/
057500     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
057600/
057700     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
057800/
057900     COPY MB00PD REPLACING ==:MB00:== BY ==MMRD==.
