000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU918.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU918 - RATE TABLES FILE DISPLAY (MMRT)                *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMRT==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMRTRL.
003700/
003800     COPY MMRTWS.
003900/
004000     COPY MBMFRL.
004100/
004200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004300/
004400     COPY MMSCIO.
004500/
004600     COPY MMRTIO.
004700/
004800     COPY MBMFIO.
004900/
005000     COPY MB00WS.
005100/
005200     COPY MB20WS.
005300/
005400     COPY MB21WS.
005500/
005600     COPY MB99WS.
005700/
005800     COPY SS00WS.
005900/
006000     COPY SS01WS.
006100/
006200     COPY SS02WS.
006300/
006400 01  WS-WORK-AREAS.
006500     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU918'.
006600     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006700*
006800     03  WS-MMRT-BEG-KEY.
006900         05  WS-MMRT-BEG-ORG-TABLE.
007000             07  WS-MMRT-BEG-ORG
007100                             PIC  9(03)      VALUE ZEROES.
007200             07  WS-MMRT-BEG-TABLE
007300                             PIC  9(09)      VALUE ZEROES.
007400         05  WS-MMRT-BEG-TYPE
007500                             PIC  X(01)      VALUE SPACES.
007600*
007700     03  WS-MMRT-END-KEY.
007800         05  WS-MMRT-END-ORG-TABLE.
007900             07  WS-MMRT-END-ORG
008000                             PIC  9(03)      VALUE ZEROES.
008100             07  WS-MMRT-END-TABLE
008200                             PIC  9(09)      VALUE ZEROES.
008300         05  WS-MMRT-END-TYPE
008400                             PIC  X(01)      VALUE 'Z'.
008500*
008600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
008700         88  WS-BACKUP                       VALUE 'BACKUP'.
008800         88  WS-MASTER                       VALUE 'MASTER'.
008900*
009000     03  WS-PRIMARY-RATE-AREA.
009100         05  WS-PRIMARY-RATE-LIT-X.
009200             07  FILLER      PIC  X(44)      VALUE
009300                 '*---  PRIMARY RATE DATA (OCCUR 01)  ---*    '.
009400             07  FILLER      PIC  X(44)      VALUE
009500                 '*---  PRIMARY RATE DATA (OCCUR 02)  ---*    '.
009600             07  FILLER      PIC  X(44)      VALUE
009700                 '*---  PRIMARY RATE DATA (OCCUR 03)  ---*    '.
009800             07  FILLER      PIC  X(44)      VALUE
009900                 '*---  PRIMARY RATE DATA (OCCUR 04)  ---*    '.
010000             07  FILLER      PIC  X(44)      VALUE
010100                 '*---  PRIMARY RATE DATA (OCCUR 05)  ---*    '.
010200             07  FILLER      PIC  X(44)      VALUE
010300                 '*---  PRIMARY RATE DATA (OCCUR 06)  ---*    '.
010400             07  FILLER      PIC  X(44)      VALUE
010500                 '*---  PRIMARY RATE DATA (OCCUR 07)  ---*    '.
010600             07  FILLER      PIC  X(44)      VALUE
010700                 '*---  PRIMARY RATE DATA (OCCUR 08)  ---*    '.
010800             07  FILLER      PIC  X(44)      VALUE
010900                 '*---  PRIMARY RATE DATA (OCCUR 09)  ---*    '.
011000             07  FILLER      PIC  X(44)      VALUE
011100                 '*---  PRIMARY RATE DATA (OCCUR 10)  ---*    '.
011200         05  WS-PRIMARY-RATE-LIT-R
011300                             REDEFINES WS-PRIMARY-RATE-LIT-X.
011400             07  WS-PRIM-RATE-LIT
011500                             PIC  X(44)      OCCURS 10 TIMES
011600                                             INDEXED BY
011700                                             WS-PRIM-RATE-INDEX.
011800*
011900     03  WS-EXCEPTION-AREA.
012000         05  WS-EXCEPTION-LIT-X.
012100             07  FILLER      PIC  X(23)      VALUE
012200                 'EXCEPTION-PRIORITY (01)'.
012300             07  FILLER      PIC  X(23)      VALUE
012400                 'EXCEPTION-PRIORITY (02)'.
012500             07  FILLER      PIC  X(23)      VALUE
012600                 'EXCEPTION-PRIORITY (03)'.
012700             07  FILLER      PIC  X(23)      VALUE
012800                 'EXCEPTION-PRIORITY (04)'.
012900             07  FILLER      PIC  X(23)      VALUE
013000                 'EXCEPTION-PRIORITY (05)'.
013100             07  FILLER      PIC  X(23)      VALUE
013200                 'EXCEPTION-PRIORITY (06)'.
013300             07  FILLER      PIC  X(23)      VALUE
013400                 'EXCEPTION-PRIORITY (07)'.
013500         05  WS-EXCEPTION-LIT-R
013600                             REDEFINES WS-EXCEPTION-LIT-X.
013700             07  WS-EXCEPTION-LIT
013800                             PIC  X(23)      OCCURS 7 TIMES
013900                                             INDEXED BY
014000                                             WS-EXCEPT-INDEX.
014100*
014200     03  WS-AVG-TKT-VOL-AREA.
014300         05  WS-AVG-TKT-VOL-LIT-X.
014400             07  FILLER      PIC  X(44)      VALUE
014500                 '*--  AVERAGE TICKET VOL (OCCUR 01)  ---*    '.
014600             07  FILLER      PIC  X(44)      VALUE
014700                 '*--  AVERAGE TICKET VOL (OCCUR 02)  ---*    '.
014800             07  FILLER      PIC  X(44)      VALUE
014900                 '*--  AVERAGE TICKET VOL (OCCUR 03)  ---*    '.
015000             07  FILLER      PIC  X(44)      VALUE
015100                 '*--  AVERAGE TICKET VOL (OCCUR 04)  ---*    '.
015200             07  FILLER      PIC  X(44)      VALUE
015300                 '*--  AVERAGE TICKET VOL (OCCUR 05)  ---*    '.
015400             07  FILLER      PIC  X(44)      VALUE
015500                 '*--  AVERAGE TICKET VOL (OCCUR 06)  ---*    '.
015600             07  FILLER      PIC  X(44)      VALUE
015700                 '*--  AVERAGE TICKET VOL (OCCUR 07)  ---*    '.
015800             07  FILLER      PIC  X(44)      VALUE
015900                 '*--  AVERAGE TICKET VOL (OCCUR 08)  ---*    '.
016000             07  FILLER      PIC  X(44)      VALUE
016100                 '*--  AVERAGE TICKET VOL (OCCUR 09)  ---*    '.
016200             07  FILLER      PIC  X(44)      VALUE
016300                 '*--  AVERAGE TICKET VOL (OCCUR 10)  ---*    '.
016400         05  WS-AVG-TKT-VOL-LIT-R
016500                             REDEFINES WS-AVG-TKT-VOL-LIT-X.
016600             07  WS-AVG-TKT-LIT
016700                             PIC  X(44)      OCCURS 10 TIMES
016800                                             INDEXED BY
016900                                             WS-AVG-TKT-INDEX.
017000*
017100     03  WS-SINGLE-TKT-AREA.
017200         05  WS-SINGLE-TKT-LIT-X.
017300             07  FILLER      PIC  X(44)      VALUE
017400                 '*--  SINGLE TICKET DATA (OCCUR 01)  ---*    '.
017500             07  FILLER      PIC  X(44)      VALUE
017600                 '*--  SINGLE TICKET DATA (OCCUR 02)  ---*    '.
017700             07  FILLER      PIC  X(44)      VALUE
017800                 '*--  SINGLE TICKET DATA (OCCUR 03)  ---*    '.
017900             07  FILLER      PIC  X(44)      VALUE
018000                 '*--  SINGLE TICKET DATA (OCCUR 04)  ---*    '.
018100             07  FILLER      PIC  X(44)      VALUE
018200                 '*--  SINGLE TICKET DATA (OCCUR 05)  ---*    '.
018300             07  FILLER      PIC  X(44)      VALUE
018400                 '*--  SINGLE TICKET DATA (OCCUR 06)  ---*    '.
018500             07  FILLER      PIC  X(44)      VALUE
018600                 '*--  SINGLE TICKET DATA (OCCUR 07)  ---*    '.
018700             07  FILLER      PIC  X(44)      VALUE
018800                 '*--  SINGLE TICKET DATA (OCCUR 08)  ---*    '.
018900             07  FILLER      PIC  X(44)      VALUE
019000                 '*--  SINGLE TICKET DATA (OCCUR 09)  ---*    '.
019100             07  FILLER      PIC  X(44)      VALUE
019200                 '*--  SINGLE TICKET DATA (OCCUR 10)  ---*    '.
019300         05  WS-SINGLE-TKT-LIT-R
019400                             REDEFINES WS-SINGLE-TKT-LIT-X.
019500             07  WS-SINGLE-TKT-LIT
019600                             PIC  X(44)      OCCURS 10 TIMES
019700                                             INDEXED BY
019800                                             WS-SINGLE-INDEX.
019900*
020000     03  WS-STATE-AREA.
020100         05  WS-STATE-LIT-X.
020200             07  FILLER      PIC  X(44)      VALUE
020300                 '*------  STATE DATA (OCCUR 01)  -------*    '.
020400             07  FILLER      PIC  X(44)      VALUE
020500                 '*------  STATE DATA (OCCUR 02)  -------*    '.
020600             07  FILLER      PIC  X(44)      VALUE
020700                 '*------  STATE DATA (OCCUR 03)  -------*    '.
020800             07  FILLER      PIC  X(44)      VALUE
020900                 '*------  STATE DATA (OCCUR 04)  -------*    '.
021000             07  FILLER      PIC  X(44)      VALUE
021100                 '*------  STATE DATA (OCCUR 05)  -------*    '.
021200             07  FILLER      PIC  X(44)      VALUE
021300                 '*------  STATE DATA (OCCUR 06)  -------*    '.
021400             07  FILLER      PIC  X(44)      VALUE
021500                 '*------  STATE DATA (OCCUR 07)  -------*    '.
021600             07  FILLER      PIC  X(44)      VALUE
021700                 '*------  STATE DATA (OCCUR 08)  -------*    '.
021800             07  FILLER      PIC  X(44)      VALUE
021900                 '*------  STATE DATA (OCCUR 09)  -------*    '.
022000             07  FILLER      PIC  X(44)      VALUE
022100                 '*------  STATE DATA (OCCUR 10)  -------*    '.
022200             07  FILLER      PIC  X(44)      VALUE
022300                 '*------  STATE DATA (OCCUR 11)  -------*    '.
022400             07  FILLER      PIC  X(44)      VALUE
022500                 '*------  STATE DATA (OCCUR 12)  -------*    '.
022600             07  FILLER      PIC  X(44)      VALUE
022700                 '*------  STATE DATA (OCCUR 13)  -------*    '.
022800             07  FILLER      PIC  X(44)      VALUE
022900                 '*------  STATE DATA (OCCUR 14)  -------*    '.
023000             07  FILLER      PIC  X(44)      VALUE
023100                 '*------  STATE DATA (OCCUR 15)  -------*    '.
023200             07  FILLER      PIC  X(44)      VALUE
023300                 '*------  STATE DATA (OCCUR 16)  -------*    '.
023400             07  FILLER      PIC  X(44)      VALUE
023500                 '*------  STATE DATA (OCCUR 17)  -------*    '.
023600             07  FILLER      PIC  X(44)      VALUE
023700                 '*------  STATE DATA (OCCUR 18)  -------*    '.
023800             07  FILLER      PIC  X(44)      VALUE
023900                 '*------  STATE DATA (OCCUR 19)  -------*    '.
024000             07  FILLER      PIC  X(44)      VALUE
024100                 '*------  STATE DATA (OCCUR 20)  -------*    '.
024200             07  FILLER      PIC  X(44)      VALUE
024300                 '*------  STATE DATA (OCCUR 21)  -------*    '.
024400             07  FILLER      PIC  X(44)      VALUE
024500                 '*------  STATE DATA (OCCUR 22)  -------*    '.
024600             07  FILLER      PIC  X(44)      VALUE
024700                 '*------  STATE DATA (OCCUR 23)  -------*    '.
024800             07  FILLER      PIC  X(44)      VALUE
024900                 '*------  STATE DATA (OCCUR 24)  -------*    '.
025000             07  FILLER      PIC  X(44)      VALUE
025100                 '*------  STATE DATA (OCCUR 25)  -------*    '.
025200             07  FILLER      PIC  X(44)      VALUE
025300                 '*------  STATE DATA (OCCUR 26)  -------*    '.
025400             07  FILLER      PIC  X(44)      VALUE
025500                 '*------  STATE DATA (OCCUR 27)  -------*    '.
025600             07  FILLER      PIC  X(44)      VALUE
025700                 '*------  STATE DATA (OCCUR 28)  -------*    '.
025800             07  FILLER      PIC  X(44)      VALUE
025900                 '*------  STATE DATA (OCCUR 29)  -------*    '.
026000             07  FILLER      PIC  X(44)      VALUE
026100                 '*------  STATE DATA (OCCUR 30)  -------*    '.
026200             07  FILLER      PIC  X(44)      VALUE
026300                 '*------  STATE DATA (OCCUR 31)  -------*    '.
026400             07  FILLER      PIC  X(44)      VALUE
026500                 '*------  STATE DATA (OCCUR 32)  -------*    '.
026600             07  FILLER      PIC  X(44)      VALUE
026700                 '*------  STATE DATA (OCCUR 33)  -------*    '.
026800             07  FILLER      PIC  X(44)      VALUE
026900                 '*------  STATE DATA (OCCUR 34)  -------*    '.
027000             07  FILLER      PIC  X(44)      VALUE
027100                 '*------  STATE DATA (OCCUR 35)  -------*    '.
027200             07  FILLER      PIC  X(44)      VALUE
027300                 '*------  STATE DATA (OCCUR 36)  -------*    '.
027400             07  FILLER      PIC  X(44)      VALUE
027500                 '*------  STATE DATA (OCCUR 37)  -------*    '.
027600             07  FILLER      PIC  X(44)      VALUE
027700                 '*------  STATE DATA (OCCUR 38)  -------*    '.
027800             07  FILLER      PIC  X(44)      VALUE
027900                 '*------  STATE DATA (OCCUR 39)  -------*    '.
028000             07  FILLER      PIC  X(44)      VALUE
028100                 '*------  STATE DATA (OCCUR 40)  -------*    '.
028200             07  FILLER      PIC  X(44)      VALUE
028300                 '*------  STATE DATA (OCCUR 41)  -------*    '.
028400             07  FILLER      PIC  X(44)      VALUE
028500                 '*------  STATE DATA (OCCUR 42)  -------*    '.
028600             07  FILLER      PIC  X(44)      VALUE
028700                 '*------  STATE DATA (OCCUR 43)  -------*    '.
028800             07  FILLER      PIC  X(44)      VALUE
028900                 '*------  STATE DATA (OCCUR 44)  -------*    '.
029000             07  FILLER      PIC  X(44)      VALUE
029100                 '*------  STATE DATA (OCCUR 45)  -------*    '.
029200             07  FILLER      PIC  X(44)      VALUE
029300                 '*------  STATE DATA (OCCUR 46)  -------*    '.
029400             07  FILLER      PIC  X(44)      VALUE
029500                 '*------  STATE DATA (OCCUR 47)  -------*    '.
029600             07  FILLER      PIC  X(44)      VALUE
029700                 '*------  STATE DATA (OCCUR 48)  -------*    '.
029800             07  FILLER      PIC  X(44)      VALUE
029900                 '*------  STATE DATA (OCCUR 49)  -------*    '.
030000             07  FILLER      PIC  X(44)      VALUE
030100                 '*------  STATE DATA (OCCUR 50)  -------*    '.
030200             07  FILLER      PIC  X(44)      VALUE
030300                 '*------  STATE DATA (OCCUR 51)  -------*    '.
030400             07  FILLER      PIC  X(44)      VALUE
030500                 '*------  STATE DATA (OCCUR 52)  -------*    '.
030600             07  FILLER      PIC  X(44)      VALUE
030700                 '*------  STATE DATA (OCCUR 53)  -------*    '.
030800             07  FILLER      PIC  X(44)      VALUE
030900                 '*------  STATE DATA (OCCUR 54)  -------*    '.
031000             07  FILLER      PIC  X(44)      VALUE
031100                 '*------  STATE DATA (OCCUR 55)  -------*    '.
031200             07  FILLER      PIC  X(44)      VALUE
031300                 '*------  STATE DATA (OCCUR 56)  -------*    '.
031400         05  WS-STATE-LIT-R
031500                             REDEFINES WS-STATE-LIT-X.
031600             07  WS-STATE-LIT
031700                             PIC  X(44)      OCCURS 56 TIMES
031800                                             INDEXED BY
031900                                             WS-STATE-INDEX.
032000*
032100     03  WS-PLAN-AREA.
032200         05  WS-PLAN-LIT-X.
032300             07  FILLER      PIC  X(44)      VALUE
032400                 '*-----  SINGLE PLANS (OCCUR 01)  ------*    '.
032500             07  FILLER      PIC  X(44)      VALUE
032600                 '*-----  PLAN RANGES  (OCCUR 01)  ------*    '.
032700             07  FILLER      PIC  X(44)      VALUE
032800                 '*-----  SINGLE PLANS (OCCUR 02)  ------*    '.
032900             07  FILLER      PIC  X(44)      VALUE
033000                 '*-----  PLAN RANGES  (OCCUR 02)  ------*    '.
033100             07  FILLER      PIC  X(44)      VALUE
033200                 '*-----  SINGLE PLANS (OCCUR 03)  ------*    '.
033300             07  FILLER      PIC  X(44)      VALUE
033400                 '*-----  PLAN RANGES  (OCCUR 03)  ------*    '.
033500             07  FILLER      PIC  X(44)      VALUE
033600                 '*-----  SINGLE PLANS (OCCUR 04)  ------*    '.
033700             07  FILLER      PIC  X(44)      VALUE
033800                 '*-----  PLAN RANGES  (OCCUR 04)  ------*    '.
033900             07  FILLER      PIC  X(44)      VALUE
034000                 '*-----  SINGLE PLANS (OCCUR 05)  ------*    '.
034100             07  FILLER      PIC  X(44)      VALUE
034200                 '*-----  PLAN RANGES  (OCCUR 05)  ------*    '.
034300             07  FILLER      PIC  X(44)      VALUE
034400                 '*-----  SINGLE PLANS (OCCUR 06)  ------*    '.
034500             07  FILLER      PIC  X(44)      VALUE
034600                 '*-----  PLAN RANGES  (OCCUR 06)  ------*    '.
034700             07  FILLER      PIC  X(44)      VALUE
034800                 '*-----  SINGLE PLANS (OCCUR 07)  ------*    '.
034900             07  FILLER      PIC  X(44)      VALUE
035000                 '*-----  PLAN RANGES  (OCCUR 07)  ------*    '.
035100             07  FILLER      PIC  X(44)      VALUE
035200                 '*-----  SINGLE PLANS (OCCUR 08)  ------*    '.
035300             07  FILLER      PIC  X(44)      VALUE
035400                 '*-----  PLAN RANGES  (OCCUR 08)  ------*    '.
035500             07  FILLER      PIC  X(44)      VALUE
035600                 '*-----  SINGLE PLANS (OCCUR 09)  ------*    '.
035700             07  FILLER      PIC  X(44)      VALUE
035800                 '*-----  PLAN RANGES  (OCCUR 09)  ------*    '.
035900             07  FILLER      PIC  X(44)      VALUE
036000                 '*-----  SINGLE PLANS (OCCUR 10)  ------*    '.
036100             07  FILLER      PIC  X(44)      VALUE
036200                 '*-----  PLAN RANGES  (OCCUR 10)  ------*    '.
036300             07  FILLER      PIC  X(44)      VALUE
036400                 '*-----  SINGLE PLANS (OCCUR 11)  ------*    '.
036500             07  FILLER      PIC  X(44)      VALUE
036600                 '*-----  PLAN RANGES  (OCCUR 11)  ------*    '.
036700             07  FILLER      PIC  X(44)      VALUE
036800                 '*-----  SINGLE PLANS (OCCUR 12)  ------*    '.
036900             07  FILLER      PIC  X(44)      VALUE
037000                 '*-----  PLAN RANGES  (OCCUR 12)  ------*    '.
037100             07  FILLER      PIC  X(44)      VALUE
037200                 '*-----  SINGLE PLANS (OCCUR 13)  ------*    '.
037300             07  FILLER      PIC  X(44)      VALUE
037400                 '*-----  PLAN RANGES  (OCCUR 13)  ------*    '.
037500             07  FILLER      PIC  X(44)      VALUE
037600                 '*-----  SINGLE PLANS (OCCUR 14)  ------*    '.
037700             07  FILLER      PIC  X(44)      VALUE
037800                 '*-----  PLAN RANGES  (OCCUR 14)  ------*    '.
037900             07  FILLER      PIC  X(44)      VALUE
038000                 '*-----  SINGLE PLANS (OCCUR 15)  ------*    '.
038100             07  FILLER      PIC  X(44)      VALUE
038200                 '*-----  PLAN RANGES  (OCCUR 15)  ------*    '.
038300             07  FILLER      PIC  X(44)      VALUE
038400                 '*-----  SINGLE PLANS (OCCUR 16)  ------*    '.
038500             07  FILLER      PIC  X(44)      VALUE
038600                 '*-----  PLAN RANGES  (OCCUR 16)  ------*    '.
038700             07  FILLER      PIC  X(44)      VALUE
038800                 '*-----  SINGLE PLANS (OCCUR 17)  ------*    '.
038900             07  FILLER      PIC  X(44)      VALUE
039000                 '*-----  PLAN RANGES  (OCCUR 17)  ------*    '.
039100             07  FILLER      PIC  X(44)      VALUE
039200                 '*-----  SINGLE PLANS (OCCUR 18)  ------*    '.
039300             07  FILLER      PIC  X(44)      VALUE
039400                 '*-----  PLAN RANGES  (OCCUR 18)  ------*    '.
039500             07  FILLER      PIC  X(44)      VALUE
039600                 '*-----  SINGLE PLANS (OCCUR 19)  ------*    '.
039700             07  FILLER      PIC  X(44)      VALUE
039800                 '*-----  PLAN RANGES  (OCCUR 19)  ------*    '.
039900             07  FILLER      PIC  X(44)      VALUE
040000                 '*-----  SINGLE PLANS (OCCUR 20)  ------*    '.
040100             07  FILLER      PIC  X(44)      VALUE
040200                 '*-----  PLAN RANGES  (OCCUR 20)  ------*    '.
040300             07  FILLER      PIC  X(44)      VALUE
040400                 '*-----  SINGLE PLANS (OCCUR 21)  ------*    '.
040500             07  FILLER      PIC  X(44)      VALUE
040600                 '*-----  PLAN RANGES  (OCCUR 21)  ------*    '.
040700             07  FILLER      PIC  X(44)      VALUE
040800                 '*-----  SINGLE PLANS (OCCUR 22)  ------*    '.
040900             07  FILLER      PIC  X(44)      VALUE
041000                 '*-----  PLAN RANGES  (OCCUR 22)  ------*    '.
041100             07  FILLER      PIC  X(44)      VALUE
041200                 '*-----  SINGLE PLANS (OCCUR 23)  ------*    '.
041300             07  FILLER      PIC  X(44)      VALUE
041400                 '*-----  PLAN RANGES  (OCCUR 23)  ------*    '.
041500             07  FILLER      PIC  X(44)      VALUE
041600                 '*-----  SINGLE PLANS (OCCUR 24)  ------*    '.
041700             07  FILLER      PIC  X(44)      VALUE
041800                 '*-----  PLAN RANGES  (OCCUR 24)  ------*    '.
041900             07  FILLER      PIC  X(44)      VALUE
042000                 '*-----  SINGLE PLANS (OCCUR 25)  ------*    '.
042100             07  FILLER      PIC  X(44)      VALUE
042200                 '*-----  PLAN RANGES  (OCCUR 25)  ------*    '.
042300             07  FILLER      PIC  X(44)      VALUE
042400                 '*-----  SINGLE PLANS (OCCUR 26)  ------*    '.
042500             07  FILLER      PIC  X(44)      VALUE
042600                 '*-----  PLAN RANGES  (OCCUR 26)  ------*    '.
042700             07  FILLER      PIC  X(44)      VALUE
042800                 '*-----  SINGLE PLANS (OCCUR 27)  ------*    '.
042900             07  FILLER      PIC  X(44)      VALUE
043000                 '*-----  PLAN RANGES  (OCCUR 27)  ------*    '.
043100             07  FILLER      PIC  X(44)      VALUE
043200                 '*-----  SINGLE PLANS (OCCUR 28)  ------*    '.
043300             07  FILLER      PIC  X(44)      VALUE
043400                 '*-----  PLAN RANGES  (OCCUR 28)  ------*    '.
043500             07  FILLER      PIC  X(44)      VALUE
043600                 '*-----  SINGLE PLANS (OCCUR 29)  ------*    '.
043700             07  FILLER      PIC  X(44)      VALUE
043800                 '*-----  PLAN RANGES  (OCCUR 29)  ------*    '.
043900             07  FILLER      PIC  X(44)      VALUE
044000                 '*-----  SINGLE PLANS (OCCUR 30)  ------*    '.
044100             07  FILLER      PIC  X(44)      VALUE
044200                 '*-----  PLAN RANGES  (OCCUR 30)  ------*    '.
044300             07  FILLER      PIC  X(44)      VALUE
044400                 '*-----  SINGLE PLANS (OCCUR 31)  ------*    '.
044500             07  FILLER      PIC  X(44)      VALUE
044600                 '*-----  PLAN RANGES  (OCCUR 31)  ------*    '.
044700             07  FILLER      PIC  X(44)      VALUE
044800                 '*-----  SINGLE PLANS (OCCUR 32)  ------*    '.
044900             07  FILLER      PIC  X(44)      VALUE
045000                 '*-----  PLAN RANGES  (OCCUR 32)  ------*    '.
045100             07  FILLER      PIC  X(44)      VALUE
045200                 '*-----  SINGLE PLANS (OCCUR 33)  ------*    '.
045300             07  FILLER      PIC  X(44)      VALUE
045400                 '*-----  PLAN RANGES  (OCCUR 33)  ------*    '.
045500             07  FILLER      PIC  X(44)      VALUE
045600                 '*-----  SINGLE PLANS (OCCUR 34)  ------*    '.
045700             07  FILLER      PIC  X(44)      VALUE
045800                 '*-----  PLAN RANGES  (OCCUR 34)  ------*    '.
045900             07  FILLER      PIC  X(44)      VALUE
046000                 '*-----  SINGLE PLANS (OCCUR 35)  ------*    '.
046100             07  FILLER      PIC  X(44)      VALUE
046200                 '*-----  PLAN RANGES  (OCCUR 35)  ------*    '.
046300             07  FILLER      PIC  X(44)      VALUE
046400                 '*-----  SINGLE PLANS (OCCUR 36)  ------*    '.
046500             07  FILLER      PIC  X(44)      VALUE
046600                 '*-----  PLAN RANGES  (OCCUR 36)  ------*    '.
046700             07  FILLER      PIC  X(44)      VALUE
046800                 '*-----  SINGLE PLANS (OCCUR 37)  ------*    '.
046900             07  FILLER      PIC  X(44)      VALUE
047000                 '*-----  PLAN RANGES  (OCCUR 37)  ------*    '.
047100             07  FILLER      PIC  X(44)      VALUE
047200                 '*-----  SINGLE PLANS (OCCUR 38)  ------*    '.
047300             07  FILLER      PIC  X(44)      VALUE
047400                 '*-----  PLAN RANGES  (OCCUR 38)  ------*    '.
047500             07  FILLER      PIC  X(44)      VALUE
047600                 '*-----  SINGLE PLANS (OCCUR 39)  ------*    '.
047700             07  FILLER      PIC  X(44)      VALUE
047800                 '*-----  PLAN RANGES  (OCCUR 39)  ------*    '.
047900             07  FILLER      PIC  X(44)      VALUE
048000                 '*-----  SINGLE PLANS (OCCUR 40)  ------*    '.
048100             07  FILLER      PIC  X(44)      VALUE
048200                 '*-----  PLAN RANGES  (OCCUR 40)  ------*    '.
048300             07  FILLER      PIC  X(44)      VALUE
048400                 '*-----  SINGLE PLANS (OCCUR 41)  ------*    '.
048500             07  FILLER      PIC  X(44)      VALUE
048600                 '*-----  PLAN RANGES  (OCCUR 41)  ------*    '.
048700             07  FILLER      PIC  X(44)      VALUE
048800                 '*-----  SINGLE PLANS (OCCUR 42)  ------*    '.
048900             07  FILLER      PIC  X(44)      VALUE
049000                 '*-----  PLAN RANGES  (OCCUR 42)  ------*    '.
049100             07  FILLER      PIC  X(44)      VALUE
049200                 '*-----  SINGLE PLANS (OCCUR 43)  ------*    '.
049300             07  FILLER      PIC  X(44)      VALUE
049400                 '*-----  PLAN RANGES  (OCCUR 43)  ------*    '.
049500             07  FILLER      PIC  X(44)      VALUE
049600                 '*-----  SINGLE PLANS (OCCUR 44)  ------*    '.
049700             07  FILLER      PIC  X(44)      VALUE
049800                 '*-----  PLAN RANGES  (OCCUR 44)  ------*    '.
049900             07  FILLER      PIC  X(44)      VALUE
050000                 '*-----  SINGLE PLANS (OCCUR 45)  ------*    '.
050100             07  FILLER      PIC  X(44)      VALUE
050200                 '*-----  PLAN RANGES  (OCCUR 45)  ------*    '.
050300             07  FILLER      PIC  X(44)      VALUE
050400                 '*-----  SINGLE PLANS (OCCUR 46)  ------*    '.
050500             07  FILLER      PIC  X(44)      VALUE
050600                 '*-----  PLAN RANGES  (OCCUR 46)  ------*    '.
050700             07  FILLER      PIC  X(44)      VALUE
050800                 '*-----  SINGLE PLANS (OCCUR 47)  ------*    '.
050900             07  FILLER      PIC  X(44)      VALUE
051000                 '*-----  PLAN RANGES  (OCCUR 47)  ------*    '.
051100             07  FILLER      PIC  X(44)      VALUE
051200                 '*-----  SINGLE PLANS (OCCUR 48)  ------*    '.
051300             07  FILLER      PIC  X(44)      VALUE
051400                 '*-----  PLAN RANGES  (OCCUR 48)  ------*    '.
051500             07  FILLER      PIC  X(44)      VALUE
051600                 '*-----  SINGLE PLANS (OCCUR 49)  ------*    '.
051700             07  FILLER      PIC  X(44)      VALUE
051800                 '*-----  PLAN RANGES  (OCCUR 49)  ------*    '.
051900             07  FILLER      PIC  X(44)      VALUE
052000                 '*-----  SINGLE PLANS (OCCUR 50)  ------*    '.
052100             07  FILLER      PIC  X(44)      VALUE
052200                 '*-----  PLAN RANGES  (OCCUR 50)  ------*    '.
052300             07  FILLER      PIC  X(44)      VALUE
052400                 '*-----  SINGLE PLANS (OCCUR 51)  ------*    '.
052500             07  FILLER      PIC  X(44)      VALUE
052600                 '*-----  PLAN RANGES  (OCCUR 51)  ------*    '.
052700             07  FILLER      PIC  X(44)      VALUE
052800                 '*-----  SINGLE PLANS (OCCUR 52)  ------*    '.
052900             07  FILLER      PIC  X(44)      VALUE
053000                 '*-----  PLAN RANGES  (OCCUR 52)  ------*    '.
053100             07  FILLER      PIC  X(44)      VALUE
053200                 '*-----  SINGLE PLANS (OCCUR 53)  ------*    '.
053300             07  FILLER      PIC  X(44)      VALUE
053400                 '*-----  PLAN RANGES  (OCCUR 53)  ------*    '.
053500             07  FILLER      PIC  X(44)      VALUE
053600                 '*-----  SINGLE PLANS (OCCUR 54)  ------*    '.
053700             07  FILLER      PIC  X(44)      VALUE
053800                 '*-----  PLAN RANGES  (OCCUR 54)  ------*    '.
053900             07  FILLER      PIC  X(44)      VALUE
054000                 '*-----  SINGLE PLANS (OCCUR 55)  ------*    '.
054100             07  FILLER      PIC  X(44)      VALUE
054200                 '*-----  PLAN RANGES  (OCCUR 55)  ------*    '.
054300             07  FILLER      PIC  X(44)      VALUE
054400                 '*-----  SINGLE PLANS (OCCUR 56)  ------*    '.
054500             07  FILLER      PIC  X(44)      VALUE
054600                 '*-----  PLAN RANGES  (OCCUR 56)  ------*    '.
054700         05  WS-PLAN-LIT-R   REDEFINES WS-PLAN-LIT-X.
054800             07  WS-PLAN-LIT                 OCCURS 56 TIMES
054900                                             INDEXED BY
055000                                             WS-PLAN-INDEX.
055100                 09  WS-PLAN-S-LIT
055200                                 PIC  X(44).
055300                 09  WS-PLAN-R-LIT
055400                                 PIC  X(44).
055500*
055600     03  WS-SKU-DATA-AREA.
055700         05  WS-SKU-DATA-LIT-X.
055800             07  FILLER      PIC  X(44)      VALUE
055900                 '*-------  SKU DATA (OCCUR 01)  --------*    '.
056000             07  FILLER      PIC  X(44)      VALUE
056100                 '*-------  SKU DATA (OCCUR 02)  --------*    '.
056200             07  FILLER      PIC  X(44)      VALUE
056300                 '*-------  SKU DATA (OCCUR 03)  --------*    '.
056400             07  FILLER      PIC  X(44)      VALUE
056500                 '*-------  SKU DATA (OCCUR 04)  --------*    '.
056600             07  FILLER      PIC  X(44)      VALUE
056700                 '*-------  SKU DATA (OCCUR 05)  --------*    '.
056800             07  FILLER      PIC  X(44)      VALUE
056900                 '*-------  SKU DATA (OCCUR 06)  --------*    '.
057000             07  FILLER      PIC  X(44)      VALUE
057100                 '*-------  SKU DATA (OCCUR 07)  --------*    '.
057200             07  FILLER      PIC  X(44)      VALUE
057300                 '*-------  SKU DATA (OCCUR 08)  --------*    '.
057400             07  FILLER      PIC  X(44)      VALUE
057500                 '*-------  SKU DATA (OCCUR 09)  --------*    '.
057600             07  FILLER      PIC  X(44)      VALUE
057700                 '*-------  SKU DATA (OCCUR 10)  --------*    '.
057800             07  FILLER      PIC  X(44)      VALUE
057900                 '*-------  SKU DATA (OCCUR 11)  --------*    '.
058000             07  FILLER      PIC  X(44)      VALUE
058100                 '*-------  SKU DATA (OCCUR 12)  --------*    '.
058200             07  FILLER      PIC  X(44)      VALUE
058300                 '*-------  SKU DATA (OCCUR 13)  --------*    '.
058400             07  FILLER      PIC  X(44)      VALUE
058500                 '*-------  SKU DATA (OCCUR 14)  --------*    '.
058600             07  FILLER      PIC  X(44)      VALUE
058700                 '*-------  SKU DATA (OCCUR 15)  --------*    '.
058800             07  FILLER      PIC  X(44)      VALUE
058900                 '*-------  SKU DATA (OCCUR 16)  --------*    '.
059000             07  FILLER      PIC  X(44)      VALUE
059100                 '*-------  SKU DATA (OCCUR 17)  --------*    '.
059200             07  FILLER      PIC  X(44)      VALUE
059300                 '*-------  SKU DATA (OCCUR 18)  --------*    '.
059400             07  FILLER      PIC  X(44)      VALUE
059500                 '*-------  SKU DATA (OCCUR 19)  --------*    '.
059600             07  FILLER      PIC  X(44)      VALUE
059700                 '*-------  SKU DATA (OCCUR 20)  --------*    '.
059800             07  FILLER      PIC  X(44)      VALUE
059900                 '*-------  SKU DATA (OCCUR 21)  --------*    '.
060000             07  FILLER      PIC  X(44)      VALUE
060100                 '*-------  SKU DATA (OCCUR 22)  --------*    '.
060200             07  FILLER      PIC  X(44)      VALUE
060300                 '*-------  SKU DATA (OCCUR 23)  --------*    '.
060400             07  FILLER      PIC  X(44)      VALUE
060500                 '*-------  SKU DATA (OCCUR 24)  --------*    '.
060600             07  FILLER      PIC  X(44)      VALUE
060700                 '*-------  SKU DATA (OCCUR 25)  --------*    '.
060800             07  FILLER      PIC  X(44)      VALUE
060900                 '*-------  SKU DATA (OCCUR 26)  --------*    '.
061000             07  FILLER      PIC  X(44)      VALUE
061100                 '*-------  SKU DATA (OCCUR 27)  --------*    '.
061200             07  FILLER      PIC  X(44)      VALUE
061300                 '*-------  SKU DATA (OCCUR 28)  --------*    '.
061400             07  FILLER      PIC  X(44)      VALUE
061500                 '*-------  SKU DATA (OCCUR 29)  --------*    '.
061600             07  FILLER      PIC  X(44)      VALUE
061700                 '*-------  SKU DATA (OCCUR 30)  --------*    '.
061800             07  FILLER      PIC  X(44)      VALUE
061900                 '*-------  SKU DATA (OCCUR 31)  --------*    '.
062000             07  FILLER      PIC  X(44)      VALUE
062100                 '*-------  SKU DATA (OCCUR 32)  --------*    '.
062200             07  FILLER      PIC  X(44)      VALUE
062300                 '*-------  SKU DATA (OCCUR 33)  --------*    '.
062400             07  FILLER      PIC  X(44)      VALUE
062500                 '*-------  SKU DATA (OCCUR 34)  --------*    '.
062600             07  FILLER      PIC  X(44)      VALUE
062700                 '*-------  SKU DATA (OCCUR 35)  --------*    '.
062800             07  FILLER      PIC  X(44)      VALUE
062900                 '*-------  SKU DATA (OCCUR 36)  --------*    '.
063000             07  FILLER      PIC  X(44)      VALUE
063100                 '*-------  SKU DATA (OCCUR 37)  --------*    '.
063200             07  FILLER      PIC  X(44)      VALUE
063300                 '*-------  SKU DATA (OCCUR 38)  --------*    '.
063400             07  FILLER      PIC  X(44)      VALUE
063500                 '*-------  SKU DATA (OCCUR 39)  --------*    '.
063600             07  FILLER      PIC  X(44)      VALUE
063700                 '*-------  SKU DATA (OCCUR 40)  --------*    '.
063800             07  FILLER      PIC  X(44)      VALUE
063900                 '*-------  SKU DATA (OCCUR 41)  --------*    '.
064000             07  FILLER      PIC  X(44)      VALUE
064100                 '*-------  SKU DATA (OCCUR 42)  --------*    '.
064200             07  FILLER      PIC  X(44)      VALUE
064300                 '*-------  SKU DATA (OCCUR 43)  --------*    '.
064400             07  FILLER      PIC  X(44)      VALUE
064500                 '*-------  SKU DATA (OCCUR 44)  --------*    '.
064600             07  FILLER      PIC  X(44)      VALUE
064700                 '*-------  SKU DATA (OCCUR 45)  --------*    '.
064800             07  FILLER      PIC  X(44)      VALUE
064900                 '*-------  SKU DATA (OCCUR 46)  --------*    '.
065000             07  FILLER      PIC  X(44)      VALUE
065100                 '*-------  SKU DATA (OCCUR 47)  --------*    '.
065200             07  FILLER      PIC  X(44)      VALUE
065300                 '*-------  SKU DATA (OCCUR 48)  --------*    '.
065400             07  FILLER      PIC  X(44)      VALUE
065500                 '*-------  SKU DATA (OCCUR 49)  --------*    '.
065600             07  FILLER      PIC  X(44)      VALUE
065700                 '*-------  SKU DATA (OCCUR 50)  --------*    '.
065800             07  FILLER      PIC  X(44)      VALUE
065900                 '*-------  SKU DATA (OCCUR 51)  --------*    '.
066000             07  FILLER      PIC  X(44)      VALUE
066100                 '*-------  SKU DATA (OCCUR 52)  --------*    '.
066200             07  FILLER      PIC  X(44)      VALUE
066300                 '*-------  SKU DATA (OCCUR 53)  --------*    '.
066400             07  FILLER      PIC  X(44)      VALUE
066500                 '*-------  SKU DATA (OCCUR 54)  --------*    '.
066600             07  FILLER      PIC  X(44)      VALUE
066700                 '*-------  SKU DATA (OCCUR 55)  --------*    '.
066800             07  FILLER      PIC  X(44)      VALUE
066900                 '*-------  SKU DATA (OCCUR 56)  --------*    '.
067000         05  WS-SKU-DATA-LIT-R
067100                             REDEFINES WS-SKU-DATA-LIT-X.
067200             07  WS-SKU-LIT  PIC  X(44)      OCCURS 56 TIMES
067300                                             INDEXED BY
067400                                             WS-SKU-INDEX.
067500*
067600     03  WS-DEPT-DATA-AREA.
067700         05  WS-DEPT-DATA-LIT-X.
067800             07  FILLER      PIC  X(44)      VALUE
067900                 '*------  DEPT DATA (OCCUR 01)  --------*    '.
068000             07  FILLER      PIC  X(44)      VALUE
068100                 '*------  DEPT DATA (OCCUR 02)  --------*    '.
068200             07  FILLER      PIC  X(44)      VALUE
068300                 '*------  DEPT DATA (OCCUR 03)  --------*    '.
068400             07  FILLER      PIC  X(44)      VALUE
068500                 '*------  DEPT DATA (OCCUR 04)  --------*    '.
068600             07  FILLER      PIC  X(44)      VALUE
068700                 '*------  DEPT DATA (OCCUR 05)  --------*    '.
068800             07  FILLER      PIC  X(44)      VALUE
068900                 '*------  DEPT DATA (OCCUR 06)  --------*    '.
069000             07  FILLER      PIC  X(44)      VALUE
069100                 '*------  DEPT DATA (OCCUR 07)  --------*    '.
069200             07  FILLER      PIC  X(44)      VALUE
069300                 '*------  DEPT DATA (OCCUR 08)  --------*    '.
069400             07  FILLER      PIC  X(44)      VALUE
069500                 '*------  DEPT DATA (OCCUR 09)  --------*    '.
069600             07  FILLER      PIC  X(44)      VALUE
069700                 '*------  DEPT DATA (OCCUR 10)  --------*    '.
069800             07  FILLER      PIC  X(44)      VALUE
069900                 '*------  DEPT DATA (OCCUR 11)  --------*    '.
070000             07  FILLER      PIC  X(44)      VALUE
070100                 '*------  DEPT DATA (OCCUR 12)  --------*    '.
070200             07  FILLER      PIC  X(44)      VALUE
070300                 '*------  DEPT DATA (OCCUR 13)  --------*    '.
070400             07  FILLER      PIC  X(44)      VALUE
070500                 '*------  DEPT DATA (OCCUR 14)  --------*    '.
070600             07  FILLER      PIC  X(44)      VALUE
070700                 '*------  DEPT DATA (OCCUR 15)  --------*    '.
070800             07  FILLER      PIC  X(44)      VALUE
070900                 '*------  DEPT DATA (OCCUR 16)  --------*    '.
071000             07  FILLER      PIC  X(44)      VALUE
071100                 '*------  DEPT DATA (OCCUR 17)  --------*    '.
071200             07  FILLER      PIC  X(44)      VALUE
071300                 '*------  DEPT DATA (OCCUR 18)  --------*    '.
071400             07  FILLER      PIC  X(44)      VALUE
071500                 '*------  DEPT DATA (OCCUR 19)  --------*    '.
071600             07  FILLER      PIC  X(44)      VALUE
071700                 '*------  DEPT DATA (OCCUR 20)  --------*    '.
071800             07  FILLER      PIC  X(44)      VALUE
071900                 '*------  DEPT DATA (OCCUR 21)  --------*    '.
072000             07  FILLER      PIC  X(44)      VALUE
072100                 '*------  DEPT DATA (OCCUR 22)  --------*    '.
072200             07  FILLER      PIC  X(44)      VALUE
072300                 '*------  DEPT DATA (OCCUR 23)  --------*    '.
072400             07  FILLER      PIC  X(44)      VALUE
072500                 '*------  DEPT DATA (OCCUR 24)  --------*    '.
072600             07  FILLER      PIC  X(44)      VALUE
072700                 '*------  DEPT DATA (OCCUR 25)  --------*    '.
072800             07  FILLER      PIC  X(44)      VALUE
072900                 '*------  DEPT DATA (OCCUR 26)  --------*    '.
073000             07  FILLER      PIC  X(44)      VALUE
073100                 '*------  DEPT DATA (OCCUR 27)  --------*    '.
073200             07  FILLER      PIC  X(44)      VALUE
073300                 '*------  DEPT DATA (OCCUR 28)  --------*    '.
073400             07  FILLER      PIC  X(44)      VALUE
073500                 '*------  DEPT DATA (OCCUR 29)  --------*    '.
073600             07  FILLER      PIC  X(44)      VALUE
073700                 '*------  DEPT DATA (OCCUR 30)  --------*    '.
073800             07  FILLER      PIC  X(44)      VALUE
073900                 '*------  DEPT DATA (OCCUR 31)  --------*    '.
074000             07  FILLER      PIC  X(44)      VALUE
074100                 '*------  DEPT DATA (OCCUR 32)  --------*    '.
074200             07  FILLER      PIC  X(44)      VALUE
074300                 '*------  DEPT DATA (OCCUR 33)  --------*    '.
074400             07  FILLER      PIC  X(44)      VALUE
074500                 '*------  DEPT DATA (OCCUR 34)  --------*    '.
074600             07  FILLER      PIC  X(44)      VALUE
074700                 '*------  DEPT DATA (OCCUR 35)  --------*    '.
074800             07  FILLER      PIC  X(44)      VALUE
074900                 '*------  DEPT DATA (OCCUR 36)  --------*    '.
075000             07  FILLER      PIC  X(44)      VALUE
075100                 '*------  DEPT DATA (OCCUR 37)  --------*    '.
075200             07  FILLER      PIC  X(44)      VALUE
075300                 '*------  DEPT DATA (OCCUR 38)  --------*    '.
075400             07  FILLER      PIC  X(44)      VALUE
075500                 '*------  DEPT DATA (OCCUR 39)  --------*    '.
075600             07  FILLER      PIC  X(44)      VALUE
075700                 '*------  DEPT DATA (OCCUR 40)  --------*    '.
075800             07  FILLER      PIC  X(44)      VALUE
075900                 '*------  DEPT DATA (OCCUR 41)  --------*    '.
076000             07  FILLER      PIC  X(44)      VALUE
076100                 '*------  DEPT DATA (OCCUR 42)  --------*    '.
076200             07  FILLER      PIC  X(44)      VALUE
076300                 '*------  DEPT DATA (OCCUR 43)  --------*    '.
076400             07  FILLER      PIC  X(44)      VALUE
076500                 '*------  DEPT DATA (OCCUR 44)  --------*    '.
076600             07  FILLER      PIC  X(44)      VALUE
076700                 '*------  DEPT DATA (OCCUR 45)  --------*    '.
076800             07  FILLER      PIC  X(44)      VALUE
076900                 '*------  DEPT DATA (OCCUR 46)  --------*    '.
077000             07  FILLER      PIC  X(44)      VALUE
077100                 '*------  DEPT DATA (OCCUR 47)  --------*    '.
077200             07  FILLER      PIC  X(44)      VALUE
077300                 '*------  DEPT DATA (OCCUR 48)  --------*    '.
077400             07  FILLER      PIC  X(44)      VALUE
077500                 '*------  DEPT DATA (OCCUR 49)  --------*    '.
077600             07  FILLER      PIC  X(44)      VALUE
077700                 '*------  DEPT DATA (OCCUR 50)  --------*    '.
077800             07  FILLER      PIC  X(44)      VALUE
077900                 '*------  DEPT DATA (OCCUR 51)  --------*    '.
078000             07  FILLER      PIC  X(44)      VALUE
078100                 '*------  DEPT DATA (OCCUR 52)  --------*    '.
078200             07  FILLER      PIC  X(44)      VALUE
078300                 '*------  DEPT DATA (OCCUR 53)  --------*    '.
078400             07  FILLER      PIC  X(44)      VALUE
078500                 '*------  DEPT DATA (OCCUR 54)  --------*    '.
078600             07  FILLER      PIC  X(44)      VALUE
078700                 '*------  DEPT DATA (OCCUR 55)  --------*    '.
078800             07  FILLER      PIC  X(44)      VALUE
078900                 '*------  DEPT DATA (OCCUR 56)  --------*    '.
079000         05  WS-DEPT-DATA-LIT-R
079100                             REDEFINES WS-DEPT-DATA-LIT-X.
079200             07  WS-DEPT-LIT PIC  X(44)      OCCURS 56 TIMES
079300                                             INDEXED BY
079400                                             WS-DEPT-INDEX.
079500*
079600     03  WS-LOGO-DATA-AREA.
079700         05  WS-LOGO-DATA-LIT-X.
079800             07  FILLER      PIC  X(44)      VALUE
079900                 '*------  LOGO DATA (OCCUR 01)  --------*    '.
080000             07  FILLER      PIC  X(44)      VALUE
080100                 '*------  LOGO DATA (OCCUR 02)  --------*    '.
080200             07  FILLER      PIC  X(44)      VALUE
080300                 '*------  LOGO DATA (OCCUR 03)  --------*    '.
080400             07  FILLER      PIC  X(44)      VALUE
080500                 '*------  LOGO DATA (OCCUR 04)  --------*    '.
080600             07  FILLER      PIC  X(44)      VALUE
080700                 '*------  LOGO DATA (OCCUR 05)  --------*    '.
080800             07  FILLER      PIC  X(44)      VALUE
080900                 '*------  LOGO DATA (OCCUR 06)  --------*    '.
081000             07  FILLER      PIC  X(44)      VALUE
081100                 '*------  LOGO DATA (OCCUR 07)  --------*    '.
081200             07  FILLER      PIC  X(44)      VALUE
081300                 '*------  LOGO DATA (OCCUR 08)  --------*    '.
081400             07  FILLER      PIC  X(44)      VALUE
081500                 '*------  LOGO DATA (OCCUR 09)  --------*    '.
081600             07  FILLER      PIC  X(44)      VALUE
081700                 '*------  LOGO DATA (OCCUR 10)  --------*    '.
081800             07  FILLER      PIC  X(44)      VALUE
081900                 '*------  LOGO DATA (OCCUR 11)  --------*    '.
082000             07  FILLER      PIC  X(44)      VALUE
082100                 '*------  LOGO DATA (OCCUR 12)  --------*    '.
082200             07  FILLER      PIC  X(44)      VALUE
082300                 '*------  LOGO DATA (OCCUR 13)  --------*    '.
082400             07  FILLER      PIC  X(44)      VALUE
082500                 '*------  LOGO DATA (OCCUR 14)  --------*    '.
082600             07  FILLER      PIC  X(44)      VALUE
082700                 '*------  LOGO DATA (OCCUR 15)  --------*    '.
082800             07  FILLER      PIC  X(44)      VALUE
082900                 '*------  LOGO DATA (OCCUR 16)  --------*    '.
083000             07  FILLER      PIC  X(44)      VALUE
083100                 '*------  LOGO DATA (OCCUR 17)  --------*    '.
083200             07  FILLER      PIC  X(44)      VALUE
083300                 '*------  LOGO DATA (OCCUR 18)  --------*    '.
083400             07  FILLER      PIC  X(44)      VALUE
083500                 '*------  LOGO DATA (OCCUR 19)  --------*    '.
083600             07  FILLER      PIC  X(44)      VALUE
083700                 '*------  LOGO DATA (OCCUR 20)  --------*    '.
083800             07  FILLER      PIC  X(44)      VALUE
083900                 '*------  LOGO DATA (OCCUR 21)  --------*    '.
084000             07  FILLER      PIC  X(44)      VALUE
084100                 '*------  LOGO DATA (OCCUR 22)  --------*    '.
084200             07  FILLER      PIC  X(44)      VALUE
084300                 '*------  LOGO DATA (OCCUR 23)  --------*    '.
084400             07  FILLER      PIC  X(44)      VALUE
084500                 '*------  LOGO DATA (OCCUR 24)  --------*    '.
084600             07  FILLER      PIC  X(44)      VALUE
084700                 '*------  LOGO DATA (OCCUR 25)  --------*    '.
084800             07  FILLER      PIC  X(44)      VALUE
084900                 '*------  LOGO DATA (OCCUR 26)  --------*    '.
085000             07  FILLER      PIC  X(44)      VALUE
085100                 '*------  LOGO DATA (OCCUR 27)  --------*    '.
085200             07  FILLER      PIC  X(44)      VALUE
085300                 '*------  LOGO DATA (OCCUR 28)  --------*    '.
085400             07  FILLER      PIC  X(44)      VALUE
085500                 '*------  LOGO DATA (OCCUR 29)  --------*    '.
085600             07  FILLER      PIC  X(44)      VALUE
085700                 '*------  LOGO DATA (OCCUR 30)  --------*    '.
085800             07  FILLER      PIC  X(44)      VALUE
085900                 '*------  LOGO DATA (OCCUR 31)  --------*    '.
086000             07  FILLER      PIC  X(44)      VALUE
086100                 '*------  LOGO DATA (OCCUR 32)  --------*    '.
086200             07  FILLER      PIC  X(44)      VALUE
086300                 '*------  LOGO DATA (OCCUR 33)  --------*    '.
086400             07  FILLER      PIC  X(44)      VALUE
086500                 '*------  LOGO DATA (OCCUR 34)  --------*    '.
086600             07  FILLER      PIC  X(44)      VALUE
086700                 '*------  LOGO DATA (OCCUR 35)  --------*    '.
086800             07  FILLER      PIC  X(44)      VALUE
086900                 '*------  LOGO DATA (OCCUR 36)  --------*    '.
087000             07  FILLER      PIC  X(44)      VALUE
087100                 '*------  LOGO DATA (OCCUR 37)  --------*    '.
087200             07  FILLER      PIC  X(44)      VALUE
087300                 '*------  LOGO DATA (OCCUR 38)  --------*    '.
087400             07  FILLER      PIC  X(44)      VALUE
087500                 '*------  LOGO DATA (OCCUR 39)  --------*    '.
087600             07  FILLER      PIC  X(44)      VALUE
087700                 '*------  LOGO DATA (OCCUR 40)  --------*    '.
087800             07  FILLER      PIC  X(44)      VALUE
087900                 '*------  LOGO DATA (OCCUR 41)  --------*    '.
088000             07  FILLER      PIC  X(44)      VALUE
088100                 '*------  LOGO DATA (OCCUR 42)  --------*    '.
088200             07  FILLER      PIC  X(44)      VALUE
088300                 '*------  LOGO DATA (OCCUR 43)  --------*    '.
088400             07  FILLER      PIC  X(44)      VALUE
088500                 '*------  LOGO DATA (OCCUR 44)  --------*    '.
088600             07  FILLER      PIC  X(44)      VALUE
088700                 '*------  LOGO DATA (OCCUR 45)  --------*    '.
088800             07  FILLER      PIC  X(44)      VALUE
088900                 '*------  LOGO DATA (OCCUR 46)  --------*    '.
089000             07  FILLER      PIC  X(44)      VALUE
089100                 '*------  LOGO DATA (OCCUR 47)  --------*    '.
089200             07  FILLER      PIC  X(44)      VALUE
089300                 '*------  LOGO DATA (OCCUR 48)  --------*    '.
089400             07  FILLER      PIC  X(44)      VALUE
089500                 '*------  LOGO DATA (OCCUR 49)  --------*    '.
089600             07  FILLER      PIC  X(44)      VALUE
089700                 '*------  LOGO DATA (OCCUR 50)  --------*    '.
089800             07  FILLER      PIC  X(44)      VALUE
089900                 '*------  LOGO DATA (OCCUR 51)  --------*    '.
090000             07  FILLER      PIC  X(44)      VALUE
090100                 '*------  LOGO DATA (OCCUR 52)  --------*    '.
090200             07  FILLER      PIC  X(44)      VALUE
090300                 '*------  LOGO DATA (OCCUR 53)  --------*    '.
090400             07  FILLER      PIC  X(44)      VALUE
090500                 '*------  LOGO DATA (OCCUR 54)  --------*    '.
090600             07  FILLER      PIC  X(44)      VALUE
090700                 '*------  LOGO DATA (OCCUR 55)  --------*    '.
090800             07  FILLER      PIC  X(44)      VALUE
090900                 '*------  LOGO DATA (OCCUR 56)  --------*    '.
091000         05  WS-LOGO-DATA-LIT-R
091100                             REDEFINES WS-LOGO-DATA-LIT-X.
091200             07  WS-LOGO-LIT PIC  X(44)      OCCURS 56 TIMES
091300                                             INDEXED BY
091400                                             WS-LOGO-INDEX.
091500*
091600 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
091700/
091800 PROCEDURE DIVISION.
091900*
092000 A000-DRIVER.
092100*
092200     MOVE 'MBU918'               TO SS02WS-ABEND-PROG-ID
092300                                    MBU999WS-PROGRAM-ID.
092400*
092500     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
092600*
092700     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
092800     MOVE 'T918'                 TO MB20WS-SH-INTERNAL-RPT-ID.
092900     MOVE '   RATE TABLES FILE DISPLAY   '
093000                                 TO MB20WS-SH-RPT-NAME.
093100     MOVE SPACES                 TO MB20WS-SH-LIT-1
093200                                    MB20WS-SH-LIT-5
093300                                    MB20WS-SH-L4
093400                                    MB20WS-SH-L5
093500                                    MB20WS-SH-L6.
093600     PERFORM MB21PD-PAP-RESET-INDEXES
093700                                 THRU MB21PD-PAP-EXIT.
093800*
093900 A100-OPEN-FILES.
094000*
094100     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
094200     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
094300     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
094400     SET MTCCRB-OPEN-INPUT       TO TRUE.
094500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
094600*
094700     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
094800     SET MMSCRB-OPEN-INPUT       TO TRUE.
094900     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
095000*
095100     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
095200     SET  MMSCRB-READ-SEQ        TO TRUE.
095300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
095400     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
095500*
095600     IF  MMSCIO-HEADER
095700         NEXT SENTENCE
095800     ELSE
095900         PERFORM MB99PD-MISSING-HEADER-ABEND
096000            THRU MB99PD-MHA-EXIT.
096100*
096200     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
096300*
096310     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
096400     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
096500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
096600     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
096700     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
096800     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
096900                                 THRU SS27PD-NET-EXIT.
097000     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
097100*
097200     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
097300     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
097400     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
097500     MOVE 99                     TO MB20WS-LINE-LIMIT.
097600     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
097700     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
097900*
098000     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
098100     SET MTCCRB-READ-SEQ         TO TRUE.
098200     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
098300*
098400     IF  SS02WS-FS-END-OF-FILE
098500         GO TO A400-CHECK-READ-SWITCH
098600     END-IF.
098700*
098800     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
098900         GO TO A200-PROGRAM-CONTROL
099000     END-IF.
099100*
099200     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
099300*
099400     IF  MTCC-MBU9XX-BACKUP
099500         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
099600         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
099700         SET MBMFRB-OPEN-INPUT   TO TRUE
099800         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
099900         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
100000         SET MBMFRB-READ-SEQ     TO TRUE
100100         MOVE SS02WS-NO-RECORD-FOUND
100200                                 TO MBMFRB-PERM-STATUS-3
100300         MOVE SS02WS-END-OF-FILE
100400                                 TO MBMFRB-PERM-STATUS-4
100500         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
100600     ELSE
100700         MOVE 'O1RT'             TO SS02WS-ABEND-LOCATION
100800         SET MMRTRB-OPEN-INPUT   TO TRUE
100900         PERFORM MB00PD-MMRT-ACCESS THRU MB00PD-MMRT-ACCESS-EXIT
101000         MOVE 'R1RT'             TO SS02WS-ABEND-LOCATION
101100         SET MMRTRB-READ-SEQ     TO TRUE
101200         MOVE SS02WS-NO-RECORD-FOUND
101300                                 TO MMRTRB-PERM-STATUS-3
101400         MOVE SS02WS-END-OF-FILE
101500                                 TO MMRTRB-PERM-STATUS-4
101600         PERFORM MB00PD-MMRT-ACCESS THRU MB00PD-MMRT-ACCESS-EXIT
101700         GO TO A130-PRINT-HR-RECORD
101800     END-IF.
101900*
102000     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
102100*
102200     IF  MBMFIO-FILE-IS-HEADER
102300         NEXT SENTENCE
102400     ELSE
102500         PERFORM MB99PD-MISSING-HEADER-ABEND
102600            THRU MB99PD-MHA-EXIT.
102700*
102800     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
102900*
103000     SET X-MBMF-FILE             TO 1.
103100*
103200 A110-SEARCH-HEADER-TABLE-LOOP.
103300*
103400     IF  X-MBMF-FILE IS GREATER THAN 75
103500         MOVE 'MMRT'             TO MB99WS-FILE-ID
103600         PERFORM MB99PD-NOT-ON-BACKUP
103700            THRU MB99PD-NOB-EXIT.
103800*
103900     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'RT'
104000         CONTINUE
104100     ELSE
104200         SET X-MBMF-FILE         UP BY 1
104300         GO TO A110-SEARCH-HEADER-TABLE-LOOP
104400     END-IF.
104500*
104600 A120-READ-MBMF-LOOP.
104700*
104800     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
104900     SET MBMFRB-READ-SEQ         TO TRUE.
105000     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
105100*
105200     IF  SS02WS-FS-END-OF-FILE
105300         GO TO A200-PROGRAM-CONTROL
105400     END-IF.
105500*
105600     IF  MBMFIO-FILE-IS-MMRT
105700         CONTINUE
105800     ELSE
105900         GO TO A120-READ-MBMF-LOOP
106000     END-IF.
106100*
106200 A130-PRINT-HR-RECORD.
106300*
106400     IF  WS-BACKUP
106500         MOVE MBMFIO-VAR-DATA    TO MMRTIO-RECORD
106600     END-IF.
106700*
106800     MOVE 'MMRT'                 TO MB99WS-FILE-ID.
106900*
107000     IF  MMRTIO-HEADER
107100         PERFORM B200-PRINT-HEADER
107200                                 THRU B200-PH-EXIT
107300     ELSE
107400         PERFORM MB99PD-MISSING-HEADER-ABEND
107500            THRU MB99PD-MHA-EXIT.
107600*
107700     MOVE MMRTIO-RECORD          TO MMRT-RECORD.
107800*
107900 A200-PROGRAM-CONTROL.
108000*
108100     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
108200         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
108300     ELSE
108400         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
108500             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
108600             GO TO A210-PC-BY-FIRST-READ.
108700*
108800     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
108900     SET MTCCRB-READ-SEQ         TO TRUE.
109000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
109100*
109200     IF  SS02WS-FS-END-OF-FILE
109300         GO TO A400-CHECK-READ-SWITCH
109400     END-IF.
109500*
109600 A210-PC-BY-FIRST-READ.
109700*
109800     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
109900         GO TO A200-PROGRAM-CONTROL
110000     END-IF.
110100*
110200     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
110300*
110400 A300-RANGE-CARD.
110500*
110600     MOVE 'Y'                    TO WS-CARD-READ-SW.
110700     INSPECT MTCC-MBU918-BEG-X   REPLACING ALL SPACE BY ZERO.
110800*
110900     IF  MTCC-MBU918-END-X IS EQUAL TO SPACES
111000         MOVE MTCC-MBU918-BEG-X  TO MTCC-MBU918-END-X
111100     END-IF.
111200*
111300     INSPECT MTCC-MBU918-END-X   REPLACING ALL SPACE BY ZERO.
111400*
111500     MOVE MTCC-MBU918-BEG-X      TO WS-MMRT-BEG-ORG-TABLE.
111600*
111700     MOVE MTCC-MBU918-END-X      TO WS-MMRT-END-ORG-TABLE.
111800*
111900     IF  WS-BACKUP
112000         GO TO A350-READ-NEXT-MBMF
112100     END-IF.
112200*
112300     MOVE WS-MMRT-BEG-KEY        TO MMRTIO-KEY.
112400*
112500     MOVE 'S1RT'                 TO SS02WS-ABEND-LOCATION.
112600     SET  MMRTRB-START-GTE       TO TRUE.
112700     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
112800*
112900     IF  SS02WS-FS-NO-RECORD-FOUND
113000         GO TO A500-CONTROL-CARD-ERROR
113100     END-IF.
113200*
113300 A350-READ-NEXT.
113400*
113500     MOVE 'R2RT'                 TO SS02WS-ABEND-LOCATION.
113600     SET  MMRTRB-READ-SEQ        TO TRUE.
113700     PERFORM MB00PD-MMRT-ACCESS  THRU MB00PD-MMRT-ACCESS-EXIT.
113800*
113900     IF  SS02WS-FS-END-OF-FILE
114000         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
114100             GO TO A200-PROGRAM-CONTROL
114200         ELSE
114300             PERFORM MB21PD-PRINT-A-PAGE
114400                                 THRU MB21PD-PAP-EXIT
114500             GO TO A200-PROGRAM-CONTROL.
114600*
114700     IF  MMRTIO-KEY IS GREATER THAN WS-MMRT-END-KEY
114800         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
114900             GO TO A200-PROGRAM-CONTROL
115000         ELSE
115100             PERFORM MB21PD-PRINT-A-PAGE
115200                                 THRU MB21PD-PAP-EXIT
115300             GO TO A200-PROGRAM-CONTROL.
115400*
115500     IF  MMRTIO-HEADER
115600     OR  MMRTIO-TRAILER
115700         GO TO A350-READ-NEXT.
115800*
115900     MOVE MMRTIO-RECORD          TO MMRT-RECORD.
116000*
116100     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
116200     GO TO A350-READ-NEXT.
116300*
116400 A350-READ-NEXT-MBMF.
116500*
116600     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
116700     SET  MBMFRB-READ-SEQ        TO TRUE.
116800     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
116900*
117000     IF  SS02WS-FS-NO-RECORD-FOUND
117100         GO TO A500-CONTROL-CARD-ERROR
117200     END-IF.
117300*
117400     IF  SS02WS-FS-END-OF-FILE
117500         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
117600             GO TO A200-PROGRAM-CONTROL
117700         ELSE
117800             PERFORM MB21PD-PRINT-A-PAGE
117900                                 THRU MB21PD-PAP-EXIT
118000             GO TO A200-PROGRAM-CONTROL.
118100*
118200     IF  MBMFIO-FILE-IS-MMRT
118300         CONTINUE
118400     ELSE
118500         GO TO A350-READ-NEXT-MBMF
118600     END-IF.
118700*
118800     MOVE MBMFIO-VAR-DATA        TO MMRT-RECORD.
118900*
119000     IF  MMRT-KEY IS LESS THAN WS-MMRT-BEG-KEY
119100         GO TO A350-READ-NEXT-MBMF
119200     END-IF.
119300*
119400     IF  MMRT-KEY IS GREATER THAN WS-MMRT-END-KEY
119500         PERFORM MB21PD-PRINT-A-PAGE
119600                                 THRU MB21PD-PAP-EXIT
119700         GO TO A200-PROGRAM-CONTROL
119800     END-IF.
119900*
120000     IF  MMRT-ORG IS EQUAL TO 999
120100         GO TO A350-READ-NEXT-MBMF.
120200*
120300     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
120400     GO TO A350-READ-NEXT-MBMF.
120500*
120600 A400-CHECK-READ-SWITCH.
120700*
120800     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
120900         MOVE '*** NO CONTROL CARDS ***'
121000                                 TO MB21WS-PP-COL44 (5 1)
121100         PERFORM MB21PD-PRINT-A-PAGE
121200                                 THRU MB21PD-PAP-EXIT.
121300*
121400     GO TO A600-CLOSE-FILES.
121500*
121600 A500-CONTROL-CARD-ERROR.
121700*
121800     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
121900     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
122000     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
122100     MOVE SPACE                  TO MB21WS-PP-LINE (4).
122200     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
122300     GO TO A200-PROGRAM-CONTROL.
122400*
122500 A600-CLOSE-FILES.
122600*
122700     EVALUATE TRUE
122800         WHEN  WS-BACKUP
122900             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
123000             SET MBMFRB-CLOSE    TO TRUE
123100             PERFORM MB00PD-MBMF-ACCESS
123200                                 THRU MB00PD-MBMF-ACCESS-EXIT
123300         WHEN  WS-MASTER
123400             MOVE 'C1RT'         TO SS02WS-ABEND-LOCATION
123500             SET MMRTRB-CLOSE    TO TRUE
123600             PERFORM MB00PD-MMRT-ACCESS
123700                                 THRU MB00PD-MMRT-ACCESS-EXIT
123800         WHEN  OTHER
123900             CONTINUE
124000     END-EVALUATE.
124100*
124200     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
124300     SET MTCCRB-CLOSE            TO TRUE.
124400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
124500*
124600     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
124700     SET MMSCRB-CLOSE            TO TRUE.
124800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
124900*
125000     PERFORM MB20PD-CLOSE-PRINT-FILES
125100                                 THRU MB20PD-CPF-EXIT.
125200*
125300     STOP RUN.
125400/
125500 B100-PRT-BEGIN.
125600*
125700     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
125800*
125900     MOVE 'RATE TABLE RECORD (MMRT)'
126000                                 TO MB21WS-PRINT-WORK-AREA.
126100     PERFORM MB21PD-INSERT-A-COLUMN
126200                                 THRU MB21PD-IAC-EXIT.
126300*
126400     MOVE 'ORG'                  TO MB21WS-NAME.
126500     MOVE MMRT-ORG               TO MB21WS-3V0.
126600     PERFORM MB21PD-INSERT-A-COLUMN
126700                                 THRU MB21PD-IAC-EXIT.
126800*
126900     MOVE 'TABLE-NBR'            TO MB21WS-NAME.
127000     MOVE MMRT-TABLE-NBR         TO MB21WS-9V0.
127100     PERFORM MB21PD-INSERT-A-COLUMN
127200                                 THRU MB21PD-IAC-EXIT.
127300*
127400     MOVE 'TABLE-TYPE'           TO MB21WS-NAME.
127500     MOVE MMRT-TABLE-TYPE        TO MB21WS-X.
127600     PERFORM MB21PD-INSERT-A-COLUMN
127700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
127800*
127900     MOVE '*-----  MMRT STATUS INFORMATION  ------*'
128000                                 TO MB21WS-PRINT-WORK-AREA.
128100     PERFORM MB21PD-INSERT-A-COLUMN
128200                                 THRU MB21PD-IAC-EXIT.
128300*
128400     MOVE 'REC-STATUS'           TO MB21WS-NAME.
128500     MOVE MMRT-REC-STATUS        TO MB21WS-1V0.
128600     PERFORM MB21PD-INSERT-A-COLUMN
128700                                 THRU MB21PD-IAC-EXIT.
128800*
128900     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
129000     MOVE MMRT-ONLINE-STATUS     TO MB21WS-2V0.
129100     PERFORM MB21PD-INSERT-A-COLUMN
129200                                 THRU MB21PD-IAC-EXIT.
129300*
129400     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
129500     MOVE MMRT-LAST-MAINT-DATE   TO SS01WS-JULIAN.
129600     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
129700     MOVE MMRT-LAST-MAINT-DATE   TO MB21WS-JULIAN.
129800     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
129900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
130000     PERFORM MB21PD-INSERT-A-COLUMN
130100                                 THRU MB21PD-IAC-EXIT.
130200*
130300     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
130400     MOVE MMRT-LAST-MAINT-OPER   TO MB21WS-3X.
130500     PERFORM MB21PD-INSERT-A-COLUMN
130600                                 THRU MB21PD-IAC-EXIT 2 TIMES.
130700*
130800     MOVE '*--------  MMRT DEMOGRAPHICS  ---------*'
130900                                 TO MB21WS-PRINT-WORK-AREA.
131000     PERFORM MB21PD-INSERT-A-COLUMN
131100                                 THRU MB21PD-IAC-EXIT.
131200*
131300     MOVE 'TITLE'                TO MB21WS-NAME.
131400     MOVE MMRT-TITLE             TO MB21WS-30X.
131500     PERFORM MB21PD-INSERT-A-COLUMN
131600                                 THRU MB21PD-IAC-EXIT.
131700*
131800     MOVE 'LEVEL'                TO MB21WS-NAME.
131900     MOVE MMRT-LEVEL             TO MB21WS-X.
132000     PERFORM MB21PD-INSERT-A-COLUMN
132100                                 THRU MB21PD-IAC-EXIT.
132200*
132300     MOVE 'METHOD'               TO MB21WS-NAME.
132400     MOVE MMRT-METHOD            TO MB21WS-3X.
132500     PERFORM MB21PD-INSERT-A-COLUMN
132600                                 THRU MB21PD-IAC-EXIT 2 TIMES.
132700*
132800     MOVE '*--------  PRIMARY RATE DATA  ---------*'
132900                                 TO MB21WS-PRINT-WORK-AREA.
133000     PERFORM MB21PD-INSERT-A-COLUMN
133100                                 THRU MB21PD-IAC-EXIT.
133200*
133300     PERFORM
133400         VARYING X-MMRT-PRIM FROM 1 BY 1
133500         UNTIL   X-MMRT-PRIM IS GREATER THAN 10
133600             SET WS-PRIM-RATE-INDEX
133700                                 TO X-MMRT-PRIM
133800             MOVE WS-PRIM-RATE-LIT (WS-PRIM-RATE-INDEX)
133900                                 TO MB21WS-PRINT-WORK-AREA
134000             PERFORM MB21PD-INSERT-A-COLUMN
134100                                 THRU MB21PD-IAC-EXIT
134200             EVALUATE TRUE
134300                 WHEN MMRTWS-RESV-FLAT-AMT
134400                     MOVE 'PRIM-LIMIT'
134500                                 TO MB21WS-NAME
134600                     MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
134700                                 TO MB21WS-17V0
134800                     PERFORM MB21PD-INSERT-A-COLUMN
134900                                 THRU MB21PD-IAC-EXIT
135000                     MOVE 'PRIM-FLAT-RATE'
135100                                 TO MB21WS-NAME
135200                     MOVE MMRT-PRIM-FLAT-RATE (X-MMRT-PRIM)
135300                                 TO MB21WS-9V0
135400                     PERFORM MB21PD-INSERT-A-COLUMN
135500                                 THRU MB21PD-IAC-EXIT 2 TIMES
135600*
135700                 WHEN MMRTWS-VALID-METH-ON-NUMBER
135800                     MOVE 'PRIM-LIMIT-NBR'
135900                                 TO MB21WS-NAME
136000                     MOVE MMRT-PRIM-LIMIT-NBR (X-MMRT-PRIM)
136100                                 TO MB21WS-17V0
136200                     PERFORM MB21PD-INSERT-A-COLUMN
136300                                 THRU MB21PD-IAC-EXIT
136400                     MOVE 'PRIM-PER-ITEM'
136500                                 TO MB21WS-NAME
136600                     MOVE MMRT-PRIM-PER-ITEM (X-MMRT-PRIM)
136700                                 TO MB21WS-9V0
136800                     PERFORM MB21PD-INSERT-A-COLUMN
136900                                 THRU MB21PD-IAC-EXIT 2 TIMES
137000                 WHEN OTHER
137100                     MOVE 'PRIM-LIMIT'
137200                                 TO MB21WS-NAME
137300                     MOVE MMRT-PRIM-LIMIT (X-MMRT-PRIM)
137400                                 TO MB21WS-17V0
137500                     PERFORM MB21PD-INSERT-A-COLUMN
137600                                 THRU MB21PD-IAC-EXIT
137700                     MOVE 'PRIM-RATE'
137800                                 TO MB21WS-NAME
137900                     MOVE MMRT-PRIM-RATE (X-MMRT-PRIM)
138000                                 TO MB21WS-9V0
138100                     PERFORM MB21PD-INSERT-A-COLUMN
138200                                 THRU MB21PD-IAC-EXIT 2 TIMES
138300             END-EVALUATE
138400     END-PERFORM.
138500*
138600     MOVE '*-----  EXCEPTION CONTROL DATA  -------*'
138700                                 TO MB21WS-PRINT-WORK-AREA.
138800     PERFORM MB21PD-INSERT-A-COLUMN
138900                                 THRU MB21PD-IAC-EXIT.
139000*
139100     PERFORM
139200         VARYING X-MMRT-EXCEPTION FROM 1 BY 1
139300         UNTIL   X-MMRT-EXCEPTION IS GREATER THAN 7
139400             SET WS-EXCEPT-INDEX TO X-MMRT-EXCEPTION
139500             MOVE WS-EXCEPTION-LIT (WS-EXCEPT-INDEX)
139600                                 TO MB21WS-NAME
139700             MOVE MMRT-EXCEPTION-PRIORITY (X-MMRT-EXCEPTION)
139800                                 TO MB21WS-X
139900             PERFORM MB21PD-INSERT-A-COLUMN
140000                                 THRU MB21PD-IAC-EXIT
140100     END-PERFORM.
140200*
140300     PERFORM MB21PD-INSERT-A-COLUMN
140400                                 THRU MB21PD-IAC-EXIT.
140500*
140600     MOVE '*--------  AVERAGE TICKET DATA  -------*'
140700                                 TO MB21WS-PRINT-WORK-AREA.
140800     PERFORM MB21PD-INSERT-A-COLUMN
140900                                 THRU MB21PD-IAC-EXIT.
141000*
141100     PERFORM
141200         VARYING X-MMRT-ATV FROM 1 BY 1
141300         UNTIL   X-MMRT-ATV IS GREATER THAN 10
141400             SET WS-AVG-TKT-INDEX
141500                                 TO X-MMRT-ATV
141600             MOVE WS-AVG-TKT-LIT (WS-AVG-TKT-INDEX)
141700                                 TO MB21WS-PRINT-WORK-AREA
141800             PERFORM MB21PD-INSERT-A-COLUMN
141900                                 THRU MB21PD-IAC-EXIT
142000             MOVE 'ATV-LIMIT'    TO MB21WS-NAME
142100             MOVE MMRT-ATV-LIMIT (X-MMRT-ATV)
142200                                 TO MB21WS-17V0
142300             PERFORM MB21PD-INSERT-A-COLUMN
142400                                 THRU MB21PD-IAC-EXIT
142500             EVALUATE TRUE
142600                 WHEN MMRTWS-VALID-METH-ON-NUMBER
142700                     MOVE 'ATV-PER-ITEM'
142800                                 TO MB21WS-NAME
142900                     MOVE MMRT-ATV-PER-ITEM (X-MMRT-ATV)
143000                                 TO MB21WS-9V0
143100                     PERFORM MB21PD-INSERT-A-COLUMN
143200                                 THRU MB21PD-IAC-EXIT 2 TIMES
143300                 WHEN OTHER
143400                     MOVE 'ATV-RATE'
143500                                 TO MB21WS-NAME
143600                     MOVE MMRT-ATV-RATE (X-MMRT-ATV)
143700                                 TO MB21WS-9V0
143800                     PERFORM MB21PD-INSERT-A-COLUMN
143900                                 THRU MB21PD-IAC-EXIT 2 TIMES
144000             END-EVALUATE
144100     END-PERFORM.
144200*
144300     MOVE '*--------  SINGLE TICKET DATA  --------*'
144400                                 TO MB21WS-PRINT-WORK-AREA.
144500     PERFORM MB21PD-INSERT-A-COLUMN
144600                                 THRU MB21PD-IAC-EXIT.
144700*
144800     MOVE 'SINGLE-TKT-BEG-LIMIT' TO MB21WS-NAME
144900     MOVE MMRT-SINGLE-TKT-BEG-LIMIT
145000                                 TO MB21WS-17V0
145100     PERFORM MB21PD-INSERT-A-COLUMN
145200                                 THRU MB21PD-IAC-EXIT.
145300*
145400     PERFORM
145500         VARYING X-MMRT-SINGLE-TKT FROM 1 BY 1
145600         UNTIL   X-MMRT-SINGLE-TKT IS GREATER THAN 10
145700             SET WS-SINGLE-INDEX TO X-MMRT-SINGLE-TKT
145800             MOVE WS-SINGLE-TKT-LIT (WS-SINGLE-INDEX)
145900                                 TO MB21WS-PRINT-WORK-AREA
146000             PERFORM MB21PD-INSERT-A-COLUMN
146100                                 THRU MB21PD-IAC-EXIT
146200             MOVE 'SINGLE-TKT-LIMIT'
146300                                 TO MB21WS-NAME
146400             MOVE MMRT-SINGLE-TKT-LIMIT (X-MMRT-SINGLE-TKT)
146500                                 TO MB21WS-17V0
146600             PERFORM MB21PD-INSERT-A-COLUMN
146700                                 THRU MB21PD-IAC-EXIT
146800             EVALUATE TRUE
146900                 WHEN MMRTWS-VALID-METH-ON-NUMBER
147000                     MOVE 'SINGLE-TKT-PER-ITEM'
147100                                 TO MB21WS-NAME
147200                     MOVE MMRT-SINGLE-TKT-PER-ITEM
147300                          (X-MMRT-SINGLE-TKT)
147400                                 TO MB21WS-9V0
147500                     PERFORM MB21PD-INSERT-A-COLUMN
147600                                 THRU MB21PD-IAC-EXIT 2 TIMES
147700                 WHEN OTHER
147800                     MOVE 'SINGLE-TKT-RATE'
147900                                 TO MB21WS-NAME
148000                     MOVE MMRT-SINGLE-TKT-RATE
148100                          (X-MMRT-SINGLE-TKT)
148200                                 TO MB21WS-9V0
148300                     PERFORM MB21PD-INSERT-A-COLUMN
148400                                 THRU MB21PD-IAC-EXIT 2 TIMES
148500*
148600             END-EVALUATE
148700     END-PERFORM.
148800*
148900     MOVE '*---------  STORE STATE DATA  ---------*'
149000                                 TO MB21WS-PRINT-WORK-AREA.
149100     PERFORM MB21PD-INSERT-A-COLUMN
149200                                 THRU MB21PD-IAC-EXIT.
149300*
149400     PERFORM
149500         VARYING X-MMRT-STATE FROM 1 BY 1
149600         UNTIL   X-MMRT-STATE IS GREATER THAN 56
149700             SET WS-STATE-INDEX  TO X-MMRT-STATE
149800             MOVE WS-STATE-LIT (WS-STATE-INDEX)
149900                                 TO MB21WS-PRINT-WORK-AREA
150000             PERFORM MB21PD-INSERT-A-COLUMN
150100                                 THRU MB21PD-IAC-EXIT
150200             MOVE 'STATE'        TO MB21WS-NAME
150300             MOVE MMRT-STATE (X-MMRT-STATE)
150400                                 TO MB21WS-3X
150500             PERFORM MB21PD-INSERT-A-COLUMN
150600                                 THRU MB21PD-IAC-EXIT
150700             EVALUATE TRUE
150800                 WHEN MMRTWS-VALID-METH-ON-NUMBER
150900                     MOVE 'STATE-PER-ITEM'
151000                                 TO MB21WS-NAME
151100                     MOVE MMRT-STATE-PER-ITEM (X-MMRT-STATE)
151200                                 TO MB21WS-9V0
151300                     PERFORM MB21PD-INSERT-A-COLUMN
151400                                 THRU MB21PD-IAC-EXIT 2 TIMES
151500                 WHEN OTHER
151600                     MOVE 'STATE-RATE'
151700                                 TO MB21WS-NAME
151800                     MOVE MMRT-STATE-RATE (X-MMRT-STATE)
151900                                 TO MB21WS-9V0
152000                     PERFORM MB21PD-INSERT-A-COLUMN
152100                                 THRU MB21PD-IAC-EXIT 2 TIMES
152200             END-EVALUATE
152300     END-PERFORM.
152400*
152500     MOVE '*----  PLAN AND PLAN RANGE DATA  ------*'
152600                                 TO MB21WS-PRINT-WORK-AREA.
152700     PERFORM MB21PD-INSERT-A-COLUMN
152800                                 THRU MB21PD-IAC-EXIT.
152900*
153000     PERFORM
153100         VARYING X-MMRT-PLAN FROM 1 BY 1
153200         UNTIL   X-MMRT-PLAN IS GREATER THAN 56
153300             SET WS-PLAN-INDEX   TO X-MMRT-PLAN
153400             MOVE WS-PLAN-S-LIT (WS-PLAN-INDEX)
153500                                 TO MB21WS-PRINT-WORK-AREA
153600             PERFORM MB21PD-INSERT-A-COLUMN
153700                                 THRU MB21PD-IAC-EXIT
153800             MOVE 'PLAN'         TO MB21WS-NAME
153900             MOVE MMRT-PLAN (X-MMRT-PLAN)
154000                                 TO MB21WS-5X
154100             PERFORM MB21PD-INSERT-A-COLUMN
154200                                 THRU MB21PD-IAC-EXIT
154300             EVALUATE TRUE
154400                 WHEN MMRTWS-VALID-METH-ON-NUMBER
154500                     MOVE 'PLAN-PER-ITEM'
154600                                 TO MB21WS-NAME
154700                     MOVE MMRT-PLAN-PER-ITEM (X-MMRT-PLAN)
154800                                 TO MB21WS-9V0
154900                     PERFORM MB21PD-INSERT-A-COLUMN
155000                                 THRU MB21PD-IAC-EXIT 2 TIMES
155100                 WHEN OTHER
155200                     MOVE 'PLAN-RATE'
155300                                TO MB21WS-NAME
155400                     MOVE MMRT-PLAN-RATE (X-MMRT-PLAN)
155500                                 TO MB21WS-9V0
155600                     PERFORM MB21PD-INSERT-A-COLUMN
155700                                 THRU MB21PD-IAC-EXIT 2 TIMES
155800             END-EVALUATE
155900             MOVE WS-PLAN-R-LIT (WS-PLAN-INDEX)
156000                                 TO MB21WS-PRINT-WORK-AREA
156100             PERFORM MB21PD-INSERT-A-COLUMN
156200                                 THRU MB21PD-IAC-EXIT
156300             MOVE 'PLAN-BEG'     TO MB21WS-NAME
156400             MOVE MMRT-PLAN-BEG (X-MMRT-PLAN)
156500                                 TO MB21WS-5X
156600             PERFORM MB21PD-INSERT-A-COLUMN
156700                                 THRU MB21PD-IAC-EXIT
156800             MOVE 'PLAN-END'     TO MB21WS-NAME
156900             MOVE MMRT-PLAN-END (X-MMRT-PLAN)
157000                                 TO MB21WS-5X
157100             PERFORM MB21PD-INSERT-A-COLUMN
157200                                 THRU MB21PD-IAC-EXIT
157300             EVALUATE TRUE
157400                 WHEN MMRTWS-VALID-METH-ON-NUMBER
157500                     MOVE 'PLAN-RANGE-PER-ITEM'
157600                                 TO MB21WS-NAME
157700                     MOVE MMRT-PLAN-RANGE-PER-ITEM (X-MMRT-PLAN)
157800                                 TO MB21WS-9V0
157900                     PERFORM MB21PD-INSERT-A-COLUMN
158000                                 THRU MB21PD-IAC-EXIT 2 TIMES
158100                 WHEN OTHER
158200                     MOVE 'PLAN-RANGE-RATE'
158300                                 TO MB21WS-NAME
158400                     MOVE MMRT-PLAN-RANGE-RATE (X-MMRT-PLAN)
158500                                 TO MB21WS-9V0
158600                     PERFORM MB21PD-INSERT-A-COLUMN
158700                                 THRU MB21PD-IAC-EXIT 2 TIMES
158800             END-EVALUATE
158900     END-PERFORM.
159000*
159100     MOVE '*---------  SKU NUMBER DATA  ----------*'
159200                                 TO MB21WS-PRINT-WORK-AREA.
159300     PERFORM MB21PD-INSERT-A-COLUMN
159400                                 THRU MB21PD-IAC-EXIT.
159500*
159600     PERFORM
159700         VARYING X-MMRT-SKU FROM 1 BY 1
159800         UNTIL   X-MMRT-SKU IS GREATER THAN 56
159900             SET WS-SKU-INDEX    TO X-MMRT-SKU
160000             MOVE WS-SKU-LIT (WS-SKU-INDEX)
160100                                 TO MB21WS-PRINT-WORK-AREA
160200             PERFORM MB21PD-INSERT-A-COLUMN
160300                                 THRU MB21PD-IAC-EXIT
160400             MOVE 'SKU-NBR'      TO MB21WS-NAME
160500             MOVE MMRT-SKU-NBR (X-MMRT-SKU)
160600                                 TO MB21WS-9X
160700             PERFORM MB21PD-INSERT-A-COLUMN
160800                                 THRU MB21PD-IAC-EXIT
160900             EVALUATE TRUE
161000                 WHEN MMRTWS-VALID-METH-ON-NUMBER
161100                     MOVE 'SKU-PER-ITEM'
161200                                 TO MB21WS-NAME
161300                     MOVE MMRT-SKU-PER-ITEM (X-MMRT-SKU)
161400                                 TO MB21WS-9V0
161500                     PERFORM MB21PD-INSERT-A-COLUMN
161600                                 THRU MB21PD-IAC-EXIT 2 TIMES
161700                 WHEN OTHER
161800                     MOVE 'SKU-RATE'
161900                                 TO MB21WS-NAME
162000                     MOVE MMRT-SKU-RATE (X-MMRT-SKU)
162100                                 TO MB21WS-9V0
162200                     PERFORM MB21PD-INSERT-A-COLUMN
162300                                 THRU MB21PD-IAC-EXIT 2 TIMES
162400             END-EVALUATE
162500     END-PERFORM.
162600*
162700     MOVE '*------  DEPARTMENT NUMBER DATA  ------*'
162800                                 TO MB21WS-PRINT-WORK-AREA.
162900     PERFORM MB21PD-INSERT-A-COLUMN
163000                                 THRU MB21PD-IAC-EXIT.
163100*
163200     PERFORM
163300         VARYING X-MMRT-DEPT FROM 1 BY 1
163400         UNTIL   X-MMRT-DEPT IS GREATER THAN 56
163500             SET WS-DEPT-INDEX   TO X-MMRT-DEPT
163600             MOVE WS-DEPT-LIT (WS-DEPT-INDEX)
163700                                 TO MB21WS-PRINT-WORK-AREA
163800             PERFORM MB21PD-INSERT-A-COLUMN
163900                                 THRU MB21PD-IAC-EXIT
164000             MOVE 'DEPT'         TO MB21WS-NAME
164100             MOVE MMRT-DEPT (X-MMRT-DEPT)
164200                                 TO MB21WS-4X
164300             PERFORM MB21PD-INSERT-A-COLUMN
164400                                 THRU MB21PD-IAC-EXIT
164500             EVALUATE TRUE
164600                 WHEN MMRTWS-VALID-METH-ON-NUMBER
164700                     MOVE 'DEPT-PER-ITEM'
164800                                 TO MB21WS-NAME
164900                     MOVE MMRT-DEPT-PER-ITEM (X-MMRT-DEPT)
165000                                 TO MB21WS-9V0
165100                     PERFORM MB21PD-INSERT-A-COLUMN
165200                                 THRU MB21PD-IAC-EXIT 2 TIMES
165300                 WHEN OTHER
165400                     MOVE 'DEPT-RATE'
165500                                 TO MB21WS-NAME
165600                     MOVE MMRT-DEPT-RATE (X-MMRT-DEPT)
165700                                 TO MB21WS-9V0
165800                     PERFORM MB21PD-INSERT-A-COLUMN
165900                                 THRU MB21PD-IAC-EXIT 2 TIMES
166000             END-EVALUATE
166100     END-PERFORM.
166200*
166300     MOVE '*---------  LOGO NUMBER DATA  ---------*'
166400                                 TO MB21WS-PRINT-WORK-AREA.
166500     PERFORM MB21PD-INSERT-A-COLUMN
166600                                 THRU MB21PD-IAC-EXIT.
166700*
166800     PERFORM
166900         VARYING X-MMRT-LOGO FROM 1 BY 1
167000         UNTIL   X-MMRT-LOGO IS GREATER THAN 56
167100             SET WS-LOGO-INDEX   TO X-MMRT-LOGO
167200             MOVE WS-LOGO-LIT (WS-LOGO-INDEX)
167300                                 TO MB21WS-PRINT-WORK-AREA
167400             PERFORM MB21PD-INSERT-A-COLUMN
167500                                 THRU MB21PD-IAC-EXIT
167600             MOVE 'LOGO'         TO MB21WS-NAME
167700             MOVE MMRT-LOGO (X-MMRT-LOGO)
167800                                 TO MB21WS-3X
167900             PERFORM MB21PD-INSERT-A-COLUMN
168000                                 THRU MB21PD-IAC-EXIT
168100             EVALUATE TRUE
168200                 WHEN MMRTWS-VALID-METH-ON-NUMBER
168300                     MOVE 'LOGO-PER-ITEM'
168400                                  TO MB21WS-NAME
168500                     MOVE MMRT-LOGO-PER-ITEM (X-MMRT-LOGO)
168600                                 TO MB21WS-9V0
168700                     PERFORM MB21PD-INSERT-A-COLUMN
168800                                 THRU MB21PD-IAC-EXIT 2 TIMES
168900                 WHEN OTHER
169000                     MOVE 'LOGO-RATE'
169100                                 TO MB21WS-NAME
169200                     MOVE MMRT-LOGO-RATE (X-MMRT-LOGO)
169300                                 TO MB21WS-9V0
169400                     PERFORM MB21PD-INSERT-A-COLUMN
169500                                 THRU MB21PD-IAC-EXIT 2 TIMES
169600             END-EVALUATE
169700     END-PERFORM.
169800*
169900 B999-PRT-EXIT.
170000     EXIT.
170100*
170200 B200-PRINT-HEADER.
170300*
170400     MOVE 'RATE TABLE HEADER RECORD (MMRT)'
170500                                 TO MB21WS-NAME.
170600     PERFORM MB21PD-INSERT-A-COLUMN
170700                                 THRU MB21PD-IAC-EXIT.
170800*
170900     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
171000     MOVE 'ORG'                  TO MB21WS-NAME.
171100     MOVE MMRTIO-ORG             TO MB21WS-3V0.
171200     PERFORM MB21PD-INSERT-A-COLUMN
171300                                 THRU MB21PD-IAC-EXIT.
171400*
171500     MOVE 'TABLE-NBR'            TO MB21WS-NAME.
171600     MOVE MMRTIO-TABLE-NBR       TO MB21WS-9V0.
171700     PERFORM MB21PD-INSERT-A-COLUMN
171800                                 THRU MB21PD-IAC-EXIT.
171900*
172000     MOVE 'TABLE-TYPE'           TO MB21WS-NAME.
172100     MOVE MMRTIO-TABLE-TYPE      TO MB21WS-X.
172200     PERFORM MB21PD-INSERT-A-COLUMN
172300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
172400*
172500     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
172600     MOVE MMRTIO-DATE-STAMP      TO SS01WS-JULIAN.
172700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
172800     MOVE MMRTIO-DATE-STAMP      TO MB21WS-JULIAN.
172900     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
173000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
173100     PERFORM MB21PD-INSERT-A-COLUMN
173200                                 THRU MB21PD-IAC-EXIT.
173300*
173400     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
173500     MOVE MMRTIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
173600     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
173700                                 THRU SS27PD-NET-EXIT.
173800     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
173900     PERFORM MB21PD-INSERT-A-COLUMN
174000                                 THRU MB21PD-IAC-EXIT.
174100*
174200     PERFORM MB21PD-PRINT-A-PAGE
174300                                 THRU MB21PD-PAP-EXIT.
174400*
174500 B200-PH-EXIT.
174600     EXIT.
174700/
174800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
174900*                          COMMON ROUTINES                      *
175000* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
175100*
175200     COPY SS02PD.
175300/
175400     COPY SS08PD.
175500/
175600     COPY SS16PD.
175700/
175800     COPY SS26PD.
175900/
176000     COPY SS27PD.
176100/
176200     COPY MB20PD.
176300/
176400     COPY MB21PD.
176500/
176600     COPY MB99PD.
176700/
176800     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
176900/
177000     COPY MB00PD REPLACING ==:MB00:== BY ==MMRT==.
177100/
177200     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
177300/
177400     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
