000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU921.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU921 - MONETARY TRANSACTION CONTROL (MMTC)            *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMTC==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMTCRL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMTCIO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY SS00WS.
005300/
005400     COPY SS01WS.
005500/
005600     COPY SS02WS.
005700/
005800     COPY MB21WS.
005900/
006000     COPY MB99WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU921'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-MMTC-BEG-KEY.
006700         05  WS-MMTC-BEG-ORG PIC  9(03)      VALUE ZEROES.
006800         05  WS-MMTC-BEG-TRAN-CODE
006900                             PIC  9(03)      VALUE ZEROES.
007000*
007100     03  WS-MMTC-END-KEY.
007200         05  WS-MMTC-END-ORG PIC  9(03)      VALUE ZEROES.
007300         05  WS-MMTC-END-TRAN-CODE
007400                             PIC  9(03)      VALUE ZEROES.
007500*
007600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
007700         88  WS-BACKUP                       VALUE 'BACKUP'.
007800         88  WS-MASTER                       VALUE 'MASTER'.
007900*
008000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
008100/
008200 PROCEDURE DIVISION.
008300*
008400 A000-DRIVER.
008500*
008600     MOVE 'MBU921'               TO SS02WS-ABEND-PROG-ID
008700                                    MBU999WS-PROGRAM-ID.
008800*
008900     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
009000*
009100     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
009200     MOVE 'T921'                 TO MB20WS-SH-INTERNAL-RPT-ID.
009300     MOVE ' MONETARY TRANS CONTROL FILE  '
009400                                 TO MB20WS-SH-RPT-NAME.
009500     MOVE SPACES                 TO MB20WS-SH-LIT-1
009600                                    MB20WS-SH-LIT-5
009700                                    MB20WS-SH-L4
009800                                    MB20WS-SH-L5
009900                                    MB20WS-SH-L6.
010000     PERFORM MB21PD-PAP-RESET-INDEXES
010100                                 THRU MB21PD-PAP-EXIT.
010200*
010300 A100-OPEN-FILES.
010400*
010500     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
010600     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
010700     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
010800     SET MTCCRB-OPEN-INPUT       TO TRUE.
010900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011000*
011100     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
011200     SET MMSCRB-OPEN-INPUT       TO TRUE.
011300     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011400*
011500     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
011600     SET  MMSCRB-READ-SEQ        TO TRUE.
011700     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
011800     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
011900*
012000     IF  MMSCIO-HEADER
012100         NEXT SENTENCE
012200     ELSE
012300         PERFORM MB99PD-MISSING-HEADER-ABEND
012400            THRU MB99PD-MHA-EXIT.
012500*
012600     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
012700*
012710     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
012800     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
012900     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
013000     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
013100     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
013200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
013300                                 THRU SS27PD-NET-EXIT.
013400     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
013500*
013600     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
013700     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
013800     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
013900     MOVE 99                     TO MB20WS-LINE-LIMIT.
014000     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
014100     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
014300*
014400     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
014500     SET MTCCRB-READ-SEQ         TO TRUE.
014600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
014700*
014800     IF  SS02WS-FS-END-OF-FILE
014900         GO TO A400-CHECK-READ-SWITCH
015000     END-IF.
015100*
015200     IF  MTCCIO-PROGRAM-ID  IS NOT EQUAL TO WS-PROG-ID
015300         GO TO A200-PROGRAM-CONTROL
015400     END-IF.
015500*
015600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
015700*
015800     IF  MTCC-MBU9XX-BACKUP
015900         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
016000         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
016100         SET MBMFRB-OPEN-INPUT   TO TRUE
016200         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
016300         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
016400         SET MBMFRB-READ-SEQ     TO TRUE
016500         MOVE SS02WS-NO-RECORD-FOUND
016600                                 TO MBMFRB-PERM-STATUS-3
016700         MOVE SS02WS-END-OF-FILE
016800                                 TO MBMFRB-PERM-STATUS-4
016900         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017000     ELSE
017100         MOVE 'O1TC'             TO SS02WS-ABEND-LOCATION
017200         SET MMTCRB-OPEN-INPUT   TO TRUE
017300         PERFORM MB00PD-MMTC-ACCESS THRU MB00PD-MMTC-ACCESS-EXIT
017400         MOVE 'R1TC'             TO SS02WS-ABEND-LOCATION
017500         SET MMTCRB-READ-SEQ     TO TRUE
017600         MOVE SS02WS-NO-RECORD-FOUND
017700                                 TO MMTCRB-PERM-STATUS-3
017800         MOVE SS02WS-END-OF-FILE
017900                                 TO MMTCRB-PERM-STATUS-4
018000         PERFORM MB00PD-MMTC-ACCESS THRU MB00PD-MMTC-ACCESS-EXIT
018100         GO TO A130-PRINT-HR-RECORD
018200     END-IF.
018300*
018400     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
018500*
018600     IF  MBMFIO-FILE-IS-HEADER
018700         NEXT SENTENCE
018800     ELSE
018900         PERFORM MB99PD-MISSING-HEADER-ABEND
019000            THRU MB99PD-MHA-EXIT.
019100*
019200     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
019300*
019400     SET X-MBMF-FILE             TO 1.
019500*
019600 A110-SEARCH-HEADER-TABLE-LOOP.
019700*
019800     IF  X-MBMF-FILE IS GREATER THAN 75
019900         MOVE 'MMTC'             TO MB99WS-FILE-ID
020000         PERFORM MB99PD-NOT-ON-BACKUP
020100            THRU MB99PD-NOB-EXIT.
020200*
020300     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'TC'
020400         CONTINUE
020500     ELSE
020600         SET X-MBMF-FILE         UP BY 1
020700         GO TO A110-SEARCH-HEADER-TABLE-LOOP
020800     END-IF.
020900*
021000 A120-READ-MBMF-LOOP.
021100*
021200     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
021300     SET MBMFRB-READ-SEQ         TO TRUE.
021400     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
021500*
021600     IF  SS02WS-FS-END-OF-FILE
021700         GO TO A200-PROGRAM-CONTROL
021800     END-IF.
021900*
022000     IF  MBMFIO-FILE-IS-MMTC
022100         CONTINUE
022200     ELSE
022300         GO TO A120-READ-MBMF-LOOP
022400     END-IF.
022500*
022600 A130-PRINT-HR-RECORD.
022700*
022800     IF  WS-BACKUP
022900         MOVE MBMFIO-VAR-DATA    TO MMTCIO-RECORD
023000     END-IF.
023100*
023200     MOVE 'MMTC'                 TO MB99WS-FILE-ID.
023300*
023400     IF  MMTCIO-HEADER
023500         PERFORM B200-PRINT-HEADER
023600                                 THRU B200-PH-EXIT
023700     ELSE
023800         PERFORM MB99PD-MISSING-HEADER-ABEND
023900            THRU MB99PD-MHA-EXIT.
024000*
024100     MOVE MMTCIO-RECORD          TO MMTC-RECORD.
024200*
024300 A200-PROGRAM-CONTROL.
024400*
024500     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
024600         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
024700     ELSE
024800         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
024900             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
025000             GO TO A210-PC-BY-FIRST-READ.
025100*
025200     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
025300     SET MTCCRB-READ-SEQ         TO TRUE.
025400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
025500*
025600     IF  SS02WS-FS-END-OF-FILE
025700         GO TO A400-CHECK-READ-SWITCH
025800     END-IF.
025900*
026000 A210-PC-BY-FIRST-READ.
026100*
026200     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
026300         GO TO A200-PROGRAM-CONTROL
026400     END-IF.
026500*
026600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
026700*
026800 A300-RANGE-CARD.
026900*
027000     MOVE 'Y'                    TO WS-CARD-READ-SW.
027100     INSPECT MTCC-MBU921-BEG-X   REPLACING ALL SPACE BY ZERO.
027200*
027300     IF  MTCC-MBU921-END-X IS EQUAL TO SPACES
027400         MOVE MTCC-MBU921-BEG-X  TO MTCC-MBU921-END-X
027500     END-IF.
027600*
027700     INSPECT MTCC-MBU921-END-X   REPLACING ALL SPACE BY ZERO.
027800*
027900     MOVE MTCC-MBU921-BEG-X      TO WS-MMTC-BEG-KEY.
028000*
028100     MOVE MTCC-MBU921-END-X      TO WS-MMTC-END-KEY.
028200*
028300     IF  WS-BACKUP
028400         GO TO A350-READ-NEXT-MBMF
028500     END-IF.
028600*
028700     MOVE WS-MMTC-BEG-KEY        TO MMTCIO-KEY.
028800*
028900     MOVE 'S1TC'                 TO SS02WS-ABEND-LOCATION.
029000     SET  MMTCRB-START-GTE       TO TRUE.
029100     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
029200*
029300     IF  SS02WS-FS-NO-RECORD-FOUND
029400         GO TO A500-CONTROL-CARD-ERROR
029500     END-IF.
029600*
029700 A350-READ-NEXT.
029800*
029900     MOVE 'R2TC'                 TO SS02WS-ABEND-LOCATION.
030000     SET  MMTCRB-READ-SEQ        TO TRUE.
030100     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
030200*
030300     IF  SS02WS-FS-END-OF-FILE
030400         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
030500             GO TO A200-PROGRAM-CONTROL
030600         ELSE
030700             PERFORM MB21PD-PRINT-A-PAGE
030800                                 THRU MB21PD-PAP-EXIT
030900             GO TO A200-PROGRAM-CONTROL.
031000*
031100     IF  MMTCIO-KEY IS GREATER THAN WS-MMTC-END-KEY
031200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
031300             GO TO A200-PROGRAM-CONTROL
031400         ELSE
031500             PERFORM MB21PD-PRINT-A-PAGE
031600                                 THRU MB21PD-PAP-EXIT
031700             GO TO A200-PROGRAM-CONTROL.
031800*
031900     IF  MMTCIO-HEADER
032000     OR  MMTCIO-TRAILER
032100         GO TO A350-READ-NEXT.
032200*
032300     MOVE MMTCIO-RECORD          TO MMTC-RECORD.
032400*
032500     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
032600     GO TO A350-READ-NEXT.
032700*
032800 A350-READ-NEXT-MBMF.
032900*
033000     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
033100     SET  MBMFRB-READ-SEQ        TO TRUE.
033200     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
033300*
033400     IF  SS02WS-FS-NO-RECORD-FOUND
033500         GO TO A500-CONTROL-CARD-ERROR
033600     END-IF.
033700*
033800     IF  SS02WS-FS-END-OF-FILE
033900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
034000             GO TO A200-PROGRAM-CONTROL
034100         ELSE
034200             PERFORM MB21PD-PRINT-A-PAGE
034300                                 THRU MB21PD-PAP-EXIT
034400             GO TO A200-PROGRAM-CONTROL.
034500*
034600     IF  MBMFIO-FILE-IS-MMTC
034700         CONTINUE
034800     ELSE
034900         GO TO A350-READ-NEXT-MBMF
035000     END-IF.
035100*
035200     MOVE MBMFIO-VAR-DATA        TO MMTC-RECORD.
035300*
035400     IF  MMTC-KEY IS LESS THAN WS-MMTC-BEG-KEY
035500         GO TO A350-READ-NEXT-MBMF
035600     END-IF.
035700*
035800     IF  MMTC-KEY IS GREATER THAN WS-MMTC-END-KEY
035900         PERFORM MB21PD-PRINT-A-PAGE
036000                                 THRU MB21PD-PAP-EXIT
036100         GO TO A200-PROGRAM-CONTROL
036200     END-IF.
036300*
036400     IF  MMTC-ORG IS EQUAL TO 999
036500         GO TO A350-READ-NEXT-MBMF.
036600*
036700     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
036800     GO TO A350-READ-NEXT-MBMF.
036900*
037000 A400-CHECK-READ-SWITCH.
037100*
037200     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
037300         MOVE '*** NO CONTROL CARDS ***'
037400                                 TO MB21WS-PP-COL44 (5 1)
037500         PERFORM MB21PD-PRINT-A-PAGE
037600                                 THRU MB21PD-PAP-EXIT.
037700*
037800     GO TO A600-CLOSE-FILES.
037900*
038000 A500-CONTROL-CARD-ERROR.
038100*
038200     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
038300     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
038400     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
038500     MOVE SPACE                  TO MB21WS-PP-LINE (4).
038600     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
038700     GO TO A200-PROGRAM-CONTROL.
038800*
038900 A600-CLOSE-FILES.
039000*
039100     EVALUATE TRUE
039200         WHEN  WS-BACKUP
039300             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
039400             SET MBMFRB-CLOSE    TO TRUE
039500             PERFORM MB00PD-MBMF-ACCESS
039600                                 THRU MB00PD-MBMF-ACCESS-EXIT
039700         WHEN  WS-MASTER
039800             MOVE 'C1TC'         TO SS02WS-ABEND-LOCATION
039900             SET MMTCRB-CLOSE    TO TRUE
040000             PERFORM MB00PD-MMTC-ACCESS
040100                                 THRU MB00PD-MMTC-ACCESS-EXIT
040200         WHEN  OTHER
040300             CONTINUE
040400     END-EVALUATE.
040500*
040600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
040700     SET MTCCRB-CLOSE            TO TRUE.
040800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
040900*
041000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
041100     SET MMSCRB-CLOSE            TO TRUE.
041200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
041300*
041400     PERFORM MB20PD-CLOSE-PRINT-FILES
041500                                 THRU MB20PD-CPF-EXIT.
041600*
041700     STOP RUN.
041800/
041900 B100-PRT-BEGIN.
042000*
042100     MOVE 'MONETARY TRANS CNTL RECORD (MMTC)'
042200                                 TO MB21WS-PRINT-WORK-AREA.
042300     PERFORM MB21PD-INSERT-A-COLUMN
042400                                 THRU MB21PD-IAC-EXIT.
042500*
042600     MOVE 'ORG'                  TO MB21WS-NAME.
042700     MOVE MMTC-ORG               TO MB21WS-3V0.
042800     PERFORM MB21PD-INSERT-A-COLUMN
042900                                 THRU MB21PD-IAC-EXIT.
043000*
043100     MOVE 'TXN-CODE'             TO MB21WS-NAME.
043200     MOVE MMTC-TXN-CODE          TO MB21WS-3V0.
043300     PERFORM MB21PD-INSERT-A-COLUMN
043400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
043500*
043600     MOVE '*-----  MMTC STATUS INFORMATION  ------*'
043700                                 TO MB21WS-PRINT-WORK-AREA.
043800     PERFORM MB21PD-INSERT-A-COLUMN
043900                                 THRU MB21PD-IAC-EXIT.
044000*
044100     MOVE 'REC-STATUS'           TO MB21WS-NAME.
044200     MOVE MMTC-REC-STATUS        TO MB21WS-1V0.
044300     PERFORM MB21PD-INSERT-A-COLUMN
044400                                 THRU MB21PD-IAC-EXIT.
044500*
044600     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
044700     MOVE MMTC-ONLINE-STATUS     TO MB21WS-2V0.
044800     PERFORM MB21PD-INSERT-A-COLUMN
044900                                 THRU MB21PD-IAC-EXIT.
045000*
045100     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
045200     MOVE MMTC-LAST-MAINT-DATE   TO SS01WS-JULIAN.
045300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
045400     MOVE MMTC-LAST-MAINT-DATE   TO MB21WS-JULIAN.
045500     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
045600     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
045700     PERFORM MB21PD-INSERT-A-COLUMN
045800                                 THRU MB21PD-IAC-EXIT.
045900*
046000     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
046100     MOVE MMTC-LAST-MAINT-OPER   TO MB21WS-3X.
046200     PERFORM MB21PD-INSERT-A-COLUMN
046300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
046400*
046500     MOVE '*--------  TRANSACTION DATA  ----------*'
046600                                 TO MB21WS-PRINT-WORK-AREA.
046700     PERFORM MB21PD-INSERT-A-COLUMN
046800                                 THRU MB21PD-IAC-EXIT.
046900*
047000     MOVE 'LOGIC-MODULE'         TO MB21WS-NAME.
047100     MOVE MMTC-LOGIC-MODULE      TO MB21WS-3V0.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400*
047500     MOVE 'DEFAULT-DESC'         TO MB21WS-NAME.
047600     PERFORM MB21PD-INSERT-A-COLUMN
047700                                 THRU MB21PD-IAC-EXIT.
047800     MOVE MMTC-DEFAULT-DESC      TO MB21WS-X40.
047900     PERFORM MB21PD-INSERT-A-COLUMN
048000                                 THRU MB21PD-IAC-EXIT.
048100*
048200     MOVE 'RPT-DESC'             TO MB21WS-NAME.
048300     MOVE MMTC-RPT-DESC          TO MB21WS-15X.
048400     PERFORM MB21PD-INSERT-A-COLUMN
048500                                 THRU MB21PD-IAC-EXIT.
048600*
048700     MOVE 'GL-DR-ACCT'           TO MB21WS-NAME.
048800     MOVE MMTC-GL-DR-ACCT        TO MB21WS-19X.
048900     PERFORM MB21PD-INSERT-A-COLUMN
049000                                 THRU MB21PD-IAC-EXIT.
049100*
049200     MOVE 'GL-DR-DESC'           TO MB21WS-NAME.
049300     MOVE MMTC-GL-DR-DESC        TO MB21WS-15X.
049400     PERFORM MB21PD-INSERT-A-COLUMN
049500                                 THRU MB21PD-IAC-EXIT.
049600*
049700     MOVE 'GL-CR-ACCT'           TO MB21WS-NAME.
049800     MOVE MMTC-GL-CR-ACCT        TO MB21WS-19X.
049900     PERFORM MB21PD-INSERT-A-COLUMN
050000                                 THRU MB21PD-IAC-EXIT.
050100*
050200     MOVE 'GL-CR-DESC'           TO MB21WS-NAME.
050300     MOVE MMTC-GL-CR-DESC        TO MB21WS-15X.
050400     PERFORM MB21PD-INSERT-A-COLUMN
050500                                 THRU MB21PD-IAC-EXIT.
050600*
050700     MOVE 'SORT-PRIORITY'        TO MB21WS-NAME.
050800     MOVE MMTC-SORT-PRIORITY     TO MB21WS-3V0.
050900     PERFORM MB21PD-INSERT-A-COLUMN
051000                                 THRU MB21PD-IAC-EXIT 2 TIMES.
051100*
051200 B999-PRT-EXIT.
051300     EXIT.
051400*
051500 B200-PRINT-HEADER.
051600*
051700     MOVE 'MONETARY TRANS CNTL HEADER (MMTC)'
051800                                 TO MB21WS-NAME.
051900     PERFORM MB21PD-INSERT-A-COLUMN
052000                                 THRU MB21PD-IAC-EXIT.
052100*
052200     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
052300     MOVE 'ORG'                  TO MB21WS-NAME.
052400     MOVE MMTCIO-ORG             TO MB21WS-3V0.
052500     PERFORM MB21PD-INSERT-A-COLUMN
052600                                 THRU MB21PD-IAC-EXIT.
052700*
052800     MOVE 'TXN-CODE'             TO MB21WS-NAME.
052900     MOVE MMTCIO-TXN-CODE        TO MB21WS-3V0.
053000     PERFORM MB21PD-INSERT-A-COLUMN
053100                                 THRU MB21PD-IAC-EXIT.
053200*
053300     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
053400     MOVE MMTCIO-DATE-STAMP      TO SS01WS-JULIAN.
053500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
053600     MOVE MMTCIO-DATE-STAMP      TO MB21WS-JULIAN.
053700     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
053800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
053900     PERFORM MB21PD-INSERT-A-COLUMN
054000                                 THRU MB21PD-IAC-EXIT.
054100*
054200     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
054300     MOVE MMTCIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
054400     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
054500                                 THRU SS27PD-NET-EXIT.
054600     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
054700     PERFORM MB21PD-INSERT-A-COLUMN
054800                                 THRU MB21PD-IAC-EXIT.
054900*
055000     PERFORM MB21PD-PRINT-A-PAGE
055100                                 THRU MB21PD-PAP-EXIT.
055200*
055300 B200-PH-EXIT.
055400     EXIT.
055500/
055600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055700*                          COMMON ROUTINES                      *
055800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055900*
056000     COPY SS02PD.
056100/
056200     COPY SS08PD.
056300/
056400     COPY SS16PD.
056500/
056600     COPY SS26PD.
056700/
056800     COPY SS27PD.
056900/
057000     COPY MB20PD.
057100/
057200     COPY MB21PD.
057300/
057400     COPY MB99PD.
057500/
057600     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
057700/
057800     COPY MB00PD REPLACING ==:MB00:== BY ==MMTC==.
057900/
058000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
058100/
058200     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
