000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU924.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*       MBU924 - TRANSACTION CODE TRANSLATION FILE (MMXT)       *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMXT==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMXTRL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMXTIO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY SS00WS.
005300/
005400     COPY SS01WS.
005500/
005600     COPY SS02WS.
005700/
005800     COPY MB21WS.
005900/
006000     COPY MB99WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU924'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500     03  WS-COUNT            PIC  S9(03)     COMP-3 VALUE ZEROS.
006600*
006700     03  WS-MMXT-BEG-KEY.
006800         05  WS-MMXT-BEG-ORG PIC  9(03).
006900*
007000     03  WS-MMXT-END-KEY.
007100         05  WS-MMXT-END-ORG PIC  9(03).
007200*
007300     03  WS-CMS-TC-LIT.
007400         05                  PIC  X(16)      VALUE
007500             'CMS-TC (OCCUR - '.
007600         05  WS-CMS-TC-CNT   PIC  ZZ9.
007700         05                  PIC  X(01)      VALUE ')'.
007800*
007900     03  WS-MBS-TC-LIT.
008000         05                  PIC  X(16)      VALUE
008100             'MBS-TC (OCCUR - '.
008200         05  WS-MBS-TC-CNT   PIC  ZZ9.
008300         05                  PIC  X(01)      VALUE ')'.
008400*
008500     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
008600         88  WS-BACKUP                       VALUE 'BACKUP'.
008700         88  WS-MASTER                       VALUE 'MASTER'.
008800*
008900 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009000/
009100 PROCEDURE DIVISION.
009200*
009300 A000-DRIVER.
009400*
009500     MOVE 'MBU924'               TO SS02WS-ABEND-PROG-ID
009600                                    MBU999WS-PROGRAM-ID.
009700*
009800     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
009900*
010000     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
010100     MOVE 'T924'                 TO MB20WS-SH-INTERNAL-RPT-ID.
010200     MOVE ' TRANSACTION CODE TRANS FILE  '
010300                                 TO MB20WS-SH-RPT-NAME.
010400     MOVE SPACES                 TO MB20WS-SH-LIT-1
010500                                    MB20WS-SH-LIT-5
010600                                    MB20WS-SH-L4
010700                                    MB20WS-SH-L5
010800                                    MB20WS-SH-L6.
010900     PERFORM MB21PD-PAP-RESET-INDEXES
011000                                 THRU MB21PD-PAP-EXIT.
011100*
011200 A100-OPEN-FILES.
011300*
011400     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
011500     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011600     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011700     SET MTCCRB-OPEN-INPUT       TO TRUE.
011800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011900*
012000     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012100     SET MMSCRB-OPEN-INPUT       TO TRUE.
012200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012300*
012400     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012500     SET  MMSCRB-READ-SEQ        TO TRUE.
012600     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012700     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
012800*
012900     IF  MMSCIO-HEADER
013000         NEXT SENTENCE
013100     ELSE
013200         PERFORM MB99PD-MISSING-HEADER-ABEND
013300            THRU MB99PD-MHA-EXIT.
013400*
013500     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013600*
013610     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013700     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
013800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
013900     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
014000     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
014100     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
014200                                 THRU SS27PD-NET-EXIT.
014300     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME .
014400*
014500     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
014600     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
014700     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
014800     MOVE 99                     TO MB20WS-LINE-LIMIT.
014900     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
015000     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
015200*
015300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
015400     SET MTCCRB-READ-SEQ         TO TRUE.
015500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015600*
015700     IF  SS02WS-FS-END-OF-FILE
015800         GO TO A400-CHECK-READ-SWITCH
015900     END-IF.
016000*
016100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
016200         GO TO A200-PROGRAM-CONTROL
016300     END-IF.
016400*
016500     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
016600*
016700     IF  MTCC-MBU9XX-BACKUP
016800         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
016900         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
017000         SET MBMFRB-OPEN-INPUT   TO TRUE
017100         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017200         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
017300         SET MBMFRB-READ-SEQ     TO TRUE
017400         MOVE SS02WS-NO-RECORD-FOUND
017500                                 TO MBMFRB-PERM-STATUS-3
017600         MOVE SS02WS-END-OF-FILE
017700                                 TO MBMFRB-PERM-STATUS-4
017800         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017900     ELSE
018000         MOVE 'O1XT'             TO SS02WS-ABEND-LOCATION
018100         SET MMXTRB-OPEN-INPUT   TO TRUE
018200         PERFORM MB00PD-MMXT-ACCESS THRU MB00PD-MMXT-ACCESS-EXIT
018300         MOVE 'R1XT'             TO SS02WS-ABEND-LOCATION
018400         SET MMXTRB-READ-SEQ     TO TRUE
018500         MOVE SS02WS-NO-RECORD-FOUND
018600                                 TO MMXTRB-PERM-STATUS-3
018700         MOVE SS02WS-END-OF-FILE
018800                                 TO MMXTRB-PERM-STATUS-4
018900         PERFORM MB00PD-MMXT-ACCESS THRU MB00PD-MMXT-ACCESS-EXIT
019000         GO TO A130-PRINT-HR-RECORD
019100     END-IF.
019200*
019300     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019400*
019500     IF  MBMFIO-FILE-IS-HEADER
019600         NEXT SENTENCE
019700     ELSE
019800         PERFORM MB99PD-MISSING-HEADER-ABEND
019900            THRU MB99PD-MHA-EXIT.
020000*
020100     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020200*
020300     SET X-MBMF-FILE             TO 1.
020400*
020500 A110-SEARCH-HEADER-TABLE-LOOP.
020600*
020700     IF  X-MBMF-FILE IS GREATER THAN 75
020800         MOVE 'MMXT'             TO MB99WS-FILE-ID
020900         PERFORM MB99PD-NOT-ON-BACKUP
021000            THRU MB99PD-NOB-EXIT.
021100*
021200*
021300     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'XT'
021400         CONTINUE
021500     ELSE
021600         SET X-MBMF-FILE         UP BY 1
021700         GO TO A110-SEARCH-HEADER-TABLE-LOOP
021800     END-IF.
021900*
022000 A120-READ-MBMF-LOOP.
022100*
022200     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022300     SET MBMFRB-READ-SEQ         TO TRUE.
022400     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
022500*
022600     IF  SS02WS-FS-END-OF-FILE
022700         GO TO A200-PROGRAM-CONTROL
022800     END-IF.
022900*
023000     IF  MBMFIO-FILE-IS-MMXT
023100         CONTINUE
023200     ELSE
023300         GO TO A120-READ-MBMF-LOOP
023400     END-IF.
023500*
023600 A130-PRINT-HR-RECORD.
023700*
023800     IF  WS-BACKUP
023900         MOVE MBMFIO-VAR-DATA    TO MMXTIO-RECORD
024000     END-IF.
024100*
024200     MOVE 'MMXT'                 TO MB99WS-FILE-ID.
024300*
024400     IF  MMXTIO-HEADER
024500         PERFORM B200-PRINT-HEADER
024600                                 THRU B200-PH-EXIT
024700     ELSE
024800         PERFORM MB99PD-MISSING-HEADER-ABEND
024900            THRU MB99PD-MHA-EXIT.
025000*
025100     MOVE MMXTIO-RECORD          TO MMXT-RECORD.
025200*
025300 A200-PROGRAM-CONTROL.
025400*
025500     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
025600         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
025700     ELSE
025800         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
025900             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026000             GO TO A210-PC-BY-FIRST-READ.
026100*
026200     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026300     SET MTCCRB-READ-SEQ         TO TRUE.
026400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
026500*
026600     IF  SS02WS-FS-END-OF-FILE
026700         GO TO A400-CHECK-READ-SWITCH
026800     END-IF.
026900*
027000 A210-PC-BY-FIRST-READ.
027100*
027200     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
027300         GO TO A200-PROGRAM-CONTROL
027400     END-IF.
027500*
027600     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
027700*
027800 A300-RANGE-CARD.
027900*
028000     MOVE 'Y'                    TO WS-CARD-READ-SW.
028100     INSPECT MTCC-MBU924-BEG-X   REPLACING ALL SPACE BY ZERO.
028200*
028300     IF  MTCC-MBU924-END-X IS EQUAL TO SPACES
028400         MOVE MTCC-MBU924-BEG-X  TO MTCC-MBU924-END-X
028500     END-IF.
028600*
028700     INSPECT MTCC-MBU924-END-X   REPLACING ALL SPACE BY ZERO.
028800*
028900     MOVE MTCC-MBU924-BEG-X      TO WS-MMXT-BEG-KEY.
029000*
029100     MOVE MTCC-MBU924-END-X      TO WS-MMXT-END-KEY.
029200*
029300     IF  WS-BACKUP
029400         GO TO A350-READ-NEXT-MBMF
029500     END-IF.
029600*
029700     MOVE WS-MMXT-BEG-KEY        TO MMXTIO-KEY.
029800*
029900     MOVE 'S1XT'                 TO SS02WS-ABEND-LOCATION.
030000     SET  MMXTRB-START-GTE       TO TRUE.
030100     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
030200*
030300     IF  SS02WS-FS-NO-RECORD-FOUND
030400         GO TO A500-CONTROL-CARD-ERROR
030500     END-IF.
030600*
030700 A350-READ-NEXT.
030800*
030900     MOVE 'R2XT'                 TO SS02WS-ABEND-LOCATION.
031000     SET  MMXTRB-READ-SEQ        TO TRUE.
031100     PERFORM MB00PD-MMXT-ACCESS  THRU MB00PD-MMXT-ACCESS-EXIT.
031200*
031300     IF  SS02WS-FS-END-OF-FILE
031400         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
031500             GO TO A200-PROGRAM-CONTROL
031600         ELSE
031700             PERFORM MB21PD-PRINT-A-PAGE
031800                                 THRU MB21PD-PAP-EXIT
031900             GO TO A200-PROGRAM-CONTROL.
032000*
032100     IF  MMXTIO-KEY IS GREATER THAN WS-MMXT-END-KEY
032200         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032300             GO TO A200-PROGRAM-CONTROL
032400         ELSE
032500             PERFORM MB21PD-PRINT-A-PAGE
032600                                 THRU MB21PD-PAP-EXIT
032700             GO TO A200-PROGRAM-CONTROL.
032800*
032900     IF  MMXTIO-HEADER
033000     OR  MMXTIO-TRAILER
033100         GO TO A350-READ-NEXT.
033200*
033300     MOVE MMXTIO-RECORD          TO MMXT-RECORD.
033400*
033500     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
033600     GO TO A350-READ-NEXT.
033700*
033800 A350-READ-NEXT-MBMF.
033900*
034000     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034100     SET  MBMFRB-READ-SEQ        TO TRUE.
034200     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
034300*
034400     IF  SS02WS-FS-NO-RECORD-FOUND
034500         GO TO A500-CONTROL-CARD-ERROR
034600     END-IF.
034700*
034800     IF  SS02WS-FS-END-OF-FILE
034900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035000             GO TO A200-PROGRAM-CONTROL
035100         ELSE
035200             PERFORM MB21PD-PRINT-A-PAGE
035300                                 THRU MB21PD-PAP-EXIT
035400             GO TO A200-PROGRAM-CONTROL.
035500*
035600     IF  MBMFIO-FILE-IS-MMXT
035700         CONTINUE
035800     ELSE
035900         GO TO A350-READ-NEXT-MBMF
036000     END-IF.
036100*
036200     MOVE MBMFIO-VAR-DATA        TO MMXT-RECORD.
036300*
036400     IF  MMXT-KEY IS LESS THAN WS-MMXT-BEG-KEY
036500         GO TO A350-READ-NEXT-MBMF
036600     END-IF.
036700*
036800     IF  MMXT-KEY IS GREATER THAN WS-MMXT-END-KEY
036900         PERFORM MB21PD-PRINT-A-PAGE
037000                                 THRU MB21PD-PAP-EXIT
037100         GO TO A200-PROGRAM-CONTROL
037200     END-IF.
037300*
037400     IF  MMXT-ORG IS EQUAL TO 999
037500         GO TO A350-READ-NEXT-MBMF.
037600*
037700     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
037800     GO TO A350-READ-NEXT-MBMF.
037900*
038000 A400-CHECK-READ-SWITCH.
038100*
038200     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
038300         MOVE '*** NO CONTROL CARDS ***'
038400                                 TO MB21WS-PP-COL44 (5 1)
038500         PERFORM MB21PD-PRINT-A-PAGE
038600                                 THRU MB21PD-PAP-EXIT.
038700*
038800     GO TO A600-CLOSE-FILES.
038900*
039000 A500-CONTROL-CARD-ERROR.
039100*
039200     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
039300     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
039400     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
039500     MOVE SPACE                  TO MB21WS-PP-LINE (4).
039600     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
039700     GO TO A200-PROGRAM-CONTROL.
039800*
039900 A600-CLOSE-FILES.
040000*
040100     EVALUATE TRUE
040200         WHEN  WS-BACKUP
040300             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
040400             SET MBMFRB-CLOSE    TO TRUE
040500             PERFORM MB00PD-MBMF-ACCESS
040600                                 THRU MB00PD-MBMF-ACCESS-EXIT
040700         WHEN  WS-MASTER
040800             MOVE 'C1XT'         TO SS02WS-ABEND-LOCATION
040900             SET MMXTRB-CLOSE    TO TRUE
041000             PERFORM MB00PD-MMXT-ACCESS
041100                                 THRU MB00PD-MMXT-ACCESS-EXIT
041200         WHEN  OTHER
041300             CONTINUE
041400     END-EVALUATE.
041500*
041600     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
041700     SET MTCCRB-CLOSE            TO TRUE.
041800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
041900*
042000     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042100     SET MMSCRB-CLOSE            TO TRUE.
042200     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
042300*
042400     PERFORM MB20PD-CLOSE-PRINT-FILES
042500                                 THRU MB20PD-CPF-EXIT.
042600*
042700     STOP RUN.
042800/
042900 B100-PRT-BEGIN.
043000*
043100     MOVE 'TRANSACTION CODE TRANSLATION REC (MMXT)'
043200                                 TO MB21WS-PRINT-WORK-AREA.
043300     PERFORM MB21PD-INSERT-A-COLUMN
043400                                 THRU MB21PD-IAC-EXIT.
043500*
043600     MOVE 'ORG'                  TO MB21WS-NAME.
043700     MOVE MMXT-ORG               TO MB21WS-3V0.
043800     PERFORM MB21PD-INSERT-A-COLUMN
043900                                 THRU MB21PD-IAC-EXIT 2 TIMES.
044000*
044100     MOVE '*-----  MMXT STATUS INFORMATION  ------*'
044200                                 TO MB21WS-PRINT-WORK-AREA.
044300     PERFORM MB21PD-INSERT-A-COLUMN
044400                                 THRU MB21PD-IAC-EXIT.
044500*
044600     MOVE 'REC-STATUS'           TO MB21WS-NAME.
044700     MOVE MMXT-REC-STATUS        TO MB21WS-1V0.
044800     PERFORM MB21PD-INSERT-A-COLUMN
044900                                 THRU MB21PD-IAC-EXIT.
045000*
045100     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
045200     MOVE MMXT-ONLINE-STATUS     TO MB21WS-2V0.
045300     PERFORM MB21PD-INSERT-A-COLUMN
045400                                 THRU MB21PD-IAC-EXIT.
045500*
045600     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
045700     MOVE MMXT-LAST-MAINT-DATE   TO SS01WS-JULIAN.
045800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
045900     MOVE MMXT-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
046100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
046200     PERFORM MB21PD-INSERT-A-COLUMN
046300                                 THRU MB21PD-IAC-EXIT.
046400*
046500     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
046600     MOVE MMXT-LAST-MAINT-OPER   TO MB21WS-3X.
046700     PERFORM MB21PD-INSERT-A-COLUMN
046800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
046900*
047000     MOVE '*- TRANSACTION CODE TRANSLATION TABLE -*   '
047100                                 TO MB21WS-PRINT-WORK-AREA.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400*
047500     MOVE ZEROS                  TO WS-COUNT.
047600*
047700     PERFORM
047800         VARYING X-MMXT-TCTT FROM +1 BY +1
047900         UNTIL   X-MMXT-TCTT GREATER THAN +998
048000         ADD +1                  TO WS-COUNT
048100         MOVE WS-COUNT           TO WS-CMS-TC-CNT
048200                                    WS-MBS-TC-CNT
048300         MOVE WS-CMS-TC-LIT      TO MB21WS-NAME
048400         MOVE MMXT-CMS-TC (X-MMXT-TCTT)
048500                                 TO MB21WS-3V0
048600         PERFORM MB21PD-INSERT-A-COLUMN
048700                                 THRU MB21PD-IAC-EXIT
048800         MOVE WS-MBS-TC-LIT      TO MB21WS-NAME
048900         MOVE MMXT-MBS-TC (X-MMXT-TCTT)
049000                                 TO MB21WS-3V0
049100         PERFORM MB21PD-INSERT-A-COLUMN
049200                                 THRU MB21PD-IAC-EXIT 2 TIMES
049300     END-PERFORM.
049400*
049500 B999-PRT-EXIT.
049600     EXIT.
049700*
049800 B200-PRINT-HEADER.
049900*
050000     MOVE 'TRANSACTION CODE TRANS HDR (MMXT)'
050100                                 TO MB21WS-NAME.
050200     PERFORM MB21PD-INSERT-A-COLUMN
050300                                 THRU MB21PD-IAC-EXIT.
050400*
050500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
050600     MOVE 'ORG'                  TO MB21WS-NAME.
050700     MOVE MMXTIO-ORG             TO MB21WS-3V0.
050800     PERFORM MB21PD-INSERT-A-COLUMN
050900                                 THRU MB21PD-IAC-EXIT.
051000*
051100     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
051200     MOVE MMXTIO-DATE-STAMP      TO SS01WS-JULIAN.
051300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
051400     MOVE MMXTIO-DATE-STAMP      TO MB21WS-JULIAN.
051500     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
051600     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
051700     PERFORM MB21PD-INSERT-A-COLUMN
051800                                 THRU MB21PD-IAC-EXIT.
051900*
052000     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
052100     MOVE MMXTIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
052200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
052300                                 THRU SS27PD-NET-EXIT.
052400     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
052500     PERFORM MB21PD-INSERT-A-COLUMN
052600                                 THRU MB21PD-IAC-EXIT.
052700*
052800     PERFORM MB21PD-PRINT-A-PAGE
052900                                 THRU MB21PD-PAP-EXIT.
053000*
053100 B200-PH-EXIT.
053200     EXIT.
053300/
053400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
053500*                          COMMON ROUTINES                      *
053600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
053700*
053800     COPY SS02PD.
053900/
054000     COPY SS08PD.
054100/
054200     COPY SS16PD.
054300/
054400     COPY SS26PD.
054500/
054600     COPY SS27PD.
054700/
054800     COPY MB20PD.
054900/
055000     COPY MB21PD.
055100/
055200     COPY MB99PD.
055300/
055400     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
055500/
055600     COPY MB00PD REPLACING ==:MB00:== BY ==MMXT==.
055700/
055800     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
055900/
056000     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
