000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU926.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU926 - STORE RELATIONSHIP CONTROL FILE (MMSR)        *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMSRIO.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMSR==.
004300/
004400     COPY MMSRRL.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU926'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMSR-BEG-KEY.
007100         05  WS-BEG-ORG-CHAIN.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-CHAIN
007400                             PIC  9(09).
007500*
007600     03  WS-MMSR-END-KEY.
007700         05  WS-END-ORG-CHAIN.
007800             07  WS-END-ORG  PIC  9(03).
007900             07  WS-END-CHAIN
008000                             PIC  9(09).
008100*
008200     03  WS-NAME-ADDR-LINES.
008300         05  FILLER          PIC  X(15)      VALUE
008400             'NAME/ADDR LINE '.
008500         05  WS-NAME-ADDR-LINE-NBR
008600                             PIC  9(01).
008700*
008800     03  WS-STMT-MSG-DESC.
008900         05  WS-STMT-MSG-DESC-LIT-X.
009000             07  FILLER      PIC  X(22)      VALUE
009100                 'STMT-MSG-FLAG-TABLE 01'.
009200             07  FILLER      PIC  X(22)      VALUE
009300                 'STMT-MSG-FLAG-TABLE 02'.
009400             07  FILLER      PIC  X(22)      VALUE
009500                 'STMT-MSG-FLAG-TABLE 03'.
009600             07  FILLER      PIC  X(22)      VALUE
009700                 'STMT-MSG-FLAG-TABLE 04'.
009800             07  FILLER      PIC  X(22)      VALUE
009900                 'STMT-MSG-FLAG-TABLE 05'.
010000         05  WS-STMT-DESCRIPTION-LIT-R
010100                             REDEFINES WS-STMT-MSG-DESC-LIT-X.
010200             07  WS-STMT-DESCRIPTION-LIT
010300                             PIC  X(22)      OCCURS 5 TIMES
010400                                             INDEXED BY
010500                                             X-WS-STMT-INDEX.
010600*
010700     03  WS-STMT-MSG-LINES.
010800         05  WS-STMT-MSG-LIT-X.
010900             07  FILLER      PIC  X(23)      VALUE
011000                 'STATEMENT MESSAGE LINE '.
011100         05  WS-STMT-MSG-LINE-NBR
011200                             PIC  9(01).
011300*
011400     03  WS-STATS-OCCUR-DESC-AREA.
011500         05  WS-STATS-OCCUR-LIT.
011600             07  FILLER      PIC  X(22)      VALUE
011700                 'STATISTICS OCCURRENCE '.
011800             07  WS-STATS-OCCUR-NBR
011900                             PIC  9(02).
012000*
012100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012200/
012300 PROCEDURE DIVISION.
012400*
012500 A000-DRIVER.
012600*
012700     MOVE 'MBU926'               TO SS02WS-ABEND-PROG-ID
012800                                    MBU999WS-PROGRAM-ID.
012900*
013000     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
013100*
013200     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
013300     MOVE 'T926'                 TO MB20WS-SH-INTERNAL-RPT-ID.
013400     MOVE '  STORE RELATIONSHIP DISPLAY  '
013500                                 TO MB20WS-SH-RPT-NAME.
013600     MOVE SPACES                 TO MB20WS-SH-LIT-1
013700                                    MB20WS-SH-LIT-5
013800                                    MB20WS-SH-L4
013900                                    MB20WS-SH-L5
014000                                    MB20WS-SH-L6.
014100     PERFORM MB21PD-PAP-RESET-INDEXES
014200                                 THRU MB21PD-PAP-EXIT.
014300*
014400 A100-OPEN-FILES.
014500*
014600     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
014700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
014800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
014900     SET MTCCRB-OPEN-INPUT       TO TRUE.
015000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015100*
015200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
015300     SET MMSCRB-OPEN-INPUT       TO TRUE.
015400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
015500*
015600     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
015700     SET MMSCRB-READ-SEQ         TO TRUE.
015800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
015900*
016000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
016100*
016200     IF  MMSCIO-HEADER
016300         NEXT SENTENCE
016400     ELSE
016500         PERFORM MB99PD-MISSING-HEADER-ABEND
016600            THRU MB99PD-MHA-EXIT.
016700*
016800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
016900*
016910     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
017000     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
017100     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
017200     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
017300     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
017400     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
017500                                 THRU SS27PD-NET-EXIT.
017600     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
017700*
017800     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
017900     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
018000     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
018100     MOVE 99                     TO MB20WS-LINE-LIMIT.
018200     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
018300     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
018500*
018600     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION
018700     SET MTCCRB-READ-SEQ         TO TRUE
018800     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
018900*
019000     IF  SS02WS-FS-END-OF-FILE
019100         GO TO A400-CHECK-READ-SWITCH
019200     END-IF.
019300*
019400     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
019500         GO TO A200-PROGRAM-CONTROL
019600     END-IF.
019700*
019800     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
019900*
020000     IF  MTCC-MBU9XX-BACKUP
020100         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
020200         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
020300         SET MBMFRB-OPEN-INPUT   TO TRUE
020400         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
020500         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
020600         SET MBMFRB-READ-SEQ     TO TRUE
020700         MOVE SS02WS-NO-RECORD-FOUND
020800                                 TO MBMFRB-PERM-STATUS-3
020900         MOVE SS02WS-END-OF-FILE
021000                                 TO MBMFRB-PERM-STATUS-4
021100         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
021200     ELSE
021300         MOVE 'O1SR'             TO SS02WS-ABEND-LOCATION
021400         SET MMSRRB-OPEN-INPUT   TO TRUE
021500         PERFORM MB00PD-MMSR-ACCESS THRU MB00PD-MMSR-ACCESS-EXIT
021600         MOVE 'R1SR'             TO SS02WS-ABEND-LOCATION
021700         SET MMSRRB-READ-SEQ     TO TRUE
021800         MOVE SS02WS-NO-RECORD-FOUND
021900                                 TO MMSRRB-PERM-STATUS-3
022000         MOVE SS02WS-END-OF-FILE
022100                                 TO MMSRRB-PERM-STATUS-4
022200         PERFORM MB00PD-MMSR-ACCESS THRU MB00PD-MMSR-ACCESS-EXIT
022300         GO TO A130-PRINT-HR-RECORD
022400     END-IF.
022500*
022600     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
022700*
022800     IF  MBMFIO-FILE-IS-HEADER
022900         NEXT SENTENCE
023000     ELSE
023100         PERFORM MB99PD-MISSING-HEADER-ABEND
023200            THRU MB99PD-MHA-EXIT.
023300*
023400     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
023500*
023600     SET X-MBMF-FILE             TO 1.
023700*
023800 A110-SEARCH-HEADER-TABLE-LOOP.
023900*
024000     IF  X-MBMF-FILE IS GREATER THAN 75
024100         MOVE 'MMSR'             TO MB99WS-FILE-ID
024200         PERFORM MB99PD-NOT-ON-BACKUP
024300            THRU MB99PD-NOB-EXIT.
024400*
024500     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'SR'
024600         CONTINUE
024700     ELSE
024800         SET X-MBMF-FILE         UP BY 1
024900         GO TO A110-SEARCH-HEADER-TABLE-LOOP
025000     END-IF.
025100*
025200 A120-READ-MBMF-LOOP.
025300*
025400     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
025500     SET MBMFRB-READ-SEQ         TO TRUE.
025600     MOVE SS02WS-NO-RECORD-FOUND
025700                                 TO MBMFRB-PERM-STATUS-3.
025800     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
025900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
026000*
026100     IF  SS02WS-FS-END-OF-FILE
026200         GO TO A200-PROGRAM-CONTROL
026300     END-IF.
026400*
026500     IF  MBMFIO-FILE-IS-MMSR
026600         CONTINUE
026700     ELSE
026800         GO TO A120-READ-MBMF-LOOP
026900     END-IF.
027000*
027100 A130-PRINT-HR-RECORD.
027200*
027300     IF  WS-BACKUP
027400         MOVE MBMFIO-VAR-DATA    TO MMSRIO-RECORD
027500     END-IF.
027600*
027700     MOVE 'MMSR'                 TO MB99WS-FILE-ID.
027800*
027900     IF  MMSRIO-HEADER
028000         NEXT SENTENCE
028100     ELSE
028200         PERFORM MB99PD-MISSING-HEADER-ABEND
028300            THRU MB99PD-MHA-EXIT.
028400*
028500     MOVE MMSRIO-RECORD          TO MMSR-RECORD.
028600*
028700     IF  MMSRIO-HEADER
028800         PERFORM B200-PRINT-HEADER
028900                                 THRU B200-PH-EXIT
029000     END-IF.
029100*
029200 A200-PROGRAM-CONTROL.
029300*
029400     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
029500         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
029600     ELSE
029700         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
029800             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
029900             GO TO A210-PC-BY-FIRST-READ.
030000*
030100     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
030200     SET MTCCRB-READ-SEQ         TO TRUE.
030300     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
030400*
030500     IF  SS02WS-FS-END-OF-FILE
030600         GO TO A400-CHECK-READ-SWITCH
030700     END-IF.
030800*
030900 A210-PC-BY-FIRST-READ.
031000*
031100     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
031200         GO TO A200-PROGRAM-CONTROL
031300     END-IF.
031400*
031500     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
031600*
031700 A300-RANGE-CARD.
031800*
031900     MOVE 'Y'                    TO WS-CARD-READ-SW.
032000     INSPECT MTCC-MBU926-BEG-X   REPLACING ALL SPACE BY ZERO.
032100*
032200     IF  MTCC-MBU926-END-X IS EQUAL TO SPACES
032300         MOVE MTCC-MBU926-BEG-X  TO MTCC-MBU926-END-X
032400     END-IF.
032500*
032600     INSPECT MTCC-MBU926-END-X   REPLACING ALL SPACE BY ZERO.
032700*
032800     MOVE MTCC-MBU926-BEG-X      TO WS-MMSR-BEG-KEY.
032900*
033000     MOVE MTCC-MBU926-END-X      TO WS-MMSR-END-KEY.
033100*
033200     IF  WS-BACKUP
033300         GO TO A350-READ-NEXT-MBMF
033400     END-IF.
033500*
033600     MOVE MTCC-MBU926-BEG-X      TO MMSRIO-KEY.
033700*
033800     MOVE 'S1SR'                 TO SS02WS-ABEND-LOCATION.
033900     SET  MMSRRB-START-GTE       TO TRUE.
034000     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
034100*
034200     IF  SS02WS-FS-NO-RECORD-FOUND
034300         GO TO A500-CONTROL-CARD-ERROR
034400     END-IF.
034500*
034600 A350-READ-NEXT.
034700*
034800     MOVE 'R2SR'                 TO SS02WS-ABEND-LOCATION.
034900     SET  MMSRRB-READ-SEQ        TO TRUE.
035000     PERFORM MB00PD-MMSR-ACCESS  THRU MB00PD-MMSR-ACCESS-EXIT.
035100*
035200     IF  SS02WS-FS-END-OF-FILE
035300         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035400             GO TO A200-PROGRAM-CONTROL
035500         ELSE
035600             PERFORM MB21PD-PRINT-A-PAGE
035700                                 THRU MB21PD-PAP-EXIT
035800             GO TO A200-PROGRAM-CONTROL.
035900*
036000     IF  MMSRIO-KEY IS GREATER THAN WS-MMSR-END-KEY
036100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
036200             GO TO A200-PROGRAM-CONTROL
036300         ELSE
036400             PERFORM MB21PD-PRINT-A-PAGE
036500                                 THRU MB21PD-PAP-EXIT
036600             GO TO A200-PROGRAM-CONTROL.
036700*
036800     IF  MMSRIO-HEADER
036900     OR  MMSRIO-TRAILER
037000         GO TO A350-READ-NEXT.
037100*
037200     MOVE MMSRIO-RECORD          TO MMSR-RECORD.
037300*
037400     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
037500     GO TO A350-READ-NEXT.
037600*
037700 A350-READ-NEXT-MBMF.
037800*
037900     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
038000     SET  MBMFRB-READ-SEQ        TO TRUE.
038100     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
038200*
038300     IF  SS02WS-FS-NO-RECORD-FOUND
038400         GO TO A500-CONTROL-CARD-ERROR
038500     END-IF.
038600*
038700     IF  SS02WS-FS-END-OF-FILE
038800         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
038900             GO TO A200-PROGRAM-CONTROL
039000         ELSE
039100             PERFORM MB21PD-PRINT-A-PAGE
039200                                 THRU MB21PD-PAP-EXIT
039300             GO TO A200-PROGRAM-CONTROL.
039400*
039500     IF  MBMFIO-FILE-IS-MMSR
039600         CONTINUE
039700     ELSE
039800         GO TO A350-READ-NEXT-MBMF
039900     END-IF.
040000*
040100     MOVE MBMFIO-VAR-DATA        TO MMSR-RECORD.
040200*
040300     IF  MMSR-KEY IS LESS THAN WS-MMSR-BEG-KEY
040400         GO TO A350-READ-NEXT-MBMF
040500     END-IF.
040600*
040700     IF  MMSR-KEY IS GREATER THAN WS-MMSR-END-KEY
040800         PERFORM MB21PD-PRINT-A-PAGE
040900                                 THRU MB21PD-PAP-EXIT
041000         GO TO A200-PROGRAM-CONTROL
041100     END-IF.
041200*
041300     IF  MMSR-ORG IS EQUAL TO 999
041400         GO TO A350-READ-NEXT-MBMF.
041500*
041600     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
041700     GO TO A350-READ-NEXT-MBMF.
041800*
041900 A400-CHECK-READ-SWITCH.
042000*
042100     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
042200         MOVE '*** NO CONTROL CARDS ***'
042300                                 TO MB21WS-PP-COL44 (5 1)
042400         PERFORM MB21PD-PRINT-A-PAGE
042500                                 THRU MB21PD-PAP-EXIT.
042600*
042700     GO TO A600-CLOSE-FILES.
042800*
042900 A500-CONTROL-CARD-ERROR.
043000*
043100     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
043200     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
043300     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
043400     MOVE SPACE                  TO MB21WS-PP-LINE (4).
043500     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
043600     GO TO A200-PROGRAM-CONTROL.
043700*
043800 A600-CLOSE-FILES.
043900*
044000     EVALUATE TRUE
044100         WHEN  WS-BACKUP
044200             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
044300             SET MBMFRB-CLOSE    TO TRUE
044400             PERFORM MB00PD-MBMF-ACCESS
044500                                 THRU MB00PD-MBMF-ACCESS-EXIT
044600         WHEN  WS-MASTER
044700             MOVE 'C1SR'         TO SS02WS-ABEND-LOCATION
044800             SET MMSRRB-CLOSE    TO TRUE
044900             PERFORM MB00PD-MMSR-ACCESS
045000                                 THRU MB00PD-MMSR-ACCESS-EXIT
045100         WHEN  OTHER
045200             CONTINUE
045300     END-EVALUATE.
045400*
045500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
045600     SET MTCCRB-CLOSE            TO TRUE.
045700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
045800*
045900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
046000     SET MMSCRB-CLOSE            TO TRUE.
046100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
046200*
046300     PERFORM MB20PD-CLOSE-PRINT-FILES
046400                                 THRU MB20PD-CPF-EXIT.
046500*
046600     STOP RUN.
046700/
046800 B100-PRT-BEGIN.
046900*
047000     MOVE '**--- STORE RELATIONSHIP RECORD (MMSR)----**'
047100                                 TO MB21WS-PRINT-WORK-AREA.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT.
047400*
047500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
047600     MOVE 'ORG'                  TO MB21WS-NAME.
047700     MOVE MMSR-ORG               TO MB21WS-3V0.
047800     PERFORM MB21PD-INSERT-A-COLUMN
047900                                 THRU MB21PD-IAC-EXIT.
048000*
048100     MOVE 'CHAIN'                TO MB21WS-NAME.
048200     MOVE MMSR-CHAIN             TO MB21WS-9V0.
048300     PERFORM MB21PD-INSERT-A-COLUMN
048400                                 THRU MB21PD-IAC-EXIT.
048500*
048600     MOVE 'REC-STATUS'           TO MB21WS-NAME.
048700     MOVE MMSR-REC-STATUS        TO MB21WS-1V0.
048800     PERFORM MB21PD-INSERT-A-COLUMN
048900                                 THRU MB21PD-IAC-EXIT.
049000*
049100     MOVE 'ONLINE-STATUS'        TO MB21WS-NAME.
049200     MOVE MMSR-ONLINE-STATUS     TO MB21WS-2V0.
049300     PERFORM MB21PD-INSERT-A-COLUMN
049400                                 THRU MB21PD-IAC-EXIT.
049500*
049600     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
049700     MOVE MMSR-LAST-MAINT-DATE   TO SS01WS-JULIAN.
049800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
049900     MOVE MMSR-LAST-MAINT-DATE   TO MB21WS-JULIAN.
050000     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
050100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
050200     PERFORM MB21PD-INSERT-A-COLUMN
050300                                 THRU MB21PD-IAC-EXIT.
050400*
050500     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
050600     MOVE MMSR-LAST-MAINT-OPER   TO MB21WS-3X.
050700     PERFORM MB21PD-INSERT-A-COLUMN
050800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
050900*
051000     MOVE '*----------PRIMARY DEMOGRAPHICS------------*'
051100                                 TO MB21WS-PRINT-WORK-AREA.
051200     PERFORM MB21PD-INSERT-A-COLUMN
051300                                 THRU MB21PD-IAC-EXIT.
051400*
051500     MOVE 'GNA-NUMBER'           TO MB21WS-NAME.
051600     MOVE MMSR-GNA-NBR           TO MB21WS-19X.
051700     PERFORM MB21PD-INSERT-A-COLUMN
051800                                 THRU MB21PD-IAC-EXIT.
051900*
052000     PERFORM
052100         VARYING X-MMSR-NA FROM +1 BY +1
052200         UNTIL   X-MMSR-NA IS GREATER THAN +5
052300             SET WS-NAME-ADDR-LINE-NBR
052400                                 TO X-MMSR-NA
052500             MOVE WS-NAME-ADDR-LINES
052600                                 TO MB21WS-DATA-NAME
052700             PERFORM MB21PD-INSERT-A-COLUMN
052800                                 THRU MB21PD-IAC-EXIT
052900             MOVE MMSR-NA-LINE (X-MMSR-NA)
053000                                 TO MB21WS-X40
053100             PERFORM MB21PD-INSERT-A-COLUMN
053200                                 THRU MB21PD-IAC-EXIT
053300     END-PERFORM.
053400*
053500     MOVE 'NA-OVERFLOW-SW'       TO MB21WS-NAME.
053600     MOVE MMSR-NA-OVERFLOW-SW    TO MB21WS-X.
053700     PERFORM MB21PD-INSERT-A-COLUMN
053800                                 THRU MB21PD-IAC-EXIT.
053900*
054000     MOVE 'COUNTRY-CODE'         TO MB21WS-NAME.
054100     MOVE MMSR-COUNTRY-CODE      TO MB21WS-3X.
054200     PERFORM MB21PD-INSERT-A-COLUMN
054300                                 THRU MB21PD-IAC-EXIT.
054400*
054500     MOVE 'STATE-CODE'           TO MB21WS-NAME.
054600     MOVE MMSR-STATE-CODE        TO MB21WS-3X.
054700     PERFORM MB21PD-INSERT-A-COLUMN
054800                                 THRU MB21PD-IAC-EXIT.
054900*
055000     MOVE 'POSTAL-CODE'          TO MB21WS-NAME.
055100     MOVE MMSR-POSTAL-CODE       TO MB21WS-10X.
055200     PERFORM MB21PD-INSERT-A-COLUMN
055300                                 THRU MB21PD-IAC-EXIT.
055400*
055500     MOVE 'PHONE'                TO MB21WS-NAME.
055600     MOVE MMSR-PHONE             TO MB21WS-20X.
055700     PERFORM MB21PD-INSERT-A-COLUMN
055800                                 THRU MB21PD-IAC-EXIT.
055900*
056000     MOVE 'FAX'                  TO MB21WS-NAME.
056100     MOVE MMSR-FAX               TO MB21WS-20X.
056200     PERFORM MB21PD-INSERT-A-COLUMN
056300                                 THRU MB21PD-IAC-EXIT 2 TIMES
056400*
056500     MOVE '*-- CHAIN PROCESSING OPTIONS/STATIC DATA --*'
056600                                 TO MB21WS-PRINT-WORK-AREA.
056700     MOVE '*---------STATISTICS CONTROL AREA----------*'
056800                                 TO MB21WS-PRINT-WORK-AREA.
056900     PERFORM MB21PD-INSERT-A-COLUMN
057000                                 THRU MB21PD-IAC-EXIT.
057100*
057200     PERFORM
057300         VARYING X-MMSR FROM +1 BY +1
057400         UNTIL   X-MMSR IS GREATER THAN +18
057500         SET WS-STATS-OCCUR-NBR  TO X-MMSR
057600         MOVE WS-STATS-OCCUR-LIT TO MB21WS-DATA-NAME
057700         PERFORM MB21PD-INSERT-A-COLUMN
057800                                 THRU MB21PD-IAC-EXIT
057900         MOVE 'OCCURRENCE-ID'    TO MB21WS-NAME
058000         MOVE MMSR-OCCURRENCE-ID (X-MMSR)
058100                                 TO MB21WS-3X
058200         PERFORM MB21PD-INSERT-A-COLUMN
058300                                 THRU MB21PD-IAC-EXIT
058400         MOVE 'OCCURRENCE-YEAR'  TO MB21WS-NAME
058500         MOVE MMSR-OCCURRENCE-YEAR (X-MMSR)
058600                                 TO MB21WS-4V0
058700         PERFORM MB21PD-INSERT-A-COLUMN
058800                                 THRU MB21PD-IAC-EXIT
058900     END-PERFORM.
059000*
059100     PERFORM MB21PD-INSERT-A-COLUMN
059200                                 THRU MB21PD-IAC-EXIT.
059300*
059400 B999-PRT-EXIT.
059500     EXIT.
059600*
059700 B200-PRINT-HEADER.
059800*
059900     MOVE 'HEADER RECORD (MMSR-)'
060000                                 TO MB21WS-NAME.
060100     PERFORM MB21PD-INSERT-A-COLUMN
060200                                 THRU MB21PD-IAC-EXIT.
060300*
060400     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
060500     MOVE 'ORG'                  TO MB21WS-NAME.
060600     MOVE MMSRIO-ORG             TO MB21WS-3V0.
060700     PERFORM MB21PD-INSERT-A-COLUMN
060800                                 THRU MB21PD-IAC-EXIT.
060900*
061000     MOVE 'CHAIN NBR'            TO MB21WS-NAME.
061100     MOVE MMSRIO-CHAIN           TO MB21WS-9V0.
061200     PERFORM MB21PD-INSERT-A-COLUMN
061300                                 THRU MB21PD-IAC-EXIT.
061400*
061500     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
061600     MOVE MMSRIO-DATE-STAMP      TO SS01WS-JULIAN.
061700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
061800     MOVE MMSRIO-DATE-STAMP      TO MB21WS-JULIAN.
061900     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
062000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
062100     PERFORM MB21PD-INSERT-A-COLUMN
062200                                 THRU MB21PD-IAC-EXIT.
062300*
062400     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
062500     MOVE MMSRIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
062600     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
062700                                 THRU SS27PD-NET-EXIT.
062800     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
062900     PERFORM MB21PD-INSERT-A-COLUMN
063000                                 THRU MB21PD-IAC-EXIT.
063100*
063200     PERFORM MB21PD-PRINT-A-PAGE
063300                                 THRU MB21PD-PAP-EXIT.
063400*
063500 B200-PH-EXIT.
063600     EXIT.
063700/
063800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
063900*                          COMMON ROUTINES                      *
064000* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
064100*
064200     COPY SS02PD.
064300/
064400     COPY SS08PD.
064500/
064600     COPY SS16PD.
064700/
064800     COPY SS26PD.
064900/
065000     COPY SS27PD.
065100/
065200     COPY MB20PD.
065300/
065400     COPY MB21PD.
065500/
065600     COPY MB99PD.
065700/
065800     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
065900/
066000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
066100/
066200     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
066300/
066400     COPY MB00PD REPLACING ==:MB00:== BY ==MMSR==.
