000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU927.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*        MBU927 - STORE RELATIONSHIP DETAIL FILE (MMSD)         *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002500/
002600     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
002700/
002800     COPY MBMFIO.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MBMFRL.
003300/
003400     COPY MMSCIO.
003500/
003600     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
003700/
003800     COPY MMSCRL.
003900/
004000     COPY MMSDIO REPLACING ==:MMSD:== BY ==MMSD==.
004100/
004200     COPY MB00RB REPLACING ==:MB00:== BY ==MMSD==.
004300/
004400     COPY MMSDRL REPLACING ==:MMSD:== BY ==MMSD==.
004500/
004600     COPY MBU999WS.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB21WS.
005300/
005400     COPY MB99WS.
005500/
005600     COPY SS00WS.
005700/
005800     COPY SS01WS.
005900/
006000     COPY SS02WS.
006100/
006200 01  WS-WORK-AREAS.
006300     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU927'.
006400     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006500*
006600     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
006700         88  WS-BACKUP                       VALUE 'BACKUP'.
006800         88  WS-MASTER                       VALUE 'MASTER'.
006900*
007000     03  WS-MMSD-BEG-KEY.
007100         05  WS-BEG-ORG-CHAIN.
007200             07  WS-BEG-ORG  PIC  9(03).
007300             07  WS-BEG-CHAIN
007400                             PIC  9(09).
007500         05  WS-BEG-SEQ-NBR  PIC S9(04)      BINARY VALUE ZEROES.
007600*
007700     03  WS-MMSD-END-KEY.
007800         05  WS-END-ORG-CHAIN.
007900             07  WS-END-ORG  PIC  9(03).
008000             07  WS-END-CHAIN
008100                             PIC  9(09).
008200*
008300     03  WS-MEMBER-TABLE-LINES.
008400         05  FILLER          PIC  X(19)      VALUE
008500             '***** MEMBER TABLE '.
008600         05  WS-MEMBER-TABLE-LINE-NBR
008700                             PIC  9(03).
008800         05  FILLER          PIC  X(06)      VALUE
008900             ' *****'.
009000*
009100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
009200/
009300 PROCEDURE DIVISION.
009400*
009500 A000-DRIVER.
009600*
009700     MOVE 'MBU927'               TO SS02WS-ABEND-PROG-ID
009800                                    MBU999WS-PROGRAM-ID.
009900*
010000     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
010100*
010200     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
010300     MOVE 'T927'                 TO MB20WS-SH-INTERNAL-RPT-ID.
010400     MOVE '  STORE RELATIONSHIP DISPLAY  '
010500                                 TO MB20WS-SH-RPT-NAME.
010600     MOVE SPACES                 TO MB20WS-SH-LIT-1
010700                                    MB20WS-SH-LIT-5
010800                                    MB20WS-SH-L4
010900                                    MB20WS-SH-L5
011000                                    MB20WS-SH-L6.
011100     PERFORM MB21PD-PAP-RESET-INDEXES
011200                                 THRU MB21PD-PAP-EXIT.
011300*
011400 A100-OPEN-FILES.
011500*
011600     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
011700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
011800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
011900     SET MTCCRB-OPEN-INPUT       TO TRUE.
012000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012100*
012200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
012300     SET MMSCRB-OPEN-INPUT       TO TRUE.
012400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012500*
012600     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
012700     SET MMSCRB-READ-SEQ         TO TRUE.
012800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
012900     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
013000*
013100     IF  MMSCIO-HEADER
013200         NEXT SENTENCE
013300     ELSE
013400         PERFORM MB99PD-MISSING-HEADER-ABEND
013500            THRU MB99PD-MHA-EXIT.
013600*
013700     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
013800*
013810     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
013900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
014000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
014100     MOVE SS01WS-XX-XX-YYYY      TO MB20WS-SH-FILE-DATE.
014200     MOVE MMSC-TIME-STAMP        TO SS01WS-TIME-HHMMSS.
014300     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
014400                                 THRU SS27PD-NET-EXIT.
014500     MOVE SS01WS-HH-MM-SS        TO MB20WS-SH-PROC-TIME.
014600*
014700     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
014800     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
014900     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
015000     MOVE 99                     TO MB20WS-LINE-LIMIT.
015100     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
015200     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
015400*
015500     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION
015600     SET MTCCRB-READ-SEQ         TO TRUE
015700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT
015800*
015900     IF  SS02WS-FS-END-OF-FILE
016000         GO TO A400-CHECK-READ-SWITCH
016100     END-IF.
016200*
016300     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
016400         GO TO A200-PROGRAM-CONTROL
016500     END-IF.
016600*
016700     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
016800*
016900     IF  MTCC-MBU9XX-BACKUP
017000         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
017100         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
017200         SET MBMFRB-OPEN-INPUT   TO TRUE
017300         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
017400         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
017500         SET MBMFRB-READ-SEQ     TO TRUE
017600         MOVE SS02WS-NO-RECORD-FOUND
017700                                 TO MBMFRB-PERM-STATUS-3
017800         MOVE SS02WS-END-OF-FILE
017900                                 TO MBMFRB-PERM-STATUS-4
018000         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
018100     ELSE
018200         MOVE 'O1SD'             TO SS02WS-ABEND-LOCATION
018300         SET MMSDRB-OPEN-INPUT   TO TRUE
018400         PERFORM MB00PD-MMSD-ACCESS THRU MB00PD-MMSD-ACCESS-EXIT
018500         MOVE 'R1SD'             TO SS02WS-ABEND-LOCATION
018600         SET MMSDRB-READ-SEQ     TO TRUE
018700         MOVE SS02WS-NO-RECORD-FOUND
018800                                 TO MMSDRB-PERM-STATUS-3
018900         MOVE SS02WS-END-OF-FILE
019000                                 TO MMSDRB-PERM-STATUS-4
019100         PERFORM MB00PD-MMSD-ACCESS THRU MB00PD-MMSD-ACCESS-EXIT
019200         GO TO A130-PRINT-HR-RECORD
019300     END-IF.
019400*
019500     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019600*
019700     IF  MBMFIO-FILE-IS-HEADER
019800         NEXT SENTENCE
019900     ELSE
020000         PERFORM MB99PD-MISSING-HEADER-ABEND
020100            THRU MB99PD-MHA-EXIT.
020200*
020300     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020400*
020500     SET X-MBMF-FILE             TO 1.
020600*
020700 A110-SEARCH-HEADER-TABLE-LOOP.
020800*
020900     IF  X-MBMF-FILE IS GREATER THAN 37
021000         MOVE 'MMSD'             TO MB99WS-FILE-ID
021100         PERFORM MB99PD-NOT-ON-BACKUP
021200            THRU MB99PD-NOB-EXIT.
021300*
021400*
021500     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'SD'
021600         CONTINUE
021700     ELSE
021800         SET X-MBMF-FILE         UP BY 1
021900         GO TO A110-SEARCH-HEADER-TABLE-LOOP
022000     END-IF.
022100*
022200 A120-READ-MBMF-LOOP.
022300*
022400     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022500     SET MBMFRB-READ-SEQ         TO TRUE.
022600     MOVE SS02WS-NO-RECORD-FOUND
022700                                 TO MBMFRB-PERM-STATUS-3.
022800     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
022900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
023000*
023100     IF  SS02WS-FS-END-OF-FILE
023200         GO TO A200-PROGRAM-CONTROL
023300     END-IF.
023400*
023500     IF  MBMFIO-FILE-IS-MMSD
023600         CONTINUE
023700     ELSE
023800         GO TO A120-READ-MBMF-LOOP
023900     END-IF.
024000*
024100 A130-PRINT-HR-RECORD.
024200*
024300     IF  WS-BACKUP
024400         MOVE MBMFIO-VAR-DATA    TO MMSDIO-RECORD
024500     END-IF.
024600*
024700     MOVE 'MMSD'                 TO MB99WS-FILE-ID.
024800*
024900     IF  MMSDIO-HEADER
025000         PERFORM B200-PRINT-HEADER
025100                                 THRU B200-PH-EXIT
025200     ELSE
025300         PERFORM MB99PD-MISSING-HEADER-ABEND
025400            THRU MB99PD-MHA-EXIT.
025500*
025600     MOVE MMSDIO-RECORD          TO MMSD-RECORD.
025700*
025800 A200-PROGRAM-CONTROL.
025900*
026000     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
026100         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
026200     ELSE
026300         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
026400             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026500             GO TO A210-PC-BY-FIRST-READ.
026600*
026700     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
026800     SET MTCCRB-READ-SEQ         TO TRUE.
026900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
027000*
027100     IF  SS02WS-FS-END-OF-FILE
027200         GO TO A400-CHECK-READ-SWITCH
027300     END-IF.
027400*
027500 A210-PC-BY-FIRST-READ.
027600*
027700     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
027800         GO TO A200-PROGRAM-CONTROL
027900     END-IF.
028000*
028100     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
028200*
028300 A300-RANGE-CARD.
028400*
028500     MOVE 'Y'                    TO WS-CARD-READ-SW.
028600     INSPECT MTCC-MBU927-BEG-X   REPLACING ALL SPACE BY ZERO.
028700*
028800     IF  MTCC-MBU927-END-X IS EQUAL TO SPACES
028900         MOVE MTCC-MBU927-BEG-X  TO MTCC-MBU927-END-X
029000     END-IF.
029100*
029200     INSPECT MTCC-MBU927-END-X   REPLACING ALL SPACE BY ZERO.
029300*
029400     MOVE MTCC-MBU927-BEG-ORG    TO WS-BEG-ORG.
029500     MOVE MTCC-MBU927-BEG-CHAIN  TO WS-BEG-CHAIN.
029600*
029700     MOVE MTCC-MBU927-END-ORG    TO WS-END-ORG.
029800     MOVE MTCC-MBU927-END-CHAIN  TO WS-END-CHAIN.
029900*
030000     IF  WS-BACKUP
030100         GO TO A350-READ-NEXT-MBMF
030200     END-IF.
030300*
030400     MOVE WS-MMSD-BEG-KEY        TO MMSDIO-KEY.
030500*
030600     MOVE 'S1SD'                 TO SS02WS-ABEND-LOCATION.
030700     SET  MMSDRB-START-GTE       TO TRUE.
030800     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
030900*
031000     IF  SS02WS-FS-NO-RECORD-FOUND
031100         GO TO A500-CONTROL-CARD-ERROR
031200     END-IF.
031300*
031400 A350-READ-NEXT.
031500*
031600     MOVE 'R2MM'                 TO SS02WS-ABEND-LOCATION.
031700     SET  MMSDRB-READ-SEQ        TO TRUE.
031800     PERFORM MB00PD-MMSD-ACCESS  THRU MB00PD-MMSD-ACCESS-EXIT.
031900*
032000     IF  SS02WS-FS-END-OF-FILE
032100         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032200             GO TO A200-PROGRAM-CONTROL
032300         ELSE
032400             PERFORM MB21PD-PRINT-A-PAGE
032500                                 THRU MB21PD-PAP-EXIT
032600             GO TO A200-PROGRAM-CONTROL.
032700*
032800     IF  MMSDIO-ORG-CHAIN IS GREATER THAN WS-MMSD-END-KEY
032900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
033000             GO TO A200-PROGRAM-CONTROL
033100         ELSE
033200             PERFORM MB21PD-PRINT-A-PAGE
033300                                 THRU MB21PD-PAP-EXIT
033400             GO TO A200-PROGRAM-CONTROL.
033500*
033600     IF  MMSDIO-HEADER
033700     OR  MMSDIO-TRAILER
033800         GO TO A350-READ-NEXT.
033900*
034000     MOVE MMSDIO-RECORD          TO MMSD-RECORD.
034100*
034200     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
034300     GO TO A350-READ-NEXT.
034400*
034500 A350-READ-NEXT-MBMF.
034600*
034700     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034800     SET  MBMFRB-READ-SEQ        TO TRUE.
034900     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
035000*
035100     IF  SS02WS-FS-NO-RECORD-FOUND
035200         GO TO A500-CONTROL-CARD-ERROR
035300     END-IF.
035400*
035500     IF  SS02WS-FS-END-OF-FILE
035600         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035700             GO TO A200-PROGRAM-CONTROL
035800         ELSE
035900             PERFORM MB21PD-PRINT-A-PAGE
036000                                 THRU MB21PD-PAP-EXIT
036100             GO TO A200-PROGRAM-CONTROL.
036200*
036300     IF  MBMFIO-FILE-IS-MMSD
036400         CONTINUE
036500     ELSE
036600         GO TO A350-READ-NEXT-MBMF
036700     END-IF.
036800*
036900     MOVE MBMFIO-VAR-DATA        TO MMSD-RECORD.
037000*
037100     IF  MMSD-KEY IS LESS THAN WS-MMSD-BEG-KEY
037200         GO TO A350-READ-NEXT-MBMF
037300     END-IF.
037400*
037500     IF  MMSD-ORG-CHAIN IS GREATER THAN WS-MMSD-END-KEY
037600         PERFORM MB21PD-PRINT-A-PAGE
037700                                 THRU MB21PD-PAP-EXIT
037800         GO TO A200-PROGRAM-CONTROL
037900     END-IF.
038000*
038100     IF  MMSD-ORG IS EQUAL TO 999
038200         GO TO A350-READ-NEXT-MBMF.
038300*
038400     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038500     GO TO A350-READ-NEXT-MBMF.
038600*
038700 A400-CHECK-READ-SWITCH.
038800*
038900     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
039000         MOVE '*** NO CONTROL CARDS ***'
039100                                 TO MB21WS-PP-COL44 (5 1)
039200         PERFORM MB21PD-PRINT-A-PAGE
039300                                 THRU MB21PD-PAP-EXIT.
039400*
039500     GO TO A600-CLOSE-FILES.
039600*
039700 A500-CONTROL-CARD-ERROR.
039800*
039900     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
040000     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
040100     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
040200     MOVE SPACE                  TO MB21WS-PP-LINE (4).
040300     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
040400     GO TO A200-PROGRAM-CONTROL.
040500*
040600 A600-CLOSE-FILES.
040700*
040800     IF  X-MBMF-FILE IS GREATER THAN 75
040900     EVALUATE TRUE
041000         WHEN  WS-BACKUP
041100             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
041200             SET MBMFRB-CLOSE    TO TRUE
041300             PERFORM MB00PD-MBMF-ACCESS
041400                                 THRU MB00PD-MBMF-ACCESS-EXIT
041500         WHEN  WS-MASTER
041600             MOVE 'C1SD'         TO SS02WS-ABEND-LOCATION
041700             SET MMSDRB-CLOSE    TO TRUE
041800             PERFORM MB00PD-MMSD-ACCESS
041900                                 THRU MB00PD-MMSD-ACCESS-EXIT
042000         WHEN  OTHER
042100             CONTINUE
042200     END-EVALUATE.
042300*
042400     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042500     SET MTCCRB-CLOSE            TO TRUE.
042600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042700*
042800     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
042900     SET MMSCRB-CLOSE            TO TRUE.
043000     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
043100*
043200     PERFORM MB20PD-CLOSE-PRINT-FILES
043300                                 THRU MB20PD-CPF-EXIT.
043400*
043500     STOP RUN.
043600/
043700 B100-PRT-BEGIN.
043800*
043900     MOVE '**--- STORE RELATIONSHIP DETAIL (MMSD) ---**'
044000                                 TO MB21WS-PRINT-WORK-AREA.
044100     PERFORM MB21PD-INSERT-A-COLUMN
044200                                 THRU MB21PD-IAC-EXIT.
044300*
044400     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
044500     MOVE 'ORG'                  TO MB21WS-NAME.
044600     MOVE MMSD-ORG               TO MB21WS-3V0.
044700     PERFORM MB21PD-INSERT-A-COLUMN
044800                                 THRU MB21PD-IAC-EXIT.
044900*
045000     MOVE 'CHAIN'                TO MB21WS-NAME.
045100     MOVE MMSD-CHAIN             TO MB21WS-9V0.
045200     PERFORM MB21PD-INSERT-A-COLUMN
045300                                 THRU MB21PD-IAC-EXIT.
045400*
045500     MOVE 'SEQUENCE NBR'         TO MB21WS-NAME.
045600     MOVE MMSD-SEQ-NBR           TO MB21WS-5V0.
045700     PERFORM MB21PD-INSERT-A-COLUMN
045800                                 THRU MB21PD-IAC-EXIT.
045900*
046000     MOVE 'REC-STATUS'           TO MB21WS-NAME.
046100     MOVE MMSD-REC-STATUS        TO MB21WS-1V0.
046200     PERFORM MB21PD-INSERT-A-COLUMN
046300                                 THRU MB21PD-IAC-EXIT.
046400*
046500     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
046600     MOVE MMSD-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
046800     MOVE MMSD-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046900     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
047000     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
047100     PERFORM MB21PD-INSERT-A-COLUMN
047200                                 THRU MB21PD-IAC-EXIT.
047300*
047400     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
047500     MOVE MMSD-LAST-MAINT-OPER   TO MB21WS-3X.
047600     PERFORM MB21PD-INSERT-A-COLUMN
047700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
047800*
047900     MOVE 'NBR OF MEMBERS'       TO MB21WS-NAME.
048000     MOVE MMSD-NBR-OF-MEMBERS    TO MB21WS-3V0.
048100     PERFORM MB21PD-INSERT-A-COLUMN
048200                                 THRU MB21PD-IAC-EXIT 2 TIMES.
048300*
048400     MOVE '*----------- MEMBER TABLE AREA ------------*'
048500                                 TO MB21WS-PRINT-WORK-AREA.
048600     PERFORM MB21PD-INSERT-A-COLUMN
048700                                 THRU MB21PD-IAC-EXIT.
048800*
048900     PERFORM
049000         VARYING X-MMSD-MEMBER FROM +1 BY +1
049100         UNTIL   X-MMSD-MEMBER IS GREATER THAN +800
049200         SET WS-MEMBER-TABLE-LINE-NBR
049300                                 TO X-MMSD-MEMBER
049400         MOVE WS-MEMBER-TABLE-LINES
049500                                 TO MB21WS-DATA-NAME
049600         MOVE MMSD-MEMBER (X-MMSD-MEMBER)
049700                                 TO MB21WS-9V0
049800         PERFORM MB21PD-INSERT-A-COLUMN
049900                                 THRU MB21PD-IAC-EXIT
050000     END-PERFORM.
050100*
050200     PERFORM MB21PD-INSERT-A-COLUMN
050300                                 THRU MB21PD-IAC-EXIT.
050400*
050500 B999-PRT-EXIT.
050600     EXIT.
050700*
050800 B200-PRINT-HEADER.
050900*
051000     MOVE 'HEADER RECORD (MMSD-)'
051100                                 TO MB21WS-NAME.
051200     PERFORM MB21PD-INSERT-A-COLUMN
051300                                 THRU MB21PD-IAC-EXIT.
051400*
051500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
051600     MOVE 'ORG'                  TO MB21WS-NAME.
051700     MOVE MMSDIO-ORG             TO MB21WS-3V0.
051800     PERFORM MB21PD-INSERT-A-COLUMN
051900                                 THRU MB21PD-IAC-EXIT.
052000*
052100     MOVE 'CHAIN NBR'            TO MB21WS-NAME.
052200     MOVE MMSDIO-CHAIN           TO MB21WS-9V0.
052300     PERFORM MB21PD-INSERT-A-COLUMN
052400                                 THRU MB21PD-IAC-EXIT.
052500*
052600     MOVE 'SEQUENCE NBR'         TO MB21WS-NAME.
052700     MOVE MMSDIO-SEQ-NBR         TO MB21WS-5V0.
052800     PERFORM MB21PD-INSERT-A-COLUMN
052900                                 THRU MB21PD-IAC-EXIT.
053000*
053100     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
053200     MOVE MMSDIO-DATE-STAMP      TO SS01WS-JULIAN.
053300     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
053400     MOVE MMSDIO-DATE-STAMP      TO MB21WS-JULIAN.
053500     MOVE SS01WS-XX-XX-YYYY      TO MB21WS-GREG.
053600     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
053700     PERFORM MB21PD-INSERT-A-COLUMN
053800                                 THRU MB21PD-IAC-EXIT.
053900*
054000     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
054100     MOVE MMSDIO-TIME-STAMP      TO SS01WS-TIME-HHMMSS.
054200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
054300                                 THRU SS27PD-NET-EXIT.
054400     MOVE SS01WS-HH-MM-SS        TO MB21WS-TIME.
054500     PERFORM MB21PD-INSERT-A-COLUMN
054600                                 THRU MB21PD-IAC-EXIT.
054700*
054800     PERFORM MB21PD-PRINT-A-PAGE
054900                                 THRU MB21PD-PAP-EXIT.
055000*
055100 B200-PH-EXIT.
055200     EXIT.
055300/
055400* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055500*                          COMMON ROUTINES                      *
055600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
055700*
055800     COPY SS02PD.
055900/
056000     COPY SS08PD.
056100/
056200     COPY SS16PD.
056300/
056400     COPY SS26PD.
056500/
056600     COPY SS27PD.
056700/
056800     COPY MB20PD.
056900/
057000     COPY MB21PD.
057100/
057200     COPY MB99PD.
057300/
057400     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
057500/
057600     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
057700/
057800     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
057900/
058000     COPY MB00PD REPLACING ==:MB00:== BY ==MMSD==.
