000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID.      MBU999CC.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*   MBU999CC  -  SELECTED CONTROL CARDS SORT                    *
000800*                                                               *
000900*****************************************************************
001000 ENVIRONMENT DIVISION.
001100 CONFIGURATION SECTION.
001200 SOURCE-COMPUTER.            IBM-4341.
001300 OBJECT-COMPUTER.            IBM-4341.
001400/
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001700*
001800     COPY MS1SES.
001900/
002000 DATA DIVISION.
002100 FILE SECTION.
002200*
002300     COPY MS1SSD.
002400 01  MS1S-RECORD.
002500     03  MS1S-SORT-KEY-1.
002600         05  MS1S-CC-ID      PIC  X(01).
002700         05  MS1S-SEQ        PIC S9(17)      COMP-3.
002800     03  MS1S-MTCC-RECORD.
002900         05  MS1S-SORT-KEY-3 PIC  X(80).
003000         05  MS1S-SORT-KEY-2 PIC  X(06).
003100/
003200 WORKING-STORAGE SECTION.
003300*
003400 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003500*
003600 01  WS-U999CC-WORK-AREAS.
003700     03  WS-U999CC-SEQ       PIC S9(17)      COMP-3 VALUE ZERO.
003800*
003900     COPY MB00RB REPLACING ==:MB00:== BY ==MS1S==.
004000/
004100     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
004200/
004300     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
004400/
004500     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004600/
004700     COPY MB00WS.
004800/
004900     COPY SS00WS.
005000/
005100     COPY SS02WS.
005200*
005300 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
005400/
005500 LINKAGE SECTION.
005600*
005700     COPY MBU999WS.
005800/
005900 PROCEDURE DIVISION USING MBU999WS-AREA.
006000*
006100 0000-MAIN-LINE SECTION.
006200 0010-ML-BEGIN.
006300*
006400     MOVE 'MBU999CC'             TO SS02WS-ABEND-PROG-ID.
006500     MOVE ZERO                   TO WS-U999CC-SEQ.
006600*
006700     SORT MS1S-SORT-FILE ON ASCENDING KEY MS1S-SORT-KEY-1
006800                                          MS1S-SORT-KEY-2
006900                                          MS1S-SORT-KEY-3
007000          INPUT  PROCEDURE IS 1000-CC-INPUT-SECT
007100          OUTPUT PROCEDURE IS 2000-CC-OUTPUT-SECT.
007200*
007300     PERFORM SS98PD-VERIFY-SORT-RETURN
007400        THRU SS98PD-VSR-EXIT.
007500*
007600     GOBACK.
007700*
007800 0999-ML-EXIT.
007900     EXIT.
008000/
008100 1000-CC-INPUT-SECT SECTION.
008200 1010-CCI-BEGIN.
008300*
008400     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
008500     SET MTCCRB-OPEN-INPUT       TO TRUE.
008600     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
008700*
008800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
008900*
009000 1100-CCI-READ-MTCC.
009100*
009200     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
009300     SET MTCCRB-READ-SEQ         TO TRUE.
009400     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
009500*
009600     IF  SS02WS-FS-END-OF-FILE
009700         GO TO 1900-CCI-CLOSE-FILES.
009800*
009900     MOVE MTCCIO-RECORD          TO MTCC-RECORD.
010000*
010100     IF  MBU999WS-PROGRAM-ID IS EQUAL TO MTCC-PROGRAM-ID
010200         MOVE '1'                TO MS1S-CC-ID
010300         MOVE ZERO               TO MS1S-SEQ
010400     ELSE
010500         ADD  1                  TO WS-U999CC-SEQ
010600         MOVE ZERO               TO MS1S-CC-ID
010700         MOVE WS-U999CC-SEQ      TO MS1S-SEQ.
010800*
010900     MOVE MTCC-RECORD            TO MS1S-MTCC-RECORD.
011000     RELEASE MS1S-RECORD.
011100     GO TO 1100-CCI-READ-MTCC.
011200*
011300 1900-CCI-CLOSE-FILES.
011400*
011500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
011600     SET MTCCRB-CLOSE            TO TRUE.
011700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
011800*
011900 1999-CCI-EXIT.
012000     EXIT.
012100/
012200 2000-CC-OUTPUT-SECT SECTION.
012300 2010-CCO-BEGIN.
012400*
012500     MOVE 'O2CC'                 TO SS02WS-ABEND-LOCATION.
012600     SET MTCCRB-OPEN-OUTPUT      TO TRUE.
012700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
012800*
012900     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
013000*
013100 2100-CCO-RETURN-SORT.
013200*
013300     RETURN MS1S-SORT-FILE
013400         AT END
013500             GO TO 2900-CCO-CLOSE-FILES.
013600*
013700     MOVE MS1S-MTCC-RECORD       TO MTCCIO-RECORD.
013800*
013900     MOVE 'W1CC'                 TO SS02WS-ABEND-LOCATION.
014000     SET MTCCRB-WRITE            TO TRUE.
014100     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
014200*
014300     GO TO 2100-CCO-RETURN-SORT.
014400*
014500 2900-CCO-CLOSE-FILES.
014600*
014700     MOVE 'C2CC'                 TO SS02WS-ABEND-LOCATION.
014800     SET MTCCRB-CLOSE            TO TRUE.
014900     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
015000*
015100 2999-CCO-EXIT.
015200     EXIT.
015300/
015400 9000-PERFORMED-ROUTINES SECTION.
015500*
015600     COPY SS02PD.
015700/
015800     COPY SS98PD.
015900/
016000     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
