000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MTSHAB.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300******************************************************************
000400*                                                                *
000500*    ---------------MERCHANT BANKCARD SYSTEM---------------      *
000600*                                                                *
000700*          MTSHAB - MTSH FILE COMMON BATCH I/O ROUTINE           *
000800*                                                                *
000900*                VARIABLE LENGTH SEQUENTIAL FILE                 *
001000*                                                                *
001100*    ------SETTLEMENT AND STATEMENT HISTORY RECORD---------      *
001200*                                                                *
001300******************************************************************
001400*                                                                *
001500*    COPYBOOKS WHICH MUST APPEAR IN YOUR BATCH PROGRAM:          *
001600*                                                                *
001700*    (WS) MB00RB - BATCH REQUEST BLOCK                           *
001800*    (WS) MTPTIO - I/O AREA                                      *
001900*    (WS) SS02WS - STANDARD ABEND ROUTINE WORK AREA              *
002000*    (PD) MB00PD - PROCEDURE DIVISION CALL STATEMENT             *
002100*                                                                *
002200******************************************************************
002300*                                                                *
002400*    TO USE THIS ROUTINE.........                                *
002500*                                                                *
002600* 1. HOUSEKEEPING DUTIES:                                        *
002700*                                                                *
002800*    A. IN THE HOUSEKEEPING SECTION OF YOUR PROGRAM, MOVE THE    *
002900*       NAME OF THE PROGRAM USING THIS ROUTINE TO THE FIELD      *
003000*       'SS02WS-ABEND-PROG-ID'. THIS FIELD IS USED AS PART OF THE*
003100*       STANDARD ABEND MESSAGES IF A PROGRAM ABORTS WITHIN THIS  *
003200*       ACCESS ROUTINE.  IF THE FIELD 'SS02WS-ABEND-PROG-ID' IS  *
003300*       LEFT BLANK, THIS ROUTINE WILL FORCE AN ABEND SITUATION.  *
003400*                                                                *
003500*    B. BEFORE PERFORMING THE ACCESS ROUTINE, MOVE A LITERAL TO  *
003600*       THE FIELD 'SS02WS-ABEND-LOCATION'. THIS FIELD CAN BE USED*
003700*       TO INDICATE WHERE THE ROUTINE IS BEING 'FROM' IN CASE    *
003800*       OF ABNORMAL TERMINATION. (E.G. DEBUGGING ASSISTANCE)     *
003900*                                                                *
004000*    C. SET THE RETURN CODES WHICH YOU WANT, FOR THE DURATION    *
004100*       OF THIS PROGRAM, TO BE CONSIDERED VALID IN THE FIELDS    *
004200*       'MTSHRB-PERM-STATUS-1 TO -5'. THESE FIELDS ARE INITIAL-  *
004300*       IZED TO ZERO (AS ZERO IS ALWAYS AN ACCEPTABLE RETURN     *
004400*       CODE).  THIS ROUTINE WILL (IN ALL I-O REQUESTS) SUCCESS- *
004500*       FULLY SATISFY YOUR PERFORM REQUEST IF ANY OF THE REQUESTS*
004600*       ENCOUNTER ANY OF THE PERMANENT STATUS CODES 1-5.         *
004700*                                                                *
004800* 2. SET ONE OF THE FOLLOWING CONDITION NAMES TO 'TRUE' TO SET   *
004900*    THE FILE REQUEST:                                           *
005000*                                                                *
005100*        CONDITION NAME                EXPLANATION               *
005200*   *----------------------***---------------------------------* *
005300*                                                                *
005400*    MTSHRB-OPEN-INPUT      - OPEN THE FILE AS INPUT.            *
005500*    MTSHRB-OPEN-OUTPUT     - OPEN THE FILE AS OUTPUT.           *
005600*    MTSHRB-OPEN-IO         - OPEN THE FILE AS I-O.              *
005700*    MTSHRB-READ-SEQ        - READ THE NEXT SEQUENTIAL RECORD    *
005800*                             IN THE FILE.                       *
005900*    MTSHRB-WRITE           - WRITE A RECORD (THE RECORD MUST    *
006000*                             BE IN 'MTSHIO-RECORD').            *
006100*    MTSHRB-REWRITE         - REWRITE A RECORD (THE RECORD MUST  *
006200*                             BE IN 'MTSHIO-RECORD').            *
006300*    MTSHRB-CLOSE           - CLOSE THE FILE.                    *
006400*                                                                *
006500* 3. SET ONE OR BOTH OF THE 'TEMPORARY' RETURN CODE FIELDS       *
006600*    'MTSHRB-TEMP-STATUS-1 AND -2'.  THESE TWO RETURN CODES      *
006700*    ARE TO BE USED ON A PER USE BASIS OF THIS ROUTINE.          *
006800*    THESE TWO RETURN CODES ARE INITIALIZED TO ZERO AND ARE      *
006900*    BOTH RESET TO ZERO AFTER EACH CALL OF THIS PROGRAM.         *
007000*    THE TEMPORARY RETURN CODE FIELDS ARE CHECKED FIRST AND      *
007100*    THEN THE PERMANENT RETURN CODES (POINT 1.C ABOVE) WILL      *
007200*    BE CHECKED.                                                 *
007300*                                                                *
007400* 4. PERFORM MB00PD-MTSH-ACCESS THRU MB00PD-MTSH-ACCESS-EXIT.    *
007500*                                                                *
007600*    A. YOU MUST HANDLE MANUALLY ANY RETURN CODE (EITHER TEMP    *
007700*       OR PERM) THAT YOU REQUESTED, AND IF NEEDED, YOUR OWN     *
007800*       ABEND REQUEST.                                           *
007900*                                                                *
008000*    B. ALL ACCESS ROUTINES MOVE THE FILE STATUS TO THE FIELD    *
008100*       SS02WS-FILE-STATUS IN COPYBOOK SS02WS. USE THE '88' LEVEL*
008200*       NAMES TO TEST YOUR MANUAL STATUS CHECKS.  ALSO IN COPY   *
008300*       BOOK SS02WS, USE THE 'WS-' FILE STATUS DATA NAMES WHEN   *
008400*       SETTING THE PERM OR TEMP FILE STATUS CODES PRIOR TO      *
008500*       PERFORMING THE ACCESS ROUTINE.                           *
008600*                                                                *
008700******************************************************************
008800/
008900 ENVIRONMENT DIVISION.
009000*
009100 CONFIGURATION SECTION.
009200 SOURCE-COMPUTER.            IBM-4341.
009300 OBJECT-COMPUTER.            IBM-4341.
009400*
009500 INPUT-OUTPUT SECTION.
009600*
009700 FILE-CONTROL.
009800*
009900     SELECT  MTSH-FILE
010000             ASSIGN              TO SYS002-UT-3380-S-MTSH
010100             FILE STATUS         IS WS-STATUS.
010200/
010300 DATA DIVISION.
010400*
010500 FILE SECTION.
010600*
010700 FD  MTSH-FILE
010800     RECORDING MODE IS V
010900     RECORD CONTAINS 273 TO 350 CHARACTERS
011000     BLOCK CONTAINS 0 CHARACTERS.
011100*
011200 01  MTSH-FD-MAX-RECORD.
011300     03  FILLER              PIC  X(350).
011400*
011500 01  MTSH-FD-RECORD.
011600     03  MTSH-FD-KEY         PIC  X(16).
011700     03  MTSH-FD-DATA        PIC  X(256).
011800     03  MTSH-FD-VAR-IND     PIC  9(01).
011900         88  MTSH-FD-VDI-NOT-PRESENT         VALUE ZERO.
012000         88  MTSH-FD-VDI-DEPOSIT-DATA        VALUE 1.
012100         88  MTSH-FD-VDI-FEE-DATA            VALUE 2.
012200         88  MTSH-FD-VDI-HEADER-DATA         VALUE 3.
012300     03  MTSH-FD-VAR-DATA                    OCCURS 0 TO 77 TIMES
012400                                             DEPENDING ON
012500                                             WS-DATA-LENGTH.
012600         05  MTSH-FD-VD-BYTE PIC  X(01).
012700*
012800*
012900/
013000 WORKING-STORAGE SECTION.
013100*
013200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
013300*
013400 01  FILLER                  PIC  X(18)      VALUE
013500     'FIRST CALL SWITCH:'.
013600*
013700 01  WS-FIRST-CALL-SW        PIC  X(01)      VALUE 'Y'.
013800     88  WS-FIRST-CALL-SW-IS-YES             VALUE 'Y'.
013900*
014000 01  FILLER                  PIC  X(12)      VALUE
014100     'FILE STATUS:'.
014200*
014300 01  WS-STATUS               PIC  X(02)      VALUE ZERO.
014400*
014500 01  FILLER                  PIC  X(12)      VALUE
014600     'I-O REQUEST:'.
014700*
014800 01  WS-IO-REQUEST           PIC  9(02)      VALUE ZERO.
014900*
015000 01  FILLER                  PIC  X(12)      VALUE
015100     'DATA LENGTH:'.
015200*
015300 01  WS-DATA-LENGTH          PIC S9(04)      BINARY
015400                                             VALUE ZERO.
015500     88  WS-MAXIMUM-DATA-LENGTH              VALUE +324.
015600*
015700 01  FILLER                  PIC  X(28)      VALUE
015800     'PROCESSING SUMMARY COUNTERS:'.
015900*
016000 01  WS-SUMMARY-COUNTERS.
016100     03  WS-SC-READS         PIC S9(09)      PACKED-DECIMAL
016200                                             VALUE ZERO.
016300     03  WS-SC-WRITES        PIC S9(09)      PACKED-DECIMAL
016400                                             VALUE ZERO.
016500     03  WS-SC-REWRITES      PIC S9(09)      PACKED-DECIMAL
016600                                             VALUE ZERO.
016700*
016800 01  FILLER                  PIC  X(27)      VALUE
016900     'PROCESSING SUMMARY MESSAGE:'.
017000*
017100 01  WS-SUMMARY-MESSAGE.
017200     03  FILLER              PIC  X(10)      VALUE '(PGMSTAT) '.
017300     03  WS-SM-PROG-ID       PIC  X(06)      VALUE SPACES.
017400     03  FILLER              PIC  X(03)      VALUE ' - '.
017500     03  WS-SM-FILE-ID       PIC  X(04)      VALUE 'MTSH'.
017600     03  FILLER              PIC  X(11)      VALUE ' - OPENED: '.
017700     03  WS-SM-ACCESS        PIC  X(03)      VALUE SPACES.
017800     03  FILLER              PIC  X(01)      VALUE SPACE.
017900     03  WS-SM-OPENED        PIC  X(06)      VALUE SPACES.
018000     03  FILLER              PIC  X(01)      VALUE SPACE.
018100     03  WS-SM-READS         PIC  ZZZZZZZZ9.
018200     03  FILLER              PIC  X(08)      VALUE ' READS, '.
018300     03  WS-SM-WRITES        PIC  ZZZZZZZZ9.
018400     03  FILLER              PIC  X(09)      VALUE ' WRITES, '.
018500     03  WS-SM-REWRITES      PIC  ZZZZZZZZ9.
018600     03  FILLER              PIC  X(09)      VALUE ' REWRITES'.
018700/
018800     COPY MTPTRL REPLACING ==:MTPT:== BY ==MTSH==.
018900/
019000     COPY SS00WS.
019100/
019200 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
019300/
019400 LINKAGE SECTION.
019500*
019600****************************
019700*    FILE REQUEST BLOCK    *
019800****************************
019900*
020000     COPY MB00RB REPLACING ==:MB00:== BY ==MTSH==.
020100*
020200******************
020300*    I/O AREA    *
020400******************
020500*
020600     COPY MTPTIO REPLACING ==:MTPT:== BY ==MTSH==.
020700*
020800*********************************
020900*    ABEND ROUTINE WORK AREA    *
021000*********************************
021100*
021200     COPY SS02WS.
021300/
021400 PROCEDURE DIVISION          USING MTSHRB-WORK-AREA,
021500                                   MTSHIO-RECORD,
021600                                   SS02WS-ABEND-WORK-AREA.
021700*
021800 A000-MAIN-LINE-SECTION.
021900*
022000*
022100******************************************
022200*    SET THE ABEND WORK AREA IF THIS     *
022300*    IS THE FIRST CALL OF THE PROGRAM    *
022400******************************************
022500*
022600     IF  WS-FIRST-CALL-SW-IS-YES
022700         PERFORM Z000-PROGRAM-INITIALIZATION
022800            THRU Z099-PI-EXIT.
022900*
023000**************************
023100*    PROCESS THE FILE    *
023200**************************
023300*
023400     PERFORM S000-SEQUENTIAL-ACCESS
023500        THRU S999-SA-EXIT.
023600*
023700************************************************
023800*    MOVE THE STATUS CODE TO ITS RESPECTIVE    *
023900*    FIELD IN COPYBOOK SS02WS.                 *
024000************************************************
024100*
024200     MOVE MTSHRB-STATUS          TO SS02WS-FILE-STATUS.
024300*
024400 A999-GOBACK.
024500*
024600     GOBACK.
024700/
024800 S000-SEQUENTIAL-ACCESS.
024900*
025000     GO TO S110-SA-OPEN-INPUT
025100           S120-SA-OPEN-OUTPUT
025200           S130-SA-OPEN-I-O
025300           S100-SA-INVALID-REQUEST
025400           S100-SA-INVALID-REQUEST
025500           S100-SA-INVALID-REQUEST
025600           S100-SA-INVALID-REQUEST
025700           S100-SA-INVALID-REQUEST
025800           S100-SA-INVALID-REQUEST
025900           S100-SA-INVALID-REQUEST
026000           S100-SA-INVALID-REQUEST
026100           S140-SA-READ-SEQ
026200           S100-SA-INVALID-REQUEST
026300           S150-SA-WRITE
026400           S160-SA-REWRITE
026500           S100-SA-INVALID-REQUEST
026600           S170-SA-CLOSE
026700           DEPENDING ON MTSHRB-IO-REQUEST.
026800*
026900 S100-SA-INVALID-REQUEST.
027000*
027100     MOVE MTSHRB-IO-REQUEST      TO SS02WS-ABEND-REQUEST.
027200     MOVE '- BAD I-O REQ - MTSH' TO SS02WS-ABENDMSG8.
027300     GO TO Z950-ABORT.
027400*
027500 S110-SA-OPEN-INPUT.
027600*
027700     OPEN INPUT MTSH-FILE.
027800*
027900     MOVE 'SEQ'                  TO WS-SM-ACCESS.
028000     MOVE 'INPUT'                TO WS-SM-OPENED.
028100     MOVE '- OPEN  ERROR - MTSH' TO SS02WS-ABENDMSG8.
028200     GO TO S900-SA-CHECK-STATUS.
028300*
028400 S120-SA-OPEN-OUTPUT.
028500*
028600     OPEN OUTPUT MTSH-FILE.
028700*
028800     MOVE 'SEQ'                  TO WS-SM-ACCESS.
028900     MOVE 'OUTPUT'               TO WS-SM-OPENED.
029000     MOVE '- OPEN  ERROR - MTSH' TO SS02WS-ABENDMSG8.
029100     GO TO S900-SA-CHECK-STATUS.
029200*
029300 S130-SA-OPEN-I-O.
029400*
029500     OPEN I-O MTSH-FILE.
029600*
029700     MOVE 'SEQ'                  TO WS-SM-ACCESS.
029800     MOVE 'I-O'                  TO WS-SM-OPENED.
029900     MOVE '- OPEN  ERROR - MTSH' TO SS02WS-ABENDMSG8.
030000     GO TO S900-SA-CHECK-STATUS.
030100*
030200 S140-SA-READ-SEQ.
030300*
030400     SET WS-MAXIMUM-DATA-LENGTH  TO TRUE.
030500     READ MTSH-FILE              INTO MTSHIO-RECORD.
030600*
030700     ADD 1                       TO WS-SC-READS.
030800     MOVE '- READ  ERROR - MTSH' TO SS02WS-ABENDMSG8.
030900     GO TO S900-SA-CHECK-STATUS.
031000*
031100 S150-SA-WRITE.
031200*
031300     MOVE MTSHIO-RECORD          TO MTSH-FD-MAX-RECORD.
031400*
031500     EVALUATE TRUE
031600         WHEN MTSH-FD-VAR-IND IS NOT NUMERIC
031700             MOVE ZERO           TO MTSH-FD-VAR-IND
031800             MOVE ZERO           TO WS-DATA-LENGTH
031900         WHEN MTSH-FD-VDI-DEPOSIT-DATA
032000             MOVE LENGTH OF MTSH-VD-DEPOSIT-DATA
032100                                 TO WS-DATA-LENGTH
032200         WHEN MTSH-FD-VDI-FEE-DATA
032300             MOVE LENGTH OF MTSH-VD-FEE-AREA
032400                                 TO WS-DATA-LENGTH
032500         WHEN MTSH-FD-VDI-HEADER-DATA
032600             MOVE LENGTH OF MTSH-VD-HEADER-TOTALS
032700                                 TO WS-DATA-LENGTH
032800         WHEN OTHER
032900             MOVE ZERO           TO MTSH-FD-VAR-IND
033000             MOVE ZERO           TO WS-DATA-LENGTH
033100     END-EVALUATE.
033200*
033300     WRITE MTSH-FD-RECORD.
033400*
033500     ADD 1                       TO WS-SC-WRITES.
033600     MOVE '- WRITE ERROR - MTSH' TO SS02WS-ABENDMSG8.
033700     GO TO S900-SA-CHECK-STATUS.
033800*
033900 S160-SA-REWRITE.
034000*
034100     MOVE MTSHIO-RECORD          TO MTSH-FD-MAX-RECORD.
034200*
034300     EVALUATE TRUE
034400         WHEN MTSH-FD-VAR-IND IS NOT NUMERIC
034500             MOVE ZERO           TO MTSH-FD-VAR-IND
034600             MOVE ZERO           TO WS-DATA-LENGTH
034700         WHEN MTSH-FD-VDI-DEPOSIT-DATA
034800             MOVE LENGTH OF MTSH-VD-DEPOSIT-DATA
034900                                 TO WS-DATA-LENGTH
035000         WHEN MTSH-FD-VDI-FEE-DATA
035100             MOVE LENGTH OF MTSH-VD-FEE-AREA
035200                                 TO WS-DATA-LENGTH
035300         WHEN MTSH-FD-VDI-HEADER-DATA
035400             MOVE LENGTH OF MTSH-VD-HEADER-TOTALS
035500                                 TO WS-DATA-LENGTH
035600         WHEN OTHER
035700             MOVE ZERO           TO MTSH-FD-VAR-IND
035800             MOVE ZERO           TO WS-DATA-LENGTH
035900     END-EVALUATE.
036000*
036100     REWRITE MTSH-FD-RECORD      FROM MTSHIO-RECORD.
036200*
036300     ADD 1                       TO WS-SC-REWRITES.
036400     MOVE '- REWRT ERROR - MTSH' TO SS02WS-ABENDMSG8.
036500     GO TO S900-SA-CHECK-STATUS.
036600*
036700 S170-SA-CLOSE.
036800*
036900     MOVE SPACE                  TO WS-FIRST-CALL-SW.
037000     CLOSE MTSH-FILE.
037100*
037200     PERFORM Z100-DISPLAY-THE-SUMMARY
037300        THRU Z199-DTS-EXIT.
037400*
037500     MOVE '- CLOSE ERROR - MTSH' TO SS02WS-ABENDMSG8.
037600     GO TO S900-SA-CHECK-STATUS.
037700*
037800 S900-SA-CHECK-STATUS.
037900*
038000     MOVE WS-STATUS              TO MTSHRB-STATUS.
038100*
038200     IF  MTSHRB-STATUS IS EQUAL  TO MTSHRB-TEMP-STATUS-1   OR
038300         MTSHRB-STATUS IS EQUAL  TO MTSHRB-TEMP-STATUS-2   OR
038400         MTSHRB-STATUS IS EQUAL  TO MTSHRB-PERM-STATUS-1   OR
038500         MTSHRB-STATUS IS EQUAL  TO MTSHRB-PERM-STATUS-2   OR
038600         MTSHRB-STATUS IS EQUAL  TO MTSHRB-PERM-STATUS-3   OR
038700         MTSHRB-STATUS IS EQUAL  TO MTSHRB-PERM-STATUS-4   OR
038800         MTSHRB-STATUS IS EQUAL  TO MTSHRB-PERM-STATUS-5
038900         MOVE ZERO               TO MTSHRB-TEMP-STATUS-1
039000         MOVE ZERO               TO MTSHRB-TEMP-STATUS-2
039100     ELSE
039200         GO TO Z900-ABORT.
039300*
039400 S999-SA-EXIT.
039500     EXIT.
039600/
039700 Z000-PROGRAM-INITIALIZATION.
039800*
039900************************************************************
040000*    THE CALLING PROGRAM MUST SUPPLY THE PROGRAM ID TO     *
040100*    ENSURE THAT ANY SUBSEQUENT ABEND CAN BE TRACED TO     *
040200*    IT.  IF THE PROGRAM ID IS NOT SUPPLIED, THE ACCESS    *
040300*    ROUTINE ABENDS HERE.                                  *
040400************************************************************
040500*
040600     IF  SS02WS-ABEND-PROG-ID IS EQUAL TO SPACES
040700         MOVE '- BAD PROG NAME - MTSH'
040800                                 TO SS02WS-ABENDMSG8
040900         MOVE 'BADPRO'           TO SS02WS-ABEND-PROG-ID
041000         GO TO Z950-ABORT.
041100*
041200     MOVE SS02WS-ABEND-PROG-ID   TO WS-SM-PROG-ID.
041300*
041400*************************************************************
041500*    SINCE THIS ROUTINE IS PERFORMED ONLY ONCE DURING       *
041600*    THE EXECUTION OF A CALLING PROGRAM, THE FIRST          *
041700*    REQUEST MUST BE FOR AN OPEN.  SET THE ACCESS METHOD    *
041800*    (SEQENTIAL, DYNAMIC, OR RANDOM), OR ISSUE AN ABEND     *
041900*    IF THE REQUEST IS NOT FOR AN OPEN.                     *
042000*************************************************************
042100*
042200     IF  MTSHRB-OPEN-INPUT    OR
042300         MTSHRB-OPEN-OUTPUT   OR
042400         MTSHRB-OPEN-IO
042500         MOVE 'N'                TO WS-FIRST-CALL-SW
042600     ELSE
042700         MOVE 'ILLEGAL ACCESS REQUEST'
042800                                 TO SS02WS-ABENDMSG8
042900         GO TO Z950-ABORT.
043000*
043100 Z099-PI-EXIT.
043200     EXIT.
043300*
043400 Z100-DISPLAY-THE-SUMMARY.
043500*
043600     MOVE WS-SC-READS            TO WS-SM-READS.
043700     MOVE WS-SC-WRITES           TO WS-SM-WRITES.
043800     MOVE WS-SC-REWRITES         TO WS-SM-REWRITES.
043900     DISPLAY WS-SUMMARY-MESSAGE.
044000*
044100     INITIALIZE WS-SUMMARY-COUNTERS.
044200*
044300 Z199-DTS-EXIT.
044400     EXIT.
044500/
044600 Z900-ABORT.
044700*
044800     MOVE 'SMTSH'                TO SS02WS-ABEND-CODE-X.
044900     MOVE MTSHRB-STATUS          TO SS02WS-ABEND-STATUS.
045000     MOVE MTSHRB-IO-REQUEST      TO WS-IO-REQUEST.
045100     MOVE WS-IO-REQUEST          TO SS02WS-ABEND-REQUEST.
045200*
045300 Z950-ABORT.
045400*
045500     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
045600*
045700 Z999-ABORT-EXIT.
045800     EXIT.
045900/
046000********************************
046100*    STANDARD ABEND ROUTINE    *
046200********************************
046300*
046400     COPY SS02PD.
046500*
