000100******************************************************************
000200*    UNIVERSAL ROUTINE TO LOAD STATS RECORDS INTO A TABLE.       *
000300*    SUBSTITUTE MB05 FOR YOUR FILE NAME BY USING THE REPLACING   *
000400*    OPTION ON THE COPY STATEMENT.                               *
000500******************************************************************
000600*                                                                *
000700*    TO USE THIS ROUTINE,                                        *
000800*                                                                *
000900*    1. FILE ACCESS FOR THE :MB05: FILE MUST BE IN YOUR PROGRAM. *
001000*    2. COPY BOOK MMPATB MUST BE IN YOUR PROGRAM WITH THE        *
001100*       REPLACING OPTION FOR THE STATS FILE YOU WISH TO USE.     *
001200*    3. THE FILE ":MB05:" MUST BE OPENED EITHER WITH SEQUENTIAL  *
001300*       ACCESS OR DYNAMIC ACCESS.                                *
001400*       THE FILE UTILIZED MUST BE A VSAM FILE.                   *
001500*    4. PROVIDE THE ORG/ACCOUNT NUMBER WHOSE ":MB05:" RECORDS    *
001600*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001700*       MMPATB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001800*       :MB05:TB-START-ORG AND :MB05:TB-START-ACCT.              *
001900*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
002000*       IS 1) AS AN OPTION.                                      *
002100*    5. OPTIONALLY, YOU MAY JUST PERFORM                         *
002200*       MB05PD-:MB05:-READ-AND-LOAD                              *
002300*       IF YOU WANT TO AVOID THE "START" OF THE :MB05: FILE.     *
002400*    6. THE ABEND ROUTINE COPY BOOKS SS02WS AND SS02PD MUST ALSO *
002500*       BE IN THE PROGRAM.                                       *
002600*                                                                *
002700******************************************************************
002800 MB05PD-LOAD-:MB05:-TABLE.
002900*
003000     MOVE SPACES                 TO :MB05:TB-TABLE-DATA.
003100     MOVE LOW-VALUES             TO :MB05:IO-KEY.
003200     MOVE :MB05:TB-START-ORG-ACCT
003300                                 TO :MB05:IO-ORG-ACCT.
003400*
003500     MOVE ':XX:1A'               TO SS02WS-ABEND-LOCATION.
003600     SET :MB05:RB-START-GTE      TO TRUE.
003700     PERFORM MB00PD-:MB05:-ACCESS
003800        THRU MB00PD-:MB05:-ACCESS-EXIT.
003900*
004000     MOVE ':XX:1B'               TO SS02WS-ABEND-LOCATION.
004100     SET :MB05:RB-READ-SEQ       TO TRUE.
004200     PERFORM MB00PD-:MB05:-ACCESS
004300        THRU MB00PD-:MB05:-ACCESS-EXIT.
004400*
004500     SET X-:MB05:TB              TO :MB05:TB-BEG-INDEX.
004600*
004700     PERFORM MB05PD-:MB05:-READ-AND-LOAD
004800        THRU MB05PD-:MB05:-RAL-EXIT
004900        UNTIL :MB05:IO-ORG-ACCT > :MB05:TB-START-ORG-ACCT
005000          OR  X-:MB05:TB        > :MB05:TB-MAX-ENTRIES
005100          OR  :MB05:IO-TRAILER.
005200*
005300 MB05PD-L:MB05:-EXIT.
005400     EXIT.
005500*
005600*
005700*
005800 MB05PD-:MB05:-READ-AND-LOAD.
005900*
006000     MOVE :MB05:IO-RECORD        TO :MB05:-RECORD.
006100*
006200     IF  :MB05:-HEADER
006300     OR  :MB05:-TRAILER
006400     OR  :MB05:-REC-PURGED
006500     OR  :MB05:-ORG-ACCT NOT = :MB05:TB-START-ORG-ACCT
006600         NEXT SENTENCE
006700     ELSE
006800         MOVE :MB05:-RECORD      TO :MB05:TB-RECORD (X-:MB05:TB)
006900         SET X-:MB05:TB          UP BY 1.
007000*
007100     MOVE ':XX:1C'               TO SS02WS-ABEND-LOCATION.
007200     SET :MB05:RB-READ-SEQ       TO TRUE.
007300     PERFORM MB00PD-:MB05:-ACCESS
007400        THRU MB00PD-:MB05:-ACCESS-EXIT.
007500*
007600     IF  X-:MB05:TB              > :MB05:TB-MAX-ENTRIES
007700     AND :MB05:TB-START-ORG-ACCT = :MB05:IO-ORG-ACCT
007800         MOVE ':XX:1D'           TO SS02WS-ABEND-LOCATION
007900         MOVE 'S:XX:PD'          TO SS02WS-ABEND-CODE-X
008000         MOVE ':MB05: TABLE TOO SMALL'
008100                                 TO SS02WS-ABENDMSG8
008200         PERFORM SS02PD-ABEND
008300            THRU SS02PD-ABEND-EXIT.
008400*
008500 MB05PD-:MB05:-RAL-EXIT.
008600     EXIT.
