000100****************************************************************
000200****************************************************************
000300****************************************************************
000400*                   MB20PD - PRINT ROUTINE                     *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*                                                              *
000900*    THIS ROUTINE IS THE STANDARD PRINT ROUTINE FOR THE MBS    *
001000*    SYSTEM.  THIS COPY BOOK CALLS THE SUBROUTINE 'MBPRINT'    *
001100*    WHICH ACTUALLY DOES THE PRINTING OF THE DATA LINE(S).     *
001200*    THE O/S AND DOS VERSIONS OF THE MBPRINT PROGRAM DIFFER.   *
001300*    REFER TO THE MBPRINT SOURCE CODE INSTALLED AT YOUR SITE   *
001400*    FOR MORE INFORMATION ON THE MBPRINT PROGRAM.              *
001500*                                                              *
001600*    TO USE THIS ROUTINE..........                             *
001700*                                                              *
001800*    1. COPY BOOK MB20WS MUST BE IN THE WS SECTION             *
001900*       (PRINT WORK AREAS)                                     *
002000*    2. COPY BOOK SS01WS MUST BE IN THE WS SECTION             *
002100*       (DATE WORK AREAS)                                      *
002200*    3. COPY BOOKS SS16PD (OP SYSTEM DATE) AND SS08PD (JUL TO  *
002300*       GREG), SS26PD AND SS27PD MUST BE IN THE PD.            *
002400*    4. IF YOU ARE USING STANDARD HEADINGS, SET THE DETAIL IN  *
002500*       THE HEADINGS IN A HOUSEKEEPING ROUTINE. (SEE BELOW FOR *
002600*       MORE INFO.)                                            *
002700*    5. SET THE LINES PER PAGE FIELD MB20WS-LINE-LIMIT TO THE  *
002800*       MAXIMUM LINES PER PAGE WHICH YOU WILL BE PRINTING.     *
002900*       IF YOU DO NOT MOVE ANYTHING TO THIS FIELD IN A HOUSE-  *
003000*       KEEPING AREA, THE DEFAULT IS SET TO 60 LPP.            *
003100*    6. FORM CODE.  SET A FORM CODE IN A HOUSEKEEPING ROUTINE  *
003200*       TO INDICATE WHICH PRINT FILE (O/S) OR TO WHICH         *
003300*       P.O.W.E.R. TABLE 'LST' CARD WILL BE USED TO PRINT THE  *
003400*       DATA ON.  IF THE FORM CODE IS NOT NUMERIC, ZERO WILL   *
003500*       PLUGGED, AND THE PRINTER/'LST'-TABLE WILL BE 100.      *
003600*       O/S - THE PRINT FILE NAME TO PRODUCE THE REPORT WILL BE*
003700*             RMPRT00.                                         *
003800*       DOS - THE P.O.W.E.R TABLE ENTRY USED WILL BE THE 100TH *
003900*             ENTRY IN THE TABLE.                              *
004000*    7. FICHE CODE.  SET A FICHE CODE IN A HOUSEKEEPING ROUTINE*
004100*       TO INDICATE WHETHER OR NOT TO PRODUCE THIS REPORT ON   *
004200*       A FICHE FILE.  IF THIS FIELD IS NOT NUMERIC, A ZERO IS *
004300*       PLUGGED, AND NO FICHE FILE WILL BE WRITTEN.            *
004400*       ZERO INDICATES TO NOT PRINT A FICHE FILE.              *
004500*    8. MOVE THE LINE TO BE PRINTED TO THE FIELD               *
004600*       MB20WS-PRINT-LINE.                                     *
004700*       MB20WS-PRINT-LINE IS A 132 BYTE FIELD LOCATED AT THE   *
004800*       END OF COPY BOOK MB20WS.  A GOOD TECHNIQUE TO USE      *
004900*       IS TO REDEFINE THIS 01 LEVEL AFTER THE COPY STATEMENT  *
005000*       TO DEFINE YOUR PRINT LINES.  THE ROUTINES HANDLE THE   *
005100*       CARRIAGE CONTROL CHARACTER FOR YOU, SO YOU DO NOT HAVE *
005200*       TO PROVIDE IT AS PART OF THE PRINT LINE.               *
005300*    9. PERFORM ONE OF THE FOLLOWING..........                 *
005400*       A. MB20PD-PRINT-1-LINE  THRU MB20PD-P1L-EXIT.          *
005500*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
005600*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
005700*          UP BY ONE LINE (SINGLE SPACING).                    *
005800*       B. MB20PD-PRINT-2-LINES THRU MB20PD-P2L-EXIT.          *
005900*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
006000*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
006100*          UP BY TWO LINES (DOUBLE SPACING).                   *
006200*       C. MB20PD-PRINT-3-LINES THRU MB20PD-P3L-EXIT.          *
006300*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
006400*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
006500*          UP BY THREE LINES (TRIPLE SPACING).                 *
006600*       D. MB20PD-PRINT-0-LINES THRU MB20PD-P0L-EXIT.          *
006700*          THIS ROUTINE IS USED TO PRINT A LINE  W I T H O U T *
006800*          ADVANCING THE CARRIAGE ON THE PRINTER.  IF YOU ARE  *
006900*          USING THIS FEATURE, THIS ROUTINE HAS SPECIAL RULES  *
007000*          YOU MUST FOLLOW.  SEE THE INSTRUCTIONS IN THE       *
007100*          PERFORM RANGE ON HOW TO USE THIS FACILITY.          *
007200*       E. MB20PD-PRINT-USER-CONTROL THRU MB20PD-PUC-EXIT.     *
007300*          THIS ROUTINE IS USED TO PRINT A LINE AND THEN       *
007400*          ADVANCE THE CARRIAGE ON THE PRINTER BY A SPECIFIED  *
007500*          NUMBER OF LINES   O T H E R   THAN 1, 2, OR 3.      *
007600*          YOU MUST SET THE FIELD 'MB20WS-USER-CONTROL-LINES'  *
007700*          TO THE NUMBER OF LINES YOU WISH TO ADVANCE THE      *
007800*          CARRIAGE PRIOR TO PERFORMING THIS ROUTINE.          *
007900*          AFTER THIS ROUTINE IS PERFORMED, THE FIELD          *
008000*          MB20WS-USER-CONTROL-LINES IS RESET TO 01.           *
008100*          E.G. IF YOU MOVE 12 TO MB20WS-USER-CONTROL-LINES    *
008200*               AND PERFORM THE MB20WS-USER-CONTROL-LINES      *
008300*               ROUTINE, THE LINE WILL PRINT   A N D   THE     *
008400*               CARRIAGE WILL ADVANCE 12 LINES.                *
008500*                                                              *
008600*       *** N O T E ***                                        *
008700*                                                              *
008800*       THE FOLLOWING RULES DO   N O T   APPLY TO THE ROUTINE  *
008900*       WHICH PRINTS A LINE AND THEN DOES NOT ADVANCE THE      *
009000*       CARRIAGE (MB20PD-PRINT-0-LINES).                       *
009100*                                                              *
009200*   10. ITEMS TO NOTE WHEN USING THE PRINT 1/2/3 LINE(S)       *
009300*       PARAGRAPHS.  HEREAFTER, KNOWN AS THE 'ROUTINES'.       *
009400*       A. REMEMBER, THESE PRINT 'ROUTINES' DO A PRINT BEFORE  *
009500*          ADVANCING, WHICH MEANS IT PRINTS THE LINE   A N D   *
009600*          THEN ADVANCES THE CARRIAGE.                         *
009700*       B. THE PRINTING OF THE HEADINGS IS DONE FOR YOU        *
009800*          AUTOMATICALLY WHEN USING THE 'ROUTINES'.  YOU MUST  *
009900*          PROVIDE THE HEADINGS (1 TO 8) PRIOR TO PERFORMING   *
010000*          THE 'ROUTINES'.                                     *
010100*       C. HEADINGS CONSIDERATIONS..........                   *
010200*          THE HEADINGS GROUP NAMES ARE MB20WS-SH-L1,          *
010300*                                       MB20WS-SH-L2,          *
010400*                                       MB20WS-SH-L3,          *
010500*                                       MB20WS-SH-L4,          *
010600*                                       MB20WS-SH-L5,          *
010700*                                       MB20WS-SH-L6,          *
010800*                                       MB20WS-SH-L7 AND       *
010900*                                       MB20WS-SH-L8.          *
011000*          SEE COPY BOOK MB20WS FOR THE DETAIL.                *
011100*          1. THE COPY BOOK MB20WS CONTAINS 8 (EIGHT) STANDARD *
011200*             HEADINGS LINES.  IF YOU DO   N O T   WANT        *
011300*             HEADINGS TO PRINT (IN THE CASE OF SPECIAL FORMS),*
011400*             INSURE THAT   A L L   EIGHT HEADINGS LINES ARE   *
011500*             EQUAL TO SPACES.  EACH OF THE 'ROUTINES' CHECKS  *
011600*             TO SEE IF YOU NEED TO PRINT HEADINGS   P R I O R *
011700*             TO PRINTING THE CURRENT LINE (MB20WS-PRINT-LINE).*
011800*             N O T E --- THE HEADINGS ARE   N O T   SET TO    *
011900*                         SPACES IN COPY BOOK MB20WS.  IF YOU  *
012000*                         WANT TO USE THE NO HEADINGS FEATURE, *
012100*                         YOU MUST MOVE SPACES TO THE HEADINGS.*
012200*          2. IF ANY ONE OF THE EIGHT HEADING LINES CONTAINS   *
012300*             ANYTHING OTHER THAN SPACES, THE FIRST THREE      *
012400*             HEADING LINES WILL PRINT.  THE PAGE COUNT WILL   *
012500*             AUTOMATICALLY BE ADVANCED FOR YOU ON STANDARD    *
012600*             HEADING LINE 1.  ALSO, IF THE PROC DATE AND/OR   *
012700*             THE TIME FIELDS IN STANDARD HEADING LINE 3       *
012800*             ARE NOT FILLED IN, THIS ROUTINE WILL FILL THEM   *
012900*             IN FOR YOU.  YOU   M U S T   PROVIDE THE FILE    *
013000*             DATE IN LINE 2 OF THE STANDARD HEADING.          *
013100*             THIS ROUTINE WILL THEN PRINT HEADING LINES 4     *
013200*             THRU 8 UP TO THE HEADING WHICH DOES NOT CONTAIN  *
013300*             SPACES.  EXAMPLE...............................  *
013400*             STANDARD HEADING LINES 1-3 CONTAIN LITERALS.     *
013500*             STANDARD HEADING LINE  4 IS SPACES.              *
013600*             STANDARD HEADING LINE  5 CONTAINS LITERALS.      *
013700*             STANDARD HEADING LINE  6-8 CONTAINS SPACES.      *
013800*             IN THIS CASE, STANDARD HEADING LINES 1 THRU 5    *
013900*             WILL PRINT (FOLLOWED BY A BLANK LINE), AND       *
014000*             STANDARD HEADINGS LINES 6 TO 8 WILL NOT PRINT.   *
014100*       D. THE LINE COUNT FIELD (MB20WS-LINE-COUNT) IS         *
014200*          INITIALIZED TO A VALUE OF 900, WHICH WILL CAUSE     *
014300*          A PAGE EJECT THE FIRST TIME YOU PERFORM ONE OF THE  *
014400*          'ROUTINES'.  THE PAGE EJECT LOGIC IS PERFORMED      *
014500*          BEFORE THE DETAIL LINE IS PRINTED AND, IF THE LINE  *
014600*          COUNT EXCEEDS THE LINE-LIMIT, THE PAGE EJECT WILL   *
014700*          TAKE PLACE AND (IF PRESENT) THE HEADINGS WILL BE    *
014800*          PRINTED.                                            *
014900*          N O T E --- THE HEADINGS ARE CONSIDERED TO BE PART  *
015000*                      OF THE LINE COUNT.  THEREFORE, IF YOU   *
015100*                      (FOR EXAMPLE) PRINT THE FIRST FOUR      *
015200*                      HEADINGS, THE NUMBER OF DETAIL LINES    *
015300*                      WHICH WILL PRINT WILL BE 5 LESS THAN    *
015400*                      THE LINE LIMIT (FOUR HEADINGS PLUS A    *
015500*                      SKIPPED LINE IN BETWEEN HEADINGS AND    *
015600*                      DETAIL).                                *
015700*       E. TO FORCE A PAGE EJECT, MOVE THE FIELD               *
015800*          MB20WS-FORCE-PAGE TO THE FIELD MB20WS-LINE-COUNT.   *
015900*          THE NEXT SUBSEQUENT PERFORM OF ONE OF THE 'ROUTINES'*
016000*          WILL CAUSE A PAGE EJECT.                            *
016100*       F. AFTER EACH 'ROUTINE' IS PERFORMED, THE MB20WS-PRINT-*
016200*          LINE FIELD HAS SPACES MOVED TO IT (IT IS CLEARED    *
016300*          FOR YOU IF YOU REDEFINE MB20WS-PRINT-LINE WITH YOUR *
016400*          PRINT LINES).                                       *
016500*          EXAMPLE....                                         *
016600*                            COPY MB20WS.                      *
016700*          01  WS-PRINT-LINE-X REDEFINES MB20WS-PRINT-LINE.    *
016800*              03  DATA-NAME.........                          *
016900*                  ....                                        *
017000*                  ....                                        *
017100*          01  WS-PRINT-LINE-1 REDEFINES MB20WS-PRINT-LINE.    *
017200*              03  DATA-NAME.........                          *
017300*                  ....                                        *
017400*                  ....                                        *
017500*          01  ETC.........................................    *
017600*                                                              *
017700*    EXAMPLE OF LOGIC USING THIS ROUTINE....                   *
017800*    XXXX-HOUSEKEEPING.                                        *
017900*        MOVE (DATA-NAME)    TO MB20WS-LINE-LIMIT.             *
018000*        MOVE (HEADING INFO) TO MB20WS-SH-(H1 THRU H6)         *
018100*        .                                                     *
018200*        .                                                     *
018300*        .                                                     *
018400*        MOVE (DETAIL TO PRINT LINE) TO MB20WS-PRINT-LINE.     *
018500*                                                              *
018600*        ....IF YOU REDEFINE MB20WS-PRINT-LINE, THIS MOVE IS   *
018700*            NOT NECESSARY.                                    *
018800*                                                              *
018900*        PERFORM MB20PD-PRINT-1-LINE THRU MB20PD-P1L-EXIT.     *
019000*                                                              *
019100*        ....THE VERY FIRST TIME THIS ROUTINE IS PERFORMED,    *
019200*            THE HEADINGS WILL PRINT AND THEN 1 DETAIL LINE    *
019300*            WILL PRINT.                                       *
019400*                                                              *
019500*   11. BEFORE YOU TERMINATE YOUR PROGRAM, BE SURE TO PERFORM  *
019600*       THE PARAGRAPH WHICH CLOSES THE PRINT FILE(S).          *
019700*       TO DO THIS PERFORM MB20PD-CLOSE-PRINT-FILES            *
019800*                     THRU MB20PD-CPF-EXIT.                    *
019900*       WHEN THE SUBROUTINE IS CALLED USING THIS PERFORM, THE  *
020000*       SPECIAL FORM CODE (MB20WS-FORM-CODE-X) IS SET TO THE   *
020100*       LITERAL 'CL' WHICH INDICATES TO THE SUBROUTINE TO      *
020200*       CLOSE THE FILE (DOS) OR CLOSE THE FILES (O/S).         *
020300*                                                              *
020400****************************************************************
020500/                                                              *
020600 MB20PD-PRINT-0-LINES.
020700****************************************************************
020800*                                                              *
020900*    THIS ROUTINE HAS SOME SPECIAL RULES AND DOES NOT PERFORM  *
021000*    THE CHECKING WHICH THE PRINT 1/2/3 ROUTINES DO.           *
021100*    TO USE THIS FEATURE.....                                  *
021200*    1. MOVE THE DATA TO BE PRINTED TO MB20WS-PRINT-LINE.      *
021300*    2. PERFORM MB20PD-PRINT-0-LINES THRU MB20PD-P0L-EXIT.     *
021400*    3. THIS PERFORM DOES NOT ADD ANYTHING TO THE LINE COUNT.  *
021500*       (MB20WS-LINE-COUNT)                                    *
021600*    4. THE HEADINGS ARE NOT CHECKED FOR A PAGE EJECT          *
021700*       CONDITION.  YOU MUST KNOW WHERE YOU ARE WHEN PRINTING  *
021800*       AND USING THIS ROUTINE.                                *
021900*    5. THE PRINT LINE (MB20WS-PRINT-LINE) IS NOT CLEARED      *
022000*       AFTER THE LINE IS PRINTED. (IN CASE YOU WANT TO DOUBLE *
022100*       STRIKE THE LINE).                                      *
022200*    6. IF YOU DO WANT TO DOUBLE STRIKE THE LINE, THEN PERFORM *
022300*       MB20PD-PRINT-1-LINE, MB20PD-PRINT-2-LINES, OR          *
022400*       MB20PD-PRINT-3-LINES TO GET THE DOUBLE STRIKE.         *
022500*       REMEMBER, THESE ROUTINES   P R I N T   AND THEN        *
022600*       A D V A N C E   THE CARRIAGE.  THEREFORE, TO DOUBLE    *
022700*       STRIKE A PRINT LINE, YOU MUST PRINT IT FIRST WITHOUT A *
022800*       CARRIAGE ADVANCE AND THEN PRINT IT A SECOND TIME WITH  *
022900*       A CARRIAGE ADVANCE.                                    *
023000*                                                              *
023100****************************************************************
023200*
023300     MOVE 0                      TO MB20WS-ADVANCE-CODE.
023400     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
023500     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
023600*
023700 MB20PD-P0L-EXIT.
023800     EXIT.
023900/
024000 MB20PD-PRINT-1-LINE.
024100*
024200     PERFORM MB20PD-CHECK-HEADINGS
024300                                 THRU MB20PD-CH-EXIT.
024400     MOVE 1                      TO MB20WS-ADVANCE-CODE.
024500     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
024600     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
024700     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
024800     MOVE SPACES                 TO MB20WS-PRINT-LINE.
024900*
025000 MB20PD-P1L-EXIT.
025100     EXIT.
025200*
025300*
025400*
025500 MB20PD-PRINT-2-LINES.
025600*
025700     PERFORM MB20PD-CHECK-HEADINGS
025800                                 THRU MB20PD-CH-EXIT.
025900     MOVE 2                      TO MB20WS-ADVANCE-CODE.
026000     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
026100     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
026200     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
026300     MOVE SPACES                 TO MB20WS-PRINT-LINE.
026400*
026500 MB20PD-P2L-EXIT.
026600     EXIT.
026700*
026800*
026900*
027000 MB20PD-PRINT-3-LINES.
027100*
027200     PERFORM MB20PD-CHECK-HEADINGS
027300                                 THRU MB20PD-CH-EXIT.
027400     MOVE 3                      TO MB20WS-ADVANCE-CODE.
027500     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
027600     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
027700     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
027800     MOVE SPACES                 TO MB20WS-PRINT-LINE.
027900*
028000 MB20PD-P3L-EXIT.
028100     EXIT.
028200/
028300 MB20PD-PRINT-USER-CONTROL.
028400*
028500****************************************************************
028600*    PRIOR TO PERFORMING THIS ROUTINE YOU MUST MOVE THE NUMBER *
028700*    OF LINES YOU WISH TO ADVANCE TO THE FIELD IN WORKING      *
028800*    STORAGE COPY BOOK MB20WS CALLED MB20WS-USER-CONTROL-LINES.*
028900*    FAILURE TO DO SO WILL RESULT IN THE ROUTINE ADVANCING 1   *
029000*    LINE.  ALSO, THIS ROUTINE RESETS MB20WS-USER-CONTROL-LINES*
029100*    TO A VALUE OF 01 AFTER THE LINE IS PRINTED AND THE        *
029200*    CARRIAGE IS ADVANCED.  IF MB20WS-USER-CONTROL-LINES IS NOT*
029300*    NUMERIC, THIS FIELD WILL BE SET TO A 1 BY THE MBPRINT     *
029400*    SUBROUTINE.                                               *
029500****************************************************************
029600*
029700     PERFORM MB20PD-CHECK-HEADINGS
029800                                 THRU MB20PD-CH-EXIT.
029900     MOVE 8                      TO MB20WS-ADVANCE-CODE.
030000     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
030100     ADD  MB20WS-USER-CONTROL-LINES
030200                                 TO MB20WS-LINE-COUNT.
030300     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
030400     MOVE SPACES                 TO MB20WS-PRINT-LINE.
030500     MOVE 01                     TO MB20WS-USER-CONTROL-LINES.
030600*
030700 MB20PD-PUC-EXIT.
030800     EXIT.
030900/
031000 MB20PD-PRINT-NO-ACTIVITY.
031100*
031200****************************************************************
031300*    PRIOR TO PERFORMING THIS ROUTINE YOU MUST HAVE DETERMINED *
031400*    THAT NO ACTIVITY FOR THE PARTICULAR REPORT EXISTS.        *
031500*    THE HEADINGS FOR THE REPORT MUST BE SET UP AS IF ACTIVITY *
031600*    WERE BEING PRODUCED.                                      *
031700****************************************************************
031800*
031900     PERFORM MB20PD-CHECK-HEADINGS
032000                                 THRU MB20PD-CH-EXIT.
032100     MOVE 1                      TO MB20WS-ADVANCE-CODE.
032200     MOVE SPACES                 TO MB20WS-LINK-LINE.
032300     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT 10 TIMES.
032400     MOVE 2                      TO MB20WS-ADVANCE-CODE.
032500     MOVE MB20WS-NO-ACTIVITY-LINE
032600                                 TO MB20WS-LINK-LINE.
032700     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
032800     MOVE 2                      TO MB20WS-ADVANCE-CODE.
032900     MOVE MB20WS-NO-ACTIVITY-LINE
033000                                 TO MB20WS-LINK-LINE.
033100     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
033200     MOVE 2                      TO MB20WS-ADVANCE-CODE.
033300     MOVE MB20WS-NO-ACTIVITY-LINE
033400                                 TO MB20WS-LINK-LINE.
033500     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
033600     MOVE 1                      TO MB20WS-ADVANCE-CODE.
033700     MOVE SPACES                 TO MB20WS-PRINT-LINE.
033800*
033900 MB20PD-PNA-EXIT.
034000     EXIT.
034100/
034200 MB20PD-CALL-MBPRINT.
034300*
034400     CALL MB00WS-MBPRINT         USING MB20WS-LINK-DATA.
034500*
034600 MB20PD-CR-EXIT.
034700     EXIT.
034800*
034900*
035000*
035100 MB20PD-CLOSE-PRINT-FILES.
035200*
035300     MOVE 'CL'                   TO MB20WS-FORM-CODE-X.
035400     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
035500*
035600 MB20PD-CPF-EXIT.
035700     EXIT.
035800*
035900*
036000*
036100 MB20PD-CHECK-HEADINGS.
036200*
036300     IF  MB20WS-LINE-COUNT IS LESS THAN MB20WS-LINE-LIMIT
036400         GO TO MB20PD-CH-EXIT.
036500*
036600     MOVE ZERO                   TO MB20WS-LINE-COUNT.
036700     MOVE SPACES                 TO MB20WS-LINK-LINE.
036800     MOVE 9                      TO MB20WS-ADVANCE-CODE.
036900     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
037000*
037100     IF  MB20WS-SH-L1 IS EQUAL TO SPACES
037200     AND MB20WS-SH-L2 IS EQUAL TO SPACES
037300     AND MB20WS-SH-L3 IS EQUAL TO SPACES
037400     AND MB20WS-SH-L4 IS EQUAL TO SPACES
037500     AND MB20WS-SH-L5 IS EQUAL TO SPACES
037600     AND MB20WS-SH-L6 IS EQUAL TO SPACES
037700     AND MB20WS-SH-L7 IS EQUAL TO SPACES
037800     AND MB20WS-SH-L8 IS EQUAL TO SPACES
037900         GO TO MB20PD-CH-EXIT.
038000*
038100     ADD 1                       TO MB20WS-PAGE-COUNT.
038200     MOVE MB20WS-PAGE-COUNT      TO MB20WS-SH-PAGE-NBR.
038300*
038400     IF  MB20WS-SH-PROC-DATE-X IS EQUAL TO SPACES
038500         PERFORM SS16PD-OPERATING-SYSTEM-DATE
038600                                 THRU SS16PD-OSD-EXIT
038700         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
038800            THRU SS26PD-NED-EXIT
038900         MOVE SS01WS-XX-XX-YYYY  TO MB20WS-SH-PROC-DATE.
039000*
039100     IF  MB20WS-SH-PROC-TIME IS EQUAL TO SPACES
039200         PERFORM SS16PD-OPERATING-SYSTEM-DATE
039300                                 THRU SS16PD-OSD-EXIT
039400         PERFORM SS27PD-NUMERICALLY-EDIT-TIME
039500            THRU SS27PD-NET-EXIT
039600         MOVE SS01WS-HH-MM-SS    TO MB20WS-SH-PROC-TIME.
039700*
039800     MOVE 1                      TO MB20WS-ADVANCE-CODE.
039900     MOVE MB20WS-SH-L1           TO MB20WS-LINK-LINE.
040000     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
040100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
040200*
040300     MOVE MB20WS-SH-L2           TO MB20WS-LINK-LINE.
040400     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
040500     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
040600*
040700     MOVE MB20WS-SH-L3           TO MB20WS-LINK-LINE.
040800     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
040900     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
041000*
041100     IF  MB20WS-SH-L3 IS EQUAL TO SPACES
041200     AND MB20WS-SH-L4 IS EQUAL TO SPACES
041300     AND MB20WS-SH-L5 IS EQUAL TO SPACES
041400     AND MB20WS-SH-L6 IS EQUAL TO SPACES
041500     AND MB20WS-SH-L7 IS EQUAL TO SPACES
041600     AND MB20WS-SH-L8 IS EQUAL TO SPACES
041700         GO TO MB20PD-CH-EXIT.
041800*
041900     MOVE MB20WS-SH-L4           TO MB20WS-LINK-LINE.
042000     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
042100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
042200*
042300     IF  MB20WS-SH-L4 IS EQUAL TO SPACES
042400     AND MB20WS-SH-L5 IS EQUAL TO SPACES
042500     AND MB20WS-SH-L6 IS EQUAL TO SPACES
042600     AND MB20WS-SH-L7 IS EQUAL TO SPACES
042700     AND MB20WS-SH-L8 IS EQUAL TO SPACES
042800         GO TO MB20PD-CH-EXIT.
042900*
043000     MOVE MB20WS-SH-L5           TO MB20WS-LINK-LINE.
043100     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
043200     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
043300*
043400     IF  MB20WS-SH-L5 IS EQUAL TO SPACES
043500     AND MB20WS-SH-L6 IS EQUAL TO SPACES
043600     AND MB20WS-SH-L7 IS EQUAL TO SPACES
043700     AND MB20WS-SH-L8 IS EQUAL TO SPACES
043800         GO TO MB20PD-CH-EXIT.
043900*
044000     MOVE MB20WS-SH-L6           TO MB20WS-LINK-LINE.
044100     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
044200     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
044300*
044400     IF  MB20WS-SH-L6 IS EQUAL TO SPACES
044500     AND MB20WS-SH-L7 IS EQUAL TO SPACES
044600     AND MB20WS-SH-L8 IS EQUAL TO SPACES
044700         GO TO MB20PD-CH-EXIT.
044800*
044900     MOVE MB20WS-SH-L7           TO MB20WS-LINK-LINE.
045000     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
045100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
045200*
045300     IF  MB20WS-SH-L7 IS EQUAL TO SPACES
045400     AND MB20WS-SH-L8 IS EQUAL TO SPACES
045500         GO TO MB20PD-CH-EXIT.
045600*
045700     MOVE MB20WS-SH-L8           TO MB20WS-LINK-LINE.
045800     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
045900     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
046000*
046100     IF  MB20WS-SH-L8 IS EQUAL TO SPACES
046200         GO TO MB20PD-CH-EXIT.
046300*
046400     MOVE SPACES                 TO MB20WS-LINK-LINE.
046500     PERFORM MB20PD-CALL-MBPRINT THRU MB20PD-CR-EXIT.
046600     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
046700*
046800 MB20PD-CH-EXIT.
046900     EXIT.
