000100****************************************************************
000200****************************************************************
000300****************************************************************
000400*          MB22PD - SUBROUTINE PRINT ROUTINE                   *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*                                                              *
000900*    THIS ROUTINE IS THE STANDARD PRINT ROUTINE FOR THE MBS    *
001000*    SYSTEM.  THIS COPY BOOK IS USED BY SUBROUTINES            *
001100*    (SUB-PROGRAMS) TO BUILD PRINT LINES AND PASS THOSE PRINT  *
001200*    LINES BACK TO A DRIVER PROGRAM.                           *
001300*                                                              *
001400*    TO USE THIS ROUTINE..........                             *
001500*                                                              *
001600*    1A. COPY BOOK MB20WS MUST BE IN THE WS SECTION            *
001700*       (PRINT WORK AREAS)                                     *
001800*    1B. COPY BOOK MB22WS MUST BE IN THE WS SECTION            *
001900*       (SUBROUTINE PRINT ROUTINE WORK AREAS)                  *
002000*    2. COPY BOOK SS01WS MUST BE IN THE WS SECTION             *
002100*       (DATE WORK AREAS)                                      *
002200*    3. COPY BOOKS SS16PD (OP SYSTEM DATE) AND SS08PD (JUL TO  *
002300*       GREG), SS26PD AND SS27PD MUST BE IN THE PD.            *
002400*    4. IF YOU ARE USING STANDARD HEADINGS, SET THE DETAIL IN  *
002500*       THE HEADINGS IN A HOUSEKEEPING ROUTINE. (SEE BELOW FOR *
002600*       MORE INFO.)                                            *
002700*    5. SET THE LINES PER PAGE FIELD MB20WS-LINE-LIMIT TO THE  *
002800*       MAXIMUM LINES PER PAGE WHICH YOU WILL BE PRINTING.     *
002900*       IF YOU DO NOT MOVE ANYTHING TO THIS FIELD IN A HOUSE-  *
003000*       KEEPING AREA, THE DEFAULT IS SET TO 60 LPP.            *
003100*    6. FORM CODE.  SET A FORM CODE IN A HOUSEKEEPING ROUTINE  *
003200*       TO INDICATE WHICH PRINT FILE (O/S) OR TO WHICH         *
003300*       P.O.W.E.R. TABLE 'LST' CARD WILL BE USED TO PRINT THE  *
003400*       DATA ON.  IF THE FORM CODE IS NOT NUMERIC, ZERO WILL   *
003500*       PLUGGED, AND THE PRINTER/'LST'-TABLE WILL BE 100.      *
003600*       O/S - THE PRINT FILE NAME TO PRODUCE THE REPORT WILL BE*
003700*             MBPRT00.                                         *
003800*       DOS - THE P.O.W.E.R TABLE ENTRY USED WILL BE THE 100TH *
003900*             ENTRY IN THE TABLE.                              *
004000*    7. FICHE CODE.  SET A FICHE CODE IN A HOUSEKEEPING ROUTINE*
004100*       TO INDICATE WHETHER OR NOT TO PRODUCE THIS REPORT ON   *
004200*       A FICHE FILE.  IF THIS FIELD IS NOT NUMERIC, A ZERO IS *
004300*       PLUGGED, AND NO FICHE FILE WILL BE WRITTEN.            *
004400*       ZERO INDICATES TO NOT PRINT A FICHE FILE.              *
004500*    8. MOVE THE LINE TO BE PRINTED TO THE FIELD               *
004600*       MB20WS-PRINT-LINE.                                     *
004700*       MB20WS-PRINT-LINE IS A 132 BYTE FIELD LOCATED AT THE   *
004800*       END OF COPY BOOK MB20WS.  A GOOD TECHNIQUE TO USE      *
004900*       IS TO REDEFINE THIS 01 LEVEL AFTER THE COPY STATEMENT  *
005000*       TO DEFINE YOUR PRINT LINES.  THE ROUTINES HANDLE THE   *
005100*       CARRIAGE CONTROL CHARACTER FOR YOU, SO YOU DO NOT HAVE *
005200*       TO PROVIDE IT AS PART OF THE PRINT LINE.               *
005300*    9. PERFORM ONE OF THE FOLLOWING..........                 *
005400*       A. MB22PD-PRINT-1-LINE  THRU MB22PD-P1L-EXIT.          *
005500*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
005600*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
005700*          UP BY ONE LINE (SINGLE SPACING).                    *
005800*       B. MB22PD-PRINT-2-LINES THRU MB22PD-P2L-EXIT.          *
005900*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
006000*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
006100*          UP BY TWO LINES (DOUBLE SPACING).                   *
006200*       C. MB22PD-PRINT-3-LINES THRU MB22PD-P3L-EXIT.          *
006300*          THIS ROUTINE IS USED TO PRINT A LINE ON THE         *
006400*          LINE PRINTER   A N D   THEN ADVANCE THE CARRIAGE    *
006500*          UP BY THREE LINES (TRIPLE SPACING).                 *
006600*       D. MB22PD-PRINT-0-LINES THRU MB22PD-P0L-EXIT.          *
006700*          THIS ROUTINE IS USED TO PRINT A LINE  W I T H O U T *
006800*          ADVANCING THE CARRIAGE ON THE PRINTER.  IF YOU ARE  *
006900*          USING THIS FEATURE, THIS ROUTINE HAS SPECIAL RULES  *
007000*          YOU MUST FOLLOW.  SEE THE INSTRUCTIONS IN THE       *
007100*          PERFORM RANGE ON HOW TO USE THIS FACILITY.          *
007200*       E. MB22PD-PRINT-USER-CONTROL THRU MB22PD-PUC-EXIT.     *
007300*          THIS ROUTINE IS USED TO PRINT A LINE AND THEN       *
007400*          ADVANCE THE CARRIAGE ON THE PRINTER BY A SPECIFIED  *
007500*          NUMBER OF LINES   O T H E R   THAN 1, 2, OR 3.      *
007600*          YOU MUST SET THE FIELD 'MB20WS-USER-CONTROL-LINES'  *
007700*          TO THE NUMBER OF LINES YOU WISH TO ADVANCE THE      *
007800*          CARRIAGE PRIOR TO PERFORMING THIS ROUTINE.          *
007900*          AFTER THIS ROUTINE IS PERFORMED, THE FIELD          *
008000*          MB20WS-USER-CONTROL-LINES IS RESET TO 01.           *
008100*          E.G. IF YOU MOVE 12 TO MB20WS-USER-CONTROL-LINES    *
008200*               AND PERFORM THE MB20WS-USER-CONTROL-LINES      *
008300*               ROUTINE, THE LINE WILL PRINT   A N D   THE     *
008400*               CARRIAGE WILL ADVANCE 12 LINES.                *
008500*                                                              *
008600*       *** N O T E ***                                        *
008700*                                                              *
008800*       THE FOLLOWING RULES DO   N O T   APPLY TO THE ROUTINE  *
008900*       WHICH PRINTS A LINE AND THEN DOES NOT ADVANCE THE      *
009000*       CARRIAGE (MB22PD-PRINT-0-LINES).                       *
009100*                                                              *
009200*   10. ITEMS TO NOTE WHEN USING THE PRINT 1/2/3 LINE(S)       *
009300*       PARAGRAPHS.  HEREAFTER, KNOWN AS THE 'ROUTINES'.       *
009400*       A. REMEMBER, THESE PRINT 'ROUTINES' DO A PRINT BEFORE  *
009500*          ADVANCING, WHICH MEANS IT PRINTS THE LINE   A N D   *
009600*          THEN ADVANCES THE CARRIAGE.                         *
009700*       B. THE PRINTING OF THE HEADINGS IS DONE FOR YOU        *
009800*          AUTOMATICALLY WHEN USING THE 'ROUTINES'.  YOU MUST  *
009900*          PROVIDE THE HEADINGS (1 TO 7) PRIOR TO PERFORMING   *
010000*          THE 'ROUTINES'.                                     *
010100*       C. HEADINGS CONSIDERATIONS..........                   *
010200*          THE HEADINGS GROUP NAMES ARE MB20WS-SH-L1,          *
010300*                                       MB20WS-SH-L2,          *
010400*                                       MB20WS-SH-L3,          *
010500*                                       MB20WS-SH-L4,          *
010600*                                       MB20WS-SH-L5,          *
010700*                                       MB20WS-SH-L6,          *
010800*                                       MB20WS-SH-L7 AND       *
010900*                                       MB20WS-SH-L8.          *
011000*          SEE COPY BOOK MB20WS FOR THE DETAIL.                *
011100*          1. THE COPY BOOK MB20WS CONTAINS 8 (EIGHT) STANDARD *
011200*             HEADINGS LINES.  IF YOU DO   N O T   WANT        *
011300*             HEADINGS TO PRINT (IN THE CASE OF SPECIAL FORMS),*
011400*             INSURE THAT   A L L   EIGHT HEADINGS LINES ARE   *
011500*             EQUAL TO SPACES.  EACH OF THE 'ROUTINES' CHECKS  *
011600*             TO SEE IF YOU NEED TO PRINT HEADINGS   P R I O R *
011700*             TO PRINTING THE CURRENT LINE (MB20WS-PRINT-LINE).*
011800*             N O T E --- THE HEADINGS ARE   N O T   SET TO    *
011900*                         SPACES IN COPY BOOK MB20WS.  IF YOU  *
012000*                         WANT TO USE THE NO HEADINGS FEATURE, *
012100*                         YOU MUST MOVE SPACES TO THE HEADINGS.*
012200*          2. IF ANY ONE OF THE EIGHT HEADING LINES CONTAINS   *
012300*             ANYTHING OTHER THAN SPACES, THE FIRST THREE      *
012400*             HEADING LINES WILL PRINT.  THE PAGE COUNT WILL   *
012500*             AUTOMATICALLY BE ADVANCED FOR YOU ON STANDARD    *
012600*             HEADING LINE 1.  ALSO, IF THE PROC DATE AND/OR   *
012700*             THE TIME FIELDS IN STANDARD HEADING LINE 3       *
012800*             ARE NOT FILLED IN, THIS ROUTINE WILL FILL THEM   *
012900*             IN FOR YOU.  YOU   M U S T   PROVIDE THE FILE    *
013000*             DATE IN LINE 2 OF THE STANDARD HEADING.          *
013100*             THIS ROUTINE WILL THEN PRINT HEADING LINES 4     *
013200*             THRU 7 UP TO THE HEADING WHICH DOES NOT CONTAIN  *
013300*             SPACES.  EXAMPLE...............................  *
013400*             STANDARD HEADING LINES 1-3 CONTAIN LITERALS.     *
013500*             STANDARD HEADING LINE  4 IS SPACES.              *
013600*             STANDARD HEADING LINE  5 CONTAINS LITERALS.      *
013700*             STANDARD HEADING LINE  6-8 CONTAINS SPACES.      *
013800*             IN THIS CASE, STANDARD HEADING LINES 1 THRU 5    *
013900*             WILL PRINT (FOLLOWED BY A BLANK LINE), AND       *
014000*             STANDARD HEADINGS LINES 6 TO 8 WILL NOT PRINT.   *
014100*       D. THE LINE COUNT FIELD (MB20WS-LINE-COUNT) IS         *
014200*          INITIALIZED TO A VALUE OF 900, WHICH WILL CAUSE     *
014300*          A PAGE EJECT THE FIRST TIME YOU PERFORM ONE OF THE  *
014400*          'ROUTINES'.  THE PAGE EJECT LOGIC IS PERFORMED      *
014500*          BEFORE THE DETAIL LINE IS PRINTED AND, IF THE LINE  *
014600*          COUNT EXCEEDS THE LINE-LIMIT, THE PAGE EJECT WILL   *
014700*          TAKE PLACE AND (IF PRESENT) THE HEADINGS WILL BE    *
014800*          PRINTED.                                            *
014900*          N O T E --- THE HEADINGS ARE CONSIDERED TO BE PART  *
015000*                      OF THE LINE COUNT.  THEREFORE, IF YOU   *
015100*                      (FOR EXAMPLE) PRINT THE FIRST FOUR      *
015200*                      HEADINGS, THE NUMBER OF DETAIL LINES    *
015300*                      WHICH WILL PRINT WILL BE 5 LESS THAN    *
015400*                      THE LINE LIMIT (FOUR HEADINGS PLUS A    *
015500*                      SKIPPED LINE IN BETWEEN HEADINGS AND    *
015600*                      DETAIL).                                *
015700*       E. TO FORCE A PAGE EJECT, MOVE THE FIELD               *
015800*          MB20WS-FORCE-PAGE TO THE FIELD MB20WS-LINE-COUNT.   *
015900*          THE NEXT SUBSEQUENT PERFORM OF ONE OF THE 'ROUTINES'*
016000*          WILL CAUSE A PAGE EJECT.                            *
016100*       F. AFTER EACH 'ROUTINE' IS PERFORMED, THE MB20WS-PRINT-*
016200*          LINE FIELD HAS SPACES MOVED TO IT (IT IS CLEARED    *
016300*          FOR YOU IF YOU REDEFINE MB20WS-PRINT-LINE WITH YOUR *
016400*          PRINT LINES).                                       *
016500*          EXAMPLE....                                         *
016600*                            COPY MB20WS.                      *
016700*          01  WS-PRINT-LINE-X REDEFINES MB20WS-PRINT-LINE.    *
016800*              03  DATA-NAME.........                          *
016900*                  ....                                        *
017000*                  ....                                        *
017100*          01  WS-PRINT-LINE-1 REDEFINES MB20WS-PRINT-LINE.    *
017200*              03  DATA-NAME.........                          *
017300*                  ....                                        *
017400*                  ....                                        *
017500*          01  ETC.........................................    *
017600*                                                              *
017700*    EXAMPLE OF LOGIC USING THIS ROUTINE....                   *
017800*    XXXX-HOUSEKEEPING.                                        *
017900*        MOVE (DATA-NAME)    TO MB20WS-LINE-LIMIT.             *
018000*        MOVE (HEADING INFO) TO MB20WS-SH-(H1 THRU H6)         *
018100*        .                                                     *
018200*        .                                                     *
018300*        .                                                     *
018400*        MOVE (DETAIL TO PRINT LINE) TO MB20WS-PRINT-LINE.     *
018500*                                                              *
018600*        ....IF YOU REDEFINE MB20WS-PRINT-LINE, THIS MOVE IS   *
018700*            NOT NECESSARY.                                    *
018800*                                                              *
018900*        PERFORM MB22PD-PRINT-1-LINE THRU MB22PD-P1L-EXIT.     *
019000*                                                              *
019100*        ....THE VERY FIRST TIME THIS ROUTINE IS PERFORMED,    *
019200*            THE HEADINGS WILL PRINT AND THEN 1 DETAIL LINE    *
019300*            WILL PRINT.                                       *
019400*                                                              *
019500*                                                              *
019600****************************************************************
019700/                                                              *
019800 MB22PD-PRINT-0-LINES.
019900****************************************************************
020000*                                                              *
020100*    THIS ROUTINE HAS SOME SPECIAL RULES AND DOES NOT PERFORM  *
020200*    THE CHECKING WHICH THE PRINT 1/2/3 ROUTINES DO.           *
020300*    TO USE THIS FEATURE.....                                  *
020400*    1. MOVE THE DATA TO BE PRINTED TO MB20WS-PRINT-LINE.      *
020500*    2. PERFORM MB22PD-PRINT-0-LINES THRU MB22PD-P0L-EXIT.     *
020600*    3. THIS PERFORM DOES NOT ADD ANYTHING TO THE LINE COUNT.  *
020700*       (MB20WS-LINE-COUNT)                                    *
020800*    4. THE HEADINGS ARE NOT CHECKED FOR A PAGE EJECT          *
020900*       CONDITION.  YOU MUST KNOW WHERE YOU ARE WHEN PRINTING  *
021000*       AND USING THIS ROUTINE.                                *
021100*    5. THE PRINT LINE (MB20WS-PRINT-LINE) IS NOT CLEARED      *
021200*       AFTER THE LINE IS PRINTED. (IN CASE YOU WANT TO DOUBLE *
021300*       STRIKE THE LINE).                                      *
021400*    6. IF YOU DO WANT TO DOUBLE STRIKE THE LINE, THEN PERFORM *
021500*       MB22PD-PRINT-1-LINE, MB22PD-PRINT-2-LINES, OR          *
021600*       MB22PD-PRINT-3-LINES TO GET THE DOUBLE STRIKE.         *
021700*       REMEMBER, THESE ROUTINES   P R I N T   AND THEN        *
021800*       A D V A N C E   THE CARRIAGE.  THEREFORE, TO DOUBLE    *
021900*       STRIKE A PRINT LINE, YOU MUST PRINT IT FIRST WITHOUT A *
022000*       CARRIAGE ADVANCE AND THEN PRINT IT A SECOND TIME WITH  *
022100*       A CARRIAGE ADVANCE.                                    *
022200*                                                              *
022300****************************************************************
022400*
022500     MOVE 0                      TO MB20WS-ADVANCE-CODE.
022600     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
022700     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
022800*
022900 MB22PD-P0L-EXIT.
023000     EXIT.
023100/
023200 MB22PD-PRINT-1-LINE.
023300*
023400     PERFORM MB22PD-CHECK-HEADINGS
023500                                 THRU MB22PD-CH-EXIT.
023600     MOVE 1                      TO MB20WS-ADVANCE-CODE.
023700     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
023800     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
023900     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
024000     MOVE SPACES                 TO MB20WS-PRINT-LINE.
024100*
024200 MB22PD-P1L-EXIT.
024300     EXIT.
024400*
024500*
024600*
024700 MB22PD-PRINT-2-LINES.
024800*
024900     PERFORM MB22PD-CHECK-HEADINGS
025000                                 THRU MB22PD-CH-EXIT.
025100     MOVE 2                      TO MB20WS-ADVANCE-CODE.
025200     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
025300     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
025400     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
025500     MOVE SPACES                 TO MB20WS-PRINT-LINE.
025600*
025700 MB22PD-P2L-EXIT.
025800     EXIT.
025900*
026000*
026100*
026200 MB22PD-PRINT-3-LINES.
026300*
026400     PERFORM MB22PD-CHECK-HEADINGS
026500                                 THRU MB22PD-CH-EXIT.
026600     MOVE 3                      TO MB20WS-ADVANCE-CODE.
026700     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
026800     ADD  MB20WS-ADVANCE-CODE    TO MB20WS-LINE-COUNT.
026900     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
027000     MOVE SPACES                 TO MB20WS-PRINT-LINE.
027100*
027200 MB22PD-P3L-EXIT.
027300     EXIT.
027400/
027500 MB22PD-PRINT-USER-CONTROL.
027600*
027700****************************************************************
027800*    PRIOR TO PERFORMING THIS ROUTINE YOU MUST MOVE THE NUMBER *
027900*    OF LINES YOU WISH TO ADVANCE TO THE FIELD IN WORKING      *
028000*    STORAGE COPY BOOK MB20WS CALLED MB20WS-USER-CONTROL-LINES.*
028100*    FAILURE TO DO SO WILL RESULT IN THE ROUTINE ADVANCING 1   *
028200*    LINE.  ALSO, THIS ROUTINE RESETS MB20WS-USER-CONTROL-LINES*
028300*    TO A VALUE OF 01 AFTER THE LINE IS PRINTED AND THE        *
028400*    CARRIAGE IS ADVANCED.  IF MB20WS-USER-CONTROL-LINES IS NOT*
028500*    NUMERIC, THIS FIELD WILL BE SET TO A 1 BY THE MBPRINT     *
028600*    SUBROUTINE.                                               *
028700****************************************************************
028800*
028900     PERFORM MB22PD-CHECK-HEADINGS
029000                                 THRU MB22PD-CH-EXIT.
029100     MOVE 8                      TO MB20WS-ADVANCE-CODE.
029200     MOVE MB20WS-PRINT-LINE      TO MB20WS-LINK-LINE.
029300     ADD  MB20WS-USER-CONTROL-LINES
029400                                 TO MB20WS-LINE-COUNT.
029500     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
029600     MOVE SPACES                 TO MB20WS-PRINT-LINE.
029700     MOVE 01                     TO MB20WS-USER-CONTROL-LINES.
029800*
029900 MB22PD-PUC-EXIT.
030000     EXIT.
030100/
030200 MB22PD-PRINT-NO-ACTIVITY.
030300*
030400****************************************************************
030500*    PRIOR TO PERFORMING THIS ROUTINE YOU MUST HAVE DETERMINED *
030600*    THAT NO ACTIVITY FOR THE PARTICULAR REPORT EXISTS.        *
030700*    THE HEADINGS FOR THE REPORT MUST BE SET UP AS IF ACTIVITY *
030800*    WERE BEING PRODUCED.                                      *
030900****************************************************************
031000*
031100     PERFORM MB22PD-CHECK-HEADINGS
031200                                 THRU MB22PD-CH-EXIT.
031300     MOVE 1                      TO MB20WS-ADVANCE-CODE.
031400     MOVE SPACES                 TO MB20WS-LINK-LINE.
031500     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT 10 TIMES.
031600     MOVE 2                      TO MB20WS-ADVANCE-CODE.
031700     MOVE MB20WS-NO-ACTIVITY-LINE
031800                                 TO MB20WS-LINK-LINE.
031900     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
032000     MOVE 2                      TO MB20WS-ADVANCE-CODE.
032100     MOVE MB20WS-NO-ACTIVITY-LINE
032200                                 TO MB20WS-LINK-LINE.
032300     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
032400     MOVE 2                      TO MB20WS-ADVANCE-CODE.
032500     MOVE MB20WS-NO-ACTIVITY-LINE
032600                                 TO MB20WS-LINK-LINE.
032700     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
032800     MOVE 1                      TO MB20WS-ADVANCE-CODE.
032900     MOVE SPACES                 TO MB20WS-PRINT-LINE.
033000*
033100 MB22PD-PNA-EXIT.
033200     EXIT.
033300/
033400 MB22PD-BUILD-A-PAGE.
033500*
033600     MOVE MB20WS-FORM-CODE       TO MB22WS-PL-FORM-CODE.
033700     MOVE MB20WS-FICHE-CODE      TO MB22WS-PL-FICHE-CODE.
033800*
033900     SET X-MB22WS-PL             TO MB22WS-PL-INDEX.
034000     MOVE MB20WS-ADVANCE-CODE    TO MB22WS-PL-ADVANCE-CODE
034100                                    (X-MB22WS-PL).
034200     MOVE MB20WS-USER-CONTROL-LINES
034300                                 TO MB22WS-PL-USER-CONTROL-LINES
034400                                    (X-MB22WS-PL).
034500     MOVE MB20WS-LINK-LINE       TO MB22WS-PRINT-LINE
034600                                    (X-MB22WS-PL).
034700*
034800     ADD 1                       TO MB22WS-PL-INDEX.
034900*
035000     IF  MB22WS-PL-INDEX IS GREATER THAN MB22WS-PL-MAX-LINES
035100         MOVE 'MB22PD - MAX LINES EXCEEDED'
035200                                 TO SS02WS-ABENDMSG8
035300         MOVE 'S22PD'            TO SS02WS-ABEND-CODE-X
035400         PERFORM SS02PD-ABEND    THRU SS02PD-ABEND-EXIT.
035500*
035600 MB22PD-BAP-EXIT.
035700     EXIT.
035800*
035900*
036000*
036100 MB22PD-CHECK-HEADINGS.
036200*
036300     IF  MB20WS-LINE-COUNT IS LESS THAN MB20WS-LINE-LIMIT
036400         GO TO MB22PD-CH-EXIT.
036500*
036600     MOVE ZERO                   TO MB20WS-LINE-COUNT.
036700     MOVE SPACES                 TO MB20WS-LINK-LINE.
036800     MOVE 9                      TO MB20WS-ADVANCE-CODE.
036900     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
037000*
037100     IF  MB20WS-SH-L1 IS EQUAL TO SPACES
037200     AND MB20WS-SH-L2 IS EQUAL TO SPACES
037300     AND MB20WS-SH-L3 IS EQUAL TO SPACES
037400     AND MB20WS-SH-L4 IS EQUAL TO SPACES
037500     AND MB20WS-SH-L5 IS EQUAL TO SPACES
037600     AND MB20WS-SH-L6 IS EQUAL TO SPACES
037700     AND MB20WS-SH-L7 IS EQUAL TO SPACES
037800     AND MB20WS-SH-L8 IS EQUAL TO SPACES
037900         GO TO MB22PD-CH-EXIT.
038000*
038100     ADD 1                       TO MB20WS-PAGE-COUNT.
038200     MOVE MB20WS-PAGE-COUNT      TO MB20WS-SH-PAGE-NBR.
038300*
038400     IF  MB20WS-SH-PROC-DATE-X IS EQUAL TO SPACES
038500         PERFORM SS16PD-OPERATING-SYSTEM-DATE
038600                                 THRU SS16PD-OSD-EXIT
038700         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
038800            THRU SS26PD-NED-EXIT
038900         MOVE SS01WS-XX-XX-YYYY  TO MB20WS-SH-PROC-DATE.
039000*
039100     IF  MB20WS-SH-PROC-TIME IS EQUAL TO SPACES
039200         PERFORM SS16PD-OPERATING-SYSTEM-DATE
039300                                 THRU SS16PD-OSD-EXIT
039400         PERFORM SS27PD-NUMERICALLY-EDIT-TIME
039500            THRU SS27PD-NET-EXIT
039600         MOVE SS01WS-HH-MM-SS    TO MB20WS-SH-PROC-TIME.
039700*
039800     MOVE 1                      TO MB20WS-ADVANCE-CODE.
039900     MOVE MB20WS-SH-L1           TO MB20WS-LINK-LINE.
040000     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
040100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
040200*
040300     MOVE MB20WS-SH-L2           TO MB20WS-LINK-LINE.
040400     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
040500     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
040600*
040700     MOVE MB20WS-SH-L3           TO MB20WS-LINK-LINE.
040800     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
040900     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
041000*
041100     IF  MB20WS-SH-L3 IS EQUAL TO SPACES
041200     AND MB20WS-SH-L4 IS EQUAL TO SPACES
041300     AND MB20WS-SH-L5 IS EQUAL TO SPACES
041400     AND MB20WS-SH-L6 IS EQUAL TO SPACES
041500     AND MB20WS-SH-L7 IS EQUAL TO SPACES
041600     AND MB20WS-SH-L8 IS EQUAL TO SPACES
041700         GO TO MB22PD-CH-EXIT.
041800*
041900     MOVE MB20WS-SH-L4           TO MB20WS-LINK-LINE.
042000     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
042100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
042200*
042300     IF  MB20WS-SH-L4 IS EQUAL TO SPACES
042400     AND MB20WS-SH-L5 IS EQUAL TO SPACES
042500     AND MB20WS-SH-L6 IS EQUAL TO SPACES
042600     AND MB20WS-SH-L7 IS EQUAL TO SPACES
042700     AND MB20WS-SH-L8 IS EQUAL TO SPACES
042800         GO TO MB22PD-CH-EXIT.
042900*
043000     MOVE MB20WS-SH-L5           TO MB20WS-LINK-LINE.
043100     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
043200     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
043300*
043400     IF  MB20WS-SH-L5 IS EQUAL TO SPACES
043500     AND MB20WS-SH-L6 IS EQUAL TO SPACES
043600     AND MB20WS-SH-L7 IS EQUAL TO SPACES
043700     AND MB20WS-SH-L8 IS EQUAL TO SPACES
043800         GO TO MB22PD-CH-EXIT.
043900*
044000     MOVE MB20WS-SH-L6           TO MB20WS-LINK-LINE.
044100     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
044200     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
044300*
044400     IF  MB20WS-SH-L6 IS EQUAL TO SPACES
044500     AND MB20WS-SH-L7 IS EQUAL TO SPACES
044600     AND MB20WS-SH-L8 IS EQUAL TO SPACES
044700         GO TO MB22PD-CH-EXIT.
044800*
044900     MOVE MB20WS-SH-L7           TO MB20WS-LINK-LINE.
045000     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
045100     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
045200*
045300     IF  MB20WS-SH-L7 IS EQUAL TO SPACES
045400     AND MB20WS-SH-L8 IS EQUAL TO SPACES
045500         GO TO MB22PD-CH-EXIT.
045600*
045700     MOVE MB20WS-SH-L8           TO MB20WS-LINK-LINE.
045800     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
045900     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
046000*
046100     IF  MB20WS-SH-L8 IS EQUAL TO SPACES
046200         GO TO MB22PD-CH-EXIT.
046300*
046400     MOVE SPACES                 TO MB20WS-LINK-LINE.
046500     PERFORM MB22PD-BUILD-A-PAGE THRU MB22PD-BAP-EXIT.
046600     ADD MB20WS-ADVANCE-CODE     TO MB20WS-LINE-COUNT.
046700*
046800 MB22PD-CH-EXIT.
046900     EXIT.
