000100****************************************************************
000200****************************************************************
000300****************************************************************
000400*  MB60PD - MAP MANIPULATION ROUTINES FOR MBS ON-LINE PROGRAMS *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*                                                              *
000900*    GENERAL ROUTINES USED IN THE ON-LINE PORTION OF THE MBS   *
001000*    SYSTEM DEALING WITH CICS MAPS.                            *
001100*                                                              *
001200*    TO USE THESE ROUTINES........                             *
001300*                                                              *
001400*    1. SS01WS MUST BE IN WS IN YOUR PROGRAM.                  *
001500*       (DATE WORK AREAS)                                      *
001600*    2. SS08WS MUST BE IN WS IN YOUR PROGRAM.                  *
001700*       (ON-LINE-WORK-AREAS)                                   *
001800*    3. MB60WS MUST BE THE COMMUNICATION AREA (OR IN WS)       *
001900*    4. MB61LK MUST BE IN THE LINKAGE SECTION OF YOUR PROGRAM  *
002000*       (FILE TABLE)                                           *
002100*    5. YOUR MAP MUST BE IN THE LINKAGE SECTION OF THE PROGRAM *
002200*    6. IT IS ASSUMED THAT THE MAP IN YOUR PROGRAM             *
002300*       CONFORMS TO THE STANDARD NAMING CONVENTIONS WHEN       *
002400*       DEALING WITH SCREEN LINES 01, 02, AND 24 (TTN DATA     *
002500*       NAMES).                                                *
002600*    7. SS15PD MUST BE IN THE PROCEDURE DIVISION OF THE PROGRAM*
002700*       (SCREEN LINE 24 ROUTINE)                               *
002800*    8. SS08PD MUST BE IN THE PROCEDURE DIVISION OF THE PROGRAM*
002900*       (JUL TO GREG ROUTINE)                                  *
003000*    9. SS26PD MUST BE IN THE PROCEDURE DIVISION OF THE PROGRAM*
003100*       (NUMERICALLY-EDIT-DATE ROUTINE)                        *
003200*   10. SS27PD MUST BE IN THE PROCEDURE DIVISION OF THE PROGRAM*
003300*       (NUMERICALLY-EDIT-TIME ROUTINE)                        *
003400*   11. MB70PD MUST BE IN THE PROCEDURE DIVISION OF THE PROGRAM*
003500*       (ON-LINE GENERAL ROUTINES)                             *
003600*                                                              *
003700****************************************************************
003800*
003900 MB60PD-NEW-TRANS-ROUTINE.
004000*****************************************************************
004100*  CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER.        *
004200*  THIS ROUTINE USES SPECIAL MAP NAMES WHICH   M U S T   BE     *
004300*  PRESENT IN ALL MAPS USING THIS COPY BOOK.  THE SPECIAL NAMES *
004400*  ARE 'TTN0108L (LENGTH), TTN0108I (DATA) AND TTN0108A (ATTRB).*
004500*  WHEN PERFORMING THIS ROUTINE (AND ONLY IF A NEW TRANS-ID WAS *
004600*  KEYED IN THE NEW TRANS-ID AREA), YOU WILL NOT BRANCH BACK TO *
004700*  THE NEXT INSTRUCTION IN YOUR PROGRAM, AS THIS PERFORM RANGE  *
004800*  WILL TERMINATE YOUR TASK VIA A XCTL TO THE MBOXCTL PROGRAM.  *
004900*****************************************************************
005000*
005100     IF  TTN0108L IS LESS THAN 1
005200     OR  TTN0108I IS EQUAL TO LOW-VALUES
005300     OR  TTN0108I IS EQUAL TO SPACES
005400         GO TO MB60PD-NTR-EXIT.
005500*
005600     IF  (TTN0108L IS EQUAL TO 3
005700     OR   TTN0108L IS EQUAL TO 4)
005800     AND (MBCA-EIBAID-ENTER)
005900         NEXT SENTENCE
006000     ELSE
006100         MOVE SPACES             TO TTN0108I
006200         MOVE DFHBMUNP           TO TTN0108A
006300         MOVE DFHBMASF           TO TTN0106A
006400                                    TTN0113A
006500         GO TO MB60PD-NTR-EXIT.
006600*
006700     MOVE TTN0108I               TO SS08WS-WORK-TRANS-ID.
006800*
006900     IF  SS08WS-VALID-PF-KEY
007000         MOVE DFHBMUNP           TO TTN0108A
007100         MOVE DFHBMASF           TO TTN0106A
007200                                    TTN0113A
007300         GO TO MB60PD-NTR-EXIT.
007400*
007500     IF  TTN0108L IS EQUAL TO 4
007600         MOVE TTN0108I           TO SS08WS-WORK-TRANS-ID
007700         SET MBCA-INITIAL-SCREEN-NBR
007800                                 TO TRUE
007900         PERFORM MB70PD-XCTL-TO-MBOXCTL
008000                                 THRU MB70PD-XTM-EXIT.
008100*
008200 MB60PD-NTR-EXIT.
008300     EXIT.
008400*
008500 MB60PD-EDIT-PAGE-NBR.
008600*****************************************************************
008700*  THIS ROUTINE IS TO BE PERFORMED   A F T E R                  *
008800*  A SCREEN HAS BEEN RECEIVED.  TO BUILD THE PAGE NUMBER        *
008900*  BEFORE YOU SEND A SCREEN, USE THE MB60PD-BUILD-PAGE-NBR      *
009000*  ROUTINE.                                                     *
009100*  THIS ROUTINE SHOULD ONLY BE PERFORMED IF THE EDITING OF A    *
009200*  SCREEN HAS BEEN SUCCESSFUL (NO ERRORS) AND WILL              *
009300*  EDIT THE PAGE NUMBER (TTN0162 ON ALL ON-LINE SCREENS).       *
009400*  IN ADDITION, IT WILL SET THE SCREEN NUMBER (MBCA-SCREEN-NBR) *
009500*  FOR YOU TO GO TO THE NEXT PROGRAM.  YOU MAY OVERRIDE THIS    *
009600*  FEATURE AFTER THE ROUTINE IS PERFORMED.                      *
009700*  THIS ROUTINE WILL EDIT THE SCREEN NUMBER AND CALCULATE THE   *
009800*  NEXT SCREEN NUMBER FOR YOU BASED ON THE DATA ENTERED IN THIS *
009900*  FIELD.  THIS ROUTINE WILL NOT WORK IN PROGRAMS WHICH USE     *
010000*  A 'SCROLLING' FEATURE.  PROGRAMS WHICH 'SCROLL' MUST HANDLE  *
010100*  THE PAGE NUMBER MANUALLY BASED ON OTHER DATA BESIDES THE     *
010200*  PAGE NUMBER.  THIS ROUTINE IS FOR THE MAJORITY OF            *
010300*  ON-LINE FUNCTIONS WHICH ARE A SERIES OF PROGRAMS (E.G.       *
010400*  MBMM00, MBMM01, MBMM02...).                                  *
010500*  IF YOU CANNOT USE THIS ROUTINE, SIMPLY DO NOT PERFORM IT.    *
010600*****************************************************************
010700*
010800     IF  MBCA-SCREEN-NBR IS GREATER THAN 49
010900         COMPUTE MBCA-SCREEN-NBR = MBCA-SCREEN-NBR - 50.
011000*
011100     COMPUTE MBCA-SCREEN-NBR     = MBCA-SCREEN-NBR + 1.
011200*
011300     IF  TTN0162L IS GREATER THAN ZERO
011400     AND TTN0162I IS NUMERIC
011500         IF  TTN0162I IS NOT GREATER THAN MBCA-MAX-SCREEN-NBR
011600             MOVE TTN0162I       TO MBCA-SCREEN-NBR
011700             MOVE TTN0162I       TO MBCA-SAVE-SCREEN-NBR
011800         ELSE
011900             MOVE MBCA-MAX-SCREEN-NBR
012000                                 TO MBCA-SCREEN-NBR
012100             MOVE MBCA-MAX-SCREEN-NBR
012200                                 TO MBCA-SAVE-SCREEN-NBR.
012300*
012400     IF  MBCA-SCREEN-NBR IS GREATER THAN MBCA-MAX-SCREEN-NBR
012500         SET MBCA-INITIAL-SCREEN-NBR
012600                                 TO TRUE
012700         GO TO MB60PD-EPN-EXIT.
012800*
012900     ADD 50                      TO MBCA-SCREEN-NBR.
013000*
013100 MB60PD-EPN-EXIT.
013200     EXIT.
013300*
013400 MB60PD-BUILD-PAGE-NBR.
013500*****************************************************************
013600*  THIS ROUTINE IS TO BE PERFORMED   B E F O R E                *
013700*  A SCREEN HAS BEEN RECEIVED OR,   A F T E R   A SCREEN HAS    *
013800*  BEEN RECEIVED AND THAT SCREEN HAS ERRORS.                    *
013900*  THIS ROUTINE WILL NOT WORK IN PROGRAMS WHICH USE             *
014000*  A 'SCROLLING' FEATURE.  PROGRAMS WHICH 'SCROLL' MUST HANDLE  *
014100*  THE PAGE NUMBER MANUALLY BASED ON OTHER DATA BESIDES THE     *
014200*  PAGE NUMBER.  THIS ROUTINE IS FOR THE MAJORITY OF            *
014300*  ON-LINE FUNCTIONS WHICH ARE A SERIES OF PROGRAMS (E.G.       *
014400*  MBMM00, MBMM01, MBMM02...).                                  *
014500*  IF THE TRANS-ID IS AN ADD (POSITION 3 OF TRANS-ID = 'A'),    *
014600*  THIS ROUTINE WILL ASKIP THE PAGE NUMBER FIELD.  IF YOU       *
014700*  PLACE A 99 IN THE TTN0162I FIELD PRIOR TO PERFORMING THIS    *
014800*  ROUTINE, THIS WILL ALSO ASKIP THE FIELD.  YOU MAY ALSO SET   *
014900*  AN ATTRIBUTE AFTER PERFORMING THIS ROUTINE (OVERRIDE).       *
015000*  THE DEFAULT ATTRIBUTE (IF THE ABOVE IS NOT TRUE) IS          *
015100*  UNPROTECTED, NORMAL INTENSITY AND NUMERIC.                   *
015200*  IF YOU CANNOT USE THIS ROUTINE, SIMPLY DO NOT PERFORM IT.    *
015300*****************************************************************
015400*
015500     IF (TTN0162I IS NUMERIC
015600     AND TTN0162I IS EQUAL TO 99)
015700     OR  MBCA-PTI-FUNCTION-ADD-OR-MODEL
015800         MOVE DFHBMASK           TO TTN0162A
015900     ELSE
016000         MOVE DFHBMUNN           TO TTN0162A.
016100*
016200     IF  MBCA-SCREEN-NBR IS GREATER THAN 49
016300         COMPUTE TTN0162I        =  MBCA-SCREEN-NBR - 50
016400     ELSE
016500         MOVE MBCA-SCREEN-NBR    TO TTN0162I.
016600*
016700 MB60PD-BPN-EXIT.
016800     EXIT.
016900*
017000 MB60PD-GETMAIN-FOR-MAP.
017100*****************************************************************
017200*  GET CICS STORAGE NEEDED FOR A MAP.                           *
017300*****************************************************************
017400*
017500     EXEC CICS GETMAIN
017600               SET     (ADDRESS OF MBMAPXXI)
017700               FLENGTH (LENGTH  OF MBMAPXXI)
017800               INITIMG (SS08WS-00)
017900          END-EXEC.
018000*
018100 MB60PD-GFM-EXIT.
018200     EXIT.
018300*
018400 MB60PD-INIT-STD-MAP-LINES.
018500*****************************************************************
018600*  THIS ROUTINE WILL INITIALIZE THE STANDARD FIELDS ON LINES    *
018700*  01, 02, AND 24 OF THE MAP FOR YOU.                           *
018800*****************************************************************
018900*
019000     MOVE MBCA-PREV-TRANS-ID     TO TTN0101I.
019100     MOVE MBOFILE-SYSTEM-TITLE   TO TTN0125I.
019200     PERFORM MB60PD-BUILD-PAGE-NBR
019300                                 THRU MB60PD-BPN-EXIT.
019400*
019500     MOVE SPACES                 TO SS01WS-EDIT-X.
019600     MOVE MBCA-START-DATE        TO SS01WS-JULIAN.
019700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
019800        THRU SS26PD-NED-EXIT.
019900     MOVE SS01WS-XX-XX-YYYY      TO TTN0169I.
020000*
020100     MOVE MBCA-START-TIME        TO SS01WS-TIME-HHMMSS.
020200     PERFORM SS27PD-NUMERICALLY-EDIT-TIME
020300        THRU SS27PD-NET-EXIT.
020400     MOVE SS01WS-HH-MM-SS        TO TTN0269I.
020500*
020600     MOVE MBCA-PGMX-PF-KEY-AREA  TO SS08WS-PGMX-PF-KEY-AREA.
020700     PERFORM SS15PD-SCREEN-LINE-24-ROUTINE
020800                                 THRU SS15PD-SL24R-EXIT.
020900     MOVE SS08WS-LINE-24         TO TTN2401I.
021000     MOVE DFHBMABF               TO TTN2401A.
021100*
021200 MB60PD-ISML-EXIT.
021300     EXIT.
021400*
021500 MB60PD-SEND-MAP-WITH-ERASE.
021600*****************************************************************
021700*  SEND A MAP WITH THE ERASE FUNCTION.                          *
021800*  THE MAP NAME IN WHICH YOU ARE SENDING SHOULD ALWAYS BE IN    *
021900*  THE COMMUNICATION AREA FIELD MBCA-MAP-NAME. IF YOU           *
022000*  ARE USING A 'TEST' VERSION OR AN 'ALTERNATE' VERSION OF THE  *
022100*  MAP, YOU MAY NEED TO MODIFY MAP NAME PRIOR TO PERFORMING     *
022200*  THIS ROUTINE.  THE FIELD MBCA-MAP-DATA-NAME WILL BE THE NAME *
022300*  OF THE CATALOGED MAP WITH A SUFFIX OF 'I' (E.G. MBMM00 IS    *
022400*  THE CATALOGED MAP NAME AND MBMM00I IS THE NAME OF THE 01     *
022500*  LEVEL WHICH IS COPIED INTO THE PROGRAM).                     *
022600*  THIS ROUTINE ALSO SETS THE ATTRIBUTE BYTES FOR YOU IN SCREEN *
022700*  LINES 01, 02 AND 24 (EXCEPT THE PAGE NUMBER IN LINE 01).     *
022800*****************************************************************
022900*
023000     MOVE DFHBMASF               TO TTN0101A.
023100     MOVE DFHBMASF               TO TTN0125A.
023200     MOVE DFHBMASF               TO TTN0169A.
023300     MOVE DFHBMASF               TO TTN0269A.
023400     MOVE DFHBMABF               TO TTN2401A.
023500*
023600     EXEC CICS SEND
023700               MAP    ('MBMAPXX')
023800               MAPSET (MBCA-MAP-NAME)
023900               ERASE
024000               CURSOR
024100               FREEKB
024200          END-EXEC.
024300*
024400 MB60PD-SMWE-EXIT.
024500     EXIT.
024600*
024700 MB60PD-SEND-MAP-DATA-ONLY.
024800*****************************************************************
024900*  SEND A MAP WITH THE DATAONLY FUNCTION.                       *
025000*  THE MAP NAME IN WHICH YOU ARE SENDING SHOULD ALWAYS BE IN    *
025100*  THE COMMUNICATION AREA FIELD MBCA-MAP-NAME. IF YOU           *
025200*  ARE USING A 'TEST' VERSION OR AN 'ALTERNATE' VERSION OF THE  *
025300*  MAP, YOU MAY NEED TO MODIFY MAP NAME PRIOR TO PERFORMING     *
025400*  THIS ROUTINE.  THE FIELD MBCA-MAP-DATA-NAME WILL BE THE NAME *
025500*  OF THE CATALOGED MAP WITH A SUFFIX OF 'I' (E.G. MBMM00 IS    *
025600*  THE CATALOGED MAP NAME AND MBMM00I IS THE NAME OF THE 01     *
025700*  LEVEL WHICH IS COPIED INTO THE PROGRAM).                     *
025800*  THIS ROUTINE ALSO SETS THE ATTRIBUTE BYTES FOR YOU IN SCREEN *
025900*  LINES 01, 02 AND 24 (EXCEPT THE PAGE NUMBER IN LINE 01).     *
026000*****************************************************************
026100*
026200     MOVE DFHBMASF               TO TTN0101A.
026300     MOVE DFHBMASF               TO TTN0125A.
026400     MOVE DFHBMASF               TO TTN0169A.
026500     MOVE DFHBMASF               TO TTN0269A.
026600     MOVE DFHBMABF               TO TTN2401A.
026700*
026800     EXEC CICS SEND
026900               MAP      ('MBMAPXX')
027000               MAPSET   (MBCA-MAP-NAME)
027100               DATAONLY
027200               CURSOR
027300               FREEKB
027400          END-EXEC.
027500*
027600 MB60PD-SMDO-EXIT.
027700     EXIT.
027800*
027900 MB60PD-RECEIVE-MAP.
028000*****************************************************************
028100*  RECEIVE A MAP.                                               *
028200*  THIS SECTION RECEIVES A MAP USING THE 'SET' FUNCTION.        *
028300*  THE MAP NAME IN WHICH YOU ARE SENDING SHOULD ALWAYS BE IN    *
028400*  THE COMMUNICATION AREA FIELD MBCA-MAP-NAME. IF YOU           *
028500*  ARE USING A 'TEST' VERSION OR AN 'ALTERNATE' VERSION OF THE  *
028600*  MAP, YOU MAY NEED TO MODIFY THE MAP NAME PRIOR TO PERFORMING *
028700*  THIS ROUTINE.                                                *
028800*****************************************************************
028900*
029000     EXEC CICS RECEIVE
029100               MAP  (MBCA-MAP-NAME)
029200               SET  (ADDRESS OF MBMAPXXI)
029300          END-EXEC.
029400*
029500 MB60PD-RM-EXIT.
029600     EXIT.
