000100****************************************************************
000200****************************************************************
000300****************************************************************
000400*    MB70PD - GENERAL ON-LINE PROGRAM ROUTINES                 *
000500****************************************************************
000600****************************************************************
000700****************************************************************
000800*                                                              *
000900*    GENERAL ROUTINES USED IN THE ON-LINE PORTION OF THE MBS   *
001000*    SYSTEM.  THIS COPY BOOK   M U S T   BE THE LAST LINE OF   *
001100*    CODE IN YOUR ON-LINE PROGRAM.  E.G. COPY MB70PD.          *
001200*    BY HAVING IT AS THE LAST LINE OF CODE, YOU WILL ELIMINATE *
001300*    A WARNING GENERATED BY THE COBOL COMPILER WHICH GENERATES *
001400*    A 'STOP RUN' AFTER THE LAST STATEMENT OF YOUR PROGRAM.    *
001500*                                                              *
001600*    TO USE THESE ROUTINES........                             *
001700*                                                              *
001800*    1. SS01WS MUST BE IN WS IN YOUR PROGRAM.                  *
001900*       (DATE WORK AREAS)                                      *
002000*    2. SS08WS MUST BE IN WS IN YOUR PROGRAM.                  *
002100*       (ON-LINE-WORK-AREAS)                                   *
002200*    3. MBIORO MUST BE IN YOUR PROGRAM OR LINKAGE              *
002300*       SECTION.                                               *
002400*    4. MBIOWS MUST BE IN WS IN YOUR PROGRAM OR LINKAGE        *
002500*       SECTION.                                               *
002600*    5. MB60WS MUST BE THE COMMUNICATION AREA (OR IN WS)       *
002700*    6. SMFTWS MUST BE IN THE WORKING-STORAGE SECTION OF       *
002800*       YOUR PROGRAM (LINKAGE TO SMFT DATA TABLE---FILE TABLE).*
002900*    7. SMFTPXO MUST BE IN THE PROCEDURE DIVISION OF           *
003000*       YOUR PROGRAM (CALL TO SMFT DATA TABLE---FILE TABLE).   *
003100*    8. MB61LK MUST BE IN THE WORKING-STORAGE OR LINKAGE       *
003200*       SECTION OF YOUR PROGRAM (FILE TABLE).  IF IN THE       *
003300*       LINKAGE SECTION, IT IS A USER RESPONSIBILITY TO        *
003400*       ACQUIRE THE STORAGE PRIOR TO PERFORMING THIS ROUTINE.  *
003500*    9. SMPTRL MUST BE IN THE WORKING-STORAGE OR LINKAGE       *
003600*       SECTION OF YOUR PROGRAM (PROGRAM TABLE).  IF IN THE    *
003700*       LINKAGE SECTION, IT IS A USER RESPONSIBILITY TO        *
003800*       ACQUIRE THE STORAGE PRIOR TO PERFORMING THIS ROUTINE.  *
003900*                                                              *
004000****************************************************************
004100*
004200 MB70PD-ON-LINE-HOUSEKEEPING.
004300****************************************************************
004400*    THIS ROUTINE OF THE COPY BOOK PERFORMS THE FOLLOWING      *
004500*    'HOUSEKEEPING' CHORES WHICH EVERY ON-LINE PROGRAM         *
004600*    SHOULD DO.                                                *
004700*    1. SET THE HANDLE CONDITION TO THE GENERAL ERROR ROUTINE  *
004800*       'MB70PD-ERROR-ROUTINE.                                 *
004900*    2. CHECKS TO SEE IF A VALID COMM AREA LENGTH HAS BEEN     *
005000*       PASSED TO THIS PROGRAM.  IF NOT, THE PROGRAM WILL      *
005100*       ABORT.                                                 *
005200*    3. OBTAINS THE FILE TABLE FROM THE SMFT DATA TABLE.       *
005300*       YOU MUST HAVE COPY BOOK SC61LK IN YOUR PROGRAM.        *
005400*    4. SET THE DATE FORMAT FLAG.                              *
005500*       SS01WS MUST BE COPIED INTO YOUR PROGRAM.               *
005600*    5. SAVE THE TRANS-ID (FROM COMMAREA) IN A WORKING FIELD   *
005700*       (IN SS08WS) CALLED SS08WS-WORK-TRANS-ID. THE FIELD     *
005800*       SS08WS-WORK-TRANS-ID IS USED AS THE ONE IN WHICH THE   *
005900*       NEXT ON-LINE CONTROL WILL BE PASSED TO VIA MBOXCTL.    *
006000*       SS08WS-WORK-TRANS-ID IS MOVED TO MBCA-TRANS-ID BY THE  *
006100*       MB70PD-XCTL-TO-MBOXCTL ROUTINE.  THIS IS THE WAY TO    *
006200*       CHANGE THE TRANS-ID DURING THE EXECUTION OF YOUR       *
006300*       PROGRAM.  E.G. SCROLLING MULTI-PAGES ON THE SAME       *
006400*       SCREEN.                                                *
006500*    6. HANDLING THE CLEAR KEY.  IF THE CLEAR KEY HAS BEEN     *
006600*       DEPRESSED, ONE OF THE FOLLOWING WILL OCCUR.........    *
006700*       A. IF YOU ARE IN THE DETAIL PORTION OF THE TRANS-ID    *
006800*          (SCREEN NUMBER 01/51 OR GREATER), DEPRESSING THE    *
006900*          CLEAR KEY WILL RETURN YOU TO THE LOCATE SCREEN FOR  *
007000*          THE TRANS-ID YOU ARE USING.                         *
007100*       B. IF YOU ARE IN THE LOCATE PROGRAM (SCREEN NUMBERS    *
007200*          MUST BE 00, 50, 98 OR 99) DEPRESSING THE CLEAR KEY  *
007300*          WILL SET THE NEW TRANS-ID TO '..NU' AND THE SYSTEM  *
007400*          WILL TRANSFER TO THE MENU.                          *
007500*       C. IF YOU ARE IN THE '..NU' TRANSACTION, THIS ROUTINE  *
007600*          WILL TRANSFER YOU OUT OF THE SYSTEM AND DISPLAY A   *
007700*          BLANK SCREEN WITH THE LITERAL (AND UNPROTECTED)     *
007800*          '     ENTER NEXT TRANSACTION'.                      *
007900*    7. TO USE THIS ROUTINE.......                             *
008000*       A. PERFORM MB70PD-ON-LINE-HOUSEKEEPING                 *
008100*             THRU MB70PD-OLH-EXIT.                            *
008200****************************************************************
008300*
008400     EXEC CICS HANDLE CONDITION
008500               ERROR (MB70PD-ERROR-ROUTINE)
008600     END-EXEC.
008700*
008800     MOVE ZEROES               TO MBIORO-PERM-STATUS-1
008900                                  MBIORO-PERM-STATUS-2
009000                                  MBIORO-PERM-STATUS-3
009100                                  MBIORO-PERM-STATUS-4
009200                                  MBIORO-PERM-STATUS-5
009300                                  MBIORO-TEMP-STATUS-1
009400                                  MBIORO-TEMP-STATUS-2.
009500*
009600 MB70PD-SET-ADDRESS.
009700*
009800****************************************************************
009900*   IF NO COMM AREA EXISTS OR THE COMM AREA IS NOT THE CORRECT *
010000*   LENGTH, USE THE SPECIAL ABORT FOR NO COMM AREA.            *
010100****************************************************************
010200*
010300     IF  EIBCALEN NOT = LENGTH OF DFHCOMMAREA
010400         MOVE 'CALE'             TO SS08WS-WORK-TRANS-ID
010500         GO TO MB70PD-ERROR-ROUTINE
010600     END-IF.
010700*
010800*****************************************************************
010900*       GET FILE TABLE VIA SSSSMFTO (SMFTPXO) SUBROUTINE.       *
011000*       SET THE DATE FORMAT FLAG.                               *
011100*       STORE OFF TRANS-ID TO SS08WS-WORK-TRANS-ID.             *
011200*****************************************************************
011300*
011400     SET  SMFTWS-AC-IS-MBS       TO TRUE.
011500     MOVE MBCA-FILE-TABLE        TO SMFTWS-FILE-TABLE.
011600     PERFORM SMFTPXO-FILE-TABLE
011700        THRU SMFTPXO-FT-EXIT.
011800*
011900     MOVE SMFTWS-RECORD          TO MBOFILE-RECORD.
012000     MOVE MBCA-PGM-TABLE-HEADER  TO SMPT-RECORD.
012100     MOVE MBOFILE-IO-PROGRAM-NAME
012200                                 TO MBIOWS-IO-PROGRAM-NAME.
012300     MOVE MBOFILE-L1-PROGRAM-NAME
012400                                 TO MBIOWS-L1-PROGRAM-NAME.
012500*
012600     MOVE MBCA-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
012700     MOVE MBCA-TRANS-ID          TO SS08WS-WORK-TRANS-ID.
012800*
012900     IF  MBCA-PTI-FUNCTION-IS-DIR
013000         IF  MBCA-DIRECT-TRANSFER-CODE
013100         AND MBCA-INITIAL-SCREEN-NBR
013200             SUBTRACT 50         FROM MBCA-KEY-CODE
013300         END-IF
013400     END-IF.
013500*
013600****************************************************************
013700*    CLEAR (DFHCLEAR) LOGIC                                    *
013800****************************************************************
013900*
014000 MB70PD-OLH-CLEAR-KEY-LOGIC.
014100*
014200     IF  MBCA-EIBAID-CLEAR
014300         IF  MBCA-PTI-POS-3-4 = 'NU'
014400             MOVE '     ENTER NEXT TRANSACTION'
014500                                 TO SS08WS-TEXT-MESSAGE
014600             PERFORM MB70PD-SEND-TEXT-MESSAGE
014700                THRU MB70PD-STM-EXIT
014800             PERFORM MB70PD-RETURN-TO-CICS
014900                THRU MB70PD-RTC-EXIT
015000         ELSE
015100             IF  MBCA-SCREEN-NBR = 99
015200             OR  MBCA-SCREEN-NBR = 98
015300             OR  MBCA-SCREEN-NBR = 00
015400             OR  MBCA-SCREEN-NBR = 50
015500                 SET MBCA-INITIAL-SCREEN-NBR
015600                                 TO TRUE
015700                 MOVE '..NU'     TO SS08WS-WORK-TRANS-ID
015800                 PERFORM MB70PD-XCTL-TO-MBOXCTL
015900                    THRU MB70PD-XTM-EXIT
016000             ELSE
016100                 SET MBCA-INITIAL-SCREEN-NBR
016200                                 TO TRUE
016300                 MOVE MBCA-PREV-TRANS-ID
016400                                 TO SS08WS-WORK-TRANS-ID
016500                 PERFORM MB70PD-XCTL-TO-MBOXCTL
016600                    THRU MB70PD-XTM-EXIT
016700             END-IF
016800         END-IF
016900     END-IF.
017000*
017100 MB70PD-OLH-EXIT.
017200       EXIT.
017300*
017400 MB70PD-RETURN-TO-CICS.
017500*****************************************************************
017600*    THIS IS A RETURN TO CICS.  THIS SHOULD BE USED AFTER EVERY *
017700*    RETURN TRANS-ID OR AT TASK TERMINATION TIME.               *
017800*****************************************************************
017900*
018000     EXEC CICS RETURN
018100     END-EXEC.
018200*
018300 MB70PD-RTC-EXIT.
018400     EXIT.
018500*
018600*
018700*
018800 MB70PD-RETURN-TRANS-ID.
018900*****************************************************************
019000*    THIS IS A RETURN TRANS-ID.  THIS IS NORMALLY DONE AFTER    *
019100*    A MAP HAS BEEN SENT.                                       *
019200*    WHEN PERFORMING THIS ROUTINE, YOU WILL NOT BRANCH BACK TO  *
019300*    THE NEXT INSTRUCTION IN YOUR PROGRAM, AS THIS PERFORM RANGE*
019400*    WILL TERMINATE YOUR TASK.                                  *
019500*****************************************************************
019600*
019700     EXEC CICS RETURN
019800               TRANSID  (MBCA-PREV-TRANS-ID)
019900               COMMAREA (DFHCOMMAREA)
020000     END-EXEC.
020100*
020200     PERFORM MB70PD-RETURN-TO-CICS
020300        THRU MB70PD-RTC-EXIT.
020400*
020500 MB70PD-RTI-EXIT.
020600     EXIT.
020700*
020800 MB70PD-SEND-TEXT-MESSAGE.
020900*****************************************************************
021000*    THIS IS A SEND OF A TEXT MESSAGE.  TO USE THIS ROUTINE,    *
021100*    MOVE A LITERAL INTO THE FIELD 'SS08WS-TEXT-MESSAGE' AND    *
021200*    PERFORM MB70PD-SEND-TEXT-MESSAGE THRU MB70PD-STM-EXIT.     *
021300*    WHEN PERFORMING THIS ROUTINE, YOU WILL NOT BRANCH BACK TO  *
021400*    THE NEXT INSTRUCTION IN YOUR PROGRAM, AS THIS PERFORM RANGE*
021500*    WILL TERMINATE YOUR TASK.                                  *
021600*****************************************************************
021700*
021800     EXEC CICS SEND
021900               FROM   (SS08WS-TEXT-MESSAGE)
022000               ERASE
022100     END-EXEC.
022200*
022300     PERFORM MB70PD-RETURN-TO-CICS
022400        THRU MB70PD-RTC-EXIT.
022500*
022600 MB70PD-STM-EXIT.
022700     EXIT.
022800*
022900 MB70PD-XCTL-TO-MBOXCTL.
023000*****************************************************************
023100*  TRANSFER CONTROL TO ANOTHER PROGRAM VIA THE MBOXCTL PROGRAM. *
023200*  THIS ROUTINE USES THE FIELD SS08WS-WORK-TRANS-ID AS THE TRANS*
023300*  ID TO WHICH YOU ARE GOING TO PASS CONTROL.  WHEN YOU PERFORM *
023400*  THE HOUSEKEEPING ROUTINE (AT THE OUTSET OF YOUR PROGRAM), IT *
023500*  INSURES AT LEAST A DEFAULT HAS BEEN LOADED INTO THE WORK     *
023600*  TRANS-ID AREA.                                               *
023700*  WHEN PERFORMING THIS ROUTINE, YOU WILL NOT BRANCH BACK TO    *
023800*  THE NEXT INSTRUCTION IN YOUR PROGRAM, AS THIS PERFORM RANGE  *
023900*  WILL TERMINATE YOUR TASK.                                    *
024000*****************************************************************
024100*
024200     PERFORM MB70PD-CHECK-KEY-CODE
024300        THRU MB70PD-CKC-EXIT.
024400*
024500     MOVE SS08WS-WORK-TRANS-ID   TO MBCA-TRANS-ID.
024600*
024700     EXEC CICS XCTL
024800               PROGRAM  (MBOFILE-MBOXCTL-NAME)
024900               COMMAREA (DFHCOMMAREA)
025000     END-EXEC.
025100*
025200 MB70PD-XTM-EXIT.
025300     EXIT.
025400*
025500 MB70PD-XCTL-TO-PROGRAM.
025600*****************************************************************
025700*  TRANSFER CONTROL TO ANOTHER PROGRAM VIA THE XCTL COMMAND.    *
025800*  THIS ROUTINE USES THE FIELD SS08WS-LINK-PROGRAM AS THE       *
025900*  PROGRAM ID TO WHICH YOU ARE GOING TO PASS CONTROL.           *
026000*  WHEN PERFORMING THIS ROUTINE, YOU WILL NOT BRANCH BACK TO    *
026100*  THE NEXT INSTRUCTION IN YOUR PROGRAM, AS THIS PERFORM RANGE  *
026200*  WILL TERMINATE YOUR TASK.                                    *
026300*****************************************************************
026400*
026500     EXEC CICS XCTL
026600               PROGRAM  (SS08WS-LINK-PROGRAM)
026700               COMMAREA (DFHCOMMAREA)
026800     END-EXEC.
026900*
027000 MB70PD-XTP-EXIT.
027100     EXIT.
027200*
027300 MB70PD-LINK-TO-PROGRAM.
027400*****************************************************************
027500*  THIS ROUTINE IS USED TO GO DOWN ONE LEVEL AND LINK TO ANOTHER*
027600*  CICS PROGRAM.  THE PROGRAMS NORMALLY 'LINKED TO' IN THIS     *
027700*  SYSTEM ARE SUBROUTINES.  THIS LINK PASSES A COMMAREA.        *
027800*  TO USE THIS ROUTINE, MOVE THE NAME OF THE PROGRAM TO THE     *
027900*  FIELD SS08WS-LINK-PROGRAM.                                   *
028000*****************************************************************
028100*
028200     EXEC CICS LINK
028300               PROGRAM  (SS08WS-LINK-PROGRAM)
028400               COMMAREA (DFHCOMMAREA)
028500     END-EXEC.
028600*
028700     IF  MBCA-TI-POS-3-4 = 'RR'
028800         MOVE MBCA-TRANS-ID      TO SS08WS-WORK-TRANS-ID
028900         SET MBCA-INITIAL-SCREEN-NBR
029000                                 TO TRUE
029100         PERFORM MB70PD-XCTL-TO-MBOXCTL
029200            THRU MB70PD-XTM-EXIT
029300         PERFORM MB70PD-RETURN-TO-CICS
029400            THRU MB70PD-RTC-EXIT
029500     END-IF.
029600*
029700 MB70PD-LTP-EXIT.
029800     EXIT.
029900*
030000 MB70PD-LINK-TO-PGM-NO-COMMAREA.
030100*****************************************************************
030200*  THIS ROUTINE IS USED TO 'DOWN' ONE LEVEL AND LINK TO ANOTHER *
030300*  CICS PROGRAM.  THE PROGRAMS NORMALLY 'LINKED TO' IN THIS     *
030400*  SYSTEM ARE SUBROUTINES.  THIS LINK PASSES NO COMMAREA.       *
030500*  TO USE THIS ROUTINE, MOVE THE NAME OF THE PROGRAM TO THE     *
030600*  FIELD SS08WS-LINK-PROGRAM.                                   *
030700*****************************************************************
030800*
030900     EXEC CICS LINK
031000               PROGRAM  (SS08WS-LINK-PROGRAM)
031100     END-EXEC.
031200*
031300 MB70PD-LTPNC-EXIT.
031400     EXIT.
031500*
031600 MB70PD-CHECK-KEY-CODE.
031700*****************************************************************
031800*  THIS ROUTINE IS USED TO CHECK THE KEY CODES IN THE COMM AREA *
031900*  THE KEY CODE IS STRUCTURED SO THAT THE NUMBERS 01-29 MEAN    *
032000*  THAT A VALID KEY OF SOME TYPE EXISTS IN THE COMMAREA, BUT DO *
032100*  NOT DO A DIRECT TRANSFER PAST A LOCATE SCREEN IF THE PROGRAM *
032200*  BEING EXECUTED   I S   A LOCATE PROGRAM.  SCREEN NUMBERS     *
032300*  31-59 AND 63 MEAN THAT A VALID KEY OF SOME TYPE EXISTS IN THE*
032400*  COMMAREA, AND IF WE ARE IN A LOCATE PROGRAM AND THE KEY IN   *
032500*  THE COMMAREA IS OF THE TYPE WE NEED FOR THIS TRANS-ID, DO A  *
032600*  DIRECT TRANSFER TO THE FIRST SCREEN WITHIN THIS TRANS-ID.    *
032700*  IN OTHER WORDS, BYPASS THE LOCATE PROGRAM.                   *
032800*  EACH TIME A PROGRAM PASSES THROUGH THE MB70PD-XCTL-TO-MBOXCTL*
032900*  ROUTINE, THE KEY CODE NEEDS TO BE CHECKED TO SEE IF WE WANT  *
033000*  TO RESET IT TO A NON-DIRECT STATUS FROM A DIRECT STATUS.     *
033100*  ALL LOCATE PROGRAMS SHOULD SET THE KEY CODE (AFTER EDITING   *
033200*  IS VALID) TO A DIRECT KEY CODE SETTING FOR A PARTICULAR FILE.*
033300*  TO CHECK TO SEE IF WE RESET FROM DIRECT TO INDIRECT,         *
033400*  A PECKING ORDER HAS BEEN ESTABLISHED.  THE PECKING ORDER IS..*
033500*  1. IF THE KEY CODE IS THE INITIAL KEY CODE, DO NOT RESET.    *
033600*     WE DON'T HAVE ANYTHING TO RESET.                          *
033700*  2. IF THE CLEAR KEY HAS BEEN HIT, RESET THE KEY CODE.        *
033800*     WE   W A N T   THEM TO SEE THE LOCATE SCREEN.             *
033900*  3. IF A PF FUNCTION IS ENTERED, DO NOT RESET.                *
034000*     THE OPERATOR OF THE SCREEN IS TRYING TO TRANSFER TO       *
034100*     ANOTHER TRANS-ID, THIS IS WHERE THE DIRECT TRANSFER       *
034200*     IS PLAYED OUT.  THEREFORE, DO NOT RESET THE KEY CODE.     *
034300*  4. IF A NEW TRANS-ID IS ENTERED, DO NOT RESET.               *
034400*     THE OPERATOR OF THE SCREEN IS TRYING TO TRANSFER TO       *
034500*     ANOTHER TRANS-ID, THIS IS WHERE THE DIRECT TRANSFER       *
034600*     IS PLAYED OUT.  THEREFORE, DO NOT RESET THE KEY CODE.     *
034700*  5. IF THE PROGRAM IS A LOCATE, DO NOT RESET.                 *
034800*     THIS IS THE PROGRAM THAT   S E T S   THE KEY CODE. DO NOT *
034900*     OVERRIDE WHAT IT HAS DONE.                                *
035000*  6. IF WE ARE ON THE LAST PROGRAM IN A SERIES OF PROGRAMS     *
035100*     AND ALL OF THE ABOVE IS FALSE, RESET THE KEY CODE.        *
035200*     THIS MEANS THAT THE OPERATOR HAS HIT ENTER ON THE LAST    *
035300*     SCREEN OF A SERIES OF SCREENS FOR A TRANS-ID AND HE IS    *
035400*     GOING TO BE SENT BACK TO THE LOCATE SCREEN FOR THIS SAME  *
035500*     TRANS-ID.  THEREFORE, WE   W A N T   THE OPERATOR TO HAVE *
035600*     THE OPPORTUNITY TO KEY A NEW ORG/MERCHANT/ETC............ *
035700*                                                               *
035800*****************************************************************
035900*
036000     IF  MBCA-KEY-CODE IS NOT NUMERIC
036100         MOVE 99                 TO MBCA-KEY-CODE
036200     END-IF.
036300*
036400     IF  MBCA-INITIAL-KEY-CODE
036500         GO TO MB70PD-CKC-EXIT
036600     END-IF.
036700*
036800     IF  MBCA-EIBAID-CLEAR
036900         GO TO MB70PD-CKC-RESET-KEY-CODE
037000     END-IF.
037100*
037200     IF  SS08WS-VALID-PF-KEY
037300     OR  SS08WS-EIBAID-VALID-PF-KEY
037400         GO TO MB70PD-CKC-EXIT
037500     END-IF.
037600*
037700     IF  SS08WS-WORK-TRANS-ID NOT = MBCA-PREV-TRANS-ID
037800         GO TO MB70PD-CKC-EXIT
037900     END-IF.
038000*
038100     IF  MBCA-SAVE-SCREEN-NBR = 99
038200     OR  MBCA-SAVE-SCREEN-NBR = 98
038300     OR  MBCA-SAVE-SCREEN-NBR = 00
038400     OR  MBCA-SAVE-SCREEN-NBR = 50
038500         GO TO MB70PD-CKC-EXIT
038600     END-IF.
038700*
038800     IF  MBCA-SAVE-SCREEN-NBR > 49
038900     AND MBCA-SAVE-SCREEN-NBR < 98
039000         IF  MBCA-SAVE-SCREEN-NBR NOT <
039100                                 (MBCA-MAX-SCREEN-NBR + 50)
039200             GO TO MB70PD-CKC-RESET-KEY-CODE
039300         END-IF
039400     END-IF.
039500*
039600     IF  MBCA-SAVE-SCREEN-NBR < 50
039700         IF  MBCA-SAVE-SCREEN-NBR NOT <
039800                                 MBCA-MAX-SCREEN-NBR
039900             GO TO MB70PD-CKC-RESET-KEY-CODE
040000         END-IF
040100     END-IF.
040200*
040300     GO TO MB70PD-CKC-EXIT.
040400*
040500 MB70PD-CKC-RESET-KEY-CODE.
040600*
040700     IF  MBCA-KEY-CODE > 49
040800         SUBTRACT 50             FROM MBCA-KEY-CODE
040900         GO TO MB70PD-CKC-RESET-KEY-CODE
041000     END-IF.
041100*
041200 MB70PD-CKC-EXIT.
041300     EXIT.
041400*
041500 MB70PD-ERROR-ROUTINE.
041600*****************************************************************
041700*  THIS IS THE STANDARD ERROR ROUTINE USED BY ALL ON-LINE       *
041800*  PROGRAMS IN THE MBS SYSTEM.  PRIOR TO ENTERING THIS ROUTINE, *
041900*  YOU ARE RESPONSIBLE TO PLUG THE VALUE OF THE TWO MESSAGE     *
042000*  FIELDS AND/OR THE IO-REQUEST FIELD.                          *
042100*****************************************************************
042200*
042300     IF  SS08WS-WORK-TRANS-ID = 'CALE'
042400         MOVE '     COMMUNICATION AREA LENGTH ERROR'
042500                                 TO SS08WS-TEXT-MESSAGE
042600         PERFORM MB70PD-SEND-TEXT-MESSAGE
042700            THRU MB70PD-STM-EXIT
042800         PERFORM MB70PD-RETURN-TO-CICS
042900            THRU MB70PD-RTC-EXIT
043000     END-IF.
043100*
043200     IF  MBCA-ERROR-MSGS-NOT-PROVIDED
043300         MOVE SPACES             TO MBCA-ERRR-WORK-AREA
043400     END-IF.
043500*
043600     SET MBCA-INITIAL-SCREEN-NBR TO TRUE.
043700     MOVE '..RR'                 TO SS08WS-WORK-TRANS-ID.
043800*
043900     PERFORM MB70PD-XCTL-TO-MBOXCTL
044000        THRU MB70PD-XTM-EXIT.
044100     PERFORM MB70PD-RETURN-TO-CICS
044200        THRU MB70PD-RTC-EXIT.
044300*
044400*
044500*
044600 MB70PD-GOBACK-ROUTINE.
044700*
044800     GOBACK.
