000100******************************************************************
000200******************************************************************
000300******************************************************************
000400*    MB99PD - DATE/TIME STAMP CHECK, MISSING HEADER ABEND, AND   *
000500*             FILE-NOT-ON-BACKUP ABEND ROUTINES.                 *
000600******************************************************************
000700******************************************************************
000800******************************************************************
000900*    CHECK DATE/TIME STAMP ROUTINE                               *
001000*                                                                *
001100*    TO USE THIS ROUTINE......................................   *
001200*    1. COPY BOOKS SS02WS AND MB99WS MUST BE IN THE WORKING      *
001300*       STORAGE SECTION OF THE PROGRAM.                          *
001400*       ALSO, COPY BOOK SS02PD MUST BE IN THE PROCEDURE DIVISION *
001500*       OF THE PROGRAM.                                          *
001600*    2. A VALID PROGRAM NAME MUST BE SUPPLIED IN THE FIELD       *
001700*       SS02WS-ABEND-PROG-ID. IF NOT SUPPLIED THIS ROUTINE WILL  *
001800*       ABEND.                                                   *
001900*    3. A VALID FILE NAME MUST BE SUPPLIED IN THE FIELD          *
002000*       MB99WS-FILE-ID.  IF NOT SUPPLIED THIS ROUTINE WILL ABEND.*
002100*    4. MOVE THE CONTROL PROCESSING DATE/TIME TO THE FIELDS      *
002200*       MB99WS-PROC-DATE AND MB99WS-PROC-TIME.                   *
002300*       ONCE THE CONTROL DATE/TIME IS SET IT NEED NOT BE SET     *
002400*       AGAIN.                                                   *
002500*    5. MOVE THE FILE DATE/TIME STAMP TO THE FIELDS              *
002600*       MB99WS-FILE-DATE AND MB99WS-FILE-TIME.                   *
002700*    6. PERFORM MB99PD-CHECK-DATE-TIME THRU MB99PD-CDT-EXIT.     *
002800*    7. IF AN INVALID DATE/TIME STAMP CHECK WAS DETECTED, THIS   *
002900*       ROUTINE WILL ABEND THE PROGRAM FOR YOU.                  *
003000*       IF THE DATE/TIME STAMP CHECK WAS SUCCESSFUL, YOUR        *
003100*       PROGRAM WILL CONTINUE.                                   *
003200*                                                                *
003300*    N O T E --- SEVERAL CONSIDERATIONS MAY BE MADE TO DATE/TIME *
003400*                STAMP CHECKING.                                 *
003500*                A. IF YOU ONLY HAVE A DATE STAMP TO CHECK,      *
003600*                   MOVE ZERO TO MB99WS-PROC-TIME                *
003700*                   AND  ZERO TO MB99WS-FILE-TIME.               *
003800*                B. IF THE FIELD MB99WS-PROC-DATE IS EQUAL TO    *
003900*                   ZERO OR MB99WS-FILE-DATE IS EQUAL TO ZERO,   *
004000*                   THE DATE/TIME STAMP CHECK WILL BE FORCED TO  *
004100*                   BE SUCCESSFUL.                               *
004200*                                                                *
004300*                ALSO, THE FOLLOWING FIELDS WILL BE RESET IF THE *
004400*                DATE/TIME STAMP CHECK IS SUCCESSFUL FOR         *
004500*                SUBSEQUENT USAGE OF THE ROUTINE.                *
004600*                A. MB99WS-FILE-DATE WILL BE RESET TO 9999365    *
004700*                B. MB99WS-FILE-TIME WILL BE RESET TO 99999999999*
004800*                C. MB99WS-FILE-ID WILL BE RESET TO SPACES.      *
004900*                                                                *
005000*                                                                *
005100******************************************************************
005200 MB99PD-CHECK-DATE-TIME.
005300*
005400     PERFORM MB99PD-ID-VALIDATION
005500        THRU MB99PD-IV-EXIT.
005600*
005700     IF  MB99WS-PROC-DATE IS EQUAL TO ZERO
005800     OR  MB99WS-FILE-DATE IS EQUAL TO ZERO
005900     OR (MB99WS-PROC-DATE IS EQUAL TO MB99WS-FILE-DATE
006000     AND MB99WS-PROC-TIME IS EQUAL TO MB99WS-FILE-TIME)
006100         MOVE SPACES             TO MB99WS-FILE-ID
006200         MOVE 9999365            TO MB99WS-FILE-DATE
006300         MOVE 99999999999        TO MB99WS-FILE-TIME
006400     ELSE
006500         MOVE MB99WS-FILE-ID     TO MB99WS-MSG-FILE-ID
006600         MOVE MB99WS-MESSAGE     TO SS02WS-ABENDMSG8
006700         PERFORM SS02PD-ABEND
006800            THRU SS02PD-ABEND-EXIT.
006900*
007000*
007100 MB99PD-CDT-EXIT.
007200     EXIT.
007300/
007400 MB99PD-MISSING-HEADER-ABEND.
007500******************************************************************
007600*    MISSING HEADER RECORD ROUTINE                               *
007700*    TO BE USED IF, AND ONLY IF, A HEADER RECORD ON A FILE IS    *
007800*    MISSING.                                                    *
007900*                                                                *
008000*    TO USE THIS ROUTINE......................................   *
008100*    1. A VALID PROGRAM NAME MUST BE SUPPLIED IN THE FIELD       *
008200*       SS02WS-ABEND-PROG-ID. IF NOT SUPPLIED THIS ROUTINE WILL  *
008300*       ABEND.                                                   *
008400*    2. A VALID FILE NAME MUST BE SUPPLIED IN THE FIELD          *
008500*       MB99WS-FILE-ID.  IF NOT SUPPLIED THIS ROUTINE WILL ABEND.*
008600*    3. PERFORM MB99PD-MISSING-HEADER-ABEND THRU MB99PD-MHR-EXIT.*
008700*       YOUR PROGRAM WILL ABEND WITH A STANDARD MESSAGE.         *
008800******************************************************************
008900*
009000     PERFORM MB99PD-ID-VALIDATION
009100        THRU MB99PD-IV-EXIT.
009200*
009300     MOVE 'MISSING HEADER REC -' TO MB99WS-MSG-LIT.
009400     MOVE MB99WS-FILE-ID         TO MB99WS-MSG-FILE-ID.
009500     MOVE MB99WS-MESSAGE         TO SS02WS-ABENDMSG8.
009600     MOVE 'S99PD'                TO SS02WS-ABEND-CODE-X.
009700     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
009800*
009900 MB99PD-MHA-EXIT.
010000     EXIT.
010100/
010200 MB99PD-NOT-ON-BACKUP.
010300******************************************************************
010400*    FILE NOT ON BACKUP ROUTINE                                  *
010500*    TO BE USED IF, AND ONLY IF, A FILE IS NOT ON THE MBMF BACKUP*
010600*    FILE AND THE FILE IS BEING REQUSTED FROM THE MBMF FILE.     *
010700*                                                                *
010800*    TO USE THIS ROUTINE......................................   *
010900*    1. A VALID PROGRAM NAME MUST BE SUPPLIED IN THE FIELD       *
011000*       SS02WS-ABEND-PROG-ID. IF NOT SUPPLIED THIS ROUTINE WILL  *
011100*       ABEND.                                                   *
011200*    2. A VALID FILE NAME MUST BE SUPPLIED IN THE FIELD          *
011300*       MB99WS-FILE-ID.  IF NOT SUPPLIED THIS ROUTINE WILL ABEND.*
011400*    3. PERFORM MB99PD-NOT-ON-BACKUP THRU MB99PD-NOB-EXIT.       *
011500*       YOUR PROGRAM WILL ABEND WITH A STANDARD MESSAGE.         *
011600******************************************************************
011700*
011800     PERFORM MB99PD-ID-VALIDATION
011900        THRU MB99PD-IV-EXIT.
012000*
012100     MOVE 'FILE NOT ON BACKUP -' TO MB99WS-MSG-LIT.
012200     MOVE MB99WS-FILE-ID         TO MB99WS-MSG-FILE-ID.
012300     MOVE MB99WS-MESSAGE         TO SS02WS-ABENDMSG8.
012400     MOVE 'S99PD'                TO SS02WS-ABEND-CODE-X.
012500     PERFORM SS02PD-ABEND        THRU SS02PD-ABEND-EXIT.
012600*
012700 MB99PD-NOB-EXIT.
012800     EXIT.
012900*
013000*
013100*
013200 MB99PD-ID-VALIDATION.
013300*
013400     MOVE 'S99PD'                TO SS02WS-ABEND-CODE-X.
013500*
013600     IF  SS02WS-ABEND-PROG-ID IS EQUAL TO SPACES
013700         MOVE '- BAD PROG NAME - MB99PD'
013800                                 TO SS02WS-ABENDMSG8
013900         MOVE 'BADPRO'           TO SS02WS-ABEND-PROG-ID
014000         PERFORM SS02PD-ABEND
014100            THRU SS02PD-ABEND-EXIT.
014200*
014300     IF  MB99WS-FILE-ID IS EQUAL TO SPACES
014400         MOVE '- BAD FILE NAME - MB99PD'
014500                                 TO SS02WS-ABENDMSG8
014600         PERFORM SS02PD-ABEND
014700            THRU SS02PD-ABEND-EXIT.
014800*
014900 MB99PD-IV-EXIT.
015000     EXIT.
