000100 MMAMPX-FIND-OCCURRENCE.
000200******************************************************************
000300*                                                                *
000400* THE PURPOSE OF THIS ROUTINE IS TO DETERMINE THE INDEX VALUE    *
000500* OF A PARTICULAR ENTRY IN THE MMAM FILE BASED ON THE OCCURRENCE *
000600* ID IN THE MMAM TABLE.                                          *
000700* TO USE THIS ROUTINE..........................................  *
000800* 1. MMAMRL AND MMAMWS MUST BE COPIED INTO YOUR PROGRAM.         *
000900* 2. MOVE A VALID OCCURRENCE-ID (3 BYTE FIELD CODE) TO THE FIELD *
001000*    MMAMWS-OID-SEARCH.                                          *
001100*    VALID VALUES ARE: JAN, FEB, MAR, APR, MAY, JUN,             *
001200*                      JUL, AUG, SEP, OCT, NOV, DEC,             *
001300*                      CUR, QTD, MTD, YTD, PQ1, PQ2,             *
001400*                      PQ3, PQ4, PQ5, PQ6, PQ7, PYR, AND XXX.    *
001500* 3. PERFORM MMAMPX-FIND-OCCURRENCE THRU MMAMPX-FO-EXIT.         *
001600* 4. THE FIELD MMAMWS-OID-INDEX IS THE RETURN VALUE PASSED       *
001700*    BACK FROM THIS ROUTINE AND WILL CONTAIN THE INDEX VALUE     *
001800*    FOR ANY OF THE ABOVE DEFINED OCCURRENCE-ID'S.               *
001900*    IF ZERO IS RETURNED, THE OCCURRENCE IN THE MMAM-TABLE YOU   *
002000*    ARE SEARCHING FOR DOES NOT EXIST, OR AN INVALID OCCURRENCE  *
002100*    ID WAS PASSED AS A SEARCH PARAMETER.                        *
002200*                                                                *
002300******************************************************************
002400     SET X-MMAM-SEARCH           TO 1.
002500     SEARCH MMAM-TABLE VARYING X-MMAM-SEARCH
002600         AT END
002700             MOVE ZERO           TO MMAMWS-OID-INDEX
002800         WHEN MMAMWS-OID-SEARCH IS EQUAL TO
002900              MMAM-OCCURRENCE-ID (X-MMAM-SEARCH)
003000              SET MMAMWS-OID-INDEX
003100                                 TO X-MMAM-SEARCH.
003200*
003300 MMAMPX-FO-EXIT.
003400     EXIT.
003500/
003600 MMAMPX-INIT-RECORD.
003700******************************************************************
003800*                                                                *
003900* THE PURPOSE OF THIS ROUTINE IS TO INITIALIZE THE MMAMIR-RECORD*
004000* WITH THE CORRECT VALUES IN THE RECAP TOTALS AREA.              *
004100* TO USE THIS ROUTINE..........................................  *
004200*                                                                *
004300* 1. MMAMWS AND MMAMIR MUST BE COPIED INTO YOUR PROGRAM.         *
004400* 2. MOVE A VALID DATE (IN JULIAN FORMAT) TO THE FIELD           *
004500*    MMAMIR-DATE.   THIS DATE WILL DETERMINE THE MONTH AND YEAR  *
004600*    VALUES IN THE ROLLING 12 MONTHS OCCURRENCES AND THE YEAR    *
004700*    IN THE YEAR-TO-DATE OCCURRENCES.                            *
004800* 3. PERFORM MMAMPX-INIT-RECORD THRU MMAMPX-IR-EXIT.             *
004900* 4. THE INITIALIZED RECORD WILL BE IN THE RECORD LAYOUT         *
005000*    REFERENCED BY THE DATA NAME MMAMIR-RECORD.                  *
005100*    YOU MAY MOVE MMAMIR-RECORD  TO ANOTHER AREA TO ESTABLISH    *
005200*    ANY KEY OR STATIC DATA ON THE RECORD.                       *
005300*                                                                *
005400******************************************************************
005500*
005600     MOVE MMAMIR-DATE            TO SS01WS-JULIAN.
005700     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
005800*
005900     IF  SS01WS-MM IS GREATER THAN 12
006000     OR  SS01WS-MM IS LESS THAN 1
006100         SET X-MMAMIR-OIT        TO 1
006200         MOVE 1                  TO SS01WS-YEAR
006300     ELSE
006400         SET X-MMAMIR-OIT        TO SS01WS-MM.
006500*
006600     MOVE SS01WS-YEAR            TO MMAMIR-OCCURRENCE-YEAR  (16).
006700     COMPUTE MMAMIR-OCCURRENCE-YEAR  (24)
006800                                 =  MMAMIR-OCCURRENCE-YEAR  (16)
006900                                 -  1.
007000*
007100     SET X-MMAMIR-OIT            DOWN BY 1.
007200     SET X-MMAMIR                TO 1.
007300     PERFORM MMAMPX-INIT-OCCURRENCES
007400        THRU MMAMPX-IO-EXIT      12 TIMES.
007500*
007600 MMAMPX-IR-EXIT.
007700     EXIT.
007800/
007900 MMAMPX-INIT-OCCURRENCES.
008000*
008100     IF  X-MMAMIR-OIT  IS LESS THAN 1
008200         SET X-MMAMIR-OIT        TO 12
008300         SUBTRACT 1              FROM SS01WS-YEAR.
008400*
008500     MOVE MMAMIR-OIT  (X-MMAMIR-OIT)
008600                                 TO MMAMIR-OCCURRENCE-ID
008700                                    (X-MMAMIR).
008800     MOVE SS01WS-YEAR            TO MMAMIR-OCCURRENCE-YEAR
008900                                    (X-MMAMIR).
009000*
009100     SET X-MMAMIR-OIT            DOWN BY 1.
009200     SET X-MMAMIR                UP BY 1.
009300*
009400 MMAMPX-IO-EXIT.
009500     EXIT.
009600/
