000100******************************************************************
000200*    ROUTINE TO LOAD MMBC RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THIS ROUTINE,                                        *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMBC FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOK MMBCTB MUST BE IN YOUR PROGRAM.                *
000900*    3. THE FILE "MMBC" MUST BE OPENED EITHER WITH SEQUENTIAL    *
001000*       ACCESS OR DYNAMIC ACCESS.                                *
001100*    4. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMBC" RECORDS     *
001200*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001300*       MMBCTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001400*       MMBCTB-START-ORG.                                        *
001500*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
001600*       IS 1) AS AN OPTION.                                      *
001700*    5. OPTIONALLY, YOU MAY JUST PERFORM MMBCPX-READ-AND-LOAD    *
001800*       IF YOU WANT TO AVOID THE "START" OF THE MMBC FILE.       *
001900*                                                                *
002000******************************************************************
002100 MMBCPX-LOAD-MMBC-TABLE.
002200*
002300     MOVE SPACES                 TO MMBCTB-TABLE-DATA.
002400     MOVE LOW-VALUES             TO MMBCIO-KEY.
002500     MOVE MMBCTB-START-ORG
002600                                 TO MMBCIO-ORG.
002700*
002800     MOVE 'BC1A'                 TO SS02WS-ABEND-LOCATION.
002900     SET MMBCRB-START-GTE        TO TRUE.
003000     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
003100*
003200     MOVE 'BC1B'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMBCRB-READ-SEQ         TO TRUE.
003400     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
003500*
003600     SET X-MMBCTB                TO MMBCTB-BEG-INDEX.
003700*
003800     PERFORM MMBCPX-READ-AND-LOAD
003900        THRU MMBCPX-RAL-EXIT
004000        UNTIL MMBCIO-ORG IS GREATER THAN MMBCTB-START-ORG
004100          OR  MMBCIO-TRAILER.
004200*
004300 MMBCPX-LMMBC-EXIT.
004400     EXIT.
004500*
004600*
004700*
004800 MMBCPX-READ-AND-LOAD.
004900*
005000     MOVE MMBCIO-RECORD          TO MMBC-RECORD.
005100*
005200     IF  MMBC-HEADER
005300     OR  MMBC-TRAILER
005400     OR  MMBC-REC-INCOMPLETE
005500     OR  MMBC-REC-INACTIVE
005600     OR  MMBC-REC-PURGED
005700     OR  MMBC-ORG IS NOT EQUAL TO MMBCTB-START-ORG
005800         NEXT SENTENCE
005900     ELSE
006000         MOVE MMBC-RECORD        TO MMBCTB-RECORD (X-MMBCTB)
006100         SET X-MMBCTB            UP BY 1.
006200*
006300     MOVE 'BC1C'                 TO SS02WS-ABEND-LOCATION.
006400     SET MMBCRB-READ-SEQ         TO TRUE.
006500     PERFORM MB00PD-MMBC-ACCESS  THRU MB00PD-MMBC-ACCESS-EXIT.
006600*
006700 MMBCPX-RAL-EXIT.
006800     EXIT.
