000100******************************************************************
000200*    ROUTINE TO LOAD MMCT RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THIS ROUTINE,                                        *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMCT FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOK MMCTTB MUST BE IN YOUR PROGRAM.                *
000900*    3. THE FILE "MMCT" MUST BE OPENED EITHER WITH SEQUENTIAL    *
001000*       ACCESS OR DYNAMIC ACCESS.                                *
001100*    4. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMCT" RECORDS     *
001200*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001300*       MMCTTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001400*       MMCTTB-START-ORG.                                        *
001500*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
001600*       IS 1) AS AN OPTION.                                      *
001700*    5. OPTIONALLY, YOU MAY JUST PERFORM MMCTPX-READ-AND-LOAD    *
001800*       IF YOU WANT TO AVOID THE "START" OF THE MMCT FILE.       *
001900*                                                                *
002000******************************************************************
002100 MMCTPX-LOAD-MMCT-TABLE.
002200*
002300     MOVE SPACES                 TO MMCTTB-TABLE-DATA.
002400     MOVE LOW-VALUES             TO MMCTIO-KEY.
002500     MOVE MMCTTB-START-ORG
002600                                 TO MMCTIO-ORG.
002700*
002800     MOVE 'CT1A'                 TO SS02WS-ABEND-LOCATION.
002900     SET MMCTRB-START-GTE        TO TRUE.
003000     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
003100*
003200     MOVE 'CT1B'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMCTRB-READ-SEQ         TO TRUE.
003400     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
003500*
003600     SET X-MMCTTB                TO MMCTTB-BEG-INDEX.
003700*
003800     PERFORM MMCTPX-READ-AND-LOAD
003900        THRU MMCTPX-RAL-EXIT
004000        UNTIL MMCTIO-ORG IS GREATER THAN MMCTTB-START-ORG
004100          OR  MMCTIO-TRAILER.
004200*
004300 MMCTPX-LMMCT-EXIT.
004400     EXIT.
004500*
004600*
004700*
004800 MMCTPX-READ-AND-LOAD.
004900*
005000     MOVE MMCTIO-RECORD          TO MMCT-RECORD.
005100*
005200     IF  MMCT-HEADER
005300     OR  MMCT-TRAILER
005400     OR  MMCT-REC-INCOMPLETE
005500     OR  MMCT-REC-INACTIVE
005600     OR  MMCT-REC-PURGED
005700     OR  MMCT-ORG IS NOT EQUAL TO MMCTTB-START-ORG
005800         NEXT SENTENCE
005900     ELSE
006000         MOVE MMCT-RECORD        TO MMCTTB-RECORD (X-MMCTTB)
006100         SET X-MMCTTB            UP BY 1.
006200*
006300     MOVE 'CT1C'                 TO SS02WS-ABEND-LOCATION.
006400     SET MMCTRB-READ-SEQ         TO TRUE.
006500     PERFORM MB00PD-MMCT-ACCESS  THRU MB00PD-MMCT-ACCESS-EXIT.
006600*
006700 MMCTPX-RAL-EXIT.
006800     EXIT.
