000100******************************************************************
000200*    ROUTINE TO LOAD MMEF RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THE ROUTINES IN THIS AREA,                           *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMEF FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOKS MMEFTB AND MMEFIR MUST BE IN YOUR PROGRAM.    *
000900*    3. THE FILE "MMEF" MUST BE OPENED WITH DYNAMIC ACCESS       *
001000*                                                                *
001100******************************************************************
001200*                                                                *
001300*    TO USE THE LOAD ROUTINE,                                    *
001400*                                                                *
001500*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMEF" RECORDS     *
001600*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001700*       MMEFTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001800*       MMEFTB-START-ORG.                                        *
001900*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
002000*       IS 1) AS AN OPTION.                                      *
002100*    2. OPTIONALLY, YOU MAY JUST PERFORM MMEFPX-READ-AND-LOAD    *
002200*       IF YOU WANT TO AVOID THE "START" OF THE MMEF FILE.       *
002300*                                                                *
002400******************************************************************
002500 MMEFPX-LOAD-MMEF-TABLE.
002600*
002700     MOVE SPACES                 TO MMEFTB-TABLE-DATA.
002800     MOVE LOW-VALUES             TO MMEFIO-KEY.
002900     MOVE MMEFTB-START-ORG
003000                                 TO MMEFIO-ORG.
003100*
003200     MOVE 'IF1A'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMEFRB-START-GTE        TO TRUE.
003400     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
003500*
003600     MOVE 'IF1B'                 TO SS02WS-ABEND-LOCATION.
003700     SET MMEFRB-READ-SEQ         TO TRUE.
003800     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
003900*
004000     SET X-MMEFTB                TO MMEFTB-BEG-INDEX.
004100*
004200     PERFORM MMEFPX-READ-AND-LOAD
004300        THRU MMEFPX-RAL-EXIT
004400        UNTIL MMEFIO-ORG IS GREATER THAN MMEFTB-START-ORG
004500           OR X-MMEFTB   IS GREATER THAN MMEFTB-MAX-ENTRIES
004600           OR MMEFIO-TRAILER.
004700*
004800 MMEFPX-LMMEF-EXIT.
004900     EXIT.
005000/
005100 MMEFPX-READ-AND-LOAD.
005200*
005300     MOVE MMEFIO-RECORD          TO MMEF-RECORD.
005400*
005500     IF  MMEF-HEADER
005600     OR  MMEF-TRAILER
005700     OR  MMEF-REC-INCOMPLETE
005800     OR  MMEF-REC-INACTIVE
005900     OR  MMEF-REC-PURGED
006000     OR  MMEF-ORG IS NOT EQUAL TO MMEFTB-START-ORG
006100         NEXT SENTENCE
006200     ELSE
006300         MOVE ZERO               TO MMEFTB-COUNT  (X-MMEFTB)
006400         MOVE MMEF-RECORD        TO MMEFTB-RECORD (X-MMEFTB)
006500         SET X-MMEFTB            UP BY 1.
006600*
006700     MOVE 'IF1C'                 TO SS02WS-ABEND-LOCATION.
006800     SET MMEFRB-READ-SEQ         TO TRUE.
006900     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
007000*
007100 MMEFPX-RAL-EXIT.
007200     EXIT.
007300/
007400******************************************************************
007500*    ROUTINE TO SEARCH MMEF TABLE BY ORGANIZATION.  IF THERE ARE *
007600*    MORE RECORDS IN THE ORGANIZATION THAN THE TABLE PERMITS,    *
007700*    THE LEAST-USED ENTRY (BASED ON USAGE COUNT) WILL BE         *
007800*    REPLACED IN THE TABLE BY THE RANDOMLY READ REPLACEMENT.     *
007900******************************************************************
008000*                                                                *
008100*    TO USE THIS ROUTINE,                                        *
008200*                                                                *
008300*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMEF" RECORDS     *
008400*       WILL BE SEARCHED IN THE FIELD MMEFTB-START-ORG.          *
008500*    2. PROVIDE THE TABLE NUMBER WHOSE "MMEF" RECORDS            *
008600*       WILL BE SEARCHED IN THE FIELD MMEFTB-SEARCH-TABLE.       *
008700*    3. THE RESULTING TABLE TO BE USED WILL RESIDE IN THE        *
008800*       MMEF-RECORD.                                             *
008900*                                                                *
009000******************************************************************
009100 MMEFPX-SEARCH-TABLE.
009200*
009300     SET X-MMEFTB-SEARCH         TO 1.
009400     SEARCH MMEFTB-TABLE VARYING X-MMEFTB-SEARCH
009500         AT END
009600             PERFORM MMEFPX-REPLACE-TABLE-ENTRY
009700                THRU MMEFPX-RTE-EXIT
009800         WHEN MMEFTB-END-OF-TABLE (X-MMEFTB-SEARCH)
009900             MOVE MMEFIR-RECORD  TO MMEF-RECORD
010000         WHEN MMEFTB-SEARCH-TABLE IS EQUAL TO
010100              MMEFTB-TABLE-NBR (X-MMEFTB-SEARCH)
010200             MOVE MMEFTB-RECORD (X-MMEFTB-SEARCH)
010300                                 TO MMEF-RECORD
010400             ADD 1               TO MMEFTB-COUNT
010500                                    (X-MMEFTB-SEARCH)
010600     END-SEARCH.
010700*
010800 MMEFPX-ST-EXIT.
010900     EXIT.
011000/
011100 MMEFPX-REPLACE-TABLE-ENTRY.
011200*
011300     SET X-MMEFTB              TO 1.
011400     PERFORM
011500         VARYING X-MMEFTB-SEARCH FROM 2 BY 1
011600         UNTIL   X-MMEFTB-SEARCH IS GREATER THAN
011700                 MMEFTB-MAX-ENTRIES
011800         EVALUATE TRUE
011900             WHEN MMEFTB-COUNT (X-MMEFTB-SEARCH) IS LESS THAN
012000                  MMEFTB-COUNT (X-MMEFTB)
012100                 SET X-MMEFTB    TO X-MMEFTB-SEARCH
012200         END-EVALUATE
012300     END-PERFORM.
012400*
012500     MOVE MMEFTB-START-ORG       TO MMEFIO-ORG.
012600     MOVE MMEFTB-SEARCH-TABLE    TO MMEFIO-TABLE-NBR.
012700     MOVE SS02WS-NO-RECORD-FOUND
012800                                 TO MMEFRB-TEMP-STATUS-1.
012900*
013000     MOVE 'IF1E'                 TO SS02WS-ABEND-LOCATION.
013100     SET MMEFRB-READ-RANDOM      TO TRUE.
013200     PERFORM MB00PD-MMEF-ACCESS  THRU MB00PD-MMEF-ACCESS-EXIT.
013300*
013400     IF  SS02WS-FS-NO-RECORD-FOUND
013500         MOVE MMEFIR-RECORD      TO MMEF-RECORD
013600     ELSE
013700         MOVE MMEFIO-RECORD      TO MMEF-RECORD
013800         IF  MMEF-HEADER
013900         OR  MMEF-TRAILER
014000         OR  MMEF-REC-INCOMPLETE
014100     OR  MMEF-REC-INACTIVE
014200         OR  MMEF-REC-PURGED
014300         OR  MMEF-ORG IS NOT EQUAL TO MMEFTB-START-ORG
014400             MOVE MMEFIR-RECORD  TO MMEF-RECORD
014500         ELSE
014600             MOVE 1              TO MMEFTB-COUNT
014700                                    (X-MMEFTB)
014800             MOVE MMEFIO-RECORD  TO MMEFTB-RECORD
014900                                    (X-MMEFTB).
015000*
015100 MMEFPX-RTE-EXIT.
015200     EXIT.
