000100******************************************************************
000200*    ROUTINE TO LOAD MMFP RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THE ROUTINES IN THIS AREA,                           *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMFP FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOKS MMFPTB AND MMFPIR MUST BE IN YOUR PROGRAM.    *
000900*    3. THE FILE "MMFP" MUST BE OPENED WITH DYNAMIC ACCESS       *
001000*                                                                *
001100******************************************************************
001200*                                                                *
001300*    TO USE THE LOAD ROUTINE,                                    *
001400*                                                                *
001500*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMFP" RECORDS     *
001600*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001700*       MMFPTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001800*       MMFPTB-START-ORG.                                        *
001900*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
002000*       IS 1) AS AN OPTION.                                      *
002100*    2. OPTIONALLY, YOU MAY JUST PERFORM MMFPPX-READ-AND-LOAD    *
002200*       IF YOU WANT TO AVOID THE "START" OF THE MMFP FILE.       *
002300*                                                                *
002400******************************************************************
002500 MMFPPX-LOAD-MMFP-TABLE.
002600*
002700     MOVE SPACES                 TO MMFPTB-TABLE-DATA.
002800     MOVE LOW-VALUES             TO MMFPIO-KEY.
002900     MOVE MMFPTB-START-ORG
003000                                 TO MMFPIO-ORG.
003100*
003200     MOVE 'FP1A'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMFPRB-START-GTE        TO TRUE.
003400     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
003500*
003600     MOVE 'FP1B'                 TO SS02WS-ABEND-LOCATION.
003700     SET MMFPRB-READ-SEQ         TO TRUE.
003800     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
003900*
004000     SET X-MMFPTB                TO MMFPTB-BEG-INDEX.
004100*
004200     PERFORM MMFPPX-READ-AND-LOAD
004300        THRU MMFPPX-RAL-EXIT
004400        UNTIL MMFPIO-ORG IS GREATER THAN MMFPTB-START-ORG
004500           OR X-MMFPTB   IS GREATER THAN MMFPTB-MAX-ENTRIES
004600           OR MMFPIO-TRAILER.
004700*
004800 MMFPPX-LMMFP-EXIT.
004900     EXIT.
005000/
005100 MMFPPX-READ-AND-LOAD.
005200*
005300     MOVE MMFPIO-RECORD          TO MMFP-RECORD.
005400*
005500     IF  MMFP-HEADER
005600     OR  MMFP-TRAILER
005700     OR  MMFP-REC-INCOMPLETE
005800     OR  MMFP-REC-INACTIVE
005900     OR  MMFP-REC-PURGED
006000     OR  MMFP-ORG IS NOT EQUAL TO MMFPTB-START-ORG
006100         NEXT SENTENCE
006200     ELSE
006300         MOVE ZERO               TO MMFPTB-COUNT  (X-MMFPTB)
006400         MOVE MMFP-RECORD        TO MMFPTB-RECORD (X-MMFPTB)
006500         SET X-MMFPTB            UP BY 1.
006600*
006700     MOVE 'FP1C'                 TO SS02WS-ABEND-LOCATION.
006800     SET MMFPRB-READ-SEQ         TO TRUE.
006900     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
007000*
007100 MMFPPX-RAL-EXIT.
007200     EXIT.
007300/
007400******************************************************************
007500*    ROUTINE TO SEARCH MMFP TABLE BY ORGANIZATION.  IF THERE ARE *
007600*    MORE RECORDS IN THE ORGANIZATION THAN THE TABLE PERMITS,    *
007700*    THE LEAST-USED ENTRY (BASED ON USAGE COUNT) WILL BE         *
007800*    REPLACED IN THE TABLE BY THE RANDOMLY READ REPLACEMENT.     *
007900******************************************************************
008000*                                                                *
008100*    TO USE THIS ROUTINE,                                        *
008200*                                                                *
008300*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMFP" RECORDS     *
008400*       WILL BE SEARCHED IN THE FIELD MMFPTB-START-ORG.          *
008500*    2. PROVIDE THE TABLE NUMBER WHOSE "MMFP" RECORDS            *
008600*       WILL BE SEARCHED IN THE FIELD MMFPTB-SEARCH-TABLE.       *
008700*    3. THE RESULTING TABLE TO BE USED WILL RESIDE IN THE        *
008800*       MMFP-RECORD.                                             *
008900*                                                                *
009000******************************************************************
009100 MMFPPX-SEARCH-TABLE.
009200*
009300     SET X-MMFPTB-SEARCH         TO 1.
009400     SEARCH MMFPTB-TABLE VARYING X-MMFPTB-SEARCH
009500         AT END
009600             PERFORM MMFPPX-REPLACE-TABLE-ENTRY
009700                THRU MMFPPX-RTE-EXIT
009800         WHEN MMFPTB-END-OF-TABLE (X-MMFPTB-SEARCH)
009900             MOVE MMFPIR-RECORD  TO MMFP-RECORD
010000         WHEN MMFPTB-SEARCH-TABLE IS EQUAL TO
010100              MMFPTB-TABLE-NBR (X-MMFPTB-SEARCH)
010200             MOVE MMFPTB-RECORD (X-MMFPTB-SEARCH)
010300                                 TO MMFP-RECORD
010400             ADD 1               TO MMFPTB-COUNT
010500                                    (X-MMFPTB-SEARCH)
010600     END-SEARCH.
010700*
010800 MMFPPX-ST-EXIT.
010900     EXIT.
011000/
011100 MMFPPX-REPLACE-TABLE-ENTRY.
011200*
011300     SET X-MMFPTB              TO 1.
011400     PERFORM
011500         VARYING X-MMFPTB-SEARCH FROM 2 BY 1
011600         UNTIL   X-MMFPTB-SEARCH IS GREATER THAN
011700                 MMFPTB-MAX-ENTRIES
011800         EVALUATE TRUE
011900             WHEN MMFPTB-COUNT (X-MMFPTB-SEARCH) IS LESS THAN
012000                  MMFPTB-COUNT (X-MMFPTB)
012100                 SET X-MMFPTB    TO X-MMFPTB-SEARCH
012200         END-EVALUATE
012300     END-PERFORM.
012400*
012500     MOVE MMFPTB-START-ORG       TO MMFPIO-ORG.
012600     MOVE MMFPTB-SEARCH-TABLE    TO MMFPIO-TABLE-NBR.
012700     MOVE SS02WS-NO-RECORD-FOUND
012800                                 TO MMFPRB-TEMP-STATUS-1.
012900*
013000     MOVE 'FP1E'                 TO SS02WS-ABEND-LOCATION.
013100     SET MMFPRB-READ-RANDOM      TO TRUE.
013200     PERFORM MB00PD-MMFP-ACCESS  THRU MB00PD-MMFP-ACCESS-EXIT.
013300*
013400     IF  SS02WS-FS-NO-RECORD-FOUND
013500         MOVE MMFPIR-RECORD      TO MMFP-RECORD
013600     ELSE
013700         MOVE MMFPIO-RECORD      TO MMFP-RECORD
013800         IF  MMFP-HEADER
013900         OR  MMFP-TRAILER
014000         OR  MMFP-REC-INCOMPLETE
014100     OR  MMFP-REC-INACTIVE
014200         OR  MMFP-REC-PURGED
014300         OR  MMFP-ORG IS NOT EQUAL TO MMFPTB-START-ORG
014400             MOVE MMFPIR-RECORD  TO MMFP-RECORD
014500         ELSE
014600             MOVE 1              TO MMFPTB-COUNT
014700                                    (X-MMFPTB)
014800             MOVE MMFPIO-RECORD  TO MMFPTB-RECORD
014900                                    (X-MMFPTB).
015000*
015100 MMFPPX-RTE-EXIT.
015200     EXIT.
