000100******************************************************************
000200*    ROUTINE TO LOAD MMIF RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THE ROUTINES IN THIS AREA,                           *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMIF FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOKS MMIFTB AND MMIFIR MUST BE IN YOUR PROGRAM.    *
000900*    3. THE FILE "MMIF" MUST BE OPENED WITH DYNAMIC ACCESS       *
001000*                                                                *
001100******************************************************************
001200*                                                                *
001300*    TO USE THE LOAD ROUTINE,                                    *
001400*                                                                *
001500*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMIF" RECORDS     *
001600*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001700*       MMIFTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001800*       MMIFTB-START-ORG.                                        *
001900*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
002000*       IS 1) AS AN OPTION.                                      *
002100*    2. OPTIONALLY, YOU MAY JUST PERFORM MMIFPX-READ-AND-LOAD    *
002200*       IF YOU WANT TO AVOID THE "START" OF THE MMIF FILE.       *
002300*                                                                *
002400******************************************************************
002500 MMIFPX-LOAD-MMIF-TABLE.
002600*
002700     MOVE SPACES                 TO MMIFTB-TABLE-DATA.
002800     MOVE LOW-VALUES             TO MMIFIO-KEY.
002900     MOVE MMIFTB-START-ORG
003000                                 TO MMIFIO-ORG.
003100*
003200     MOVE 'IF1A'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMIFRB-START-GTE        TO TRUE.
003400     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
003500*
003600     MOVE 'IF1B'                 TO SS02WS-ABEND-LOCATION.
003700     SET MMIFRB-READ-SEQ         TO TRUE.
003800     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
003900*
004000     SET X-MMIFTB                TO MMIFTB-BEG-INDEX.
004100*
004200     PERFORM MMIFPX-READ-AND-LOAD
004300        THRU MMIFPX-RAL-EXIT
004400        UNTIL MMIFIO-ORG IS GREATER THAN MMIFTB-START-ORG
004500           OR X-MMIFTB   IS GREATER THAN MMIFTB-MAX-ENTRIES
004600           OR MMIFIO-TRAILER.
004700*
004800 MMIFPX-LMMIF-EXIT.
004900     EXIT.
005000/
005100 MMIFPX-READ-AND-LOAD.
005200*
005300     MOVE MMIFIO-RECORD          TO MMIF-RECORD.
005400*
005500     IF  MMIF-HEADER
005600     OR  MMIF-TRAILER
005700     OR  MMIF-REC-INCOMPLETE
005800     OR  MMIF-REC-INACTIVE
005900     OR  MMIF-REC-PURGED
006000     OR  MMIF-ORG IS NOT EQUAL TO MMIFTB-START-ORG
006100         NEXT SENTENCE
006200     ELSE
006300         MOVE ZERO               TO MMIFTB-COUNT  (X-MMIFTB)
006400         MOVE MMIF-RECORD        TO MMIFTB-RECORD (X-MMIFTB)
006500         SET X-MMIFTB            UP BY 1.
006600*
006700     MOVE 'IF1C'                 TO SS02WS-ABEND-LOCATION.
006800     SET MMIFRB-READ-SEQ         TO TRUE.
006900     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
007000*
007100 MMIFPX-RAL-EXIT.
007200     EXIT.
007300/
007400******************************************************************
007500*    ROUTINE TO SEARCH MMIF TABLE BY ORGANIZATION.  IF THERE ARE *
007600*    MORE RECORDS IN THE ORGANIZATION THAN THE TABLE PERMITS,    *
007700*    THE LEAST-USED ENTRY (BASED ON USAGE COUNT) WILL BE         *
007800*    REPLACED IN THE TABLE BY THE RANDOMLY READ REPLACEMENT.     *
007900******************************************************************
008000*                                                                *
008100*    TO USE THIS ROUTINE,                                        *
008200*                                                                *
008300*    1. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMIF" RECORDS     *
008400*       WILL BE SEARCHED IN THE FIELD MMIFTB-START-ORG.          *
008500*    2. PROVIDE THE TABLE NUMBER WHOSE "MMIF" RECORDS            *
008600*       WILL BE SEARCHED IN THE FIELD MMIFTB-SEARCH-TABLE.       *
008700*    3. THE RESULTING TABLE TO BE USED WILL RESIDE IN THE        *
008800*       MMIF-RECORD.                                             *
008900*                                                                *
009000******************************************************************
009100 MMIFPX-SEARCH-TABLE.
009200*
009300     SET X-MMIFTB-SEARCH         TO 1.
009400     SEARCH MMIFTB-TABLE VARYING X-MMIFTB-SEARCH
009500         AT END
009600             PERFORM MMIFPX-REPLACE-TABLE-ENTRY
009700                THRU MMIFPX-RTE-EXIT
009800         WHEN MMIFTB-END-OF-TABLE (X-MMIFTB-SEARCH)
009900             MOVE MMIFIR-RECORD  TO MMIF-RECORD
010000         WHEN MMIFTB-SEARCH-TABLE IS EQUAL TO
010100              MMIFTB-TABLE-NBR (X-MMIFTB-SEARCH)
010200             MOVE MMIFTB-RECORD (X-MMIFTB-SEARCH)
010300                                 TO MMIF-RECORD
010400             ADD 1               TO MMIFTB-COUNT
010500                                    (X-MMIFTB-SEARCH)
010600     END-SEARCH.
010700*
010800 MMIFPX-ST-EXIT.
010900     EXIT.
011000/
011100 MMIFPX-REPLACE-TABLE-ENTRY.
011200*
011300     SET X-MMIFTB              TO 1.
011400     PERFORM
011500         VARYING X-MMIFTB-SEARCH FROM 2 BY 1
011600         UNTIL   X-MMIFTB-SEARCH IS GREATER THAN
011700                 MMIFTB-MAX-ENTRIES
011800         EVALUATE TRUE
011900             WHEN MMIFTB-COUNT (X-MMIFTB-SEARCH) IS LESS THAN
012000                  MMIFTB-COUNT (X-MMIFTB)
012100                 SET X-MMIFTB    TO X-MMIFTB-SEARCH
012200         END-EVALUATE
012300     END-PERFORM.
012400*
012500     MOVE MMIFTB-START-ORG       TO MMIFIO-ORG.
012600     MOVE MMIFTB-SEARCH-TABLE    TO MMIFIO-TABLE-NBR.
012700     MOVE SS02WS-NO-RECORD-FOUND
012800                                 TO MMIFRB-TEMP-STATUS-1.
012900*
013000     MOVE 'IF1E'                 TO SS02WS-ABEND-LOCATION.
013100     SET MMIFRB-READ-RANDOM      TO TRUE.
013200     PERFORM MB00PD-MMIF-ACCESS  THRU MB00PD-MMIF-ACCESS-EXIT.
013300*
013400     IF  SS02WS-FS-NO-RECORD-FOUND
013500         MOVE MMIFIR-RECORD      TO MMIF-RECORD
013600     ELSE
013700         MOVE MMIFIO-RECORD      TO MMIF-RECORD
013800         IF  MMIF-HEADER
013900         OR  MMIF-TRAILER
014000         OR  MMIF-REC-INCOMPLETE
014100     OR  MMIF-REC-INACTIVE
014200         OR  MMIF-REC-PURGED
014300         OR  MMIF-ORG IS NOT EQUAL TO MMIFTB-START-ORG
014400             MOVE MMIFIR-RECORD  TO MMIF-RECORD
014500         ELSE
014600             MOVE 1              TO MMIFTB-COUNT
014700                                    (X-MMIFTB)
014800             MOVE MMIFIO-RECORD  TO MMIFTB-RECORD
014900                                    (X-MMIFTB).
015000*
015100 MMIFPX-RTE-EXIT.
015200     EXIT.
