000100 MML1AO-ACCESS.
000200******************************************************************
000300******************************************************************
000400******************************************************************
000500*   ACCESS ROUTINE FOR THE MML1 FILE........(ON-LINE VERSION)    *
000600*   THIS ROUTINE WILL CALL AN I-O MODULE WHICH WILL HANDLE       *
000700*   ALL THE I-O FOR THE MML1 FILE.                               *
000800*   OTHER COPY BOOKS WHICH CAN OR MUST BE IN YOUR PROGRAM.....   *
000900*   (WS) SS08WS ON-LINE WORK AREAS (REQUIRED)                    *
001000*   (WS) MBIOWS WORKING STORAGE AREAS FOR ALL FILES (REQUIRED)   *
001100*   (WS) MBIORO WORKING STORAGE REQUEST BLOCK AREAS              *
001200*        FOR ALL FILES (REQUIRED)                                *
001300*   (LS) MB60WS MBS COMMUNICATION AREA (REQUIRED)                *
001400*   (LS) MB61LK MBS FILE TABLE (REQUIRED)                        *
001500*        IN THE LINKAGE SECTION.                                 *
001600*   (LS) MML1RL RECORD LAYOUT (REQUIRED)                         *
001700*        IN THE LINKAGE SECTION.                                 *
001800*   (PD) MB70PD GENERAL ON-LINE ROUTINES (REQUIRED)              *
001900******************************************************************
002000******************************************************************
002100******************************************************************
002200*                                                                *
002300*   TO USE THIS ROUTINE..........                                *
002400*                                                                *
002500* 1. HOUESKEEPING DUTIES.                                        *
002600*    A. BEFORE PERFORMING THIS ACCESS METHOD, MOVE A LITERAL     *
002700*       TO THE FIELD 'MBCA-PROGRAM-LOCATION'.  THIS FIELD        *
002800*       IS TO BE USED TO INDICATE WHERE THE ROUTINE IS BEING     *
002900*       PERFORMED 'FROM' IN CASE OF ABNORMAL TERMINATION.        *
003000*       (E.G. DEBUGGING ASSISTANCE)                              *
003100*    B. BEFORE PERFORMING THIS ACCESS METHOD,                    *
003200*       SET THE RETURN CODES WHICH YOU PERMANENTLY (FOR THE      *
003300*       DURATION OF THIS PROGRAM) WANT TO BE CONSIDERED TO BE    *
003400*       VALID IN THE FIELDS 'MBIORO-PERM-STATUS-1 TO -5'.        *
003500*       THESE FIELDS ARE INITIALIZED TO ZERO (AS ZERO IS ALWAYS  *
003600*       AN ACCEPTABLE RETURN CODE).  THE CALLED I-O ROUTINE WILL *
003700*       (IN ALL I-O REQUESTS) SUCCESSFULLY SATISFY YOUR PERFORM  *
003800*       REQUEST IF   A N Y   OF THE REQUESTS ENCOUNTER  A N Y    *
003900*       OF THE PERMANENT STATUS CODES 1-5.                       *
004000*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
004100*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
004200*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
004300*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
004400*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
004500*       (VALID RETURN).                                          *
004600*                                                                *
004700* 2. TO OBTAIN AN I-O REQUEST, SET ONE OF THE FOLLOWING REQUEST  *
004800*    NAMES TO 'TRUE'. DO THIS BY SETTING THE 88 LEVEL REQUEST    *
004900*    TO TRUE. EX.(SET MBIORO-READ-RANDOM TO TRUE).               *
005000*    A. REQUEST CODES.                                           *
005100*      01-02 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
005200*         03 = MBIORO-WRITE.                                     *
005300*              WRITE A RECORD (THE RECORD MUST BE IN THE RL      *
005400*              COPYBOOK 01 LEVEL).                               *
005500*      04-10 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
005600*         11 = MBIORO-GETMAIN.                                   *
005700*              DO A GETMAIN FOR THE RECORD AREA.                 *
005800*      12-20 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
005900*    B. ALSO AVAILABLE TO YOU ARE TWO 'TEMPORARY' RETURN CODE    *
006000*       FIELDS 'MBIOWS-TEMP-STATUS-1 AND -2'. THESE TWO RETURN   *
006100*       CODES ARE TO BE USED ON A PER USE BASIS OF THIS ROUTINE. *
006200*       THESE TWO RETURN CODES ARE INITIALIZED TO ZERO AND ARE   *
006300*       BOTH RESET TO ZERO AFTER EACH USE OF THIS ROUTINE.       *
006400*       THE TEMPORARY RETURN CODE FIELDS ARE CHECKED FIRST AND   *
006500*       THEN THE PERMANENT RETURN CODES (MENTIONED ABOVE) WILL   *
006600*       BE CHECKED.                                              *
006700*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
006800*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
006900*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
007000*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
007100*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
007200*       (VALID RETURN).                                          *
007300*    C. PERFORM MML1AO-ACCESS THRU MML1AO-ACCESS-EXIT            *
007400*    D. YOU MUST HANDLE MANUALLY ANY RETURN CODE (EITHER TEMP    *
007500*       OR PERM) THAT YOU REQUESTED, AND IF NEEDED, YOUR OWN     *
007600*       ERROR ROUTINE HANDLING.                                  *
007700*                                                                *
007800******************************************************************
007900*
008000*
008100     MOVE MBIOWS-MML1-GETMAIN-SW TO MBIORO-GETMAIN1-SW.
008200*
008300     IF  MBIORO-GETMAIN1-COMPLETED
008400         SET MBIORO-POINTER1     TO ADDRESS OF MML1-RECORD.
008500*
008600     MOVE SPACES                 TO MBCA-ERRR-EIBRCODE
008700                                    MBCA-WORK-TRANS-ID.
008800*
008900     CALL MBIOWS-L1-PROGRAM-NAME USING DFHEIBLK
009000                                       DFHCOMMAREA
009100                                       MBIORO-REQUEST-BLOCK.
009200*
009300     MOVE MBCA-ERRR-EIBRCODE     TO SS08WS-RTN-CODE.
009400*
009500     IF  MBIORO-IO-REQUEST-IS-INVALID
009600         MOVE MBCA-WORK-TRANS-ID TO SS08WS-WORK-TRANS-ID
009700         GO TO MB70PD-ERROR-ROUTINE.
009800*
009900     MOVE MBIORO-GETMAIN1-SW     TO MBIOWS-MML1-GETMAIN-SW.
010000*
010100     IF  MBIORO-GETMAIN1-COMPLETED
010200         SET ADDRESS OF MML1-RECORD
010300                                 TO MBIORO-POINTER1.
010400*
010500 MML1AO-ACCESS-EXIT.
010600     EXIT.
010700*
010800*             ****************************************
010900*             *        END OF COPYBOOK MML1AO        *
011000*             ****************************************
