000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*   -------- MMMMTB --- FIELD SECURITY FIELDS TABLE ---------   *
000600*                                                               *
000700*                                                               *
000800*  THIS TABLE CONTAINS FIELD DESCRIPTIONS FOR THE MERCHANT      *
000900*  MASTER FILE (MMMMRL).                                        *
001000*  THESE ARE USED AS THE DEFAULT DESCRIPTIONS FOR THE           *
001100*  ONLINE FIELD SECURITY TRANSACTIONS (MBAF, MBMF, AND MBQF)    *
001200*  AS WELL AS FOR THE BATCH SYSTEM RECOVERY AND LOG FILE        *
001300*  AUDIT PRINT PROGRAM (MBD100).                                *
001400*                                                               *
001500*  THE MERCHANT MASTER TABLE COPYBOOK (MMMMTB) ASSIGNS AN       *
001600*  INDEX VALUE TO THESE NAMES. THERE IS A ONE TO ONE            *
001700*  RELATIONSHIP BETWEEN THESE TWO TABLES. WHEN YOU ADD, CHANGE  *
001800*  OR DELETE FROM THIS TABLE , YOU MUST MAKE A CORRESPONDING    *
001900*  CHANGE TO THE MMMMTB TABLE COPYBOOK.                         *
002000*  IF YOU EXCEED THE 420 MAXIMUM NUMBER OF MEMBERS AND YOU HAVE *
002100*  TO INCREASE THE SIZE OF THIS TABLE, YOU MUST INCREASE THE    *
002200*  MMMMTB TABLE AND THE MMMMRL RECORD LAYOUT COPYBOOK AND ANY   *
002300*  ASSOCIATED COPYBOOKS.                                        *
002400*  THIS IS DONE TO ALLOW FOR THE INDIVIDIUAL MERCHANT           *
002500*  PROGRAMS TO REFERENCE A DATA NAME CONTAINING THE INDEX       *
002600*  VALUE INSTEAD OF REFERENCING THE TABLE WITH A HARD-CODED     *
002700*  INDEX VALUE.  BY ALLOWING THE INDIVIDUAL PROGRAMS TO         *
002800*  REFERENCE THESE DATA NAMES CONTAINING INDEX VALUES, ONLY     *
002900*  THESE TWO TABLES NEED BE CHANGED WHEN A FIELD IS INSERTED (IT*
003000*  IS NO LONGER REQUIRED THAT NEW FIELDS ALWAYS BE ADDED TO     *
003100*  THE END OF THE LIST) AND THE INDIVIDUAL MERCHANT             *
003200*  PROGRAMS RE-COMPILED.                                        *
003300*                                                               *
003400*  WHENEVER THIS COPYBOOK CHANGES, BE SURE TO RE-COMPILE THE    *
003500*  FIELD SECURITY PROGRAMS, AS THEY USE THIS TABLE FOR THE      *
003600*  DISPLAY OF THE FIELD NAMES.                                  *
003700*                                                               *
003800*****************************************************************
003900*
004000 01  MMMMTB-TABLE.
004100*
004200*****************************************************************
004300*                 FIELD DESCRIPTIONS AND CODES                  *
004400*****************************************************************
004500*
004600     03  MMMMTB-NBR-ELEMENTS
004700                             PIC S9(03)      COMP-3
004800                                             VALUE +378.
004900*
005000     03  MMMMTB-FIELDS.
005100         05  MMMMTB-COUNTRY-CODE
005200                             PIC  X(20)      VALUE
005300             '0001COUNTRY CODE    '.
005400         05  MMMMTB-DBA-NAME PIC  X(20)      VALUE
005500             '0002DBA NAME        '.
005600         05  MMMMTB-SINGLE-STORE-FLAG
005700                             PIC  X(20)      VALUE
005800             '0003SINGLE STORE FLG'.
005900         05  MMMMTB-DBA-CITY PIC  X(20)      VALUE
006000             '0004DBA CITY        '.
006100         05  MMMMTB-DBA-COUNTRY-CODE
006200                             PIC  X(20)      VALUE
006300             '0005DBA COUNTRY CODE'.
006400         05  MMMMTB-PRIM-ADDR1
006500                             PIC  X(20)      VALUE
006600             '0006PRIMARY ADDR 1  '.
006700         05  MMMMTB-PRIM-ADDR2
006800                             PIC  X(20)      VALUE
006900             '0007PRIMARY ADDR 2  '.
007000         05  MMMMTB-PRIM-ADDR3
007100                             PIC  X(20)      VALUE
007200             '0008PRIMARY ADDR 3  '.
007300         05  MMMMTB-PRIM-ADDR4
007400                             PIC  X(20)      VALUE
007500             '0009PRIMARY ADDR 4  '.
007600         05  MMMMTB-PRIM-ADDR5
007700                             PIC  X(20)      VALUE
007800             '0010PRIMARY-ADDR 5  '.
007900         05  MMMMTB-PRIM-STATE
008000                             PIC  X(20)      VALUE
008100             '0011PRIMARY STATE   '.
008200         05  MMMMTB-PRIM-PHONE
008300                             PIC  X(20)      VALUE
008400             '0012PRIMARY PHONE   '.
008500         05  MMMMTB-PRIM-POSTAL-CODE
008600                             PIC  X(20)      VALUE
008700             '0013PRIMARY POSTAL  '.
008800         05  MMMMTB-PRIM-FAX PIC  X(20)      VALUE
008900             '0014PRIMARY FAX     '.
009000         05  MMMMTB-SEC-ADDR1
009100                             PIC  X(20)      VALUE
009200             '0015SECOND ADDR 1   '.
009300         05  MMMMTB-SEC-ADDR2
009400                             PIC  X(20)      VALUE
009500             '0016SECOND ADDR 2   '.
009600         05  MMMMTB-SEC-ADDR3
009700                             PIC  X(20)      VALUE
009800             '0017SECOND ADDR 3   '.
009900         05  MMMMTB-SEC-ADDR4
010000                             PIC  X(20)      VALUE
010100             '0018SECOND ADDR 4   '.
010200         05  MMMMTB-SEC-ADDR5
010300                             PIC  X(20)      VALUE
010400             '0019SECOND ADDR 5   '.
010500         05  MMMMTB-SEC-STATE
010600                             PIC  X(20)      VALUE
010700             '0020SECOND STATE    '.
010800         05  MMMMTB-SEC-PHONE
010900                             PIC  X(20)      VALUE
011000             '0021SECOND PHONE    '.
011100         05  MMMMTB-SEC-POSTAL-CODE
011200                             PIC  X(20)      VALUE
011300             '0022SECOND POSTAL   '.
011400         05  MMMMTB-SEC-FAX  PIC  X(20)      VALUE
011500             '0023SECOND FAX      '.
011600         05  MMMMTB-STMT-FREQ-1
011700                             PIC  X(20)      VALUE
011800             '0024STMT FREQ 1     '.
011900         05  MMMMTB-STMT-FREQ-2
012000                             PIC  X(20)      VALUE
012100             '0025STMT FREQ 2     '.
012200         05  MMMMTB-DISC-LEVEL
012300                             PIC  X(20)      VALUE
012400             '0026DISC LEVEL      '.
012500         05  MMMMTB-DISC-RATE-TABLE
012600                             PIC  X(20)      VALUE
012700             '0027DISC RATE TABLE '.
012800         05  MMMMTB-STMT-ADDR-CONTROL
012900                             PIC  X(20)      VALUE
013000             '0028STMT ADDR CNTL  '.
013100         05  MMMMTB-DISC-FREQ-1
013200                             PIC  X(20)      VALUE
013300             '0029DISC FREQ 1     '.
013400         05  MMMMTB-DISC-FREQ-2
013500                             PIC  X(20)      VALUE
013600             '0030DISC FREQ 2     '.
013700         05  MMMMTB-STMT-CONTROL
013800                             PIC  X(20)      VALUE
013900             '0031STMT CONTROL    '.
014000         05  MMMMTB-MIN-DISC-AMOUNT
014100                             PIC  X(20)      VALUE
014200             '0032MIN DISC AMOUNT '.
014300         05  MMMMTB-STMT-TYPE
014400                             PIC  X(20)      VALUE
014500             '0033STMT TYPE       '.
014600         05  MMMMTB-DISC-FEE-BASE
014700                             PIC  X(20)      VALUE
014800             '0034DISC FEE BASE   '.
014900         05  MMMMTB-DEPOSIT-FLAG
015000                             PIC  X(20)      VALUE
015100             '0035DEPOSIT DTL TYPE'.
015200         05  MMMMTB-RETAIN-DEPOSITS
015300                             PIC  X(20)      VALUE
015400             '0036RETAIN DEPOSITS '.
015500         05  MMMMTB-STMT-DETAIL-FLAG
015600                             PIC  X(20)      VALUE
015700             '0037STMT DETAIL FLAG'.
015800         05  MMMMTB-STMT-RPT-FLAG
015900                             PIC  X(20)      VALUE
016000             '0038STMT RPT FLAG   '.
016100         05  MMMMTB-STMT-MSG-FLAG-1
016200                             PIC  X(20)      VALUE
016300             '0039STMT MSG FLAG 1 '.
016400         05  MMMMTB-STMT-MSG-FLAG-2
016500                             PIC  X(20)      VALUE
016600             '0040STMT MSG FLAG 2 '.
016700         05  MMMMTB-STMT-MSG-FLAG-3
016800                             PIC  X(20)      VALUE
016900             '0041STMT MSG FLAG 3 '.
017000         05  MMMMTB-STMT-MSG-FLAG-4
017100                             PIC  X(20)      VALUE
017200             '0042STMT MSG FLAG 4 '.
017300         05  MMMMTB-STMT-MSG-FLAG-5
017400                             PIC  X(20)      VALUE
017500             '0043STMT MSG FLAG 5 '.
017600         05  MMMMTB-FEE-PERIOD-1
017700                             PIC  X(20)      VALUE
017800             '0044FEE PERIOD 1    '.
017900         05  MMMMTB-FEE-PERIOD-2
018000                             PIC  X(20)      VALUE
018100             '0045FEE PERIOD 2    '.
018200         05  MMMMTB-PART-LEVEL
018300                             PIC  X(20)      VALUE
018400             '0046PART LEVEL      '.
018500         05  MMMMTB-PART-RATE-TABLE
018600                             PIC  X(20)      VALUE
018700             '0047PART RATE TBL   '.
018800         05  MMMMTB-FEE-PERIOD-3
018900                             PIC  X(20)      VALUE
019000             '0048FEE PERIOD 3    '.
019100         05  MMMMTB-FEE-PERIOD-4
019200                             PIC  X(20)      VALUE
019300             '0049FEE PERIOD 4    '.
019400         05  MMMMTB-PART-FREQ-1
019500                             PIC  X(20)      VALUE
019600             '0050PART FREQ 1     '.
019700         05  MMMMTB-PART-FREQ-2
019800                             PIC  X(20)      VALUE
019900             '0051PART FREQ 2     '.
020000         05  MMMMTB-FEE-PERIOD-5
020100                             PIC  X(20)      VALUE
020200             '0052FEE PERIOD 5    '.
020300         05  MMMMTB-MIN-PART-AMOUNT
020400                             PIC  X(20)      VALUE
020500             '0053MIN PART AMOUNT '.
020600         05  MMMMTB-INCOME-TABLE-NBR
020700                             PIC  X(20)      VALUE
020800             '0054INCOME TBL NBR  '.
020900         05  MMMMTB-PART-FEE-BASE
021000                             PIC  X(20)      VALUE
021100             '0055PART FEE BASE   '.
021200         05  MMMMTB-EXPENSE-TABLE-NBR
021300                             PIC  X(20)      VALUE
021400             '0056EXPENSE TBL NBR '.
021500         05  MMMMTB-SETUP-FEE-FLAG
021600                             PIC  X(20)      VALUE
021700             '0057SETUP FEE FLAG  '.
021800         05  MMMMTB-PART-VOL-RATE-TBL
021900                             PIC  X(20)      VALUE
022000             '0058PART VOL RATE TB'.
022100         05  MMMMTB-MEMB-FEE-FREQ
022200                             PIC  X(20)      VALUE
022300             '0059MEMB FEE FREQ   '.
022400         05  MMMMTB-DATE-LAST-MEMB-FEE
022500                             PIC  X(20)      VALUE
022600             '0060DT LAST MEMB FEE'.
022700         05  MMMMTB-PART-VOL-FREQ
022800                             PIC  X(20)      VALUE
022900             '0061PART VOL FREQ   '.
023000         05  MMMMTB-DATE-LAST-PART-VOL
023100                             PIC  X(20)      VALUE
023200             '0062DT LAST PART VOL'.
023300         05  MMMMTB-RESV-FREQ-1
023400                             PIC  X(20)      VALUE
023500             '0063RESV FREQ 1     '.
023600         05  MMMMTB-RESV-RATE-TABLE-1
023700                             PIC  X(20)      VALUE
023800             '0064RESV RATE TBL 1 '.
023900         05  MMMMTB-RESV-DESC-1
024000                             PIC  X(20)      VALUE
024100             '0065RESV DESC 1     '.
024200         05  MMMMTB-RESV-LEVEL-1
024300                             PIC  X(20)      VALUE
024400             '0066RESV LEVEL 1    '.
024500         05  MMMMTB-RESV-FEE-BASE-1
024600                             PIC  X(20)      VALUE
024700             '0067RESV FEE BASE 1 '.
024800         05  MMMMTB-RESV-FLOOR-1
024900                             PIC  X(20)      VALUE
025000             '0068RESV FLOOR 1    '.
025100         05  MMMMTB-RESV-CEILING-1
025200                             PIC  X(20)      VALUE
025300             '0069RESV CEILING 1  '.
025400         05  MMMMTB-RESV-FREQ-2
025500                             PIC  X(20)      VALUE
025600             '0070RESV FREQ 2     '.
025700         05  MMMMTB-RESV-RATE-TABLE-2
025800                             PIC  X(20)      VALUE
025900             '0071RESV RATE TBL 2 '.
026000         05  MMMMTB-RESV-DESC-2
026100                             PIC  X(20)      VALUE
026200             '0072RESV DESC 2     '.
026300         05  MMMMTB-RESV-LEVEL-2
026400                             PIC  X(20)      VALUE
026500             '0073RESV LEVEL 2    '.
026600         05  MMMMTB-RESV-FEE-BASE-2
026700                             PIC  X(20)      VALUE
026800             '0074RESV FEE BASE 2 '.
026900         05  MMMMTB-RESV-FLOOR-2
027000                             PIC  X(20)      VALUE
027100             '0075RESV FLOOR 2    '.
027200         05  MMMMTB-RESV-CEILING-2
027300                             PIC  X(20)      VALUE
027400             '0076RESV CEILING 2  '.
027500         05  MMMMTB-RESV-FREQ-3
027600                             PIC  X(20)      VALUE
027700             '0077RESV FREQ 3     '.
027800         05  MMMMTB-RESV-RATE-TABLE-3
027900                             PIC  X(20)      VALUE
028000             '0078RESV RATE TBL 3 '.
028100         05  MMMMTB-RESV-DESC-3
028200                             PIC  X(20)      VALUE
028300             '0079RESV DESC 3     '.
028400         05  MMMMTB-RESV-LEVEL-3
028500                             PIC  X(20)      VALUE
028600             '0080RESV LEVEL 3    '.
028700         05  MMMMTB-RESV-FEE-BASE-3
028800                             PIC  X(20)      VALUE
028900             '0081RESV FEE BASE 3 '.
029000         05  MMMMTB-RESV-FLOOR-3
029100                             PIC  X(20)      VALUE
029200             '0082RESV FLOOR 3    '.
029300         05  MMMMTB-RESV-CEILING-3
029400                             PIC  X(20)      VALUE
029500             '0083RESV CEILING 3  '.
029600         05  MMMMTB-RESV-FREQ-4
029700                             PIC  X(20)      VALUE
029800             '0084RESV FREQ 4     '.
029900         05  MMMMTB-RESV-RATE-TABLE-4
030000                             PIC  X(20)      VALUE
030100             '0085RESV RATE TBL 4 '.
030200         05  MMMMTB-RESV-DESC-4
030300                             PIC  X(20)      VALUE
030400             '0086RESV DESC 4     '.
030500         05  MMMMTB-RESV-LEVEL-4
030600                             PIC  X(20)      VALUE
030700             '0087RESV LEVEL 4    '.
030800         05  MMMMTB-RESV-FEE-BASE-4
030900                             PIC  X(20)      VALUE
031000             '0088RESV FEE BASE 4 '.
031100         05  MMMMTB-RESV-FLOOR-4
031200                             PIC  X(20)      VALUE
031300             '0089RESV FLOOR 4    '.
031400         05  MMMMTB-RESV-CEILING-4
031500                             PIC  X(20)      VALUE
031600             '0090RESV CEILING 4  '.
031700         05  MMMMTB-BILL-USE-FLAG-1
031800                             PIC  X(20)      VALUE
031900             '0091BILL USE FLAG 1 '.
032000         05  MMMMTB-BILLING-ORG-1
032100                             PIC  X(20)      VALUE
032200             '0092BILLING ORG 1   '.
032300         05  MMMMTB-BILLING-ACCT-1
032400                             PIC  X(20)      VALUE
032500             '0093BILLING ACCT 1  '.
032600         05  MMMMTB-BILL-USE-FLAG-2
032700                             PIC  X(20)      VALUE
032800             '0094BILL USE FLAG 2 '.
032900         05  MMMMTB-BILLING-ORG-2
033000                             PIC  X(20)      VALUE
033100             '0095BILLING ORG 2   '.
033200         05  MMMMTB-BILLING-ACCT-2
033300                             PIC  X(20)      VALUE
033400             '0096BILLING ACCT 2  '.
033500         05  MMMMTB-BILL-USE-FLAG-3
033600                             PIC  X(20)      VALUE
033700             '0097BILL USE FLAG 3 '.
033800         05  MMMMTB-BILLING-ORG-3
033900                             PIC  X(20)      VALUE
034000             '0098BILLING ORG 3   '.
034100         05  MMMMTB-BILLING-ACCT-3
034200                             PIC  X(20)      VALUE
034300             '0099BILLING ACCT 3  '.
034400         05  MMMMTB-BILL-USE-FLAG-4
034500                             PIC  X(20)      VALUE
034600             '0100BILL USE FLAG 4 '.
034700         05  MMMMTB-BILLING-ORG-4
034800                             PIC  X(20)      VALUE
034900             '0101BILLING ORG 4   '.
035000         05  MMMMTB-BILLING-ACCT-4
035100                             PIC  X(20)      VALUE
035200             '0102BILLING ACCT 4  '.
035300         05  MMMMTB-PRENOTE-CTL-1
035400                             PIC  X(20)      VALUE
035500             '0103PRENOTE CTL 1   '.
035600         05  MMMMTB-PRENOTE-SENT-1
035700                             PIC  X(20)      VALUE
035800             '0104DT PRENOTE SENT1'.
035900         05  MMMMTB-METHOD-1
036000                             PIC  X(20)      VALUE
036100             '0105MIGRAT METHOD 1 '.
036200         05  MMMMTB-ACTIVE-DATE-1
036300                             PIC  X(20)      VALUE
036400             '0106ACTIVE DATE 1   '.
036500         05  MMMMTB-ACTIVE-CR-TYPE-1
036600                             PIC  X(20)      VALUE
036700             '0107ACTIVE CR TYPE 1'.
036800         05  MMMMTB-ACTIVE-CR-RT-1
036900                             PIC  X(20)      VALUE
037000             '0108ACTIVE CR RT 1  '.
037100         05  MMMMTB-PENDING-CR-TYPE-1
037200                             PIC  X(20)      VALUE
037300             '0109PEND CR TYPE 1  '.
037400         05  MMMMTB-PENDING-CR-RT-1
037500                             PIC  X(20)      VALUE
037600             '0110PENDING CR RT 1 '.
037700         05  MMMMTB-ACTIVE-CR-ACCT-1
037800                             PIC  X(20)      VALUE
037900             '0111ACTIVE CR ACCT 1'.
038000         05  MMMMTB-PENDING-CR-ACCT-1
038100                             PIC  X(20)      VALUE
038200             '0112PENDING CR ACCT1'.
038300         05  MMMMTB-ACTIVE-DR-TYPE-1
038400                             PIC  X(20)      VALUE
038500             '0113ACTIVE DR TYPE 1'.
038600         05  MMMMTB-ACTIVE-DR-RT-1
038700                             PIC  X(20)      VALUE
038800             '0114ACTIVE DR RT 1  '.
038900         05  MMMMTB-PENDING-DR-TYPE-1
039000                             PIC  X(20)      VALUE
039100             '0115PENDING DR TYPE1'.
039200         05  MMMMTB-PENDING-DR-RT-1
039300                             PIC  X(20)      VALUE
039400             '0116PENDING DR RT 1 '.
039500         05  MMMMTB-ACTIVE-DR-ACCT-1
039600                             PIC  X(20)      VALUE
039700             '0117ACTIVE DR ACCT 1'.
039800         05  MMMMTB-PENDING-DR-ACCT-1
039900                             PIC  X(20)      VALUE
040000             '0118PENDING DR ACCT1'.
040100         05  MMMMTB-PRENOTE-CTL-2
040200                             PIC  X(20)      VALUE
040300             '0119PRENOTE CTL 2   '.
040400         05  MMMMTB-PRENOTE-SENT-2
040500                             PIC  X(20)      VALUE
040600             '0120DT PRENOTE SENT2'.
040700         05  MMMMTB-METHOD-2
040800                             PIC  X(20)      VALUE
040900             '0121MIGRAT METHOD 2 '.
041000         05  MMMMTB-ACTIVE-DATE-2
041100                             PIC  X(20)      VALUE
041200             '0122ACTIVE DATE 2   '.
041300         05  MMMMTB-ACTIVE-CR-TYPE-2
041400                             PIC  X(20)      VALUE
041500             '0123ACTIVE CR TYPE 2'.
041600         05  MMMMTB-ACTIVE-CR-RT-2
041700                             PIC  X(20)      VALUE
041800             '0124ACTIVE CR RT 2  '.
041900         05  MMMMTB-PENDING-CR-TYPE-2
042000                             PIC  X(20)      VALUE
042100             '0125PEND CR TYPE 2  '.
042200         05  MMMMTB-PENDING-CR-RT-2
042300                             PIC  X(20)      VALUE
042400             '0126PENDING CR RT 2 '.
042500         05  MMMMTB-ACTIVE-CR-ACCT-2
042600                             PIC  X(20)      VALUE
042700             '0127ACTIVE CR ACCT 2'.
042800         05  MMMMTB-PENDING-CR-ACCT-2
042900                             PIC  X(20)      VALUE
043000             '0128PENDING CR ACCT2'.
043100         05  MMMMTB-ACTIVE-DR-TYPE-2
043200                             PIC  X(20)      VALUE
043300             '0129ACTIVE DR TYPE 2'.
043400         05  MMMMTB-ACTIVE-DR-RT-2
043500                             PIC  X(20)      VALUE
043600             '0130ACTIVE DR RT 2  '.
043700         05  MMMMTB-PENDING-DR-TYPE-2
043800                             PIC  X(20)      VALUE
043900             '0131PENDING DR TYPE2'.
044000         05  MMMMTB-PENDING-DR-RT-2
044100                             PIC  X(20)      VALUE
044200             '0132PENDING DR RT 2 '.
044300         05  MMMMTB-ACTIVE-DR-ACCT-2
044400                             PIC  X(20)      VALUE
044500             '0133ACTIVE DR ACCT 2'.
044600         05  MMMMTB-PENDING-DR-ACCT-2
044700                             PIC  X(20)      VALUE
044800             '0134PENDING DR ACCT2'.
044900         05  MMMMTB-PRENOTE-CTL-3
045000                             PIC  X(20)      VALUE
045100             '0135PRENOTE CTL 3   '.
045200         05  MMMMTB-PRENOTE-SENT-3
045300                             PIC  X(20)      VALUE
045400             '0136DT PRENOTE SENT3'.
045500         05  MMMMTB-METHOD-3
045600                             PIC  X(20)      VALUE
045700             '0137MIGRAT METHOD 3 '.
045800         05  MMMMTB-ACTIVE-DATE-3
045900                             PIC  X(20)      VALUE
046000             '0138ACTIVE DATE 3   '.
046100         05  MMMMTB-ACTIVE-CR-TYPE-3
046200                             PIC  X(20)      VALUE
046300             '0139ACTIVE CR TYPE 3'.
046400         05  MMMMTB-ACTIVE-CR-RT-3
046500                             PIC  X(20)      VALUE
046600             '0140ACTIVE CR RT 3  '.
046700         05  MMMMTB-PENDING-CR-TYPE-3
046800                             PIC  X(20)      VALUE
046900             '0141PEND CR TYPE 3  '.
047000         05  MMMMTB-PENDING-CR-RT-3
047100                             PIC  X(20)      VALUE
047200             '0142PENDING CR RT 3 '.
047300         05  MMMMTB-ACTIVE-CR-ACCT-3
047400                             PIC  X(20)      VALUE
047500             '0143ACTIVE CR ACCT 3'.
047600         05  MMMMTB-PENDING-CR-ACCT-3
047700                             PIC  X(20)      VALUE
047800             '0144PENDING CR ACCT3'.
047900         05  MMMMTB-ACTIVE-DR-TYPE-3
048000                             PIC  X(20)      VALUE
048100             '0145ACTIVE DR TYPE 3'.
048200         05  MMMMTB-ACTIVE-DR-RT-3
048300                             PIC  X(20)      VALUE
048400             '0146ACTIVE DR RT 3  '.
048500         05  MMMMTB-PENDING-DR-TYPE-3
048600                             PIC  X(20)      VALUE
048700             '0147PENDING DR TYPE3'.
048800         05  MMMMTB-PENDING-DR-RT-3
048900                             PIC  X(20)      VALUE
049000             '0148PENDING DR RT 3 '.
049100         05  MMMMTB-ACTIVE-DR-ACCT-3
049200                             PIC  X(20)      VALUE
049300             '0149ACTIVE DR ACCT 3'.
049400         05  MMMMTB-PENDING-DR-ACCT-3
049500                             PIC  X(20)      VALUE
049600             '0150PENDING DR ACCT3'.
049700         05  MMMMTB-PRENOTE-CTL-4
049800                             PIC  X(20)      VALUE
049900             '0151PRENOTE CTL 4   '.
050000         05  MMMMTB-PRENOTE-SENT-4
050100                             PIC  X(20)      VALUE
050200             '0152DT PRENOTE SENT4'.
050300         05  MMMMTB-METHOD-4
050400                             PIC  X(20)      VALUE
050500             '0153MIGRAT METHOD 4 '.
050600         05  MMMMTB-ACTIVE-DATE-4
050700                             PIC  X(20)      VALUE
050800             '0154ACTIVE DATE 4   '.
050900         05  MMMMTB-ACTIVE-CR-TYPE-4
051000                             PIC  X(20)      VALUE
051100             '0155ACTIVE CR TYPE 4'.
051200         05  MMMMTB-ACTIVE-CR-RT-4
051300                             PIC  X(20)      VALUE
051400             '0156ACTIVE CR RT 4  '.
051500         05  MMMMTB-PENDING-CR-TYPE-4
051600                             PIC  X(20)      VALUE
051700             '0157PEND CR TYPE 4  '.
051800         05  MMMMTB-PENDING-CR-RT-4
051900                             PIC  X(20)      VALUE
052000             '0158PENDING CR RT 4 '.
052100         05  MMMMTB-ACTIVE-CR-ACCT-4
052200                             PIC  X(20)      VALUE
052300             '0159ACTIVE CR ACCT 4'.
052400         05  MMMMTB-PENDING-CR-ACCT-4
052500                             PIC  X(20)      VALUE
052600             '0160PENDING CR ACCT4'.
052700         05  MMMMTB-ACTIVE-DR-TYPE-4
052800                             PIC  X(20)      VALUE
052900             '0161ACTIVE DR TYPE 4'.
053000         05  MMMMTB-ACTIVE-DR-RT-4
053100                             PIC  X(20)      VALUE
053200             '0162ACTIVE DR RT 4  '.
053300         05  MMMMTB-PENDING-DR-TYPE-4
053400                             PIC  X(20)      VALUE
053500             '0163PENDING DR TYPE4'.
053600         05  MMMMTB-PENDING-DR-RT-4
053700                             PIC  X(20)      VALUE
053800             '0164PENDING DR RT 4 '.
053900         05  MMMMTB-ACTIVE-DR-ACCT-4
054000                             PIC  X(20)      VALUE
054100             '0165ACTIVE DR ACCT 4'.
054200         05  MMMMTB-PENDING-DR-ACCT-4
054300                             PIC  X(20)      VALUE
054400             '0166PENDING DR ACCT4'.
054500         05  MMMMTB-POST-REJECTS-FLAG
054600                             PIC  X(20)      VALUE
054700             '0167POST REJECT FLAG'.
054800         05  MMMMTB-SETT-FREQ-1
054900                             PIC  X(20)      VALUE
055000             '0168SETT FREQ 1     '.
055100         05  MMMMTB-SETT-FREQ-2
055200                             PIC  X(20)      VALUE
055300             '0169SETT FREQ 2     '.
055400         05  MMMMTB-SETT-DEPOSIT-FLAG
055500                             PIC  X(20)      VALUE
055600             '0170SETT DEPOSIT FLG'.
055700         05  MMMMTB-SETT-NOTICE-RPT-FLAG
055800                             PIC  X(20)      VALUE
055900             '0171SETT NOTICE RPT '.
056000         05  MMMMTB-SETT-NOTICE-DETAIL-FLAG
056100                             PIC  X(20)      VALUE
056200             '0172SETT NOTICE DTL '.
056300         05  MMMMTB-TAT-ACCT-1
056400                             PIC  X(20)      VALUE
056500             '0173TAT ACCT 1      '.
056600         05  MMMMTB-TAT-USER-CODE-1
056700                             PIC  X(20)      VALUE
056800             '0174TAT USER CODE 1 '.
056900         05  MMMMTB-TAT-ACCT-2
057000                             PIC  X(20)      VALUE
057100             '0175TAT ACCT 2      '.
057200         05  MMMMTB-TAT-USER-CODE-2
057300                             PIC  X(20)      VALUE
057400             '0176TAT USER CODE 2 '.
057500         05  MMMMTB-TAT-ACCT-3
057600                             PIC  X(20)      VALUE
057700             '0177TAT ACCT 3      '.
057800         05  MMMMTB-TAT-USER-CODE-3
057900                             PIC  X(20)      VALUE
058000             '0178TAT USER CODE 3 '.
058100         05  MMMMTB-TAT-ACCT-4
058200                             PIC  X(20)      VALUE
058300             '0179TAT ACCT 4      '.
058400         05  MMMMTB-TAT-USER-CODE-4
058500                             PIC  X(20)      VALUE
058600             '0180TAT USER CODE 4 '.
058700         05  MMMMTB-TAT-ACCT-5
058800                             PIC  X(20)      VALUE
058900             '0181TAT ACCT 5      '.
059000         05  MMMMTB-TAT-USER-CODE-5
059100                             PIC  X(20)      VALUE
059200             '0182TAT USER CODE 5 '.
059300         05  MMMMTB-TAT-ACCT-6
059400                             PIC  X(20)      VALUE
059500             '0183TAT ACCT 6      '.
059600         05  MMMMTB-TAT-USER-CODE-6
059700                             PIC  X(20)      VALUE
059800             '0184TAT USER CODE 6 '.
059900         05  MMMMTB-TAT-ACCT-7
060000                             PIC  X(20)      VALUE
060100             '0185TAT ACCT 7      '.
060200         05  MMMMTB-TAT-USER-CODE-7
060300                             PIC  X(20)      VALUE
060400             '0186TAT USER CODE 7 '.
060500         05  MMMMTB-TAT-ACCT-8
060600                             PIC  X(20)      VALUE
060700             '0187TAT ACCT 8      '.
060800         05  MMMMTB-TAT-USER-CODE-8
060900                             PIC  X(20)      VALUE
061000             '0188TAT USER CODE 8 '.
061100         05  MMMMTB-TAT-ACCT-9
061200                             PIC  X(20)      VALUE
061300             '0189TAT ACCT 9      '.
061400         05  MMMMTB-TAT-USER-CODE-9
061500                             PIC  X(20)      VALUE
061600             '0190TAT USER CODE 9 '.
061700         05  MMMMTB-TAT-ACCT-10
061800                             PIC  X(20)      VALUE
061900             '0191TAT ACCT 10     '.
062000         05  MMMMTB-TAT-USER-CODE-10
062100                             PIC  X(20)      VALUE
062200             '0192TAT USER CODE 10'.
062300         05  MMMMTB-TAT-ACCT-11
062400                             PIC  X(20)      VALUE
062500             '0193TAT ACCT 11     '.
062600         05  MMMMTB-TAT-USER-CODE-11
062700                             PIC  X(20)      VALUE
062800             '0194TAT USER CODE 11'.
062900         05  MMMMTB-TAT-ACCT-12
063000                             PIC  X(20)      VALUE
063100             '0195TAT ACCT 12     '.
063200         05  MMMMTB-TAT-USER-CODE-12
063300                             PIC  X(20)      VALUE
063400             '0196TAT USER CODE 12'.
063500         05  MMMMTB-TAT-ACCT-13
063600                             PIC  X(20)      VALUE
063700             '0197TAT ACCT 13     '.
063800         05  MMMMTB-TAT-USER-CODE-13
063900                             PIC  X(20)      VALUE
064000             '0198TAT USER CODE 13'.
064100         05  MMMMTB-TAT-ACCT-14
064200                             PIC  X(20)      VALUE
064300             '0199TAT ACCT 14     '.
064400         05  MMMMTB-TAT-USER-CODE-14
064500                             PIC  X(20)      VALUE
064600             '0200TAT USER CODE 14'.
064700         05  MMMMTB-TAT-ACCT-15
064800                             PIC  X(20)      VALUE
064900             '0201TAT ACCT 15     '.
065000         05  MMMMTB-TAT-USER-CODE-15
065100                             PIC  X(20)      VALUE
065200             '0202TAT USER CODE 15'.
065300         05  MMMMTB-TAT-ACCT-16
065400                             PIC  X(20)      VALUE
065500             '0203TAT ACCT 16     '.
065600         05  MMMMTB-TAT-USER-CODE-16
065700                             PIC  X(20)      VALUE
065800             '0204TAT USER CODE 16'.
065900         05  MMMMTB-AGENT-BANK
066000                             PIC  X(20)      VALUE
066100             '0205AGENT BANK      '.
066200         05  MMMMTB-BRANCH   PIC  X(20)      VALUE
066300             '0206BRANCH          '.
066400         05  MMMMTB-OFFICER-ID
066500                             PIC  X(20)      VALUE
066600             '0207OFFICER ID      '.
066700         05  MMMMTB-BLOCK-CODE
066800                             PIC  X(20)      VALUE
066900             '0208BLOCK CODE      '.
067000         05  MMMMTB-TAX-ID   PIC  X(20)      VALUE
067100             '0209TAXPAYER ID     '.
067200         05  MMMMTB-BLOCK-OPER
067300                             PIC  X(20)      VALUE
067400             '0210BLOCK OPER      '.
067500         05  MMMMTB-BLOCK-CODE-DATE
067600                             PIC  X(20)      VALUE
067700             '0211DATE BLOCK CODE '.
067800         05  MMMMTB-INCORP-STATUS
067900                             PIC  X(20)      VALUE
068000             '0212INCORP STATUS   '.
068100         05  MMMMTB-SOLE-PROP-NAME
068200                             PIC  X(20)      VALUE
068300             '0213SOLE PROP NAME  '.
068400         05  MMMMTB-CONTACT-1
068500                             PIC  X(20)      VALUE
068600             '0214CONTACT 1       '.
068700         05  MMMMTB-CONTACT-2
068800                             PIC  X(20)      VALUE
068900             '0215CONTACT 2       '.
069000         05  MMMMTB-CONTACT-PHONE-1
069100                             PIC  X(20)      VALUE
069200             '0216CONTACT PHONE 1 '.
069300         05  MMMMTB-CONTACT-PHONE-2
069400                             PIC  X(20)      VALUE
069500             '0217CONTACT PHONE 2 '.
069600         05  MMMMTB-CONTACT-FAX-1
069700                             PIC  X(20)      VALUE
069800             '0218CONTACT FAX 1   '.
069900         05  MMMMTB-CONTACT-FAX-2
070000                             PIC  X(20)      VALUE
070100             '0219CONTACT FAX 2   '.
070200         05  MMMMTB-VISIT-REP-OPER
070300                             PIC  X(20)      VALUE
070400             '0220VISIT REP OPER  '.
070500         05  MMMMTB-VISIT-FREQ
070600                             PIC  X(20)      VALUE
070700             '0221VISIT FREQ      '.
070800         05  MMMMTB-REVIEW-REP-OPER
070900                             PIC  X(20)      VALUE
071000             '0222REVIEW REP OPER '.
071100         05  MMMMTB-REVIEW-FREQ
071200                             PIC  X(20)      VALUE
071300             '0223REVIEW FREQ     '.
071400         05  MMMMTB-DATE-LAST-VISIT
071500                             PIC  X(20)      VALUE
071600             '0224DATE LAST VISIT '.
071700         05  MMMMTB-DATE-LAST-REVIEW
071800                             PIC  X(20)      VALUE
071900             '0225DATE LAST REVIEW'.
072000         05  MMMMTB-DATE-NEXT-VISIT
072100                             PIC  X(20)      VALUE
072200             '0226DATE NEXT VISIT '.
072300         05  MMMMTB-DATE-NEXT-REVIEW
072400                             PIC  X(20)      VALUE
072500             '0227DATE NEXT REVIEW'.
072600         05  MMMMTB-VISIT-REP-NAME
072700                             PIC  X(20)      VALUE
072800             '0228VISIT REP NAME  '.
072900         05  MMMMTB-REVIEW-REP-NAME
073000                             PIC  X(20)      VALUE
073100             '0229REVIEW REP NAME '.
073200         05  MMMMTB-CHAIN-1-ID
073300                             PIC  X(20)      VALUE
073400             '0230CHAIN 1 ID      '.
073500         05  MMMMTB-CHAIN-2-ID
073600                             PIC  X(20)      VALUE
073700             '0231CHAIN 2 ID      '.
073800         05  MMMMTB-CHAIN-3-ID
073900                             PIC  X(20)      VALUE
074000             '0232CHAIN 3 ID      '.
074100         05  MMMMTB-CHAIN-4-ID
074200                             PIC  X(20)      VALUE
074300             '0233CHAIN 4 ID      '.
074400         05  MMMMTB-CHAIN-5-ID
074500                             PIC  X(20)      VALUE
074600             '0234CHAIN 5 ID      '.
074700         05  MMMMTB-CHAIN-6-ID
074800                             PIC  X(20)      VALUE
074900             '0235CHAIN 6 ID      '.
075000         05  MMMMTB-CHAIN-7-ID
075100                             PIC  X(20)      VALUE
075200             '0236CHAIN 7 ID      '.
075300         05  MMMMTB-CHAIN-8-ID
075400                             PIC  X(20)      VALUE
075500             '0237CHAIN 8 ID      '.
075600         05  MMMMTB-CHAIN-9-ID
075700                             PIC  X(20)      VALUE
075800             '0238CHAIN 9 ID      '.
075900         05  MMMMTB-CHAIN-10-ID
076000                             PIC  X(20)      VALUE
076100             '0239CHAIN 10 ID     '.
076200         05  MMMMTB-IMP-1-TITLE
076300                             PIC  X(20)      VALUE
076400             '0240IMPRINTER1 TITLE'.
076500         05  MMMMTB-IMP-1-NBR
076600                             PIC  X(20)      VALUE
076700             '0241NBR IMPRINTER 1 '.
076800         05  MMMMTB-IMP-2-TITLE
076900                             PIC  X(20)      VALUE
077000             '0242IMPRINTER2 TITLE'.
077100         05  MMMMTB-IMP-2-NBR
077200                             PIC  X(20)      VALUE
077300             '0243NBR IMPRINTER 2 '.
077400         05  MMMMTB-IMP-3-TITLE
077500                             PIC  X(20)      VALUE
077600             '0244IMPRINTER3 TITLE'.
077700         05  MMMMTB-IMP-3-NBR
077800                             PIC  X(20)      VALUE
077900             '0245NBR IMPRINTER 3 '.
078000         05  MMMMTB-POS-1-TITLE
078100                             PIC  X(20)      VALUE
078200             '0246POS 1 TITLE     '.
078300         05  MMMMTB-POS-1-NBR
078400                             PIC  X(20)      VALUE
078500             '0247NBR POS 1       '.
078600         05  MMMMTB-POS-2-TITLE
078700                             PIC  X(20)      VALUE
078800             '0248POS 2 TITLE     '.
078900         05  MMMMTB-POS-2-NBR
079000                             PIC  X(20)      VALUE
079100             '0249NBR POS 2       '.
079200         05  MMMMTB-POS-3-TITLE
079300                             PIC  X(20)      VALUE
079400             '0250POS 3 TITLE     '.
079500         05  MMMMTB-POS-3-NBR
079600                             PIC  X(20)      VALUE
079700             '0251NBR POS 3       '.
079800         05  MMMMTB-NBR-BULLETINS
079900                             PIC  X(20)      VALUE
080000             '0252NBR BULLETINS   '.
080100         05  MMMMTB-NBR-STORES
080200                             PIC  X(20)      VALUE
080300             '0253NBR STORES      '.
080400         05  MMMMTB-MEMO-1   PIC  X(20)      VALUE
080500             '0254MEMO 1          '.
080600         05  MMMMTB-MEMO-2   PIC  X(20)      VALUE
080700             '0255MEMO 2          '.
080800         05  MMMMTB-MEMO-3   PIC  X(20)      VALUE
080900             '0256MEMO 3          '.
081000         05  MMMMTB-MEMO-4   PIC  X(20)      VALUE
081100             '0257MEMO 4          '.
081200         05  MMMMTB-FRAUD-TABLE
081300                             PIC  X(20)      VALUE
081400             '0258FRAUD TABLE     '.
081500         05  MMMMTB-PROJ-SALES-AMT
081600                             PIC  X(20)      VALUE
081700             '0259PROJ SALES AMT  '.
081800         05  MMMMTB-PROJ-SALES-NBR
081900                             PIC  X(20)      VALUE
082000             '0260PROJ SALES NBR  '.
082100         05  MMMMTB-PROJ-RETURNS-AMT
082200                             PIC  X(20)      VALUE
082300             '0261PROJ RETURNS AMT'.
082400         05  MMMMTB-PROJ-RETURNS-NBR
082500                             PIC  X(20)      VALUE
082600             '0262PROJ RETURNS NBR'.
082700         05  MMMMTB-PROJ-AUTH-AMT
082800                             PIC  X(20)      VALUE
082900             '0263PROJ AUTH AMT   '.
083000         05  MMMMTB-PROJ-AUTH-NBR
083100                             PIC  X(20)      VALUE
083200             '0264PROJ AUTH NBR   '.
083300         05  MMMMTB-PROJ-CHGBACK-AMT
083400                             PIC  X(20)      VALUE
083500             '0265PROJ CHGBK AMT  '.
083600         05  MMMMTB-PROJ-CHGBACK-NBR
083700                             PIC  X(20)      VALUE
083800             '0266PROJ CHGBK NBR  '.
083900         05  MMMMTB-PROJ-CHGBACK-MEMO-AMT
084000                             PIC  X(20)      VALUE
084100             '0267PROJ CB MEMO AMT'.
084200         05  MMMMTB-PROJ-CHGBACK-MEMO-NBR
084300                             PIC  X(20)      VALUE
084400             '0268PROJ CB MEMO NBR'.
084500         05  MMMMTB-DUP-SALES-BATCH                               RG800902
084600                             PIC  X(20)      VALUE                RG800902
084700             '0269DUP SALES BATCH '.                              RG800902
084800         05  MMMMTB-DUP-SALES-DAY                                 RG800902
084900                             PIC  X(20)      VALUE                RG800902
085000             '0270DUP SALES DAY   '.                              RG800902
085100         05  MMMMTB-FRAUD-AVG-NBR-MTH
085200                             PIC  X(20)      VALUE
085300             '0271FRAUD AVGNBR MTH'.
085400         05  MMMMTB-USER-DATA-1-DESC
085500                             PIC  X(20)      VALUE
085600             '0272USER DATA 1 DESC'.
085700         05  MMMMTB-USER-DATA-1
085800                             PIC  X(20)      VALUE
085900             '0273USER DATA 1     '.
086000         05  MMMMTB-USER-DATA-2-DESC
086100                             PIC  X(20)      VALUE
086200             '0274USER DATA 2 DESC'.
086300         05  MMMMTB-USER-DATA-2
086400                             PIC  X(20)      VALUE
086500             '0275USER DATA 2     '.
086600         05  MMMMTB-USER-DATA-3-DESC
086700                             PIC  X(20)      VALUE
086800             '0276USER DATA 3 DESC'.
086900         05  MMMMTB-USER-DATA-3
087000                             PIC  X(20)      VALUE
087100             '0277USER DATA 3     '.
087200         05  MMMMTB-USER-DATA-4-DESC
087300                             PIC  X(20)      VALUE
087400             '0278USER DATA 4 DESC'.
087500         05  MMMMTB-USER-DATA-4
087600                             PIC  X(20)      VALUE
087700             '0279USER DATA 4     '.
087800         05  MMMMTB-USER-DATA-5-DESC
087900                             PIC  X(20)      VALUE
088000             '0280USER DATA 5 DESC'.
088100         05  MMMMTB-USER-DATA-5
088200                             PIC  X(20)      VALUE
088300             '0281USER DATA 5     '.
088400         05  MMMMTB-USER-DATA-6-DESC
088500                             PIC  X(20)      VALUE
088600             '0282USER DATA 6 DESC'.
088700         05  MMMMTB-USER-DATA-6
088800                             PIC  X(20)      VALUE
088900             '0283USER DATA 6     '.
089000         05  MMMMTB-USER-DATA-7-DESC
089100                             PIC  X(20)      VALUE
089200             '0284USER DATA 7 DESC'.
089300         05  MMMMTB-USER-DATA-7
089400                             PIC  X(20)      VALUE
089500             '0285USER DATA 7     '.
089600         05  MMMMTB-USER-DATA-8-DESC
089700                             PIC  X(20)      VALUE
089800             '0286USER DATA 8 DESC'.
089900         05  MMMMTB-USER-DATA-8
090000                             PIC  X(20)      VALUE
090100             '0287USER DATA 8     '.
090200         05  MMMMTB-USER-DATE-1-DESC
090300                             PIC  X(20)      VALUE
090400             '0288USER DATE 1 DESC'.
090500         05  MMMMTB-USER-DATE-1
090600                             PIC  X(20)      VALUE
090700             '0289USER DATE 1     '.
090800         05  MMMMTB-USER-DATE-2-DESC
090900                             PIC  X(20)      VALUE
091000             '0290USER DATE 2 DESC'.
091100         05  MMMMTB-USER-DATE-2
091200                             PIC  X(20)      VALUE
091300             '0291USER DATE 2     '.
091400         05  MMMMTB-USER-DATE-3-DESC
091500                             PIC  X(20)      VALUE
091600             '0292USER DATE 3 DESC'.
091700         05  MMMMTB-USER-DATE-3
091800                             PIC  X(20)      VALUE
091900             '0293USER DATE 3     '.
092000         05  MMMMTB-USER-DATE-4-DESC
092100                             PIC  X(20)      VALUE
092200             '0294USER DATE 4 DESC'.
092300         05  MMMMTB-USER-DATE-4
092400                             PIC  X(20)      VALUE
092500             '0295USER DATE 4     '.
092600         05  MMMMTB-USER-DATE-5-DESC
092700                             PIC  X(20)      VALUE
092800             '0296USER DATE 5 DESC'.
092900         05  MMMMTB-USER-DATE-5
093000                             PIC  X(20)      VALUE
093100             '0297USER DATE 5     '.
093200         05  MMMMTB-USER-DATE-6-DESC
093300                             PIC  X(20)      VALUE
093400             '0298USER DATE 6 DESC'.
093500         05  MMMMTB-USER-DATE-6
093600                             PIC  X(20)      VALUE
093700             '0299USER DATE 6     '.
093800         05  MMMMTB-USER-DATE-7-DESC
093900                             PIC  X(20)      VALUE
094000             '0300USER DATE 7 DESC'.
094100         05  MMMMTB-USER-DATE-7
094200                             PIC  X(20)      VALUE
094300             '0301USER DATE 7     '.
094400         05  MMMMTB-USER-DATE-8-DESC
094500                             PIC  X(20)      VALUE
094600             '0302USER DATE 8 DESC'.
094700         05  MMMMTB-USER-DATE-8
094800                             PIC  X(20)      VALUE
094900             '0303USER DATE 8     '.
095000         05  MMMMTB-USER-AMT-1-DESC
095100                             PIC  X(20)      VALUE
095200             '0304USER AMT 1 DESC '.
095300         05  MMMMTB-USER-AMT-1
095400                             PIC  X(20)      VALUE
095500             '0305USER AMT 1      '.
095600         05  MMMMTB-USER-AMT-2-DESC
095700                             PIC  X(20)      VALUE
095800             '0306USER AMT 2 DESC '.
095900         05  MMMMTB-USER-AMT-2
096000                             PIC  X(20)      VALUE
096100             '0307USER AMT 2      '.
096200         05  MMMMTB-USER-AMT-3-DESC
096300                             PIC  X(20)      VALUE
096400             '0308USER AMT 3 DESC '.
096500         05  MMMMTB-USER-AMT-3
096600                             PIC  X(20)      VALUE
096700             '0309USER AMT 3      '.
096800         05  MMMMTB-USER-AMT-4-DESC
096900                             PIC  X(20)      VALUE
097000             '0310USER AMT 4 DESC '.
097100         05  MMMMTB-USER-AMT-4
097200                             PIC  X(20)      VALUE
097300             '0311USER AMT 4      '.
097400         05  MMMMTB-USER-AMT-5-DESC
097500                             PIC  X(20)      VALUE
097600             '0312USER AMT 5 DESC '.
097700         05  MMMMTB-USER-AMT-5
097800                             PIC  X(20)      VALUE
097900             '0313USER AMT 5      '.
098000         05  MMMMTB-USER-AMT-6-DESC
098100                             PIC  X(20)      VALUE
098200             '0314USER AMT 6 DESC '.
098300         05  MMMMTB-USER-AMT-6
098400                             PIC  X(20)      VALUE
098500             '0315USER AMT 6      '.
098600         05  MMMMTB-USER-AMT-7-DESC
098700                             PIC  X(20)      VALUE
098800             '0316USER AMT 7 DESC '.
098900         05  MMMMTB-USER-AMT-7
099000                             PIC  X(20)      VALUE
099100             '0317USER AMT 7      '.
099200         05  MMMMTB-USER-AMT-8-DESC
099300                             PIC  X(20)      VALUE
099400             '0318USER AMT 8 DESC '.
099500         05  MMMMTB-USER-AMT-8
099600                             PIC  X(20)      VALUE
099700             '0319USER AMT 8      '.
099800         05  MMMMTB-STORE-NBR
099900                             PIC  X(20)      VALUE
100000             '0320STORE NUMBER    '.
100100         05  MMMMTB-AUTH-CODE
100200                             PIC  X(20)      VALUE
100300             '0321AUTH CODE       '.
100400         05  MMMMTB-STORE-SETT-FLAG
100500                             PIC  X(20)      VALUE
100600             '0322STORE SETT FLAG '.
100700         05  MMMMTB-AUTH-LOGO
100800                             PIC  X(20)      VALUE
100900             '0323AUTH LOGO       '.
101000         05  MMMMTB-STORE-SETT-DATE
101100                             PIC  X(20)      VALUE
101200             '0324STORE SETT DATE '.
101300         05  MMMMTB-GOVERNING-STATE
101400                             PIC  X(20)      VALUE
101500             '0325GOVERNING STATE '.
101600         05  MMMMTB-MEDIA-TYPE
101700                             PIC  X(20)      VALUE
101800             '0326MEDIA TYPE      '.
101900         05  MMMMTB-BULLETIN-TYPE
102000                             PIC  X(20)      VALUE
102100             '0327BULLETIN TYPE   '.
102200         05  MMMMTB-STORE-TYPE
102300                             PIC  X(20)      VALUE
102400             '0328STORE TYPE      '.
102500         05  MMMMTB-ACT-RECAP-1
102600                             PIC  X(20)      VALUE
102700             '0329ACT RECAP 1     '.
102800         05  MMMMTB-ACT-RECAP-1-DTL
102900                             PIC  X(20)      VALUE
103000             '0330ACT RECAP 1 DTL '.
103100         05  MMMMTB-ACT-RECAP-2
103200                             PIC  X(20)      VALUE
103300             '0331ACT RECAP 2     '.
103400         05  MMMMTB-ACT-RECAP-2-DTL
103500                             PIC  X(20)      VALUE
103600             '0332ACT RECAP 2 DTL '.
103700         05  MMMMTB-ACT-RECAP-3
103800                             PIC  X(20)      VALUE
103900             '0333ACT RECAP 3     '.
104000         05  MMMMTB-ACT-RECAP-3-DTL
104100                             PIC  X(20)      VALUE
104200             '0334ACT RECAP 3 DTL '.
104300         05  MMMMTB-ACT-RECAP-4
104400                             PIC  X(20)      VALUE
104500             '0335ACT RECAP 4     '.
104600         05  MMMMTB-ACT-RECAP-4-DTL
104700                             PIC  X(20)      VALUE
104800             '0336ACT RECAP 4 DTL '.
104900         05  MMMMTB-PROD-STATUS
105000                             PIC  X(20)      VALUE
105100             '0337PROD STATUS     '.
105200         05  MMMMTB-PROD-DISC-FEE-BASE
105300                             PIC  X(20)      VALUE
105400             '0338PROD DISC FEE BS'.
105500         05  MMMMTB-PROD-DISC-RATE-TABLE
105600                             PIC  X(20)      VALUE
105700             '0339PROD DISC RT TBL'.
105800         05  MMMMTB-PROD-EFF-DATE
105900                             PIC  X(20)      VALUE
106000             '0340PROD EFF DATE   '.
106100         05  MMMMTB-PROD-PART-FEE-BASE
106200                             PIC  X(20)      VALUE
106300             '0341PROD PART FEE BS'.
106400         05  MMMMTB-PROD-PART-RATE-TABLE
106500                             PIC  X(20)      VALUE
106600             '0342PROD PART RT TBL'.
106700         05  MMMMTB-PROD-SETT-FLAG
106800                             PIC  X(20)      VALUE
106900             '0343PROD SETTLE FLAG'.
107000         05  MMMMTB-PROD-RESV-1-FEE-BASE
107100                             PIC  X(20)      VALUE
107200             '0344PROD RESV 1 FEEB'.
107300         05  MMMMTB-PROD-RESV-1-RATE-TABLE
107400                             PIC  X(20)      VALUE
107500             '0345PROD RESV 1 TBL '.
107600         05  MMMMTB-PROD-SOURCE
107700                             PIC  X(20)      VALUE
107800             '0346PROD SOURCE     '.
107900         05  MMMMTB-PROD-RESV-2-FEE-BASE
108000                             PIC  X(20)      VALUE
108100             '0347PROD RESV 2 FEEB'.
108200         05  MMMMTB-PROD-RESV-2-RATE-TABLE
108300                             PIC  X(20)      VALUE
108400             '0348PROD RESV 2 TBL '.
108500         05  MMMMTB-PROD-SHORT-DESC
108600                             PIC  X(20)      VALUE
108700             '0349PROD SHORT DESC '.
108800         05  MMMMTB-PROD-RESV-3-FEE-BASE
108900                             PIC  X(20)      VALUE
109000             '0350PROD RESV 3 FEEB'.
109100         05  MMMMTB-PROD-RESV-3-RATE-TABLE
109200                             PIC  X(20)      VALUE
109300             '0351PROD RESV 3 TBL '.
109400         05  MMMMTB-PROD-RESV-4-FEE-BASE
109500                             PIC  X(20)      VALUE
109600             '0352PROD RESV 4 FEEB'.
109700         05  MMMMTB-PROD-RESV-4-RATE-TABLE
109800                             PIC  X(20)      VALUE
109900             '0353PROD RESV 4 TBL '.
110000         05  MMMMTB-PROD-USER-CODE
110100                             PIC  X(20)      VALUE
110200             '0354PROD USER CODE  '.
110300         05  MMMMTB-PROD-INTCHG-FEE-BASE
110400                             PIC  X(20)      VALUE
110500             '0355PROD IC FEE BASE'.
110600         05  MMMMTB-REFUSAL-IND
110700                             PIC  X(20)      VALUE
110800             '03561099 REFUSAL IND'.
110900         05  MMMMTB-TIN-TYPE PIC  X(20)      VALUE
111000             '0357TIN TYPE        '.
111100         05  MMMMTB-CORP-LEGAL-NAME
111200                             PIC  X(20)      VALUE
111300             '0358CORP LEGAL NAME '.
111400         05  MMMMTB-EURO-RPT-FLAG
111500                             PIC  X(20)      VALUE
111600             '0359EURO REPORT FLAG'.
111700         05  MMMMTB-DUAL-RPT-ORG
111800                             PIC  X(20)      VALUE
111900             '0360DUAL CURRNCY ORG'.
112000         05  MMMMTB-MINORITY-CODE
112100                             PIC  X(20)      VALUE
112200             '0361MINORITY CODE   '.
112300         05  MMMMTB-WOMAN-OWNED-CODE
112400                             PIC  X(20)      VALUE
112500             '0362WOMAN-OWNED CODE'.
112600         05  MMMMTB-DUN-AND-BRADSTREET-NBR
112700                             PIC  X(20)      VALUE
112800             '0363DUN/BRADSTREET  '.
112900         05  MMMMTB-URL-EMAIL                                     RG802901
112950                             PIC  X(20)      VALUE                RG802901
113000             '0364URL/E-MAIL ADDR '.                              RG802901
113100         05  MMMMTB-DUP-SALES-AMT                                 RG800902
113110                             PIC  X(20)      VALUE                RG800902
113200             '0365DUP SALES AMT   '.                              RG800902
113300         05  MMMMTB-DUP-AUTHS-BATCH                               RG800902
113310                             PIC  X(20)      VALUE                RG800902
113400             '0366DUP AUTHS BATCH '.                              RG800902
113500         05  MMMMTB-DUP-AUTHS-DAY                                 RG800902
113510                             PIC  X(20)      VALUE                RG800902
113600             '0367DUP AUTHS DAY   '.                              RG800902
113700         05  MMMMTB-DUP-AUTHS-AMT                                 RG800902
113710                             PIC  X(20)      VALUE                RG800902
113800             '0368DUP AUTHS AMT   '.                              RG800902
113900         05  MMMMTB-M-0369   PIC  X(20)      VALUE
114000             '0369                '.
114100         05  MMMMTB-M-0370   PIC  X(20)      VALUE
114200             '0370                '.
114300         05  MMMMTB-M-0371   PIC  X(20)      VALUE
114400             '0371                '.
114500         05  MMMMTB-M-0372   PIC  X(20)      VALUE
114600             '0372                '.
114700         05  MMMMTB-M-0373   PIC  X(20)      VALUE
114800             '0373                '.
114900         05  MMMMTB-M-0374   PIC  X(20)      VALUE
115000             '0374                '.
115100         05  MMMMTB-M-0375   PIC  X(20)      VALUE
115200             '0375                '.
115300         05  MMMMTB-M-0376   PIC  X(20)      VALUE
115400             '0376                '.
115500         05  MMMMTB-M-0377   PIC  X(20)      VALUE
115600             '0377                '.
115700         05  MMMMTB-M-0378   PIC  X(20)      VALUE
115800             '0378                '.
115900*
116000     03  MMMMTB-FIELD        REDEFINES       MMMMTB-FIELDS
116100                                             OCCURS 378 TIMES
116200                                             INDEXED BY
116300                                             X-MMMMTB-FIELD.
116400         05  MMMMTB-INDEX    PIC  9(04).
116500         05  MMMMTB-FIELD-NAME
116600                             PIC  X(16).
116700*
116800*       ***************************************************
116900*       *              END OF COPYBOOK MMMMTB             *
117000*       ***************************************************
