000100******************************************************************
000200*    ROUTINE TO LOAD MMMP RECORDS INTO A TABLE                   *
000300******************************************************************
000400*                                                                *
000500*    TO USE THIS ROUTINE,                                        *
000600*                                                                *
000700*    1. FILE ACCESS FOR THE MMMP FILE MUST BE IN YOUR PROGRAM.   *
000800*    2. COPY BOOK MMMPTB MUST BE IN YOUR PROGRAM.                *
000900*    3. THE FILE "MMMP" MUST BE OPENED EITHER WITH SEQUENTIAL    *
001000*       ACCESS OR DYNAMIC ACCESS.                                *
001100*    4. PROVIDE THE ORG/MERCHANT NUMBER WHOSE "MMMP" RECORDS     *
001200*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001300*       MMMPTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001400*       MMMPTB-START-ORG, THE MERCHANT MMMPTB-MERCHANT.          *
001500*       ALSO, YOU MAY SPECIFY A STARTING TABLE INDEX (DEFAULT    *
001600*       IS 1) AS AN OPTION.                                      *
001700*    5. OPTIONALLY, YOU MAY JUST PERFORM MMMPPX-READ-AND-LOAD    *
001800*       IF YOU WANT TO AVOID THE "START" OF THE MMMP FILE.       *
001900*                                                                *
002000******************************************************************
002100 MMMPPX-LOAD-MMMP-TABLE.
002200*
002300     MOVE SPACES                 TO MMMPTB-TABLE-DATA.
002400     MOVE LOW-VALUES             TO MMMPIO-KEY.
002500     MOVE MMMPTB-START-ORG-ACCT
002600                                 TO MMMPIO-ORG-MERCHANT.
002700*
002800     MOVE 'MP1A'                 TO SS02WS-ABEND-LOCATION.
002900     SET MMMPRB-START-GTE        TO TRUE.
003000     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
003100*
003200     MOVE 'MP1B'                 TO SS02WS-ABEND-LOCATION.
003300     SET MMMPRB-READ-SEQ         TO TRUE.
003400     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
003500*
003600     SET X-MMMPTB                TO MMMPTB-BEG-INDEX.
003700*
003800     PERFORM MMMPPX-READ-AND-LOAD
003900        THRU MMMPPX-RAL-EXIT
004000        UNTIL MMMPIO-ORG-MERCHANT IS GREATER THAN
004100              MMMPTB-START-ORG-ACCT
004200          OR  MMMPIO-TRAILER.
004300*
004400 MMMPPX-LMMMP-EXIT.
004500     EXIT.
004600*
004700*
004800*
004900 MMMPPX-READ-AND-LOAD.
005000*
005100     MOVE MMMPIO-RECORD          TO MMMP-RECORD.
005200*
005300     IF  MMMP-HEADER
005400     OR  MMMP-TRAILER
005500     OR  MMMP-REC-INCOMPLETE
005600     OR  MMMP-REC-MODEL
005700     OR  MMMP-REC-PURGED
005800     OR  MMMP-ORG-MERCHANT IS NOT EQUAL TO
005900                                 MMMPTB-START-ORG-ACCT
006000         NEXT SENTENCE
006100     ELSE
006200         MOVE MMMP-RECORD        TO MMMPTB-RECORD (X-MMMPTB)
006300         SET X-MMMPTB            UP BY 1.
006400*
006500     MOVE 'MP1C'                 TO SS02WS-ABEND-LOCATION.
006600     SET MMMPRB-READ-SEQ         TO TRUE.
006700     PERFORM MB00PD-MMMP-ACCESS  THRU MB00PD-MMMP-ACCESS-EXIT.
006800*
006900 MMMPPX-RAL-EXIT.
007000     EXIT.
