000100 MMOCAO-ACCESS.
000200******************************************************************
000300******************************************************************
000400******************************************************************
000500*   ACCESS ROUTINE FOR THE MMOC FILE........(ON-LINE VERSION)    *
000600*   THIS ROUTINE WILL CALL AN I-O MODULE WHICH WILL HANDLE       *
000700*   ALL THE I-O FOR THE MMOC FILE.                               *
000800*   (ORGANIZATION RECORD NUMBER 1).                              *
000900*   OTHER COPY BOOKS WHICH CAN OR MUST BE IN YOUR PROGRAM.....   *
001000*   (WS) SS08WS ON-LINE WORK AREAS (REQUIRED)                    *
001100*   (WS) MBIOWS WORKING STORAGE AREAS FOR ALL FILES (REQUIRED)   *
001200*   (WS) MBIORO WORKING STORAGE REQUEST BLOCK AREAS              *
001300*        FOR ALL FILES (REQUIRED)                                *
001400*   (LS) MB60WS MBS COMMUNICATION AREA (REQUIRED)                *
001500*   (LS) MB61LK MBS FILE TABLE (REQUIRED)                        *
001600*        IN THE LINKAGE SECTION.                                 *
001700*   (LS) MMOCRL RECORD LAYOUT (REQUIRED)                         *
001800*        IN THE LINKAGE SECTION.                                 *
001900*   (PD) MB70PD GENERAL ON-LINE ROUTINES (REQUIRED)              *
002000******************************************************************
002100******************************************************************
002200******************************************************************
002300*                                                                *
002400*   TO USE THIS ROUTINE..........                                *
002500*                                                                *
002600* 1. HOUESKEEPING DUTIES.                                        *
002700*    A. BEFORE PERFORMING THIS ACCESS METHOD, MOVE A LITERAL     *
002800*       TO THE FIELD 'MBCA-PROGRAM-LOCATION'.  THIS FIELD        *
002900*       IS TO BE USED TO INDICATE WHERE THE ROUTINE IS BEING     *
003000*       PERFORMED 'FROM' IN CASE OF ABNORMAL TERMINATION.        *
003100*       (E.G. DEBUGGING ASSISTANCE)                              *
003200*    B. BEFORE PERFORMING THIS ACCESS METHOD,                    *
003300*       SET THE RETURN CODES WHICH YOU PERMANENTLY (FOR THE      *
003400*       DURATION OF THIS PROGRAM) WANT TO BE CONSIDERED TO BE    *
003500*       VALID IN THE FIELDS 'MBIORO-PERM-STATUS-1 TO -5'.        *
003600*       THESE FIELDS ARE INITIALIZED TO ZERO (AS ZERO IS ALWAYS  *
003700*       AN ACCEPTABLE RETURN CODE).  THE CALLED I-O ROUTINE WILL *
003800*       (IN ALL I-O REQUESTS) SUCCESSFULLY SATISFY YOUR PERFORM  *
003900*       REQUEST IF   A N Y   OF THE REQUESTS ENCOUNTER  A N Y    *
004000*       OF THE PERMANENT STATUS CODES 1-5.                       *
004100*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
004200*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
004300*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
004400*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
004500*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
004600*       (VALID RETURN).                                          *
004700*                                                                *
004800* 2. TO OBTAIN AN I-O REQUEST, SET ONE OF THE FOLLOWING REQUEST  *
004900*    NAMES TO 'TRUE'. DO THIS BY SETTING THE 88 LEVEL REQUEST    *
005000*    TO TRUE. EX.(SET MBIORO-READ-RANDOM TO TRUE).               *
005100*    A. REQUEST CODES.                                           *
005200*         01 = MBIORO-READ-SEQ.                                  *
005300*              READ THE NEXT SEQUENTIAL RECORD IN THE FILE.      *
005400*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
005500*              PRIOR TO USING THIS REQUEST.                      *
005600*         02 = MBIORO-READ-RANDOM.                               *
005700*              READ A RECORD IN THE FILE AT RANDOM.              *
005800*              TO USE THIS REQUEST, YOU MUST PROVIDE THE KEY     *
005900*              IN THE FIELD MBIOWS-MMOC-KEY.                     *
006000*         03 = MBIORO-WRITE.                                     *
006100*              WRITE A RECORD (THE RECORD MUST BE IN THE RL      *
006200*              COPYBOOK 01 LEVEL).                               *
006300*         04 = MBIORO-REWRITE.                                   *
006400*              REWRITE A RECORD (THE RECORD MUST BE IN THE RL    *
006500*              COPYBOOK 01 LEVEL).                               *
006600*         05 = MBIORO-STARTBR-GTE.                               *
006700*              STARTBR THE FILE WITH A KEY GREATER THAN OR EQUAL *
006800*              TO THE KEY WHICH IS IN THE WS AREA                *
006900*              (MBIOWS-MMOC-KEY).                                *
007000*         06 = MBIORO-STARTBR-EQUAL.                             *
007100*              STARTBR THE FILE WITH A KEY SPECIFICALLY EQUAL TO *
007200*              THE KEY SPECIFIED IN THE WS AREA                  *
007300*              (MBIOWS-MMOC-KEY).                                *
007400*      07-10 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
007500*         11 = MBIORO-GETMAIN.                                   *
007600*              DO A GETMAIN FOR THE RECORD AREA.                 *
007700*         12 = MBIORO-READ-RANDOM-UPDATE.                        *
007800*              READ A RECORD IN THE FILE AT RANDOM (WITH UPDATE) *
007900*              TO USE THIS REQUEST, YOU MUST PROVIDE THE KEY     *
008000*              IN THE FIELD MBIOWS-MMOC-KEY. THIS IS THE SAME AS *
008100*              REQUEST CODE 02, BUT WILL LOCK THE RECORD.  WHEN  *
008200*              USING THIS REQUEST, BE SURE TO REWRITE OR UNLOCK  *
008300*              THE RECORD IN SUBSEQUENT LOGIC IN YOUR PROGRAM.   *
008400*         13 = MBIORO-READ-PREV.                                 *
008500*              READ THE PREVIOUS SEQ RECORD IN THE FILE.         *
008600*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
008700*              PRIOR TO USING THIS REQUEST.                      *
008800*         14 = MBIORO-UNLOCK.                                    *
008900*              UNLOCK A RECORD WHICH WAS PREVIOUSLY READ FOR     *
009000*              UPDATE.                                           *
009100*         15 = MBIORO-ENDBR.                                     *
009200*              ENDBR THE FILE.                                   *
009300*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
009400*              PRIOR TO USING THIS REQUEST.                      *
009500*         16 = MBIORO-FREEMAIN.                                  *
009600*              DO A FREEMAIN FOR THE RECORD AREA.                *
009700*         17 = MBIORO-DELETE.                                    *
009800*              DELETE A RECORD (THE RECORD MUST BE IN THE RL     *
009900*              COPYBOOK 01 LEVEL).                               *
010000*         18 = MBIORO-DELETE-UPDATE.                             *
010100*              DELETE A RECORD (THE RECORD MUST HAVE BEEN READ   *
010200*              FOR UPDATE FIRST). THE RIDFLD OPTION IS NOT USED  *
010300*              FOR THIS DELETE FUNCTION.                         *
010400*      19-20 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
010500*    B. ALSO AVAILABLE TO YOU ARE TWO 'TEMPORARY' RETURN CODE    *
010600*       FIELDS 'MBIOWS-TEMP-STATUS-1 AND -2'. THESE TWO RETURN   *
010700*       CODES ARE TO BE USED ON A PER USE BASIS OF THIS ROUTINE. *
010800*       THESE TWO RETURN CODES ARE INITIALIZED TO ZERO AND ARE   *
010900*       BOTH RESET TO ZERO AFTER EACH USE OF THIS ROUTINE.       *
011000*       THE TEMPORARY RETURN CODE FIELDS ARE CHECKED FIRST AND   *
011100*       THEN THE PERMANENT RETURN CODES (MENTIONED ABOVE) WILL   *
011200*       BE CHECKED.                                              *
011300*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
011400*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
011500*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
011600*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
011700*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
011800*       (VALID RETURN).                                          *
011900*    C. PERFORM MMOCAO-ACCESS THRU MMOCAO-ACCESS-EXIT            *
012000*    D. YOU MUST HANDLE MANUALLY ANY RETURN CODE (EITHER TEMP    *
012100*       OR PERM) THAT YOU REQUESTED, AND IF NEEDED, YOUR OWN     *
012200*       ERROR ROUTINE HANDLING.                                  *
012300*                                                                *
012400******************************************************************
012500*
012600     MOVE LENGTH OF MMOC-RECORD  TO MBIORO-FIXED-LENGTH.
012700     MOVE MBIOWS-MMOC-GETMAIN-SW TO MBIORO-GETMAIN1-SW.
012800     SET MBIORO-FILE-MMOC        TO TRUE.
012900*
013000     IF  MBIORO-KEY-PROVIDED
013100         MOVE MBIOWS-MMOC-KEY    TO MBIORO-RECORD-KEY
013200     ELSE
013300         IF  MBIORO-IO-WRITE-REWRITE
013400             MOVE MMOC-KEY       TO MBIORO-RECORD-KEY.
013500*
013600     IF  MBIORO-GETMAIN1-COMPLETED
013700         SET MBIORO-POINTER1     TO ADDRESS OF MMOC-RECORD.
013800*
013900     MOVE SPACES                 TO MBCA-ERRR-EIBRCODE
014000                                    MBCA-WORK-TRANS-ID.
014100*
014200     CALL MBIOWS-IO-PROGRAM-NAME USING DFHEIBLK
014300                                       DFHCOMMAREA
014400                                       MBIORO-REQUEST-BLOCK.
014500*
014600     MOVE MBCA-ERRR-EIBRCODE     TO SS08WS-RTN-CODE.
014700*
014800     IF  MBIORO-IO-REQUEST-IS-INVALID
014900         MOVE MBCA-WORK-TRANS-ID TO SS08WS-WORK-TRANS-ID
015000         GO TO MB70PD-ERROR-ROUTINE.
015100*
015200     MOVE MBIORO-GETMAIN1-SW     TO MBIOWS-MMOC-GETMAIN-SW.
015300*
015400     IF  MBIORO-GETMAIN1-COMPLETED
015500         SET ADDRESS OF MMOC-RECORD
015600                                 TO MBIORO-POINTER1
015700         IF  MBIORO-STATUS-VALID
015800         AND MBIORO-READ-RECORD
015900             MOVE MMOC-KEY       TO MBIOWS-MMOC-KEY.
016000*
016100 MMOCAO-ACCESS-EXIT.
016200     EXIT.
016300*
016400*             ****************************************
016500*             *        END OF COPYBOOK MMOCAO        *
016600*             ****************************************
