000100 MMRCPX-FIND-OCCURRENCE.
000200******************************************************************
000300*                                                                *
000400* THE PURPOSE OF THIS ROUTINE IS TO DETERMINE THE INDEX VALUE    *
000500* OF A PARTICULAR ENTRY IN THE MMRC FILE BASED ON THE OCCURRENCE *
000600* ID IN THE MMRC-TOTALS    TABLE.                                *
000700* TO USE THIS ROUTINE..........................................  *
000800* 1. MMRCRL AND MMRCWS MUST BE COPIED INTO YOUR PROGRAM.         *
000900* 2. MOVE A VALID OCCURRENCE-ID (3 BYTE FIELD CODE) TO THE FIELD *
001000*    MMRCWS-OID-SEARCH.                                          *
001100*    VALID VALUES ARE: JAN, FEB, MAR, APR, MAY, JUN,             *
001200*                      JUL, AUG, SEP, OCT, NOV, DEC,             *
001300*                      CUR, MTD, YTD, CTD, DTD, AND PTD.         *
001400* 3. PERFORM MMRCPX-FIND-OCCURRENCE THRU MMRCPX-FO-EXIT.         *
001500* 4. THE FIELD MMRCWS-OID-INDEX IS THE RETURN VALUE PASSED       *
001600*    BACK FROM THIS ROUTINE AND WILL CONTAIN THE INDEX VALUE     *
001700*    FOR ANY OF THE ABOVE DEFINED OCCURRENCE-ID'S.  IF ZERO IS   *
001800*    RETURNED, THE OCCURRENCE IN THE MMRC-STATS-OCCUR-TABLE YOU  *
001900*    ARE SEARCHING FOR DOES NOT EXIST, OR AN INVALID OCCURRENCE  *
002000*    ID WAS PASSED AS A SEARCH PARAMETER.                        *
002100*                                                                *
002200******************************************************************
002300     SET X-MMRC-SEARCH           TO 1.
002400     SEARCH MMRC-STATS-OCCUR-TABLE    VARYING X-MMRC-SEARCH
002500         AT END
002600             MOVE ZERO           TO MMRCWS-OID-INDEX
002700         WHEN MMRCWS-OID-SEARCH IS EQUAL TO
002800              MMRC-OCCURRENCE-ID    (X-MMRC-SEARCH)
002900              SET MMRCWS-OID-INDEX
003000                                 TO X-MMRC-SEARCH.
003100*
003200 MMRCPX-FO-EXIT.
003300     EXIT.
003400/
003500 MMRCPX-INIT-RECORD.
003600******************************************************************
003700*                                                                *
003800* THE PURPOSE OF THIS ROUTINE IS TO INITIALIZE THE MMRCIR-RECORD*
003900* WITH THE CORRECT VALUES IN THE STATS TOTALS AREA.              *
004000* TO USE THIS ROUTINE..........................................  *
004100*                                                                *
004200* 1. MMRCWS AND MMRCIR0 MUST BE COPIED INTO YOUR PROGRAM.        *
004300* 2. SS01WS AND SS08PD MUST BE COPIED INTO YOUR PROGRAM.         *
004400* 3. MOVE A VALID DATE (IN JULIAN FORMAT) TO THE FIELD           *
004500*    MMRCIR-DATE.   THIS DATE WILL DETERMINE THE MONTH AND YEAR  *
004600*    VALUES IN THE ROLLING 12 MONTHS OCCURRENCES AND THE YEAR    *
004700*    IN THE YEAR-TO-DATE OCCURRENCE.                             *
004800* 4. PERFORM MMRCPX-INIT-RECORD THRU MMRCPX-IR-EXIT.             *
004900* 5. THE INITIALIZED RECORD WILL BE IN THE RECORD LAYOUT         *
005000*    REFERENCED BY THE DATA NAME MMRCIR-RECORD.                  *
005100*    YOU MAY MOVE MMRCIR-RECORD  TO ANOTHER AREA TO ESTABLISH    *
005200*    ANY KEY OR STATIC DATA ON THE RECORD.                       *
005300*                                                                *
005400******************************************************************
005500     MOVE MMRCIR-DATE            TO SS01WS-JULIAN.
005600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
005700*
005800     IF  SS01WS-MM IS GREATER THAN 12
005900     OR  SS01WS-MM IS LESS THAN 1
006000         SET X-MMRCIR-OIT        TO 1
006100         MOVE 1                  TO SS01WS-YEAR
006200     ELSE
006300         SET X-MMRCIR-OIT        TO SS01WS-MM.
006400*
006500     MOVE SS01WS-YEAR            TO MMRCIR-OCCURRENCE-YEAR(15).
006600*
006700     SET X-MMRCIR-OIT            DOWN BY 1.
006800     SET X-MMRCIR                TO 1.
006900     PERFORM MMRCPX-INIT-OCCURRENCES
007000        THRU MMRCPX-IO-EXIT      12 TIMES.
007100*
007200     MOVE MMRCIR-CUR             TO MMRCIR-OCCURRENCE-ID    (13).
007300     MOVE MMRCIR-MTD             TO MMRCIR-OCCURRENCE-ID    (14).
007400     MOVE MMRCIR-YTD             TO MMRCIR-OCCURRENCE-ID    (15).
007500     MOVE MMRCIR-CTD             TO MMRCIR-OCCURRENCE-ID    (16).
007600     MOVE MMRCIR-DTD             TO MMRCIR-OCCURRENCE-ID    (17).
007700     MOVE MMRCIR-PTD             TO MMRCIR-OCCURRENCE-ID    (18).
007800*
007900 MMRCPX-IR-EXIT.
008000     EXIT.
008100/
008200 MMRCPX-INIT-OCCURRENCES.
008300     IF  X-MMRCIR-OIT  IS LESS THAN 1
008400         SET X-MMRCIR-OIT        TO 12
008500         SUBTRACT 1              FROM SS01WS-YEAR.
008600*
008700     MOVE MMRCIR-OIT  (X-MMRCIR-OIT)
008800                                 TO MMRCIR-OCCURRENCE-ID
008900                                    (X-MMRCIR).
009000     MOVE SS01WS-YEAR            TO MMRCIR-OCCURRENCE-YEAR
009100                                    (X-MMRCIR).
009200*
009300     SET X-MMRCIR-OIT            DOWN BY 1.
009400     SET X-MMRCIR                UP BY 1.
009500*
009600 MMRCPX-IO-EXIT.
009700     EXIT.
009800/
