000100 MMSMPX-FIND-OCCURRENCE.
000200******************************************************************
000300*                                                                *
000400* THE PURPOSE OF THIS ROUTINE IS TO DETERMINE THE INDEX VALUE    *
000500* OF A PARTICULAR ENTRY IN THE MMSM FILE BASED ON THE OCCURRENCE *
000600* ID IN THE MMSM-TOTALS TABLE.                                   *
000700* TO USE THIS ROUTINE..........................................  *
000800* 1. MMSMRL AND MMSMWS MUST BE COPIED INTO YOUR PROGRAM.         *
000900* 2. MOVE A VALID OCCURRENCE-ID (3 BYTE FIELD CODE) TO THE FIELD *
001000*    MMSMWS-OID-SEARCH.                                          *
001100*    VALID VALUES ARE: JAN, FEB, MAR, APR, MAY, JUN,             *
001200*                      JUL, AUG, SEP, OCT, NOV, DEC,             *
001300*                      CUR, MTD, YTD, CTD, DTD AND PTD.          *
001400* 3. PERFORM MMSMPX-FIND-OCCURRENCE THRU MMSMPX-FO-EXIT.         *
001500* 4. THE FIELD MMSMWS-OID-INDEX IS THE RETURN VALUE PASSED       *
001600*    BACK FROM THIS ROUTINE AND WILL CONTAIN THE INDEX VALUE     *
001700*    FOR ANY OF THE ABOVE DEFINED OCCURRENCE-ID'S.  IF ZERO IS   *
001800*    RETURNED, THE OCCURRENCE IN THE MMSM-STATS-OCCUR-TABLE YOU  *
001900*    ARE SEARCHING FOR DOES NOT EXIST, OR AN INVALID OCCURRENCE  *
002000*    ID WAS PASSED AS A SEARCH PARAMETER.                        *
002100*                                                                *
002200******************************************************************
002300     SET X-MMSM-SEARCH           TO 1.
002400     SEARCH MMSM-STATS-OCCUR-TABLE VARYING X-MMSM-SEARCH
002500         AT END
002600             MOVE ZERO           TO MMSMWS-OID-INDEX
002700         WHEN MMSMWS-OID-SEARCH IS EQUAL TO
002800              MMSM-OCCURRENCE-ID (X-MMSM-SEARCH)
002900              SET MMSMWS-OID-INDEX
003000                                 TO X-MMSM-SEARCH.
003100*
003200 MMSMPX-FO-EXIT.
003300     EXIT.
003400/
003500 MMSMPX-INIT-RECORD.
003600******************************************************************
003700*                                                                *
003800* THE PURPOSE OF THIS ROUTINE IS TO INITIALIZE THE MMSMIR-RECORD*
003900* WITH THE CORRECT VALUES IN THE STATS TOTALS AREA.              *
004000* TO USE THIS ROUTINE..........................................  *
004100*                                                                *
004200* 1. MMSMWS AND MMSMIR MUST BE COPIED INTO YOUR PROGRAM.         *
004300* 2. SS01WS AND SS08PD MUST BE COPIED INTO YOUR PROGRAM.         *
004400* 3. MOVE A VALID DATE (IN JULIAN FORMAT) TO THE FIELD           *
004500*    MMSMIR-DATE.   THIS DATE WILL DETERMINE THE MONTH AND YEAR  *
004600*    VALUES IN THE ROLLING 12 MONTHS OCCURRENCES AND THE YEAR    *
004700*    IN THE YEAR-TO-DATE OCCURRENCE.                             *
004800* 4. PERFORM MMSMPX-INIT-RECORD THRU MMSMPX-IR-EXIT.             *
004900* 5. THE INITIALIZED RECORD WILL BE IN THE RECORD LAYOUT         *
005000*    REFERENCED BY THE DATA NAME MMSMIR-RECORD.                  *
005100*    YOU MAY MOVE MMSMIR-RECORD  TO ANOTHER AREA TO ESTABLISH    *
005200*    ANY KEY OR STATIC DATA ON THE RECORD.                       *
005300*                                                                *
005400******************************************************************
005500     MOVE MMSMIR-DATE            TO SS01WS-JULIAN.
005600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
005700*
005800     IF  SS01WS-MM IS GREATER THAN 12
005900     OR  SS01WS-MM IS LESS THAN 1
006000         SET X-MMSMIR-OIT        TO 1
006100         MOVE 1                  TO SS01WS-YEAR
006200     ELSE
006300         SET X-MMSMIR-OIT        TO SS01WS-MM.
006400*
006500     MOVE SS01WS-YEAR            TO MMSMIR-OCCURRENCE-YEAR (15).
006600*
006700     SET X-MMSMIR-OIT            DOWN BY 1.
006800     SET X-MMSMIR                TO 1.
006900     PERFORM MMSMPX-INIT-OCCURRENCES
007000        THRU MMSMPX-IO-EXIT      12 TIMES.
007100*
007200     MOVE MMSMIR-CUR             TO MMSMIR-OCCURRENCE-ID (13).
007300     MOVE MMSMIR-MTD             TO MMSMIR-OCCURRENCE-ID (14).
007400     MOVE MMSMIR-YTD             TO MMSMIR-OCCURRENCE-ID (15).
007500     MOVE MMSMIR-CTD             TO MMSMIR-OCCURRENCE-ID (16).
007600     MOVE MMSMIR-DTD             TO MMSMIR-OCCURRENCE-ID (17).
007700     MOVE MMSMIR-PTD             TO MMSMIR-OCCURRENCE-ID (18).
007800*
007900 MMSMPX-IR-EXIT.
008000     EXIT.
008100/
008200 MMSMPX-INIT-OCCURRENCES.
008300     IF  X-MMSMIR-OIT  IS LESS THAN 1
008400         SET X-MMSMIR-OIT        TO 12
008500         SUBTRACT 1              FROM SS01WS-YEAR.
008600*
008700     MOVE MMSMIR-OIT  (X-MMSMIR-OIT)
008800                                 TO MMSMIR-OCCURRENCE-ID
008900                                    (X-MMSMIR).
009000     MOVE SS01WS-YEAR            TO MMSMIR-OCCURRENCE-YEAR
009100                                    (X-MMSMIR).
009200*
009300     SET X-MMSMIR-OIT            DOWN BY 1.
009400     SET X-MMSMIR                UP BY 1.
009500*
009600 MMSMPX-IO-EXIT.
009700     EXIT.
009800/
