000100*****************************************************************
000200*                                                               *
000300*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000400*                                                               *
000500*   -------- MMSMTB --- FIELD SECURITY FIELDS TABLE ---------   *
000600*                                                               *
000700*                                                               *
000800*  THIS TABLE CONTAINS FIELD DESCRIPTIONS FOR THE STORE         *
000900*  MASTER FILE (MMSMRL).                                        *
001000*  THESE ARE USED AS THE DEFAULT DESCRIPTIONS FOR THE           *
001100*  ONLINE FIELD SECURITY TRANSACTIONS (MBAF, MBMF, AND MBQF)    *
001200*  AS WELL AS FOR THE BATCH SYSTEM RECOVERY AND LOG FILE        *
001300*  AUDIT PRINT PROGRAM (MBD100).                                *
001400*                                                               *
001500*  THE STORE MASTER TABLE COPYBOOK (MMSMTB) ASSIGNS AN          *
001600*  INDEX VALUE TO THESE NAMES. THERE IS A ONE TO ONE            *
001700*  RELATIONSHIP BETWEEN THESE TWO TABLES. WHEN YOU ADD, CHANGE  *
001800*  OR DELETE FROM THIS TABLE , YOU MUST MAKE A CORRESPONDING    *
001900*  CHANGE TO THE MMSMTB TABLE COPYBOOK.                         *
002000*  IF YOU EXCEED THE 168 MAXIMUM NUMBER OF MEMBERS AND YOU HAVE *
002100*  TO INCREASE THE SIZE OF THIS TABLE, YOU MUST INCREASE THE    *
002200*  MMSMTB TABLE AND THE MMSMRL RECORD LAYOUT COPYBOOK AND ANY   *
002300*  ASSOCIATED COPYBOOKS.                                        *
002400*  THIS IS DONE TO ALLOW FOR THE INDIVIDIUAL STORE              *
002500*  PROGRAMS TO REFERENCE A DATA NAME CONTAINING THE INDEX       *
002600*  VALUE INSTEAD OF REFERENCING THE TABLE WITH A HARD-CODED     *
002700*  INDEX VALUE.  BY ALLOWING THE INDIVIDUAL PROGRAMS TO         *
002800*  REFERENCE THESE DATA NAMES CONTAINING INDEX VALUES, ONLY     *
002900*  THESE TWO TABLES NEED BE CHANGED WHEN A FIELD IS INSERTED (IT*
003000*  IS NO LONGER REQUIRED THAT NEW FIELDS ALWAYS BE ADDED TO     *
003100*  THE END OF THE LIST) AND THE INDIVIDUAL STORE                *
003200*  PROGRAMS RE-COMPILED.                                        *
003300*                                                               *
003400*  WHENEVER THIS COPYBOOK CHANGES, BE SURE TO RE-COMPILE THE    *
003500*  FIELD SECURITY PROGRAMS, AS THEY USE THIS TABLE FOR THE      *
003600*  DISPLAY OF THE FIELD NAMES.                                  *
003700*                                                               *
003800*****************************************************************
003900*
004000 01  MMSMTB-TABLE.
004100*
004200*****************************************************************
004300*                 FIELD DESCRIPTIONS AND CODES                  *
004400*****************************************************************
004500*
004600     03  MMSMTB-NBR-ELEMENTS
004700                             PIC S9(03)      COMP-3
004800                                             VALUE +210.
004900*
005000     03  MMSMTB-FIELDS.
005100         05  MMSMTB-MERCHANT-ID
005200                             PIC  X(20)      VALUE
005300             '0001MERCHANT ID     '.
005400         05  MMSMTB-DBA-NAME PIC  X(20)      VALUE
005500             '0002DBA NAME        '.
005600         05  MMSMTB-COUNTRY-CODE
005700                             PIC  X(20)      VALUE
005800             '0003COUNTRY CODE    '.
005900         05  MMSMTB-DBA-CITY PIC  X(20)      VALUE
006000             '0004DBA CITY        '.
006100         05  MMSMTB-DBA-COUNTRY-CODE
006200                             PIC  X(20)      VALUE
006300             '0005DBA COUNTRY CODE'.
006400         05  MMSMTB-PRIM-ADDR1
006500                             PIC  X(20)      VALUE
006600             '0006PRIMARY ADDR 1  '.
006700         05  MMSMTB-PRIM-ADDR2
006800                             PIC  X(20)      VALUE
006900             '0007PRIMARY ADDR 2  '.
007000         05  MMSMTB-PRIM-ADDR3
007100                             PIC  X(20)      VALUE
007200             '0008PRIMARY ADDR 3  '.
007300         05  MMSMTB-PRIM-ADDR4
007400                             PIC  X(20)      VALUE
007500             '0009PRIMARY ADDR 4  '.
007600         05  MMSMTB-PRIM-ADDR5
007700                             PIC  X(20)      VALUE
007800             '0010PRIMARY-ADDR 5  '.
007900         05  MMSMTB-PRIM-STATE
008000                             PIC  X(20)      VALUE
008100             '0011PRIMARY STATE   '.
008200         05  MMSMTB-PRIM-PHONE
008300                             PIC  X(20)      VALUE
008400             '0012PRIMARY PHONE   '.
008500         05  MMSMTB-PRIM-POSTAL-CODE
008600                             PIC  X(20)      VALUE
008700             '0013PRIMARY POSTAL  '.
008800         05  MMSMTB-PRIM-FAX PIC  X(20)      VALUE
008900             '0014PRIMARY FAX     '.
009000         05  MMSMTB-SEC-ADDR1
009100                             PIC  X(20)      VALUE
009200             '0015SECOND ADDR 1   '.
009300         05  MMSMTB-SEC-ADDR2
009400                             PIC  X(20)      VALUE
009500             '0016SECOND ADDR 2   '.
009600         05  MMSMTB-SEC-ADDR3
009700                             PIC  X(20)      VALUE
009800             '0017SECOND ADDR 3   '.
009900         05  MMSMTB-SEC-ADDR4
010000                             PIC  X(20)      VALUE
010100             '0018SECOND ADDR 4   '.
010200         05  MMSMTB-SEC-ADDR5
010300                             PIC  X(20)      VALUE
010400             '0019SECOND ADDR 5   '.
010500         05  MMSMTB-SEC-STATE
010600                             PIC  X(20)      VALUE
010700             '0020SECOND STATE    '.
010800         05  MMSMTB-SEC-PHONE
010900                             PIC  X(20)      VALUE
011000             '0021SECOND PHONE    '.
011100         05  MMSMTB-SEC-POSTAL-CODE
011200                             PIC  X(20)      VALUE
011300             '0022SECOND POSTAL   '.
011400         05  MMSMTB-SEC-FAX
011500                             PIC  X(20)      VALUE
011600             '0023SECOND FAX      '.
011700         05  MMSMTB-CONTACT-NAME-1
011800                             PIC  X(20)      VALUE
011900             '0024CONTACT NAME 1  '.
012000         05  MMSMTB-CONTACT-NAME-2
012100                             PIC  X(20)      VALUE
012200             '0025CONTACT NAME 2  '.
012300         05  MMSMTB-CONTACT-TITLE-1
012400                             PIC  X(20)      VALUE
012500             '0026CONTACT TITLE 1 '.
012600         05  MMSMTB-CONTACT-TITLE-2
012700                             PIC  X(20)      VALUE
012800             '0027CONTACT TITLE 2 '.
012900         05  MMSMTB-CONTACT-PHONE-1
013000                             PIC  X(20)      VALUE
013100             '0028CONTACT PHONE 1 '.
013200         05  MMSMTB-CONTACT-PHONE-2
013300                             PIC  X(20)      VALUE
013400             '0029CONTACT PHONE 2 '.
013500         05  MMSMTB-CONTACT-FAX-1
013600                             PIC  X(20)      VALUE
013700             '0030CONTACT FAX 1   '.
013800         05  MMSMTB-CONTACT-FAX-2
013900                             PIC  X(20)      VALUE
014000             '0031CONTACT FAX 2   '.
014100         05  MMSMTB-CONTACT-NAME-3
014200                             PIC  X(20)      VALUE
014300             '0032CONTACT NAME 3  '.
014400         05  MMSMTB-CONTACT-NAME-4
014500                             PIC  X(20)      VALUE
014600             '0033CONTACT NAME 4  '.
014700         05  MMSMTB-CONTACT-TITLE-3
014800                             PIC  X(20)      VALUE
014900             '0034CONTACT TITLE 3 '.
015000         05  MMSMTB-CONTACT-TITLE-4
015100                             PIC  X(20)      VALUE
015200             '0035CONTACT TITLE 4 '.
015300         05  MMSMTB-CONTACT-PHONE-3
015400                             PIC  X(20)      VALUE
015500             '0036CONTACT PHONE 3 '.
015600         05  MMSMTB-CONTACT-PHONE-4
015700                             PIC  X(20)      VALUE
015800             '0037CONTACT PHONE 4 '.
015900         05  MMSMTB-CONTACT-FAX-3
016000                             PIC  X(20)      VALUE
016100             '0038CONTACT FAX 3   '.
016200         05  MMSMTB-CONTACT-FAX-4
016300                             PIC  X(20)      VALUE
016400             '0039CONTACT FAX 4   '.
016500         05  MMSMTB-MEMO-1   PIC  X(20)      VALUE
016600             '0040MEMO 1          '.
016700         05  MMSMTB-MEMO-2   PIC  X(20)      VALUE
016800             '0041MEMO 2          '.
016900         05  MMSMTB-MEMO-3   PIC  X(20)      VALUE
017000             '0042MEMO 3          '.
017100         05  MMSMTB-MEMO-4   PIC  X(20)      VALUE
017200             '0043MEMO 4          '.
017300         05  MMSMTB-AUTH-CODE
017400                             PIC  X(20)      VALUE
017500             '0044AUTH CODE       '.
017600         05  MMSMTB-SETT-FLAG
017700                             PIC  X(20)      VALUE
017800             '0045SETT FLAG       '.
017900         05  MMSMTB-AUTH-LOGO
018000                             PIC  X(20)      VALUE
018100             '0046AUTH LOGO       '.
018200         05  MMSMTB-SETT-ACTIVE-DATE
018300                             PIC  X(20)      VALUE
018400             '0047SETT ACTIVE DATE'.
018500         05  MMSMTB-GOVERNING-STATE
018600                             PIC  X(20)      VALUE
018700             '0048GOVERNING STATE '.
018800         05  MMSMTB-ADDRESS-CONTROL
018900                             PIC  X(20)      VALUE
019000             '0049ADDRESS CONTROL '.
019100         05  MMSMTB-NBR-BULLETINS
019200                             PIC  X(20)      VALUE
019300             '0050NBR OF BULLETINS'.
019400         05  MMSMTB-ACT-RECAP-1
019500                             PIC  X(20)      VALUE
019600             '0051ACT RECAP 1     '.
019700         05  MMSMTB-ACT-RECAP-DTL-1
019800                             PIC  X(20)      VALUE
019900             '0052ACT RECAP DTL 1 '.
020000         05  MMSMTB-ACT-RECAP-2
020100                             PIC  X(20)      VALUE
020200             '0053ACT RECAP 2     '.
020300         05  MMSMTB-ACT-RECAP-DTL-2
020400                             PIC  X(20)      VALUE
020500             '0054ACT RECAP DTL 2 '.
020600         05  MMSMTB-ACT-RECAP-3
020700                             PIC  X(20)      VALUE
020800             '0055ACT RECAP 3     '.
020900         05  MMSMTB-ACT-RECAP-DTL-3
021000                             PIC  X(20)      VALUE
021100             '0056ACT RECAP DTL 3 '.
021200         05  MMSMTB-ACT-RECAP-4
021300                             PIC  X(20)      VALUE
021400             '0057ACT RECAP 4     '.
021500         05  MMSMTB-ACT-RECAP-DTL-4
021600                             PIC  X(20)      VALUE
021700             '0058ACT RECAP DTL 4 '.
021800         05  MMSMTB-VISIT-REP-OPER
021900                             PIC  X(20)      VALUE
022000             '0059VISIT REP OPER  '.
022100         05  MMSMTB-VISIT-FREQ
022200                             PIC  X(20)      VALUE
022300             '0060VISIT FREQ      '.
022400         05  MMSMTB-REVIEW-REP-OPER
022500                             PIC  X(20)      VALUE
022600             '0061REVIEW REP OPER '.
022700         05  MMSMTB-REVIEW-FREQ
022800                             PIC  X(20)      VALUE
022900             '0062REVIEW FREQ     '.
023000         05  MMSMTB-DATE-LAST-VISIT
023100                             PIC  X(20)      VALUE
023200             '0063DATE LAST VISIT '.
023300         05  MMSMTB-DATE-LAST-REVIEW
023400                             PIC  X(20)      VALUE
023500             '0064DATE LAST REVIEW'.
023600         05  MMSMTB-DATE-NEXT-VISIT
023700                             PIC  X(20)      VALUE
023800             '0065DATE NEXT VISIT '.
023900         05  MMSMTB-DATE-NEXT-REVIEW
024000                             PIC  X(20)      VALUE
024100             '0066DATE NEXT REVIEW'.
024200         05  MMSMTB-VISIT-REP-NAME
024300                             PIC  X(20)      VALUE
024400             '0067VISIT REP NAME  '.
024500         05  MMSMTB-REVIEW-REP-NAME
024600                             PIC  X(20)      VALUE
024700             '0068REVIEW REP NAME '.
024800         05  MMSMTB-IMP-DEV-TITLE-1
024900                             PIC  X(20)      VALUE
025000             '0069IMP DEV TITLE 1 '.
025100         05  MMSMTB-IMP-DEV-NBR-1
025200                             PIC  X(20)      VALUE
025300             '0070IMP DEV NBR 1   '.
025400         05  MMSMTB-POS-DEV-TITLE-1
025500                             PIC  X(20)      VALUE
025600             '0071POS DEV TITLE 1 '.
025700         05  MMSMTB-POS-DEV-NBR-1
025800                             PIC  X(20)      VALUE
025900             '0072POS DEV NBR 1   '.
026000         05  MMSMTB-IMP-DEV-TITLE-2
026100                             PIC  X(20)      VALUE
026200             '0073IMP DEV TITLE 2 '.
026300         05  MMSMTB-IMP-DEV-NBR-2
026400                             PIC  X(20)      VALUE
026500             '0074IMP DEV NBR 2   '.
026600         05  MMSMTB-POS-DEV-TITLE-2
026700                             PIC  X(20)      VALUE
026800             '0075POS DEV TITLE 2 '.
026900         05  MMSMTB-POS-DEV-NBR-2
027000                             PIC  X(20)      VALUE
027100             '0076POS DEV NBR 2  '.
027200         05  MMSMTB-IMP-DEV-TITLE-3
027300                             PIC  X(20)      VALUE
027400             '0077IMP DEV TITLE 3 '.
027500         05  MMSMTB-IMP-DEV-NBR-3
027600                             PIC  X(20)      VALUE
027700             '0078IMP DEV NBR 3   '.
027800         05  MMSMTB-POS-DEV-TITLE-3
027900                             PIC  X(20)      VALUE
028000             '0079POS DEV TITLE 3 '.
028100         05  MMSMTB-POS-DEV-NBR-3
028200                             PIC  X(20)      VALUE
028300             '0080POS DEV NBR 3   '.
028400         05  MMSMTB-PL-CATEGORY-CODE
028500                             PIC  X(20)      VALUE
028600             '0081PL CATEGORY CODE'.
028700         05  MMSMTB-PL-FLOOR-LIMIT
028800                             PIC  X(20)      VALUE
028900             '0082PL FLOOR LIMIT  '.
029000         05  MMSMTB-STORE-TYPE
029100                             PIC  X(20)      VALUE
029200             '0083STORE TYPE      '.
029300         05  MMSMTB-MEDIA-TYPE
029400                             PIC  X(20)      VALUE
029500             '0084MEDIA TYPE      '.
029600         05  MMSMTB-LOCATION-ID
029700                             PIC  X(20)      VALUE
029800             '0085LOCATION ID     '.
029900         05  MMSMTB-BULLETIN-TYPE
030000                             PIC  X(20)      VALUE
030100             '0086BULLETIN TYPE   '.
030200         05  MMSMTB-OFFICER-ID
030300                             PIC  X(20)      VALUE
030400             '0087OFFICER ID      '.
030500         05  MMSMTB-AGENT-BANK
030600                             PIC  X(20)      VALUE
030700             '0088AGENT BANK      '.
030800         05  MMSMTB-BRANCH   PIC  X(20)      VALUE
030900             '0089BRANCH          '.
031000         05  MMSMTB-CHECK-COMPANY
031100                             PIC  X(20)      VALUE
031200             '0090CHECK COMPANY   '.
031300         05  MMSMTB-CUSTOMER-MSG-1
031400                             PIC  X(20)      VALUE
031500             '0091CUSTOMER MSG 1  '.
031600         05  MMSMTB-CUSTOMER-MSG-2
031700                             PIC  X(20)      VALUE
031800             '0092CUSTOMER MSG 2  '.
031900         05  MMSMTB-CUSTOMER-MSG-3
032000                             PIC  X(20)      VALUE
032100             '0093CUSTOMER MSG 3  '.
032200         05  MMSMTB-USER-DATA-1-DESC
032300                             PIC  X(20)      VALUE
032400             '0094USER DATA 1 DESC'.
032500         05  MMSMTB-USER-DATA-1
032600                             PIC  X(20)      VALUE
032700             '0095USER DATA 1     '.
032800         05  MMSMTB-USER-DATA-2-DESC
032900                             PIC  X(20)      VALUE
033000             '0096USER DATA 2 DESC'.
033100         05  MMSMTB-USER-DATA-2
033200                             PIC  X(20)      VALUE
033300             '0097USER DATA 2     '.
033400         05  MMSMTB-USER-DATA-3-DESC
033500                             PIC  X(20)      VALUE
033600             '0098USER DATA 3 DESC'.
033700         05  MMSMTB-USER-DATA-3
033800                             PIC  X(20)      VALUE
033900             '0099USER DATA 3     '.
034000         05  MMSMTB-USER-DATA-4-DESC
034100                             PIC  X(20)      VALUE
034200             '0100USER DATA 4 DESC'.
034300         05  MMSMTB-USER-DATA-4
034400                             PIC  X(20)      VALUE
034500             '0101USER DATA 4     '.
034600         05  MMSMTB-USER-DATA-5-DESC
034700                             PIC  X(20)      VALUE
034800             '0102USER DATA 5 DESC'.
034900         05  MMSMTB-USER-DATA-5
035000                             PIC  X(20)      VALUE
035100             '0103USER DATA 5     '.
035200         05  MMSMTB-USER-DATA-6-DESC
035300                             PIC  X(20)      VALUE
035400             '0104USER DATA 6 DESC'.
035500         05  MMSMTB-USER-DATA-6
035600                             PIC  X(20)      VALUE
035700             '0105USER DATA 6     '.
035800         05  MMSMTB-USER-DATA-7-DESC
035900                             PIC  X(20)      VALUE
036000             '0106USER DATA 7 DESC'.
036100         05  MMSMTB-USER-DATA-7
036200                             PIC  X(20)      VALUE
036300             '0107USER DATA 7     '.
036400         05  MMSMTB-USER-DATA-8-DESC
036500                             PIC  X(20)      VALUE
036600             '0108USER DATA 8 DESC'.
036700         05  MMSMTB-USER-DATA-8
036800                             PIC  X(20)      VALUE
036900             '0109USER DATA 8     '.
037000         05  MMSMTB-USER-DATE-1-DESC
037100                             PIC  X(20)      VALUE
037200             '0110USER DATE 1 DESC'.
037300         05  MMSMTB-USER-DATE-1
037400                             PIC  X(20)      VALUE
037500             '0111USER DATE 1     '.
037600         05  MMSMTB-USER-DATE-2-DESC
037700                             PIC  X(20)      VALUE
037800             '0112USER DATE 2 DESC'.
037900         05  MMSMTB-USER-DATE-2
038000                             PIC  X(20)      VALUE
038100             '0113USER DATE 2     '.
038200         05  MMSMTB-USER-DATE-3-DESC
038300                             PIC  X(20)      VALUE
038400             '0114USER DATE 3 DESC'.
038500         05  MMSMTB-USER-DATE-3
038600                             PIC  X(20)      VALUE
038700             '0115USER DATE 3     '.
038800         05  MMSMTB-USER-DATE-4-DESC
038900                             PIC  X(20)      VALUE
039000             '0116USER DATE 4 DESC'.
039100         05  MMSMTB-USER-DATE-4
039200                             PIC  X(20)      VALUE
039300             '0117USER DATE 4     '.
039400         05  MMSMTB-USER-DATE-5-DESC
039500                             PIC  X(20)      VALUE
039600             '0118USER DATE 5 DESC'.
039700         05  MMSMTB-USER-DATE-5
039800                             PIC  X(20)      VALUE
039900             '0119USER DATE 5     '.
040000         05  MMSMTB-USER-DATE-6-DESC
040100                             PIC  X(20)      VALUE
040200             '0120USER DATE 6 DESC'.
040300         05  MMSMTB-USER-DATE-6
040400                             PIC  X(20)      VALUE
040500             '0121USER DATE 6     '.
040600         05  MMSMTB-USER-DATE-7-DESC
040700                             PIC  X(20)      VALUE
040800             '0122USER DATE 7 DESC'.
040900         05  MMSMTB-USER-DATE-7
041000                             PIC  X(20)      VALUE
041100             '0123USER DATE 7     '.
041200         05  MMSMTB-USER-DATE-8-DESC
041300                             PIC  X(20)      VALUE
041400             '0124USER DATE 8 DESC'.
041500         05  MMSMTB-USER-DATE-8
041600                             PIC  X(20)      VALUE
041700             '0125USER DATE 8     '.
041800         05  MMSMTB-USER-AMT-1-DESC
041900                             PIC  X(20)      VALUE
042000             '0126USER AMT 1 DESC '.
042100         05  MMSMTB-USER-AMT-1
042200                             PIC  X(20)      VALUE
042300             '0127USER AMT 1      '.
042400         05  MMSMTB-USER-AMT-2-DESC
042500                             PIC  X(20)      VALUE
042600             '0128USER AMT 2 DESC '.
042700         05  MMSMTB-USER-AMT-2
042800                             PIC  X(20)      VALUE
042900             '0129USER AMT 2      '.
043000         05  MMSMTB-USER-AMT-3-DESC
043100                             PIC  X(20)      VALUE
043200             '0130USER AMT 3 DESC '.
043300         05  MMSMTB-USER-AMT-3
043400                             PIC  X(20)      VALUE
043500             '0131USER AMT 3      '.
043600         05  MMSMTB-USER-AMT-4-DESC
043700                             PIC  X(20)      VALUE
043800             '0132USER AMT 4 DESC '.
043900         05  MMSMTB-USER-AMT-4
044000                             PIC  X(20)      VALUE
044100             '0133USER AMT 4      '.
044200         05  MMSMTB-USER-AMT-5-DESC
044300                             PIC  X(20)      VALUE
044400             '0134USER AMT 5 DESC '.
044500         05  MMSMTB-USER-AMT-5
044600                             PIC  X(20)      VALUE
044700             '0135USER AMT 5      '.
044800         05  MMSMTB-USER-AMT-6-DESC
044900                             PIC  X(20)      VALUE
045000             '0136USER AMT 6 DESC '.
045100         05  MMSMTB-USER-AMT-6
045200                             PIC  X(20)      VALUE
045300             '0137USER AMT 6      '.
045400         05  MMSMTB-USER-AMT-7-DESC
045500                             PIC  X(20)      VALUE
045600             '0138USER AMT 7 DESC '.
045700         05  MMSMTB-USER-AMT-7
045800                             PIC  X(20)      VALUE
045900             '0139USER AMT 7      '.
046000         05  MMSMTB-USER-AMT-8-DESC
046100                             PIC  X(20)      VALUE
046200             '0140USER AMT 8 DESC '.
046300         05  MMSMTB-USER-AMT-8
046400                             PIC  X(20)      VALUE
046500             '0141USER AMT 8      '.
046600         05  MMSMTB-VI-DBA-NAME
046700                             PIC  X(20)      VALUE
046800             '0142VI DBA NAME     '.
046900         05  MMSMTB-VI-INTCHG-IND
047000                             PIC  X(20)      VALUE
047100             '0143VI INTCHG IND   '.
047200         05  MMSMTB-VI-MEMBER-ID
047300                             PIC  X(20)      VALUE
047400             '0144VI MEMBER ID    '.
047500         05  MMSMTB-VI-SPECIAL-COND-1
047600                             PIC  X(20)      VALUE
047700             '0145VI SPECIAL COND1'.
047800         05  MMSMTB-VI-SPECIAL-COND-2
047900                             PIC  X(20)      VALUE
048000             '0146VI SPECIAL COND2'.
048100         05  MMSMTB-VI-MAIL-PHONE-IND
048200                             PIC  X(20)      VALUE
048300             '0147VI MAILPHONE IND'.
048400         05  MMSMTB-VI-CH-TERM-IND
048500                             PIC  X(20)      VALUE
048600             '0148VI CH TERM IND  '.
048700         05  MMSMTB-VI-RPT-THSHOLD
048800                             PIC  X(20)      VALUE
048900             '0149VI RPT THSHOLD  '.
049000         05  MMSMTB-VI-PROG-INDICATOR
049100                             PIC  X(20)      VALUE
049200             '0150VI PROG INDICATR'.
049300         05  MMSMTB-VI-CRB-REGION
049400                             PIC  X(20)      VALUE
049500             '0151VI CRB REGION   '.
049600         05  MMSMTB-VI-REG-ADDR-IND1
049700                             PIC  X(20)      VALUE
049800             '0152VI REG ADDR IND1'.
049900         05  MMSMTB-VI-REG-ADDR-IND2
050000                             PIC  X(20)      VALUE
050100             '0153VI REG ADDR IND2'.
050200         05  MMSMTB-VI-CATEGORY-CODE
050300                             PIC  X(20)      VALUE
050400             '0154VI CAT CODE     '.
050500         05  MMSMTB-VI-FLOOR-LIMIT
050600                             PIC  X(20)      VALUE
050700             '0155PROD FLOOR LIMIT'.
050800         05  MMSMTB-MC-DBA-NAME
050900                             PIC  X(20)      VALUE
051000             '0156MC DBA NAME     '.
051100         05  MMSMTB-MC-CIRRUS-IND
051200                             PIC  X(20)      VALUE
051300             '0157MC CIRRUS IND   '.
051400         05  MMSMTB-MC-INTCHG-IND
051500                             PIC  X(20)      VALUE
051600             '0158MC INTCHG FLAG  '.
051700         05  MMSMTB-MC-BUSINESS-CLASS
051800                             PIC  X(20)      VALUE
051900             '0159MC BUS CLASS COD'.
052000         05  MMSMTB-MC-CATEGORY-CODE
052100                             PIC  X(20)      VALUE
052200             '0160MC CATEGORY CODE'.
052300         05  MMSMTB-MC-FLOOR-LIMIT
052400                             PIC  X(20)      VALUE
052500             '0161MC FLOOR LIMIT  '.
052600         05  MMSMTB-CHAIN-1-ID
052700                             PIC  X(20)      VALUE
052800             '0162STORE CHAIN ID 1'.
052900         05  MMSMTB-CHAIN-2-ID
053000                             PIC  X(20)      VALUE
053100             '0163STORE CHAIN ID 2'.
053200         05  MMSMTB-CHAIN-3-ID
053300                             PIC  X(20)      VALUE
053400             '0164STORE CHAIN ID 3'.
053500         05  MMSMTB-CHAIN-4-ID
053600                             PIC  X(20)      VALUE
053700             '0165STORE CHAIN ID 4'.
053800         05  MMSMTB-CHAIN-5-ID
053900                             PIC  X(20)      VALUE
054000             '0166STORE CHAIN ID 5'.
054100         05  MMSMTB-CHAIN-6-ID
054200                             PIC  X(20)      VALUE
054300             '0167STORE CHAIN ID 6'.
054400         05  MMSMTB-CHAIN-7-ID
054500                             PIC  X(20)      VALUE
054600             '0168STORE CHAIN ID 7'.
054700         05  MMSMTB-CHAIN-8-ID
054800                             PIC  X(20)      VALUE
054900             '0169STORE CHAIN ID 8'.
055000         05  MMSMTB-CHAIN-9-ID
055100                             PIC  X(20)      VALUE
055200             '0170STORE CHAIN ID 9'.
055300         05  MMSMTB-CHAIN-10-ID
055400                             PIC  X(20)      VALUE
055500             '0171STORE CHAIN ID10'.
055600         05  MMSMTB-VI-VOLUME-IND
055700                             PIC  X(20)      VALUE
055800             '0172VI VOLUME IND   '.
055900         05  MMSMTB-MC-CH-TERM-IND
056000                             PIC  X(20)      VALUE
056100             '0173MC CH TERM IND  '.
056200         05  MMSMTB-MC-POS-DC-01                                  EH800900
056202                             PIC  X(20)      VALUE                EH800900
056300             '0174CD DATA IN CAP  '.                              EH800900
056400         05  MMSMTB-MC-POS-DC-02                                  EH800900
056402                             PIC  X(20)      VALUE                EH800900
056500             '0175C/H AUTHENT CAP '.                              EH800900
056600         05  MMSMTB-MC-POS-DC-03                                  EH800900
056602                             PIC  X(20)      VALUE                EH800900
056700             '0176CD CAPTURE CAP  '.                              EH800900
056800         05  MMSMTB-MC-POS-DC-04                                  EH800900
056802                             PIC  X(20)      VALUE                EH800900
056900             '0177OPER ENVIRON    '.                              EH800900
057000         05  MMSMTB-MC-POS-DC-05                                  EH800900
057002                             PIC  X(20)      VALUE                EH800900
057100             '0178C/H PRESENT     '.                              EH800900
057200         05  MMSMTB-MC-POS-DC-06                                  EH800900
057202                             PIC  X(20)      VALUE                EH800900
057300             '0179CD PRESENT      '.                              EH800900
057400         05  MMSMTB-MC-POS-DC-07                                  EH800900
057402                             PIC  X(20)      VALUE                EH800900
057500             '0180TRAMS INPUT     '.                              EH800900
057600         05  MMSMTB-MC-POS-DC-08                                  EH800900
057602                             PIC  X(20)      VALUE                EH800900
057700             '0181C/H AUTHENT MTD '.                              EH800900
057800         05  MMSMTB-MC-POS-DC-09                                  EH800900
057802                             PIC  X(20)      VALUE                EH800900
057900             '0182C/H AUTHENT     '.                              EH800900
058000         05  MMSMTB-MC-POS-DC-10                                  EH800900
058002                             PIC  X(20)      VALUE                EH800900
058100             '0183CD DATA OUT CAP '.                              EH800900
058200         05  MMSMTB-MC-POS-DC-11                                  EH800900
058202                             PIC  X(20)      VALUE                EH800900
058300             '0184TERM OUTPUT CAP '.                              EH800900
058400         05  MMSMTB-MC-POS-DC-12                                  EH800900
058402                             PIC  X(20)      VALUE                EH800900
058500             '0185PIN CAPT CAP    '.                              EH800900
058600         05  MMSMTB-URL-EMAIL                                     RG802901
058650                             PIC  X(20)      VALUE                RG802901
058700             '0186URL/E-MAIL ADDR '.                              RG802901
058800         05  MMSMTB-VI-CONTACT-IND                                RG802901
058850                             PIC  X(20)      VALUE                RG802901
058900             '0187CONTACT IND     '.                              RG802901
059000         05  MMSMTB-MC-ASSIGNED-ID                                RG800913
059050                             PIC X(20)      VALUE                 RG800913
059100             '0188MC ASSGND REG CD'.                              RG800913
059200         05  MMSMTB-DUP-SALES-DAY-NBR                             RG800902
059210                             PIC  X(20)      VALUE                RG800902
059300             '0189DUP SALE DAY NBR'.                              RG800902
059400         05  MMSMTB-DUP-AUTHS-DAY-NBR                             RG800902
059410                             PIC  X(20)      VALUE                RG800902
059500             '0190DUP AUTH DAY NBR'.                              RG800902
059600         05  MMSMTB-DUP-SALES-DAY-AMT                             RG800902
059610                             PIC  X(20)      VALUE                RG800902
059700             '0191DUP SALE DAY AMT'.                              RG800902
059800         05  MMSMTB-DUP-AUTHS-DAY-AMT                             RG800902
059810                             PIC  X(20)      VALUE                RG800902
059900             '0192DUP AUTH DAY AMT'.                              RG800902
060000         05  MMSMTB-DUP-SALES-DAY-NBR-BIN                         RG800902
060010                             PIC  X(20)      VALUE                RG800902
060100             '0193DUP SALE NBR BIN'.                              RG800902
060200         05  MMSMTB-DUP-AUTHS-DAY-NBR-BIN                         RG800902
060210                             PIC  X(20)      VALUE                RG800902
060300             '0194DUP AUTH NBR BIN'.                              RG800902
060400         05  MMSMTB-DUP-SALES-DAY-AMT-BIN                         RG800902
060410                             PIC  X(20)      VALUE                RG800902
060500             '0195DUP SALE AMT BIN'.                              RG800902
060600         05  MMSMTB-DUP-AUTHS-DAY-AMT-BIN                         RG800902
060610                             PIC  X(20)      VALUE                RG800902
060700             '0196DUP AUTH AMT BIN'.                              RG800902
060800         05  MMSMTB-AUTHS-BELOW-FLOOR-PL                          RG800902
060810                             PIC  X(20)      VALUE                RG800902
060900             '0197AUTHS BELOW PL  '.                              RG800902
061000         05  MMSMTB-AUTHS-BELOW-FLOOR-MC                          RG800902
061010                             PIC  X(20)      VALUE                RG800902
061100             '0198AUTHS BELOW MC  '.                              RG800902
061200         05  MMSMTB-AUTHS-BELOW-FLOOR-VI                          RG800902
061210                             PIC  X(20)      VALUE                RG800902
061300             '0199AUTHS BELOW VI  '.                              RG800902
061400         05  MMSMTB-VI-SVC-DVLP-IND                               RG800914
061450                             PIC  X(20)      VALUE                RG800914
061500             '0200VI SVC DVLP IND '.                              RG800914
061600         05  MMSMTB-M-0201   PIC  X(20)      VALUE
061700             '0201                '.
061800         05  MMSMTB-M-0202   PIC  X(20)      VALUE
061900             '0202                '.
062000         05  MMSMTB-M-0203   PIC  X(20)      VALUE
062100             '0203                '.
062200         05  MMSMTB-M-0204   PIC  X(20)      VALUE
062300             '0204                '.
062400         05  MMSMTB-M-0205   PIC  X(20)      VALUE
062500             '0205                '.
062600         05  MMSMTB-M-0206   PIC  X(20)      VALUE
062700             '0206                '.
062800         05  MMSMTB-M-0207   PIC  X(20)      VALUE
062900             '0207                '.
063000         05  MMSMTB-M-0208   PIC  X(20)      VALUE
063100             '0208                '.
063200         05  MMSMTB-M-0209   PIC  X(20)      VALUE
063300             '0209                '.
063400         05  MMSMTB-M-0210   PIC  X(20)      VALUE
063500             '0210                '.
063600*
063700     03  MMSMTB-FIELD        REDEFINES       MMSMTB-FIELDS
063800                                             OCCURS 210 TIMES
063900                                             INDEXED BY
064000                                             X-MMSMTB-FIELD.
064100         05  MMSMTB-INDEX    PIC  9(04).
064200         05  MMSMTB-FIELD-NAME
064300                             PIC  X(16).
064400*
064500*       ***************************************************
064600*       *              END OF COPYBOOK MMSMTB             *
064700*       ***************************************************
