000100 MMSRPX-FIND-OCCURRENCE.
000200******************************************************************
000300*                                                                *
000400* THE PURPOSE OF THIS ROUTINE IS TO DETERMINE THE INDEX VALUE    *
000500* OF A PARTICULAR ENTRY IN THE MMSR FILE BASED ON THE OCCURRENCE *
000600* ID IN THE MMSR-TOTALS    TABLE.                                *
000700* TO USE THIS ROUTINE..........................................  *
000800* 1. MMSRRL AND MMSRWS MUST BE COPIED INTO YOUR PROGRAM.         *
000900* 2. MOVE A VALID OCCURRENCE-ID (3 BYTE FIELD CODE) TO THE FIELD *
001000*    MMSRWS-OID-SEARCH.                                          *
001100*    VALID VALUES ARE: JAN, FEB, MAR, APR, MAY, JUN,             *
001200*                      JUL, AUG, SEP, OCT, NOV, DEC,             *
001300*                      CUR, MTD, YTD, CTD, DTD, AND PTD.         *
001400* 3. PERFORM MMSRPX-FIND-OCCURRENCE THRU MMSRPX-FO-EXIT.         *
001500* 4. THE FIELD MMSRWS-OID-INDEX IS THE RETURN VALUE PASSED       *
001600*    BACK FROM THIS ROUTINE AND WILL CONTAIN THE INDEX VALUE     *
001700*    FOR ANY OF THE ABOVE DEFINED OCCURRENCE-ID'S.  IF ZERO IS   *
001800*    RETURNED, THE OCCURRENCE IN THE MMSR-STATS-OCCUR-TABLE YOU  *
001900*    ARE SEARCHING FOR DOES NOT EXIST, OR AN INVALID OCCURRENCE  *
002000*    ID WAS PASSED AS A SEARCH PARAMETER.                        *
002100*                                                                *
002200******************************************************************
002300     SET X-MMSR-SEARCH           TO 1.
002400     SEARCH MMSR-STATS-OCCUR-TABLE    VARYING X-MMSR-SEARCH
002500         AT END
002600             MOVE ZERO           TO MMSRWS-OID-INDEX
002700         WHEN MMSRWS-OID-SEARCH IS EQUAL TO
002800              MMSR-OCCURRENCE-ID    (X-MMSR-SEARCH)
002900              SET MMSRWS-OID-INDEX
003000                                 TO X-MMSR-SEARCH.
003100*
003200 MMSRPX-FO-EXIT.
003300     EXIT.
003400/
003500 MMSRPX-INIT-RECORD.
003600******************************************************************
003700*                                                                *
003800* THE PURPOSE OF THIS ROUTINE IS TO INITIALIZE THE MMSRIR-RECORD*
003900* WITH THE CORRECT VALUES IN THE STATS TOTALS AREA.              *
004000* TO USE THIS ROUTINE..........................................  *
004100*                                                                *
004200* 1. MMSRWS AND MMSRIR0 MUST BE COPIED INTO YOUR PROGRAM.        *
004300* 2. SS01WS AND SS08PD MUST BE COPIED INTO YOUR PROGRAM.         *
004400* 3. MOVE A VALID DATE (IN JULIAN FORMAT) TO THE FIELD           *
004500*    MMSRIR-DATE.   THIS DATE WILL DETERMINE THE MONTH AND YEAR  *
004600*    VALUES IN THE ROLLING 12 MONTHS OCCURRENCES AND THE YEAR    *
004700*    IN THE YEAR-TO-DATE OCCURRENCE.                             *
004800* 4. PERFORM MMSRPX-INIT-RECORD THRU MMSRPX-IR-EXIT.             *
004900* 5. THE INITIALIZED RECORD WILL BE IN THE RECORD LAYOUT         *
005000*    REFERENCED BY THE DATA NAME MMSRIR-RECORD.                  *
005100*    YOU MAY MOVE MMSRIR-RECORD  TO ANOTHER AREA TO ESTABLISH    *
005200*    ANY KEY OR STATIC DATA ON THE RECORD.                       *
005300*                                                                *
005400******************************************************************
005500     MOVE MMSRIR-DATE            TO SS01WS-JULIAN.
005600     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
005700*
005800     IF  SS01WS-MM IS GREATER THAN 12
005900     OR  SS01WS-MM IS LESS THAN 1
006000         SET X-MMSRIR-OIT        TO 1
006100         MOVE 1                  TO SS01WS-YEAR
006200     ELSE
006300         SET X-MMSRIR-OIT        TO SS01WS-MM.
006400*
006500     MOVE SS01WS-YEAR            TO MMSRIR-OCCURRENCE-YEAR(15).
006600*
006700     SET X-MMSRIR-OIT            DOWN BY 1.
006800     SET X-MMSRIR                TO 1.
006900     PERFORM MMSRPX-INIT-OCCURRENCES
007000        THRU MMSRPX-IO-EXIT      12 TIMES.
007100*
007200     MOVE MMSRIR-CUR             TO MMSRIR-OCCURRENCE-ID    (13).
007300     MOVE MMSRIR-MTD             TO MMSRIR-OCCURRENCE-ID    (14).
007400     MOVE MMSRIR-YTD             TO MMSRIR-OCCURRENCE-ID    (15).
007500     MOVE MMSRIR-CTD             TO MMSRIR-OCCURRENCE-ID    (16).
007600     MOVE MMSRIR-DTD             TO MMSRIR-OCCURRENCE-ID    (17).
007700     MOVE MMSRIR-PTD             TO MMSRIR-OCCURRENCE-ID    (18).
007800*
007900 MMSRPX-IR-EXIT.
008000     EXIT.
008100/
008200 MMSRPX-INIT-OCCURRENCES.
008300     IF  X-MMSRIR-OIT  IS LESS THAN 1
008400         SET X-MMSRIR-OIT        TO 12
008500         SUBTRACT 1              FROM SS01WS-YEAR.
008600*
008700     MOVE MMSRIR-OIT  (X-MMSRIR-OIT)
008800                                 TO MMSRIR-OCCURRENCE-ID
008900                                    (X-MMSRIR).
009000     MOVE SS01WS-YEAR            TO MMSRIR-OCCURRENCE-YEAR
009100                                    (X-MMSRIR).
009200*
009300     SET X-MMSRIR-OIT            DOWN BY 1.
009400     SET X-MMSRIR                UP BY 1.
009500*
009600 MMSRPX-IO-EXIT.
009700     EXIT.
009800/
