000100******************************************************************
000200*    ROUTINE TO LOAD MONETARY TRANSACTION CONTROL RECORDS FOR A  *
000300*    PARTICULAR ORGANIZATION INTO A TABLE.                       *
000400******************************************************************
000500*                                                                *
000600*    TO USE THIS ROUTINE,                                        *
000700*                                                                *
000800*    1. FILE ACCESS FOR THE MMTC FILE MUST BE IN YOUR PROGRAM.   *
000900*    2. COPY BOOK MMTCTB MUST BE IN YOUR PROGRAM.                *
001000*    3. THE FILE "MMTC" MUST BE OPENED EITHER WITH SEQUENTIAL    *
001100*       ACCESS OR DYNAMIC ACCESS.                                *
001200*    4. PROVIDE THE ORGANIZATION NUMBER WHOSE "MMTC" RECORDS     *
001300*       WILL BE LOADED INTO THE TABLE SPECIFIED IN COPY BOOK     *
001400*       MMTCTB.   THE FIELD NAME FOR THE ORG NUMBER IS           *
001500*       MMTCTB-ORG.                                              *
001600*                                                                *
001700******************************************************************
001800 MMTCPX-LOAD-TRANSACTION-TABLE.
001900*
002000     MOVE SPACES                 TO MMTCTB-TABLE-DATA.
002100     MOVE LOW-VALUES             TO MMTCIO-KEY.
002200     MOVE MMTCTB-ORG             TO MMTCIO-ORG.
002300*
002400     MOVE 'TC1A'                 TO SS02WS-ABEND-LOCATION.
002500     SET MMTCRB-START-GTE        TO TRUE.
002600     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
002700*
002800     MOVE 'TC1B'                 TO SS02WS-ABEND-LOCATION.
002900     SET MMTCRB-READ-SEQ         TO TRUE.
003000     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
003100*
003200     PERFORM MMTCPX-READ-AND-LOAD
003300        THRU MMTCPX-RAL-EXIT
003400        UNTIL MMTCIO-ORG IS NOT EQUAL TO MMTCTB-ORG
003500          OR  MMTCIO-TRAILER.
003600*
003700 MMTCPX-LTT-EXIT.
003800     EXIT.
003900*
004000*
004100*
004200 MMTCPX-READ-AND-LOAD.
004300*
004400     MOVE MMTCIO-RECORD          TO MMTC-RECORD.
004500*
004600     IF  MMTC-HEADER
004700     OR  MMTC-REC-PURGED
004800         NEXT SENTENCE
004900     ELSE
005000         SET X-MMTCTB            TO MMTC-TXN-CODE
005100         MOVE MMTC-RECORD        TO MMTCTB-RECORD (X-MMTCTB).
005200*
005300     MOVE 'TC1C'                 TO SS02WS-ABEND-LOCATION.
005400     SET MMTCRB-READ-SEQ         TO TRUE.
005500     PERFORM MB00PD-MMTC-ACCESS  THRU MB00PD-MMTC-ACCESS-EXIT.
005600*
005700 MMTCPX-RAL-EXIT.
005800     EXIT.
