000100 MMTMAO-ACCESS.
000200******************************************************************
000300******************************************************************
000400******************************************************************
000500*   ACCESS ROUTINE FOR THE MMTM FILE........(ON-LINE VERSION)    *
000600*   THIS ROUTINE WILL CALL AN I-O MODULE WHICH WILL HANDLE       *
000700*   ALL THE I-O FOR THE MMTM FILE.                               *
000800*   OTHER COPY BOOKS WHICH CAN OR MUST BE IN YOUR PROGRAM.....   *
000900*   (WS) SS08WS ON-LINE WORK AREAS (REQUIRED)                    *
001000*   (WS) MBIOWS WORKING STORAGE AREAS FOR ALL FILES (REQUIRED)   *
001100*   (WS) MBIORO WORKING STORAGE REQUEST BLOCK AREAS              *
001200*        FOR ALL FILES (REQUIRED)                                *
001300*   (LS) MB60WS MBS COMMUNICATION AREA (REQUIRED)                *
001400*   (LS) MB61LK MBS FILE TABLE (REQUIRED)                        *
001500*        IN THE LINKAGE SECTION.                                 *
001600*   (LS) MMTMRL RECORD LAYOUT (REQUIRED)                         *
001700*        IN THE LINKAGE SECTION.                                 *
001800*   (PD) MB70PD GENERAL ON-LINE ROUTINES (REQUIRED)              *
001900******************************************************************
002000******************************************************************
002100******************************************************************
002200*                                                                *
002300*   TO USE THIS ROUTINE..........                                *
002400*                                                                *
002500* 1. HOUESKEEPING DUTIES.                                        *
002600*    A. BEFORE PERFORMING THIS ACCESS METHOD, MOVE A LITERAL     *
002700*       TO THE FIELD 'MBCA-PROGRAM-LOCATION'.  THIS FIELD        *
002800*       IS TO BE USED TO INDICATE WHERE THE ROUTINE IS BEING     *
002900*       PERFORMED 'FROM' IN CASE OF ABNORMAL TERMINATION.        *
003000*       (E.G. DEBUGGING ASSISTANCE)                              *
003100*    B. BEFORE PERFORMING THIS ACCESS METHOD,                    *
003200*       SET THE RETURN CODES WHICH YOU PERMANENTLY (FOR THE      *
003300*       DURATION OF THIS PROGRAM) WANT TO BE CONSIDERED TO BE    *
003400*       VALID IN THE FIELDS 'MBIORO-PERM-STATUS-1 TO -5'.        *
003500*       THESE FIELDS ARE INITIALIZED TO ZERO (AS ZERO IS ALWAYS  *
003600*       AN ACCEPTABLE RETURN CODE).  THE CALLED I-O ROUTINE WILL *
003700*       (IN ALL I-O REQUESTS) SUCCESSFULLY SATISFY YOUR PERFORM  *
003800*       REQUEST IF   A N Y   OF THE REQUESTS ENCOUNTER  A N Y    *
003900*       OF THE PERMANENT STATUS CODES 1-5.                       *
004000*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
004100*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
004200*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
004300*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
004400*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
004500*       (VALID RETURN).                                          *
004600*                                                                *
004700* 2. TO OBTAIN AN I-O REQUEST, SET ONE OF THE FOLLOWING REQUEST  *
004800*    NAMES TO 'TRUE'. DO THIS BY SETTING THE 88 LEVEL REQUEST    *
004900*    TO TRUE. EX.(SET MBIORO-READ-RANDOM TO TRUE).               *
005000*    A. REQUEST CODES.                                           *
005100*         01 = MBIORO-READ-SEQ.                                  *
005200*              READ THE NEXT SEQUENTIAL RECORD IN THE FILE.      *
005300*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
005400*              PRIOR TO USING THIS REQUEST.                      *
005500*         02 = MBIORO-READ-RANDOM.                               *
005600*              READ A RECORD IN THE FILE AT RANDOM.              *
005700*              TO USE THIS REQUEST, YOU MUST PROVIDE THE KEY     *
005800*              IN THE FIELD MBIOWS-MMTM-KEY.                     *
005900*         03 = MBIORO-WRITE.                                     *
006000*              WRITE A RECORD (THE RECORD MUST BE IN THE RL      *
006100*              COPYBOOK 01 LEVEL).                               *
006200*         04 = MBIORO-REWRITE.                                   *
006300*              REWRITE A RECORD (THE RECORD MUST BE IN THE RL    *
006400*              COPYBOOK 01 LEVEL).                               *
006500*         05 = MBIORO-STARTBR-GTE.                               *
006600*              STARTBR THE FILE WITH A KEY GREATER THAN OR EQUAL *
006700*              TO THE KEY WHICH IS IN THE WS AREA                *
006800*              (MBIOWS-MMTM-KEY).                                *
006900*         06 = MBIORO-STARTBR-EQUAL.                             *
007000*              STARTBR THE FILE WITH A KEY SPECIFICALLY EQUAL TO *
007100*              THE KEY SPECIFIED IN THE WS AREA                  *
007200*              (MBIOWS-MMTM-KEY).                                *
007300*      07-10 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
007400*         11 = MBIORO-GETMAIN.                                   *
007500*              DO A GETMAIN FOR THE RECORD AREA.                 *
007600*         12 = MBIORO-READ-RANDOM-UPDATE.                        *
007700*              READ A RECORD IN THE FILE AT RANDOM (WITH UPDATE) *
007800*              TO USE THIS REQUEST, YOU MUST PROVIDE THE KEY     *
007900*              IN THE FIELD MBIOWS-MMTM-KEY. THIS IS THE SAME AS *
008000*              REQUEST CODE 02, BUT WILL LOCK THE RECORD.  WHEN  *
008100*              USING THIS REQUEST, BE SURE TO REWRITE OR UNLOCK  *
008200*              THE RECORD IN SUBSEQUENT LOGIC IN YOUR PROGRAM.   *
008300*         13 = MBIORO-READ-PREV.                                 *
008400*              READ THE PREVIOUS SEQ RECORD IN THE FILE.         *
008500*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
008600*              PRIOR TO USING THIS REQUEST.                      *
008700*         14 = MBIORO-UNLOCK.                                    *
008800*              UNLOCK A RECORD WHICH WAS PREVIOUSLY READ FOR     *
008900*              UPDATE.                                           *
009000*         15 = MBIORO-ENDBR.                                     *
009100*              ENDBR THE FILE.                                   *
009200*              YOU MUST HAVE SUCCESSFULLY EXECUTED A STARTBR     *
009300*              PRIOR TO USING THIS REQUEST.                      *
009400*         16 = MBIORO-FREEMAIN.                                  *
009500*              DO A FREEMAIN FOR THE RECORD AREA.                *
009600*         17 = MBIORO-DELETE.                                    *
009700*              DELETE A RECORD (THE RECORD MUST BE IN THE RL     *
009800*              COPYBOOK 01 LEVEL).                               *
009900*         18 = MBIORO-DELETE-UPDATE.                             *
010000*              DELETE A RECORD (THE RECORD MUST HAVE BEEN READ   *
010100*              FOR UPDATE FIRST). THE RIDFLD OPTION IS NOT USED  *
010200*              FOR THIS DELETE FUNCTION.                         *
010300*      19-20 = INVALID REQUEST (AVAILABLE FOR FUTURE USE)        *
010400*    B. ALSO AVAILABLE TO YOU ARE TWO 'TEMPORARY' RETURN CODE    *
010500*       FIELDS 'MBIOWS-TEMP-STATUS-1 AND -2'. THESE TWO RETURN   *
010600*       CODES ARE TO BE USED ON A PER USE BASIS OF THIS ROUTINE. *
010700*       THESE TWO RETURN CODES ARE INITIALIZED TO ZERO AND ARE   *
010800*       BOTH RESET TO ZERO AFTER EACH USE OF THIS ROUTINE.       *
010900*       THE TEMPORARY RETURN CODE FIELDS ARE CHECKED FIRST AND   *
011000*       THEN THE PERMANENT RETURN CODES (MENTIONED ABOVE) WILL   *
011100*       BE CHECKED.                                              *
011200*       USE THE FIELDS IN COPY BOOK SS08WS BEGINNING WITH        *
011300*       'WS-CICS-FC' TO SET THE RETURN CODES.                    *
011400*       IF EIBRCODE IS RETURNED AS HEX '00' THE CALLED I-O       *
011500*       ROUTINE WILL CONSIDER EITHER A DISPLAY NUMERICS VALUE    *
011600*       OF '00' OR A  HEX VALUE OF '00' TO BE ONE IN THE SAME    *
011700*       (VALID RETURN).                                          *
011800*    C. PERFORM MMTMAO-ACCESS THRU MMTMAO-ACCESS-EXIT            *
011900*    D. YOU MUST HANDLE MANUALLY ANY RETURN CODE (EITHER TEMP    *
012000*       OR PERM) THAT YOU REQUESTED, AND IF NEEDED, YOUR OWN     *
012100*       ERROR ROUTINE HANDLING.                                  *
012200*                                                                *
012300******************************************************************
012400*
012500     MOVE LENGTH OF MMTM-RECORD  TO MBIORO-FIXED-LENGTH.
012600     MOVE MBIOWS-MMTM-GETMAIN-SW TO MBIORO-GETMAIN1-SW.
012700     SET MBIORO-FILE-MMTM        TO TRUE.
012800*
012900     IF  MBIORO-KEY-PROVIDED
013000         MOVE MBIOWS-MMTM-KEY    TO MBIORO-RECORD-KEY
013100     ELSE
013200         IF  MBIORO-IO-WRITE-REWRITE
013300             MOVE MMTM-KEY       TO MBIORO-RECORD-KEY.
013400*
013500     IF  MBIORO-GETMAIN1-COMPLETED
013600         SET MBIORO-POINTER1     TO ADDRESS OF MMTM-RECORD.
013700*
013800     MOVE SPACES                 TO MBCA-ERRR-EIBRCODE
013900                                    MBCA-WORK-TRANS-ID.
014000*
014100     CALL MBIOWS-IO-PROGRAM-NAME USING DFHEIBLK
014200                                       DFHCOMMAREA
014300                                       MBIORO-REQUEST-BLOCK.
014400*
014500     MOVE MBCA-ERRR-EIBRCODE     TO SS08WS-RTN-CODE.
014600*
014700     IF  MBIORO-IO-REQUEST-IS-INVALID
014800         MOVE MBCA-WORK-TRANS-ID TO SS08WS-WORK-TRANS-ID
014900         GO TO MB70PD-ERROR-ROUTINE.
015000*
015100     MOVE MBIORO-GETMAIN1-SW     TO MBIOWS-MMTM-GETMAIN-SW.
015200*
015300     IF  MBIORO-GETMAIN1-COMPLETED
015400         SET ADDRESS OF MMTM-RECORD
015500                                 TO MBIORO-POINTER1
015600         IF  MBIORO-STATUS-VALID
015700         AND MBIORO-READ-RECORD
015800             MOVE MMTM-KEY       TO MBIOWS-MMTM-KEY.
015900*
016000 MMTMAO-ACCESS-EXIT.
016100     EXIT.
016200*
016300*             ****************************************
016400*             *        END OF COPYBOOK MMTMAO        *
016500*             ****************************************
