000100******************************************************************
000200*                                                                *
000300*    ----------------MERCHANT BANKCARD SYSTEM--------------      *
000400*                                                                *
000500******************************************************************
000600******************************************************************
000700******************************************************************
000800*              FICHE FILE CONTROL CHARACTER ROUTINE              *
000900*                                                                *
001000*    A FICHE FILE DEFINED IN THE MBS SYSTEM IS DEFINED AS A FILE *
001100*    WHICH CONTAINS 133 BYTE RECORDS.  THE FIRST CHARACTER OF    *
001200*    THIS 133 BYTE RECORD IS CONSIDERED TO BE THE "CARRIAGE      *
001300*    CONTROL" CHARACTER.  THE NEXT 132 BYTES IS CONSIDERED TO BE *
001400*    THE DETAIL PRINT LINE.                                      *
001500*                                                                *
001600*    THIS SYSTEM PROVIDES 3 METHODS FOR THE CARRIAGE CONTROL     *
001700*    CHARACTER.  METHOD 1 USES ANSI DEFINED PRINTER CONTROL      *
001800*    CHARACTERS.  METHOD 2 (ALSO THE DEFAULT) USES IBM'S         *
001900*    3211/3811 "AFTER WRITE" HEX CONTROL CHARACTERS.  METHOD 3   *
002000*    USES A VALUE DEFINED BY THE MBS SYSTEM CALLED THE "ADVANCE  *
002100*    CODE".  THE ADVANCE CODE IS SIMPLY A "FLAG/SWITCH/INDICATOR"*
002200*    THAT STATES HOW MANY LINES TO SPACE AFTER A RECORD HAS BEEN *
002300*    WRITTEN ON THE PRINTER.                                     *
002400*                                                                *
002500*    SEE COPY BOOK MTFXWS FOR MORE INFORMATION ON HOW TO CONTROL *
002600*    WHICH CARRIAGE CONTROL CHARACTER IS USED BY YOUR OPERATION. *
002700*    ALSO, IF YOU DECIDE TO CHANGE WHICH CARRIAGE CONTROL        *
002800*    CHARACTER GOES IN THE FICHE FILE, YOU MUST MAKE A CODING    *
002900*    CHANGE TO THE MBFICHE SUBROUTINE TO SELECT THE CARRIAGE     *
003000*    CONTROL FORMAT.                                             *
003100*                                                                *
003200******************************************************************
003300******************************************************************
003400******************************************************************
003500*                                                                *
003600*    TO USE THIS ROUTINE..........                               *
003700*                                                                *
003800* 1. HOUESKEEPING DUTIES.                                        *
003900*    COPY BOOKS FOR THE :MTFX: FILE ACCESS MUST BE IN YOUR       *
004000*    PROGRAM.                                                    *
004100*    ALSO, COPY BOOK MB20WS MUST BE IN YOUR PROGRAM.             *
004200*    ALSO, COPY BOOK MB00WS MUST BE IN YOUR PROGRAM.             *
004300* 2. THE LINE TO BE PRINTED MUST BE IN :MTFX:IO-RECORD           *
004400*    AND THE MB20WS-ADVANCE-CODE MUST BE SET.                    *
004500* 3. PERFORM MTFXPX-:MTFX:-BUILD-CC-CHAR                         *
004600*       THRU MTFXPX-:MTFX:-BCCC-EXIT.                            *
004700* 4. THE CARRIAGE CONTROL CHARACTER WILL NOW RESIDE IN THE       *
004800*    FIRST BYTE (:MTFX:IO-CC) OF THE PRINT-LINE.                 *
004900*                                                                *
005000******************************************************************
005100******************************************************************
005200******************************************************************
005300*
005400 MTFXPX-:MTFX:-BUILD-CC-CHAR.
005500*
005600     IF  :MTFX:WS-PRT-CC-FLAG IS EQUAL TO ZERO
005700         CALL MB00WS-MBFICHE     USING :MTFX:WS-PRT-CC-FLAG.
005800*
005900*
006000     GO TO MTFXPX-:MTFX:-BCCC-OPTION-1
006100           MTFXPX-:MTFX:-BCCC-OPTION-2
006200           MTFXPX-:MTFX:-BCCC-OPTION-3
006300           DEPENDING ON :MTFX:WS-PRT-CC-FLAG.
006400*
006500 MTFXPX-:MTFX:-BCCC-OPTION-1.
006600*
006700     GO TO MTFXPX-:MTFX:-BCCC-O1-CONV-1
006800           MTFXPX-:MTFX:-BCCC-O1-CONV-2
006900           MTFXPX-:MTFX:-BCCC-O1-CONV-3
007000           MTFXPX-:MTFX:-BCCC-O1-CONV-1
007100           MTFXPX-:MTFX:-BCCC-O1-CONV-1
007200           MTFXPX-:MTFX:-BCCC-O1-CONV-1
007300           MTFXPX-:MTFX:-BCCC-O1-CONV-1
007400           MTFXPX-:MTFX:-BCCC-O1-CONV-1
007500           MTFXPX-:MTFX:-BCCC-O1-CONV-9
007600           DEPENDING ON MB20WS-ADVANCE-CODE.
007700*
007800 MTFXPX-:MTFX:-BCCC-O1-CONV-1.
007900*
008000     MOVE :MTFX:WS-ANSI-SPACE-1  TO :MTFX:IO-CC.
008100     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
008200*
008300 MTFXPX-:MTFX:-BCCC-O1-CONV-2.
008400*
008500     MOVE :MTFX:WS-ANSI-SPACE-2  TO :MTFX:IO-CC.
008600     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
008700*
008800 MTFXPX-:MTFX:-BCCC-O1-CONV-3.
008900*
009000     MOVE :MTFX:WS-ANSI-SPACE-3  TO :MTFX:IO-CC.
009100     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
009200*
009300 MTFXPX-:MTFX:-BCCC-O1-CONV-9.
009400*
009500     MOVE :MTFX:WS-ANSI-PAGE-EJECT TO :MTFX:IO-CC.
009600     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
009700*
009800 MTFXPX-:MTFX:-BCCC-OPTION-2.
009900*
010000     GO TO MTFXPX-:MTFX:-BCCC-O2-CONV-1
010100           MTFXPX-:MTFX:-BCCC-O2-CONV-2
010200           MTFXPX-:MTFX:-BCCC-O2-CONV-3
010300           MTFXPX-:MTFX:-BCCC-O2-CONV-1
010400           MTFXPX-:MTFX:-BCCC-O2-CONV-1
010500           MTFXPX-:MTFX:-BCCC-O2-CONV-1
010600           MTFXPX-:MTFX:-BCCC-O2-CONV-1
010700           MTFXPX-:MTFX:-BCCC-O2-CONV-1
010800           MTFXPX-:MTFX:-BCCC-O2-CONV-9
010900           DEPENDING ON MB20WS-ADVANCE-CODE.
011000*
011100 MTFXPX-:MTFX:-BCCC-O2-CONV-1.
011200*
011300     MOVE :MTFX:WS-IBM-SPACE-1   TO :MTFX:IO-CC.
011400     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
011500*
011600 MTFXPX-:MTFX:-BCCC-O2-CONV-2.
011700*
011800     MOVE :MTFX:WS-IBM-SPACE-2   TO :MTFX:IO-CC.
011900     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
012000*
012100 MTFXPX-:MTFX:-BCCC-O2-CONV-3.
012200*
012300     MOVE :MTFX:WS-IBM-SPACE-3   TO :MTFX:IO-CC.
012400     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
012500*
012600 MTFXPX-:MTFX:-BCCC-O2-CONV-9.
012700*
012800     MOVE :MTFX:WS-IBM-PAGE-EJECT TO :MTFX:IO-CC.
012900     GO TO MTFXPX-:MTFX:-BCCC-EXIT.
013000*
013100 MTFXPX-:MTFX:-BCCC-OPTION-3.
013200*
013300     MOVE MB20WS-ADVANCE-CODE    TO :MTFX:IO-CC.
013400*
013500 MTFXPX-:MTFX:-BCCC-EXIT.
013600     EXIT.
013700*
