000100 MTRFPX-BUILD-REPORT-TABLE.
000200******************************************************************
000300*                                                                *
000400*    BUILD REPORT TABLE ROUTINE................................  *
000500*                                                                *
000600*    THE PURPOSE OF THIS ROUTINE IS BUILD A REPORT TABLE AT THE  *
000700*    ORGANIZATION LEVEL FOR BOTH THE OPTIONAL AND USER REPORTS.  *
000800*    THE TABLE MAY THEN BE USED TO CHECK WHETHER OR NOT A        *
000900*    PARTICULAR REPORT IS TO BE PRODUCED, CHECKED FOR MULTIPLE   *
001000*    COPIES, AND PROVIDES THE MAJOR KEY (SORT KEY 1) FOR THE     *
001100*    REPORT FILE.                                                *
001200*                                                                *
001300* TO USE THIS ROUTINE..........................................  *
001400*                                                                *
001500* 1. COPY BOOK MTRFWS MUST BE IN THE WORKING STORAGE SECTION.    *
001600* 2. COPY BOOK MMOCRL MUST BE IN THE WORKING STORAGE SECTION     *
001700* 3. COPY BOOK SS01WS MUST BE IN THE WORKING STORAGE SECTION.    *
001800* 4. COPY BOOK SS03PD MUST BE IN THE PROCEDURE DIVISION.         *
001900*    (DAY-OF-WEEK ROUTINE)                                       *
002000* 5. COPY BOOK SS06PD MUST BE IN THE PROCEDURE DIVISION.         *
002100*    (FUTURE DATE ROUTINE)                                       *
002200* 6. COPY BOOK SS07PD MUST BE IN THE PROCEDURE DIVISION.         *
002300*    (GREG-TO-JUL ROUTINE)                                       *
002400* 7. COPY BOOK SS08PD MUST BE IN THE PROCEDURE DIVISION.         *
002500*    (JUL-TO-GREG ROUTINE)                                       *
002600* 8. AT AN ORG BREAK,                                            *
002700*    PERFORM MTRFPX-BUILD-REPORT-TABLE                           *
002800*       THRU MTRFPX-BRT-EXIT.                                    *
002900* 9. DEPENDING ON YOUR USAGE......                               *
003000*    A. THE AREA IN THE MTRFWS COPY BOOK "MTRFWS-OPT-RPT-TABLE"  *
003100*       CONTAINS 96 SORT KEY 1'S FOR BOTH REPORT FREQUENCY 1 AND *
003200*       REPORT FREQUENCY 2 FOR THE OPTIONAL REPORTS (IF ANY)     *
003300*       FOR THE REPORT FILE.                                     *
003400*       THE "88" LEVEL NAMES MTRFWS-ORT-F1-NOT-REQUESTED OR      *
003500*                            MTRFWS-ORT-F2-NOT-REQUESTED         *
003600*       INDICATE THAT A PARTICULAR REPORT (BY SETTING THE INDEX  *
003700*       TO THE REPORT NUMBER) IS TO   N O T   BE PRODUCED,       *
003800*       OTHERWISE THE REPORT IS TO BE PRODUCED.                  *
003900*    B. THE AREA IN THE MTRFWS COPY BOOK "MTRFWS-USER-RPT-TABLE" *
004000*       CONTAINS 24 SORT KEY 1'S FOR BOTH REPORT FREQUENCY 1 AND *
004100*       REPORT FREQUENCY 2 FOR THE USER REPORTS (IF ANY)         *
004200*       FOR THE REPORT FILE.                                     *
004300*       THE "88" LEVEL NAMES MTRFWS-URT-F1-NOT-REQUESTED OR      *
004400*                            MTRFWS-URT-F2-NOT-REQUESTED         *
004500*       INDICATE THAT A PARTICULAR REPORT (BY SETTING THE INDEX  *
004600*       TO THE REPORT NUMBER) IS TO   N O T   BE PRODUCED,       *
004700*       OTHERWISE THE REPORT IS TO BE PRODUCED.                  *
004800*                                                                *
004900******************************************************************
005000*
005100     MOVE ZERO                   TO MTRFWS-OPT-RPT-TABLE-AREA.
005200     MOVE ZERO                   TO MTRFWS-USER-RPT-TABLE-AREA.
005300*
005400     MOVE 'O'                    TO MTRFWS-K1-RPT-TYPE.
005500     PERFORM MTRFPX-BUILD-REPORT-KEY-1
005600        THRU MTRFPX-BRK1-EXIT
005700        VARYING MTRFWS-K1-RPT-NBR FROM 1 BY 1
005800          UNTIL MTRFWS-K1-RPT-NBR IS GREATER THAN 96.
005900*
006000*
006100*
006200     MOVE 'U'                    TO MTRFWS-K1-RPT-TYPE.
006300     PERFORM MTRFPX-BUILD-REPORT-KEY-1
006400        THRU MTRFPX-BRK1-EXIT
006500        VARYING MTRFWS-K1-RPT-NBR FROM 1 BY 1
006600          UNTIL MTRFWS-K1-RPT-NBR IS GREATER THAN 24.
006700*
006800*
006900*
007000 MTRFPX-BRT-EXIT.
007100     EXIT.
007200/
007300 MTRFPX-BUILD-REPORT-KEY-1.
007400*
007500     MOVE ZERO                   TO MTRFWS-FREQ1-KEY-1.
007600     MOVE ZERO                   TO MTRFWS-FREQ2-KEY-1.
007700*
007800     IF  MTRFWS-K1-RPT-OPTIONAL
007900         SET X-MTRFWS-ORT        TO MTRFWS-K1-RPT-NBR
008000         PERFORM MTRFPX-BRK1-OPT-FROM-ORG
008100            THRU MTRFPX-BRK1-OFO-EXIT
008200         MOVE MTRFWS-FREQ1-KEY-1
008300                                 TO MTRFWS-ORT-FREQ-1
008400                                    (X-MTRFWS-ORT)
008500         MOVE MTRFWS-FREQ2-KEY-1
008600                                 TO MTRFWS-ORT-FREQ-2
008700                                    (X-MTRFWS-ORT)
008800     ELSE
008900         SET X-MTRFWS-URT        TO MTRFWS-K1-RPT-NBR
009000         PERFORM MTRFPX-BRK1-USER-FROM-ORG
009100            THRU MTRFPX-BRK1-UFO-EXIT
009200         MOVE MTRFWS-FREQ1-KEY-1
009300                                 TO MTRFWS-URT-FREQ-1
009400                                    (X-MTRFWS-URT)
009500         MOVE MTRFWS-FREQ2-KEY-1
009600                                 TO MTRFWS-URT-FREQ-2
009700                                    (X-MTRFWS-URT).
009800*
009900     GO TO MTRFPX-BRK1-EXIT.
010000*
010100*
010200*
010300 MTRFPX-BRK1-OPT-FROM-ORG.
010400*
010500     SET X-MMOC-OR               TO MTRFWS-K1-RPT-NBR.
010600     MOVE 'N'                    TO MTRFWS-FREQ-FLAG.
010700*
010800     IF  MMOC-OR-F1-DAILY    (X-MMOC-OR)
010900         MOVE 'Y'                TO MTRFWS-FREQ-FLAG.
011000*
011100     IF  MMOC-OR-F1-DAY-OF-MONTH    (X-MMOC-OR)
011200         MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
011300                                 TO SS01WS-DAY-OF-MON
011400         MOVE MMOC-TODAYS-JULIAN
011500                                 TO SS01WS-JULIAN
011600         MOVE ZERO               TO SS01WS-FREQ
011700         MOVE 'M'                TO SS01WS-PERIOD
011800         PERFORM SS03PD-FUTURE-DATE
011900            THRU SS03PD-FD-EXIT
012000         IF  SS01WS-JULIAN IS GREATER THAN MMOC-DATE-LAST-ACCR    FX800004
012100         AND SS01WS-JULIAN IS NOT GREATER THAN
012200                                            MMOC-ACCR-THRU-DATE
012300             MOVE 'Y'            TO MTRFWS-FREQ-FLAG.
012400*
012500     IF  MMOC-OR-F1-DAY-OF-WEEK    (X-MMOC-OR)
012600         MOVE MMOC-TODAYS-JULIAN
012700                                 TO SS01WS-JULIAN
012800         MOVE MMOC-OR-FREQ-1    (X-MMOC-OR)
012900                                 TO MTRFWS-DOW-1
013000         PERFORM MTRFPX-DAY-OF-WEEK-CHECK
013100            THRU MTRFPX-DOWC-EXIT
013200            UNTIL SS01WS-JULIAN IS GREATER THAN
013300                                            MMOC-ACCR-THRU-DATE
013400               OR MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'.
013500*
013600     IF  MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'
013700         MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
013800                                 TO MTRFWS-F1K1-PRINT-FILE
013900         MOVE MMOC-OR-FORM-1    (X-MMOC-OR)
014000                                 TO MTRFWS-F1K1-FORM
014100         MOVE MMOC-ORG           TO MTRFWS-F1K1-ORG
014200         MOVE MMOC-OR-GROUP-1    (X-MMOC-OR)
014300                                 TO MTRFWS-F1K1-GROUP
014400         MOVE MTRFWS-K1-RPT-TYPE
014500                                 TO MTRFWS-F1K1-RPT-TYPE
014600         MOVE MTRFWS-K1-RPT-NBR TO MTRFWS-F1K1-RPT-NBR
014700         MOVE 1                  TO MTRFWS-F1K1-REC-TYPE
014800         MOVE MMOC-OR-SUMMARY-DETAIL-1    (X-MMOC-OR)
014900                                 TO MTRFWS-F1K1-SUMMARY-DETAIL.
015000*
015100*
015200*
015300     MOVE 'N'                    TO MTRFWS-FREQ-FLAG.
015400*
015500     IF  MMOC-OR-F2-DAILY    (X-MMOC-OR)
015600         MOVE 'Y'                TO MTRFWS-FREQ-FLAG.
015700*
015800     IF  MMOC-OR-F2-DAY-OF-MONTH    (X-MMOC-OR)
015900         MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
016000                                 TO SS01WS-DAY-OF-MON
016100         MOVE MMOC-TODAYS-JULIAN
016200                                 TO SS01WS-JULIAN
016300         MOVE ZERO               TO SS01WS-FREQ
016400         MOVE 'M'                TO SS01WS-PERIOD
016500         PERFORM SS03PD-FUTURE-DATE
016600            THRU SS03PD-FD-EXIT
016700         IF  SS01WS-JULIAN IS NOT LESS THAN MMOC-TODAYS-JULIAN
016800         AND SS01WS-JULIAN IS NOT GREATER THAN
016900                                            MMOC-ACCR-THRU-DATE
017000             MOVE 'Y'            TO MTRFWS-FREQ-FLAG.
017100*
017200     IF  MMOC-OR-F2-DAY-OF-WEEK    (X-MMOC-OR)
017300         MOVE MMOC-TODAYS-JULIAN
017400                                 TO SS01WS-JULIAN
017500         MOVE MMOC-OR-FREQ-2    (X-MMOC-OR)
017600                                 TO MTRFWS-DOW-1
017700         PERFORM MTRFPX-DAY-OF-WEEK-CHECK
017800            THRU MTRFPX-DOWC-EXIT
017900            UNTIL SS01WS-JULIAN IS GREATER THAN
018000                                            MMOC-ACCR-THRU-DATE
018100               OR MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'.
018200*
018300     IF  MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'
018400         MOVE MMOC-OR-PRINT-FILE    (X-MMOC-OR)
018500                                 TO MTRFWS-F2K1-PRINT-FILE
018600         MOVE MMOC-OR-FORM-2    (X-MMOC-OR)
018700                                 TO MTRFWS-F2K1-FORM
018800         MOVE MMOC-ORG           TO MTRFWS-F2K1-ORG
018900         MOVE MMOC-OR-GROUP-2    (X-MMOC-OR)
019000                                 TO MTRFWS-F2K1-GROUP
019100         MOVE MTRFWS-K1-RPT-TYPE
019200                                 TO MTRFWS-F2K1-RPT-TYPE
019300         MOVE MTRFWS-K1-RPT-NBR TO MTRFWS-F2K1-RPT-NBR
019400         MOVE 1                  TO MTRFWS-F2K1-REC-TYPE
019500         MOVE MMOC-OR-SUMMARY-DETAIL-2    (X-MMOC-OR)
019600                                 TO MTRFWS-F2K1-SUMMARY-DETAIL.
019700*
019800     MOVE MMOC-OR-RPT-TITLE    (X-MMOC-OR)
019900                                 TO MTRFWS-ORT-RPT-TITLE
020000                                    (X-MTRFWS-ORT).
020100     MOVE MMOC-OR-REPORT-ID    (X-MMOC-OR)
020200                                 TO MTRFWS-ORT-REPORT-ID
020300                                    (X-MTRFWS-ORT).
020400     MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
020500                                 TO MTRFWS-ORT-REPORT-DEST-ID
020600                                    (X-MTRFWS-ORT).
020700     MOVE MMOC-OR-ACTIVITY-FLAG    (X-MMOC-OR)
020800                                 TO MTRFWS-ORT-ACTIVITY-FLAG
020900                                    (X-MTRFWS-ORT).
021000     MOVE MMOC-OR-FICHE-FLAG    (X-MMOC-OR)
021100                                 TO MTRFWS-ORT-FICHE-FLAG
021200                                    (X-MTRFWS-ORT).
021300     MOVE MMOC-OR-REPORT-DEST-ID    (X-MMOC-OR)
021400                                 TO MTRFWS-DEST-ID.
021500     PERFORM MTRFPX-FIND-DEST-DESC
021600        THRU MTRFPX-FDD-EXIT.
021700     MOVE MTRFWS-DEST-DESC       TO MTRFWS-ORT-DEST-DESC
021800                                    (X-MTRFWS-ORT).
021900     MOVE MMSC-SCREEN-HEADER     TO MTRFWS-ORT-SYSTEM-NAME
022000                                    (X-MTRFWS-ORT).
022100     MOVE MMOC-NA-LINE (1 1)     TO MTRFWS-ORT-ORG-NAME
022200                                    (X-MTRFWS-ORT).
022300     MOVE MMOC-TODAYS-JULIAN     TO MTRFWS-ORT-FILE-DATE
022400                                    (X-MTRFWS-ORT).
022500     MOVE MMOC-LINES-PER-PAGE    TO MTRFWS-ORT-LINES-PER-PAGE
022600                                    (X-MTRFWS-ORT).
022700     MOVE MMOC-CURRENCY-CODE     TO MTRFWS-ORT-CURRENCY-CODE
022800                                    (X-MTRFWS-ORT).
022900     MOVE MMOC-CURRENCY-NOD      TO MTRFWS-ORT-CURRENCY-NOD
023000                                    (X-MTRFWS-ORT).
023100     MOVE MMOC-PER-ITEM-NOD      TO MTRFWS-ORT-PER-ITEM-NOD
023200                                    (X-MTRFWS-ORT).
023300     MOVE MMOC-PERCENT-NOD       TO MTRFWS-ORT-PERCENT-NOD
023400                                    (X-MTRFWS-ORT).
023500     MOVE MMSC-DATE-FORMAT       TO MTRFWS-ORT-DATE-FORMAT
023600                                    (X-MTRFWS-ORT).
023700*
023800 MTRFPX-BRK1-OFO-EXIT.
023900     EXIT.
024000*
024100*
024200*
024300 MTRFPX-BRK1-USER-FROM-ORG.
024400*
024500     SET X-MMOC-UR               TO MTRFWS-K1-RPT-NBR.
024600     MOVE 'N'                    TO MTRFWS-FREQ-FLAG.
024700*
024800     IF  MMOC-UR-F1-DAILY    (X-MMOC-UR)
024900         MOVE 'Y'                TO MTRFWS-FREQ-FLAG.
025000*
025100     IF  MMOC-UR-F1-DAY-OF-MONTH    (X-MMOC-UR)
025200         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
025300                                 TO SS01WS-DAY-OF-MON
025400         MOVE MMOC-TODAYS-JULIAN
025500                                 TO SS01WS-JULIAN
025600         MOVE ZERO               TO SS01WS-FREQ
025700         MOVE 'M'                TO SS01WS-PERIOD
025800         PERFORM SS03PD-FUTURE-DATE
025900            THRU SS03PD-FD-EXIT
026000         IF  SS01WS-JULIAN IS NOT LESS THAN MMOC-TODAYS-JULIAN
026100         AND SS01WS-JULIAN IS NOT GREATER THAN
026200                                            MMOC-ACCR-THRU-DATE
026300             MOVE 'Y'            TO MTRFWS-FREQ-FLAG.
026400*
026500     IF  MMOC-UR-F1-DAY-OF-WEEK    (X-MMOC-UR)
026600         MOVE MMOC-TODAYS-JULIAN
026700                                 TO SS01WS-JULIAN
026800         MOVE MMOC-UR-FREQ-1    (X-MMOC-UR)
026900                                 TO MTRFWS-DOW-1
027000         PERFORM MTRFPX-DAY-OF-WEEK-CHECK
027100            THRU MTRFPX-DOWC-EXIT
027200            UNTIL SS01WS-JULIAN IS GREATER THAN
027300                                            MMOC-ACCR-THRU-DATE
027400               OR MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'.
027500*
027600     IF  MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'
027700         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
027800                                 TO MTRFWS-F1K1-PRINT-FILE
027900         MOVE MMOC-UR-FORM-1    (X-MMOC-UR)
028000                                 TO MTRFWS-F1K1-FORM
028100         MOVE MMOC-ORG           TO MTRFWS-F1K1-ORG
028200         MOVE MMOC-UR-GROUP-1    (X-MMOC-UR)
028300                                 TO MTRFWS-F1K1-GROUP
028400         MOVE MTRFWS-K1-RPT-TYPE
028500                                 TO MTRFWS-F1K1-RPT-TYPE
028600         MOVE MTRFWS-K1-RPT-NBR TO MTRFWS-F1K1-RPT-NBR
028700         MOVE 1                  TO MTRFWS-F1K1-REC-TYPE
028800         MOVE MMOC-UR-SUMMARY-DETAIL-1    (X-MMOC-UR)
028900                                 TO MTRFWS-F1K1-SUMMARY-DETAIL.
029000*
029100*
029200*
029300     MOVE 'N'                    TO MTRFWS-FREQ-FLAG.
029400*
029500     IF  MMOC-UR-F2-DAILY    (X-MMOC-UR)
029600         MOVE 'Y'                TO MTRFWS-FREQ-FLAG.
029700*
029800     IF  MMOC-UR-F2-DAY-OF-MONTH    (X-MMOC-UR)
029900         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
030000                                 TO SS01WS-DAY-OF-MON
030100         MOVE MMOC-TODAYS-JULIAN
030200                                 TO SS01WS-JULIAN
030300         MOVE ZERO               TO SS01WS-FREQ
030400         MOVE 'M'                TO SS01WS-PERIOD
030500         PERFORM SS03PD-FUTURE-DATE
030600            THRU SS03PD-FD-EXIT
030700         IF  SS01WS-JULIAN IS NOT LESS THAN MMOC-TODAYS-JULIAN
030800         AND SS01WS-JULIAN IS NOT GREATER THAN
030900                                            MMOC-ACCR-THRU-DATE
031000             MOVE 'Y'            TO MTRFWS-FREQ-FLAG.
031100*
031200     IF  MMOC-UR-F2-DAY-OF-WEEK    (X-MMOC-UR)
031300         MOVE MMOC-TODAYS-JULIAN
031400                                 TO SS01WS-JULIAN
031500         MOVE MMOC-UR-FREQ-2    (X-MMOC-UR)
031600                                 TO MTRFWS-DOW-1
031700         PERFORM MTRFPX-DAY-OF-WEEK-CHECK
031800            THRU MTRFPX-DOWC-EXIT
031900            UNTIL SS01WS-JULIAN IS GREATER THAN
032000                                            MMOC-ACCR-THRU-DATE
032100               OR MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'.
032200*
032300     IF  MTRFWS-FREQ-FLAG IS EQUAL TO 'Y'
032400         MOVE MMOC-UR-PRINT-FILE    (X-MMOC-UR)
032500                                 TO MTRFWS-F2K1-PRINT-FILE
032600         MOVE MMOC-UR-FORM-2    (X-MMOC-UR)
032700                                 TO MTRFWS-F2K1-FORM
032800         MOVE MMOC-ORG           TO MTRFWS-F2K1-ORG
032900         MOVE MMOC-UR-GROUP-2    (X-MMOC-UR)
033000                                 TO MTRFWS-F2K1-GROUP
033100         MOVE MTRFWS-K1-RPT-TYPE
033200                                 TO MTRFWS-F2K1-RPT-TYPE
033300         MOVE MTRFWS-K1-RPT-NBR TO MTRFWS-F2K1-RPT-NBR
033400         MOVE 1                  TO MTRFWS-F2K1-REC-TYPE
033500         MOVE MMOC-UR-SUMMARY-DETAIL-2    (X-MMOC-UR)
033600                                 TO MTRFWS-F2K1-SUMMARY-DETAIL.
033700*
033800     MOVE MMOC-UR-RPT-TITLE    (X-MMOC-UR)
033900                                 TO MTRFWS-URT-RPT-TITLE
034000                                    (X-MTRFWS-URT).
034100     MOVE MMOC-UR-REPORT-ID    (X-MMOC-UR)
034200                                 TO MTRFWS-URT-REPORT-ID
034300                                    (X-MTRFWS-URT).
034400     MOVE MMOC-UR-REPORT-DEST-ID    (X-MMOC-UR)
034500                                 TO MTRFWS-URT-REPORT-DEST-ID
034600                                    (X-MTRFWS-URT).
034700     MOVE MMOC-UR-ACTIVITY-FLAG    (X-MMOC-UR)
034800                                 TO MTRFWS-URT-ACTIVITY-FLAG
034900                                    (X-MTRFWS-URT).
035000     MOVE MMOC-UR-FICHE-FLAG    (X-MMOC-UR)
035100                                 TO MTRFWS-URT-FICHE-FLAG
035200                                    (X-MTRFWS-URT).
035300     MOVE MMOC-UR-REPORT-DEST-ID    (X-MMOC-UR)
035400                                 TO MTRFWS-DEST-ID.
035500     PERFORM MTRFPX-FIND-DEST-DESC
035600        THRU MTRFPX-FDD-EXIT.
035700     MOVE MTRFWS-DEST-DESC       TO MTRFWS-URT-DEST-DESC
035800                                    (X-MTRFWS-URT).
035900     MOVE MMSC-SCREEN-HEADER     TO MTRFWS-URT-SYSTEM-NAME
036000                                    (X-MTRFWS-URT).
036100     MOVE MMOC-NA-LINE (1 1)     TO MTRFWS-URT-ORG-NAME
036200                                    (X-MTRFWS-URT).
036300     MOVE MMOC-TODAYS-JULIAN     TO MTRFWS-URT-FILE-DATE
036400                                    (X-MTRFWS-URT).
036500     MOVE MMOC-LINES-PER-PAGE    TO MTRFWS-URT-LINES-PER-PAGE
036600                                    (X-MTRFWS-URT).
036700     MOVE MMOC-CURRENCY-CODE     TO MTRFWS-URT-CURRENCY-CODE
036800                                    (X-MTRFWS-URT).
036900     MOVE MMOC-CURRENCY-NOD      TO MTRFWS-URT-CURRENCY-NOD
037000                                    (X-MTRFWS-URT).
037100     MOVE MMOC-PER-ITEM-NOD      TO MTRFWS-URT-PER-ITEM-NOD
037200                                    (X-MTRFWS-URT).
037300     MOVE MMOC-PERCENT-NOD       TO MTRFWS-URT-PERCENT-NOD
037400                                    (X-MTRFWS-URT).
037500     MOVE MMSC-DATE-FORMAT       TO MTRFWS-URT-DATE-FORMAT
037600                                    (X-MTRFWS-URT).
037700*
037800 MTRFPX-BRK1-UFO-EXIT.
037900     EXIT.
038000*
038100*
038200*
038300 MTRFPX-DAY-OF-WEEK-CHECK.
038400*
038500     PERFORM SS06PD-DAY-OF-WEEK
038600        THRU SS06PD-DOW-EXIT.
038700*
038800     COMPUTE MTRFWS-DOW-2        =  SS01WS-DOW + 41.
038900*
039000     IF  MTRFWS-DOW-1 IS EQUAL TO MTRFWS-DOW-2
039100         MOVE 'Y'                TO MTRFWS-FREQ-FLAG.
039200*
039300     MOVE 1                      TO SS01WS-FREQ.
039400     MOVE 'D'                    TO SS01WS-PERIOD.
039500*
039600     PERFORM SS03PD-FUTURE-DATE
039700        THRU SS03PD-FD-EXIT.
039800*
039900 MTRFPX-DOWC-EXIT.
040000     EXIT.
040100*
040200*
040300*
040400 MTRFPX-FIND-DEST-DESC.
040500*
040600     SET X-MMOC-RDEST            TO 1.
040700     SEARCH MMOC-REPORT-DESTINATION    VARYING X-MMOC-RDEST
040800         AT END
040900             MOVE SPACES         TO MTRFWS-DEST-DESC
041000         WHEN MMOC-REPORT-DEST-ID    (X-MMOC-RDEST)
041100                                 IS EQUAL TO MTRFWS-DEST-ID
041200              MOVE MMOC-REPORT-DEST-DESC    (X-MMOC-RDEST)
041300                                 TO MTRFWS-DEST-DESC.
041400*
041500 MTRFPX-FDD-EXIT.
041600     EXIT.
041700*
041800*
041900*
042000 MTRFPX-BRK1-EXIT.
042100     EXIT.
