000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM08.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMM08 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
000800*                SCREEN 08                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAM                                       *
001200*                 B. MBMM                                       *
001300*                 C. MBQM                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMM08 (SCREEN 08)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMMM (MERCHANT MASTER FILE)                *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMOC (ORGANIZATION FILE)                   *
002000*                 D. MMXR (STORE MERCH XREF FILE)               *
002100*                 E. MMSM (STORE MASTER FILE)                   *
002200*                 F. MML1 (LOG FILE)                            * EH800900
002210*                 G. MMMP (MERCHANT PROD ASSIGNMENTS FILE)      * EH800900
002300*                                                               *
002400*****************************************************************
002500*
002600 ENVIRONMENT DIVISION.
002700*
002800 DATA DIVISION.
002900*
003000 WORKING-STORAGE SECTION.
003100*
003200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003300*
003400 01  FILLER                  PIC  X(14)      VALUE
003500     'MISCELLANEOUS:'.
003600*
003700 01  WS-MISCELLANEOUS.
003800     03  WS-FIELD-POSITION   PIC  9(03)      VALUE ZEROES.
003900*
004000 01  FILLER                  PIC  X(17)      VALUE
004100     'PROGRAM SWITCHES:'.
004200*
004300 01  WS-PROGRAM-SWITCHES.
004400     03  WS-BLOCK-CODE-ERROR-SW
004500                             PIC  X(01)      VALUE 'N'.
004600         88  BLOCK-CODE-IS-IN-ERROR          VALUE 'Y'.
004700         88  BLOCK-CODE-IS-VALID             VALUE 'N'.
004800     03  WS-VISIT-ERROR-SW   PIC  X(01)      VALUE 'N'.
004900         88  VISIT-ERRORS-EXIST              VALUE 'Y'.
005000         88  NO-VISIT-ERRORS-EXIST           VALUE 'N'.
005100     03  WS-VISIT-DATE-CALCULATED-SW
005200                             PIC  X(01)      VALUE 'N'.
005300         88  VISIT-DATE-WAS-CALCULATED       VALUE 'Y'.
005400         88  VISIT-DATE-NOT-CALCULATED       VALUE 'N'.
005500     03  WS-REVIEW-ERROR-SW  PIC  X(01)      VALUE 'N'.
005600         88  REVIEW-ERRORS-EXIST             VALUE 'Y'.
005700         88  NO-REVIEW-ERRORS-EXIST          VALUE 'N'.
005800     03  WS-REVIEW-DATE-CALCULATED-SW
005900                             PIC  X(01)      VALUE 'N'.
006000         88  REVIEW-DATE-WAS-CALCULATED      VALUE 'Y'.
006100         88  REVIEW-DATE-NOT-CALCULATED      VALUE 'N'.
006200     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
006300         88  WS-UPDATE-SW-YES                VALUE 'Y'.
006400         88  WS-UPDATE-SW-NO                 VALUE 'N'.
006500     03  WS-STORE-UPDATE-SW  PIC  X(01)      VALUE 'N'.
006600         88  WS-STORE-UPDATE-SW-YES          VALUE 'Y'.
006700         88  WS-STORE-UPDATE-SW-NO           VALUE 'N'.
006800     03  WS-NEXT-REVIEW-SW   PIC  X(01)      VALUE 'N'.
006900         88  WS-NEXT-REVIEW-UPDATE           VALUE 'Y'.
007000     03  WS-NEXT-VISIT-SW    PIC  X(01)      VALUE 'N'.
007100         88  WS-NEXT-VISIT-UPDATE            VALUE 'Y'.
007200     03  WS-INDEX-X.
007300         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
007400     03  TS-QUEUE-NAME.
007500         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
007600         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
007700/
007800 01  FILLER                  PIC  X(29)      VALUE
007900     'I/O REQUEST BLOCK WORK AREAS:'.
008000*
008100     COPY MBIOWS.
008200/
008300 01  FILLER                  PIC  X(18)      VALUE
008400     'I/O REQUEST BLOCK:'.
008500*
008600     COPY MBIORO.
008700/
008800 01  FILLER                  PIC  X(25)      VALUE
008900     'LOG RECORD REQUEST BLOCK:'.
009000*
009100     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
009200/
009300 01  FILLER                  PIC  X(29)      VALUE
009400     'MERCHANT MASTER FIELDS TABLE:'.
009500*
009600     COPY MMMMTB.
009700/
009800 01  FILLER                  PIC  X(35)      VALUE
009900     'MERCHANT MASTER INITIALIZER RECORD:'.
010000*
010100     COPY MMMMIR.
010101*                                                                 EH800900
010110/         MERCHANT PRODUCT INIT RECORD                            EH800900
010120     COPY MMMPIR.                                                 EH800900
010200/
010300 01  FILLER                  PIC  X(20)      VALUE
010400     'CCS DATE WORK AREAS:'.
010500*
010600     COPY SS01WS.
010700/
010800 01  FILLER                  PIC  X(15)      VALUE
010900     'CCS WORK AREAS:'.
011000*
011100     COPY SS08WS.
011200/
011300     COPY SS00WS.
011400/
011500     COPY SMFTWS.
011600/
011700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
011800/
011900     COPY MB61LK.
012000/
012100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
012200/
012300 LINKAGE SECTION.
012400*
012500 01  DFHCOMMAREA.
012600*
012700     COPY MB60WS.
012800/
012900*****************************
013000*    MERCHANT MASTER MAP    *
013100*****************************
013200*
013300     COPY MBMM08.
013400/
013500******************************************
013600*    MERCHANT MASTER MAP REDEFINITION    *
013700******************************************
013800*
013900     COPY MBMM08R.
014000/
014100****************************************
014200*    MERCHANT MASTER  RECORD LAYOUT    *
014300****************************************
014400*
014500     COPY MMMMRL.
014600/
014700**************************************
014800*    FIELD SECURITY RECORD LAYOUT    *
014900**************************************
015000*
015100     COPY MMFSRL.
015200/
015300************************************
015400*    ORGANIZATION RECORD LAYOUT    *
015500************************************
015600*
015700     COPY MMOCRL.
015800/
015900**************************************
016000*    STORE MERCH XREF RECORD LAYOUT  *
016100**************************************
016200*
016300     COPY MMXRRL.
016400/
016500***************************************
016600*    STORE MASTER RECORD LAYOUT       *
016700***************************************
016800*
016900     COPY MMSMRL.
017000/
017100***************************
017200*    LOG RECORD LAYOUT    *
017300***************************
017400*
017500     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
017510/                                                                 EH800900
017520*********************************************                     EH800900
017530*    MERCHANT PROD ASSIGNMENT RECORD LAYOUT *                     EH800900
017540*********************************************                     EH800900
017550*                                                                 EH800900
017560     COPY MMMPRL.                                                 EH800900
017600/
017700***************************************
017800*    USER INPUT TEMP STORAGE RECORD   *
017900***************************************
018000*
018100     COPY MBUITS.
018200/
018300 PROCEDURE DIVISION.
018400*
018500 A000-HOUSEKEEPING SECTION.
018600*
018700 A020-INIT.
018800*
018900     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
019000     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
019100                                 THRU MB70PD-OLH-EXIT.
019200*
019300     IF  MBCA-MBUI-UI-YES
019400         NEXT SENTENCE
019500     ELSE
019600         SET MBCA-MBUI-UI-NO     TO TRUE.
019700*
019800     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
019900*
020000     IF  MBCA-RECEIVE-SCREEN
020100         GO TO C000-RECEIVE-SCREEN.
020200/
020300 B000-SEND-SCREEN SECTION.
020400*
020500*********************************************
020600*    GET CICS STORAGE NEEDED FOR THE MAP    *
020700*********************************************
020800*
020900     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
021000     PERFORM MB60PD-GETMAIN-FOR-MAP
021100                                 THRU MB60PD-GFM-EXIT.
021200*
021300*******************************************
021400*    INITIALIZE THE STANDARD MAP LINES    *
021500*******************************************
021600*
021700     PERFORM MB60PD-INIT-STD-MAP-LINES
021800                                 THRU MB60PD-ISML-EXIT.
021900*
022000**************************************
022100*    READ THE ORGANIZATION RECORD    *
022200**************************************
022300*
022400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
022500     SET MBIORO-READ-RANDOM      TO TRUE.
022600     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
022700     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
022800*
022900*****************************************
023000*    READ THE MERCHANT MASTER RECORD    *
023100*    FOR SUBSEQUENT DISPLAY             *
023200*****************************************
023300*
023400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
023500                                    MM08-ORG.
023600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
023700                                    MM08-MERCHANT.
023800     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
023900     SET MBIORO-READ-RANDOM      TO TRUE.
024000     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
024100*
024200*********************************************
024300*    MOVE THE PRIMARY NAME TO THE SCREEN    *
024400*********************************************
024500*
024600     MOVE MMMM-NA-LINE (1 1)     TO MM08-MERCHANT-NAME.
024700*
024800****************************************
024900*    READ THE FIELD SECURITY RECORD    *
025000****************************************
025100*
025200     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
025300     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
025400*
025500 B020-MOVE-FIELDS-TO-SCREEN.
025600*
025700*****************************************
025800*    MOVE THE MERCHANT MASTER FIELDS    *
025900*    FROM THE RECORD TO THE SCREEN      *
026000*****************************************
026100*
026200     MOVE DFHBMASK               TO MM08-NEXT-VISIT-A
026300                                    MM08-NEXT-REVIEW-A.
026400*
026500     PERFORM Y010-MOVE-AGENT
026600        THRU Y019-EXIT.
026700     PERFORM Y030-MOVE-BRANCH
026800        THRU Y039-EXIT.
026900     PERFORM Y050-MOVE-BLOCK-CODE
027000        THRU Y059-EXIT.
027100     PERFORM Y070-MOVE-OFFICER
027200        THRU Y079-EXIT.
027300     PERFORM Y090-MOVE-REFUSAL-IND
027400        THRU Y099-EXIT.
027500     PERFORM Y110-MOVE-TAXPAYER-ID
027600        THRU Y119-EXIT.
027700     PERFORM Y130-MOVE-TAXID-IND
027800        THRU Y139-EXIT.
027900     PERFORM Y150-MOVE-INCORP-STATUS
028000        THRU Y159-EXIT.
028100     PERFORM Y170-MOVE-MINORITY-CODE
028200        THRU Y179-EXIT.
028300     PERFORM Y190-MOVE-WOMAN-OWNED
028400        THRU Y199-EXIT.
028500     PERFORM Y210-MOVE-DB-NBR
028600        THRU Y219-EXIT.
028700     PERFORM Y230-MOVE-CORP-LEGAL-NAME
028800        THRU Y239-EXIT.
028900     PERFORM Y250-MOVE-CONTACT
029000        THRU Y259-EXIT.
029100     PERFORM Y270-MOVE-CONTACT-PHONE
029200        THRU Y279-EXIT.
029300     PERFORM Y290-MOVE-CONTACT-FAX
029400        THRU Y299-EXIT.
029500     PERFORM Y310-MOVE-CUSTOMER
029600        THRU Y319-EXIT.
029700     PERFORM Y330-MOVE-CUSTOMER-PHONE
029800        THRU Y339-EXIT.
029900     PERFORM Y350-MOVE-CUSTOMER-FAX
030000        THRU Y359-EXIT.
030100     PERFORM Y370-MOVE-SOLE-PROP-LAST
030200        THRU Y379-EXIT.
030300     PERFORM Y390-MOVE-SOLE-PROP-FIRST
030400        THRU Y399-EXIT.
030500     PERFORM Y410-MOVE-SOLE-PROP-INIT
030600        THRU Y419-EXIT.
030610     PERFORM Y420-MOVE-URL-EMAIL                                  RG802901
030620        THRU Y429-EXIT.                                           RG802901
030700     PERFORM Y430-MOVE-VISIT-REP-OPER
030800        THRU Y439-EXIT.
030900     PERFORM Y450-MOVE-VISIT-REP-NAME
031000        THRU Y459-EXIT.
031100     PERFORM Y470-MOVE-VISIT-FREQ
031200        THRU Y479-EXIT.
031300     PERFORM Y490-MOVE-DATE-LAST-VISIT
031400        THRU Y499-EXIT.
031500     PERFORM Y510-MOVE-DATE-NEXT-VISIT
031600        THRU Y519-EXIT.
031700     PERFORM Y530-MOVE-REVIEW-REP-OPER
031800        THRU Y539-EXIT.
031900     PERFORM Y550-MOVE-REVIEW-REP-NAME
032000        THRU Y559-EXIT.
032100     PERFORM Y570-MOVE-REVIEW-FREQ
032200        THRU Y579-EXIT.
032300     PERFORM Y590-MOVE-DATE-LAST-REVIEW
032400        THRU Y599-EXIT.
032500     PERFORM Y610-MOVE-DATE-NEXT-REVIEW
032600        THRU Y619-EXIT.
032700*
032800******************************************
032900*    SET THE CURSOR AND SCREEN NUMBER    *
033000******************************************
033100*
033200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
033300         MOVE SS08WS-CURSOR      TO MM08-ALT-TRANID-L
033400     ELSE
033500         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
033600*
033700     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
033800*
033900**********************
034000*    SEND THE MAP    *
034100**********************
034200*
034300     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
034400     PERFORM MB60PD-SEND-MAP-WITH-ERASE
034500                                 THRU MB60PD-SMWE-EXIT.
034600*
034700************************
034800*    RETURN TO CICS    *
034900************************
035000*
035100     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
035200     PERFORM MB70PD-RETURN-TRANS-ID
035300                                 THRU MB70PD-RTI-EXIT.
035400/
035500 C000-RECEIVE-SCREEN SECTION.
035600*
035700******************************************
035800*    THIS SECTION RECEIVES THE SCREEN    *
035900******************************************
036000*
036100     IF  MBCA-MBUI-UI-YES
036200*
036300****************************************************************
036400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
036500****************************************************************
036600*
036700         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
036800         EXEC CICS GETMAIN
036900                   FLENGTH (LENGTH  OF MBUITS-RECORD)
037000
037100                   SET     (ADDRESS OF MBUITS-RECORD)
037200
037300              END-EXEC
037400*
037500***********************************************
037600*    READ THE TEMP STORAGE RECORD             *
037700***********************************************
037800*
037900         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
038000*
038100         EXEC CICS READQ TS
038200                   QUEUE   (TS-QUEUE-NAME)
038300                   INTO    (MBUITS-RECORD)
038400                   LENGTH  (LENGTH  OF MBUITS-RECORD)
038500                   ITEM    (1)
038600              END-EXEC
038700*
038800***********************************************
038900*    DELETE THE TEMP STORAGE RECORD           *
039000***********************************************
039100*
039200         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
039300*
039400         EXEC CICS IGNORE CONDITION
039500                   QIDERR
039600              END-EXEC
039700*
039800         EXEC CICS DELETEQ TS
039900                   QUEUE  (TS-QUEUE-NAME)
040000              END-EXEC
040100         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
040200         PERFORM MB60PD-GETMAIN-FOR-MAP
040300                                 THRU MB60PD-GFM-EXIT
040400         MOVE MBUITS-VAR-DATA    TO MBMM08I
040500     ELSE
040600         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
040700         PERFORM MB60PD-RECEIVE-MAP
040800                                 THRU MB60PD-RM-EXIT.
040900*
041000**************************************************************
041100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
041200**************************************************************
041300*
041400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
041500     PERFORM MB60PD-NEW-TRANS-ROUTINE
041600                                 THRU MB60PD-NTR-EXIT.
041700*
041800****************************************************
041900*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
042000****************************************************
042100*
042200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
042300         GO TO F000-SETUP-COMMAREA.
042400*
042500**************************************
042600*    READ THE ORGANIZATION RECORD    *
042700**************************************
042800*
042900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
043000     SET MBIORO-READ-RANDOM      TO TRUE.
043100     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
043200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
043300*
043400*****************************************
043500*    READ THE MERCHANT MASTER RECORD    *
043600*****************************************
043700*
043800     IF  MBCA-PTI-FUNCTION-IS-ADD
043900     AND MBCA-MBUI-UI-YES
044000     AND MBCA-MBUI-UI-UPDATE-NO
044100         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
044200         SET MBIORO-GETMAIN      TO TRUE
044300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
044400         MOVE MMMMIR-RECORD      TO MMMM-RECORD
044500     ELSE
044600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
044700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
044800                                    MM08-ORG
044900         MOVE MBCA-MERCHANT      TO MBIOWS-MMMM-MERCHANT
045000                                    MM08-MERCHANT
045100         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
045200         SET MBIORO-READ-RANDOM  TO TRUE
045300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
045400         IF  SS08WS-RC-FC-NOTFND
045500         AND MBCA-MBUI-UI-YES
045600             MOVE 'MBUI'         TO MBCA-TRANS-ID
045700                                    MBCA-PREV-TRANS-ID
045800             MOVE 01             TO MBCA-SCREEN-NBR
045900             MOVE 'MER'          TO MM08-FILLER
046000             SET MBCA-MBUI-ERROR-YES
046100                                 TO TRUE
046200             GO TO F000-SETUP-COMMAREA.
046300*
046400     IF (MBCA-PTI-FUNCTION-IS-MAINT
046500     AND MBCA-MBUI-UI-YES
046600     AND (MMMM-REC-PURGED
046700       OR MMMM-REC-INCOMPLETE))
046800     OR
046900        (MBCA-PTI-FUNCTION-IS-ADD
047000     AND MBCA-MBUI-UI-YES
047100     AND MMMM-REC-PURGED)
047200         MOVE 'MBUI'             TO MBCA-TRANS-ID
047300                                    MBCA-PREV-TRANS-ID
047400         MOVE 01                 TO MBCA-SCREEN-NBR
047500         MOVE 'MER'              TO MM08-FILLER
047600         SET MBCA-MBUI-ERROR-YES
047700                                 TO TRUE
047800         GO TO F000-SETUP-COMMAREA.
047900*
048000*********************************************
048100*    MOVE THE PRIMARY NAME TO THE SCREEN    *
048200*********************************************
048300*
048400     MOVE MMMM-NA-LINE (1 1)     TO MM08-MERCHANT-NAME.
048500*
048600****************************************
048700*    READ THE FIELD SECURITY RECORD    *
048800****************************************
048900*
049000     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
049100     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
049200*
049202     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
049204       IF  MMMM-SINGLE-STORE-YES                                  RG802901
049206       AND MMMM-STORE-NBR IS GREATER THAN ZEROS                   RG802901
049208*                                                                 RG802901
049210***********************************************                   RG802901
049212*    READ THE MERCHANTS STORE MASTER RECORD   *                   RG802901
049214***********************************************                   RG802901
049216*                                                                 RG802901
049218         MOVE 'FC63'                 TO MBCA-PROGRAM-LOCATION     RG802901
049220         MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG           RG802901
049222         MOVE MMMM-STORE-NBR         TO MBIOWS-MMSM-STORE         RG802901
049224         SET MBIORO-READ-RANDOM      TO TRUE                      RG802901
049226         PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.     RG802901
049228*                                                                 RG802901
049300 C020-FIELD-EDITS.
049400*
049500*********************
049600*    FIELD EDITS    *
049700*********************
049800*
049900     MOVE DFHBMASK               TO MM08-NEXT-VISIT-A
050000                                    MM08-NEXT-REVIEW-A.
050100*
050200     PERFORM W010-EDIT-AGENT          THRU W019-EXIT.
050300     PERFORM W030-EDIT-BRANCH         THRU W039-EXIT.
050400     PERFORM W050-EDIT-BLOCK-CODE     THRU W059-EXIT.
050500     PERFORM W070-EDIT-OFFICER        THRU W079-EXIT.
050600     PERFORM W090-EDIT-REFUSAL-IND    THRU W099-EXIT.
050700     PERFORM W110-EDIT-TAXPAYER-ID    THRU W119-EXIT.
050800     PERFORM W130-EDIT-TAXID-IND      THRU W139-EXIT.
050900     PERFORM W150-EDIT-INCORP-STATUS  THRU W159-EXIT.
051000     PERFORM W170-EDIT-MINORITY-CODE  THRU W179-EXIT.
051100     PERFORM W190-EDIT-WOMAN-OWNED    THRU W199-EXIT.
051200     PERFORM W210-EDIT-DB-NBR         THRU W219-EXIT.
051300     PERFORM W230-EDIT-CORP-LEGAL-NAME
051400                                      THRU W239-EXIT.
051500     PERFORM W250-EDIT-CONTACT        THRU W259-EXIT.
051600     PERFORM W270-EDIT-CONTACT-PHONE  THRU W279-EXIT.
051700     PERFORM W290-EDIT-CONTACT-FAX    THRU W299-EXIT.
051800     PERFORM W310-EDIT-CUSTOMER       THRU W319-EXIT.
051900     PERFORM W330-EDIT-CUSTOMER-PHONE THRU W339-EXIT.
052000     PERFORM W350-EDIT-CUSTOMER-FAX   THRU W359-EXIT.
052100     PERFORM W370-EDIT-SOLE-PROP-LAST THRU W379-EXIT.
052200     PERFORM W390-EDIT-SOLE-PROP-FIRST
052300                                      THRU W399-EXIT.
052400     PERFORM W410-EDIT-SOLE-PROP-INIT THRU W419-EXIT.
052410     PERFORM W420-EDIT-URL-EMAIL      THRU W429-EXIT.             RG802901
052500     PERFORM W430-EDIT-VISIT-REP-OPER THRU W439-EXIT.
052600     PERFORM W450-EDIT-VISIT-REP-NAME THRU W459-EXIT.
052700     PERFORM W470-EDIT-VISIT-FREQ     THRU W479-EXIT.
052800     PERFORM W490-EDIT-DATE-LAST-VISIT
052900                                      THRU W499-EXIT.
053000     PERFORM W510-EDIT-REVIEW-REP-OPER
053100                                      THRU W519-EXIT.
053200     PERFORM W530-EDIT-REVIEW-REP-NAME
053300                                      THRU W539-EXIT.
053400     PERFORM W550-EDIT-REVIEW-FREQ    THRU W559-EXIT.
053500     PERFORM W570-EDIT-DATE-LAST-REVIEW
053600                                      THRU W579-EXIT.
053700*
053800 C040-CROSS-EDITS.
053900*
054000*********************
054100*    CROSS EDITS    *
054200*********************
054300*
054400     PERFORM W610-VISIT-CROSS-EDITS
054500                                 THRU W619-VCE-EXIT.
054600*
054700     PERFORM W620-REVIEW-CROSS-EDITS
054800                                 THRU W629-RCE-EXIT.
054900*
055000     PERFORM W630-SOLE-PROP-NAME
055100                                 THRU W639-SPN-EXIT.
055110*                                                                 EH800900
055120     IF MBCA-PTI-FUNCTION-IS-MAINT                                EH800900
055124        PERFORM W640-URL-EMAIL-CROSS-EDIT                         RG802901
055126                                 THRU W649-UECE-EXIT              RG802901
055130        PERFORM W650-TAXPAYER-ID-CROSS-EDITS                      EH800900
055140                                 THRU W659-TCE-EXIT.              EH800900
055200/
055300 D000-RETURN-ERRORS SECTION.
055400*
055500     IF  SS08WS-ERROR-SW-NO
055600         GO TO E000-UPDATE-FILE.
055700*
055800     IF  MBCA-MBUI-UI-YES
055900         MOVE 'MBUI'             TO MBCA-TRANS-ID
056000                                    MBCA-PREV-TRANS-ID
056100         MOVE 01                 TO MBCA-SCREEN-NBR
056200         SET MBCA-MBUI-ERROR-YES TO TRUE
056300         GO TO F090-TRANSFER-XCTL.
056400*
056500***************************************************************
056600*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
056700*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
056800*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
056900***************************************************************
057000*
057100     PERFORM MB60PD-INIT-STD-MAP-LINES
057200                                 THRU MB60PD-ISML-EXIT.
057300*
057400**********************
057500*    SEND THE MAP    *
057600**********************
057700*
057800     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
057900     PERFORM MB60PD-SEND-MAP-DATA-ONLY
058000                                 THRU MB60PD-SMDO-EXIT.
058100*
058200************************
058300*    RETURN TO CICS    *
058400************************
058500*
058600     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
058700     PERFORM MB70PD-RETURN-TRANS-ID
058800                                 THRU MB70PD-RTI-EXIT.
058900/
059000 E000-UPDATE-FILE SECTION.
059100*
059200     IF  MBCA-MBUI-UI-YES
059300         SET MBCA-MBUI-ERROR-NO  TO TRUE.
059400*
059500     IF  MBCA-MBUI-UI-YES
059600     AND MBCA-MBUI-UI-UPDATE-NO
059700         GO TO F090-TRANSFER-XCTL.
059800*
059900****************************************************
060000*    READ THE MERCHANT MASTER RECORD FOR UPDATE    *
060100****************************************************
060200*
060300     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
060400     SET MBIORO-READ-RANDOM-UPDATE
060500                                 TO TRUE.
060600     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
060700*
060800*************************************
060900*    OBTAIN STORAGE FOR LOG FILE    *
061000*    RECORD IF DOING MAINTENANCE    *
061100*************************************
061200*
061300     IF  MBCA-PTI-FUNCTION-IS-ADD
061400         GO TO E020-UPDATE-FIELDS.
061500*
061600     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
061700     SET MBIORO-GETMAIN          TO TRUE.
061800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
061900*
062000*************************************************
062100*    SET UP THE COMMON PORTION OF THE RECORD    *
062200*************************************************
062300*
062400     MOVE 'MM'                   TO MML1-FILE-CODE.
062500     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
062600     MOVE MBCA-MERCHANT          TO MML1-MMMM-MERCHANT.
062700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
062800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
062900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
063000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
063100*
063200 E020-UPDATE-FIELDS.
063300*
063400     PERFORM X010-UPDATE-AGENT   THRU X019-EXIT.
063500     PERFORM X030-UPDATE-BRANCH  THRU X039-EXIT.
063600     PERFORM X050-UPDATE-BLOCK-CODE
063700                                 THRU X059-EXIT.
063800     PERFORM X070-UPDATE-OFFICER THRU X079-EXIT.
063900     PERFORM X090-UPDATE-REF-IND THRU X099-EXIT.
064000     PERFORM X110-UPDATE-TAXPAYER-ID
064100                                 THRU X119-EXIT.
064200     PERFORM X130-UPDATE-TAXID-IND
064300                                 THRU X139-EXIT.
064400     PERFORM X150-UPDATE-INCORP-STATUS
064500                                 THRU X159-EXIT.
064600     PERFORM X160-UPDATE-MINORITY-CODE
064700                                 THRU X169-EXIT.
064800     PERFORM X170-UPDATE-WOMAN-OWNED-CODE
064900                                 THRU X179-EXIT.
065000     PERFORM X180-UPDATE-DB-NBR  THRU X189-EXIT.
065100     PERFORM X190-UPDATE-CORP-LEGAL-NAME
065200                                 THRU X199-EXIT.
065300     PERFORM X200-UPDATE-CONTACT THRU X209-EXIT.
065400     PERFORM X210-UPDATE-CONTACT-PHONE
065500                                 THRU X219-EXIT.
065600     PERFORM X230-UPDATE-CONTACT-FAX
065700                                 THRU X239-EXIT.
065800     PERFORM X250-UPDATE-CUSTOMER
065900                                 THRU X259-EXIT.
066000     PERFORM X270-UPDATE-CUSTOMER-PHONE
066100                                 THRU X279-EXIT.
066200     PERFORM X290-UPDATE-CUSTOMER-FAX
066300                                 THRU X299-EXIT.
066400     PERFORM X310-UPDATE-SOLE-PROP-LAST
066500                                 THRU X319-EXIT.
066600     PERFORM X330-UPDATE-SOLE-PROP-FIRST
066700                                 THRU X339-EXIT.
066800     PERFORM X350-UPDATE-SOLE-PROP-INIT
066900                                 THRU X359-EXIT.
066910     PERFORM X360-UPDATE-URL-EMAIL                                RG802901
066920                                 THRU X369-EXIT.                  RG802901
067000     PERFORM X370-UPDATE-VISIT-REP-OPER
067100                                 THRU X379-EXIT.
067200     PERFORM X390-UPDATE-VISIT-REP-NAME
067300                                 THRU X399-EXIT.
067400     PERFORM X410-UPDATE-VISIT-FREQ
067500                                 THRU X419-EXIT.
067600     PERFORM X430-UPDATE-DATE-LAST-VISIT
067700                                 THRU X439-EXIT.
067800     PERFORM X450-UPDATE-DATE-NEXT-VISIT
067900                                 THRU X459-EXIT.
068000     PERFORM X470-UPDATE-REVIEW-REP-OPER
068100                                 THRU X479-EXIT.
068200     PERFORM X490-UPDATE-REVIEW-REP-NAME
068300                                 THRU X499-EXIT.
068400     PERFORM X510-UPDATE-REVIEW-FREQ
068500                                 THRU X519-EXIT.
068600     PERFORM X530-UPDATE-DATE-LAST-REVIEW
068700                                 THRU X539-EXIT.
068800     PERFORM X550-UPDATE-DATE-NEXT-REVIEW
068900                                 THRU X559-EXIT.
069000*
069100     IF  MBCA-PTI-FUNCTION-IS-MAINT
069200         PERFORM X710-UPDT-STORE-DATA
069300                                 THRU X719-EXIT
069400         MOVE 'MM'               TO MML1-FILE-CODE
069500         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMM-ORG
069600         MOVE MBCA-MERCHANT      TO MML1-MMMM-MERCHANT
069700         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
069800         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
069900         MOVE ZEROS              TO MML1-SOURCE-CODE
070000         MOVE MBCA-FIELD-SECURITY
070100                                 TO MML1-FIELD-SECURITY.
070200*
070300 E040-UPDATE-MMMM.
070400*
070500     IF  MBCA-PTI-FUNCTION-IS-ADD
070600         MOVE MBCA-SCREEN-NBR    TO MMMM-ONLINE-STATUS
070700         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
070800         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
070900         SET WS-UPDATE-SW-YES    TO TRUE.
071000*
071100**************************************************************
071200*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
071300*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
071400*    ON THE SCREEN                                           *
071500**************************************************************
071600*
071700     IF  MBCA-PTI-FUNCTION-IS-MAINT
071800     AND WS-UPDATE-SW-YES
071900         MOVE 0198               TO MML1-FIELD-CODE
072000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
072100                                    MML1-FIELD-OCCURRENCE-2
072200         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
072300         MOVE MMMM-LAST-MAINT-OPER
072400                                 TO MML1-VL03-B-DATA-X
072500         MOVE MBCA-OPERATOR-ID   TO MMMM-LAST-MAINT-OPER
072600         MOVE MMMM-LAST-MAINT-OPER
072700                                 TO MML1-VL03-A-DATA-X
072800         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
072900         PERFORM Y910-WRITE-LOG-RECORD
073000                                 THRU Y919-WLR-EXIT
073100         MOVE 0199               TO MML1-FIELD-CODE
073200         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
073300         MOVE MMMM-LAST-MAINT-DATE
073400                                 TO MML1-VL07-B-DATA-9
073500         MOVE MBCA-START-DATE    TO MMMM-LAST-MAINT-DATE
073600         MOVE MMMM-LAST-MAINT-DATE
073700                                 TO MML1-VL07-A-DATA-9
073800         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
073900         PERFORM Y910-WRITE-LOG-RECORD
074000                                 THRU Y919-WLR-EXIT.
074100*
074200****************************************************
074300*    REWRITE THE MERCHANT MASTER RECORD IF         *
074400*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
074500*    UNLOCK IT IF THEY HAVE NOT                    *
074600****************************************************
074700*
074800     IF  WS-UPDATE-SW-YES
074900         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
075000         SET MBIORO-REWRITE      TO TRUE
075100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
075200     ELSE
075300         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
075400         SET MBIORO-UNLOCK       TO TRUE
075500         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
075600/
075700 F000-SETUP-COMMAREA SECTION.
075800*
075900***************************************************************
076000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
076100***************************************************************
076200*
076300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
076400*
076500     IF  MM08-CURRENT-PAGE-L IS GREATER THAN ZERO
076600     AND MM08-CURRENT-PAGE   IS NUMERIC
076700         IF  MM08-CURRENT-PAGE IS GREATER THAN 13
076800             MOVE 63             TO MBCA-SCREEN-NBR
076900             GO TO F090-TRANSFER-XCTL.
077000*
077100     PERFORM MB60PD-EDIT-PAGE-NBR
077200                                 THRU MB60PD-EPN-EXIT.
077300*
077400     IF  SS08WS-VALID-PF-KEY
077500     OR  SS08WS-EIBAID-VALID-PF-KEY
077600         SET MBCA-INITIAL-SCREEN-NBR
077700                                 TO TRUE.
077800*
077900 F090-TRANSFER-XCTL.
078000*
078100     IF  MBCA-MBUI-UI-YES
078200         MOVE 'MBUI'             TO MBCA-TRANS-ID
078300                                    MBCA-PREV-TRANS-ID
078400         MOVE 01                 TO MBCA-SCREEN-NBR
078500         MOVE MBMM08I            TO MBUITS-VAR-DATA
078600         MOVE LENGTH OF MBMM08I  TO MBUITS-VAR-LENGTH
078700         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
078800         EXEC CICS WRITEQ TS
078900                   QUEUE   (TS-QUEUE-NAME)
079000                   FROM    (MBUITS-RECORD)
079100                   LENGTH  (LENGTH  OF MBUITS-RECORD)
079200
079300              END-EXEC.
079400*
079500     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
079600     PERFORM MB70PD-XCTL-TO-MBOXCTL
079700                                 THRU MB70PD-XTM-EXIT.
079800/
079900 W000-FIELD-EDITS SECTION.
080000*
080100*********************************************************
080200*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
080300*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
080400*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
080500*    'W010-EDIT-AGENT' THRU 'W019-EXIT'.                *
080600*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY        *
080700*    ARE UNIQUE TO THAT ROUTINE.                        *
080800*********************************************************
080900*
081000 W010-EDIT-AGENT.
081100*
081200     MOVE DFHBMDAS               TO MM08-AGENT-LP-A
081300                                    MM08-AGENT-RP-A.
081400     MOVE DFHBMASK               TO MM08-AGENT-A.
081500*
081600     PERFORM Y015-AGENT-SECURITY THRU Y019-EXIT.
081700*
081800     IF  MM08-AGENT-L IS GREATER THAN ZERO
081900         MOVE DFHBMASF           TO MM08-AGENT-A
082000     ELSE
082100         MOVE MMMM-AGENT-BANK    TO MM08-AGENT.
082200*
082300     IF  MM08-AGENT IS NUMERIC
082400         NEXT SENTENCE
082500     ELSE
082600         GO TO W018-AGENT-ERROR.
082700*
082800     IF  MBCA-PTI-FUNCTION-IS-MAINT
082900     OR  MM08-AGENT-L IS GREATER THAN ZERO
083000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
083100         GO TO W019-EXIT.
083200*
083300 W018-AGENT-ERROR.
083400*
083500     IF  MM08-AGENT-L IS GREATER THAN ZERO
083600         MOVE DFHBMNBF           TO MM08-AGENT-A
083700     ELSE
083800         MOVE DFHBMUNB           TO MM08-AGENT-A.
083900*
084000     SET SS08WS-ERROR-SW-YES     TO TRUE.
084100     MOVE DFHBMASB               TO MM08-AGENT-LP-A
084200                                    MM08-AGENT-RP-A.
084300     MOVE SS08WS-CURSOR          TO MM08-AGENT-L.
084400*
084500 W019-EXIT.
084600     EXIT.
084700*
084800 W030-EDIT-BRANCH.
084900*
085000     MOVE DFHBMDAS               TO MM08-BRANCH-LP-A
085100                                    MM08-BRANCH-RP-A.
085200     MOVE DFHBMASK               TO MM08-BRANCH-A.
085300*
085400     PERFORM Y035-BRANCH-SECURITY
085500                                 THRU Y039-EXIT.
085600*
085700     IF  MM08-BRANCH-L IS GREATER THAN ZERO
085800         MOVE DFHBMASF           TO MM08-BRANCH-A
085900     ELSE
086000         MOVE MMMM-BRANCH        TO MM08-BRANCH.
086100*
086200     IF  MM08-BRANCH IS NUMERIC
086300         NEXT SENTENCE
086400     ELSE
086500         GO TO W038-BRANCH-ERROR.
086600*
086700     IF  MBCA-PTI-FUNCTION-IS-MAINT
086800     OR  MM08-BRANCH-L IS GREATER THAN ZERO
086900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
087000         GO TO W039-EXIT.
087100*
087200 W038-BRANCH-ERROR.
087300*
087400     IF  MM08-BRANCH-L IS GREATER THAN ZERO
087500         MOVE DFHBMNBF           TO MM08-BRANCH-A
087600     ELSE
087700         MOVE DFHBMUNB           TO MM08-BRANCH-A.
087800*
087900     SET SS08WS-ERROR-SW-YES     TO TRUE.
088000     MOVE DFHBMASB               TO MM08-BRANCH-LP-A
088100                                    MM08-BRANCH-RP-A.
088200     MOVE SS08WS-CURSOR          TO MM08-BRANCH-L.
088300*
088400 W039-EXIT.
088500     EXIT.
088600*
088700 W050-EDIT-BLOCK-CODE.
088800*
088900     MOVE DFHBMDAS               TO MM08-BLOCK-CODE-LP-A
089000                                    MM08-BLOCK-CODE-RP-A.
089100     MOVE DFHBMASK               TO MM08-BLOCK-CODE-A.
089200*
089300     PERFORM Y055-BLOCK-CODE-SECURITY
089400                                 THRU Y059-EXIT.
089500*
089600     IF  MM08-BLOCK-CODE-L IS GREATER THAN ZERO
089700         MOVE DFHBMASF           TO MM08-BLOCK-CODE-A
089800     ELSE
089900         MOVE MMMM-BLOCK-CODE    TO MM08-BLOCK-CODE.
090000*
090100 W051-LOOKUP-BLOCK-CODE.
090200*
090300     SET  X-MMOC-BC               TO 1.
090400*
090500 W052-LBC-LOOP.
090600*
090700     IF  MM08-BLOCK-CODE IS EQUAL TO MMOC-BC (X-MMOC-BC)
090800         MOVE MMOC-BC-DESC (X-MMOC-BC)
090900                                 TO MM08-BC-DESC
091000         PERFORM W053-MOVE-BLOCK-CODE-INFO
091100                                 THRU W054-EXIT
091200         IF  MBCA-PTI-FUNCTION-IS-MAINT
091300         OR  MM08-BLOCK-CODE-L IS GREATER THAN ZERO
091400         OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
091500             GO TO W059-EXIT
091600         ELSE
091700             GO TO W058-BLOCK-CODE-ERROR.
091800*
091900     IF  X-MMOC-BC IS LESS THAN 27
092000         SET X-MMOC-BC        UP BY 1
092100         GO TO W052-LBC-LOOP.
092200*
092300     MOVE SPACES                 TO MM08-BC-DESC.
092400     SET BLOCK-CODE-IS-IN-ERROR  TO TRUE.
092500*
092600 W053-MOVE-BLOCK-CODE-INFO.
092700*
092800     IF  BLOCK-CODE-IS-VALID
092900         IF  MM08-BLOCK-CODE IS NOT EQUAL TO MMMM-BLOCK-CODE
093000             MOVE MBCA-OPERATOR-ID
093100                                 TO MMMM-BLOCK-OPER
093200             MOVE MBCA-START-DATE
093300                                 TO MMMM-DATE-BLOCK-CODE.
093400*
093500     MOVE MMMM-BLOCK-OPER        TO MM08-BC-OPER.
093600     MOVE MMMM-DATE-BLOCK-CODE   TO SS01WS-JULIAN.
093700     PERFORM SS26PD-NUMERICALLY-EDIT-DATE  THRU SS26PD-NED-EXIT.
093800     MOVE SS01WS-XX-XX-YYYY      TO MM08-BC-DATE.
093900*
094000 W054-EXIT.
094100     EXIT.
094200*
094300 W058-BLOCK-CODE-ERROR.
094400*
094500     IF  MM08-BLOCK-CODE-L IS GREATER THAN ZERO
094600         MOVE DFHBMUBF           TO MM08-BLOCK-CODE-A
094700     ELSE
094800         MOVE DFHBMBRY           TO MM08-BLOCK-CODE-A.
094900*
095000     SET SS08WS-ERROR-SW-YES     TO TRUE.
095100     MOVE DFHBMASB               TO MM08-BLOCK-CODE-LP-A
095200                                    MM08-BLOCK-CODE-RP-A.
095300     MOVE SS08WS-CURSOR          TO MM08-BLOCK-CODE-L.
095400*
095500 W059-EXIT.
095600     EXIT.
095700*
095800 W070-EDIT-OFFICER.
095900*
096000     MOVE DFHBMDAS               TO MM08-OFFICER-LP-A
096100                                    MM08-OFFICER-RP-A.
096200     MOVE DFHBMASK               TO MM08-OFFICER-A.
096300*
096400     PERFORM Y075-OFFICER-SECURITY
096500                                 THRU Y079-EXIT.
096600*
096700     IF  MM08-OFFICER-L IS GREATER THAN ZERO
096800         MOVE DFHBMASF           TO MM08-OFFICER-A
096900     ELSE
097000         MOVE MMMM-OFFICER-ID    TO MM08-OFFICER.
097100*
097200     IF  MBCA-PTI-FUNCTION-IS-MAINT
097300     OR  MM08-OFFICER-L IS GREATER THAN ZERO
097400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
097500         GO TO W079-EXIT.
097600*
097700 W078-OFFICER-ERROR.
097800*
097900     IF  MM08-OFFICER-L IS GREATER THAN ZERO
098000         MOVE DFHBMUBF           TO MM08-OFFICER-A
098100     ELSE
098200         MOVE DFHBMBRY           TO MM08-OFFICER-A.
098300*
098400     SET SS08WS-ERROR-SW-YES     TO TRUE.
098500     MOVE DFHBMASB               TO MM08-OFFICER-LP-A
098600                                    MM08-OFFICER-RP-A.
098700     MOVE SS08WS-CURSOR          TO MM08-OFFICER-L.
098800*
098900 W079-EXIT.
099000     EXIT.
099100*
099200 W090-EDIT-REFUSAL-IND.
099300*
099400     MOVE DFHBMDAS               TO MM08-REFU-IND-LP-A
099500                                    MM08-REFU-IND-RP-A.
099600     MOVE DFHBMASK               TO MM08-REFU-IND-A.
099700*
099800     PERFORM Y095-REFU-IND-SECURITY
099900                                 THRU Y099-EXIT.
100000*
100100     IF  MM08-REFU-IND-L IS GREATER THAN ZERO
100200         MOVE DFHBMASF           TO MM08-REFU-IND-A
100300     ELSE
100400         MOVE MMMM-1099-REFUSAL-IND
100500                                 TO MM08-REFU-IND.
100600     IF  MBCA-PTI-FUNCTION-IS-MAINT
100700     OR  MM08-REFU-IND-L IS GREATER THAN ZERO
100800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
100900         GO TO W099-EXIT.
101000*
101100 W098-REFU-IND-ERROR.
101200*
101300     IF  MM08-REFU-IND-L IS GREATER THAN ZERO
101400         MOVE DFHBMUBF           TO MM08-REFU-IND-A
101500     ELSE
101600         MOVE DFHBMBRY           TO MM08-REFU-IND-A.
101700*
101800     SET SS08WS-ERROR-SW-YES     TO TRUE.
101900     MOVE DFHBMASB               TO MM08-REFU-IND-LP-A
102000                                    MM08-REFU-IND-RP-A.
102100     MOVE SS08WS-CURSOR          TO MM08-REFU-IND-L.
102200*
102300 W099-EXIT.
102400     EXIT.
102500*
102600 W110-EDIT-TAXPAYER-ID.
102700*
102800     MOVE DFHBMDAS               TO MM08-TAXPAYER-ID-LP-A
102900                                    MM08-TAXPAYER-ID-RP-A.
103000     MOVE DFHBMASK               TO MM08-TAXPAYER-ID-A.
103100*
103200     PERFORM Y115-TAXPAYER-ID-SECURITY
103300                                 THRU Y119-EXIT.
103400*
103500     IF  MM08-TAXPAYER-ID-L IS GREATER THAN ZERO
103600         MOVE DFHBMASF           TO MM08-TAXPAYER-ID-A
103700     ELSE
103800         MOVE MMMM-TAX-ID        TO MM08-TAXPAYER-ID.
103900*
104000     IF  MBCA-PTI-FUNCTION-IS-MAINT
104100     OR  MM08-TAXPAYER-ID-L IS GREATER THAN ZERO
104200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
104300         GO TO W119-EXIT.
104400*
104500 W118-TAXPAYER-ID-ERROR.
104600*
104700     IF  MM08-TAXPAYER-ID-L IS GREATER THAN ZERO
104800         MOVE DFHBMNBF           TO MM08-TAXPAYER-ID-A
104900     ELSE
105000         MOVE DFHBMUNB           TO MM08-TAXPAYER-ID-A.
105100*
105200     SET SS08WS-ERROR-SW-YES     TO TRUE.
105300     MOVE DFHBMASB               TO MM08-TAXPAYER-ID-LP-A
105400                                    MM08-TAXPAYER-ID-RP-A.
105500     MOVE SS08WS-CURSOR          TO MM08-TAXPAYER-ID-L.
105600*
105700 W119-EXIT.
105800     EXIT.
105900*
106000 W130-EDIT-TAXID-IND.
106100*
106200     MOVE DFHBMDAS               TO MM08-TAXID-IND-LP-A
106300                                    MM08-TAXID-IND-RP-A.
106400     MOVE DFHBMASK               TO MM08-TAXID-IND-A.
106500*
106600     PERFORM Y135-TAXID-IND-SECURITY
106700                                 THRU Y139-EXIT.
106800*
106900     IF  MM08-TAXID-IND-L IS GREATER THAN ZERO
107000         MOVE DFHBMASF           TO MM08-TAXID-IND-A
107100     ELSE
107200         MOVE MMMM-TIN-TYPE      TO MM08-TAXID-IND.
107300*
107400     IF  MBCA-PTI-FUNCTION-IS-MAINT
107500     OR  MM08-TAXID-IND-L IS GREATER THAN ZERO
107600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
107700         GO TO W139-EXIT.
107800*
107900 W138-TAXID-IND-ERROR.
108000*
108100     IF  MM08-TAXID-IND-L IS GREATER THAN ZERO
108200         MOVE DFHBMNBF           TO MM08-TAXID-IND-A
108300     ELSE
108400         MOVE DFHBMUNB           TO MM08-TAXID-IND-A.
108500*
108600     SET SS08WS-ERROR-SW-YES     TO TRUE.
108700     MOVE DFHBMASB               TO MM08-TAXID-IND-LP-A
108800                                    MM08-TAXID-IND-RP-A.
108900     MOVE SS08WS-CURSOR          TO MM08-TAXID-IND-L.
109000*
109100 W139-EXIT.
109200     EXIT.
109300*
109400 W150-EDIT-INCORP-STATUS.
109500*
109600     MOVE DFHBMDAS               TO MM08-INCORP-STATUS-LP-A
109700                                    MM08-INCORP-STATUS-RP-A.
109800     MOVE DFHBMASK               TO MM08-INCORP-STATUS-A.
109900*
110000     PERFORM Y155-INCORP-STATUS-SECURITY
110100                                 THRU Y159-EXIT.
110200*
110300     IF  MM08-INCORP-STATUS-L IS GREATER THAN ZERO
110400         MOVE DFHBMASF           TO MM08-INCORP-STATUS-A
110500     ELSE
110600         MOVE MMMM-INCORPORATION-STATUS
110700                                 TO MM08-INCORP-STATUS.
110800*
110900     IF  MM08-INCORP-STATUS-VALID
111000         NEXT SENTENCE
111100     ELSE
111200         GO TO W158-INCORP-STATUS-ERROR.
111300*
111400     IF  MBCA-PTI-FUNCTION-IS-MAINT
111500     OR  MM08-INCORP-STATUS-L IS GREATER THAN ZERO
111600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
111700         GO TO W159-EXIT.
111800*
111900 W158-INCORP-STATUS-ERROR.
112000*
112100     IF  MM08-INCORP-STATUS-L IS GREATER THAN ZERO
112200         MOVE DFHBMUBF           TO MM08-INCORP-STATUS-A
112300     ELSE
112400         MOVE DFHBMBRY           TO MM08-INCORP-STATUS-A.
112500*
112600     SET SS08WS-ERROR-SW-YES     TO TRUE.
112700     MOVE DFHBMASB               TO MM08-INCORP-STATUS-LP-A
112800                                    MM08-INCORP-STATUS-RP-A.
112900     MOVE SS08WS-CURSOR          TO MM08-INCORP-STATUS-L.
113000*
113100 W159-EXIT.
113200     EXIT.
113300*
113400 W170-EDIT-MINORITY-CODE.
113500*
113600     MOVE DFHBMDAS               TO MM08-MINORITY-CODE-LP-A
113700                                    MM08-MINORITY-CODE-RP-A.
113800     MOVE DFHBMASK               TO MM08-MINORITY-CODE-A.
113900*
114000     PERFORM Y175-MINORITY-CODE-SECURITY
114100                                 THRU Y179-EXIT.
114200*
114300     IF  MM08-MINORITY-CODE-L IS GREATER THAN ZERO
114400         MOVE DFHBMASF           TO MM08-MINORITY-CODE-A
114500     ELSE
114600         MOVE MMMM-MINORITY-CODE TO MM08-MINORITY-CODE.
114700*
114800     IF  MM08-MINORITY-CODE-VALID
114900         NEXT SENTENCE
115000     ELSE
115100         GO TO W178-MINORITY-CODE-ERROR.
115200*
115300     IF  MBCA-PTI-FUNCTION-IS-MAINT
115400     OR  MM08-MINORITY-CODE-L IS GREATER THAN ZERO
115500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
115600         GO TO W179-EXIT.
115700*
115800 W178-MINORITY-CODE-ERROR.
115900*
116000     IF  MM08-MINORITY-CODE-L IS GREATER THAN ZERO
116100         MOVE DFHBMUBF           TO MM08-MINORITY-CODE-A
116200     ELSE
116300         MOVE DFHBMBRY           TO MM08-MINORITY-CODE-A.
116400*
116500     SET SS08WS-ERROR-SW-YES     TO TRUE.
116600     MOVE DFHBMASB               TO MM08-MINORITY-CODE-LP-A
116700                                    MM08-MINORITY-CODE-RP-A.
116800     MOVE SS08WS-CURSOR          TO MM08-MINORITY-CODE-L.
116900*
117000 W179-EXIT.
117100     EXIT.
117200*
117300 W190-EDIT-WOMAN-OWNED.
117400*
117500     MOVE DFHBMDAS               TO MM08-WOMAN-OWNED-CODE-LP-A
117600                                    MM08-WOMAN-OWNED-CODE-RP-A.
117700     MOVE DFHBMASK               TO MM08-WOMAN-OWNED-CODE-A.
117800*
117900     PERFORM Y195-WOMAN-OWN-SECURITY
118000                                 THRU Y199-EXIT.
118100*
118200     IF  MM08-WOMAN-OWNED-CODE-L IS GREATER THAN ZERO
118300         MOVE DFHBMASF           TO MM08-WOMAN-OWNED-CODE-A
118400     ELSE
118500         MOVE MMMM-WOMAN-OWNED-CODE
118600                                 TO MM08-WOMAN-OWNED-CODE.
118700*
118800     IF  MM08-WOMAN-OWN-VALID
118900         NEXT SENTENCE
119000     ELSE
119100         GO TO W198-WOMAN-OWN-ERROR.
119200*
119300     IF  MBCA-PTI-FUNCTION-IS-MAINT
119400     OR  MM08-WOMAN-OWNED-CODE-L IS GREATER THAN ZERO
119500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
119600         GO TO W199-EXIT.
119700*
119800 W198-WOMAN-OWN-ERROR.
119900*
120000     IF  MM08-WOMAN-OWNED-CODE-L IS GREATER THAN ZERO
120100         MOVE DFHBMUBF           TO MM08-WOMAN-OWNED-CODE-A
120200     ELSE
120300         MOVE DFHBMBRY           TO MM08-WOMAN-OWNED-CODE-A.
120400*
120500     SET SS08WS-ERROR-SW-YES     TO TRUE.
120600     MOVE DFHBMASB               TO MM08-WOMAN-OWNED-CODE-LP-A
120700                                    MM08-WOMAN-OWNED-CODE-RP-A.
120800     MOVE SS08WS-CURSOR          TO MM08-WOMAN-OWNED-CODE-L.
120900*
121000 W199-EXIT.
121100     EXIT.
121200*
121300 W210-EDIT-DB-NBR.
121400*
121500     MOVE DFHBMDAS               TO MM08-DB-NBR-LP-A
121600                                    MM08-DB-NBR-RP-A.
121700     MOVE DFHBMASK               TO MM08-DB-NBR-A.
121800*
121900     PERFORM Y215-DB-NBR-SECURITY
122000                                 THRU Y219-EXIT.
122100*
122200     IF  MM08-DB-NBR-L IS GREATER THAN ZERO
122300         MOVE DFHBMASF           TO MM08-DB-NBR-A
122400     ELSE
122500         MOVE MMMM-DUN-AND-BRADSTREET-NBR
122600                                 TO MM08-DB-NBR.
122700*
122800     IF  MBCA-PTI-FUNCTION-IS-MAINT
122900     OR  MM08-DB-NBR-L IS GREATER THAN ZERO
123000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
123100         GO TO W219-EXIT.
123200*
123300 W218-DB-NBR-ERROR.
123400*
123500     IF  MM08-DB-NBR-L IS GREATER THAN ZERO
123600         MOVE DFHBMUBF           TO MM08-DB-NBR-A
123700     ELSE
123800         MOVE DFHBMBRY           TO MM08-DB-NBR-A.
123900*
124000     SET SS08WS-ERROR-SW-YES     TO TRUE.
124100     MOVE DFHBMASB               TO MM08-DB-NBR-LP-A
124200                                    MM08-DB-NBR-RP-A.
124300     MOVE SS08WS-CURSOR          TO MM08-DB-NBR-L.
124400*
124500 W219-EXIT.
124600     EXIT.
124700*
124800 W230-EDIT-CORP-LEGAL-NAME.
124900*
125000     MOVE DFHBMDAS               TO MM08-CORP-LEG-LP-A
125100                                    MM08-CORP-LEG-RP-A.
125200     MOVE DFHBMASK               TO MM08-CORP-LEG-A.
125300*
125400     PERFORM Y235-CORP-LEG-SECURITY
125500                                 THRU Y239-EXIT.
125600*
125700     IF  MM08-CORP-LEG-L IS GREATER THAN ZERO
125800         MOVE DFHBMASF           TO MM08-CORP-LEG-A
125900     ELSE
126000         MOVE MMMM-CORP-LEGAL-NAME
126100                                 TO MM08-CORP-LEG.
126200*
126300     IF  MBCA-PTI-FUNCTION-IS-MAINT
126400     OR  MM08-CORP-LEG-L IS GREATER THAN ZERO
126500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
126600         GO TO W239-EXIT.
126700*
126800 W238-CORP-LEGAL-NAME-ERROR.
126900*
127000     IF  MM08-CORP-LEG-L IS GREATER THAN ZERO
127100         MOVE DFHBMUBF           TO MM08-CORP-LEG-A
127200     ELSE
127300         MOVE DFHBMBRY           TO MM08-CORP-LEG-A.
127400*
127500     SET SS08WS-ERROR-SW-YES     TO TRUE.
127600     MOVE DFHBMASB               TO MM08-CORP-LEG-LP-A
127700                                    MM08-CORP-LEG-RP-A.
127800     MOVE SS08WS-CURSOR          TO MM08-CORP-LEG-L.
127900*
128000 W239-EXIT.
128100     EXIT.
128200*
128300 W250-EDIT-CONTACT.
128400*
128500     SET X-MMMM-CONTACT          TO 1.
128600*
128700     MOVE DFHBMDAS               TO MM08-CONTACT-LP-A
128800                                    MM08-CONTACT-RP-A.
128900     MOVE DFHBMASK               TO MM08-CONTACT-A.
129000*
129100     PERFORM Y255-CONTACT-SECURITY
129200                                 THRU Y259-EXIT.
129300*
129400     IF  MM08-CONTACT-L IS GREATER THAN ZERO
129500         MOVE DFHBMASF           TO MM08-CONTACT-A
129600     ELSE
129700         MOVE MMMM-CONTACT (X-MMMM-CONTACT)
129800                                 TO MM08-CONTACT.
129900*
130000     IF  MBCA-PTI-FUNCTION-IS-MAINT
130100     OR  MM08-CONTACT-L IS GREATER THAN ZERO
130200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
130300         GO TO W259-EXIT.
130400*
130500 W258-CONTACT-ERROR.
130600*
130700     IF  MM08-CONTACT-L IS GREATER THAN ZERO
130800         MOVE DFHBMUBF           TO MM08-CONTACT-A
130900     ELSE
131000         MOVE DFHBMBRY           TO MM08-CONTACT-A.
131100*
131200     SET SS08WS-ERROR-SW-YES     TO TRUE.
131300     MOVE DFHBMASB               TO MM08-CONTACT-LP-A
131400                                    MM08-CONTACT-RP-A.
131500     MOVE SS08WS-CURSOR          TO MM08-CONTACT-L.
131600*
131700 W259-EXIT.
131800     EXIT.
131900*
132000 W270-EDIT-CONTACT-PHONE.
132100*
132200     MOVE DFHBMDAS               TO MM08-CONTACT-PHONE-LP-A
132300                                    MM08-CONTACT-PHONE-RP-A.
132400     MOVE DFHBMASK               TO MM08-CONTACT-PHONE-A.
132500*
132600     PERFORM Y275-CONTACT-PHONE-SECURITY
132700                                 THRU Y279-EXIT.
132800*
132900     IF  MM08-CONTACT-PHONE-L    IS GREATER THAN ZERO
133000         MOVE DFHBMASF           TO MM08-CONTACT-PHONE-A
133100     ELSE
133200         MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
133300                                 TO MM08-CONTACT-PHONE.
133400*
133500     IF  MBCA-PTI-FUNCTION-IS-MAINT
133600     OR  MM08-CONTACT-PHONE-L IS GREATER THAN ZERO
133700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
133800         GO TO W279-EXIT.
133900*
134000 W278-CONTACT-PHONE-ERROR.
134100*
134200     IF  MM08-CONTACT-PHONE-L IS GREATER THAN ZERO
134300         MOVE DFHBMUBF           TO MM08-CONTACT-PHONE-A
134400     ELSE
134500         MOVE DFHBMBRY           TO MM08-CONTACT-PHONE-A.
134600*
134700     SET SS08WS-ERROR-SW-YES     TO TRUE.
134800     MOVE DFHBMASB               TO MM08-CONTACT-PHONE-LP-A
134900                                    MM08-CONTACT-PHONE-RP-A.
135000     MOVE SS08WS-CURSOR          TO MM08-CONTACT-PHONE-L.
135100*
135200 W279-EXIT.
135300     EXIT.
135400*
135500 W290-EDIT-CONTACT-FAX.
135600*
135700     MOVE DFHBMDAS               TO MM08-CONTACT-FAX-LP-A
135800                                    MM08-CONTACT-FAX-RP-A.
135900     MOVE DFHBMASK               TO MM08-CONTACT-FAX-A.
136000*
136100     PERFORM Y295-CONTACT-FAX-SECURITY
136200                                 THRU Y299-EXIT.
136300*
136400     IF  MM08-CONTACT-FAX-L IS GREATER THAN ZERO
136500         MOVE DFHBMASF           TO MM08-CONTACT-FAX-A
136600     ELSE
136700         MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
136800                                 TO MM08-CONTACT-FAX.
136900*
137000     IF  MBCA-PTI-FUNCTION-IS-MAINT
137100     OR  MM08-CONTACT-FAX-L IS GREATER THAN ZERO
137200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
137300         GO TO W299-EXIT.
137400*
137500 W298-CONTACT-FAX-ERROR.
137600*
137700     IF  MM08-CONTACT-FAX-L IS GREATER THAN ZERO
137800         MOVE DFHBMUBF           TO MM08-CONTACT-FAX-A
137900     ELSE
138000         MOVE DFHBMBRY           TO MM08-CONTACT-FAX-A.
138100*
138200     SET SS08WS-ERROR-SW-YES     TO TRUE.
138300     MOVE DFHBMASB               TO MM08-CONTACT-FAX-LP-A
138400                                    MM08-CONTACT-FAX-RP-A.
138500     MOVE SS08WS-CURSOR          TO MM08-CONTACT-FAX-L.
138600*
138700 W299-EXIT.
138800     EXIT.
138900*
139000 W310-EDIT-CUSTOMER.
139100*
139200     SET X-MMMM-CONTACT          TO 2.
139300*
139400     MOVE DFHBMDAS               TO MM08-CUSTOMER-LP-A
139500                                    MM08-CUSTOMER-RP-A.
139600     MOVE DFHBMASK               TO MM08-CUSTOMER-A.
139700*
139800     PERFORM Y315-CUSTOMER-SECURITY
139900                                 THRU Y319-EXIT.
140000*
140100     IF  MM08-CUSTOMER-L IS GREATER THAN ZERO
140200         MOVE DFHBMASF           TO MM08-CUSTOMER-A
140300     ELSE
140400         MOVE MMMM-CONTACT (X-MMMM-CONTACT)
140500                                 TO MM08-CUSTOMER.
140600*
140700     IF  MBCA-PTI-FUNCTION-IS-MAINT
140800     OR  MM08-CUSTOMER-L IS GREATER THAN ZERO
140900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
141000         GO TO W319-EXIT.
141100*
141200 W318-CUSTOMER-ERROR.
141300*
141400     IF  MM08-CUSTOMER-L IS GREATER THAN ZERO
141500         MOVE DFHBMUBF           TO MM08-CUSTOMER-A
141600     ELSE
141700         MOVE DFHBMBRY           TO MM08-CUSTOMER-A.
141800*
141900     SET SS08WS-ERROR-SW-YES     TO TRUE.
142000     MOVE DFHBMASB               TO MM08-CUSTOMER-LP-A
142100                                    MM08-CUSTOMER-RP-A
142200     MOVE SS08WS-CURSOR          TO MM08-CUSTOMER-L.
142300*
142400 W319-EXIT.
142500     EXIT.
142600*
142700 W330-EDIT-CUSTOMER-PHONE.
142800*
142900     MOVE DFHBMDAS               TO MM08-CUSTOMER-PHONE-LP-A
143000                                    MM08-CUSTOMER-PHONE-RP-A.
143100     MOVE DFHBMASK               TO MM08-CUSTOMER-PHONE-A.
143200*
143300     PERFORM Y335-CUSTOMER-PHONE-SECURITY
143400                                 THRU Y339-EXIT.
143500*
143600     IF  MM08-CUSTOMER-PHONE-L   IS GREATER THAN ZERO
143700         MOVE DFHBMASF           TO MM08-CUSTOMER-PHONE-A
143800     ELSE
143900         MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
144000                                 TO MM08-CUSTOMER-PHONE.
144100*
144200     IF  MBCA-PTI-FUNCTION-IS-MAINT
144300     OR  MM08-CUSTOMER-PHONE-L
144400                              IS GREATER THAN ZERO
144500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
144600         GO TO W339-EXIT.
144700*
144800 W338-CUSTOMER-PHONE-ERROR.
144900*
145000     IF  MM08-CUSTOMER-PHONE-L IS GREATER THAN ZERO
145100         MOVE DFHBMUBF           TO MM08-CUSTOMER-PHONE-A
145200     ELSE
145300         MOVE DFHBMBRY           TO MM08-CUSTOMER-PHONE-A.
145400*
145500     SET SS08WS-ERROR-SW-YES     TO TRUE.
145600     MOVE DFHBMASB               TO MM08-CUSTOMER-PHONE-LP-A
145700                                    MM08-CUSTOMER-PHONE-RP-A.
145800     MOVE SS08WS-CURSOR          TO MM08-CUSTOMER-PHONE-L.
145900*
146000 W339-EXIT.
146100     EXIT.
146200*
146300 W350-EDIT-CUSTOMER-FAX.
146400*
146500     MOVE DFHBMDAS               TO MM08-CUSTOMER-FAX-LP-A
146600                                    MM08-CUSTOMER-FAX-RP-A.
146700     MOVE DFHBMASK               TO MM08-CUSTOMER-FAX-A.
146800*
146900     PERFORM Y355-CUSTOMER-FAX-SECURITY
147000                                 THRU Y359-EXIT.
147100*
147200     IF  MM08-CUSTOMER-FAX-L
147300                            IS GREATER THAN ZERO
147400         MOVE DFHBMASF           TO MM08-CUSTOMER-FAX-A
147500     ELSE
147600         MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
147700                                 TO MM08-CUSTOMER-FAX.
147800*
147900     IF  MBCA-PTI-FUNCTION-IS-MAINT
148000     OR  MM08-CUSTOMER-FAX-L
148100                            IS GREATER THAN ZERO
148200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
148300         GO TO W359-EXIT.
148400*
148500 W358-CUSTOMER-FAX-ERROR.
148600*
148700     IF  MM08-CUSTOMER-FAX-L IS GREATER THAN ZERO
148800         MOVE DFHBMUBF           TO MM08-CUSTOMER-FAX-A
148900     ELSE
149000         MOVE DFHBMBRY           TO MM08-CUSTOMER-FAX-A.
149100*
149200     SET SS08WS-ERROR-SW-YES     TO TRUE.
149300     MOVE DFHBMASB               TO MM08-CUSTOMER-FAX-LP-A
149400                                    MM08-CUSTOMER-FAX-RP-A.
149500     MOVE SS08WS-CURSOR          TO MM08-CUSTOMER-FAX-L.
149600*
149700 W359-EXIT.
149800     EXIT.
149900*
150000 W370-EDIT-SOLE-PROP-LAST.
150100*
150200     MOVE DFHBMDAS               TO MM08-SOLE-PROP-LAST-LP-A
150300                                    MM08-SOLE-PROP-LAST-RP-A.
150400     MOVE DFHBMASK               TO MM08-SOLE-PROP-LAST-A.
150500*
150600     PERFORM Y375-SOLE-PROP-LAST-SECURITY
150700                                 THRU Y379-EXIT.
150800*
150900     IF  MM08-SOLE-PROP-LAST-L IS GREATER THAN ZERO
151000         MOVE DFHBMASF           TO MM08-SOLE-PROP-LAST-A
151100     ELSE
151200         MOVE MMMM-SOLE-PROP-LAST
151300                                 TO MM08-SOLE-PROP-LAST.
151400*
151500     IF  MBCA-PTI-FUNCTION-IS-MAINT
151600     OR  MM08-SOLE-PROP-LAST-L GREATER THAN ZERO
151700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
151800         GO TO W379-EXIT.
151900*
152000 W378-SOLE-PROP-LAST-ERROR.
152100*
152200     IF  MM08-SOLE-PROP-LAST-L IS GREATER THAN ZERO
152300         MOVE DFHBMUBF           TO MM08-SOLE-PROP-LAST-A
152400     ELSE
152500         MOVE DFHBMBRY           TO MM08-SOLE-PROP-LAST-A.
152600*
152700     SET SS08WS-ERROR-SW-YES     TO TRUE.
152800     MOVE DFHBMASB               TO MM08-SOLE-PROP-LAST-LP-A
152900                                    MM08-SOLE-PROP-LAST-RP-A.
153000     MOVE SS08WS-CURSOR          TO MM08-SOLE-PROP-LAST-L.
153100*
153200 W379-EXIT.
153300     EXIT.
153400*
153500 W390-EDIT-SOLE-PROP-FIRST.
153600*
153700     MOVE DFHBMDAS               TO MM08-SOLE-PROP-FIRST-LP-A
153800                                    MM08-SOLE-PROP-FIRST-RP-A.
153900     MOVE DFHBMASK               TO MM08-SOLE-PROP-FIRST-A.
154000*
154100     PERFORM Y395-SOLE-PROP-FIRST-SECURITY
154200                                 THRU Y399-EXIT.
154300*
154400     IF  MM08-SOLE-PROP-FIRST-L IS GREATER THAN ZERO
154500         MOVE DFHBMASF           TO MM08-SOLE-PROP-FIRST-A
154600     ELSE
154700         MOVE MMMM-SOLE-PROP-FIRST
154800                                 TO MM08-SOLE-PROP-FIRST.
154900*
155000     IF  MBCA-PTI-FUNCTION-IS-MAINT
155100     OR  MM08-SOLE-PROP-FIRST-L GREATER THAN ZERO
155200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
155300         GO TO W399-EXIT.
155400*
155500 W398-SOLE-PROP-FIRST-ERROR.
155600*
155700     IF  MM08-SOLE-PROP-FIRST-L IS GREATER THAN ZERO
155800         MOVE DFHBMUBF           TO MM08-SOLE-PROP-FIRST-A
155900     ELSE
156000         MOVE DFHBMBRY           TO MM08-SOLE-PROP-FIRST-A.
156100*
156200     SET SS08WS-ERROR-SW-YES     TO TRUE.
156300     MOVE DFHBMASB               TO MM08-SOLE-PROP-FIRST-LP-A
156400                                    MM08-SOLE-PROP-FIRST-RP-A.
156500     MOVE SS08WS-CURSOR          TO MM08-SOLE-PROP-FIRST-L.
156600*
156700 W399-EXIT.
156800     EXIT.
156900*
157000 W410-EDIT-SOLE-PROP-INIT.
157100*
157200     MOVE DFHBMDAS               TO MM08-SOLE-PROP-INIT-LP-A
157300                                    MM08-SOLE-PROP-INIT-RP-A.
157400     MOVE DFHBMASK               TO MM08-SOLE-PROP-INIT-A.
157500*
157600     PERFORM Y415-SOLE-PROP-INIT-SECURITY
157700                                 THRU Y419-EXIT.
157800*
157900     IF  MM08-SOLE-PROP-INIT-L IS GREATER THAN ZERO
158000         MOVE DFHBMASF           TO MM08-SOLE-PROP-INIT-A
158100     ELSE
158200         MOVE MMMM-SOLE-PROP-INITIAL
158300                                 TO MM08-SOLE-PROP-INIT.
158400*
158500     IF  MBCA-PTI-FUNCTION-IS-MAINT
158600     OR  MM08-SOLE-PROP-INIT-L GREATER THAN ZERO
158700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
158800         GO TO W419-EXIT.
158900*
159000 W418-SOLE-PROP-INIT-ERROR.
159100*
159200     IF  MM08-SOLE-PROP-INIT-L IS GREATER THAN ZERO
159300         MOVE DFHBMUBF           TO MM08-SOLE-PROP-INIT-A
159400     ELSE
159500         MOVE DFHBMBRY           TO MM08-SOLE-PROP-INIT-A.
159600*
159700     SET SS08WS-ERROR-SW-YES     TO TRUE.
159800     MOVE DFHBMASB               TO MM08-SOLE-PROP-INIT-LP-A
159900                                    MM08-SOLE-PROP-INIT-RP-A.
160000     MOVE SS08WS-CURSOR          TO MM08-SOLE-PROP-INIT-L.
160100*
160200 W419-EXIT.
160300     EXIT.
160302*                                                                 RG802901
160304 W420-EDIT-URL-EMAIL.                                             RG802901
160306*                                                                 RG802901
160308     MOVE DFHBMDAS               TO MM08-URL-EMAIL-LP-A           RG802901
160310                                    MM08-URL-EMAIL-RP-A.          RG802901
160312     MOVE DFHBMASK               TO MM08-URL-EMAIL-A.             RG802901
160314*                                                                 RG802901
160316     PERFORM Y425-URL-EMAIL-SECURITY                              RG802901
160318                                 THRU Y429-EXIT.                  RG802901
160320*                                                                 RG802901
160322     IF  MM08-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
160324         MOVE DFHBMASF           TO MM08-URL-EMAIL-A              RG802901
160326     ELSE                                                         RG802901
160328         MOVE MMMM-URL-EMAIL     TO MM08-URL-EMAIL.               RG802901
160332*                                                                 RG802901
160334     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
160336     OR  MM08-URL-EMAIL-L GREATER THAN ZERO                       RG802901
160338     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG802901
160340         GO TO W429-EXIT.                                         RG802901
160342*                                                                 RG802901
160344 W428-URL-EMAIL-ERROR.                                            RG802901
160346*                                                                 RG802901
160348     IF  MM08-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
160350         MOVE DFHBMUBF           TO MM08-URL-EMAIL-A              RG802901
160352     ELSE                                                         RG802901
160354         MOVE DFHBMBRY           TO MM08-URL-EMAIL-A.             RG802901
160356*                                                                 RG802901
160358     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG802901
160360     MOVE DFHBMASB               TO MM08-URL-EMAIL-LP-A           RG802901
160362                                    MM08-URL-EMAIL-RP-A.          RG802901
160364     MOVE SS08WS-CURSOR          TO MM08-URL-EMAIL-L.             RG802901
160366*                                                                 RG802901
160368 W429-EXIT.                                                       RG802901
160370     EXIT.                                                        RG802901
160400*
160500 W430-EDIT-VISIT-REP-OPER.
160600*
160700     MOVE DFHBMDAS               TO MM08-VISIT-OPERATOR-LP-A
160800                                    MM08-VISIT-OPERATOR-RP-A.
160900     MOVE DFHBMASK               TO MM08-VISIT-OPERATOR-A.
161000*
161100     PERFORM Y435-VISIT-REP-OPER-SECURITY
161200                                 THRU Y439-EXIT.
161300*
161400     IF  MM08-VISIT-OPERATOR-L IS GREATER THAN ZERO
161500         MOVE DFHBMASF           TO MM08-VISIT-OPERATOR-A
161600     ELSE
161700         MOVE MMMM-VISIT-REP-OPER
161800                                 TO MM08-VISIT-OPERATOR.
161900*
162000     IF  MBCA-PTI-FUNCTION-IS-MAINT
162100     OR  MM08-VISIT-OPERATOR-L IS GREATER THAN ZERO
162200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
162300         GO TO W439-EXIT.
162400*
162500 W438-VISIT-REP-OPER-ERROR.
162600*
162700     IF  MM08-VISIT-OPERATOR-L IS GREATER THAN ZERO
162800         MOVE DFHBMUBF           TO MM08-VISIT-OPERATOR-A
162900     ELSE
163000         MOVE DFHBMBRY           TO MM08-VISIT-OPERATOR-A.
163100*
163200     SET SS08WS-ERROR-SW-YES     TO TRUE.
163300     MOVE DFHBMASB               TO MM08-VISIT-OPERATOR-LP-A
163400                                    MM08-VISIT-OPERATOR-RP-A.
163500     MOVE SS08WS-CURSOR          TO MM08-VISIT-OPERATOR-L.
163600*
163700 W439-EXIT.
163800     EXIT.
163900*
164000 W450-EDIT-VISIT-REP-NAME.
164100*
164200     MOVE DFHBMDAS               TO MM08-VISIT-REP-NAME-LP-A
164300                                    MM08-VISIT-REP-NAME-RP-A.
164400     MOVE DFHBMASK               TO MM08-VISIT-REP-NAME-A.
164500*
164600     PERFORM Y455-VISIT-REP-NAME-SECURITY
164700                                 THRU Y459-EXIT.
164800*
164900     IF  MM08-VISIT-REP-NAME-L IS GREATER THAN ZERO
165000         MOVE DFHBMASF           TO MM08-VISIT-REP-NAME-A
165100     ELSE
165200         MOVE MMMM-VISIT-REP-NAME
165300                                 TO MM08-VISIT-REP-NAME.
165400*
165500     IF  MBCA-PTI-FUNCTION-IS-MAINT
165600     OR  MM08-VISIT-REP-NAME-L IS GREATER THAN ZERO
165700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
165800         GO TO W459-EXIT.
165900*
166000 W458-VISIT-REP-NAME-ERROR.
166100*
166200     IF  MM08-VISIT-REP-NAME-L IS GREATER THAN ZERO
166300         MOVE DFHBMUBF           TO MM08-VISIT-REP-NAME-A
166400     ELSE
166500         MOVE DFHBMBRY           TO MM08-VISIT-REP-NAME-A.
166600*
166700     SET SS08WS-ERROR-SW-YES     TO TRUE.
166800     MOVE DFHBMASB               TO MM08-VISIT-REP-NAME-LP-A
166900                                    MM08-VISIT-REP-NAME-RP-A.
167000     MOVE SS08WS-CURSOR          TO MM08-VISIT-REP-NAME-L.
167100*
167200 W459-EXIT.
167300     EXIT.
167400*
167500 W470-EDIT-VISIT-FREQ.
167600*
167700     MOVE DFHBMDAS               TO MM08-VISIT-FREQ-LP-A
167800                                    MM08-VISIT-FREQ-RP-A.
167900     MOVE DFHBMASK               TO MM08-VISIT-FREQ-A.
168000*
168100     PERFORM Y475-VISIT-FREQ-SECURITY
168200                                 THRU Y479-EXIT.
168300*
168400     IF  MM08-VISIT-FREQ-L IS GREATER THAN ZERO
168500         MOVE DFHBMASF           TO MM08-VISIT-FREQ-A
168600     ELSE
168700         MOVE MMMM-VISIT-FREQ    TO MM08-VISIT-FREQ.
168800*
168900     IF  MM08-VISIT-FREQ IS NUMERIC
169000         NEXT SENTENCE
169100     ELSE
169200         GO TO W478-VISIT-FREQ-ERROR.
169300*
169400     IF  MBCA-PTI-FUNCTION-IS-MAINT
169500     OR  MM08-VISIT-FREQ-L IS GREATER THAN ZERO
169600     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
169700         GO TO W479-EXIT.
169800*
169900 W478-VISIT-FREQ-ERROR.
170000*
170100     IF  MM08-VISIT-FREQ-L IS GREATER THAN ZERO
170200         MOVE DFHBMNBF           TO MM08-VISIT-FREQ-A
170300     ELSE
170400         MOVE DFHBMUNB           TO MM08-VISIT-FREQ-A.
170500*
170600     SET SS08WS-ERROR-SW-YES     TO TRUE.
170700     SET VISIT-ERRORS-EXIST      TO TRUE.
170800     MOVE DFHBMASB               TO MM08-VISIT-FREQ-LP-A
170900                                    MM08-VISIT-FREQ-RP-A.
171000     MOVE SS08WS-CURSOR          TO MM08-VISIT-FREQ-L.
171100*
171200 W479-EXIT.
171300     EXIT.
171400*
171500 W490-EDIT-DATE-LAST-VISIT.
171600*
171700     MOVE DFHBMDAS               TO MM08-LAST-VISIT-LP-A
171800                                    MM08-LAST-VISIT-RP-A.
171900     MOVE DFHBMASK               TO MM08-LAST-VISIT-A.
172000*
172100     PERFORM Y495-DATE-LAST-VISIT-SECURITY
172200                                 THRU Y499-EXIT.
172300*
172400     IF  MM08-LAST-VISIT-L IS GREATER THAN ZERO
172500         MOVE DFHBMASF           TO MM08-LAST-VISIT-A
172600     ELSE
172700         MOVE MMMM-DATE-LAST-VISIT
172800                                 TO SS01WS-JULIAN
172900         PERFORM SS08PD-JUL-TO-GREG
173000                                 THRU SS08PD-JTG-EXIT
173100         MOVE SS01WS-DATE        TO MM08-LAST-VISIT.
173200*
173300     IF  MM08-LAST-VISIT IS NOT NUMERIC
173400         GO TO W498-DATE-LAST-VISIT-ERROR.
173500*
173600     IF  MM08-LAST-VISIT IS LESS THAN 1000000
173700         MOVE MM08-LAST-VISIT    TO SS01WS-MDY
173800         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
173900     ELSE
174000         MOVE MM08-LAST-VISIT    TO SS01WS-DATE.
174100*
174200     PERFORM SS05PD-DATE-VALIDATION
174300                                 THRU SS05PD-DV-EXIT.
174400*
174500     IF  SS01WS-DATE-IS-INVALID
174600         GO TO W498-DATE-LAST-VISIT-ERROR
174700     ELSE
174800         MOVE SS01WS-DATE        TO MM08-LAST-VISIT.
174900*
175000     IF  MBCA-PTI-FUNCTION-IS-MAINT
175100     OR  MM08-LAST-VISIT-L IS GREATER THAN ZERO
175200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
175300         GO TO W499-EXIT.
175400*
175500 W498-DATE-LAST-VISIT-ERROR.
175600*
175700     IF  MM08-LAST-VISIT-L IS GREATER THAN ZERO
175800         MOVE DFHBMNBF           TO MM08-LAST-VISIT-A
175900     ELSE
176000         MOVE DFHBMUNB           TO MM08-LAST-VISIT-A.
176100*
176200     SET SS08WS-ERROR-SW-YES     TO TRUE.
176300     SET VISIT-ERRORS-EXIST      TO TRUE.
176400     MOVE DFHBMASB               TO MM08-LAST-VISIT-LP-A
176500                                    MM08-LAST-VISIT-RP-A.
176600     MOVE SS08WS-CURSOR          TO MM08-LAST-VISIT-L.
176700*
176800 W499-EXIT.
176900     EXIT.
177000*
177100 W510-EDIT-REVIEW-REP-OPER.
177200*
177300     MOVE DFHBMDAS               TO MM08-REVIEW-OPERATOR-LP-A
177400                                    MM08-REVIEW-OPERATOR-RP-A.
177500     MOVE DFHBMASK               TO MM08-REVIEW-OPERATOR-A.
177600*
177700     PERFORM Y535-REVIEW-REP-OPER-SECURITY
177800                                 THRU Y539-EXIT.
177900*
178000     IF  MM08-REVIEW-OPERATOR-L IS GREATER THAN ZERO
178100         MOVE DFHBMASF           TO MM08-REVIEW-OPERATOR-A
178200     ELSE
178300         MOVE MMMM-REVIEW-REP-OPER
178400                                 TO MM08-REVIEW-OPERATOR.
178500*
178600     IF  MBCA-PTI-FUNCTION-IS-MAINT
178700     OR  MM08-REVIEW-OPERATOR-L IS GREATER THAN ZERO
178800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
178900         GO TO W519-EXIT.
179000*
179100 W518-REVIEW-REP-OPER-ERROR.
179200*
179300     IF  MM08-REVIEW-OPERATOR-L IS GREATER THAN ZERO
179400         MOVE DFHBMUBF           TO MM08-REVIEW-OPERATOR-A
179500     ELSE
179600         MOVE DFHBMBRY           TO MM08-REVIEW-OPERATOR-A.
179700*
179800     SET SS08WS-ERROR-SW-YES     TO TRUE.
179900     MOVE DFHBMASB               TO MM08-REVIEW-OPERATOR-LP-A
180000                                    MM08-REVIEW-OPERATOR-RP-A.
180100     MOVE SS08WS-CURSOR          TO MM08-REVIEW-OPERATOR-L.
180200*
180300 W519-EXIT.
180400     EXIT.
180500*
180600 W530-EDIT-REVIEW-REP-NAME.
180700*
180800     MOVE DFHBMDAS               TO MM08-REVIEW-REP-NAME-LP-A
180900                                    MM08-REVIEW-REP-NAME-RP-A.
181000     MOVE DFHBMASK               TO MM08-REVIEW-REP-NAME-A.
181100*
181200     PERFORM Y555-REVIEW-REP-NAME-SECURITY
181300                                 THRU Y559-EXIT.
181400*
181500     IF  MM08-REVIEW-REP-NAME-L IS GREATER THAN ZERO
181600         MOVE DFHBMASF           TO MM08-REVIEW-REP-NAME-A
181700     ELSE
181800         MOVE MMMM-REVIEW-REP-NAME
181900                                 TO MM08-REVIEW-REP-NAME.
182000*
182100     IF  MBCA-PTI-FUNCTION-IS-MAINT
182200     OR  MM08-REVIEW-REP-NAME-L IS GREATER THAN ZERO
182300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
182400         GO TO W539-EXIT.
182500*
182600 W538-REVIEW-REP-NAME-ERROR.
182700*
182800     IF  MM08-REVIEW-REP-NAME-L IS GREATER THAN ZERO
182900         MOVE DFHBMUBF           TO MM08-REVIEW-REP-NAME-A
183000     ELSE
183100         MOVE DFHBMBRY           TO MM08-REVIEW-REP-NAME-A.
183200*
183300     SET SS08WS-ERROR-SW-YES     TO TRUE.
183400     MOVE DFHBMASB               TO MM08-REVIEW-REP-NAME-LP-A
183500                                    MM08-REVIEW-REP-NAME-RP-A.
183600     MOVE SS08WS-CURSOR          TO MM08-REVIEW-REP-NAME-L.
183700*
183800 W539-EXIT.
183900     EXIT.
184000*
184100 W550-EDIT-REVIEW-FREQ.
184200*
184300     MOVE DFHBMDAS               TO MM08-REVIEW-FREQ-LP-A
184400                                    MM08-REVIEW-FREQ-RP-A.
184500     MOVE DFHBMASK               TO MM08-REVIEW-FREQ-A.
184600*
184700     PERFORM Y575-REVIEW-FREQ-SECURITY
184800                                 THRU Y579-EXIT.
184900*
185000     IF  MM08-REVIEW-FREQ-L IS GREATER THAN ZERO
185100         MOVE DFHBMASF           TO MM08-REVIEW-FREQ-A
185200     ELSE
185300         MOVE MMMM-REVIEW-FREQ   TO MM08-REVIEW-FREQ.
185400*
185500     IF  MM08-REVIEW-FREQ IS NUMERIC
185600         NEXT SENTENCE
185700     ELSE
185800         GO TO W558-REVIEW-FREQ-ERROR.
185900*
186000     IF  MBCA-PTI-FUNCTION-IS-MAINT
186100     OR  MM08-REVIEW-FREQ-L IS GREATER THAN ZERO
186200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
186300         GO TO W559-EXIT.
186400*
186500 W558-REVIEW-FREQ-ERROR.
186600*
186700     IF  MM08-REVIEW-FREQ-L IS GREATER THAN ZERO
186800         MOVE DFHBMNBF           TO MM08-REVIEW-FREQ-A
186900     ELSE
187000         MOVE DFHBMUNB           TO MM08-REVIEW-FREQ-A.
187100*
187200     SET SS08WS-ERROR-SW-YES     TO TRUE.
187300     SET REVIEW-ERRORS-EXIST     TO TRUE.
187400     MOVE DFHBMASB               TO MM08-REVIEW-FREQ-LP-A
187500                                    MM08-REVIEW-FREQ-RP-A.
187600     MOVE SS08WS-CURSOR          TO MM08-REVIEW-FREQ-L.
187700*
187800 W559-EXIT.
187900     EXIT.
188000*
188100 W570-EDIT-DATE-LAST-REVIEW.
188200*
188300     MOVE DFHBMDAS               TO MM08-LAST-REVIEW-LP-A
188400                                    MM08-LAST-REVIEW-RP-A.
188500     MOVE DFHBMASK               TO MM08-LAST-REVIEW-A.
188600*
188700     PERFORM Y595-DATE-LAST-REVIEW-SECURITY
188800                                 THRU Y599-EXIT.
188900*
189000     IF  MM08-LAST-REVIEW-L IS GREATER THAN ZERO
189100         MOVE DFHBMASF           TO MM08-LAST-REVIEW-A
189200     ELSE
189300         MOVE MMMM-DATE-LAST-REVIEW
189400                                 TO SS01WS-JULIAN
189500         PERFORM SS08PD-JUL-TO-GREG
189600                                 THRU SS08PD-JTG-EXIT
189700         MOVE SS01WS-DATE        TO MM08-LAST-REVIEW.
189800*
189900     IF  MM08-LAST-REVIEW IS NOT NUMERIC
190000         GO TO W578-DATE-LAST-REVIEW-ERROR.
190100*
190200     IF  MM08-LAST-REVIEW IS LESS THAN 1000000
190300         MOVE MM08-LAST-REVIEW   TO SS01WS-MDY
190400         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
190500     ELSE
190600         MOVE MM08-LAST-REVIEW   TO SS01WS-DATE.
190700*
190800     PERFORM SS05PD-DATE-VALIDATION
190900                                 THRU SS05PD-DV-EXIT.
191000*
191100     IF  SS01WS-DATE-IS-INVALID
191200         GO TO W578-DATE-LAST-REVIEW-ERROR
191300     ELSE
191400         MOVE SS01WS-DATE        TO MM08-LAST-REVIEW.
191500*
191600     IF  MBCA-PTI-FUNCTION-IS-MAINT
191700     OR  MM08-LAST-REVIEW-L IS GREATER THAN ZERO
191800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
191900         GO TO W579-EXIT.
192000*
192100 W578-DATE-LAST-REVIEW-ERROR.
192200*
192300     IF  MM08-LAST-REVIEW-L IS GREATER THAN ZERO
192400         MOVE DFHBMNBF           TO MM08-LAST-REVIEW-A
192500     ELSE
192600         MOVE DFHBMUNB           TO MM08-LAST-REVIEW-A.
192700*
192800     SET SS08WS-ERROR-SW-YES     TO TRUE.
192900     SET REVIEW-ERRORS-EXIST     TO TRUE.
193000     MOVE DFHBMASB               TO MM08-LAST-REVIEW-LP-A
193100                                    MM08-LAST-REVIEW-RP-A.
193200     MOVE SS08WS-CURSOR          TO MM08-LAST-REVIEW-L.
193300*
193400 W579-EXIT.
193500     EXIT.
193600*
193700 W610-VISIT-CROSS-EDITS.
193800*
193900*********************************************************
194000*                                                       *
194100*    THE VISIT CROSS EDITS ARE AS FOLLOWS:              *
194200*                                                       *
194300*    . THE NEXT VISIT DATE WILL ALWAYS BE CALCULATED    *
194400*      BY THE FREQ AND DATE LAST.                       *
194500*                                                       *
194600*    . IF NEXT VISIT IS THEN GREATER THAN TODAYS        *
194700*      PROCESSING IT IS OK ELSE BOTH FREQ AND DATE      *
194800*      LAST WILL BE HIGLIGHTED FOR RE-ENTRY.            *
194900*                                                       *
195000*    . IF THE USER ENTERS THE FREQ WITH NO DATE LAST    *
195100*      THE FREQ WILL BE ADDED TO TODAYS PROCESSING      *
195200*      TO CREATE DATE NEXT.                             *
195300*                                                       *
195400*********************************************************
195500*
195600*
195700     IF  VISIT-ERRORS-EXIST
195800         GO TO W619-VCE-EXIT.
195900*
196000**********************************************************
196100*    CALCULATE THE NEXT VISIT DATE IF THE LAST VISIT     *
196200*    DATE WAS ENTERED OR THE VISIT FREQUENCY WAS         *
196300*    CHANGED, AND THE NEXT VISIT DATE WAS NOT ENTERED    *
196400**********************************************************
196500*
196600     IF  MM08-VISIT-FREQ-L IS EQUAL TO ZERO
196700     AND MM08-LAST-VISIT-L IS EQUAL TO ZERO
196800         GO TO W611-CHECK-DATES.
196900*
197000     IF  MM08-VISIT-FREQ IS EQUAL TO ZEROES
197100         GO TO W611-CHECK-DATES.
197200*
197300********************************
197400*    SET THE BEGINNING DATE    *
197500********************************
197600*
197700     IF  MM08-LAST-VISIT IS EQUAL TO ZEROES
197800         MOVE MMOC-TODAYS-JULIAN
197900                                 TO SS01WS-JULIAN
198000         PERFORM SS08PD-JUL-TO-GREG
198100                                 THRU SS08PD-JTG-EXIT
198200         MOVE SS01WS-DATE        TO MM08-LAST-VISIT
198300         MOVE +8                 TO MM08-LAST-VISIT-L
198400         MOVE MMOC-TODAYS-JULIAN
198500                                 TO SS01WS-JULIAN
198600     ELSE
198700         MOVE MM08-LAST-VISIT    TO SS01WS-DATE
198800         PERFORM SS07PD-GREG-TO-JUL
198900                                 THRU SS07PD-GTJ-EXIT.
199000*
199100********************************
199200*    CALCULATE THE NEW DATE    *
199300********************************
199400*
199500     MOVE MM08-VISIT-FREQ        TO SS01WS-FREQ.
199600     MOVE 'M'                    TO SS01WS-PERIOD.
199700     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
199800     PERFORM SS03PD-FUTURE-DATE  THRU SS03PD-FD-EXIT.
199900*
200000     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
200100         THRU SS26PD-NED-EXIT.
200200     MOVE SS01WS-XX-XX-YYYY      TO MM08-NEXT-VISIT.
200300     SET VISIT-DATE-WAS-CALCULATED
200400                                 TO TRUE.
200500*
200600 W611-CHECK-DATES.
200700*
200800     MOVE MM08-LAST-VISIT        TO SS01WS-DATE.
200900     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
201000     MOVE SS01WS-JULIAN          TO MMMM-DATE-LAST-VISIT.
201100*
201200     IF  VISIT-DATE-WAS-CALCULATED
201300         MOVE MM08-NEXT-VISIT(1:2)
201400                                 TO SS01WS-DATEZ(1:2)
201500         MOVE MM08-NEXT-VISIT(4:2)
201600                                 TO SS01WS-DATEZ(3:2)
201700         MOVE MM08-NEXT-VISIT(7:4)
201800                                 TO SS01WS-DATEZ(5:4)
201900         PERFORM SS07PD-GREG-TO-JUL
202000                                 THRU SS07PD-GTJ-EXIT
202100         MOVE SS01WS-JULIAN      TO MMMM-DATE-NEXT-VISIT.
202200*
202300     IF  MMMM-DATE-LAST-VISIT IS GREATER
202400                                 THAN MMOC-TODAYS-JULIAN
202500         GO TO W618-VISIT-CROSS-EDIT-ERROR.
202600*
202700     IF  MMMM-DATE-NEXT-VISIT IS EQUAL TO ZEROES
202800         GO TO W619-VCE-EXIT.
202900*
203000     IF  VISIT-DATE-WAS-CALCULATED
203100         IF  MMMM-DATE-NEXT-VISIT IS NOT GREATER
203200                                 THAN MMOC-TODAYS-JULIAN
203300             GO TO W618-VISIT-CROSS-EDIT-ERROR.
203400*
203500     IF  VISIT-DATE-WAS-CALCULATED
203600         MOVE +8                 TO MM08-NEXT-VISIT-L.
203700*
203800     GO TO W619-VCE-EXIT.
203900*
204000 W618-VISIT-CROSS-EDIT-ERROR.
204100*
204200     SET SS08WS-ERROR-SW-YES     TO TRUE.
204300     SET VISIT-ERRORS-EXIST      TO TRUE.
204400     MOVE DFHBMASB               TO MM08-VISIT-FREQ-LP-A
204500                                    MM08-VISIT-FREQ-RP-A
204600                                    MM08-LAST-VISIT-LP-A
204700                                    MM08-LAST-VISIT-RP-A.
204800*
204900     IF  MM08-VISIT-FREQ-L IS GREATER THAN ZERO
205000         MOVE DFHBMNBF           TO MM08-VISIT-FREQ-A
205100     ELSE
205200         MOVE DFHBMUNB           TO MM08-VISIT-FREQ-A.
205300*
205400     IF  MM08-LAST-VISIT-L IS GREATER THAN ZERO
205500         MOVE DFHBMNBF           TO MM08-LAST-VISIT-A
205600     ELSE
205700         MOVE DFHBMUNB           TO MM08-LAST-VISIT-A.
205800*
205900     MOVE SS08WS-CURSOR          TO MM08-VISIT-FREQ-L.
206000*
206100 W619-VCE-EXIT.
206200     EXIT.
206300*
206400 W620-REVIEW-CROSS-EDITS.
206500*
206600*********************************************************
206700*                                                       *
206800*    THE REVIEW CROSS EDITS ARE AS FOLLOWS:             *
206900*                                                       *
207000*    . THE NEXT VISIT DATE WILL ALWAYS BE CALCULATED    *
207100*      BY THE FREQ AND DATE LAST.                       *
207200*                                                       *
207300*    . IF NEXT VISIT IS THEN GREATER THAN TODAYS        *
207400*      PROCESSING IT IS OK ELSE BOTH FREQ AND DATE      *
207500*      LAST WILL BE HIGLIGHTED FOR RE-ENTRY.            *
207600*                                                       *
207700*    . IF THE USER ENTERS THE FREQ WITH NO DATE LAST    *
207800*      THE FREQ WILL BE ADDED TO TODAYS PROCESSING      *
207900*      TO CREATE DATE NEXT.                             *
208000*                                                       *
208100*********************************************************
208200*
208300     IF  REVIEW-ERRORS-EXIST
208400         GO TO W629-RCE-EXIT.
208500*
208600**********************************************************
208700*    CALCULATE THE NEXT REVIEW DATE IF THE LAST REVIEW   *
208800*    DATE WAS ENTERED OR THE REVIEW FREQUENCY WAS        *
208900*    CHANGED, AND THE NEXT REVIEW DATE WAS NOT ENTERED   *
209000**********************************************************
209100*
209200     IF  MM08-REVIEW-FREQ-L IS EQUAL TO ZERO
209300     AND MM08-LAST-REVIEW-L IS EQUAL TO ZERO
209400         GO TO W621-CHECK-DATES.
209500*
209600     IF  MM08-REVIEW-FREQ IS EQUAL TO ZEROES
209700         GO TO W621-CHECK-DATES.
209800*
209900********************************
210000*    SET THE BEGINNING DATE    *
210100********************************
210200*
210300     IF  MM08-LAST-REVIEW IS EQUAL TO ZEROES
210400         MOVE MMOC-TODAYS-JULIAN
210500                                 TO SS01WS-JULIAN
210600         PERFORM SS08PD-JUL-TO-GREG
210700                                 THRU SS08PD-JTG-EXIT
210800         MOVE SS01WS-DATE        TO MM08-LAST-REVIEW
210900         MOVE +8                 TO MM08-LAST-REVIEW-L
211000         MOVE MMOC-TODAYS-JULIAN
211100                                 TO SS01WS-JULIAN
211200     ELSE
211300         MOVE MM08-LAST-REVIEW   TO SS01WS-DATE
211400         PERFORM SS07PD-GREG-TO-JUL
211500                                 THRU SS07PD-GTJ-EXIT.
211600*
211700********************************
211800*    CALCULATE THE NEW DATE    *
211900********************************
212000*
212100     MOVE MM08-REVIEW-FREQ       TO SS01WS-FREQ.
212200     MOVE 'M'                    TO SS01WS-PERIOD.
212300     MOVE ZERO                   TO SS01WS-DAY-OF-MON.
212400     PERFORM SS03PD-FUTURE-DATE  THRU SS03PD-FD-EXIT.
212500     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
212600        THRU SS26PD-NED-EXIT.
212700     MOVE SS01WS-XX-XX-YYYY      TO MM08-NEXT-REVIEW.
212800     SET REVIEW-DATE-WAS-CALCULATED
212900                                 TO TRUE.
213000*
213100 W621-CHECK-DATES.
213200*
213300     MOVE MM08-LAST-REVIEW       TO SS01WS-DATE.
213400     PERFORM SS07PD-GREG-TO-JUL  THRU SS07PD-GTJ-EXIT.
213500     MOVE SS01WS-JULIAN          TO MMMM-DATE-LAST-REVIEW.
213600*
213700     IF  REVIEW-DATE-WAS-CALCULATED
213800         MOVE MM08-NEXT-REVIEW(1:2)
213900                                 TO SS01WS-DATEZ(1:2)
214000         MOVE MM08-NEXT-REVIEW(4:2)
214100                                 TO SS01WS-DATEZ(3:2)
214200         MOVE MM08-NEXT-REVIEW(7:4)
214300                                 TO SS01WS-DATEZ(5:4)
214400         PERFORM SS07PD-GREG-TO-JUL
214500                                 THRU SS07PD-GTJ-EXIT
214600         MOVE SS01WS-JULIAN      TO MMMM-DATE-NEXT-REVIEW.
214700*
214800     IF  MMMM-DATE-LAST-REVIEW IS GREATER
214900                                 THAN MMOC-TODAYS-JULIAN
215000         GO TO W628-REVIEW-CROSS-EDIT-ERROR.
215100*
215200     IF  MMMM-DATE-NEXT-REVIEW IS EQUAL TO ZEROES
215300         GO TO W629-RCE-EXIT.
215400*
215500     IF  REVIEW-DATE-WAS-CALCULATED
215600         IF  MMMM-DATE-NEXT-REVIEW IS NOT GREATER
215700                                 THAN MMOC-TODAYS-JULIAN
215800             GO TO W628-REVIEW-CROSS-EDIT-ERROR.
215900*
216000     IF  REVIEW-DATE-WAS-CALCULATED
216100         MOVE +8                 TO MM08-NEXT-REVIEW-L.
216200*
216300     GO TO W629-RCE-EXIT.
216400*
216500 W628-REVIEW-CROSS-EDIT-ERROR.
216600*
216700     SET SS08WS-ERROR-SW-YES     TO TRUE.
216800     SET REVIEW-ERRORS-EXIST     TO TRUE.
216900     MOVE DFHBMASB               TO MM08-REVIEW-FREQ-LP-A
217000                                    MM08-REVIEW-FREQ-RP-A
217100                                    MM08-LAST-REVIEW-LP-A
217200                                    MM08-LAST-REVIEW-RP-A.
217300*
217400     IF  MM08-REVIEW-FREQ-L IS GREATER THAN ZERO
217500         MOVE DFHBMNBF           TO MM08-REVIEW-FREQ-A
217600     ELSE
217700         MOVE DFHBMUNB           TO MM08-REVIEW-FREQ-A.
217800*
217900     IF  MM08-LAST-REVIEW-L IS GREATER THAN ZERO
218000         MOVE DFHBMNBF           TO MM08-LAST-REVIEW-A
218100     ELSE
218200         MOVE DFHBMUNB           TO MM08-LAST-REVIEW-A.
218300*
218400     MOVE SS08WS-CURSOR          TO MM08-REVIEW-FREQ-L.
218500*
218600 W629-RCE-EXIT.
218700     EXIT.
218800*
218900 W630-SOLE-PROP-NAME.
219000*
219100*********************************************************
219200*                                                       *
219300*    THE SOLE PROP NAME CROSS EDITS ARE AS FOLLOWS:     *
219400*                                                       *
219500*    . IF INCORP-STATUS IS EQUAL TO 01 AND NOTHING      *
219600*      IS ENTERED IN SOLE-PROP-FIRST OR SOLE-PROP-LAST  *
219700*      THEY WILL BE HIGHLIGHTED.                        *
219800*                                                       *
219900*********************************************************
220000*
220100     IF  SS08WS-ERROR-SW-YES
220200         GO TO W639-SPN-EXIT.
220300*
220400     IF  MM08-INCORP-STATUS-INDIVIDUAL
220500     AND (MM08-SOLE-PROP-LAST IS EQUAL TO SPACES
220600     OR  MM08-SOLE-PROP-FIRST IS EQUAL TO SPACES)
220700         NEXT SENTENCE
220800     ELSE
220900         GO TO W639-SPN-EXIT.
221000*
221100 W638-SOLE-PROP-NAME-EDIT-ERROR.
221200*
221300     IF  MM08-SOLE-PROP-LAST-L IS GREATER THAN ZERO
221400         MOVE DFHBMUBF           TO MM08-SOLE-PROP-LAST-A
221500     ELSE
221600         MOVE DFHBMBRY           TO MM08-SOLE-PROP-LAST-A.
221700*
221800     IF  MM08-SOLE-PROP-FIRST-L IS GREATER THAN ZERO
221900         MOVE DFHBMUBF           TO MM08-SOLE-PROP-FIRST-A
222000     ELSE
222100         MOVE DFHBMBRY           TO MM08-SOLE-PROP-FIRST-A.
222200*
222300     IF  MM08-SOLE-PROP-INIT-L IS GREATER THAN ZERO
222400         MOVE DFHBMUBF           TO MM08-SOLE-PROP-INIT-A
222500     ELSE
222600         MOVE DFHBMBRY           TO MM08-SOLE-PROP-INIT-A.
222700*
222800     SET SS08WS-ERROR-SW-YES     TO TRUE.
222900     MOVE DFHBMASB               TO MM08-SOLE-PROP-LAST-LP-A
223000                                    MM08-SOLE-PROP-LAST-RP-A
223100                                    MM08-SOLE-PROP-FIRST-LP-A
223200                                    MM08-SOLE-PROP-FIRST-RP-A
223300                                    MM08-SOLE-PROP-INIT-LP-A
223400                                    MM08-SOLE-PROP-INIT-RP-A.
223500     MOVE SS08WS-CURSOR          TO MM08-SOLE-PROP-LAST-L.
223600*
223700 W639-SPN-EXIT.
223701     EXIT.                                                        RG802901
223702*                                                                 RG802901
223704 W640-URL-EMAIL-CROSS-EDIT.                                       RG802901
223706*                                                                 RG802901
223708*********************************************************         RG802901
223710*                                                        *        RG802901
223712*    THE URL/EMAIL CROSS EDIT IS FOR SINGLE STORE AND    *        RG802901
223714*                                                        *        RG802901
223716*    . IF DOING MAINTENANCE, AND YOU ARE TRYING TO       *        RG802901
223718*      SPACE OUT THE URL/EMAIL, IT WILL EDIT THE CONTACT *        RG802901
223720*      INDICATOR ON THE STORE MASTER FOR A 0 (USE PHONE  *        RG802901
223722*      NUMBER). IF THE CONTACT INDICATOR IS A 1 (USE URL/*        RG802901
223724*      EMAIL), IT WILL RETURN AN ERROR.                  *        RG802901
223726*                                                        *        RG802901
223728**********************************************************        RG802901
223730*                                                                 RG802901
223732     IF  SS08WS-ERROR-SW-YES                                      RG802901
223734         GO TO W649-UECE-EXIT.                                    RG802901
223736*                                                                 RG802901
223738     IF  MMMM-SINGLE-STORE-NO                                     RG802901
223740         GO TO W649-UECE-EXIT.                                    RG802901
223742*                                                                 RG802901
223744     IF  MM08-URL-EMAIL IS EQUAL TO SPACES                        RG802901
223746     AND MMSM-VI-USE-URL-EMAIL                                    RG802901
223748         NEXT SENTENCE                                            RG802901
223750      ELSE                                                        RG802901
223752         GO TO W649-UECE-EXIT.                                    RG802901
223754*                                                                 RG802901
223756     IF  MM08-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
223758         MOVE DFHBMUBF           TO MM08-URL-EMAIL-A              RG802901
223760     ELSE                                                         RG802901
223762         MOVE DFHBMBRY           TO MM08-URL-EMAIL-A.             RG802901
223764*                                                                 RG802901
223766     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG802901
223768     MOVE DFHBMASB               TO MM08-URL-EMAIL-LP-A           RG802901
223770                                    MM08-URL-EMAIL-RP-A.          RG802901
223772     MOVE SS08WS-CURSOR          TO MM08-URL-EMAIL-L.             RG802901
223774*                                                                 RG802901
223799 W649-UECE-EXIT.                                                  RG802901
223800     EXIT.                                                        RG802901
223802*                                                                 RG802901
223804 W650-TAXPAYER-ID-CROSS-EDITS.                                    EH800900
223806*                                                                 EH800900
223808***************************************************************   EH800900
223810*                                                             *   EH800900
223812*    THE TAXPAYER ID CROSS EDITS ARE AS FOLLOWS:              *   EH800900
223814*                                                             *   EH800900
223816*    . IF PRODUCT IS 01 (VISA) OR 02 (MASTERCARD) AND ACTIVE, *   EH800900
223818*      IF COUNTRY IS 'US' OR 'USA', THEN THE TAXPAYER ID      *   FX800011
223820*      MUST NOT BE ALL SPACES OR CONTAIN LEADING SPACES, OR   *   FX800011
223822*      TAXPAYER ID MUST NOT BE ALL ZEROES OR ALL 9'S.         *   FX800011
223824*                                                             *   EH800900
223826***************************************************************   EH800900
223828*                                                                 EH800900
223830     IF  SS08WS-ERROR-SW-YES                                      EH800900
223832         GO TO W659-TCE-EXIT.                                     EH800900
223834*                                                                 EH800900
223836****************************************************************  EH800900
223838*    READ RANDOM THE MERCHANT PRODUCT ASSIGN FILE FOR 01 VISA  *  EH800900
223840****************************************************************  EH800900
223842     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.              EH800900
223844     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.         EH800900
223846     MOVE 01                     TO MBIOWS-MMMP-PRODUCT.          EH800900
223848     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1          EH800900
223850     SET MBIORO-READ-RANDOM      TO TRUE.                         EH800900
223852     MOVE 'FC53'                 TO MBCA-PROGRAM-LOCATION.        EH800900
223854     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.         EH800900
223856*                                                                 EH800900
223858****************************************************************  EH800900
223860*    READ RANDOM THE MERCHANT PRODUCT ASSIGN FILE FOR 02 M/C   *  EH800900
223862****************************************************************  EH800900
223864     IF SS08WS-RC-FC-NOTFND                                       EH800900
223866     OR NOT MMMP-PROD-ACTIVE                                      EH800900
223868        MOVE MBCA-MERCHANT-ORG   TO MBIOWS-MMMP-ORG               EH800900
223870        MOVE MBCA-MERCHANT       TO MBIOWS-MMMP-MERCHANT          EH800900
223872        MOVE 02                  TO MBIOWS-MMMP-PRODUCT           EH800900
223874        MOVE SS08WS-CICS-FC-NOTFND                                EH800900
223876                                 TO MBIORO-TEMP-STATUS-1          EH800900
223878        SET MBIORO-READ-RANDOM   TO TRUE                          EH800900
223880        MOVE 'FC54'              TO MBCA-PROGRAM-LOCATION         EH800900
223882        PERFORM MMMPAO-ACCESS    THRU MMMPAO-ACCESS-EXIT          EH800900
223884        IF SS08WS-RC-FC-NOTFND                                    EH800900
223886        OR NOT MMMP-PROD-ACTIVE                                   EH800900
223888           GO TO W659-TCE-EXIT                                    EH800900
223890        ELSE                                                      EH800900
223892           GO TO W655-TAXPAYER-ID-CHECK                           EH800900
223894        END-IF                                                    EH800900
223896     ELSE                                                         EH800900
223898        GO TO W655-TAXPAYER-ID-CHECK                              EH800900
223900     END-IF.                                                      EH800900
223902*                                                                 EH800900
223904 W655-TAXPAYER-ID-CHECK.                                          EH800900
223906     IF  (MMMM-COUNTRY-CODE (1) IS EQUAL TO 'US'                  FX800011
223908     OR   MMMM-COUNTRY-CODE (1) IS EQUAL TO 'USA')                FX800011
223910     AND (MM08-TAXPAYER-ID IS EQUAL TO SPACES                     FX800011
223912     OR   MM08-TAXPAYER-ID (1:1) IS EQUAL TO SPACE                FX800011
223914     OR   MM08-TAXPAYER-ID IS EQUAL TO ALL ZEROES                 FX800011
223916     OR   MM08-TAXPAYER-ID IS EQUAL TO ALL '9')                   FX800011
223918          NEXT SENTENCE                                           EH800900
223920     ELSE                                                         EH800900
223922          GO TO W659-TCE-EXIT                                     EH800900
223924     END-IF.                                                      EH800900
223926*                                                                 EH800900
223928 W658-TAXPAYER-ID-CROSS-ERROR.                                    EH800900
223930*                                                                 EH800900
223932     IF  MM08-TAXPAYER-ID-L    IS GREATER THAN ZERO               EH800900
223934         MOVE DFHBMUBF           TO MM08-TAXPAYER-ID-A            EH800900
223936     ELSE                                                         EH800900
223938         MOVE DFHBMBRY           TO MM08-TAXPAYER-ID-A.           EH800900
223940*                                                                 EH800900
223942     SET SS08WS-ERROR-SW-YES     TO TRUE.                         EH800900
223944     MOVE DFHBMASB               TO MM08-TAXPAYER-ID-LP-A         EH800900
223946                                    MM08-TAXPAYER-ID-RP-A.        EH800900
223948     MOVE SS08WS-CURSOR          TO MM08-TAXPAYER-ID-L.           EH800900
223950*                                                                 EH800900
223952 W659-TCE-EXIT.                                                   EH800900
223954     EXIT.                                                        EH800900
223956/                                                                 EH800900
224000 X000-UPDATE-FIELDS SECTION.
224100*
224200 X010-UPDATE-AGENT.
224300*
224400     IF  MM08-AGENT-L IS GREATER THAN ZERO
224500         IF  MM08-AGENT IS NOT EQUAL TO MMMM-AGENT-BANK
224600             SET WS-UPDATE-SW-YES
224700                                 TO TRUE
224800             IF  MBCA-PTI-FUNCTION-IS-MAINT
224900                 MOVE MMMMTB-AGENT-BANK (1:4)
225000                                 TO WS-INDEX-X
225100                 SET X-MMFS-MERCH
225200                                 TO WS-INDEX
225300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
225400                                 TO MML1-MMMM-AUDIT-CODE
225500                 MOVE 0801       TO MML1-FIELD-CODE
225600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
225700                                    MML1-FIELD-OCCURRENCE-2
225800                 MOVE MML1WS-VL-05
225900                                 TO MML1-VARIABLE-LENGTH
226000                 MOVE MMMM-AGENT-BANK
226100                                 TO MML1-VL05-B-DATA-9
226200                 MOVE MM08-AGENT TO MMMM-AGENT-BANK
226300                 MOVE MMMM-AGENT-BANK
226400                                 TO MML1-VL05-A-DATA-9
226500                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
226600                 PERFORM Y910-WRITE-LOG-RECORD
226700                                 THRU Y919-WLR-EXIT
226800             ELSE
226900                 MOVE MM08-AGENT TO MMMM-AGENT-BANK.
227000*
227100 X019-EXIT.
227200     EXIT.
227300*
227400 X030-UPDATE-BRANCH.
227500*
227600     IF  MM08-BRANCH-L IS GREATER THAN ZERO
227700         IF  MM08-BRANCH IS NOT EQUAL TO MMMM-BRANCH
227800             SET WS-UPDATE-SW-YES
227900                                 TO TRUE
228000             IF  MBCA-PTI-FUNCTION-IS-MAINT
228100                 MOVE MMMMTB-BRANCH (1:4)
228200                                 TO WS-INDEX-X
228300                 SET X-MMFS-MERCH
228400                                 TO WS-INDEX
228500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
228600                                 TO MML1-MMMM-AUDIT-CODE
228700                 MOVE 0802       TO MML1-FIELD-CODE
228800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
228900                                    MML1-FIELD-OCCURRENCE-2
229000                 MOVE MML1WS-VL-10
229100                                 TO MML1-VARIABLE-LENGTH
229200                 MOVE MMMM-BRANCH
229300                                 TO MML1-VL10-B-DATA-9
229400                 MOVE MM08-BRANCH
229500                                 TO MMMM-BRANCH
229600                 MOVE MMMM-BRANCH
229700                                 TO MML1-VL10-A-DATA-9
229800                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
229900                 PERFORM Y910-WRITE-LOG-RECORD
230000                                 THRU Y919-WLR-EXIT
230100             ELSE
230200                 MOVE MM08-BRANCH
230300                                 TO MMMM-BRANCH.
230400*
230500 X039-EXIT.
230600     EXIT.
230700*
230800 X050-UPDATE-BLOCK-CODE.
230900*
231000     IF  MM08-BLOCK-CODE-L IS GREATER THAN ZERO
231100         IF  MM08-BLOCK-CODE IS NOT EQUAL TO MMMM-BLOCK-CODE
231200             SET WS-UPDATE-SW-YES
231300                                 TO TRUE
231400             IF  MBCA-PTI-FUNCTION-IS-MAINT
231500                 MOVE MMMMTB-BLOCK-CODE (1:4)
231600                                 TO WS-INDEX-X
231700                 SET X-MMFS-MERCH
231800                                 TO WS-INDEX
231900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
232000                                 TO MML1-MMMM-AUDIT-CODE
232100                 MOVE 0803       TO MML1-FIELD-CODE
232200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
232300                                    MML1-FIELD-OCCURRENCE-2
232400                 MOVE MML1WS-VL-01
232500                                 TO MML1-VARIABLE-LENGTH
232600                 MOVE MMMM-BLOCK-CODE
232700                                 TO MML1-VL01-B-DATA-X
232800                 MOVE MM08-BLOCK-CODE
232900                                 TO MMMM-BLOCK-CODE
233000                 MOVE MMMM-BLOCK-CODE
233100                                 TO MML1-VL01-A-DATA-X
233200                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
233300                 PERFORM Y910-WRITE-LOG-RECORD
233400                                 THRU Y919-WLR-EXIT
233500                 MOVE 0804       TO MML1-FIELD-CODE
233600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
233700                                    MML1-FIELD-OCCURRENCE-2
233800                 MOVE MML1WS-VL-07
233900                                 TO MML1-VARIABLE-LENGTH
234000                 MOVE MMMM-DATE-BLOCK-CODE
234100                                 TO MML1-VL07-B-DATA-9
234200                 MOVE MBCA-START-DATE
234300                                 TO MMMM-DATE-BLOCK-CODE
234400                 MOVE MMMM-DATE-BLOCK-CODE
234500                                 TO MML1-VL07-A-DATA-9
234600                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
234700                 PERFORM Y910-WRITE-LOG-RECORD
234800                                 THRU Y919-WLR-EXIT
234900                 MOVE 0805       TO MML1-FIELD-CODE
235000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
235100                                    MML1-FIELD-OCCURRENCE-2
235200                 MOVE MML1WS-VL-03
235300                                 TO MML1-VARIABLE-LENGTH
235400                 MOVE MMMM-BLOCK-OPER
235500                                 TO MML1-VL03-B-DATA-X
235600                 MOVE MBCA-OPERATOR-ID
235700                                 TO MMMM-BLOCK-OPER
235800                 MOVE MMMM-BLOCK-OPER
235900                                 TO MML1-VL03-A-DATA-X
236000                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
236100                 PERFORM Y910-WRITE-LOG-RECORD
236200                                 THRU Y919-WLR-EXIT
236300             ELSE
236400                 MOVE MM08-BLOCK-CODE
236500                                 TO MMMM-BLOCK-CODE
236600                 MOVE MBCA-START-DATE
236700                                 TO MMMM-DATE-BLOCK-CODE
236800                 MOVE MBCA-OPERATOR-ID
236900                                 TO MMMM-BLOCK-OPER.
237000*
237100 X059-EXIT.
237200     EXIT.
237300*
237400 X070-UPDATE-OFFICER.
237500*
237600     IF  MM08-OFFICER-L IS GREATER THAN ZERO
237700         IF  MM08-OFFICER IS NOT EQUAL TO MMMM-OFFICER-ID
237800             SET WS-UPDATE-SW-YES
237900                                 TO TRUE
238000             IF  MBCA-PTI-FUNCTION-IS-MAINT
238100                 MOVE MMMMTB-OFFICER-ID (1:4)
238200                                 TO WS-INDEX-X
238300                 SET X-MMFS-MERCH
238400                                 TO WS-INDEX
238500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
238600                                 TO MML1-MMMM-AUDIT-CODE
238700                 MOVE 0806       TO MML1-FIELD-CODE
238800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
238900                                    MML1-FIELD-OCCURRENCE-2
239000                 MOVE MML1WS-VL-03
239100                                 TO MML1-VARIABLE-LENGTH
239200                 MOVE MMMM-OFFICER-ID
239300                                 TO MML1-VL03-B-DATA-X
239400                 MOVE MM08-OFFICER
239500                                 TO MMMM-OFFICER-ID
239600                 MOVE MMMM-OFFICER-ID
239700                                 TO MML1-VL03-A-DATA-X
239800                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
239900                 PERFORM Y910-WRITE-LOG-RECORD
240000                                 THRU Y919-WLR-EXIT
240100             ELSE
240200                 MOVE MM08-OFFICER
240300                                 TO MMMM-OFFICER-ID.
240400*
240500 X079-EXIT.
240600     EXIT.
240700*
240800 X090-UPDATE-REF-IND.
240900*
241000     IF  MM08-REFU-IND-L IS GREATER THAN ZERO
241100         IF  MM08-REFU-IND IS NOT EQUAL TO MMMM-1099-REFUSAL-IND
241200             SET WS-UPDATE-SW-YES
241300                                 TO TRUE
241400             IF  MBCA-PTI-FUNCTION-IS-MAINT
241500                 MOVE MMMMTB-REFUSAL-IND (1:4)
241600                                 TO WS-INDEX-X
241700                 SET X-MMFS-MERCH
241800                                 TO WS-INDEX
241900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
242000                                 TO MML1-MMMM-AUDIT-CODE
242100                 MOVE 0825       TO MML1-FIELD-CODE
242200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
242300                                    MML1-FIELD-OCCURRENCE-2
242400                 MOVE MML1WS-VL-01
242500                                 TO MML1-VARIABLE-LENGTH
242600                 MOVE MMMM-1099-REFUSAL-IND
242700                                 TO MML1-VL01-B-DATA-X
242800                 MOVE MM08-REFU-IND
242900                                 TO MMMM-1099-REFUSAL-IND
243000                 MOVE MMMM-1099-REFUSAL-IND
243100                                 TO MML1-VL01-A-DATA-X
243200                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
243300                 PERFORM Y910-WRITE-LOG-RECORD
243400                                 THRU Y919-WLR-EXIT
243500             ELSE
243600                 MOVE MM08-REFU-IND
243700                                 TO MMMM-1099-REFUSAL-IND.
243800*
243900 X099-EXIT.
244000     EXIT.
244100*
244200 X110-UPDATE-TAXPAYER-ID.
244300*
244400     IF  MM08-TAXPAYER-ID-L IS GREATER THAN ZERO
244500         IF  MM08-TAXPAYER-ID IS NOT EQUAL TO MMMM-TAX-ID
244600             SET WS-UPDATE-SW-YES
244700                                 TO TRUE
244800             IF  MBCA-PTI-FUNCTION-IS-MAINT
244900                 MOVE MMMMTB-TAX-ID (1:4)
245000                                 TO WS-INDEX-X
245100                 SET X-MMFS-MERCH
245200                                 TO WS-INDEX
245300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
245400                                 TO MML1-MMMM-AUDIT-CODE
245500                 MOVE 0807       TO MML1-FIELD-CODE
245600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
245700                                    MML1-FIELD-OCCURRENCE-2
245800                 MOVE MML1WS-VL-20
245900                                 TO MML1-VARIABLE-LENGTH
246000                 MOVE MMMM-TAX-ID
246100                                 TO MML1-VL20-B-DATA-X
246200                 MOVE MM08-TAXPAYER-ID TO MMMM-TAX-ID
246300                 MOVE MMMM-TAX-ID
246400                                 TO MML1-VL20-A-DATA-X
246500                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
246600                 PERFORM Y910-WRITE-LOG-RECORD
246700                                 THRU Y919-WLR-EXIT
246800             ELSE
246900                 MOVE MM08-TAXPAYER-ID
247000                                 TO MMMM-TAX-ID.
247100*
247200 X119-EXIT.
247300     EXIT.
247400*
247500 X130-UPDATE-TAXID-IND.
247600*
247700     IF  MM08-TAXID-IND-L IS GREATER THAN ZERO
247800         IF  MM08-TAXID-IND IS NOT EQUAL TO MMMM-TIN-TYPE
247900             SET WS-UPDATE-SW-YES
248000                                 TO TRUE
248100             IF  MBCA-PTI-FUNCTION-IS-MAINT
248200                 MOVE MMMMTB-TIN-TYPE (1:4)
248300                                 TO WS-INDEX-X
248400                 SET X-MMFS-MERCH
248500                                 TO WS-INDEX
248600                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
248700                                 TO MML1-MMMM-AUDIT-CODE
248800                 MOVE 0826       TO MML1-FIELD-CODE
248900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
249000                                    MML1-FIELD-OCCURRENCE-2
249100                 MOVE MML1WS-VL-01
249200                                 TO MML1-VARIABLE-LENGTH
249300                 MOVE MMMM-TIN-TYPE
249400                                 TO MML1-VL01-B-DATA-X
249500                 MOVE MM08-TAXID-IND TO MMMM-TIN-TYPE
249600                 MOVE MMMM-TIN-TYPE
249700                                 TO MML1-VL01-A-DATA-X
249800                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
249900                 PERFORM Y910-WRITE-LOG-RECORD
250000                                 THRU Y919-WLR-EXIT
250100             ELSE
250200                 MOVE MM08-TAXID-IND
250300                                 TO MMMM-TIN-TYPE.
250400*
250500 X139-EXIT.
250600     EXIT.
250700*
250800 X150-UPDATE-INCORP-STATUS.
250900*
251000     IF  MM08-INCORP-STATUS-L IS GREATER THAN ZERO
251100         IF  MM08-INCORP-STATUS IS NOT EQUAL
251200                                 TO MMMM-INCORPORATION-STATUS
251300             SET WS-UPDATE-SW-YES
251400                                 TO TRUE
251500             IF  MBCA-PTI-FUNCTION-IS-MAINT
251600                 MOVE MMMMTB-INCORP-STATUS (1:4)
251700                                 TO WS-INDEX-X
251800                 SET X-MMFS-MERCH
251900                                 TO WS-INDEX
252000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
252100                                 TO MML1-MMMM-AUDIT-CODE
252200                 MOVE 0808       TO MML1-FIELD-CODE
252300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
252400                                    MML1-FIELD-OCCURRENCE-2
252500                 MOVE MML1WS-VL-02
252600                                 TO MML1-VARIABLE-LENGTH
252700                 MOVE MMMM-INCORPORATION-STATUS
252800                                 TO MML1-VL02-B-DATA-X
252900                 MOVE MM08-INCORP-STATUS
253000                                 TO MMMM-INCORPORATION-STATUS
253100                 MOVE MMMM-INCORPORATION-STATUS
253200                                 TO MML1-VL02-A-DATA-X
253300                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
253400                 PERFORM Y910-WRITE-LOG-RECORD
253500                                 THRU Y919-WLR-EXIT
253600             ELSE
253700                 MOVE MM08-INCORP-STATUS
253800                                 TO MMMM-INCORPORATION-STATUS.
253900*
254000 X159-EXIT.
254100     EXIT.
254200*
254300 X160-UPDATE-MINORITY-CODE.
254400*
254500     IF  MM08-MINORITY-CODE-L IS GREATER THAN ZERO
254600         IF  MM08-MINORITY-CODE IS NOT EQUAL
254700                                 TO MMMM-MINORITY-CODE
254800             SET WS-UPDATE-SW-YES
254900                                 TO TRUE
255000             IF  MBCA-PTI-FUNCTION-IS-MAINT
255100                 MOVE MMMMTB-MINORITY-CODE (1:4)
255200                                 TO WS-INDEX-X
255300                 SET X-MMFS-MERCH
255400                                 TO WS-INDEX
255500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
255600                                 TO MML1-MMMM-AUDIT-CODE
255700                 MOVE 0828       TO MML1-FIELD-CODE
255800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
255900                                    MML1-FIELD-OCCURRENCE-2
256000                 MOVE MML1WS-VL-02
256100                                 TO MML1-VARIABLE-LENGTH
256200                 MOVE MMMM-MINORITY-CODE
256300                                 TO MML1-VL02-B-DATA-X
256400                 MOVE MM08-MINORITY-CODE
256500                                 TO MMMM-MINORITY-CODE
256600                 MOVE MMMM-MINORITY-CODE
256700                                 TO MML1-VL02-A-DATA-X
256800                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
256900                 PERFORM Y910-WRITE-LOG-RECORD
257000                                 THRU Y919-WLR-EXIT
257100             ELSE
257200                 MOVE MM08-MINORITY-CODE
257300                                 TO MMMM-MINORITY-CODE.
257400*
257500 X169-EXIT.
257600     EXIT.
257700*
257800 X170-UPDATE-WOMAN-OWNED-CODE.
257900*
258000     IF  MM08-WOMAN-OWNED-CODE-L IS GREATER THAN ZERO
258100         IF  MM08-WOMAN-OWNED-CODE IS NOT EQUAL
258200                                 TO MMMM-WOMAN-OWNED-CODE
258300             SET WS-UPDATE-SW-YES
258400                                 TO TRUE
258500             IF  MBCA-PTI-FUNCTION-IS-MAINT
258600                 MOVE MMMMTB-WOMAN-OWNED-CODE (1:4)
258700                                 TO WS-INDEX-X
258800                 SET X-MMFS-MERCH
258900                                 TO WS-INDEX
259000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
259100                                 TO MML1-MMMM-AUDIT-CODE
259200                 MOVE 0829       TO MML1-FIELD-CODE
259300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
259400                                    MML1-FIELD-OCCURRENCE-2
259500                 MOVE MML1WS-VL-01
259600                                 TO MML1-VARIABLE-LENGTH
259700                 MOVE MMMM-WOMAN-OWNED-CODE
259800                                 TO MML1-VL01-B-DATA-X
259900                 MOVE MM08-WOMAN-OWNED-CODE
260000                                 TO MMMM-WOMAN-OWNED-CODE
260100                 MOVE MMMM-WOMAN-OWNED-CODE
260200                                 TO MML1-VL01-A-DATA-X
260300                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
260400                 PERFORM Y910-WRITE-LOG-RECORD
260500                                 THRU Y919-WLR-EXIT
260600             ELSE
260700                 MOVE MM08-WOMAN-OWNED-CODE
260800                                 TO MMMM-WOMAN-OWNED-CODE.
260900*
261000 X179-EXIT.
261100     EXIT.
261200*
261300 X180-UPDATE-DB-NBR.
261400*
261500     IF  MM08-DB-NBR-L IS GREATER THAN ZERO
261600         IF  MM08-DB-NBR IS NOT EQUAL
261700                                 TO MMMM-DUN-AND-BRADSTREET-NBR
261800             SET WS-UPDATE-SW-YES
261900                                 TO TRUE
262000             IF  MBCA-PTI-FUNCTION-IS-MAINT
262100                 MOVE MMMMTB-DUN-AND-BRADSTREET-NBR (1:4)
262200                                 TO WS-INDEX-X
262300                 SET X-MMFS-MERCH
262400                                 TO WS-INDEX
262500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
262600                                 TO MML1-MMMM-AUDIT-CODE
262700                 MOVE 0830       TO MML1-FIELD-CODE
262800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
262900                                    MML1-FIELD-OCCURRENCE-2
263000                 MOVE MML1WS-VL-10
263100                                 TO MML1-VARIABLE-LENGTH
263200                 MOVE MMMM-DUN-AND-BRADSTREET-NBR
263300                                 TO MML1-VL10-B-DATA-X
263400                 MOVE MM08-DB-NBR
263500                                 TO MMMM-DUN-AND-BRADSTREET-NBR
263600                 MOVE MMMM-DUN-AND-BRADSTREET-NBR
263700                                 TO MML1-VL10-A-DATA-X
263800                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
263900                 PERFORM Y910-WRITE-LOG-RECORD
264000                                 THRU Y919-WLR-EXIT
264100             ELSE
264200                 MOVE MM08-DB-NBR
264300                                 TO MMMM-DUN-AND-BRADSTREET-NBR.
264400*
264500 X189-EXIT.
264600     EXIT.
264700*
264800 X190-UPDATE-CORP-LEGAL-NAME.
264900*
265000     IF  MM08-CORP-LEG-L IS GREATER THAN ZERO
265100         IF  MM08-CORP-LEG IS NOT EQUAL
265200                                 TO MMMM-CORP-LEGAL-NAME
265300             SET WS-UPDATE-SW-YES
265400                                 TO TRUE
265500             IF  MBCA-PTI-FUNCTION-IS-MAINT
265600                 MOVE MMMMTB-SOLE-PROP-NAME (1:4)
265700                                 TO WS-INDEX-X
265800                 SET X-MMFS-MERCH
265900                                 TO WS-INDEX
266000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
266100                                 TO MML1-MMMM-AUDIT-CODE
266200                 MOVE 0827       TO MML1-FIELD-CODE
266300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
266400                                    MML1-FIELD-OCCURRENCE-2
266500                 MOVE MML1WS-VL-30
266600                                 TO MML1-VARIABLE-LENGTH
266700                 MOVE MMMM-CORP-LEGAL-NAME
266800                                 TO MML1-VL30-B-DATA-X
266900                 MOVE MM08-CORP-LEG
267000                                 TO MMMM-CORP-LEGAL-NAME
267100                 MOVE MMMM-CORP-LEGAL-NAME
267200                                 TO MML1-VL30-A-DATA-X
267300                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
267400                 PERFORM Y910-WRITE-LOG-RECORD
267500                                 THRU Y919-WLR-EXIT
267600             ELSE
267700                 MOVE MM08-CORP-LEG
267800                                 TO MMMM-CORP-LEGAL-NAME.
267900*
268000 X199-EXIT.
268100     EXIT.
268200*
268300 X200-UPDATE-CONTACT.
268400*
268500     SET X-MMMM-CONTACT          TO 1.
268600*
268700     IF  MM08-CONTACT-L IS GREATER THAN ZERO
268800         IF  MM08-CONTACT IS NOT EQUAL
268900                                 TO MMMM-CONTACT (X-MMMM-CONTACT)
269000             SET WS-UPDATE-SW-YES
269100                                 TO TRUE
269200             IF  MBCA-PTI-FUNCTION-IS-MAINT
269300                 MOVE MMMMTB-CONTACT-1 (1:4)
269400                                 TO WS-INDEX-X
269500                 SET X-MMFS-MERCH
269600                                 TO WS-INDEX
269700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
269800                                 TO MML1-MMMM-AUDIT-CODE
269900                 MOVE 0812       TO MML1-FIELD-CODE
270000                 SET MML1-FIELD-OCCURRENCE
270100                                 TO X-MMMM-CONTACT
270200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
270300                 MOVE MML1WS-VL-40
270400                                 TO MML1-VARIABLE-LENGTH
270500                 MOVE MMMM-CONTACT (X-MMMM-CONTACT)
270600                                 TO MML1-VL40-B-DATA-X
270700                 MOVE MM08-CONTACT
270800                                 TO MMMM-CONTACT (X-MMMM-CONTACT)
270900                 MOVE MMMM-CONTACT (X-MMMM-CONTACT)
271000                                 TO MML1-VL40-A-DATA-X
271100                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
271200                 PERFORM Y910-WRITE-LOG-RECORD
271300                                 THRU Y919-WLR-EXIT
271400             ELSE
271500                 MOVE MM08-CONTACT
271600                                 TO MMMM-CONTACT (X-MMMM-CONTACT).
271700*
271800 X209-EXIT.
271900     EXIT.
272000*
272100 X210-UPDATE-CONTACT-PHONE.
272200*
272300     IF  MM08-CONTACT-PHONE-L    IS GREATER THAN ZERO
272400         IF  MM08-CONTACT-PHONE  IS NOT EQUAL
272500                                 TO MMMM-CONTACT-PHONE
272600                                    (X-MMMM-CONTACT)
272700             SET WS-UPDATE-SW-YES
272800                                 TO TRUE
272900             IF  MBCA-PTI-FUNCTION-IS-MAINT
273000                 MOVE MMMMTB-CONTACT-PHONE-1 (1:4)
273100                                 TO WS-INDEX-X
273200                 SET X-MMFS-MERCH
273300                                 TO WS-INDEX
273400                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
273500                                 TO MML1-MMMM-AUDIT-CODE
273600                 MOVE 0813       TO MML1-FIELD-CODE
273700                 SET MML1-FIELD-OCCURRENCE
273800                                 TO X-MMMM-CONTACT
273900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
274000                 MOVE MML1WS-VL-20
274100                                 TO MML1-VARIABLE-LENGTH
274200                 MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
274300                                 TO MML1-VL20-B-DATA-X
274400                 MOVE MM08-CONTACT-PHONE
274500                                 TO MMMM-CONTACT-PHONE
274600                                    (X-MMMM-CONTACT)
274700                 MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
274800                                 TO MML1-VL20-A-DATA-X
274900                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
275000                 PERFORM Y910-WRITE-LOG-RECORD
275100                                 THRU Y919-WLR-EXIT
275200             ELSE
275300                 MOVE MM08-CONTACT-PHONE
275400                                 TO MMMM-CONTACT-PHONE
275500                                    (X-MMMM-CONTACT).
275600*
275700 X219-EXIT.
275800     EXIT.
275900*
276000 X230-UPDATE-CONTACT-FAX.
276100*
276200     IF  MM08-CONTACT-FAX-L IS GREATER THAN ZERO
276300         IF  MM08-CONTACT-FAX IS NOT EQUAL
276400                                 TO MMMM-CONTACT-FAX
276500                                    (X-MMMM-CONTACT)
276600             SET WS-UPDATE-SW-YES
276700                                 TO TRUE
276800             IF  MBCA-PTI-FUNCTION-IS-MAINT
276900                 MOVE MMMMTB-CONTACT-FAX-1 (1:4)
277000                                 TO WS-INDEX-X
277100                 SET X-MMFS-MERCH
277200                                 TO WS-INDEX
277300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
277400                                 TO MML1-MMMM-AUDIT-CODE
277500                 MOVE 0814       TO MML1-FIELD-CODE
277600                 SET MML1-FIELD-OCCURRENCE
277700                                 TO X-MMMM-CONTACT
277800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
277900                 MOVE MML1WS-VL-20
278000                                 TO MML1-VARIABLE-LENGTH
278100                 MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
278200                                 TO MML1-VL20-B-DATA-X
278300                 MOVE MM08-CONTACT-FAX
278400                                 TO MMMM-CONTACT-FAX
278500                                    (X-MMMM-CONTACT)
278600                 MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
278700                                 TO MML1-VL20-A-DATA-X
278800                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
278900                 PERFORM Y910-WRITE-LOG-RECORD
279000                                 THRU Y919-WLR-EXIT
279100             ELSE
279200                 MOVE MM08-CONTACT-FAX
279300                                 TO MMMM-CONTACT-FAX
279400                                    (X-MMMM-CONTACT).
279500*
279600 X239-EXIT.
279700     EXIT.
279800*
279900 X250-UPDATE-CUSTOMER.
280000*
280100     SET X-MMMM-CONTACT          TO 2.
280200*
280300     IF  MM08-CUSTOMER-L IS GREATER THAN ZERO
280400         IF  MM08-CUSTOMER IS NOT EQUAL
280500                                 TO MMMM-CONTACT (X-MMMM-CONTACT)
280600             SET WS-UPDATE-SW-YES
280700                                 TO TRUE
280800             IF  MBCA-PTI-FUNCTION-IS-MAINT
280900                 MOVE MMMMTB-CONTACT-2 (1:4)
281000                                 TO WS-INDEX-X
281100                 SET X-MMFS-MERCH
281200                                 TO WS-INDEX
281300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
281400                                 TO MML1-MMMM-AUDIT-CODE
281500                 MOVE 0812       TO MML1-FIELD-CODE
281600                 SET MML1-FIELD-OCCURRENCE
281700                                 TO X-MMMM-CONTACT
281800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
281900                 MOVE MML1WS-VL-40
282000                                 TO MML1-VARIABLE-LENGTH
282100                 MOVE MMMM-CONTACT (X-MMMM-CONTACT)
282200                                 TO MML1-VL40-B-DATA-X
282300                 MOVE MM08-CUSTOMER
282400                                 TO MMMM-CONTACT (X-MMMM-CONTACT)
282500                 MOVE MMMM-CONTACT (X-MMMM-CONTACT)
282600                                 TO MML1-VL40-A-DATA-X
282700                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
282800                 PERFORM Y910-WRITE-LOG-RECORD
282900                                 THRU Y919-WLR-EXIT
283000             ELSE
283100                 MOVE MM08-CUSTOMER
283200                                 TO MMMM-CONTACT (X-MMMM-CONTACT).
283300*
283400 X259-EXIT.
283500     EXIT.
283600*
283700 X270-UPDATE-CUSTOMER-PHONE.
283800*
283900     IF  MM08-CUSTOMER-PHONE-L     IS GREATER THAN ZERO
284000         IF  MM08-CUSTOMER-PHONE IS NOT EQUAL
284100                                 TO MMMM-CONTACT-PHONE
284200                                    (X-MMMM-CONTACT)
284300             SET WS-UPDATE-SW-YES
284400                                 TO TRUE
284500             IF  MBCA-PTI-FUNCTION-IS-MAINT
284600                 MOVE MMMMTB-CONTACT-PHONE-2 (1:4)
284700                                 TO WS-INDEX-X
284800                 SET X-MMFS-MERCH
284900                                 TO WS-INDEX
285000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
285100                                 TO MML1-MMMM-AUDIT-CODE
285200                 MOVE 0813       TO MML1-FIELD-CODE
285300                 SET MML1-FIELD-OCCURRENCE
285400                                 TO X-MMMM-CONTACT
285500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
285600                 MOVE MML1WS-VL-20
285700                                 TO MML1-VARIABLE-LENGTH
285800                 MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
285900                                 TO MML1-VL20-B-DATA-X
286000                 MOVE MM08-CUSTOMER-PHONE
286100                                 TO MMMM-CONTACT-PHONE
286200                                    (X-MMMM-CONTACT)
286300                 MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
286400                                 TO MML1-VL20-A-DATA-X
286500                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
286600                 PERFORM Y910-WRITE-LOG-RECORD
286700                                 THRU Y919-WLR-EXIT
286800             ELSE
286900                 MOVE MM08-CUSTOMER-PHONE
287000                                 TO MMMM-CONTACT-PHONE
287100                                    (X-MMMM-CONTACT).
287200*
287300 X279-EXIT.
287400     EXIT.
287500*
287600 X290-UPDATE-CUSTOMER-FAX.
287700*
287800     IF  MM08-CUSTOMER-FAX-L  IS GREATER THAN ZERO
287900         IF  MM08-CUSTOMER-FAX IS NOT EQUAL
288000                                 TO MMMM-CONTACT-FAX
288100                                    (X-MMMM-CONTACT)
288200             SET WS-UPDATE-SW-YES
288300                                 TO TRUE
288400             IF  MBCA-PTI-FUNCTION-IS-MAINT
288500                 MOVE MMMMTB-CONTACT-FAX-2 (1:4)
288600                                 TO WS-INDEX-X
288700                 SET X-MMFS-MERCH
288800                                 TO WS-INDEX
288900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
289000                                 TO MML1-MMMM-AUDIT-CODE
289100                 MOVE 0814       TO MML1-FIELD-CODE
289200                 SET MML1-FIELD-OCCURRENCE
289300                                 TO X-MMMM-CONTACT
289400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
289500                 MOVE MML1WS-VL-20
289600                                 TO MML1-VARIABLE-LENGTH
289700                 MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
289800                                 TO MML1-VL20-B-DATA-X
289900                 MOVE MM08-CUSTOMER-FAX
290000                                 TO MMMM-CONTACT-FAX
290100                                    (X-MMMM-CONTACT)
290200                 MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
290300                                 TO MML1-VL20-A-DATA-X
290400                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
290500                 PERFORM Y910-WRITE-LOG-RECORD
290600                                 THRU Y919-WLR-EXIT
290700             ELSE
290800                 MOVE MM08-CUSTOMER-FAX
290900                                 TO MMMM-CONTACT-FAX
291000                                    (X-MMMM-CONTACT).
291100*
291200 X299-EXIT.
291300     EXIT.
291400*
291500 X310-UPDATE-SOLE-PROP-LAST.
291600*
291700     IF  MM08-SOLE-PROP-LAST-L IS GREATER THAN ZERO
291800         IF  MM08-SOLE-PROP-LAST IS NOT EQUAL
291900                                 TO MMMM-SOLE-PROP-LAST
292000             SET WS-UPDATE-SW-YES
292100                                 TO TRUE
292200             IF  MBCA-PTI-FUNCTION-IS-MAINT
292300                 MOVE MMMMTB-SOLE-PROP-NAME (1:4)
292400                                 TO WS-INDEX-X
292500                 SET X-MMFS-MERCH
292600                                 TO WS-INDEX
292700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
292800                                 TO MML1-MMMM-AUDIT-CODE
292900                 MOVE 0809       TO MML1-FIELD-CODE
293000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
293100                                    MML1-FIELD-OCCURRENCE-2
293200                 MOVE MML1WS-VL-30
293300                                 TO MML1-VARIABLE-LENGTH
293400                 MOVE MMMM-SOLE-PROP-LAST
293500                                 TO MML1-VL30-B-DATA-X
293600                 MOVE MM08-SOLE-PROP-LAST
293700                                 TO MMMM-SOLE-PROP-LAST
293800                 MOVE MMMM-SOLE-PROP-LAST
293900                                 TO MML1-VL30-A-DATA-X
294000                 MOVE 'FC30'     TO MBCA-PROGRAM-LOCATION
294100                 PERFORM Y910-WRITE-LOG-RECORD
294200                                 THRU Y919-WLR-EXIT
294300             ELSE
294400                 MOVE MM08-SOLE-PROP-LAST
294500                                 TO MMMM-SOLE-PROP-LAST.
294600*
294700 X319-EXIT.
294800     EXIT.
294900*
295000 X330-UPDATE-SOLE-PROP-FIRST.
295100*
295200     IF  MM08-SOLE-PROP-FIRST-L IS GREATER THAN ZERO
295300         IF  MM08-SOLE-PROP-FIRST IS NOT EQUAL
295400                                 TO MMMM-SOLE-PROP-FIRST
295500             SET WS-UPDATE-SW-YES
295600                                 TO TRUE
295700             IF  MBCA-PTI-FUNCTION-IS-MAINT
295800                 MOVE MMMMTB-SOLE-PROP-NAME (1:4)
295900                                 TO WS-INDEX-X
296000                 SET X-MMFS-MERCH
296100                                 TO WS-INDEX
296200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
296300                                 TO MML1-MMMM-AUDIT-CODE
296400                 MOVE 0810       TO MML1-FIELD-CODE
296500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
296600                                    MML1-FIELD-OCCURRENCE-2
296700                 MOVE MML1WS-VL-30
296800                                 TO MML1-VARIABLE-LENGTH
296900                 MOVE MMMM-SOLE-PROP-FIRST
297000                                 TO MML1-VL30-B-DATA-X
297100                 MOVE MM08-SOLE-PROP-FIRST
297200                                 TO MMMM-SOLE-PROP-FIRST
297300                 MOVE MMMM-SOLE-PROP-FIRST
297400                                 TO MML1-VL30-A-DATA-X
297500                 MOVE 'FC31'     TO MBCA-PROGRAM-LOCATION
297600                 PERFORM Y910-WRITE-LOG-RECORD
297700                                 THRU Y919-WLR-EXIT
297800             ELSE
297900                 MOVE MM08-SOLE-PROP-FIRST
298000                                 TO MMMM-SOLE-PROP-FIRST.
298100*
298200 X339-EXIT.
298300     EXIT.
298400*
298500 X350-UPDATE-SOLE-PROP-INIT.
298600*
298700     IF  MM08-SOLE-PROP-INIT-L IS GREATER THAN ZERO
298800         IF  MM08-SOLE-PROP-INIT IS NOT EQUAL
298900                                 TO MMMM-SOLE-PROP-INITIAL
299000             SET WS-UPDATE-SW-YES
299100                                 TO TRUE
299200             IF  MBCA-PTI-FUNCTION-IS-MAINT
299300                 MOVE MMMMTB-SOLE-PROP-NAME (1:4)
299400                                 TO WS-INDEX-X
299500                 SET X-MMFS-MERCH
299600                                 TO WS-INDEX
299700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
299800                                 TO MML1-MMMM-AUDIT-CODE
299900                 MOVE 0811       TO MML1-FIELD-CODE
300000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
300100                                    MML1-FIELD-OCCURRENCE-2
300200                 MOVE MML1WS-VL-01
300300                                 TO MML1-VARIABLE-LENGTH
300400                 MOVE MMMM-SOLE-PROP-INITIAL
300500                                 TO MML1-VL01-B-DATA-X
300600                 MOVE MM08-SOLE-PROP-INIT
300700                                 TO MMMM-SOLE-PROP-INITIAL
300800                 MOVE MMMM-SOLE-PROP-INITIAL
300900                                 TO MML1-VL01-A-DATA-X
301000                 MOVE 'FC32'     TO MBCA-PROGRAM-LOCATION
301100                 PERFORM Y910-WRITE-LOG-RECORD
301200                                 THRU Y919-WLR-EXIT
301300             ELSE
301400                 MOVE MM08-SOLE-PROP-INIT
301500                                 TO MMMM-SOLE-PROP-INITIAL.
301600*
301700 X359-EXIT.
301800     EXIT.
301802*                                                                 RG802901
301804 X360-UPDATE-URL-EMAIL.                                           RG802901
301806*                                                                 RG802901
301808     IF  MM08-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
301810         IF  MM08-URL-EMAIL IS NOT EQUAL                          RG802901
301812                                 TO MMMM-URL-EMAIL                RG802901
301814             SET WS-UPDATE-SW-YES                                 RG802901
301816                                 TO TRUE                          RG802901
301818             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG802901
301820                 MOVE MMMMTB-URL-EMAIL (1:4)                      RG802901
301822                                 TO WS-INDEX-X                    RG802901
301824                 SET X-MMFS-MERCH                                 RG802901
301826                                 TO WS-INDEX                      RG802901
301828                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)           RG802901
301830                                 TO MML1-MMMM-AUDIT-CODE          RG802901
301832                 MOVE 0831       TO MML1-FIELD-CODE               RG802901
301834                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG802901
301836                                    MML1-FIELD-OCCURRENCE-2       RG802901
301838                 MOVE MML1WS-VL-60                                RG802901
301840                                 TO MML1-VARIABLE-LENGTH          RG802901
301842                 MOVE MMMM-URL-EMAIL                              RG802901
301844                                 TO MML1-VL60-B-DATA-X            RG802901
301846                 MOVE MM08-URL-EMAIL                              RG802901
301848                                 TO MMMM-URL-EMAIL                RG802901
301850                 MOVE MMMM-URL-EMAIL                              RG802901
301852                                 TO MML1-VL60-A-DATA-X            RG802901
301854                 MOVE 'FC62'     TO MBCA-PROGRAM-LOCATION         RG802901
301856                 PERFORM Y910-WRITE-LOG-RECORD                    RG802901
301858                                 THRU Y919-WLR-EXIT               RG802901
301860             ELSE                                                 RG802901
301862                 MOVE MM08-URL-EMAIL                              RG802901
301864                                 TO MMMM-URL-EMAIL.               RG802901
301866*                                                                 RG802901
301868 X369-EXIT.                                                       RG802901
301870     EXIT.                                                        RG802901
301900*
302000 X370-UPDATE-VISIT-REP-OPER.
302100*
302200     IF  MM08-VISIT-OPERATOR-L IS GREATER THAN ZERO
302300         IF  MM08-VISIT-OPERATOR IS NOT EQUAL
302400                                 TO MMMM-VISIT-REP-OPER
302500             SET WS-UPDATE-SW-YES
302600                                 TO TRUE
302700             IF  MBCA-PTI-FUNCTION-IS-MAINT
302800                 MOVE MMMMTB-VISIT-REP-OPER (1:4)
302900                                 TO WS-INDEX-X
303000                 SET X-MMFS-MERCH
303100                                 TO WS-INDEX
303200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
303300                                 TO MML1-MMMM-AUDIT-CODE
303400                 MOVE 0815       TO MML1-FIELD-CODE
303500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
303600                                    MML1-FIELD-OCCURRENCE-2
303700                 MOVE MML1WS-VL-03
303800                                 TO MML1-VARIABLE-LENGTH
303900                 MOVE MMMM-VISIT-REP-OPER
304000                                 TO MML1-VL03-B-DATA-X
304100                 MOVE MM08-VISIT-OPERATOR
304200                                 TO MMMM-VISIT-REP-OPER
304300                 MOVE MMMM-VISIT-REP-OPER
304400                                 TO MML1-VL03-A-DATA-X
304500                 MOVE 'FC33'     TO MBCA-PROGRAM-LOCATION
304600                 PERFORM Y910-WRITE-LOG-RECORD
304700                                 THRU Y919-WLR-EXIT
304800             ELSE
304900                 MOVE MM08-VISIT-OPERATOR
305000                                 TO MMMM-VISIT-REP-OPER.
305100*
305200 X379-EXIT.
305300     EXIT.
305400*
305500 X390-UPDATE-VISIT-REP-NAME.
305600*
305700     IF  MM08-VISIT-REP-NAME-L IS GREATER THAN ZERO
305800         IF  MM08-VISIT-REP-NAME IS NOT EQUAL
305900                                 TO MMMM-VISIT-REP-NAME
306000             SET WS-UPDATE-SW-YES
306100                                 TO TRUE
306200             IF  MBCA-PTI-FUNCTION-IS-MAINT
306300                 MOVE MMMMTB-VISIT-REP-NAME (1:4)
306400                                 TO WS-INDEX-X
306500                 SET X-MMFS-MERCH
306600                                 TO WS-INDEX
306700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
306800                                 TO MML1-MMMM-AUDIT-CODE
306900                 MOVE 0823       TO MML1-FIELD-CODE
307000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
307100                                    MML1-FIELD-OCCURRENCE-2
307200                 MOVE MML1WS-VL-40
307300                                 TO MML1-VARIABLE-LENGTH
307400                 MOVE MMMM-VISIT-REP-NAME
307500                                 TO MML1-VL40-B-DATA-X
307600                 MOVE MM08-VISIT-REP-NAME
307700                                 TO MMMM-VISIT-REP-NAME
307800                 MOVE MMMM-VISIT-REP-NAME
307900                                 TO MML1-VL40-A-DATA-X
308000                 MOVE 'FC34'     TO MBCA-PROGRAM-LOCATION
308100                 PERFORM Y910-WRITE-LOG-RECORD
308200                                 THRU Y919-WLR-EXIT
308300             ELSE
308400                 MOVE MM08-VISIT-REP-NAME
308500                                 TO MMMM-VISIT-REP-NAME.
308600*
308700 X399-EXIT.
308800     EXIT.
308900*
309000 X410-UPDATE-VISIT-FREQ.
309100*
309200     IF  MM08-VISIT-FREQ-L IS GREATER THAN ZERO
309300         IF  MM08-VISIT-FREQ IS NOT EQUAL TO MMMM-VISIT-FREQ
309400             SET WS-UPDATE-SW-YES
309500                                 TO TRUE
309600             IF  MBCA-PTI-FUNCTION-IS-MAINT
309700                 MOVE MMMMTB-VISIT-FREQ (1:4)
309800                                 TO WS-INDEX-X
309900                 SET X-MMFS-MERCH
310000                                 TO WS-INDEX
310100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
310200                                 TO MML1-MMMM-AUDIT-CODE
310300                 MOVE 0816       TO MML1-FIELD-CODE
310400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
310500                                    MML1-FIELD-OCCURRENCE-2
310600                 MOVE MML1WS-VL-02
310700                                 TO MML1-VARIABLE-LENGTH
310800                 MOVE MMMM-VISIT-FREQ
310900                                 TO MML1-VL02-B-DATA-9
311000                 MOVE MM08-VISIT-FREQ
311100                                 TO MMMM-VISIT-FREQ
311200                 MOVE MMMM-VISIT-FREQ
311300                                 TO MML1-VL02-A-DATA-9
311400                 MOVE 'FC35'     TO MBCA-PROGRAM-LOCATION
311500                 PERFORM Y910-WRITE-LOG-RECORD
311600                                 THRU Y919-WLR-EXIT
311700             ELSE
311800                 MOVE MM08-VISIT-FREQ
311900                                 TO MMMM-VISIT-FREQ.
312000*
312100 X419-EXIT.
312200     EXIT.
312300*
312400 X430-UPDATE-DATE-LAST-VISIT.
312500*
312600     IF  MM08-LAST-VISIT-L IS GREATER THAN ZERO
312700         MOVE MM08-LAST-VISIT    TO SS01WS-DATE
312800         PERFORM SS07PD-GREG-TO-JUL
312900                                 THRU SS07PD-GTJ-EXIT
313000         IF  SS01WS-JULIAN IS NOT EQUAL TO MMMM-DATE-LAST-VISIT
313100             SET WS-UPDATE-SW-YES
313200                                 TO TRUE
313300             IF  MBCA-PTI-FUNCTION-IS-MAINT
313400                 MOVE MMMMTB-DATE-LAST-VISIT (1:4)
313500                                 TO WS-INDEX-X
313600                 SET X-MMFS-MERCH
313700                                 TO WS-INDEX
313800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
313900                                 TO MML1-MMMM-AUDIT-CODE
314000                 MOVE 0819       TO MML1-FIELD-CODE
314100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
314200                                    MML1-FIELD-OCCURRENCE-2
314300                 MOVE MML1WS-VL-07
314400                                 TO MML1-VARIABLE-LENGTH
314500                 MOVE MMMM-DATE-LAST-VISIT
314600                                 TO MML1-VL07-B-DATA-9
314700                 MOVE SS01WS-JULIAN
314800                                 TO MMMM-DATE-LAST-VISIT
314900                 MOVE MMMM-DATE-LAST-VISIT
315000                                 TO MML1-VL07-A-DATA-9
315100                 MOVE 'FC36'     TO MBCA-PROGRAM-LOCATION
315200                 PERFORM Y910-WRITE-LOG-RECORD
315300                                 THRU Y919-WLR-EXIT
315400             ELSE
315500                 MOVE SS01WS-JULIAN
315600                                 TO MMMM-DATE-LAST-VISIT.
315700*
315800 X439-EXIT.
315900     EXIT.
316000*
316100 X450-UPDATE-DATE-NEXT-VISIT.
316200*
316300     IF  MM08-NEXT-VISIT-L IS GREATER THAN ZERO
316400         MOVE MM08-NEXT-VISIT(1:2)
316500                                 TO SS01WS-DATEZ(1:2)
316600         MOVE MM08-NEXT-VISIT(4:2)
316700                                 TO SS01WS-DATEZ(3:2)
316800         MOVE MM08-NEXT-VISIT(7:4)
316900                                 TO SS01WS-DATEZ(5:4)
317000         PERFORM SS07PD-GREG-TO-JUL
317100                                 THRU SS07PD-GTJ-EXIT
317200         IF  SS01WS-JULIAN IS NOT EQUAL TO MMMM-DATE-NEXT-VISIT
317300             SET WS-UPDATE-SW-YES
317400                                 TO TRUE
317500             IF  MBCA-PTI-FUNCTION-IS-MAINT
317600                 MOVE MMMMTB-DATE-LAST-VISIT (1:4)
317700                                 TO WS-INDEX-X
317800                 SET X-MMFS-MERCH
317900                                 TO WS-INDEX
318000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
318100                                 TO MML1-MMMM-AUDIT-CODE
318200                 MOVE 0821       TO MML1-FIELD-CODE
318300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
318400                                    MML1-FIELD-OCCURRENCE-2
318500                 MOVE MML1WS-VL-07
318600                                 TO MML1-VARIABLE-LENGTH
318700                 MOVE MMMM-DATE-NEXT-VISIT
318800                                 TO MML1-VL07-B-DATA-9
318900                 MOVE SS01WS-JULIAN
319000                                 TO MMMM-DATE-NEXT-VISIT
319100                 MOVE MMMM-DATE-NEXT-VISIT
319200                                 TO MML1-VL07-A-DATA-9
319300                 MOVE 'FC37'     TO MBCA-PROGRAM-LOCATION
319400                 PERFORM Y910-WRITE-LOG-RECORD
319500                                 THRU Y919-WLR-EXIT
319600             ELSE
319700                 MOVE SS01WS-JULIAN
319800                                 TO MMMM-DATE-NEXT-VISIT.
319900*
320000 X459-EXIT.
320100     EXIT.
320200*
320300 X470-UPDATE-REVIEW-REP-OPER.
320400*
320500     IF  MM08-REVIEW-OPERATOR-L IS GREATER THAN ZERO
320600         IF  MM08-REVIEW-OPERATOR IS NOT EQUAL
320700                                 TO MMMM-REVIEW-REP-OPER
320800             SET WS-UPDATE-SW-YES
320900                                 TO TRUE
321000             IF  MBCA-PTI-FUNCTION-IS-MAINT
321100                 MOVE MMMMTB-REVIEW-REP-OPER (1:4)
321200                                 TO WS-INDEX-X
321300                 SET X-MMFS-MERCH
321400                                 TO WS-INDEX
321500                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
321600                                 TO MML1-MMMM-AUDIT-CODE
321700                 MOVE 0817       TO MML1-FIELD-CODE
321800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
321900                                    MML1-FIELD-OCCURRENCE-2
322000                 MOVE MML1WS-VL-03
322100                                 TO MML1-VARIABLE-LENGTH
322200                 MOVE MMMM-REVIEW-REP-OPER
322300                                 TO MML1-VL03-B-DATA-X
322400                 MOVE MM08-REVIEW-OPERATOR
322500                                 TO MMMM-REVIEW-REP-OPER
322600                 MOVE MMMM-REVIEW-REP-OPER
322700                                 TO MML1-VL03-A-DATA-X
322800                 MOVE 'FC38'     TO MBCA-PROGRAM-LOCATION
322900                 PERFORM Y910-WRITE-LOG-RECORD
323000                                 THRU Y919-WLR-EXIT
323100             ELSE
323200                 MOVE MM08-REVIEW-OPERATOR
323300                                 TO MMMM-REVIEW-REP-OPER.
323400*
323500 X479-EXIT.
323600     EXIT.
323700*
323800 X490-UPDATE-REVIEW-REP-NAME.
323900*
324000     IF  MM08-REVIEW-REP-NAME-L IS GREATER THAN ZERO
324100         IF  MM08-REVIEW-REP-NAME IS NOT EQUAL
324200                                 TO MMMM-REVIEW-REP-NAME
324300             SET WS-UPDATE-SW-YES
324400                                 TO TRUE
324500             IF  MBCA-PTI-FUNCTION-IS-MAINT
324600                 MOVE MMMMTB-REVIEW-REP-NAME (1:4)
324700                                 TO WS-INDEX-X
324800                 SET X-MMFS-MERCH
324900                                 TO WS-INDEX
325000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
325100                                 TO MML1-MMMM-AUDIT-CODE
325200                 MOVE 0824       TO MML1-FIELD-CODE
325300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
325400                                    MML1-FIELD-OCCURRENCE-2
325500                 MOVE MML1WS-VL-40
325600                                 TO MML1-VARIABLE-LENGTH
325700                 MOVE MMMM-REVIEW-REP-NAME
325800                                 TO MML1-VL40-B-DATA-X
325900                 MOVE MM08-REVIEW-REP-NAME
326000                                 TO MMMM-REVIEW-REP-NAME
326100                 MOVE MMMM-REVIEW-REP-NAME
326200                                 TO MML1-VL40-A-DATA-X
326300                 MOVE 'FC39'     TO MBCA-PROGRAM-LOCATION
326400                 PERFORM Y910-WRITE-LOG-RECORD
326500                                 THRU Y919-WLR-EXIT
326600             ELSE
326700                 MOVE MM08-REVIEW-REP-NAME
326800                                 TO MMMM-REVIEW-REP-NAME.
326900*
327000 X499-EXIT.
327100     EXIT.
327200*
327300 X510-UPDATE-REVIEW-FREQ.
327400*
327500     IF  MM08-REVIEW-FREQ-L IS GREATER THAN ZERO
327600         IF  MM08-REVIEW-FREQ IS NOT EQUAL TO MMMM-REVIEW-FREQ
327700             SET WS-UPDATE-SW-YES
327800                                 TO TRUE
327900             IF  MBCA-PTI-FUNCTION-IS-MAINT
328000                 MOVE MMMMTB-REVIEW-FREQ (1:4)
328100                                 TO WS-INDEX-X
328200                 SET X-MMFS-MERCH
328300                                 TO WS-INDEX
328400                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
328500                                 TO MML1-MMMM-AUDIT-CODE
328600                 MOVE 0818       TO MML1-FIELD-CODE
328700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
328800                                    MML1-FIELD-OCCURRENCE-2
328900                 MOVE MML1WS-VL-02
329000                                 TO MML1-VARIABLE-LENGTH
329100                 MOVE MMMM-REVIEW-FREQ
329200                                 TO MML1-VL02-B-DATA-9
329300                 MOVE MM08-REVIEW-FREQ
329400                                 TO MMMM-REVIEW-FREQ
329500                 MOVE MMMM-REVIEW-FREQ
329600                                 TO MML1-VL02-A-DATA-9
329700                 MOVE 'FC40'     TO MBCA-PROGRAM-LOCATION
329800                 PERFORM Y910-WRITE-LOG-RECORD
329900                                 THRU Y919-WLR-EXIT
330000             ELSE
330100                 MOVE MM08-REVIEW-FREQ
330200                                 TO MMMM-REVIEW-FREQ.
330300*
330400 X519-EXIT.
330500     EXIT.
330600*
330700 X530-UPDATE-DATE-LAST-REVIEW.
330800*
330900     IF  MM08-LAST-REVIEW-L IS GREATER THAN ZERO
331000         MOVE MM08-LAST-REVIEW   TO SS01WS-DATE
331100         PERFORM SS07PD-GREG-TO-JUL
331200                                 THRU SS07PD-GTJ-EXIT
331300         IF  SS01WS-JULIAN IS NOT EQUAL TO MMMM-DATE-LAST-REVIEW
331400             SET WS-UPDATE-SW-YES
331500                                 TO TRUE
331600             IF  MBCA-PTI-FUNCTION-IS-MAINT
331700                 MOVE MMMMTB-DATE-LAST-REVIEW (1:4)
331800                                 TO WS-INDEX-X
331900                 SET X-MMFS-MERCH
332000                                 TO WS-INDEX
332100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
332200                                 TO MML1-MMMM-AUDIT-CODE
332300                 MOVE 0820       TO MML1-FIELD-CODE
332400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
332500                                    MML1-FIELD-OCCURRENCE-2
332600                 MOVE MML1WS-VL-07
332700                                 TO MML1-VARIABLE-LENGTH
332800                 MOVE MMMM-DATE-LAST-REVIEW
332900                                 TO MML1-VL07-B-DATA-9
333000                 MOVE SS01WS-JULIAN
333100                                 TO MMMM-DATE-LAST-REVIEW
333200                 MOVE MMMM-DATE-LAST-REVIEW
333300                                 TO MML1-VL07-A-DATA-9
333400                 MOVE 'FC41'     TO MBCA-PROGRAM-LOCATION
333500                 PERFORM Y910-WRITE-LOG-RECORD
333600                                 THRU Y919-WLR-EXIT
333700             ELSE
333800                 MOVE SS01WS-JULIAN
333900                                 TO MMMM-DATE-LAST-REVIEW.
334000*
334100 X539-EXIT.
334200     EXIT.
334300*
334400 X550-UPDATE-DATE-NEXT-REVIEW.
334500*
334600     IF  MM08-NEXT-REVIEW-L IS GREATER THAN ZERO
334700         MOVE MM08-NEXT-REVIEW(1:2)
334800                                 TO SS01WS-DATEZ(1:2)
334900         MOVE MM08-NEXT-REVIEW(4:2)
335000                                 TO SS01WS-DATEZ(3:2)
335100         MOVE MM08-NEXT-REVIEW(7:4)
335200                                 TO SS01WS-DATEZ(5:4)
335300         PERFORM SS07PD-GREG-TO-JUL
335400                                 THRU SS07PD-GTJ-EXIT
335500         IF  SS01WS-JULIAN IS NOT EQUAL TO MMMM-DATE-NEXT-REVIEW
335600             SET WS-UPDATE-SW-YES
335700                                 TO TRUE
335800             IF  MBCA-PTI-FUNCTION-IS-MAINT
335900                 MOVE MMMMTB-DATE-NEXT-REVIEW (1:4)
336000                                 TO WS-INDEX-X
336100                 SET X-MMFS-MERCH
336200                                 TO WS-INDEX
336300                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
336400                                 TO MML1-MMMM-AUDIT-CODE
336500                 MOVE 0822       TO MML1-FIELD-CODE
336600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
336700                                    MML1-FIELD-OCCURRENCE-2
336800                 MOVE MML1WS-VL-07
336900                                 TO MML1-VARIABLE-LENGTH
337000                 MOVE MMMM-DATE-NEXT-REVIEW
337100                                 TO MML1-VL07-B-DATA-9
337200                 MOVE SS01WS-JULIAN
337300                                 TO MMMM-DATE-NEXT-REVIEW
337400                 MOVE MMMM-DATE-NEXT-REVIEW
337500                                 TO MML1-VL07-A-DATA-9
337600                 MOVE 'FC42'     TO MBCA-PROGRAM-LOCATION
337700                 PERFORM Y910-WRITE-LOG-RECORD
337800                                 THRU Y919-WLR-EXIT
337900             ELSE
338000                 MOVE SS01WS-JULIAN
338100                                 TO MMMM-DATE-NEXT-REVIEW.
338200*
338300 X559-EXIT.
338400     EXIT.
338500*
338600 X710-UPDT-STORE-DATA.
338700*
338800****************************************************************
338900*    START BROWSE THE STORE MERCH XREF FILE                    *
339000****************************************************************
339100*
339200     MOVE 'FC43'                 TO MBCA-PROGRAM-LOCATION.
339300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
339400     MOVE MBCA-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
339500     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
339600     SET MBIORO-STARTBR-GTE      TO TRUE.
339700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
339800*
339900 X711-READ-LOOP.
340000*
340100****************************************************************
340200*    READNEXT THE STORE MERCH XREF FILE                        *
340300****************************************************************
340400*
340500     MOVE 'FC44'                 TO MBCA-PROGRAM-LOCATION.
340600     SET MBIORO-READ-SEQ         TO TRUE.
340700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
340800*
340900     IF  MMXR-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
341000         GO TO X718-END-BROWSE.
341100*
341200     MOVE 'SM'                   TO MML1-FILE-CODE.
341300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
341400     MOVE MMXR-STORE             TO MML1-MMSM-STORE.
341500     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
341600     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
341700     MOVE ZEROS                  TO MML1-SOURCE-CODE.
341800     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
341900*
342000     MOVE 'FC45'                 TO MBCA-PROGRAM-LOCATION.
342100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
342200     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
342300     SET MBIORO-READ-RANDOM-UPDATE
342400                                 TO TRUE.
342500     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
342600*
342700     IF  MMMM-SINGLE-STORE-YES
342800     AND MMMM-STORE-NBR IS GREATER THAN ZEROS
342900         NEXT SENTENCE
343000     ELSE
343100         GO TO X711-CONTINUE.
343200*
343300     IF  MM08-AGENT-L IS GREATER THAN ZERO
343400         IF  MM08-AGENT IS NOT EQUAL TO MMSM-AGENT-BANK
343500             SET WS-STORE-UPDATE-SW-YES
343600                                 TO TRUE
343700             MOVE 0511           TO MML1-FIELD-CODE
343800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
343900                                    MML1-FIELD-OCCURRENCE-2
344000             MOVE MML1WS-VL-05   TO MML1-VARIABLE-LENGTH
344100             MOVE MMSM-AGENT-BANK
344200                                 TO MML1-VL05-B-DATA-9
344300             MOVE MM08-AGENT     TO MMSM-AGENT-BANK
344400             MOVE MMSM-AGENT-BANK
344500                                 TO MML1-VL05-A-DATA-9
344600             MOVE 'FC46'         TO MBCA-PROGRAM-LOCATION
344700             PERFORM Y910-WRITE-LOG-RECORD
344800                                 THRU Y919-WLR-EXIT.
344900*
345000     IF  MM08-BRANCH-L IS GREATER THAN ZERO
345100         IF  MM08-BRANCH IS NOT EQUAL TO MMSM-BRANCH
345200             SET WS-STORE-UPDATE-SW-YES
345300                                 TO TRUE
345400             MOVE 0513           TO MML1-FIELD-CODE
345500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
345600                                    MML1-FIELD-OCCURRENCE-2
345700             MOVE MML1WS-VL-10   TO MML1-VARIABLE-LENGTH
345800             MOVE MMSM-BRANCH    TO MML1-VL10-B-DATA-9
345900             MOVE MM08-BRANCH    TO MMSM-BRANCH
346000             MOVE MMSM-BRANCH    TO MML1-VL10-A-DATA-9
346100             MOVE 'FC47'         TO MBCA-PROGRAM-LOCATION
346200             PERFORM Y910-WRITE-LOG-RECORD
346300                                 THRU Y919-WLR-EXIT.
346400*
346500     IF  MM08-OFFICER-L IS GREATER THAN ZERO
346600         IF  MM08-OFFICER IS NOT EQUAL TO MMSM-OFFICER-ID
346700             SET WS-STORE-UPDATE-SW-YES
346800                                 TO TRUE
346900             MOVE 0512           TO MML1-FIELD-CODE
347000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
347100                                    MML1-FIELD-OCCURRENCE-2
347200             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
347300             MOVE MMSM-OFFICER-ID
347400                                 TO MML1-VL03-B-DATA-X
347500             MOVE MM08-OFFICER   TO MMSM-OFFICER-ID
347600             MOVE MMSM-OFFICER-ID
347700                                 TO MML1-VL03-A-DATA-X
347800             MOVE 'FC48'         TO MBCA-PROGRAM-LOCATION
347900             PERFORM Y910-WRITE-LOG-RECORD
348000                                 THRU Y919-WLR-EXIT.
348100*
348200 X711-CONTINUE.
348300*
348400     IF  MM08-TAXPAYER-ID-L IS GREATER THAN ZERO
348500         IF  MM08-TAXPAYER-ID IS NOT EQUAL TO MMSM-TAX-ID
348600             SET WS-STORE-UPDATE-SW-YES
348700                                 TO TRUE
348800             MOVE 9011           TO MML1-FIELD-CODE
348900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
349000                                    MML1-FIELD-OCCURRENCE-2
349100             MOVE MML1WS-VL-20   TO MML1-VARIABLE-LENGTH
349200             MOVE MMSM-TAX-ID    TO MML1-VL20-B-DATA-X
349300             MOVE MM08-TAXPAYER-ID
349400                                 TO MMSM-TAX-ID
349500             MOVE MMSM-TAX-ID    TO MML1-VL20-A-DATA-X
349600             MOVE 'FC49'         TO MBCA-PROGRAM-LOCATION
349700             PERFORM Y910-WRITE-LOG-RECORD
349800                                 THRU Y919-WLR-EXIT.
349900*
350000     IF  MM08-TAXID-IND-L IS GREATER THAN ZERO
350100         IF  MM08-TAXID-IND IS NOT EQUAL TO MMSM-TIN-TYPE
350200             SET WS-STORE-UPDATE-SW-YES
350300                                 TO TRUE
350400             MOVE 9037           TO MML1-FIELD-CODE
350500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
350600                                    MML1-FIELD-OCCURRENCE-2
350700             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
350800             MOVE MMSM-TIN-TYPE  TO MML1-VL01-B-DATA-X
350900             MOVE MM08-TAXID-IND
351000                                 TO MMSM-TIN-TYPE
351100             MOVE MMSM-TIN-TYPE  TO MML1-VL01-A-DATA-X
351200             MOVE 'FC50'         TO MBCA-PROGRAM-LOCATION
351300             PERFORM Y910-WRITE-LOG-RECORD
351400                                 THRU Y919-WLR-EXIT.
351500*
351600     IF  MM08-INCORP-STATUS-L IS GREATER THAN ZERO
351700         IF  MM08-INCORP-STATUS IS NOT EQUAL
351800                                 TO MMSM-INCORPORATION-STATUS
351900             SET WS-STORE-UPDATE-SW-YES
352000                                 TO TRUE
352100             MOVE 9012           TO MML1-FIELD-CODE
352200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
352300                                    MML1-FIELD-OCCURRENCE-2
352400             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
352500             MOVE MMSM-INCORPORATION-STATUS
352600                                 TO MML1-VL02-B-DATA-X
352700             MOVE MM08-INCORP-STATUS
352800                                 TO MMSM-INCORPORATION-STATUS
352900             MOVE MMSM-INCORPORATION-STATUS
353000                                 TO MML1-VL02-A-DATA-X
353100             MOVE 'FC51'         TO MBCA-PROGRAM-LOCATION
353200             PERFORM Y910-WRITE-LOG-RECORD
353300                                 THRU Y919-WLR-EXIT.
353400*
353500     IF  MM08-CORP-LEG-L IS GREATER THAN ZERO
353600         IF  MM08-CORP-LEG IS NOT EQUAL
353700                                 TO MMSM-CORP-LEGAL-NAME
353800             SET WS-STORE-UPDATE-SW-YES
353900                                 TO TRUE
354000             MOVE 9038           TO MML1-FIELD-CODE
354100             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
354200                                    MML1-FIELD-OCCURRENCE-2
354300             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
354400             MOVE MMSM-CORP-LEGAL-NAME
354500                                 TO MML1-VL30-B-DATA-X
354600             MOVE MM08-CORP-LEG
354700                                 TO MMSM-CORP-LEGAL-NAME
354800             MOVE MMSM-CORP-LEGAL-NAME
354900                                 TO MML1-VL30-A-DATA-X
355000             MOVE 'FC52'         TO MBCA-PROGRAM-LOCATION
355100             PERFORM Y910-WRITE-LOG-RECORD
355200                                 THRU Y919-WLR-EXIT.
355300*
355400     IF  MM08-MINORITY-CODE-L IS GREATER THAN ZERO
355500         IF  MM08-MINORITY-CODE IS NOT EQUAL
355600                                 TO MMSM-MINORITY-CODE
355700             SET WS-STORE-UPDATE-SW-YES
355800                                 TO TRUE
355900             MOVE 9039           TO MML1-FIELD-CODE
356000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
356100                                    MML1-FIELD-OCCURRENCE-2
356200             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
356300             MOVE MMSM-MINORITY-CODE
356400                                 TO MML1-VL02-B-DATA-X
356500             MOVE MM08-MINORITY-CODE
356600                                 TO MMSM-MINORITY-CODE
356700             MOVE MMSM-MINORITY-CODE
356800                                 TO MML1-VL02-A-DATA-X
356900             MOVE 'FC53'         TO MBCA-PROGRAM-LOCATION
357000             PERFORM Y910-WRITE-LOG-RECORD
357100                                 THRU Y919-WLR-EXIT.
357200*
357300     IF  MM08-WOMAN-OWNED-CODE-L IS GREATER THAN ZERO
357400         IF  MM08-WOMAN-OWNED-CODE IS NOT EQUAL
357500                                 TO MMSM-MINORITY-CODE
357600             SET WS-STORE-UPDATE-SW-YES
357700                                 TO TRUE
357800             MOVE 9040           TO MML1-FIELD-CODE
357900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
358000                                    MML1-FIELD-OCCURRENCE-2
358100             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
358200             MOVE MMSM-WOMAN-OWNED-CODE
358300                                 TO MML1-VL01-B-DATA-X
358400             MOVE MM08-WOMAN-OWNED-CODE
358500                                 TO MMSM-WOMAN-OWNED-CODE
358600             MOVE MMSM-WOMAN-OWNED-CODE
358700                                 TO MML1-VL01-A-DATA-X
358800             MOVE 'FC54'         TO MBCA-PROGRAM-LOCATION
358900             PERFORM Y910-WRITE-LOG-RECORD
359000                                 THRU Y919-WLR-EXIT.
359100*
359200     IF  MM08-DB-NBR-L IS GREATER THAN ZERO
359300         IF  MM08-DB-NBR IS NOT EQUAL
359400                                 TO MMSM-DUN-AND-BRADSTREET-NBR
359500             SET WS-STORE-UPDATE-SW-YES
359600                                 TO TRUE
359700             MOVE 9041           TO MML1-FIELD-CODE
359800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
359900                                    MML1-FIELD-OCCURRENCE-2
360000             MOVE MML1WS-VL-10   TO MML1-VARIABLE-LENGTH
360100             MOVE MMSM-DUN-AND-BRADSTREET-NBR
360200                                 TO MML1-VL10-B-DATA-X
360300             MOVE MM08-DB-NBR    TO MMSM-DUN-AND-BRADSTREET-NBR
360400             MOVE MMSM-DUN-AND-BRADSTREET-NBR
360500                                 TO MML1-VL10-A-DATA-X
360600             MOVE 'FC55'         TO MBCA-PROGRAM-LOCATION
360700             PERFORM Y910-WRITE-LOG-RECORD
360800                                 THRU Y919-WLR-EXIT.
360900*
361000     IF  MM08-SOLE-PROP-LAST-L IS GREATER THAN ZERO
361100         IF  MM08-SOLE-PROP-LAST IS NOT EQUAL
361200                                 TO MMSM-SOLE-PROP-LAST
361300             SET WS-STORE-UPDATE-SW-YES
361400                                 TO TRUE
361500             MOVE 9013           TO MML1-FIELD-CODE
361600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
361700                                    MML1-FIELD-OCCURRENCE-2
361800             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
361900             MOVE MMSM-SOLE-PROP-LAST
362000                                 TO MML1-VL30-B-DATA-X
362100             MOVE MM08-SOLE-PROP-LAST
362200                                 TO MMSM-SOLE-PROP-LAST
362300             MOVE MMSM-SOLE-PROP-LAST
362400                                 TO MML1-VL30-A-DATA-X
362500             MOVE 'FC56'         TO MBCA-PROGRAM-LOCATION
362600             PERFORM Y910-WRITE-LOG-RECORD
362700                                 THRU Y919-WLR-EXIT.
362800*
362900     IF  MM08-SOLE-PROP-FIRST-L IS GREATER THAN ZERO
363000         IF  MM08-SOLE-PROP-FIRST IS NOT EQUAL
363100                                 TO MMSM-SOLE-PROP-FIRST
363200             SET WS-STORE-UPDATE-SW-YES
363300                                 TO TRUE
363400             MOVE 9014           TO MML1-FIELD-CODE
363500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
363600                                    MML1-FIELD-OCCURRENCE-2
363700             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
363800             MOVE MMSM-SOLE-PROP-FIRST
363900                                 TO MML1-VL30-B-DATA-X
364000             MOVE MM08-SOLE-PROP-FIRST
364100                                 TO MMSM-SOLE-PROP-FIRST
364200             MOVE MMSM-SOLE-PROP-FIRST
364300                                 TO MML1-VL30-A-DATA-X
364400             MOVE 'FC57'         TO MBCA-PROGRAM-LOCATION
364500             PERFORM Y910-WRITE-LOG-RECORD
364600                                 THRU Y919-WLR-EXIT.
364700*
364800     IF  MM08-SOLE-PROP-INIT-L IS GREATER THAN ZERO
364900         IF  MM08-SOLE-PROP-INIT IS NOT EQUAL
365000                                 TO MMSM-SOLE-PROP-INITIAL
365100             SET WS-STORE-UPDATE-SW-YES
365200                                 TO TRUE
365300             MOVE 9015           TO MML1-FIELD-CODE
365400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
365500                                    MML1-FIELD-OCCURRENCE-2
365600             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
365700             MOVE MMSM-SOLE-PROP-INITIAL
365800                                 TO MML1-VL01-B-DATA-X
365900             MOVE MM08-SOLE-PROP-INIT
366000                                 TO MMSM-SOLE-PROP-INITIAL
366100             MOVE MMSM-SOLE-PROP-INITIAL
366200                                 TO MML1-VL01-A-DATA-X
366300             MOVE 'FC58'         TO MBCA-PROGRAM-LOCATION
366400             PERFORM Y910-WRITE-LOG-RECORD
366500                                 THRU Y919-WLR-EXIT.
366502*                                                                 RG802901
366504     IF  MM08-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
366506         IF  MM08-URL-EMAIL IS NOT EQUAL                          RG802901
366508                                 TO MMSM-VI-URL-EMAIL             RG802901
366510             SET WS-STORE-UPDATE-SW-YES                           RG802901
366512                                 TO TRUE                          RG802901
366514             MOVE 9042           TO MML1-FIELD-CODE               RG802901
366516             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE         RG802901
366518                                    MML1-FIELD-OCCURRENCE-2       RG802901
366520             MOVE MML1WS-VL-60   TO MML1-VARIABLE-LENGTH          RG802901
366522             MOVE MMSM-VI-URL-EMAIL                               RG802901
366524                                 TO MML1-VL60-B-DATA-X            RG802901
366526             MOVE MM08-URL-EMAIL TO MMSM-VI-URL-EMAIL             RG802901
366528             MOVE MMSM-VI-URL-EMAIL                               RG802901
366530                                 TO MML1-VL60-A-DATA-X            RG802901
366532             MOVE 'FC63'         TO MBCA-PROGRAM-LOCATION         RG802901
366534             PERFORM Y910-WRITE-LOG-RECORD                        RG802901
366536                                 THRU Y919-WLR-EXIT.              RG802901
366600*
366700     IF  WS-STORE-UPDATE-SW-YES
366800         MOVE 'FC59'             TO MBCA-PROGRAM-LOCATION
366900         SET MBIORO-REWRITE      TO TRUE
367000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
367100         SET WS-STORE-UPDATE-SW-NO
367200                                 TO TRUE
367300     ELSE
367400         MOVE 'FC60'             TO MBCA-PROGRAM-LOCATION
367500         SET MBIORO-UNLOCK       TO TRUE
367600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
367700*
367800     GO TO X711-READ-LOOP.
367900*
368000 X718-END-BROWSE.
368100*
368200     MOVE 'FC61'                 TO MBCA-PROGRAM-LOCATION.
368300     SET MBIORO-ENDBR            TO TRUE.
368400     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
368500*
368600 X719-EXIT.
368700     EXIT.
368800/
368900 Y000-PERFORMED-ROUTINES SECTION.
369000*
369100 Y010-MOVE-AGENT.
369200*
369300     MOVE MMMM-AGENT-BANK        TO MM08-AGENT.
369400*
369500 Y015-AGENT-SECURITY.
369600*
369700     MOVE MMMMTB-AGENT-BANK (1:4)
369800                                 TO WS-INDEX-X.
369900     SET  X-MMFS-MERCH           TO WS-INDEX.
370000*
370100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
370200         MOVE DFHBMDAS           TO MM08-AGENT-LIT-A
370300                                    MM08-AGENT-LP-A
370400                                    MM08-AGENT-RP-A
370500                                    MM08-AGENT-A
370600         MOVE ZERO               TO MM08-AGENT-L
370700         GO TO Y019-EXIT.
370800*
370900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
371000         MOVE DFHBMDAS           TO MM08-AGENT-LP-A
371100                                    MM08-AGENT-RP-A
371200         MOVE DFHBMASB           TO MM08-AGENT-A
371300         GO TO Y019-EXIT.
371400*
371500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
371600         MOVE ZERO               TO MM08-AGENT-L
371700         MOVE DFHBMDAS           TO MM08-AGENT-LP-A
371800                                    MM08-AGENT-RP-A
371900         MOVE DFHBMASK           TO MM08-AGENT-A
372000         GO TO Y019-EXIT.
372100*
372200     IF  MBCA-PTI-FUNCTION-IS-ADD
372300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
372400             MOVE DFHBMASB       TO MM08-AGENT-LIT-A
372500         ELSE
372600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
372700                 MOVE ZERO       TO MM08-AGENT-L
372800                 MOVE DFHBMDAS   TO MM08-AGENT-LP-A
372900                                    MM08-AGENT-RP-A
373000                 MOVE DFHBMASK   TO MM08-AGENT-A.
373100*
373200     IF  MBCA-PTI-FUNCTION-IS-MAINT
373300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
373400             MOVE ZERO           TO MM08-AGENT-L
373500             MOVE DFHBMDAS       TO MM08-AGENT-LP-A
373600                                    MM08-AGENT-RP-A
373700             MOVE DFHBMASK       TO MM08-AGENT-A.
373800*
373900 Y019-EXIT.
374000     EXIT.
374100*
374200 Y030-MOVE-BRANCH.
374300*
374400     MOVE MMMM-BRANCH            TO MM08-BRANCH.
374500*
374600 Y035-BRANCH-SECURITY.
374700*
374800     MOVE MMMMTB-BRANCH (1:4)
374900                                 TO WS-INDEX-X.
375000     SET  X-MMFS-MERCH           TO WS-INDEX.
375100*
375200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
375300         MOVE DFHBMDAS           TO MM08-BRANCH-LIT-A
375400                                    MM08-BRANCH-LP-A
375500                                    MM08-BRANCH-RP-A
375600                                    MM08-BRANCH-A
375700         MOVE ZERO               TO MM08-BRANCH-L
375800         GO TO Y039-EXIT.
375900*
376000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
376100         MOVE DFHBMDAS           TO MM08-BRANCH-LP-A
376200                                    MM08-BRANCH-RP-A
376300         MOVE DFHBMASB           TO MM08-BRANCH-A
376400         GO TO Y039-EXIT.
376500*
376600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
376700         MOVE ZERO               TO MM08-BRANCH-L
376800         MOVE DFHBMDAS           TO MM08-BRANCH-LP-A
376900                                    MM08-BRANCH-RP-A
377000         MOVE DFHBMASK           TO MM08-BRANCH-A
377100         GO TO Y039-EXIT.
377200*
377300     IF  MBCA-PTI-FUNCTION-IS-ADD
377400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
377500             MOVE DFHBMASB       TO MM08-BRANCH-LIT-A
377600         ELSE
377700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
377800                 MOVE ZERO       TO MM08-BRANCH-L
377900                 MOVE DFHBMDAS   TO MM08-BRANCH-LP-A
378000                                    MM08-BRANCH-RP-A
378100                 MOVE DFHBMASK   TO MM08-BRANCH-A.
378200*
378300     IF  MBCA-PTI-FUNCTION-IS-MAINT
378400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
378500             MOVE ZERO           TO MM08-BRANCH-L
378600             MOVE DFHBMDAS       TO MM08-BRANCH-LP-A
378700                                    MM08-BRANCH-RP-A
378800             MOVE DFHBMASK       TO MM08-BRANCH-A.
378900*
379000 Y039-EXIT.
379100     EXIT.
379200*
379300 Y050-MOVE-BLOCK-CODE.
379400*
379500     MOVE MMMM-BLOCK-CODE        TO MM08-BLOCK-CODE.
379600     MOVE MMMM-BLOCK-OPER        TO MM08-BC-OPER.
379700     MOVE MMMM-DATE-BLOCK-CODE   TO SS01WS-JULIAN.
379800     PERFORM SS26PD-NUMERICALLY-EDIT-DATE THRU SS26PD-NED-EXIT.
379900     MOVE SS01WS-XX-XX-YYYY      TO MM08-BC-DATE.
380000*
380100     IF  MMMM-BLOCK-CODE IS EQUAL TO SPACE
380200         MOVE SPACES             TO MM08-BC-DESC
380300         GO TO Y055-BLOCK-CODE-SECURITY.
380400*
380500 Y051-LOOKUP-BLOCK-CODE.
380600*
380700     SET  X-MMOC-BC           TO 1.
380800*
380900 Y052-LBC-LOOP.
381000*
381100     IF  MMMM-BLOCK-CODE IS EQUAL TO MMOC-BC (X-MMOC-BC)
381200         MOVE MMOC-BC-DESC (X-MMOC-BC)
381300                                 TO MM08-BC-DESC
381400         GO TO Y055-BLOCK-CODE-SECURITY.
381500*
381600     IF  X-MMOC-BC IS LESS THAN 26
381700         SET X-MMOC-BC        UP BY 1
381800         GO TO Y052-LBC-LOOP.
381900*
382000 Y055-BLOCK-CODE-SECURITY.
382100*
382200     MOVE MMMMTB-BLOCK-CODE (1:4)
382300                                 TO WS-INDEX-X.
382400     SET  X-MMFS-MERCH           TO WS-INDEX.
382500*
382600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
382700         MOVE DFHBMDAS           TO MM08-BC-BOX-LS1-A
382800                                    MM08-BC-BOX-RS1-A
382900                                    MM08-BC-BOX-LS2-A
383000                                    MM08-BC-BOX-RS2-A
383100                                    MM08-BC-BOX-LS3-A
383200                                    MM08-BC-BOX-RS3-A
383300                                    MM08-BC-BOX-BOT-A
383400                                    MM08-BLOCK-CODE-LIT-A
383500                                    MM08-BLOCK-CODE-LP-A
383600                                    MM08-BLOCK-CODE-RP-A
383700                                    MM08-BLOCK-CODE-A
383800                                    MM08-BC-DESC-LIT-A
383900                                    MM08-BC-DESC-A
384000                                    MM08-BC-DATE-LIT-A
384100                                    MM08-BC-DATE-A
384200                                    MM08-BC-OPER-LIT-A
384300                                    MM08-BC-OPER-A
384400         MOVE ZERO               TO MM08-BLOCK-CODE-L
384500                                    MM08-BC-DESC-L
384600                                    MM08-BC-DATE-L
384700                                    MM08-BC-OPER-L
384800         GO TO Y059-EXIT.
384900*
385000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
385100         MOVE DFHBMDAS           TO MM08-BLOCK-CODE-LP-A
385200                                    MM08-BLOCK-CODE-RP-A
385300         MOVE DFHBMASB           TO MM08-BLOCK-CODE-A
385400                                    MM08-BC-DESC-A
385500                                    MM08-BC-DATE-A
385600                                    MM08-BC-OPER-A
385700         GO TO Y059-EXIT.
385800*
385900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
386000         MOVE ZERO               TO MM08-BLOCK-CODE-L
386100                                    MM08-BC-DESC-L
386200                                    MM08-BC-DATE-L
386300                                    MM08-BC-OPER-L
386400         MOVE DFHBMDAS           TO MM08-BLOCK-CODE-LP-A
386500                                    MM08-BLOCK-CODE-RP-A
386600         MOVE DFHBMASK           TO MM08-BLOCK-CODE-A
386700         GO TO Y059-EXIT.
386800*
386900     IF  MBCA-PTI-FUNCTION-IS-ADD
387000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
387100             MOVE DFHBMASB       TO MM08-BLOCK-CODE-LIT-A
387200         ELSE
387300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
387400                 MOVE ZERO       TO MM08-BLOCK-CODE-L
387500                                    MM08-BC-DESC-L
387600                                    MM08-BC-DATE-L
387700                                    MM08-BC-OPER-L
387800                 MOVE DFHBMDAS   TO MM08-BLOCK-CODE-LP-A
387900                                    MM08-BLOCK-CODE-RP-A
388000                 MOVE DFHBMASK   TO MM08-BLOCK-CODE-A.
388100*
388200     IF  MBCA-PTI-FUNCTION-IS-MAINT
388300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
388400             MOVE ZERO           TO MM08-BLOCK-CODE-L
388500                                    MM08-BC-DESC-L
388600                                    MM08-BC-DATE-L
388700                                    MM08-BC-OPER-L
388800             MOVE DFHBMDAS       TO MM08-BLOCK-CODE-LP-A
388900                                    MM08-BLOCK-CODE-RP-A
389000             MOVE DFHBMASK       TO MM08-BLOCK-CODE-A.
389100*
389200 Y059-EXIT.
389300     EXIT.
389400*
389500 Y070-MOVE-OFFICER.
389600*
389700     MOVE MMMM-OFFICER-ID        TO MM08-OFFICER.
389800*
389900 Y075-OFFICER-SECURITY.
390000*
390100     MOVE MMMMTB-OFFICER-ID (1:4)
390200                                 TO WS-INDEX-X.
390300     SET  X-MMFS-MERCH           TO WS-INDEX.
390400*
390500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
390600         MOVE DFHBMDAS           TO MM08-OFFICER-LIT-A
390700                                    MM08-OFFICER-LP-A
390800                                    MM08-OFFICER-RP-A
390900                                    MM08-OFFICER-A
391000         MOVE ZERO               TO MM08-OFFICER-L
391100         GO TO Y079-EXIT.
391200*
391300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
391400         MOVE DFHBMDAS           TO MM08-OFFICER-LP-A
391500                                    MM08-OFFICER-RP-A
391600         MOVE DFHBMASB           TO MM08-OFFICER-A
391700         GO TO Y079-EXIT.
391800*
391900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
392000         MOVE ZERO               TO MM08-OFFICER-L
392100         MOVE DFHBMDAS           TO MM08-OFFICER-LP-A
392200                                    MM08-OFFICER-RP-A
392300         MOVE DFHBMASK           TO MM08-OFFICER-A
392400         GO TO Y079-EXIT.
392500*
392600     IF  MBCA-PTI-FUNCTION-IS-ADD
392700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
392800             MOVE DFHBMASB       TO MM08-OFFICER-LIT-A
392900         ELSE
393000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
393100                 MOVE ZERO       TO MM08-OFFICER-L
393200                 MOVE DFHBMDAS   TO MM08-OFFICER-LP-A
393300                                    MM08-OFFICER-RP-A
393400                 MOVE DFHBMASK   TO MM08-OFFICER-A.
393500*
393600     IF  MBCA-PTI-FUNCTION-IS-MAINT
393700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
393800             MOVE ZERO           TO MM08-OFFICER-L
393900             MOVE DFHBMDAS       TO MM08-OFFICER-LP-A
394000                                    MM08-OFFICER-RP-A
394100             MOVE DFHBMASK       TO MM08-OFFICER-A.
394200*
394300 Y079-EXIT.
394400     EXIT.
394500*
394600 Y090-MOVE-REFUSAL-IND.
394700*
394800     MOVE MMMM-1099-REFUSAL-IND  TO MM08-REFU-IND.
394900*
395000 Y095-REFU-IND-SECURITY.
395100*
395200     MOVE MMMMTB-REFUSAL-IND (1:4)
395300                                 TO WS-INDEX-X.
395400     SET  X-MMFS-MERCH           TO WS-INDEX.
395500*
395600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
395700         MOVE DFHBMDAS           TO MM08-REFU-IND-LIT-A
395800                                    MM08-REFU-IND-LP-A
395900                                    MM08-REFU-IND-RP-A
396000                                    MM08-REFU-IND-A
396100         MOVE ZERO               TO MM08-REFU-IND-L
396200         GO TO Y099-EXIT.
396300*
396400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
396500         MOVE DFHBMDAS           TO MM08-REFU-IND-LP-A
396600                                    MM08-REFU-IND-RP-A
396700         MOVE DFHBMASB           TO MM08-REFU-IND-A
396800         GO TO Y099-EXIT.
396900*
397000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
397100         MOVE ZERO               TO MM08-REFU-IND-L
397200         MOVE DFHBMDAS           TO MM08-REFU-IND-LP-A
397300                                    MM08-REFU-IND-RP-A
397400         MOVE DFHBMASK           TO MM08-REFU-IND-A
397500         GO TO Y099-EXIT.
397600*
397700     IF  MBCA-PTI-FUNCTION-IS-ADD
397800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
397900             MOVE DFHBMASB       TO MM08-REFU-IND-LIT-A
398000         ELSE
398100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
398200                 MOVE ZERO       TO MM08-REFU-IND-L
398300                 MOVE DFHBMDAS   TO MM08-REFU-IND-LP-A
398400                                    MM08-REFU-IND-RP-A
398500                 MOVE DFHBMASK   TO MM08-REFU-IND-A.
398600*
398700     IF  MBCA-PTI-FUNCTION-IS-MAINT
398800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
398900             MOVE ZERO           TO MM08-REFU-IND-L
399000             MOVE DFHBMDAS       TO MM08-REFU-IND-LP-A
399100                                    MM08-REFU-IND-RP-A
399200             MOVE DFHBMASK       TO MM08-REFU-IND-A.
399300*
399400 Y099-EXIT.
399500     EXIT.
399600*
399700 Y110-MOVE-TAXPAYER-ID.
399800*
399900     MOVE MMMM-TAX-ID            TO MM08-TAXPAYER-ID.
399910*                                                                 EH800900
399920     IF MBCA-MBMM-XCTL-SW IS EQUAL TO 'Y'                         EH800900
399930        MOVE DFHBMUBF            TO MM08-TAXPAYER-ID-A            EH800900
399940        MOVE DFHBMASB            TO MM08-TAXPAYER-ID-LP-A         EH800900
399950                                    MM08-TAXPAYER-ID-RP-A         EH800900
399960        MOVE SS08WS-CURSOR       TO MM08-TAXPAYER-ID-L            EH800900
399970     END-IF.                                                      EH800900
400000*
400100 Y115-TAXPAYER-ID-SECURITY.
400200*
400300     MOVE MMMMTB-TAX-ID (1:4)    TO WS-INDEX-X.
400400     SET  X-MMFS-MERCH           TO WS-INDEX.
400500*
400600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
400700         MOVE DFHBMDAS           TO MM08-TAXPAYER-ID-LIT-A
400800                                    MM08-TAXPAYER-ID-LP-A
400900                                    MM08-TAXPAYER-ID-RP-A
401000                                    MM08-TAXPAYER-ID-A
401100         MOVE ZERO               TO MM08-TAXPAYER-ID-L
401200         GO TO Y119-EXIT.
401300*
401400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
401500         MOVE DFHBMDAS           TO MM08-TAXPAYER-ID-LP-A
401600                                    MM08-TAXPAYER-ID-RP-A
401700         MOVE DFHBMASB           TO MM08-TAXPAYER-ID-A
401800         GO TO Y119-EXIT.
401900*
402000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
402100         MOVE ZERO               TO MM08-TAXPAYER-ID-L
402200         MOVE DFHBMDAS           TO MM08-TAXPAYER-ID-LP-A
402300                                    MM08-TAXPAYER-ID-RP-A
402400         MOVE DFHBMASK           TO MM08-TAXPAYER-ID-A
402500         GO TO Y119-EXIT.
402600*
402700     IF  MBCA-PTI-FUNCTION-IS-ADD
402800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
402900             MOVE DFHBMASB       TO MM08-TAXPAYER-ID-LIT-A
403000         ELSE
403100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
403200                 MOVE ZERO       TO MM08-TAXPAYER-ID-L
403300                 MOVE DFHBMDAS   TO MM08-TAXPAYER-ID-LP-A
403400                                    MM08-TAXPAYER-ID-RP-A
403500                 MOVE DFHBMASK   TO MM08-TAXPAYER-ID-A.
403600*
403700     IF  MBCA-PTI-FUNCTION-IS-MAINT
403800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
403900             MOVE ZERO           TO MM08-TAXPAYER-ID-L
404000             MOVE DFHBMDAS       TO MM08-TAXPAYER-ID-LP-A
404100                                    MM08-TAXPAYER-ID-RP-A
404200             MOVE DFHBMASK       TO MM08-TAXPAYER-ID-A.
404300*
404400 Y119-EXIT.
404500     EXIT.
404600*
404700 Y130-MOVE-TAXID-IND.
404800*
404900     MOVE MMMM-TIN-TYPE          TO MM08-TAXID-IND.
405000*
405100 Y135-TAXID-IND-SECURITY.
405200*
405300     MOVE MMMMTB-TIN-TYPE (1:4)  TO WS-INDEX-X.
405400     SET  X-MMFS-MERCH           TO WS-INDEX.
405500*
405600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
405700         MOVE DFHBMDAS           TO MM08-TAXID-IND-LIT-A
405800                                    MM08-TAXID-IND-LP-A
405900                                    MM08-TAXID-IND-RP-A
406000                                    MM08-TAXID-IND-A
406100         MOVE ZERO               TO MM08-TAXID-IND-L
406200         GO TO Y139-EXIT.
406300*
406400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
406500         MOVE DFHBMDAS           TO MM08-TAXID-IND-LP-A
406600                                    MM08-TAXID-IND-RP-A
406700         MOVE DFHBMASB           TO MM08-TAXID-IND-A
406800         GO TO Y139-EXIT.
406900*
407000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
407100         MOVE ZERO               TO MM08-TAXID-IND-L
407200         MOVE DFHBMDAS           TO MM08-TAXID-IND-LP-A
407300                                    MM08-TAXID-IND-RP-A
407400         MOVE DFHBMASK           TO MM08-TAXID-IND-A
407500         GO TO Y139-EXIT.
407600*
407700     IF  MBCA-PTI-FUNCTION-IS-ADD
407800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
407900             MOVE DFHBMASB       TO MM08-TAXID-IND-LIT-A
408000         ELSE
408100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
408200                 MOVE ZERO       TO MM08-TAXID-IND-L
408300                 MOVE DFHBMDAS   TO MM08-TAXID-IND-LP-A
408400                                    MM08-TAXID-IND-RP-A
408500                 MOVE DFHBMASK   TO MM08-TAXID-IND-A.
408600*
408700     IF  MBCA-PTI-FUNCTION-IS-MAINT
408800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
408900             MOVE ZERO           TO MM08-TAXID-IND-L
409000             MOVE DFHBMDAS       TO MM08-TAXID-IND-LP-A
409100                                    MM08-TAXID-IND-RP-A
409200             MOVE DFHBMASK       TO MM08-TAXID-IND-A.
409300*
409400 Y139-EXIT.
409500     EXIT.
409600*
409700 Y150-MOVE-INCORP-STATUS.
409800*
409900     MOVE MMMM-INCORPORATION-STATUS
410000                                 TO MM08-INCORP-STATUS.
410100*
410200 Y155-INCORP-STATUS-SECURITY.
410300*
410400     MOVE MMMMTB-INCORP-STATUS (1:4)
410500                                 TO WS-INDEX-X.
410600     SET  X-MMFS-MERCH           TO WS-INDEX.
410700*
410800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
410900         MOVE DFHBMDAS           TO MM08-INCORP-STATUS-LIT-A
411000                                    MM08-INCORP-STATUS-LP-A
411100                                    MM08-INCORP-STATUS-RP-A
411200                                    MM08-INCORP-STATUS-A
411300         MOVE ZERO               TO MM08-INCORP-STATUS-L
411400         GO TO Y159-EXIT.
411500*
411600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
411700         MOVE DFHBMDAS           TO MM08-INCORP-STATUS-LP-A
411800                                    MM08-INCORP-STATUS-RP-A
411900         MOVE DFHBMASB           TO MM08-INCORP-STATUS-A
412000         GO TO Y159-EXIT.
412100*
412200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
412300         MOVE ZERO               TO MM08-INCORP-STATUS-L
412400         MOVE DFHBMDAS           TO MM08-INCORP-STATUS-LP-A
412500                                    MM08-INCORP-STATUS-RP-A
412600         MOVE DFHBMASK           TO MM08-INCORP-STATUS-A
412700         GO TO Y159-EXIT.
412800*
412900     IF  MBCA-PTI-FUNCTION-IS-ADD
413000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
413100             MOVE DFHBMASB       TO MM08-INCORP-STATUS-LIT-A
413200         ELSE
413300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
413400                 MOVE ZERO       TO MM08-INCORP-STATUS-L
413500                 MOVE DFHBMDAS   TO MM08-INCORP-STATUS-LP-A
413600                                    MM08-INCORP-STATUS-RP-A
413700                 MOVE DFHBMASK   TO MM08-INCORP-STATUS-A.
413800*
413900     IF  MBCA-PTI-FUNCTION-IS-MAINT
414000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
414100             MOVE ZERO           TO MM08-INCORP-STATUS-L
414200             MOVE DFHBMDAS       TO MM08-INCORP-STATUS-LP-A
414300                                    MM08-INCORP-STATUS-RP-A
414400             MOVE DFHBMASK       TO MM08-INCORP-STATUS-A.
414500*
414600 Y159-EXIT.
414700     EXIT.
414800*
414900 Y170-MOVE-MINORITY-CODE.
415000*
415100     MOVE MMMM-MINORITY-CODE     TO MM08-MINORITY-CODE.
415200*
415300 Y175-MINORITY-CODE-SECURITY.
415400*
415500     MOVE MMMMTB-MINORITY-CODE (1:4)
415600                                 TO WS-INDEX-X.
415700     SET  X-MMFS-MERCH           TO WS-INDEX.
415800*
415900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
416000         MOVE DFHBMDAS           TO MM08-MINORITY-CODE-LIT-A
416100                                    MM08-MINORITY-CODE-LP-A
416200                                    MM08-MINORITY-CODE-RP-A
416300                                    MM08-MINORITY-CODE-A
416400         MOVE ZERO               TO MM08-MINORITY-CODE-L
416500         GO TO Y179-EXIT.
416600*
416700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
416800         MOVE DFHBMDAS           TO MM08-MINORITY-CODE-LP-A
416900                                    MM08-MINORITY-CODE-RP-A
417000         MOVE DFHBMASB           TO MM08-MINORITY-CODE-A
417100         GO TO Y179-EXIT.
417200*
417300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
417400         MOVE ZERO               TO MM08-MINORITY-CODE-L
417500         MOVE DFHBMDAS           TO MM08-MINORITY-CODE-LP-A
417600                                    MM08-MINORITY-CODE-RP-A
417700         MOVE DFHBMASK           TO MM08-MINORITY-CODE-A
417800         GO TO Y179-EXIT.
417900*
418000     IF  MBCA-PTI-FUNCTION-IS-ADD
418100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
418200             MOVE DFHBMASB       TO MM08-MINORITY-CODE-LIT-A
418300         ELSE
418400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
418500                 MOVE ZERO       TO MM08-MINORITY-CODE-L
418600                 MOVE DFHBMDAS   TO MM08-MINORITY-CODE-LP-A
418700                                    MM08-MINORITY-CODE-RP-A
418800                 MOVE DFHBMASK   TO MM08-MINORITY-CODE-A.
418900*
419000     IF  MBCA-PTI-FUNCTION-IS-MAINT
419100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
419200             MOVE ZERO           TO MM08-MINORITY-CODE-L
419300             MOVE DFHBMDAS       TO MM08-MINORITY-CODE-LP-A
419400                                    MM08-MINORITY-CODE-RP-A
419500             MOVE DFHBMASK       TO MM08-MINORITY-CODE-A.
419600*
419700 Y179-EXIT.
419800     EXIT.
419900*
420000 Y190-MOVE-WOMAN-OWNED.
420100*
420200     MOVE MMMM-WOMAN-OWNED-CODE  TO MM08-WOMAN-OWNED-CODE.
420300*
420400 Y195-WOMAN-OWN-SECURITY.
420500*
420600     MOVE MMMMTB-WOMAN-OWNED-CODE (1:4)
420700                                 TO WS-INDEX-X.
420800     SET  X-MMFS-MERCH           TO WS-INDEX.
420900*
421000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
421100         MOVE DFHBMDAS           TO MM08-WOMAN-OWNED-CODE-LIT-A
421200                                    MM08-WOMAN-OWNED-CODE-LP-A
421300                                    MM08-WOMAN-OWNED-CODE-RP-A
421400                                    MM08-WOMAN-OWNED-CODE-A
421500         MOVE ZERO               TO MM08-WOMAN-OWNED-CODE-L
421600         GO TO Y199-EXIT.
421700*
421800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
421900         MOVE DFHBMDAS           TO MM08-WOMAN-OWNED-CODE-LP-A
422000                                    MM08-WOMAN-OWNED-CODE-RP-A
422100         MOVE DFHBMASB           TO MM08-WOMAN-OWNED-CODE-A
422200         GO TO Y199-EXIT.
422300*
422400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
422500         MOVE ZERO               TO MM08-WOMAN-OWNED-CODE-L
422600         MOVE DFHBMDAS           TO MM08-WOMAN-OWNED-CODE-LP-A
422700                                    MM08-WOMAN-OWNED-CODE-RP-A
422800         MOVE DFHBMASK           TO MM08-WOMAN-OWNED-CODE-A
422900         GO TO Y199-EXIT.
423000*
423100     IF  MBCA-PTI-FUNCTION-IS-ADD
423200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
423300             MOVE DFHBMASB       TO MM08-WOMAN-OWNED-CODE-LIT-A
423400         ELSE
423500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
423600                 MOVE ZERO       TO MM08-WOMAN-OWNED-CODE-L
423700                 MOVE DFHBMDAS   TO MM08-WOMAN-OWNED-CODE-LP-A
423800                                    MM08-WOMAN-OWNED-CODE-RP-A
423900                 MOVE DFHBMASK   TO MM08-WOMAN-OWNED-CODE-A.
424000*
424100     IF  MBCA-PTI-FUNCTION-IS-MAINT
424200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
424300             MOVE ZERO           TO MM08-WOMAN-OWNED-CODE-L
424400             MOVE DFHBMDAS       TO MM08-WOMAN-OWNED-CODE-LP-A
424500                                    MM08-WOMAN-OWNED-CODE-RP-A
424600             MOVE DFHBMASK       TO MM08-WOMAN-OWNED-CODE-A.
424700*
424800 Y199-EXIT.
424900     EXIT.
425000*
425100 Y210-MOVE-DB-NBR.
425200*
425300     MOVE MMMM-DUN-AND-BRADSTREET-NBR
425400                                 TO MM08-DB-NBR.
425500*
425600 Y215-DB-NBR-SECURITY.
425700*
425800     MOVE MMMMTB-DUN-AND-BRADSTREET-NBR (1:4)
425900                                 TO WS-INDEX-X.
426000     SET  X-MMFS-MERCH           TO WS-INDEX.
426100*
426200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
426300         MOVE DFHBMDAS           TO MM08-DB-NBR-LIT-A
426400                                    MM08-DB-NBR-LP-A
426500                                    MM08-DB-NBR-RP-A
426600                                    MM08-DB-NBR-A
426700         MOVE ZERO               TO MM08-DB-NBR-L
426800         GO TO Y219-EXIT.
426900*
427000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
427100         MOVE DFHBMDAS           TO MM08-DB-NBR-LP-A
427200                                    MM08-DB-NBR-RP-A
427300         MOVE DFHBMASB           TO MM08-DB-NBR-A
427400         GO TO Y219-EXIT.
427500*
427600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
427700         MOVE ZERO               TO MM08-DB-NBR-L
427800         MOVE DFHBMDAS           TO MM08-DB-NBR-LP-A
427900                                    MM08-DB-NBR-RP-A
428000         MOVE DFHBMASK           TO MM08-DB-NBR-A
428100         GO TO Y219-EXIT.
428200*
428300     IF  MBCA-PTI-FUNCTION-IS-ADD
428400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
428500             MOVE DFHBMASB       TO MM08-DB-NBR-LIT-A
428600         ELSE
428700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
428800                 MOVE ZERO       TO MM08-DB-NBR-L
428900                 MOVE DFHBMDAS   TO MM08-DB-NBR-LP-A
429000                                    MM08-DB-NBR-RP-A
429100                 MOVE DFHBMASK   TO MM08-DB-NBR-A.
429200*
429300     IF  MBCA-PTI-FUNCTION-IS-MAINT
429400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
429500             MOVE ZERO           TO MM08-DB-NBR-L
429600             MOVE DFHBMDAS       TO MM08-DB-NBR-LP-A
429700                                    MM08-DB-NBR-RP-A
429800             MOVE DFHBMASK       TO MM08-DB-NBR-A.
429900*
430000 Y219-EXIT.
430100     EXIT.
430200*
430300 Y230-MOVE-CORP-LEGAL-NAME.
430400*
430500     MOVE MMMM-CORP-LEGAL-NAME   TO MM08-CORP-LEG.
430600*
430700 Y235-CORP-LEG-SECURITY.
430800*
430900     MOVE MMMMTB-CORP-LEGAL-NAME (1:4)
431000                                 TO WS-INDEX-X.
431100     SET  X-MMFS-MERCH           TO WS-INDEX.
431200*
431300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
431400         MOVE DFHBMDAS           TO MM08-CORP-LEG-LIT-A
431500                                    MM08-CORP-LEG-LP-A
431600                                    MM08-CORP-LEG-RP-A
431700                                    MM08-CORP-LEG-A
431800         MOVE ZERO               TO MM08-CORP-LEG-L
431900         GO TO Y239-EXIT.
432000*
432100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
432200         MOVE DFHBMDAS           TO MM08-CORP-LEG-LP-A
432300                                    MM08-CORP-LEG-RP-A
432400         MOVE DFHBMASB           TO MM08-CORP-LEG-A
432500         GO TO Y239-EXIT.
432600*
432700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
432800         MOVE ZERO               TO MM08-CORP-LEG-L
432900         MOVE DFHBMDAS           TO MM08-CORP-LEG-LP-A
433000                                    MM08-CORP-LEG-RP-A
433100         MOVE DFHBMASK           TO MM08-CORP-LEG-A
433200         GO TO Y239-EXIT.
433300*
433400     IF  MBCA-PTI-FUNCTION-IS-ADD
433500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
433600             MOVE DFHBMASB       TO MM08-CORP-LEG-LIT-A
433700         ELSE
433800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
433900                 MOVE ZERO       TO MM08-CORP-LEG-L
434000                 MOVE DFHBMDAS   TO MM08-CORP-LEG-LP-A
434100                                    MM08-CORP-LEG-RP-A
434200                 MOVE DFHBMASK   TO MM08-CORP-LEG-A.
434300*
434400     IF  MBCA-PTI-FUNCTION-IS-MAINT
434500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
434600             MOVE ZERO           TO MM08-CORP-LEG-L
434700             MOVE DFHBMDAS       TO MM08-CORP-LEG-LP-A
434800                                    MM08-CORP-LEG-RP-A
434900             MOVE DFHBMASK       TO MM08-CORP-LEG-A.
435000*
435100 Y239-EXIT.
435200     EXIT.
435300*
435400 Y250-MOVE-CONTACT.
435500*
435600     SET X-MMMM-CONTACT          TO 1.
435700*
435800     MOVE MMMM-CONTACT (X-MMMM-CONTACT)
435900                                 TO MM08-CONTACT.
436000*
436100 Y255-CONTACT-SECURITY.
436200*
436300     MOVE MMMMTB-CONTACT-1 (1:4)
436400                                 TO WS-INDEX-X.
436500     SET  X-MMFS-MERCH           TO WS-INDEX.
436600*
436700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
436800         MOVE DFHBMDAS           TO MM08-CONTACT-LIT-A
436900                                    MM08-CONTACT-LP-A
437000                                    MM08-CONTACT-RP-A
437100                                    MM08-CONTACT-A
437200         MOVE ZERO               TO MM08-CONTACT-L
437300         GO TO Y259-EXIT.
437400*
437500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
437600         MOVE DFHBMDAS           TO MM08-CONTACT-LP-A
437700                                    MM08-CONTACT-RP-A
437800         MOVE DFHBMASB           TO MM08-CONTACT-A
437900         GO TO Y259-EXIT.
438000*
438100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
438200         MOVE ZERO               TO MM08-CONTACT-L
438300         MOVE DFHBMDAS           TO MM08-CONTACT-LP-A
438400                                    MM08-CONTACT-RP-A
438500         MOVE DFHBMASK           TO MM08-CONTACT-A
438600         GO TO Y259-EXIT.
438700*
438800     IF  MBCA-PTI-FUNCTION-IS-ADD
438900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
439000             MOVE DFHBMASB       TO MM08-CONTACT-LIT-A
439100         ELSE
439200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
439300                 MOVE ZERO       TO MM08-CONTACT-L
439400                 MOVE DFHBMDAS   TO MM08-CONTACT-LP-A
439500                                    MM08-CONTACT-RP-A
439600                 MOVE DFHBMASK   TO MM08-CONTACT-A.
439700*
439800     IF  MBCA-PTI-FUNCTION-IS-MAINT
439900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
440000             MOVE ZERO           TO MM08-CONTACT-L
440100             MOVE DFHBMDAS       TO MM08-CONTACT-LP-A
440200                                    MM08-CONTACT-RP-A
440300             MOVE DFHBMASK       TO MM08-CONTACT-A.
440400*
440500 Y259-EXIT.
440600     EXIT.
440700*
440800 Y270-MOVE-CONTACT-PHONE.
440900*
441000     MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
441100                                 TO MM08-CONTACT-PHONE.
441200*
441300 Y275-CONTACT-PHONE-SECURITY.
441400*
441500     MOVE MMMMTB-CONTACT-PHONE-1 (1:4)
441600                                 TO WS-INDEX-X.
441700     SET  X-MMFS-MERCH           TO WS-INDEX.
441800*
441900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
442000         MOVE DFHBMDAS           TO MM08-CONTACT-PHONE-LIT-A
442100                                    MM08-CONTACT-PHONE-LP-A
442200                                    MM08-CONTACT-PHONE-RP-A
442300                                    MM08-CONTACT-PHONE-A
442400         MOVE ZERO               TO MM08-CONTACT-PHONE-L
442500         GO TO Y279-EXIT.
442600*
442700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
442800         MOVE DFHBMDAS           TO MM08-CONTACT-PHONE-LP-A
442900                                    MM08-CONTACT-PHONE-RP-A
443000         MOVE DFHBMASB           TO MM08-CONTACT-PHONE-A
443100         GO TO Y279-EXIT.
443200*
443300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
443400         MOVE ZERO               TO MM08-CONTACT-PHONE-L
443500         MOVE DFHBMDAS           TO MM08-CONTACT-PHONE-LP-A
443600                                    MM08-CONTACT-PHONE-RP-A
443700         MOVE DFHBMASK           TO MM08-CONTACT-PHONE-A
443800         GO TO Y279-EXIT.
443900*
444000     IF  MBCA-PTI-FUNCTION-IS-ADD
444100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
444200             MOVE DFHBMASB       TO MM08-CONTACT-PHONE-LIT-A
444300         ELSE
444400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
444500                 MOVE ZERO       TO MM08-CONTACT-PHONE-L
444600                 MOVE DFHBMDAS   TO MM08-CONTACT-PHONE-LP-A
444700                                    MM08-CONTACT-PHONE-RP-A
444800                 MOVE DFHBMASK   TO MM08-CONTACT-PHONE-A.
444900*
445000     IF  MBCA-PTI-FUNCTION-IS-MAINT
445100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
445200             MOVE ZERO           TO MM08-CONTACT-PHONE-L
445300             MOVE DFHBMDAS       TO MM08-CONTACT-PHONE-LP-A
445400                                    MM08-CONTACT-PHONE-RP-A
445500             MOVE DFHBMASK       TO MM08-CONTACT-PHONE-A.
445600*
445700 Y279-EXIT.
445800     EXIT.
445900*
446000 Y290-MOVE-CONTACT-FAX.
446100*
446200     MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
446300                                 TO MM08-CONTACT-FAX.
446400*
446500 Y295-CONTACT-FAX-SECURITY.
446600*
446700     MOVE MMMMTB-CONTACT-FAX-1 (1:4)
446800                                 TO WS-INDEX-X.
446900     SET  X-MMFS-MERCH           TO WS-INDEX.
447000*
447100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
447200         MOVE DFHBMDAS           TO MM08-CONTACT-FAX-LIT-A
447300                                    MM08-CONTACT-FAX-LP-A
447400                                    MM08-CONTACT-FAX-RP-A
447500                                    MM08-CONTACT-FAX-A
447600         MOVE ZERO               TO MM08-CONTACT-FAX-L
447700         GO TO Y299-EXIT.
447800*
447900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
448000         MOVE DFHBMDAS           TO MM08-CONTACT-FAX-LP-A
448100                                    MM08-CONTACT-FAX-RP-A
448200         MOVE DFHBMASB           TO MM08-CONTACT-FAX-A
448300         GO TO Y299-EXIT.
448400*
448500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
448600         MOVE ZERO               TO MM08-CONTACT-FAX-L
448700         MOVE DFHBMDAS           TO MM08-CONTACT-FAX-LP-A
448800                                    MM08-CONTACT-FAX-RP-A
448900         MOVE DFHBMASK           TO MM08-CONTACT-FAX-A
449000         GO TO Y299-EXIT.
449100*
449200     IF  MBCA-PTI-FUNCTION-IS-ADD
449300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
449400             MOVE DFHBMASB       TO MM08-CONTACT-FAX-LIT-A
449500         ELSE
449600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
449700                 MOVE ZERO       TO MM08-CONTACT-FAX-L
449800                 MOVE DFHBMDAS   TO MM08-CONTACT-FAX-LP-A
449900                                    MM08-CONTACT-FAX-RP-A
450000                 MOVE DFHBMASK   TO MM08-CONTACT-FAX-A.
450100*
450200     IF  MBCA-PTI-FUNCTION-IS-MAINT
450300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
450400             MOVE ZERO           TO MM08-CONTACT-FAX-L
450500             MOVE DFHBMDAS       TO MM08-CONTACT-FAX-LP-A
450600                                    MM08-CONTACT-FAX-RP-A
450700             MOVE DFHBMASK       TO MM08-CONTACT-FAX-A.
450800*
450900 Y299-EXIT.
451000     EXIT.
451100*
451200 Y310-MOVE-CUSTOMER.
451300*
451400     SET X-MMMM-CONTACT          TO 2.
451500*
451600     MOVE MMMM-CONTACT (X-MMMM-CONTACT)
451700                                 TO MM08-CUSTOMER.
451800*
451900 Y315-CUSTOMER-SECURITY.
452000*
452100     MOVE MMMMTB-CONTACT-2 (1:4)
452200                                 TO WS-INDEX-X.
452300     SET  X-MMFS-MERCH           TO WS-INDEX.
452400*
452500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
452600         MOVE DFHBMDAS           TO MM08-CUSTOMER-LIT-A
452700                                    MM08-CUSTOMER-LP-A
452800                                    MM08-CUSTOMER-RP-A
452900                                    MM08-CUSTOMER-A
453000         MOVE ZERO               TO MM08-CUSTOMER-L
453100         GO TO Y319-EXIT.
453200*
453300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
453400         MOVE DFHBMDAS           TO MM08-CUSTOMER-LP-A
453500                                    MM08-CUSTOMER-RP-A
453600         MOVE DFHBMASB           TO MM08-CUSTOMER-A
453700         GO TO Y319-EXIT.
453800*
453900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
454000         MOVE ZERO               TO MM08-CUSTOMER-L
454100         MOVE DFHBMDAS           TO MM08-CUSTOMER-LP-A
454200                                    MM08-CUSTOMER-RP-A
454300         MOVE DFHBMASK           TO MM08-CUSTOMER-A
454400         GO TO Y319-EXIT.
454500*
454600     IF  MBCA-PTI-FUNCTION-IS-ADD
454700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
454800             MOVE DFHBMASB       TO MM08-CUSTOMER-LIT-A
454900         ELSE
455000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
455100                 MOVE ZERO       TO MM08-CUSTOMER-L
455200                 MOVE DFHBMDAS   TO MM08-CUSTOMER-LP-A
455300                                    MM08-CUSTOMER-RP-A
455400                 MOVE DFHBMASK   TO MM08-CUSTOMER-A.
455500*
455600     IF  MBCA-PTI-FUNCTION-IS-MAINT
455700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
455800             MOVE ZERO           TO MM08-CUSTOMER-L
455900             MOVE DFHBMDAS       TO MM08-CUSTOMER-LP-A
456000                                    MM08-CUSTOMER-RP-A
456100             MOVE DFHBMASK       TO MM08-CUSTOMER-A.
456200*
456300 Y319-EXIT.
456400     EXIT.
456500*
456600 Y330-MOVE-CUSTOMER-PHONE.
456700*
456800     MOVE MMMM-CONTACT-PHONE (X-MMMM-CONTACT)
456900                                 TO MM08-CUSTOMER-PHONE.
457000*
457100 Y335-CUSTOMER-PHONE-SECURITY.
457200*
457300     MOVE MMMMTB-CONTACT-PHONE-2 (1:4)
457400                                 TO WS-INDEX-X.
457500     SET  X-MMFS-MERCH           TO WS-INDEX.
457600*
457700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
457800         MOVE DFHBMDAS           TO MM08-CUSTOMER-PHONE-LIT-A
457900                                    MM08-CUSTOMER-PHONE-LP-A
458000                                    MM08-CUSTOMER-PHONE-RP-A
458100                                    MM08-CUSTOMER-PHONE-A
458200         MOVE ZERO               TO MM08-CUSTOMER-PHONE-L
458300         GO TO Y339-EXIT.
458400*
458500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
458600         MOVE DFHBMDAS           TO MM08-CUSTOMER-PHONE-LP-A
458700                                    MM08-CUSTOMER-PHONE-RP-A
458800         MOVE DFHBMASB           TO MM08-CUSTOMER-PHONE-A
458900         GO TO Y339-EXIT.
459000*
459100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
459200         MOVE ZERO               TO MM08-CUSTOMER-PHONE-L
459300         MOVE DFHBMDAS           TO MM08-CUSTOMER-PHONE-LP-A
459400                                    MM08-CUSTOMER-PHONE-RP-A
459500         MOVE DFHBMASK           TO MM08-CUSTOMER-PHONE-A
459600         GO TO Y339-EXIT.
459700*
459800     IF  MBCA-PTI-FUNCTION-IS-ADD
459900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
460000             MOVE DFHBMASB       TO MM08-CUSTOMER-PHONE-LIT-A
460100         ELSE
460200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
460300                 MOVE ZERO       TO MM08-CUSTOMER-PHONE-L
460400                 MOVE DFHBMDAS   TO MM08-CUSTOMER-PHONE-LP-A
460500                                    MM08-CUSTOMER-PHONE-RP-A
460600                 MOVE DFHBMASK   TO MM08-CUSTOMER-PHONE-A.
460700*
460800     IF  MBCA-PTI-FUNCTION-IS-MAINT
460900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
461000             MOVE ZERO           TO MM08-CUSTOMER-PHONE-L
461100             MOVE DFHBMDAS       TO MM08-CUSTOMER-PHONE-LP-A
461200                                    MM08-CUSTOMER-PHONE-RP-A
461300             MOVE DFHBMASK       TO MM08-CUSTOMER-PHONE-A.
461400*
461500 Y339-EXIT.
461600     EXIT.
461700*
461800 Y350-MOVE-CUSTOMER-FAX.
461900*
462000     MOVE MMMM-CONTACT-FAX (X-MMMM-CONTACT)
462100                                 TO MM08-CUSTOMER-FAX.
462200*
462300 Y355-CUSTOMER-FAX-SECURITY.
462400*
462500     MOVE MMMMTB-CONTACT-FAX-2 (1:4)
462600                                 TO WS-INDEX-X.
462700     SET  X-MMFS-MERCH           TO WS-INDEX.
462800*
462900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
463000         MOVE DFHBMDAS           TO MM08-CUSTOMER-FAX-LIT-A
463100                                    MM08-CUSTOMER-FAX-LP-A
463200                                    MM08-CUSTOMER-FAX-RP-A
463300                                    MM08-CUSTOMER-FAX-A
463400         MOVE ZERO               TO MM08-CUSTOMER-FAX-L
463500         GO TO Y359-EXIT.
463600*
463700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
463800         MOVE DFHBMDAS           TO MM08-CUSTOMER-FAX-LP-A
463900                                    MM08-CUSTOMER-FAX-RP-A
464000         MOVE DFHBMASB           TO MM08-CUSTOMER-FAX-A
464100         GO TO Y359-EXIT.
464200*
464300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
464400         MOVE ZERO               TO MM08-CUSTOMER-FAX-L
464500         MOVE DFHBMDAS           TO MM08-CUSTOMER-FAX-LP-A
464600                                    MM08-CUSTOMER-FAX-RP-A
464700         MOVE DFHBMASK           TO MM08-CUSTOMER-FAX-A
464800         GO TO Y359-EXIT.
464900*
465000     IF  MBCA-PTI-FUNCTION-IS-ADD
465100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
465200             MOVE DFHBMASB       TO MM08-CUSTOMER-FAX-LIT-A
465300         ELSE
465400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
465500                 MOVE ZERO       TO MM08-CUSTOMER-FAX-L
465600                 MOVE DFHBMDAS   TO MM08-CUSTOMER-FAX-LP-A
465700                                    MM08-CUSTOMER-FAX-RP-A
465800                 MOVE DFHBMASK   TO MM08-CUSTOMER-FAX-A.
465900*
466000     IF  MBCA-PTI-FUNCTION-IS-MAINT
466100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
466200             MOVE ZERO           TO MM08-CUSTOMER-FAX-L
466300             MOVE DFHBMDAS       TO MM08-CUSTOMER-FAX-LP-A
466400                                    MM08-CUSTOMER-FAX-RP-A
466500             MOVE DFHBMASK       TO MM08-CUSTOMER-FAX-A.
466600*
466700 Y359-EXIT.
466800     EXIT.
466900*
467000 Y370-MOVE-SOLE-PROP-LAST.
467100*
467200     MOVE MMMM-SOLE-PROP-LAST    TO MM08-SOLE-PROP-LAST.
467300*
467400 Y375-SOLE-PROP-LAST-SECURITY.
467500*
467600     MOVE MMMMTB-SOLE-PROP-NAME (1:4)
467700                                 TO WS-INDEX-X.
467800     SET  X-MMFS-MERCH           TO WS-INDEX.
467900*
468000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
468100         MOVE DFHBMDAS           TO MM08-SOLE-PROP-LAST-LIT-A
468200                                    MM08-SOLE-PROP-LAST-LP-A
468300                                    MM08-SOLE-PROP-LAST-RP-A
468400                                    MM08-SOLE-PROP-LAST-A
468500         MOVE ZERO               TO MM08-SOLE-PROP-LAST-L
468600         GO TO Y379-EXIT.
468700*
468800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
468900         MOVE DFHBMDAS           TO MM08-SOLE-PROP-LAST-LP-A
469000                                    MM08-SOLE-PROP-LAST-RP-A
469100         MOVE DFHBMASB           TO MM08-SOLE-PROP-LAST-A
469200         GO TO Y379-EXIT.
469300*
469400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
469500         MOVE ZERO               TO MM08-SOLE-PROP-LAST-L
469600         MOVE DFHBMDAS           TO MM08-SOLE-PROP-LAST-LP-A
469700                                    MM08-SOLE-PROP-LAST-RP-A
469800         MOVE DFHBMASK           TO MM08-SOLE-PROP-LAST-A
469900         GO TO Y379-EXIT.
470000*
470100     IF  MBCA-PTI-FUNCTION-IS-ADD
470200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
470300             MOVE DFHBMASB       TO MM08-SOLE-PROP-LAST-LIT-A
470400         ELSE
470500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
470600                 MOVE ZERO       TO MM08-SOLE-PROP-LAST-L
470700                 MOVE DFHBMDAS   TO MM08-SOLE-PROP-LAST-LP-A
470800                                    MM08-SOLE-PROP-LAST-RP-A
470900                 MOVE DFHBMASK   TO MM08-SOLE-PROP-LAST-A.
471000*
471100     IF  MBCA-PTI-FUNCTION-IS-MAINT
471200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
471300             MOVE ZERO           TO MM08-SOLE-PROP-LAST-L
471400             MOVE DFHBMDAS       TO MM08-SOLE-PROP-LAST-LP-A
471500                                    MM08-SOLE-PROP-LAST-RP-A
471600             MOVE DFHBMASK       TO MM08-SOLE-PROP-LAST-A.
471700*
471800 Y379-EXIT.
471900     EXIT.
472000*
472100 Y390-MOVE-SOLE-PROP-FIRST.
472200*
472300     MOVE MMMM-SOLE-PROP-FIRST   TO MM08-SOLE-PROP-FIRST.
472400*
472500 Y395-SOLE-PROP-FIRST-SECURITY.
472600*
472700     MOVE MMMMTB-SOLE-PROP-NAME (1:4)
472800                                 TO WS-INDEX-X.
472900     SET  X-MMFS-MERCH           TO WS-INDEX.
473000*
473100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
473200         MOVE DFHBMDAS           TO MM08-SOLE-PROP-FIRST-LIT-A
473300                                    MM08-SOLE-PROP-FIRST-LP-A
473400                                    MM08-SOLE-PROP-FIRST-RP-A
473500                                    MM08-SOLE-PROP-FIRST-A
473600         MOVE ZERO               TO MM08-SOLE-PROP-FIRST-L
473700         GO TO Y399-EXIT.
473800*
473900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
474000         MOVE DFHBMDAS           TO MM08-SOLE-PROP-FIRST-LP-A
474100                                    MM08-SOLE-PROP-FIRST-RP-A
474200         MOVE DFHBMASB           TO MM08-SOLE-PROP-FIRST-A
474300         GO TO Y399-EXIT.
474400*
474500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
474600         MOVE ZERO               TO MM08-SOLE-PROP-FIRST-L
474700         MOVE DFHBMDAS           TO MM08-SOLE-PROP-FIRST-LP-A
474800                                    MM08-SOLE-PROP-FIRST-RP-A
474900         MOVE DFHBMASK           TO MM08-SOLE-PROP-FIRST-A
475000         GO TO Y399-EXIT.
475100*
475200     IF  MBCA-PTI-FUNCTION-IS-ADD
475300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
475400             MOVE DFHBMASB       TO MM08-SOLE-PROP-FIRST-LIT-A
475500         ELSE
475600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
475700                 MOVE ZERO       TO MM08-SOLE-PROP-FIRST-L
475800                 MOVE DFHBMDAS   TO MM08-SOLE-PROP-FIRST-LP-A
475900                                    MM08-SOLE-PROP-FIRST-RP-A
476000                 MOVE DFHBMASK   TO MM08-SOLE-PROP-FIRST-A.
476100*
476200     IF  MBCA-PTI-FUNCTION-IS-MAINT
476300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
476400             MOVE ZERO           TO MM08-SOLE-PROP-FIRST-L
476500             MOVE DFHBMDAS       TO MM08-SOLE-PROP-FIRST-LP-A
476600                                    MM08-SOLE-PROP-FIRST-RP-A
476700             MOVE DFHBMASK       TO MM08-SOLE-PROP-FIRST-A.
476800*
476900 Y399-EXIT.
477000     EXIT.
477100*
477200 Y410-MOVE-SOLE-PROP-INIT.
477300*
477400     MOVE MMMM-SOLE-PROP-INITIAL TO MM08-SOLE-PROP-INIT.
477500*
477600 Y415-SOLE-PROP-INIT-SECURITY.
477700*
477800     MOVE MMMMTB-SOLE-PROP-NAME (1:4)
477900                                 TO WS-INDEX-X.
478000     SET  X-MMFS-MERCH           TO WS-INDEX.
478100*
478200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
478300         MOVE DFHBMDAS           TO MM08-SOLE-PROP-INIT-LIT-A
478400                                    MM08-SOLE-PROP-INIT-LP-A
478500                                    MM08-SOLE-PROP-INIT-RP-A
478600                                    MM08-SOLE-PROP-INIT-A
478700         MOVE ZERO               TO MM08-SOLE-PROP-INIT-L
478800         GO TO Y419-EXIT.
478900*
479000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
479100         MOVE DFHBMDAS           TO MM08-SOLE-PROP-INIT-LP-A
479200                                    MM08-SOLE-PROP-INIT-RP-A
479300         MOVE DFHBMASB           TO MM08-SOLE-PROP-INIT-A
479400         GO TO Y419-EXIT.
479500*
479600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
479700         MOVE ZERO               TO MM08-SOLE-PROP-INIT-L
479800         MOVE DFHBMDAS           TO MM08-SOLE-PROP-INIT-LP-A
479900                                    MM08-SOLE-PROP-INIT-RP-A
480000         MOVE DFHBMASK           TO MM08-SOLE-PROP-INIT-A
480100         GO TO Y419-EXIT.
480200*
480300     IF  MBCA-PTI-FUNCTION-IS-ADD
480400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
480500             MOVE DFHBMASB       TO MM08-SOLE-PROP-INIT-LIT-A
480600         ELSE
480700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
480800                 MOVE ZERO       TO MM08-SOLE-PROP-INIT-L
480900                 MOVE DFHBMDAS   TO MM08-SOLE-PROP-INIT-LP-A
481000                                    MM08-SOLE-PROP-INIT-RP-A
481100                 MOVE DFHBMASK   TO MM08-SOLE-PROP-INIT-A.
481200*
481300     IF  MBCA-PTI-FUNCTION-IS-MAINT
481400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
481500             MOVE ZERO           TO MM08-SOLE-PROP-INIT-L
481600             MOVE DFHBMDAS       TO MM08-SOLE-PROP-INIT-LP-A
481700                                    MM08-SOLE-PROP-INIT-RP-A
481800             MOVE DFHBMASK       TO MM08-SOLE-PROP-INIT-A.
481900*
482000 Y419-EXIT.
482100     EXIT.
482102*                                                                 RG802901
482104 Y420-MOVE-URL-EMAIL.                                             RG802901
482106*                                                                 RG802901
482108     MOVE MMMM-URL-EMAIL         TO MM08-URL-EMAIL.               RG802901
482110*                                                                 RG802901
482112 Y425-URL-EMAIL-SECURITY.                                         RG802901
482114*                                                                 RG802901
482116     MOVE MMMMTB-URL-EMAIL (1:4) TO WS-INDEX-X.                   RG802901
482118     SET  X-MMFS-MERCH           TO WS-INDEX.                     RG802901
482120*                                                                 RG802901
482122     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)                         RG802901
482124         MOVE DFHBMDAS           TO MM08-URL-EMAIL-LIT-A          RG802901
482126                                    MM08-URL-EMAIL-LP-A           RG802901
482128                                    MM08-URL-EMAIL-RP-A           RG802901
482130                                    MM08-URL-EMAIL-A              RG802901
482132         MOVE ZERO               TO MM08-URL-EMAIL-L              RG802901
482134         GO TO Y429-EXIT.                                         RG802901
482136*                                                                 RG802901
482138     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG802901
482140         MOVE DFHBMDAS           TO MM08-URL-EMAIL-LP-A           RG802901
482142                                    MM08-URL-EMAIL-RP-A           RG802901
482144         MOVE DFHBMASB           TO MM08-URL-EMAIL-A              RG802901
482146         GO TO Y429-EXIT.                                         RG802901
482148*                                                                 RG802901
482150     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)                          RG802901
482152         MOVE ZERO               TO MM08-URL-EMAIL-L              RG802901
482154         MOVE DFHBMDAS           TO MM08-URL-EMAIL-LP-A           RG802901
482156                                    MM08-URL-EMAIL-RP-A           RG802901
482158         MOVE DFHBMASK           TO MM08-URL-EMAIL-A              RG802901
482160         GO TO Y429-EXIT.                                         RG802901
482162*                                                                 RG802901
482164     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG802901
482166         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)                      RG802901
482168             MOVE DFHBMASB       TO MM08-URL-EMAIL-LIT-A          RG802901
482170         ELSE                                                     RG802901
482172             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)                RG802901
482174                 MOVE ZERO       TO MM08-URL-EMAIL-L              RG802901
482176                 MOVE DFHBMDAS   TO MM08-URL-EMAIL-LP-A           RG802901
482178                                    MM08-URL-EMAIL-RP-A           RG802901
482180                 MOVE DFHBMASK   TO MM08-URL-EMAIL-A.             RG802901
482182*                                                                 RG802901
482184     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
482186         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)                      RG802901
482188             MOVE ZERO           TO MM08-URL-EMAIL-L              RG802901
482190             MOVE DFHBMDAS       TO MM08-URL-EMAIL-LP-A           RG802901
482192                                    MM08-URL-EMAIL-RP-A           RG802901
482194             MOVE DFHBMASK       TO MM08-URL-EMAIL-A.             RG802901
482196*                                                                 RG802901
482198 Y429-EXIT.                                                       RG802901
482199     EXIT.                                                        RG802901
482200*
482300 Y430-MOVE-VISIT-REP-OPER.
482400*
482500     MOVE MMMM-VISIT-REP-OPER    TO MM08-VISIT-OPERATOR.
482600*
482700 Y435-VISIT-REP-OPER-SECURITY.
482800*
482900     MOVE MMMMTB-VISIT-REP-OPER (1:4)
483000                                 TO WS-INDEX-X.
483100     SET  X-MMFS-MERCH           TO WS-INDEX.
483200*
483300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
483400         MOVE DFHBMDAS           TO MM08-VISIT-OPERATOR-LIT-A
483500                                    MM08-VISIT-OPERATOR-LP-A
483600                                    MM08-VISIT-OPERATOR-RP-A
483700                                    MM08-VISIT-OPERATOR-A
483800         MOVE ZERO               TO MM08-VISIT-OPERATOR-L
483900         GO TO Y439-EXIT.
484000*
484100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
484200         MOVE DFHBMDAS           TO MM08-VISIT-OPERATOR-LP-A
484300                                    MM08-VISIT-OPERATOR-RP-A
484400         MOVE DFHBMASB           TO MM08-VISIT-OPERATOR-A
484500         GO TO Y439-EXIT.
484600*
484700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
484800         MOVE ZERO               TO MM08-VISIT-OPERATOR-L
484900         MOVE DFHBMDAS           TO MM08-VISIT-OPERATOR-LP-A
485000                                    MM08-VISIT-OPERATOR-RP-A
485100         MOVE DFHBMASK           TO MM08-VISIT-OPERATOR-A
485200         GO TO Y439-EXIT.
485300*
485400     IF  MBCA-PTI-FUNCTION-IS-ADD
485500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
485600             MOVE DFHBMASB       TO MM08-VISIT-OPERATOR-LIT-A
485700         ELSE
485800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
485900                 MOVE ZERO       TO MM08-VISIT-OPERATOR-L
486000                 MOVE DFHBMDAS   TO MM08-VISIT-OPERATOR-LP-A
486100                                    MM08-VISIT-OPERATOR-RP-A
486200                 MOVE DFHBMASK   TO MM08-VISIT-OPERATOR-A.
486300*
486400     IF  MBCA-PTI-FUNCTION-IS-MAINT
486500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
486600             MOVE ZERO           TO MM08-VISIT-OPERATOR-L
486700             MOVE DFHBMDAS       TO MM08-VISIT-OPERATOR-LP-A
486800                                    MM08-VISIT-OPERATOR-RP-A
486900             MOVE DFHBMASK       TO MM08-VISIT-OPERATOR-A.
487000*
487100 Y439-EXIT.
487200     EXIT.
487300*
487400 Y450-MOVE-VISIT-REP-NAME.
487500*
487600     MOVE MMMM-VISIT-REP-NAME    TO MM08-VISIT-REP-NAME.
487700*
487800 Y455-VISIT-REP-NAME-SECURITY.
487900*
488000     MOVE MMMMTB-VISIT-REP-NAME (1:4)
488100                                 TO WS-INDEX-X.
488200     SET  X-MMFS-MERCH           TO WS-INDEX.
488300*
488400     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
488500         MOVE DFHBMDAS           TO MM08-VISIT-REP-NAME-LIT-A
488600                                    MM08-VISIT-REP-NAME-LP-A
488700                                    MM08-VISIT-REP-NAME-RP-A
488800                                    MM08-VISIT-REP-NAME-A
488900         MOVE ZERO               TO MM08-VISIT-REP-NAME-L
489000         GO TO Y459-EXIT.
489100*
489200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
489300         MOVE DFHBMDAS           TO MM08-VISIT-REP-NAME-LP-A
489400                                    MM08-VISIT-REP-NAME-RP-A
489500         MOVE DFHBMASB           TO MM08-VISIT-REP-NAME-A
489600         GO TO Y459-EXIT.
489700*
489800     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
489900         MOVE ZERO               TO MM08-VISIT-REP-NAME-L
490000         MOVE DFHBMDAS           TO MM08-VISIT-REP-NAME-LP-A
490100                                    MM08-VISIT-REP-NAME-RP-A
490200         MOVE DFHBMASK           TO MM08-VISIT-REP-NAME-A
490300         GO TO Y459-EXIT.
490400*
490500     IF  MBCA-PTI-FUNCTION-IS-ADD
490600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
490700             MOVE DFHBMASB       TO MM08-VISIT-REP-NAME-LIT-A
490800         ELSE
490900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
491000                 MOVE ZERO       TO MM08-VISIT-REP-NAME-L
491100                 MOVE DFHBMDAS   TO MM08-VISIT-REP-NAME-LP-A
491200                                    MM08-VISIT-REP-NAME-RP-A
491300                 MOVE DFHBMASK   TO MM08-VISIT-REP-NAME-A.
491400*
491500     IF  MBCA-PTI-FUNCTION-IS-MAINT
491600         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
491700             MOVE ZERO           TO MM08-VISIT-REP-NAME-L
491800             MOVE DFHBMDAS       TO MM08-VISIT-REP-NAME-LP-A
491900                                    MM08-VISIT-REP-NAME-RP-A
492000             MOVE DFHBMASK       TO MM08-VISIT-REP-NAME-A.
492100*
492200 Y459-EXIT.
492300     EXIT.
492400*
492500 Y470-MOVE-VISIT-FREQ.
492600*
492700     MOVE MMMM-VISIT-FREQ        TO MM08-VISIT-FREQ.
492800*
492900 Y475-VISIT-FREQ-SECURITY.
493000*
493100     MOVE MMMMTB-VISIT-FREQ (1:4)
493200                                 TO WS-INDEX-X.
493300     SET  X-MMFS-MERCH           TO WS-INDEX.
493400*
493500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
493600         MOVE DFHBMDAS           TO MM08-VISIT-FREQ-LIT-A
493700                                    MM08-VISIT-FREQ-LP-A
493800                                    MM08-VISIT-FREQ-RP-A
493900                                    MM08-VISIT-FREQ-A
494000         MOVE ZERO               TO MM08-VISIT-FREQ-L
494100         GO TO Y479-EXIT.
494200*
494300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
494400         MOVE DFHBMDAS           TO MM08-VISIT-FREQ-LP-A
494500                                    MM08-VISIT-FREQ-RP-A
494600         MOVE DFHBMASB           TO MM08-VISIT-FREQ-A
494700         GO TO Y479-EXIT.
494800*
494900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
495000         MOVE ZERO               TO MM08-VISIT-FREQ-L
495100         MOVE DFHBMDAS           TO MM08-VISIT-FREQ-LP-A
495200                                    MM08-VISIT-FREQ-RP-A
495300         MOVE DFHBMASK           TO MM08-VISIT-FREQ-A
495400         GO TO Y479-EXIT.
495500*
495600     IF  MBCA-PTI-FUNCTION-IS-ADD
495700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
495800             MOVE DFHBMASB       TO MM08-VISIT-FREQ-LIT-A
495900         ELSE
496000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
496100                 MOVE ZERO       TO MM08-VISIT-FREQ-L
496200                 MOVE DFHBMDAS   TO MM08-VISIT-FREQ-LP-A
496300                                    MM08-VISIT-FREQ-RP-A
496400                 MOVE DFHBMASK   TO MM08-VISIT-FREQ-A.
496500*
496600     IF  MBCA-PTI-FUNCTION-IS-MAINT
496700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
496800             MOVE ZERO           TO MM08-VISIT-FREQ-L
496900             MOVE DFHBMDAS       TO MM08-VISIT-FREQ-LP-A
497000                                    MM08-VISIT-FREQ-RP-A
497100             MOVE DFHBMASK       TO MM08-VISIT-FREQ-A.
497200*
497300 Y479-EXIT.
497400     EXIT.
497500*
497600 Y490-MOVE-DATE-LAST-VISIT.
497700*
497800     MOVE MMMM-DATE-LAST-VISIT   TO SS01WS-JULIAN.
497900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
498000     MOVE SS01WS-DATE            TO MM08-LAST-VISIT.
498100*
498200     IF  MBCA-PTI-FUNCTION-IS-ADD
498300         IF  MMMM-VISIT-FREQ IS GREATER THAN ZEROS
498400             MOVE MMOC-TODAYS-JULIAN
498500                                 TO SS01WS-JULIAN
498600             PERFORM SS08PD-JUL-TO-GREG
498700                                 THRU SS08PD-JTG-EXIT
498800             MOVE SS01WS-DATE    TO MM08-LAST-VISIT
498900             MOVE DFHBMUNF       TO MM08-LAST-VISIT-A
499000             MOVE MMOC-TODAYS-JULIAN
499100                                 TO SS01WS-JULIAN
499200             MOVE MMMM-VISIT-FREQ
499300                                 TO SS01WS-FREQ
499400             MOVE 'M'            TO SS01WS-PERIOD
499500             MOVE ZERO           TO SS01WS-DAY-OF-MON
499600             PERFORM SS03PD-FUTURE-DATE
499700                                 THRU SS03PD-FD-EXIT
499800             SET WS-NEXT-VISIT-UPDATE
499900                                 TO TRUE
500000             MOVE DFHBMASF       TO MM08-NEXT-VISIT-A
500100             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
500200                THRU SS26PD-NED-EXIT
500300             MOVE SS01WS-XX-XX-YYYY TO MM08-NEXT-VISIT.
500400*
500500 Y495-DATE-LAST-VISIT-SECURITY.
500600*
500700     MOVE MMMMTB-DATE-LAST-VISIT (1:4)
500800                                 TO WS-INDEX-X.
500900     SET  X-MMFS-MERCH           TO WS-INDEX.
501000*
501100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
501200         MOVE DFHBMDAS           TO MM08-LAST-VISIT-LIT-A
501300                                    MM08-LAST-VISIT-LP-A
501400                                    MM08-LAST-VISIT-RP-A
501500                                    MM08-LAST-VISIT-A
501600         MOVE ZERO               TO MM08-LAST-VISIT-L
501700         GO TO Y499-EXIT.
501800*
501900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
502000         MOVE DFHBMDAS           TO MM08-LAST-VISIT-LP-A
502100                                    MM08-LAST-VISIT-RP-A
502200         MOVE DFHBMASB           TO MM08-LAST-VISIT-A
502300         GO TO Y499-EXIT.
502400*
502500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
502600         MOVE ZERO               TO MM08-LAST-VISIT-L
502700         MOVE DFHBMDAS           TO MM08-LAST-VISIT-LP-A
502800                                    MM08-LAST-VISIT-RP-A
502900         MOVE DFHBMASK           TO MM08-LAST-VISIT-A
503000         GO TO Y499-EXIT.
503100*
503200     IF  MBCA-PTI-FUNCTION-IS-ADD
503300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
503400             MOVE DFHBMASB       TO MM08-LAST-VISIT-LIT-A
503500         ELSE
503600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
503700                 MOVE ZERO       TO MM08-LAST-VISIT-L
503800                 MOVE DFHBMDAS   TO MM08-LAST-VISIT-LP-A
503900                                    MM08-LAST-VISIT-RP-A
504000                 MOVE DFHBMASK   TO MM08-LAST-VISIT-A.
504100*
504200     IF  MBCA-PTI-FUNCTION-IS-MAINT
504300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
504400             MOVE ZERO           TO MM08-LAST-VISIT-L
504500             MOVE DFHBMDAS       TO MM08-LAST-VISIT-LP-A
504600                                    MM08-LAST-VISIT-RP-A
504700             MOVE DFHBMASK       TO MM08-LAST-VISIT-A.
504800*
504900 Y499-EXIT.
505000     EXIT.
505100*
505200 Y510-MOVE-DATE-NEXT-VISIT.
505300*
505400     IF  WS-NEXT-VISIT-UPDATE
505500         NEXT SENTENCE
505600     ELSE
505700         MOVE MMMM-DATE-NEXT-VISIT
505800                                 TO SS01WS-JULIAN
505900         PERFORM SS08PD-JUL-TO-GREG
506000                                 THRU SS08PD-JTG-EXIT
506100         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
506200            THRU SS26PD-NED-EXIT
506300         MOVE SS01WS-XX-XX-YYYY  TO MM08-NEXT-VISIT.
506400*
506500 Y515-DATE-NEXT-VISIT-SECURITY.
506600*
506700     MOVE MMMMTB-DATE-NEXT-VISIT (1:4)
506800                                 TO WS-INDEX-X.
506900     SET  X-MMFS-MERCH           TO WS-INDEX.
507000*
507100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
507200         MOVE DFHBMDAS           TO MM08-NEXT-VISIT-LIT-A
507300                                    MM08-NEXT-VISIT-A
507400         MOVE ZERO               TO MM08-NEXT-VISIT-L
507500         GO TO Y519-EXIT.
507600*
507700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
507800         MOVE DFHBMASB           TO MM08-NEXT-VISIT-A
507900         GO TO Y519-EXIT.
508000*
508100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
508200         MOVE ZERO               TO MM08-NEXT-VISIT-L
508300         MOVE DFHBMASK           TO MM08-NEXT-VISIT-A
508400         GO TO Y519-EXIT.
508500*
508600     IF  MBCA-PTI-FUNCTION-IS-ADD
508700         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
508800             MOVE ZERO           TO MM08-NEXT-VISIT-L
508900             MOVE DFHBMASK       TO MM08-NEXT-VISIT-A.
509000*
509100     IF  MBCA-PTI-FUNCTION-IS-MAINT
509200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
509300             MOVE ZERO           TO MM08-NEXT-VISIT-L
509400             MOVE DFHBMASK       TO MM08-NEXT-VISIT-A.
509500*
509600 Y519-EXIT.
509700     EXIT.
509800*
509900 Y530-MOVE-REVIEW-REP-OPER.
510000*
510100     MOVE MMMM-REVIEW-REP-OPER   TO MM08-REVIEW-OPERATOR.
510200*
510300 Y535-REVIEW-REP-OPER-SECURITY.
510400*
510500     MOVE MMMMTB-REVIEW-REP-OPER (1:4)
510600                                 TO WS-INDEX-X.
510700     SET  X-MMFS-MERCH           TO WS-INDEX.
510800*
510900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
511000         MOVE DFHBMDAS           TO MM08-REVIEW-OPERATOR-LIT-A
511100                                    MM08-REVIEW-OPERATOR-LP-A
511200                                    MM08-REVIEW-OPERATOR-RP-A
511300                                    MM08-REVIEW-OPERATOR-A
511400         MOVE ZERO               TO MM08-REVIEW-OPERATOR-L
511500         GO TO Y539-EXIT.
511600*
511700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
511800         MOVE DFHBMDAS           TO MM08-REVIEW-OPERATOR-LP-A
511900                                    MM08-REVIEW-OPERATOR-RP-A
512000         MOVE DFHBMASB           TO MM08-REVIEW-OPERATOR-A
512100         GO TO Y539-EXIT.
512200*
512300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
512400         MOVE ZERO               TO MM08-REVIEW-OPERATOR-L
512500         MOVE DFHBMDAS           TO MM08-REVIEW-OPERATOR-LP-A
512600                                    MM08-REVIEW-OPERATOR-RP-A
512700         MOVE DFHBMASK           TO MM08-REVIEW-OPERATOR-A
512800         GO TO Y539-EXIT.
512900*
513000     IF  MBCA-PTI-FUNCTION-IS-ADD
513100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
513200             MOVE DFHBMASB       TO MM08-REVIEW-OPERATOR-LIT-A
513300         ELSE
513400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
513500                 MOVE ZERO       TO MM08-REVIEW-OPERATOR-L
513600                 MOVE DFHBMDAS   TO MM08-REVIEW-OPERATOR-LP-A
513700                                    MM08-REVIEW-OPERATOR-RP-A
513800                 MOVE DFHBMASK   TO MM08-REVIEW-OPERATOR-A.
513900*
514000     IF  MBCA-PTI-FUNCTION-IS-MAINT
514100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
514200             MOVE ZERO           TO MM08-REVIEW-OPERATOR-L
514300             MOVE DFHBMDAS       TO MM08-REVIEW-OPERATOR-LP-A
514400                                    MM08-REVIEW-OPERATOR-RP-A
514500             MOVE DFHBMASK       TO MM08-REVIEW-OPERATOR-A.
514600*
514700 Y539-EXIT.
514800     EXIT.
514900*
515000 Y550-MOVE-REVIEW-REP-NAME.
515100*
515200     MOVE MMMM-REVIEW-REP-NAME   TO MM08-REVIEW-REP-NAME.
515300*
515400 Y555-REVIEW-REP-NAME-SECURITY.
515500*
515600     MOVE MMMMTB-REVIEW-REP-NAME (1:4)
515700                                 TO WS-INDEX-X.
515800     SET  X-MMFS-MERCH           TO WS-INDEX.
515900*
516000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
516100         MOVE DFHBMDAS           TO MM08-REVIEW-REP-NAME-LIT-A
516200                                    MM08-REVIEW-REP-NAME-LP-A
516300                                    MM08-REVIEW-REP-NAME-RP-A
516400                                    MM08-REVIEW-REP-NAME-A
516500         MOVE ZERO               TO MM08-REVIEW-REP-NAME-L
516600         GO TO Y559-EXIT.
516700*
516800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
516900         MOVE DFHBMDAS           TO MM08-REVIEW-REP-NAME-LP-A
517000                                    MM08-REVIEW-REP-NAME-RP-A
517100         MOVE DFHBMASB           TO MM08-REVIEW-REP-NAME-A
517200         GO TO Y559-EXIT.
517300*
517400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
517500         MOVE ZERO               TO MM08-REVIEW-REP-NAME-L
517600         MOVE DFHBMDAS           TO MM08-REVIEW-REP-NAME-LP-A
517700                                    MM08-REVIEW-REP-NAME-RP-A
517800         MOVE DFHBMASK           TO MM08-REVIEW-REP-NAME-A
517900         GO TO Y559-EXIT.
518000*
518100     IF  MBCA-PTI-FUNCTION-IS-ADD
518200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
518300             MOVE DFHBMASB       TO MM08-REVIEW-REP-NAME-LIT-A
518400         ELSE
518500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
518600                 MOVE ZERO       TO MM08-REVIEW-REP-NAME-L
518700                 MOVE DFHBMDAS   TO MM08-REVIEW-REP-NAME-LP-A
518800                                    MM08-REVIEW-REP-NAME-RP-A
518900                 MOVE DFHBMASK   TO MM08-REVIEW-REP-NAME-A.
519000*
519100     IF  MBCA-PTI-FUNCTION-IS-MAINT
519200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
519300             MOVE ZERO           TO MM08-REVIEW-REP-NAME-L
519400             MOVE DFHBMDAS       TO MM08-REVIEW-REP-NAME-LP-A
519500                                    MM08-REVIEW-REP-NAME-RP-A
519600             MOVE DFHBMASK       TO MM08-REVIEW-REP-NAME-A.
519700*
519800 Y559-EXIT.
519900     EXIT.
520000*
520100 Y570-MOVE-REVIEW-FREQ.
520200*
520300     MOVE MMMM-REVIEW-FREQ       TO MM08-REVIEW-FREQ.
520400*
520500 Y575-REVIEW-FREQ-SECURITY.
520600*
520700     MOVE MMMMTB-REVIEW-FREQ (1:4)
520800                                 TO WS-INDEX-X.
520900     SET  X-MMFS-MERCH           TO WS-INDEX.
521000*
521100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
521200         MOVE DFHBMDAS           TO MM08-REVIEW-FREQ-LIT-A
521300                                    MM08-REVIEW-FREQ-LP-A
521400                                    MM08-REVIEW-FREQ-RP-A
521500                                    MM08-REVIEW-FREQ-A
521600         MOVE ZERO               TO MM08-REVIEW-FREQ-L
521700         GO TO Y579-EXIT.
521800*
521900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
522000         MOVE DFHBMDAS           TO MM08-REVIEW-FREQ-LP-A
522100                                    MM08-REVIEW-FREQ-RP-A
522200         MOVE DFHBMASB           TO MM08-REVIEW-FREQ-A
522300         GO TO Y579-EXIT.
522400*
522500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
522600         MOVE ZERO               TO MM08-REVIEW-FREQ-L
522700         MOVE DFHBMDAS           TO MM08-REVIEW-FREQ-LP-A
522800                                    MM08-REVIEW-FREQ-RP-A
522900         MOVE DFHBMASK           TO MM08-REVIEW-FREQ-A
523000         GO TO Y579-EXIT.
523100*
523200     IF  MBCA-PTI-FUNCTION-IS-ADD
523300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
523400             MOVE DFHBMASB       TO MM08-REVIEW-FREQ-LIT-A
523500         ELSE
523600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
523700                 MOVE ZERO       TO MM08-REVIEW-FREQ-L
523800                 MOVE DFHBMDAS   TO MM08-REVIEW-FREQ-LP-A
523900                                    MM08-REVIEW-FREQ-RP-A
524000                 MOVE DFHBMASK   TO MM08-REVIEW-FREQ-A.
524100*
524200     IF  MBCA-PTI-FUNCTION-IS-MAINT
524300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
524400             MOVE ZERO           TO MM08-REVIEW-FREQ-L
524500             MOVE DFHBMDAS       TO MM08-REVIEW-FREQ-LP-A
524600                                    MM08-REVIEW-FREQ-RP-A
524700             MOVE DFHBMASK       TO MM08-REVIEW-FREQ-A.
524800*
524900 Y579-EXIT.
525000     EXIT.
525100*
525200 Y590-MOVE-DATE-LAST-REVIEW.
525300*
525400     MOVE MMMM-DATE-LAST-REVIEW  TO SS01WS-JULIAN.
525500     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
525600     MOVE SS01WS-DATE            TO MM08-LAST-REVIEW.
525700*
525800     IF  MBCA-PTI-FUNCTION-IS-ADD
525900         IF  MMMM-REVIEW-FREQ IS GREATER THAN ZEROS
526000             MOVE MMOC-TODAYS-JULIAN
526100                                 TO SS01WS-JULIAN
526200             PERFORM SS08PD-JUL-TO-GREG
526300                                 THRU SS08PD-JTG-EXIT
526400             MOVE SS01WS-DATE    TO MM08-LAST-REVIEW
526500             MOVE DFHBMUNF       TO MM08-LAST-REVIEW-A
526600             MOVE MMOC-TODAYS-JULIAN
526700                                 TO SS01WS-JULIAN
526800             MOVE MMMM-REVIEW-FREQ
526900                                 TO SS01WS-FREQ
527000             MOVE 'M'            TO SS01WS-PERIOD
527100             MOVE ZERO           TO SS01WS-DAY-OF-MON
527200             PERFORM SS03PD-FUTURE-DATE
527300                                 THRU SS03PD-FD-EXIT
527400             SET WS-NEXT-REVIEW-UPDATE
527500                                 TO TRUE
527600             MOVE DFHBMASF       TO MM08-NEXT-REVIEW-A
527700             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
527800                THRU SS26PD-NED-EXIT.
527900             MOVE SS01WS-XX-XX-YYYY      TO MM08-NEXT-REVIEW.
528000*
528100 Y595-DATE-LAST-REVIEW-SECURITY.
528200*
528300     MOVE MMMMTB-DATE-LAST-REVIEW (1:4)
528400                                 TO WS-INDEX-X.
528500     SET  X-MMFS-MERCH           TO WS-INDEX.
528600*
528700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
528800         MOVE DFHBMDAS           TO MM08-LAST-REVIEW-LIT-A
528900                                    MM08-LAST-REVIEW-LP-A
529000                                    MM08-LAST-REVIEW-RP-A
529100                                    MM08-LAST-REVIEW-A
529200         MOVE ZERO               TO MM08-LAST-REVIEW-L
529300         GO TO Y599-EXIT.
529400*
529500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
529600         MOVE DFHBMDAS           TO MM08-LAST-REVIEW-LP-A
529700                                    MM08-LAST-REVIEW-RP-A
529800         MOVE DFHBMASB           TO MM08-LAST-REVIEW-A
529900         GO TO Y599-EXIT.
530000*
530100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
530200         MOVE ZERO               TO MM08-LAST-REVIEW-L
530300         MOVE DFHBMDAS           TO MM08-LAST-REVIEW-LP-A
530400                                    MM08-LAST-REVIEW-RP-A
530500         MOVE DFHBMASK           TO MM08-LAST-REVIEW-A
530600         GO TO Y599-EXIT.
530700*
530800     IF  MBCA-PTI-FUNCTION-IS-ADD
530900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
531000             MOVE DFHBMASB       TO MM08-LAST-REVIEW-LIT-A
531100         ELSE
531200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
531300                 MOVE ZERO       TO MM08-LAST-REVIEW-L
531400                 MOVE DFHBMDAS   TO MM08-LAST-REVIEW-LP-A
531500                                    MM08-LAST-REVIEW-RP-A
531600                 MOVE DFHBMASK   TO MM08-LAST-REVIEW-A.
531700*
531800     IF  MBCA-PTI-FUNCTION-IS-MAINT
531900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
532000             MOVE ZERO           TO MM08-LAST-REVIEW-L
532100             MOVE DFHBMDAS       TO MM08-LAST-REVIEW-LP-A
532200                                    MM08-LAST-REVIEW-RP-A
532300             MOVE DFHBMASK       TO MM08-LAST-REVIEW-A.
532400*
532500 Y599-EXIT.
532600     EXIT.
532700*
532800 Y610-MOVE-DATE-NEXT-REVIEW.
532900*
533000     IF  WS-NEXT-REVIEW-UPDATE
533100         NEXT SENTENCE
533200     ELSE
533300         MOVE MMMM-DATE-NEXT-REVIEW
533400                                 TO SS01WS-JULIAN
533500         PERFORM SS08PD-JUL-TO-GREG
533600                                 THRU SS08PD-JTG-EXIT
533700         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
533800            THRU SS26PD-NED-EXIT
533900         MOVE SS01WS-XX-XX-YYYY  TO MM08-NEXT-REVIEW.
534000*
534100 Y615-DATE-NEXT-REVIEW-SECURITY.
534200*
534300     MOVE MMMMTB-DATE-NEXT-REVIEW (1:4)
534400                                 TO WS-INDEX-X.
534500     SET  X-MMFS-MERCH           TO WS-INDEX.
534600*
534700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
534800         MOVE DFHBMDAS           TO MM08-NEXT-REVIEW-LIT-A
534900                                    MM08-NEXT-REVIEW-A
535000         MOVE ZERO               TO MM08-NEXT-REVIEW-L
535100         GO TO Y619-EXIT.
535200*
535300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
535400         MOVE DFHBMASB           TO MM08-NEXT-REVIEW-A
535500         GO TO Y619-EXIT.
535600*
535700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
535800         MOVE ZERO               TO MM08-NEXT-REVIEW-L
535900         MOVE DFHBMASK           TO MM08-NEXT-REVIEW-A
536000         GO TO Y619-EXIT.
536100*
536200     IF  MBCA-PTI-FUNCTION-IS-ADD
536300         IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
536400             MOVE ZERO           TO MM08-NEXT-REVIEW-L
536500             MOVE DFHBMASK       TO MM08-NEXT-REVIEW-A.
536600*
536700     IF  MBCA-PTI-FUNCTION-IS-MAINT
536800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
536900             MOVE ZERO           TO MM08-NEXT-REVIEW-L
537000             MOVE DFHBMASK       TO MM08-NEXT-REVIEW-A.
537100*
537200 Y619-EXIT.
537300     EXIT.
537400*
537500 Y800-SET-CURSOR.
537600*
537700************************************************************
537800*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
537900*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
538000*    OPEN FOR INPUT                                        *
538100************************************************************
538200*
538300     MOVE MMMMTB-AGENT-BANK (1:4)
538400                                 TO WS-INDEX-X.
538500     SET X-MMFS-MERCH            TO WS-INDEX.
538600*
538700     EVALUATE TRUE
538800         WHEN MBCA-PTI-FUNCTION-IS-ADD
538900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
539000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
539100                 MOVE SS08WS-CURSOR
539200                                  TO MM08-AGENT-L
539300             END-IF
539400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
539500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
539600                 MOVE SS08WS-CURSOR
539700                                  TO MM08-AGENT-L
539800             END-IF
539900     END-EVALUATE.
540000*
540100*
540200*
540300     MOVE MMMMTB-BRANCH (1:4)
540400                                 TO WS-INDEX-X.
540500     SET X-MMFS-MERCH            TO WS-INDEX.
540600*
540700     EVALUATE TRUE
540800         WHEN MBCA-PTI-FUNCTION-IS-ADD
540900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
541000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
541100                 MOVE SS08WS-CURSOR
541200                                  TO MM08-BRANCH-L
541300             END-IF
541400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
541500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
541600                 MOVE SS08WS-CURSOR
541700                                  TO MM08-BRANCH-L
541800             END-IF
541900     END-EVALUATE.
542000*
542100*
542200*
542300     MOVE MMMMTB-BLOCK-CODE (1:4)
542400                                 TO WS-INDEX-X.
542500     SET X-MMFS-MERCH            TO WS-INDEX.
542600*
542700     EVALUATE TRUE
542800         WHEN MBCA-PTI-FUNCTION-IS-ADD
542900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
543000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
543100                 MOVE SS08WS-CURSOR
543200                                  TO MM08-BLOCK-CODE-L
543300             END-IF
543400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
543500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
543600                 MOVE SS08WS-CURSOR
543700                                  TO MM08-BLOCK-CODE-L
543800             END-IF
543900     END-EVALUATE.
544000*
544100*
544200*
544300     MOVE MMMMTB-OFFICER-ID (1:4)
544400                                 TO WS-INDEX-X.
544500     SET X-MMFS-MERCH            TO WS-INDEX.
544600*
544700     EVALUATE TRUE
544800         WHEN MBCA-PTI-FUNCTION-IS-ADD
544900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
545000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
545100                 MOVE SS08WS-CURSOR
545200                                  TO MM08-OFFICER-L
545300             END-IF
545400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
545500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
545600                 MOVE SS08WS-CURSOR
545700                                  TO MM08-OFFICER-L
545800             END-IF
545900     END-EVALUATE.
546000*
546100*
546200*
546300     MOVE MMMMTB-REFUSAL-IND (1:4)
546400                                 TO WS-INDEX-X.
546500     SET X-MMFS-MERCH            TO WS-INDEX.
546600*
546700     EVALUATE TRUE
546800         WHEN MBCA-PTI-FUNCTION-IS-ADD
546900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
547000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
547100                 MOVE SS08WS-CURSOR
547200                                  TO MM08-REFU-IND-L
547300             END-IF
547400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
547500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
547600                 MOVE SS08WS-CURSOR
547700                                  TO MM08-REFU-IND-L
547800             END-IF
547900     END-EVALUATE.
548000*
548100*
548200*
548300     MOVE MMMMTB-TAX-ID (1:4)
548400                                 TO WS-INDEX-X.
548500     SET X-MMFS-MERCH            TO WS-INDEX.
548600*
548700     EVALUATE TRUE
548800         WHEN MBCA-PTI-FUNCTION-IS-ADD
548900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
549000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
549100                 MOVE SS08WS-CURSOR
549200                                  TO MM08-TAXPAYER-ID-L
549300             END-IF
549400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
549500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
549600                 MOVE SS08WS-CURSOR
549700                                  TO MM08-TAXPAYER-ID-L
549800             END-IF
549900     END-EVALUATE.
550000*
550100*
550200*
550300     MOVE MMMMTB-TIN-TYPE (1:4)
550400                                 TO WS-INDEX-X.
550500     SET X-MMFS-MERCH            TO WS-INDEX.
550600*
550700     EVALUATE TRUE
550800         WHEN MBCA-PTI-FUNCTION-IS-ADD
550900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
551000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
551100                 MOVE SS08WS-CURSOR
551200                                  TO MM08-TAXID-IND-L
551300             END-IF
551400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
551500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
551600                 MOVE SS08WS-CURSOR
551700                                  TO MM08-TAXID-IND-L
551800             END-IF
551900     END-EVALUATE.
552000*
552100*
552200*
552300     MOVE MMMMTB-INCORP-STATUS (1:4)
552400                                 TO WS-INDEX-X.
552500     SET X-MMFS-MERCH            TO WS-INDEX.
552600*
552700     EVALUATE TRUE
552800         WHEN MBCA-PTI-FUNCTION-IS-ADD
552900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
553000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
553100                 MOVE SS08WS-CURSOR
553200                                  TO MM08-INCORP-STATUS-L
553300             END-IF
553400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
553500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
553600                 MOVE SS08WS-CURSOR
553700                                  TO MM08-INCORP-STATUS-L
553800             END-IF
553900     END-EVALUATE.
554000*
554100*
554200*
554300     MOVE MMMMTB-MINORITY-CODE (1:4)
554400                                 TO WS-INDEX-X.
554500     SET X-MMFS-MERCH            TO WS-INDEX.
554600*
554700     EVALUATE TRUE
554800         WHEN MBCA-PTI-FUNCTION-IS-ADD
554900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
555000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
555100                 MOVE SS08WS-CURSOR
555200                                  TO MM08-MINORITY-CODE-L
555300             END-IF
555400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
555500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
555600                 MOVE SS08WS-CURSOR
555700                                  TO MM08-MINORITY-CODE-L
555800             END-IF
555900     END-EVALUATE.
556000*
556100*
556200*
556300     MOVE MMMMTB-WOMAN-OWNED-CODE (1:4)
556400                                 TO WS-INDEX-X.
556500     SET X-MMFS-MERCH            TO WS-INDEX.
556600*
556700     EVALUATE TRUE
556800         WHEN MBCA-PTI-FUNCTION-IS-ADD
556900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
557000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
557100                 MOVE SS08WS-CURSOR
557200                                  TO MM08-WOMAN-OWNED-CODE-L
557300             END-IF
557400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
557500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
557600                 MOVE SS08WS-CURSOR
557700                                  TO MM08-WOMAN-OWNED-CODE-L
557800             END-IF
557900     END-EVALUATE.
558000*
558100*
558200*
558300     MOVE MMMMTB-DUN-AND-BRADSTREET-NBR (1:4)
558400                                 TO WS-INDEX-X.
558500     SET X-MMFS-MERCH            TO WS-INDEX.
558600*
558700     EVALUATE TRUE
558800         WHEN MBCA-PTI-FUNCTION-IS-ADD
558900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
559000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
559100                 MOVE SS08WS-CURSOR
559200                                  TO MM08-DB-NBR-L
559300             END-IF
559400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
559500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
559600                 MOVE SS08WS-CURSOR
559700                                  TO MM08-DB-NBR-L
559800             END-IF
559900     END-EVALUATE.
560000*
560100*
560200*
560300     MOVE MMMMTB-CORP-LEGAL-NAME (1:4)
560400                                 TO WS-INDEX-X.
560500     SET X-MMFS-MERCH            TO WS-INDEX.
560600*
560700     EVALUATE TRUE
560800         WHEN MBCA-PTI-FUNCTION-IS-ADD
560900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
561000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
561100                 MOVE SS08WS-CURSOR
561200                                  TO MM08-CORP-LEG-L
561300             END-IF
561400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
561500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
561600                 MOVE SS08WS-CURSOR
561700                                  TO MM08-CORP-LEG-L
561800             END-IF
561900     END-EVALUATE.
562000*
562100*
562200*
562300     MOVE MMMMTB-CONTACT-1 (1:4)
562400                                 TO WS-INDEX-X.
562500     SET X-MMFS-MERCH            TO WS-INDEX.
562600*
562700     EVALUATE TRUE
562800         WHEN MBCA-PTI-FUNCTION-IS-ADD
562900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
563000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
563100                 MOVE SS08WS-CURSOR
563200                                  TO MM08-CONTACT-L
563300             END-IF
563400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
563500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
563600                 MOVE SS08WS-CURSOR
563700                                  TO MM08-CONTACT-L
563800             END-IF
563900     END-EVALUATE.
564000*
564100*
564200*
564300     MOVE MMMMTB-CONTACT-PHONE-1 (1:4)
564400                                 TO WS-INDEX-X.
564500     SET X-MMFS-MERCH            TO WS-INDEX.
564600*
564700     EVALUATE TRUE
564800         WHEN MBCA-PTI-FUNCTION-IS-ADD
564900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
565000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
565100                 MOVE SS08WS-CURSOR
565200                                  TO MM08-CONTACT-PHONE-L
565300             END-IF
565400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
565500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
565600                 MOVE SS08WS-CURSOR
565700                                  TO MM08-CONTACT-PHONE-L
565800             END-IF
565900     END-EVALUATE.
566000*
566100*
566200*
566300     MOVE MMMMTB-CONTACT-FAX-1 (1:4)
566400                                 TO WS-INDEX-X.
566500     SET X-MMFS-MERCH            TO WS-INDEX.
566600*
566700     EVALUATE TRUE
566800         WHEN MBCA-PTI-FUNCTION-IS-ADD
566900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
567000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
567100                 MOVE SS08WS-CURSOR
567200                                  TO MM08-CONTACT-FAX-L
567300             END-IF
567400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
567500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
567600                 MOVE SS08WS-CURSOR
567700                                  TO MM08-CONTACT-FAX-L
567800             END-IF
567900     END-EVALUATE.
568000*
568100*
568200*
568300     MOVE MMMMTB-CONTACT-2 (1:4)
568400                                 TO WS-INDEX-X.
568500     SET X-MMFS-MERCH            TO WS-INDEX.
568600*
568700     EVALUATE TRUE
568800         WHEN MBCA-PTI-FUNCTION-IS-ADD
568900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
569000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
569100                 MOVE SS08WS-CURSOR
569200                                  TO MM08-CUSTOMER-L
569300             END-IF
569400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
569500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
569600                 MOVE SS08WS-CURSOR
569700                                  TO MM08-CUSTOMER-L
569800             END-IF
569900     END-EVALUATE.
570000*
570100*
570200*
570300     MOVE MMMMTB-CONTACT-PHONE-2 (1:4)
570400                                 TO WS-INDEX-X.
570500     SET X-MMFS-MERCH            TO WS-INDEX.
570600*
570700     EVALUATE TRUE
570800         WHEN MBCA-PTI-FUNCTION-IS-ADD
570900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
571000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
571100                 MOVE SS08WS-CURSOR
571200                                  TO MM08-CUSTOMER-PHONE-L
571300             END-IF
571400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
571500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
571600                 MOVE SS08WS-CURSOR
571700                                  TO MM08-CUSTOMER-PHONE-L
571800             END-IF
571900     END-EVALUATE.
572000*
572100*
572200*
572300     MOVE MMMMTB-CONTACT-FAX-2 (1:4)
572400                                 TO WS-INDEX-X.
572500     SET X-MMFS-MERCH            TO WS-INDEX.
572600*
572700     EVALUATE TRUE
572800         WHEN MBCA-PTI-FUNCTION-IS-ADD
572900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
573000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
573100                 MOVE SS08WS-CURSOR
573200                                  TO MM08-CUSTOMER-FAX-L
573300             END-IF
573400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
573500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
573600                 MOVE SS08WS-CURSOR
573700                                  TO MM08-CUSTOMER-FAX-L
573800             END-IF
573900     END-EVALUATE.
574000*
574100*
574200*
574300     MOVE MMMMTB-SOLE-PROP-NAME (1:4)
574400                                 TO WS-INDEX-X.
574500     SET X-MMFS-MERCH            TO WS-INDEX.
574600*
574700     EVALUATE TRUE
574800         WHEN MBCA-PTI-FUNCTION-IS-ADD
574900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
575000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
575100                 MOVE SS08WS-CURSOR
575200                                  TO MM08-SOLE-PROP-LAST-L
575300             END-IF
575400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
575500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
575600                 MOVE SS08WS-CURSOR
575700                                  TO MM08-SOLE-PROP-LAST-L
575800             END-IF
575900     END-EVALUATE.
575902*                                                                 RG802901
575904*                                                                 RG802901
575906*                                                                 RG802901
575908     MOVE MMMMTB-URL-EMAIL (1:4) TO WS-INDEX-X.                   RG802901
575910     SET X-MMFS-MERCH            TO WS-INDEX.                     RG802901
575912*                                                                 RG802901
575914     EVALUATE TRUE                                                RG802901
575916         WHEN MBCA-PTI-FUNCTION-IS-ADD                            RG802901
575918             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)                  RG802901
575920             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)                  RG802901
575922                 MOVE SS08WS-CURSOR                               RG802901
575924                                  TO MM08-URL-EMAIL-L             RG802901
575926             END-IF                                               RG802901
575928         WHEN MBCA-PTI-FUNCTION-IS-MAINT                          RG802901
575930             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)             RG802901
575932                 MOVE SS08WS-CURSOR                               RG802901
575934                                  TO MM08-URL-EMAIL-L             RG802901
575936             END-IF                                               RG802901
575938     END-EVALUATE.                                                RG802901
576000*
576100*
576200*
576300     MOVE MMMMTB-VISIT-REP-OPER (1:4)
576400                                 TO WS-INDEX-X.
576500     SET X-MMFS-MERCH            TO WS-INDEX.
576600*
576700     EVALUATE TRUE
576800         WHEN MBCA-PTI-FUNCTION-IS-ADD
576900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
577000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
577100                 MOVE SS08WS-CURSOR
577200                                  TO MM08-VISIT-OPERATOR-L
577300             END-IF
577400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
577500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
577600                 MOVE SS08WS-CURSOR
577700                                  TO MM08-VISIT-OPERATOR-L
577800             END-IF
577900     END-EVALUATE.
578000*
578100*
578200*
578300     MOVE MMMMTB-VISIT-REP-NAME (1:4)
578400                                 TO WS-INDEX-X.
578500     SET X-MMFS-MERCH            TO WS-INDEX.
578600*
578700     EVALUATE TRUE
578800         WHEN MBCA-PTI-FUNCTION-IS-ADD
578900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
579000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
579100                 MOVE SS08WS-CURSOR
579200                                  TO MM08-VISIT-REP-NAME-L
579300             END-IF
579400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
579500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
579600                 MOVE SS08WS-CURSOR
579700                                  TO MM08-VISIT-REP-NAME-L
579800             END-IF
579900     END-EVALUATE.
580000*
580100*
580200*
580300     MOVE MMMMTB-VISIT-FREQ (1:4)
580400                                 TO WS-INDEX-X.
580500     SET X-MMFS-MERCH            TO WS-INDEX.
580600*
580700     EVALUATE TRUE
580800         WHEN MBCA-PTI-FUNCTION-IS-ADD
580900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
581000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
581100                 MOVE SS08WS-CURSOR
581200                                  TO MM08-VISIT-FREQ-L
581300             END-IF
581400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
581500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
581600                 MOVE SS08WS-CURSOR
581700                                  TO MM08-VISIT-FREQ-L
581800             END-IF
581900     END-EVALUATE.
582000*
582100*
582200*
582300     MOVE MMMMTB-DATE-LAST-VISIT (1:4)
582400                                 TO WS-INDEX-X.
582500     SET X-MMFS-MERCH            TO WS-INDEX.
582600*
582700     EVALUATE TRUE
582800         WHEN MBCA-PTI-FUNCTION-IS-ADD
582900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
583000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
583100                 MOVE SS08WS-CURSOR
583200                                  TO MM08-LAST-VISIT-L
583300             END-IF
583400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
583500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
583600                 MOVE SS08WS-CURSOR
583700                                  TO MM08-LAST-VISIT-L
583800             END-IF
583900     END-EVALUATE.
584000*
584100*
584200*
584300     MOVE MMMMTB-DATE-NEXT-VISIT (1:4)
584400                                 TO WS-INDEX-X.
584500     SET X-MMFS-MERCH            TO WS-INDEX.
584600*
584700     EVALUATE TRUE
584800         WHEN MBCA-PTI-FUNCTION-IS-ADD
584900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
585000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
585100                 MOVE SS08WS-CURSOR
585200                                  TO MM08-NEXT-VISIT-L
585300             END-IF
585400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
585500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
585600                 MOVE SS08WS-CURSOR
585700                                  TO MM08-NEXT-VISIT-L
585800             END-IF
585900     END-EVALUATE.
586000*
586100*
586200*
586300     MOVE MMMMTB-REVIEW-REP-OPER (1:4)
586400                                 TO WS-INDEX-X.
586500     SET X-MMFS-MERCH            TO WS-INDEX.
586600*
586700     EVALUATE TRUE
586800         WHEN MBCA-PTI-FUNCTION-IS-ADD
586900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
587000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
587100                 MOVE SS08WS-CURSOR
587200                                  TO MM08-REVIEW-OPERATOR-L
587300             END-IF
587400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
587500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
587600                 MOVE SS08WS-CURSOR
587700                                  TO MM08-REVIEW-OPERATOR-L
587800             END-IF
587900     END-EVALUATE.
588000*
588100*
588200*
588300     MOVE MMMMTB-REVIEW-REP-NAME (1:4)
588400                                 TO WS-INDEX-X.
588500     SET X-MMFS-MERCH            TO WS-INDEX.
588600*
588700     EVALUATE TRUE
588800         WHEN MBCA-PTI-FUNCTION-IS-ADD
588900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
589000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
589100                 MOVE SS08WS-CURSOR
589200                                  TO MM08-REVIEW-REP-NAME-L
589300             END-IF
589400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
589500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
589600                 MOVE SS08WS-CURSOR
589700                                  TO MM08-REVIEW-REP-NAME-L
589800             END-IF
589900     END-EVALUATE.
590000*
590100*
590200*
590300     MOVE MMMMTB-REVIEW-FREQ (1:4)
590400                                 TO WS-INDEX-X.
590500     SET X-MMFS-MERCH            TO WS-INDEX.
590600*
590700     EVALUATE TRUE
590800         WHEN MBCA-PTI-FUNCTION-IS-ADD
590900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
591000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
591100                 MOVE SS08WS-CURSOR
591200                                  TO MM08-REVIEW-FREQ-L
591300             END-IF
591400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
591500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
591600                 MOVE SS08WS-CURSOR
591700                                  TO MM08-REVIEW-FREQ-L
591800             END-IF
591900     END-EVALUATE.
592000*
592100*
592200*
592300     MOVE MMMMTB-DATE-LAST-REVIEW (1:4)
592400                                 TO WS-INDEX-X.
592500     SET X-MMFS-MERCH            TO WS-INDEX.
592600*
592700     EVALUATE TRUE
592800         WHEN MBCA-PTI-FUNCTION-IS-ADD
592900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
593000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
593100                 MOVE SS08WS-CURSOR
593200                                  TO MM08-LAST-REVIEW-L
593300             END-IF
593400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
593500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
593600                 MOVE SS08WS-CURSOR
593700                                  TO MM08-LAST-REVIEW-L
593800             END-IF
593900     END-EVALUATE.
594000*
594100*
594200*
594300     MOVE MMMMTB-DATE-NEXT-REVIEW (1:4)
594400                                 TO WS-INDEX-X.
594500     SET X-MMFS-MERCH            TO WS-INDEX.
594600*
594700     EVALUATE TRUE
594800         WHEN MBCA-PTI-FUNCTION-IS-ADD
594900             IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
595000             OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
595100                 MOVE SS08WS-CURSOR
595200                                  TO MM08-NEXT-REVIEW-L
595300             END-IF
595400         WHEN MBCA-PTI-FUNCTION-IS-MAINT
595500             IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
595600                 MOVE SS08WS-CURSOR
595700                                  TO MM08-NEXT-REVIEW-L
595800             END-IF
595900     END-EVALUATE.
596000*
596100*
596200*
596300 Y809-SC-EXIT.
596400     EXIT.
596500*
596600 Y900-READ-MMFS.
596700*
596800****************************************
596900*    READ THE FIELD SECURITY RECORD    *
597000*    TO OBTAIN THE SECURITY CODES      *
597100****************************************
597200*
597300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
597400     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
597500     SET MBIORO-READ-RANDOM      TO TRUE.
597600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
597700*
597800     IF  NOT MMFS-REC-ACTIVE
597900         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
598000         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
598100         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
598200         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
598300         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
598400         SET MBCA-ERROR-MSGS-PROVIDED
598500                                 TO TRUE
598600         MOVE 'READ ERROR - MMFSAO'
598700                                 TO MBCA-ERRR-MSG1
598800         MOVE 'FIELDS SECURITY PROFILE IS NOT ACTIVE'
598900                                 TO MBCA-ERRR-MSG2
599000         GO TO MB70PD-ERROR-ROUTINE.
599100*
599200 Y909-READ-MMFS-EXIT.
599300     EXIT.
599400*
599500 Y910-WRITE-LOG-RECORD.
599600*
599700     SET MBIORO-WRITE            TO TRUE.
599800     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
599900     MOVE SPACES                 TO MML1-VARIABLE-AREA.
600000*
600100 Y919-WLR-EXIT.
600200     EXIT.
600300/
600400 Z000-COPIED-ROUTINES SECTION.
600500*
600600*****************************
600700*    FUTURE DATE ROUTINE    *
600800*****************************
600900*
601000     COPY SS03PD.
601100/
601200*********************************
601300*    DATE VALIDATION ROUTINE    *
601400*********************************
601500*
601600     COPY SS05PD.
601700/
601800**********************************
601900*    GREG TO JUL DATE ROUTINE    *
602000**********************************
602100*
602200     COPY SS07PD.
602300/
602400**********************************
602500*    JUL TO GREG DATE ROUTINE    *
602600**********************************
602700*
602800     COPY SS08PD.
602900/
603000**********************************
603100*    DATE AND TIME EDIT ROUTINES *
603200**********************************
603300*
603400     COPY SS26PD.
603500     COPY SS27PD.
603600/
603700*********************************
603800*    LINE 24 PF KEYS ROUTINE    *
603900*********************************
604000*
604100     COPY SS15PD.
604200/
604300************************************************
604400*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
604500************************************************
604600*
604700     COPY MMMMAO.
604800/
604900***********************************************
605000*    FIELD SECURITY RECORD ACCESS ROUTINES    *
605100***********************************************
605200*
605300     COPY MMFSAO.
605400/
605500*********************************************
605600*    ORGANIZATION RECORD ACCESS ROUTINES    *
605700*********************************************
605800*
605900     COPY MMOCAO.
606000/
606100************************************************
606200*    STORE MASTER RECORD ACCESS ROUTINES       *
606300************************************************
606400*
606500     COPY MMSMAO.
606600/
606700************************************************
606800*    STORE MERCH XREF RECORD ACCESS ROUTINES   *
606900************************************************
607000*
607100     COPY MMXRAO.
607200/
607300*****************************************
607400*    LOG FILE RECORD ACCESS ROUTINES    *
607500*****************************************
607600*
607700     COPY MML1AO.
607710/                                                                 EH800900
607720************************************************                  EH800900
607730*    MERCHANT PRODUCT RECORD ACCESS ROUTINES   *                  EH800900
607740************************************************                  EH800900
607750*                                                                 EH800900
607760     COPY MMMPAO.                                                 EH800900
607800/
607900*****************************
608000*    ONLINE MAP ROUTINES    *
608100*****************************
608200*
608300     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM08 '
608400                           MBMAPXXI BY MBMM08I
608500                           MBMAPXXO BY MBMM08O.
608600/
608700***************************
608800*    ONLINE PROCEDURES    *
608900***************************
609000*
609100     COPY MB70PD.
609200/
609300     COPY SMFTPXO.
