000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMM15.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
001200*****************************************************************
001300*                                                               *
001400*   V - 2 1   M E R C H A N T   B A N K C A R D   S Y S T E M   *
001500*                                                               *
001600*      MBOMM15 - MERCHANT MASTER RECORD ADD/MAINT/INQ           *
001700*                SCREEN 15                                      *
001800*                                                               *
001900*              1. TRANSIDS                                      *
002000*                 A. MBAM                                       *
002100*                 B. MBMM                                       *
002200*                 C. MBQM                                       *
002300*              2. MAPS USED -                                   *
002400*                 A. MBMM15 (SCREEN 15)                         *
002500*              3. FILES USED -                                  *
002600*                 A. MMMM (MERCHANT MASTER FILE)                *
002700*                 B. MMFS (FIELD SECURITY FILE)                 *
002800*                 C. MMMP (MERCHANT PROD ASSIGNMENS FILE)       *
002900*                 D. MMSM (STORE MASTER FILE)                   *
003000*                 E. MMOC (ORGANIZATION FILE)                   *
003100*                 F. MMXR (STORE MERCH XREF FILE)               *
003200*                 G. MML1 (LOG FILE)                            *
003300*                                                               *
003400*****************************************************************
003500*
003600 ENVIRONMENT DIVISION.
003700*
003800 DATA DIVISION.
003900*
004000 WORKING-STORAGE SECTION.
004100*
004200 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
004300*
004400 01  FILLER                  PIC  X(14)      VALUE
004500     'MISCELLANEOUS:'.
004600*
004700 01  WS-MISCELLANEOUS.
004800     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
004900     03  WS-INDEX-X.
005000         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
005100*
005200 01  FILLER                  PIC  X(17)      VALUE
005300     'PROGRAM SWITCHES:'.
005400*
005500 01  WS-PROGRAM-SWITCHES.
005600     03  WS-UPDATE-MMSM-SW   PIC  X(01)      VALUE 'N'.
005700         88  WS-UPDATE-MMSM-SW-YES           VALUE 'Y'.
005800         88  WS-UPDATE-MMSM-SW-NO            VALUE 'N'.
005900     03  WS-UPDATE-MMMP-SW   PIC  X(01)      VALUE 'N'.
006000         88  WS-UPDATE-MMMP-SW-YES           VALUE 'Y'.
006100         88  WS-UPDATE-MMMP-SW-NO            VALUE 'N'.
006200     03  WS-UPDATE-MC-SW     PIC  X(01)      VALUE 'N'.
006300         88  WS-UPDATE-MC-SW-YES             VALUE 'Y'.
006400         88  WS-UPDATE-MC-SW-NO              VALUE 'N'.
006500     03  WS-PROD-STATUS-ERROR-SW
006600                             PIC  X(01)      VALUE 'N'.
006700         88  STATUS-ERRORS-EXIST             VALUE 'Y'.
006800         88  NO-STATUS-ERRORS-EXIST          VALUE 'N'.
006900     03  TS-QUEUE-NAME.
007000         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
007100         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
007200/
007300 01  FILLER                  PIC  X(29)      VALUE
007400     'I/O REQUEST BLOCK WORK AREAS:'.
007500*
007600     COPY MBIOWS.
007700/
007800 01  FILLER                  PIC  X(18)      VALUE
007900     'I/O REQUEST BLOCK:'.
008000*
008100     COPY MBIORO.
008200/
008300 01  FILLER                  PIC  X(25)      VALUE
008400     'LOG RECORD REQUEST BLOCK:'.
008500*
008600     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008700/
008800 01  FILLER                  PIC  X(25)      VALUE
008900     'RATE TABLE VALID METHODS:'.
009000*
009100     COPY MMRTWS.
009200/
009300 01  FILLER                  PIC  X(29)      VALUE
009400     'MERCHANT MASTER FIELDS TABLE:'.
009500*
009600     COPY MMMMTB.
009700/
009800 01  FILLER                  PIC  X(26)      VALUE
009900     'STORE MASTER FIELDS TABLE:'.
010000*
010100     COPY MMSMTB.
010200/
010300 01  FILLER                  PIC  X(35)      VALUE
010400     'MERCHANT MASTER INITIALIZER RECORD:'.
010500*
010600     COPY MMMMIR.
010700/
010800 01  FILLER                  PIC  X(36)      VALUE
010900     'MERCHANT PRODUCT INITIALIZER RECORD:'.
011000*
011100     COPY MMMPIR.
011200/
011300 01  FILLER                  PIC  X(20)      VALUE
011400     'CCS DATE WORK AREAS:'.
011500*
011600     COPY SS01WS.
011700/
011800 01  FILLER                  PIC  X(15)      VALUE
011900     'CCS WORK AREAS:'.
012000*
012100     COPY SS08WS.
012200/
012300     COPY SS00WS.
012400/
012500     COPY SMFTWS.
012600/
012700     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
012800/
012900     COPY SC00WS.
013000/
013100     COPY SMCAWS.
013200/
013300     COPY SMCARL.
013400/
013500     COPY MB61LK.
013600/
013700*
013800 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
013900/
014000 LINKAGE SECTION.
014100*
014200 01  DFHCOMMAREA.
014300*
014400***************************
014500*    ONLINE FILE TABLE    *
014600***************************
014700*
014800     COPY MB60WS.
014900/
015000*****************************
015100*    MERCHANT MASTER MAP    *
015200*****************************
015300*
015400     COPY MBMM15.
015500/
015600******************************************
015700*    MERCHANT MASTER MAP REDEFINITION    *
015800******************************************
015900*
016000     COPY MBMM15R.
016100/
016200************************************
016300*    ORGANIZATION RECORD LAYOUT    *
016400************************************
016500*
016600     COPY MMOCRL.
016700/
016800***************************************
016900*    MERCHANT MASTER RECORD LAYOUT    *
017000***************************************
017100*
017200     COPY MMMMRL.
017300/
017400***************************************
017500*    STORE MASTER RECORD LAYOUT       *
017600***************************************
017700*
017800     COPY MMSMRL.
017900/
018000************************************************
018100*    MERCHANT PROD ASSIGNMENT RECORD LAYOUT    *
018200************************************************
018300*
018400     COPY MMMPRL.
018500/
018600************************************************
018700*    STORE MERCH XREF RECORD LAYOUT            *
018800************************************************
018900*
019000     COPY MMXRRL.
019100/
019200**************************************
019300*    RATE TABLE RECORD LAYOUT        *
019400**************************************
019500*
019600     COPY MMRTRL.
019700/
019800**************************************
019900*    FIELD SECURITY RECORD LAYOUT    *
020000**************************************
020100*
020200     COPY MMFSRL.
020300/
020400***************************
020500*    LOG RECORD LAYOUT    *
020600***************************
020700*
020800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
020900/
021000***************************************
021100*    USER INPUT TEMP STORAGE RECORD   *
021200***************************************
021300*
021400     COPY MBUITS.
021500/
021600 PROCEDURE DIVISION.
021700*
021800 A000-HOUSEKEEPING SECTION.
021900*
022000 A020-INIT.
022100*
022200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
022300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
022400                                 THRU MB70PD-OLH-EXIT.
022500*
022600     IF  MBCA-MBUI-UI-YES
022700         NEXT SENTENCE
022800     ELSE
022900         SET MBCA-MBUI-UI-NO     TO TRUE.
023000*
023100     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
023200*
023300     IF  MBCA-RECEIVE-SCREEN
023400         GO TO C000-RECEIVE-SCREEN.
023500/
023600 B000-SEND-SCREEN SECTION.
023700*
023800*********************************************
023900*    GET CICS STORAGE NEEDED FOR THE MAP    *
024000*********************************************
024100*
024200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
024300     PERFORM MB60PD-GETMAIN-FOR-MAP
024400                                 THRU MB60PD-GFM-EXIT.
024500*
024600*******************************************
024700*    INITIALIZE THE STANDARD MAP LINES    *
024800*******************************************
024900*
025000     PERFORM MB60PD-INIT-STD-MAP-LINES
025100                                 THRU MB60PD-ISML-EXIT.
025200*
025300*****************************************
025400*    READ THE MERCHANT MASTER RECORD    *
025500*    FOR SUBSEQUENT DISPLAY             *
025600*****************************************
025700*
025800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG
025900                                    MM15-ORG.
026000     MOVE MBCA-MERCHANT          TO MBIOWS-MMMM-MERCHANT
026100                                    MM15-MERCHANT.
026200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
026500*
026600     MOVE MMMM-NA-LINE (1 1)     TO MM15-MERCHANT-NAME.
026700*
026800*****************************************
026900*    READ THE STORE MASTER RECORD       *
027000*    IF SINGLE STORE IS YES             *
027100*****************************************
027200*
027300     IF  MMMM-SINGLE-STORE-YES
027400         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
027500         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
027600         MOVE 'FC02'             TO MBCA-PROGRAM-LOCATION
027700         SET MBIORO-READ-RANDOM  TO TRUE
027800         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
027900*
028000*****************************************
028100*    READ THE MERCHANT PROD ASSIGN FILE *
028200*    FOR SUBSEQUENT DISPLAY             *
028300*****************************************
028400*
028500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
028600     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
028700     MOVE MBCA-CARD-PROD         TO MBIOWS-MMMP-PRODUCT
028800                                    MM15-PRODUCT.
028900     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
029000     SET MBIORO-READ-RANDOM      TO TRUE.
029100     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
029200*
029300*****************************************
029400*    READ THE ORGANIZATION FILE         *
029500*****************************************
029600*
029700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
029800     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
029900     SET MBIORO-READ-RANDOM      TO TRUE.
030000     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
030100*
030200     SET X-MMOC-PROD             TO MBCA-CARD-PROD.
030300*
030400     MOVE MMOC-PRODUCT-DESC (X-MMOC-PROD)
030500                                 TO MM15-PROD-DESC.
030600     MOVE MBCA-CARD-PROD         TO MM15-PRODUCT.
030700*
030800     IF  MMOC-MC-QTR-FLAG-EUROCARD
030900         SET MBCA-MBMM-EUROPAY-ON
031000                                 TO TRUE
031100     ELSE
031200         SET MBCA-MBMM-EUROPAY-OFF
031300                                 TO TRUE
031400     END-IF.
031500*
031600****************************************
031700*    READ THE FIELD SECURITY RECORD    *
031800****************************************
031900*
032000     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
032100     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
032200*
032300 B020-MOVE-FIELDS-TO-SCREEN.
032400*
032500*****************************************
032600*    MOVE THE MERCHANT MASTER FIELDS    *
032700*    FROM THE RECORD TO THE SCREEN      *
032800*****************************************
032900*
033000*
033100     PERFORM Y010-MOVE-PROD-STATUS
033200                                 THRU Y019-EXIT.
033300*
033400     PERFORM Y030-MOVE-DISC-FEE-BASE
033500                                 THRU Y039-EXIT.
033600*
033700     PERFORM Y050-MOVE-DISC-TABLE
033800                                 THRU Y059-EXIT.
033900*
034000     PERFORM Y070-MOVE-EFF-DATE  THRU Y079-EXIT.
034100*
034200     PERFORM Y090-MOVE-PART-FEE-BASE
034300                                 THRU Y099-EXIT.
034400*
034500     PERFORM Y110-MOVE-PART-TABLE
034600                                 THRU Y119-EXIT.
034700*
034800     PERFORM Y130-MOVE-SETTLE-FLAG
034900                                 THRU Y139-EXIT.
035000*
035100     PERFORM Y170-MOVE-RESV-1-FEE-BASE
035200                                 THRU Y179-EXIT.
035300*
035400     PERFORM Y190-MOVE-RESV-1-TABLE
035500                                 THRU Y199-EXIT.
035600*
035700     PERFORM Y210-MOVE-SOURCE    THRU Y219-EXIT.
035800*
035900     PERFORM Y230-MOVE-RESV-2-FEE-BASE
036000                                 THRU Y239-EXIT.
036100*
036200     PERFORM Y250-MOVE-RESV-2-TABLE
036300                                 THRU Y259-EXIT.
036400*
036500     PERFORM Y270-MOVE-SHORT-DESC
036600                                 THRU Y279-EXIT.
036700*
036800     PERFORM Y290-MOVE-RESV-3-FEE-BASE
036900                                 THRU Y299-EXIT.
037000*
037100     PERFORM Y310-MOVE-RESV-3-TABLE
037200                                 THRU Y319-EXIT.
037300*
037400     PERFORM Y330-MOVE-RESV-4-FEE-BASE
037500                                 THRU Y339-EXIT.
037600*
037700     PERFORM Y350-MOVE-RESV-4-TABLE
037800                                 THRU Y359-EXIT.
037900*
038000     PERFORM Y370-MOVE-USER-CODE
038100                                 THRU Y379-EXIT.
038200*
038300     PERFORM Y390-MOVE-INTCHG-FEE-BASE
038400                                 THRU Y399-EXIT.
038500*
038600     IF  MMMM-SINGLE-STORE-YES
038700         NEXT SENTENCE
038800     ELSE
038900         MOVE DFHBMDAS           TO MM15-MC-DBA-NAME-LIT-A
039000                                    MM15-MC-DBA-NAME-LP-A
039100                                    MM15-MC-DBA-NAME-RP-A
039200                                    MM15-MC-DBA-NAME-A
039300                                    MM15-MC-CIRRUS-IND-LIT-A
039400                                    MM15-MC-CIRRUS-IND-LP-A
039500                                    MM15-MC-CIRRUS-IND-RP-A
039600                                    MM15-MC-CIRRUS-IND-A
039700                                    MM15-MC-INTCHG-FLAG-LIT-A
039800                                    MM15-MC-INTCHG-FLAG-LP-A
039900                                    MM15-MC-INTCHG-FLAG-RP-A
040000                                    MM15-MC-INTCHG-FLAG-A
040100                                    MM15-MC-BUS-CLASS-CODE-LIT-A
040200                                    MM15-MC-BUS-CLASS-CODE-LP-A
040300                                    MM15-MC-BUS-CLASS-CODE-RP-A
040400                                    MM15-MC-BUS-CLASS-CODE-A
040500                                    MM15-MC-CATEGORY-CODE-LIT-A
040600                                    MM15-MC-CATEGORY-CODE-LP-A
040700                                    MM15-MC-CATEGORY-CODE-RP-A
040800                                    MM15-MC-CATEGORY-CODE-A
040802                                    MM15-MC-ASSIGNED-ID-LIT-A     RG800913
040804                                    MM15-MC-ASSIGNED-ID-LP-A      RG800913
040806                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
040808                                    MM15-MC-ASSIGNED-ID-A         RG800913
040900                                    MM15-MC-FLOOR-LIMIT-LIT-A
041000                                    MM15-MC-FLOOR-LIMIT-LP-A
041100                                    MM15-MC-FLOOR-LIMIT-RP-A
041200                                    MM15-MC-FLOOR-LIMIT-A
041300                                    MM15-MC-CH-TERM-IND-LIT-A
041400                                    MM15-MC-CH-TERM-IND-LP-A
041500                                    MM15-MC-CH-TERM-IND-RP-A
041600                                    MM15-MC-CH-TERM-IND-A
041700                                    MM15-MC-POS-DC-DESC-LIT-A
041800                                    MM15-MC-POS-DC-01-LP-A
041900                                    MM15-MC-POS-DC-01-RP-A
042000                                    MM15-MC-POS-DC-01-A
042100                                    MM15-MC-POS-DC-02-LP-A
042200                                    MM15-MC-POS-DC-02-RP-A
042300                                    MM15-MC-POS-DC-02-A
042400                                    MM15-MC-POS-DC-03-LP-A
042500                                    MM15-MC-POS-DC-03-RP-A
042600                                    MM15-MC-POS-DC-03-A
042700                                    MM15-MC-POS-DC-04-LP-A
042800                                    MM15-MC-POS-DC-04-RP-A
042900                                    MM15-MC-POS-DC-04-A
043000                                    MM15-MC-POS-DC-05-LP-A
043100                                    MM15-MC-POS-DC-05-RP-A
043200                                    MM15-MC-POS-DC-05-A
043300                                    MM15-MC-POS-DC-06-LP-A
043400                                    MM15-MC-POS-DC-06-RP-A
043500                                    MM15-MC-POS-DC-06-A
043600                                    MM15-MC-POS-DC-07-LP-A
043700                                    MM15-MC-POS-DC-07-RP-A
043800                                    MM15-MC-POS-DC-07-A
043900                                    MM15-MC-POS-DC-08-LP-A
044000                                    MM15-MC-POS-DC-08-RP-A
044100                                    MM15-MC-POS-DC-08-A
044200                                    MM15-MC-POS-DC-09-LP-A
044300                                    MM15-MC-POS-DC-09-RP-A
044400                                    MM15-MC-POS-DC-09-A
044500                                    MM15-MC-POS-DC-10-LP-A
044600                                    MM15-MC-POS-DC-10-RP-A
044700                                    MM15-MC-POS-DC-10-A
044800                                    MM15-MC-POS-DC-11-LP-A
044900                                    MM15-MC-POS-DC-11-RP-A
045000                                    MM15-MC-POS-DC-11-A
045100                                    MM15-MC-POS-DC-12-LP-A
045200                                    MM15-MC-POS-DC-12-RP-A
045300                                    MM15-MC-POS-DC-12-A
045400         GO TO B020-CONTINUE.
045500*
045600     PERFORM Y410-MOVE-DBA-NAME
045700                                 THRU Y419-EXIT.
045800*
045900     PERFORM Y430-MOVE-CIRRUS-IND
046000                                 THRU Y439-EXIT.
046100*
046200     PERFORM Y450-MOVE-INTCHG-IND
046300                                 THRU Y459-EXIT.
046400*
046500     PERFORM Y470-MOVE-BUS-CLASS-CODE
046600                                 THRU Y479-EXIT.
046700*
046800     PERFORM Y630-MOVE-CATEGORY-CODE
046900                                 THRU Y639-EXIT.
047000*
047100     PERFORM Y650-MOVE-FLOOR-LIMIT
047200                                 THRU Y659-EXIT.
047300*
047400     PERFORM Y670-MOVE-CH-TERM-IND
047500                                 THRU Y679-EXIT.
047502*                                                                 RG800913
047504     PERFORM Y680-MOVE-ASSIGNED-ID                                RG800913
047506                                 THRU Y689-EXIT.                  RG800913
047600*
047700     IF  MBCA-MBMM-EUROPAY-ON
047800         PERFORM Y690-MOVE-MC-POS-DC-01
047900                                 THRU Y699-EXIT
048000*
048100         PERFORM Y700-MOVE-MC-POS-DC-02
048200                                 THRU Y709-EXIT
048300*
048400         PERFORM Y710-MOVE-MC-POS-DC-03
048500                                 THRU Y719-EXIT
048600*
048700         PERFORM Y720-MOVE-MC-POS-DC-04
048800                                 THRU Y729-EXIT
048900*
049000         PERFORM Y730-MOVE-MC-POS-DC-05
049100                                 THRU Y739-EXIT
049200*
049300         PERFORM Y740-MOVE-MC-POS-DC-06
049400                                 THRU Y749-EXIT
049500*
049600         PERFORM Y750-MOVE-MC-POS-DC-07
049700                                 THRU Y759-EXIT
049800*
049900         PERFORM Y760-MOVE-MC-POS-DC-08
050000                                 THRU Y769-EXIT
050100*
050200         PERFORM Y770-MOVE-MC-POS-DC-09
050300                                 THRU Y779-EXIT
050400*
050500         PERFORM Y780-MOVE-MC-POS-DC-10
050600                                 THRU Y789-EXIT
050700*
050800         PERFORM Y790-MOVE-MC-POS-DC-11
050900                                 THRU Y799-EXIT
051000*
051100         PERFORM Y800-MOVE-MC-POS-DC-12
051200                                 THRU Y809-EXIT
051300     ELSE
051400         MOVE DFHBMDAS           TO MM15-MC-POS-DC-DESC-LIT-A
051500                                    MM15-MC-POS-DC-01-LP-A
051600                                    MM15-MC-POS-DC-01-RP-A
051700                                    MM15-MC-POS-DC-01-A
051800                                    MM15-MC-POS-DC-02-LP-A
051900                                    MM15-MC-POS-DC-02-RP-A
052000                                    MM15-MC-POS-DC-02-A
052100                                    MM15-MC-POS-DC-03-LP-A
052200                                    MM15-MC-POS-DC-03-RP-A
052300                                    MM15-MC-POS-DC-03-A
052400                                    MM15-MC-POS-DC-04-LP-A
052500                                    MM15-MC-POS-DC-04-RP-A
052600                                    MM15-MC-POS-DC-04-A
052700                                    MM15-MC-POS-DC-05-LP-A
052800                                    MM15-MC-POS-DC-05-RP-A
052900                                    MM15-MC-POS-DC-05-A
053000                                    MM15-MC-POS-DC-06-LP-A
053100                                    MM15-MC-POS-DC-06-RP-A
053200                                    MM15-MC-POS-DC-06-A
053300                                    MM15-MC-POS-DC-07-LP-A
053400                                    MM15-MC-POS-DC-07-RP-A
053500                                    MM15-MC-POS-DC-07-A
053600                                    MM15-MC-POS-DC-08-LP-A
053700                                    MM15-MC-POS-DC-08-RP-A
053800                                    MM15-MC-POS-DC-08-A
053900                                    MM15-MC-POS-DC-09-LP-A
054000                                    MM15-MC-POS-DC-09-RP-A
054100                                    MM15-MC-POS-DC-09-A
054200                                    MM15-MC-POS-DC-10-LP-A
054300                                    MM15-MC-POS-DC-10-RP-A
054400                                    MM15-MC-POS-DC-10-A
054500                                    MM15-MC-POS-DC-11-LP-A
054600                                    MM15-MC-POS-DC-11-RP-A
054700                                    MM15-MC-POS-DC-11-A
054800                                    MM15-MC-POS-DC-12-LP-A
054900                                    MM15-MC-POS-DC-12-RP-A
055000                                    MM15-MC-POS-DC-12-A.
055100*
055200 B020-CONTINUE.
055300*
055400     IF  MMMM-DL-MERCHANT
055500         MOVE DFHBMDAS           TO MM15-PROD-DISC-FEE-BASE-LP-A
055600                                    MM15-PROD-DISC-FEE-BASE-RP-A
055700                                    MM15-PROD-DISC-FEE-BASE-A
055800                                    MM15-PROD-DISC-RATE-TBL-LP-A
055900                                    MM15-PROD-DISC-RATE-TBL-RP-A
056000                                    MM15-PROD-DISC-RATE-TBL-A
056100                                    MM15-PROD-DISCOUNT-LIT-A.
056200*
056300     IF  MMMM-PL-MERCHANT
056400         MOVE DFHBMDAS           TO MM15-PROD-PART-FEE-BASE-LP-A
056500                                    MM15-PROD-PART-FEE-BASE-RP-A
056600                                    MM15-PROD-PART-FEE-BASE-A
056700                                    MM15-PROD-PART-RATE-TBL-LP-A
056800                                    MM15-PROD-PART-RATE-TBL-RP-A
056900                                    MM15-PROD-PART-RATE-TBL-A
057000                                    MM15-PROD-PARTICIPATION-LIT-A.
057100*
057200     IF  MMMM-RL-MERCHANT (1)
057300         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-FEE-BASE-LP-A
057400                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
057500                                    MM15-PROD-RESV-1-FEE-BASE-A
057600                                    MM15-PROD-RESV-1-RATE-TBL-LP-A
057700                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
057800                                    MM15-PROD-RESV-1-RATE-TBL-A
057900                                    MM15-PROD-RESERVE-1-LIT-A.
058000*
058100     IF  MMMM-RL-MERCHANT (2)
058200         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-FEE-BASE-LP-A
058300                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
058400                                    MM15-PROD-RESV-2-FEE-BASE-A
058500                                    MM15-PROD-RESV-2-RATE-TBL-LP-A
058600                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
058700                                    MM15-PROD-RESV-2-RATE-TBL-A
058800                                    MM15-PROD-RESERVE-2-LIT-A.
058900*
059000     IF  MMMM-RL-MERCHANT (3)
059100         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-FEE-BASE-LP-A
059200                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
059300                                    MM15-PROD-RESV-3-FEE-BASE-A
059400                                    MM15-PROD-RESV-3-RATE-TBL-LP-A
059500                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
059600                                    MM15-PROD-RESV-3-RATE-TBL-A
059700                                    MM15-PROD-RESERVE-3-LIT-A.
059800*
059900     IF  MMMM-RL-MERCHANT (4)
060000         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-FEE-BASE-LP-A
060100                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
060200                                    MM15-PROD-RESV-4-FEE-BASE-A
060300                                    MM15-PROD-RESV-4-RATE-TBL-LP-A
060400                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
060500                                    MM15-PROD-RESV-4-RATE-TBL-A
060600                                    MM15-PROD-RESERVE-4-LIT-A.
060700*
060800*
060900******************************************
061000*    SET THE CURSOR AND SCREEN NUMBER    *
061100******************************************
061200*
061300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
061400         MOVE SS08WS-CURSOR      TO MM15-ALT-TRANID-L
061500     ELSE
061600         PERFORM Y890-SET-CURSOR THRU Y899-SC-EXIT.
061700*
061800     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
061900*
062000**********************
062100*    SEND THE MAP    *
062200**********************
062300*
062400     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
062500     PERFORM MB60PD-SEND-MAP-WITH-ERASE
062600                                 THRU MB60PD-SMWE-EXIT.
062700*
062800************************
062900*    RETURN TO CICS    *
063000************************
063100*
063200     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
063300     PERFORM MB70PD-RETURN-TRANS-ID
063400                                 THRU MB70PD-RTI-EXIT.
063500/
063600 C000-RECEIVE-SCREEN SECTION.
063700*
063800***********************************************
063900*    SET RESV PRODUCT TO TRUE FOR USER INPUT  *
064000***********************************************
064100*
064200     SET MMMMIR-RL-PRODUCT (1)   TO TRUE.
064300     SET MMMMIR-RL-PRODUCT (2)   TO TRUE.
064400     SET MMMMIR-RL-PRODUCT (3)   TO TRUE.
064500     SET MMMMIR-RL-PRODUCT (4)   TO TRUE.
064600*
064700******************************************
064800*    THIS SECTION RECEIVES THE SCREEN    *
064900******************************************
065000*
065100     IF  MBCA-MBUI-UI-YES
065200*
065300****************************************************************
065400*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
065500****************************************************************
065600*
065700         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
065800         EXEC CICS GETMAIN
065900                   FLENGTH (LENGTH  OF MBUITS-RECORD)
066000
066100                   SET     (ADDRESS OF MBUITS-RECORD)
066200
066300              END-EXEC
066400*
066500***********************************************
066600*    READ THE TEMP STORAGE RECORD             *
066700***********************************************
066800*
066900         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
067000*
067100         EXEC CICS READQ TS
067200                   QUEUE   (TS-QUEUE-NAME)
067300                   INTO    (MBUITS-RECORD)
067400                   LENGTH  (LENGTH  OF MBUITS-RECORD)
067500                   ITEM    (1)
067600              END-EXEC
067700*
067800***********************************************
067900*    DELETE THE TEMP STORAGE RECORD           *
068000***********************************************
068100*
068200         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
068300*
068400         EXEC CICS IGNORE CONDITION
068500                   QIDERR
068600              END-EXEC
068700*
068800         EXEC CICS DELETEQ TS
068900                   QUEUE  (TS-QUEUE-NAME)
069000              END-EXEC
069100         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
069200         PERFORM MB60PD-GETMAIN-FOR-MAP
069300                                 THRU MB60PD-GFM-EXIT
069400         MOVE MBUITS-VAR-DATA    TO MBMM15I
069500     ELSE
069600         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
069700         PERFORM MB60PD-RECEIVE-MAP
069800                                 THRU MB60PD-RM-EXIT.
069900*
070000**************************************************************
070100*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
070200**************************************************************
070300*
070400     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
070500     PERFORM MB60PD-NEW-TRANS-ROUTINE
070600                                 THRU MB60PD-NTR-EXIT.
070700*
070800****************************************************
070900*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
071000****************************************************
071100*
071200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
071300         GO TO F000-SETUP-COMMAREA.
071400*
071500****************************************************
071600*    READ THE ORG CONTROL RECORD                   *
071700****************************************************
071800*
071900     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
072000     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
072100     SET MBIORO-READ-RANDOM      TO TRUE.
072200     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
072300*
072400*****************************************
072500*    READ THE MERCHANT MASTER RECORD    *
072600*****************************************
072700*
072800     IF  MBCA-PTI-FUNCTION-IS-ADD
072900     AND MBCA-MBUI-UI-YES
073000     AND MBCA-MBUI-UI-UPDATE-NO
073100         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
073200         SET MBIORO-GETMAIN      TO TRUE
073300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
073400         MOVE MMMMIR-RECORD      TO MMMM-RECORD
073500     ELSE
073600         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
073700         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
073800                                    MM15-ORG
073900         MOVE MBCA-MERCHANT      TO MBIOWS-MMMM-MERCHANT
074000                                    MM15-MERCHANT
074100         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
074200         SET MBIORO-READ-RANDOM  TO TRUE
074300         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
074400         IF  SS08WS-RC-FC-NOTFND
074500         AND MBCA-MBUI-UI-YES
074600             MOVE 'MBUI'         TO MBCA-TRANS-ID
074700                                    MBCA-PREV-TRANS-ID
074800             MOVE 01             TO MBCA-SCREEN-NBR
074900             MOVE 'MER'          TO MM15-FILLER
075000             SET MBCA-MBUI-ERROR-YES
075100                                 TO TRUE
075200             GO TO F000-SETUP-COMMAREA.
075300*
075400     IF (MBCA-PTI-FUNCTION-IS-MAINT
075500     AND MBCA-MBUI-UI-YES
075600     AND (MMMM-REC-PURGED
075700       OR MMMM-REC-INCOMPLETE))
075800     OR
075900        (MBCA-PTI-FUNCTION-IS-ADD
076000     AND MBCA-MBUI-UI-YES
076100     AND MMMM-REC-PURGED)
076200         MOVE 'MBUI'             TO MBCA-TRANS-ID
076300                                    MBCA-PREV-TRANS-ID
076400         MOVE 01                 TO MBCA-SCREEN-NBR
076500         MOVE 'MER'              TO MM15-FILLER
076600         SET MBCA-MBUI-ERROR-YES
076700                                 TO TRUE
076800         GO TO F000-SETUP-COMMAREA.
076900*
077000*****************************************
077100*    READ THE STORE MASTER RECORD       *
077200*    IF SINGLE STORE IS YES             *
077300*****************************************
077400*
077500     IF  MMMM-SINGLE-STORE-YES
077600         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
077700         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
077800         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
077900         SET MBIORO-READ-RANDOM  TO TRUE
078000         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
078100*
078200************************************************
078300*    READ THE MERCHANT PROD ASSIGNMENT RECORD  *
078400************************************************
078500*
078600     IF  MBCA-PTI-FUNCTION-IS-ADD
078700     AND MBCA-MBUI-UI-YES
078800     AND MBCA-MBUI-UI-UPDATE-NO
078900         MOVE 'SC04'             TO MBCA-PROGRAM-LOCATION
079000         SET MBIORO-GETMAIN      TO TRUE
079100         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT
079200         MOVE MMMPIR-RECORD      TO MMMP-RECORD
079300     ELSE
079400         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
079500         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMP-ORG
079600         MOVE MBCA-MERCHANT      TO MBIOWS-MMMP-MERCHANT
079700         MOVE MBCA-CARD-PROD     TO MBIOWS-MMMP-PRODUCT
079800                                    MM15-PRODUCT
079900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
080000         SET MBIORO-READ-RANDOM  TO TRUE
080100         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT
080200         IF  SS08WS-RC-FC-NOTFND
080300         AND MBCA-MBUI-UI-YES
080400             MOVE 'MBUI'         TO MBCA-TRANS-ID
080500                                    MBCA-PREV-TRANS-ID
080600             MOVE 01             TO MBCA-SCREEN-NBR
080700             MOVE 'PRD'          TO MM15-FILLER
080800             SET MBCA-MBUI-ERROR-YES
080900                                 TO TRUE
081000             GO TO F000-SETUP-COMMAREA.
081100*
081200****************************************
081300*    READ THE FIELD SECURITY RECORD    *
081400****************************************
081500*
081600     MOVE 'FC10'                 TO MBCA-PROGRAM-LOCATION.
081700     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
081800*
081900 C020-FIELD-EDITS.
082000*
082100*********************
082200*    FIELD EDITS    *
082300*********************
082400*
082500     PERFORM W010-EDIT-PROD-STATUS
082600                                 THRU W019-EXIT.
082700*
082800     PERFORM W030-EDIT-DISC-FEE-BASE
082900                                 THRU W039-EXIT.
083000*
083100     PERFORM W050-EDIT-DISC-TABLE
083200                                 THRU W059-EXIT.
083300*
083400     PERFORM W070-EDIT-EFF-DATE  THRU W079-EXIT.
083500*
083600     PERFORM W090-EDIT-PART-FEE-BASE
083700                                 THRU W099-EXIT.
083800*
083900     PERFORM W110-EDIT-PART-TABLE
084000                                 THRU W119-EXIT.
084100*
084200     PERFORM W130-EDIT-SETTLE-FLAG
084300                                 THRU W139-EXIT.
084400*
084500     PERFORM W170-EDIT-RESV-1-FEE-BASE
084600                                 THRU W179-EXIT.
084700*
084800     PERFORM W190-EDIT-RESV-1-TABLE
084900                                 THRU W199-EXIT.
085000*
085100     PERFORM W210-EDIT-SOURCE    THRU W219-EXIT.
085200*
085300     PERFORM W230-EDIT-RESV-2-FEE-BASE
085400                                 THRU W239-EXIT.
085500*
085600     PERFORM W250-EDIT-RESV-2-TABLE
085700                                 THRU W259-EXIT.
085800*
085900     PERFORM W270-EDIT-SHORT-DESC
086000                                 THRU W279-EXIT.
086100*
086200     PERFORM W290-EDIT-RESV-3-FEE-BASE
086300                                 THRU W299-EXIT.
086400*
086500     PERFORM W310-EDIT-RESV-3-TABLE
086600                                 THRU W319-EXIT.
086700*
086800     PERFORM W330-EDIT-RESV-4-FEE-BASE
086900                                 THRU W339-EXIT.
087000*
087100     PERFORM W350-EDIT-RESV-4-TABLE
087200                                 THRU W359-EXIT.
087300*
087400     PERFORM W370-EDIT-USER-CODE THRU W379-EXIT.
087500*
087600     PERFORM W390-EDIT-INTCHG-FEE-BASE
087700                                 THRU W399-EXIT.
087800*
087900     IF  MMMM-SINGLE-STORE-YES
088000         NEXT SENTENCE
088100     ELSE
088200         MOVE DFHBMDAS           TO MM15-MC-DBA-NAME-LIT-A
088300                                    MM15-MC-DBA-NAME-LP-A
088400                                    MM15-MC-DBA-NAME-RP-A
088500                                    MM15-MC-DBA-NAME-A
088600                                    MM15-MC-CIRRUS-IND-LIT-A
088700                                    MM15-MC-CIRRUS-IND-LP-A
088800                                    MM15-MC-CIRRUS-IND-RP-A
088900                                    MM15-MC-CIRRUS-IND-A
089000                                    MM15-MC-INTCHG-FLAG-LIT-A
089100                                    MM15-MC-INTCHG-FLAG-LP-A
089200                                    MM15-MC-INTCHG-FLAG-RP-A
089300                                    MM15-MC-INTCHG-FLAG-A
089400                                    MM15-MC-BUS-CLASS-CODE-LIT-A
089500                                    MM15-MC-BUS-CLASS-CODE-LP-A
089600                                    MM15-MC-BUS-CLASS-CODE-RP-A
089700                                    MM15-MC-BUS-CLASS-CODE-A
089800                                    MM15-MC-CATEGORY-CODE-LIT-A
089900                                    MM15-MC-CATEGORY-CODE-LP-A
090000                                    MM15-MC-CATEGORY-CODE-RP-A
090100                                    MM15-MC-CATEGORY-CODE-A
090200                                    MM15-MC-FLOOR-LIMIT-LIT-A
090300                                    MM15-MC-FLOOR-LIMIT-LP-A
090400                                    MM15-MC-FLOOR-LIMIT-RP-A
090500                                    MM15-MC-FLOOR-LIMIT-A
090600                                    MM15-MC-CH-TERM-IND-LIT-A
090700                                    MM15-MC-CH-TERM-IND-LP-A
090800                                    MM15-MC-CH-TERM-IND-RP-A
090900                                    MM15-MC-CH-TERM-IND-A
090902                                    MM15-MC-ASSIGNED-ID-LIT-A     RG800913
090904                                    MM15-MC-ASSIGNED-ID-LP-A      RG800913
090906                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
090908                                    MM15-MC-ASSIGNED-ID-A         RG800913
091000                                    MM15-MC-POS-DC-DESC-LIT-A
091100                                    MM15-MC-POS-DC-01-LP-A
091200                                    MM15-MC-POS-DC-01-RP-A
091300                                    MM15-MC-POS-DC-01-A
091400                                    MM15-MC-POS-DC-02-LP-A
091500                                    MM15-MC-POS-DC-02-RP-A
091600                                    MM15-MC-POS-DC-02-A
091700                                    MM15-MC-POS-DC-03-LP-A
091800                                    MM15-MC-POS-DC-03-RP-A
091900                                    MM15-MC-POS-DC-03-A
092000                                    MM15-MC-POS-DC-04-LP-A
092100                                    MM15-MC-POS-DC-04-RP-A
092200                                    MM15-MC-POS-DC-04-A
092300                                    MM15-MC-POS-DC-05-LP-A
092400                                    MM15-MC-POS-DC-05-RP-A
092500                                    MM15-MC-POS-DC-05-A
092600                                    MM15-MC-POS-DC-06-LP-A
092700                                    MM15-MC-POS-DC-06-RP-A
092800                                    MM15-MC-POS-DC-06-A
092900                                    MM15-MC-POS-DC-07-LP-A
093000                                    MM15-MC-POS-DC-07-RP-A
093100                                    MM15-MC-POS-DC-07-A
093200                                    MM15-MC-POS-DC-08-LP-A
093300                                    MM15-MC-POS-DC-08-RP-A
093400                                    MM15-MC-POS-DC-08-A
093500                                    MM15-MC-POS-DC-09-LP-A
093600                                    MM15-MC-POS-DC-09-RP-A
093700                                    MM15-MC-POS-DC-09-A
093800                                    MM15-MC-POS-DC-10-LP-A
093900                                    MM15-MC-POS-DC-10-RP-A
094000                                    MM15-MC-POS-DC-10-A
094100                                    MM15-MC-POS-DC-11-LP-A
094200                                    MM15-MC-POS-DC-11-RP-A
094300                                    MM15-MC-POS-DC-11-A
094400                                    MM15-MC-POS-DC-12-LP-A
094500                                    MM15-MC-POS-DC-12-RP-A
094600                                    MM15-MC-POS-DC-12-A
094700         GO TO C040-CROSS-EDITS.
094800*
094900     PERFORM W410-EDIT-DBA-NAME  THRU W419-EXIT.
095000*
095100     PERFORM W430-EDIT-CIRRUS-IND
095200                                 THRU W439-EXIT.
095300*
095400     PERFORM W450-EDIT-INTCHG-IND
095500                                 THRU W459-EXIT.
095600*
095700     PERFORM W470-EDIT-BUS-CLASS-CODE
095800                                 THRU W479-EXIT.
095900*
096000     PERFORM W630-EDIT-CATEGORY  THRU W639-EXIT.
096100*
096200     PERFORM W650-EDIT-FLOOR-LIMIT
096300                                 THRU W659-EXIT.
096400*
096500     PERFORM W670-EDIT-CH-TERM-IND
096600                                 THRU W679-EXIT.
096602*                                                                 RG800913
096604     PERFORM W680-EDIT-ASSIGNED-ID                                RG800913
096606                                 THRU W689-EXIT.                  RG800913
096700*
096800     IF  MBCA-MBMM-EUROPAY-ON
096900         PERFORM W690-EDIT-MC-POS-DC-01
097000                                 THRU W699-EXIT
097100*
097200         PERFORM W700-EDIT-MC-POS-DC-02
097300                                 THRU W709-EXIT
097400*
097500         PERFORM W710-EDIT-MC-POS-DC-03
097600                                 THRU W719-EXIT
097700*
097800         PERFORM W720-EDIT-MC-POS-DC-04
097900                                 THRU W729-EXIT
098000*
098100         PERFORM W730-EDIT-MC-POS-DC-05
098200                                 THRU W739-EXIT
098300*
098400         PERFORM W740-EDIT-MC-POS-DC-06
098500                                 THRU W749-EXIT
098600*
098700         PERFORM W750-EDIT-MC-POS-DC-07
098800                                 THRU W759-EXIT
098900*
099000         PERFORM W760-EDIT-MC-POS-DC-08
099100                                 THRU W769-EXIT
099200*
099300         PERFORM W770-EDIT-MC-POS-DC-09
099400                                 THRU W779-EXIT
099500*
099600         PERFORM W780-EDIT-MC-POS-DC-10
099700                                 THRU W789-EXIT
099800*
099900         PERFORM W790-EDIT-MC-POS-DC-11
100000                                 THRU W799-EXIT
100100*
100200         PERFORM W800-EDIT-MC-POS-DC-12
100300                                 THRU W809-EXIT
100400     ELSE
100500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-DESC-LIT-A
100600                                    MM15-MC-POS-DC-01-LP-A
100700                                    MM15-MC-POS-DC-01-RP-A
100800                                    MM15-MC-POS-DC-01-A
100900                                    MM15-MC-POS-DC-02-LP-A
101000                                    MM15-MC-POS-DC-02-RP-A
101100                                    MM15-MC-POS-DC-02-A
101200                                    MM15-MC-POS-DC-03-LP-A
101300                                    MM15-MC-POS-DC-03-RP-A
101400                                    MM15-MC-POS-DC-03-A
101500                                    MM15-MC-POS-DC-04-LP-A
101600                                    MM15-MC-POS-DC-04-RP-A
101700                                    MM15-MC-POS-DC-04-A
101800                                    MM15-MC-POS-DC-05-LP-A
101900                                    MM15-MC-POS-DC-05-RP-A
102000                                    MM15-MC-POS-DC-05-A
102100                                    MM15-MC-POS-DC-06-LP-A
102200                                    MM15-MC-POS-DC-06-RP-A
102300                                    MM15-MC-POS-DC-06-A
102400                                    MM15-MC-POS-DC-07-LP-A
102500                                    MM15-MC-POS-DC-07-RP-A
102600                                    MM15-MC-POS-DC-07-A
102700                                    MM15-MC-POS-DC-08-LP-A
102800                                    MM15-MC-POS-DC-08-RP-A
102900                                    MM15-MC-POS-DC-08-A
103000                                    MM15-MC-POS-DC-09-LP-A
103100                                    MM15-MC-POS-DC-09-RP-A
103200                                    MM15-MC-POS-DC-09-A
103300                                    MM15-MC-POS-DC-10-LP-A
103400                                    MM15-MC-POS-DC-10-RP-A
103500                                    MM15-MC-POS-DC-10-A
103600                                    MM15-MC-POS-DC-11-LP-A
103700                                    MM15-MC-POS-DC-11-RP-A
103800                                    MM15-MC-POS-DC-11-A
103900                                    MM15-MC-POS-DC-12-LP-A
104000                                    MM15-MC-POS-DC-12-RP-A
104100                                    MM15-MC-POS-DC-12-A.
104200*
104300 C040-CROSS-EDITS.
104400*
104500*********************
104600*    CROSS EDITS    *
104700*********************
104800*
104900     PERFORM W910-STATUS-X-EDITS
105000                                 THRU W919-EXIT.
105100*
105200     PERFORM W920-CIRRUS-X-EDITS
105300                                 THRU W929-EXIT.
105400*
105500     IF  MBCA-MBMM-EUROPAY-OFF
105600         PERFORM W940-CAT-X-EDIT THRU W949-EXIT.                  RG802901
105700*
105800     IF  MMMM-SINGLE-STORE-YES
105900     AND MBCA-MBMM-EUROPAY-ON
106000         PERFORM W930-POS-DC-01-X-EDITS
106100                                 THRU W939-EXIT.
106200 D000-RETURN-ERRORS SECTION.
106300*
106400     IF  SS08WS-ERROR-SW-NO
106500         GO TO E000-UPDATE-FILE.
106600*
106700     IF  MBCA-MBUI-UI-YES
106800         MOVE 'MBUI'             TO MBCA-TRANS-ID
106900                                    MBCA-PREV-TRANS-ID
107000         MOVE 01                 TO MBCA-SCREEN-NBR
107100         SET MBCA-MBUI-ERROR-YES TO TRUE
107200         GO TO F000-SETUP-COMMAREA.
107300*
107400***************************************************************
107500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
107600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
107700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
107800***************************************************************
107900*
108000     PERFORM MB60PD-INIT-STD-MAP-LINES
108100                                 THRU MB60PD-ISML-EXIT.
108200*
108300**********************
108400*    SEND THE MAP    *
108500**********************
108600*
108700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
108800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
108900                                 THRU MB60PD-SMDO-EXIT.
109000*
109100************************
109200*    RETURN TO CICS    *
109300************************
109400*
109500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
109600     PERFORM MB70PD-RETURN-TRANS-ID
109700                                 THRU MB70PD-RTI-EXIT.
109800/
109900 E000-UPDATE-FILE SECTION.
110000*
110100     IF  MBCA-MBUI-UI-YES
110200         SET MBCA-MBUI-ERROR-NO  TO TRUE.
110300*
110400     IF  MBCA-MBUI-UI-YES
110500     AND MBCA-MBUI-UI-UPDATE-NO
110600         GO TO F000-SETUP-COMMAREA.
110700*
110800**********************************************
110900*    READ THE STORE MASTER RECORD FOR UPDATE *
111000*    IF SINGLE STORE IS YES                  *
111100**********************************************
111200*
111300     IF  MMMM-SINGLE-STORE-YES
111400         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
111500         MOVE MMMM-STORE-NBR     TO MBIOWS-MMSM-STORE
111600         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
111700         SET MBIORO-READ-RANDOM-UPDATE
111800                                 TO TRUE
111900         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
112000*
112100**********************************************************
112200*    READ THE MERCHANT PROD ASSIGNMENT RECORD FOR UPDATE *
112300**********************************************************
112400*
112500     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
112600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
112700     MOVE MBCA-MERCHANT          TO MBIOWS-MMMP-MERCHANT.
112800     MOVE MBCA-CARD-PROD         TO MBIOWS-MMMP-PRODUCT.
112900     SET MBIORO-READ-RANDOM-UPDATE
113000                                 TO TRUE.
113100     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
113200*
113300*************************************
113400*    OBTAIN STORAGE FOR LOG FILE    *
113500*    RECORD IF DOING MAINTENANCE    *
113600*************************************
113700*
113800     MOVE 'SC05'                 TO MBCA-PROGRAM-LOCATION.
113900     SET MBIORO-GETMAIN          TO TRUE.
114000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
114100*
114200 E020-UPDATE-FIELDS.
114300*
114400*
114500     PERFORM X010-UPDATE-PROD-STATUS
114600                                 THRU X019-EXIT.
114700*
114800     PERFORM X030-UPDATE-DISC-FEE-BASE
114900                                 THRU X039-EXIT.
115000*
115100     PERFORM X050-UPDATE-DISC-TABLE
115200                                 THRU X059-EXIT.
115300*
115400     PERFORM X070-UPDATE-EFF-DATE THRU X079-EXIT.
115500*
115600     PERFORM X090-UPDATE-PART-FEE-BASE
115700                                 THRU X099-EXIT.
115800*
115900     PERFORM X110-UPDATE-PART-TABLE
116000                                 THRU X119-EXIT.
116100*
116200     PERFORM X130-UPDATE-SETTLE-FLAG
116300                                 THRU X139-EXIT.
116400*
116500     PERFORM X170-UPDATE-RESV-1-FEE-BASE
116600                                 THRU X179-EXIT.
116700*
116800     PERFORM X190-UPDATE-RESV-1-TABLE
116900                                 THRU X199-EXIT.
117000*
117100     PERFORM X210-UPDATE-SOURCE  THRU X219-EXIT.
117200*
117300     PERFORM X230-UPDATE-RESV-2-FEE-BASE
117400                                 THRU X239-EXIT.
117500*
117600     PERFORM X250-UPDATE-RESV-2-TABLE
117700                                 THRU X259-EXIT.
117800*
117900     PERFORM X270-UPDATE-SHORT-DESC
118000                                 THRU X279-EXIT.
118100*
118200     PERFORM X290-UPDATE-RESV-3-FEE-BASE
118300                                 THRU X299-EXIT.
118400*
118500     PERFORM X310-UPDATE-RESV-3-TABLE
118600                                 THRU X319-EXIT.
118700*
118800     PERFORM X330-UPDATE-RESV-4-FEE-BASE
118900                                 THRU X339-EXIT.
119000*
119100     PERFORM X350-UPDATE-RESV-4-TABLE
119200                                 THRU X359-EXIT.
119300*
119400     PERFORM X370-UPDATE-USER-CODE
119500                                 THRU X379-EXIT.
119600*
119700     PERFORM X390-UPDATE-INTCHG-FEE-BASE
119800                                 THRU X399-EXIT.
119900*
120000     IF  MMMM-SINGLE-STORE-NO
120100         GO TO E040-UPDATE-MMSM.
120200*
120300     PERFORM X410-UPDATE-DBA-NAME
120400                                 THRU X419-EXIT.
120500*
120600     PERFORM X430-UPDATE-CIRRUS-IND
120700                                 THRU X439-EXIT.
120800*
120900     PERFORM X450-UPDATE-INTCHG-IND
121000                                 THRU X459-EXIT.
121100*
121200     PERFORM X470-UPDATE-BUS-CLASS-CODE
121300                                 THRU X479-EXIT.
121400*
121500     PERFORM X630-UPDATE-CATEGORY-CODE
121600                                 THRU X639-EXIT.
121700*
121800     PERFORM X650-UPDATE-FLOOR-LIMIT
121900                                 THRU X659-EXIT.
122000*
122100     PERFORM X670-UPDATE-CH-TERM-IND
122200                                 THRU X679-EXIT.
122202*                                                                 RG800913
122204     PERFORM X680-UPDATE-ASSIGNED-ID                              RG800913
122206                                 THRU X689-EXIT.                  RG800913
122300*
122400     IF  MBCA-MBMM-EUROPAY-OFF
122500         GO TO E040-UPDATE-MMSM.
122600*
122700     PERFORM X690-UPDATE-MC-POS-DC-01
122800                                 THRU X699-EXIT.
122900*
123000     PERFORM X700-UPDATE-MC-POS-DC-02
123100                                 THRU X709-EXIT.
123200*
123300     PERFORM X710-UPDATE-MC-POS-DC-03
123400                                 THRU X719-EXIT.
123500*
123600     PERFORM X720-UPDATE-MC-POS-DC-04
123700                                 THRU X729-EXIT.
123800*
123900     PERFORM X730-UPDATE-MC-POS-DC-05
124000                                 THRU X739-EXIT.
124100*
124200     PERFORM X740-UPDATE-MC-POS-DC-06
124300                                 THRU X749-EXIT.
124400*
124500     PERFORM X750-UPDATE-MC-POS-DC-07
124600                                 THRU X759-EXIT.
124700*
124800     PERFORM X760-UPDATE-MC-POS-DC-08
124900                                 THRU X769-EXIT.
125000*
125100     PERFORM X770-UPDATE-MC-POS-DC-09
125200                                 THRU X779-EXIT.
125300*
125400     PERFORM X780-UPDATE-MC-POS-DC-10
125500                                 THRU X789-EXIT.
125600*
125700     PERFORM X790-UPDATE-MC-POS-DC-11
125800                                 THRU X799-EXIT.
125900*
126000     PERFORM X800-UPDATE-MC-POS-DC-12
126100                                 THRU X809-EXIT.
126200*
126300 E040-UPDATE-MMSM.
126400*
126500     IF  MBCA-PTI-FUNCTION-IS-ADD
126600         MOVE MBCA-START-DATE    TO MMMP-LAST-MAINT-DATE
126700         MOVE MBCA-OPERATOR-ID   TO MMMP-LAST-MAINT-OPER
126800         SET WS-UPDATE-MMMP-SW-YES
126900                                 TO TRUE.
127000*
127100     IF  MBCA-PTI-FUNCTION-IS-ADD
127200     AND MMMM-SINGLE-STORE-YES
127300         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
127400         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
127500         SET WS-UPDATE-MMSM-SW-YES
127600                                 TO TRUE.
127700*
127800**************************************************************
127900*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
128000*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
128100*    ON THE SCREEN                                           *
128200**************************************************************
128300*
128400     IF  MBCA-PTI-FUNCTION-IS-MAINT
128500     AND MMMM-SINGLE-STORE-YES
128600     AND WS-UPDATE-MMSM-SW-YES
128700         MOVE 0198               TO MML1-FIELD-CODE
128800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
128900                                    MML1-FIELD-OCCURRENCE-2
129000         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
129100         MOVE MMSM-LAST-MAINT-OPER
129200                                 TO MML1-VL03-B-DATA-X
129300         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
129400         MOVE MMSM-LAST-MAINT-OPER
129500                                 TO MML1-VL03-A-DATA-X
129600         MOVE 'FC13'             TO MBCA-PROGRAM-LOCATION
129700         PERFORM Y920-WRITE-MMSM-LOG-RECORD
129800                                 THRU Y929-WLR-EXIT
129900         MOVE 0199               TO MML1-FIELD-CODE
130000         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
130100         MOVE MMSM-LAST-MAINT-DATE
130200                                 TO MML1-VL07-B-DATA-9
130300         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
130400         MOVE MMSM-LAST-MAINT-DATE
130500                                 TO MML1-VL07-A-DATA-9
130600         MOVE 'FC14'             TO MBCA-PROGRAM-LOCATION
130700         PERFORM Y920-WRITE-MMSM-LOG-RECORD
130800                                 THRU Y929-WLR-EXIT.
130900*
131000     IF  MBCA-PTI-FUNCTION-IS-MAINT
131100     AND WS-UPDATE-MMMP-SW-YES
131200     AND MMMP-ADD-COMPLETED
131300         MOVE 0198               TO MML1-FIELD-CODE
131400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
131500                                    MML1-FIELD-OCCURRENCE-2
131600         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
131700         MOVE MMMP-LAST-MAINT-OPER
131800                                 TO MML1-VL03-B-DATA-X
131900         MOVE MBCA-OPERATOR-ID   TO MMMP-LAST-MAINT-OPER
132000         MOVE MMMP-LAST-MAINT-OPER
132100                                 TO MML1-VL03-A-DATA-X
132200         MOVE 'FC15'             TO MBCA-PROGRAM-LOCATION
132300         PERFORM Y910-WRITE-MMMP-LOG-RECORD
132400                                 THRU Y919-WLR-EXIT
132500         MOVE 0199               TO MML1-FIELD-CODE
132600         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
132700         MOVE MMMP-LAST-MAINT-DATE
132800                                 TO MML1-VL07-B-DATA-9
132900         MOVE MBCA-START-DATE    TO MMMP-LAST-MAINT-DATE
133000         MOVE MMMP-LAST-MAINT-DATE
133100                                 TO MML1-VL07-A-DATA-9
133200         MOVE 'FC16'             TO MBCA-PROGRAM-LOCATION
133300         PERFORM Y910-WRITE-MMMP-LOG-RECORD
133400                                 THRU Y919-WLR-EXIT.
133500*
133600****************************************************
133700*    REWRITE THE MERCHANT MASTER RECORD IF         *
133800*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
133900*    UNLOCK IT IF THEY HAVE NOT                    *
134000****************************************************
134100*
134200     IF  WS-UPDATE-MMSM-SW-YES
134300     AND MMMM-SINGLE-STORE-YES
134400         MOVE 'FC17'             TO MBCA-PROGRAM-LOCATION
134500         SET MBIORO-REWRITE      TO TRUE
134600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
134700     ELSE
134800         IF  MMMM-SINGLE-STORE-YES
134900             MOVE 'FC18'         TO MBCA-PROGRAM-LOCATION
135000             SET MBIORO-UNLOCK   TO TRUE
135100             PERFORM MMSMAO-ACCESS
135200                                 THRU MMSMAO-ACCESS-EXIT.
135300*
135400     IF  MBCA-PTI-FUNCTION-IS-MAINT
135500     AND MMMP-REC-INCOMPLETE
135600         MOVE 'FC19'             TO MBCA-PROGRAM-LOCATION
135700         SET MMMP-REC-ACTIVE     TO TRUE
135800         SET MMMP-ADD-COMPLETED  TO TRUE
135900         SET MBIORO-REWRITE      TO TRUE
136000         MOVE MBCA-START-DATE    TO MMMP-LAST-MAINT-DATE
136100         MOVE MBCA-OPERATOR-ID   TO MMMP-LAST-MAINT-OPER
136200         SET MBCA-MBMM-PRODUCT-ON
136300                                 TO TRUE
136400         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT
136500         MOVE ZEROES             TO MML1-FIELD-CODE
136600                                    MML1-FIELD-OCCURRENCE
136700                                    MML1-FIELD-OCCURRENCE-2
136800         MOVE LENGTH OF MMMP-RECORD
136900                                 TO MML1-VARIABLE-LENGTH
137000         MOVE 'MP'               TO MML1-FILE-CODE
137100         MOVE MBCA-MERCHANT-ORG  TO MML1-MMMP-ORG
137200         MOVE MBCA-MERCHANT      TO MML1-MMMP-MERCHANT
137300         MOVE MBCA-CARD-PROD     TO MML1-MMMP-PRODUCT
137400         MOVE MBCA-SIGNON-NAME   TO MML1-SIGNON-NAME
137500         MOVE MBCA-TERMINAL-ID   TO MML1-TERMINAL-ID
137600         MOVE MMMP-RECORD        TO MML1-ADD-AREA
137700         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
137800         SET MBIORO-WRITE        TO TRUE
137900         PERFORM MML1AO-ACCESS   THRU MML1AO-ACCESS-EXIT
138000     ELSE
138100         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
138200         SET MBIORO-REWRITE      TO TRUE
138300         PERFORM MMMPAO-ACCESS   THRU MMMPAO-ACCESS-EXIT.
138400*
138500/
138600 F000-SETUP-COMMAREA SECTION.
138700*
138800***************************************************************
138900*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
139000***************************************************************
139100*
139200     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
139300*
139400     PERFORM MB60PD-EDIT-PAGE-NBR
139500                                 THRU MB60PD-EPN-EXIT.
139600*
139700     MOVE 63                     TO MBCA-SCREEN-NBR.
139800*
139900     IF  SS08WS-VALID-PF-KEY
140000     OR  SS08WS-EIBAID-VALID-PF-KEY
140100         SET MBCA-INITIAL-SCREEN-NBR
140200                                 TO TRUE.
140300*
140400     IF  MBCA-MBUI-UI-YES
140500         MOVE 'MBUI'             TO MBCA-TRANS-ID
140600                                    MBCA-PREV-TRANS-ID
140700         MOVE 01                 TO MBCA-SCREEN-NBR
140800         MOVE MBMM15I            TO MBUITS-VAR-DATA
140900         MOVE LENGTH OF MBMM15I  TO MBUITS-VAR-LENGTH
141000         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
141100         EXEC CICS WRITEQ TS
141200                   QUEUE   (TS-QUEUE-NAME)
141300                   FROM    (MBUITS-RECORD)
141400                   LENGTH  (LENGTH  OF MBUITS-RECORD)
141500
141600              END-EXEC.
141700*
141800     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
141900     PERFORM MB70PD-XCTL-TO-MBOXCTL
142000                                 THRU MB70PD-XTM-EXIT.
142100/
142200 W000-FIELD-EDITS SECTION.
142300*
142400*********************************************************
142500*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
142600*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
142700*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
142800*    'W010-EDIT-STATUS' THRU 'W019-ES-EXIT'.  EACH      *
142900*    ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE         *
143000*    UNIQUE TO THAT ROUTINE.                            *
143100*********************************************************
143200*
143300 W010-EDIT-PROD-STATUS.
143400*
143500     MOVE DFHBMDAS               TO MM15-MC-STATUS-LP-A
143600                                    MM15-MC-STATUS-RP-A.
143700     MOVE DFHBMASK               TO MM15-MC-STATUS-A.
143800*
143900     PERFORM Y015-STATUS-SECURITY
144000                                 THRU Y019-EXIT.
144100*
144200     IF  MM15-MC-STATUS-L IS GREATER THAN ZERO
144300         MOVE DFHBMASF           TO MM15-MC-STATUS-A
144400     ELSE
144500         MOVE MMMP-PROD-STATUS   TO MM15-MC-STATUS.
144600*
144700     IF  MM15-MC-STATUS-VALID
144800         NEXT SENTENCE
144900     ELSE
145000         GO TO W018-PROD-STATUS-ERROR.
145100*
145200     IF  MBCA-PTI-FUNCTION-IS-MAINT
145300     OR  MM15-MC-STATUS-L IS GREATER THAN ZERO
145400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
145500         GO TO W019-EXIT.
145600*
145700 W018-PROD-STATUS-ERROR.
145800*
145900     IF  MM15-MC-STATUS-L IS GREATER THAN ZERO
146000         MOVE DFHBMUBF           TO MM15-MC-STATUS-A
146100     ELSE
146200         MOVE DFHBMBRY           TO MM15-MC-STATUS-A.
146300*
146400     SET STATUS-ERRORS-EXIST     TO TRUE.
146500     SET SS08WS-ERROR-SW-YES     TO TRUE.
146600     MOVE DFHBMASB               TO MM15-MC-STATUS-LP-A
146700                                    MM15-MC-STATUS-RP-A.
146800     MOVE SS08WS-CURSOR          TO MM15-MC-STATUS-L.
146900*
147000 W019-EXIT.
147100     EXIT.
147200*
147300 W030-EDIT-DISC-FEE-BASE.
147400*
147500     IF  MMMM-DL-MERCHANT
147600         MOVE DFHBMDAS           TO MM15-PROD-DISC-FEE-BASE-LP-A
147700                                    MM15-PROD-DISC-FEE-BASE-RP-A
147800                                    MM15-PROD-DISC-FEE-BASE-A
147900                                    MM15-PROD-DISCOUNT-LIT-A
148000         GO TO W039-EXIT.
148100*
148200     MOVE DFHBMDAS               TO MM15-PROD-DISC-FEE-BASE-LP-A
148300                                    MM15-PROD-DISC-FEE-BASE-RP-A.
148400     MOVE DFHBMASK               TO MM15-PROD-DISC-FEE-BASE-A.
148500*
148600     PERFORM Y035-DISC-FEE-BASE-SECURITY
148700                                 THRU Y039-EXIT.
148800*
148900     IF  MM15-PROD-DISC-FEE-BASE-L IS GREATER THAN ZERO
149000         MOVE DFHBMASF           TO MM15-PROD-DISC-FEE-BASE-A
149100     ELSE
149200         MOVE MMMP-PROD-DISC-FEE-BASE
149300                                 TO MM15-PROD-DISC-FEE-BASE.
149400*
149500     IF  MM15-PDFB-VALID
149600         NEXT SENTENCE
149700     ELSE
149800         GO TO W038-DISC-FEE-BASE-ERROR.
149900*
150000     IF  MBCA-PTI-FUNCTION-IS-MAINT
150100     OR  MM15-PROD-DISC-FEE-BASE-L IS GREATER THAN ZERO
150200     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
150300         GO TO W039-EXIT.
150400*
150500 W038-DISC-FEE-BASE-ERROR.
150600*
150700     IF  MM15-PROD-DISC-FEE-BASE-L IS GREATER THAN ZERO
150800         MOVE DFHBMUBF           TO MM15-PROD-DISC-FEE-BASE-A
150900     ELSE
151000         MOVE DFHBMBRY           TO MM15-PROD-DISC-FEE-BASE-A.
151100*
151200     SET SS08WS-ERROR-SW-YES     TO TRUE.
151300     MOVE DFHBMASB               TO MM15-PROD-DISC-FEE-BASE-LP-A
151400                                    MM15-PROD-DISC-FEE-BASE-RP-A.
151500     MOVE SS08WS-CURSOR          TO MM15-PROD-DISC-FEE-BASE-L.
151600*
151700 W039-EXIT.
151800     EXIT.
151900*
152000 W050-EDIT-DISC-TABLE.
152100*
152200     IF  MMMM-DL-MERCHANT
152300         MOVE DFHBMDAS           TO MM15-PROD-DISC-RATE-TBL-LP-A
152400                                    MM15-PROD-DISC-RATE-TBL-RP-A
152500                                    MM15-PROD-DISC-RATE-TBL-A
152600                                    MM15-PROD-DISCOUNT-LIT-A
152700         GO TO W059-EXIT.
152800*
152900     MOVE DFHBMDAS               TO MM15-PROD-DISC-RATE-TBL-LP-A
153000                                    MM15-PROD-DISC-RATE-TBL-RP-A.
153100     MOVE DFHBMASK               TO MM15-PROD-DISC-RATE-TBL-A.
153200     PERFORM Y055-DISC-RATE-TBL-SECURITY
153300                                 THRU Y059-EXIT.
153400*
153500     IF  MM15-PROD-DISC-RATE-TBL-L IS GREATER THAN ZERO
153600         MOVE DFHBMASF           TO MM15-PROD-DISC-RATE-TBL-A
153700     ELSE
153800         MOVE MMMP-PROD-DISC-RATE-TABLE
153900                                 TO MM15-PROD-DISC-RATE-TBL.
154000*
154100     IF  MM15-PROD-DISC-RATE-TBL IS NUMERIC
154200         NEXT SENTENCE
154300     ELSE
154400         GO TO W058-DISC-RATE-TBL-ERROR.
154500*
154600     IF  MM15-PROD-DISC-RATE-TBL IS EQUAL TO ZEROS
154700         GO TO W055-CONTINUE
154800     ELSE
154900         MOVE MM15-PROD-DISC-RATE-TBL
155000                                 TO MBIOWS-MMRT-TABLE-NBR
155100         SET MBIOWS-MMRT-TT-DISCOUNT
155200                                 TO TRUE
155300         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
155400         IF  SS08WS-RC-FC-NOTFND
155500         OR  MMRT-REC-INCOMPLETE
155600         OR  MMRT-REC-PURGED
155700         OR  MMRT-REC-INACTIVE
155800         OR  MMRT-ADD-PENDING
155900             GO TO W058-DISC-RATE-TBL-ERROR.
156000*
156100     IF  MMRT-TT-DISCOUNT
156200         NEXT SENTENCE
156300     ELSE
156400         GO TO W058-DISC-RATE-TBL-ERROR.
156500*
156600     IF  MMRT-PRODUCT-LEVEL
156700         NEXT SENTENCE
156800     ELSE
156900         GO TO W058-DISC-RATE-TBL-ERROR.
157000*
157100     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
157200*
157300     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
157400         NEXT SENTENCE
157500     ELSE
157600         GO TO W058-DISC-RATE-TBL-ERROR.
157700*
157800     EVALUATE TRUE
157900         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
158000           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
158100           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
158200           IF  MMOC-CP-MERCH-NO
158300               GO TO W058-DISC-RATE-TBL-ERROR
158400           END-IF
158500         WHEN MMMM-DF1-DAILY-DISC
158600             IF  MMRTWS-VALID-DAILY-METHODS
158700                 CONTINUE
158800             ELSE
158900                 GO TO W058-DISC-RATE-TBL-ERROR
159000             END-IF
159100         WHEN MMMM-DF1-WEEKLY-DISC
159200             IF  MMRTWS-VALID-WEEKLY-METHODS
159300                 CONTINUE
159400             ELSE
159500                 GO TO W058-DISC-RATE-TBL-ERROR
159600             END-IF
159700         WHEN MMMM-DF1-BI-WEEKLY-DISC
159800             IF  MMRTWS-VALID-BI-WEEKLY-METHODS
159900                 CONTINUE
160000             ELSE
160100                 GO TO W058-DISC-RATE-TBL-ERROR
160200             END-IF
160300         WHEN MMMM-DF1-MONTHLY-DISC
160400             IF  MMRTWS-VALID-MONTHLY-METHODS
160500                 CONTINUE
160600             ELSE
160700                 GO TO W058-DISC-RATE-TBL-ERROR
160800             END-IF
160900         WHEN OTHER
161000             GO TO W058-DISC-RATE-TBL-ERROR
161100     END-EVALUATE.
161200*
161300 W055-CONTINUE.
161400*
161500     IF  MBCA-PTI-FUNCTION-IS-MAINT
161600     OR  MM15-PROD-DISC-RATE-TBL-L IS GREATER THAN ZERO
161700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
161800         GO TO W059-EXIT.
161900*
162000 W058-DISC-RATE-TBL-ERROR.
162100*
162200     IF  MM15-PROD-DISC-RATE-TBL-L IS GREATER THAN ZERO
162300         MOVE DFHBMNBF           TO MM15-PROD-DISC-RATE-TBL-A
162400     ELSE
162500         MOVE DFHBMUNB           TO MM15-PROD-DISC-RATE-TBL-A.
162600*
162700     SET SS08WS-ERROR-SW-YES     TO TRUE.
162800     MOVE DFHBMASB               TO MM15-PROD-DISC-RATE-TBL-LP-A
162900                                    MM15-PROD-DISC-RATE-TBL-RP-A.
163000     MOVE SS08WS-CURSOR          TO MM15-PROD-DISC-RATE-TBL-L.
163100*
163200 W059-EXIT.
163300     EXIT.
163400*
163500 W070-EDIT-EFF-DATE.
163600*
163700     MOVE DFHBMDAS               TO MM15-MC-EFF-DATE-LP-A
163800                                    MM15-MC-EFF-DATE-RP-A.
163900     MOVE DFHBMASK               TO MM15-MC-EFF-DATE-A.
164000*
164100     PERFORM Y075-EFF-DATE-SECURITY
164200                                 THRU Y079-EXIT.
164300*
164400     IF  MM15-MC-EFF-DATE-L IS EQUAL TO ZERO
164500         MOVE MMMP-PROD-EFF-DATE TO SS01WS-JULIAN
164600         PERFORM SS08PD-JUL-TO-GREG
164700                                 THRU SS08PD-JTG-EXIT
164800         MOVE SS01WS-DATE        TO MM15-MC-EFF-DATE.
164900*
165000     IF  MM15-MC-EFF-DATE IS NOT NUMERIC
165100         GO TO W077-PROD-EFF-DATE-ERROR.
165200*
165300     IF  MM15-MC-EFF-DATE IS LESS THAN 1000000
165400         MOVE MM15-MC-EFF-DATE TO SS01WS-MDY
165500         MOVE SS01WS-MDYZ        TO SS01WS-DATEZ
165600     ELSE
165700         MOVE MM15-MC-EFF-DATE TO SS01WS-DATE.
165800*
165900     PERFORM SS05PD-DATE-VALIDATION
166000                                 THRU SS05PD-DV-EXIT.
166100*
166200     IF  SS01WS-DATE-IS-INVALID
166300         GO TO W077-PROD-EFF-DATE-ERROR
166400     ELSE
166500         MOVE SS01WS-DATE        TO MM15-MC-EFF-DATE.
166600*
166700     IF  MM15-MC-EFF-DATE-L IS GREATER THAN ZERO
166800         IF  MBCA-PTI-FUNCTION-IS-ADD
166900         AND MMFS-MT-REQUIRED (X-MMFS-MERCH)
167000             MOVE DFHBMABF       TO MM15-MC-EFF-DATE-A
167100             GO TO W079-EXIT
167200         ELSE
167300             MOVE DFHBMASF       TO MM15-MC-EFF-DATE-A
167400             GO TO W079-EXIT.
167500*
167600     IF  MBCA-PTI-FUNCTION-IS-MAINT
167700     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
167800         GO TO W079-EXIT.
167900*
168000 W077-PROD-EFF-DATE-ERROR.
168100*
168200     IF  MM15-MC-EFF-DATE-L IS GREATER THAN ZERO
168300         MOVE DFHBMNBF           TO MM15-MC-EFF-DATE-A
168400     ELSE
168500         MOVE DFHBMUNB           TO MM15-MC-EFF-DATE-A.
168600
168700     SET SS08WS-ERROR-SW-YES     TO TRUE.
168800     MOVE DFHBMASB               TO MM15-MC-EFF-DATE-LP-A
168900                                    MM15-MC-EFF-DATE-RP-A.
169000     MOVE SS08WS-CURSOR          TO MM15-MC-EFF-DATE-L.
169100*
169200 W079-EXIT.
169300     EXIT.
169400*
169500 W090-EDIT-PART-FEE-BASE.
169600*
169700     IF  MMMM-PL-MERCHANT
169800         MOVE DFHBMDAS           TO MM15-PROD-PART-FEE-BASE-LP-A
169900                                    MM15-PROD-PART-FEE-BASE-RP-A
170000                                    MM15-PROD-PART-FEE-BASE-A
170100                                    MM15-PROD-PARTICIPATION-LIT-A
170200         GO TO W099-EXIT.
170300*
170400     MOVE DFHBMDAS               TO MM15-PROD-PART-FEE-BASE-LP-A
170500                                    MM15-PROD-PART-FEE-BASE-RP-A.
170600     MOVE DFHBMASK               TO MM15-PROD-PART-FEE-BASE-A.
170700*
170800     PERFORM Y095-PART-FEE-BASE-SECURITY
170900                                 THRU Y099-EXIT.
171000*
171100     IF  MM15-PROD-PART-FEE-BASE-L IS GREATER THAN ZERO
171200         MOVE DFHBMASF           TO MM15-PROD-PART-FEE-BASE-A
171300     ELSE
171400         MOVE MMMP-PROD-PART-FEE-BASE
171500                                 TO MM15-PROD-PART-FEE-BASE.
171600*
171700     IF  MM15-PPFB-VALID
171800         NEXT SENTENCE
171900     ELSE
172000         GO TO W098-PART-FEE-BASE-ERROR.
172100*
172200     IF  MBCA-PTI-FUNCTION-IS-MAINT
172300     OR  MM15-PROD-PART-FEE-BASE-L IS GREATER THAN ZERO
172400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
172500         GO TO W099-EXIT.
172600*
172700 W098-PART-FEE-BASE-ERROR.
172800*
172900     IF  MM15-PROD-PART-FEE-BASE-L IS GREATER THAN ZERO
173000         MOVE DFHBMUBF           TO MM15-PROD-PART-FEE-BASE-A
173100     ELSE
173200         MOVE DFHBMBRY           TO MM15-PROD-PART-FEE-BASE-A.
173300*
173400     SET SS08WS-ERROR-SW-YES     TO TRUE.
173500     MOVE DFHBMASB               TO MM15-PROD-PART-FEE-BASE-LP-A
173600                                    MM15-PROD-PART-FEE-BASE-RP-A.
173700     MOVE SS08WS-CURSOR          TO MM15-PROD-PART-FEE-BASE-L.
173800*
173900 W099-EXIT.
174000     EXIT.
174100*
174200 W110-EDIT-PART-TABLE.
174300*
174400     IF  MMMM-PL-MERCHANT
174500         MOVE DFHBMDAS           TO MM15-PROD-PART-RATE-TBL-LP-A
174600                                    MM15-PROD-PART-RATE-TBL-RP-A
174700                                    MM15-PROD-PART-RATE-TBL-A
174800                                    MM15-PROD-PARTICIPATION-LIT-A
174900         GO TO W119-EXIT.
175000*
175100     MOVE DFHBMDAS               TO MM15-PROD-PART-RATE-TBL-LP-A
175200                                    MM15-PROD-PART-RATE-TBL-RP-A.
175300     MOVE DFHBMASK               TO MM15-PROD-PART-RATE-TBL-A.
175400*
175500     PERFORM Y115-PART-RATE-TBL-SECURITY
175600                                 THRU Y119-EXIT.
175700*
175800     IF  MM15-PROD-PART-RATE-TBL-L IS GREATER THAN ZERO
175900         MOVE DFHBMASF           TO MM15-PROD-PART-RATE-TBL-A
176000     ELSE
176100         MOVE MMMP-PROD-PART-RATE-TABLE
176200                                 TO MM15-PROD-PART-RATE-TBL.
176300*
176400     IF  MM15-PROD-PART-RATE-TBL IS NUMERIC
176500         NEXT SENTENCE
176600     ELSE
176700         GO TO W118-PART-RATE-TBL-ERROR.
176800*
176900     IF  MM15-PROD-PART-RATE-TBL IS EQUAL TO ZEROS
177000         GO TO W115-CONTINUE
177100     ELSE
177200         MOVE MM15-PROD-PART-RATE-TBL
177300                                 TO MBIOWS-MMRT-TABLE-NBR
177400         SET MBIOWS-MMRT-TT-PARTICIPATION
177500                                 TO TRUE
177600         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
177700         IF  SS08WS-RC-FC-NOTFND
177800         OR  MMRT-REC-INCOMPLETE
177900         OR  MMRT-REC-PURGED
178000         OR  MMRT-REC-INACTIVE
178100         OR  MMRT-ADD-PENDING
178200             GO TO W118-PART-RATE-TBL-ERROR.
178300*
178400     IF  MMRT-TT-PARTICIPATION
178500         NEXT SENTENCE
178600     ELSE
178700         GO TO W118-PART-RATE-TBL-ERROR.
178800*
178900     IF  MMRT-PRODUCT-LEVEL
179000         NEXT SENTENCE
179100     ELSE
179200         GO TO W118-PART-RATE-TBL-ERROR.
179300*
179400     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
179500*
179600     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
179700         NEXT SENTENCE
179800     ELSE
179900         GO TO W118-PART-RATE-TBL-ERROR.
180000*
180100     EVALUATE TRUE
180200         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
180300           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
180400           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
180500           IF  MMOC-CP-MERCH-NO
180600               GO TO W118-PART-RATE-TBL-ERROR
180700           END-IF
180800         WHEN MMMM-PF1-DAILY-PART
180900             IF  MMRTWS-VALID-DAILY-METHODS
181000                 CONTINUE
181100             ELSE
181200                 GO TO W118-PART-RATE-TBL-ERROR
181300             END-IF
181400         WHEN MMMM-PF1-WEEKLY-PART
181500             IF  MMRTWS-VALID-WEEKLY-METHODS
181600                 CONTINUE
181700             ELSE
181800                 GO TO W118-PART-RATE-TBL-ERROR
181900             END-IF
182000         WHEN MMMM-PF1-BI-WEEKLY-PART
182100             IF  MMRTWS-VALID-BI-WEEKLY-METHODS
182200                 CONTINUE
182300             ELSE
182400                 GO TO W118-PART-RATE-TBL-ERROR
182500             END-IF
182600         WHEN MMMM-PF1-MONTHLY-PART
182700             IF  MMRTWS-VALID-MONTHLY-METHODS
182800                 CONTINUE
182900             ELSE
183000                 GO TO W118-PART-RATE-TBL-ERROR
183100             END-IF
183200         WHEN OTHER
183300             GO TO W118-PART-RATE-TBL-ERROR
183400     END-EVALUATE.
183500*
183600 W115-CONTINUE.
183700*
183800     IF  MBCA-PTI-FUNCTION-IS-MAINT
183900     OR  MM15-PROD-PART-RATE-TBL-L IS GREATER THAN ZERO
184000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
184100         GO TO W119-EXIT.
184200*
184300 W118-PART-RATE-TBL-ERROR.
184400*
184500     IF  MM15-PROD-PART-RATE-TBL-L IS GREATER THAN ZERO
184600         MOVE DFHBMNBF           TO MM15-PROD-PART-RATE-TBL-A
184700     ELSE
184800         MOVE DFHBMUNB           TO MM15-PROD-PART-RATE-TBL-A.
184900*
185000     SET SS08WS-ERROR-SW-YES     TO TRUE.
185100     MOVE DFHBMASB               TO MM15-PROD-PART-RATE-TBL-LP-A
185200                                    MM15-PROD-PART-RATE-TBL-RP-A.
185300     MOVE SS08WS-CURSOR          TO MM15-PROD-PART-RATE-TBL-L.
185400*
185500 W119-EXIT.
185600     EXIT.
185700*
185800 W130-EDIT-SETTLE-FLAG.
185900*
186000     MOVE DFHBMDAS               TO MM15-PROD-SETTLE-FLAG-LP-A
186100                                    MM15-PROD-SETTLE-FLAG-RP-A.
186200     MOVE DFHBMASK               TO MM15-PROD-SETTLE-FLAG-A.
186300*
186400     PERFORM Y135-SETTLE-FLAG-SECURITY
186500                                 THRU Y139-EXIT.
186600*
186700     IF  MM15-PROD-SETTLE-FLAG-L IS GREATER THAN ZERO
186800         MOVE DFHBMASF           TO MM15-PROD-SETTLE-FLAG-A
186900     ELSE
187000         MOVE MMMP-PROD-SETTLE-FLAG
187100                                 TO MM15-PROD-SETTLE-FLAG.
187200*
187300     IF  MM15-PROD-SETTLE-FLAG-VALID
187400         NEXT SENTENCE
187500     ELSE
187600         GO TO W138-SETTLE-FLAG-ERROR.
187700*
187800     IF  MBCA-PTI-FUNCTION-IS-MAINT
187900     OR  MM15-PROD-SETTLE-FLAG-L IS GREATER THAN ZERO
188000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
188100         GO TO W139-EXIT.
188200*
188300 W138-SETTLE-FLAG-ERROR.
188400*
188500     IF  MM15-PROD-SETTLE-FLAG-L IS GREATER THAN ZERO
188600         MOVE DFHBMUBF           TO MM15-PROD-SETTLE-FLAG-A
188700     ELSE
188800         MOVE DFHBMBRY           TO MM15-PROD-SETTLE-FLAG-A.
188900*
189000     SET SS08WS-ERROR-SW-YES     TO TRUE.
189100     MOVE DFHBMASB               TO MM15-PROD-SETTLE-FLAG-LP-A
189200                                    MM15-PROD-SETTLE-FLAG-RP-A.
189300     MOVE SS08WS-CURSOR          TO MM15-PROD-SETTLE-FLAG-L.
189400*
189500 W139-EXIT.
189600     EXIT.
189700*
189800 W170-EDIT-RESV-1-FEE-BASE.
189900*
190000     SET  X-MMMP-PROD-RESV       TO 1.
190100*
190200     IF  MMMM-RL-MERCHANT (1)
190300         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-FEE-BASE-LP-A
190400                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
190500                                    MM15-PROD-RESV-1-FEE-BASE-A
190600                                    MM15-PROD-RESERVE-1-LIT-A
190700         MOVE ZERO               TO MM15-PROD-RESV-1-FEE-BASE-L
190800         GO TO W179-EXIT.
190900*
191000     MOVE DFHBMDAS               TO MM15-PROD-RESV-1-FEE-BASE-LP-A
191100                                   MM15-PROD-RESV-1-FEE-BASE-RP-A.
191200     MOVE DFHBMASK               TO MM15-PROD-RESV-1-FEE-BASE-A.
191300*
191400     PERFORM Y175-RESV-1-FEE-BASE-SECURITY
191500                                 THRU Y179-EXIT.
191600*
191700     IF  MM15-PROD-RESV-1-FEE-BASE-L IS GREATER THAN ZERO
191800         MOVE DFHBMASF           TO MM15-PROD-RESV-1-FEE-BASE-A
191900     ELSE
192000         MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
192100                                 TO MM15-PROD-RESV-1-FEE-BASE.
192200*
192300     IF  MM15-PR1FB-VALID
192400         NEXT SENTENCE
192500     ELSE
192600         GO TO W178-RESV-1-FEE-BASE-ERROR.
192700*
192800     IF  MBCA-PTI-FUNCTION-IS-MAINT
192900     OR  MM15-PROD-RESV-1-FEE-BASE-L IS GREATER THAN ZERO
193000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
193100         GO TO W179-EXIT.
193200*
193300 W178-RESV-1-FEE-BASE-ERROR.
193400*
193500     IF  MM15-PROD-RESV-1-FEE-BASE-L IS GREATER THAN ZERO
193600         MOVE DFHBMUBF           TO MM15-PROD-RESV-1-FEE-BASE-A
193700     ELSE
193800         MOVE DFHBMBRY           TO MM15-PROD-RESV-1-FEE-BASE-A.
193900*
194000     SET SS08WS-ERROR-SW-YES     TO TRUE.
194100     MOVE DFHBMASB               TO MM15-PROD-RESV-1-FEE-BASE-LP-A
194200                                   MM15-PROD-RESV-1-FEE-BASE-RP-A.
194300     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-1-FEE-BASE-L.
194400*
194500 W179-EXIT.
194600     EXIT.
194700*
194800 W190-EDIT-RESV-1-TABLE.
194900*
195000     SET X-MMMM-RESV             TO 1.
195100     SET X-MMMP-PROD-RESV        TO 1.
195200*
195300     IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
195400         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-RATE-TBL-LP-A
195500                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
195600                                    MM15-PROD-RESV-1-RATE-TBL-A
195700                                    MM15-PROD-RESERVE-1-LIT-A
195800         MOVE ZERO               TO MM15-PROD-RESV-1-RATE-TBL-L
195900         GO TO W199-EXIT.
196000*
196100     MOVE DFHBMDAS               TO MM15-PROD-RESV-1-RATE-TBL-LP-A
196200                                   MM15-PROD-RESV-1-RATE-TBL-RP-A.
196300     MOVE DFHBMASK               TO MM15-PROD-RESV-1-RATE-TBL-A.
196400*
196500     PERFORM Y195-RESV-1-RATE-TBL-SECURITY
196600                                 THRU Y199-EXIT.
196700*
196800     IF  MM15-PROD-RESV-1-RATE-TBL-L IS GREATER THAN ZERO
196900         MOVE DFHBMASF           TO MM15-PROD-RESV-1-RATE-TBL-A
197000     ELSE
197100         MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
197200                                 TO MM15-PROD-RESV-1-RATE-TBL.
197300*
197400     IF  MM15-PROD-RESV-1-RATE-TBL IS NUMERIC
197500         NEXT SENTENCE
197600     ELSE
197700         GO TO W198-RESV-1-RATE-TBL-ERROR.
197800*
197900     IF  MM15-PROD-RESV-1-RATE-TBL IS EQUAL TO ZEROS
198000         GO TO W195-CONTINUE
198100     ELSE
198200         MOVE MM15-PROD-RESV-1-RATE-TBL
198300                                 TO MBIOWS-MMRT-TABLE-NBR
198400         SET MBIOWS-MMRT-TT-RESERVE
198500                                 TO TRUE
198600         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
198700         IF  SS08WS-RC-FC-NOTFND
198800         OR  MMRT-REC-INCOMPLETE
198900         OR  MMRT-REC-PURGED
199000         OR  MMRT-REC-INACTIVE
199100         OR  MMRT-ADD-PENDING
199200             GO TO W198-RESV-1-RATE-TBL-ERROR.
199300*
199400     IF  MMRT-TT-RESERVE
199500         NEXT SENTENCE
199600     ELSE
199700         GO TO W198-RESV-1-RATE-TBL-ERROR.
199800*
199900     IF  MMRT-PRODUCT-LEVEL
200000         NEXT SENTENCE
200100     ELSE
200200         GO TO W198-RESV-1-RATE-TBL-ERROR.
200300*
200400     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
200500*
200600     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
200700         NEXT SENTENCE
200800     ELSE
200900         GO TO W198-RESV-1-RATE-TBL-ERROR.
201000*
201100     EVALUATE TRUE
201200         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
201300           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
201400           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
201500           IF  MMOC-CP-MERCH-NO
201600               GO TO W198-RESV-1-RATE-TBL-ERROR
201700           END-IF
201800     END-EVALUATE.
201900
202000*
202100 W195-CONTINUE.
202200*
202300     IF  MBCA-PTI-FUNCTION-IS-MAINT
202400     OR  MM15-PROD-RESV-1-RATE-TBL-L IS GREATER THAN ZERO
202500     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
202600         GO TO W199-EXIT.
202700*
202800 W198-RESV-1-RATE-TBL-ERROR.
202900*
203000     IF  MM15-PROD-RESV-1-RATE-TBL-L IS GREATER THAN ZERO
203100         MOVE DFHBMNBF           TO MM15-PROD-RESV-1-RATE-TBL-A
203200     ELSE
203300         MOVE DFHBMUNB           TO MM15-PROD-RESV-1-RATE-TBL-A.
203400*
203500     SET SS08WS-ERROR-SW-YES     TO TRUE.
203600     MOVE DFHBMASB               TO MM15-PROD-RESV-1-RATE-TBL-LP-A
203700                                   MM15-PROD-RESV-1-RATE-TBL-RP-A.
203800     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-1-RATE-TBL-L.
203900*
204000 W199-EXIT.
204100     EXIT.
204200*
204300 W210-EDIT-SOURCE.
204400*
204500     MOVE DFHBMDAS               TO MM15-PROD-SOURCE-LP-A
204600                                    MM15-PROD-SOURCE-RP-A.
204700     MOVE DFHBMASK               TO MM15-PROD-SOURCE-A.
204800*
204900     PERFORM Y215-SOURCE-SECURITY
205000                                 THRU Y219-EXIT.
205100*
205200     IF  MM15-PROD-SOURCE-L IS GREATER THAN ZERO
205300         MOVE DFHBMASF           TO MM15-PROD-SOURCE-A
205400     ELSE
205500         MOVE MMMP-PROD-SOURCE
205600                                 TO MM15-PROD-SOURCE.
205700*
205800     IF  MBCA-PTI-FUNCTION-IS-MAINT
205900     OR  MM15-PROD-SOURCE-L IS GREATER THAN ZERO
206000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
206100         GO TO W219-EXIT.
206200*
206300 W218-SOURCE-ERROR.
206400*
206500     IF  MM15-PROD-SOURCE-L IS GREATER THAN ZERO
206600         MOVE DFHBMUBF           TO MM15-PROD-SOURCE-A
206700     ELSE
206800         MOVE DFHBMBRY           TO MM15-PROD-SOURCE-A.
206900*
207000     SET SS08WS-ERROR-SW-YES     TO TRUE.
207100     MOVE DFHBMASB               TO MM15-PROD-SOURCE-LP-A
207200                                    MM15-PROD-SOURCE-RP-A.
207300     MOVE SS08WS-CURSOR          TO MM15-PROD-SOURCE-L.
207400*
207500 W219-EXIT.
207600     EXIT.
207700*
207800 W230-EDIT-RESV-2-FEE-BASE.
207900*
208000     SET  X-MMMP-PROD-RESV       TO 2.
208100*
208200     IF  MMMM-RL-MERCHANT (2)
208300         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-FEE-BASE-LP-A
208400                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
208500                                    MM15-PROD-RESV-2-FEE-BASE-A
208600                                    MM15-PROD-RESERVE-2-LIT-A
208700         MOVE ZERO               TO MM15-PROD-RESV-2-FEE-BASE-L
208800         GO TO W239-EXIT.
208900*
209000     MOVE DFHBMDAS               TO MM15-PROD-RESV-2-FEE-BASE-LP-A
209100                                   MM15-PROD-RESV-2-FEE-BASE-RP-A.
209200     MOVE DFHBMASK               TO MM15-PROD-RESV-2-FEE-BASE-A.
209300*
209400     PERFORM Y235-RESV-2-FEE-BASE-SECURITY
209500                                 THRU Y239-EXIT.
209600*
209700     IF  MM15-PROD-RESV-2-FEE-BASE-L IS GREATER THAN ZERO
209800         MOVE DFHBMASF           TO MM15-PROD-RESV-2-FEE-BASE-A
209900     ELSE
210000         MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
210100                                 TO MM15-PROD-RESV-2-FEE-BASE.
210200*
210300     IF  MM15-PR2FB-VALID
210400         NEXT SENTENCE
210500     ELSE
210600         GO TO W238-RESV-2-FEE-BASE-ERROR.
210700*
210800     IF  MBCA-PTI-FUNCTION-IS-MAINT
210900     OR  MM15-PROD-RESV-2-FEE-BASE-L IS GREATER THAN ZERO
211000     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
211100         GO TO W239-EXIT.
211200*
211300 W238-RESV-2-FEE-BASE-ERROR.
211400*
211500     IF  MM15-PROD-RESV-2-FEE-BASE-L IS GREATER THAN ZERO
211600         MOVE DFHBMUBF           TO MM15-PROD-RESV-2-FEE-BASE-A
211700     ELSE
211800         MOVE DFHBMBRY           TO MM15-PROD-RESV-2-FEE-BASE-A.
211900*
212000     SET SS08WS-ERROR-SW-YES     TO TRUE.
212100     MOVE DFHBMASB               TO MM15-PROD-RESV-2-FEE-BASE-LP-A
212200                                   MM15-PROD-RESV-2-FEE-BASE-RP-A.
212300     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-2-FEE-BASE-L.
212400*
212500 W239-EXIT.
212600     EXIT.
212700*
212800 W250-EDIT-RESV-2-TABLE.
212900*
213000     SET X-MMMM-RESV             TO 2.
213100     SET X-MMMP-PROD-RESV        TO 2.
213200*
213300     IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
213400         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-RATE-TBL-LP-A
213500                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
213600                                    MM15-PROD-RESV-2-RATE-TBL-A
213700                                    MM15-PROD-RESERVE-2-LIT-A
213800         MOVE ZERO               TO MM15-PROD-RESV-2-RATE-TBL-L
213900         GO TO W259-EXIT.
214000*
214100     MOVE DFHBMDAS               TO MM15-PROD-RESV-2-RATE-TBL-LP-A
214200                                   MM15-PROD-RESV-2-RATE-TBL-RP-A.
214300     MOVE DFHBMASK               TO MM15-PROD-RESV-2-RATE-TBL-A.
214400*
214500     PERFORM Y255-RESV-2-RATE-TBL-SECURITY
214600                                 THRU Y259-EXIT.
214700*
214800     IF  MM15-PROD-RESV-2-RATE-TBL-L IS GREATER THAN ZERO
214900         MOVE DFHBMASF           TO MM15-PROD-RESV-2-RATE-TBL-A
215000     ELSE
215100         MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
215200                                 TO MM15-PROD-RESV-2-RATE-TBL.
215300*
215400     IF  MM15-PROD-RESV-2-RATE-TBL IS NUMERIC
215500         NEXT SENTENCE
215600     ELSE
215700         GO TO W258-RESV-2-RATE-TBL-ERROR.
215800*
215900     IF  MM15-PROD-RESV-2-RATE-TBL IS EQUAL TO ZEROS
216000         GO TO W255-CONTINUE
216100     ELSE
216200         MOVE MM15-PROD-RESV-2-RATE-TBL
216300                                 TO MBIOWS-MMRT-TABLE-NBR
216400         SET MBIOWS-MMRT-TT-RESERVE
216500                                 TO TRUE
216600         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
216700         IF  SS08WS-RC-FC-NOTFND
216800         OR  MMRT-REC-INCOMPLETE
216900         OR  MMRT-REC-PURGED
217000         OR  MMRT-REC-INACTIVE
217100         OR  MMRT-ADD-PENDING
217200             GO TO W258-RESV-2-RATE-TBL-ERROR.
217300*
217400     IF  MMRT-TT-RESERVE
217500         NEXT SENTENCE
217600     ELSE
217700         GO TO W258-RESV-2-RATE-TBL-ERROR.
217800*
217900     IF  MMRT-PRODUCT-LEVEL
218000         NEXT SENTENCE
218100     ELSE
218200         GO TO W258-RESV-2-RATE-TBL-ERROR.
218300*
218400     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
218500*
218600     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
218700         NEXT SENTENCE
218800     ELSE
218900         GO TO W258-RESV-2-RATE-TBL-ERROR.
219000*
219100     EVALUATE TRUE
219200         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
219300           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
219400           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
219500           IF  MMOC-CP-MERCH-NO
219600               GO TO W258-RESV-2-RATE-TBL-ERROR
219700           END-IF
219800     END-EVALUATE.
219900*
220000 W255-CONTINUE.
220100*
220200     IF  MBCA-PTI-FUNCTION-IS-MAINT
220300     OR  MM15-PROD-RESV-2-RATE-TBL-L IS GREATER THAN ZERO
220400     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
220500         GO TO W259-EXIT.
220600*
220700 W258-RESV-2-RATE-TBL-ERROR.
220800*
220900     IF  MM15-PROD-RESV-2-RATE-TBL-L IS GREATER THAN ZERO
221000         MOVE DFHBMNBF           TO MM15-PROD-RESV-2-RATE-TBL-A
221100     ELSE
221200         MOVE DFHBMUNB           TO MM15-PROD-RESV-2-RATE-TBL-A.
221300*
221400     SET SS08WS-ERROR-SW-YES     TO TRUE.
221500     MOVE DFHBMASB               TO MM15-PROD-RESV-2-RATE-TBL-LP-A
221600                                   MM15-PROD-RESV-2-RATE-TBL-RP-A.
221700     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-2-RATE-TBL-L.
221800*
221900 W259-EXIT.
222000     EXIT.
222100*
222200 W270-EDIT-SHORT-DESC.
222300*
222400     MOVE DFHBMDAS               TO MM15-PROD-SHORT-DESC-LP-A
222500                                    MM15-PROD-SHORT-DESC-RP-A.
222600     MOVE DFHBMASK               TO MM15-PROD-SHORT-DESC-A.
222700*
222800     PERFORM Y275-SHORT-DESC-SECURITY
222900                                 THRU Y279-EXIT.
223000*
223100     IF  MM15-PROD-SHORT-DESC-L IS GREATER THAN ZERO
223200         MOVE DFHBMASF           TO MM15-PROD-SHORT-DESC-A
223300     ELSE
223400         MOVE MMMP-PROD-SHORT-DESC
223500                                 TO MM15-PROD-SHORT-DESC.
223600*
223700     IF  MBCA-PTI-FUNCTION-IS-MAINT
223800     OR  MM15-PROD-SHORT-DESC-L IS GREATER THAN ZERO
223900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
224000         GO TO W279-EXIT.
224100*
224200 W278-SHORT-DESC-ERROR.
224300*
224400     IF  MM15-PROD-SHORT-DESC-L IS GREATER THAN ZERO
224500         MOVE DFHBMUBF           TO MM15-PROD-SHORT-DESC-A
224600     ELSE
224700         MOVE DFHBMBRY           TO MM15-PROD-SHORT-DESC-A.
224800*
224900     SET SS08WS-ERROR-SW-YES     TO TRUE.
225000     MOVE DFHBMASB               TO MM15-PROD-SHORT-DESC-LP-A
225100                                    MM15-PROD-SHORT-DESC-RP-A.
225200     MOVE SS08WS-CURSOR          TO MM15-PROD-SHORT-DESC-L.
225300*
225400 W279-EXIT.
225500     EXIT.
225600*
225700 W290-EDIT-RESV-3-FEE-BASE.
225800*
225900     SET  X-MMMP-PROD-RESV       TO 3.
226000*
226100     IF  MMMM-RL-MERCHANT (3)
226200         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-FEE-BASE-LP-A
226300                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
226400                                    MM15-PROD-RESV-3-FEE-BASE-A
226500                                    MM15-PROD-RESERVE-3-LIT-A
226600         MOVE ZERO               TO MM15-PROD-RESV-3-FEE-BASE-L
226700         GO TO W299-EXIT.
226800*
226900     MOVE DFHBMDAS               TO MM15-PROD-RESV-3-FEE-BASE-LP-A
227000                                   MM15-PROD-RESV-3-FEE-BASE-RP-A.
227100     MOVE DFHBMASK               TO MM15-PROD-RESV-3-FEE-BASE-A.
227200*
227300     PERFORM Y295-RESV-3-FEE-BASE-SECURITY
227400                                 THRU Y299-EXIT.
227500*
227600     IF  MM15-PROD-RESV-3-FEE-BASE-L IS GREATER THAN ZERO
227700         MOVE DFHBMASF           TO MM15-PROD-RESV-3-FEE-BASE-A
227800     ELSE
227900         MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
228000                                 TO MM15-PROD-RESV-3-FEE-BASE.
228100*
228200     IF  MM15-PR3FB-VALID
228300         NEXT SENTENCE
228400     ELSE
228500         GO TO W298-RESV-3-FEE-BASE-ERROR.
228600*
228700     IF  MBCA-PTI-FUNCTION-IS-MAINT
228800     OR  MM15-PROD-RESV-3-FEE-BASE-L IS GREATER THAN ZERO
228900     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
229000         GO TO W299-EXIT.
229100*
229200 W298-RESV-3-FEE-BASE-ERROR.
229300*
229400     IF  MM15-PROD-RESV-3-FEE-BASE-L IS GREATER THAN ZERO
229500         MOVE DFHBMUBF           TO MM15-PROD-RESV-3-FEE-BASE-A
229600     ELSE
229700         MOVE DFHBMBRY           TO MM15-PROD-RESV-3-FEE-BASE-A.
229800*
229900     SET SS08WS-ERROR-SW-YES     TO TRUE.
230000     MOVE DFHBMASB               TO MM15-PROD-RESV-3-FEE-BASE-LP-A
230100                                   MM15-PROD-RESV-3-FEE-BASE-RP-A.
230200     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-3-FEE-BASE-L.
230300*
230400 W299-EXIT.
230500     EXIT.
230600*
230700 W310-EDIT-RESV-3-TABLE.
230800*
230900     SET X-MMMM-RESV             TO 3.
231000     SET X-MMMP-PROD-RESV        TO 3.
231100*
231200     IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
231300         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-RATE-TBL-LP-A
231400                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
231500                                    MM15-PROD-RESV-3-RATE-TBL-A
231600                                    MM15-PROD-RESERVE-3-LIT-A
231700         MOVE ZERO               TO MM15-PROD-RESV-3-RATE-TBL-L
231800         GO TO W319-EXIT.
231900*
232000     MOVE DFHBMDAS               TO MM15-PROD-RESV-3-RATE-TBL-LP-A
232100                                   MM15-PROD-RESV-3-RATE-TBL-RP-A.
232200     MOVE DFHBMASK               TO MM15-PROD-RESV-3-RATE-TBL-A.
232300*
232400     PERFORM Y315-RESV-3-RATE-TBL-SECURITY
232500                                 THRU Y319-EXIT.
232600*
232700     IF  MM15-PROD-RESV-3-RATE-TBL-L IS GREATER THAN ZERO
232800         MOVE DFHBMASF           TO MM15-PROD-RESV-3-RATE-TBL-A
232900     ELSE
233000         MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
233100                                 TO MM15-PROD-RESV-3-RATE-TBL.
233200*
233300     IF  MM15-PROD-RESV-3-RATE-TBL IS NUMERIC
233400         NEXT SENTENCE
233500     ELSE
233600         GO TO W318-RESV-3-RATE-TBL-ERROR.
233700*
233800     IF  MM15-PROD-RESV-3-RATE-TBL IS EQUAL TO ZEROS
233900         GO TO W315-CONTINUE
234000     ELSE
234100         MOVE MM15-PROD-RESV-3-RATE-TBL
234200                                 TO MBIOWS-MMRT-TABLE-NBR
234300         SET MBIOWS-MMRT-TT-RESERVE
234400                                 TO TRUE
234500         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
234600         IF  SS08WS-RC-FC-NOTFND
234700         OR  MMRT-REC-INCOMPLETE
234800         OR  MMRT-REC-PURGED
234900         OR  MMRT-REC-INACTIVE
235000         OR  MMRT-ADD-PENDING
235100             GO TO W318-RESV-3-RATE-TBL-ERROR.
235200*
235300     IF  MMRT-TT-RESERVE
235400         NEXT SENTENCE
235500     ELSE
235600         GO TO W318-RESV-3-RATE-TBL-ERROR.
235700*
235800     IF  MMRT-PRODUCT-LEVEL
235900         NEXT SENTENCE
236000     ELSE
236100         GO TO W318-RESV-3-RATE-TBL-ERROR.
236200*
236300     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
236400*
236500     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
236600         NEXT SENTENCE
236700     ELSE
236800         GO TO W318-RESV-3-RATE-TBL-ERROR.
236900*
237000     EVALUATE TRUE
237100         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
237200           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
237300           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
237400           IF  MMOC-CP-MERCH-NO
237500               GO TO W318-RESV-3-RATE-TBL-ERROR
237600           END-IF
237700     END-EVALUATE.
237800*
237900 W315-CONTINUE.
238000*
238100     IF  MBCA-PTI-FUNCTION-IS-MAINT
238200     OR  MM15-PROD-RESV-3-RATE-TBL-L IS GREATER THAN ZERO
238300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
238400         GO TO W319-EXIT.
238500*
238600 W318-RESV-3-RATE-TBL-ERROR.
238700*
238800     IF  MM15-PROD-RESV-3-RATE-TBL-L IS GREATER THAN ZERO
238900         MOVE DFHBMNBF           TO MM15-PROD-RESV-3-RATE-TBL-A
239000     ELSE
239100         MOVE DFHBMUNB           TO MM15-PROD-RESV-3-RATE-TBL-A.
239200*
239300     SET SS08WS-ERROR-SW-YES     TO TRUE.
239400     MOVE DFHBMASB               TO MM15-PROD-RESV-3-RATE-TBL-LP-A
239500                                   MM15-PROD-RESV-3-RATE-TBL-RP-A.
239600     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-3-RATE-TBL-L.
239700*
239800 W319-EXIT.
239900     EXIT.
240000*
240100 W330-EDIT-RESV-4-FEE-BASE.
240200*
240300     SET  X-MMMP-PROD-RESV       TO 4.
240400*
240500     IF  MMMM-RL-MERCHANT (4)
240600         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-FEE-BASE-LP-A
240700                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
240800                                    MM15-PROD-RESV-4-FEE-BASE-A
240900                                    MM15-PROD-RESERVE-4-LIT-A
241000         MOVE ZERO               TO MM15-PROD-RESV-4-FEE-BASE-L
241100         GO TO W339-EXIT.
241200*
241300     MOVE DFHBMDAS               TO MM15-PROD-RESV-4-FEE-BASE-LP-A
241400                                   MM15-PROD-RESV-4-FEE-BASE-RP-A.
241500     MOVE DFHBMASK               TO MM15-PROD-RESV-4-FEE-BASE-A.
241600*
241700     PERFORM Y335-RESV-4-FEE-BASE-SECURITY
241800                                 THRU Y339-EXIT.
241900*
242000     IF  MM15-PROD-RESV-4-FEE-BASE-L IS GREATER THAN ZERO
242100         MOVE DFHBMASF           TO MM15-PROD-RESV-4-FEE-BASE-A
242200     ELSE
242300         MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
242400                                 TO MM15-PROD-RESV-4-FEE-BASE.
242500*
242600     IF  MM15-PR4FB-VALID
242700         NEXT SENTENCE
242800     ELSE
242900         GO TO W338-RESV-4-FEE-BASE-ERROR.
243000*
243100     IF  MBCA-PTI-FUNCTION-IS-MAINT
243200     OR  MM15-PROD-RESV-4-FEE-BASE-L IS GREATER THAN ZERO
243300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
243400         GO TO W339-EXIT.
243500*
243600 W338-RESV-4-FEE-BASE-ERROR.
243700*
243800     IF  MM15-PROD-RESV-4-FEE-BASE-L IS GREATER THAN ZERO
243900         MOVE DFHBMUBF           TO MM15-PROD-RESV-4-FEE-BASE-A
244000     ELSE
244100         MOVE DFHBMBRY           TO MM15-PROD-RESV-4-FEE-BASE-A.
244200*
244300     SET SS08WS-ERROR-SW-YES     TO TRUE.
244400     MOVE DFHBMASB               TO MM15-PROD-RESV-4-FEE-BASE-LP-A
244500                                   MM15-PROD-RESV-4-FEE-BASE-RP-A.
244600     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-4-FEE-BASE-L.
244700*
244800 W339-EXIT.
244900     EXIT.
245000*
245100 W350-EDIT-RESV-4-TABLE.
245200*
245300     SET X-MMMM-RESV             TO 4.
245400     SET X-MMMP-PROD-RESV        TO 4.
245500*
245600     IF  MMMM-RL-MERCHANT (X-MMMM-RESV)
245700         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-RATE-TBL-LP-A
245800                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
245900                                    MM15-PROD-RESV-4-RATE-TBL-A
246000                                    MM15-PROD-RESERVE-4-LIT-A
246100         MOVE ZERO               TO MM15-PROD-RESV-4-RATE-TBL-L
246200         GO TO W359-EXIT.
246300*
246400     MOVE DFHBMDAS               TO MM15-PROD-RESV-4-RATE-TBL-LP-A
246500                                   MM15-PROD-RESV-4-RATE-TBL-RP-A.
246600     MOVE DFHBMASK               TO MM15-PROD-RESV-4-RATE-TBL-A.
246700*
246800     PERFORM Y355-RESV-4-RATE-TBL-SECURITY
246900                                 THRU Y359-EXIT.
247000*
247100     IF  MM15-PROD-RESV-4-RATE-TBL-L IS GREATER THAN ZERO
247200         MOVE DFHBMASF           TO MM15-PROD-RESV-4-RATE-TBL-A
247300     ELSE
247400         MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
247500                                 TO MM15-PROD-RESV-4-RATE-TBL.
247600*
247700     IF  MM15-PROD-RESV-4-RATE-TBL IS NUMERIC
247800         NEXT SENTENCE
247900     ELSE
248000         GO TO W358-RESV-4-RATE-TBL-ERROR.
248100*
248200     IF  MM15-PROD-RESV-4-RATE-TBL IS EQUAL TO ZEROS
248300         GO TO W355-CONTINUE
248400     ELSE
248500         MOVE MM15-PROD-RESV-4-RATE-TBL
248600                                 TO MBIOWS-MMRT-TABLE-NBR
248700         SET MBIOWS-MMRT-TT-RESERVE
248800                                 TO TRUE
248900         PERFORM Y930-READ-MMRT  THRU Y939-RRT-EXIT
249000         IF  SS08WS-RC-FC-NOTFND
249100         OR  MMRT-REC-INCOMPLETE
249200         OR  MMRT-REC-PURGED
249300         OR  MMRT-REC-INACTIVE
249400         OR  MMRT-ADD-PENDING
249500             GO TO W358-RESV-4-RATE-TBL-ERROR.
249600*
249700     IF  MMRT-TT-RESERVE
249800         NEXT SENTENCE
249900     ELSE
250000         GO TO W358-RESV-4-RATE-TBL-ERROR.
250100*
250200     IF  MMRT-PRODUCT-LEVEL
250300         NEXT SENTENCE
250400     ELSE
250500         GO TO W358-RESV-4-RATE-TBL-ERROR.
250600*
250700     MOVE MMRT-METHOD            TO MMRTWS-METHOD.
250800*
250900     IF  MMRTWS-VALID-AT-PRODUCT-LEVEL
251000         NEXT SENTENCE
251100     ELSE
251200         GO TO W358-RESV-4-RATE-TBL-ERROR.
251300*
251400     EVALUATE TRUE
251500         WHEN (MMRTWS-DTD-VOLUME-W-CR-PLAN
251600           OR MMRTWS-PTD-VOLUME-W-CR-PLAN
251700           OR MMRTWS-RESV-PCT-ON-VOL-PLAN)
251800           IF  MMOC-CP-MERCH-NO
251900               GO TO W358-RESV-4-RATE-TBL-ERROR
252000           END-IF
252100     END-EVALUATE.
252200
252300*
252400 W355-CONTINUE.
252500*
252600     IF  MBCA-PTI-FUNCTION-IS-MAINT
252700     OR  MM15-PROD-RESV-4-RATE-TBL-L IS GREATER THAN ZERO
252800     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
252900         GO TO W359-EXIT.
253000*
253100 W358-RESV-4-RATE-TBL-ERROR.
253200*
253300     IF  MM15-PROD-RESV-4-RATE-TBL-L IS GREATER THAN ZERO
253400         MOVE DFHBMNBF           TO MM15-PROD-RESV-4-RATE-TBL-A
253500     ELSE
253600         MOVE DFHBMUNB           TO MM15-PROD-RESV-4-RATE-TBL-A.
253700*
253800     SET SS08WS-ERROR-SW-YES     TO TRUE.
253900     MOVE DFHBMASB               TO MM15-PROD-RESV-4-RATE-TBL-LP-A
254000                                   MM15-PROD-RESV-4-RATE-TBL-RP-A.
254100     MOVE SS08WS-CURSOR          TO MM15-PROD-RESV-4-RATE-TBL-L.
254200*
254300 W359-EXIT.
254400     EXIT.
254500*
254600 W370-EDIT-USER-CODE.
254700*
254800     MOVE DFHBMDAS               TO MM15-PROD-USER-CODE-LP-A
254900                                    MM15-PROD-USER-CODE-RP-A.
255000     MOVE DFHBMASK               TO MM15-PROD-USER-CODE-A.
255100*
255200     PERFORM Y375-USER-CODE-SECURITY
255300                                 THRU Y379-EXIT.
255400*
255500     IF  MM15-PROD-USER-CODE-L IS GREATER THAN ZERO
255600         MOVE DFHBMASF           TO MM15-PROD-USER-CODE-A
255700     ELSE
255800         MOVE MMMP-PROD-USER-CODE
255900                                 TO MM15-PROD-USER-CODE.
256000*
256100     IF  MBCA-PTI-FUNCTION-IS-MAINT
256200     OR  MM15-PROD-USER-CODE-L IS GREATER THAN ZERO
256300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
256400         GO TO W379-EXIT.
256500*
256600 W378-USER-CODE-ERROR.
256700*
256800     IF  MM15-PROD-USER-CODE-L IS GREATER THAN ZERO
256900         MOVE DFHBMUBF           TO MM15-PROD-USER-CODE-A
257000     ELSE
257100         MOVE DFHBMBRY           TO MM15-PROD-USER-CODE-A.
257200*
257300     SET SS08WS-ERROR-SW-YES     TO TRUE.
257400     MOVE DFHBMASB               TO MM15-PROD-USER-CODE-LP-A
257500                                    MM15-PROD-USER-CODE-RP-A.
257600     MOVE SS08WS-CURSOR          TO MM15-PROD-USER-CODE-L.
257700*
257800 W379-EXIT.
257900     EXIT.
258000*
258100 W390-EDIT-INTCHG-FEE-BASE.
258200*
258300     MOVE DFHBMDAS               TO MM15-PROD-INTCHG-FEE-BASE-LP-A
258400                                   MM15-PROD-INTCHG-FEE-BASE-RP-A.
258500     MOVE DFHBMASK               TO MM15-PROD-INTCHG-FEE-BASE-A.
258600*
258700     PERFORM Y395-INTCHG-FEE-BASE-SECURITY
258800                                 THRU Y399-EXIT.
258900*
259000     IF  MM15-PROD-INTCHG-FEE-BASE-L IS GREATER THAN ZERO
259100         MOVE DFHBMASF           TO MM15-PROD-INTCHG-FEE-BASE-A
259200     ELSE
259300         MOVE MMMP-PROD-INTCHG-FEE-BASE
259400                                 TO MM15-PROD-INTCHG-FEE-BASE.
259500*
259600     IF  MM15-PIFB-VALID
259700         NEXT SENTENCE
259800     ELSE
259900         GO TO W398-INTCHG-FEE-BASE-ERROR.
260000*
260100     IF  MBCA-PTI-FUNCTION-IS-MAINT
260200     OR  MM15-PROD-INTCHG-FEE-BASE-L IS GREATER THAN ZERO
260300     OR  NOT MMFS-MT-REQUIRED (X-MMFS-MERCH)
260400         GO TO W399-EXIT.
260500*
260600 W398-INTCHG-FEE-BASE-ERROR.
260700*
260800     IF  MM15-PROD-INTCHG-FEE-BASE-L IS GREATER THAN ZERO
260900         MOVE DFHBMUBF           TO MM15-PROD-INTCHG-FEE-BASE-A
261000     ELSE
261100         MOVE DFHBMBRY           TO MM15-PROD-INTCHG-FEE-BASE-A.
261200*
261300     SET SS08WS-ERROR-SW-YES     TO TRUE.
261400     MOVE DFHBMASB               TO MM15-PROD-INTCHG-FEE-BASE-LP-A
261500                                   MM15-PROD-INTCHG-FEE-BASE-RP-A.
261600     MOVE SS08WS-CURSOR          TO MM15-PROD-INTCHG-FEE-BASE-L.
261700*
261800 W399-EXIT.
261900     EXIT.
262000*
262100 W410-EDIT-DBA-NAME.
262200*
262300     MOVE DFHBMDAS               TO MM15-MC-DBA-NAME-LP-A
262400                                    MM15-MC-DBA-NAME-RP-A.
262500     MOVE DFHBMASK               TO MM15-MC-DBA-NAME-A.
262600*
262700     PERFORM Y415-DBA-NAME-SECURITY
262800                                 THRU Y419-EXIT.
262900*
263000     IF  MM15-MC-DBA-NAME-L IS GREATER THAN ZERO
263100         MOVE DFHBMASF           TO MM15-MC-DBA-NAME-A
263200         EVALUATE TRUE
263300           WHEN MM15-MC-DBA-NAME IS EQUAL TO SPACES
263400             CONTINUE
263500           WHEN MM15-MC-DBA-NAME (1:1)
263600                                 IS EQUAL TO SPACE
263700             GO TO W418-DBA-NAME-ERROR
263800           WHEN OTHER
263900             CONTINUE
264000         END-EVALUATE
264100     ELSE
264200         MOVE MMSM-MC-DBA-NAME   TO MM15-MC-DBA-NAME.
264300*
264400     IF  MM15-MC-DBA-NAME IS EQUAL TO SPACES
264500         MOVE MMMM-DBA-NAME      TO MM15-MC-DBA-NAME
264600         MOVE +25                TO MM15-MC-DBA-NAME-L.
264700*
264800     IF  MBCA-PTI-FUNCTION-IS-MAINT
264900     OR  MM15-MC-DBA-NAME-L IS GREATER THAN ZERO
265000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
265100         GO TO W419-EXIT.
265200*
265300 W418-DBA-NAME-ERROR.
265400*
265500     IF  MM15-MC-DBA-NAME-L IS GREATER THAN ZERO
265600         MOVE DFHBMUBF           TO MM15-MC-DBA-NAME-A
265700     ELSE
265800         MOVE DFHBMBRY           TO MM15-MC-DBA-NAME-A.
265900*
266000     SET SS08WS-ERROR-SW-YES     TO TRUE.
266100     MOVE DFHBMASB               TO MM15-MC-DBA-NAME-LP-A
266200                                    MM15-MC-DBA-NAME-RP-A.
266300     MOVE SS08WS-CURSOR          TO MM15-MC-DBA-NAME-L.
266400*
266500 W419-EXIT.
266600     EXIT.
266700*
266800 W430-EDIT-CIRRUS-IND.
266900*
267000     MOVE DFHBMDAS               TO MM15-MC-CIRRUS-IND-LP-A
267100                                    MM15-MC-CIRRUS-IND-RP-A.
267200     MOVE DFHBMASK               TO MM15-MC-CIRRUS-IND-A.
267300*
267400     PERFORM Y435-CIRRUS-IND-SECURITY
267500                                 THRU Y439-EXIT.
267600*
267700     IF  MM15-MC-CIRRUS-IND-L IS GREATER THAN ZERO
267800         MOVE DFHBMASF           TO MM15-MC-CIRRUS-IND-A
267900     ELSE
268000         MOVE MMSM-MC-CIRRUS-IND TO MM15-MC-CIRRUS-IND.
268100*
268200     IF  MM15-MC-VALID-CIRRUS-IND
268300         NEXT SENTENCE
268400     ELSE
268500         GO TO W438-CIRRUS-IND-ERROR.
268600*
268700     IF  MBCA-PTI-FUNCTION-IS-MAINT
268800     OR  MM15-MC-CIRRUS-IND-L IS GREATER THAN ZERO
268900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
269000         GO TO W439-EXIT.
269100*
269200 W438-CIRRUS-IND-ERROR.
269300*
269400     IF  MM15-MC-CIRRUS-IND-L IS GREATER THAN ZERO
269500         MOVE DFHBMUBF           TO MM15-MC-CIRRUS-IND-A
269600     ELSE
269700         MOVE DFHBMBRY           TO MM15-MC-CIRRUS-IND-A.
269800*
269900     SET SS08WS-ERROR-SW-YES     TO TRUE.
270000     MOVE DFHBMASB               TO MM15-MC-CIRRUS-IND-LP-A
270100                                    MM15-MC-CIRRUS-IND-RP-A.
270200     MOVE SS08WS-CURSOR          TO MM15-MC-CIRRUS-IND-L.
270300*
270400 W439-EXIT.
270500     EXIT.
270600*
270700 W450-EDIT-INTCHG-IND.
270800*
270900     MOVE DFHBMDAS               TO MM15-MC-INTCHG-FLAG-LP-A
271000                                    MM15-MC-INTCHG-FLAG-RP-A.
271100     MOVE DFHBMASK               TO MM15-MC-INTCHG-FLAG-A.
271200*
271300     PERFORM Y455-INTCHG-FLAG-SECURITY
271400                                 THRU Y459-EXIT.
271500*
271600     IF  MM15-MC-INTCHG-FLAG-L IS GREATER THAN ZERO
271700         MOVE DFHBMASF           TO MM15-MC-INTCHG-FLAG-A
271800     ELSE
271900         MOVE MMSM-MC-INTCHG-FLAG
272000                                 TO MM15-MC-INTCHG-FLAG.
272100*
272200     IF  NOT MM15-MC-INTCHG-FLAG-VALID
272300         GO TO W458-INTCHG-FLAG-ERROR.
272400*
272500     IF  MBCA-PTI-FUNCTION-IS-MAINT
272600     OR  MM15-MC-INTCHG-FLAG-L IS GREATER THAN ZERO
272700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
272800         GO TO W459-EXIT.
272900*
273000 W458-INTCHG-FLAG-ERROR.
273100*
273200     IF  MM15-MC-INTCHG-FLAG-L IS GREATER THAN ZERO
273300         MOVE DFHBMUBF           TO MM15-MC-INTCHG-FLAG-A
273400     ELSE
273500         MOVE DFHBMBRY           TO MM15-MC-INTCHG-FLAG-A.
273600*
273700     SET SS08WS-ERROR-SW-YES     TO TRUE.
273800     MOVE DFHBMASB               TO MM15-MC-INTCHG-FLAG-LP-A
273900                                    MM15-MC-INTCHG-FLAG-RP-A.
274000     MOVE SS08WS-CURSOR          TO MM15-MC-INTCHG-FLAG-L.
274100*
274200 W459-EXIT.
274300     EXIT.
274400*
274500 W470-EDIT-BUS-CLASS-CODE.
274600*
274700     MOVE DFHBMDAS               TO MM15-MC-BUS-CLASS-CODE-LP-A
274800                                    MM15-MC-BUS-CLASS-CODE-RP-A.
274900     MOVE DFHBMASK               TO MM15-MC-BUS-CLASS-CODE-A.
275000*
275100     IF  MBCA-MBMM-EUROPAY-ON
275200         MOVE DFHBMDAS           TO MM15-MC-BUS-CLASS-CODE-A
275300                                    MM15-MC-BUS-CLASS-CODE-LIT-A
275400         GO TO W479-EXIT.
275500*
275600     PERFORM Y475-BUS-CLASS-CODE-SECURITY
275700                                 THRU Y479-EXIT.
275800*
275900     IF  MM15-MC-BUS-CLASS-CODE-L IS GREATER THAN ZERO
276000         MOVE DFHBMASF           TO MM15-MC-BUS-CLASS-CODE-A
276100     ELSE
276200         MOVE MMSM-MC-BUSINESS-CLASS
276300                                 TO MM15-MC-BUS-CLASS-CODE.
277300*
277400*
277500*
277600     IF  MBCA-PTI-FUNCTION-IS-MAINT
277700     OR  MM15-MC-BUS-CLASS-CODE-L IS GREATER THAN ZERO
277800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
277900         GO TO W479-EXIT.
278000*
278100 W478-BUS-CLASS-CODE-ERROR.
278200*
278300     IF  MM15-MC-BUS-CLASS-CODE-L IS GREATER THAN ZERO
278400         MOVE DFHBMUBF           TO MM15-MC-BUS-CLASS-CODE-A
278500     ELSE
278600         MOVE DFHBMUNB           TO MM15-MC-BUS-CLASS-CODE-A.
278700*
278800     SET SS08WS-ERROR-SW-YES     TO TRUE.
278900     MOVE DFHBMASB               TO MM15-MC-BUS-CLASS-CODE-LP-A
279000                                    MM15-MC-BUS-CLASS-CODE-RP-A.
279100     MOVE SS08WS-CURSOR          TO MM15-MC-BUS-CLASS-CODE-L.
279200*
279300 W479-EXIT.
279400     EXIT.
279500*
279600 W630-EDIT-CATEGORY.
279700*
279800     MOVE DFHBMDAS               TO MM15-MC-CATEGORY-CODE-LP-A
279900                                    MM15-MC-CATEGORY-CODE-RP-A.
280000     MOVE DFHBMASK               TO MM15-MC-CATEGORY-CODE-A.
280100*
280200     PERFORM Y635-CATEGORY-CODE-SECURITY
280300                                 THRU Y639-EXIT.
280400*
280500     IF  MM15-MC-CATEGORY-CODE-L IS GREATER THAN ZERO
280600         MOVE DFHBMASF           TO MM15-MC-CATEGORY-CODE-A
280700     ELSE
280800         MOVE MMSM-MC-CATEGORY-CODE
280900                                 TO MM15-MC-CATEGORY-CODE.
281000*
281100     IF  MM15-MC-CATEGORY-CODE IS NOT NUMERIC
281200         GO TO W638-MC-CATEGORY-ERROR.
281300*
281400     MOVE MM15-MC-CATEGORY-CODE  TO SMCAWS-CATEGORY-CODE.
281500     PERFORM SMCAPXO-OBTAIN-CAT-CODE-DATA
281600        THRU SMCAPXO-OCCD-EXIT.
281700*
281800     IF  SMCAWS-RC-NO-CATEGORY-FOUND
281900         GO TO W638-MC-CATEGORY-ERROR.
282000*
282100     MOVE SMCAWS-RECORD          TO SMCA-RECORD.
282200*
282300     IF  SMCA-HEADER
282400     OR  SMCA-TRAILER
282500     OR  SMCA-REC-PURGED
282600     OR  SMCA-ADD-PENDING
282700         GO TO W638-MC-CATEGORY-ERROR.
282800*
282900     IF  SMCA-REC-ACTIVE
283000     AND SMCA-MC-IS-VALID
283100         CONTINUE
283200     ELSE
283300         GO TO W638-MC-CATEGORY-ERROR.
283400*
283500     IF  MBCA-PTI-FUNCTION-IS-MAINT
283600     OR  MM15-MC-CATEGORY-CODE-L IS GREATER THAN ZERO
283700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
283800         GO TO W639-EXIT.
283900*
284000 W638-MC-CATEGORY-ERROR.
284100*
284200     IF  MM15-MC-CATEGORY-CODE-L IS GREATER THAN ZERO
284300         MOVE DFHBMNBF           TO MM15-MC-CATEGORY-CODE-A
284400     ELSE
284500         MOVE DFHBMUNB           TO MM15-MC-CATEGORY-CODE-A.
284600*
284700     SET SS08WS-ERROR-SW-YES     TO TRUE.
284800     MOVE DFHBMASB               TO MM15-MC-CATEGORY-CODE-LP-A
284900                                    MM15-MC-CATEGORY-CODE-RP-A.
285000     MOVE SS08WS-CURSOR          TO MM15-MC-CATEGORY-CODE-L.
285100*
285200 W639-EXIT.
285300     EXIT.
285400*
285500 W650-EDIT-FLOOR-LIMIT.
285600*
285700     MOVE DFHBMDAS               TO MM15-MC-FLOOR-LIMIT-LP-A
285800                                    MM15-MC-FLOOR-LIMIT-RP-A.
285900     MOVE DFHBMASK               TO MM15-MC-FLOOR-LIMIT-A.
286000*
286100     PERFORM Y655-FLOOR-LIMIT-SECURITY
286200                                 THRU Y659-EXIT.
286300*
286400     IF  MM15-MC-FLOOR-LIMIT-L IS GREATER THAN ZERO
286500         MOVE DFHBMASF           TO MM15-MC-FLOOR-LIMIT-A
286600     ELSE
286700         MOVE MMSM-MC-FLOOR-LIMIT
286800                                 TO MM15-MC-FLOOR-LIMIT.
286900*
287000     IF  MM15-MC-FLOOR-LIMIT IS NOT NUMERIC
287100         GO TO W658-PROD-FLOOR-LIMIT-ERROR.
287200*
287300     IF  MBCA-PTI-FUNCTION-IS-MAINT
287400     OR  MM15-MC-FLOOR-LIMIT-L IS GREATER THAN ZERO
287500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
287600         GO TO W659-EXIT.
287700*
287800 W658-PROD-FLOOR-LIMIT-ERROR.
287900*
288000     IF  MM15-MC-FLOOR-LIMIT-L IS GREATER THAN ZERO
288100         MOVE DFHBMNBF           TO MM15-MC-FLOOR-LIMIT-A
288200     ELSE
288300         MOVE DFHBMUNB           TO MM15-MC-FLOOR-LIMIT-A.
288400*
288500     SET SS08WS-ERROR-SW-YES     TO TRUE.
288600     MOVE DFHBMASB               TO MM15-MC-FLOOR-LIMIT-LP-A
288700                                    MM15-MC-FLOOR-LIMIT-RP-A.
288800     MOVE SS08WS-CURSOR          TO MM15-MC-FLOOR-LIMIT-L.
288900*
289000 W659-EXIT.
289100     EXIT.
289200*
289300 W670-EDIT-CH-TERM-IND.
289400*
289500     MOVE DFHBMDAS               TO MM15-MC-CH-TERM-IND-LP-A
289600                                    MM15-MC-CH-TERM-IND-RP-A.
289700     MOVE DFHBMASK               TO MM15-MC-CH-TERM-IND-A.
289800*
289900     IF  MBCA-MBMM-EUROPAY-ON
290000         MOVE DFHBMDAS           TO MM15-MC-CH-TERM-IND-A
290100                                    MM15-MC-CH-TERM-IND-LIT-A
290200         GO TO W679-EXIT.
290300*
290400     PERFORM Y675-CH-TERM-IND-SECURITY
290500                                 THRU Y679-EXIT.
290600*
290700     IF  MM15-MC-CH-TERM-IND-L IS GREATER THAN ZERO
290800         MOVE DFHBMASF           TO MM15-MC-CH-TERM-IND-A
290900     ELSE
291000         MOVE MMSM-MC-CH-TERM-IND
291100                                 TO MM15-MC-CH-TERM-IND.
291200*
291300     IF  NOT MM15-VALID-MC-CH-TERM-IND
291400         GO TO W678-CH-TERM-IND-ERROR.
291500*
291600     IF  MBCA-PTI-FUNCTION-IS-MAINT
291700     OR  MM15-MC-CH-TERM-IND-L IS GREATER THAN ZERO
291800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
291900         GO TO W679-EXIT.
292000*
292100 W678-CH-TERM-IND-ERROR.
292200*
292300     IF  MM15-MC-CH-TERM-IND-L IS GREATER THAN ZERO
292400         MOVE DFHBMUBF           TO MM15-MC-CH-TERM-IND-A
292500     ELSE
292600         MOVE DFHBMBRY           TO MM15-MC-CH-TERM-IND-A.
292700*
292800     SET SS08WS-ERROR-SW-YES     TO TRUE.
292900     MOVE DFHBMASB               TO MM15-MC-CH-TERM-IND-LP-A
293000                                    MM15-MC-CH-TERM-IND-RP-A.
293100     MOVE SS08WS-CURSOR          TO MM15-MC-CH-TERM-IND-L.
293200*
293300 W679-EXIT.
293400     EXIT.
293402*                                                                 RG800913
293404 W680-EDIT-ASSIGNED-ID.                                           RG800913
293406*                                                                 RG800913
293408     MOVE DFHBMDAS               TO MM15-MC-ASSIGNED-ID-LP-A      RG800913
293410                                    MM15-MC-ASSIGNED-ID-RP-A.     RG800913
293412     MOVE DFHBMASK               TO MM15-MC-ASSIGNED-ID-A.        RG800913
293414*                                                                 RG800913
293416     IF  MBCA-MBMM-EUROPAY-ON                                     RG800913
293418         MOVE DFHBMDAS           TO MM15-MC-ASSIGNED-ID-A         RG800913
293420                                    MM15-MC-ASSIGNED-ID-LIT-A     RG800913
293422         GO TO W689-EXIT.                                         RG800913
293424*                                                                 RG800913
293426     PERFORM Y685-ASSIGNED-ID-SECURITY                            RG800913
293428                                 THRU Y689-EXIT.                  RG800913
293430*                                                                 RG800913
293432     IF  MM15-MC-ASSIGNED-ID-L IS GREATER THAN ZERO               RG800913
293434         MOVE DFHBMASF           TO MM15-MC-ASSIGNED-ID-A         RG800913
293436     ELSE                                                         RG800913
293438         MOVE MMSM-MC-ASSIGNED-ID                                 RG800913
293440                                 TO MM15-MC-ASSIGNED-ID.          RG800913
293442     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800913
293444     OR  MM15-MC-ASSIGNED-ID-L IS GREATER THAN ZERO               RG800913
293446     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)                      RG800913
293448         GO TO W689-EXIT.                                         RG800913
293450*                                                                 RG800913
293452 W688-ASSIGNED-ID-ERROR.                                          RG800913
293454*                                                                 RG800913
293456     IF  MM15-MC-ASSIGNED-ID-L IS GREATER THAN ZERO               RG800913
293458         MOVE DFHBMUBF           TO MM15-MC-ASSIGNED-ID-A         RG800913
293460     ELSE                                                         RG800913
293462         MOVE DFHBMBRY           TO MM15-MC-ASSIGNED-ID-A.        RG800913
293464*                                                                 RG800913
293466     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG800913
293468     MOVE DFHBMASB               TO MM15-MC-ASSIGNED-ID-LP-A      RG800913
293470                                    MM15-MC-ASSIGNED-ID-RP-A.     RG800913
293472     MOVE SS08WS-CURSOR          TO MM15-MC-ASSIGNED-ID-L.        RG800913
293474*                                                                 RG800913
293476 W689-EXIT.                                                       RG800913
293478     EXIT.                                                        RG800913
293500*
293600 W690-EDIT-MC-POS-DC-01.
293700*
293800     MOVE DFHBMDAS               TO MM15-MC-POS-DC-01-LP-A
293900                                    MM15-MC-POS-DC-01-RP-A.
294000     MOVE DFHBMASK               TO MM15-MC-POS-DC-01-A.
294100*
294200     PERFORM Y695-POS-DC-01-SECURITY
294300                                 THRU Y699-EXIT.
294400*
294500     IF  MM15-MC-POS-DC-01-L IS GREATER THAN ZERO
294600         MOVE DFHBMASF           TO MM15-MC-POS-DC-01-A
294700     ELSE
294800         MOVE MMSM-MC-POS-DC-01  TO MM15-MC-POS-DC-01.
294900*
295000     IF NOT MM15-MC-POS-DC-01-VALID
295100        GO TO W698-POS-DC-01-ERROR.
295200*
295300     IF  MBCA-PTI-FUNCTION-IS-MAINT
295400     OR  MM15-MC-POS-DC-01-L IS GREATER THAN ZERO
295500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
295600         GO TO W699-EXIT.
295700*
295800 W698-POS-DC-01-ERROR.
295900*
296000     IF  MM15-MC-POS-DC-01-L IS GREATER THAN ZERO
296100         MOVE DFHBMUBF           TO MM15-MC-POS-DC-01-A
296200     ELSE
296300         MOVE DFHBMBRY           TO MM15-MC-POS-DC-01-A.
296400*
296500     SET SS08WS-ERROR-SW-YES     TO TRUE.
296600     MOVE DFHBMASB               TO MM15-MC-POS-DC-01-LP-A
296700                                    MM15-MC-POS-DC-01-RP-A.
296800     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-01-L.
296900*
297000 W699-EXIT.
297100     EXIT.
297200*
297300 W700-EDIT-MC-POS-DC-02.
297400*
297500     MOVE DFHBMDAS               TO MM15-MC-POS-DC-02-LP-A
297600                                    MM15-MC-POS-DC-02-RP-A.
297700     MOVE DFHBMASK               TO MM15-MC-POS-DC-02-A.
297800*
297900     PERFORM Y705-POS-DC-02-SECURITY
298000                                 THRU Y709-EXIT.
298100*
298200     IF  MM15-MC-POS-DC-02-L IS GREATER THAN ZERO
298300         MOVE DFHBMASF           TO MM15-MC-POS-DC-02-A
298400     ELSE
298500         MOVE MMSM-MC-POS-DC-02  TO MM15-MC-POS-DC-02.
298600*
298700     IF NOT MM15-MC-POS-DC-02-VALID
298800        GO TO W708-POS-DC-02-ERROR.
298900*
299000     IF  MBCA-PTI-FUNCTION-IS-MAINT
299100     OR  MM15-MC-POS-DC-02-L IS GREATER THAN ZERO
299200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
299300         GO TO W709-EXIT.
299400*
299500 W708-POS-DC-02-ERROR.
299600*
299700     IF  MM15-MC-POS-DC-02-L IS GREATER THAN ZERO
299800         MOVE DFHBMUBF           TO MM15-MC-POS-DC-02-A
299900     ELSE
300000         MOVE DFHBMBRY           TO MM15-MC-POS-DC-02-A.
300100*
300200     SET SS08WS-ERROR-SW-YES     TO TRUE.
300300     MOVE DFHBMASB               TO MM15-MC-POS-DC-02-LP-A
300400                                    MM15-MC-POS-DC-02-RP-A.
300500     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-02-L.
300600*
300700 W709-EXIT.
300800     EXIT.
300900*
301000 W710-EDIT-MC-POS-DC-03.
301100*
301200     MOVE DFHBMDAS               TO MM15-MC-POS-DC-03-LP-A
301300                                    MM15-MC-POS-DC-03-RP-A.
301400     MOVE DFHBMASK               TO MM15-MC-POS-DC-03-A.
301500*
301600     PERFORM Y715-POS-DC-03-SECURITY
301700                                 THRU Y719-EXIT.
301800*
301900     IF  MM15-MC-POS-DC-03-L IS GREATER THAN ZERO
302000         MOVE DFHBMASF           TO MM15-MC-POS-DC-03-A
302100     ELSE
302200         MOVE MMSM-MC-POS-DC-03  TO MM15-MC-POS-DC-03.
302300*
302400     IF NOT MM15-MC-POS-DC-03-VALID
302500        GO TO W718-POS-DC-03-ERROR.
302600*
302700     IF  MBCA-PTI-FUNCTION-IS-MAINT
302800     OR  MM15-MC-POS-DC-03-L IS GREATER THAN ZERO
302900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
303000         GO TO W719-EXIT.
303100*
303200 W718-POS-DC-03-ERROR.
303300*
303400     IF  MM15-MC-POS-DC-03-L IS GREATER THAN ZERO
303500         MOVE DFHBMUBF           TO MM15-MC-POS-DC-03-A
303600     ELSE
303700         MOVE DFHBMBRY           TO MM15-MC-POS-DC-03-A.
303800*
303900     SET SS08WS-ERROR-SW-YES     TO TRUE.
304000     MOVE DFHBMASB               TO MM15-MC-POS-DC-03-LP-A
304100                                    MM15-MC-POS-DC-03-RP-A.
304200     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-03-L.
304300*
304400 W719-EXIT.
304500     EXIT.
304600*
304700 W720-EDIT-MC-POS-DC-04.
304800*
304900     MOVE DFHBMDAS               TO MM15-MC-POS-DC-04-LP-A
305000                                    MM15-MC-POS-DC-04-RP-A.
305100     MOVE DFHBMASK               TO MM15-MC-POS-DC-04-A.
305200*
305300     PERFORM Y725-POS-DC-04-SECURITY
305400                                 THRU Y729-EXIT.
305500*
305600     IF  MM15-MC-POS-DC-04-L IS GREATER THAN ZERO
305700         MOVE DFHBMASF           TO MM15-MC-POS-DC-04-A
305800     ELSE
305900         MOVE MMSM-MC-POS-DC-04  TO MM15-MC-POS-DC-04.
306000*
306100     IF NOT MM15-MC-POS-DC-04-VALID
306200        GO TO W728-POS-DC-04-ERROR.
306300*
306400     IF  MBCA-PTI-FUNCTION-IS-MAINT
306500     OR  MM15-MC-POS-DC-04-L IS GREATER THAN ZERO
306600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
306700         GO TO W729-EXIT.
306800*
306900 W728-POS-DC-04-ERROR.
307000*
307100     IF  MM15-MC-POS-DC-04-L IS GREATER THAN ZERO
307200         MOVE DFHBMUBF           TO MM15-MC-POS-DC-04-A
307300     ELSE
307400         MOVE DFHBMBRY           TO MM15-MC-POS-DC-04-A.
307500*
307600     SET SS08WS-ERROR-SW-YES     TO TRUE.
307700     MOVE DFHBMASB               TO MM15-MC-POS-DC-04-LP-A
307800                                    MM15-MC-POS-DC-04-RP-A.
307900     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-04-L.
308000*
308100 W729-EXIT.
308200     EXIT.
308300*
308400 W730-EDIT-MC-POS-DC-05.
308500*
308600     MOVE DFHBMDAS               TO MM15-MC-POS-DC-05-LP-A
308700                                    MM15-MC-POS-DC-05-RP-A.
308800     MOVE DFHBMASK               TO MM15-MC-POS-DC-05-A.
308900*
309000     PERFORM Y735-POS-DC-05-SECURITY
309100                                 THRU Y739-EXIT.
309200*
309300     IF  MM15-MC-POS-DC-05-L IS GREATER THAN ZERO
309400         MOVE DFHBMASF           TO MM15-MC-POS-DC-05-A
309500     ELSE
309600         MOVE MMSM-MC-POS-DC-05  TO MM15-MC-POS-DC-05.
309700*
309800     IF NOT MM15-MC-POS-DC-05-VALID
309900        GO TO W738-POS-DC-05-ERROR.
310000*
310100     IF  MBCA-PTI-FUNCTION-IS-MAINT
310200     OR  MM15-MC-POS-DC-05-L IS GREATER THAN ZERO
310300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
310400         GO TO W739-EXIT.
310500*
310600 W738-POS-DC-05-ERROR.
310700*
310800     IF  MM15-MC-POS-DC-05-L IS GREATER THAN ZERO
310900         MOVE DFHBMUBF           TO MM15-MC-POS-DC-05-A
311000     ELSE
311100         MOVE DFHBMBRY           TO MM15-MC-POS-DC-05-A.
311200*
311300     SET SS08WS-ERROR-SW-YES     TO TRUE.
311400     MOVE DFHBMASB               TO MM15-MC-POS-DC-05-LP-A
311500                                    MM15-MC-POS-DC-05-RP-A.
311600     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-05-L.
311700*
311800 W739-EXIT.
311900     EXIT.
312000*
312100 W740-EDIT-MC-POS-DC-06.
312200*
312300     MOVE DFHBMDAS               TO MM15-MC-POS-DC-06-LP-A
312400                                    MM15-MC-POS-DC-06-RP-A.
312500     MOVE DFHBMASK               TO MM15-MC-POS-DC-06-A.
312600*
312700     PERFORM Y745-POS-DC-06-SECURITY
312800                                 THRU Y749-EXIT.
312900*
313000     IF  MM15-MC-POS-DC-06-L IS GREATER THAN ZERO
313100         MOVE DFHBMASF           TO MM15-MC-POS-DC-06-A
313200     ELSE
313300         MOVE MMSM-MC-POS-DC-06  TO MM15-MC-POS-DC-06.
313400*
313500     IF NOT MM15-MC-POS-DC-06-VALID
313600        GO TO W748-POS-DC-06-ERROR.
313700*
313800     IF  MBCA-PTI-FUNCTION-IS-MAINT
313900     OR  MM15-MC-POS-DC-06-L IS GREATER THAN ZERO
314000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
314100         GO TO W749-EXIT.
314200*
314300 W748-POS-DC-06-ERROR.
314400*
314500     IF  MM15-MC-POS-DC-06-L IS GREATER THAN ZERO
314600         MOVE DFHBMUBF           TO MM15-MC-POS-DC-06-A
314700     ELSE
314800         MOVE DFHBMBRY           TO MM15-MC-POS-DC-06-A.
314900*
315000     SET SS08WS-ERROR-SW-YES     TO TRUE.
315100     MOVE DFHBMASB               TO MM15-MC-POS-DC-06-LP-A
315200                                    MM15-MC-POS-DC-06-RP-A.
315300     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-06-L.
315400*
315500 W749-EXIT.
315600     EXIT.
315700*
315800 W750-EDIT-MC-POS-DC-07.
315900*
316000     MOVE DFHBMDAS               TO MM15-MC-POS-DC-07-LP-A
316100                                    MM15-MC-POS-DC-07-RP-A.
316200     MOVE DFHBMASK               TO MM15-MC-POS-DC-07-A.
316300*
316400     PERFORM Y755-POS-DC-07-SECURITY
316500                                 THRU Y759-EXIT.
316600*
316700     IF  MM15-MC-POS-DC-07-L IS GREATER THAN ZERO
316800         MOVE DFHBMASF           TO MM15-MC-POS-DC-07-A
316900     ELSE
317000         MOVE MMSM-MC-POS-DC-07  TO MM15-MC-POS-DC-07.
317100*
317200     IF NOT MM15-MC-POS-DC-07-VALID
317300        GO TO W758-POS-DC-07-ERROR.
317400*
317500     IF  MBCA-PTI-FUNCTION-IS-MAINT
317600     OR  MM15-MC-POS-DC-07-L IS GREATER THAN ZERO
317700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
317800         GO TO W759-EXIT.
317900*
318000 W758-POS-DC-07-ERROR.
318100*
318200     IF  MM15-MC-POS-DC-07-L IS GREATER THAN ZERO
318300         MOVE DFHBMUBF           TO MM15-MC-POS-DC-07-A
318400     ELSE
318500         MOVE DFHBMBRY           TO MM15-MC-POS-DC-07-A.
318600*
318700     SET SS08WS-ERROR-SW-YES     TO TRUE.
318800     MOVE DFHBMASB               TO MM15-MC-POS-DC-07-LP-A
318900                                    MM15-MC-POS-DC-07-RP-A.
319000     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-07-L.
319100*
319200 W759-EXIT.
319300     EXIT.
319400*
319500 W760-EDIT-MC-POS-DC-08.
319600*
319700     MOVE DFHBMDAS               TO MM15-MC-POS-DC-08-LP-A
319800                                    MM15-MC-POS-DC-08-RP-A.
319900     MOVE DFHBMASK               TO MM15-MC-POS-DC-08-A.
320000*
320100     PERFORM Y765-POS-DC-08-SECURITY
320200                                 THRU Y769-EXIT.
320300*
320400     IF  MM15-MC-POS-DC-08-L IS GREATER THAN ZERO
320500         MOVE DFHBMASF           TO MM15-MC-POS-DC-08-A
320600     ELSE
320700         MOVE MMSM-MC-POS-DC-08  TO MM15-MC-POS-DC-08.
320800*
320900     IF NOT MM15-MC-POS-DC-08-VALID
321000        GO TO W768-POS-DC-08-ERROR.
321100*
321200     IF  MBCA-PTI-FUNCTION-IS-MAINT
321300     OR  MM15-MC-POS-DC-08-L IS GREATER THAN ZERO
321400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
321500         GO TO W769-EXIT.
321600*
321700 W768-POS-DC-08-ERROR.
321800*
321900     IF  MM15-MC-POS-DC-08-L IS GREATER THAN ZERO
322000         MOVE DFHBMUBF           TO MM15-MC-POS-DC-08-A
322100     ELSE
322200         MOVE DFHBMBRY           TO MM15-MC-POS-DC-08-A.
322300*
322400     SET SS08WS-ERROR-SW-YES     TO TRUE.
322500     MOVE DFHBMASB               TO MM15-MC-POS-DC-08-LP-A
322600                                    MM15-MC-POS-DC-08-RP-A.
322700     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-08-L.
322800*
322900 W769-EXIT.
323000     EXIT.
323100*
323200 W770-EDIT-MC-POS-DC-09.
323300*
323400     MOVE DFHBMDAS               TO MM15-MC-POS-DC-09-LP-A
323500                                    MM15-MC-POS-DC-09-RP-A.
323600     MOVE DFHBMASK               TO MM15-MC-POS-DC-09-A.
323700*
323800     PERFORM Y775-POS-DC-09-SECURITY
323900                                 THRU Y779-EXIT.
324000*
324100     IF  MM15-MC-POS-DC-09-L IS GREATER THAN ZERO
324200         MOVE DFHBMASF           TO MM15-MC-POS-DC-09-A
324300     ELSE
324400         MOVE MMSM-MC-POS-DC-09  TO MM15-MC-POS-DC-09.
324500*
324600     IF NOT MM15-MC-POS-DC-09-VALID
324700        GO TO W778-POS-DC-09-ERROR.
324800*
324900     IF  MBCA-PTI-FUNCTION-IS-MAINT
325000     OR  MM15-MC-POS-DC-09-L IS GREATER THAN ZERO
325100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
325200         GO TO W779-EXIT.
325300*
325400 W778-POS-DC-09-ERROR.
325500*
325600     IF  MM15-MC-POS-DC-09-L IS GREATER THAN ZERO
325700         MOVE DFHBMUBF           TO MM15-MC-POS-DC-09-A
325800     ELSE
325900         MOVE DFHBMBRY           TO MM15-MC-POS-DC-09-A.
326000*
326100     SET SS08WS-ERROR-SW-YES     TO TRUE.
326200     MOVE DFHBMASB               TO MM15-MC-POS-DC-09-LP-A
326300                                    MM15-MC-POS-DC-09-RP-A.
326400     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-09-L.
326500*
326600 W779-EXIT.
326700     EXIT.
326800*
326900 W780-EDIT-MC-POS-DC-10.
327000*
327100     MOVE DFHBMDAS               TO MM15-MC-POS-DC-10-LP-A
327200                                    MM15-MC-POS-DC-10-RP-A.
327300     MOVE DFHBMASK               TO MM15-MC-POS-DC-10-A.
327400*
327500     PERFORM Y785-POS-DC-10-SECURITY
327600                                 THRU Y789-EXIT.
327700*
327800     IF  MM15-MC-POS-DC-10-L IS GREATER THAN ZERO
327900         MOVE DFHBMASF           TO MM15-MC-POS-DC-10-A
328000     ELSE
328100         MOVE MMSM-MC-POS-DC-10  TO MM15-MC-POS-DC-10.
328200*
328300     IF NOT MM15-MC-POS-DC-10-VALID
328400        GO TO W788-POS-DC-10-ERROR.
328500*
328600     IF  MBCA-PTI-FUNCTION-IS-MAINT
328700     OR  MM15-MC-POS-DC-10-L IS GREATER THAN ZERO
328800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
328900         GO TO W789-EXIT.
329000*
329100 W788-POS-DC-10-ERROR.
329200*
329300     IF  MM15-MC-POS-DC-10-L IS GREATER THAN ZERO
329400         MOVE DFHBMUBF           TO MM15-MC-POS-DC-10-A
329500     ELSE
329600         MOVE DFHBMBRY           TO MM15-MC-POS-DC-10-A.
329700*
329800     SET SS08WS-ERROR-SW-YES     TO TRUE.
329900     MOVE DFHBMASB               TO MM15-MC-POS-DC-10-LP-A
330000                                    MM15-MC-POS-DC-10-RP-A.
330100     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-10-L.
330200*
330300 W789-EXIT.
330400     EXIT.
330500*
330600 W790-EDIT-MC-POS-DC-11.
330700*
330800     MOVE DFHBMDAS               TO MM15-MC-POS-DC-11-LP-A
330900                                    MM15-MC-POS-DC-11-RP-A.
331000     MOVE DFHBMASK               TO MM15-MC-POS-DC-11-A.
331100*
331200     PERFORM Y795-POS-DC-11-SECURITY
331300                                 THRU Y799-EXIT.
331400*
331500     IF  MM15-MC-POS-DC-11-L IS GREATER THAN ZERO
331600         MOVE DFHBMASF           TO MM15-MC-POS-DC-11-A
331700     ELSE
331800         MOVE MMSM-MC-POS-DC-11  TO MM15-MC-POS-DC-11.
331900*
332000     IF NOT MM15-MC-POS-DC-11-VALID
332100        GO TO W798-POS-DC-11-ERROR.
332200*
332300     IF  MBCA-PTI-FUNCTION-IS-MAINT
332400     OR  MM15-MC-POS-DC-11-L IS GREATER THAN ZERO
332500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
332600         GO TO W799-EXIT.
332700*
332800 W798-POS-DC-11-ERROR.
332900*
333000     IF  MM15-MC-POS-DC-11-L IS GREATER THAN ZERO
333100         MOVE DFHBMUBF           TO MM15-MC-POS-DC-11-A
333200     ELSE
333300         MOVE DFHBMBRY           TO MM15-MC-POS-DC-11-A.
333400*
333500     SET SS08WS-ERROR-SW-YES     TO TRUE.
333600     MOVE DFHBMASB               TO MM15-MC-POS-DC-11-LP-A
333700                                    MM15-MC-POS-DC-11-RP-A.
333800     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-11-L.
333900*
334000 W799-EXIT.
334100     EXIT.
334200*
334300 W800-EDIT-MC-POS-DC-12.
334400*
334500     MOVE DFHBMDAS               TO MM15-MC-POS-DC-12-LP-A
334600                                    MM15-MC-POS-DC-12-RP-A.
334700     MOVE DFHBMASK               TO MM15-MC-POS-DC-12-A.
334800*
334900     PERFORM Y805-POS-DC-12-SECURITY
335000                                 THRU Y809-EXIT.
335100*
335200     IF  MM15-MC-POS-DC-12-L IS GREATER THAN ZERO
335300         MOVE DFHBMASF           TO MM15-MC-POS-DC-12-A
335400     ELSE
335500         MOVE MMSM-MC-POS-DC-12  TO MM15-MC-POS-DC-12.
335600*
335700     IF NOT MM15-MC-POS-DC-12-VALID
335800        GO TO W808-POS-DC-12-ERROR.
335900*
336000     IF  MBCA-PTI-FUNCTION-IS-MAINT
336100     OR  MM15-MC-POS-DC-12-L IS GREATER THAN ZERO
336200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
336300         GO TO W809-EXIT.
336400*
336500 W808-POS-DC-12-ERROR.
336600*
336700     IF  MM15-MC-POS-DC-12-L IS GREATER THAN ZERO
336800         MOVE DFHBMUBF           TO MM15-MC-POS-DC-12-A
336900     ELSE
337000         MOVE DFHBMBRY           TO MM15-MC-POS-DC-12-A.
337100*
337200     SET SS08WS-ERROR-SW-YES     TO TRUE.
337300     MOVE DFHBMASB               TO MM15-MC-POS-DC-12-LP-A
337400                                    MM15-MC-POS-DC-12-RP-A.
337500     MOVE SS08WS-CURSOR          TO MM15-MC-POS-DC-12-L.
337600*
337700 W809-EXIT.
337800     EXIT.
337900*
338000 W910-STATUS-X-EDITS.
338100*
338200     IF  SS08WS-ERROR-SW-YES
338300         GO TO W919-EXIT.
338400*
338500     IF  MM15-MC-STATUS-L IS LESS THAN 1
338600         GO TO W919-EXIT.
338700*
338800     IF  MM15-MC-STATUS-ACTIVE
338900         IF  MMOC-PRODUCT-NOT-ACTIVE (2)
339000             GO TO W915-STATUS-ERROR.
339100*
339200     IF  MM15-MC-STATUS-CLOSED
339300     OR  MM15-MC-STATUS-PURGED
339400         IF  MMMP-PROD-NOT-ALLOWED
339500             GO TO W915-STATUS-ERROR
339600         ELSE
339700             IF  MM15-MC-EFF-DATE-L IS EQUAL TO ZERO
339800                 GO TO W915-STATUS-ERROR
339900             ELSE
340000                 IF  MM15-MC-EFF-DATE IS GREATER THAN
340100                     MMMP-PROD-EFF-DATE
340200                 OR  MM15-MC-EFF-DATE IS EQUAL TO
340300                     MMMP-PROD-EFF-DATE
340400                     GO TO W919-EXIT
340500                 ELSE
340600                     GO TO W915-STATUS-ERROR.
340700*
340800     GO TO W919-EXIT.
340900*
341000 W915-STATUS-ERROR.
341100*
341200     MOVE 'Y'                    TO SS08WS-ERROR.
341300     MOVE DFHBMASB               TO MM15-MC-STATUS-LP-A
341400                                    MM15-MC-STATUS-RP-A
341500                                    MM15-MC-EFF-DATE-LP-A
341600                                    MM15-MC-EFF-DATE-RP-A.
341700     MOVE DFHBMUBF               TO MM15-MC-STATUS-A.
341800     MOVE DFHBMNBF               TO MM15-MC-EFF-DATE-A.
341900     MOVE SS08WS-CURSOR          TO MM15-MC-STATUS-L.
342000*
342100 W919-EXIT.
342200     EXIT.
342300*
342400*
342500 W920-CIRRUS-X-EDITS.
342600*
342700     IF  SS08WS-ERROR-SW-YES
342800         GO TO W929-EXIT.
342900*
343000     IF  MM15-MC-CIRRUS-IND-ON
343100         IF  MM15-MC-CATEGORY-CODE IS NOT EQUAL TO 6011
343200             GO TO W925-CIRRUS-ERROR.
343300*
343400     GO TO W929-EXIT.
343500*
343600 W925-CIRRUS-ERROR.
343700*
343800     MOVE 'Y'                    TO SS08WS-ERROR.
343900     MOVE DFHBMASB               TO MM15-MC-CIRRUS-IND-LP-A
344000                                    MM15-MC-CIRRUS-IND-RP-A
344100                                    MM15-MC-CATEGORY-CODE-LP-A
344200                                    MM15-MC-CATEGORY-CODE-RP-A.
344300     MOVE DFHBMUBF               TO MM15-MC-CIRRUS-IND-A.
344400     MOVE DFHBMNBF               TO MM15-MC-CATEGORY-CODE-A.
344500     MOVE SS08WS-CURSOR          TO MM15-MC-CIRRUS-IND-L.
344600*
344700 W929-EXIT.
344800     EXIT.
344900*
345000 W930-POS-DC-01-X-EDITS.
345100*
345200     IF  SS08WS-ERROR-SW-YES
345300         GO TO W939-EXIT.
345400*
345500     EVALUATE TRUE
345600         WHEN (MM15-MC-POS-DC-01 IS EQUAL TO '1'
345700          AND  MM15-MC-CATEGORY-CODE IS NOT EQUAL TO 6011)
345800             IF  MM15-MC-POS-DC-02 IS NOT EQUAL TO '0'
345900                 MOVE 'Y'        TO SS08WS-ERROR
346000                 MOVE DFHBMASB   TO MM15-MC-POS-DC-01-LP-A
346100                                    MM15-MC-POS-DC-01-RP-A
346200                                    MM15-MC-POS-DC-02-LP-A
346300                                    MM15-MC-POS-DC-02-RP-A
346400                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-01-A
346500                                    MM15-MC-POS-DC-02-A
346600                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-02-L
346700                 GO TO W939-EXIT
346800             END-IF
346900             IF  MM15-MC-POS-DC-03 IS NOT EQUAL TO '0'
347000                 MOVE 'Y'        TO SS08WS-ERROR
347100                 MOVE DFHBMASB   TO MM15-MC-POS-DC-01-LP-A
347200                                    MM15-MC-POS-DC-01-RP-A
347300                                    MM15-MC-POS-DC-03-LP-A
347400                                    MM15-MC-POS-DC-03-RP-A
347500                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-01-A
347600                                    MM15-MC-POS-DC-03-A
347700                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-03-L
347800                 GO TO W939-EXIT
347900             END-IF
348000             IF  MM15-MC-POS-DC-07 IS NOT EQUAL TO '1'
348100                 IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO '0'
348200                     MOVE 'Y'    TO SS08WS-ERROR
348300                     MOVE DFHBMASB
348400                                 TO MM15-MC-POS-DC-01-LP-A
348500                                    MM15-MC-POS-DC-01-RP-A
348600                                    MM15-MC-POS-DC-04-LP-A
348700                                    MM15-MC-POS-DC-04-RP-A
348800                                    MM15-MC-POS-DC-07-LP-A
348900                                    MM15-MC-POS-DC-07-RP-A
349000                     MOVE DFHBMUBF
349100                                 TO MM15-MC-POS-DC-01-A
349200                                    MM15-MC-POS-DC-04-A
349300                                    MM15-MC-POS-DC-07-A
349400                     MOVE SS08WS-CURSOR
349500                                 TO MM15-MC-POS-DC-04-L
349600                     GO TO W939-EXIT
349700                 END-IF
349800                 IF  MM15-MC-POS-DC-06 IS NOT EQUAL TO '0'
349900                     MOVE 'Y'    TO SS08WS-ERROR
350000                     MOVE DFHBMASB
350100                                 TO MM15-MC-POS-DC-01-LP-A
350200                                    MM15-MC-POS-DC-01-RP-A
350300                                    MM15-MC-POS-DC-06-LP-A
350400                                    MM15-MC-POS-DC-06-RP-A
350500                                    MM15-MC-POS-DC-07-LP-A
350600                                    MM15-MC-POS-DC-07-RP-A
350700                     MOVE DFHBMUBF
350800                                 TO MM15-MC-POS-DC-01-A
350900                                    MM15-MC-POS-DC-06-A
351000                                    MM15-MC-POS-DC-07-A
351100                     MOVE SS08WS-CURSOR
351200                                 TO MM15-MC-POS-DC-06-L
351300                     GO TO W939-EXIT
351400                 END-IF
351500                 IF  MM15-MC-POS-DC-08 IS NOT EQUAL TO '0'
351600                     MOVE 'Y'    TO SS08WS-ERROR
351700                     MOVE DFHBMASB
351800                                 TO MM15-MC-POS-DC-01-LP-A
351900                                    MM15-MC-POS-DC-01-RP-A
352000                                    MM15-MC-POS-DC-07-LP-A
352100                                    MM15-MC-POS-DC-07-RP-A
352200                                    MM15-MC-POS-DC-08-LP-A
352300                                    MM15-MC-POS-DC-08-RP-A
352400                     MOVE DFHBMUBF
352500                                 TO MM15-MC-POS-DC-01-A
352600                                    MM15-MC-POS-DC-07-A
352700                                    MM15-MC-POS-DC-08-A
352800                     MOVE SS08WS-CURSOR
352900                                 TO MM15-MC-POS-DC-08-L
353000                     GO TO W939-EXIT
353100                 END-IF
353200                 IF  MM15-MC-POS-DC-07 IS NOT EQUAL TO '6'
353300                     IF  MM15-MC-POS-DC-07 IS NOT EQUAL TO 'S'
353400                     AND MM15-MC-POS-DC-07 IS NOT EQUAL TO 'T'
353500                     AND MM15-MC-POS-DC-07 IS NOT EQUAL TO 'U'
353600                     AND MM15-MC-POS-DC-07 IS NOT EQUAL TO 'V'
353700                         MOVE 'Y'    TO SS08WS-ERROR
353800                         MOVE DFHBMASB
353900                                 TO MM15-MC-POS-DC-01-LP-A
354000                                    MM15-MC-POS-DC-01-RP-A
354100                                    MM15-MC-POS-DC-07-LP-A
354200                                    MM15-MC-POS-DC-07-RP-A
354300                         MOVE DFHBMUBF
354400                                 TO MM15-MC-POS-DC-01-A
354500                                    MM15-MC-POS-DC-07-A
354600                         MOVE SS08WS-CURSOR
354700                                 TO MM15-MC-POS-DC-07-L
354800                         GO TO W939-EXIT
354900                     END-IF
355000                     IF  MM15-MC-POS-DC-12 IS NOT EQUAL TO '0'
355100                     AND MM15-MC-POS-DC-12 IS NOT EQUAL TO '4'
355200                     AND MM15-MC-POS-DC-12 IS NOT EQUAL TO '5'
355300                     AND MM15-MC-POS-DC-12 IS NOT EQUAL TO '6'
355400                         MOVE 'Y'    TO SS08WS-ERROR
355500                         MOVE DFHBMASB
355600                                 TO MM15-MC-POS-DC-01-LP-A
355700                                    MM15-MC-POS-DC-01-RP-A
355800                                    MM15-MC-POS-DC-12-LP-A
355900                                    MM15-MC-POS-DC-12-RP-A
356000                         MOVE DFHBMUBF
356100                                 TO MM15-MC-POS-DC-01-A
356200                                    MM15-MC-POS-DC-12-A
356300                         MOVE SS08WS-CURSOR
356400                                 TO MM15-MC-POS-DC-12-L
356500                         GO TO W939-EXIT
356600                     END-IF
356700                 ELSE
356800                     IF  MM15-MC-POS-DC-07 IS EQUAL TO '6'
356900                         IF  MM15-MC-POS-DC-10 IS NOT EQUAL TO '0'
357000                         AND MM15-MC-POS-DC-10 IS NOT EQUAL TO '1'
357100                             MOVE 'Y'
357200                                 TO SS08WS-ERROR
357300                             MOVE DFHBMASB
357400                                 TO MM15-MC-POS-DC-01-LP-A
357500                                    MM15-MC-POS-DC-01-RP-A
357600                                    MM15-MC-POS-DC-10-LP-A
357700                                    MM15-MC-POS-DC-10-RP-A
357800                            MOVE DFHBMUBF
357900                                 TO MM15-MC-POS-DC-01-A
358000                                    MM15-MC-POS-DC-10-A
358100                            MOVE SS08WS-CURSOR
358200                                 TO MM15-MC-POS-DC-10-L
358300                            GO TO W939-EXIT
358400                         END-IF
358500                         IF  MM15-MC-POS-DC-11 IS NOT EQUAL TO '1'
358600                             MOVE 'Y'
358700                                 TO SS08WS-ERROR
358800                             MOVE DFHBMASB
358900                                 TO MM15-MC-POS-DC-01-LP-A
359000                                    MM15-MC-POS-DC-01-RP-A
359100                                    MM15-MC-POS-DC-11-LP-A
359200                                    MM15-MC-POS-DC-11-RP-A
359300                             MOVE DFHBMUBF
359400                                 TO MM15-MC-POS-DC-01-A
359500                                    MM15-MC-POS-DC-11-A
359600                             MOVE SS08WS-CURSOR
359700                                 TO MM15-MC-POS-DC-11-L
359800                             GO TO W939-EXIT
359900                         END-IF
360000                         IF  MM15-MC-POS-DC-12 IS NOT EQUAL TO '0'
360100                             MOVE 'Y'
360200                                 TO SS08WS-ERROR
360300                             MOVE DFHBMASB
360400                                 TO MM15-MC-POS-DC-01-LP-A
360500                                    MM15-MC-POS-DC-01-RP-A
360600                                    MM15-MC-POS-DC-12-LP-A
360700                                    MM15-MC-POS-DC-12-RP-A
360800                             MOVE DFHBMUBF
360900                                 TO MM15-MC-POS-DC-01-A
361000                                    MM15-MC-POS-DC-12-A
361100                             MOVE SS08WS-CURSOR
361200                                 TO MM15-MC-POS-DC-12-L
361300                             GO TO W939-EXIT
361400                         END-IF
361500                     END-IF
361600                 END-IF
361700             ELSE
361800                 IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO '0'
361900                 AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '1'
362000                 AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '2'
362100                 AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '3'
362200                 AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '4'
362300                 AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '5'
362400                     MOVE 'Y'    TO SS08WS-ERROR
362500                     MOVE DFHBMASB
362600                                 TO MM15-MC-POS-DC-01-LP-A
362700                                    MM15-MC-POS-DC-01-RP-A
362800                                    MM15-MC-POS-DC-04-LP-A
362900                                    MM15-MC-POS-DC-04-RP-A
363000                     MOVE DFHBMUBF
363100                                 TO MM15-MC-POS-DC-01-A
363200                                    MM15-MC-POS-DC-04-A
363300                     MOVE SS08WS-CURSOR
363400                                 TO MM15-MC-POS-DC-04-L
363500                     GO TO W939-EXIT
363600                 END-IF
363700                 IF  MM15-MC-POS-DC-08 IS NOT EQUAL TO '5'
363800                     MOVE 'Y'    TO SS08WS-ERROR
363900                     MOVE DFHBMASB
364000                                 TO MM15-MC-POS-DC-01-LP-A
364100                                    MM15-MC-POS-DC-01-RP-A
364200                                    MM15-MC-POS-DC-08-LP-A
364300                                    MM15-MC-POS-DC-08-RP-A
364400                     MOVE DFHBMUBF
364500                                 TO MM15-MC-POS-DC-01-A
364600                                    MM15-MC-POS-DC-08-A
364700                     MOVE SS08WS-CURSOR
364800                                 TO MM15-MC-POS-DC-08-L
364900                     GO TO W939-EXIT
365000                 END-IF
365100                 IF  MM15-MC-POS-DC-09 IS NOT EQUAL TO '4'
365200                     MOVE 'Y'    TO SS08WS-ERROR
365300                     MOVE DFHBMASB
365400                                 TO MM15-MC-POS-DC-01-LP-A
365500                                    MM15-MC-POS-DC-01-RP-A
365600                                    MM15-MC-POS-DC-09-LP-A
365700                                    MM15-MC-POS-DC-09-RP-A
365800                     MOVE DFHBMUBF
365900                                 TO MM15-MC-POS-DC-01-A
366000                                    MM15-MC-POS-DC-09-A
366100                     MOVE SS08WS-CURSOR
366200                                 TO MM15-MC-POS-DC-09-L
366300                     GO TO W939-EXIT
366400                 END-IF
366500                 IF  MM15-MC-POS-DC-10 IS NOT EQUAL TO '0'
366600                 AND MM15-MC-POS-DC-10 IS NOT EQUAL TO '1'
366700                     MOVE 'Y'    TO SS08WS-ERROR
366800                     MOVE DFHBMASB
366900                                 TO MM15-MC-POS-DC-01-LP-A
367000                                    MM15-MC-POS-DC-01-RP-A
367100                                    MM15-MC-POS-DC-10-LP-A
367200                                    MM15-MC-POS-DC-10-RP-A
367300                     MOVE DFHBMUBF
367400                                 TO MM15-MC-POS-DC-01-A
367500                                    MM15-MC-POS-DC-10-A
367600                     MOVE SS08WS-CURSOR
367700                                 TO MM15-MC-POS-DC-10-L
367800                     GO TO W939-EXIT
367900                 END-IF
368000                 IF  MM15-MC-POS-DC-11 IS NOT EQUAL TO '1'
368100                     MOVE 'Y'    TO SS08WS-ERROR
368200                     MOVE DFHBMASB
368300                                 TO MM15-MC-POS-DC-01-LP-A
368400                                    MM15-MC-POS-DC-01-RP-A
368500                                    MM15-MC-POS-DC-11-LP-A
368600                                    MM15-MC-POS-DC-11-RP-A
368700                     MOVE DFHBMUBF
368800                                 TO MM15-MC-POS-DC-01-A
368900                                    MM15-MC-POS-DC-11-A
369000                     MOVE SS08WS-CURSOR
369100                                 TO MM15-MC-POS-DC-11-L
369200                     GO TO W939-EXIT
369300                 END-IF
369400                 IF  MM15-MC-POS-DC-12 IS NOT EQUAL TO '0'
369500                     MOVE 'Y'    TO SS08WS-ERROR
369600                     MOVE DFHBMASB
369700                                 TO MM15-MC-POS-DC-01-LP-A
369800                                    MM15-MC-POS-DC-01-RP-A
369900                                    MM15-MC-POS-DC-12-LP-A
370000                                    MM15-MC-POS-DC-12-RP-A
370100                     MOVE DFHBMUBF
370200                                 TO MM15-MC-POS-DC-01-A
370300                                    MM15-MC-POS-DC-12-A
370400                     MOVE SS08WS-CURSOR
370500                                 TO MM15-MC-POS-DC-12-L
370600                     GO TO W939-EXIT
370700                 END-IF
370800             END-IF
370900         WHEN OTHER
371000             IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO '1'
371100             AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '2'
371200             AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '3'
371300             AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '4'
371400             AND MM15-MC-POS-DC-04 IS NOT EQUAL TO '5'
371500               IF  MM15-MC-CATEGORY-CODE NOT EQUAL TO 6011
371600                 IF  MM15-MC-CATEGORY-CODE NOT EQUAL TO 6010
371700                     IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO 'S'
371800                     AND MM15-MC-POS-DC-04 IS NOT EQUAL TO 'T'
371900                     AND MM15-MC-POS-DC-04 IS NOT EQUAL TO 'U'
372000                     AND MM15-MC-POS-DC-04 IS NOT EQUAL TO 'V'
372100                         MOVE 'Y'
372200                                 TO SS08WS-ERROR
372300                         MOVE DFHBMASB
372400                                 TO MM15-MC-POS-DC-01-LP-A
372500                                    MM15-MC-POS-DC-01-RP-A
372600                                    MM15-MC-POS-DC-04-LP-A
372700                                    MM15-MC-POS-DC-04-RP-A
372800                         MOVE DFHBMUBF
372900                                 TO MM15-MC-POS-DC-01-A
373000                                    MM15-MC-POS-DC-04-A
373100                         MOVE SS08WS-CURSOR
373200                                 TO MM15-MC-POS-DC-04-L
373300                         GO TO W939-EXIT
373400                     END-IF
373500                 ELSE
373600                     IF  MM15-MC-CATEGORY-CODE IS EQUAL TO 6010
373700                         MOVE 'Y'
373800                                 TO SS08WS-ERROR
373900                         MOVE DFHBMASB
374000                                 TO MM15-MC-POS-DC-01-LP-A
374100                                    MM15-MC-POS-DC-01-RP-A
374200                                    MM15-MC-POS-DC-04-LP-A
374300                                    MM15-MC-POS-DC-04-RP-A
374400                                    MM15-MC-CATEGORY-CODE-LP-A
374500                                    MM15-MC-CATEGORY-CODE-RP-A
374600                         MOVE DFHBMUBF
374700                                 TO MM15-MC-POS-DC-01-A
374800                                    MM15-MC-POS-DC-04-A
374900                                    MM15-MC-CATEGORY-CODE-A
375000                         MOVE SS08WS-CURSOR
375100                                 TO MM15-MC-CATEGORY-CODE-L
375200                         GO TO W939-EXIT
375300                     END-IF
375400                 END-IF
375500               ELSE
375600                 IF  MM15-MC-CATEGORY-CODE IS EQUAL TO 6011
375700                     IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO '9'
375800                         MOVE 'Y'
375900                                 TO SS08WS-ERROR
376000                         MOVE DFHBMASB
376100                                 TO MM15-MC-POS-DC-01-LP-A
376200                                    MM15-MC-POS-DC-01-RP-A
376300                                    MM15-MC-POS-DC-04-LP-A
376400                                    MM15-MC-POS-DC-04-RP-A
376500                                    MM15-MC-CATEGORY-CODE-LP-A
376600                                    MM15-MC-CATEGORY-CODE-RP-A
376700                         MOVE DFHBMUBF
376800                                 TO MM15-MC-POS-DC-01-A
376900                                    MM15-MC-POS-DC-04-A
377000                                    MM15-MC-CATEGORY-CODE-A
377100                         MOVE SS08WS-CURSOR
377200                                 TO MM15-MC-CATEGORY-CODE-L
377300                         GO TO W939-EXIT
377400                     END-IF
377500                 END-IF
377600               END-IF
377700             END-IF
377800             IF  MM15-MC-POS-DC-01 IS NOT EQUAL TO '2'
377900             AND MM15-MC-POS-DC-01 IS NOT EQUAL TO '5'
378000                 MOVE 'Y'        TO SS08WS-ERROR
378100                 MOVE DFHBMASB   TO MM15-MC-POS-DC-01-LP-A
378200                                    MM15-MC-POS-DC-01-RP-A
378300                                    MM15-MC-POS-DC-04-LP-A
378400                                    MM15-MC-POS-DC-04-RP-A
378500                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-01-A
378600                                    MM15-MC-POS-DC-04-A
378700                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-04-L
378800                 GO TO W939-EXIT
378900             END-IF
379000             IF  MM15-MC-POS-DC-05 IS NOT EQUAL TO '0'
379100                 MOVE 'Y'        TO SS08WS-ERROR
379200                 MOVE DFHBMASB   TO MM15-MC-POS-DC-05-LP-A
379300                                    MM15-MC-POS-DC-05-RP-A
379400                                    MM15-MC-POS-DC-04-LP-A
379500                                    MM15-MC-POS-DC-04-RP-A
379600                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-05-A
379700                                    MM15-MC-POS-DC-04-A
379800                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-05-L
379900                 GO TO W939-EXIT
380000             END-IF
380100             IF  MM15-MC-POS-DC-06 IS NOT EQUAL TO '1'
380200                 MOVE 'Y'        TO SS08WS-ERROR
380300                 MOVE DFHBMASB   TO MM15-MC-POS-DC-06-LP-A
380400                                    MM15-MC-POS-DC-06-RP-A
380500                                    MM15-MC-POS-DC-04-LP-A
380600                                    MM15-MC-POS-DC-04-RP-A
380700                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-06-A
380800                                    MM15-MC-POS-DC-04-A
380900                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-06-L
381000                 GO TO W939-EXIT
381100             END-IF
381200             IF  MM15-MC-POS-DC-07 IS NOT EQUAL TO '2'
381300             AND MM15-MC-POS-DC-07 IS NOT EQUAL TO '5'
381400             AND MM15-MC-POS-DC-07 IS NOT EQUAL TO '6'
381500                 MOVE 'Y'        TO SS08WS-ERROR
381600                 MOVE DFHBMASB   TO MM15-MC-POS-DC-07-LP-A
381700                                    MM15-MC-POS-DC-07-RP-A
381800                                    MM15-MC-POS-DC-04-LP-A
381900                                    MM15-MC-POS-DC-04-RP-A
382000                 MOVE DFHBMUBF   TO MM15-MC-POS-DC-07-A
382100                                    MM15-MC-POS-DC-04-A
382200                 MOVE SS08WS-CURSOR TO MM15-MC-POS-DC-07-L
382300                 GO TO W939-EXIT
382400             END-IF
382500             IF  MM15-MC-POS-DC-02 IS NOT EQUAL TO '0'
382600                 IF  MM15-MC-POS-DC-02 IS NOT EQUAL TO '1'
382700                     MOVE 'Y'    TO SS08WS-ERROR
382800                     MOVE DFHBMASB
382900                                 TO MM15-MC-POS-DC-02-LP-A
383000                                    MM15-MC-POS-DC-02-RP-A
383100                                    MM15-MC-POS-DC-04-LP-A
383200                                    MM15-MC-POS-DC-04-RP-A
383300                     MOVE DFHBMUBF
383400                                 TO MM15-MC-POS-DC-02-A
383500                                    MM15-MC-POS-DC-04-A
383600                     MOVE SS08WS-CURSOR
383700                                 TO MM15-MC-POS-DC-02-L
383800                     GO TO W939-EXIT
383900                 END-IF
384000                 IF  MM15-MC-POS-DC-08 IS NOT EQUAL TO '1'
384100                     MOVE 'Y'    TO SS08WS-ERROR
384200                     MOVE DFHBMASB
384300                                 TO MM15-MC-POS-DC-08-LP-A
384400                                    MM15-MC-POS-DC-08-RP-A
384500                                    MM15-MC-POS-DC-04-LP-A
384600                                    MM15-MC-POS-DC-04-RP-A
384700                     MOVE DFHBMUBF
384800                                 TO MM15-MC-POS-DC-08-A
384900                                    MM15-MC-POS-DC-04-A
385000                     MOVE SS08WS-CURSOR
385100                                 TO MM15-MC-POS-DC-08-L
385200                     GO TO W939-EXIT
385300                 END-IF
385400             ELSE
385500                 IF  MM15-MC-POS-DC-08 IS NOT EQUAL TO '5'
385600                     MOVE 'Y'    TO SS08WS-ERROR
385700                     MOVE DFHBMASB
385800                                 TO MM15-MC-POS-DC-08-LP-A
385900                                    MM15-MC-POS-DC-08-RP-A
386000                                    MM15-MC-POS-DC-04-LP-A
386100                                    MM15-MC-POS-DC-04-RP-A
386200                     MOVE DFHBMUBF
386300                                 TO MM15-MC-POS-DC-08-A
386400                                    MM15-MC-POS-DC-04-A
386500                     MOVE SS08WS-CURSOR
386600                                 TO MM15-MC-POS-DC-08-L
386700                     GO TO W939-EXIT
386800                 END-IF
386900                 IF  MM15-MC-POS-DC-03 IS NOT EQUAL TO '0'
387000                     MOVE 'Y'    TO SS08WS-ERROR
387100                     MOVE DFHBMASB
387200                                 TO MM15-MC-POS-DC-03-LP-A
387300                                    MM15-MC-POS-DC-03-RP-A
387400                                    MM15-MC-POS-DC-04-LP-A
387500                                    MM15-MC-POS-DC-04-RP-A
387600                     MOVE DFHBMUBF
387700                                 TO MM15-MC-POS-DC-03-A
387800                                    MM15-MC-POS-DC-04-A
387900                     MOVE SS08WS-CURSOR
388000                                 TO MM15-MC-POS-DC-03-L
388100                     GO TO W939-EXIT
388200                 END-IF
388300             END-IF
388400     END-EVALUATE.
388500*
388600 W939-EXIT.
388700     EXIT.
388800*
388900 W940-CAT-X-EDIT.                                                 RG802901
389000*
389100     IF  SS08WS-ERROR-SW-YES
389200         GO TO W949-EXIT.
389300*
389400     IF  MM15-MC-CATEGORY-CODE IS EQUAL TO 5542
389500         IF  MM15-MC-CH-TERM-IND IS EQUAL TO ('1' OR '2')         RG802901
389510* MCC 5542 (AUTOMATED FUEL DISPENSERS) ARE ALLOWED TO HAVE        RG802901
389520* CAT LEVELS 1 OR 2                                               RG802901
389600             CONTINUE
389700         ELSE
389800             MOVE 'Y'            TO SS08WS-ERROR
389900             MOVE DFHBMASB       TO MM15-MC-CATEGORY-CODE-LP-A
390000                                    MM15-MC-CATEGORY-CODE-RP-A
390100                                    MM15-MC-CH-TERM-IND-LP-A
390200                                    MM15-MC-CH-TERM-IND-RP-A
390300             MOVE DFHBMNBF       TO MM15-MC-CATEGORY-CODE-A
390400             MOVE DFHBMUBF       TO MM15-MC-CH-TERM-IND-A
390500             MOVE SS08WS-CURSOR  TO MM15-MC-CATEGORY-CODE-L
390600         END-IF
390700     END-IF.
390800*
390805     IF MM15-MC-CH-TERM-IND IS EQUAL TO '2'                       RG802901
390810         IF MM15-MC-CATEGORY-CODE IS EQUAL TO 5542                RG802901
390812* IN ADDITION, CAT LEVEL 2 IS ONLY VALID FOR                      RG802901
390813* MCC 5542 (AUTOMATED FUEL DISPENSERS)                            RG802901
390815             CONTINUE                                             RG802901
390820          ELSE                                                    RG802901
390825             MOVE 'Y'            TO SS08WS-ERROR                  RG802901
390830             MOVE DFHBMASB       TO MM15-MC-CATEGORY-CODE-LP-A    RG802901
390835                                    MM15-MC-CATEGORY-CODE-RP-A    RG802901
390840                                    MM15-MC-CH-TERM-IND-LP-A      RG802901
390845                                    MM15-MC-CH-TERM-IND-RP-A      RG802901
390850             MOVE DFHBMNBF       TO MM15-MC-CATEGORY-CODE-A       RG802901
390855             MOVE DFHBMUBF       TO MM15-MC-CH-TERM-IND-A         RG802901
390860             MOVE SS08WS-CURSOR  TO MM15-MC-CH-TERM-IND-L         RG802901
390865         END-IF                                                   RG802901
390870     END-IF.                                                      RG802901
390875*                                                                 RG802901
390880     IF MM15-MC-CH-TERM-IND IS NOT EQUAL TO '6'                   RG802901
390885         GO TO W949-EXIT.                                         RG802901
390890* EDIT THE INTERCHANGE INDICATOR FOR CAT LEVEL 6 ONLY             RG802901
390895* IT MUST BE A '1' FOR STORES IN THE US, AND A 'B' FOR            RG802901
390900* STORES OUTSIDE THE US.                                          RG802901
390905     IF MM15-MC-MERIT-1                                           RG802901
390910*            (VALUE OF 1)                                         RG802901
390915         IF MMSM-COUNTRY-CODE (1) EQUAL TO ('US ' OR 'USA')       RG802901
390916* USE THE PRIMARY DEMOGRAPHICS AREA COUNTRY CODE                  RG802901
390920             CONTINUE                                             RG802901
390925          ELSE                                                    RG802901
390930             MOVE 'Y'            TO SS08WS-ERROR                  RG802901
390935             MOVE DFHBMASB       TO MM15-MC-INTCHG-FLAG-LP-A      RG802901
390940                                    MM15-MC-INTCHG-FLAG-RP-A      RG802901
390945                                    MM15-MC-CH-TERM-IND-LP-A      RG802901
390950                                    MM15-MC-CH-TERM-IND-RP-A      RG802901
390955             MOVE DFHBMUBF       TO MM15-MC-INTCHG-FLAG-A         RG802901
390960                                    MM15-MC-CH-TERM-IND-A         RG802901
390965             MOVE SS08WS-CURSOR  TO MM15-MC-INTCHG-FLAG-L         RG802901
390970         END-IF                                                   RG802901
390975     END-IF.                                                      RG802901
390980*                                                                 RG802901
390985     IF MM15-MC-INTL-ELECTRONIC                                   RG802901
390990*            (VALUE OF B)                                         RG802901
390995         IF MMSM-COUNTRY-CODE (1) IS NOT EQUAL TO ('US ' OR 'USA')RG802901
390996* USE THE PRIMARY DEMOGRAPHICS AREA COUNTRY CODE                  RG802901
391000             CONTINUE                                             RG802901
391005          ELSE                                                    RG802901
391010             MOVE 'Y'            TO SS08WS-ERROR                  RG802901
391015             MOVE DFHBMASB       TO MM15-MC-INTCHG-FLAG-LP-A      RG802901
391020                                    MM15-MC-INTCHG-FLAG-RP-A      RG802901
391025                                    MM15-MC-CH-TERM-IND-LP-A      RG802901
391030                                    MM15-MC-CH-TERM-IND-RP-A      RG802901
391035             MOVE DFHBMUBF       TO MM15-MC-INTCHG-FLAG-A         RG802901
391040                                    MM15-MC-CH-TERM-IND-A         RG802901
391045             MOVE SS08WS-CURSOR  TO MM15-MC-INTCHG-FLAG-L         RG802901
391050         END-IF                                                   RG802901
391055     END-IF.                                                      RG802901
391060*                                                                 RG802901
391065 W949-EXIT.                                                       RG802901
391070     EXIT.                                                        RG802901
391100*
391200/
391300 X000-UPDATE-FIELDS SECTION.
391400*
391500 X010-UPDATE-PROD-STATUS.
391600*
391700     IF  MM15-MC-STATUS-L IS GREATER THAN ZERO
391800         IF  MM15-MC-STATUS IS NOT EQUAL TO MMMP-PROD-STATUS
391900             SET WS-UPDATE-MMMP-SW-YES
392000                                 TO TRUE
392100             IF  MBCA-PTI-FUNCTION-IS-MAINT
392200             AND MMMP-ADD-COMPLETED
392300                 MOVE MMMMTB-PROD-STATUS (1:4)
392400                                 TO WS-INDEX-X
392500                 SET X-MMFS-MERCH
392600                                 TO WS-INDEX
392700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
392800                                 TO MML1-MMMP-AUDIT-CODE
392900                 MOVE 1451       TO MML1-FIELD-CODE
393000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
393100                                    MML1-FIELD-OCCURRENCE-2
393200                 MOVE MML1WS-VL-01
393300                                 TO MML1-VARIABLE-LENGTH
393400                 MOVE MMMP-PROD-STATUS
393500                                 TO MML1-VL01-B-DATA-X
393600                 MOVE MM15-MC-STATUS
393700                                 TO MMMP-PROD-STATUS
393800                                    MBCA-MBMM-PROD-STATUS
393900                 MOVE MMMP-PROD-STATUS
394000                                 TO MML1-VL01-A-DATA-X
394100                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
394200                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
394300                                 THRU Y919-WLR-EXIT
394400             ELSE
394500                 MOVE MM15-MC-STATUS
394600                                 TO MMMP-PROD-STATUS
394700                                    MBCA-MBMM-PROD-STATUS.
394800*
394900     IF  MMMM-SINGLE-STORE-YES
395000       IF  MM15-MC-STATUS-L IS GREATER THAN ZERO
395100         IF  MM15-MC-STATUS IS NOT EQUAL TO MMSM-MC-STATUS
395200             SET WS-UPDATE-MMSM-SW-YES
395300                                 TO TRUE
395400             IF  MBCA-PTI-FUNCTION-IS-MAINT
395500             AND MMSM-ADD-COMPLETED
395600                 MOVE MMMMTB-PROD-STATUS (1:4)
395700                                 TO WS-INDEX-X
395800                 SET X-MMFS-MERCH
395900                                 TO WS-INDEX
396000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
396100                                 TO MML1-MMSM-AUDIT-CODE
396200                 MOVE 9018       TO MML1-FIELD-CODE
396300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
396400                                    MML1-FIELD-OCCURRENCE-2
396500                 MOVE MML1WS-VL-01
396600                                 TO MML1-VARIABLE-LENGTH
396700                 MOVE MMSM-MC-STATUS
396800                                 TO MML1-VL01-B-DATA-X
396900                 MOVE MM15-MC-STATUS
397000                                 TO MMSM-MC-STATUS
397100                 MOVE MMSM-MC-STATUS
397200                                 TO MML1-VL01-A-DATA-X
397300                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
397400                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
397500                                 THRU Y929-WLR-EXIT
397600             ELSE
397700                 MOVE MM15-MC-STATUS
397800                                 TO MMSM-MC-STATUS
397900             END-IF
398000         END-IF
398100       END-IF
398200     ELSE
398300         PERFORM Y950-READ-MMXR  THRU Y959-EXIT
398400     END-IF.
398500*
398600 X019-EXIT.
398700     EXIT.
398800*
398900 X030-UPDATE-DISC-FEE-BASE.
399000*
399100     IF  MM15-PROD-DISC-FEE-BASE-L IS GREATER THAN ZERO
399200         IF  MM15-PROD-DISC-FEE-BASE IS NOT EQUAL TO
399300                                     MMMP-PROD-DISC-FEE-BASE
399400             SET WS-UPDATE-MMMP-SW-YES
399500                                 TO TRUE
399600             IF  MBCA-PTI-FUNCTION-IS-MAINT
399700             AND MMMP-ADD-COMPLETED
399800                 MOVE MMMMTB-PROD-DISC-FEE-BASE (1:4)
399900                                 TO WS-INDEX-X
400000                 SET X-MMFS-MERCH
400100                                 TO WS-INDEX
400200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
400300                                 TO MML1-MMMP-AUDIT-CODE
400400                 MOVE 1452       TO MML1-FIELD-CODE
400500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
400600                                    MML1-FIELD-OCCURRENCE-2
400700                 MOVE MML1WS-VL-01
400800                                 TO MML1-VARIABLE-LENGTH
400900                 MOVE MMMP-PROD-DISC-FEE-BASE
401000                                 TO MML1-VL01-B-DATA-X
401100                 MOVE MM15-PROD-DISC-FEE-BASE
401200                                 TO MMMP-PROD-DISC-FEE-BASE
401300                 MOVE MMMP-PROD-DISC-FEE-BASE
401400                                 TO MML1-VL01-A-DATA-X
401500                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
401600                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
401700                                 THRU Y919-WLR-EXIT
401800             ELSE
401900                 MOVE MM15-PROD-DISC-FEE-BASE
402000                                 TO MMMP-PROD-DISC-FEE-BASE.
402100*
402200 X039-EXIT.
402300     EXIT.
402400*
402500 X050-UPDATE-DISC-TABLE.
402600*
402700     IF  MM15-PROD-DISC-RATE-TBL-L IS GREATER THAN ZERO
402800         IF  MM15-PROD-DISC-RATE-TBL IS NOT EQUAL TO
402900                                    MMMP-PROD-DISC-RATE-TABLE
403000             SET WS-UPDATE-MMMP-SW-YES
403100                                 TO TRUE
403200             IF  MBCA-PTI-FUNCTION-IS-MAINT
403300             AND MMMP-ADD-COMPLETED
403400                 MOVE MMMMTB-PROD-DISC-RATE-TABLE (1:4)
403500                                 TO WS-INDEX-X
403600                 SET X-MMFS-MERCH
403700                                 TO WS-INDEX
403800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
403900                                 TO MML1-MMMP-AUDIT-CODE
404000                 MOVE 1453       TO MML1-FIELD-CODE
404100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
404200                                    MML1-FIELD-OCCURRENCE-2
404300                 MOVE MML1WS-VL-10
404400                                 TO MML1-VARIABLE-LENGTH
404500                 MOVE MMMP-PROD-DISC-RATE-TABLE
404600                                 TO MML1-VL10-B-DATA-9
404700                 MOVE MM15-PROD-DISC-RATE-TBL
404800                                 TO MMMP-PROD-DISC-RATE-TABLE
404900                 MOVE MMMP-PROD-DISC-RATE-TABLE
405000                                 TO MML1-VL10-A-DATA-9
405100                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
405200                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
405300                                 THRU Y919-WLR-EXIT
405400             ELSE
405500                 MOVE MM15-PROD-DISC-RATE-TBL
405600                                 TO MMMP-PROD-DISC-RATE-TABLE.
405700*
405800 X059-EXIT.
405900     EXIT.
406000*
406100 X070-UPDATE-EFF-DATE.
406200*
406300     IF  MM15-MC-EFF-DATE-L IS GREATER THAN ZERO
406400         MOVE MM15-MC-EFF-DATE TO SS01WS-DATE
406500         PERFORM SS07PD-GREG-TO-JUL
406600                                 THRU SS07PD-GTJ-EXIT
406700         IF  SS01WS-JULIAN IS NOT EQUAL
406800                                 TO MMMP-PROD-EFF-DATE
406900             SET WS-UPDATE-MMMP-SW-YES
407000                                 TO TRUE
407100             IF  MBCA-PTI-FUNCTION-IS-MAINT
407200             AND MMMP-ADD-COMPLETED
407300                 MOVE MMMMTB-PROD-EFF-DATE (1:4)
407400                                 TO WS-INDEX-X
407500                 SET X-MMFS-MERCH
407600                                 TO WS-INDEX
407700                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
407800                                 TO MML1-MMMP-AUDIT-CODE
407900                 MOVE 1454       TO MML1-FIELD-CODE
408000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
408100                                    MML1-FIELD-OCCURRENCE-2
408200                 MOVE MML1WS-VL-07
408300                                 TO MML1-VARIABLE-LENGTH
408400                 MOVE MMMP-PROD-EFF-DATE
408500                                 TO MML1-VL07-B-DATA-9
408600                 MOVE SS01WS-JULIAN
408700                                 TO MMMP-PROD-EFF-DATE
408800                 MOVE MMMP-PROD-EFF-DATE
408900                                 TO MML1-VL07-A-DATA-9
409000                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
409100                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
409200                                 THRU Y919-WLR-EXIT
409300             ELSE
409400                 MOVE SS01WS-JULIAN
409500                                 TO MMMP-PROD-EFF-DATE.
409600*
409700     IF  MMMM-SINGLE-STORE-YES
409800       IF  MM15-MC-EFF-DATE-L IS GREATER THAN ZERO
409900           MOVE MM15-MC-EFF-DATE TO SS01WS-DATE
410000           PERFORM SS07PD-GREG-TO-JUL
410100                                 THRU SS07PD-GTJ-EXIT
410200         IF  SS01WS-JULIAN IS NOT EQUAL
410300                                 TO MMSM-MC-EFF-DATE
410400             SET WS-UPDATE-MMSM-SW-YES
410500                                 TO TRUE
410600             IF  MBCA-PTI-FUNCTION-IS-MAINT
410700             AND MMSM-ADD-COMPLETED
410800                 MOVE MMMMTB-PROD-EFF-DATE (1:4)
410900                                 TO WS-INDEX-X
411000                 SET X-MMFS-MERCH
411100                                 TO WS-INDEX
411200                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
411300                                 TO MML1-MMSM-AUDIT-CODE
411400                 MOVE 9019       TO MML1-FIELD-CODE
411500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
411600                                    MML1-FIELD-OCCURRENCE-2
411700                 MOVE MML1WS-VL-07
411800                                 TO MML1-VARIABLE-LENGTH
411900                 MOVE MMSM-MC-EFF-DATE
412000                                 TO MML1-VL07-B-DATA-9
412100                 MOVE SS01WS-JULIAN
412200                                 TO MMSM-MC-EFF-DATE
412300                 MOVE MMSM-MC-EFF-DATE
412400                                 TO MML1-VL07-A-DATA-9
412500                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION
412600                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
412700                                 THRU Y929-WLR-EXIT
412800             ELSE
412900                 MOVE SS01WS-JULIAN
413000                                 TO MMSM-MC-EFF-DATE.
413100*
413200 X079-EXIT.
413300     EXIT.
413400*
413500 X090-UPDATE-PART-FEE-BASE.
413600*
413700     IF  MM15-PROD-PART-FEE-BASE-L IS GREATER THAN ZERO
413800         IF  MM15-PROD-PART-FEE-BASE IS NOT EQUAL TO
413900                                     MMMP-PROD-PART-FEE-BASE
414000             SET WS-UPDATE-MMMP-SW-YES
414100                                 TO TRUE
414200             IF  MBCA-PTI-FUNCTION-IS-MAINT
414300             AND MMMP-ADD-COMPLETED
414400                 MOVE MMMMTB-PROD-PART-FEE-BASE (1:4)
414500                                 TO WS-INDEX-X
414600                 SET X-MMFS-MERCH
414700                                 TO WS-INDEX
414800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
414900                                 TO MML1-MMMP-AUDIT-CODE
415000                 MOVE 1455       TO MML1-FIELD-CODE
415100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
415200                                    MML1-FIELD-OCCURRENCE-2
415300                 MOVE MML1WS-VL-01
415400                                 TO MML1-VARIABLE-LENGTH
415500                 MOVE MMMP-PROD-PART-FEE-BASE
415600                                 TO MML1-VL01-B-DATA-X
415700                 MOVE MM15-PROD-PART-FEE-BASE
415800                                 TO MMMP-PROD-PART-FEE-BASE
415900                 MOVE MMMP-PROD-PART-FEE-BASE
416000                                 TO MML1-VL01-A-DATA-X
416100                 MOVE 'FC28'     TO MBCA-PROGRAM-LOCATION
416200                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
416300                                 THRU Y919-WLR-EXIT
416400             ELSE
416500                 MOVE MM15-PROD-PART-FEE-BASE
416600                                 TO MMMP-PROD-PART-FEE-BASE.
416700*
416800 X099-EXIT.
416900     EXIT.
417000*
417100 X110-UPDATE-PART-TABLE.
417200*
417300     IF  MM15-PROD-PART-RATE-TBL-L IS GREATER THAN ZERO
417400         IF  MM15-PROD-PART-RATE-TBL IS NOT EQUAL TO
417500                                    MMMP-PROD-PART-RATE-TABLE
417600             SET WS-UPDATE-MMMP-SW-YES
417700                                 TO TRUE
417800             IF  MBCA-PTI-FUNCTION-IS-MAINT
417900             AND MMMP-ADD-COMPLETED
418000                 MOVE MMMMTB-PROD-PART-RATE-TABLE (1:4)
418100                                 TO WS-INDEX-X
418200                 SET X-MMFS-MERCH
418300                                 TO WS-INDEX
418400                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
418500                                 TO MML1-MMMP-AUDIT-CODE
418600                 MOVE 1456       TO MML1-FIELD-CODE
418700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
418800                                    MML1-FIELD-OCCURRENCE-2
418900                 MOVE MML1WS-VL-10
419000                                 TO MML1-VARIABLE-LENGTH
419100                 MOVE MMMP-PROD-PART-RATE-TABLE
419200                                 TO MML1-VL10-B-DATA-9
419300                 MOVE MM15-PROD-PART-RATE-TBL
419400                                 TO MMMP-PROD-PART-RATE-TABLE
419500                 MOVE MMMP-PROD-PART-RATE-TABLE
419600                                 TO MML1-VL10-A-DATA-9
419700                 MOVE 'FC29'     TO MBCA-PROGRAM-LOCATION
419800                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
419900                                 THRU Y919-WLR-EXIT
420000             ELSE
420100                 MOVE MM15-PROD-PART-RATE-TBL
420200                                 TO MMMP-PROD-PART-RATE-TABLE.
420300*
420400 X119-EXIT.
420500     EXIT.
420600*
420700 X130-UPDATE-SETTLE-FLAG.
420800*
420900     IF  MM15-PROD-SETTLE-FLAG-L IS GREATER THAN ZERO
421000         IF  MM15-PROD-SETTLE-FLAG IS NOT EQUAL TO
421100                                   MMMP-PROD-SETTLE-FLAG
421200             SET WS-UPDATE-MMMP-SW-YES
421300                                 TO TRUE
421400             IF  MBCA-PTI-FUNCTION-IS-MAINT
421500             AND MMMP-ADD-COMPLETED
421600                 MOVE MMMMTB-PROD-SETT-FLAG (1:4)
421700                                 TO WS-INDEX-X
421800                 SET X-MMFS-MERCH
421900                                 TO WS-INDEX
422000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
422100                                 TO MML1-MMMP-AUDIT-CODE
422200                 MOVE 1457       TO MML1-FIELD-CODE
422300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
422400                                    MML1-FIELD-OCCURRENCE-2
422500                 MOVE MML1WS-VL-01
422600                                 TO MML1-VARIABLE-LENGTH
422700                 MOVE MMMP-PROD-SETTLE-FLAG
422800                                 TO MML1-VL01-B-DATA-X
422900                 MOVE MM15-PROD-SETTLE-FLAG
423000                                 TO MMMP-PROD-SETTLE-FLAG
423100                 MOVE MMMP-PROD-SETTLE-FLAG
423200                                 TO MML1-VL01-A-DATA-X
423300                 MOVE 'FC30'     TO MBCA-PROGRAM-LOCATION
423400                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
423500                                 THRU Y919-WLR-EXIT
423600             ELSE
423700                 MOVE MM15-PROD-SETTLE-FLAG
423800                                 TO MMMP-PROD-SETTLE-FLAG.
423900*
424000 X139-EXIT.
424100     EXIT.
424200*
424300 X170-UPDATE-RESV-1-FEE-BASE.
424400*
424500     SET X-MMMM-RESV             TO 1.
424600     SET X-MMMP-PROD-RESV        TO 1.
424700*
424800     IF  MM15-PROD-RESV-1-FEE-BASE-L IS GREATER THAN ZERO
424900         IF  MM15-PROD-RESV-1-FEE-BASE IS NOT EQUAL TO
425000                                     MMMP-PROD-RESV-FEE-BASE
425100                                     (X-MMMP-PROD-RESV)
425200             SET WS-UPDATE-MMMP-SW-YES
425300                                 TO TRUE
425400             IF  MBCA-PTI-FUNCTION-IS-MAINT
425500             AND MMMP-ADD-COMPLETED
425600                 MOVE MMMMTB-PROD-RESV-1-FEE-BASE (1:4)
425700                                 TO WS-INDEX-X
425800                 SET X-MMFS-MERCH
425900                                 TO WS-INDEX
426000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
426100                                 TO MML1-MMMP-AUDIT-CODE
426200                 MOVE 1458       TO MML1-FIELD-CODE
426300                 SET  MML1-FIELD-OCCURRENCE
426400                                 TO X-MMMP-PROD-RESV
426500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
426600                 MOVE MML1WS-VL-01
426700                                 TO MML1-VARIABLE-LENGTH
426800                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
426900                                 TO MML1-VL01-B-DATA-X
427000                 MOVE MM15-PROD-RESV-1-FEE-BASE
427100                                 TO MMMP-PROD-RESV-FEE-BASE
427200                                    (X-MMMP-PROD-RESV)
427300                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
427400                                 TO MML1-VL01-A-DATA-X
427500                 MOVE 'FC31'     TO MBCA-PROGRAM-LOCATION
427600                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
427700                                 THRU Y919-WLR-EXIT
427800             ELSE
427900                 MOVE MM15-PROD-RESV-1-FEE-BASE
428000                                 TO MMMP-PROD-RESV-FEE-BASE
428100                                    (X-MMMP-PROD-RESV).
428200*
428300 X179-EXIT.
428400     EXIT.
428500*
428600 X190-UPDATE-RESV-1-TABLE.
428700*
428800     IF  MM15-PROD-RESV-1-RATE-TBL-L IS GREATER THAN ZERO
428900         IF  MM15-PROD-RESV-1-RATE-TBL IS NOT EQUAL TO
429000                                    MMMP-PROD-RESV-RATE-TABLE
429100                                    (X-MMMP-PROD-RESV)
429200             SET WS-UPDATE-MMMP-SW-YES
429300                                 TO TRUE
429400             IF  MBCA-PTI-FUNCTION-IS-MAINT
429500             AND MMMP-ADD-COMPLETED
429600                 MOVE MMMMTB-PROD-RESV-1-RATE-TABLE (1:4)
429700                                 TO WS-INDEX-X
429800                 SET X-MMFS-MERCH
429900                                 TO WS-INDEX
430000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
430100                                 TO MML1-MMMP-AUDIT-CODE
430200                 MOVE 1459       TO MML1-FIELD-CODE
430300                 SET  MML1-FIELD-OCCURRENCE
430400                                 TO X-MMMP-PROD-RESV
430500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
430600                 MOVE MML1WS-VL-10
430700                                 TO MML1-VARIABLE-LENGTH
430800                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
430900                                 TO MML1-VL10-B-DATA-9
431000                 MOVE MM15-PROD-RESV-1-RATE-TBL
431100                                 TO MMMP-PROD-RESV-RATE-TABLE
431200                                    (X-MMMP-PROD-RESV)
431300                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
431400                                 TO MML1-VL10-A-DATA-9
431500                 MOVE 'FC32'     TO MBCA-PROGRAM-LOCATION
431600                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
431700                                 THRU Y919-WLR-EXIT
431800             ELSE
431900                 MOVE MM15-PROD-RESV-1-RATE-TBL
432000                                 TO MMMP-PROD-RESV-RATE-TABLE
432100                                    (X-MMMP-PROD-RESV).
432200*
432300 X199-EXIT.
432400     EXIT.
432500*
432600 X210-UPDATE-SOURCE.
432700*
432800     IF  MM15-PROD-SOURCE-L IS GREATER THAN ZERO
432900         IF  MM15-PROD-SOURCE IS NOT EQUAL TO
433000                                    MMMP-PROD-SOURCE
433100             SET WS-UPDATE-MMMP-SW-YES
433200                                 TO TRUE
433300             IF  MBCA-PTI-FUNCTION-IS-MAINT
433400             AND MMMP-ADD-COMPLETED
433500                 MOVE MMMMTB-PROD-SOURCE (1:4)
433600                                 TO WS-INDEX-X
433700                 SET X-MMFS-MERCH
433800                                 TO WS-INDEX
433900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
434000                                 TO MML1-MMMP-AUDIT-CODE
434100                 MOVE 1460       TO MML1-FIELD-CODE
434200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
434300                                    MML1-FIELD-OCCURRENCE-2
434400                 MOVE MML1WS-VL-05
434500                                 TO MML1-VARIABLE-LENGTH
434600                 MOVE MMMP-PROD-SOURCE
434700                                 TO MML1-VL05-B-DATA-X
434800                 MOVE MM15-PROD-SOURCE
434900                                 TO MMMP-PROD-SOURCE
435000                 MOVE MMMP-PROD-SOURCE
435100                                 TO MML1-VL05-A-DATA-X
435200                 MOVE 'FC33'     TO MBCA-PROGRAM-LOCATION
435300                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
435400                                 THRU Y919-WLR-EXIT
435500             ELSE
435600                 MOVE MM15-PROD-SOURCE
435700                                 TO MMMP-PROD-SOURCE.
435800*
435900 X219-EXIT.
436000     EXIT.
436100*
436200 X230-UPDATE-RESV-2-FEE-BASE.
436300*
436400     SET X-MMMM-RESV             TO 2.
436500     SET X-MMMP-PROD-RESV        TO 2.
436600*
436700     IF  MM15-PROD-RESV-2-FEE-BASE-L IS GREATER THAN ZERO
436800         IF  MM15-PROD-RESV-2-FEE-BASE IS NOT EQUAL TO
436900                                     MMMP-PROD-RESV-FEE-BASE
437000                                     (X-MMMP-PROD-RESV)
437100             SET WS-UPDATE-MMMP-SW-YES
437200                                 TO TRUE
437300             IF  MBCA-PTI-FUNCTION-IS-MAINT
437400             AND MMMP-ADD-COMPLETED
437500                 MOVE MMMMTB-PROD-RESV-2-FEE-BASE (1:4)
437600                                 TO WS-INDEX-X
437700                 SET X-MMFS-MERCH
437800                                 TO WS-INDEX
437900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
438000                                 TO MML1-MMMP-AUDIT-CODE
438100                 MOVE 1458       TO MML1-FIELD-CODE
438200                 SET  MML1-FIELD-OCCURRENCE
438300                                 TO X-MMMP-PROD-RESV
438400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
438500                 MOVE MML1WS-VL-01
438600                                 TO MML1-VARIABLE-LENGTH
438700                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
438800                                 TO MML1-VL01-B-DATA-X
438900                 MOVE MM15-PROD-RESV-2-FEE-BASE
439000                                 TO MMMP-PROD-RESV-FEE-BASE
439100                                    (X-MMMP-PROD-RESV)
439200                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
439300                                 TO MML1-VL01-A-DATA-X
439400                 MOVE 'FC34'     TO MBCA-PROGRAM-LOCATION
439500                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
439600                                 THRU Y919-WLR-EXIT
439700             ELSE
439800                 MOVE MM15-PROD-RESV-2-FEE-BASE
439900                                 TO MMMP-PROD-RESV-FEE-BASE
440000                                    (X-MMMP-PROD-RESV).
440100*
440200 X239-EXIT.
440300     EXIT.
440400*
440500 X250-UPDATE-RESV-2-TABLE.
440600*
440700     IF  MM15-PROD-RESV-2-RATE-TBL-L IS GREATER THAN ZERO
440800         IF  MM15-PROD-RESV-2-RATE-TBL IS NOT EQUAL TO
440900                                    MMMP-PROD-RESV-RATE-TABLE
441000                                    (X-MMMP-PROD-RESV)
441100             SET WS-UPDATE-MMMP-SW-YES
441200                                 TO TRUE
441300             IF  MBCA-PTI-FUNCTION-IS-MAINT
441400             AND MMMP-ADD-COMPLETED
441500                 MOVE MMMMTB-PROD-RESV-2-RATE-TABLE (1:4)
441600                                 TO WS-INDEX-X
441700                 SET X-MMFS-MERCH
441800                                 TO WS-INDEX
441900                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
442000                                 TO MML1-MMMP-AUDIT-CODE
442100                 MOVE 1459       TO MML1-FIELD-CODE
442200                 SET  MML1-FIELD-OCCURRENCE
442300                                 TO X-MMMP-PROD-RESV
442400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
442500                 MOVE MML1WS-VL-10
442600                                 TO MML1-VARIABLE-LENGTH
442700                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
442800                                 TO MML1-VL10-B-DATA-9
442900                 MOVE MM15-PROD-RESV-2-RATE-TBL
443000                                 TO MMMP-PROD-RESV-RATE-TABLE
443100                                    (X-MMMP-PROD-RESV)
443200                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
443300                                 TO MML1-VL10-A-DATA-9
443400                 MOVE 'FC35'     TO MBCA-PROGRAM-LOCATION
443500                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
443600                                 THRU Y919-WLR-EXIT
443700             ELSE
443800                 MOVE MM15-PROD-RESV-2-RATE-TBL
443900                                 TO MMMP-PROD-RESV-RATE-TABLE
444000                                    (X-MMMP-PROD-RESV).
444100*
444200 X259-EXIT.
444300     EXIT.
444400*
444500 X270-UPDATE-SHORT-DESC.
444600*
444700     IF  MM15-PROD-SHORT-DESC-L IS GREATER THAN ZERO
444800         IF  MM15-PROD-SHORT-DESC IS NOT EQUAL TO
444900                                    MMMP-PROD-SHORT-DESC
445000             SET WS-UPDATE-MMMP-SW-YES
445100                                 TO TRUE
445200             IF  MBCA-PTI-FUNCTION-IS-MAINT
445300             AND MMMP-ADD-COMPLETED
445400                 MOVE MMMMTB-PROD-SHORT-DESC (1:4)
445500                                 TO WS-INDEX-X
445600                 SET X-MMFS-MERCH
445700                                 TO WS-INDEX
445800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
445900                                 TO MML1-MMMP-AUDIT-CODE
446000                 MOVE 1461       TO MML1-FIELD-CODE
446100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
446200                                    MML1-FIELD-OCCURRENCE-2
446300                 MOVE MML1WS-VL-05
446400                                 TO MML1-VARIABLE-LENGTH
446500                 MOVE MMMP-PROD-SHORT-DESC
446600                                 TO MML1-VL05-B-DATA-X
446700                 MOVE MM15-PROD-SHORT-DESC
446800                                 TO MMMP-PROD-SHORT-DESC
446900                 MOVE MMMP-PROD-SHORT-DESC
447000                                 TO MML1-VL05-A-DATA-X
447100                 MOVE 'FC36'     TO MBCA-PROGRAM-LOCATION
447200                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
447300                                 THRU Y919-WLR-EXIT
447400             ELSE
447500                 MOVE MM15-PROD-SHORT-DESC
447600                                 TO MMMP-PROD-SHORT-DESC.
447700*
447800 X279-EXIT.
447900     EXIT.
448000*
448100 X290-UPDATE-RESV-3-FEE-BASE.
448200*
448300     SET X-MMMM-RESV             TO 3.
448400     SET X-MMMP-PROD-RESV        TO 3.
448500*
448600     IF  MM15-PROD-RESV-3-FEE-BASE-L IS GREATER THAN ZERO
448700         IF  MM15-PROD-RESV-3-FEE-BASE IS NOT EQUAL TO
448800                                     MMMP-PROD-RESV-FEE-BASE
448900                                     (X-MMMP-PROD-RESV)
449000             SET WS-UPDATE-MMMP-SW-YES
449100                                 TO TRUE
449200             IF  MBCA-PTI-FUNCTION-IS-MAINT
449300             AND MMMP-ADD-COMPLETED
449400                 MOVE MMMMTB-PROD-RESV-3-FEE-BASE (1:4)
449500                                 TO WS-INDEX-X
449600                 SET X-MMFS-MERCH
449700                                 TO WS-INDEX
449800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
449900                                 TO MML1-MMMP-AUDIT-CODE
450000                 MOVE 1458       TO MML1-FIELD-CODE
450100                 SET  MML1-FIELD-OCCURRENCE
450200                                 TO X-MMMP-PROD-RESV
450300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
450400                 MOVE MML1WS-VL-01
450500                                 TO MML1-VARIABLE-LENGTH
450600                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
450700                                 TO MML1-VL01-B-DATA-X
450800                 MOVE MM15-PROD-RESV-3-FEE-BASE
450900                                 TO MMMP-PROD-RESV-FEE-BASE
451000                                    (X-MMMP-PROD-RESV)
451100                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
451200                                 TO MML1-VL01-A-DATA-X
451300                 MOVE 'FC37'     TO MBCA-PROGRAM-LOCATION
451400                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
451500                                 THRU Y919-WLR-EXIT
451600             ELSE
451700                 MOVE MM15-PROD-RESV-3-FEE-BASE
451800                                 TO MMMP-PROD-RESV-FEE-BASE
451900                                    (X-MMMP-PROD-RESV).
452000*
452100 X299-EXIT.
452200     EXIT.
452300*
452400 X310-UPDATE-RESV-3-TABLE.
452500*
452600     IF  MM15-PROD-RESV-3-RATE-TBL-L IS GREATER THAN ZERO
452700         IF  MM15-PROD-RESV-3-RATE-TBL IS NOT EQUAL TO
452800                                    MMMP-PROD-RESV-RATE-TABLE
452900                                    (X-MMMP-PROD-RESV)
453000             SET WS-UPDATE-MMMP-SW-YES
453100                                 TO TRUE
453200             IF  MBCA-PTI-FUNCTION-IS-MAINT
453300             AND MMMP-ADD-COMPLETED
453400                 MOVE MMMMTB-PROD-RESV-3-RATE-TABLE (1:4)
453500                                 TO WS-INDEX-X
453600                 SET X-MMFS-MERCH
453700                                 TO WS-INDEX
453800                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
453900                                 TO MML1-MMMP-AUDIT-CODE
454000                 MOVE 1459       TO MML1-FIELD-CODE
454100                 SET  MML1-FIELD-OCCURRENCE
454200                                 TO X-MMMP-PROD-RESV
454300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
454400                 MOVE MML1WS-VL-10
454500                                 TO MML1-VARIABLE-LENGTH
454600                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
454700                                 TO MML1-VL10-B-DATA-9
454800                 MOVE MM15-PROD-RESV-3-RATE-TBL
454900                                 TO MMMP-PROD-RESV-RATE-TABLE
455000                                    (X-MMMP-PROD-RESV)
455100                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
455200                                 TO MML1-VL10-A-DATA-9
455300                 MOVE 'FC38'     TO MBCA-PROGRAM-LOCATION
455400                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
455500                                 THRU Y919-WLR-EXIT
455600             ELSE
455700                 MOVE MM15-PROD-RESV-3-RATE-TBL
455800                                 TO MMMP-PROD-RESV-RATE-TABLE
455900                                    (X-MMMP-PROD-RESV).
456000*
456100 X319-EXIT.
456200     EXIT.
456300*
456400 X330-UPDATE-RESV-4-FEE-BASE.
456500*
456600     SET X-MMMM-RESV             TO 4.
456700     SET X-MMMP-PROD-RESV        TO 4.
456800*
456900     IF  MM15-PROD-RESV-4-FEE-BASE-L IS GREATER THAN ZERO
457000         IF  MM15-PROD-RESV-4-FEE-BASE IS NOT EQUAL TO
457100                                     MMMP-PROD-RESV-FEE-BASE
457200                                     (X-MMMP-PROD-RESV)
457300             SET WS-UPDATE-MMMP-SW-YES
457400                                 TO TRUE
457500             IF  MBCA-PTI-FUNCTION-IS-MAINT
457600             AND MMMP-ADD-COMPLETED
457700                 MOVE MMMMTB-PROD-RESV-4-FEE-BASE (1:4)
457800                                 TO WS-INDEX-X
457900                 SET X-MMFS-MERCH
458000                                 TO WS-INDEX
458100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
458200                                 TO MML1-MMMP-AUDIT-CODE
458300                 MOVE 1458       TO MML1-FIELD-CODE
458400                 SET  MML1-FIELD-OCCURRENCE
458500                                 TO X-MMMP-PROD-RESV
458600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
458700                 MOVE MML1WS-VL-01
458800                                 TO MML1-VARIABLE-LENGTH
458900                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
459000                                 TO MML1-VL01-B-DATA-X
459100                 MOVE MM15-PROD-RESV-4-FEE-BASE
459200                                 TO MMMP-PROD-RESV-FEE-BASE
459300                                    (X-MMMP-PROD-RESV)
459400                 MOVE MMMP-PROD-RESV-FEE-BASE (X-MMMP-PROD-RESV)
459500                                 TO MML1-VL01-A-DATA-X
459600                 MOVE 'FC39'     TO MBCA-PROGRAM-LOCATION
459700                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
459800                                 THRU Y919-WLR-EXIT
459900             ELSE
460000                 MOVE MM15-PROD-RESV-4-FEE-BASE
460100                                 TO MMMP-PROD-RESV-FEE-BASE
460200                                    (X-MMMP-PROD-RESV).
460300*
460400 X339-EXIT.
460500     EXIT.
460600*
460700 X350-UPDATE-RESV-4-TABLE.
460800*
460900     IF  MM15-PROD-RESV-4-RATE-TBL-L IS GREATER THAN ZERO
461000         IF  MM15-PROD-RESV-4-RATE-TBL IS NOT EQUAL TO
461100                                    MMMP-PROD-RESV-RATE-TABLE
461200                                    (X-MMMP-PROD-RESV)
461300             SET WS-UPDATE-MMMP-SW-YES
461400                                 TO TRUE
461500             IF  MBCA-PTI-FUNCTION-IS-MAINT
461600             AND MMMP-ADD-COMPLETED
461700                 MOVE MMMMTB-PROD-RESV-4-RATE-TABLE (1:4)
461800                                 TO WS-INDEX-X
461900                 SET X-MMFS-MERCH
462000                                 TO WS-INDEX
462100                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
462200                                 TO MML1-MMMP-AUDIT-CODE
462300                 MOVE 1459       TO MML1-FIELD-CODE
462400                 SET  MML1-FIELD-OCCURRENCE
462500                                 TO X-MMMP-PROD-RESV
462600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
462700                 MOVE MML1WS-VL-10
462800                                 TO MML1-VARIABLE-LENGTH
462900                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
463000                                 TO MML1-VL10-B-DATA-9
463100                 MOVE MM15-PROD-RESV-4-RATE-TBL
463200                                 TO MMMP-PROD-RESV-RATE-TABLE
463300                                    (X-MMMP-PROD-RESV)
463400                 MOVE MMMP-PROD-RESV-RATE-TABLE (X-MMMP-PROD-RESV)
463500                                 TO MML1-VL10-A-DATA-9
463600                 MOVE 'FC40'     TO MBCA-PROGRAM-LOCATION
463700                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
463800                                 THRU Y919-WLR-EXIT
463900             ELSE
464000                 MOVE MM15-PROD-RESV-4-RATE-TBL
464100                                 TO MMMP-PROD-RESV-RATE-TABLE
464200                                    (X-MMMP-PROD-RESV).
464300*
464400 X359-EXIT.
464500     EXIT.
464600*
464700 X370-UPDATE-USER-CODE.
464800*
464900     IF  MM15-PROD-USER-CODE-L IS GREATER THAN ZERO
465000         IF  MM15-PROD-USER-CODE IS NOT EQUAL TO
465100                                    MMMP-PROD-USER-CODE
465200             SET WS-UPDATE-MMMP-SW-YES
465300                                 TO TRUE
465400             IF  MBCA-PTI-FUNCTION-IS-MAINT
465500             AND MMMP-ADD-COMPLETED
465600                 MOVE MMMMTB-PROD-USER-CODE (1:4)
465700                                 TO WS-INDEX-X
465800                 SET X-MMFS-MERCH
465900                                 TO WS-INDEX
466000                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
466100                                 TO MML1-MMMP-AUDIT-CODE
466200                 MOVE 1462       TO MML1-FIELD-CODE
466300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
466400                                    MML1-FIELD-OCCURRENCE-2
466500                 MOVE MML1WS-VL-02
466600                                 TO MML1-VARIABLE-LENGTH
466700                 MOVE MMMP-PROD-USER-CODE
466800                                 TO MML1-VL02-B-DATA-X
466900                 MOVE MM15-PROD-USER-CODE
467000                                 TO MMMP-PROD-USER-CODE
467100                 MOVE MMMP-PROD-USER-CODE
467200                                 TO MML1-VL02-A-DATA-X
467300                 MOVE 'FC41'     TO MBCA-PROGRAM-LOCATION
467400                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
467500                                 THRU Y919-WLR-EXIT
467600             ELSE
467700                 MOVE MM15-PROD-USER-CODE
467800                                 TO MMMP-PROD-USER-CODE.
467900*
468000 X379-EXIT.
468100     EXIT.
468200*
468300 X390-UPDATE-INTCHG-FEE-BASE.
468400*
468500     IF  MM15-PROD-INTCHG-FEE-BASE-L IS GREATER THAN ZERO
468600         IF  MM15-PROD-INTCHG-FEE-BASE IS NOT EQUAL TO
468700                                    MMMP-PROD-INTCHG-FEE-BASE
468800             SET WS-UPDATE-MMMP-SW-YES
468900                                 TO TRUE
469000             IF  MBCA-PTI-FUNCTION-IS-MAINT
469100             AND MMMP-ADD-COMPLETED
469200                 MOVE MMMMTB-PROD-INTCHG-FEE-BASE (1:4)
469300                                 TO WS-INDEX-X
469400                 SET X-MMFS-MERCH
469500                                 TO WS-INDEX
469600                 MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
469700                                 TO MML1-MMMP-AUDIT-CODE
469800                 MOVE 1463       TO MML1-FIELD-CODE
469900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
470000                                    MML1-FIELD-OCCURRENCE-2
470100                 MOVE MML1WS-VL-01
470200                                 TO MML1-VARIABLE-LENGTH
470300                 MOVE MMMP-PROD-INTCHG-FEE-BASE
470400                                 TO MML1-VL01-B-DATA-X
470500                 MOVE MM15-PROD-INTCHG-FEE-BASE
470600                                 TO MMMP-PROD-INTCHG-FEE-BASE
470700                 MOVE MMMP-PROD-INTCHG-FEE-BASE
470800                                 TO MML1-VL01-A-DATA-X
470900                 MOVE 'FC42'     TO MBCA-PROGRAM-LOCATION
471000                 PERFORM Y910-WRITE-MMMP-LOG-RECORD
471100                                 THRU Y919-WLR-EXIT
471200             ELSE
471300                 MOVE MM15-PROD-INTCHG-FEE-BASE
471400                                 TO MMMP-PROD-INTCHG-FEE-BASE.
471500*
471600 X399-EXIT.
471700     EXIT.
471800*
471900 X410-UPDATE-DBA-NAME.
472000*
472100     IF  MM15-MC-DBA-NAME-L IS GREATER THAN ZERO
472200         IF  MM15-MC-DBA-NAME IS NOT EQUAL TO
472300                                    MMSM-MC-DBA-NAME
472400             SET WS-UPDATE-MMSM-SW-YES
472500                                 TO TRUE
472600             IF  MBCA-PTI-FUNCTION-IS-MAINT
472700             AND MMSM-ADD-COMPLETED
472800                 MOVE MMSMTB-MC-DBA-NAME (1:4)
472900                                 TO WS-INDEX-X
473000                 SET X-MMFS-STORE
473100                                 TO WS-INDEX
473200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
473300                                 TO MML1-MMSM-AUDIT-CODE
473400                 MOVE 0801       TO MML1-FIELD-CODE
473500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
473600                                    MML1-FIELD-OCCURRENCE-2
473700                 MOVE MML1WS-VL-30
473800                                 TO MML1-VARIABLE-LENGTH
473900                 MOVE MMSM-MC-DBA-NAME
474000                                 TO MML1-VL30-B-DATA-X
474100                 MOVE MM15-MC-DBA-NAME
474200                                 TO MMSM-MC-DBA-NAME
474300                 MOVE MMSM-MC-DBA-NAME
474400                                 TO MML1-VL30-A-DATA-X
474500                 MOVE 'FC43'     TO MBCA-PROGRAM-LOCATION
474600                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
474700                                 THRU Y929-WLR-EXIT
474800             ELSE
474900                 MOVE MM15-MC-DBA-NAME
475000                                 TO MMSM-MC-DBA-NAME.
475100*
475200 X419-EXIT.
475300     EXIT.
475400*
475500 X430-UPDATE-CIRRUS-IND.
475600*
475700     IF  MM15-MC-CIRRUS-IND-L IS GREATER THAN ZERO
475800         IF  MM15-MC-CIRRUS-IND IS NOT EQUAL TO
475900                                    MMSM-MC-CIRRUS-IND
476000             SET WS-UPDATE-MMSM-SW-YES
476100                                 TO TRUE
476200             IF  MBCA-PTI-FUNCTION-IS-MAINT
476300             AND MMSM-ADD-COMPLETED
476400                 MOVE MMSMTB-MC-CIRRUS-IND (1:4)
476500                                 TO WS-INDEX-X
476600                 SET X-MMFS-STORE
476700                                 TO WS-INDEX
476800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
476900                                 TO MML1-MMSM-AUDIT-CODE
477000                 MOVE 0802       TO MML1-FIELD-CODE
477100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
477200                                    MML1-FIELD-OCCURRENCE-2
477300                 MOVE MML1WS-VL-30
477400                                 TO MML1-VARIABLE-LENGTH
477500                 MOVE MMSM-MC-CIRRUS-IND
477600                                 TO MML1-VL30-B-DATA-X
477700                 MOVE MM15-MC-CIRRUS-IND
477800                                 TO MMSM-MC-CIRRUS-IND
477900                 MOVE MMSM-MC-CIRRUS-IND
478000                                 TO MML1-VL30-A-DATA-X
478100                 MOVE 'FC44'     TO MBCA-PROGRAM-LOCATION
478200                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
478300                                 THRU Y929-WLR-EXIT
478400             ELSE
478500                 MOVE MM15-MC-CIRRUS-IND
478600                                 TO MMSM-MC-CIRRUS-IND.
478700*
478800 X439-EXIT.
478900     EXIT.
479000*
479100 X450-UPDATE-INTCHG-IND.
479200*
479300     IF  MM15-MC-INTCHG-FLAG-L IS GREATER THAN ZERO
479400         IF  MM15-MC-INTCHG-FLAG IS NOT EQUAL TO
479500                                    MMSM-MC-INTCHG-FLAG
479600             SET WS-UPDATE-MMSM-SW-YES
479700                                 TO TRUE
479800             IF  MBCA-PTI-FUNCTION-IS-MAINT
479900             AND MMSM-ADD-COMPLETED
480000                 MOVE MMSMTB-MC-INTCHG-IND (1:4)
480100                                 TO WS-INDEX-X
480200                 SET X-MMFS-STORE
480300                                 TO WS-INDEX
480400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
480500                                 TO MML1-MMSM-AUDIT-CODE
480600                 MOVE 0803       TO MML1-FIELD-CODE
480700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
480800                                    MML1-FIELD-OCCURRENCE-2
480900                 MOVE MML1WS-VL-01
481000                                 TO MML1-VARIABLE-LENGTH
481100                 MOVE MMSM-MC-INTCHG-FLAG
481200                                 TO MML1-VL01-B-DATA-X
481300                 MOVE MM15-MC-INTCHG-FLAG
481400                                 TO MMSM-MC-INTCHG-FLAG
481500                 MOVE MMSM-MC-INTCHG-FLAG
481600                                 TO MML1-VL01-A-DATA-X
481700                 MOVE 'FC45'     TO MBCA-PROGRAM-LOCATION
481800                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
481900                                 THRU Y929-WLR-EXIT
482000             ELSE
482100                 MOVE MM15-MC-INTCHG-FLAG
482200                                 TO MMSM-MC-INTCHG-FLAG.
482300*
482400 X459-EXIT.
482500     EXIT.
482600*
482700 X470-UPDATE-BUS-CLASS-CODE.
482800*
482900     IF  MM15-MC-BUS-CLASS-CODE-L IS GREATER THAN ZERO
483000         IF  MM15-MC-BUS-CLASS-CODE IS NOT EQUAL TO
483100                                    MMSM-MC-BUSINESS-CLASS
483200             SET WS-UPDATE-MMSM-SW-YES
483300                                 TO TRUE
483400             IF  MBCA-PTI-FUNCTION-IS-MAINT
483500             AND MMSM-ADD-COMPLETED
483600                 MOVE MMSMTB-MC-BUSINESS-CLASS (1:4)
483700                                 TO WS-INDEX-X
483800                 SET X-MMFS-STORE
483900                                 TO WS-INDEX
484000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
484100                                 TO MML1-MMSM-AUDIT-CODE
484200                 MOVE 0804       TO MML1-FIELD-CODE
484300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
484400                                    MML1-FIELD-OCCURRENCE-2
484500                 MOVE MML1WS-VL-04
484600                                 TO MML1-VARIABLE-LENGTH
484700                 MOVE MMSM-MC-BUSINESS-CLASS
484800                                 TO MML1-VL04-B-DATA-X
484900                 MOVE MM15-MC-BUS-CLASS-CODE
485000                                 TO MMSM-MC-BUSINESS-CLASS
485100                 MOVE MMSM-MC-BUSINESS-CLASS
485200                                 TO MML1-VL04-A-DATA-X
485300                 MOVE 'FC46'     TO MBCA-PROGRAM-LOCATION
485400                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
485500                                 THRU Y929-WLR-EXIT
485600             ELSE
485700                 MOVE MM15-MC-BUS-CLASS-CODE
485800                                 TO MMSM-MC-BUSINESS-CLASS.
485900*
486000 X479-EXIT.
486100     EXIT.
486200*
486300 X630-UPDATE-CATEGORY-CODE.
486400*
486500     IF  MM15-MC-CATEGORY-CODE-L IS GREATER THAN ZERO
486600         IF  MM15-MC-CATEGORY-CODE IS NOT EQUAL TO
486700                                    MMSM-MC-CATEGORY-CODE
486800             SET WS-UPDATE-MMSM-SW-YES
486900                                 TO TRUE
487000             IF  MBCA-PTI-FUNCTION-IS-MAINT
487100             AND MMSM-ADD-COMPLETED
487200                 MOVE MMSMTB-MC-CATEGORY-CODE (1:4)
487300                                 TO WS-INDEX-X
487400                 SET X-MMFS-STORE
487500                                 TO WS-INDEX
487600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
487700                                 TO MML1-MMSM-AUDIT-CODE
487800                 MOVE 0807       TO MML1-FIELD-CODE
487900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
488000                                    MML1-FIELD-OCCURRENCE-2
488100                 MOVE MML1WS-VL-04
488200                                 TO MML1-VARIABLE-LENGTH
488300                 MOVE MMSM-MC-CATEGORY-CODE
488400                                 TO MML1-VL04-B-DATA-9
488500                 MOVE MM15-MC-CATEGORY-CODE
488600                                 TO MMSM-MC-CATEGORY-CODE
488700                 MOVE MMSM-MC-CATEGORY-CODE
488800                                 TO MML1-VL04-A-DATA-9
488900                 MOVE 'FC47'     TO MBCA-PROGRAM-LOCATION
489000                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
489100                                 THRU Y929-WLR-EXIT
489200             ELSE
489300                 MOVE MM15-MC-CATEGORY-CODE
489400                                 TO MMSM-MC-CATEGORY-CODE.
489500*
489600 X639-EXIT.
489700     EXIT.
489800*
489900 X650-UPDATE-FLOOR-LIMIT.
490000*
490100     IF  MM15-MC-FLOOR-LIMIT-L IS GREATER THAN ZERO
490200         IF  MM15-MC-FLOOR-LIMIT IS NOT EQUAL TO
490300                                    MMSM-MC-FLOOR-LIMIT
490400             SET WS-UPDATE-MMSM-SW-YES
490500                                 TO TRUE
490600             IF  MBCA-PTI-FUNCTION-IS-MAINT
490700             AND MMSM-ADD-COMPLETED
490800                 MOVE MMSMTB-MC-FLOOR-LIMIT (1:4)
490900                                 TO WS-INDEX-X
491000                 SET X-MMFS-STORE
491100                                 TO WS-INDEX
491200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
491300                                 TO MML1-MMSM-AUDIT-CODE
491400                 MOVE 0808       TO MML1-FIELD-CODE
491500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
491600                                    MML1-FIELD-OCCURRENCE-2
491700                 MOVE MML1WS-VL-20
491800                                 TO MML1-VARIABLE-LENGTH
491900                 MOVE MMSM-MC-FLOOR-LIMIT
492000                                 TO MML1-VL20-B-NBR-V902
492100                 MOVE MM15-MC-FLOOR-LIMIT
492200                                 TO MMSM-MC-FLOOR-LIMIT
492300                 MOVE MMSM-MC-FLOOR-LIMIT
492400                                 TO MML1-VL20-A-NBR-V902
492500                 MOVE 'FC48'     TO MBCA-PROGRAM-LOCATION
492600                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
492700                                 THRU Y929-WLR-EXIT
492800             ELSE
492900                 MOVE MM15-MC-FLOOR-LIMIT
493000                                 TO MMSM-MC-FLOOR-LIMIT.
493100*
493200 X659-EXIT.
493300     EXIT.
493400*
493500 X670-UPDATE-CH-TERM-IND.
493600*
493700     IF  MM15-MC-CH-TERM-IND-L IS GREATER THAN ZERO
493800         IF  MM15-MC-CH-TERM-IND IS NOT EQUAL TO
493900                                    MMSM-MC-CH-TERM-IND
494000             SET WS-UPDATE-MMSM-SW-YES
494100                                 TO TRUE
494200             IF  MBCA-PTI-FUNCTION-IS-MAINT
494300             AND MMSM-ADD-COMPLETED
494400                 MOVE MMSMTB-MC-CH-TERM-IND (1:4)
494500                                 TO WS-INDEX-X
494600                 SET X-MMFS-STORE
494700                                 TO WS-INDEX
494800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
494900                                 TO MML1-MMSM-AUDIT-CODE
495000                 MOVE 0809       TO MML1-FIELD-CODE
495100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
495200                                    MML1-FIELD-OCCURRENCE-2
495300                 MOVE MML1WS-VL-01
495400                                 TO MML1-VARIABLE-LENGTH
495500                 MOVE MMSM-MC-CH-TERM-IND
495600                                 TO MML1-VL01-B-DATA-X
495700                 MOVE MM15-MC-CH-TERM-IND
495800                                 TO MMSM-MC-CH-TERM-IND
495900                 MOVE MMSM-MC-CH-TERM-IND
496000                                 TO MML1-VL01-A-DATA-X
496100                 MOVE 'FC66'     TO MBCA-PROGRAM-LOCATION
496200                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
496300                                 THRU Y929-WLR-EXIT
496400             ELSE
496500                 MOVE MM15-MC-CH-TERM-IND
496600                                 TO MMSM-MC-CH-TERM-IND.
496700*
496800 X679-EXIT.
496900     EXIT.
496902*                                                                 RG800913
496904 X680-UPDATE-ASSIGNED-ID.                                         RG800913
496906*                                                                 RG800913
496908     IF  MM15-MC-ASSIGNED-ID-L IS GREATER THAN ZERO               RG800913
496910         IF  MM15-MC-ASSIGNED-ID IS NOT EQUAL TO                  RG800913
496912                                    MMSM-MC-ASSIGNED-ID           RG800913
496914             SET WS-UPDATE-MMSM-SW-YES                            RG800913
496916                                 TO TRUE                          RG800913
496918             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG800913
496920             AND MMSM-ADD-COMPLETED                               RG800913
496922                 MOVE MMSMTB-MC-ASSIGNED-ID (1:4)                 RG800913
496924                                 TO WS-INDEX-X                    RG800913
496926                 SET X-MMFS-STORE                                 RG800913
496928                                 TO WS-INDEX                      RG800913
496930                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)           RG800913
496932                                 TO MML1-MMSM-AUDIT-CODE          RG800913
496934                 MOVE 0822       TO MML1-FIELD-CODE               RG800913
496936                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG800913
496938                                    MML1-FIELD-OCCURRENCE-2       RG800913
496940                 MOVE MML1WS-VL-03                                RG800913
496942                                 TO MML1-VARIABLE-LENGTH          RG800913
496944                 MOVE MMSM-MC-ASSIGNED-ID                         RG800913
496946                                 TO MML1-VL03-B-DATA-X            RG800913
496948                 MOVE MM15-MC-ASSIGNED-ID                         RG800913
496950                                 TO MMSM-MC-ASSIGNED-ID           RG800913
496952                 MOVE MMSM-MC-ASSIGNED-ID                         RG800913
496954                                 TO MML1-VL03-A-DATA-X            RG800913
496956                 MOVE 'FC57'     TO MBCA-PROGRAM-LOCATION         RG800913
496958                 PERFORM Y920-WRITE-MMSM-LOG-RECORD               RG800913
496960                                 THRU Y929-WLR-EXIT               RG800913
496962             ELSE                                                 RG800913
496964                 MOVE MM15-MC-ASSIGNED-ID                         RG800913
496966                                 TO MMSM-MC-ASSIGNED-ID.          RG800913
496968*                                                                 RG800913
496970 X689-EXIT.                                                       RG800913
496972     EXIT.                                                        RG800913
497000*
497100 X690-UPDATE-MC-POS-DC-01.
497200*
497300     IF  MM15-MC-POS-DC-01-L IS GREATER THAN ZERO
497400         IF  MM15-MC-POS-DC-01 IS NOT EQUAL TO
497500                                    MMSM-MC-POS-DC-01
497600             SET WS-UPDATE-MMSM-SW-YES
497700                                 TO TRUE
497800             IF  MBCA-PTI-FUNCTION-IS-MAINT
497900             AND MMSM-ADD-COMPLETED
498000                 MOVE MMSMTB-MC-POS-DC-01 (1:4)
498100                                 TO WS-INDEX-X
498200                 SET X-MMFS-STORE
498300                                 TO WS-INDEX
498400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
498500                                 TO MML1-MMSM-AUDIT-CODE
498600                 MOVE 0810       TO MML1-FIELD-CODE
498700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
498800                                    MML1-FIELD-OCCURRENCE-2
498900                 MOVE MML1WS-VL-01
499000                                 TO MML1-VARIABLE-LENGTH
499100                 MOVE MMSM-MC-POS-DC-01
499200                                 TO MML1-VL01-B-DATA-X
499300                 MOVE MM15-MC-POS-DC-01
499400                                 TO MMSM-MC-POS-DC-01
499500                 MOVE MMSM-MC-POS-DC-01
499600                                 TO MML1-VL01-A-DATA-X
499700                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
499800                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
499900                                 THRU Y929-WLR-EXIT
500000             ELSE
500100                 MOVE MM15-MC-POS-DC-01
500200                                 TO MMSM-MC-POS-DC-01.
500300*
500400 X699-EXIT.
500500     EXIT.
500600*
500700 X700-UPDATE-MC-POS-DC-02.
500800*
500900     IF  MM15-MC-POS-DC-02-L IS GREATER THAN ZERO
501000         IF  MM15-MC-POS-DC-02 IS NOT EQUAL TO
501100                                    MMSM-MC-POS-DC-02
501200             SET WS-UPDATE-MMSM-SW-YES
501300                                 TO TRUE
501400             IF  MBCA-PTI-FUNCTION-IS-MAINT
501500             AND MMSM-ADD-COMPLETED
501600                 MOVE MMSMTB-MC-POS-DC-02 (1:4)
501700                                 TO WS-INDEX-X
501800                 SET X-MMFS-STORE
501900                                 TO WS-INDEX
502000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
502100                                 TO MML1-MMSM-AUDIT-CODE
502200                 MOVE 0811       TO MML1-FIELD-CODE
502300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
502400                                    MML1-FIELD-OCCURRENCE-2
502500                 MOVE MML1WS-VL-01
502600                                 TO MML1-VARIABLE-LENGTH
502700                 MOVE MMSM-MC-POS-DC-02
502800                                 TO MML1-VL01-B-DATA-X
502900                 MOVE MM15-MC-POS-DC-02
503000                                 TO MMSM-MC-POS-DC-02
503100                 MOVE MMSM-MC-POS-DC-02
503200                                 TO MML1-VL01-A-DATA-X
503300                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
503400                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
503500                                 THRU Y929-WLR-EXIT
503600             ELSE
503700                 MOVE MM15-MC-POS-DC-02
503800                                 TO MMSM-MC-POS-DC-02.
503900*
504000 X709-EXIT.
504100     EXIT.
504200*
504300 X710-UPDATE-MC-POS-DC-03.
504400*
504500     IF  MM15-MC-POS-DC-03-L IS GREATER THAN ZERO
504600         IF  MM15-MC-POS-DC-03 IS NOT EQUAL TO
504700                                    MMSM-MC-POS-DC-03
504800             SET WS-UPDATE-MMSM-SW-YES
504900                                 TO TRUE
505000             IF  MBCA-PTI-FUNCTION-IS-MAINT
505100             AND MMSM-ADD-COMPLETED
505200                 MOVE MMSMTB-MC-POS-DC-03 (1:4)
505300                                 TO WS-INDEX-X
505400                 SET X-MMFS-STORE
505500                                 TO WS-INDEX
505600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
505700                                 TO MML1-MMSM-AUDIT-CODE
505800                 MOVE 0812       TO MML1-FIELD-CODE
505900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
506000                                    MML1-FIELD-OCCURRENCE-2
506100                 MOVE MML1WS-VL-01
506200                                 TO MML1-VARIABLE-LENGTH
506300                 MOVE MMSM-MC-POS-DC-03
506400                                 TO MML1-VL01-B-DATA-X
506500                 MOVE MM15-MC-POS-DC-03
506600                                 TO MMSM-MC-POS-DC-03
506700                 MOVE MMSM-MC-POS-DC-03
506800                                 TO MML1-VL01-A-DATA-X
506900                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
507000                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
507100                                 THRU Y929-WLR-EXIT
507200             ELSE
507300                 MOVE MM15-MC-POS-DC-03
507400                                 TO MMSM-MC-POS-DC-03.
507500*
507600 X719-EXIT.
507700     EXIT.
507800*
507900 X720-UPDATE-MC-POS-DC-04.
508000*
508100     IF  MM15-MC-POS-DC-04-L IS GREATER THAN ZERO
508200         IF  MM15-MC-POS-DC-04 IS NOT EQUAL TO
508300                                    MMSM-MC-POS-DC-04
508400             SET WS-UPDATE-MMSM-SW-YES
508500                                 TO TRUE
508600             IF  MBCA-PTI-FUNCTION-IS-MAINT
508700             AND MMSM-ADD-COMPLETED
508800                 MOVE MMSMTB-MC-POS-DC-04 (1:4)
508900                                 TO WS-INDEX-X
509000                 SET X-MMFS-STORE
509100                                 TO WS-INDEX
509200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
509300                                 TO MML1-MMSM-AUDIT-CODE
509400                 MOVE 0813       TO MML1-FIELD-CODE
509500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
509600                                    MML1-FIELD-OCCURRENCE-2
509700                 MOVE MML1WS-VL-01
509800                                 TO MML1-VARIABLE-LENGTH
509900                 MOVE MMSM-MC-POS-DC-04
510000                                 TO MML1-VL01-B-DATA-X
510100                 MOVE MM15-MC-POS-DC-04
510200                                 TO MMSM-MC-POS-DC-04
510300                 MOVE MMSM-MC-POS-DC-04
510400                                 TO MML1-VL01-A-DATA-X
510500                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
510600                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
510700                                 THRU Y929-WLR-EXIT
510800             ELSE
510900                 MOVE MM15-MC-POS-DC-04
511000                                 TO MMSM-MC-POS-DC-04.
511100*
511200 X729-EXIT.
511300     EXIT.
511400*
511500 X730-UPDATE-MC-POS-DC-05.
511600*
511700     IF  MM15-MC-POS-DC-05-L IS GREATER THAN ZERO
511800         IF  MM15-MC-POS-DC-05 IS NOT EQUAL TO
511900                                    MMSM-MC-POS-DC-05
512000             SET WS-UPDATE-MMSM-SW-YES
512100                                 TO TRUE
512200             IF  MBCA-PTI-FUNCTION-IS-MAINT
512300             AND MMSM-ADD-COMPLETED
512400                 MOVE MMSMTB-MC-POS-DC-05 (1:4)
512500                                 TO WS-INDEX-X
512600                 SET X-MMFS-STORE
512700                                 TO WS-INDEX
512800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
512900                                 TO MML1-MMSM-AUDIT-CODE
513000                 MOVE 0814       TO MML1-FIELD-CODE
513100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
513200                                    MML1-FIELD-OCCURRENCE-2
513300                 MOVE MML1WS-VL-01
513400                                 TO MML1-VARIABLE-LENGTH
513500                 MOVE MMSM-MC-POS-DC-05
513600                                 TO MML1-VL01-B-DATA-X
513700                 MOVE MM15-MC-POS-DC-05
513800                                 TO MMSM-MC-POS-DC-05
513900                 MOVE MMSM-MC-POS-DC-05
514000                                 TO MML1-VL01-A-DATA-X
514100                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
514200                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
514300                                 THRU Y929-WLR-EXIT
514400             ELSE
514500                 MOVE MM15-MC-POS-DC-05
514600                                 TO MMSM-MC-POS-DC-05.
514700*
514800 X739-EXIT.
514900     EXIT.
515000*
515100 X740-UPDATE-MC-POS-DC-06.
515200*
515300     IF  MM15-MC-POS-DC-06-L IS GREATER THAN ZERO
515400         IF  MM15-MC-POS-DC-06 IS NOT EQUAL TO
515500                                    MMSM-MC-POS-DC-06
515600             SET WS-UPDATE-MMSM-SW-YES
515700                                 TO TRUE
515800             IF  MBCA-PTI-FUNCTION-IS-MAINT
515900             AND MMSM-ADD-COMPLETED
516000                 MOVE MMSMTB-MC-POS-DC-06 (1:4)
516100                                 TO WS-INDEX-X
516200                 SET X-MMFS-STORE
516300                                 TO WS-INDEX
516400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
516500                                 TO MML1-MMSM-AUDIT-CODE
516600                 MOVE 0815       TO MML1-FIELD-CODE
516700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
516800                                    MML1-FIELD-OCCURRENCE-2
516900                 MOVE MML1WS-VL-01
517000                                 TO MML1-VARIABLE-LENGTH
517100                 MOVE MMSM-MC-POS-DC-06
517200                                 TO MML1-VL01-B-DATA-X
517300                 MOVE MM15-MC-POS-DC-06
517400                                 TO MMSM-MC-POS-DC-06
517500                 MOVE MMSM-MC-POS-DC-06
517600                                 TO MML1-VL01-A-DATA-X
517700                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
517800                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
517900                                 THRU Y929-WLR-EXIT
518000             ELSE
518100                 MOVE MM15-MC-POS-DC-06
518200                                 TO MMSM-MC-POS-DC-06.
518300*
518400 X749-EXIT.
518500     EXIT.
518600*
518700 X750-UPDATE-MC-POS-DC-07.
518800*
518900     IF  MM15-MC-POS-DC-07-L IS GREATER THAN ZERO
519000         IF  MM15-MC-POS-DC-07 IS NOT EQUAL TO
519100                                    MMSM-MC-POS-DC-07
519200             SET WS-UPDATE-MMSM-SW-YES
519300                                 TO TRUE
519400             IF  MBCA-PTI-FUNCTION-IS-MAINT
519500             AND MMSM-ADD-COMPLETED
519600                 MOVE MMSMTB-MC-POS-DC-07 (1:4)
519700                                 TO WS-INDEX-X
519800                 SET X-MMFS-STORE
519900                                 TO WS-INDEX
520000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
520100                                 TO MML1-MMSM-AUDIT-CODE
520200                 MOVE 0815       TO MML1-FIELD-CODE
520300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
520400                                    MML1-FIELD-OCCURRENCE-2
520500                 MOVE MML1WS-VL-01
520600                                 TO MML1-VARIABLE-LENGTH
520700                 MOVE MMSM-MC-POS-DC-07
520800                                 TO MML1-VL01-B-DATA-X
520900                 MOVE MM15-MC-POS-DC-07
521000                                 TO MMSM-MC-POS-DC-07
521100                 MOVE MMSM-MC-POS-DC-07
521200                                 TO MML1-VL01-A-DATA-X
521300                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
521400                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
521500                                 THRU Y929-WLR-EXIT
521600             ELSE
521700                 MOVE MM15-MC-POS-DC-07
521800                                 TO MMSM-MC-POS-DC-07.
521900*
522000 X759-EXIT.
522100     EXIT.
522200*
522300 X760-UPDATE-MC-POS-DC-08.
522400*
522500     IF  MM15-MC-POS-DC-08-L IS GREATER THAN ZERO
522600         IF  MM15-MC-POS-DC-08 IS NOT EQUAL TO
522700                                    MMSM-MC-POS-DC-08
522800             SET WS-UPDATE-MMSM-SW-YES
522900                                 TO TRUE
523000             IF  MBCA-PTI-FUNCTION-IS-MAINT
523100             AND MMSM-ADD-COMPLETED
523200                 MOVE MMSMTB-MC-POS-DC-08 (1:4)
523300                                 TO WS-INDEX-X
523400                 SET X-MMFS-STORE
523500                                 TO WS-INDEX
523600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
523700                                 TO MML1-MMSM-AUDIT-CODE
523800                 MOVE 0816       TO MML1-FIELD-CODE
523900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
524000                                    MML1-FIELD-OCCURRENCE-2
524100                 MOVE MML1WS-VL-01
524200                                 TO MML1-VARIABLE-LENGTH
524300                 MOVE MMSM-MC-POS-DC-08
524400                                 TO MML1-VL01-B-DATA-X
524500                 MOVE MM15-MC-POS-DC-08
524600                                 TO MMSM-MC-POS-DC-08
524700                 MOVE MMSM-MC-POS-DC-08
524800                                 TO MML1-VL01-A-DATA-X
524900                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
525000                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
525100                                 THRU Y929-WLR-EXIT
525200             ELSE
525300                 MOVE MM15-MC-POS-DC-08
525400                                 TO MMSM-MC-POS-DC-08.
525500*
525600 X769-EXIT.
525700     EXIT.
525800*
525900 X770-UPDATE-MC-POS-DC-09.
526000*
526100     IF  MM15-MC-POS-DC-09-L IS GREATER THAN ZERO
526200         IF  MM15-MC-POS-DC-09 IS NOT EQUAL TO
526300                                    MMSM-MC-POS-DC-09
526400             SET WS-UPDATE-MMSM-SW-YES
526500                                 TO TRUE
526600             IF  MBCA-PTI-FUNCTION-IS-MAINT
526700             AND MMSM-ADD-COMPLETED
526800                 MOVE MMSMTB-MC-POS-DC-09 (1:4)
526900                                 TO WS-INDEX-X
527000                 SET X-MMFS-STORE
527100                                 TO WS-INDEX
527200                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
527300                                 TO MML1-MMSM-AUDIT-CODE
527400                 MOVE 0817       TO MML1-FIELD-CODE
527500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
527600                                    MML1-FIELD-OCCURRENCE-2
527700                 MOVE MML1WS-VL-01
527800                                 TO MML1-VARIABLE-LENGTH
527900                 MOVE MMSM-MC-POS-DC-09
528000                                 TO MML1-VL01-B-DATA-X
528100                 MOVE MM15-MC-POS-DC-09
528200                                 TO MMSM-MC-POS-DC-09
528300                 MOVE MMSM-MC-POS-DC-09
528400                                 TO MML1-VL01-A-DATA-X
528500                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
528600                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
528700                                 THRU Y929-WLR-EXIT
528800             ELSE
528900                 MOVE MM15-MC-POS-DC-09
529000                                 TO MMSM-MC-POS-DC-09.
529100*
529200 X779-EXIT.
529300     EXIT.
529400*
529500 X780-UPDATE-MC-POS-DC-10.
529600*
529700     IF  MM15-MC-POS-DC-10-L IS GREATER THAN ZERO
529800         IF  MM15-MC-POS-DC-10 IS NOT EQUAL TO
529900                                    MMSM-MC-POS-DC-10
530000             SET WS-UPDATE-MMSM-SW-YES
530100                                 TO TRUE
530200             IF  MBCA-PTI-FUNCTION-IS-MAINT
530300             AND MMSM-ADD-COMPLETED
530400                 MOVE MMSMTB-MC-POS-DC-10 (1:4)
530500                                 TO WS-INDEX-X
530600                 SET X-MMFS-STORE
530700                                 TO WS-INDEX
530800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
530900                                 TO MML1-MMSM-AUDIT-CODE
531000                 MOVE 0818       TO MML1-FIELD-CODE
531100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
531200                                    MML1-FIELD-OCCURRENCE-2
531300                 MOVE MML1WS-VL-01
531400                                 TO MML1-VARIABLE-LENGTH
531500                 MOVE MMSM-MC-POS-DC-10
531600                                 TO MML1-VL01-B-DATA-X
531700                 MOVE MM15-MC-POS-DC-10
531800                                 TO MMSM-MC-POS-DC-10
531900                 MOVE MMSM-MC-POS-DC-10
532000                                 TO MML1-VL01-A-DATA-X
532100                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
532200                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
532300                                 THRU Y929-WLR-EXIT
532400             ELSE
532500                 MOVE MM15-MC-POS-DC-10
532600                                 TO MMSM-MC-POS-DC-10.
532700*
532800 X789-EXIT.
532900     EXIT.
533000*
533100 X790-UPDATE-MC-POS-DC-11.
533200*
533300     IF  MM15-MC-POS-DC-11-L IS GREATER THAN ZERO
533400         IF  MM15-MC-POS-DC-11 IS NOT EQUAL TO
533500                                    MMSM-MC-POS-DC-11
533600             SET WS-UPDATE-MMSM-SW-YES
533700                                 TO TRUE
533800             IF  MBCA-PTI-FUNCTION-IS-MAINT
533900             AND MMSM-ADD-COMPLETED
534000                 MOVE MMSMTB-MC-POS-DC-11 (1:4)
534100                                 TO WS-INDEX-X
534200                 SET X-MMFS-STORE
534300                                 TO WS-INDEX
534400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
534500                                 TO MML1-MMSM-AUDIT-CODE
534600                 MOVE 0819       TO MML1-FIELD-CODE
534700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
534800                                    MML1-FIELD-OCCURRENCE-2
534900                 MOVE MML1WS-VL-01
535000                                 TO MML1-VARIABLE-LENGTH
535100                 MOVE MMSM-MC-POS-DC-11
535200                                 TO MML1-VL01-B-DATA-X
535300                 MOVE MM15-MC-POS-DC-11
535400                                 TO MMSM-MC-POS-DC-11
535500                 MOVE MMSM-MC-POS-DC-11
535600                                 TO MML1-VL01-A-DATA-X
535700                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
535800                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
535900                                 THRU Y929-WLR-EXIT
536000             ELSE
536100                 MOVE MM15-MC-POS-DC-11
536200                                 TO MMSM-MC-POS-DC-11.
536300*
536400 X799-EXIT.
536500     EXIT.
536600*
536700 X800-UPDATE-MC-POS-DC-12.
536800*
536900     IF  MM15-MC-POS-DC-12-L IS GREATER THAN ZERO
537000         IF  MM15-MC-POS-DC-12 IS NOT EQUAL TO
537100                                    MMSM-MC-POS-DC-12
537200             SET WS-UPDATE-MMSM-SW-YES
537300                                 TO TRUE
537400             IF  MBCA-PTI-FUNCTION-IS-MAINT
537500             AND MMSM-ADD-COMPLETED
537600                 MOVE MMSMTB-MC-POS-DC-12 (1:4)
537700                                 TO WS-INDEX-X
537800                 SET X-MMFS-STORE
537900                                 TO WS-INDEX
538000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
538100                                 TO MML1-MMSM-AUDIT-CODE
538200                 MOVE 0820       TO MML1-FIELD-CODE
538300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
538400                                    MML1-FIELD-OCCURRENCE-2
538500                 MOVE MML1WS-VL-01
538600                                 TO MML1-VARIABLE-LENGTH
538700                 MOVE MMSM-MC-POS-DC-12
538800                                 TO MML1-VL01-B-DATA-X
538900                 MOVE MM15-MC-POS-DC-12
539000                                 TO MMSM-MC-POS-DC-12
539100                 MOVE MMSM-MC-POS-DC-12
539200                                 TO MML1-VL01-A-DATA-X
539300                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
539400                 PERFORM Y920-WRITE-MMSM-LOG-RECORD
539500                                 THRU Y929-WLR-EXIT
539600             ELSE
539700                 MOVE MM15-MC-POS-DC-12
539800                                 TO MMSM-MC-POS-DC-12.
539900*
540000 X809-EXIT.
540100     EXIT.
540200/
540300 Y000-PERFORMED-ROUTINES SECTION.
540400*
540500 Y010-MOVE-PROD-STATUS.
540600*
540700     MOVE MMMP-PROD-STATUS       TO MM15-MC-STATUS.
540800*
540900 Y015-STATUS-SECURITY.
541000*
541100     MOVE MMMMTB-PROD-STATUS (1:4)
541200                                 TO WS-INDEX-X.
541300     SET  X-MMFS-MERCH           TO WS-INDEX.
541400*
541500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
541600         MOVE DFHBMDAS           TO MM15-MC-STATUS-LIT-A
541700                                    MM15-MC-STATUS-LP-A
541800                                    MM15-MC-STATUS-RP-A
541900                                    MM15-MC-STATUS-A
542000         MOVE ZERO               TO MM15-MC-STATUS-L
542100         GO TO Y019-EXIT.
542200*
542300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
542400         MOVE DFHBMDAS           TO MM15-MC-STATUS-LP-A
542500                                    MM15-MC-STATUS-RP-A
542600         MOVE DFHBMASB           TO MM15-MC-STATUS-A
542700         GO TO Y019-EXIT.
542800*
542900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
543000         MOVE ZERO               TO MM15-MC-STATUS-L
543100         MOVE DFHBMDAS           TO MM15-MC-STATUS-LP-A
543200                                    MM15-MC-STATUS-RP-A
543300         MOVE DFHBMASK           TO MM15-MC-STATUS-A
543400         GO TO Y019-EXIT.
543500*
543600     IF  MBCA-PTI-FUNCTION-IS-ADD
543700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
543800             MOVE DFHBMASB       TO MM15-MC-STATUS-LIT-A
543900         ELSE
544000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
544100                 MOVE ZERO       TO MM15-MC-STATUS-L
544200                 MOVE DFHBMDAS   TO MM15-MC-STATUS-LP-A
544300                                    MM15-MC-STATUS-RP-A
544400                 MOVE DFHBMASK   TO MM15-MC-STATUS-A.
544500*
544600     IF  MBCA-PTI-FUNCTION-IS-MAINT
544700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
544800             MOVE ZERO           TO MM15-MC-STATUS-L
544900             MOVE DFHBMDAS       TO MM15-MC-STATUS-LP-A
545000                                    MM15-MC-STATUS-RP-A
545100             MOVE DFHBMASK       TO MM15-MC-STATUS-A.
545200*
545300*
545400 Y019-EXIT.
545500     EXIT.
545600*
545700 Y030-MOVE-DISC-FEE-BASE.
545800*
545900     MOVE MMMP-PROD-DISC-FEE-BASE
546000                                TO MM15-PROD-DISC-FEE-BASE.
546100*
546200 Y035-DISC-FEE-BASE-SECURITY.
546300*
546400     MOVE MMMMTB-PROD-DISC-FEE-BASE (1:4)
546500                                 TO WS-INDEX-X.
546600     SET  X-MMFS-MERCH           TO WS-INDEX.
546700*
546800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
546900         MOVE DFHBMDAS           TO MM15-PROD-DISCOUNT-LIT-A
547000                                    MM15-PROD-DISC-FEE-BASE-LP-A
547100                                    MM15-PROD-DISC-FEE-BASE-RP-A
547200                                    MM15-PROD-DISC-FEE-BASE-A
547300         MOVE ZERO               TO MM15-PROD-DISC-FEE-BASE-L
547400         GO TO Y039-EXIT.
547500*
547600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
547700         MOVE DFHBMDAS           TO MM15-PROD-DISC-FEE-BASE-LP-A
547800                                    MM15-PROD-DISC-FEE-BASE-RP-A
547900         MOVE DFHBMASB           TO MM15-PROD-DISC-FEE-BASE-A
548000         GO TO Y039-EXIT.
548100*
548200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
548300         MOVE ZERO               TO MM15-PROD-DISC-FEE-BASE-L
548400         MOVE DFHBMDAS           TO MM15-PROD-DISC-FEE-BASE-LP-A
548500                                    MM15-PROD-DISC-FEE-BASE-RP-A
548600         MOVE DFHBMASK           TO MM15-PROD-DISC-FEE-BASE-A
548700         GO TO Y039-EXIT.
548800*
548900     IF  MBCA-PTI-FUNCTION-IS-ADD
549000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
549100             MOVE DFHBMASB       TO MM15-PROD-DISCOUNT-LIT-A
549200         ELSE
549300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
549400                 MOVE ZERO       TO MM15-PROD-DISC-FEE-BASE-L
549500                 MOVE DFHBMDAS   TO MM15-PROD-DISC-FEE-BASE-LP-A
549600                                    MM15-PROD-DISC-FEE-BASE-RP-A
549700                 MOVE DFHBMASK   TO MM15-PROD-DISC-FEE-BASE-A.
549800*
549900     IF  MBCA-PTI-FUNCTION-IS-MAINT
550000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
550100             MOVE ZERO           TO MM15-PROD-DISC-FEE-BASE-L
550200             MOVE DFHBMDAS       TO MM15-PROD-DISC-FEE-BASE-LP-A
550300                                    MM15-PROD-DISC-FEE-BASE-RP-A
550400             MOVE DFHBMASK       TO MM15-PROD-DISC-FEE-BASE-A.
550500*
550600 Y039-EXIT.
550700     EXIT.
550800*
550900 Y050-MOVE-DISC-TABLE.
551000*
551100     IF  MMMM-DL-MERCHANT
551200         MOVE DFHBMDAS           TO MM15-PROD-DISC-RATE-TBL-LP-A
551300                                    MM15-PROD-DISC-RATE-TBL-RP-A
551400                                    MM15-PROD-DISC-RATE-TBL-A
551500                                    MM15-PROD-DISCOUNT-LIT-A
551600         GO TO Y059-EXIT.
551700*
551800     MOVE MMMP-PROD-DISC-RATE-TABLE
551900                                 TO MM15-PROD-DISC-RATE-TBL.
552000*
552100 Y055-DISC-RATE-TBL-SECURITY.
552200*
552300     MOVE MMMMTB-PROD-DISC-RATE-TABLE (1:4)
552400                                 TO WS-INDEX-X.
552500     SET  X-MMFS-MERCH           TO WS-INDEX.
552600*
552700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
552800         MOVE DFHBMDAS           TO MM15-PROD-DISC-RATE-TBL-LP-A
552900                                    MM15-PROD-DISC-RATE-TBL-RP-A
553000                                    MM15-PROD-DISC-RATE-TBL-A
553100         MOVE ZERO               TO MM15-PROD-DISC-RATE-TBL-L
553200         GO TO Y059-EXIT.
553300*
553400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
553500         MOVE DFHBMDAS           TO MM15-PROD-DISC-RATE-TBL-LP-A
553600                                    MM15-PROD-DISC-RATE-TBL-RP-A
553700         MOVE DFHBMASB           TO MM15-PROD-DISC-RATE-TBL-A
553800         GO TO Y059-EXIT.
553900*
554000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
554100         MOVE ZERO               TO MM15-PROD-DISC-RATE-TBL-L
554200         MOVE DFHBMDAS           TO MM15-PROD-DISC-RATE-TBL-LP-A
554300                                    MM15-PROD-DISC-RATE-TBL-RP-A
554400         MOVE DFHBMASK           TO MM15-PROD-DISC-RATE-TBL-A
554500         GO TO Y059-EXIT.
554600*
554700     IF  MBCA-PTI-FUNCTION-IS-ADD
554800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
554900             MOVE DFHBMASB       TO MM15-PROD-DISCOUNT-LIT-A
555000         ELSE
555100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
555200                 MOVE ZERO       TO MM15-PROD-DISC-RATE-TBL-L
555300                 MOVE DFHBMDAS   TO MM15-PROD-DISC-RATE-TBL-LP-A
555400                                    MM15-PROD-DISC-RATE-TBL-RP-A
555500                 MOVE DFHBMASK   TO MM15-PROD-DISC-RATE-TBL-A.
555600*
555700     IF  MBCA-PTI-FUNCTION-IS-MAINT
555800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
555900             MOVE ZERO           TO MM15-PROD-DISC-RATE-TBL-L
556000             MOVE DFHBMDAS       TO MM15-PROD-DISC-RATE-TBL-LP-A
556100                                    MM15-PROD-DISC-RATE-TBL-RP-A
556200             MOVE DFHBMASK       TO MM15-PROD-DISC-RATE-TBL-A.
556300*
556400 Y059-EXIT.
556500     EXIT.
556600*
556700 Y070-MOVE-EFF-DATE.
556800*
556900     MOVE MMMP-PROD-EFF-DATE     TO SS01WS-JULIAN.
557000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
557100     MOVE SS01WS-DATE            TO MM15-MC-EFF-DATE.
557200*
557300 Y075-EFF-DATE-SECURITY.
557400*
557500     MOVE MMMMTB-PROD-EFF-DATE (1:4)
557600                                 TO WS-INDEX-X.
557700     SET  X-MMFS-MERCH           TO WS-INDEX.
557800*
557900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
558000         MOVE DFHBMDAS           TO MM15-MC-EFF-DATE-LIT-A
558100                                    MM15-MC-EFF-DATE-LP-A
558200                                    MM15-MC-EFF-DATE-RP-A
558300                                    MM15-MC-EFF-DATE-A
558400         MOVE ZERO               TO MM15-MC-EFF-DATE-L
558500         GO TO Y079-EXIT.
558600*
558700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
558800         MOVE DFHBMDAS           TO MM15-MC-EFF-DATE-LP-A
558900                                    MM15-MC-EFF-DATE-RP-A
559000         MOVE DFHBMASB           TO MM15-MC-EFF-DATE-A
559100         GO TO Y079-EXIT.
559200*
559300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
559400         MOVE ZERO               TO MM15-MC-EFF-DATE-L
559500         MOVE DFHBMDAS           TO MM15-MC-EFF-DATE-LP-A
559600                                    MM15-MC-EFF-DATE-RP-A
559700         MOVE DFHBMASK           TO MM15-MC-EFF-DATE-A
559800         GO TO Y079-EXIT.
559900*
560000     IF  MBCA-PTI-FUNCTION-IS-ADD
560100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
560200             MOVE DFHBMASB       TO MM15-MC-EFF-DATE-LIT-A
560300         ELSE
560400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
560500                 MOVE ZERO       TO MM15-MC-EFF-DATE-L
560600                 MOVE DFHBMDAS   TO MM15-MC-EFF-DATE-LP-A
560700                                    MM15-MC-EFF-DATE-RP-A
560800                 MOVE DFHBMASK   TO MM15-MC-EFF-DATE-A.
560900*
561000     IF  MBCA-PTI-FUNCTION-IS-MAINT
561100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
561200             MOVE ZERO           TO MM15-MC-EFF-DATE-L
561300             MOVE DFHBMDAS       TO MM15-MC-EFF-DATE-LP-A
561400                                    MM15-MC-EFF-DATE-RP-A
561500             MOVE DFHBMASK       TO MM15-MC-EFF-DATE-A.
561600*
561700 Y079-EXIT.
561800     EXIT.
561900*
562000 Y090-MOVE-PART-FEE-BASE.
562100*
562200     MOVE MMMP-PROD-PART-FEE-BASE
562300                                 TO MM15-PROD-PART-FEE-BASE.
562400*
562500 Y095-PART-FEE-BASE-SECURITY.
562600*
562700     MOVE MMMMTB-PROD-PART-FEE-BASE (1:4)
562800                                 TO WS-INDEX-X.
562900     SET  X-MMFS-MERCH           TO WS-INDEX.
563000*
563100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
563200         MOVE DFHBMDAS           TO MM15-PROD-PARTICIPATION-LIT-A
563300                                    MM15-PROD-PART-FEE-BASE-LP-A
563400                                    MM15-PROD-PART-FEE-BASE-RP-A
563500                                    MM15-PROD-PART-FEE-BASE-A
563600         MOVE ZERO               TO MM15-PROD-PART-FEE-BASE-L
563700         GO TO Y099-EXIT.
563800*
563900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
564000         MOVE DFHBMDAS           TO MM15-PROD-PART-FEE-BASE-LP-A
564100                                    MM15-PROD-PART-FEE-BASE-RP-A
564200         MOVE DFHBMASB           TO MM15-PROD-PART-FEE-BASE-A
564300         GO TO Y099-EXIT.
564400*
564500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
564600         MOVE ZERO               TO MM15-PROD-PART-FEE-BASE-L
564700         MOVE DFHBMDAS           TO MM15-PROD-PART-FEE-BASE-LP-A
564800                                    MM15-PROD-PART-FEE-BASE-RP-A
564900         MOVE DFHBMASK           TO MM15-PROD-PART-FEE-BASE-A
565000         GO TO Y099-EXIT.
565100*
565200     IF  MBCA-PTI-FUNCTION-IS-ADD
565300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
565400             MOVE DFHBMASB       TO MM15-PROD-PARTICIPATION-LIT-A
565500         ELSE
565600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
565700                 MOVE ZERO       TO MM15-PROD-PART-FEE-BASE-L
565800                 MOVE DFHBMDAS   TO MM15-PROD-PART-FEE-BASE-LP-A
565900                                    MM15-PROD-PART-FEE-BASE-RP-A
566000                 MOVE DFHBMASK   TO MM15-PROD-PART-FEE-BASE-A.
566100*
566200     IF  MBCA-PTI-FUNCTION-IS-MAINT
566300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
566400             MOVE ZERO           TO MM15-PROD-PART-FEE-BASE-L
566500             MOVE DFHBMDAS       TO MM15-PROD-PART-FEE-BASE-LP-A
566600                                    MM15-PROD-PART-FEE-BASE-RP-A
566700             MOVE DFHBMASK       TO MM15-PROD-PART-FEE-BASE-A.
566800*
566900 Y099-EXIT.
567000     EXIT.
567100*
567200 Y110-MOVE-PART-TABLE.
567300*
567400     IF  MMMM-PL-MERCHANT
567500         MOVE DFHBMDAS           TO MM15-PROD-PART-RATE-TBL-LP-A
567600                                    MM15-PROD-PART-RATE-TBL-RP-A
567700                                    MM15-PROD-PART-RATE-TBL-A
567800                                    MM15-PROD-PARTICIPATION-LIT-A
567900         GO TO Y119-EXIT.
568000*
568100     MOVE MMMP-PROD-PART-RATE-TABLE
568200                                 TO MM15-PROD-PART-RATE-TBL.
568300*
568400 Y115-PART-RATE-TBL-SECURITY.
568500*
568600     MOVE MMMMTB-PROD-PART-RATE-TABLE (1:4)
568700                                 TO WS-INDEX-X.
568800     SET  X-MMFS-MERCH           TO WS-INDEX.
568900*
569000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
569100         MOVE DFHBMDAS           TO MM15-PROD-PARTICIPATION-LIT-A
569200                                    MM15-PROD-PART-RATE-TBL-LP-A
569300                                    MM15-PROD-PART-RATE-TBL-RP-A
569400                                    MM15-PROD-PART-RATE-TBL-A
569500         MOVE ZERO               TO MM15-PROD-PART-RATE-TBL-L
569600         GO TO Y119-EXIT.
569700*
569800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
569900         MOVE DFHBMDAS           TO MM15-PROD-PART-RATE-TBL-LP-A
570000                                    MM15-PROD-PART-RATE-TBL-RP-A
570100         MOVE DFHBMASB           TO MM15-PROD-PART-RATE-TBL-A
570200         GO TO Y119-EXIT.
570300*
570400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
570500         MOVE ZERO               TO MM15-PROD-PART-RATE-TBL-L
570600         MOVE DFHBMDAS           TO MM15-PROD-PART-RATE-TBL-LP-A
570700                                    MM15-PROD-PART-RATE-TBL-RP-A
570800         MOVE DFHBMASK           TO MM15-PROD-PART-RATE-TBL-A
570900         GO TO Y119-EXIT.
571000*
571100     IF  MBCA-PTI-FUNCTION-IS-ADD
571200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
571300             MOVE DFHBMASB       TO MM15-PROD-PARTICIPATION-LIT-A
571400         ELSE
571500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
571600                 MOVE ZERO       TO MM15-PROD-PART-RATE-TBL-L
571700                 MOVE DFHBMDAS   TO MM15-PROD-PART-RATE-TBL-LP-A
571800                                    MM15-PROD-PART-RATE-TBL-RP-A
571900                 MOVE DFHBMASK   TO MM15-PROD-PART-RATE-TBL-A.
572000*
572100     IF  MBCA-PTI-FUNCTION-IS-MAINT
572200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
572300             MOVE ZERO           TO MM15-PROD-PART-RATE-TBL-L
572400             MOVE DFHBMDAS       TO MM15-PROD-PART-RATE-TBL-LP-A
572500                                    MM15-PROD-PART-RATE-TBL-RP-A
572600             MOVE DFHBMASK       TO MM15-PROD-PART-RATE-TBL-A.
572700*
572800 Y119-EXIT.
572900     EXIT.
573000*
573100 Y130-MOVE-SETTLE-FLAG.
573200*
573300     MOVE MMMP-PROD-SETTLE-FLAG  TO MM15-PROD-SETTLE-FLAG.
573400*
573500 Y135-SETTLE-FLAG-SECURITY.
573600*
573700     MOVE MMMMTB-PROD-SETT-FLAG (1:4)
573800                                 TO WS-INDEX-X.
573900     SET  X-MMFS-MERCH           TO WS-INDEX.
574000*
574100     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
574200         MOVE DFHBMDAS           TO MM15-PROD-SETTLE-FLAG-LIT-A
574300                                    MM15-PROD-SETTLE-FLAG-LP-A
574400                                    MM15-PROD-SETTLE-FLAG-RP-A
574500                                    MM15-PROD-SETTLE-FLAG-A
574600         MOVE ZERO               TO MM15-PROD-SETTLE-FLAG-L
574700         GO TO Y139-EXIT.
574800*
574900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
575000         MOVE DFHBMDAS           TO MM15-PROD-SETTLE-FLAG-LP-A
575100                                    MM15-PROD-SETTLE-FLAG-RP-A
575200         MOVE DFHBMASB           TO MM15-PROD-SETTLE-FLAG-A
575300         GO TO Y139-EXIT.
575400*
575500     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
575600         MOVE ZERO               TO MM15-PROD-SETTLE-FLAG-L
575700         MOVE DFHBMDAS           TO MM15-PROD-SETTLE-FLAG-LP-A
575800                                    MM15-PROD-SETTLE-FLAG-RP-A
575900         MOVE DFHBMASK           TO MM15-PROD-SETTLE-FLAG-A
576000         GO TO Y139-EXIT.
576100*
576200     IF  MBCA-PTI-FUNCTION-IS-ADD
576300         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
576400             MOVE DFHBMASB       TO MM15-PROD-SETTLE-FLAG-LIT-A
576500         ELSE
576600             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
576700                 MOVE ZERO       TO MM15-PROD-SETTLE-FLAG-L
576800                 MOVE DFHBMDAS   TO MM15-PROD-SETTLE-FLAG-LP-A
576900                                    MM15-PROD-SETTLE-FLAG-RP-A
577000                 MOVE DFHBMASK   TO MM15-PROD-SETTLE-FLAG-A.
577100*
577200     IF  MBCA-PTI-FUNCTION-IS-MAINT
577300         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
577400             MOVE ZERO           TO MM15-PROD-SETTLE-FLAG-L
577500             MOVE DFHBMDAS       TO MM15-PROD-SETTLE-FLAG-LP-A
577600                                    MM15-PROD-SETTLE-FLAG-RP-A
577700             MOVE DFHBMASK       TO MM15-PROD-SETTLE-FLAG-A.
577800*
577900 Y139-EXIT.
578000     EXIT.
578100*
578200 Y170-MOVE-RESV-1-FEE-BASE.
578300*
578400     MOVE MMMP-PROD-RESV-FEE-BASE (1)
578500                                 TO MM15-PROD-RESV-1-FEE-BASE.
578600*
578700 Y175-RESV-1-FEE-BASE-SECURITY.
578800*
578900     MOVE MMMMTB-PROD-RESV-1-FEE-BASE (1:4)
579000                                 TO WS-INDEX-X.
579100     SET  X-MMFS-MERCH           TO WS-INDEX.
579200*
579300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
579400         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-1-LIT-A
579500                                    MM15-PROD-RESV-1-FEE-BASE-LP-A
579600                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
579700                                    MM15-PROD-RESV-1-FEE-BASE-A
579800         MOVE ZERO               TO MM15-PROD-RESV-1-FEE-BASE-L
579900         GO TO Y179-EXIT.
580000*
580100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
580200         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-FEE-BASE-LP-A
580300                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
580400         MOVE DFHBMASB           TO MM15-PROD-RESV-1-FEE-BASE-A
580500         GO TO Y179-EXIT.
580600*
580700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
580800         MOVE ZERO               TO MM15-PROD-RESV-1-FEE-BASE-L
580900         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-FEE-BASE-LP-A
581000                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
581100         MOVE DFHBMASK           TO MM15-PROD-RESV-1-FEE-BASE-A
581200         GO TO Y179-EXIT.
581300*
581400     IF  MBCA-PTI-FUNCTION-IS-ADD
581500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
581600             MOVE DFHBMASB       TO MM15-PROD-RESERVE-1-LIT-A
581700         ELSE
581800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
581900                 MOVE ZERO       TO MM15-PROD-RESV-1-FEE-BASE-L
582000                 MOVE DFHBMDAS   TO MM15-PROD-RESV-1-FEE-BASE-LP-A
582100                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
582200                 MOVE DFHBMASK   TO MM15-PROD-RESV-1-FEE-BASE-A.
582300*
582400     IF  MBCA-PTI-FUNCTION-IS-MAINT
582500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
582600             MOVE ZERO           TO MM15-PROD-RESV-1-FEE-BASE-L
582700             MOVE DFHBMDAS       TO MM15-PROD-RESV-1-FEE-BASE-LP-A
582800                                    MM15-PROD-RESV-1-FEE-BASE-RP-A
582900             MOVE DFHBMASK       TO MM15-PROD-RESV-1-FEE-BASE-A.
583000*
583100*
583200 Y179-EXIT.
583300     EXIT.
583400*
583500 Y190-MOVE-RESV-1-TABLE.
583600*
583700     MOVE MMMP-PROD-RESV-RATE-TABLE (1)
583800                                 TO MM15-PROD-RESV-1-RATE-TBL.
583900*
584000 Y195-RESV-1-RATE-TBL-SECURITY.
584100*
584200     MOVE MMMMTB-PROD-RESV-1-RATE-TABLE (1:4)
584300                                 TO WS-INDEX-X.
584400     SET  X-MMFS-MERCH           TO WS-INDEX.
584500*
584600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
584700         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-1-LIT-A
584800                                    MM15-PROD-RESV-1-RATE-TBL-LP-A
584900                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
585000                                    MM15-PROD-RESV-1-RATE-TBL-A
585100         MOVE ZERO               TO MM15-PROD-RESV-1-RATE-TBL-L
585200         GO TO Y199-EXIT.
585300*
585400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
585500         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-RATE-TBL-LP-A
585600                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
585700         MOVE DFHBMASB           TO MM15-PROD-RESV-1-RATE-TBL-A
585800         GO TO Y199-EXIT.
585900*
586000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
586100         MOVE ZERO               TO MM15-PROD-RESV-1-RATE-TBL-L
586200         MOVE DFHBMDAS           TO MM15-PROD-RESV-1-RATE-TBL-LP-A
586300                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
586400         MOVE DFHBMASK           TO MM15-PROD-RESV-1-RATE-TBL-A
586500         GO TO Y199-EXIT.
586600*
586700     IF  MBCA-PTI-FUNCTION-IS-ADD
586800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
586900             MOVE DFHBMASB       TO MM15-PROD-RESERVE-1-LIT-A
587000         ELSE
587100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
587200                 MOVE ZERO       TO MM15-PROD-RESV-1-RATE-TBL-L
587300                 MOVE DFHBMDAS   TO MM15-PROD-RESV-1-RATE-TBL-LP-A
587400                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
587500                 MOVE DFHBMASK   TO MM15-PROD-RESV-1-RATE-TBL-A.
587600*
587700     IF  MBCA-PTI-FUNCTION-IS-MAINT
587800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
587900             MOVE ZERO           TO MM15-PROD-RESV-1-RATE-TBL-L
588000             MOVE DFHBMDAS       TO MM15-PROD-RESV-1-RATE-TBL-LP-A
588100                                    MM15-PROD-RESV-1-RATE-TBL-RP-A
588200             MOVE DFHBMASK       TO MM15-PROD-RESV-1-RATE-TBL-A.
588300*
588400 Y199-EXIT.
588500     EXIT.
588600*
588700 Y210-MOVE-SOURCE.
588800*
588900     MOVE MMMP-PROD-SOURCE       TO MM15-PROD-SOURCE.
589000*
589100 Y215-SOURCE-SECURITY.
589200*
589300     MOVE MMMMTB-PROD-SOURCE (1:4)
589400                                 TO WS-INDEX-X.
589500     SET  X-MMFS-MERCH           TO WS-INDEX.
589600*
589700     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
589800         MOVE DFHBMDAS           TO MM15-PROD-SOURCE-LIT-A
589900                                    MM15-PROD-SOURCE-LP-A
590000                                    MM15-PROD-SOURCE-RP-A
590100                                    MM15-PROD-SOURCE-A
590200         MOVE ZERO               TO MM15-PROD-SOURCE-L
590300         GO TO Y219-EXIT.
590400*
590500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
590600         MOVE DFHBMDAS           TO MM15-PROD-SOURCE-LP-A
590700                                    MM15-PROD-SOURCE-RP-A
590800         MOVE DFHBMASB           TO MM15-PROD-SOURCE-A
590900         GO TO Y219-EXIT.
591000*
591100     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
591200         MOVE ZERO               TO MM15-PROD-SOURCE-L
591300         MOVE DFHBMDAS           TO MM15-PROD-SOURCE-LP-A
591400                                    MM15-PROD-SOURCE-RP-A
591500         MOVE DFHBMASK           TO MM15-PROD-SOURCE-A
591600         GO TO Y219-EXIT.
591700*
591800     IF  MBCA-PTI-FUNCTION-IS-ADD
591900         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
592000             MOVE DFHBMASB       TO MM15-PROD-SOURCE-LIT-A
592100         ELSE
592200             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
592300                 MOVE ZERO       TO MM15-PROD-SOURCE-L
592400                 MOVE DFHBMDAS   TO MM15-PROD-SOURCE-LP-A
592500                                    MM15-PROD-SOURCE-RP-A
592600                 MOVE DFHBMASK   TO MM15-PROD-SOURCE-A.
592700*
592800     IF  MBCA-PTI-FUNCTION-IS-MAINT
592900         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
593000             MOVE ZERO           TO MM15-PROD-SOURCE-L
593100             MOVE DFHBMDAS       TO MM15-PROD-SOURCE-LP-A
593200                                    MM15-PROD-SOURCE-RP-A
593300             MOVE DFHBMASK       TO MM15-PROD-SOURCE-A.
593400*
593500 Y219-EXIT.
593600     EXIT.
593700*
593800 Y230-MOVE-RESV-2-FEE-BASE.
593900*
594000     MOVE MMMP-PROD-RESV-FEE-BASE (2)
594100                                 TO MM15-PROD-RESV-2-FEE-BASE.
594200*
594300 Y235-RESV-2-FEE-BASE-SECURITY.
594400*
594500     MOVE MMMMTB-PROD-RESV-2-FEE-BASE (1:4)
594600                                 TO WS-INDEX-X.
594700     SET  X-MMFS-MERCH           TO WS-INDEX.
594800*
594900     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
595000         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-2-LIT-A
595100                                    MM15-PROD-RESV-2-FEE-BASE-LP-A
595200                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
595300                                    MM15-PROD-RESV-2-FEE-BASE-A
595400         MOVE ZERO               TO MM15-PROD-RESV-2-FEE-BASE-L
595500         GO TO Y239-EXIT.
595600*
595700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
595800         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-FEE-BASE-LP-A
595900                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
596000         MOVE DFHBMASB           TO MM15-PROD-RESV-2-FEE-BASE-A
596100         GO TO Y239-EXIT.
596200*
596300     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
596400         MOVE ZERO               TO MM15-PROD-RESV-2-FEE-BASE-L
596500         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-FEE-BASE-LP-A
596600                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
596700         MOVE DFHBMASK           TO MM15-PROD-RESV-2-FEE-BASE-A
596800         GO TO Y239-EXIT.
596900*
597000     IF  MBCA-PTI-FUNCTION-IS-ADD
597100         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
597200             MOVE DFHBMASB       TO MM15-PROD-RESERVE-2-LIT-A
597300         ELSE
597400             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
597500                 MOVE ZERO       TO MM15-PROD-RESV-2-FEE-BASE-L
597600                 MOVE DFHBMDAS   TO MM15-PROD-RESV-2-FEE-BASE-LP-A
597700                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
597800                 MOVE DFHBMASK   TO MM15-PROD-RESV-2-FEE-BASE-A.
597900*
598000     IF  MBCA-PTI-FUNCTION-IS-MAINT
598100         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
598200             MOVE ZERO           TO MM15-PROD-RESV-2-FEE-BASE-L
598300             MOVE DFHBMDAS       TO MM15-PROD-RESV-2-FEE-BASE-LP-A
598400                                    MM15-PROD-RESV-2-FEE-BASE-RP-A
598500             MOVE DFHBMASK       TO MM15-PROD-RESV-2-FEE-BASE-A.
598600*
598700*
598800 Y239-EXIT.
598900     EXIT.
599000*
599100 Y250-MOVE-RESV-2-TABLE.
599200*
599300     MOVE MMMP-PROD-RESV-RATE-TABLE (2)
599400                                 TO MM15-PROD-RESV-2-RATE-TBL.
599500*
599600 Y255-RESV-2-RATE-TBL-SECURITY.
599700*
599800     MOVE MMMMTB-PROD-RESV-2-RATE-TABLE (1:4)
599900                                 TO WS-INDEX-X.
600000     SET  X-MMFS-MERCH           TO WS-INDEX.
600100*
600200     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
600300         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-2-LIT-A
600400                                    MM15-PROD-RESV-2-RATE-TBL-LP-A
600500                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
600600                                    MM15-PROD-RESV-2-RATE-TBL-A
600700         MOVE ZERO               TO MM15-PROD-RESV-2-RATE-TBL-L
600800         GO TO Y259-EXIT.
600900*
601000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
601100         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-RATE-TBL-LP-A
601200                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
601300         MOVE DFHBMASB           TO MM15-PROD-RESV-2-RATE-TBL-A
601400         GO TO Y259-EXIT.
601500*
601600     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
601700         MOVE ZERO               TO MM15-PROD-RESV-2-RATE-TBL-L
601800         MOVE DFHBMDAS           TO MM15-PROD-RESV-2-RATE-TBL-LP-A
601900                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
602000         MOVE DFHBMASK           TO MM15-PROD-RESV-2-RATE-TBL-A
602100         GO TO Y259-EXIT.
602200*
602300     IF  MBCA-PTI-FUNCTION-IS-ADD
602400         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
602500             MOVE DFHBMASB       TO MM15-PROD-RESERVE-2-LIT-A
602600         ELSE
602700             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
602800                 MOVE ZERO       TO MM15-PROD-RESV-2-RATE-TBL-L
602900                 MOVE DFHBMDAS   TO MM15-PROD-RESV-2-RATE-TBL-LP-A
603000                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
603100                 MOVE DFHBMASK   TO MM15-PROD-RESV-2-RATE-TBL-A.
603200*
603300     IF  MBCA-PTI-FUNCTION-IS-MAINT
603400         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
603500             MOVE ZERO           TO MM15-PROD-RESV-2-RATE-TBL-L
603600             MOVE DFHBMDAS       TO MM15-PROD-RESV-2-RATE-TBL-LP-A
603700                                    MM15-PROD-RESV-2-RATE-TBL-RP-A
603800             MOVE DFHBMASK       TO MM15-PROD-RESV-2-RATE-TBL-A.
603900*
604000 Y259-EXIT.
604100     EXIT.
604200*
604300 Y270-MOVE-SHORT-DESC.
604400*
604500     MOVE MMMP-PROD-SHORT-DESC   TO MM15-PROD-SHORT-DESC.
604600*
604700 Y275-SHORT-DESC-SECURITY.
604800*
604900     MOVE MMMMTB-PROD-SHORT-DESC (1:4)
605000                                 TO WS-INDEX-X.
605100     SET  X-MMFS-MERCH           TO WS-INDEX.
605200*
605300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
605400         MOVE DFHBMDAS           TO MM15-PROD-SHORT-DESC-LIT-A
605500                                    MM15-PROD-SHORT-DESC-LP-A
605600                                    MM15-PROD-SHORT-DESC-RP-A
605700                                    MM15-PROD-SHORT-DESC-A
605800         MOVE ZERO               TO MM15-PROD-SHORT-DESC-L
605900         GO TO Y279-EXIT.
606000*
606100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
606200         MOVE DFHBMDAS           TO MM15-PROD-SHORT-DESC-LP-A
606300                                    MM15-PROD-SHORT-DESC-RP-A
606400         MOVE DFHBMASB           TO MM15-PROD-SHORT-DESC-A
606500         GO TO Y279-EXIT.
606600*
606700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
606800         MOVE ZERO               TO MM15-PROD-SHORT-DESC-L
606900         MOVE DFHBMDAS           TO MM15-PROD-SHORT-DESC-LP-A
607000                                    MM15-PROD-SHORT-DESC-RP-A
607100         MOVE DFHBMASK           TO MM15-PROD-SHORT-DESC-A
607200         GO TO Y279-EXIT.
607300*
607400     IF  MBCA-PTI-FUNCTION-IS-ADD
607500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
607600             MOVE DFHBMASB       TO MM15-PROD-SHORT-DESC-LIT-A
607700         ELSE
607800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
607900                 MOVE ZERO       TO MM15-PROD-SHORT-DESC-L
608000                 MOVE DFHBMDAS   TO MM15-PROD-SHORT-DESC-LP-A
608100                                    MM15-PROD-SHORT-DESC-RP-A
608200                 MOVE DFHBMASK   TO MM15-PROD-SHORT-DESC-A.
608300*
608400     IF  MBCA-PTI-FUNCTION-IS-MAINT
608500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
608600             MOVE ZERO           TO MM15-PROD-SHORT-DESC-L
608700             MOVE DFHBMDAS       TO MM15-PROD-SHORT-DESC-LP-A
608800                                    MM15-PROD-SHORT-DESC-RP-A
608900             MOVE DFHBMASK       TO MM15-PROD-SHORT-DESC-A.
609000*
609100 Y279-EXIT.
609200     EXIT.
609300*
609400 Y290-MOVE-RESV-3-FEE-BASE.
609500*
609600     MOVE MMMP-PROD-RESV-FEE-BASE (3)
609700                                 TO MM15-PROD-RESV-3-FEE-BASE.
609800*
609900 Y295-RESV-3-FEE-BASE-SECURITY.
610000*
610100     MOVE MMMMTB-PROD-RESV-3-FEE-BASE (1:4)
610200                                 TO WS-INDEX-X.
610300     SET  X-MMFS-MERCH           TO WS-INDEX.
610400*
610500     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
610600         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-3-LIT-A
610700                                    MM15-PROD-RESV-3-FEE-BASE-LP-A
610800                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
610900                                    MM15-PROD-RESV-3-FEE-BASE-A
611000         MOVE ZERO               TO MM15-PROD-RESV-3-FEE-BASE-L
611100         GO TO Y299-EXIT.
611200*
611300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
611400         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-FEE-BASE-LP-A
611500                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
611600         MOVE DFHBMASB           TO MM15-PROD-RESV-3-FEE-BASE-A
611700         GO TO Y299-EXIT.
611800*
611900     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
612000         MOVE ZERO               TO MM15-PROD-RESV-3-FEE-BASE-L
612100         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-FEE-BASE-LP-A
612200                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
612300         MOVE DFHBMASK           TO MM15-PROD-RESV-3-FEE-BASE-A
612400         GO TO Y299-EXIT.
612500*
612600     IF  MBCA-PTI-FUNCTION-IS-ADD
612700         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
612800             MOVE DFHBMASB       TO MM15-PROD-RESERVE-3-LIT-A
612900         ELSE
613000             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
613100                 MOVE ZERO       TO MM15-PROD-RESV-3-FEE-BASE-L
613200                 MOVE DFHBMDAS   TO MM15-PROD-RESV-3-FEE-BASE-LP-A
613300                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
613400                 MOVE DFHBMASK   TO MM15-PROD-RESV-3-FEE-BASE-A.
613500*
613600     IF  MBCA-PTI-FUNCTION-IS-MAINT
613700         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
613800             MOVE ZERO           TO MM15-PROD-RESV-3-FEE-BASE-L
613900             MOVE DFHBMDAS       TO MM15-PROD-RESV-3-FEE-BASE-LP-A
614000                                    MM15-PROD-RESV-3-FEE-BASE-RP-A
614100             MOVE DFHBMASK       TO MM15-PROD-RESV-3-FEE-BASE-A.
614200*
614300*
614400 Y299-EXIT.
614500     EXIT.
614600*
614700 Y310-MOVE-RESV-3-TABLE.
614800*
614900     MOVE MMMP-PROD-RESV-RATE-TABLE (3)
615000                                 TO MM15-PROD-RESV-3-RATE-TBL.
615100*
615200 Y315-RESV-3-RATE-TBL-SECURITY.
615300*
615400     MOVE MMMMTB-PROD-RESV-3-RATE-TABLE (1:4)
615500                                 TO WS-INDEX-X.
615600     SET  X-MMFS-MERCH           TO WS-INDEX.
615700*
615800     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
615900         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-3-LIT-A
616000                                    MM15-PROD-RESV-3-RATE-TBL-LP-A
616100                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
616200                                    MM15-PROD-RESV-3-RATE-TBL-A
616300         MOVE ZERO               TO MM15-PROD-RESV-3-RATE-TBL-L
616400         GO TO Y319-EXIT.
616500*
616600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
616700         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-RATE-TBL-LP-A
616800                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
616900         MOVE DFHBMASB           TO MM15-PROD-RESV-3-RATE-TBL-A
617000         GO TO Y319-EXIT.
617100*
617200     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
617300         MOVE ZERO               TO MM15-PROD-RESV-3-RATE-TBL-L
617400         MOVE DFHBMDAS           TO MM15-PROD-RESV-3-RATE-TBL-LP-A
617500                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
617600         MOVE DFHBMASK           TO MM15-PROD-RESV-3-RATE-TBL-A
617700         GO TO Y319-EXIT.
617800*
617900     IF  MBCA-PTI-FUNCTION-IS-ADD
618000         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
618100             MOVE DFHBMASB       TO MM15-PROD-RESERVE-3-LIT-A
618200         ELSE
618300             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
618400                 MOVE ZERO       TO MM15-PROD-RESV-3-RATE-TBL-L
618500                 MOVE DFHBMDAS   TO MM15-PROD-RESV-3-RATE-TBL-LP-A
618600                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
618700                 MOVE DFHBMASK   TO MM15-PROD-RESV-3-RATE-TBL-A.
618800*
618900     IF  MBCA-PTI-FUNCTION-IS-MAINT
619000         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
619100             MOVE ZERO           TO MM15-PROD-RESV-3-RATE-TBL-L
619200             MOVE DFHBMDAS       TO MM15-PROD-RESV-3-RATE-TBL-LP-A
619300                                    MM15-PROD-RESV-3-RATE-TBL-RP-A
619400             MOVE DFHBMASK       TO MM15-PROD-RESV-3-RATE-TBL-A.
619500*
619600 Y319-EXIT.
619700     EXIT.
619800*
619900 Y330-MOVE-RESV-4-FEE-BASE.
620000*
620100     MOVE MMMP-PROD-RESV-FEE-BASE (4)
620200                                 TO MM15-PROD-RESV-4-FEE-BASE.
620300*
620400 Y335-RESV-4-FEE-BASE-SECURITY.
620500*
620600     MOVE MMMMTB-PROD-RESV-4-FEE-BASE (1:4)
620700                                 TO WS-INDEX-X.
620800     SET  X-MMFS-MERCH           TO WS-INDEX.
620900*
621000     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
621100         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-4-LIT-A
621200                                    MM15-PROD-RESV-4-FEE-BASE-LP-A
621300                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
621400                                    MM15-PROD-RESV-4-FEE-BASE-A
621500         MOVE ZERO               TO MM15-PROD-RESV-4-FEE-BASE-L
621600         GO TO Y339-EXIT.
621700*
621800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
621900         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-FEE-BASE-LP-A
622000                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
622100         MOVE DFHBMASB           TO MM15-PROD-RESV-4-FEE-BASE-A
622200         GO TO Y339-EXIT.
622300*
622400     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
622500         MOVE ZERO               TO MM15-PROD-RESV-4-FEE-BASE-L
622600         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-FEE-BASE-LP-A
622700                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
622800         MOVE DFHBMASK           TO MM15-PROD-RESV-4-FEE-BASE-A
622900         GO TO Y339-EXIT.
623000*
623100     IF  MBCA-PTI-FUNCTION-IS-ADD
623200         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
623300             MOVE DFHBMASB       TO MM15-PROD-RESERVE-4-LIT-A
623400         ELSE
623500             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
623600                 MOVE ZERO       TO MM15-PROD-RESV-4-FEE-BASE-L
623700                 MOVE DFHBMDAS   TO MM15-PROD-RESV-4-FEE-BASE-LP-A
623800                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
623900                 MOVE DFHBMASK   TO MM15-PROD-RESV-4-FEE-BASE-A.
624000*
624100     IF  MBCA-PTI-FUNCTION-IS-MAINT
624200         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
624300             MOVE ZERO           TO MM15-PROD-RESV-4-FEE-BASE-L
624400             MOVE DFHBMDAS       TO MM15-PROD-RESV-4-FEE-BASE-LP-A
624500                                    MM15-PROD-RESV-4-FEE-BASE-RP-A
624600             MOVE DFHBMASK       TO MM15-PROD-RESV-4-FEE-BASE-A.
624700*
624800*
624900 Y339-EXIT.
625000     EXIT.
625100*
625200 Y350-MOVE-RESV-4-TABLE.
625300*
625400     MOVE MMMP-PROD-RESV-RATE-TABLE (4)
625500                                 TO MM15-PROD-RESV-4-RATE-TBL.
625600*
625700 Y355-RESV-4-RATE-TBL-SECURITY.
625800*
625900     MOVE MMMMTB-PROD-RESV-4-RATE-TABLE (1:4)
626000                                 TO WS-INDEX-X.
626100     SET  X-MMFS-MERCH           TO WS-INDEX.
626200*
626300     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
626400         MOVE DFHBMDAS           TO MM15-PROD-RESERVE-4-LIT-A
626500                                    MM15-PROD-RESV-4-RATE-TBL-LP-A
626600                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
626700                                    MM15-PROD-RESV-4-RATE-TBL-A
626800         MOVE ZERO               TO MM15-PROD-RESV-4-RATE-TBL-L
626900         GO TO Y359-EXIT.
627000*
627100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
627200         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-RATE-TBL-LP-A
627300                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
627400         MOVE DFHBMASB           TO MM15-PROD-RESV-4-RATE-TBL-A
627500         GO TO Y359-EXIT.
627600*
627700     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
627800         MOVE ZERO               TO MM15-PROD-RESV-4-RATE-TBL-L
627900         MOVE DFHBMDAS           TO MM15-PROD-RESV-4-RATE-TBL-LP-A
628000                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
628100         MOVE DFHBMASK           TO MM15-PROD-RESV-4-RATE-TBL-A
628200         GO TO Y359-EXIT.
628300*
628400     IF  MBCA-PTI-FUNCTION-IS-ADD
628500         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
628600             MOVE DFHBMASB       TO MM15-PROD-RESERVE-4-LIT-A
628700         ELSE
628800             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
628900                 MOVE ZERO       TO MM15-PROD-RESV-4-RATE-TBL-L
629000                 MOVE DFHBMDAS   TO MM15-PROD-RESV-4-RATE-TBL-LP-A
629100                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
629200                 MOVE DFHBMASK   TO MM15-PROD-RESV-4-RATE-TBL-A.
629300*
629400     IF  MBCA-PTI-FUNCTION-IS-MAINT
629500         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
629600             MOVE ZERO           TO MM15-PROD-RESV-4-RATE-TBL-L
629700             MOVE DFHBMDAS       TO MM15-PROD-RESV-4-RATE-TBL-LP-A
629800                                    MM15-PROD-RESV-4-RATE-TBL-RP-A
629900             MOVE DFHBMASK       TO MM15-PROD-RESV-4-RATE-TBL-A.
630000*
630100 Y359-EXIT.
630200     EXIT.
630300*
630400 Y370-MOVE-USER-CODE.
630500*
630600     MOVE MMMP-PROD-USER-CODE    TO MM15-PROD-USER-CODE.
630700*
630800 Y375-USER-CODE-SECURITY.
630900*
631000     MOVE MMMMTB-PROD-USER-CODE (1:4)
631100                                 TO WS-INDEX-X.
631200     SET  X-MMFS-MERCH           TO WS-INDEX.
631300*
631400     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
631500         MOVE DFHBMDAS           TO MM15-PROD-USER-CODE-LIT-A
631600                                    MM15-PROD-USER-CODE-LP-A
631700                                    MM15-PROD-USER-CODE-RP-A
631800                                    MM15-PROD-USER-CODE-A
631900         MOVE ZERO               TO MM15-PROD-USER-CODE-L
632000         GO TO Y379-EXIT.
632100*
632200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
632300         MOVE DFHBMDAS           TO MM15-PROD-USER-CODE-LP-A
632400                                    MM15-PROD-USER-CODE-RP-A
632500         MOVE DFHBMASB           TO MM15-PROD-USER-CODE-A
632600         GO TO Y379-EXIT.
632700*
632800     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
632900         MOVE ZERO               TO MM15-PROD-USER-CODE-L
633000         MOVE DFHBMDAS           TO MM15-PROD-USER-CODE-LP-A
633100                                    MM15-PROD-USER-CODE-RP-A
633200         MOVE DFHBMASK           TO MM15-PROD-USER-CODE-A
633300         GO TO Y379-EXIT.
633400*
633500     IF  MBCA-PTI-FUNCTION-IS-ADD
633600         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
633700             MOVE DFHBMASB       TO MM15-PROD-USER-CODE-LIT-A
633800         ELSE
633900             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
634000                 MOVE ZERO       TO MM15-PROD-USER-CODE-L
634100                 MOVE DFHBMDAS   TO MM15-PROD-USER-CODE-LP-A
634200                                    MM15-PROD-USER-CODE-RP-A
634300                 MOVE DFHBMASK   TO MM15-PROD-USER-CODE-A.
634400*
634500     IF  MBCA-PTI-FUNCTION-IS-MAINT
634600         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
634700             MOVE ZERO           TO MM15-PROD-USER-CODE-L
634800             MOVE DFHBMDAS       TO MM15-PROD-USER-CODE-LP-A
634900                                    MM15-PROD-USER-CODE-RP-A
635000             MOVE DFHBMASK       TO MM15-PROD-USER-CODE-A.
635100*
635200 Y379-EXIT.
635300     EXIT.
635400*
635500 Y390-MOVE-INTCHG-FEE-BASE.
635600*
635700     MOVE MMMP-PROD-INTCHG-FEE-BASE
635800                                 TO MM15-PROD-INTCHG-FEE-BASE.
635900*
636000 Y395-INTCHG-FEE-BASE-SECURITY.
636100*
636200     MOVE MMMMTB-PROD-INTCHG-FEE-BASE (1:4)
636300                                 TO WS-INDEX-X.
636400     SET  X-MMFS-MERCH           TO WS-INDEX.
636500*
636600     IF  MMFS-MT-NO-ACCESS (X-MMFS-MERCH)
636700         MOVE DFHBMDAS           TO MM15-PROD-INTCHG-FB-LIT-A
636800                                    MM15-PROD-INTCHG-FEE-BASE-LP-A
636900                                    MM15-PROD-INTCHG-FEE-BASE-RP-A
637000                                    MM15-PROD-INTCHG-FEE-BASE-A
637100         MOVE ZERO               TO MM15-PROD-INTCHG-FEE-BASE-L
637200         GO TO Y399-EXIT.
637300*
637400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
637500         MOVE DFHBMDAS           TO MM15-PROD-INTCHG-FEE-BASE-LP-A
637600                                    MM15-PROD-INTCHG-FEE-BASE-RP-A
637700         MOVE DFHBMASB           TO MM15-PROD-INTCHG-FEE-BASE-A
637800         GO TO Y399-EXIT.
637900*
638000     IF  MMFS-MT-INQ-ONLY (X-MMFS-MERCH)
638100         MOVE ZERO               TO MM15-PROD-INTCHG-FEE-BASE-L
638200         MOVE DFHBMDAS           TO MM15-PROD-INTCHG-FEE-BASE-LP-A
638300                                    MM15-PROD-INTCHG-FEE-BASE-RP-A
638400         MOVE DFHBMASK           TO MM15-PROD-INTCHG-FEE-BASE-A
638500         GO TO Y399-EXIT.
638600*
638700     IF  MBCA-PTI-FUNCTION-IS-ADD
638800         IF  MMFS-MT-REQUIRED (X-MMFS-MERCH)
638900             MOVE DFHBMASB       TO MM15-PROD-INTCHG-FB-LIT-A
639000         ELSE
639100             IF  MMFS-MT-MAINT-ONLY (X-MMFS-MERCH)
639200                 MOVE ZERO       TO MM15-PROD-INTCHG-FEE-BASE-L
639300                 MOVE DFHBMDAS   TO MM15-PROD-INTCHG-FEE-BASE-LP-A
639400                                    MM15-PROD-INTCHG-FEE-BASE-RP-A
639500                 MOVE DFHBMASK   TO MM15-PROD-INTCHG-FEE-BASE-A.
639600*
639700     IF  MBCA-PTI-FUNCTION-IS-MAINT
639800         IF  MMFS-MT-NO-MAINT (X-MMFS-MERCH)
639900             MOVE ZERO           TO MM15-PROD-INTCHG-FEE-BASE-L
640000             MOVE DFHBMDAS       TO MM15-PROD-INTCHG-FEE-BASE-LP-A
640100                                    MM15-PROD-INTCHG-FEE-BASE-RP-A
640200             MOVE DFHBMASK       TO MM15-PROD-INTCHG-FEE-BASE-A.
640300*
640400 Y399-EXIT.
640500     EXIT.
640600*
640700 Y410-MOVE-DBA-NAME.
640800*
640900     MOVE MMSM-MC-DBA-NAME       TO MM15-MC-DBA-NAME.
641000*
641100 Y415-DBA-NAME-SECURITY.
641200*
641300     MOVE MMSMTB-MC-DBA-NAME (1:4)
641400                                 TO WS-INDEX-X.
641500     SET  X-MMFS-STORE           TO WS-INDEX.
641600*
641700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
641800         MOVE DFHBMDAS           TO MM15-MC-DBA-NAME-LIT-A
641900                                    MM15-MC-DBA-NAME-LP-A
642000                                    MM15-MC-DBA-NAME-RP-A
642100                                    MM15-MC-DBA-NAME-A
642200         MOVE ZERO               TO MM15-MC-DBA-NAME-L
642300         GO TO Y419-EXIT.
642400*
642500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
642600         MOVE DFHBMDAS           TO MM15-MC-DBA-NAME-LP-A
642700                                    MM15-MC-DBA-NAME-RP-A
642800         MOVE DFHBMASB           TO MM15-MC-DBA-NAME-A
642900         GO TO Y419-EXIT.
643000*
643100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
643200         MOVE ZERO               TO MM15-MC-DBA-NAME-L
643300         MOVE DFHBMDAS           TO MM15-MC-DBA-NAME-LP-A
643400                                    MM15-MC-DBA-NAME-RP-A
643500         MOVE DFHBMASK           TO MM15-MC-DBA-NAME-A
643600         GO TO Y419-EXIT.
643700*
643800     IF  MBCA-PTI-FUNCTION-IS-ADD
643900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
644000             MOVE DFHBMASB       TO MM15-MC-DBA-NAME-LIT-A
644100         ELSE
644200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
644300                 MOVE ZERO       TO MM15-MC-DBA-NAME-L
644400                 MOVE DFHBMDAS   TO MM15-MC-DBA-NAME-LP-A
644500                                    MM15-MC-DBA-NAME-RP-A
644600                 MOVE DFHBMASK   TO MM15-MC-DBA-NAME-A.
644700*
644800     IF  MBCA-PTI-FUNCTION-IS-MAINT
644900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
645000             MOVE ZERO           TO MM15-MC-DBA-NAME-L
645100             MOVE DFHBMDAS       TO MM15-MC-DBA-NAME-LP-A
645200                                    MM15-MC-DBA-NAME-RP-A
645300             MOVE DFHBMASK       TO MM15-MC-DBA-NAME-A.
645400*
645500 Y419-EXIT.
645600     EXIT.
645700*
645800 Y430-MOVE-CIRRUS-IND.
645900*
646000     MOVE MMSM-MC-CIRRUS-IND     TO MM15-MC-CIRRUS-IND.
646100*
646200 Y435-CIRRUS-IND-SECURITY.
646300*
646400     MOVE MMSMTB-MC-CIRRUS-IND (1:4)
646500                                 TO WS-INDEX-X.
646600     SET  X-MMFS-STORE           TO WS-INDEX.
646700*
646800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
646900         MOVE DFHBMDAS           TO MM15-MC-CIRRUS-IND-LIT-A
647000                                    MM15-MC-CIRRUS-IND-LP-A
647100                                    MM15-MC-CIRRUS-IND-RP-A
647200                                    MM15-MC-CIRRUS-IND-A
647300         MOVE ZERO               TO MM15-MC-CIRRUS-IND-L
647400         GO TO Y439-EXIT.
647500*
647600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
647700         MOVE DFHBMDAS           TO MM15-MC-CIRRUS-IND-LP-A
647800                                    MM15-MC-CIRRUS-IND-RP-A
647900         MOVE DFHBMASB           TO MM15-MC-CIRRUS-IND-A
648000         GO TO Y439-EXIT.
648100*
648200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
648300         MOVE ZERO               TO MM15-MC-CIRRUS-IND-L
648400         MOVE DFHBMDAS           TO MM15-MC-CIRRUS-IND-LP-A
648500                                    MM15-MC-CIRRUS-IND-RP-A
648600         MOVE DFHBMASK           TO MM15-MC-CIRRUS-IND-A
648700         GO TO Y439-EXIT.
648800*
648900     IF  MBCA-PTI-FUNCTION-IS-ADD
649000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
649100             MOVE DFHBMASB       TO MM15-MC-CIRRUS-IND-LIT-A
649200         ELSE
649300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
649400                 MOVE ZERO       TO MM15-MC-CIRRUS-IND-L
649500                 MOVE DFHBMDAS   TO MM15-MC-CIRRUS-IND-LP-A
649600                                    MM15-MC-CIRRUS-IND-RP-A
649700                 MOVE DFHBMASK   TO MM15-MC-CIRRUS-IND-A.
649800*
649900     IF  MBCA-PTI-FUNCTION-IS-MAINT
650000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
650100             MOVE ZERO           TO MM15-MC-CIRRUS-IND-L
650200             MOVE DFHBMDAS       TO MM15-MC-CIRRUS-IND-LP-A
650300                                    MM15-MC-CIRRUS-IND-RP-A
650400             MOVE DFHBMASK       TO MM15-MC-CIRRUS-IND-A.
650500*
650600 Y439-EXIT.
650700     EXIT.
650800*
650900 Y450-MOVE-INTCHG-IND.
651000*
651100     MOVE MMSM-MC-INTCHG-FLAG    TO MM15-MC-INTCHG-FLAG.
651200*
651300 Y455-INTCHG-FLAG-SECURITY.
651400*
651500     MOVE MMSMTB-MC-INTCHG-IND (1:4)
651600                                 TO WS-INDEX-X.
651700     SET  X-MMFS-STORE           TO WS-INDEX.
651800*
651900     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
652000         MOVE DFHBMDAS           TO MM15-MC-INTCHG-FLAG-LP-A
652100                                    MM15-MC-INTCHG-FLAG-RP-A
652200                                    MM15-MC-INTCHG-FLAG-A
652300         MOVE ZERO               TO MM15-MC-INTCHG-FLAG-L
652400         GO TO Y459-EXIT.
652500*
652600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
652700         MOVE DFHBMDAS           TO MM15-MC-INTCHG-FLAG-LP-A
652800                                    MM15-MC-INTCHG-FLAG-RP-A
652900         MOVE DFHBMASB           TO MM15-MC-INTCHG-FLAG-A
653000         GO TO Y459-EXIT.
653100*
653200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
653300         MOVE ZERO               TO MM15-MC-INTCHG-FLAG-L
653400         MOVE DFHBMDAS           TO MM15-MC-INTCHG-FLAG-LP-A
653500                                    MM15-MC-INTCHG-FLAG-RP-A
653600         MOVE DFHBMASK           TO MM15-MC-INTCHG-FLAG-A
653700         GO TO Y459-EXIT.
653800*
653900     IF  MBCA-PTI-FUNCTION-IS-ADD
654000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
654100             MOVE DFHBMASB       TO MM15-MC-INTCHG-FLAG-LIT-A
654200         ELSE
654300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
654400                 MOVE ZERO       TO MM15-MC-INTCHG-FLAG-L
654500                 MOVE DFHBMDAS   TO MM15-MC-INTCHG-FLAG-LP-A
654600                                    MM15-MC-INTCHG-FLAG-RP-A
654700                 MOVE DFHBMASK   TO MM15-MC-INTCHG-FLAG-A.
654800*
654900     IF  MBCA-PTI-FUNCTION-IS-MAINT
655000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
655100             MOVE ZERO           TO MM15-MC-INTCHG-FLAG-L
655200             MOVE DFHBMDAS       TO MM15-MC-INTCHG-FLAG-LP-A
655300                                    MM15-MC-INTCHG-FLAG-RP-A
655400             MOVE DFHBMASK       TO MM15-MC-INTCHG-FLAG-A.
655500*
655600 Y459-EXIT.
655700     EXIT.
655800*
655900 Y470-MOVE-BUS-CLASS-CODE.
656000*
656100     MOVE MMSM-MC-BUSINESS-CLASS TO MM15-MC-BUS-CLASS-CODE.
656200*
656300     IF  MBCA-MBMM-EUROPAY-ON
656400         MOVE DFHBMDAS           TO MM15-MC-BUS-CLASS-CODE-LP-A
656500                                    MM15-MC-BUS-CLASS-CODE-RP-A
656600                                    MM15-MC-BUS-CLASS-CODE-A
656700                                    MM15-MC-BUS-CLASS-CODE-LIT-A
656800         GO TO Y479-EXIT.
656900*
657000 Y475-BUS-CLASS-CODE-SECURITY.
657100*
657200     MOVE MMSMTB-MC-BUSINESS-CLASS (1:4)
657300                                 TO WS-INDEX-X.
657400     SET  X-MMFS-STORE           TO WS-INDEX.
657500*
657600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
657700         MOVE DFHBMDAS           TO MM15-MC-BUS-CLASS-CODE-LP-A
657800                                    MM15-MC-BUS-CLASS-CODE-RP-A
657900                                    MM15-MC-BUS-CLASS-CODE-A
657910                                    MM15-MC-BUS-CLASS-CODE-LIT-A  FX800030
658000         MOVE ZERO               TO MM15-MC-BUS-CLASS-CODE-L
658100         GO TO Y479-EXIT.
658200*
658300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
658400         MOVE DFHBMDAS           TO MM15-MC-BUS-CLASS-CODE-LP-A
658500                                    MM15-MC-BUS-CLASS-CODE-RP-A
658600         MOVE DFHBMASB           TO MM15-MC-BUS-CLASS-CODE-A
658700         GO TO Y479-EXIT.
658800*
658900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
659000         MOVE ZERO               TO MM15-MC-BUS-CLASS-CODE-L
659100         MOVE DFHBMDAS           TO MM15-MC-BUS-CLASS-CODE-LP-A
659200                                    MM15-MC-BUS-CLASS-CODE-RP-A
659300         MOVE DFHBMASK           TO MM15-MC-BUS-CLASS-CODE-A
659400         GO TO Y479-EXIT.
659500*
659600     IF  MBCA-PTI-FUNCTION-IS-ADD
659700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
659800             MOVE DFHBMASB       TO MM15-MC-BUS-CLASS-CODE-LIT-A
659900         ELSE
660000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
660100                 MOVE ZERO       TO MM15-MC-BUS-CLASS-CODE-L
660200                 MOVE DFHBMDAS   TO MM15-MC-BUS-CLASS-CODE-LP-A
660300                                    MM15-MC-BUS-CLASS-CODE-RP-A
660400                 MOVE DFHBMASK   TO MM15-MC-BUS-CLASS-CODE-A.
660500*
660600     IF  MBCA-PTI-FUNCTION-IS-MAINT
660700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
660800             MOVE ZERO           TO MM15-MC-BUS-CLASS-CODE-L
660900             MOVE DFHBMDAS       TO MM15-MC-BUS-CLASS-CODE-LP-A
661000                                    MM15-MC-BUS-CLASS-CODE-RP-A
661100             MOVE DFHBMASK       TO MM15-MC-BUS-CLASS-CODE-A.
661200*
661300 Y479-EXIT.
661400     EXIT.
661500*
661600 Y630-MOVE-CATEGORY-CODE.
661700*
661800     MOVE MMSM-MC-CATEGORY-CODE
661900                                 TO MM15-MC-CATEGORY-CODE.
662000*
662100 Y635-CATEGORY-CODE-SECURITY.
662200*
662300     MOVE MMSMTB-MC-CATEGORY-CODE (1:4)
662400                                 TO WS-INDEX-X.
662500     SET  X-MMFS-STORE           TO WS-INDEX.
662600*
662700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
662800         MOVE DFHBMDAS           TO MM15-MC-CATEGORY-CODE-LIT-A
662900                                    MM15-MC-CATEGORY-CODE-LP-A
663000                                    MM15-MC-CATEGORY-CODE-RP-A
663100                                    MM15-MC-CATEGORY-CODE-A
663200         MOVE ZERO               TO MM15-MC-CATEGORY-CODE-L
663300         GO TO Y639-EXIT.
663400*
663500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
663600         MOVE DFHBMDAS           TO MM15-MC-CATEGORY-CODE-LP-A
663700                                    MM15-MC-CATEGORY-CODE-RP-A
663800         MOVE DFHBMASB           TO MM15-MC-CATEGORY-CODE-A
663900         GO TO Y639-EXIT.
664000*
664100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
664200         MOVE ZERO               TO MM15-MC-CATEGORY-CODE-L
664300         MOVE DFHBMDAS           TO MM15-MC-CATEGORY-CODE-LP-A
664400                                    MM15-MC-CATEGORY-CODE-RP-A
664500         MOVE DFHBMASK           TO MM15-MC-CATEGORY-CODE-A
664600         GO TO Y639-EXIT.
664700*
664800     IF  MBCA-PTI-FUNCTION-IS-ADD
664900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
665000             MOVE DFHBMASB       TO MM15-MC-CATEGORY-CODE-LIT-A
665100         ELSE
665200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
665300                 MOVE ZERO       TO MM15-MC-CATEGORY-CODE-L
665400                 MOVE DFHBMDAS   TO MM15-MC-CATEGORY-CODE-LP-A
665500                                    MM15-MC-CATEGORY-CODE-RP-A
665600                 MOVE DFHBMASK   TO MM15-MC-CATEGORY-CODE-A.
665700*
665800     IF  MBCA-PTI-FUNCTION-IS-MAINT
665900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
666000             MOVE ZERO           TO MM15-MC-CATEGORY-CODE-L
666100             MOVE DFHBMDAS       TO MM15-MC-CATEGORY-CODE-LP-A
666200                                    MM15-MC-CATEGORY-CODE-RP-A
666300             MOVE DFHBMASK       TO MM15-MC-CATEGORY-CODE-A.
666400*
666500 Y639-EXIT.
666600     EXIT.
666700*
666800 Y650-MOVE-FLOOR-LIMIT.
666900*
667000     MOVE MMSM-MC-FLOOR-LIMIT    TO MM15-MC-FLOOR-LIMIT.
667100*
667200 Y655-FLOOR-LIMIT-SECURITY.
667300*
667400     MOVE MMSMTB-MC-FLOOR-LIMIT (1:4)
667500                                 TO WS-INDEX-X.
667600     SET  X-MMFS-STORE           TO WS-INDEX.
667700*
667800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
667900         MOVE DFHBMDAS           TO MM15-MC-FLOOR-LIMIT-LIT-A
668000                                    MM15-MC-FLOOR-LIMIT-LP-A
668100                                    MM15-MC-FLOOR-LIMIT-RP-A
668200                                    MM15-MC-FLOOR-LIMIT-A
668300         MOVE ZERO               TO MM15-MC-FLOOR-LIMIT-L
668400         GO TO Y659-EXIT.
668500*
668600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
668700         MOVE DFHBMDAS           TO MM15-MC-FLOOR-LIMIT-LP-A
668800                                    MM15-MC-FLOOR-LIMIT-RP-A
668900         MOVE DFHBMASB           TO MM15-MC-FLOOR-LIMIT-A
669000         GO TO Y659-EXIT.
669100*
669200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
669300         MOVE ZERO               TO MM15-MC-FLOOR-LIMIT-L
669400         MOVE DFHBMDAS           TO MM15-MC-FLOOR-LIMIT-LP-A
669500                                    MM15-MC-FLOOR-LIMIT-RP-A
669600         MOVE DFHBMASK           TO MM15-MC-FLOOR-LIMIT-A
669700         GO TO Y659-EXIT.
669800*
669900     IF  MBCA-PTI-FUNCTION-IS-ADD
670000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
670100             MOVE DFHBMASB       TO MM15-MC-FLOOR-LIMIT-LIT-A
670200         ELSE
670300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
670400                 MOVE ZERO       TO MM15-MC-FLOOR-LIMIT-L
670500                 MOVE DFHBMDAS   TO MM15-MC-FLOOR-LIMIT-LP-A
670600                                    MM15-MC-FLOOR-LIMIT-RP-A
670700                 MOVE DFHBMASK   TO MM15-MC-FLOOR-LIMIT-A.
670800*
670900     IF  MBCA-PTI-FUNCTION-IS-MAINT
671000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
671100             MOVE ZERO           TO MM15-MC-FLOOR-LIMIT-L
671200             MOVE DFHBMDAS       TO MM15-MC-FLOOR-LIMIT-LP-A
671300                                    MM15-MC-FLOOR-LIMIT-RP-A
671400             MOVE DFHBMASK       TO MM15-MC-FLOOR-LIMIT-A.
671500*
671600 Y659-EXIT.
671700     EXIT.
671800*
671900 Y670-MOVE-CH-TERM-IND.
672000*
672100     MOVE MMSM-MC-CH-TERM-IND    TO MM15-MC-CH-TERM-IND.
672200*
672300     IF  MBCA-MBMM-EUROPAY-ON
672400         MOVE DFHBMDAS           TO MM15-MC-CH-TERM-IND-LIT-A
672500                                    MM15-MC-CH-TERM-IND-LP-A
672600                                    MM15-MC-CH-TERM-IND-RP-A
672700                                    MM15-MC-CH-TERM-IND-A
672800         GO TO Y679-EXIT.
672900*
673000 Y675-CH-TERM-IND-SECURITY.
673100*
673200     MOVE MMSMTB-MC-CH-TERM-IND (1:4)
673300                                 TO WS-INDEX-X.
673400     SET  X-MMFS-STORE           TO WS-INDEX.
673500*
673600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
673700         MOVE DFHBMDAS           TO MM15-MC-CH-TERM-IND-LIT-A
673800                                    MM15-MC-CH-TERM-IND-LP-A
673900                                    MM15-MC-CH-TERM-IND-RP-A
674000                                    MM15-MC-CH-TERM-IND-A
674100         MOVE ZERO               TO MM15-MC-CH-TERM-IND-L
674200         GO TO Y679-EXIT.
674300*
674400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
674500         MOVE DFHBMDAS           TO MM15-MC-CH-TERM-IND-LP-A
674600                                    MM15-MC-CH-TERM-IND-RP-A
674700         MOVE DFHBMASB           TO MM15-MC-CH-TERM-IND-A
674800         GO TO Y679-EXIT.
674900*
675000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
675100         MOVE ZERO               TO MM15-MC-CH-TERM-IND-L
675200         MOVE DFHBMDAS           TO MM15-MC-CH-TERM-IND-LP-A
675300                                    MM15-MC-CH-TERM-IND-RP-A
675400         MOVE DFHBMASK           TO MM15-MC-CH-TERM-IND-A
675500         GO TO Y679-EXIT.
675600*
675700     IF  MBCA-PTI-FUNCTION-IS-ADD
675800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
675900             MOVE DFHBMASB       TO MM15-MC-CH-TERM-IND-LIT-A
676000         ELSE
676100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
676200                 MOVE ZERO       TO MM15-MC-CH-TERM-IND-L
676300                 MOVE DFHBMDAS   TO MM15-MC-CH-TERM-IND-LP-A
676400                                    MM15-MC-CH-TERM-IND-RP-A
676500                 MOVE DFHBMASK   TO MM15-MC-CH-TERM-IND-A.
676600*
676700     IF  MBCA-PTI-FUNCTION-IS-MAINT
676800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
676900             MOVE ZERO           TO MM15-MC-CH-TERM-IND-L
677000             MOVE DFHBMDAS       TO MM15-MC-CH-TERM-IND-LP-A
677100                                    MM15-MC-CH-TERM-IND-RP-A
677200             MOVE DFHBMASK       TO MM15-MC-CH-TERM-IND-A.
677300*
677400 Y679-EXIT.
677500     EXIT.
677502*                                                                 RG800913
677504 Y680-MOVE-ASSIGNED-ID.                                           RG800913
677506*                                                                 RG800913
677508     MOVE MMSM-MC-ASSIGNED-ID    TO MM15-MC-ASSIGNED-ID.          RG800913
677510*                                                                 RG800913
677512     IF  MBCA-MBMM-EUROPAY-ON                                     RG800913
677514         MOVE DFHBMDAS           TO MM15-MC-ASSIGNED-ID-LIT-A     RG800913
677516                                    MM15-MC-ASSIGNED-ID-LP-A      RG800913
677518                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677520                                    MM15-MC-ASSIGNED-ID-A         RG800913
677522         GO TO Y689-EXIT.                                         RG800913
677524*                                                                 RG800913
677526 Y685-ASSIGNED-ID-SECURITY.                                       RG800913
677528*                                                                 RG800913
677530     MOVE MMSMTB-MC-ASSIGNED-ID (1:4)                             RG800913
677532                                 TO WS-INDEX-X.                   RG800913
677534     SET  X-MMFS-STORE           TO WS-INDEX.                     RG800913
677536*                                                                 RG800913
677538     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)                         RG800913
677540         MOVE DFHBMDAS           TO MM15-MC-ASSIGNED-ID-LIT-A     RG800913
677542                                    MM15-MC-ASSIGNED-ID-LP-A      RG800913
677544                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677546                                    MM15-MC-ASSIGNED-ID-A         RG800913
677548         MOVE ZERO               TO MM15-MC-ASSIGNED-ID-L         RG800913
677550         GO TO Y689-EXIT.                                         RG800913
677552*                                                                 RG800913
677554     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG800913
677556         MOVE DFHBMDAS           TO MM15-MC-ASSIGNED-ID-LP-A      RG800913
677558                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677560         MOVE DFHBMASB           TO MM15-MC-ASSIGNED-ID-A         RG800913
677562         GO TO Y689-EXIT.                                         RG800913
677564*                                                                 RG800913
677566     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)                          RG800913
677568         MOVE ZERO               TO MM15-MC-ASSIGNED-ID-L         RG800913
677570         MOVE DFHBMDAS           TO MM15-MC-ASSIGNED-ID-LP-A      RG800913
677572                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677574         MOVE DFHBMASK           TO MM15-MC-ASSIGNED-ID-A         RG800913
677576         GO TO Y689-EXIT.                                         RG800913
677578*                                                                 RG800913
677580     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800913
677582         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)                      RG800913
677584             MOVE DFHBMASB       TO MM15-MC-ASSIGNED-ID-LIT-A     RG800913
677586         ELSE                                                     RG800913
677588             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)                RG800913
677590                 MOVE ZERO       TO MM15-MC-ASSIGNED-ID-L         RG800913
677592                 MOVE DFHBMDAS TO MM15-MC-ASSIGNED-ID-LP-A        RG800913
677594                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677596                 MOVE DFHBMASK   TO MM15-MC-ASSIGNED-ID-A.        RG800913
677598*                                                                 RG800913
677600     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800913
677602         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)                      RG800913
677604             MOVE ZERO           TO MM15-MC-ASSIGNED-ID-L         RG800913
677606             MOVE DFHBMDAS       TO MM15-MC-ASSIGNED-ID-LP-A      RG800913
677608                                    MM15-MC-ASSIGNED-ID-RP-A      RG800913
677610             MOVE DFHBMASK       TO MM15-MC-ASSIGNED-ID-A.        RG800913
677612*                                                                 RG800913
677614 Y689-EXIT.                                                       RG800913
677616     EXIT.                                                        RG800913
677699*                                                                 RG800913
677700 Y690-MOVE-MC-POS-DC-01.
677800*
677900     MOVE MMSM-MC-POS-DC-01      TO MM15-MC-POS-DC-01.
678000*
678100 Y695-POS-DC-01-SECURITY.
678200*
678300     MOVE MMSMTB-MC-POS-DC-01 (1:4)
678400                                 TO WS-INDEX-X.
678500     SET  X-MMFS-STORE           TO WS-INDEX.
678600*
678700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
678800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-01-LP-A
678900                                    MM15-MC-POS-DC-01-RP-A
679000                                    MM15-MC-POS-DC-01-A
679100         MOVE ZERO               TO MM15-MC-POS-DC-01-L
679200         GO TO Y699-EXIT.
679300*
679400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
679500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-01-LP-A
679600                                    MM15-MC-POS-DC-01-RP-A
679700         MOVE DFHBMASB           TO MM15-MC-POS-DC-01-A
679800         GO TO Y699-EXIT.
679900*
680000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
680100         MOVE ZERO               TO MM15-MC-POS-DC-01-L
680200         MOVE DFHBMDAS           TO MM15-MC-POS-DC-01-LP-A
680300                                    MM15-MC-POS-DC-01-RP-A
680400         MOVE DFHBMASK           TO MM15-MC-POS-DC-01-A
680500         GO TO Y699-EXIT.
680600*
680700     IF  MBCA-PTI-FUNCTION-IS-ADD
680800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
680900             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
681000         ELSE
681100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
681200                 MOVE ZERO       TO MM15-MC-POS-DC-01-L
681300                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-01-LP-A
681400                                    MM15-MC-POS-DC-01-RP-A
681500                 MOVE DFHBMASK   TO MM15-MC-POS-DC-01-A.
681600*
681700     IF  MBCA-PTI-FUNCTION-IS-MAINT
681800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
681900             MOVE ZERO           TO MM15-MC-POS-DC-01-L
682000             MOVE DFHBMDAS       TO MM15-MC-POS-DC-01-LP-A
682100                                    MM15-MC-POS-DC-01-RP-A
682200             MOVE DFHBMASK       TO MM15-MC-POS-DC-01-A.
682300*
682400 Y699-EXIT.
682500     EXIT.
682600*
682700*
682800 Y700-MOVE-MC-POS-DC-02.
682900*
683000     MOVE MMSM-MC-POS-DC-02      TO MM15-MC-POS-DC-02.
683100*
683200 Y705-POS-DC-02-SECURITY.
683300*
683400     MOVE MMSMTB-MC-POS-DC-02 (1:4)
683500                                 TO WS-INDEX-X.
683600     SET  X-MMFS-STORE           TO WS-INDEX.
683700*
683800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
683900         MOVE DFHBMDAS           TO MM15-MC-POS-DC-02-LP-A
684000                                    MM15-MC-POS-DC-02-RP-A
684100                                    MM15-MC-POS-DC-02-A
684200         MOVE ZERO               TO MM15-MC-POS-DC-02-L
684300         GO TO Y709-EXIT.
684400*
684500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
684600         MOVE DFHBMDAS           TO MM15-MC-POS-DC-02-LP-A
684700                                    MM15-MC-POS-DC-02-RP-A
684800         MOVE DFHBMASB           TO MM15-MC-POS-DC-02-A
684900         GO TO Y709-EXIT.
685000*
685100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
685200         MOVE ZERO               TO MM15-MC-POS-DC-02-L
685300         MOVE DFHBMDAS           TO MM15-MC-POS-DC-02-LP-A
685400                                    MM15-MC-POS-DC-02-RP-A
685500         MOVE DFHBMASK           TO MM15-MC-POS-DC-02-A
685600         GO TO Y709-EXIT.
685700*
685800     IF  MBCA-PTI-FUNCTION-IS-ADD
685900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
686000             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
686100         ELSE
686200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
686300                 MOVE ZERO       TO MM15-MC-POS-DC-02-L
686400                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-02-LP-A
686500                                    MM15-MC-POS-DC-02-RP-A
686600                 MOVE DFHBMASK   TO MM15-MC-POS-DC-02-A.
686700*
686800     IF  MBCA-PTI-FUNCTION-IS-MAINT
686900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
687000             MOVE ZERO           TO MM15-MC-POS-DC-02-L
687100             MOVE DFHBMDAS       TO MM15-MC-POS-DC-02-LP-A
687200                                    MM15-MC-POS-DC-02-RP-A
687300             MOVE DFHBMASK       TO MM15-MC-POS-DC-02-A.
687400*
687500 Y709-EXIT.
687600     EXIT.
687700*
687800 Y710-MOVE-MC-POS-DC-03.
687900*
688000     MOVE MMSM-MC-POS-DC-03      TO MM15-MC-POS-DC-03.
688100*
688200 Y715-POS-DC-03-SECURITY.
688300*
688400     MOVE MMSMTB-MC-POS-DC-03 (1:4)
688500                                 TO WS-INDEX-X.
688600     SET  X-MMFS-STORE           TO WS-INDEX.
688700*
688800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
688900         MOVE DFHBMDAS           TO MM15-MC-POS-DC-03-LP-A
689000                                    MM15-MC-POS-DC-03-RP-A
689100                                    MM15-MC-POS-DC-03-A
689200         MOVE ZERO               TO MM15-MC-POS-DC-03-L
689300         GO TO Y719-EXIT.
689400*
689500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
689600         MOVE DFHBMDAS           TO MM15-MC-POS-DC-03-LP-A
689700                                    MM15-MC-POS-DC-03-RP-A
689800         MOVE DFHBMASB           TO MM15-MC-POS-DC-03-A
689900         GO TO Y719-EXIT.
690000*
690100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
690200         MOVE ZERO               TO MM15-MC-POS-DC-03-L
690300         MOVE DFHBMDAS           TO MM15-MC-POS-DC-03-LP-A
690400                                    MM15-MC-POS-DC-03-RP-A
690500         MOVE DFHBMASK           TO MM15-MC-POS-DC-03-A
690600         GO TO Y719-EXIT.
690700*
690800     IF  MBCA-PTI-FUNCTION-IS-ADD
690900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
691000             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
691100         ELSE
691200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
691300                 MOVE ZERO       TO MM15-MC-POS-DC-03-L
691400                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-03-LP-A
691500                                    MM15-MC-POS-DC-03-RP-A
691600                 MOVE DFHBMASK   TO MM15-MC-POS-DC-03-A.
691700*
691800     IF  MBCA-PTI-FUNCTION-IS-MAINT
691900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
692000             MOVE ZERO           TO MM15-MC-POS-DC-03-L
692100             MOVE DFHBMDAS       TO MM15-MC-POS-DC-03-LP-A
692200                                    MM15-MC-POS-DC-03-RP-A
692300             MOVE DFHBMASK       TO MM15-MC-POS-DC-03-A.
692400*
692500 Y719-EXIT.
692600     EXIT.
692700*
692800 Y720-MOVE-MC-POS-DC-04.
692900*
693000     MOVE MMSM-MC-POS-DC-04      TO MM15-MC-POS-DC-04.
693100*
693200 Y725-POS-DC-04-SECURITY.
693300*
693400     MOVE MMSMTB-MC-POS-DC-04 (1:4)
693500                                 TO WS-INDEX-X.
693600     SET  X-MMFS-STORE           TO WS-INDEX.
693700*
693800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
693900         MOVE DFHBMDAS           TO MM15-MC-POS-DC-04-LP-A
694000                                    MM15-MC-POS-DC-04-RP-A
694100                                    MM15-MC-POS-DC-04-A
694200         MOVE ZERO               TO MM15-MC-POS-DC-04-L
694300         GO TO Y729-EXIT.
694400*
694500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
694600         MOVE DFHBMDAS           TO MM15-MC-POS-DC-04-LP-A
694700                                    MM15-MC-POS-DC-04-RP-A
694800         MOVE DFHBMASB           TO MM15-MC-POS-DC-04-A
694900         GO TO Y729-EXIT.
695000*
695100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
695200         MOVE ZERO               TO MM15-MC-POS-DC-04-L
695300         MOVE DFHBMDAS           TO MM15-MC-POS-DC-04-LP-A
695400                                    MM15-MC-POS-DC-04-RP-A
695500         MOVE DFHBMASK           TO MM15-MC-POS-DC-04-A
695600         GO TO Y729-EXIT.
695700*
695800     IF  MBCA-PTI-FUNCTION-IS-ADD
695900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
696000             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
696100         ELSE
696200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
696300                 MOVE ZERO       TO MM15-MC-POS-DC-04-L
696400                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-04-LP-A
696500                                    MM15-MC-POS-DC-04-RP-A
696600                 MOVE DFHBMASK   TO MM15-MC-POS-DC-04-A.
696700*
696800     IF  MBCA-PTI-FUNCTION-IS-MAINT
696900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
697000             MOVE ZERO           TO MM15-MC-POS-DC-04-L
697100             MOVE DFHBMDAS       TO MM15-MC-POS-DC-04-LP-A
697200                                    MM15-MC-POS-DC-04-RP-A
697300             MOVE DFHBMASK       TO MM15-MC-POS-DC-04-A.
697400*
697500 Y729-EXIT.
697600     EXIT.
697700*
697800 Y730-MOVE-MC-POS-DC-05.
697900*
698000     MOVE MMSM-MC-POS-DC-05      TO MM15-MC-POS-DC-05.
698100*
698200 Y735-POS-DC-05-SECURITY.
698300*
698400     MOVE MMSMTB-MC-POS-DC-05 (1:4)
698500                                 TO WS-INDEX-X.
698600     SET  X-MMFS-STORE           TO WS-INDEX.
698700*
698800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
698900         MOVE DFHBMDAS           TO MM15-MC-POS-DC-05-LP-A
699000                                    MM15-MC-POS-DC-05-RP-A
699100                                    MM15-MC-POS-DC-05-A
699200         MOVE ZERO               TO MM15-MC-POS-DC-05-L
699300         GO TO Y739-EXIT.
699400*
699500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
699600         MOVE DFHBMDAS           TO MM15-MC-POS-DC-05-LP-A
699700                                    MM15-MC-POS-DC-05-RP-A
699800         MOVE DFHBMASB           TO MM15-MC-POS-DC-05-A
699900         GO TO Y739-EXIT.
700000*
700100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
700200         MOVE ZERO               TO MM15-MC-POS-DC-05-L
700300         MOVE DFHBMDAS           TO MM15-MC-POS-DC-05-LP-A
700400                                    MM15-MC-POS-DC-05-RP-A
700500         MOVE DFHBMASK           TO MM15-MC-POS-DC-05-A
700600         GO TO Y739-EXIT.
700700*
700800     IF  MBCA-PTI-FUNCTION-IS-ADD
700900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
701000             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
701100         ELSE
701200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
701300                 MOVE ZERO       TO MM15-MC-POS-DC-05-L
701400                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-05-LP-A
701500                                    MM15-MC-POS-DC-05-RP-A
701600                 MOVE DFHBMASK   TO MM15-MC-POS-DC-05-A.
701700*
701800     IF  MBCA-PTI-FUNCTION-IS-MAINT
701900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
702000             MOVE ZERO           TO MM15-MC-POS-DC-05-L
702100             MOVE DFHBMDAS       TO MM15-MC-POS-DC-05-LP-A
702200                                    MM15-MC-POS-DC-05-RP-A
702300             MOVE DFHBMASK       TO MM15-MC-POS-DC-05-A.
702400*
702500 Y739-EXIT.
702600     EXIT.
702700*
702800 Y740-MOVE-MC-POS-DC-06.
702900*
703000     MOVE MMSM-MC-POS-DC-06      TO MM15-MC-POS-DC-06.
703100*
703200 Y745-POS-DC-06-SECURITY.
703300*
703400     MOVE MMSMTB-MC-POS-DC-06 (1:4)
703500                                 TO WS-INDEX-X.
703600     SET  X-MMFS-STORE           TO WS-INDEX.
703700*
703800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
703900         MOVE DFHBMDAS           TO MM15-MC-POS-DC-DESC-LIT-A
704000                                    MM15-MC-POS-DC-06-LP-A
704100                                    MM15-MC-POS-DC-06-RP-A
704200                                    MM15-MC-POS-DC-06-A
704300         MOVE ZERO               TO MM15-MC-POS-DC-06-L
704400         GO TO Y749-EXIT.
704500*
704600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
704700         MOVE DFHBMDAS           TO MM15-MC-POS-DC-06-LP-A
704800                                    MM15-MC-POS-DC-06-RP-A
704900         MOVE DFHBMASB           TO MM15-MC-POS-DC-06-A
705000         GO TO Y749-EXIT.
705100*
705200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
705300         MOVE ZERO               TO MM15-MC-POS-DC-06-L
705400         MOVE DFHBMDAS           TO MM15-MC-POS-DC-06-LP-A
705500                                    MM15-MC-POS-DC-06-RP-A
705600         MOVE DFHBMASK           TO MM15-MC-POS-DC-06-A
705700         GO TO Y749-EXIT.
705800*
705900     IF  MBCA-PTI-FUNCTION-IS-ADD
706000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
706100             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
706200         ELSE
706300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
706400                 MOVE ZERO       TO MM15-MC-POS-DC-06-L
706500                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-06-LP-A
706600                                    MM15-MC-POS-DC-06-RP-A
706700                 MOVE DFHBMASK   TO MM15-MC-POS-DC-06-A.
706800*
706900     IF  MBCA-PTI-FUNCTION-IS-MAINT
707000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
707100             MOVE ZERO           TO MM15-MC-POS-DC-06-L
707200             MOVE DFHBMDAS       TO MM15-MC-POS-DC-06-LP-A
707300                                    MM15-MC-POS-DC-06-RP-A
707400             MOVE DFHBMASK       TO MM15-MC-POS-DC-06-A.
707500*
707600 Y749-EXIT.
707700     EXIT.
707800*
707900 Y750-MOVE-MC-POS-DC-07.
708000*
708100     MOVE MMSM-MC-POS-DC-07      TO MM15-MC-POS-DC-07.
708200*
708300 Y755-POS-DC-07-SECURITY.
708400*
708500     MOVE MMSMTB-MC-POS-DC-07 (1:4)
708600                                 TO WS-INDEX-X.
708700     SET  X-MMFS-STORE           TO WS-INDEX.
708800*
708900     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
709000         MOVE DFHBMDAS           TO MM15-MC-POS-DC-DESC-LIT-A
709100                                    MM15-MC-POS-DC-07-LP-A
709200                                    MM15-MC-POS-DC-07-RP-A
709300                                    MM15-MC-POS-DC-07-A
709400         MOVE ZERO               TO MM15-MC-POS-DC-07-L
709500         GO TO Y759-EXIT.
709600*
709700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
709800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-07-LP-A
709900                                    MM15-MC-POS-DC-07-RP-A
710000         MOVE DFHBMASB           TO MM15-MC-POS-DC-07-A
710100         GO TO Y759-EXIT.
710200*
710300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
710400         MOVE ZERO               TO MM15-MC-POS-DC-07-L
710500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-07-LP-A
710600                                    MM15-MC-POS-DC-07-RP-A
710700         MOVE DFHBMASK           TO MM15-MC-POS-DC-07-A
710800         GO TO Y759-EXIT.
710900*
711000     IF  MBCA-PTI-FUNCTION-IS-ADD
711100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
711200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
711300         ELSE
711400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
711500                 MOVE ZERO       TO MM15-MC-POS-DC-07-L
711600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-07-LP-A
711700                                    MM15-MC-POS-DC-07-RP-A
711800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-07-A.
711900*
712000     IF  MBCA-PTI-FUNCTION-IS-MAINT
712100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
712200             MOVE ZERO           TO MM15-MC-POS-DC-07-L
712300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-07-LP-A
712400                                    MM15-MC-POS-DC-07-RP-A
712500             MOVE DFHBMASK       TO MM15-MC-POS-DC-07-A.
712600*
712700 Y759-EXIT.
712800     EXIT.
712900*
713000 Y760-MOVE-MC-POS-DC-08.
713100*
713200     MOVE MMSM-MC-POS-DC-08      TO MM15-MC-POS-DC-08.
713300*
713400 Y765-POS-DC-08-SECURITY.
713500*
713600     MOVE MMSMTB-MC-POS-DC-08 (1:4)
713700                                 TO WS-INDEX-X.
713800     SET  X-MMFS-STORE           TO WS-INDEX.
713900*
714000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
714100         MOVE DFHBMDAS           TO MM15-MC-POS-DC-08-LP-A
714200                                    MM15-MC-POS-DC-08-RP-A
714300                                    MM15-MC-POS-DC-08-A
714400         MOVE ZERO               TO MM15-MC-POS-DC-08-L
714500         GO TO Y769-EXIT.
714600*
714700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
714800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-08-LP-A
714900                                    MM15-MC-POS-DC-08-RP-A
715000         MOVE DFHBMASB           TO MM15-MC-POS-DC-08-A
715100         GO TO Y769-EXIT.
715200*
715300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
715400         MOVE ZERO               TO MM15-MC-POS-DC-08-L
715500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-08-LP-A
715600                                    MM15-MC-POS-DC-08-RP-A
715700         MOVE DFHBMASK           TO MM15-MC-POS-DC-08-A
715800         GO TO Y769-EXIT.
715900*
716000     IF  MBCA-PTI-FUNCTION-IS-ADD
716100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
716200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
716300         ELSE
716400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
716500                 MOVE ZERO       TO MM15-MC-POS-DC-08-L
716600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-08-LP-A
716700                                    MM15-MC-POS-DC-08-RP-A
716800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-08-A.
716900*
717000     IF  MBCA-PTI-FUNCTION-IS-MAINT
717100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
717200             MOVE ZERO           TO MM15-MC-POS-DC-08-L
717300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-08-LP-A
717400                                    MM15-MC-POS-DC-08-RP-A
717500             MOVE DFHBMASK       TO MM15-MC-POS-DC-08-A.
717600*
717700 Y769-EXIT.
717800     EXIT.
717900*
718000 Y770-MOVE-MC-POS-DC-09.
718100*
718200     MOVE MMSM-MC-POS-DC-09      TO MM15-MC-POS-DC-09.
718300*
718400 Y775-POS-DC-09-SECURITY.
718500*
718600     MOVE MMSMTB-MC-POS-DC-09 (1:4)
718700                                 TO WS-INDEX-X.
718800     SET  X-MMFS-STORE           TO WS-INDEX.
718900*
719000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
719100         MOVE DFHBMDAS           TO MM15-MC-POS-DC-09-LP-A
719200                                    MM15-MC-POS-DC-09-RP-A
719300                                    MM15-MC-POS-DC-09-A
719400         MOVE ZERO               TO MM15-MC-POS-DC-09-L
719500         GO TO Y779-EXIT.
719600*
719700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
719800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-09-LP-A
719900                                    MM15-MC-POS-DC-09-RP-A
720000         MOVE DFHBMASB           TO MM15-MC-POS-DC-09-A
720100         GO TO Y779-EXIT.
720200*
720300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
720400         MOVE ZERO               TO MM15-MC-POS-DC-09-L
720500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-09-LP-A
720600                                    MM15-MC-POS-DC-09-RP-A
720700         MOVE DFHBMASK           TO MM15-MC-POS-DC-09-A
720800         GO TO Y779-EXIT.
720900*
721000     IF  MBCA-PTI-FUNCTION-IS-ADD
721100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
721200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
721300         ELSE
721400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
721500                 MOVE ZERO       TO MM15-MC-POS-DC-09-L
721600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-09-LP-A
721700                                    MM15-MC-POS-DC-09-RP-A
721800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-09-A.
721900*
722000     IF  MBCA-PTI-FUNCTION-IS-MAINT
722100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
722200             MOVE ZERO           TO MM15-MC-POS-DC-09-L
722300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-09-LP-A
722400                                    MM15-MC-POS-DC-09-RP-A
722500             MOVE DFHBMASK       TO MM15-MC-POS-DC-09-A.
722600*
722700 Y779-EXIT.
722800     EXIT.
722900*
723000 Y780-MOVE-MC-POS-DC-10.
723100*
723200     MOVE MMSM-MC-POS-DC-10      TO MM15-MC-POS-DC-10.
723300*
723400 Y785-POS-DC-10-SECURITY.
723500*
723600     MOVE MMSMTB-MC-POS-DC-10 (1:4)
723700                                 TO WS-INDEX-X.
723800     SET  X-MMFS-STORE           TO WS-INDEX.
723900*
724000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
724100         MOVE DFHBMDAS           TO MM15-MC-POS-DC-10-LP-A
724200                                    MM15-MC-POS-DC-10-RP-A
724300                                    MM15-MC-POS-DC-10-A
724400         MOVE ZERO               TO MM15-MC-POS-DC-10-L
724500         GO TO Y789-EXIT.
724600*
724700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
724800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-10-LP-A
724900                                    MM15-MC-POS-DC-10-RP-A
725000         MOVE DFHBMASB           TO MM15-MC-POS-DC-10-A
725100         GO TO Y789-EXIT.
725200*
725300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
725400         MOVE ZERO               TO MM15-MC-POS-DC-10-L
725500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-10-LP-A
725600                                    MM15-MC-POS-DC-10-RP-A
725700         MOVE DFHBMASK           TO MM15-MC-POS-DC-10-A
725800         GO TO Y789-EXIT.
725900*
726000     IF  MBCA-PTI-FUNCTION-IS-ADD
726100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
726200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
726300         ELSE
726400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
726500                 MOVE ZERO       TO MM15-MC-POS-DC-10-L
726600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-10-LP-A
726700                                    MM15-MC-POS-DC-10-RP-A
726800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-10-A.
726900*
727000     IF  MBCA-PTI-FUNCTION-IS-MAINT
727100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
727200             MOVE ZERO           TO MM15-MC-POS-DC-10-L
727300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-10-LP-A
727400                                    MM15-MC-POS-DC-10-RP-A
727500             MOVE DFHBMASK       TO MM15-MC-POS-DC-10-A.
727600*
727700 Y789-EXIT.
727800     EXIT.
727900*
728000 Y790-MOVE-MC-POS-DC-11.
728100*
728200     MOVE MMSM-MC-POS-DC-11      TO MM15-MC-POS-DC-11.
728300*
728400 Y795-POS-DC-11-SECURITY.
728500*
728600     MOVE MMSMTB-MC-POS-DC-11 (1:4)
728700                                 TO WS-INDEX-X.
728800     SET  X-MMFS-STORE           TO WS-INDEX.
728900*
729000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
729100         MOVE DFHBMDAS           TO MM15-MC-POS-DC-11-LP-A
729200                                    MM15-MC-POS-DC-11-RP-A
729300                                    MM15-MC-POS-DC-11-A
729400         MOVE ZERO               TO MM15-MC-POS-DC-11-L
729500         GO TO Y799-EXIT.
729600*
729700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
729800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-11-LP-A
729900                                    MM15-MC-POS-DC-11-RP-A
730000         MOVE DFHBMASB           TO MM15-MC-POS-DC-11-A
730100         GO TO Y799-EXIT.
730200*
730300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
730400         MOVE ZERO               TO MM15-MC-POS-DC-11-L
730500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-11-LP-A
730600                                    MM15-MC-POS-DC-11-RP-A
730700         MOVE DFHBMASK           TO MM15-MC-POS-DC-11-A
730800         GO TO Y799-EXIT.
730900*
731000     IF  MBCA-PTI-FUNCTION-IS-ADD
731100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
731200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
731300         ELSE
731400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
731500                 MOVE ZERO       TO MM15-MC-POS-DC-11-L
731600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-11-LP-A
731700                                    MM15-MC-POS-DC-11-RP-A
731800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-11-A.
731900*
732000     IF  MBCA-PTI-FUNCTION-IS-MAINT
732100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
732200             MOVE ZERO           TO MM15-MC-POS-DC-11-L
732300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-11-LP-A
732400                                    MM15-MC-POS-DC-11-RP-A
732500             MOVE DFHBMASK       TO MM15-MC-POS-DC-11-A.
732600*
732700 Y799-EXIT.
732800     EXIT.
732900*
733000 Y800-MOVE-MC-POS-DC-12.
733100*
733200     MOVE MMSM-MC-POS-DC-12      TO MM15-MC-POS-DC-12.
733300*
733400 Y805-POS-DC-12-SECURITY.
733500*
733600     MOVE MMSMTB-MC-POS-DC-12 (1:4)
733700                                 TO WS-INDEX-X.
733800     SET  X-MMFS-STORE           TO WS-INDEX.
733900*
734000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
734100         MOVE DFHBMDAS           TO MM15-MC-POS-DC-12-LP-A
734200                                    MM15-MC-POS-DC-12-RP-A
734300                                    MM15-MC-POS-DC-12-A
734400         MOVE ZERO               TO MM15-MC-POS-DC-12-L
734500         GO TO Y809-EXIT.
734600*
734700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
734800         MOVE DFHBMDAS           TO MM15-MC-POS-DC-12-LP-A
734900                                    MM15-MC-POS-DC-12-RP-A
735000         MOVE DFHBMASB           TO MM15-MC-POS-DC-12-A
735100         GO TO Y809-EXIT.
735200*
735300     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
735400         MOVE ZERO               TO MM15-MC-POS-DC-12-L
735500         MOVE DFHBMDAS           TO MM15-MC-POS-DC-12-LP-A
735600                                    MM15-MC-POS-DC-12-RP-A
735700         MOVE DFHBMASK           TO MM15-MC-POS-DC-12-A
735800         GO TO Y809-EXIT.
735900*
736000     IF  MBCA-PTI-FUNCTION-IS-ADD
736100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
736200             MOVE DFHBMASB       TO MM15-MC-POS-DC-DESC-LIT-A
736300         ELSE
736400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
736500                 MOVE ZERO       TO MM15-MC-POS-DC-12-L
736600                 MOVE DFHBMDAS   TO MM15-MC-POS-DC-12-LP-A
736700                                    MM15-MC-POS-DC-12-RP-A
736800                 MOVE DFHBMASK   TO MM15-MC-POS-DC-12-A.
736900*
737000     IF  MBCA-PTI-FUNCTION-IS-MAINT
737100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
737200             MOVE ZERO           TO MM15-MC-POS-DC-12-L
737300             MOVE DFHBMDAS       TO MM15-MC-POS-DC-12-LP-A
737400                                    MM15-MC-POS-DC-12-RP-A
737500             MOVE DFHBMASK       TO MM15-MC-POS-DC-12-A.
737600*
737700 Y809-EXIT.
737800     EXIT.
737900*
738000 Y890-SET-CURSOR.
738100*
738200*
738300 Y893-PROD-STATUS.
738400*
738500     MOVE MMMMTB-PROD-STATUS (1:4)
738600                                 TO WS-INDEX-X.
738700     SET X-MMFS-MERCH            TO WS-INDEX.
738800*
738900     IF  MBCA-PTI-FUNCTION-IS-ADD
739000         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
739100         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
739200             MOVE SS08WS-CURSOR  TO MM15-MC-STATUS-L
739300             GO TO Y899-SC-EXIT.
739400*
739500     IF  MBCA-PTI-FUNCTION-IS-MAINT
739600         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
739700             MOVE SS08WS-CURSOR  TO MM15-MC-STATUS-L
739800             GO TO Y899-SC-EXIT.
739900*
740000 Y893-PROD-DISC-FEE-BASE.
740100*
740200     MOVE MMMMTB-PROD-DISC-FEE-BASE (1:4)
740300                                 TO WS-INDEX-X.
740400     SET X-MMFS-MERCH            TO WS-INDEX.
740500*
740600     IF  MBCA-PTI-FUNCTION-IS-ADD
740700         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
740800         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
740900             MOVE SS08WS-CURSOR  TO MM15-PROD-DISC-FEE-BASE-L
741000             GO TO Y899-SC-EXIT.
741100*
741200     IF  MBCA-PTI-FUNCTION-IS-MAINT
741300         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
741400             MOVE SS08WS-CURSOR  TO MM15-PROD-DISC-FEE-BASE-L
741500             GO TO Y899-SC-EXIT.
741600*
741700 Y893-PROD-DISC-RATE-TBL.
741800*
741900     MOVE MMMMTB-PROD-DISC-RATE-TABLE (1:4)
742000                                 TO WS-INDEX-X.
742100     SET X-MMFS-MERCH            TO WS-INDEX.
742200*
742300     IF  MBCA-PTI-FUNCTION-IS-ADD
742400         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
742500         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
742600             MOVE SS08WS-CURSOR  TO MM15-PROD-DISC-RATE-TBL-L
742700             GO TO Y899-SC-EXIT.
742800*
742900     IF  MBCA-PTI-FUNCTION-IS-MAINT
743000         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
743100             MOVE SS08WS-CURSOR  TO MM15-PROD-DISC-RATE-TBL-L
743200             GO TO Y899-SC-EXIT.
743300*
743400 Y893-PROD-EFF-DATE.
743500*
743600     MOVE MMMMTB-PROD-EFF-DATE (1:4)
743700                                 TO WS-INDEX-X.
743800     SET X-MMFS-MERCH            TO WS-INDEX.
743900*
744000     IF  MBCA-PTI-FUNCTION-IS-ADD
744100         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
744200         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
744300             MOVE SS08WS-CURSOR  TO MM15-MC-EFF-DATE-L
744400             GO TO Y899-SC-EXIT.
744500*
744600     IF  MBCA-PTI-FUNCTION-IS-MAINT
744700         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
744800             MOVE SS08WS-CURSOR  TO MM15-MC-EFF-DATE-L
744900             GO TO Y899-SC-EXIT.
745000*
745100 Y893-PROD-PART-FEE-BASE.
745200*
745300     MOVE MMMMTB-PROD-PART-FEE-BASE (1:4)
745400                                 TO WS-INDEX-X.
745500     SET X-MMFS-MERCH            TO WS-INDEX.
745600*
745700     IF  MBCA-PTI-FUNCTION-IS-ADD
745800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
745900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
746000             MOVE SS08WS-CURSOR  TO MM15-PROD-PART-FEE-BASE-L
746100             GO TO Y899-SC-EXIT.
746200*
746300     IF  MBCA-PTI-FUNCTION-IS-MAINT
746400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
746500             MOVE SS08WS-CURSOR  TO MM15-PROD-PART-FEE-BASE-L
746600             GO TO Y899-SC-EXIT.
746700*
746800 Y893-PROD-PART-RATE-TBL.
746900*
747000     MOVE MMMMTB-PROD-PART-RATE-TABLE (1:4)
747100                                 TO WS-INDEX-X.
747200     SET X-MMFS-MERCH            TO WS-INDEX.
747300*
747400     IF  MBCA-PTI-FUNCTION-IS-ADD
747500         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
747600         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
747700             MOVE SS08WS-CURSOR  TO MM15-PROD-PART-RATE-TBL-L
747800             GO TO Y899-SC-EXIT.
747900*
748000     IF  MBCA-PTI-FUNCTION-IS-MAINT
748100         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
748200             MOVE SS08WS-CURSOR  TO MM15-PROD-PART-RATE-TBL-L
748300             GO TO Y899-SC-EXIT.
748400*
748500 Y893-PROD-SETTLE-FLAG.
748600*
748700     MOVE MMMMTB-PROD-SETT-FLAG (1:4)
748800                                 TO WS-INDEX-X.
748900     SET X-MMFS-MERCH            TO WS-INDEX.
749000*
749100     IF  MBCA-PTI-FUNCTION-IS-ADD
749200         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
749300         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
749400             MOVE SS08WS-CURSOR  TO MM15-PROD-SETTLE-FLAG-L
749500             GO TO Y899-SC-EXIT.
749600*
749700     IF  MBCA-PTI-FUNCTION-IS-MAINT
749800         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
749900             MOVE SS08WS-CURSOR  TO MM15-PROD-SETTLE-FLAG-L
750000             GO TO Y899-SC-EXIT.
750100*
750200 Y893-PROD-RESV-1-FEE-BASE.
750300*
750400     MOVE MMMMTB-PROD-RESV-1-FEE-BASE (1:4)
750500                                 TO WS-INDEX-X.
750600     SET X-MMFS-MERCH            TO WS-INDEX.
750700*
750800     IF  MBCA-PTI-FUNCTION-IS-ADD
750900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
751000         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
751100             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-1-FEE-BASE-L
751200             GO TO Y899-SC-EXIT.
751300*
751400     IF  MBCA-PTI-FUNCTION-IS-MAINT
751500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
751600             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-1-FEE-BASE-L
751700             GO TO Y899-SC-EXIT.
751800*
751900 Y893-PROD-RESV-1-RATE-TBL.
752000*
752100     MOVE MMMMTB-PROD-RESV-1-RATE-TABLE (1:4)
752200                                 TO WS-INDEX-X.
752300     SET X-MMFS-MERCH            TO WS-INDEX.
752400*
752500     IF  MBCA-PTI-FUNCTION-IS-ADD
752600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
752700         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
752800             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-1-RATE-TBL-L
752900             GO TO Y899-SC-EXIT.
753000*
753100     IF  MBCA-PTI-FUNCTION-IS-MAINT
753200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
753300             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-1-RATE-TBL-L
753400             GO TO Y899-SC-EXIT.
753500*
753600 Y893-PROD-SOURCE.
753700*
753800     MOVE MMMMTB-PROD-SOURCE (1:4)
753900                                 TO WS-INDEX-X.
754000     SET X-MMFS-MERCH            TO WS-INDEX.
754100*
754200     IF  MBCA-PTI-FUNCTION-IS-ADD
754300         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
754400         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
754500             MOVE SS08WS-CURSOR  TO MM15-PROD-SOURCE-L
754600             GO TO Y899-SC-EXIT.
754700*
754800     IF  MBCA-PTI-FUNCTION-IS-MAINT
754900         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
755000             MOVE SS08WS-CURSOR  TO MM15-PROD-SOURCE-L
755100             GO TO Y899-SC-EXIT.
755200*
755300 Y893-PROD-RESV-2-FEE-BASE.
755400*
755500     MOVE MMMMTB-PROD-RESV-2-FEE-BASE (1:4)
755600                                 TO WS-INDEX-X.
755700     SET X-MMFS-MERCH            TO WS-INDEX.
755800*
755900     IF  MBCA-PTI-FUNCTION-IS-ADD
756000         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
756100         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
756200             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-2-FEE-BASE-L
756300             GO TO Y899-SC-EXIT.
756400*
756500     IF  MBCA-PTI-FUNCTION-IS-MAINT
756600         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
756700             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-2-FEE-BASE-L
756800             GO TO Y899-SC-EXIT.
756900*
757000 Y893-PROD-RESV-2-RATE-TBL.
757100*
757200     MOVE MMMMTB-PROD-RESV-2-RATE-TABLE (1:4)
757300                                 TO WS-INDEX-X.
757400     SET X-MMFS-MERCH            TO WS-INDEX.
757500*
757600     IF  MBCA-PTI-FUNCTION-IS-ADD
757700         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
757800         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
757900             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-2-RATE-TBL-L
758000             GO TO Y899-SC-EXIT.
758100*
758200     IF  MBCA-PTI-FUNCTION-IS-MAINT
758300         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
758400             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-2-RATE-TBL-L
758500             GO TO Y899-SC-EXIT.
758600*
758700 Y893-PROD-SHORT-DESC.
758800*
758900     MOVE MMMMTB-PROD-SHORT-DESC (1:4)
759000                                 TO WS-INDEX-X.
759100     SET X-MMFS-MERCH            TO WS-INDEX.
759200*
759300     IF  MBCA-PTI-FUNCTION-IS-ADD
759400         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
759500         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
759600             MOVE SS08WS-CURSOR  TO MM15-PROD-SHORT-DESC-L
759700             GO TO Y899-SC-EXIT.
759800*
759900     IF  MBCA-PTI-FUNCTION-IS-MAINT
760000         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
760100             MOVE SS08WS-CURSOR  TO MM15-PROD-SHORT-DESC-L
760200             GO TO Y899-SC-EXIT.
760300*
760400 Y893-PROD-RESV-3-FEE-BASE.
760500*
760600     MOVE MMMMTB-PROD-RESV-3-FEE-BASE (1:4)
760700                                 TO WS-INDEX-X.
760800     SET X-MMFS-MERCH            TO WS-INDEX.
760900*
761000     IF  MBCA-PTI-FUNCTION-IS-ADD
761100         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
761200         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
761300             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-3-FEE-BASE-L
761400             GO TO Y899-SC-EXIT.
761500*
761600     IF  MBCA-PTI-FUNCTION-IS-MAINT
761700         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
761800             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-3-FEE-BASE-L
761900             GO TO Y899-SC-EXIT.
762000*
762100 Y893-PROD-RESV-3-RATE-TBL.
762200*
762300     MOVE MMMMTB-PROD-RESV-3-RATE-TABLE (1:4)
762400                                 TO WS-INDEX-X.
762500     SET X-MMFS-MERCH            TO WS-INDEX.
762600*
762700     IF  MBCA-PTI-FUNCTION-IS-ADD
762800         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
762900         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
763000             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-3-RATE-TBL-L
763100             GO TO Y899-SC-EXIT.
763200*
763300     IF  MBCA-PTI-FUNCTION-IS-MAINT
763400         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
763500             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-3-RATE-TBL-L
763600             GO TO Y899-SC-EXIT.
763700*
763800 Y893-PROD-RESV-4-FEE-BASE.
763900*
764000     MOVE MMMMTB-PROD-RESV-4-FEE-BASE (1:4)
764100                                 TO WS-INDEX-X.
764200     SET X-MMFS-MERCH            TO WS-INDEX.
764300*
764400     IF  MBCA-PTI-FUNCTION-IS-ADD
764500         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
764600         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
764700             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-4-FEE-BASE-L
764800             GO TO Y899-SC-EXIT.
764900*
765000     IF  MBCA-PTI-FUNCTION-IS-MAINT
765100         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
765200             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-4-FEE-BASE-L
765300             GO TO Y899-SC-EXIT.
765400*
765500 Y893-PROD-RESV-4-RATE-TBL.
765600*
765700     MOVE MMMMTB-PROD-RESV-4-RATE-TABLE (1:4)
765800                                 TO WS-INDEX-X.
765900     SET X-MMFS-MERCH            TO WS-INDEX.
766000*
766100     IF  MBCA-PTI-FUNCTION-IS-ADD
766200         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
766300         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
766400             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-4-RATE-TBL-L
766500             GO TO Y899-SC-EXIT.
766600*
766700     IF  MBCA-PTI-FUNCTION-IS-MAINT
766800         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
766900             MOVE SS08WS-CURSOR  TO MM15-PROD-RESV-4-RATE-TBL-L
767000             GO TO Y899-SC-EXIT.
767100*
767200 Y893-PROD-USER-CODE.
767300*
767400     MOVE MMMMTB-PROD-USER-CODE (1:4)
767500                                 TO WS-INDEX-X.
767600     SET X-MMFS-MERCH            TO WS-INDEX.
767700*
767800     IF  MBCA-PTI-FUNCTION-IS-ADD
767900         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
768000         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
768100             MOVE SS08WS-CURSOR  TO MM15-PROD-USER-CODE-L
768200             GO TO Y899-SC-EXIT.
768300*
768400     IF  MBCA-PTI-FUNCTION-IS-MAINT
768500         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
768600             MOVE SS08WS-CURSOR  TO MM15-PROD-USER-CODE-L
768700             GO TO Y899-SC-EXIT.
768800*
768900 Y893-PROD-INTCHG-FEE-BASE.
769000*
769100     MOVE MMMMTB-PROD-INTCHG-FEE-BASE (1:4)
769200                                 TO WS-INDEX-X.
769300     SET X-MMFS-MERCH            TO WS-INDEX.
769400*
769500     IF  MBCA-PTI-FUNCTION-IS-ADD
769600         IF  MMFS-MT-OPTIONAL (X-MMFS-MERCH)
769700         OR  MMFS-MT-REQUIRED (X-MMFS-MERCH)
769800             MOVE SS08WS-CURSOR  TO MM15-PROD-INTCHG-FEE-BASE-L
769900             GO TO Y899-SC-EXIT.
770000*
770100     IF  MBCA-PTI-FUNCTION-IS-MAINT
770200         IF  MMFS-MT-MAINT-ALLOWED (X-MMFS-MERCH)
770300             MOVE SS08WS-CURSOR  TO MM15-PROD-INTCHG-FEE-BASE-L
770400             GO TO Y899-SC-EXIT.
770500*
770600 Y893-MC-DBA-NAME.
770700*
770800     MOVE MMSMTB-MC-DBA-NAME (1:4)
770900                                 TO WS-INDEX-X.
771000     SET X-MMFS-STORE            TO WS-INDEX.
771100*
771200     IF  MBCA-PTI-FUNCTION-IS-ADD
771300         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
771400         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
771500             MOVE SS08WS-CURSOR  TO MM15-MC-DBA-NAME-L
771600             GO TO Y899-SC-EXIT.
771700*
771800     IF  MBCA-PTI-FUNCTION-IS-MAINT
771900         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
772000             MOVE SS08WS-CURSOR  TO MM15-MC-DBA-NAME-L
772100             GO TO Y899-SC-EXIT.
772200*
772300 Y893-MC-CIRRUS-IND.
772400*
772500     MOVE MMSMTB-MC-CIRRUS-IND (1:4)
772600                                 TO WS-INDEX-X.
772700     SET X-MMFS-STORE            TO WS-INDEX.
772800*
772900     IF  MBCA-PTI-FUNCTION-IS-ADD
773000         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
773100         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
773200             MOVE SS08WS-CURSOR  TO MM15-MC-CIRRUS-IND-L
773300             GO TO Y899-SC-EXIT.
773400*
773500     IF  MBCA-PTI-FUNCTION-IS-MAINT
773600         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
773700             MOVE SS08WS-CURSOR  TO MM15-MC-CIRRUS-IND-L
773800             GO TO Y899-SC-EXIT.
773900*
774000 Y893-MC-INTCHG-FLAG.
774100*
774200     MOVE MMSMTB-MC-INTCHG-IND (1:4)
774300                                 TO WS-INDEX-X.
774400     SET X-MMFS-STORE            TO WS-INDEX.
774500*
774600     IF  MBCA-PTI-FUNCTION-IS-ADD
774700         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
774800         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
774900             MOVE SS08WS-CURSOR  TO MM15-MC-INTCHG-FLAG-L
775000             GO TO Y899-SC-EXIT.
775100*
775200     IF  MBCA-PTI-FUNCTION-IS-MAINT
775300         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
775400             MOVE SS08WS-CURSOR  TO MM15-MC-INTCHG-FLAG-L
775500             GO TO Y899-SC-EXIT.
775600*
775700 Y893-MC-BUSINESS-CLASS-CODE.
775800*
775900     MOVE MMSMTB-MC-BUSINESS-CLASS (1:4)
776000                                 TO WS-INDEX-X.
776100     SET X-MMFS-STORE            TO WS-INDEX.
776200*
776300     IF  MBCA-PTI-FUNCTION-IS-ADD
776400         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
776500         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
776600             MOVE SS08WS-CURSOR  TO MM15-MC-BUS-CLASS-CODE-L
776700             GO TO Y899-SC-EXIT.
776800*
776900     IF  MBCA-PTI-FUNCTION-IS-MAINT
777000         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
777100             MOVE SS08WS-CURSOR  TO MM15-MC-BUS-CLASS-CODE-L
777200             GO TO Y899-SC-EXIT.
777300*
777400 Y893-MC-CATEGORY-CODE.
777500*
777600     MOVE MMSMTB-MC-CATEGORY-CODE (1:4)
777700                                 TO WS-INDEX-X.
777800     SET X-MMFS-STORE            TO WS-INDEX.
777900*
778000     IF  MBCA-PTI-FUNCTION-IS-ADD
778100         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
778200         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
778300             MOVE SS08WS-CURSOR  TO MM15-MC-CATEGORY-CODE-L
778400             GO TO Y899-SC-EXIT.
778500*
778600     IF  MBCA-PTI-FUNCTION-IS-MAINT
778700         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
778800             MOVE SS08WS-CURSOR  TO MM15-MC-CATEGORY-CODE-L
778900             GO TO Y899-SC-EXIT.
779000*
779100 Y893-PROD-FLOOR-LIMIT.
779200*
779300     MOVE MMSMTB-MC-FLOOR-LIMIT (1:4)
779400                                 TO WS-INDEX-X.
779500     SET X-MMFS-STORE            TO WS-INDEX.
779600*
779700     IF  MBCA-PTI-FUNCTION-IS-ADD
779800         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
779900         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
780000             MOVE SS08WS-CURSOR  TO MM15-MC-FLOOR-LIMIT-L
780100             GO TO Y899-SC-EXIT.
780200*
780300     IF  MBCA-PTI-FUNCTION-IS-MAINT
780400         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
780500             MOVE SS08WS-CURSOR  TO MM15-MC-FLOOR-LIMIT-L
780600             GO TO Y899-SC-EXIT.
780700*
780800 Y893-PROD-CH-TERM-IND.
780900*
781000     MOVE MMSMTB-MC-CH-TERM-IND (1:4)
781100                                 TO WS-INDEX-X.
781200     SET X-MMFS-STORE            TO WS-INDEX.
781300*
781400     IF  MBCA-PTI-FUNCTION-IS-ADD
781500         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
781600         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
781700             MOVE SS08WS-CURSOR  TO MM15-MC-CH-TERM-IND-L
781800             GO TO Y899-SC-EXIT.
781900*
782000     IF  MBCA-PTI-FUNCTION-IS-MAINT
782100         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
782200             MOVE SS08WS-CURSOR  TO MM15-MC-CH-TERM-IND-L
782300             GO TO Y899-SC-EXIT.
782400*
782402 Y893-MC-ASSIGNED-ID.                                             RG800913
782404*                                                                 RG800913
782406     MOVE MMSMTB-MC-ASSIGNED-ID (1:4)                             RG800913
782408                                 TO WS-INDEX-X.                   RG800913
782410     SET X-MMFS-STORE            TO WS-INDEX.                     RG800913
782412*                                                                 RG800913
782414     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG800913
782416         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)                      RG800913
782418         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)                      RG800913
782420             MOVE SS08WS-CURSOR  TO MM15-MC-ASSIGNED-ID-L         RG800913
782422             GO TO Y899-SC-EXIT.                                  RG800913
782424*                                                                 RG800913
782426     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG800913
782428         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)                 RG800913
782430             MOVE SS08WS-CURSOR  TO MM15-MC-ASSIGNED-ID-L         RG800913
782432             GO TO Y899-SC-EXIT.                                  RG800913
782434*                                                                 RG800913
782500 Y893-MC-POS-DC-01.
782600*
782700     MOVE MMSMTB-MC-POS-DC-01 (1:4)
782800                                 TO WS-INDEX-X.
782900     SET X-MMFS-STORE            TO WS-INDEX.
783000*
783100     IF  MBCA-PTI-FUNCTION-IS-ADD
783200         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
783300         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
783400             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-01-L
783500             GO TO Y899-SC-EXIT.
783600*
783700     IF  MBCA-PTI-FUNCTION-IS-MAINT
783800         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
783900             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-01-L
784000             GO TO Y899-SC-EXIT.
784100*
784200 Y893-MC-POS-DC-02.
784300*
784400     MOVE MMSMTB-MC-POS-DC-02 (1:4)
784500                                 TO WS-INDEX-X.
784600     SET X-MMFS-STORE            TO WS-INDEX.
784700*
784800     IF  MBCA-PTI-FUNCTION-IS-ADD
784900         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
785000         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
785100             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-02-L
785200             GO TO Y899-SC-EXIT.
785300*
785400     IF  MBCA-PTI-FUNCTION-IS-MAINT
785500         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
785600             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-02-L
785700             GO TO Y899-SC-EXIT.
785800*
785900 Y893-MC-POS-DC-03.
786000*
786100     MOVE MMSMTB-MC-POS-DC-03 (1:4)
786200                                 TO WS-INDEX-X.
786300     SET X-MMFS-STORE            TO WS-INDEX.
786400*
786500     IF  MBCA-PTI-FUNCTION-IS-ADD
786600         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
786700         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
786800             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-03-L
786900             GO TO Y899-SC-EXIT.
787000*
787100     IF  MBCA-PTI-FUNCTION-IS-MAINT
787200         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
787300             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-03-L
787400             GO TO Y899-SC-EXIT.
787500*
787600 Y893-MC-POS-DC-04.
787700*
787800     MOVE MMSMTB-MC-POS-DC-01 (1:4)
787900                                 TO WS-INDEX-X.
788000     SET X-MMFS-STORE            TO WS-INDEX.
788100*
788200     IF  MBCA-PTI-FUNCTION-IS-ADD
788300         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
788400         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
788500             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-04-L
788600             GO TO Y899-SC-EXIT.
788700*
788800     IF  MBCA-PTI-FUNCTION-IS-MAINT
788900         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
789000             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-04-L
789100             GO TO Y899-SC-EXIT.
789200*
789300 Y893-MC-POS-DC-05.
789400*
789500     MOVE MMSMTB-MC-POS-DC-05 (1:4)
789600                                 TO WS-INDEX-X.
789700     SET X-MMFS-STORE            TO WS-INDEX.
789800*
789900     IF  MBCA-PTI-FUNCTION-IS-ADD
790000         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
790100         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
790200             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-05-L
790300             GO TO Y899-SC-EXIT.
790400*
790500     IF  MBCA-PTI-FUNCTION-IS-MAINT
790600         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
790700             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-05-L
790800             GO TO Y899-SC-EXIT.
790900*
791000 Y893-MC-POS-DC-06.
791100*
791200     MOVE MMSMTB-MC-POS-DC-06 (1:4)
791300                                 TO WS-INDEX-X.
791400     SET X-MMFS-STORE            TO WS-INDEX.
791500*
791600     IF  MBCA-PTI-FUNCTION-IS-ADD
791700         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
791800         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
791900             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-06-L
792000             GO TO Y899-SC-EXIT.
792100*
792200     IF  MBCA-PTI-FUNCTION-IS-MAINT
792300         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
792400             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-06-L
792500             GO TO Y899-SC-EXIT.
792600*
792700 Y893-MC-POS-DC-07.
792800*
792900     MOVE MMSMTB-MC-POS-DC-07 (1:4)
793000                                 TO WS-INDEX-X.
793100     SET X-MMFS-STORE            TO WS-INDEX.
793200*
793300     IF  MBCA-PTI-FUNCTION-IS-ADD
793400         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
793500         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
793600             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-07-L
793700             GO TO Y899-SC-EXIT.
793800*
793900     IF  MBCA-PTI-FUNCTION-IS-MAINT
794000         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
794100             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-07-L
794200             GO TO Y899-SC-EXIT.
794300*
794400 Y893-MC-POS-DC-08.
794500*
794600     MOVE MMSMTB-MC-POS-DC-08 (1:4)
794700                                 TO WS-INDEX-X.
794800     SET X-MMFS-STORE            TO WS-INDEX.
794900*
795000     IF  MBCA-PTI-FUNCTION-IS-ADD
795100         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
795200         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
795300             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-08-L
795400             GO TO Y899-SC-EXIT.
795500*
795600     IF  MBCA-PTI-FUNCTION-IS-MAINT
795700         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
795800             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-08-L
795900             GO TO Y899-SC-EXIT.
796000*
796100 Y893-MC-POS-DC-09.
796200*
796300     MOVE MMSMTB-MC-POS-DC-01 (1:4)
796400                                 TO WS-INDEX-X.
796500     SET X-MMFS-STORE            TO WS-INDEX.
796600*
796700     IF  MBCA-PTI-FUNCTION-IS-ADD
796800         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
796900         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
797000             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-09-L
797100             GO TO Y899-SC-EXIT.
797200*
797300     IF  MBCA-PTI-FUNCTION-IS-MAINT
797400         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
797500             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-09-L
797600             GO TO Y899-SC-EXIT.
797700*
797800 Y893-MC-POS-DC-10.
797900*
798000     MOVE MMSMTB-MC-POS-DC-01 (1:4)
798100                                 TO WS-INDEX-X.
798200     SET X-MMFS-STORE            TO WS-INDEX.
798300*
798400     IF  MBCA-PTI-FUNCTION-IS-ADD
798500         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
798600         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
798700             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-10-L
798800             GO TO Y899-SC-EXIT.
798900*
799000     IF  MBCA-PTI-FUNCTION-IS-MAINT
799100         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
799200             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-10-L
799300             GO TO Y899-SC-EXIT.
799400*
799500 Y893-MC-POS-DC-11.
799600*
799700     MOVE MMSMTB-MC-POS-DC-11 (1:4)
799800                                 TO WS-INDEX-X.
799900     SET X-MMFS-STORE            TO WS-INDEX.
800000*
800100     IF  MBCA-PTI-FUNCTION-IS-ADD
800200         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
800300         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
800400             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-11-L
800500             GO TO Y899-SC-EXIT.
800600*
800700     IF  MBCA-PTI-FUNCTION-IS-MAINT
800800         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
800900             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-11-L
801000             GO TO Y899-SC-EXIT.
801100*
801200 Y893-MC-POS-DC-12.
801300*
801400     MOVE MMSMTB-MC-POS-DC-01 (1:4)
801500                                 TO WS-INDEX-X.
801600     SET X-MMFS-STORE            TO WS-INDEX.
801700*
801800     IF  MBCA-PTI-FUNCTION-IS-ADD
801900         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
802000         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
802100             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-12-L
802200             GO TO Y899-SC-EXIT.
802300*
802400     IF  MBCA-PTI-FUNCTION-IS-MAINT
802500         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
802600             MOVE SS08WS-CURSOR  TO MM15-MC-POS-DC-12-L
802700             GO TO Y899-SC-EXIT.
802800*
802900 Y893-CURSOR-DEFAULT.
803000*
803100     MOVE SS08WS-CURSOR          TO MM15-ALT-TRANID-L.
803200*
803300 Y899-SC-EXIT.
803400     EXIT.
803500*
803600 Y900-READ-MMFS.
803700*
803800****************************************
803900*    READ THE FIELD SECURITY RECORD    *
804000*    TO OBTAIN THE SECURITY CODES      *
804100****************************************
804200*
804300     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
804400     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
804500     SET MBIORO-READ-RANDOM      TO TRUE.
804600     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
804700*
804800     IF  NOT MMFS-REC-ACTIVE
804900         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
805000         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
805100         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
805200         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
805300         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
805400         SET MBCA-ERROR-MSGS-PROVIDED
805500                                 TO TRUE
805600         MOVE 'READ ERROR - MMFSAO'
805700                                 TO MBCA-ERRR-MSG1
805800         MOVE 'FIELD SECURITY PROFILE IS NOT ACTIVE'
805900                                 TO MBCA-ERRR-MSG2
806000         GO TO MB70PD-ERROR-ROUTINE.
806100*
806200 Y909-READ-MMFS-EXIT.
806300     EXIT.
806400*
806500 Y910-WRITE-MMMP-LOG-RECORD.
806600*
806700     MOVE 'MP'                   TO MML1-FILE-CODE.
806800     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMP-ORG.
806900     MOVE MBCA-MERCHANT          TO MML1-MMMP-MERCHANT.
807000     MOVE MBCA-CARD-PROD         TO MML1-MMMP-PRODUCT.
807100     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
807200     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
807300     MOVE ZEROS                  TO MML1-SOURCE-CODE.
807400     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
807500     SET MBIORO-WRITE            TO TRUE.
807600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
807700     MOVE SPACES                 TO MML1-VARIABLE-AREA.
807800*
807900 Y919-WLR-EXIT.
808000     EXIT.
808100*
808200 Y920-WRITE-MMSM-LOG-RECORD.
808300*
808400     MOVE 'SM'                   TO MML1-FILE-CODE.
808500     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
808600     MOVE MMSM-STORE             TO MML1-MMSM-STORE.
808700     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
808800     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
808900     MOVE ZEROS                  TO MML1-SOURCE-CODE.
809000     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
809100     SET MBIORO-WRITE            TO TRUE.
809200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
809300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
809400*
809500 Y929-WLR-EXIT.
809600     EXIT.
809700*
809800 Y930-READ-MMRT.
809900*
810000****************************************
810100*    READ THE RATE TABLE TO VERIFY     *
810200*    THAT THE RECORD IS PRESENT        *
810300****************************************
810400*
810500     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1
810600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMRT-ORG.
810700     SET MBIORO-READ-RANDOM      TO TRUE.
810800     PERFORM MMRTAO-ACCESS       THRU MMRTAO-ACCESS-EXIT.
810900*
811000*
811100 Y939-RRT-EXIT.
811200     EXIT.
811300*
811400 Y950-READ-MMXR.
811500*
811600****************************************************************
811700*    START BROWSE THE STORE XREF FILE                          *
811800****************************************************************
811900*
812000     MOVE 'FC49'                 TO MBCA-PROGRAM-LOCATION.
812100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
812200     MOVE MBCA-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
812300     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
812400     SET MBIORO-STARTBR-GTE      TO TRUE.
812500     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
812600*
812700 Y951-READ-LOOP.
812800*
812900****************************************************************
813000*    READNEXT THE STORE XREF FILE                              *
813100****************************************************************
813200*
813300     MOVE 'FC50'                 TO MBCA-PROGRAM-LOCATION.
813400     SET MBIORO-READ-SEQ         TO TRUE.
813500     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
813600*
813700*
813800     IF  MMXR-ORG-MERCHANT IS EQUAL TO MBCA-ORG-MERCHANT
813900     AND MMXR-STORE IS GREATER THAN ZEROS
814000     AND MMXR-REC-ACTIVE
814100         PERFORM Y960-READ-STORE
814200                                 THRU Y969-EXIT
814300         IF  SS08WS-RC-FC-NOTFND
814400             GO TO Y951-READ-LOOP
814500         ELSE
814600             IF  MM15-MC-STATUS-L IS GREATER THAN ZERO
814700               IF  MM15-MC-STATUS IS NOT EQUAL TO MMSM-MC-STATUS
814800                   SET WS-UPDATE-MC-SW-YES
814900                                 TO TRUE
815000                 IF  MBCA-PTI-FUNCTION-IS-MAINT
815100                 AND MMSM-ADD-COMPLETED
815200                     MOVE MMMMTB-PROD-STATUS (1:4)
815300                                 TO WS-INDEX-X
815400                     SET X-MMFS-MERCH
815500                                 TO WS-INDEX
815600                     MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
815700                                 TO MML1-MMSM-AUDIT-CODE
815800                     MOVE 9018   TO MML1-FIELD-CODE
815900                     MOVE ZEROES TO MML1-FIELD-OCCURRENCE
816000                                    MML1-FIELD-OCCURRENCE-2
816100                     MOVE MML1WS-VL-01
816200                                 TO MML1-VARIABLE-LENGTH
816300                     MOVE MMSM-MC-STATUS
816400                                 TO MML1-VL01-B-DATA-X
816500                     MOVE MM15-MC-STATUS
816600                                 TO MMSM-MC-STATUS
816700                     MOVE MMSM-MC-STATUS
816800                                 TO MML1-VL01-A-DATA-X
816900                     MOVE 'FC51'     TO MBCA-PROGRAM-LOCATION
817000                     PERFORM Y920-WRITE-MMSM-LOG-RECORD
817100                                 THRU Y929-WLR-EXIT
817200                 ELSE
817300                     MOVE MM15-MC-STATUS
817400                                 TO MMSM-MC-STATUS
817500                 END-IF
817600               END-IF
817700             END-IF
817800             IF  MM15-MC-EFF-DATE-L IS GREATER THAN ZERO
817900                 MOVE MM15-MC-EFF-DATE   TO SS01WS-DATE
818000                 PERFORM SS07PD-GREG-TO-JUL
818100                                 THRU SS07PD-GTJ-EXIT
818200               IF  SS01WS-JULIAN IS NOT EQUAL
818300                                 TO MMSM-MC-EFF-DATE
818400                   SET WS-UPDATE-MC-SW-YES
818500                                 TO TRUE
818600                  IF  MBCA-PTI-FUNCTION-IS-MAINT
818700                  AND MMSM-ADD-COMPLETED
818800                      MOVE MMMMTB-PROD-EFF-DATE (1:4)
818900                                 TO WS-INDEX-X
819000                      SET X-MMFS-MERCH
819100                                 TO WS-INDEX
819200                      MOVE MMFS-MT-AUDIT-CODE (X-MMFS-MERCH)
819300                                 TO MML1-MMSM-AUDIT-CODE
819400                      MOVE 9019  TO MML1-FIELD-CODE
819500                      MOVE ZEROES
819600                                 TO MML1-FIELD-OCCURRENCE
819700                                    MML1-FIELD-OCCURRENCE-2
819800                      MOVE MML1WS-VL-07
819900                                 TO MML1-VARIABLE-LENGTH
820000                      MOVE MMSM-MC-EFF-DATE
820100                                 TO MML1-VL07-B-DATA-9
820200                      MOVE SS01WS-JULIAN
820300                                 TO MMSM-MC-EFF-DATE
820400                      MOVE MMSM-MC-EFF-DATE
820500                                 TO MML1-VL07-A-DATA-9
820600                      MOVE 'FC52'   TO MBCA-PROGRAM-LOCATION
820700                      PERFORM Y920-WRITE-MMSM-LOG-RECORD
820800                                 THRU Y929-WLR-EXIT
820900                  ELSE
821000                      MOVE SS01WS-JULIAN
821100                                 TO MMSM-MC-EFF-DATE
821200                  END-IF
821300               END-IF
821400             END-IF
821500             IF  WS-UPDATE-MC-SW-YES
821600                IF  MBCA-PTI-FUNCTION-IS-MAINT
821700                    MOVE 0198    TO MML1-FIELD-CODE
821800                    MOVE ZEROES  TO MML1-FIELD-OCCURRENCE
821900                                    MML1-FIELD-OCCURRENCE-2
822000                    MOVE MML1WS-VL-03
822100                                 TO MML1-VARIABLE-LENGTH
822200                    MOVE MMSM-LAST-MAINT-OPER
822300                                 TO MML1-VL03-B-DATA-X
822400                    MOVE MBCA-OPERATOR-ID
822500                                 TO MMSM-LAST-MAINT-OPER
822600                    MOVE MMSM-LAST-MAINT-OPER
822700                                 TO MML1-VL03-A-DATA-X
822800                    MOVE 'FC53'  TO MBCA-PROGRAM-LOCATION
822900                    PERFORM Y920-WRITE-MMSM-LOG-RECORD
823000                                 THRU Y929-WLR-EXIT
823100                    MOVE 0199    TO MML1-FIELD-CODE
823200                    MOVE MML1WS-VL-07
823300                                 TO MML1-VARIABLE-LENGTH
823400                    MOVE MMSM-LAST-MAINT-DATE
823500                                 TO MML1-VL07-B-DATA-9
823600                    MOVE MBCA-START-DATE
823700                                 TO MMSM-LAST-MAINT-DATE
823800                    MOVE MMSM-LAST-MAINT-DATE
823900                                 TO MML1-VL07-A-DATA-9
824000                    MOVE 'FC54'  TO MBCA-PROGRAM-LOCATION
824100                    PERFORM Y920-WRITE-MMSM-LOG-RECORD
824200                                 THRU Y929-WLR-EXIT
824300                    MOVE 'FC55'    TO MBCA-PROGRAM-LOCATION
824400                    SET MBIORO-REWRITE
824500                                 TO TRUE
824600                    PERFORM MMSMAO-ACCESS
824700                                 THRU MMSMAO-ACCESS-EXIT
824800                    GO TO Y951-READ-LOOP
824900                ELSE
825000                    MOVE 'FC56'    TO MBCA-PROGRAM-LOCATION
825100                    SET MBIORO-REWRITE
825200                                 TO TRUE
825300                    PERFORM MMSMAO-ACCESS
825400                                 THRU MMSMAO-ACCESS-EXIT
825500                    GO TO Y951-READ-LOOP
825600                END-IF
825700             ELSE
825800                 MOVE 'FC57'     TO MBCA-PROGRAM-LOCATION
825900                 SET MBIORO-UNLOCK
826000                                 TO TRUE
826100                 PERFORM MMSMAO-ACCESS
826200                                 THRU MMSMAO-ACCESS-EXIT
826300             END-IF
826400         END-IF
826500     ELSE
826600         IF  MMXR-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
826700             GO TO Y957-ENDBR-MMXR
826800         ELSE
826900             GO TO Y951-READ-LOOP
827000         END-IF
827100     END-IF.
827200*
827300 Y957-ENDBR-MMXR.
827400*
827500****************************************************************
827600*    END BROWSE THE STORE XREF FILE                            *
827700****************************************************************
827800*
827900     MOVE 'FC58'                 TO MBCA-PROGRAM-LOCATION.
828000     SET MBIORO-ENDBR            TO TRUE.
828100     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
828200*
828300 Y959-EXIT.
828400     EXIT.
828500*
828600 Y960-READ-STORE.
828700*
828800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG.
828900     MOVE MMXR-STORE             TO MBIOWS-MMSM-STORE.
829000     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
829100     MOVE 'FC59'                 TO MBCA-PROGRAM-LOCATION.
829200     SET MBIORO-READ-RANDOM-UPDATE
829300                                 TO TRUE.
829400     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
829500*
829600 Y969-EXIT.
829700     EXIT.
829800/
829900 Z000-COPIED-ROUTINES SECTION.
830000*
830100     COPY SMCAPXO REPLACING ==:XXCA:== BY ==MBCA==.
830200*
830300*********************************
830400*    DATE VALIDATION ROUTINE    *
830500*********************************
830600*
830700     COPY SS05PD.
830800/
830900**********************************
831000*    GREG TO JUL DATE ROUTINE    *
831100**********************************
831200*
831300     COPY SS07PD.
831400*
831500**********************************
831600*    JUL TO GREG DATE ROUTINE    *
831700**********************************
831800*
831900     COPY SS08PD.
832000/
832100**********************************
832200*    DATE AND TIME EDIT ROUTINES *
832300**********************************
832400*
832500     COPY SS26PD.
832600     COPY SS27PD.
832700/
832800*********************************
832900*    LINE 24 PF KEYS ROUTINE    *
833000*********************************
833100*
833200     COPY SS15PD.
833300/
833400*********************************************
833500*    ORGANIZATION RECORD ACCESS ROUTINES    *
833600*********************************************
833700*
833800     COPY MMOCAO.
833900/
834000************************************************
834100*    MERCHANT MASTER RECORD ACCESS ROUTINES    *
834200************************************************
834300*
834400     COPY MMMMAO.
834500/
834600************************************************
834700*    STORE MASTER RECORD ACCESS ROUTINES       *
834800************************************************
834900*
835000     COPY MMSMAO.
835100/
835200*********************************************************
835300*    MERCHANT PRODASSIGNMENTS RECORD ACCESS ROUTINES    *
835400*********************************************************
835500*
835600     COPY MMMPAO.
835700/
835800*********************************************************
835900*    STORE MERCH CROSS REF FILE RECORD ACCESS ROUTINES  *
836000*********************************************************
836100*
836200     COPY MMXRAO.
836300/
836400************************************************
836500*    RATE TABLE RECORD ACCESS ROUTINES         *
836600************************************************
836700*
836800     COPY MMRTAO.
836900/
837000***********************************************
837100*    FIELD SECURITY RECORD ACCESS ROUTINES    *
837200***********************************************
837300*
837400     COPY MMFSAO.
837500/
837600*****************************************
837700*    LOG FILE RECORD ACCESS ROUTINES    *
837800*****************************************
837900*
838000     COPY MML1AO.
838100/
838200*****************************
838300*    FORMATTED MESSAGE LINE *
838400*****************************
838500*
838600     COPY MB06PD.
838700/
838800*****************************
838900*    ONLINE MAP ROUTINES    *
839000*****************************
839100*
839200     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMM15 '
839300                           MBMAPXXI  BY MBMM15I
839400                           MBMAPXXO  BY MBMM15O.
839500/
839600***************************
839700*    ONLINE PROCEDURES    *
839800***************************
839900*
840000     COPY MB70PD.
840100/
840200     COPY SMFTPXO.
