000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS01.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      *
000202*****************************************************************
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  *
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      *
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT *
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED *
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  *
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.*
000209*****************************************************************
000300*****************************************************************
000400*                                                               *
000500*   V - PLUS  M E R C H A N T   B A N K C A R D   S Y S T E M   *
000600*                                                               *
000700*      MBOMS01 - STORE MASTER RECORD ADD/MAINT/INQ              *
000800*                SCREEN 01                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS01 (SCREEN 01)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMSM (STORE MASTER FILE)                   *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MMOC (CONTROL FILE)                        *
002000*                 D. MMNL (NAME LOCATE FILE)                    *
002100*                 F. MMIC (INVENTORY CONTROL FILE)              *
002200*                 G. MMPF (PLATE FILE)                          *
002300*                 H. MMXR (MERCHANT/STORE CROSS REFERENCE FILE) *
002400*                 I. MMMM (MERCHANT MASTER)                     *
002500*                 J. MMMP (MERCHANT PRODUCT FILE)               *
002600*                 K. MML1 (LOG FILE)                            *
002700*                                                               *
002800*****************************************************************
002900*
003000 ENVIRONMENT DIVISION.
003100*
003200 DATA DIVISION.
003300*
003400 WORKING-STORAGE SECTION.
003500*
003600 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
003700*
003800 01  FILLER                  PIC  X(14)      VALUE
003900     'MISCELLANEOUS:'.
004000*
004100 01  WS-MISCELLANEOUS.
004200     03  WS-FIELD-POSITION   PIC S9(03)      VALUE ZEROES COMP-3.
004300     03  WS-PRODUCT-NBR      PIC  9(02)      VALUE ZEROES.
004400*
004500 01  FILLER                  PIC  X(17)      VALUE
004600     'PROGRAM SWITCHES:'.
004700*
004800 01  WS-PROGRAM-SWITCHES.
004900     03  WS-FREQ-SW          PIC  X(01)      VALUE 'N'.
005000         88  WS-FREQ-SW-YES                  VALUE 'Y'.
005100         88  WS-FREQ-SW-NO                   VALUE 'N'.
005200     03  WS-STORE-XREF-SW    PIC  X(01)      VALUE 'N'.
005300         88  WS-STORE-XREF-YES               VALUE 'Y'.
005400     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
005500         88  WS-UPDATE-SW-YES                VALUE 'Y'.
005600         88  WS-UPDATE-SW-NO                 VALUE 'N'.
005700     03  WS-PRIMARY-UPDATE-SW
005800                             PIC  X(01)      VALUE 'N'.
005900         88  WS-PRIMARY-UPDATE-YES           VALUE 'Y'.
006000         88  WS-PRIMARY-UPDATE-NO            VALUE 'N'.
006100     03  WS-SECONDARY-UPDATE-SW
006200                             PIC  X(01)      VALUE 'N'.
006300         88  WS-SECONDARY-UPDATE-YES         VALUE 'Y'.
006400         88  WS-SECONDARY-UPDATE-NO          VALUE 'N'.
006500     03  WS-INDEX-X.
006600         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
006700     03  TS-QUEUE-NAME.
006800         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
006900         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
007000/
007100 01  FILLER                  PIC  X(29)      VALUE
007200     'I/O REQUEST BLOCK WORK AREAS:'.
007300*
007400     COPY MBIOWS.
007500/
007600 01  FILLER                  PIC  X(18)      VALUE
007700     'I/O REQUEST BLOCK:'.
007800*
007900     COPY MBIORO.
008000/
008100 01  FILLER                  PIC  X(25)      VALUE
008200     'LOG RECORD REQUEST BLOCK:'.
008300*
008400     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
008500/
008600 01  FILLER                  PIC  X(26)      VALUE
008700     'STORE MASTER FIELDS TABLE:'.
008800*
008900     COPY MMSMTB.
009000/
009100 01  FILLER                  PIC  X(21)      VALUE
009200     'STORE MASTER IO AREA:'.
009300*
009400     COPY MMSMIO.
009500/
009600 01  FILLER                  PIC  X(29)      VALUE
009700     'MERCH/STORE CROSS-REF INIT'.
009800*
009900     COPY MMXRIR.
010000/
010100 01  FILLER                  PIC  X(29)      VALUE
010200     'STORE INIT RECORD         '.
010300*
010400     COPY MMSMIR.
010500/
010600 01  FILLER                  PIC  X(20)      VALUE
010700     'CCS DATE WORK AREAS:'.
010800*
010900     COPY SS01WS.
011000/
011100 01  FILLER                  PIC  X(15)      VALUE
011200     'CCS WORK AREAS:'.
011300*
011400     COPY SS08WS.
011500/
011600     COPY SS00WS.
011700/
011800     COPY SMFTWS.
011900/
012000     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
012100/
012200     COPY MB61LK.
012300/
012400     COPY SC00WS.
012500/
012600     COPY SMCOWS.
012700/
012800     COPY SMCORL.
012900*
013000 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
013100/
013200 LINKAGE SECTION.
013300*
013400 01  DFHCOMMAREA.
013500*
013600     COPY MB60WS.
013700/
013800*****************************
013900*    STORE MASTER MAP       *
014000*****************************
014100*
014200     COPY MBMS01.
014300/
014400******************************************
014500*    STORE MASTER MAP REDEFINITION       *
014600******************************************
014700*
014800     COPY MBMS01R.
014900/
015000***************************************
015100*    STORE MASTER RECORD LAYOUT       *
015200***************************************
015300*
015400     COPY MMSMRL.
015500/
015600***************************************
015700*    MERCHANT/STORE CROSS REFERENCE FILE
015800***************************************
015900*
016000     COPY MMXRRL.
016100/
016200***************************************
016300*    MERCHANT MASTER  FILE            *
016400***************************************
016500*
016600     COPY MMMMRL.
016700/
016800***************************************
016900*    MERCHANT PRODUCT FILE            *
017000***************************************
017100*
017200     COPY MMMPRL.
017300/
017400**************************************
017500*    FIELD SECURITY RECORD LAYOUT    *
017600**************************************
017700*
017800     COPY MMFSRL.
017900/
018000**************************************
018100*    CONTROL FILE RECORD LAYOUT      *
018200**************************************
018300*
018400     COPY MMOCRL.
018500/
018600**************************************
018700*    INVENTORY CONTROL RECORD LAYOUT *
018800**************************************
018900*
019000     COPY MMICRL.
019100/
019200**************************************
019300*    PLATE REQUEST RECORD LAYOUT     *
019400**************************************
019500*
019600     COPY MMPFRL.
019700/
019800**************************************
019900*    NAME LOCATE  RECORD LAYOUT      *
020000**************************************
020100*
020200     COPY MMNLRL.
020300/
020400***************************
020500*    LOG RECORD LAYOUT    *
020600***************************
020700*
020800     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
020900/
021000***************************************
021100*    USER INPUT TEMP STORAGE RECORD   *
021200***************************************
021300*
021400     COPY MBUITS.
021500/
021600 PROCEDURE DIVISION.
021700*
021800 A000-HOUSEKEEPING SECTION.
021900*
022000 A020-INIT.
022100*
022200     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
022300     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
022400                                 THRU MB70PD-OLH-EXIT.
022500*
022600     IF  MBCA-MBUI-UI-YES
022700         NEXT SENTENCE
022800     ELSE
022900         SET MBCA-MBUI-UI-NO     TO TRUE.
023000*
023100     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
023200*
023300     IF  MBCA-RECEIVE-SCREEN
023400         GO TO C000-RECEIVE-SCREEN.
023500/
023600 B000-SEND-SCREEN SECTION.
023700*
023800*********************************************
023900*    GET CICS STORAGE NEEDED FOR THE MAP    *
024000*********************************************
024100*
024200     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
024300     PERFORM MB60PD-GETMAIN-FOR-MAP
024400                                 THRU MB60PD-GFM-EXIT.
024500*
024600*******************************************
024700*    INITIALIZE THE STANDARD MAP LINES    *
024800*******************************************
024900*
025000     PERFORM MB60PD-INIT-STD-MAP-LINES
025100                                 THRU MB60PD-ISML-EXIT.
025200*
025300*****************************************
025400*    READ THE STORE MASTER RECORD       *
025500*    FOR SUBSEQUENT DISPLAY             *
025600*****************************************
025700*
025800     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
025900                                    MS01-ORG.
026000     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
026100                                    MS01-STORE.
026200     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
026300     SET MBIORO-READ-RANDOM      TO TRUE.
026400     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
026500*
026600*****************************************
026700*    EDIT FOR SINGLE STORE RECORD       *
026800*****************************************
026900*
027000     IF  MBCA-PTI-FUNCTION-IS-MAINT
027100     AND MMSM-REC-SINGLE-STORE
027200         MOVE 52                 TO MBCA-SCREEN-NBR
027300         MOVE 'PC09'             TO MBCA-PROGRAM-LOCATION
027400         PERFORM MB70PD-XCTL-TO-MBOXCTL
027500                                 THRU MB70PD-XTM-EXIT.
027600*
027700*****************************************
027800*    READ THE INVENTORY CONTROL RECORD  *
027900*****************************************
028000*
028100     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMIC-ORG.
028200     MOVE MBCA-STORE             TO MBIOWS-MMIC-MERCHANT.
028300     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
028400     SET MBIOWS-MMIC-TYPE-IS-STORE
028500                                 TO TRUE.
028600     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
028700     SET MBIORO-READ-RANDOM      TO TRUE.
028800     PERFORM MMICAO-ACCESS       THRU MMICAO-ACCESS-EXIT.
028900*
029000     IF  SS08WS-RC-FC-NOTFND
029100         MOVE 'N'                TO MS01-INVENTORY
029200     ELSE
029300         MOVE 'Y'                TO MS01-INVENTORY.
029400*
029500*****************************************
029600*    READ THE PLATE REQUEST RECORD      *
029700*****************************************
029800*
029900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMPF-ORG.
030000     MOVE MBCA-STORE             TO MBIOWS-MMPF-MERCHANT.
030100     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
030200     SET MBIOWS-MMPF-TYPE-IS-STORE
030300                                 TO TRUE.
030400     MOVE 'FC03'                 TO MBCA-PROGRAM-LOCATION.
030500     SET MBIORO-READ-RANDOM      TO TRUE.
030600     PERFORM MMPFAO-ACCESS       THRU MMPFAO-ACCESS-EXIT.
030700*
030800     IF  SS08WS-RC-FC-NOTFND
030900         MOVE 'N'                TO MS01-PLATE-FILE
031000     ELSE
031100         MOVE 'Y'                TO MS01-PLATE-FILE.
031200*
031300******************************************************
031400*    MOVE LAST MAINT DATE AND LAST MAINT OPERATOR    *
031500*    TO THE SCREEN, DEPENDING ON THE FUNCTION        *
031600******************************************************
031700*
031800     IF  MBCA-PTI-FUNCTION-IS-ADD
031900         MOVE DFHBMDAS           TO MS01-LAST-MAINT-DATE-LIT-A
032000                                    MS01-LAST-MAINT-DATE-A
032100                                    MS01-LAST-MAINT-OPER-LIT-A
032200                                    MS01-LAST-MAINT-OPER-A
032300                                    MS01-STATUS-LIT-A
032400                                    MS01-STATUS-A
032500                                    MS01-STATUS-OPER-LIT-A
032600                                    MS01-STATUS-OPER-A
032700                                    MS01-STATUS-DATE-LIT-A
032800                                    MS01-STATUS-DATE-A
032900                                    MS01-REASON-LIT-A
033000                                    MS01-REASON-A
033100                                    MS01-SSR-FLAG-LIT-A
033200                                    MS01-SSR-FLAG-A
033300                                    MS01-OUT-OF-BUS-DATE-LIT-A
033400                                    MS01-OUT-OF-BUS-DATE-A
033500                                    MS01-OWNERSHIP-CHG-DATE-LIT-A
033600                                    MS01-OWNERSHIP-CHG-DATE-A
033700     ELSE
033800         MOVE MMSM-SINGLE-STORE-FLAG
033900                                 TO MS01-SSR-FLAG
034000         MOVE MMSM-LAST-MAINT-DATE
034100                                 TO SS01WS-JULIAN
034200         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
034300                                 THRU SS26PD-NED-EXIT
034400         MOVE SS01WS-XX-XX-YYYY  TO MS01-LAST-MAINT-DATE
034500         MOVE MMSM-LAST-MAINT-OPER
034600                                 TO MS01-LAST-MAINT-OPER
034700         MOVE MMSM-OWNERSHIP-CHG-DATE
034800                                 TO SS01WS-JULIAN
034900         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
035000                                 THRU SS26PD-NED-EXIT
035100         MOVE SS01WS-XX-XX-YYYY  TO MS01-OWNERSHIP-CHG-DATE
035200         IF  MMSM-REC-CLOSED
035300         OR  MMSM-REC-PENDING-PURGE
035400         OR  MMSM-REC-PURGING
035500             EVALUATE TRUE
035600                 WHEN MMSM-REC-CLOSED
035700                     MOVE MMSM-DATE-CLOSED
035800                                 TO SS01WS-JULIAN
035900                     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
036000                                 THRU SS26PD-NED-EXIT
036100                     MOVE SS01WS-XX-XX-YYYY
036200                                 TO MS01-STATUS-DATE
036300                 WHEN MMSM-REC-PURGING
036400                     MOVE MMSM-PURGING-DATE
036500                                 TO SS01WS-JULIAN
036600                     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
036700                                 THRU SS26PD-NED-EXIT
036800                     MOVE SS01WS-XX-XX-YYYY
036900                                 TO MS01-STATUS-DATE
037000                 WHEN OTHER
037100                     MOVE ZEROS
037200                                 TO SS01WS-JULIAN
037300                     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
037400                                 THRU SS26PD-NED-EXIT
037500                     MOVE SS01WS-XX-XX-YYYY
037600                                 TO MS01-STATUS-DATE
037700             END-EVALUATE
037800             MOVE MMSM-REC-STATUS
037900                                 TO MS01-STATUS
038000             MOVE MMSM-STATUS-CHANGE-OPER
038100                                 TO MS01-STATUS-OPER
038200             MOVE MMSM-CLOSE-REASON
038300                                 TO MS01-REASON
038400             MOVE MMSM-OUT-OF-BUS-DATE
038500                                 TO SS01WS-JULIAN
038600             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
038700                                 THRU SS26PD-NED-EXIT
038800             MOVE SS01WS-XX-XX-YYYY
038900                                 TO MS01-OUT-OF-BUS-DATE
039000         ELSE
039100             MOVE DFHBMDAS       TO MS01-STATUS-LIT-A
039200                                    MS01-STATUS-A
039300                                    MS01-STATUS-OPER-LIT-A
039400                                    MS01-STATUS-OPER-A
039500                                    MS01-STATUS-DATE-LIT-A
039600                                    MS01-STATUS-DATE-A
039700                                    MS01-REASON-LIT-A
039800                                    MS01-REASON-A
039900                                    MS01-OUT-OF-BUS-DATE-LIT-A
040000                                    MS01-OUT-OF-BUS-DATE-A.
040100*
040200****************************************
040300*    READ THE FIELD SECURITY RECORD    *
040400****************************************
040500*
040600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
040700     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
040800*
040900 B020-MOVE-FIELDS-TO-SCREEN.
041000*
041100*****************************************
041200*    MOVE THE STORE MASTER FIELDS       *
041300*    FROM THE RECORD TO THE SCREEN      *
041400*****************************************
041500*
041600     SET X-MMSM-PRIMARY          TO 1.
041700*
041800     PERFORM Y010-MOVE-COUNTRY-CODE
041900                                 THRU Y019-EXIT.
042000*
042100     PERFORM Y030-MOVE-DBA-NAME  THRU Y039-EXIT.
042200*
042300     PERFORM Y050-MOVE-MERCHANT-ID
042400                                 THRU Y059-EXIT.
042500*
042600     PERFORM Y070-MOVE-DBA-CITY  THRU Y079-EXIT.
042700*
042800     PERFORM Y090-MOVE-DBA-COUNTRY-CODE
042900                                 THRU Y099-EXIT.
043000*
043100     PERFORM Y110-MOVE-PRIM-ADDRESS1
043200                                 THRU Y119-EXIT.
043300*
043400     PERFORM Y130-MOVE-PRIM-ADDRESS2
043500                                 THRU Y139-EXIT.
043600*
043700     PERFORM Y150-MOVE-PRIM-ADDRESS3
043800                                 THRU Y159-EXIT.
043900*
044000     PERFORM Y170-MOVE-PRIM-ADDRESS4
044100                                 THRU Y179-EXIT.
044200*
044300     PERFORM Y190-MOVE-PRIM-ADDRESS5
044400                                 THRU Y199-EXIT.
044500*
044600     PERFORM Y210-MOVE-PRIM-STATE
044700                                 THRU Y219-EXIT.
044800*
044900     PERFORM Y230-MOVE-PRIM-PHONE
045000                                 THRU Y239-EXIT.
045100*
045200     PERFORM Y250-MOVE-PRIM-POSTAL-CODE
045300                                 THRU Y259-EXIT.
045400*
045500     PERFORM Y270-MOVE-PRIM-FAX  THRU Y279-EXIT.
045600*
045700******************************************
045800*    SET THE CURSOR AND SCREEN NUMBER    *
045900******************************************
046000*
046100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
046200         MOVE SS08WS-CURSOR      TO MS01-ALT-TRANID-L
046300     ELSE
046400         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
046500*
046600     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
046700*
046800**********************
046900*    SEND THE MAP    *
047000**********************
047100*
047200     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
047300     PERFORM MB60PD-SEND-MAP-WITH-ERASE
047400                                 THRU MB60PD-SMWE-EXIT.
047500*
047600************************
047700*    RETURN TO CICS    *
047800************************
047900*
048000     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
048100     PERFORM MB70PD-RETURN-TRANS-ID
048200                                 THRU MB70PD-RTI-EXIT.
048300/
048400 C000-RECEIVE-SCREEN SECTION.
048500*
048600******************************************
048700*    THIS SECTION RECEIVES THE SCREEN    *
048800******************************************
048900*
049000     IF  MBCA-MBUI-UI-YES
049100*
049200****************************************************************
049300*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
049400****************************************************************
049500*
049600         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
049700         EXEC CICS GETMAIN
049800                   FLENGTH (LENGTH  OF MBUITS-RECORD)
049900
050000                   SET     (ADDRESS OF MBUITS-RECORD)
050100
050200              END-EXEC
050300*
050400***********************************************
050500*    READ THE TEMP STORAGE RECORD             *
050600***********************************************
050700*
050800         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
050900*
051000         EXEC CICS READQ TS
051100                   QUEUE   (TS-QUEUE-NAME)
051200                   INTO    (MBUITS-RECORD)
051300                   LENGTH  (LENGTH  OF MBUITS-RECORD)
051400                   ITEM    (1)
051500              END-EXEC
051600*
051700***********************************************
051800*    DELETE THE TEMP STORAGE RECORD           *
051900***********************************************
052000*
052100         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
052200*
052300         EXEC CICS IGNORE CONDITION
052400                   QIDERR
052500              END-EXEC
052600*
052700         EXEC CICS DELETEQ TS
052800                   QUEUE  (TS-QUEUE-NAME)
052900              END-EXEC
053000         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
053100         PERFORM MB60PD-GETMAIN-FOR-MAP
053200                                 THRU MB60PD-GFM-EXIT
053300         MOVE MBUITS-VAR-DATA    TO MBMS01I
053400     ELSE
053500         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
053600         PERFORM MB60PD-RECEIVE-MAP
053700                                 THRU MB60PD-RM-EXIT.
053800*
053900**************************************************************
054000*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
054100**************************************************************
054200*
054300     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
054400     PERFORM MB60PD-NEW-TRANS-ROUTINE
054500                                 THRU MB60PD-NTR-EXIT.
054600*
054700*****************************************
054800*    READ THE STORE MASTER RECORD       *
054900*****************************************
055000*
055100*
055200     IF  MBCA-PTI-FUNCTION-IS-ADD
055300     AND MBCA-MBUI-UI-YES
055400     AND MBCA-MBUI-UI-UPDATE-NO
055500         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
055600         SET MBIORO-GETMAIN      TO TRUE
055700         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
055800         MOVE MMSMIR-RECORD      TO MMSM-RECORD
055900     ELSE
056000         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
056100         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
056200                                    MS01-ORG
056300         MOVE MBCA-STORE         TO MBIOWS-MMSM-STORE
056400                                    MS01-STORE
056500         MOVE 'FC05'             TO MBCA-PROGRAM-LOCATION
056600         SET MBIORO-READ-RANDOM  TO TRUE
056700         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
056800         IF  SS08WS-RC-FC-NOTFND
056900         AND MBCA-MBUI-UI-YES
057000             MOVE 'MBUI'         TO MBCA-TRANS-ID
057100                                    MBCA-PREV-TRANS-ID
057200             MOVE 01             TO MBCA-SCREEN-NBR
057300             MOVE 'STR'          TO MS01-FILLER
057400             SET MBCA-MBUI-ERROR-YES
057500                                 TO TRUE
057600             GO TO F000-SETUP-COMMAREA.
057700*
057800     IF (MBCA-PTI-FUNCTION-IS-MAINT
057900     AND MBCA-MBUI-UI-YES
058000     AND (MMSM-REC-PURGED
058100       OR MMSM-REC-INCOMPLETE))
058200     OR
058300        (MBCA-PTI-FUNCTION-IS-ADD
058400     AND MBCA-MBUI-UI-YES
058500     AND MMSM-REC-PURGED)
058600         MOVE 'MBUI'             TO MBCA-TRANS-ID
058700                                    MBCA-PREV-TRANS-ID
058800         MOVE 01                 TO MBCA-SCREEN-NBR
058900         MOVE 'STR'              TO MS01-FILLER
059000         SET MBCA-MBUI-ERROR-YES
059100                                 TO TRUE
059200         GO TO F000-SETUP-COMMAREA.
059300*
059400****************************************************
059500*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
059600****************************************************
059700*
059800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
059900         GO TO F000-SETUP-COMMAREA.
060000*
060100***********************************************************
060200*    MOVE THE LAST MAINT DATE AND LAST MAINT OPERATOR,    *
060300*    DEPENDING ON THE FUNCTION                            *
060400***********************************************************
060500*
060600     IF  MBCA-PTI-FUNCTION-IS-ADD
060700         MOVE DFHBMDAS           TO MS01-LAST-MAINT-DATE-LIT-A
060800                                    MS01-LAST-MAINT-DATE-A
060900                                    MS01-LAST-MAINT-OPER-LIT-A
061000                                    MS01-LAST-MAINT-OPER-A
061100                                    MS01-STATUS-LIT-A
061200                                    MS01-STATUS-A
061300                                    MS01-STATUS-OPER-LIT-A
061400                                    MS01-STATUS-OPER-A
061500                                    MS01-STATUS-DATE-LIT-A
061600                                    MS01-STATUS-DATE-A
061700                                    MS01-REASON-LIT-A
061800                                    MS01-REASON-A
061900                                    MS01-SSR-FLAG-LIT-A
062000                                    MS01-SSR-FLAG-A
062100                                    MS01-OUT-OF-BUS-DATE-LIT-A
062200                                    MS01-OUT-OF-BUS-DATE-A
062300                                    MS01-OWNERSHIP-CHG-DATE-LIT-A
062400                                    MS01-OWNERSHIP-CHG-DATE-A
062500     ELSE
062600         MOVE MMSM-SINGLE-STORE-FLAG
062700                                 TO MS01-SSR-FLAG
062800         MOVE MMSM-LAST-MAINT-DATE
062900                                 TO SS01WS-JULIAN
063000         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
063100                                 THRU SS26PD-NED-EXIT
063200         MOVE SS01WS-XX-XX-YYYY  TO MS01-LAST-MAINT-DATE
063300         MOVE MMSM-LAST-MAINT-OPER
063400                                 TO MS01-LAST-MAINT-OPER
063500         MOVE MMSM-OWNERSHIP-CHG-DATE
063600                                 TO SS01WS-JULIAN
063700         PERFORM SS26PD-NUMERICALLY-EDIT-DATE
063800                                 THRU SS26PD-NED-EXIT
063900         MOVE SS01WS-XX-XX-YYYY  TO MS01-OWNERSHIP-CHG-DATE
064000         IF  MMSM-REC-CLOSED
064100         OR  MMSM-REC-PENDING-PURGE
064200         OR  MMSM-REC-PURGING
064300             EVALUATE TRUE
064400                 WHEN MMSM-REC-CLOSED
064500                     MOVE MMSM-DATE-CLOSED
064600                                 TO SS01WS-JULIAN
064700                     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
064800                                 THRU SS26PD-NED-EXIT
064900                     MOVE SS01WS-XX-XX-YYYY
065000                                 TO MS01-STATUS-DATE
065100                 WHEN MMSM-REC-PURGING
065200                     MOVE MMSM-PURGING-DATE
065300                                 TO SS01WS-JULIAN
065400                     PERFORM SS26PD-NUMERICALLY-EDIT-DATE
065500                                 THRU SS26PD-NED-EXIT
065600                     MOVE SS01WS-XX-XX-YYYY
065700                                 TO MS01-STATUS-DATE
065800             END-EVALUATE
065900             MOVE MMSM-REC-STATUS
066000                                 TO MS01-STATUS
066100             MOVE MMSM-STATUS-CHANGE-OPER
066200                                 TO MS01-STATUS-OPER
066300             MOVE MMSM-CLOSE-REASON
066400                                 TO MS01-REASON
066500             MOVE MMSM-OUT-OF-BUS-DATE
066600                                 TO SS01WS-JULIAN
066700             PERFORM SS26PD-NUMERICALLY-EDIT-DATE
066800                                 THRU SS26PD-NED-EXIT
066900             MOVE SS01WS-XX-XX-YYYY
067000                                 TO MS01-OUT-OF-BUS-DATE
067100         ELSE
067200             MOVE DFHBMDAS       TO MS01-STATUS-LIT-A
067300                                    MS01-STATUS-A
067400                                    MS01-STATUS-OPER-LIT-A
067500                                    MS01-STATUS-OPER-A
067600                                    MS01-STATUS-DATE-LIT-A
067700                                    MS01-STATUS-DATE-A
067800                                    MS01-REASON-LIT-A
067900                                    MS01-REASON-A
068000                                    MS01-OUT-OF-BUS-DATE-LIT-A
068100                                    MS01-OUT-OF-BUS-DATE-A.
068200*
068300****************************************
068400*    READ THE FIELD SECURITY RECORD    *
068500****************************************
068600*
068700     MOVE 'FC06'                 TO MBCA-PROGRAM-LOCATION.
068800     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
068900*
069000 C020-FIELD-EDITS.
069100*
069200*********************
069300*    FIELD EDITS    *
069400*********************
069500*
069600     SET X-MMSM-PRIMARY          TO 1.
069700*
069800     PERFORM W010-EDIT-COUNTRY-CODE
069900                                 THRU W019-EDCC-EXIT.
070000*
070100     PERFORM W030-EDIT-DBA-NAME  THRU W039-EDN-EXIT.
070200*
070300     PERFORM W050-EDIT-MERCHANT-ID
070400                                 THRU W059-EMI-EXIT.
070500*
070600     PERFORM W070-EDIT-DBA-CITY  THRU W079-EDC-EXIT.
070700     PERFORM W090-EDIT-DBA-COUNTRY-CODE
070800                                 THRU W099-EDCC-EXIT.
070900*
071000     PERFORM W110-EDIT-PRIM-ADDRESS1
071100                                 THRU W119-EPA1-EXIT.
071200*
071300     PERFORM W130-EDIT-PRIM-ADDRESS2
071400                                 THRU W139-EPA2-EXIT.
071500*
071600     PERFORM W150-EDIT-PRIM-ADDRESS3
071700                                 THRU W159-EPA3-EXIT.
071800*
071900     PERFORM W170-EDIT-PRIM-ADDRESS4
072000                                 THRU W179-EPA4-EXIT.
072100*
072200     PERFORM W190-EDIT-PRIM-ADDRESS5
072300                                 THRU W199-EPA5-EXIT.
072400*
072500     PERFORM W210-EDIT-PRIM-STATE
072600                                 THRU W219-EPS-EXIT.
072700*
072800     PERFORM W230-EDIT-PRIM-PHONE
072900                                 THRU W239-EPP-EXIT.
073000*
073100     PERFORM W250-EDIT-PRIM-POSTAL-CODE
073200                                 THRU W259-EPPC-EXIT.
073300*
073400     PERFORM W270-EDIT-PRIM-FAX  THRU W279-EPF-EXIT.
073500*
073600 C040-CROSS-EDITS.
073700*
073800     IF  NOT MMSM-REC-MODEL
073900         PERFORM W300-CROSS-EDIT-CRB
074000                                 THRU W309-EXIT.
074100/
074200 D000-RETURN-ERRORS SECTION.
074300*
074400     IF  SS08WS-ERROR-SW-NO
074500         GO TO E000-UPDATE-FILE.
074600*
074700     IF  MBCA-MBUI-UI-YES
074800         MOVE 'MBUI'             TO MBCA-TRANS-ID
074900                                    MBCA-PREV-TRANS-ID
075000         MOVE 01                 TO MBCA-SCREEN-NBR
075100         SET MBCA-MBUI-ERROR-YES TO TRUE
075200         GO TO F000-SETUP-COMMAREA.
075300*
075400***************************************************************
075500*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
075600*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
075700*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
075800***************************************************************
075900*
076000     PERFORM MB60PD-INIT-STD-MAP-LINES
076100                                 THRU MB60PD-ISML-EXIT.
076200*
076300**********************
076400*    SEND THE MAP    *
076500**********************
076600*
076700     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
076800     PERFORM MB60PD-SEND-MAP-DATA-ONLY
076900                                 THRU MB60PD-SMDO-EXIT.
077000*
077100************************
077200*    RETURN TO CICS    *
077300************************
077400*
077500     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
077600     PERFORM MB70PD-RETURN-TRANS-ID
077700                                 THRU MB70PD-RTI-EXIT.
077800/
077900 E000-UPDATE-FILE SECTION.
078000*
078100     IF  MBCA-MBUI-UI-YES
078200         SET MBCA-MBUI-ERROR-NO  TO TRUE.
078300*
078400     IF  MBCA-MBUI-UI-YES
078500     AND MBCA-MBUI-UI-UPDATE-NO
078600         GO TO F000-SETUP-COMMAREA.
078700*
078800****************************************************
078900*    READ THE STORE MASTER RECORD FOR UPDATE       *
079000****************************************************
079100*
079200     MOVE MMSM-RECORD            TO MMSMIO-RECORD.
079300     MOVE 'FC07'                 TO MBCA-PROGRAM-LOCATION.
079400     SET MBIORO-READ-RANDOM-UPDATE
079500                                 TO TRUE.
079600     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
079700     MOVE MMSMIO-RECORD          TO MMSM-RECORD.
079800*
079900*************************************
080000*    OBTAIN STORAGE FOR LOG FILE    *
080100*    RECORD IF DOING MAINTENANCE    *
080200*************************************
080300*
080400     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
080500     SET MBIORO-GETMAIN          TO TRUE.
080600     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
080700*
080800     MOVE 'SC05'                 TO MBCA-PROGRAM-LOCATION.
080900     SET MBIORO-GETMAIN          TO TRUE.
081000     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
081100*
081200*************************************************
081300*    SET UP THE COMMON PORTION OF THE RECORD    *
081400*************************************************
081500*
081600     MOVE 'SM'                   TO MML1-FILE-CODE.
081700     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
081800     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
081900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
082000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
082100     MOVE ZEROS                  TO MML1-SOURCE-CODE.
082200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
082300*
082400 E020-UPDATE-FIELDS.
082500*
082600     PERFORM X010-UPDATE-COUNTRY-CODE
082700                                 THRU X019-UCC-EXIT.
082800*
082900     PERFORM X030-UPDATE-DBA-NAME
083000                                 THRU X039-UDN-EXIT.
083100*
083200     PERFORM X040-UPDATE-POS-IMP
083300                                 THRU X049-UPI-EXIT.
083400*
083500     PERFORM X050-UPDATE-MERCHANT-ID
083600                                 THRU X059-UMI-EXIT.
083700*
083800     PERFORM X070-UPDATE-DBA-CITY
083900                                 THRU X079-UDC-EXIT.
084000*
084100     PERFORM X090-UPDATE-DBA-COUNTRY-CODE
084200                                 THRU X099-UDCC-EXIT.
084300*
084400     PERFORM X110-UPDATE-PRIM-ADDRESS1
084500                                 THRU X119-UPA1-EXIT.
084600*
084700     PERFORM X130-UPDATE-PRIM-ADDRESS2
084800                                 THRU X139-UPA2-EXIT.
084900*
085000     PERFORM X150-UPDATE-PRIM-ADDRESS3
085100                                 THRU X159-UPA3-EXIT.
085200*
085300     PERFORM X170-UPDATE-PRIM-ADDRESS4
085400                                 THRU X179-UPA4-EXIT.
085500*
085600     PERFORM X190-UPDATE-PRIM-ADDRESS5
085700                                 THRU X199-UPA5-EXIT.
085800*
085900     PERFORM X210-UPDATE-PRIM-STATE
086000                                 THRU X219-UPS-EXIT.
086100*
086200     PERFORM X230-UPDATE-PRIM-PHONE
086300                                 THRU X239-UPP-EXIT.
086400*
086500     PERFORM X250-UPDATE-PRIM-POSTAL-CODE
086600                                 THRU X259-UPPC-EXIT.
086700*
086800     PERFORM X270-UPDATE-PRIM-FAX
086900                                 THRU X279-UPF-EXIT.
087000*
087100     PERFORM X290-UPDATE-FREQS   THRU X299-UF-EXIT.
087200*
087300 E040-UPDATE-MMSM.
087400*
087500     IF  MBCA-PTI-FUNCTION-IS-ADD
087600         MOVE MBCA-SCREEN-NBR    TO MMSM-ONLINE-STATUS
087700         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
087800         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
087900         SET WS-UPDATE-SW-YES    TO TRUE.
088000*
088100*
088200**************************************************************
088300*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
088400*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
088500*    ON THE SCREEN                                           *
088600**************************************************************
088700*
088800     IF  MBCA-PTI-FUNCTION-IS-MAINT
088900     AND WS-UPDATE-SW-YES
089000         MOVE 0198               TO MML1-FIELD-CODE
089100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
089200                                    MML1-FIELD-OCCURRENCE-2
089300         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
089400         MOVE MMSM-LAST-MAINT-OPER
089500                                 TO MML1-VL03-B-DATA-X
089600         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
089700         MOVE MMSM-LAST-MAINT-OPER
089800                                 TO MML1-VL03-A-DATA-X
089900         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
090000         PERFORM Y910-WRITE-LOG-RECORD
090100                                 THRU Y919-WLR-EXIT
090200         MOVE 0199               TO MML1-FIELD-CODE
090300         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
090400         MOVE MMSM-LAST-MAINT-DATE
090500                                 TO MML1-VL07-B-DATA-9
090600         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
090700         MOVE MMSM-LAST-MAINT-DATE
090800                                 TO MML1-VL07-A-DATA-9
090900         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
091000         PERFORM Y910-WRITE-LOG-RECORD
091100                                 THRU Y919-WLR-EXIT.
091200*
091300****************************************************
091400*    REWRITE THE STORE MASTER RECORD IF            *
091500*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
091600*    UNLOCK IT IF THEY HAVE NOT                    *
091700****************************************************
091800*
091900     IF  WS-UPDATE-SW-YES
092000         MOVE 'FC10'             TO MBCA-PROGRAM-LOCATION
092100         SET MBIORO-REWRITE      TO TRUE
092200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
092300     ELSE
092400         MOVE 'FC11'             TO MBCA-PROGRAM-LOCATION
092500         SET MBIORO-UNLOCK       TO TRUE
092600         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
092700*
092800     PERFORM Y930-READ-MMOC      THRU Y939-RMMOC-EXIT.
092900*
093000     MOVE 'SC06'                 TO MBCA-PROGRAM-LOCATION.
093100     SET MBIORO-GETMAIN          TO TRUE.
093200     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
093300*
093400     PERFORM Y920-WRITE-NAME-LOCATE-RECORD
093500                                 THRU Y929-WNLR-EXIT.
093600/
093700 F000-SETUP-COMMAREA SECTION.
093800*
093900***************************************************************
094000*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
094100***************************************************************
094200*
094300     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
094400*
094500     PERFORM MB60PD-EDIT-PAGE-NBR
094600                                 THRU MB60PD-EPN-EXIT.
094700*
094800     IF  SS08WS-VALID-PF-KEY
094900     OR  SS08WS-EIBAID-VALID-PF-KEY
095000         SET MBCA-INITIAL-SCREEN-NBR
095100                                 TO TRUE.
095200*
095300     IF  SS08WS-VALID-PF6
095400     OR  SS08WS-EIBAID-VALID-PF6
095500     AND MMSM-REC-SINGLE-STORE
095600         MOVE MBCA-TRANS-ID      TO MBCA-PGMX-PF-TRANS-ID (6).
095700*
095800     IF  SS08WS-VALID-PF5
095900     OR  SS08WS-EIBAID-VALID-PF5
096000         MOVE MMSM-MERCHANT-ID   TO MBCA-MERCHANT.
096100*
096200     IF  MBCA-MBUI-UI-YES
096300         MOVE 'MBUI'             TO MBCA-TRANS-ID
096400                                    MBCA-PREV-TRANS-ID
096500         MOVE 01                 TO MBCA-SCREEN-NBR
096600         MOVE MBMS01I            TO MBUITS-VAR-DATA
096700         MOVE LENGTH OF MBMS01I  TO MBUITS-VAR-LENGTH
096800         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
096900         EXEC CICS WRITEQ TS
097000                   QUEUE   (TS-QUEUE-NAME)
097100                   FROM    (MBUITS-RECORD)
097200                   LENGTH  (LENGTH  OF MBUITS-RECORD)
097300
097400              END-EXEC.
097500*
097600     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
097700     PERFORM MB70PD-XCTL-TO-MBOXCTL
097800                                 THRU MB70PD-XTM-EXIT.
097900/
098000 W000-FIELD-EDITS SECTION.
098100*
098200*********************************************************
098300*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND     *
098400*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF    *
098500*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES         *
098600*    'W010-EDIT-MERCHANT-ID' THRU 'W019-EPGN-EXIT'*
098700*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE    *
098800*    UNIQUE TO THAT ROUTINE.                            *
098900*********************************************************
099000*
099100 W010-EDIT-COUNTRY-CODE.
099200*
099300     MOVE DFHBMDAS               TO MS01-COUNTRY-CODE-LP-A
099400                                    MS01-COUNTRY-CODE-RP-A.
099500     MOVE DFHBMASK               TO MS01-COUNTRY-CODE-A.
099600*
099700     PERFORM Y015-COUNTRY-CODE-SECURITY
099800                                 THRU Y019-EXIT.
099900*
100000     PERFORM SMCOPXO-OBTAIN-COUNTRY-TABLE
100100        THRU SMCOPXO-OCT-EXIT.
100200*
100300     IF  SMCOWS-RC-NO-COUNTRY-FOUND
100400         GO TO W018-COUNTRY-CODE-ERROR.
100500*
100600     IF  MS01-COUNTRY-CODE-L IS GREATER THAN ZERO
100700         MOVE MS01-COUNTRY-CODE  TO SMCOWS-SEARCH-COUNTRY-CODE
100800         PERFORM SMCOPX-INTERROGATION-SEARCH
100900            THRU SMCOPX-IS-EXIT
101000         IF  SMCOWS-SEARCH-INDEX = ZERO
101100             GO TO W018-COUNTRY-CODE-ERROR
101200         END-IF
101300         MOVE DFHBMASF           TO MS01-COUNTRY-CODE-A
101400         GO TO W019-EDCC-EXIT
101500     ELSE
101600         MOVE MMSM-COUNTRY-CODE (X-MMSM-PRIMARY)
101700                                 TO MS01-COUNTRY-CODE
101800     END-IF.
101900*
102000     IF  MBCA-PTI-FUNCTION-IS-MAINT
102100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
102200         GO TO W019-EDCC-EXIT.
102300*
102400 W018-COUNTRY-CODE-ERROR.
102500*
102600     IF  MS01-COUNTRY-CODE-L IS GREATER THAN ZERO
102700         MOVE DFHBMUBF           TO MS01-COUNTRY-CODE-A
102800     ELSE
102900         MOVE DFHBMBRY           TO MS01-COUNTRY-CODE-A.
103000*
103100     SET SS08WS-ERROR-SW-YES     TO TRUE.
103200     MOVE DFHBMASB               TO MS01-COUNTRY-CODE-LP-A
103300                                    MS01-COUNTRY-CODE-RP-A.
103400     MOVE SS08WS-CURSOR          TO MS01-COUNTRY-CODE-L.
103500*
103600 W019-EDCC-EXIT.
103700     EXIT.
103800*
103900 W030-EDIT-DBA-NAME.
104000*
104100     MOVE DFHBMDAS               TO MS01-DBA-NAME-LP-A
104200                                    MS01-DBA-NAME-RP-A.
104300     MOVE DFHBMASK               TO MS01-DBA-NAME-A.
104400*
104500     PERFORM Y035-DBA-NAME-SECURITY
104600                                 THRU Y039-EXIT.
104700*
104800     IF  MS01-DBA-NAME-L IS GREATER THAN ZERO
104900         MOVE DFHBMASF           TO MS01-DBA-NAME-A
105000         EVALUATE TRUE
105100           WHEN MS01-DBA-NAME IS EQUAL TO SPACES
105200             CONTINUE
105300           WHEN MS01-DBA-NAME (1:1)
105400                                 IS EQUAL TO SPACE
105500             GO TO W038-DBA-NAME-ERROR
105600           WHEN OTHER
105700             CONTINUE
105800         END-EVALUATE
105900         GO TO W039-EDN-EXIT
106000     ELSE
106100         MOVE MMSM-DBA-NAME      TO MS01-DBA-NAME.
106200*
106300     IF  MBCA-PTI-FUNCTION-IS-MAINT
106400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
106500         GO TO W039-EDN-EXIT.
106600*
106700 W038-DBA-NAME-ERROR.
106800*
106900     IF  MS01-DBA-NAME-L IS GREATER THAN ZERO
107000         MOVE DFHBMUBF           TO MS01-DBA-NAME-A
107100     ELSE
107200         MOVE DFHBMBRY           TO MS01-DBA-NAME-A.
107300*
107400     SET SS08WS-ERROR-SW-YES     TO TRUE.
107500     MOVE DFHBMASB               TO MS01-DBA-NAME-LP-A
107600                                    MS01-DBA-NAME-RP-A.
107700     MOVE SS08WS-CURSOR          TO MS01-DBA-NAME-L.
107800*
107900 W039-EDN-EXIT.
108000     EXIT.
108100*
108200 W050-EDIT-MERCHANT-ID.
108300*
108400     MOVE DFHBMDAS               TO MS01-MERCHANT-ID-LP-A
108500                                    MS01-MERCHANT-ID-RP-A.
108600     MOVE DFHBMASK               TO MS01-MERCHANT-ID-A.
108700*
108800     PERFORM Y055-MERCHANT-ID-SECURITY
108900                                 THRU Y059-EXIT.
109000*
109100     IF  MS01-MERCHANT-ID-L IS GREATER THAN ZERO
109200         MOVE DFHBMASF           TO MS01-MERCHANT-ID-A
109300         PERFORM 9300-VALID-MERCHANT
109400                                 THRU 9399-VM-EXIT
109500         IF SS08WS-RC-FC-NOTFND
109600             GO TO W058-MERCHANT-ID-ERROR
109700         ELSE
109800             IF  NOT MMMM-REC-ACTIVE
109900                 GO TO W058-MERCHANT-ID-ERROR
110000             END-IF
110100             IF  MBCA-PTI-FUNCTION-ADD-OR-MAINT AND
110200                 MMMM-SINGLE-STORE-YES
110300                 PERFORM W060-VERIFY-MMXR
110400                                 THRU W069-EXIT
110500                 IF  WS-STORE-XREF-YES
110600                     MOVE DFHBMUNB TO MS01-SSR-FLAG-A
110700                     GO TO W058-MERCHANT-ID-ERROR
110800                 ELSE
110900                     SET WS-FREQ-SW-YES
111000                                 TO TRUE
111100                 END-IF
111200             ELSE
111300                 SET WS-FREQ-SW-YES
111400                                 TO TRUE.
111500*
111600     IF  MS01-MERCHANT-ID-L IS LESS THAN 1
111700         IF  MBCA-PTI-FUNCTION-IS-ADD
111800             GO TO W058-MERCHANT-ID-ERROR
111900         ELSE
112000             MOVE MMSM-MERCHANT-ID
112100                                 TO MS01-MERCHANT-ID.
112200*
112300     IF  MS01-MERCHANT-ID IS NUMERIC
112400         GO TO W059-EMI-EXIT
112500     ELSE
112600         GO TO W058-MERCHANT-ID-ERROR.
112700*
112800     IF  MBCA-PTI-FUNCTION-IS-MAINT
112900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
113000         GO TO W059-EMI-EXIT.
113100*
113200 W058-MERCHANT-ID-ERROR.
113300*
113400     IF  MS01-MERCHANT-ID-L IS GREATER THAN ZERO
113500         MOVE DFHBMNBF           TO MS01-MERCHANT-ID-A
113600     ELSE
113700         MOVE DFHBMUNB           TO MS01-MERCHANT-ID-A.
113800*
113900     SET SS08WS-ERROR-SW-YES     TO TRUE.
114000     MOVE DFHBMASB               TO MS01-MERCHANT-ID-LP-A
114100                                    MS01-MERCHANT-ID-RP-A.
114200     MOVE SS08WS-CURSOR          TO MS01-MERCHANT-ID-L.
114300*
114400 W059-EMI-EXIT.
114500     EXIT.
114600*
114700*
114800 W060-VERIFY-MMXR.
114900*
115000****************************************************************
115100*    START BROWSE THE STORE XREF FILE                          *
115200****************************************************************
115300*
115400     MOVE 'FC12'                 TO MBCA-PROGRAM-LOCATION.
115500     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMXR-ORG.
115600     MOVE MBCA-MERCHANT          TO MBIOWS-MMXR-MERCHANT.
115700     MOVE ZEROS                  TO MBIOWS-MMXR-STORE.
115800     SET MBIORO-STARTBR-GTE      TO TRUE.
115900     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
116000*
116100 W061-READ-LOOP.
116200*
116300****************************************************************
116400*    READNEXT THE STORE XREF FILE                              *
116500****************************************************************
116600*
116700     MOVE 'FC13'                 TO MBCA-PROGRAM-LOCATION.
116800     SET MBIORO-READ-SEQ         TO TRUE.
116900     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
117000*
117100     IF  MMXR-ORG-MERCHANT IS EQUAL TO MBCA-ORG-MERCHANT
117200     AND MMXR-STORE IS GREATER THAN ZEROS
117300     AND MMXR-REC-ACTIVE
117400         SET WS-STORE-XREF-YES   TO TRUE
117500     ELSE
117600         IF  MMXR-ORG-MERCHANT IS GREATER THAN MBCA-ORG-MERCHANT
117700             NEXT SENTENCE
117800         ELSE
117900             GO TO W061-READ-LOOP.
118000*
118100****************************************************************
118200*    END BROWSE THE STORE XREF FILE                            *
118300****************************************************************
118400*
118500     MOVE 'FC14'                 TO MBCA-PROGRAM-LOCATION.
118600     SET MBIORO-ENDBR            TO TRUE.
118700     PERFORM MMXRAO-ACCESS       THRU MMXRAO-ACCESS-EXIT.
118800*
118900 W069-EXIT.
119000     EXIT.
119100 W070-EDIT-DBA-CITY.
119200*
119300     MOVE DFHBMDAS               TO MS01-DBA-CITY-LP-A
119400                                    MS01-DBA-CITY-RP-A.
119500     MOVE DFHBMASK               TO MS01-DBA-CITY-A.
119600*
119700     PERFORM Y075-DBA-CITY-SECURITY
119800                                 THRU Y079-EXIT.
119900*
120000     IF  MS01-DBA-CITY-L IS GREATER THAN ZERO
120100         MOVE DFHBMASF           TO MS01-DBA-CITY-A
120200         EVALUATE TRUE
120300           WHEN MS01-DBA-CITY IS EQUAL TO SPACES
120400             CONTINUE
120500           WHEN MS01-DBA-CITY (1:1)
120600                                 IS EQUAL TO SPACE
120700             GO TO W078-DBA-CITY-ERROR
120800           WHEN OTHER
120900             CONTINUE
121000         END-EVALUATE
121100         GO TO W079-EDC-EXIT
121200     ELSE
121300         MOVE MMSM-DBA-CITY      TO MS01-DBA-CITY.
121400*
121500     IF  MBCA-PTI-FUNCTION-IS-MAINT
121600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
121700         GO TO W079-EDC-EXIT.
121800*
121900 W078-DBA-CITY-ERROR.
122000*
122100     IF  MS01-DBA-CITY-L IS GREATER THAN ZERO
122200         MOVE DFHBMUBF           TO MS01-DBA-CITY-A
122300     ELSE
122400         MOVE DFHBMBRY           TO MS01-DBA-CITY-A.
122500*
122600     SET SS08WS-ERROR-SW-YES     TO TRUE.
122700     MOVE DFHBMASB               TO MS01-DBA-CITY-LP-A
122800                                    MS01-DBA-CITY-RP-A.
122900     MOVE SS08WS-CURSOR          TO MS01-DBA-CITY-L.
123000*
123100 W079-EDC-EXIT.
123200     EXIT.
123300*
123400 W090-EDIT-DBA-COUNTRY-CODE.
123500*
123600     MOVE DFHBMDAS               TO MS01-DBA-STATE-LP-A
123700                                    MS01-DBA-STATE-RP-A.
123800     MOVE DFHBMASK               TO MS01-DBA-STATE-A.
123900*
124000     PERFORM Y095-DBA-COUNTRY-CODE-SECURITY
124100                                 THRU Y099-EXIT.
124200*
124300     IF  MS01-DBA-STATE-L IS GREATER THAN ZERO
124400         MOVE DFHBMASF           TO MS01-DBA-STATE-A
124500         EVALUATE TRUE
124600           WHEN MS01-DBA-STATE IS EQUAL TO SPACES
124700             CONTINUE
124800           WHEN MS01-DBA-STATE (1:1)
124900                                 IS EQUAL TO SPACE
125000             GO TO W098-DBA-COUNTRY-CODE-ERROR
125100           WHEN OTHER
125200             CONTINUE
125300         END-EVALUATE
125400         GO TO W099-EDCC-EXIT
125500     ELSE
125600         MOVE MMSM-DBA-COUNTRY-CODE
125700                                 TO MS01-DBA-STATE.
125800*
125900     IF  MBCA-PTI-FUNCTION-IS-MAINT
126000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
126100         GO TO W099-EDCC-EXIT.
126200*
126300 W098-DBA-COUNTRY-CODE-ERROR.
126400*
126500     IF  MS01-DBA-STATE-L IS GREATER THAN ZERO
126600         MOVE DFHBMUBF           TO MS01-DBA-STATE-A
126700     ELSE
126800         MOVE DFHBMBRY           TO MS01-DBA-STATE-A.
126900*
127000     SET SS08WS-ERROR-SW-YES     TO TRUE.
127100     MOVE DFHBMASB               TO MS01-DBA-STATE-LP-A
127200                                    MS01-DBA-STATE-RP-A.
127300     MOVE SS08WS-CURSOR          TO MS01-DBA-STATE-L.
127400*
127500 W099-EDCC-EXIT.
127600     EXIT.
127700*
127800 W110-EDIT-PRIM-ADDRESS1.
127900*
128000     SET X-MS01-NA               TO 1.
128100     SET X-MMSM-NA               TO 1.
128200*
128300     MOVE DFHBMDAS               TO MS01-NA-LINE-LP-A (X-MS01-NA)
128400                                    MS01-NA-LINE-RP-A (X-MS01-NA).
128500     MOVE DFHBMASK               TO MS01-NA-LINE-A (X-MS01-NA).
128600*
128700     PERFORM Y115-PRIM-ADDRESS1-SECURITY
128800                                 THRU Y119-EXIT.
128900*
129000     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
129100         MOVE DFHBMASF           TO MS01-NA-LINE-A (X-MS01-NA)
129200         GO TO W119-EPA1-EXIT
129300     ELSE
129400         MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
129500                                 TO MS01-NA-LINE (X-MS01-NA).
129600*
129700     IF  MBCA-PTI-FUNCTION-IS-MAINT
129800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
129900         GO TO W119-EPA1-EXIT.
130000*
130100 W118-PRIM-ADDRESS1-ERROR.
130200*
130300     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
130400         MOVE DFHBMUBF           TO MS01-NA-LINE-A (X-MS01-NA)
130500     ELSE
130600         MOVE DFHBMBRY           TO MS01-NA-LINE-A (X-MS01-NA).
130700*
130800     SET SS08WS-ERROR-SW-YES     TO TRUE.
130900     MOVE DFHBMASB               TO MS01-NA-LINE-LP-A (X-MS01-NA)
131000                                    MS01-NA-LINE-RP-A (X-MS01-NA).
131100     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (X-MS01-NA).
131200*
131300 W119-EPA1-EXIT.
131400     EXIT.
131500*
131600 W130-EDIT-PRIM-ADDRESS2.
131700*
131800     SET X-MS01-NA               TO 2.
131900     SET X-MMSM-NA               TO 2.
132000*
132100     MOVE DFHBMDAS               TO MS01-NA-LINE-LP-A (X-MS01-NA)
132200                                    MS01-NA-LINE-RP-A (X-MS01-NA).
132300     MOVE DFHBMASK               TO MS01-NA-LINE-A (X-MS01-NA).
132400*
132500     PERFORM Y135-PRIM-ADDRESS2-SECURITY
132600                                 THRU Y139-EXIT.
132700*
132800     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
132900         MOVE DFHBMASF           TO MS01-NA-LINE-A (X-MS01-NA)
133000         GO TO W139-EPA2-EXIT
133100     ELSE
133200         MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
133300                                 TO MS01-NA-LINE (X-MS01-NA).
133400*
133500     IF  MBCA-PTI-FUNCTION-IS-MAINT
133600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
133700         GO TO W139-EPA2-EXIT.
133800*
133900 W138-PRIM-ADDRESS2-ERROR.
134000*
134100     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
134200         MOVE DFHBMUBF           TO MS01-NA-LINE-A (X-MS01-NA)
134300     ELSE
134400         MOVE DFHBMBRY           TO MS01-NA-LINE-A (X-MS01-NA).
134500*
134600     SET SS08WS-ERROR-SW-YES     TO TRUE.
134700     MOVE DFHBMASB               TO MS01-NA-LINE-LP-A (X-MS01-NA)
134800                                    MS01-NA-LINE-RP-A (X-MS01-NA).
134900     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (X-MS01-NA).
135000*
135100 W139-EPA2-EXIT.
135200     EXIT.
135300*
135400 W150-EDIT-PRIM-ADDRESS3.
135500*
135600     SET X-MS01-NA               TO 3.
135700     SET X-MMSM-NA               TO 3.
135800*
135900     MOVE DFHBMDAS               TO MS01-NA-LINE-LP-A (X-MS01-NA)
136000                                    MS01-NA-LINE-RP-A (X-MS01-NA).
136100     MOVE DFHBMASK               TO MS01-NA-LINE-A (X-MS01-NA).
136200*
136300     PERFORM Y155-PRIM-ADDRESS3-SECURITY
136400                                 THRU Y159-EXIT.
136500*
136600     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
136700         MOVE DFHBMASF           TO MS01-NA-LINE-A (X-MS01-NA)
136800         GO TO W159-EPA3-EXIT
136900     ELSE
137000         MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
137100                                 TO MS01-NA-LINE (X-MS01-NA).
137200*
137300     IF  MBCA-PTI-FUNCTION-IS-MAINT
137400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
137500         GO TO W159-EPA3-EXIT.
137600*
137700 W158-PRIM-ADDRESS3-ERROR.
137800*
137900     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
138000         MOVE DFHBMUBF           TO MS01-NA-LINE-A (X-MS01-NA)
138100     ELSE
138200         MOVE DFHBMBRY           TO MS01-NA-LINE-A (X-MS01-NA).
138300*
138400     SET SS08WS-ERROR-SW-YES     TO TRUE.
138500     MOVE DFHBMASB               TO MS01-NA-LINE-LP-A (X-MS01-NA)
138600                                    MS01-NA-LINE-RP-A (X-MS01-NA).
138700     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (X-MS01-NA).
138800*
138900 W159-EPA3-EXIT.
139000     EXIT.
139100*
139200 W170-EDIT-PRIM-ADDRESS4.
139300*
139400     SET X-MS01-NA               TO 4.
139500     SET X-MMSM-NA               TO 4.
139600*
139700     MOVE DFHBMDAS               TO MS01-NA-LINE-LP-A (X-MS01-NA)
139800                                    MS01-NA-LINE-RP-A (X-MS01-NA).
139900     MOVE DFHBMASK               TO MS01-NA-LINE-A (X-MS01-NA).
140000*
140100     PERFORM Y175-PRIM-ADDRESS4-SECURITY
140200                                 THRU Y179-EXIT.
140300*
140400     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
140500         MOVE DFHBMASF           TO MS01-NA-LINE-A (X-MS01-NA)
140600         GO TO W179-EPA4-EXIT
140700     ELSE
140800         MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
140900                                 TO MS01-NA-LINE (X-MS01-NA).
141000*
141100     IF  MBCA-PTI-FUNCTION-IS-MAINT
141200     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
141300         GO TO W179-EPA4-EXIT.
141400*
141500 W178-PRIM-ADDRESS4-ERROR.
141600*
141700     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
141800         MOVE DFHBMUBF           TO MS01-NA-LINE-A (X-MS01-NA)
141900     ELSE
142000         MOVE DFHBMBRY           TO MS01-NA-LINE-A (X-MS01-NA).
142100*
142200     SET SS08WS-ERROR-SW-YES     TO TRUE.
142300     MOVE DFHBMASB               TO MS01-NA-LINE-LP-A (X-MS01-NA)
142400                                    MS01-NA-LINE-RP-A (X-MS01-NA).
142500     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (X-MS01-NA).
142600*
142700 W179-EPA4-EXIT.
142800     EXIT.
142900*
143000 W190-EDIT-PRIM-ADDRESS5.
143100*
143200     SET X-MS01-NA               TO 5.
143300     SET X-MMSM-NA               TO 5.
143400*
143500     MOVE DFHBMDAS               TO MS01-NA-LINE-LP-A (X-MS01-NA)
143600                                    MS01-NA-LINE-RP-A (X-MS01-NA).
143700     MOVE DFHBMASK               TO MS01-NA-LINE-A (X-MS01-NA).
143800*
143900     PERFORM Y195-PRIM-ADDRESS5-SECURITY
144000                                 THRU Y199-EXIT.
144100*
144200     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
144300         MOVE DFHBMASF           TO MS01-NA-LINE-A (X-MS01-NA)
144400         GO TO W199-EPA5-EXIT
144500     ELSE
144600         MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
144700                                 TO MS01-NA-LINE (X-MS01-NA).
144800*
144900     IF  MBCA-PTI-FUNCTION-IS-MAINT
145000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
145100         GO TO W199-EPA5-EXIT.
145200*
145300 W198-PRIM-ADDRESS5-ERROR.
145400*
145500     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
145600         MOVE DFHBMUBF           TO MS01-NA-LINE-A (X-MS01-NA)
145700     ELSE
145800         MOVE DFHBMBRY           TO MS01-NA-LINE-A (X-MS01-NA).
145900*
146000     SET SS08WS-ERROR-SW-YES     TO TRUE.
146100     MOVE DFHBMASB               TO MS01-NA-LINE-LP-A (X-MS01-NA)
146200                                    MS01-NA-LINE-RP-A (X-MS01-NA).
146300     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (X-MS01-NA).
146400*
146500 W199-EPA5-EXIT.
146600     EXIT.
146700*
146800 W210-EDIT-PRIM-STATE.
146900*
147000     MOVE DFHBMDAS               TO MS01-STATE-CODE-LP-A
147100                                    MS01-STATE-CODE-RP-A.
147200     MOVE DFHBMASK               TO MS01-STATE-CODE-A.
147300*
147400     PERFORM Y215-PRIM-STATE-SECURITY
147500                                 THRU Y219-EXIT.
147600*
147700     IF  MS01-STATE-CODE-L IS GREATER THAN ZERO
147800         MOVE DFHBMASF           TO MS01-STATE-CODE-A
147900         GO TO W219-EPS-EXIT
148000     ELSE
148100         MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
148200                                 TO MS01-STATE-CODE.
148300*
148400     IF  MBCA-PTI-FUNCTION-IS-MAINT
148500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
148600         GO TO W219-EPS-EXIT.
148700*
148800 W218-PRIM-STATE-ERROR.
148900*
149000     IF  MS01-STATE-CODE-L IS GREATER THAN ZERO
149100         MOVE DFHBMUBF           TO MS01-STATE-CODE-A
149200     ELSE
149300         MOVE DFHBMBRY           TO MS01-STATE-CODE-A.
149400*
149500     SET SS08WS-ERROR-SW-YES     TO TRUE.
149600     MOVE DFHBMASB               TO MS01-STATE-CODE-LP-A
149700                                    MS01-STATE-CODE-RP-A.
149800     MOVE SS08WS-CURSOR          TO MS01-STATE-CODE-L.
149900*
150000 W219-EPS-EXIT.
150100     EXIT.
150200*
150300 W230-EDIT-PRIM-PHONE.
150400*
150500     MOVE DFHBMDAS               TO MS01-PHONE-LP-A
150600                                    MS01-PHONE-RP-A.
150700     MOVE DFHBMASK               TO MS01-PHONE-A.
150800*
150900     PERFORM Y235-PRIM-PHONE-SECURITY
151000                                 THRU Y239-EXIT.
151100*
151200     IF  MS01-PHONE-L IS GREATER THAN ZERO
151300         MOVE DFHBMASF           TO MS01-PHONE-A
151400         GO TO W239-EPP-EXIT
151500     ELSE
151600         MOVE MMSM-PHONE (X-MMSM-PRIMARY)
151700                                 TO MS01-PHONE.
151800*
151900     IF  MBCA-PTI-FUNCTION-IS-MAINT
152000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
152100         GO TO W239-EPP-EXIT.
152200*
152300 W238-PRIM-PHONE-ERROR.
152400*
152500     IF  MS01-PHONE-L IS GREATER THAN ZERO
152600         MOVE DFHBMUBF           TO MS01-PHONE-A
152700     ELSE
152800         MOVE DFHBMBRY           TO MS01-PHONE-A.
152900*
153000     SET SS08WS-ERROR-SW-YES     TO TRUE.
153100     MOVE DFHBMASB               TO MS01-PHONE-LP-A
153200                                    MS01-PHONE-RP-A.
153300     MOVE SS08WS-CURSOR          TO MS01-PHONE-L.
153400*
153500 W239-EPP-EXIT.
153600     EXIT.
153700*
153800 W250-EDIT-PRIM-POSTAL-CODE.
153900*
154000     MOVE DFHBMDAS               TO MS01-POSTAL-CODE-LP-A
154100                                    MS01-POSTAL-CODE-RP-A.
154200     MOVE DFHBMASK               TO MS01-POSTAL-CODE-A.
154300*
154400     PERFORM Y255-PRIM-POSTAL-CODE-SECURITY
154500                                 THRU Y259-EXIT.
154600*
154700     IF  MS01-POSTAL-CODE-L IS GREATER THAN ZERO
154800         MOVE DFHBMASF           TO MS01-POSTAL-CODE-A
154900         GO TO W259-EPPC-EXIT
155000     ELSE
155100         MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
155200                                 TO MS01-POSTAL-CODE.
155300*
155400     IF  MBCA-PTI-FUNCTION-IS-MAINT
155500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
155600         GO TO W259-EPPC-EXIT.
155700*
155800 W258-PRIM-POSTAL-CODE-ERROR.
155900*
156000     IF  MS01-POSTAL-CODE-L IS GREATER THAN ZERO
156100         MOVE DFHBMUBF           TO MS01-POSTAL-CODE-A
156200     ELSE
156300         MOVE DFHBMBRY           TO MS01-POSTAL-CODE-A.
156400*
156500     SET SS08WS-ERROR-SW-YES     TO TRUE.
156600     MOVE DFHBMASB               TO MS01-POSTAL-CODE-LP-A
156700                                    MS01-POSTAL-CODE-RP-A.
156800     MOVE SS08WS-CURSOR          TO MS01-POSTAL-CODE-L.
156900*
157000 W259-EPPC-EXIT.
157100     EXIT.
157200*
157300 W270-EDIT-PRIM-FAX.
157400*
157500     MOVE DFHBMDAS               TO MS01-FAX-LP-A
157600                                    MS01-FAX-RP-A.
157700     MOVE DFHBMASK               TO MS01-FAX-A.
157800*
157900     PERFORM Y275-PRIM-FAX-SECURITY
158000                                 THRU Y279-EXIT.
158100*
158200     IF  MS01-FAX-L IS GREATER THAN ZERO
158300         MOVE DFHBMASF           TO MS01-FAX-A
158400         GO TO W279-EPF-EXIT
158500     ELSE
158600         MOVE MMSM-FAX (X-MMSM-PRIMARY)
158700                                 TO MS01-FAX.
158800*
158900     IF  MBCA-PTI-FUNCTION-IS-MAINT
159000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
159100         GO TO W279-EPF-EXIT.
159200*
159300 W278-PRIM-FAX-ERROR.
159400*
159500     IF  MS01-FAX-L IS GREATER THAN ZERO
159600         MOVE DFHBMUBF           TO MS01-FAX-A
159700     ELSE
159800         MOVE DFHBMBRY           TO MS01-FAX-A.
159900*
160000     SET SS08WS-ERROR-SW-YES     TO TRUE.
160100     MOVE DFHBMASB               TO MS01-FAX-LP-A
160200                                    MS01-FAX-RP-A.
160300     MOVE SS08WS-CURSOR          TO MS01-FAX-L.
160400*
160500 W279-EPF-EXIT.
160600     EXIT.
160700*
160800 W300-CROSS-EDIT-CRB.
160900*
161000     IF  MMSM-SAC-USE-PRIMARY
161100     AND (MS01-NA-LINE-L (1) IS GREATER THAN ZERO
161200      OR  MS01-NA-LINE-L (2) IS GREATER THAN ZERO
161300      OR  MS01-NA-LINE-L (3) IS GREATER THAN ZERO
161400      OR  MS01-NA-LINE-L (4) IS GREATER THAN ZERO
161500      OR  MS01-NA-LINE-L (5) IS GREATER THAN ZERO)
161600         NEXT SENTENCE
161700     ELSE
161800         GO TO W309-EXIT.
161900*
162000     IF  MMSM-NBR-BULLETINS IS GREATER THAN ZEROS
162100     OR  MMSM-VI-FLOOR-LIMIT IS GREATER THAN ZEROS
162200     OR  MMSM-MC-FLOOR-LIMIT IS GREATER THAN ZEROS
162300         SET WS-UPDATE-SW-YES    TO TRUE
162400         SET MMSM-CRB-MAINT-STORE
162500                                 TO TRUE.
162600*
162700 W309-EXIT.
162800     EXIT.
162900/
163000 X000-UPDATE-FIELDS SECTION.
163100*
163200 X010-UPDATE-COUNTRY-CODE.
163300*
163400     IF  MS01-COUNTRY-CODE-L IS GREATER THAN ZERO
163500         IF  MS01-COUNTRY-CODE IS NOT EQUAL
163600                                 TO MMSM-COUNTRY-CODE
163700                                    (X-MMSM-PRIMARY)
163800             SET WS-UPDATE-SW-YES
163900                                 TO TRUE
164000             IF  MBCA-PTI-FUNCTION-IS-MAINT
164100                 MOVE MMSMTB-COUNTRY-CODE (1:4)
164200                                 TO WS-INDEX-X
164300                 SET X-MMFS-STORE
164400                                 TO WS-INDEX
164500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
164600                                 TO MML1-MMSM-AUDIT-CODE
164700                 MOVE 0101       TO MML1-FIELD-CODE
164800                 MOVE 1          TO MML1-FIELD-OCCURRENCE
164900                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
165000                 MOVE MML1WS-VL-03
165100                                 TO MML1-VARIABLE-LENGTH
165200                 MOVE MMSM-COUNTRY-CODE (X-MMSM-PRIMARY)
165300                                 TO MML1-VL03-B-DATA-X
165400                 MOVE MS01-COUNTRY-CODE
165500                                 TO MMSM-COUNTRY-CODE
165600                                    (X-MMSM-PRIMARY)
165700                 MOVE MMSM-COUNTRY-CODE (X-MMSM-PRIMARY)
165800                                 TO MML1-VL03-A-DATA-X
165900                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
166000                 PERFORM Y910-WRITE-LOG-RECORD
166100                                 THRU Y919-WLR-EXIT
166200             ELSE
166300                 MOVE MS01-COUNTRY-CODE
166400                                 TO MMSM-COUNTRY-CODE
166500                                    (X-MMSM-PRIMARY).
166600*
166700 X019-UCC-EXIT.
166800     EXIT.
166900*
167000 X030-UPDATE-DBA-NAME.
167100*
167200     IF  MS01-DBA-NAME-L IS GREATER THAN ZERO
167300         IF  MS01-DBA-NAME IS NOT EQUAL TO MMSM-DBA-NAME
167400             SET WS-UPDATE-SW-YES
167500                                 TO TRUE
167600             IF  MBCA-PTI-FUNCTION-IS-MAINT
167700                 MOVE MMSMTB-DBA-NAME (1:4)
167800                                 TO WS-INDEX-X
167900                 SET X-MMFS-STORE
168000                                 TO WS-INDEX
168100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
168200                                 TO MML1-MMSM-AUDIT-CODE
168300                 MOVE 0102       TO MML1-FIELD-CODE
168400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
168500                                    MML1-FIELD-OCCURRENCE-2
168600                 MOVE MML1WS-VL-30
168700                                 TO MML1-VARIABLE-LENGTH
168800                 MOVE MMSM-DBA-NAME
168900                                 TO MML1-VL30-B-DATA-X
169000                 MOVE MS01-DBA-NAME
169100                                 TO MMSM-DBA-NAME
169200                 MOVE MMSM-DBA-NAME
169300                                 TO MML1-VL30-A-DATA-X
169400                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
169500                 PERFORM Y910-WRITE-LOG-RECORD
169600                                 THRU Y919-WLR-EXIT
169700             ELSE
169800                 MOVE MS01-DBA-NAME
169900                                 TO MMSM-DBA-NAME.
170000*
170100 X039-UDN-EXIT.
170200     EXIT.
170300*
170400 X040-UPDATE-POS-IMP.
170500*
170600     IF  MMSM-REC-MODEL
170700         GO TO X049-UPI-EXIT.
170800*
170900     IF  MBCA-PTI-FUNCTION-IS-MAINT
171000       IF  MS01-MERCHANT-ID-L IS GREATER THAN ZERO
171100       AND MS01-MERCHANT-ID IS NOT EQUAL TO
171200                                  MMSM-MERCHANT-ID
171300         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
171400         MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
171500                                    MML1-MMMM-MERCHANT
171600         MOVE 'FC17'             TO MBCA-PROGRAM-LOCATION
171700         SET MBIORO-READ-RANDOM-UPDATE
171800                                 TO TRUE
171900         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
172000*
172100         MOVE 9010               TO MML1-FIELD-CODE
172200         MOVE 1                  TO MML1-FIELD-OCCURRENCE
172300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
172400         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
172500         MOVE MMMM-POS-DEV-NBR (1)
172600                                 TO MML1-VL05-B-DATA-9
172700         SUBTRACT MMSM-POS-DEV-NBR (1)
172800                                 FROM MMMM-POS-DEV-NBR (1)
172900         MOVE MMMM-POS-DEV-NBR (1)
173000                                 TO MML1-VL05-A-DATA-9
173100         MOVE 'FC18'             TO MBCA-PROGRAM-LOCATION
173200         PERFORM Y950-WRITE-MERCH-LOG-RECORD
173300                                 THRU Y959-WMLR-EXIT
173400*
173500         MOVE 9010               TO MML1-FIELD-CODE
173600         MOVE 2                  TO MML1-FIELD-OCCURRENCE
173700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
173800         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
173900         MOVE MMMM-POS-DEV-NBR (2)
174000                                 TO MML1-VL05-B-DATA-9
174100         SUBTRACT MMSM-POS-DEV-NBR (2)
174200                                 FROM MMMM-POS-DEV-NBR (2)
174300         MOVE MMMM-POS-DEV-NBR (2)
174400                                 TO MML1-VL05-A-DATA-9
174500         MOVE 'FC19'             TO MBCA-PROGRAM-LOCATION
174600         PERFORM Y950-WRITE-MERCH-LOG-RECORD
174700                                 THRU Y959-WMLR-EXIT
174800*
174900         MOVE 9010               TO MML1-FIELD-CODE
175000         MOVE 3                  TO MML1-FIELD-OCCURRENCE
175100         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
175200         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
175300         MOVE MMMM-POS-DEV-NBR (3)
175400                                 TO MML1-VL05-B-DATA-9
175500         SUBTRACT MMSM-POS-DEV-NBR (3)
175600                                 FROM MMMM-POS-DEV-NBR (3)
175700         MOVE MMMM-POS-DEV-NBR (3)
175800                                 TO MML1-VL05-A-DATA-9
175900         MOVE 'FC20'             TO MBCA-PROGRAM-LOCATION
176000         PERFORM Y950-WRITE-MERCH-LOG-RECORD
176100                                 THRU Y959-WMLR-EXIT
176200*
176300         MOVE 9011               TO MML1-FIELD-CODE
176400         MOVE 1                  TO MML1-FIELD-OCCURRENCE
176500         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
176600         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
176700         MOVE MMMM-IMP-DEV-NBR (1)
176800                                 TO MML1-VL05-B-DATA-9
176900         SUBTRACT MMSM-IMP-DEV-NBR (1)
177000                                 FROM MMMM-IMP-DEV-NBR (1)
177100         MOVE MMMM-IMP-DEV-NBR (1)
177200                                 TO MML1-VL05-A-DATA-9
177300         MOVE 'FC21'             TO MBCA-PROGRAM-LOCATION
177400         PERFORM Y950-WRITE-MERCH-LOG-RECORD
177500                                 THRU Y959-WMLR-EXIT
177600*
177700         MOVE 9011               TO MML1-FIELD-CODE
177800         MOVE 2                  TO MML1-FIELD-OCCURRENCE
177900         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
178000         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
178100         MOVE MMMM-IMP-DEV-NBR (2)
178200                                 TO MML1-VL05-B-DATA-9
178300         SUBTRACT MMSM-IMP-DEV-NBR (2)
178400                                 FROM MMMM-IMP-DEV-NBR (2)
178500         MOVE MMMM-IMP-DEV-NBR (2)
178600                                 TO MML1-VL05-A-DATA-9
178700         MOVE 'FC22'             TO MBCA-PROGRAM-LOCATION
178800         PERFORM Y950-WRITE-MERCH-LOG-RECORD
178900                                 THRU Y959-WMLR-EXIT
179000*
179100         MOVE 9011               TO MML1-FIELD-CODE
179200         MOVE 3                  TO MML1-FIELD-OCCURRENCE
179300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
179400         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
179500         MOVE MMMM-IMP-DEV-NBR (3)
179600                                 TO MML1-VL05-B-DATA-9
179700         SUBTRACT MMSM-IMP-DEV-NBR (3)
179800                                 FROM MMMM-IMP-DEV-NBR (3)
179900         MOVE MMMM-IMP-DEV-NBR (3)
180000                                 TO MML1-VL05-A-DATA-9
180100         MOVE 'FC23'             TO MBCA-PROGRAM-LOCATION
180200         PERFORM Y950-WRITE-MERCH-LOG-RECORD
180300                                 THRU Y959-WMLR-EXIT
180400*
180500         MOVE 9012               TO MML1-FIELD-CODE
180600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
180700                                    MML1-FIELD-OCCURRENCE-2
180800         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
180900         MOVE MMMM-NBR-STORES    TO MML1-VL10-B-DATA-9
181000         SUBTRACT 1              FROM MMMM-NBR-STORES
181100         MOVE MMMM-NBR-STORES    TO MML1-VL10-A-DATA-9
181200         MOVE 'FC24'             TO MBCA-PROGRAM-LOCATION
181300         PERFORM Y950-WRITE-MERCH-LOG-RECORD
181400                                 THRU Y959-WMLR-EXIT
181500*
181600         MOVE 0909               TO MML1-FIELD-CODE
181700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
181800                                    MML1-FIELD-OCCURRENCE-2
181900         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
182000         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-B-DATA-9
182100         SUBTRACT MMSM-NBR-BULLETINS
182200                                 FROM MMMM-NBR-BULLETINS
182300         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-A-DATA-9
182400         MOVE 'FC25'             TO MBCA-PROGRAM-LOCATION
182500         PERFORM Y950-WRITE-MERCH-LOG-RECORD
182600                                 THRU Y959-WMLR-EXIT
182700*
182800*
182900         MOVE 'FC26'             TO MBCA-PROGRAM-LOCATION
183000         SET MBIORO-REWRITE      TO TRUE
183100         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
183200**********************************************************
183300         MOVE MS01-MERCHANT-ID   TO MML1-MMMM-MERCHANT
183400*
183500         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMMM-ORG
183600         MOVE MS01-MERCHANT-ID   TO MBIOWS-MMMM-MERCHANT
183700         MOVE 'FC27'             TO MBCA-PROGRAM-LOCATION
183800         SET MBIORO-READ-RANDOM-UPDATE
183900                                 TO TRUE
184000         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT
184100*
184200         MOVE 9010               TO MML1-FIELD-CODE
184300         MOVE 1                  TO MML1-FIELD-OCCURRENCE
184400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
184500         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
184600         MOVE MMMM-POS-DEV-NBR (1)
184700                                 TO MML1-VL05-B-DATA-9
184800         ADD MMSM-POS-DEV-NBR (1)
184900                                 TO MMMM-POS-DEV-NBR (1)
185000         MOVE MMMM-POS-DEV-NBR (1)
185100                                 TO MML1-VL05-A-DATA-9
185200         MOVE 'FC28'             TO MBCA-PROGRAM-LOCATION
185300         PERFORM Y950-WRITE-MERCH-LOG-RECORD
185400                                 THRU Y959-WMLR-EXIT
185500*
185600         MOVE 9010               TO MML1-FIELD-CODE
185700         MOVE 2                  TO MML1-FIELD-OCCURRENCE
185800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
185900         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
186000         MOVE MMMM-POS-DEV-NBR (2)
186100                                 TO MML1-VL05-B-DATA-9
186200         ADD MMSM-POS-DEV-NBR (2)
186300                                 TO MMMM-POS-DEV-NBR (2)
186400         MOVE MMMM-POS-DEV-NBR (2)
186500                                 TO MML1-VL05-A-DATA-9
186600         MOVE 'FC29'             TO MBCA-PROGRAM-LOCATION
186700         PERFORM Y950-WRITE-MERCH-LOG-RECORD
186800                                 THRU Y959-WMLR-EXIT
186900*
187000         MOVE 9010               TO MML1-FIELD-CODE
187100         MOVE 3                  TO MML1-FIELD-OCCURRENCE
187200         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
187300         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
187400         MOVE MMMM-POS-DEV-NBR (3)
187500                                 TO MML1-VL05-B-DATA-9
187600         ADD MMSM-POS-DEV-NBR (3)
187700                                 TO MMMM-POS-DEV-NBR (3)
187800         MOVE MMMM-POS-DEV-NBR (3)
187900                                 TO MML1-VL05-A-DATA-9
188000         MOVE 'FC30'             TO MBCA-PROGRAM-LOCATION
188100         PERFORM Y950-WRITE-MERCH-LOG-RECORD
188200                                 THRU Y959-WMLR-EXIT
188300*
188400         MOVE 9011               TO MML1-FIELD-CODE
188500         MOVE 1                  TO MML1-FIELD-OCCURRENCE
188600         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
188700         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
188800         MOVE MMMM-IMP-DEV-NBR (1)
188900                                 TO MML1-VL05-B-DATA-9
189000         ADD MMSM-IMP-DEV-NBR (1)
189100                                 TO MMMM-IMP-DEV-NBR (1)
189200         MOVE MMMM-IMP-DEV-NBR (1)
189300                                 TO MML1-VL05-A-DATA-9
189400         MOVE 'FC31'             TO MBCA-PROGRAM-LOCATION
189500         PERFORM Y950-WRITE-MERCH-LOG-RECORD
189600                                 THRU Y959-WMLR-EXIT
189700*
189800         MOVE 9011               TO MML1-FIELD-CODE
189900         MOVE 2                  TO MML1-FIELD-OCCURRENCE
190000         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
190100         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
190200         MOVE MMMM-IMP-DEV-NBR (2)
190300                                 TO MML1-VL05-B-DATA-9
190400         ADD MMSM-IMP-DEV-NBR (2)
190500                                 TO MMMM-IMP-DEV-NBR (2)
190600         MOVE MMMM-IMP-DEV-NBR (2)
190700                                 TO MML1-VL05-A-DATA-9
190800         MOVE 'FC32'             TO MBCA-PROGRAM-LOCATION
190900         PERFORM Y950-WRITE-MERCH-LOG-RECORD
191000                                 THRU Y959-WMLR-EXIT
191100*
191200         MOVE 9011               TO MML1-FIELD-CODE
191300         MOVE 3                  TO MML1-FIELD-OCCURRENCE
191400         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE-2
191500         MOVE MML1WS-VL-05       TO MML1-VARIABLE-LENGTH
191600         MOVE MMMM-IMP-DEV-NBR (3)
191700                                 TO MML1-VL05-B-DATA-9
191800         ADD MMSM-IMP-DEV-NBR (3)
191900                                 TO MMMM-IMP-DEV-NBR (3)
192000         MOVE MMMM-IMP-DEV-NBR (3)
192100                                 TO MML1-VL05-A-DATA-9
192200         MOVE 'FC33'             TO MBCA-PROGRAM-LOCATION
192300         PERFORM Y950-WRITE-MERCH-LOG-RECORD
192400                                 THRU Y959-WMLR-EXIT
192500*
192600         MOVE 9012               TO MML1-FIELD-CODE
192700         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
192800                                    MML1-FIELD-OCCURRENCE-2
192900         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
193000         MOVE MMMM-NBR-STORES    TO MML1-VL10-B-DATA-9
193100         ADD 1                   TO MMMM-NBR-STORES
193200         MOVE MMMM-NBR-STORES    TO MML1-VL10-A-DATA-9
193300         MOVE 'FC34'             TO MBCA-PROGRAM-LOCATION
193400         PERFORM Y950-WRITE-MERCH-LOG-RECORD
193500                                 THRU Y959-WMLR-EXIT
193600*
193700         MOVE 0909               TO MML1-FIELD-CODE
193800         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
193900                                    MML1-FIELD-OCCURRENCE-2
194000         MOVE MML1WS-VL-10       TO MML1-VARIABLE-LENGTH
194100         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-B-DATA-9
194200         ADD MMSM-NBR-BULLETINS  TO MMMM-NBR-BULLETINS
194300         MOVE MMMM-NBR-BULLETINS TO MML1-VL10-A-DATA-9
194400         MOVE 'FC35'             TO MBCA-PROGRAM-LOCATION
194500         PERFORM Y950-WRITE-MERCH-LOG-RECORD
194600                                 THRU Y959-WMLR-EXIT
194700*
194800         MOVE 'FC36'             TO MBCA-PROGRAM-LOCATION
194900         SET MBIORO-REWRITE      TO TRUE
195000         PERFORM MMMMAO-ACCESS   THRU MMMMAO-ACCESS-EXIT.
195100*
195200 X049-UPI-EXIT.
195300     EXIT.
195400*
195500 X050-UPDATE-MERCHANT-ID.
195600*
195700     IF  MS01-MERCHANT-ID-L IS GREATER THAN ZERO
195800         IF  MS01-MERCHANT-ID IS NOT EQUAL TO
195900                                    MMSM-MERCHANT-ID
196000             SET WS-UPDATE-SW-YES
196100                                 TO TRUE
196200             IF  MBCA-PTI-FUNCTION-IS-MAINT
196300                 PERFORM 9100-MMXR-LOGIC
196400                    THRU 9199-ML-EXIT
196500                 SET WS-PRIMARY-UPDATE-YES
196600                                 TO TRUE
196700                 MOVE MMSMTB-MERCHANT-ID (1:4)
196800                                 TO WS-INDEX-X
196900                 SET X-MMFS-STORE
197000                                 TO WS-INDEX
197100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
197200                                 TO MML1-MMSM-AUDIT-CODE
197300                 MOVE 0103       TO MML1-FIELD-CODE
197400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
197500                                    MML1-FIELD-OCCURRENCE-2
197600                 MOVE MML1WS-VL-10
197700                                 TO MML1-VARIABLE-LENGTH
197800                 MOVE MMSM-MERCHANT-ID
197900                                 TO MML1-VL10-B-DATA-9
198000                 MOVE MS01-MERCHANT-ID
198100                                 TO MMSM-MERCHANT-ID
198200                 MOVE MMSM-MERCHANT-ID
198300                                 TO MML1-VL10-A-DATA-9
198400                 MOVE 'FC37'     TO MBCA-PROGRAM-LOCATION
198500                 PERFORM Y910-WRITE-LOG-RECORD
198600                                 THRU Y919-WLR-EXIT
198700             ELSE
198800                 MOVE MS01-MERCHANT-ID
198900                                 TO MMSM-MERCHANT-ID.
199000*
199100 X059-UMI-EXIT.
199200     EXIT.
199300*
199400 X070-UPDATE-DBA-CITY.
199500*
199600     IF  MS01-DBA-CITY-L IS GREATER THAN ZERO
199700         IF  MS01-DBA-CITY IS NOT EQUAL TO MMSM-DBA-CITY
199800             SET WS-UPDATE-SW-YES
199900                                 TO TRUE
200000             IF  MBCA-PTI-FUNCTION-IS-MAINT
200100                 MOVE MMSMTB-DBA-CITY (1:4)
200200                                 TO WS-INDEX-X
200300                 SET X-MMFS-STORE
200400                                 TO WS-INDEX
200500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
200600                                 TO MML1-MMSM-AUDIT-CODE
200700                 MOVE 0104       TO MML1-FIELD-CODE
200800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
200900                                    MML1-FIELD-OCCURRENCE-2
201000                 MOVE MML1WS-VL-30
201100                                 TO MML1-VARIABLE-LENGTH
201200                 MOVE MMSM-DBA-CITY
201300                                 TO MML1-VL30-B-DATA-X
201400                 MOVE MS01-DBA-CITY
201500                                 TO MMSM-DBA-CITY
201600                 MOVE MMSM-DBA-CITY
201700                                 TO MML1-VL30-A-DATA-X
201800                 MOVE 'FC38'     TO MBCA-PROGRAM-LOCATION
201900                 PERFORM Y910-WRITE-LOG-RECORD
202000                                 THRU Y919-WLR-EXIT
202100             ELSE
202200                 MOVE MS01-DBA-CITY
202300                                 TO MMSM-DBA-CITY.
202400*
202500 X079-UDC-EXIT.
202600     EXIT.
202700*
202800 X090-UPDATE-DBA-COUNTRY-CODE.
202900*
203000     IF  MS01-DBA-STATE-L IS GREATER THAN ZERO
203100         IF  MS01-DBA-STATE IS NOT EQUAL TO MMSM-DBA-COUNTRY-CODE
203200             SET WS-UPDATE-SW-YES
203300                                 TO TRUE
203400             IF  MBCA-PTI-FUNCTION-IS-MAINT
203500                 MOVE MMSMTB-DBA-COUNTRY-CODE (1:4)
203600                                 TO WS-INDEX-X
203700                 SET X-MMFS-STORE
203800                                 TO WS-INDEX
203900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
204000                                 TO MML1-MMSM-AUDIT-CODE
204100                 MOVE 0105       TO MML1-FIELD-CODE
204200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE
204300                                    MML1-FIELD-OCCURRENCE-2
204400                 MOVE MML1WS-VL-03
204500                                 TO MML1-VARIABLE-LENGTH
204600                 MOVE MMSM-DBA-COUNTRY-CODE
204700                                 TO MML1-VL03-B-DATA-X
204800                 MOVE MS01-DBA-STATE
204900                                 TO MMSM-DBA-COUNTRY-CODE
205000                 MOVE MMSM-DBA-COUNTRY-CODE
205100                                 TO MML1-VL03-A-DATA-X
205200                 MOVE 'FC39'     TO MBCA-PROGRAM-LOCATION
205300                 PERFORM Y910-WRITE-LOG-RECORD
205400                                 THRU Y919-WLR-EXIT
205500             ELSE
205600                 MOVE MS01-DBA-STATE
205700                                 TO MMSM-DBA-COUNTRY-CODE.
205800*
205900 X099-UDCC-EXIT.
206000     EXIT.
206100*
206200 X110-UPDATE-PRIM-ADDRESS1.
206300*
206400     SET X-MMSM-NA               TO 1.
206500     SET X-MS01-NA               TO 1.
206600*
206700     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
206800         IF  MS01-NA-LINE (X-MS01-NA) IS NOT EQUAL TO MMSM-NA-LINE
206900                                      (X-MMSM-PRIMARY X-MMSM-NA)
207000             SET WS-UPDATE-SW-YES
207100                                 TO TRUE
207200             IF  MBCA-PTI-FUNCTION-IS-MAINT
207300                 SET WS-PRIMARY-UPDATE-YES
207400                                 TO TRUE
207500                 MOVE MMSMTB-PRIM-ADDR1 (1:4)
207600                                 TO WS-INDEX-X
207700                 SET X-MMFS-STORE
207800                                 TO WS-INDEX
207900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
208000                                 TO MML1-MMSM-AUDIT-CODE
208100                 MOVE 0106       TO MML1-FIELD-CODE
208200                 MOVE 1          TO MML1-FIELD-OCCURRENCE
208300                                    MML1-FIELD-OCCURRENCE-2
208400                 MOVE MML1WS-VL-40
208500                                 TO MML1-VARIABLE-LENGTH
208600                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
208700                                 TO MML1-VL40-B-DATA-X
208800                 MOVE MS01-NA-LINE (X-MS01-NA)
208900                                 TO MMSM-NA-LINE
209000                                    (X-MMSM-PRIMARY X-MMSM-NA)
209100                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
209200                                 TO MML1-VL40-A-DATA-X
209300                 MOVE 'FC40'     TO MBCA-PROGRAM-LOCATION
209400                 PERFORM Y910-WRITE-LOG-RECORD
209500                                 THRU Y919-WLR-EXIT
209600             ELSE
209700                 MOVE MS01-NA-LINE (X-MS01-NA)
209800                                 TO MMSM-NA-LINE
209900                                    (X-MMSM-PRIMARY X-MMSM-NA).
210000*
210100 X119-UPA1-EXIT.
210200     EXIT.
210300*
210400 X130-UPDATE-PRIM-ADDRESS2.
210500*
210600     SET X-MMSM-NA               TO 2.
210700     SET X-MS01-NA               TO 2.
210800*
210900     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
211000         IF  MS01-NA-LINE (X-MS01-NA) IS NOT EQUAL TO MMSM-NA-LINE
211100                                      (X-MMSM-PRIMARY X-MMSM-NA)
211200             SET WS-UPDATE-SW-YES
211300                                 TO TRUE
211400             IF  MBCA-PTI-FUNCTION-IS-MAINT
211500                 SET WS-PRIMARY-UPDATE-YES
211600                                 TO TRUE
211700                 MOVE MMSMTB-PRIM-ADDR2 (1:4)
211800                                 TO WS-INDEX-X
211900                 SET X-MMFS-STORE
212000                                 TO WS-INDEX
212100                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
212200                                 TO MML1-MMSM-AUDIT-CODE
212300                 MOVE 0106       TO MML1-FIELD-CODE
212400                 MOVE 1          TO MML1-FIELD-OCCURRENCE
212500                 MOVE 2          TO MML1-FIELD-OCCURRENCE-2
212600                 MOVE MML1WS-VL-40
212700                                 TO MML1-VARIABLE-LENGTH
212800                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
212900                                 TO MML1-VL40-B-DATA-X
213000                 MOVE MS01-NA-LINE (X-MS01-NA)
213100                                 TO MMSM-NA-LINE
213200                                    (X-MMSM-PRIMARY X-MMSM-NA)
213300                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
213400                                 TO MML1-VL40-A-DATA-X
213500                 MOVE 'FC41'     TO MBCA-PROGRAM-LOCATION
213600                 PERFORM Y910-WRITE-LOG-RECORD
213700                                 THRU Y919-WLR-EXIT
213800             ELSE
213900                 MOVE MS01-NA-LINE (X-MS01-NA)
214000                                 TO MMSM-NA-LINE
214100                                    (X-MMSM-PRIMARY X-MMSM-NA).
214200*
214300 X139-UPA2-EXIT.
214400     EXIT.
214500*
214600 X150-UPDATE-PRIM-ADDRESS3.
214700*
214800     SET X-MMSM-NA               TO 3.
214900     SET X-MS01-NA               TO 3.
215000*
215100     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
215200         IF  MS01-NA-LINE (X-MS01-NA) IS NOT EQUAL TO MMSM-NA-LINE
215300                                      (X-MMSM-PRIMARY X-MMSM-NA)
215400             SET WS-UPDATE-SW-YES
215500                                 TO TRUE
215600             IF  MBCA-PTI-FUNCTION-IS-MAINT
215700                 SET WS-PRIMARY-UPDATE-YES
215800                                 TO TRUE
215900                 MOVE MMSMTB-PRIM-ADDR3 (1:4)
216000                                 TO WS-INDEX-X
216100                 SET X-MMFS-STORE
216200                                 TO WS-INDEX
216300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
216400                                 TO MML1-MMSM-AUDIT-CODE
216500                 MOVE 0106       TO MML1-FIELD-CODE
216600                 MOVE 1          TO MML1-FIELD-OCCURRENCE
216700                 MOVE 3          TO MML1-FIELD-OCCURRENCE-2
216800                 MOVE MML1WS-VL-40
216900                                 TO MML1-VARIABLE-LENGTH
217000                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
217100                                 TO MML1-VL40-B-DATA-X
217200                 MOVE MS01-NA-LINE (X-MS01-NA)
217300                                 TO MMSM-NA-LINE
217400                                    (X-MMSM-PRIMARY X-MMSM-NA)
217500                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
217600                                 TO MML1-VL40-A-DATA-X
217700                 MOVE 'FC42'     TO MBCA-PROGRAM-LOCATION
217800                 PERFORM Y910-WRITE-LOG-RECORD
217900                                 THRU Y919-WLR-EXIT
218000             ELSE
218100                 MOVE MS01-NA-LINE (X-MS01-NA)
218200                                 TO MMSM-NA-LINE
218300                                    (X-MMSM-PRIMARY X-MMSM-NA).
218400*
218500 X159-UPA3-EXIT.
218600     EXIT.
218700*
218800 X170-UPDATE-PRIM-ADDRESS4.
218900*
219000     SET X-MMSM-NA               TO 4.
219100     SET X-MS01-NA               TO 4.
219200*
219300     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
219400         IF  MS01-NA-LINE (X-MS01-NA) IS NOT EQUAL TO MMSM-NA-LINE
219500                                      (X-MMSM-PRIMARY X-MMSM-NA)
219600             SET WS-UPDATE-SW-YES
219700                                 TO TRUE
219800             IF  MBCA-PTI-FUNCTION-IS-MAINT
219900                 SET WS-PRIMARY-UPDATE-YES
220000                                 TO TRUE
220100                 MOVE MMSMTB-PRIM-ADDR4 (1:4)
220200                                 TO WS-INDEX-X
220300                 SET X-MMFS-STORE
220400                                 TO WS-INDEX
220500                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
220600                                 TO MML1-MMSM-AUDIT-CODE
220700                 MOVE 0106       TO MML1-FIELD-CODE
220800                 MOVE 1          TO MML1-FIELD-OCCURRENCE
220900                 MOVE 4          TO MML1-FIELD-OCCURRENCE-2
221000                 MOVE MML1WS-VL-40
221100                                 TO MML1-VARIABLE-LENGTH
221200                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
221300                                 TO MML1-VL40-B-DATA-X
221400                 MOVE MS01-NA-LINE (X-MS01-NA)
221500                                 TO MMSM-NA-LINE
221600                                    (X-MMSM-PRIMARY X-MMSM-NA)
221700                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
221800                                 TO MML1-VL40-A-DATA-X
221900                 MOVE 'FC43'     TO MBCA-PROGRAM-LOCATION
222000                 PERFORM Y910-WRITE-LOG-RECORD
222100                                 THRU Y919-WLR-EXIT
222200             ELSE
222300                 MOVE MS01-NA-LINE (X-MS01-NA)
222400                                 TO MMSM-NA-LINE
222500                                    (X-MMSM-PRIMARY X-MMSM-NA).
222600*
222700 X179-UPA4-EXIT.
222800     EXIT.
222900*
223000 X190-UPDATE-PRIM-ADDRESS5.
223100*
223200     SET X-MMSM-NA               TO 5.
223300     SET X-MS01-NA               TO 5.
223400*
223500     IF  MS01-NA-LINE-L (X-MS01-NA) IS GREATER THAN ZERO
223600         IF  MS01-NA-LINE (X-MS01-NA) IS NOT EQUAL TO MMSM-NA-LINE
223700                                      (X-MMSM-PRIMARY X-MMSM-NA)
223800             SET WS-UPDATE-SW-YES
223900                                 TO TRUE
224000             IF  MBCA-PTI-FUNCTION-IS-MAINT
224100                 SET WS-PRIMARY-UPDATE-YES
224200                                 TO TRUE
224300                 MOVE MMSMTB-PRIM-ADDR5 (1:4)
224400                                 TO WS-INDEX-X
224500                 SET X-MMFS-STORE
224600                                 TO WS-INDEX
224700                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
224800                                 TO MML1-MMSM-AUDIT-CODE
224900                 MOVE 0106       TO MML1-FIELD-CODE
225000                 MOVE 1          TO MML1-FIELD-OCCURRENCE
225100                 MOVE 5          TO MML1-FIELD-OCCURRENCE-2
225200                 MOVE MML1WS-VL-40
225300                                 TO MML1-VARIABLE-LENGTH
225400                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
225500                                 TO MML1-VL40-B-DATA-X
225600                 MOVE MS01-NA-LINE (X-MS01-NA)
225700                                 TO MMSM-NA-LINE
225800                                    (X-MMSM-PRIMARY X-MMSM-NA)
225900                 MOVE MMSM-NA-LINE  (X-MMSM-PRIMARY X-MMSM-NA)
226000                                 TO MML1-VL40-A-DATA-X
226100                 MOVE 'FC44'     TO MBCA-PROGRAM-LOCATION
226200                 PERFORM Y910-WRITE-LOG-RECORD
226300                                 THRU Y919-WLR-EXIT
226400             ELSE
226500                 MOVE MS01-NA-LINE (X-MS01-NA)
226600                                 TO MMSM-NA-LINE
226700                                    (X-MMSM-PRIMARY X-MMSM-NA).
226800*
226900 X199-UPA5-EXIT.
227000     EXIT.
227100*
227200 X210-UPDATE-PRIM-STATE.
227300*
227400     IF  MS01-STATE-CODE-L IS GREATER THAN ZERO
227500         IF  MS01-STATE-CODE IS NOT EQUAL TO MMSM-STATE-CODE
227600                                       (X-MMSM-PRIMARY)
227700             SET WS-UPDATE-SW-YES
227800                                 TO TRUE
227900             IF  MBCA-PTI-FUNCTION-IS-MAINT
228000                 SET WS-PRIMARY-UPDATE-YES
228100                                 TO TRUE
228200                 MOVE MMSMTB-PRIM-STATE (1:4)
228300                                 TO WS-INDEX-X
228400                 SET X-MMFS-STORE
228500                                 TO WS-INDEX
228600                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
228700                                 TO MML1-MMSM-AUDIT-CODE
228800                 MOVE 0107       TO MML1-FIELD-CODE
228900                 MOVE 1          TO MML1-FIELD-OCCURRENCE
229000                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
229100                 MOVE MML1WS-VL-03
229200                                 TO MML1-VARIABLE-LENGTH
229300                 MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
229400                                 TO MML1-VL03-B-DATA-X
229500                 MOVE MS01-STATE-CODE
229600                                 TO MMSM-STATE-CODE
229700                                    (X-MMSM-PRIMARY)
229800                 MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
229900                                 TO MML1-VL03-A-DATA-X
230000                 MOVE 'FC45'     TO MBCA-PROGRAM-LOCATION
230100                 PERFORM Y910-WRITE-LOG-RECORD
230200                                 THRU Y919-WLR-EXIT
230300             ELSE
230400                 MOVE MS01-STATE-CODE
230500                                 TO MMSM-STATE-CODE
230600                                    (X-MMSM-PRIMARY).
230700*
230800 X219-UPS-EXIT.
230900     EXIT.
231000*
231100 X230-UPDATE-PRIM-PHONE.
231200*
231300     IF  MS01-PHONE-L IS GREATER THAN ZERO
231400         IF  MS01-PHONE IS NOT EQUAL TO MMSM-PHONE
231500                                        (X-MMSM-PRIMARY)
231600             SET WS-UPDATE-SW-YES
231700                                 TO TRUE
231800             IF  MBCA-PTI-FUNCTION-IS-MAINT
231900                 MOVE MMSMTB-PRIM-PHONE (1:4)
232000                                 TO WS-INDEX-X
232100                 SET X-MMFS-STORE
232200                                 TO WS-INDEX
232300                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
232400                                 TO MML1-MMSM-AUDIT-CODE
232500                 MOVE 0108       TO MML1-FIELD-CODE
232600                 MOVE 1          TO MML1-FIELD-OCCURRENCE
232700                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
232800                 MOVE MML1WS-VL-20
232900                                 TO MML1-VARIABLE-LENGTH
233000                 MOVE MMSM-PHONE (X-MMSM-PRIMARY)
233100                                 TO MML1-VL20-B-DATA-X
233200                 MOVE MS01-PHONE TO MMSM-PHONE (X-MMSM-PRIMARY)
233300                 MOVE MMSM-PHONE (X-MMSM-PRIMARY)
233400                                 TO MML1-VL20-A-DATA-X
233500                 MOVE 'FC46'     TO MBCA-PROGRAM-LOCATION
233600                 PERFORM Y910-WRITE-LOG-RECORD
233700                                 THRU Y919-WLR-EXIT
233800             ELSE
233900                 MOVE MS01-PHONE TO MMSM-PHONE (X-MMSM-PRIMARY).
234000*
234100 X239-UPP-EXIT.
234200     EXIT.
234300*
234400 X250-UPDATE-PRIM-POSTAL-CODE.
234500*
234600     IF  MS01-POSTAL-CODE-L IS GREATER THAN ZERO
234700         IF  MS01-POSTAL-CODE IS NOT EQUAL TO MMSM-POSTAL-CODE
234800                                           (X-MMSM-PRIMARY)
234900             SET WS-UPDATE-SW-YES
235000                                 TO TRUE
235100             IF  MBCA-PTI-FUNCTION-IS-MAINT
235200                 SET WS-PRIMARY-UPDATE-YES
235300                                 TO TRUE
235400                 MOVE MMSMTB-PRIM-POSTAL-CODE (1:4)
235500                                 TO WS-INDEX-X
235600                 SET X-MMFS-STORE
235700                                 TO WS-INDEX
235800                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
235900                                 TO MML1-MMSM-AUDIT-CODE
236000                 MOVE 0109       TO MML1-FIELD-CODE
236100                 MOVE 1          TO MML1-FIELD-OCCURRENCE
236200                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
236300                 MOVE MML1WS-VL-10
236400                                 TO MML1-VARIABLE-LENGTH
236500                 MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
236600                                 TO MML1-VL10-B-DATA-X
236700                 MOVE MS01-POSTAL-CODE
236800                                 TO MMSM-POSTAL-CODE
236900                                    (X-MMSM-PRIMARY)
237000                 MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
237100                                 TO MML1-VL10-A-DATA-X
237200                 MOVE 'FC47'     TO MBCA-PROGRAM-LOCATION
237300                 PERFORM Y910-WRITE-LOG-RECORD
237400                                 THRU Y919-WLR-EXIT
237500             ELSE
237600                 MOVE MS01-POSTAL-CODE
237700                                 TO MMSM-POSTAL-CODE
237800                                    (X-MMSM-PRIMARY).
237900*
238000 X259-UPPC-EXIT.
238100     EXIT.
238200*
238300 X270-UPDATE-PRIM-FAX.
238400*
238500     IF  MS01-FAX-L IS GREATER THAN ZERO
238600         IF  MS01-FAX IS NOT EQUAL TO MMSM-FAX (X-MMSM-PRIMARY)
238700             SET WS-UPDATE-SW-YES
238800                                 TO TRUE
238900             IF  MBCA-PTI-FUNCTION-IS-MAINT
239000                 MOVE MMSMTB-PRIM-FAX (1:4)
239100                                 TO WS-INDEX-X
239200                 SET X-MMFS-STORE
239300                                 TO WS-INDEX
239400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
239500                                 TO MML1-MMSM-AUDIT-CODE
239600                 MOVE 0110       TO MML1-FIELD-CODE
239700                 MOVE 1          TO MML1-FIELD-OCCURRENCE
239800                 MOVE ZEROS      TO MML1-FIELD-OCCURRENCE-2
239900                 MOVE MML1WS-VL-20
240000                                 TO MML1-VARIABLE-LENGTH
240100                 MOVE MMSM-FAX (X-MMSM-PRIMARY)
240200                                 TO MML1-VL20-B-DATA-X
240300                 MOVE MS01-FAX   TO MMSM-FAX (X-MMSM-PRIMARY)
240400                 MOVE MMSM-FAX (X-MMSM-PRIMARY)
240500                                 TO MML1-VL20-A-DATA-X
240600                 MOVE 'FC48'     TO MBCA-PROGRAM-LOCATION
240700                 PERFORM Y910-WRITE-LOG-RECORD
240800                                 THRU Y919-WLR-EXIT
240900             ELSE
241000                 MOVE MS01-FAX   TO MMSM-FAX (X-MMSM-PRIMARY).
241100*
241200 X279-UPF-EXIT.
241300     EXIT.
241400*
241500 X290-UPDATE-FREQS.
241600*
241700     IF  WS-FREQ-SW-YES
241800     AND MBCA-PTI-FUNCTION-IS-MAINT
241900         PERFORM 9300-VALID-MERCHANT
242000                                 THRU 9399-VM-EXIT
242100         IF  MMMM-STMT-FREQ-1 IS NOT EQUAL TO MMSM-STMT-FREQ-1
242200             SET WS-UPDATE-SW-YES
242300                                 TO TRUE
242400             MOVE 9001           TO MML1-FIELD-CODE
242500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
242600                                    MML1-FIELD-OCCURRENCE-2
242700             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
242800             MOVE MMSM-STMT-FREQ-1
242900                                 TO MML1-VL02-B-DATA-9
243000             MOVE MMMM-STMT-FREQ-1
243100                                 TO MMSM-STMT-FREQ-1
243200             MOVE MMSM-STMT-FREQ-1
243300                                 TO MML1-VL02-A-DATA-9
243400             MOVE 'FC49'         TO MBCA-PROGRAM-LOCATION
243500             PERFORM Y910-WRITE-LOG-RECORD
243600                                 THRU Y919-WLR-EXIT
243700         END-IF
243800         IF  MMMM-STMT-FREQ-2 IS NOT EQUAL TO MMSM-STMT-FREQ-2
243900             SET WS-UPDATE-SW-YES
244000                                 TO TRUE
244100             MOVE 9002           TO MML1-FIELD-CODE
244200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
244300                                    MML1-FIELD-OCCURRENCE-2
244400             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
244500             MOVE MMSM-STMT-FREQ-2
244600                                 TO MML1-VL02-B-DATA-9
244700             MOVE MMMM-STMT-FREQ-2
244800                                 TO MMSM-STMT-FREQ-2
244900             MOVE MMSM-STMT-FREQ-2
245000                                 TO MML1-VL02-A-DATA-9
245100             MOVE 'FC50'         TO MBCA-PROGRAM-LOCATION
245200             PERFORM Y910-WRITE-LOG-RECORD
245300                                 THRU Y919-WLR-EXIT
245400         END-IF
245500         IF  MMMM-DISC-FREQ-1 IS NOT EQUAL TO MMSM-DISC-FREQ-1
245600             SET WS-UPDATE-SW-YES
245700                                 TO TRUE
245800             MOVE 9003           TO MML1-FIELD-CODE
245900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
246000                                    MML1-FIELD-OCCURRENCE-2
246100             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
246200             MOVE MMSM-DISC-FREQ-1
246300                                 TO MML1-VL02-B-DATA-9
246400             MOVE MMMM-DISC-FREQ-1
246500                                 TO MMSM-DISC-FREQ-1
246600             MOVE MMSM-DISC-FREQ-1
246700                                 TO MML1-VL02-A-DATA-9
246800             MOVE 'FC51'         TO MBCA-PROGRAM-LOCATION
246900             PERFORM Y910-WRITE-LOG-RECORD
247000                                 THRU Y919-WLR-EXIT
247100         END-IF
247200         IF  MMMM-DISC-FREQ-2 IS NOT EQUAL TO MMSM-DISC-FREQ-2
247300             SET WS-UPDATE-SW-YES
247400                                 TO TRUE
247500             MOVE 9004           TO MML1-FIELD-CODE
247600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
247700                                    MML1-FIELD-OCCURRENCE-2
247800             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
247900             MOVE MMSM-DISC-FREQ-2
248000                                 TO MML1-VL02-B-DATA-9
248100             MOVE MMMM-DISC-FREQ-2
248200                                 TO MMSM-DISC-FREQ-2
248300             MOVE MMSM-DISC-FREQ-2
248400                                 TO MML1-VL02-A-DATA-9
248500             MOVE 'FC52'         TO MBCA-PROGRAM-LOCATION
248600             PERFORM Y910-WRITE-LOG-RECORD
248700                                 THRU Y919-WLR-EXIT
248800         END-IF
248900         IF  MMMM-PART-FREQ-1 IS NOT EQUAL TO MMSM-PART-FREQ-1
249000             SET WS-UPDATE-SW-YES
249100                                 TO TRUE
249200             MOVE 9005           TO MML1-FIELD-CODE
249300             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
249400                                    MML1-FIELD-OCCURRENCE-2
249500             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
249600             MOVE MMSM-PART-FREQ-1
249700                                 TO MML1-VL02-B-DATA-9
249800             MOVE MMMM-PART-FREQ-1
249900                                 TO MMSM-PART-FREQ-1
250000             MOVE MMSM-PART-FREQ-1
250100                                 TO MML1-VL02-A-DATA-9
250200             MOVE 'FC53'         TO MBCA-PROGRAM-LOCATION
250300             PERFORM Y910-WRITE-LOG-RECORD
250400                                 THRU Y919-WLR-EXIT
250500         END-IF
250600         IF  MMMM-PART-FREQ-2 IS NOT EQUAL TO MMSM-PART-FREQ-2
250700             SET WS-UPDATE-SW-YES
250800                                 TO TRUE
250900             MOVE 9006           TO MML1-FIELD-CODE
251000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
251100                                    MML1-FIELD-OCCURRENCE-2
251200             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
251300             MOVE MMSM-PART-FREQ-2
251400                                 TO MML1-VL02-B-DATA-9
251500             MOVE MMMM-PART-FREQ-2
251600                                 TO MMSM-PART-FREQ-2
251700             MOVE MMSM-PART-FREQ-2
251800                                 TO MML1-VL02-A-DATA-9
251900             MOVE 'FC54'         TO MBCA-PROGRAM-LOCATION
252000             PERFORM Y910-WRITE-LOG-RECORD
252100                                 THRU Y919-WLR-EXIT
252200         END-IF
252300         IF  MMMM-SETT-FREQ-1 IS NOT EQUAL TO MMSM-SETT-FREQ-1
252400             SET WS-UPDATE-SW-YES
252500                                 TO TRUE
252600             MOVE 9008           TO MML1-FIELD-CODE
252700             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
252800                                    MML1-FIELD-OCCURRENCE-2
252900             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
253000             MOVE MMSM-SETT-FREQ-1
253100                                 TO MML1-VL02-B-DATA-9
253200             MOVE MMMM-SETT-FREQ-1
253300                                 TO MMSM-SETT-FREQ-1
253400             MOVE MMSM-SETT-FREQ-1
253500                                 TO MML1-VL02-A-DATA-9
253600             MOVE 'FC55'         TO MBCA-PROGRAM-LOCATION
253700             PERFORM Y910-WRITE-LOG-RECORD
253800                                 THRU Y919-WLR-EXIT
253900         END-IF
254000         IF  MMMM-SETT-FREQ-2 IS NOT EQUAL TO MMSM-SETT-FREQ-2
254100             SET WS-UPDATE-SW-YES
254200                                 TO TRUE
254300             MOVE 9009           TO MML1-FIELD-CODE
254400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
254500                                    MML1-FIELD-OCCURRENCE-2
254600             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
254700             MOVE MMSM-SETT-FREQ-2
254800                                 TO MML1-VL02-B-DATA-9
254900             MOVE MMMM-SETT-FREQ-2
255000                                 TO MMSM-SETT-FREQ-2
255100             MOVE MMSM-SETT-FREQ-2
255200                                 TO MML1-VL02-A-DATA-9
255300             MOVE 'FC56'         TO MBCA-PROGRAM-LOCATION
255400             PERFORM Y910-WRITE-LOG-RECORD
255500                                 THRU Y919-WLR-EXIT
255600         END-IF
255700         IF  MMMM-CTD-CLEAR-DATE-1 IS NOT EQUAL
255800                                 TO MMSM-CTD-CLEAR-DATE-1
255900             SET WS-UPDATE-SW-YES
256000                                 TO TRUE
256100             MOVE 9021           TO MML1-FIELD-CODE
256200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
256300                                    MML1-FIELD-OCCURRENCE-2
256400             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
256500             MOVE MMSM-CTD-CLEAR-DATE-1
256600                                 TO MML1-VL07-B-DATA-9
256700             MOVE MMMM-CTD-CLEAR-DATE-1
256800                                 TO MMSM-CTD-CLEAR-DATE-1
256900             MOVE MMSM-CTD-CLEAR-DATE-1
257000                                 TO MML1-VL07-A-DATA-9
257100             MOVE 'FC57'         TO MBCA-PROGRAM-LOCATION
257200             PERFORM Y910-WRITE-LOG-RECORD
257300                                 THRU Y919-WLR-EXIT
257400         END-IF
257500         IF  MMMM-CTD-CLEAR-DATE-2 IS NOT EQUAL
257600                                 TO MMSM-CTD-CLEAR-DATE-2
257700             SET WS-UPDATE-SW-YES
257800                                 TO TRUE
257900             MOVE 9022           TO MML1-FIELD-CODE
258000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
258100                                    MML1-FIELD-OCCURRENCE-2
258200             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
258300             MOVE MMSM-CTD-CLEAR-DATE-2
258400                                 TO MML1-VL07-B-DATA-9
258500             MOVE MMMM-CTD-CLEAR-DATE-2
258600                                 TO MMSM-CTD-CLEAR-DATE-2
258700             MOVE MMSM-CTD-CLEAR-DATE-2
258800                                 TO MML1-VL07-A-DATA-9
258900             MOVE 'FC58'         TO MBCA-PROGRAM-LOCATION
259000             PERFORM Y910-WRITE-LOG-RECORD
259100                                 THRU Y919-WLR-EXIT
259200         END-IF
259300         IF  MMMM-DTD-CLEAR-DATE-1 IS NOT EQUAL
259400                                 TO MMSM-DTD-CLEAR-DATE-1
259500             SET WS-UPDATE-SW-YES
259600                                 TO TRUE
259700             MOVE 9023           TO MML1-FIELD-CODE
259800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
259900                                    MML1-FIELD-OCCURRENCE-2
260000             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
260100             MOVE MMSM-DTD-CLEAR-DATE-1
260200                                 TO MML1-VL07-B-DATA-9
260300             MOVE MMMM-DTD-CLEAR-DATE-1
260400                                 TO MMSM-DTD-CLEAR-DATE-1
260500             MOVE MMSM-DTD-CLEAR-DATE-1
260600                                 TO MML1-VL07-A-DATA-9
260700             MOVE 'FC59'         TO MBCA-PROGRAM-LOCATION
260800             PERFORM Y910-WRITE-LOG-RECORD
260900                                 THRU Y919-WLR-EXIT
261000         END-IF
261100         IF  MMMM-DTD-CLEAR-DATE-2 IS NOT EQUAL
261200                                 TO MMSM-DTD-CLEAR-DATE-2
261300             SET WS-UPDATE-SW-YES
261400                                 TO TRUE
261500             MOVE 9024           TO MML1-FIELD-CODE
261600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
261700                                    MML1-FIELD-OCCURRENCE-2
261800             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
261900             MOVE MMSM-DTD-CLEAR-DATE-2
262000                                 TO MML1-VL07-B-DATA-9
262100             MOVE MMMM-DTD-CLEAR-DATE-2
262200                                 TO MMSM-DTD-CLEAR-DATE-2
262300             MOVE MMSM-DTD-CLEAR-DATE-2
262400                                 TO MML1-VL07-A-DATA-9
262500             MOVE 'FC60'         TO MBCA-PROGRAM-LOCATION
262600             PERFORM Y910-WRITE-LOG-RECORD
262700                                 THRU Y919-WLR-EXIT
262800         END-IF
262900         IF  MMMM-PTD-CLEAR-DATE-1 IS NOT EQUAL
263000                                 TO MMSM-PTD-CLEAR-DATE-1
263100             SET WS-UPDATE-SW-YES
263200                                 TO TRUE
263300             MOVE 9025           TO MML1-FIELD-CODE
263400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
263500                                    MML1-FIELD-OCCURRENCE-2
263600             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
263700             MOVE MMSM-PTD-CLEAR-DATE-1
263800                                 TO MML1-VL07-B-DATA-9
263900             MOVE MMMM-PTD-CLEAR-DATE-1
264000                                 TO MMSM-PTD-CLEAR-DATE-1
264100             MOVE MMSM-PTD-CLEAR-DATE-1
264200                                 TO MML1-VL07-A-DATA-9
264300             MOVE 'FC61'         TO MBCA-PROGRAM-LOCATION
264400             PERFORM Y910-WRITE-LOG-RECORD
264500                                 THRU Y919-WLR-EXIT
264600         END-IF
264700         IF  MMMM-PTD-CLEAR-DATE-2 IS NOT EQUAL
264800                                 TO MMSM-PTD-CLEAR-DATE-2
264900             SET WS-UPDATE-SW-YES
265000                                 TO TRUE
265100             MOVE 9026           TO MML1-FIELD-CODE
265200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
265300                                    MML1-FIELD-OCCURRENCE-2
265400             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
265500             MOVE MMSM-PTD-CLEAR-DATE-2
265600                                 TO MML1-VL07-B-DATA-9
265700             MOVE MMMM-PTD-CLEAR-DATE-2
265800                                 TO MMSM-PTD-CLEAR-DATE-2
265900             MOVE MMSM-PTD-CLEAR-DATE-2
266000                                 TO MML1-VL07-A-DATA-9
266100             MOVE 'FC62'         TO MBCA-PROGRAM-LOCATION
266200             PERFORM Y910-WRITE-LOG-RECORD
266300                                 THRU Y919-WLR-EXIT
266400         END-IF
266500         IF  MMMM-BI-WEEKLY-SETT-DATE IS NOT EQUAL
266600                                 TO MMSM-BI-WEEKLY-SETT-DATE
266700             SET WS-UPDATE-SW-YES
266800                                 TO TRUE
266900             MOVE 9027           TO MML1-FIELD-CODE
267000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
267100                                    MML1-FIELD-OCCURRENCE-2
267200             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
267300             MOVE MMSM-BI-WEEKLY-SETT-DATE
267400                                 TO MML1-VL07-B-DATA-9
267500             MOVE MMMM-BI-WEEKLY-SETT-DATE
267600                                 TO MMSM-BI-WEEKLY-SETT-DATE
267700             MOVE MMSM-BI-WEEKLY-SETT-DATE
267800                                 TO MML1-VL07-A-DATA-9
267900             MOVE 'FC63'         TO MBCA-PROGRAM-LOCATION
268000             PERFORM Y910-WRITE-LOG-RECORD
268100                                 THRU Y919-WLR-EXIT
268200         END-IF
268300         IF  MMMM-BI-WEEKLY-STMT-DATE IS NOT EQUAL
268400                                 TO MMSM-BI-WEEKLY-STMT-DATE
268500             SET WS-UPDATE-SW-YES
268600                                 TO TRUE
268700             MOVE 9028           TO MML1-FIELD-CODE
268800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
268900                                    MML1-FIELD-OCCURRENCE-2
269000             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
269100             MOVE MMSM-BI-WEEKLY-STMT-DATE
269200                                 TO MML1-VL07-B-DATA-9
269300             MOVE MMMM-BI-WEEKLY-STMT-DATE
269400                                 TO MMSM-BI-WEEKLY-STMT-DATE
269500             MOVE MMSM-BI-WEEKLY-STMT-DATE
269600                                 TO MML1-VL07-A-DATA-9
269700             MOVE 'FC64'         TO MBCA-PROGRAM-LOCATION
269800             PERFORM Y910-WRITE-LOG-RECORD
269900                                 THRU Y919-WLR-EXIT
270000         END-IF
270100         IF  MMMM-BI-WEEKLY-DISC-DATE IS NOT EQUAL
270200                                 TO MMSM-BI-WEEKLY-DISC-DATE
270300             SET WS-UPDATE-SW-YES
270400                                 TO TRUE
270500             MOVE 9029           TO MML1-FIELD-CODE
270600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
270700                                    MML1-FIELD-OCCURRENCE-2
270800             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
270900             MOVE MMSM-BI-WEEKLY-DISC-DATE
271000                                 TO MML1-VL07-B-DATA-9
271100             MOVE MMMM-BI-WEEKLY-DISC-DATE
271200                                 TO MMSM-BI-WEEKLY-DISC-DATE
271300             MOVE MMSM-BI-WEEKLY-DISC-DATE
271400                                 TO MML1-VL07-A-DATA-9
271500             MOVE 'FC65'         TO MBCA-PROGRAM-LOCATION
271600             PERFORM Y910-WRITE-LOG-RECORD
271700                                 THRU Y919-WLR-EXIT
271800         END-IF
271900         IF  MMMM-BI-WEEKLY-PART-DATE IS NOT EQUAL
272000                                 TO MMSM-BI-WEEKLY-PART-DATE
272100             SET WS-UPDATE-SW-YES
272200                                 TO TRUE
272300             MOVE 9030           TO MML1-FIELD-CODE
272400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
272500                                    MML1-FIELD-OCCURRENCE-2
272600             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
272700             MOVE MMSM-BI-WEEKLY-PART-DATE
272800                                 TO MML1-VL07-B-DATA-9
272900             MOVE MMMM-BI-WEEKLY-PART-DATE
273000                                 TO MMSM-BI-WEEKLY-PART-DATE
273100             MOVE MMSM-BI-WEEKLY-PART-DATE
273200                                 TO MML1-VL07-A-DATA-9
273300             MOVE 'FC66'         TO MBCA-PROGRAM-LOCATION
273400             PERFORM Y910-WRITE-LOG-RECORD
273500                                 THRU Y919-WLR-EXIT
273600         END-IF
273700         MOVE 01                 TO WS-PRODUCT-NBR
273800         PERFORM 9400-READ-MMMP  THRU 9499-EXIT
273900         IF  SS08WS-RC-FC-NOTFND
274000             CONTINUE
274100         ELSE
274200             IF  MMMP-PROD-EFF-DATE IS NOT EQUAL
274300                                 TO MMSM-VI-EFF-DATE
274400                 SET WS-UPDATE-SW-YES
274500                                 TO TRUE
274600                 MOVE 9031           TO MML1-FIELD-CODE
274700                 MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
274800                                    MML1-FIELD-OCCURRENCE-2
274900                 MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
275000                 MOVE MMSM-VI-EFF-DATE
275100                                 TO MML1-VL07-B-DATA-9
275200                 MOVE MMMP-PROD-EFF-DATE
275300                                 TO MMSM-VI-EFF-DATE
275400                 MOVE MMSM-VI-EFF-DATE
275500                                 TO MML1-VL07-A-DATA-9
275600                 MOVE 'FC67'         TO MBCA-PROGRAM-LOCATION
275700                 PERFORM Y910-WRITE-LOG-RECORD
275800                                 THRU Y919-WLR-EXIT
275900             END-IF
276000             IF  MMMP-PROD-STATUS IS NOT EQUAL
276100                                 TO MMSM-VI-STATUS
276200                 SET WS-UPDATE-SW-YES
276300                                 TO TRUE
276400                 MOVE 9032           TO MML1-FIELD-CODE
276500                 MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
276600                                    MML1-FIELD-OCCURRENCE-2
276700                 MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
276800                 MOVE MMSM-VI-STATUS
276900                                 TO MML1-VL01-B-DATA-X
277000                 MOVE MMMP-PROD-STATUS
277100                                 TO MMSM-VI-STATUS
277200                 MOVE MMSM-VI-STATUS
277300                                 TO MML1-VL01-A-DATA-X
277400                 MOVE 'FC68'         TO MBCA-PROGRAM-LOCATION
277500                 PERFORM Y910-WRITE-LOG-RECORD
277600                                 THRU Y919-WLR-EXIT
277700             END-IF
277800         END-IF
277900         MOVE 02                 TO WS-PRODUCT-NBR
278000         PERFORM 9400-READ-MMMP  THRU 9499-EXIT
278100         IF  SS08WS-RC-FC-NOTFND
278200             CONTINUE
278300         ELSE
278400             IF  MMMP-PROD-EFF-DATE IS NOT EQUAL
278500                                 TO MMSM-MC-EFF-DATE
278600                 SET WS-UPDATE-SW-YES
278700                                 TO TRUE
278800                 MOVE 9033           TO MML1-FIELD-CODE
278900                 MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
279000                                    MML1-FIELD-OCCURRENCE-2
279100                 MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
279200                 MOVE MMSM-MC-EFF-DATE
279300                                 TO MML1-VL07-B-DATA-9
279400                 MOVE MMMP-PROD-EFF-DATE
279500                                 TO MMSM-MC-EFF-DATE
279600                 MOVE MMSM-MC-EFF-DATE
279700                                 TO MML1-VL07-A-DATA-9
279800                 MOVE 'FC69'         TO MBCA-PROGRAM-LOCATION
279900                 PERFORM Y910-WRITE-LOG-RECORD
280000                                 THRU Y919-WLR-EXIT
280100             END-IF
280200             IF  MMMP-PROD-STATUS IS NOT EQUAL
280300                                 TO MMSM-MC-STATUS
280400                 SET WS-UPDATE-SW-YES
280500                                 TO TRUE
280600                 MOVE 9034           TO MML1-FIELD-CODE
280700                 MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
280800                                    MML1-FIELD-OCCURRENCE-2
280900                 MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
281000                 MOVE MMSM-MC-STATUS
281100                                 TO MML1-VL01-B-DATA-X
281200                 MOVE MMMP-PROD-STATUS
281300                                 TO MMSM-MC-STATUS
281400                 MOVE MMSM-MC-STATUS
281500                                 TO MML1-VL01-A-DATA-X
281600                 MOVE 'FC70'         TO MBCA-PROGRAM-LOCATION
281700                 PERFORM Y910-WRITE-LOG-RECORD
281800                                 THRU Y919-WLR-EXIT
281900             END-IF
282000         END-IF
282100         IF  MMMM-SOLE-PROP-LAST IS NOT EQUAL
282200                                 TO MMSM-SOLE-PROP-LAST
282300             SET WS-UPDATE-SW-YES
282400                                 TO TRUE
282500             MOVE 9013           TO MML1-FIELD-CODE
282600             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
282700                                    MML1-FIELD-OCCURRENCE-2
282800             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
282900             MOVE MMSM-SOLE-PROP-LAST
283000                                 TO MML1-VL30-B-DATA-X
283100             MOVE MMMM-SOLE-PROP-LAST
283200                                 TO MMSM-SOLE-PROP-LAST
283300             MOVE MMSM-SOLE-PROP-LAST
283400                                 TO MML1-VL30-A-DATA-X
283500             MOVE 'FC71'         TO MBCA-PROGRAM-LOCATION
283600             PERFORM Y910-WRITE-LOG-RECORD
283700                                 THRU Y919-WLR-EXIT
283800         END-IF
283900         IF  MMMM-SOLE-PROP-FIRST IS NOT EQUAL
284000                                 TO MMSM-SOLE-PROP-FIRST
284100             SET WS-UPDATE-SW-YES
284200                                 TO TRUE
284300             MOVE 9014           TO MML1-FIELD-CODE
284400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
284500                                    MML1-FIELD-OCCURRENCE-2
284600             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
284700             MOVE MMSM-SOLE-PROP-FIRST
284800                                 TO MML1-VL30-B-DATA-X
284900             MOVE MMMM-SOLE-PROP-FIRST
285000                                 TO MMSM-SOLE-PROP-FIRST
285100             MOVE MMSM-SOLE-PROP-FIRST
285200                                 TO MML1-VL30-A-DATA-X
285300             MOVE 'FC72'         TO MBCA-PROGRAM-LOCATION
285400             PERFORM Y910-WRITE-LOG-RECORD
285500                                 THRU Y919-WLR-EXIT
285600         END-IF
285700         IF  MMMM-SOLE-PROP-INITIAL IS NOT EQUAL
285800                                 TO MMSM-SOLE-PROP-INITIAL
285900             SET WS-UPDATE-SW-YES
286000                                 TO TRUE
286100             MOVE 9015           TO MML1-FIELD-CODE
286200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
286300                                    MML1-FIELD-OCCURRENCE-2
286400             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
286500             MOVE MMSM-SOLE-PROP-INITIAL
286600                                 TO MML1-VL01-B-DATA-X
286700             MOVE MMMM-SOLE-PROP-INITIAL
286800                                 TO MMSM-SOLE-PROP-INITIAL
286900             MOVE MMSM-SOLE-PROP-INITIAL
287000                                 TO MML1-VL01-A-DATA-X
287100             MOVE 'FC73'         TO MBCA-PROGRAM-LOCATION
287200             PERFORM Y910-WRITE-LOG-RECORD
287300                                 THRU Y919-WLR-EXIT
287400         END-IF
287500         IF  MMMM-TAX-ID IS NOT EQUAL
287600                                 TO MMSM-TAX-ID
287700             SET WS-UPDATE-SW-YES
287800                                 TO TRUE
287900             MOVE 9011           TO MML1-FIELD-CODE
288000             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
288100                                    MML1-FIELD-OCCURRENCE-2
288200             MOVE MML1WS-VL-20   TO MML1-VARIABLE-LENGTH
288300             MOVE MMSM-TAX-ID    TO MML1-VL20-B-DATA-X
288400             MOVE MMMM-TAX-ID    TO MMSM-TAX-ID
288500             MOVE MMSM-TAX-ID    TO MML1-VL20-A-DATA-X
288600             MOVE 'FC74'         TO MBCA-PROGRAM-LOCATION
288700             PERFORM Y910-WRITE-LOG-RECORD
288800                                 THRU Y919-WLR-EXIT
288900         END-IF
289000         IF  MMMM-INCORPORATION-STATUS IS NOT EQUAL
289100                                 TO MMSM-INCORPORATION-STATUS
289200             SET WS-UPDATE-SW-YES
289300                                 TO TRUE
289400             MOVE 9012           TO MML1-FIELD-CODE
289500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
289600                                    MML1-FIELD-OCCURRENCE-2
289700             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
289800             MOVE MMSM-INCORPORATION-STATUS
289900                                 TO MML1-VL02-B-DATA-X
290000             MOVE MMMM-INCORPORATION-STATUS
290100                                 TO MMSM-INCORPORATION-STATUS
290200             MOVE MMSM-INCORPORATION-STATUS
290300                                 TO MML1-VL02-A-DATA-X
290400             MOVE 'FC75'         TO MBCA-PROGRAM-LOCATION
290500             PERFORM Y910-WRITE-LOG-RECORD
290600                                 THRU Y919-WLR-EXIT
290700         END-IF
290800         IF  MMMM-TIN-TYPE IS NOT EQUAL TO MMSM-TIN-TYPE
290900             SET WS-UPDATE-SW-YES
291000                                 TO TRUE
291100             MOVE 9037           TO MML1-FIELD-CODE
291200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
291300                                    MML1-FIELD-OCCURRENCE-2
291400             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
291500             MOVE MMSM-TIN-TYPE  TO MML1-VL01-B-DATA-X
291600             MOVE MMMM-TIN-TYPE  TO MMSM-TIN-TYPE
291700                                    MML1-VL01-A-DATA-X
291800             MOVE 'FC76'         TO MBCA-PROGRAM-LOCATION
291900             PERFORM Y910-WRITE-LOG-RECORD
292000                                 THRU Y919-WLR-EXIT
292100         END-IF
292200         IF  MMMM-1099-REFUSAL-IND     IS NOT EQUAL
292300                                 TO MMSM-1099-REFUSAL-IND
292400             SET WS-UPDATE-SW-YES
292500                                 TO TRUE
292600             MOVE 9036           TO MML1-FIELD-CODE
292700             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
292800                                    MML1-FIELD-OCCURRENCE-2
292900             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
293000             MOVE MMSM-1099-REFUSAL-IND
293100                                 TO MML1-VL01-B-DATA-X
293200             MOVE MMMM-1099-REFUSAL-IND
293300                                 TO MMSM-1099-REFUSAL-IND
293400                                    MML1-VL01-A-DATA-X
293500             MOVE 'FC77'         TO MBCA-PROGRAM-LOCATION
293600             PERFORM Y910-WRITE-LOG-RECORD
293700                                 THRU Y919-WLR-EXIT
293800         END-IF
293900         IF  MMMM-OUT-OF-BUS-DATE      IS NOT EQUAL
294000                                 TO MMSM-OUT-OF-BUS-DATE
294100             SET WS-UPDATE-SW-YES
294200                                 TO TRUE
294300             MOVE 0190           TO MML1-FIELD-CODE
294400             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
294500                                    MML1-FIELD-OCCURRENCE-2
294600             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
294700             MOVE MMSM-OUT-OF-BUS-DATE
294800                                 TO MML1-VL07-B-DATA-9
294900             MOVE MMMM-OUT-OF-BUS-DATE
295000                                 TO MMSM-OUT-OF-BUS-DATE
295100                                    MML1-VL07-A-DATA-9
295200             MOVE 'FC78'         TO MBCA-PROGRAM-LOCATION
295300             PERFORM Y910-WRITE-LOG-RECORD
295400                                 THRU Y919-WLR-EXIT
295500         END-IF
295600         IF  MMMM-OWNERSHIP-CHG-DATE   IS NOT EQUAL
295700                                 TO MMSM-OWNERSHIP-CHG-DATE
295800             SET WS-UPDATE-SW-YES
295900                                 TO TRUE
296000             MOVE 0191           TO MML1-FIELD-CODE
296100             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
296200                                    MML1-FIELD-OCCURRENCE-2
296300             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
296400             MOVE MMSM-OWNERSHIP-CHG-DATE
296500                                 TO MML1-VL07-B-DATA-9
296600             MOVE MMMM-OWNERSHIP-CHG-DATE
296700                                 TO MMSM-OWNERSHIP-CHG-DATE
296800                                    MML1-VL07-A-DATA-9
296900             MOVE 'FC79'         TO MBCA-PROGRAM-LOCATION
297000             PERFORM Y910-WRITE-LOG-RECORD
297100                                 THRU Y919-WLR-EXIT
297200         END-IF
297300         IF  MMMM-CORP-LEGAL-NAME      IS NOT EQUAL
297400                                 TO MMSM-CORP-LEGAL-NAME
297500             SET WS-UPDATE-SW-YES
297600                                 TO TRUE
297700             MOVE 9038           TO MML1-FIELD-CODE
297800             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
297900                                    MML1-FIELD-OCCURRENCE-2
298000             MOVE MML1WS-VL-30   TO MML1-VARIABLE-LENGTH
298100             MOVE MMSM-CORP-LEGAL-NAME
298200                                 TO MML1-VL30-B-DATA-X
298300             MOVE MMMM-CORP-LEGAL-NAME
298400                                 TO MMSM-CORP-LEGAL-NAME
298500                                    MML1-VL30-A-DATA-X
298600             MOVE 'FC80'         TO MBCA-PROGRAM-LOCATION
298700             PERFORM Y910-WRITE-LOG-RECORD
298800                                 THRU Y919-WLR-EXIT
298900         END-IF
299000         IF  MMMM-MINORITY-CODE IS NOT EQUAL TO
299100                                    MMSM-MINORITY-CODE
299200             SET WS-UPDATE-SW-YES
299300                                 TO TRUE
299400             MOVE 9039           TO MML1-FIELD-CODE
299500             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
299600                                    MML1-FIELD-OCCURRENCE-2
299700             MOVE MML1WS-VL-02   TO MML1-VARIABLE-LENGTH
299800             MOVE MMSM-MINORITY-CODE
299900                                 TO MML1-VL02-B-DATA-X
300000             MOVE MMMM-MINORITY-CODE
300100                                 TO MMSM-MINORITY-CODE
300200                                    MML1-VL02-A-DATA-X
300300             MOVE 'FC81'         TO MBCA-PROGRAM-LOCATION
300400             PERFORM Y910-WRITE-LOG-RECORD
300500                                 THRU Y919-WLR-EXIT
300600         END-IF
300700         IF  MMMM-WOMAN-OWNED-CODE IS NOT EQUAL TO
300800                                    MMSM-WOMAN-OWNED-CODE
300900             SET WS-UPDATE-SW-YES
301000                                 TO TRUE
301100             MOVE 9040           TO MML1-FIELD-CODE
301200             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
301300                                    MML1-FIELD-OCCURRENCE-2
301400             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
301500             MOVE MMSM-WOMAN-OWNED-CODE
301600                                 TO MML1-VL01-B-DATA-X
301700             MOVE MMMM-WOMAN-OWNED-CODE
301800                                 TO MMSM-WOMAN-OWNED-CODE
301900                                    MML1-VL01-A-DATA-X
302000             MOVE 'FC82'         TO MBCA-PROGRAM-LOCATION
302100             PERFORM Y910-WRITE-LOG-RECORD
302200                                 THRU Y919-WLR-EXIT
302300         END-IF
302400         IF  MMMM-DUN-AND-BRADSTREET-NBR IS NOT EQUAL TO
302500                                    MMSM-DUN-AND-BRADSTREET-NBR
302600             SET WS-UPDATE-SW-YES
302700                                 TO TRUE
302800             MOVE 9041           TO MML1-FIELD-CODE
302900             MOVE ZEROES         TO MML1-FIELD-OCCURRENCE
303000                                    MML1-FIELD-OCCURRENCE-2
303100             MOVE MML1WS-VL-10   TO MML1-VARIABLE-LENGTH
303200             MOVE MMSM-DUN-AND-BRADSTREET-NBR
303300                                 TO MML1-VL10-B-DATA-X
303400             MOVE MMMM-DUN-AND-BRADSTREET-NBR
303500                                 TO MMSM-DUN-AND-BRADSTREET-NBR
303600                                    MML1-VL10-A-DATA-X
303700             MOVE 'FC83'         TO MBCA-PROGRAM-LOCATION
303800             PERFORM Y910-WRITE-LOG-RECORD
303900                                 THRU Y919-WLR-EXIT
304000         END-IF
304100     END-IF.
304200*
304300 X299-UF-EXIT.
304400     EXIT.
304500/
304600 Y000-PERFORMED-ROUTINES SECTION.
304700*
304800 Y010-MOVE-COUNTRY-CODE.
304900*
305000     MOVE MMSM-COUNTRY-CODE (X-MMSM-PRIMARY)
305100                                 TO MS01-COUNTRY-CODE.
305200*
305300 Y015-COUNTRY-CODE-SECURITY.
305400*
305500     MOVE MMSMTB-COUNTRY-CODE (1:4)
305600                                 TO WS-INDEX-X.
305700*
305800     SET  X-MMFS-STORE           TO WS-INDEX.
305900*
306000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
306100         MOVE DFHBMDAS           TO MS01-COUNTRY-CODE-LIT-A
306200                                    MS01-COUNTRY-CODE-LP-A
306300                                    MS01-COUNTRY-CODE-RP-A
306400                                    MS01-COUNTRY-CODE-A
306500         MOVE ZERO               TO MS01-COUNTRY-CODE-L
306600         GO TO Y019-EXIT.
306700*
306800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
306900         MOVE DFHBMDAS           TO MS01-COUNTRY-CODE-LP-A
307000                                    MS01-COUNTRY-CODE-RP-A
307100         MOVE DFHBMASB           TO MS01-COUNTRY-CODE-A
307200         GO TO Y019-EXIT.
307300*
307400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
307500         MOVE DFHBMDAS           TO MS01-COUNTRY-CODE-LP-A
307600                                    MS01-COUNTRY-CODE-RP-A
307700         MOVE DFHBMASK           TO MS01-COUNTRY-CODE-A
307800         MOVE ZERO               TO MS01-COUNTRY-CODE-L
307900         GO TO Y019-EXIT.
308000*
308100     IF  MBCA-PTI-FUNCTION-IS-ADD
308200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
308300             MOVE DFHBMASB       TO MS01-COUNTRY-CODE-LIT-A
308400         ELSE
308500             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
308600                 MOVE ZERO       TO MS01-COUNTRY-CODE-L
308700                 MOVE DFHBMDAS   TO MS01-COUNTRY-CODE-LP-A
308800                                    MS01-COUNTRY-CODE-RP-A
308900                 MOVE DFHBMASK   TO MS01-COUNTRY-CODE-A.
309000*
309100     IF  MBCA-PTI-FUNCTION-IS-MAINT
309200         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
309300             MOVE ZERO           TO MS01-COUNTRY-CODE-L
309400             MOVE DFHBMDAS       TO MS01-COUNTRY-CODE-LP-A
309500                                    MS01-COUNTRY-CODE-RP-A
309600             MOVE DFHBMASK       TO MS01-COUNTRY-CODE-A.
309700*
309800 Y019-EXIT.
309900     EXIT.
310000*
310100 Y030-MOVE-DBA-NAME.
310200*
310300     MOVE MMSM-DBA-NAME          TO MS01-DBA-NAME.
310400*
310500 Y035-DBA-NAME-SECURITY.
310600*
310700     MOVE MMSMTB-DBA-NAME (1:4)
310800                                 TO WS-INDEX-X.
310900*
311000     SET  X-MMFS-STORE           TO WS-INDEX.
311100*
311200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
311300         MOVE DFHBMDAS           TO MS01-DBA-NAME-LIT-A
311400                                    MS01-DBA-NAME-LP-A
311500                                    MS01-DBA-NAME-RP-A
311600                                    MS01-DBA-NAME-A
311700         MOVE ZERO               TO MS01-DBA-NAME-L
311800         GO TO Y039-EXIT.
311900*
312000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
312100         MOVE DFHBMDAS           TO MS01-DBA-NAME-LP-A
312200                                    MS01-DBA-NAME-RP-A
312300         MOVE DFHBMASB           TO MS01-DBA-NAME-A
312400         GO TO Y039-EXIT.
312500*
312600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
312700         MOVE DFHBMDAS           TO MS01-DBA-NAME-LP-A
312800                                    MS01-DBA-NAME-RP-A
312900         MOVE DFHBMASK           TO MS01-DBA-NAME-A
313000         MOVE ZERO               TO MS01-DBA-NAME-L
313100         GO TO Y039-EXIT.
313200*
313300     IF  MBCA-PTI-FUNCTION-IS-ADD
313400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
313500             MOVE DFHBMASB       TO MS01-DBA-NAME-LIT-A
313600         ELSE
313700             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
313800                 MOVE ZERO       TO MS01-DBA-NAME-L
313900                 MOVE DFHBMDAS   TO MS01-DBA-NAME-LP-A
314000                                    MS01-DBA-NAME-RP-A
314100                 MOVE DFHBMASK   TO MS01-DBA-NAME-A.
314200*
314300     IF  MBCA-PTI-FUNCTION-IS-MAINT
314400         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
314500             MOVE ZERO           TO MS01-DBA-NAME-L
314600             MOVE DFHBMDAS       TO MS01-DBA-NAME-LP-A
314700                                    MS01-DBA-NAME-RP-A
314800             MOVE DFHBMASK       TO MS01-DBA-NAME-A.
314900*
315000 Y039-EXIT.
315100     EXIT.
315200*
315300 Y050-MOVE-MERCHANT-ID.
315400*
315500     MOVE MMSM-MERCHANT-ID       TO MS01-MERCHANT-ID.
315600*
315700 Y055-MERCHANT-ID-SECURITY.
315800*
315900     MOVE MMSMTB-MERCHANT-ID (1:4)
316000                                 TO WS-INDEX-X.
316100*
316200     SET  X-MMFS-STORE           TO WS-INDEX.
316300*
316400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
316500         MOVE DFHBMDAS           TO MS01-MERCHANT-ID-LIT-A
316600                                    MS01-MERCHANT-ID-LP-A
316700                                    MS01-MERCHANT-ID-RP-A
316800                                    MS01-MERCHANT-ID-A
316900         MOVE ZERO               TO MS01-MERCHANT-ID-L
317000         GO TO Y059-EXIT.
317100*
317200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
317300         MOVE DFHBMDAS           TO MS01-MERCHANT-ID-LP-A
317400                                    MS01-MERCHANT-ID-RP-A
317500         MOVE DFHBMASB           TO MS01-MERCHANT-ID-A
317600         GO TO Y059-EXIT.
317700*
317800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
317900         MOVE DFHBMDAS           TO MS01-MERCHANT-ID-LP-A
318000                                    MS01-MERCHANT-ID-RP-A
318100         MOVE DFHBMASK           TO MS01-MERCHANT-ID-A
318200         MOVE ZERO               TO MS01-MERCHANT-ID-L
318300         GO TO Y059-EXIT.
318400*
318500     IF  MBCA-PTI-FUNCTION-IS-ADD
318600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
318700             MOVE DFHBMASB       TO MS01-MERCHANT-ID-LIT-A
318800         ELSE
318900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
319000                 MOVE ZERO       TO MS01-MERCHANT-ID-L
319100                 MOVE DFHBMDAS   TO MS01-MERCHANT-ID-LP-A
319200                                    MS01-MERCHANT-ID-RP-A
319300                 MOVE DFHBMASK   TO MS01-MERCHANT-ID-A.
319400*
319500     IF  MBCA-PTI-FUNCTION-IS-MAINT
319600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
319700             MOVE ZERO           TO MS01-MERCHANT-ID-L
319800             MOVE DFHBMDAS       TO MS01-MERCHANT-ID-LP-A
319900                                    MS01-MERCHANT-ID-RP-A
320000             MOVE DFHBMASK       TO MS01-MERCHANT-ID-A.
320100*
320200 Y059-EXIT.
320300     EXIT.
320400*
320500 Y070-MOVE-DBA-CITY.
320600*
320700     MOVE MMSM-DBA-CITY          TO MS01-DBA-CITY.
320800*
320900 Y075-DBA-CITY-SECURITY.
321000*
321100     MOVE MMSMTB-DBA-CITY (1:4)
321200                                 TO WS-INDEX-X.
321300*
321400     SET  X-MMFS-STORE           TO WS-INDEX.
321500*
321600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
321700         MOVE DFHBMDAS           TO MS01-DBA-CITY-LIT-A
321800                                    MS01-DBA-CITY-LP-A
321900                                    MS01-DBA-CITY-RP-A
322000                                    MS01-DBA-CITY-A
322100         MOVE ZERO               TO MS01-DBA-CITY-L
322200         GO TO Y079-EXIT.
322300*
322400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
322500         MOVE DFHBMDAS           TO MS01-DBA-CITY-LP-A
322600                                    MS01-DBA-CITY-RP-A
322700         MOVE DFHBMASB           TO MS01-DBA-CITY-A
322800         GO TO Y079-EXIT.
322900*
323000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
323100         MOVE ZERO               TO MS01-DBA-CITY-L
323200         MOVE DFHBMDAS           TO MS01-DBA-CITY-LP-A
323300                                    MS01-DBA-CITY-RP-A
323400         MOVE DFHBMASK           TO MS01-DBA-CITY-A
323500         GO TO Y079-EXIT.
323600*
323700     IF  MBCA-PTI-FUNCTION-IS-ADD
323800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
323900             MOVE DFHBMASB       TO MS01-DBA-CITY-LIT-A
324000         ELSE
324100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
324200                 MOVE ZERO       TO MS01-DBA-CITY-L
324300                 MOVE DFHBMDAS   TO MS01-DBA-CITY-LP-A
324400                                    MS01-DBA-CITY-RP-A
324500                 MOVE DFHBMASK   TO MS01-DBA-CITY-A.
324600*
324700     IF  MBCA-PTI-FUNCTION-IS-MAINT
324800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
324900             MOVE ZERO           TO MS01-DBA-CITY-L
325000             MOVE DFHBMDAS       TO MS01-DBA-CITY-LP-A
325100                                    MS01-DBA-CITY-RP-A
325200             MOVE DFHBMASK       TO MS01-DBA-CITY-A.
325300*
325400 Y079-EXIT.
325500     EXIT.
325600*
325700 Y090-MOVE-DBA-COUNTRY-CODE.
325800*
325900     MOVE MMSM-DBA-COUNTRY-CODE  TO MS01-DBA-STATE.
326000*
326100 Y095-DBA-COUNTRY-CODE-SECURITY.
326200*
326300     MOVE MMSMTB-DBA-COUNTRY-CODE (1:4)
326400                                 TO WS-INDEX-X.
326500*
326600     SET  X-MMFS-STORE           TO WS-INDEX.
326700*
326800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
326900         MOVE DFHBMDAS           TO MS01-DBA-STATE-LIT-A
327000                                    MS01-DBA-STATE-LP-A
327100                                    MS01-DBA-STATE-RP-A
327200                                    MS01-DBA-STATE-A
327300         MOVE ZERO               TO MS01-DBA-STATE-L
327400         GO TO Y099-EXIT.
327500*
327600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
327700         MOVE DFHBMDAS           TO MS01-DBA-STATE-LP-A
327800                                    MS01-DBA-STATE-RP-A
327900         MOVE DFHBMASB           TO MS01-DBA-STATE-A
328000         GO TO Y099-EXIT.
328100*
328200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
328300         MOVE ZERO               TO MS01-DBA-STATE-L
328400         MOVE DFHBMDAS           TO MS01-DBA-STATE-LP-A
328500                                    MS01-DBA-STATE-RP-A
328600         MOVE DFHBMASK           TO MS01-DBA-STATE-A
328700         GO TO Y099-EXIT.
328800*
328900     IF  MBCA-PTI-FUNCTION-IS-ADD
329000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
329100             MOVE DFHBMASB       TO MS01-DBA-STATE-LIT-A
329200         ELSE
329300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
329400                 MOVE ZERO       TO MS01-DBA-STATE-L
329500                 MOVE DFHBMDAS   TO MS01-DBA-STATE-LP-A
329600                                    MS01-DBA-STATE-RP-A
329700                 MOVE DFHBMASK   TO MS01-DBA-STATE-A.
329800*
329900     IF  MBCA-PTI-FUNCTION-IS-MAINT
330000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
330100             MOVE ZERO           TO MS01-DBA-STATE-L
330200             MOVE DFHBMDAS       TO MS01-DBA-STATE-LP-A
330300                                    MS01-DBA-STATE-RP-A
330400             MOVE DFHBMASK       TO MS01-DBA-STATE-A.
330500*
330600 Y099-EXIT.
330700     EXIT.
330800*
330900 Y110-MOVE-PRIM-ADDRESS1.
331000*
331100     SET X-MS01-NA               TO 1.
331200     SET X-MMSM-NA               TO 1.
331300*
331400     MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
331500                                 TO MS01-NA-LINE (X-MS01-NA).
331600*
331700 Y115-PRIM-ADDRESS1-SECURITY.
331800*
331900     MOVE MMSMTB-PRIM-ADDR1 (1:4)
332000                                 TO WS-INDEX-X.
332100*
332200     SET  X-MMFS-STORE           TO WS-INDEX.
332300*
332400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
332500         MOVE DFHBMDAS           TO MS01-NA-LINE-LIT-A (X-MS01-NA)
332600                                    MS01-NA-LINE-LP-A (X-MS01-NA)
332700                                    MS01-NA-LINE-RP-A (X-MS01-NA)
332800                                    MS01-NA-LINE-A (X-MS01-NA)
332900         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
333000         GO TO Y119-EXIT.
333100*
333200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
333300         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
333400                                    MS01-NA-LINE-RP-A (X-MS01-NA)
333500         MOVE DFHBMASB           TO MS01-NA-LINE-A (X-MS01-NA)
333600         GO TO Y119-EXIT.
333700*
333800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
333900         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
334000         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
334100                                    MS01-NA-LINE-RP-A (X-MS01-NA)
334200         MOVE DFHBMASK           TO MS01-NA-LINE-A (X-MS01-NA)
334300         GO TO Y119-EXIT.
334400*
334500     IF  MBCA-PTI-FUNCTION-IS-ADD
334600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
334700             MOVE DFHBMASB       TO MS01-NA-LINE-LIT-A (X-MS01-NA)
334800         ELSE
334900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
335000                 MOVE ZEROS      TO MS01-NA-LINE-L (X-MS01-NA)
335100                 MOVE DFHBMDAS   TO MS01-NA-LINE-LP-A (X-MS01-NA)
335200                                    MS01-NA-LINE-RP-A (X-MS01-NA)
335300                 MOVE DFHBMASK   TO MS01-NA-LINE-A (X-MS01-NA).
335400*
335500     IF  MBCA-PTI-FUNCTION-IS-MAINT
335600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
335700             MOVE ZEROS          TO MS01-NA-LINE-L (X-MS01-NA)
335800             MOVE DFHBMDAS       TO MS01-NA-LINE-LP-A (X-MS01-NA)
335900                                    MS01-NA-LINE-RP-A (X-MS01-NA)
336000             MOVE DFHBMASK       TO MS01-NA-LINE-A (X-MS01-NA).
336100*
336200 Y119-EXIT.
336300     EXIT.
336400*
336500 Y130-MOVE-PRIM-ADDRESS2.
336600*
336700     SET X-MS01-NA               TO 2.
336800     SET X-MMSM-NA               TO 2.
336900*
337000     MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
337100                                 TO MS01-NA-LINE (X-MS01-NA).
337200*
337300 Y135-PRIM-ADDRESS2-SECURITY.
337400*
337500     MOVE MMSMTB-PRIM-ADDR2 (1:4)
337600                                 TO WS-INDEX-X.
337700*
337800     SET  X-MMFS-STORE           TO WS-INDEX.
337900*
338000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
338100         MOVE DFHBMDAS           TO MS01-NA-LINE-LIT-A (X-MS01-NA)
338200                                    MS01-NA-LINE-LP-A (X-MS01-NA)
338300                                    MS01-NA-LINE-RP-A (X-MS01-NA)
338400                                    MS01-NA-LINE-A (X-MS01-NA)
338500         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
338600         GO TO Y139-EXIT.
338700*
338800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
338900         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
339000                                    MS01-NA-LINE-RP-A (X-MS01-NA)
339100         MOVE DFHBMASB           TO MS01-NA-LINE-A (X-MS01-NA)
339200         GO TO Y139-EXIT.
339300*
339400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
339500         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
339600         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
339700                                    MS01-NA-LINE-RP-A (X-MS01-NA)
339800         MOVE DFHBMASK           TO MS01-NA-LINE-A (X-MS01-NA)
339900         GO TO Y139-EXIT.
340000*
340100     IF  MBCA-PTI-FUNCTION-IS-ADD
340200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
340300             MOVE DFHBMASB       TO MS01-NA-LINE-LIT-A (X-MS01-NA)
340400         ELSE
340500             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
340600                 MOVE ZEROS      TO MS01-NA-LINE-L (X-MS01-NA)
340700                 MOVE DFHBMDAS   TO MS01-NA-LINE-LP-A (X-MS01-NA)
340800                                    MS01-NA-LINE-RP-A (X-MS01-NA)
340900                 MOVE DFHBMASK   TO MS01-NA-LINE-A (X-MS01-NA).
341000*
341100     IF  MBCA-PTI-FUNCTION-IS-MAINT
341200         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
341300             MOVE ZEROS          TO MS01-NA-LINE-L (X-MS01-NA)
341400             MOVE DFHBMDAS       TO MS01-NA-LINE-LP-A (X-MS01-NA)
341500                                    MS01-NA-LINE-RP-A (X-MS01-NA)
341600             MOVE DFHBMASK       TO MS01-NA-LINE-A (X-MS01-NA).
341700*
341800 Y139-EXIT.
341900     EXIT.
342000*
342100 Y150-MOVE-PRIM-ADDRESS3.
342200*
342300     SET X-MS01-NA               TO 3.
342400     SET X-MMSM-NA               TO 3.
342500*
342600     MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
342700                                 TO MS01-NA-LINE (X-MS01-NA).
342800*
342900 Y155-PRIM-ADDRESS3-SECURITY.
343000*
343100     MOVE MMSMTB-PRIM-ADDR3 (1:4)
343200                                 TO WS-INDEX-X.
343300*
343400     SET  X-MMFS-STORE           TO WS-INDEX.
343500*
343600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
343700         MOVE DFHBMDAS           TO MS01-NA-LINE-LIT-A (X-MS01-NA)
343800                                    MS01-NA-LINE-LP-A (X-MS01-NA)
343900                                    MS01-NA-LINE-RP-A (X-MS01-NA)
344000                                    MS01-NA-LINE-A (X-MS01-NA)
344100         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
344200         GO TO Y159-EXIT.
344300*
344400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
344500         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
344600                                    MS01-NA-LINE-RP-A (X-MS01-NA)
344700         MOVE DFHBMASB           TO MS01-NA-LINE-A (X-MS01-NA)
344800         GO TO Y159-EXIT.
344900*
345000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
345100         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
345200         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
345300                                    MS01-NA-LINE-RP-A (X-MS01-NA)
345400         MOVE DFHBMASK           TO MS01-NA-LINE-A (X-MS01-NA)
345500         GO TO Y159-EXIT.
345600*
345700     IF  MBCA-PTI-FUNCTION-IS-ADD
345800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
345900             MOVE DFHBMASB       TO MS01-NA-LINE-LIT-A (X-MS01-NA)
346000         ELSE
346100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
346200                 MOVE ZEROS      TO MS01-NA-LINE-L (X-MS01-NA)
346300                 MOVE DFHBMDAS   TO MS01-NA-LINE-LP-A (X-MS01-NA)
346400                                    MS01-NA-LINE-RP-A (X-MS01-NA)
346500                 MOVE DFHBMASK   TO MS01-NA-LINE-A (X-MS01-NA).
346600*
346700     IF  MBCA-PTI-FUNCTION-IS-MAINT
346800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
346900             MOVE ZEROS          TO MS01-NA-LINE-L (X-MS01-NA)
347000             MOVE DFHBMDAS       TO MS01-NA-LINE-LP-A (X-MS01-NA)
347100                                    MS01-NA-LINE-RP-A (X-MS01-NA)
347200             MOVE DFHBMASK       TO MS01-NA-LINE-A (X-MS01-NA).
347300*
347400 Y159-EXIT.
347500     EXIT.
347600*
347700 Y170-MOVE-PRIM-ADDRESS4.
347800*
347900     SET X-MS01-NA               TO 4.
348000     SET X-MMSM-NA               TO 4.
348100*
348200     MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
348300                                 TO MS01-NA-LINE (X-MS01-NA).
348400*
348500 Y175-PRIM-ADDRESS4-SECURITY.
348600*
348700     MOVE MMSMTB-PRIM-ADDR4 (1:4)
348800                                 TO WS-INDEX-X.
348900*
349000     SET  X-MMFS-STORE           TO WS-INDEX.
349100*
349200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
349300         MOVE DFHBMDAS           TO MS01-NA-LINE-LIT-A (X-MS01-NA)
349400                                    MS01-NA-LINE-LP-A (X-MS01-NA)
349500                                    MS01-NA-LINE-RP-A (X-MS01-NA)
349600                                    MS01-NA-LINE-A (X-MS01-NA)
349700         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
349800         GO TO Y179-EXIT.
349900*
350000     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
350100         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
350200                                    MS01-NA-LINE-RP-A (X-MS01-NA)
350300         MOVE DFHBMASB           TO MS01-NA-LINE-A (X-MS01-NA)
350400         GO TO Y179-EXIT.
350500*
350600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
350700         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
350800         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
350900                                    MS01-NA-LINE-RP-A (X-MS01-NA)
351000         MOVE DFHBMASK           TO MS01-NA-LINE-A (X-MS01-NA)
351100         GO TO Y179-EXIT.
351200*
351300     IF  MBCA-PTI-FUNCTION-IS-ADD
351400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
351500             MOVE DFHBMASB       TO MS01-NA-LINE-LIT-A (X-MS01-NA)
351600         ELSE
351700             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
351800                 MOVE ZEROS      TO MS01-NA-LINE-L (X-MS01-NA)
351900                 MOVE DFHBMDAS   TO MS01-NA-LINE-LP-A (X-MS01-NA)
352000                                    MS01-NA-LINE-RP-A (X-MS01-NA)
352100                 MOVE DFHBMASK   TO MS01-NA-LINE-A (X-MS01-NA).
352200*
352300     IF  MBCA-PTI-FUNCTION-IS-MAINT
352400         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
352500             MOVE ZEROS          TO MS01-NA-LINE-L (X-MS01-NA)
352600             MOVE DFHBMDAS       TO MS01-NA-LINE-LP-A (X-MS01-NA)
352700                                    MS01-NA-LINE-RP-A (X-MS01-NA)
352800             MOVE DFHBMASK       TO MS01-NA-LINE-A (X-MS01-NA).
352900*
353000 Y179-EXIT.
353100     EXIT.
353200*
353300 Y190-MOVE-PRIM-ADDRESS5.
353400*
353500     SET X-MS01-NA               TO 5.
353600     SET X-MMSM-NA               TO 5.
353700*
353800     MOVE MMSM-NA-LINE (X-MMSM-PRIMARY X-MMSM-NA)
353900                                 TO MS01-NA-LINE (X-MS01-NA).
354000*
354100 Y195-PRIM-ADDRESS5-SECURITY.
354200*
354300     MOVE MMSMTB-PRIM-ADDR5 (1:4)
354400                                 TO WS-INDEX-X.
354500*
354600     SET  X-MMFS-STORE           TO WS-INDEX.
354700*
354800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
354900         MOVE DFHBMDAS           TO MS01-NA-LINE-LIT-A (X-MS01-NA)
355000                                    MS01-NA-LINE-LP-A (X-MS01-NA)
355100                                    MS01-NA-LINE-RP-A (X-MS01-NA)
355200                                    MS01-NA-LINE-A (X-MS01-NA)
355300         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
355400         GO TO Y199-EXIT.
355500*
355600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
355700         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
355800                                    MS01-NA-LINE-RP-A (X-MS01-NA)
355900         MOVE DFHBMASB           TO MS01-NA-LINE-A (X-MS01-NA)
356000         GO TO Y199-EXIT.
356100*
356200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
356300         MOVE ZEROS              TO MS01-NA-LINE-L (X-MS01-NA)
356400         MOVE DFHBMDAS           TO MS01-NA-LINE-LP-A (X-MS01-NA)
356500                                    MS01-NA-LINE-RP-A (X-MS01-NA)
356600         MOVE DFHBMASK           TO MS01-NA-LINE-A (X-MS01-NA)
356700         GO TO Y199-EXIT.
356800*
356900     IF  MBCA-PTI-FUNCTION-IS-ADD
357000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
357100             MOVE DFHBMASB       TO MS01-NA-LINE-LIT-A (X-MS01-NA)
357200         ELSE
357300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
357400                 MOVE ZEROS      TO MS01-NA-LINE-L (X-MS01-NA)
357500                 MOVE DFHBMDAS   TO MS01-NA-LINE-LP-A (X-MS01-NA)
357600                                    MS01-NA-LINE-RP-A (X-MS01-NA)
357700                 MOVE DFHBMASK   TO MS01-NA-LINE-A (X-MS01-NA).
357800*
357900     IF  MBCA-PTI-FUNCTION-IS-MAINT
358000         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
358100             MOVE ZEROS          TO MS01-NA-LINE-L (X-MS01-NA)
358200             MOVE DFHBMDAS       TO MS01-NA-LINE-LP-A (X-MS01-NA)
358300                                    MS01-NA-LINE-RP-A (X-MS01-NA)
358400             MOVE DFHBMASK       TO MS01-NA-LINE-A (X-MS01-NA).
358500*
358600 Y199-EXIT.
358700     EXIT.
358800*
358900 Y210-MOVE-PRIM-STATE.
359000*
359100     MOVE MMSM-STATE-CODE (X-MMSM-PRIMARY)
359200                                 TO MS01-STATE-CODE.
359300*
359400 Y215-PRIM-STATE-SECURITY.
359500*
359600     MOVE MMSMTB-PRIM-STATE (1:4)
359700                                 TO WS-INDEX-X.
359800*
359900     SET  X-MMFS-STORE           TO WS-INDEX.
360000*
360100     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
360200         MOVE DFHBMDAS           TO MS01-STATE-CODE-LIT-A
360300                                    MS01-STATE-CODE-LP-A
360400                                    MS01-STATE-CODE-RP-A
360500                                    MS01-STATE-CODE-A
360600         MOVE ZEROS              TO MS01-STATE-CODE-L
360700         GO TO Y219-EXIT.
360800*
360900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
361000         MOVE DFHBMDAS           TO MS01-STATE-CODE-LP-A
361100                                    MS01-STATE-CODE-RP-A
361200         MOVE DFHBMASB           TO MS01-STATE-CODE-A
361300         GO TO Y219-EXIT.
361400*
361500     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
361600         MOVE ZEROS              TO MS01-STATE-CODE-L
361700         MOVE DFHBMDAS           TO MS01-STATE-CODE-LP-A
361800                                    MS01-STATE-CODE-RP-A
361900         MOVE DFHBMASK           TO MS01-STATE-CODE-A
362000         GO TO Y219-EXIT.
362100*
362200     IF  MBCA-PTI-FUNCTION-IS-ADD
362300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
362400             MOVE DFHBMASB       TO MS01-STATE-CODE-LIT-A
362500         ELSE
362600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
362700                 MOVE ZEROS      TO MS01-STATE-CODE-L
362800                 MOVE DFHBMDAS   TO MS01-STATE-CODE-LP-A
362900                                    MS01-STATE-CODE-RP-A
363000                 MOVE DFHBMASK   TO MS01-STATE-CODE-A.
363100*
363200     IF  MBCA-PTI-FUNCTION-IS-MAINT
363300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
363400             MOVE ZEROS          TO MS01-STATE-CODE-L
363500             MOVE DFHBMDAS       TO MS01-STATE-CODE-LP-A
363600                                    MS01-STATE-CODE-RP-A
363700             MOVE DFHBMASK       TO MS01-STATE-CODE-A.
363800*
363900 Y219-EXIT.
364000     EXIT.
364100*
364200 Y230-MOVE-PRIM-PHONE.
364300*
364400     MOVE MMSM-PHONE (X-MMSM-PRIMARY)
364500                                 TO MS01-PHONE.
364600*
364700 Y235-PRIM-PHONE-SECURITY.
364800*
364900     MOVE MMSMTB-PRIM-PHONE (1:4)
365000                                 TO WS-INDEX-X.
365100*
365200     SET  X-MMFS-STORE           TO WS-INDEX.
365300*
365400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
365500         MOVE DFHBMDAS           TO MS01-PHONE-LIT-A
365600                                    MS01-PHONE-LP-A
365700                                    MS01-PHONE-RP-A
365800                                    MS01-PHONE-A
365900         MOVE ZEROS              TO MS01-PHONE-L
366000         GO TO Y239-EXIT.
366100*
366200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
366300         MOVE DFHBMDAS           TO MS01-PHONE-LP-A
366400                                    MS01-PHONE-RP-A
366500         MOVE DFHBMASB           TO MS01-PHONE-A
366600         GO TO Y239-EXIT.
366700*
366800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
366900         MOVE ZEROS              TO MS01-PHONE-L
367000         MOVE DFHBMDAS           TO MS01-PHONE-LP-A
367100                                    MS01-PHONE-RP-A
367200         MOVE DFHBMASK           TO MS01-PHONE-A
367300         GO TO Y239-EXIT.
367400*
367500     IF  MBCA-PTI-FUNCTION-IS-ADD
367600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
367700             MOVE DFHBMASB       TO MS01-PHONE-LIT-A
367800         ELSE
367900             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
368000                 MOVE ZEROS      TO MS01-PHONE-L
368100                 MOVE DFHBMDAS   TO MS01-PHONE-LP-A
368200                                    MS01-PHONE-RP-A
368300                 MOVE DFHBMASK   TO MS01-PHONE-A.
368400*
368500     IF  MBCA-PTI-FUNCTION-IS-MAINT
368600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
368700             MOVE ZEROS          TO MS01-PHONE-L
368800             MOVE DFHBMDAS       TO MS01-PHONE-LP-A
368900                                    MS01-PHONE-RP-A
369000             MOVE DFHBMASK       TO MS01-PHONE-A.
369100*
369200 Y239-EXIT.
369300     EXIT.
369400*
369500 Y250-MOVE-PRIM-POSTAL-CODE.
369600*
369700     MOVE MMSM-POSTAL-CODE (X-MMSM-PRIMARY)
369800                                 TO MS01-POSTAL-CODE.
369900*
370000 Y255-PRIM-POSTAL-CODE-SECURITY.
370100*
370200     MOVE MMSMTB-PRIM-POSTAL-CODE (1:4)
370300                                 TO WS-INDEX-X.
370400*
370500     SET  X-MMFS-STORE           TO WS-INDEX.
370600*
370700     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
370800         MOVE DFHBMDAS           TO MS01-POSTAL-CODE-LIT-A
370900                                    MS01-POSTAL-CODE-LP-A
371000                                    MS01-POSTAL-CODE-RP-A
371100                                    MS01-POSTAL-CODE-A
371200         MOVE ZEROS              TO MS01-POSTAL-CODE-L
371300         GO TO Y259-EXIT.
371400*
371500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
371600         MOVE DFHBMDAS           TO MS01-POSTAL-CODE-LP-A
371700                                    MS01-POSTAL-CODE-RP-A
371800         MOVE DFHBMASB           TO MS01-POSTAL-CODE-A
371900         GO TO Y259-EXIT.
372000*
372100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
372200         MOVE ZEROS              TO MS01-POSTAL-CODE-L
372300         MOVE DFHBMDAS           TO MS01-POSTAL-CODE-LP-A
372400                                    MS01-POSTAL-CODE-RP-A
372500         MOVE DFHBMASK           TO MS01-POSTAL-CODE-A
372600         GO TO Y259-EXIT.
372700*
372800     IF  MBCA-PTI-FUNCTION-IS-ADD
372900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
373000             MOVE DFHBMASB       TO MS01-POSTAL-CODE-LIT-A
373100         ELSE
373200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
373300                 MOVE ZEROS      TO MS01-POSTAL-CODE-L
373400                 MOVE DFHBMDAS   TO MS01-POSTAL-CODE-LP-A
373500                                    MS01-POSTAL-CODE-RP-A
373600                 MOVE DFHBMASK   TO MS01-POSTAL-CODE-A.
373700*
373800     IF  MBCA-PTI-FUNCTION-IS-MAINT
373900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
374000             MOVE ZEROS          TO MS01-POSTAL-CODE-L
374100             MOVE DFHBMDAS       TO MS01-POSTAL-CODE-LP-A
374200                                    MS01-POSTAL-CODE-RP-A
374300             MOVE DFHBMASK       TO MS01-POSTAL-CODE-A.
374400*
374500 Y259-EXIT.
374600     EXIT.
374700*
374800 Y270-MOVE-PRIM-FAX.
374900*
375000     MOVE MMSM-FAX (X-MMSM-PRIMARY)
375100                                 TO MS01-FAX.
375200*
375300 Y275-PRIM-FAX-SECURITY.
375400*
375500     MOVE MMSMTB-PRIM-FAX (1:4)
375600                                 TO WS-INDEX-X.
375700*
375800     SET  X-MMFS-STORE           TO WS-INDEX.
375900*
376000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
376100         MOVE DFHBMDAS           TO MS01-FAX-LIT-A
376200                                    MS01-FAX-LP-A
376300                                    MS01-FAX-RP-A
376400                                    MS01-FAX-A
376500         MOVE ZEROS              TO MS01-FAX-L
376600         GO TO Y279-EXIT.
376700*
376800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
376900         MOVE DFHBMDAS           TO MS01-FAX-LP-A
377000                                    MS01-FAX-RP-A
377100         MOVE DFHBMASB           TO MS01-FAX-A
377200         GO TO Y279-EXIT.
377300*
377400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
377500         MOVE ZEROS              TO MS01-FAX-L
377600         MOVE DFHBMDAS           TO MS01-FAX-LP-A
377700                                    MS01-FAX-RP-A
377800         MOVE DFHBMASK           TO MS01-FAX-A
377900         GO TO Y279-EXIT.
378000*
378100     IF  MBCA-PTI-FUNCTION-IS-ADD
378200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
378300             MOVE DFHBMASB       TO MS01-FAX-LIT-A
378400         ELSE
378500             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
378600                 MOVE ZEROS      TO MS01-FAX-L
378700                 MOVE DFHBMDAS   TO MS01-FAX-LP-A
378800                                    MS01-FAX-RP-A
378900                 MOVE DFHBMASK   TO MS01-FAX-A.
379000*
379100     IF  MBCA-PTI-FUNCTION-IS-MAINT
379200         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
379300             MOVE ZEROS          TO MS01-FAX-L
379400             MOVE DFHBMDAS       TO MS01-FAX-LP-A
379500                                    MS01-FAX-RP-A
379600             MOVE DFHBMASK       TO MS01-FAX-A.
379700*
379800 Y279-EXIT.
379900     EXIT.
380000*
380100 Y800-SET-CURSOR.
380200*
380300************************************************************
380400*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
380500*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
380600*    OPEN FOR INPUT                                        *
380700************************************************************
380800*
380900     MOVE MMSMTB-MERCHANT-ID (1:4)
381000                                 TO WS-INDEX-X.
381100*
381200     SET X-MMFS-STORE            TO WS-INDEX.
381300*
381400 Y801-SC-LOOP.
381500*
381600     IF  MBCA-PTI-FUNCTION-IS-ADD
381700         IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
381800         OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
381900             GO TO Y802-SC-DETERMINE-FIELD.
382000*
382100     IF  MBCA-PTI-FUNCTION-IS-MAINT
382200         IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
382300             GO TO Y802-SC-DETERMINE-FIELD.
382400*
382500     MOVE MMSMTB-SEC-ADDR1 (1:4)
382600                                 TO WS-INDEX-X.
382700*
382800     IF  X-MMFS-STORE IS LESS THAN WS-INDEX
382900         SET X-MMFS-STORE        UP BY 1
383000         GO TO Y801-SC-LOOP.
383100*
383200 Y802-SC-DETERMINE-FIELD.
383300*
383400     MOVE MMSMTB-SEC-ADDR1 (1:4)
383500                                 TO WS-INDEX-X.
383600*
383700     IF  X-MMFS-STORE IS EQUAL TO WS-INDEX
383800         MOVE SS08WS-CURSOR      TO MS01-ALT-TRANID-L
383900         GO TO Y809-SC-EXIT.
384000*
384100     SET WS-FIELD-POSITION       TO X-MMFS-STORE.
384200*
384300     GO TO   Y803-MERCHANT-ID
384400             Y803-DBA-NAME
384500             Y803-COUNTRY-CODE
384600             Y803-DBA-CITY
384700             Y803-DBA-COUNTRY-CODE
384800             Y803-PRIM-ADDR1
384900             Y803-PRIM-ADDR2
385000             Y803-PRIM-ADDR3
385100             Y803-PRIM-ADDR4
385200             Y803-PRIM-ADDR5
385300             Y803-PRIM-STATE
385400             Y803-PRIM-PHONE
385500             Y803-PRIM-POSTAL-CODE
385600             Y803-PRIM-FAX
385700         DEPENDING ON WS-FIELD-POSITION.
385800*
385900 Y803-MERCHANT-ID.
386000*
386100     MOVE SS08WS-CURSOR          TO MS01-MERCHANT-ID-L.
386200     GO TO Y809-SC-EXIT.
386300*
386400 Y803-DBA-NAME.
386500*
386600     MOVE SS08WS-CURSOR          TO MS01-DBA-NAME-L.
386700     GO TO Y809-SC-EXIT.
386800*
386900 Y803-COUNTRY-CODE.
387000*
387100     MOVE SS08WS-CURSOR          TO MS01-COUNTRY-CODE-L.
387200     GO TO Y809-SC-EXIT.
387300*
387400 Y803-DBA-CITY.
387500*
387600     MOVE SS08WS-CURSOR          TO MS01-DBA-CITY-L.
387700     GO TO Y809-SC-EXIT.
387800*
387900 Y803-DBA-COUNTRY-CODE.
388000*
388100     MOVE SS08WS-CURSOR          TO MS01-DBA-STATE-L.
388200     GO TO Y809-SC-EXIT.
388300*
388400 Y803-PRIM-ADDR1.
388500*
388600     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (1).
388700     GO TO Y809-SC-EXIT.
388800*
388900 Y803-PRIM-ADDR2.
389000*
389100     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (2).
389200     GO TO Y809-SC-EXIT.
389300*
389400 Y803-PRIM-ADDR3.
389500*
389600     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (3).
389700     GO TO Y809-SC-EXIT.
389800*
389900 Y803-PRIM-ADDR4.
390000*
390100     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (4).
390200     GO TO Y809-SC-EXIT.
390300*
390400 Y803-PRIM-ADDR5.
390500*
390600     MOVE SS08WS-CURSOR          TO MS01-NA-LINE-L (5).
390700     GO TO Y809-SC-EXIT.
390800*
390900 Y803-PRIM-STATE.
391000*
391100     MOVE SS08WS-CURSOR          TO MS01-STATE-CODE-L.
391200     GO TO Y809-SC-EXIT.
391300*
391400 Y803-PRIM-PHONE.
391500*
391600     MOVE SS08WS-CURSOR          TO MS01-PHONE-L.
391700     GO TO Y809-SC-EXIT.
391800*
391900 Y803-PRIM-POSTAL-CODE.
392000*
392100     MOVE SS08WS-CURSOR          TO MS01-POSTAL-CODE-L.
392200     GO TO Y809-SC-EXIT.
392300*
392400 Y803-PRIM-FAX.
392500*
392600     MOVE SS08WS-CURSOR          TO MS01-FAX-L.
392700     GO TO Y809-SC-EXIT.
392800*
392900 Y809-SC-EXIT.
393000     EXIT.
393100*
393200 Y900-READ-MMFS.
393300*
393400****************************************
393500*    READ THE FIELD SECURITY RECORD    *
393600*    TO OBTAIN THE SECURITY CODES      *
393700****************************************
393800*
393900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
394000     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
394100     SET MBIORO-READ-RANDOM      TO TRUE.
394200     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
394300*
394400     IF  NOT MMFS-REC-ACTIVE
394500         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
394600         MOVE MBIORO-FILE-NAME   TO MBCA-ERRR-EIBDS
394700         MOVE EIBFN              TO MBCA-ERRR-EIBFN-CODES
394800         MOVE MBCA-PROGRAM-ID    TO MBCA-ERRR-BAD-PROGRAM
394900         MOVE MBCA-TRANS-ID      TO MBCA-ERRR-BAD-TRANSID
395000         SET MBCA-ERROR-MSGS-PROVIDED
395100                                 TO TRUE
395200         MOVE 'READ ERROR - MMFSAO'
395300                                 TO MBCA-ERRR-MSG1
395400         MOVE 'FIELD SECURITY PROFILE IS NOT ACTIVE'
395500                                 TO MBCA-ERRR-MSG2
395600         GO TO MB70PD-ERROR-ROUTINE.
395700*
395800 Y909-READ-MMFS-EXIT.
395900     EXIT.
396000*
396100 Y910-WRITE-LOG-RECORD.
396200*
396300     MOVE 'SM'                   TO MML1-FILE-CODE.
396400     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
396500     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
396600     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
396700     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
396800     MOVE ZEROS                  TO MML1-SOURCE-CODE.
396900     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
397000*
397100     SET MBIORO-WRITE            TO TRUE.
397200     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
397300     MOVE SPACES                 TO MML1-VARIABLE-AREA.
397400*
397500 Y919-WLR-EXIT.
397600     EXIT.
397700*
397800 Y920-WRITE-NAME-LOCATE-RECORD.
397900*
398000     IF  MMOC-STORE-PRIMARY-ON
398100         IF MS01-NA-LINE-L (1) IS GREATER THAN ZERO
398200         OR MS01-NA-LINE-L (2) IS GREATER THAN ZERO
398300         OR MS01-NA-LINE-L (3) IS GREATER THAN ZERO
398400         OR MS01-NA-LINE-L (4) IS GREATER THAN ZERO
398500         OR MS01-NA-LINE-L (5) IS GREATER THAN ZERO
398600         OR MS01-STATE-CODE-L IS GREATER THAN ZERO
398700         OR MS01-POSTAL-CODE-L IS GREATER THAN ZERO
398800         OR MS01-PHONE-L IS GREATER THAN ZERO
398900         OR MS01-FAX-L IS GREATER THAN ZERO
399000         MOVE MBCA-MERCHANT-ORG  TO MMNL-ORG
399100         MOVE MMSM-STORE         TO MMNL-FILE-NBR
399200         MOVE ZEROS              TO MMNL-TIE-BREAKER
399300         SET MMNL-FILE-IS-STORE  TO TRUE
399400         SET MMNL-NAME-IS-PRIMARY
399500                                 TO TRUE
399600         MOVE MMSM-NA-LINE (1 1) TO MMNL-NAME
399700         MOVE MMSM-NA-LINE (1 2) TO MMNL-ADDR1
399800         MOVE MMSM-PHONE (1)     TO MMNL-PHONE
399900         MOVE MMSM-POSTAL-CODE (1)
400000                                 TO MMNL-POSTAL-CODE
400100         EVALUATE TRUE
400200           WHEN  MMSM-NA-LINE (1 5) IS NOT EQUAL TO SPACES
400300             MOVE MMSM-NA-LINE (1 5)
400400                                 TO MMNL-CITY
400500           WHEN  MMSM-NA-LINE (1 4) IS NOT EQUAL TO SPACES
400600             MOVE MMSM-NA-LINE (1 4)
400700                                 TO MMNL-CITY
400800           WHEN  MMSM-NA-LINE (1 3) IS NOT EQUAL TO SPACES
400900             MOVE MMSM-NA-LINE (1 3)
401000                                 TO MMNL-CITY
401100           WHEN  MMSM-NA-LINE (1 2) IS NOT EQUAL TO SPACES
401200             MOVE MMSM-NA-LINE (1 2)
401300                                 TO MMNL-CITY
401400           WHEN  MMSM-NA-LINE (1 1) IS NOT EQUAL TO SPACES
401500             MOVE MMSM-NA-LINE (1 1)
401600                                 TO MMNL-CITY
401700         END-EVALUATE
401800         MOVE MMSM-STATE-CODE (1)
401900                                 TO MMNL-STATE
402000         PERFORM Y940-WRITE-MMNL THRU Y949-WMMNL-EXIT.
402100*
402200     IF  MMOC-STORE-DBA-ON
402300         IF MS01-DBA-NAME-L IS GREATER THAN ZERO
402400         OR MS01-DBA-CITY-L IS GREATER THAN ZERO
402500         OR MS01-DBA-STATE-L IS GREATER THAN ZERO
402600         MOVE MBCA-MERCHANT-ORG  TO MMNL-ORG
402700         MOVE MMSM-STORE         TO MMNL-FILE-NBR
402800         MOVE ZEROS              TO MMNL-TIE-BREAKER
402900         SET MMNL-FILE-IS-STORE  TO TRUE
403000         SET MMNL-NAME-IS-DBA    TO TRUE
403100         MOVE MMSM-DBA-NAME      TO MMNL-NAME
403200         MOVE MMSM-NA-LINE (1 2) TO MMNL-ADDR1
403300         MOVE MMSM-PHONE (1)     TO MMNL-PHONE
403400         MOVE MMSM-POSTAL-CODE (1)
403500                                 TO MMNL-POSTAL-CODE
403600         MOVE MMSM-DBA-CITY      TO MMNL-CITY
403700         MOVE MMSM-DBA-COUNTRY-CODE
403800                                 TO MMNL-STATE
403900         PERFORM Y940-WRITE-MMNL THRU Y949-WMMNL-EXIT.
404000*
404100 Y929-WNLR-EXIT.
404200     EXIT.
404300*
404400 Y930-READ-MMOC.
404500*
404600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMOC-ORG.
404700     SET MBIORO-READ-RANDOM      TO TRUE.
404800     PERFORM MMOCAO-ACCESS       THRU MMOCAO-ACCESS-EXIT.
404900*
405000 Y939-RMMOC-EXIT.
405100     EXIT.
405200*
405300 Y940-WRITE-MMNL.
405400*
405500     IF  MMNL-NAME IS EQUAL TO SPACES
405600         GO TO Y949-WMMNL-EXIT.
405700*
405800     MOVE 'FC84'                 TO MBCA-PROGRAM-LOCATION.
405900     MOVE SS08WS-CICS-FC-DUPREC  TO MBIORO-TEMP-STATUS-1.
406000     SET MBIORO-WRITE            TO TRUE.
406100     PERFORM MMNLAO-ACCESS       THRU MMNLAO-ACCESS-EXIT.
406200*
406300     IF  SS08WS-RC-FC-DUPREC
406400         ADD 1                   TO MMNL-TIE-BREAKER
406500         GO TO Y940-WRITE-MMNL.
406600*
406700 Y949-WMMNL-EXIT.
406800     EXIT.
406900*
407000 Y950-WRITE-MERCH-LOG-RECORD.
407100*
407200     MOVE 'MM'                   TO MML1-FILE-CODE.
407300     MOVE MBCA-MERCHANT-ORG      TO MML1-MMMM-ORG.
407400     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
407500     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
407600     MOVE ZEROS                  TO MML1-SOURCE-CODE.
407700     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
407800*
407900     SET MBIORO-WRITE            TO TRUE.
408000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
408100     MOVE SPACES                 TO MML1-VARIABLE-AREA.
408200*
408300 Y959-WMLR-EXIT.
408400     EXIT.
408500/
408600 9000-XR-WRITE-L1.
408700*
408800     SET MML1-FILE-IS-MMXR       TO TRUE.
408900     MOVE MMXR-KEY               TO MML1-MMXR-KEY.
409000     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
409100     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
409200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
409300     MOVE ZEROES                 TO MML1-SOURCE-CODE
409400                                    MML1-FIELD-OCCURRENCE
409500                                    MML1-FIELD-OCCURRENCE-2.
409600*
409700     MOVE 'FC85'                 TO MBCA-PROGRAM-LOCATION.
409800     SET MBIORO-WRITE            TO TRUE.
409900     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
410000     MOVE SPACES                 TO MML1-VARIABLE-AREA.
410100*
410200 9099-XR-WL1-EXIT.
410300     EXIT.
410400/
410500 9100-MMXR-LOGIC.
410600*
410700     IF  MBCA-PTI-FUNCTION-IS-ADD
410800         GO TO 9199-ML-EXIT.
410900*
411000     IF  MS01-MERCHANT-ID-L      IS GREATER THAN ZERO
411100         PERFORM 9200-MMXR-PURGE-LOGIC
411200            THRU 9299-MPL-EXIT
411300         MOVE ZERO               TO MML1-FIELD-OCCURRENCE
411400         MOVE ZERO               TO MML1-FIELD-CODE
411500         MOVE MMXRIR-RECORD      TO MMXR-RECORD
411600         MOVE MMSM-ORG           TO MMXR-ORG
411700         MOVE MS01-MERCHANT-ID   TO MMXR-MERCHANT
411800         MOVE MMSM-STORE         TO MMXR-STORE
411900         SET  MMXR-ADD-COMPLETED TO TRUE
412000         SET  MMXR-REC-ACTIVE    TO TRUE
412100         MOVE MBCA-START-DATE    TO MMXR-LAST-MAINT-DATE
412200         MOVE MBCA-OPERATOR-ID   TO MMXR-LAST-MAINT-OPER
412300         MOVE LENGTH OF MMXR-RECORD
412400                                 TO MML1-VARIABLE-LENGTH
412500         MOVE MMXR-RECORD        TO MML1-ADD-AREA
412600         MOVE MMXR-KEY           TO MBIOWS-MMXR-KEY
412700         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
412800         MOVE 'FC86'             TO MBCA-PROGRAM-LOCATION
412900         SET MBIORO-READ-RANDOM-UPDATE
413000                                 TO TRUE
413100         PERFORM MMXRAO-ACCESS   THRU MMXRAO-ACCESS-EXIT
413200         MOVE MML1-ADD-AREA      TO MMXR-RECORD
413300         IF  SS08WS-RC-FC-NOTFND
413400             PERFORM 9000-XR-WRITE-L1
413500                                 THRU 9099-XR-WL1-EXIT
413600             MOVE 'FC87'         TO MBCA-PROGRAM-LOCATION
413700             SET MBIORO-WRITE    TO TRUE
413800             PERFORM MMXRAO-ACCESS
413900                                 THRU MMXRAO-ACCESS-EXIT
414000         ELSE
414100             MOVE 0100           TO MML1-FIELD-CODE
414200             PERFORM 9000-XR-WRITE-L1
414300                                 THRU 9099-XR-WL1-EXIT
414400             MOVE 'FC88'         TO MBCA-PROGRAM-LOCATION
414500             SET MBIORO-REWRITE  TO TRUE
414600             PERFORM MMXRAO-ACCESS
414700                                 THRU MMXRAO-ACCESS-EXIT.
414800*
414900 9199-ML-EXIT.
415000     EXIT.
415100/
415200 9200-MMXR-PURGE-LOGIC.
415300*
415400     IF  MMSM-MERCHANT-ID IS GREATER THAN ZERO
415500         MOVE ZERO               TO MML1-FIELD-OCCURRENCE
415600         MOVE ZERO               TO MML1-FIELD-CODE
415700         MOVE MMSM-ORG           TO MBIOWS-MMXR-ORG
415800         MOVE MMSM-MERCHANT-ID   TO MBIOWS-MMXR-MERCHANT
415900         MOVE MMSM-STORE         TO MBIOWS-MMXR-STORE
416000         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
416100         MOVE 'FC89'             TO MBCA-PROGRAM-LOCATION
416200         SET MBIORO-READ-RANDOM-UPDATE
416300                                 TO TRUE
416400         PERFORM MMXRAO-ACCESS   THRU MMXRAO-ACCESS-EXIT
416500         IF  SS08WS-RC-FC-NOTFND
416600             NEXT SENTENCE
416700         ELSE
416800             MOVE 0101           TO MML1-FIELD-CODE
416900             MOVE MML1WS-VL-01   TO MML1-VARIABLE-LENGTH
417000             MOVE MMXR-REC-STATUS
417100                                 TO MML1-VL01-B-DATA-9
417200             SET MMXR-REC-PURGED TO TRUE
417300             MOVE MMXR-REC-STATUS
417400                                 TO MML1-VL01-A-DATA-9
417500             PERFORM 9000-XR-WRITE-L1
417600                                 THRU 9099-XR-WL1-EXIT
417700             MOVE 0199           TO MML1-FIELD-CODE
417800             MOVE MML1WS-VL-07   TO MML1-VARIABLE-LENGTH
417900             MOVE MMXR-LAST-MAINT-DATE
418000                                 TO MML1-VL07-B-DATA-9
418100             MOVE MBCA-START-DATE
418200                                 TO MMXR-LAST-MAINT-DATE
418300             MOVE MMXR-LAST-MAINT-DATE
418400                                 TO MML1-VL07-A-DATA-9
418500             PERFORM 9000-XR-WRITE-L1
418600                                 THRU 9099-XR-WL1-EXIT
418700             MOVE 0198           TO MML1-FIELD-CODE
418800             MOVE MML1WS-VL-03   TO MML1-VARIABLE-LENGTH
418900             MOVE MMXR-LAST-MAINT-OPER
419000                                 TO MML1-VL03-B-DATA-X
419100             MOVE MBCA-OPERATOR-ID
419200                                 TO MMXR-LAST-MAINT-OPER
419300             MOVE MMXR-LAST-MAINT-OPER
419400                                 TO MML1-VL03-A-DATA-X
419500             PERFORM 9000-XR-WRITE-L1
419600                                 THRU 9099-XR-WL1-EXIT
419700             MOVE 'FC90'         TO MBCA-PROGRAM-LOCATION
419800             SET MBIORO-REWRITE  TO TRUE
419900             PERFORM MMXRAO-ACCESS
420000                                 THRU MMXRAO-ACCESS-EXIT.
420100*
420200 9299-MPL-EXIT.
420300     EXIT.
420400*
420500 9300-VALID-MERCHANT.
420600*
420700     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMM-ORG.
420800     MOVE MS01-MERCHANT-ID       TO MBIOWS-MMMM-MERCHANT.
420900     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
421000     MOVE 'FC91'                 TO MBCA-PROGRAM-LOCATION.
421100     SET MBIORO-READ-RANDOM      TO TRUE.
421200     PERFORM MMMMAO-ACCESS       THRU MMMMAO-ACCESS-EXIT.
421300*
421400 9399-VM-EXIT.
421500     EXIT.
421600*
421700 9400-READ-MMMP.
421800*
421900     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMMP-ORG.
422000     MOVE MS01-MERCHANT-ID       TO MBIOWS-MMMP-MERCHANT.
422100     MOVE WS-PRODUCT-NBR         TO MBIOWS-MMMP-PRODUCT.
422200     MOVE SS08WS-CICS-FC-NOTFND  TO MBIORO-TEMP-STATUS-1.
422300     MOVE 'FC92'                 TO MBCA-PROGRAM-LOCATION.
422400     SET MBIORO-READ-RANDOM      TO TRUE.
422500     PERFORM MMMPAO-ACCESS       THRU MMMPAO-ACCESS-EXIT.
422600*
422700 9499-EXIT.
422800     EXIT.
422900/
423000 Z000-COPIED-ROUTINES SECTION.
423100*
423200     COPY SMCOPX.
423300/
423400     COPY SMCOPXO REPLACING ==:XXCA:== BY ==MBCA==.
423500/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
423600     COPY SS26PD.
423700*
423800/    ROUTINE TO NUMERICALLY EDIT TIME
423900     COPY SS27PD.
424000*
424100**********************************
424200*    JUL TO GREG DATE ROUTINE    *
424300**********************************
424400*
424500     COPY SS08PD.
424600/
424700*********************************
424800*    LINE 24 PF KEYS ROUTINE    *
424900*********************************
425000*
425100     COPY SS15PD.
425200/
425300************************************************
425400*    STORE MASTER RECORD ACCESS ROUTINES       *
425500************************************************
425600*
425700     COPY MMSMAO.
425800/
425900***********************************************
426000*    FIELD SECURITY RECORD ACCESS ROUTINES    *
426100***********************************************
426200*
426300     COPY MMFSAO.
426400/
426500********************************************************
426600*    MERCHANT/STORE CROSS REFERENCE FILE ACCESS ROUTINE*
426700********************************************************
426800*
426900     COPY MMXRAO.
427000/
427100***********************************************
427200*    MERCHANT MASTER RECORD ACCESS ROUTINES   *
427300***********************************************
427400*
427500     COPY MMMMAO.
427600/
427700***********************************************
427800*    MERCHANT PRODUCT RECORD ACCESS ROUTINES  *
427900***********************************************
428000*
428100     COPY MMMPAO.
428200/
428300***********************************************
428400*    CONTROL FILE RECORD ACCESS ROUTINES      *
428500***********************************************
428600*
428700     COPY MMOCAO.
428800/
428900***********************************************
429000*    INVENTORY CONTROL   ACCESS ROUTINES      *
429100***********************************************
429200*
429300     COPY MMICAO.
429400/
429500***********************************************
429600*    PLATE REQUEST FILE  ACCESS ROUTINES      *
429700***********************************************
429800*
429900     COPY MMPFAO.
430000/
430100***********************************************
430200*    NAME LOCATE  RECORD ACCESS ROUTINES      *
430300***********************************************
430400*
430500     COPY MMNLAO.
430600/
430700*****************************************
430800*    LOG FILE RECORD ACCESS ROUTINES    *
430900*****************************************
431000*
431100     COPY MML1AO.
431200/
431300*****************************
431400*    ONLINE MAP ROUTINES    *
431500*****************************
431600*
431700     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS01 '
431800                           MBMAPXXI BY MBMS01I
431900                           MBMAPXXO BY MBMS01O.
432000/
432100***************************
432200*    ONLINE PROCEDURES    *
432300***************************
432400*
432500     COPY MB70PD.
432600/
432700     COPY SMFTPXO.
