000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBOMS03.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*               M E R C H A N T   S Y S T E M                   *
000600*                                                               *
000700*      MBOMS03 - STORE MASTER RECORD ADD/MAINT/INQ              *
000800*                SCREEN 03                                      *
000900*                                                               *
001000*              1. TRANSIDS                                      *
001100*                 A. MBAS                                       *
001200*                 B. MBMS                                       *
001300*                 C. MBQS                                       *
001400*              2. MAPS USED -                                   *
001500*                 A. MBMS03 (SCREEN 02)                         *
001600*              3. FILES USED -                                  *
001700*                 A. MMSM (STORE MASTER FILE)                   *
001800*                 B. MMFS (FIELD SECURITY FILE)                 *
001900*                 C. MML1 (LOG FILE)                            *
002000*                                                               *
002100*****************************************************************
002200*
002300 ENVIRONMENT DIVISION.
002400*
002500 DATA DIVISION.
002600*
002700 WORKING-STORAGE SECTION.
002800*
002900 01  FILLER                  PIC  X(12)      VALUE
003000     '** WS-BEG **'.
003100*
003200 01  FILLER                  PIC  X(14)      VALUE
003300     'MISCELLANEOUS:'.
003400*
003500 01  WS-MISCELLANEOUS.
003600     03  WS-FIELD-POSITION   PIC  9(02)      VALUE ZEROES.
003700     03  WS-INDEX-X.
003800         05  WS-INDEX        PIC  9(04)      VALUE ZEROS.
003900*
004000 01  FILLER                  PIC  X(17)      VALUE
004100     'PROGRAM SWITCHES:'.
004200*
004300 01  WS-PROGRAM-SWITCHES.
004400     03  WS-EDIT-ROUTINE-SW  PIC  X(01)      VALUE 'N'.
004500         88  EDIT-ROUTINE-IS-PERFORMING      VALUE 'Y'.
004600         88  EDIT-ROUTINE-NOT-PERFORMING     VALUE 'N'.
004700     03  WS-UPDATE-SW        PIC  X(01)      VALUE 'N'.
004800         88  FIELDS-WERE-UPDATED             VALUE 'Y'.
004900         88  NO-FIELDS-WERE-UPDATED          VALUE 'N'.
005000     03  TS-QUEUE-NAME.
005100         05  TS-QN-TERMID    PIC  X(04)      VALUE SPACES.
005200         05  TS-QN-TRANID    PIC  X(04)      VALUE 'MBUI'.
005300/
005400 01  FILLER                  PIC  X(29)      VALUE
005500     'I/O REQUEST BLOCK WORK AREAS:'.
005600*
005700     COPY MBIOWS.
005800/
005900 01  FILLER                  PIC  X(18)      VALUE
006000     'I/O REQUEST BLOCK:'.
006100*
006200     COPY MBIORO.
006300/
006400 01  FILLER                  PIC  X(25)      VALUE
006500     'LOG RECORD REQUEST BLOCK:'.
006600*
006700     COPY MML1WS REPLACING ==:MML1:== BY ==MML1==.
006800/
006900 01  FILLER                  PIC  X(29)      VALUE
007000     'STORE MASTER FIELDS TABLE:'.
007100*
007200     COPY MMSMTB.
007300/
007400 01  FILLER                  PIC  X(29)      VALUE
007500     'STORE INIT RECORD         '.
007600*
007700     COPY MMSMIR.
007800/
007900 01  FILLER                  PIC  X(20)      VALUE
008000     'CCS DATE WORK AREAS:'.
008100*
008200     COPY SS01WS.
008300/
008400 01  FILLER                  PIC  X(15)      VALUE
008500     'CCS WORK AREAS:'.
008600*
008700     COPY SS08WS.
008800/
008900     COPY SS00WS.
009000/
009100     COPY SMFTWS.
009200/
009300     COPY SMPTRL REPLACING ==:SMPT:== BY ==SMPT==.
009400/
009500     COPY MB61LK.
009600/
009700 01  FILLER                  PIC  X(12)      VALUE
009800     '** WS-END **'.
009900/
010000 LINKAGE SECTION.
010100*
010200 01  DFHCOMMAREA.
010300*
010400     COPY MB60WS.
010500/
010600*****************************
010700*    STORE MASTER MAP       *
010800*****************************
010900*
011000     COPY MBMS03.
011100/
011200******************************************
011300*    STORE MASTER MAP REDEFINITION       *
011400******************************************
011500*
011600     COPY MBMS03R.
011700/
011800****************************************
011900*    STORE MASTER     RECORD LAYOUT    *
012000****************************************
012100*
012200     COPY MMSMRL.
012300/
012400**************************************
012500*    FIELD SECURITY RECORD LAYOUT    *
012600**************************************
012700*
012800     COPY MMFSRL.
012900/
013000***************************
013100*    LOG RECORD LAYOUT    *
013200***************************
013300*
013400     COPY MML1RL REPLACING ==:MML1:== BY ==MML1==.
013500/
013600***************************************
013700*    USER INPUT TEMP STORAGE RECORD   *
013800***************************************
013900*
014000     COPY MBUITS.
014100/
014200 PROCEDURE DIVISION.
014300*
014400 A000-HOUSEKEEPING SECTION.
014500*
014600 A020-INIT.
014700*
014800     MOVE 'PC01'                 TO MBCA-PROGRAM-LOCATION.
014900     PERFORM MB70PD-ON-LINE-HOUSEKEEPING
015000                                 THRU MB70PD-OLH-EXIT.
015100*
015200     IF  MBCA-MBUI-UI-YES
015300         NEXT SENTENCE
015400     ELSE
015500         SET MBCA-MBUI-UI-NO     TO TRUE.
015600*
015700     MOVE MBCA-TERMINAL-ID       TO TS-QN-TERMID.
015800*
015900     IF  MBCA-RECEIVE-SCREEN
016000         GO TO C000-RECEIVE-SCREEN.
016100/
016200 B000-SEND-SCREEN SECTION.
016300*
016400*********************************************
016500*    GET CICS STORAGE NEEDED FOR THE MAP    *
016600*********************************************
016700*
016800     MOVE 'SC01'                 TO MBCA-PROGRAM-LOCATION.
016900     PERFORM MB60PD-GETMAIN-FOR-MAP
017000                                 THRU MB60PD-GFM-EXIT.
017100*
017200*******************************************
017300*    INITIALIZE THE STANDARD MAP LINES    *
017400*******************************************
017500*
017600     PERFORM MB60PD-INIT-STD-MAP-LINES
017700                                 THRU MB60PD-ISML-EXIT.
017800*
017900*****************************************
018000*    READ THE STORE MASTER RECORD       *
018100*    FOR SUBSEQUENT DISPLAY             *
018200*****************************************
018300*
018400     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMSM-ORG
018500                                    MS03-ORG.
018600     MOVE MBCA-STORE             TO MBIOWS-MMSM-STORE
018700                                    MS03-STORE.
018800     MOVE 'FC01'                 TO MBCA-PROGRAM-LOCATION.
018900     SET MBIORO-READ-RANDOM      TO TRUE.
019000     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
019100*
019200*********************************************
019300*    MOVE THE PRIMARY NAME TO THE SCREEN    *
019400*********************************************
019500*
019600     MOVE MMSM-NA-LINE (1 1)     TO MS03-STORE-NAME.
019700*
019800****************************************
019900*    READ THE FIELD SECURITY RECORD    *
020000****************************************
020100*
020200     MOVE 'FC02'                 TO MBCA-PROGRAM-LOCATION.
020300     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
020400*
020500 B020-MOVE-FIELDS-TO-SCREEN.
020600*
020700*****************************************
020800*    MOVE THE STORE MASTER FIELDS       *
020900*    FROM THE RECORD TO THE SCREEN      *
021000*****************************************
021100*
021200     PERFORM Y010-MOVE-CONTACT1-NAME
021300                                 THRU Y019-EXIT.
021400*
021500     PERFORM Y020-MOVE-CONTACT1-TITLE
021600                                 THRU Y029-EXIT.
021700*
021800     PERFORM Y030-MOVE-CONTACT1-PHONE
021900                                 THRU Y039-EXIT.
022000*
022100     PERFORM Y040-MOVE-CONTACT1-FAX
022200                                 THRU Y049-EXIT.
022300*
022400     PERFORM Y050-MOVE-CONTACT2-NAME
022500                                 THRU Y059-EXIT.
022600*
022700     PERFORM Y060-MOVE-CONTACT2-TITLE
022800                                 THRU Y069-EXIT.
022900*
023000     PERFORM Y070-MOVE-CONTACT2-PHONE
023100                                 THRU Y079-EXIT.
023200*
023300     PERFORM Y080-MOVE-CONTACT2-FAX
023400                                 THRU Y089-EXIT.
023500*
023600     PERFORM Y090-MOVE-CONTACT3-NAME
023700                                 THRU Y099-EXIT.
023800*
023900     PERFORM Y100-MOVE-CONTACT3-TITLE
024000                                 THRU Y109-EXIT.
024100*
024200     PERFORM Y110-MOVE-CONTACT3-PHONE
024300                                 THRU Y119-EXIT.
024400*
024500     PERFORM Y120-MOVE-CONTACT3-FAX
024600                                 THRU Y129-EXIT.
024700*
024800     PERFORM Y130-MOVE-CONTACT4-NAME
024900                                 THRU Y139-EXIT.
025000*
025100     PERFORM Y140-MOVE-CONTACT4-TITLE
025200                                 THRU Y149-EXIT.
025300*
025400     PERFORM Y150-MOVE-CONTACT4-PHONE
025500                                 THRU Y159-EXIT.
025600*
025700     PERFORM Y160-MOVE-CONTACT4-FAX
025800                                 THRU Y169-EXIT.
025810*                                                                 RG802901
025820     PERFORM Y180-MOVE-URL-EMAIL THRU Y189-EXIT.                  RG802901
025900*
026000     PERFORM Y170-MOVE-MEMOS     THRU Y179-EXIT.
026100*
026200******************************************
026300*    SET THE CURSOR AND SCREEN NUMBER    *
026400******************************************
026500*
026600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
026700         MOVE SS08WS-CURSOR      TO MS03-ALT-TRANID-L
026800     ELSE
026900         PERFORM Y800-SET-CURSOR THRU Y809-SC-EXIT.
027000*
027100     COMPUTE MBCA-SCREEN-NBR     =  MBCA-SCREEN-NBR - 50.
027200*
027300**********************
027400*    SEND THE MAP    *
027500**********************
027600*
027700     MOVE 'BM01'                 TO MBCA-PROGRAM-LOCATION.
027800*
027900     PERFORM MB60PD-SEND-MAP-WITH-ERASE
028000                                 THRU MB60PD-SMWE-EXIT.
028100*
028200************************
028300*    RETURN TO CICS    *
028400************************
028500*
028600     MOVE 'PC02'                 TO MBCA-PROGRAM-LOCATION.
028700     PERFORM MB70PD-RETURN-TRANS-ID
028800                                 THRU MB70PD-RTI-EXIT.
028900/
029000 C000-RECEIVE-SCREEN SECTION.
029100*
029200******************************************
029300*    THIS SECTION RECEIVES THE SCREEN    *
029400******************************************
029500*
029600     IF  MBCA-MBUI-UI-YES
029700*
029800****************************************************************
029900*    ACQUIRE MAIN STORAGE FOR TEMP STORAGE RECORD              *
030000****************************************************************
030100*
030200         MOVE 'TS01'             TO MBCA-PROGRAM-LOCATION
030300         EXEC CICS GETMAIN
030400                   FLENGTH (LENGTH  OF MBUITS-RECORD)
030500
030600                   SET     (ADDRESS OF MBUITS-RECORD)
030700
030800              END-EXEC
030900*
031000***********************************************
031100*    READ THE TEMP STORAGE RECORD             *
031200***********************************************
031300*
031400         MOVE 'TS02'             TO MBCA-PROGRAM-LOCATION
031500*
031600         EXEC CICS READQ TS
031700                   QUEUE   (TS-QUEUE-NAME)
031800                   INTO    (MBUITS-RECORD)
031900                   LENGTH  (LENGTH  OF MBUITS-RECORD)
032000                   ITEM    (1)
032100              END-EXEC
032200*
032300***********************************************
032400*    DELETE THE TEMP STORAGE RECORD           *
032500***********************************************
032600*
032700         MOVE 'TS03'             TO MBCA-PROGRAM-LOCATION
032800*
032900         EXEC CICS IGNORE CONDITION
033000                   QIDERR
033100              END-EXEC
033200*
033300         EXEC CICS DELETEQ TS
033400                   QUEUE  (TS-QUEUE-NAME)
033500              END-EXEC
033600         MOVE 'SC02'             TO MBCA-PROGRAM-LOCATION
033700         PERFORM MB60PD-GETMAIN-FOR-MAP
033800                                 THRU MB60PD-GFM-EXIT
033900         MOVE MBUITS-VAR-DATA    TO MBMS03I
034000     ELSE
034100         MOVE 'BM02'             TO MBCA-PROGRAM-LOCATION
034200         PERFORM MB60PD-RECEIVE-MAP
034300                                 THRU MB60PD-RM-EXIT.
034400*
034500**************************************************************
034600*    CHECK FOR ANOTHER TRANSACTION ID ENTERED BY THE USER    *
034700**************************************************************
034800*
034900     MOVE 'PC03'                 TO MBCA-PROGRAM-LOCATION.
035000     PERFORM MB60PD-NEW-TRANS-ROUTINE
035100                                 THRU MB60PD-NTR-EXIT.
035200*
035300*****************************************
035400*    READ THE STORE MASTER RECORD       *
035500*****************************************
035600*
035700     IF  MBCA-PTI-FUNCTION-IS-ADD
035800     AND MBCA-MBUI-UI-YES
035900     AND MBCA-MBUI-UI-UPDATE-NO
036000         MOVE 'SC03'             TO MBCA-PROGRAM-LOCATION
036100         SET MBIORO-GETMAIN      TO TRUE
036200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
036300         MOVE MMSMIR-RECORD      TO MMSM-RECORD
036400     ELSE
036500         MOVE SS08WS-CICS-FC-NOTFND TO MBIORO-TEMP-STATUS-1
036600         MOVE MBCA-MERCHANT-ORG  TO MBIOWS-MMSM-ORG
036700                                    MS03-ORG
036800         MOVE MBCA-STORE         TO MBIOWS-MMSM-STORE
036900                                    MS03-STORE
037000         MOVE 'FC03'             TO MBCA-PROGRAM-LOCATION
037100         SET MBIORO-READ-RANDOM  TO TRUE
037200         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
037300         IF  SS08WS-RC-FC-NOTFND
037400         AND MBCA-MBUI-UI-YES
037500             MOVE 'MBUI'         TO MBCA-TRANS-ID
037600                                    MBCA-PREV-TRANS-ID
037700             MOVE 01             TO MBCA-SCREEN-NBR
037800             MOVE 'STR'          TO MS03-FILLER
037900             SET MBCA-MBUI-ERROR-YES
038000                                 TO TRUE
038100             GO TO F000-SETUP-COMMAREA.
038200*
038300     IF (MBCA-PTI-FUNCTION-IS-MAINT
038400     AND MBCA-MBUI-UI-YES
038500     AND (MMSM-REC-PURGED
038600       OR MMSM-REC-INCOMPLETE))
038700     OR
038800        (MBCA-PTI-FUNCTION-IS-ADD
038900     AND MBCA-MBUI-UI-YES
039000     AND MMSM-REC-PURGED)
039100         MOVE 'MBUI'             TO MBCA-TRANS-ID
039200                                    MBCA-PREV-TRANS-ID
039300         MOVE 01                 TO MBCA-SCREEN-NBR
039400         MOVE 'STR'              TO MS03-FILLER
039500         SET MBCA-MBUI-ERROR-YES
039600                                 TO TRUE
039700         GO TO F000-SETUP-COMMAREA.
039800*
039900****************************************************
040000*    BYPASS ALL SCREEN EDITS IF THIS IS INQIURY    *
040100****************************************************
040200*
040300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
040400         GO TO F000-SETUP-COMMAREA.
040500*
040600*********************************************
040700*    MOVE THE PRIMARY NAME TO THE SCREEN    *
040800*********************************************
040900*
041000     MOVE MMSM-NA-LINE (1 1)     TO MS03-STORE-NAME.
041100*
041200****************************************
041300*    READ THE FIELD SECURITY RECORD    *
041400****************************************
041500*
041600     MOVE 'FC04'                 TO MBCA-PROGRAM-LOCATION.
041700     PERFORM Y900-READ-MMFS      THRU Y909-READ-MMFS-EXIT.
041800*
041900 C020-FIELD-EDITS.
042000*
042100*********************
042200*    FIELD EDITS    *
042300*********************
042400*
042500     PERFORM W010-EDIT-CONTACT1-NAME
042600                                 THRU W019-EC1N-EXIT.
042700*
042800     PERFORM W020-EDIT-CONTACT1-TITLE
042900                                 THRU W029-EC1T-EXIT.
043000*
043100     PERFORM W030-EDIT-CONTACT1-PHONE
043200                                 THRU W039-EC1P-EXIT.
043300*
043400     PERFORM W040-EDIT-CONTACT1-FAX
043500                                 THRU W049-EC1F-EXIT.
043600*
043700     PERFORM W050-EDIT-CONTACT2-NAME
043800                                 THRU W059-EC2N-EXIT.
043900*
044000     PERFORM W060-EDIT-CONTACT2-TITLE
044100                                 THRU W069-EC2T-EXIT.
044200*
044300     PERFORM W070-EDIT-CONTACT2-PHONE
044400                                 THRU W079-EC2P-EXIT.
044500*
044600     PERFORM W080-EDIT-CONTACT2-FAX
044700                                 THRU W089-EC2F-EXIT.
044800*
044900     PERFORM W090-EDIT-CONTACT3-NAME
045000                                 THRU W099-EC3N-EXIT.
045100*
045200     PERFORM W100-EDIT-CONTACT3-TITLE
045300                                 THRU W109-EC3T-EXIT.
045400*
045500     PERFORM W110-EDIT-CONTACT3-PHONE
045600                                 THRU W119-EC3P-EXIT.
045700*
045800     PERFORM W120-EDIT-CONTACT3-FAX
045900                                 THRU W129-EC3F-EXIT.
046000*
046100     PERFORM W130-EDIT-CONTACT4-NAME
046200                                 THRU W139-EC4N-EXIT.
046300*
046400     PERFORM W140-EDIT-CONTACT4-TITLE
046500                                 THRU W149-EC4T-EXIT.
046600*
046700     PERFORM W150-EDIT-CONTACT4-PHONE
046800                                 THRU W159-EC4P-EXIT.
046900*
047000     PERFORM W160-EDIT-CONTACT4-FAX
047100                                 THRU W169-EC4F-EXIT.
047110*                                                                 RG802901
047120     PERFORM W180-EDIT-URL-EMAIL THRU W189-EXIT.                  RG802901
047200*
047300     PERFORM W170-EDIT-MEMOS     THRU W179-EM-EXIT.
047400/
047500 D000-RETURN-ERRORS SECTION.
047600*
047700     IF  SS08WS-ERROR IS EQUAL TO 'N'
047800         GO TO E000-UPDATE-FILE.
047900*
048000     IF  MBCA-MBUI-UI-YES
048100         MOVE 'MBUI'             TO MBCA-TRANS-ID
048200                                    MBCA-PREV-TRANS-ID
048300         MOVE 01                 TO MBCA-SCREEN-NBR
048400         SET MBCA-MBUI-ERROR-YES TO TRUE
048500         GO TO F000-SETUP-COMMAREA.
048600*
048700***************************************************************
048800*    INITIALIZE THE STANDARD MAP LINES.  IN AN ERROR          *
048900*    CONDITION, THIS ROUTINE IS PERFORMED PRIMARILY           *
049000*    TO UPDATE THE DATE AND TIME ON THE SCREEN.               *
049100***************************************************************
049200*
049300     PERFORM MB60PD-INIT-STD-MAP-LINES
049400                                 THRU MB60PD-ISML-EXIT.
049500*
049600**********************
049700*    SEND THE MAP    *
049800**********************
049900*
050000     MOVE 'BM03'                 TO MBCA-PROGRAM-LOCATION.
050100     PERFORM MB60PD-SEND-MAP-DATA-ONLY
050200                                 THRU MB60PD-SMDO-EXIT.
050300*
050400************************
050500*    RETURN TO CICS    *
050600************************
050700*
050800     MOVE 'PC04'                 TO MBCA-PROGRAM-LOCATION.
050900     PERFORM MB70PD-RETURN-TRANS-ID
051000                                 THRU MB70PD-RTI-EXIT.
051100/
051200 E000-UPDATE-FILE SECTION.
051300*
051400     IF  MBCA-MBUI-UI-YES
051500         SET MBCA-MBUI-ERROR-NO  TO TRUE.
051600*
051700     IF  MBCA-MBUI-UI-YES
051800     AND MBCA-MBUI-UI-UPDATE-NO
051900         GO TO F000-SETUP-COMMAREA.
052000*
052100****************************************************
052200*    READ THE STORE MASTER RECORD FOR UPDATE       *
052300****************************************************
052400*
052500     MOVE 'FC05'                 TO MBCA-PROGRAM-LOCATION.
052600     SET MBIORO-READ-RANDOM-UPDATE
052700                                 TO TRUE.
052800     PERFORM MMSMAO-ACCESS       THRU MMSMAO-ACCESS-EXIT.
052900*
053000*************************************
053100*    OBTAIN STORAGE FOR LOG FILE    *
053200*    RECORD IF DOING MAINTENANCE    *
053300*************************************
053400*
053500     IF  MBCA-PTI-FUNCTION-IS-ADD
053600         GO TO E020-UPDATE-FIELDS.
053700*
053800     MOVE 'SC04'                 TO MBCA-PROGRAM-LOCATION.
053900     SET MBIORO-GETMAIN          TO TRUE.
054000     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
054100*
054200*************************************************
054300*    SET UP THE COMMON PORTION OF THE RECORD    *
054400*************************************************
054500*
054600     MOVE 'SM'                   TO MML1-FILE-CODE.
054700     MOVE MBCA-MERCHANT-ORG      TO MML1-MMSM-ORG.
054800     MOVE MBCA-STORE             TO MML1-MMSM-STORE.
054900     MOVE MBCA-SIGNON-NAME       TO MML1-SIGNON-NAME.
055000     MOVE MBCA-TERMINAL-ID       TO MML1-TERMINAL-ID.
055100     MOVE ZEROS                  TO MML1-SOURCE-CODE.
055200     MOVE MBCA-FIELD-SECURITY    TO MML1-FIELD-SECURITY.
055300*
055400 E020-UPDATE-FIELDS.
055500*
055600     PERFORM X010-UPDATE-CONTACT1-NAME
055700                                 THRU X019-UC1N-EXIT.
055800*
055900     PERFORM X020-UPDATE-CONTACT1-TITLE
056000                                 THRU X029-UC1T-EXIT.
056100*
056200     PERFORM X030-UPDATE-CONTACT1-PHONE
056300                                 THRU X039-UC1P-EXIT.
056400*
056500     PERFORM X040-UPDATE-CONTACT1-FAX
056600                                 THRU X049-UC1F-EXIT.
056700*
056800     PERFORM X050-UPDATE-CONTACT2-NAME
056900                                 THRU X059-UC2N-EXIT.
057000*
057100     PERFORM X060-UPDATE-CONTACT2-TITLE
057200                                 THRU X069-UC2T-EXIT.
057300*
057400     PERFORM X070-UPDATE-CONTACT2-PHONE
057500                                 THRU X079-UC2P-EXIT.
057600*
057700     PERFORM X080-UPDATE-CONTACT2-FAX
057800                                 THRU X089-UC2F-EXIT.
057900*
058000     PERFORM X090-UPDATE-CONTACT3-NAME
058100                                 THRU X099-UC3N-EXIT.
058200*
058300     PERFORM X100-UPDATE-CONTACT3-TITLE
058400                                 THRU X109-UC3T-EXIT.
058500*
058600     PERFORM X110-UPDATE-CONTACT3-PHONE
058700                                 THRU X119-UC3P-EXIT.
058800*
058900     PERFORM X120-UPDATE-CONTACT3-FAX
059000                                 THRU X129-UC3F-EXIT.
059100*
059200     PERFORM X130-UPDATE-CONTACT4-NAME
059300                                 THRU X139-UC4N-EXIT.
059400*
059500     PERFORM X140-UPDATE-CONTACT4-TITLE
059600                                 THRU X149-UC4T-EXIT.
059700*
059800     PERFORM X150-UPDATE-CONTACT4-PHONE
059900                                 THRU X159-UC4P-EXIT.
060000*
060100     PERFORM X160-UPDATE-CONTACT4-FAX
060200                                 THRU X169-UC4F-EXIT.
060210*                                                                 RG802901
060220     PERFORM X180-UPDATE-URL-EMAIL                                RG802901
060230                                 THRU X189-EXIT.                  RG802901
060300*
060400     PERFORM X170-UPDATE-MEMOS   THRU X179-UM-EXIT.
060500*
060600 E040-UPDATE-MMSM.
060700*
060800     IF  MBCA-PTI-FUNCTION-IS-ADD
060900         MOVE MBCA-SCREEN-NBR    TO MMSM-ONLINE-STATUS
061000         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
061100         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
061200         MOVE 'Y'                TO WS-UPDATE-SW.
061300*
061400**************************************************************
061500*    WRITE A LOG RECORD TO SHOW THAT THE LAST MAINT DATE     *
061600*    AND OPERATOR HAS BEEN UPDATED IF FIELDS WERE CHANGED    *
061700*    ON THE SCREEN                                           *
061800**************************************************************
061900*
062000     IF  MBCA-PTI-FUNCTION-IS-MAINT
062100     AND FIELDS-WERE-UPDATED
062200         MOVE 0198               TO MML1-FIELD-CODE
062300         MOVE ZEROES             TO MML1-FIELD-OCCURRENCE
062400                                    MML1-FIELD-OCCURRENCE-2
062500         MOVE MML1WS-VL-03       TO MML1-VARIABLE-LENGTH
062600         MOVE MMSM-LAST-MAINT-OPER
062700                                 TO MML1-VL03-B-DATA-X
062800         MOVE MBCA-OPERATOR-ID   TO MMSM-LAST-MAINT-OPER
062900         MOVE MMSM-LAST-MAINT-OPER
063000                                 TO MML1-VL03-A-DATA-X
063100         MOVE 'FC06'             TO MBCA-PROGRAM-LOCATION
063200         PERFORM Y910-WRITE-LOG-RECORD
063300                                 THRU Y919-WLR-EXIT
063400         MOVE 0199               TO MML1-FIELD-CODE
063500         MOVE MML1WS-VL-07       TO MML1-VARIABLE-LENGTH
063600         MOVE MMSM-LAST-MAINT-DATE
063700                                 TO MML1-VL07-B-DATA-9
063800         MOVE MBCA-START-DATE    TO MMSM-LAST-MAINT-DATE
063900         MOVE MMSM-LAST-MAINT-DATE
064000                                 TO MML1-VL07-A-DATA-9
064100         MOVE 'FC07'             TO MBCA-PROGRAM-LOCATION
064200         PERFORM Y910-WRITE-LOG-RECORD
064300                                 THRU Y919-WLR-EXIT.
064400*
064500****************************************************
064600*    REWRITE THE STORE MASTER RECORD IF            *
064700*    FIELDS HAVE BEEN CHANGED ON THE SCREEN, OR    *
064800*    UNLOCK IT IF THEY HAVE NOT                    *
064900****************************************************
065000*
065100     IF  FIELDS-WERE-UPDATED
065200         MOVE 'FC08'             TO MBCA-PROGRAM-LOCATION
065300         SET MBIORO-REWRITE      TO TRUE
065400         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT
065500     ELSE
065600         MOVE 'FC09'             TO MBCA-PROGRAM-LOCATION
065700         SET MBIORO-UNLOCK       TO TRUE
065800         PERFORM MMSMAO-ACCESS   THRU MMSMAO-ACCESS-EXIT.
065900/
066000 F000-SETUP-COMMAREA SECTION.
066100*
066200***************************************************************
066300*  SET UP COMMAREA FIELDS AND TRANSFER TO THE NEXT PROGRAM    *
066400***************************************************************
066500*
066600     MOVE MBCA-EIBAID            TO SS08WS-EIBAID.
066700*
066800     PERFORM MB60PD-EDIT-PAGE-NBR
066900                                 THRU MB60PD-EPN-EXIT.
067000*
067100     IF  SS08WS-VALID-PF-KEY
067200     OR  SS08WS-EIBAID-VALID-PF-KEY
067300         MOVE 99                 TO MBCA-SCREEN-NBR.
067400*
067500     IF  SS08WS-VALID-PF5
067600     OR  SS08WS-EIBAID-VALID-PF5
067700         MOVE MMSM-MERCHANT-ID   TO MBCA-MERCHANT.
067800*
067900     IF  MBCA-MBUI-UI-YES
068000         MOVE 'MBUI'             TO MBCA-TRANS-ID
068100                                    MBCA-PREV-TRANS-ID
068200         MOVE 01                 TO MBCA-SCREEN-NBR
068300         MOVE MBMS03I            TO MBUITS-VAR-DATA
068400         MOVE LENGTH OF MBMS03I  TO MBUITS-VAR-LENGTH
068500         MOVE 'TS10'             TO MBCA-PROGRAM-LOCATION
068600         EXEC CICS WRITEQ TS
068700                   QUEUE   (TS-QUEUE-NAME)
068800                   FROM    (MBUITS-RECORD)
068900                   LENGTH  (LENGTH  OF MBUITS-RECORD)
069000
069100              END-EXEC.
069200*
069300     MOVE 'PC05'                 TO MBCA-PROGRAM-LOCATION.
069400     PERFORM MB70PD-XCTL-TO-MBOXCTL
069500                                 THRU MB70PD-XTM-EXIT.
069600/
069700 W000-FIELD-EDITS SECTION.
069800*
069900**********************************************************
070000*    EACH FIELD IS CODED IN A SEPERATE ROUTINE, AND      *
070100*    IN A LIKE MANNER.  THE COMMENTS FOR THE FLOW OF     *
070200*    THE EDIT ROUTINES CAN BE FOUND IN ROUTINES          *
070300*    'W010-EDIT-CONTACT1-NAME' THRU 'W019-EC1N-EXIT'.    *
070400*    EACH ROUTINE MAY CONTAIN COMMENTS, BUT THEY ARE     *
070500*    UNIQUE TO THAT ROUTINE.                             *
070600**********************************************************
070700*
070800 W010-EDIT-CONTACT1-NAME.
070900*
071000******************************************
071100*    SET THE FIELD SECURITY, STORE       *
071200*    RECORD, AND MAP INDEXES.            *
071300******************************************
071400*
071500     MOVE MMSMTB-CONTACT-NAME-1 (1:4)
071600                                 TO WS-INDEX-X.
071700     SET  X-MMFS-STORE           TO WS-INDEX.
071800     SET  X-MMSM-CONTACT         TO 1.
071900     SET  X-MS03-CONTACT         TO 1.
072000*
072100**************************************************
072200*    SET THE FIELD ATTRIBUTES TO THE STATE IN    *
072300*    WHICH THEY WOULD BE IF ALL EDITS WERE OK    *
072400**************************************************
072500*
072600     MOVE DFHBMDAS               TO MS03-CONTACT-NAME-LP-A
072700                                        (X-MS03-CONTACT)
072800                                    MS03-CONTACT-NAME-RP-A
072900                                        (X-MS03-CONTACT).
073000     MOVE DFHBMASK               TO MS03-CONTACT-NAME-A
073100                                        (X-MS03-CONTACT).
073200*
073300************************************************************
073400*    THE SECURITY ROUTINE IS PERFORMED TO SET THE FIELD    *
073500*    ATTRIBUTES ACCORDING TO THE SECURITY PROFILE.  IT     *
073600*    WAS ALSO PERFORMED IN THE B000-SEND-SCREEN SECTION    *
073700*    OF THIS PROGRAM.  IF THIS FIELD IS (OR WAS)           *
073800*    PROTECTED AS A RESULT OF THIS ROUTINE, THE LENGTH     *
073900*    RETURNED WILL BE ZERO.                                *
074000************************************************************
074100*
074200     PERFORM Y015-CONTACT1-NAME-SECURITY
074300                                 THRU Y019-EXIT.
074400*
074500************************
074600*    EDIT THE FIELD    *
074700************************
074800*
074900     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
075000         IS GREATER THAN ZERO
075100         MOVE DFHBMASF           TO MS03-CONTACT-NAME-A
075200                                        (X-MS03-CONTACT)
075300         GO TO W019-EC1N-EXIT
075400     ELSE
075500         MOVE MMSM-CONTACT (X-MMSM-CONTACT)
075600                                 TO MS03-CONTACT-NAME
075700                                        (X-MS03-CONTACT).
075800*
075900     IF  MBCA-PTI-FUNCTION-IS-MAINT
076000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
076100         GO TO W019-EC1N-EXIT.
076200*
076300 W018-CONTACT1-NAME-ERROR.
076400*
076500*******************************************************
076600*    THE FIELD IS IN ERROR.  SET THE ERROR SWITCH,    *
076700*    BRIGHTEN THE PARENS, AND BRIGHTEN AND FSET       *
076800*    THE DATA ELEMENT.                                *
076900*******************************************************
077000*
077100     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
077200         IS GREATER THAN ZERO
077300         MOVE DFHBMUBF           TO MS03-CONTACT-NAME-A
077400                                        (X-MS03-CONTACT)
077500     ELSE
077600         MOVE DFHBMBRY           TO MS03-CONTACT-NAME-A
077700                                        (X-MS03-CONTACT).
077800*
077900     MOVE 'Y'                    TO SS08WS-ERROR.
078000     MOVE DFHBMASB               TO MS03-CONTACT-NAME-LP-A
078100                                        (X-MS03-CONTACT)
078200                                    MS03-CONTACT-NAME-RP-A
078300                                        (X-MS03-CONTACT).
078400     MOVE SS08WS-CURSOR          TO MS03-CONTACT-NAME-L
078500                                        (X-MS03-CONTACT).
078600*
078700 W019-EC1N-EXIT.
078800     EXIT.
078900*
079000 W020-EDIT-CONTACT1-TITLE.
079100*
079200     MOVE MMSMTB-CONTACT-TITLE-1 (1:4)
079300                                 TO WS-INDEX-X.
079400     SET  X-MMFS-STORE           TO WS-INDEX.
079500     SET  X-MMSM-CONTACT         TO 1.
079600     SET  X-MS03-CONTACT         TO 1.
079700*
079800     MOVE DFHBMDAS               TO MS03-CONTACT-TITLE-LP-A
079900                                        (X-MS03-CONTACT)
080000                                    MS03-CONTACT-TITLE-RP-A
080100                                        (X-MS03-CONTACT).
080200     MOVE DFHBMASK               TO MS03-CONTACT-TITLE-A
080300                                        (X-MS03-CONTACT).
080400*
080500     PERFORM Y025-CONTACT1-TITLE-SECURITY
080600                                 THRU Y029-EXIT.
080700*
080800     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
080900         IS GREATER THAN ZERO
081000         MOVE DFHBMASF           TO MS03-CONTACT-TITLE-A
081100                                        (X-MS03-CONTACT)
081200         GO TO W029-EC1T-EXIT
081300     ELSE
081400         MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
081500                                 TO MS03-CONTACT-TITLE
081600                                        (X-MS03-CONTACT).
081700*
081800     IF  MBCA-PTI-FUNCTION-IS-MAINT
081900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
082000         GO TO W029-EC1T-EXIT.
082100*
082200 W028-CONTACT1-TITLE-ERROR.
082300*
082400     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
082500         IS GREATER THAN ZERO
082600         MOVE DFHBMUBF           TO MS03-CONTACT-TITLE-A
082700                                        (X-MS03-CONTACT)
082800     ELSE
082900         MOVE DFHBMBRY           TO MS03-CONTACT-TITLE-A
083000                                        (X-MS03-CONTACT).
083100*
083200     MOVE 'Y'                    TO SS08WS-ERROR.
083300     MOVE DFHBMASB               TO MS03-CONTACT-TITLE-LP-A
083400                                        (X-MS03-CONTACT)
083500                                    MS03-CONTACT-TITLE-RP-A
083600                                        (X-MS03-CONTACT).
083700     MOVE SS08WS-CURSOR          TO MS03-CONTACT-TITLE-L
083800                                        (X-MS03-CONTACT).
083900*
084000 W029-EC1T-EXIT.
084100     EXIT.
084200*
084300 W030-EDIT-CONTACT1-PHONE.
084400*
084500     MOVE MMSMTB-CONTACT-PHONE-1 (1:4)
084600                                 TO WS-INDEX-X.
084700     SET  X-MMFS-STORE           TO WS-INDEX.
084800     SET  X-MMSM-CONTACT         TO 1.
084900     SET  X-MS03-CONTACT         TO 1.
085000*
085100     MOVE DFHBMDAS               TO MS03-CONTACT-PHONE-LP-A
085200                                        (X-MS03-CONTACT)
085300                                    MS03-CONTACT-PHONE-RP-A
085400                                        (X-MS03-CONTACT).
085500     MOVE DFHBMASK               TO MS03-CONTACT-PHONE-A
085600                                        (X-MS03-CONTACT).
085700*
085800     PERFORM Y035-CONTACT1-PHONE-SECURITY
085900                                 THRU Y039-EXIT.
086000*
086100     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
086200         IS GREATER THAN ZERO
086300         MOVE DFHBMASF           TO MS03-CONTACT-PHONE-A
086400                                        (X-MS03-CONTACT)
086500     ELSE
086600         MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
086700                                 TO MS03-CONTACT-PHONE
086800                                        (X-MS03-CONTACT).
086900*
087000     IF  MBCA-PTI-FUNCTION-IS-MAINT
087100     OR  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
087200         IS GREATER THAN ZERO
087300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
087400         GO TO W039-EC1P-EXIT.
087500*
087600 W038-CONTACT1-PHONE-ERROR.
087700*
087800     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
087900         IS GREATER THAN ZERO
088000         MOVE DFHBMUBF           TO MS03-CONTACT-PHONE-A
088100                                        (X-MS03-CONTACT)
088200     ELSE
088300         MOVE DFHBMBRY           TO MS03-CONTACT-PHONE-A
088400                                        (X-MS03-CONTACT).
088500*
088600     MOVE 'Y'                    TO SS08WS-ERROR.
088700     MOVE DFHBMASB               TO MS03-CONTACT-PHONE-LP-A
088800                                        (X-MS03-CONTACT)
088900                                    MS03-CONTACT-PHONE-RP-A
089000                                        (X-MS03-CONTACT).
089100     MOVE SS08WS-CURSOR          TO MS03-CONTACT-PHONE-L
089200                                        (X-MS03-CONTACT).
089300*
089400 W039-EC1P-EXIT.
089500     EXIT.
089600*
089700 W040-EDIT-CONTACT1-FAX.
089800*
089900     MOVE MMSMTB-CONTACT-FAX-1 (1:4)
090000                                 TO WS-INDEX-X.
090100     SET  X-MMFS-STORE           TO WS-INDEX.
090200     SET  X-MMSM-CONTACT         TO 1.
090300     SET  X-MS03-CONTACT         TO 1.
090400*
090500     MOVE DFHBMDAS               TO MS03-CONTACT-FAX-LP-A
090600                                        (X-MS03-CONTACT)
090700                                    MS03-CONTACT-FAX-RP-A
090800                                        (X-MS03-CONTACT).
090900     MOVE DFHBMASK               TO MS03-CONTACT-FAX-A
091000                                        (X-MS03-CONTACT).
091100*
091200     PERFORM Y045-CONTACT1-FAX-SECURITY
091300                                 THRU Y049-EXIT.
091400*
091500     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
091600         IS GREATER THAN ZERO
091700         MOVE DFHBMASF           TO MS03-CONTACT-FAX-A
091800                                        (X-MS03-CONTACT)
091900     ELSE
092000         MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
092100                                 TO MS03-CONTACT-FAX
092200                                        (X-MS03-CONTACT).
092300*
092400     IF  MBCA-PTI-FUNCTION-IS-MAINT
092500     OR  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
092600         IS GREATER THAN ZERO
092700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
092800         GO TO W049-EC1F-EXIT.
092900*
093000 W048-CONTACT1-FAX-ERROR.
093100*
093200     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
093300         IS GREATER THAN ZERO
093400         MOVE DFHBMUBF           TO MS03-CONTACT-FAX-A
093500                                        (X-MS03-CONTACT)
093600     ELSE
093700         MOVE DFHBMBRY           TO MS03-CONTACT-FAX-A
093800                                        (X-MS03-CONTACT).
093900*
094000     MOVE 'Y'                    TO SS08WS-ERROR.
094100     MOVE DFHBMASB               TO MS03-CONTACT-FAX-LP-A
094200                                        (X-MS03-CONTACT)
094300                                    MS03-CONTACT-FAX-RP-A
094400                                        (X-MS03-CONTACT).
094500     MOVE SS08WS-CURSOR          TO MS03-CONTACT-FAX-L
094600                                        (X-MS03-CONTACT).
094700*
094800 W049-EC1F-EXIT.
094900     EXIT.
095000*
095100 W050-EDIT-CONTACT2-NAME.
095200*
095300     MOVE MMSMTB-CONTACT-NAME-2 (1:4)
095400                                 TO WS-INDEX-X.
095500     SET  X-MMFS-STORE           TO WS-INDEX.
095600     SET  X-MMSM-CONTACT         TO 2.
095700     SET  X-MS03-CONTACT         TO 2.
095800*
095900     MOVE DFHBMDAS               TO MS03-CONTACT-NAME-LP-A
096000                                        (X-MS03-CONTACT)
096100                                    MS03-CONTACT-NAME-RP-A
096200                                        (X-MS03-CONTACT).
096300     MOVE DFHBMASK               TO MS03-CONTACT-NAME-A
096400                                        (X-MS03-CONTACT).
096500*
096600     PERFORM Y055-CONTACT2-NAME-SECURITY
096700                                 THRU Y059-EXIT.
096800*
096900     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
097000         IS GREATER THAN ZERO
097100         MOVE DFHBMASF           TO MS03-CONTACT-NAME-A
097200                                        (X-MS03-CONTACT)
097300         GO TO W059-EC2N-EXIT
097400     ELSE
097500         MOVE MMSM-CONTACT (X-MMSM-CONTACT)
097600                                 TO MS03-CONTACT-NAME
097700                                        (X-MS03-CONTACT).
097800*
097900     IF  MBCA-PTI-FUNCTION-IS-MAINT
098000     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
098100         GO TO W059-EC2N-EXIT.
098200*
098300 W058-CONTACT2-NAME-ERROR.
098400*
098500     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
098600         IS GREATER THAN ZERO
098700         MOVE DFHBMUBF           TO MS03-CONTACT-NAME-A
098800                                        (X-MS03-CONTACT)
098900     ELSE
099000         MOVE DFHBMBRY           TO MS03-CONTACT-NAME-A
099100                                        (X-MS03-CONTACT).
099200*
099300     MOVE 'Y'                    TO SS08WS-ERROR.
099400     MOVE DFHBMASB               TO MS03-CONTACT-NAME-LP-A
099500                                        (X-MS03-CONTACT)
099600                                    MS03-CONTACT-NAME-RP-A
099700                                        (X-MS03-CONTACT).
099800     MOVE SS08WS-CURSOR          TO MS03-CONTACT-NAME-L
099900                                        (X-MS03-CONTACT).
100000*
100100 W059-EC2N-EXIT.
100200     EXIT.
100300*
100400 W060-EDIT-CONTACT2-TITLE.
100500*
100600     MOVE MMSMTB-CONTACT-TITLE-2 (1:4)
100700                                 TO WS-INDEX-X.
100800     SET  X-MMFS-STORE           TO WS-INDEX.
100900     SET  X-MMSM-CONTACT         TO 2.
101000     SET  X-MS03-CONTACT         TO 2.
101100*
101200     MOVE DFHBMDAS               TO MS03-CONTACT-TITLE-LP-A
101300                                        (X-MS03-CONTACT)
101400                                    MS03-CONTACT-TITLE-RP-A
101500                                        (X-MS03-CONTACT).
101600     MOVE DFHBMASK               TO MS03-CONTACT-TITLE-A
101700                                        (X-MS03-CONTACT).
101800*
101900     PERFORM Y065-CONTACT2-TITLE-SECURITY
102000                                 THRU Y069-EXIT.
102100*
102200     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
102300         IS GREATER THAN ZERO
102400         MOVE DFHBMASF           TO MS03-CONTACT-TITLE-A
102500                                        (X-MS03-CONTACT)
102600         GO TO W069-EC2T-EXIT
102700     ELSE
102800         MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
102900                                 TO MS03-CONTACT-TITLE
103000                                        (X-MS03-CONTACT).
103100*
103200     IF  MBCA-PTI-FUNCTION-IS-MAINT
103300     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
103400         GO TO W069-EC2T-EXIT.
103500*
103600 W068-CONTACT2-TITLE-ERROR.
103700*
103800     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
103900         IS GREATER THAN ZERO
104000         MOVE DFHBMUBF           TO MS03-CONTACT-TITLE-A
104100                                        (X-MS03-CONTACT)
104200     ELSE
104300         MOVE DFHBMBRY           TO MS03-CONTACT-TITLE-A
104400                                        (X-MS03-CONTACT).
104500*
104600     MOVE 'Y'                    TO SS08WS-ERROR.
104700     MOVE DFHBMASB               TO MS03-CONTACT-TITLE-LP-A
104800                                        (X-MS03-CONTACT)
104900                                    MS03-CONTACT-TITLE-RP-A
105000                                        (X-MS03-CONTACT).
105100     MOVE SS08WS-CURSOR          TO MS03-CONTACT-TITLE-L
105200                                        (X-MS03-CONTACT).
105300*
105400 W069-EC2T-EXIT.
105500     EXIT.
105600*
105700 W070-EDIT-CONTACT2-PHONE.
105800*
105900     MOVE MMSMTB-CONTACT-PHONE-2 (1:4)
106000                                 TO WS-INDEX-X.
106100     SET  X-MMFS-STORE           TO WS-INDEX.
106200     SET  X-MMSM-CONTACT         TO 2.
106300     SET  X-MS03-CONTACT         TO 2.
106400*
106500     MOVE DFHBMDAS               TO MS03-CONTACT-PHONE-LP-A
106600                                        (X-MS03-CONTACT)
106700                                    MS03-CONTACT-PHONE-RP-A
106800                                        (X-MS03-CONTACT).
106900     MOVE DFHBMASK               TO MS03-CONTACT-PHONE-A
107000                                        (X-MS03-CONTACT).
107100*
107200     PERFORM Y075-CONTACT2-PHONE-SECURITY
107300                                 THRU Y079-EXIT.
107400*
107500     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
107600         IS GREATER THAN ZERO
107700         MOVE DFHBMASF           TO MS03-CONTACT-PHONE-A
107800                                        (X-MS03-CONTACT)
107900     ELSE
108000         MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
108100                                 TO MS03-CONTACT-PHONE
108200                                        (X-MS03-CONTACT).
108300*
108400     IF  MBCA-PTI-FUNCTION-IS-MAINT
108500     OR  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
108600         IS GREATER THAN ZERO
108700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
108800         GO TO W079-EC2P-EXIT.
108900*
109000 W078-CONTACT2-PHONE-ERROR.
109100*
109200     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
109300         IS GREATER THAN ZERO
109400         MOVE DFHBMUBF           TO MS03-CONTACT-PHONE-A
109500                                        (X-MS03-CONTACT)
109600     ELSE
109700         MOVE DFHBMBRY           TO MS03-CONTACT-PHONE-A
109800                                        (X-MS03-CONTACT).
109900*
110000     MOVE 'Y'                    TO SS08WS-ERROR.
110100     MOVE DFHBMASB               TO MS03-CONTACT-PHONE-LP-A
110200                                        (X-MS03-CONTACT)
110300                                    MS03-CONTACT-PHONE-RP-A
110400                                        (X-MS03-CONTACT).
110500     MOVE SS08WS-CURSOR          TO MS03-CONTACT-PHONE-L
110600                                        (X-MS03-CONTACT).
110700*
110800 W079-EC2P-EXIT.
110900     EXIT.
111000*
111100 W080-EDIT-CONTACT2-FAX.
111200*
111300     MOVE MMSMTB-CONTACT-FAX-2 (1:4)
111400                                 TO WS-INDEX-X.
111500     SET  X-MMFS-STORE           TO WS-INDEX.
111600     SET  X-MMSM-CONTACT         TO 2.
111700     SET  X-MS03-CONTACT         TO 2.
111800*
111900     MOVE DFHBMDAS               TO MS03-CONTACT-FAX-LP-A
112000                                        (X-MS03-CONTACT)
112100                                    MS03-CONTACT-FAX-RP-A
112200                                        (X-MS03-CONTACT).
112300     MOVE DFHBMASK               TO MS03-CONTACT-FAX-A
112400                                        (X-MS03-CONTACT).
112500*
112600     PERFORM Y085-CONTACT2-FAX-SECURITY
112700                                 THRU Y089-EXIT.
112800*
112900     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
113000         IS GREATER THAN ZERO
113100         MOVE DFHBMASF           TO MS03-CONTACT-FAX-A
113200                                        (X-MS03-CONTACT)
113300     ELSE
113400         MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
113500                                 TO MS03-CONTACT-FAX
113600                                        (X-MS03-CONTACT).
113700*
113800     IF  MBCA-PTI-FUNCTION-IS-MAINT
113900     OR  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
114000         IS GREATER THAN ZERO
114100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
114200         GO TO W089-EC2F-EXIT.
114300*
114400 W088-CONTACT2-FAX-ERROR.
114500*
114600     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
114700         IS GREATER THAN ZERO
114800         MOVE DFHBMUBF           TO MS03-CONTACT-FAX-A
114900                                        (X-MS03-CONTACT)
115000     ELSE
115100         MOVE DFHBMBRY           TO MS03-CONTACT-FAX-A
115200                                        (X-MS03-CONTACT).
115300*
115400     MOVE 'Y'                    TO SS08WS-ERROR.
115500     MOVE DFHBMASB               TO MS03-CONTACT-FAX-LP-A
115600                                        (X-MS03-CONTACT)
115700                                    MS03-CONTACT-FAX-RP-A
115800                                        (X-MS03-CONTACT).
115900     MOVE SS08WS-CURSOR          TO MS03-CONTACT-FAX-L
116000                                        (X-MS03-CONTACT).
116100*
116200 W089-EC2F-EXIT.
116300     EXIT.
116400*
116500 W090-EDIT-CONTACT3-NAME.
116600*
116700     MOVE MMSMTB-CONTACT-NAME-3 (1:4)
116800                                 TO WS-INDEX-X.
116900     SET  X-MMFS-STORE           TO WS-INDEX.
117000     SET  X-MMSM-CONTACT         TO 3.
117100     SET  X-MS03-CONTACT         TO 3.
117200*
117300     MOVE DFHBMDAS               TO MS03-CONTACT-NAME-LP-A
117400                                        (X-MS03-CONTACT)
117500                                    MS03-CONTACT-NAME-RP-A
117600                                        (X-MS03-CONTACT).
117700     MOVE DFHBMASK               TO MS03-CONTACT-NAME-A
117800                                        (X-MS03-CONTACT).
117900*
118000     PERFORM Y095-CONTACT3-NAME-SECURITY
118100                                 THRU Y099-EXIT.
118200*
118300     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
118400         IS GREATER THAN ZERO
118500         MOVE DFHBMASF           TO MS03-CONTACT-NAME-A
118600                                        (X-MS03-CONTACT)
118700         GO TO W099-EC3N-EXIT
118800     ELSE
118900         MOVE MMSM-CONTACT (X-MMSM-CONTACT)
119000                                 TO MS03-CONTACT-NAME
119100                                        (X-MS03-CONTACT).
119200*
119300     IF  MBCA-PTI-FUNCTION-IS-MAINT
119400     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
119500         GO TO W099-EC3N-EXIT.
119600*
119700 W098-CONTACT3-NAME-ERROR.
119800*
119900     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
120000         IS GREATER THAN ZERO
120100         MOVE DFHBMUBF           TO MS03-CONTACT-NAME-A
120200                                        (X-MS03-CONTACT)
120300     ELSE
120400         MOVE DFHBMBRY           TO MS03-CONTACT-NAME-A
120500                                        (X-MS03-CONTACT).
120600*
120700     MOVE 'Y'                    TO SS08WS-ERROR.
120800     MOVE DFHBMASB               TO MS03-CONTACT-NAME-LP-A
120900                                        (X-MS03-CONTACT)
121000                                    MS03-CONTACT-NAME-RP-A
121100                                        (X-MS03-CONTACT).
121200     MOVE SS08WS-CURSOR          TO MS03-CONTACT-NAME-L
121300                                        (X-MS03-CONTACT).
121400*
121500 W099-EC3N-EXIT.
121600     EXIT.
121700*
121800 W100-EDIT-CONTACT3-TITLE.
121900*
122000     MOVE MMSMTB-CONTACT-TITLE-3 (1:4)
122100                                 TO WS-INDEX-X.
122200     SET  X-MMFS-STORE           TO WS-INDEX.
122300     SET  X-MMSM-CONTACT         TO 3.
122400     SET  X-MS03-CONTACT         TO 3.
122500*
122600     MOVE DFHBMDAS               TO MS03-CONTACT-TITLE-LP-A
122700                                        (X-MS03-CONTACT)
122800                                    MS03-CONTACT-TITLE-RP-A
122900                                        (X-MS03-CONTACT).
123000     MOVE DFHBMASK               TO MS03-CONTACT-TITLE-A
123100                                        (X-MS03-CONTACT).
123200*
123300     PERFORM Y105-CONTACT3-TITLE-SECURITY
123400                                 THRU Y109-EXIT.
123500*
123600     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
123700         IS GREATER THAN ZERO
123800         MOVE DFHBMASF           TO MS03-CONTACT-TITLE-A
123900                                        (X-MS03-CONTACT)
124000         GO TO W109-EC3T-EXIT
124100     ELSE
124200         MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
124300                                 TO MS03-CONTACT-TITLE
124400                                        (X-MS03-CONTACT).
124500*
124600     IF  MBCA-PTI-FUNCTION-IS-MAINT
124700     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
124800         GO TO W109-EC3T-EXIT.
124900*
125000 W108-CONTACT3-TITLE-ERROR.
125100*
125200     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
125300         IS GREATER THAN ZERO
125400         MOVE DFHBMUBF           TO MS03-CONTACT-TITLE-A
125500                                        (X-MS03-CONTACT)
125600     ELSE
125700         MOVE DFHBMBRY           TO MS03-CONTACT-TITLE-A
125800                                        (X-MS03-CONTACT).
125900*
126000     MOVE 'Y'                    TO SS08WS-ERROR.
126100     MOVE DFHBMASB               TO MS03-CONTACT-TITLE-LP-A
126200                                        (X-MS03-CONTACT)
126300                                    MS03-CONTACT-TITLE-RP-A
126400                                        (X-MS03-CONTACT).
126500     MOVE SS08WS-CURSOR          TO MS03-CONTACT-TITLE-L
126600                                        (X-MS03-CONTACT).
126700*
126800 W109-EC3T-EXIT.
126900     EXIT.
127000*
127100 W110-EDIT-CONTACT3-PHONE.
127200*
127300     MOVE MMSMTB-CONTACT-PHONE-3 (1:4)
127400                                 TO WS-INDEX-X.
127500     SET  X-MMFS-STORE           TO WS-INDEX.
127600     SET  X-MMSM-CONTACT         TO 3.
127700     SET  X-MS03-CONTACT         TO 3.
127800*
127900     MOVE DFHBMDAS               TO MS03-CONTACT-PHONE-LP-A
128000                                        (X-MS03-CONTACT)
128100                                    MS03-CONTACT-PHONE-RP-A
128200                                        (X-MS03-CONTACT).
128300     MOVE DFHBMASK               TO MS03-CONTACT-PHONE-A
128400                                        (X-MS03-CONTACT).
128500*
128600     PERFORM Y115-CONTACT3-PHONE-SECURITY
128700                                 THRU Y119-EXIT.
128800*
128900     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
129000         IS GREATER THAN ZERO
129100         MOVE DFHBMASF           TO MS03-CONTACT-PHONE-A
129200                                        (X-MS03-CONTACT)
129300     ELSE
129400         MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
129500                                 TO MS03-CONTACT-PHONE
129600                                        (X-MS03-CONTACT).
129700*
129800     IF  MBCA-PTI-FUNCTION-IS-MAINT
129900     OR  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
130000         IS GREATER THAN ZERO
130100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
130200         GO TO W119-EC3P-EXIT.
130300*
130400 W118-CONTACT3-PHONE-ERROR.
130500*
130600     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
130700         IS GREATER THAN ZERO
130800         MOVE DFHBMUBF           TO MS03-CONTACT-PHONE-A
130900                                        (X-MS03-CONTACT)
131000     ELSE
131100         MOVE DFHBMBRY           TO MS03-CONTACT-PHONE-A
131200                                        (X-MS03-CONTACT).
131300*
131400     MOVE 'Y'                    TO SS08WS-ERROR.
131500     MOVE DFHBMASB               TO MS03-CONTACT-PHONE-LP-A
131600                                        (X-MS03-CONTACT)
131700                                    MS03-CONTACT-PHONE-RP-A
131800                                        (X-MS03-CONTACT).
131900     MOVE SS08WS-CURSOR          TO MS03-CONTACT-PHONE-L
132000                                        (X-MS03-CONTACT).
132100*
132200 W119-EC3P-EXIT.
132300     EXIT.
132400*
132500 W120-EDIT-CONTACT3-FAX.
132600*
132700     MOVE MMSMTB-CONTACT-FAX-3 (1:4)
132800                                 TO WS-INDEX-X.
132900     SET  X-MMFS-STORE           TO WS-INDEX.
133000     SET  X-MMSM-CONTACT         TO 3.
133100     SET  X-MS03-CONTACT         TO 3.
133200*
133300     MOVE DFHBMDAS               TO MS03-CONTACT-FAX-LP-A
133400                                        (X-MS03-CONTACT)
133500                                    MS03-CONTACT-FAX-RP-A
133600                                        (X-MS03-CONTACT).
133700     MOVE DFHBMASK               TO MS03-CONTACT-FAX-A
133800                                        (X-MS03-CONTACT).
133900*
134000     PERFORM Y125-CONTACT3-FAX-SECURITY
134100                                 THRU Y129-EXIT.
134200*
134300     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
134400         IS GREATER THAN ZERO
134500         MOVE DFHBMASF           TO MS03-CONTACT-FAX-A
134600                                        (X-MS03-CONTACT)
134700     ELSE
134800         MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
134900                                 TO MS03-CONTACT-FAX
135000                                        (X-MS03-CONTACT).
135100*
135200     IF  MBCA-PTI-FUNCTION-IS-MAINT
135300     OR  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
135400         IS GREATER THAN ZERO
135500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
135600         GO TO W129-EC3F-EXIT.
135700*
135800 W128-CONTACT3-FAX-ERROR.
135900*
136000     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
136100         IS GREATER THAN ZERO
136200         MOVE DFHBMUBF           TO MS03-CONTACT-FAX-A
136300                                        (X-MS03-CONTACT)
136400     ELSE
136500         MOVE DFHBMBRY           TO MS03-CONTACT-FAX-A
136600                                        (X-MS03-CONTACT).
136700*
136800     MOVE 'Y'                    TO SS08WS-ERROR.
136900     MOVE DFHBMASB               TO MS03-CONTACT-FAX-LP-A
137000                                        (X-MS03-CONTACT)
137100                                    MS03-CONTACT-FAX-RP-A
137200                                        (X-MS03-CONTACT).
137300     MOVE SS08WS-CURSOR          TO MS03-CONTACT-FAX-L
137400                                        (X-MS03-CONTACT).
137500*
137600 W129-EC3F-EXIT.
137700     EXIT.
137800*
137900 W130-EDIT-CONTACT4-NAME.
138000*
138100     MOVE MMSMTB-CONTACT-NAME-4 (1:4)
138200                                 TO WS-INDEX-X.
138300     SET  X-MMFS-STORE           TO WS-INDEX.
138400     SET  X-MMSM-CONTACT         TO 4.
138500     SET  X-MS03-CONTACT         TO 4.
138600*
138700     MOVE DFHBMDAS               TO MS03-CONTACT-NAME-LP-A
138800                                        (X-MS03-CONTACT)
138900                                    MS03-CONTACT-NAME-RP-A
139000                                        (X-MS03-CONTACT).
139100     MOVE DFHBMASK               TO MS03-CONTACT-NAME-A
139200                                        (X-MS03-CONTACT).
139300*
139400     PERFORM Y135-CONTACT4-NAME-SECURITY
139500                                 THRU Y139-EXIT.
139600*
139700     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
139800         IS GREATER THAN ZERO
139900         MOVE DFHBMASF           TO MS03-CONTACT-NAME-A
140000                                        (X-MS03-CONTACT)
140100         GO TO W139-EC4N-EXIT
140200     ELSE
140300         MOVE MMSM-CONTACT (X-MMSM-CONTACT)
140400                                 TO MS03-CONTACT-NAME
140500                                        (X-MS03-CONTACT).
140600*
140700     IF  MBCA-PTI-FUNCTION-IS-MAINT
140800     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
140900         GO TO W139-EC4N-EXIT.
141000*
141100 W138-CONTACT4-NAME-ERROR.
141200*
141300     IF  MS03-CONTACT-NAME-L (X-MS03-CONTACT)
141400         IS GREATER THAN ZERO
141500         MOVE DFHBMUBF           TO MS03-CONTACT-NAME-A
141600                                        (X-MS03-CONTACT)
141700     ELSE
141800         MOVE DFHBMBRY           TO MS03-CONTACT-NAME-A
141900                                        (X-MS03-CONTACT).
142000*
142100     MOVE 'Y'                    TO SS08WS-ERROR.
142200     MOVE DFHBMASB               TO MS03-CONTACT-NAME-LP-A
142300                                        (X-MS03-CONTACT)
142400                                    MS03-CONTACT-NAME-RP-A
142500                                        (X-MS03-CONTACT).
142600     MOVE SS08WS-CURSOR          TO MS03-CONTACT-NAME-L
142700                                        (X-MS03-CONTACT).
142800*
142900 W139-EC4N-EXIT.
143000     EXIT.
143100*
143200 W140-EDIT-CONTACT4-TITLE.
143300*
143400     MOVE MMSMTB-CONTACT-TITLE-4 (1:4)
143500                                 TO WS-INDEX-X.
143600     SET  X-MMFS-STORE           TO WS-INDEX.
143700     SET  X-MMSM-CONTACT         TO 4.
143800     SET  X-MS03-CONTACT         TO 4.
143900*
144000     MOVE DFHBMDAS               TO MS03-CONTACT-TITLE-LP-A
144100                                        (X-MS03-CONTACT)
144200                                    MS03-CONTACT-TITLE-RP-A
144300                                        (X-MS03-CONTACT).
144400     MOVE DFHBMASK               TO MS03-CONTACT-TITLE-A
144500                                        (X-MS03-CONTACT).
144600*
144700     PERFORM Y145-CONTACT4-TITLE-SECURITY
144800                                 THRU Y149-EXIT.
144900*
145000     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
145100         IS GREATER THAN ZERO
145200         MOVE DFHBMASF           TO MS03-CONTACT-TITLE-A
145300                                        (X-MS03-CONTACT)
145400         GO TO W149-EC4T-EXIT
145500     ELSE
145600         MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
145700                                 TO MS03-CONTACT-TITLE
145800                                        (X-MS03-CONTACT).
145900*
146000     IF  MBCA-PTI-FUNCTION-IS-MAINT
146100     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
146200         GO TO W149-EC4T-EXIT.
146300*
146400 W148-CONTACT4-TITLE-ERROR.
146500*
146600     IF  MS03-CONTACT-TITLE-L (X-MS03-CONTACT)
146700         IS GREATER THAN ZERO
146800         MOVE DFHBMUBF           TO MS03-CONTACT-TITLE-A
146900                                        (X-MS03-CONTACT)
147000     ELSE
147100         MOVE DFHBMBRY           TO MS03-CONTACT-TITLE-A
147200                                        (X-MS03-CONTACT).
147300*
147400     MOVE 'Y'                    TO SS08WS-ERROR.
147500     MOVE DFHBMASB               TO MS03-CONTACT-TITLE-LP-A
147600                                        (X-MS03-CONTACT)
147700                                    MS03-CONTACT-TITLE-RP-A
147800                                        (X-MS03-CONTACT).
147900     MOVE SS08WS-CURSOR          TO MS03-CONTACT-TITLE-L
148000                                        (X-MS03-CONTACT).
148100*
148200 W149-EC4T-EXIT.
148300     EXIT.
148400*
148500 W150-EDIT-CONTACT4-PHONE.
148600*
148700     MOVE MMSMTB-CONTACT-PHONE-4 (1:4)
148800                                 TO WS-INDEX-X.
148900     SET  X-MMFS-STORE           TO WS-INDEX.
149000     SET  X-MMSM-CONTACT         TO 4.
149100     SET  X-MS03-CONTACT         TO 4.
149200*
149300     MOVE DFHBMDAS               TO MS03-CONTACT-PHONE-LP-A
149400                                        (X-MS03-CONTACT)
149500                                    MS03-CONTACT-PHONE-RP-A
149600                                        (X-MS03-CONTACT).
149700     MOVE DFHBMASK               TO MS03-CONTACT-PHONE-A
149800                                        (X-MS03-CONTACT).
149900*
150000     PERFORM Y155-CONTACT4-PHONE-SECURITY
150100                                 THRU Y159-EXIT.
150200*
150300     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
150400         IS GREATER THAN ZERO
150500         MOVE DFHBMASF           TO MS03-CONTACT-PHONE-A
150600                                        (X-MS03-CONTACT)
150700     ELSE
150800         MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
150900                                 TO MS03-CONTACT-PHONE
151000                                        (X-MS03-CONTACT).
151100*
151200     IF  MBCA-PTI-FUNCTION-IS-MAINT
151300     OR  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
151400         IS GREATER THAN ZERO
151500     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
151600         GO TO W159-EC4P-EXIT.
151700*
151800 W158-CONTACT4-PHONE-ERROR.
151900*
152000     IF  MS03-CONTACT-PHONE-L (X-MS03-CONTACT)
152100         IS GREATER THAN ZERO
152200         MOVE DFHBMUBF           TO MS03-CONTACT-PHONE-A
152300                                        (X-MS03-CONTACT)
152400     ELSE
152500         MOVE DFHBMBRY           TO MS03-CONTACT-PHONE-A
152600                                        (X-MS03-CONTACT).
152700*
152800     MOVE 'Y'                    TO SS08WS-ERROR.
152900     MOVE DFHBMASB               TO MS03-CONTACT-PHONE-LP-A
153000                                        (X-MS03-CONTACT)
153100                                    MS03-CONTACT-PHONE-RP-A
153200                                        (X-MS03-CONTACT).
153300     MOVE SS08WS-CURSOR          TO MS03-CONTACT-PHONE-L
153400                                        (X-MS03-CONTACT).
153500*
153600 W159-EC4P-EXIT.
153700     EXIT.
153800*
153900 W160-EDIT-CONTACT4-FAX.
154000*
154100     MOVE MMSMTB-CONTACT-FAX-4 (1:4)
154200                                 TO WS-INDEX-X.
154300     SET  X-MMFS-STORE           TO WS-INDEX.
154400     SET  X-MMSM-CONTACT         TO 4.
154500     SET  X-MS03-CONTACT         TO 4.
154600*
154700     MOVE DFHBMDAS               TO MS03-CONTACT-FAX-LP-A
154800                                        (X-MS03-CONTACT)
154900                                    MS03-CONTACT-FAX-RP-A
155000                                        (X-MS03-CONTACT).
155100     MOVE DFHBMASK               TO MS03-CONTACT-FAX-A
155200                                        (X-MS03-CONTACT).
155300*
155400     PERFORM Y165-CONTACT4-FAX-SECURITY
155500                                 THRU Y169-EXIT.
155600*
155700     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
155800         IS GREATER THAN ZERO
155900         MOVE DFHBMASF           TO MS03-CONTACT-FAX-A
156000                                        (X-MS03-CONTACT)
156100     ELSE
156200         MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
156300                                 TO MS03-CONTACT-FAX
156400                                        (X-MS03-CONTACT).
156500*
156600     IF  MBCA-PTI-FUNCTION-IS-MAINT
156700     OR  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
156800         IS GREATER THAN ZERO
156900     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
157000         GO TO W169-EC4F-EXIT.
157100*
157200 W168-CONTACT4-FAX-ERROR.
157300*
157400     IF  MS03-CONTACT-FAX-L (X-MS03-CONTACT)
157500         IS GREATER THAN ZERO
157600         MOVE DFHBMUBF           TO MS03-CONTACT-FAX-A
157700                                        (X-MS03-CONTACT)
157800     ELSE
157900         MOVE DFHBMBRY           TO MS03-CONTACT-FAX-A
158000                                        (X-MS03-CONTACT).
158100*
158200     MOVE 'Y'                    TO SS08WS-ERROR.
158300     MOVE DFHBMASB               TO MS03-CONTACT-FAX-LP-A
158400                                        (X-MS03-CONTACT)
158500                                    MS03-CONTACT-FAX-RP-A
158600                                        (X-MS03-CONTACT).
158700     MOVE SS08WS-CURSOR          TO MS03-CONTACT-FAX-L
158800                                        (X-MS03-CONTACT).
158900*
159000 W169-EC4F-EXIT.
159100     EXIT.
159200*
159300 W170-EDIT-MEMOS.
159400*
159500     MOVE MMSMTB-MEMO-1 (1:4)    TO WS-INDEX-X.
159600     SET  X-MMFS-STORE           TO WS-INDEX.
159700     SET  X-MMSM-MEMO            TO 1.
159800     SET  X-MS03-MEMO            TO 1.
159900*
160000 W171-EM-LOOP.
160100*
160200     MOVE DFHBMDAS               TO MS03-MEMO-LP-A (X-MS03-MEMO)
160300                                    MS03-MEMO-RP-A (X-MS03-MEMO)
160400     MOVE DFHBMASK               TO MS03-MEMO-A    (X-MS03-MEMO).
160500*
160600     PERFORM Y175-MEMO-SECURITY  THRU Y176-MS-EXIT.
160700*
160800     IF  MS03-MEMO-L (X-MS03-MEMO) IS GREATER THAN ZERO
160900         MOVE DFHBMASF           TO MS03-MEMO-A (X-MS03-MEMO)
161000         GO TO W178-INCREMENT-INDEXES
161100     ELSE
161200         MOVE MMSM-MEMO (X-MMSM-MEMO)
161300                                 TO MS03-MEMO (X-MS03-MEMO).
161400*
161500     IF  MBCA-PTI-FUNCTION-IS-MAINT
161600     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)
161700         GO TO W178-INCREMENT-INDEXES.
161800*
161900 W177-MEMO-ERROR.
162000*
162100     IF  MS03-MEMO-L (X-MS03-MEMO) IS GREATER THAN ZERO
162200         MOVE DFHBMUBF           TO MS03-MEMO-A    (X-MS03-MEMO)
162300     ELSE
162400         MOVE DFHBMBRY           TO MS03-MEMO-A    (X-MS03-MEMO).
162500*
162600     MOVE 'Y'                    TO SS08WS-ERROR.
162700     MOVE DFHBMASB               TO MS03-MEMO-LP-A (X-MS03-MEMO)
162800                                    MS03-MEMO-RP-A (X-MS03-MEMO)
162900     MOVE SS08WS-CURSOR          TO MS03-MEMO-L    (X-MS03-MEMO).
163000*
163100 W178-INCREMENT-INDEXES.
163200*
163300     IF  X-MS03-MEMO IS LESS THAN 4
163400         SET X-MMFS-STORE        UP BY 1
163500         SET X-MMSM-MEMO         UP BY 1
163600         SET X-MS03-MEMO         UP BY 1
163700         GO TO W171-EM-LOOP.
163800*
163900 W179-EM-EXIT.
164000     EXIT.
164002*                                                                 RG802901
164004 W180-EDIT-URL-EMAIL.                                             RG802901
164005     MOVE MMSMTB-URL-EMAIL(1:4)  TO WS-INDEX-X.                   FX800037
164006     SET  X-MMFS-STORE           TO WS-INDEX.                     FX800037
164007*                                                                 FX800037
164008     MOVE DFHBMDAS               TO MS03-URL-EMAIL-LP-A           RG802901
164010                                    MS03-URL-EMAIL-RP-A.          RG802901
164012     MOVE DFHBMASK               TO MS03-URL-EMAIL-A.             RG802901
164014*                                                                 RG802901
164016     PERFORM Y185-URL-EMAIL-SECURITY                              RG802901
164018                                 THRU Y189-EXIT.                  RG802901
164020*                                                                 RG802901
164022     IF  MS03-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
164024         MOVE DFHBMASF           TO MS03-URL-EMAIL-A              RG802901
164026     ELSE                                                         RG802901
164028         MOVE MMSM-VI-URL-EMAIL  TO MS03-URL-EMAIL.               RG802901
164030*                                                                 RG802901
164032     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
164034     AND MS03-URL-EMAIL-L GREATER THAN ZERO                       RG802901
164036         IF  MS03-URL-EMAIL IS EQUAL TO SPACES                    RG802901
164038         AND MMSM-VI-USE-URL-EMAIL                                RG802901
164040             GO TO W188-URL-EMAIL-ERROR.                          RG802901
164042*                                                                 RG802901
164044     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
164046     OR  MS03-URL-EMAIL-L GREATER THAN ZERO                       RG802901
164048     OR  NOT MMFS-ST-REQUIRED (X-MMFS-STORE)                      FX800037
164050         GO TO W189-EXIT.                                         RG802901
164052*                                                                 RG802901
164054 W188-URL-EMAIL-ERROR.                                            RG802901
164056*                                                                 RG802901
164058     IF  MS03-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
164060         MOVE DFHBMUBF           TO MS03-URL-EMAIL-A              RG802901
164062     ELSE                                                         RG802901
164064         MOVE DFHBMBRY           TO MS03-URL-EMAIL-A.             RG802901
164066*                                                                 RG802901
164068     SET SS08WS-ERROR-SW-YES     TO TRUE.                         RG802901
164070     MOVE DFHBMASB               TO MS03-URL-EMAIL-LP-A           RG802901
164072                                    MS03-URL-EMAIL-RP-A.          RG802901
164074     MOVE SS08WS-CURSOR          TO MS03-URL-EMAIL-L.             RG802901
164076*                                                                 RG802901
164078 W189-EXIT.                                                       RG802901
164080     EXIT.                                                        RG802901
164100/
164200 X000-UPDATE-FIELDS SECTION.
164300*
164400 X010-UPDATE-CONTACT1-NAME.
164500*
164600     SET X-MMSM-CONTACT          TO 1.
164700     SET X-MS03-CONTACT          TO 1.
164800*
164900     IF  MS03-CONTACT-NAME-L      (X-MS03-CONTACT)
165000         IS GREATER THAN ZERO
165100         IF  MS03-CONTACT-NAME (X-MS03-CONTACT)
165200             IS NOT EQUAL TO MMSM-CONTACT (X-MMSM-CONTACT)
165300             MOVE 'Y'            TO WS-UPDATE-SW
165400             IF  MBCA-PTI-FUNCTION-IS-MAINT
165500                 MOVE MMSMTB-CONTACT-NAME-1
165600                                 TO WS-INDEX-X
165700                 SET X-MMFS-STORE
165800                                 TO WS-INDEX
165900                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
166000                                 TO MML1-MMSM-AUDIT-CODE
166100                 MOVE 0301       TO MML1-FIELD-CODE
166200                 SET  MML1-FIELD-OCCURRENCE
166300                                 TO X-MMSM-CONTACT
166400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
166500                 MOVE MML1WS-VL-40
166600                                 TO MML1-VARIABLE-LENGTH
166700                 MOVE MMSM-CONTACT (X-MMSM-CONTACT)
166800                                 TO MML1-VL40-B-DATA-X
166900                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
167000                                 TO MMSM-CONTACT
167100                                           (X-MMSM-CONTACT)
167200                 MOVE MMSM-CONTACT (X-MMSM-CONTACT)
167300                                 TO MML1-VL40-A-DATA-X
167400                 MOVE 'FC10'     TO MBCA-PROGRAM-LOCATION
167500                 PERFORM Y910-WRITE-LOG-RECORD
167600                                 THRU Y919-WLR-EXIT
167700             ELSE
167800                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
167900                                 TO MMSM-CONTACT
168000                                    (X-MMSM-CONTACT).
168100*
168200 X019-UC1N-EXIT.
168300     EXIT.
168400*
168500 X020-UPDATE-CONTACT1-TITLE.
168600*
168700     SET X-MMSM-CONTACT          TO 1.
168800     SET X-MS03-CONTACT          TO 1.
168900*
169000     IF  MS03-CONTACT-TITLE-L      (X-MS03-CONTACT)
169100         IS GREATER THAN ZERO
169200         IF  MS03-CONTACT-TITLE (X-MS03-CONTACT)
169300             IS NOT EQUAL TO MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
169400             MOVE 'Y'            TO WS-UPDATE-SW
169500             IF  MBCA-PTI-FUNCTION-IS-MAINT
169600                 MOVE MMSMTB-CONTACT-TITLE-1
169700                                 TO WS-INDEX-X
169800                 SET X-MMFS-STORE
169900                                 TO WS-INDEX
170000                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
170100                                 TO MML1-MMSM-AUDIT-CODE
170200                 MOVE 0302       TO MML1-FIELD-CODE
170300                 SET  MML1-FIELD-OCCURRENCE
170400                                 TO X-MMSM-CONTACT
170500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
170600                 MOVE MML1WS-VL-30
170700                                 TO MML1-VARIABLE-LENGTH
170800                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
170900                                 TO MML1-VL30-B-DATA-X
171000                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
171100                                 TO MMSM-CONTACT-TITLE
171200                                            (X-MMSM-CONTACT)
171300                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
171400                                 TO MML1-VL30-A-DATA-X
171500                 MOVE 'FC11'     TO MBCA-PROGRAM-LOCATION
171600                 PERFORM Y910-WRITE-LOG-RECORD
171700                                 THRU Y919-WLR-EXIT
171800             ELSE
171900                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
172000                                 TO MMSM-CONTACT-TITLE
172100                                            (X-MMSM-CONTACT).
172200*
172300 X029-UC1T-EXIT.
172400     EXIT.
172500*
172600 X030-UPDATE-CONTACT1-PHONE.
172700*
172800     SET X-MMSM-CONTACT          TO 1.
172900     SET X-MS03-CONTACT          TO 1.
173000*
173100     IF  MS03-CONTACT-PHONE-L      (X-MS03-CONTACT)
173200         IS GREATER THAN ZERO
173300         IF  MS03-CONTACT-PHONE (X-MS03-CONTACT)
173400             IS NOT EQUAL TO MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
173500             MOVE 'Y'            TO WS-UPDATE-SW
173600             IF  MBCA-PTI-FUNCTION-IS-MAINT
173700                 MOVE MMSMTB-CONTACT-PHONE-1
173800                                 TO WS-INDEX-X
173900                 SET X-MMFS-STORE
174000                                 TO WS-INDEX
174100                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
174200                                 TO MML1-MMSM-AUDIT-CODE
174300                 MOVE 0303       TO MML1-FIELD-CODE
174400                 SET  MML1-FIELD-OCCURRENCE
174500                                 TO X-MMSM-CONTACT
174600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
174700                 MOVE MML1WS-VL-20
174800                                 TO MML1-VARIABLE-LENGTH
174900                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
175000                                 TO MML1-VL20-B-DATA-X
175100                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
175200                                 TO MMSM-CONTACT-PHONE
175300                                            (X-MMSM-CONTACT)
175400                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
175500                                 TO MML1-VL20-A-DATA-X
175600                 MOVE 'FC12'     TO MBCA-PROGRAM-LOCATION
175700                 PERFORM Y910-WRITE-LOG-RECORD
175800                                 THRU Y919-WLR-EXIT
175900             ELSE
176000                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
176100                                 TO MMSM-CONTACT-PHONE
176200                                            (X-MMSM-CONTACT).
176300*
176400 X039-UC1P-EXIT.
176500     EXIT.
176600*
176700 X040-UPDATE-CONTACT1-FAX.
176800*
176900     SET X-MMSM-CONTACT          TO 1.
177000     SET X-MS03-CONTACT          TO 1.
177100*
177200     IF  MS03-CONTACT-FAX-L      (X-MS03-CONTACT)
177300         IS GREATER THAN ZERO
177400         IF  MS03-CONTACT-FAX (X-MS03-CONTACT)
177500             IS NOT EQUAL TO MMSM-CONTACT-FAX (X-MMSM-CONTACT)
177600             MOVE 'Y'            TO WS-UPDATE-SW
177700             IF  MBCA-PTI-FUNCTION-IS-MAINT
177800                 MOVE MMSMTB-CONTACT-FAX-1
177900                                 TO WS-INDEX-X
178000                 SET X-MMFS-STORE
178100                                 TO WS-INDEX
178200                 MOVE MMFS-ST-AUDIT-CODE  (X-MMFS-STORE)
178300                                 TO MML1-MMSM-AUDIT-CODE
178400                 MOVE 0304       TO MML1-FIELD-CODE
178500                 SET  MML1-FIELD-OCCURRENCE
178600                                 TO X-MMSM-CONTACT
178700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
178800                 MOVE MML1WS-VL-20
178900                                 TO MML1-VARIABLE-LENGTH
179000                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
179100                                 TO MML1-VL20-B-DATA-X
179200                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
179300                                 TO MMSM-CONTACT-FAX
179400                                          (X-MMSM-CONTACT)
179500                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
179600                                 TO MML1-VL20-A-DATA-X
179700                 MOVE 'FC13'     TO MBCA-PROGRAM-LOCATION
179800                 PERFORM Y910-WRITE-LOG-RECORD
179900                                 THRU Y919-WLR-EXIT
180000             ELSE
180100                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
180200                                 TO MMSM-CONTACT-FAX
180300                                          (X-MMSM-CONTACT).
180400*
180500 X049-UC1F-EXIT.
180600     EXIT.
180700*
180800 X050-UPDATE-CONTACT2-NAME.
180900*
181000     SET X-MMSM-CONTACT          TO 2.
181100     SET X-MS03-CONTACT          TO 2.
181200*
181300     IF  MS03-CONTACT-NAME-L      (X-MS03-CONTACT)
181400         IS GREATER THAN ZERO
181500         IF  MS03-CONTACT-NAME (X-MS03-CONTACT)
181600             IS NOT EQUAL TO MMSM-CONTACT (X-MMSM-CONTACT)
181700             MOVE 'Y'            TO WS-UPDATE-SW
181800             IF  MBCA-PTI-FUNCTION-IS-MAINT
181900                 MOVE MMSMTB-CONTACT-NAME-2
182000                                 TO WS-INDEX-X
182100                 SET X-MMFS-STORE
182200                                 TO WS-INDEX
182300                 MOVE MMFS-ST-AUDIT-CODE   (X-MMFS-STORE)
182400                                 TO MML1-MMSM-AUDIT-CODE
182500                 MOVE 0301       TO MML1-FIELD-CODE
182600                 SET  MML1-FIELD-OCCURRENCE
182700                                 TO X-MMSM-CONTACT
182800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
182900                 MOVE MML1WS-VL-40
183000                                 TO MML1-VARIABLE-LENGTH
183100                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
183200                                 TO MML1-VL40-B-DATA-X
183300                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
183400                                 TO MMSM-CONTACT
183500                                           (X-MMSM-CONTACT)
183600                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
183700                                 TO MML1-VL40-A-DATA-X
183800                 MOVE 'FC14'     TO MBCA-PROGRAM-LOCATION
183900                 PERFORM Y910-WRITE-LOG-RECORD
184000                                 THRU Y919-WLR-EXIT
184100             ELSE
184200                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
184300                                 TO MMSM-CONTACT
184400                                    (X-MMSM-CONTACT).
184500*
184600 X059-UC2N-EXIT.
184700     EXIT.
184800*
184900 X060-UPDATE-CONTACT2-TITLE.
185000*
185100     SET X-MMSM-CONTACT          TO 2.
185200     SET X-MS03-CONTACT          TO 2.
185300*
185400     IF  MS03-CONTACT-TITLE-L      (X-MS03-CONTACT)
185500         IS GREATER THAN ZERO
185600         IF  MS03-CONTACT-TITLE (X-MS03-CONTACT)
185700             IS NOT EQUAL TO MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
185800             MOVE 'Y'            TO WS-UPDATE-SW
185900             IF  MBCA-PTI-FUNCTION-IS-MAINT
186000                 MOVE MMSMTB-CONTACT-TITLE-2
186100                                 TO WS-INDEX-X
186200                 SET X-MMFS-STORE
186300                                 TO WS-INDEX
186400                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
186500                                 TO MML1-MMSM-AUDIT-CODE
186600                 MOVE 0302       TO MML1-FIELD-CODE
186700                 SET  MML1-FIELD-OCCURRENCE
186800                                 TO X-MMSM-CONTACT
186900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
187000                 MOVE MML1WS-VL-30
187100                                 TO MML1-VARIABLE-LENGTH
187200                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
187300                                 TO MML1-VL30-B-DATA-X
187400                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
187500                                 TO MMSM-CONTACT-TITLE
187600                                            (X-MMSM-CONTACT)
187700                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
187800                                 TO MML1-VL30-A-DATA-X
187900                 MOVE 'FC15'     TO MBCA-PROGRAM-LOCATION
188000                 PERFORM Y910-WRITE-LOG-RECORD
188100                                 THRU Y919-WLR-EXIT
188200             ELSE
188300                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
188400                                 TO MMSM-CONTACT-TITLE
188500                                            (X-MMSM-CONTACT).
188600*
188700 X069-UC2T-EXIT.
188800     EXIT.
188900*
189000 X070-UPDATE-CONTACT2-PHONE.
189100*
189200     SET X-MMSM-CONTACT          TO 2.
189300     SET X-MS03-CONTACT          TO 2.
189400*
189500     IF  MS03-CONTACT-PHONE-L      (X-MS03-CONTACT)
189600         IS GREATER THAN ZERO
189700         IF  MS03-CONTACT-PHONE (X-MS03-CONTACT)
189800             IS NOT EQUAL TO MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
189900             MOVE 'Y'            TO WS-UPDATE-SW
190000             IF  MBCA-PTI-FUNCTION-IS-MAINT
190100                 MOVE MMSMTB-CONTACT-PHONE-2
190200                                 TO WS-INDEX-X
190300                 SET X-MMFS-STORE
190400                                 TO WS-INDEX
190500                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
190600                                 TO MML1-MMSM-AUDIT-CODE
190700                 MOVE 0303       TO MML1-FIELD-CODE
190800                 SET  MML1-FIELD-OCCURRENCE
190900                                 TO X-MMSM-CONTACT
191000                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
191100                 MOVE MML1WS-VL-20
191200                                 TO MML1-VARIABLE-LENGTH
191300                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
191400                                 TO MML1-VL20-B-DATA-X
191500                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
191600                                 TO MMSM-CONTACT-PHONE
191700                                            (X-MMSM-CONTACT)
191800                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
191900                                 TO MML1-VL20-A-DATA-X
192000                 MOVE 'FC16'     TO MBCA-PROGRAM-LOCATION
192100                 PERFORM Y910-WRITE-LOG-RECORD
192200                                 THRU Y919-WLR-EXIT
192300             ELSE
192400                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
192500                                 TO MMSM-CONTACT-PHONE
192600                                            (X-MMSM-CONTACT).
192700*
192800 X079-UC2P-EXIT.
192900     EXIT.
193000*
193100 X080-UPDATE-CONTACT2-FAX.
193200*
193300     SET X-MMSM-CONTACT          TO 2.
193400     SET X-MS03-CONTACT          TO 2.
193500*
193600     IF  MS03-CONTACT-FAX-L      (X-MS03-CONTACT)
193700         IS GREATER THAN ZERO
193800         IF  MS03-CONTACT-FAX (X-MS03-CONTACT)
193900             IS NOT EQUAL TO MMSM-CONTACT-FAX (X-MMSM-CONTACT)
194000             MOVE 'Y'            TO WS-UPDATE-SW
194100             IF  MBCA-PTI-FUNCTION-IS-MAINT
194200                 MOVE MMSMTB-CONTACT-FAX-2
194300                                 TO WS-INDEX-X
194400                 SET X-MMFS-STORE
194500                                 TO WS-INDEX
194600                 MOVE MMFS-ST-AUDIT-CODE  (X-MMFS-STORE)
194700                                 TO MML1-MMSM-AUDIT-CODE
194800                 MOVE 0304       TO MML1-FIELD-CODE
194900                 SET  MML1-FIELD-OCCURRENCE
195000                                 TO X-MMSM-CONTACT
195100                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
195200                 MOVE MML1WS-VL-20
195300                                 TO MML1-VARIABLE-LENGTH
195400                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
195500                                 TO MML1-VL20-B-DATA-X
195600                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
195700                                 TO MMSM-CONTACT-FAX
195800                                          (X-MMSM-CONTACT)
195900                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
196000                                 TO MML1-VL20-A-DATA-X
196100                 MOVE 'FC17'     TO MBCA-PROGRAM-LOCATION
196200                 PERFORM Y910-WRITE-LOG-RECORD
196300                                 THRU Y919-WLR-EXIT
196400             ELSE
196500                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
196600                                 TO MMSM-CONTACT-FAX
196700                                          (X-MMSM-CONTACT).
196800*
196900 X089-UC2F-EXIT.
197000     EXIT.
197100*
197200 X090-UPDATE-CONTACT3-NAME.
197300*
197400     SET X-MMSM-CONTACT          TO 3.
197500     SET X-MS03-CONTACT          TO 3.
197600*
197700     IF  MS03-CONTACT-NAME-L      (X-MS03-CONTACT)
197800         IS GREATER THAN ZERO
197900         IF  MS03-CONTACT-NAME (X-MS03-CONTACT)
198000             IS NOT EQUAL TO MMSM-CONTACT (X-MMSM-CONTACT)
198100             MOVE 'Y'            TO WS-UPDATE-SW
198200             IF  MBCA-PTI-FUNCTION-IS-MAINT
198300                 MOVE MMSMTB-CONTACT-NAME-3
198400                                 TO WS-INDEX-X
198500                 SET X-MMFS-STORE
198600                                 TO WS-INDEX
198700                 MOVE MMFS-ST-AUDIT-CODE   (X-MMFS-STORE)
198800                                 TO MML1-MMSM-AUDIT-CODE
198900                 MOVE 0301       TO MML1-FIELD-CODE
199000                 SET  MML1-FIELD-OCCURRENCE
199100                                 TO X-MMSM-CONTACT
199200                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
199300                 MOVE MML1WS-VL-40
199400                                 TO MML1-VARIABLE-LENGTH
199500                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
199600                                 TO MML1-VL40-B-DATA-X
199700                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
199800                                 TO MMSM-CONTACT
199900                                    (X-MMSM-CONTACT)
200000                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
200100                                 TO MML1-VL40-A-DATA-X
200200                 MOVE 'FC18'     TO MBCA-PROGRAM-LOCATION
200300                 PERFORM Y910-WRITE-LOG-RECORD
200400                                 THRU Y919-WLR-EXIT
200500             ELSE
200600                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
200700                                 TO MMSM-CONTACT
200800                                    (X-MMSM-CONTACT).
200900*
201000 X099-UC3N-EXIT.
201100     EXIT.
201200*
201300 X100-UPDATE-CONTACT3-TITLE.
201400*
201500     SET X-MMSM-CONTACT          TO 3.
201600     SET X-MS03-CONTACT          TO 3.
201700*
201800     IF  MS03-CONTACT-TITLE-L      (X-MS03-CONTACT)
201900         IS GREATER THAN ZERO
202000         IF  MS03-CONTACT-TITLE (X-MS03-CONTACT)
202100             IS NOT EQUAL TO MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
202200             MOVE 'Y'            TO WS-UPDATE-SW
202300             IF  MBCA-PTI-FUNCTION-IS-MAINT
202400                 MOVE MMSMTB-CONTACT-TITLE-3
202500                                 TO WS-INDEX-X
202600                 SET X-MMFS-STORE
202700                                 TO WS-INDEX
202800                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
202900                                 TO MML1-MMSM-AUDIT-CODE
203000                 MOVE 0302       TO MML1-FIELD-CODE
203100                 SET  MML1-FIELD-OCCURRENCE
203200                                 TO X-MMSM-CONTACT
203300                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
203400                 MOVE MML1WS-VL-30
203500                                 TO MML1-VARIABLE-LENGTH
203600                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
203700                                 TO MML1-VL30-B-DATA-X
203800                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
203900                                 TO MMSM-CONTACT-TITLE
204000                                            (X-MMSM-CONTACT)
204100                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
204200                                 TO MML1-VL30-A-DATA-X
204300                 MOVE 'FC19'     TO MBCA-PROGRAM-LOCATION
204400                 PERFORM Y910-WRITE-LOG-RECORD
204500                                 THRU Y919-WLR-EXIT
204600             ELSE
204700                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
204800                                 TO MMSM-CONTACT-TITLE
204900                                            (X-MMSM-CONTACT).
205000*
205100 X109-UC3T-EXIT.
205200     EXIT.
205300*
205400 X110-UPDATE-CONTACT3-PHONE.
205500*
205600     SET X-MMSM-CONTACT          TO 3.
205700     SET X-MS03-CONTACT          TO 3.
205800*
205900     IF  MS03-CONTACT-PHONE-L      (X-MS03-CONTACT)
206000         IS GREATER THAN ZERO
206100         IF  MS03-CONTACT-PHONE (X-MS03-CONTACT)
206200             IS NOT EQUAL TO MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
206300             MOVE 'Y'            TO WS-UPDATE-SW
206400             IF  MBCA-PTI-FUNCTION-IS-MAINT
206500                 MOVE MMSMTB-CONTACT-PHONE-3
206600                                 TO WS-INDEX-X
206700                 SET X-MMFS-STORE
206800                                 TO WS-INDEX
206900                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
207000                                 TO MML1-MMSM-AUDIT-CODE
207100                 MOVE 0303       TO MML1-FIELD-CODE
207200                 SET  MML1-FIELD-OCCURRENCE
207300                                 TO X-MMSM-CONTACT
207400                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
207500                 MOVE MML1WS-VL-20
207600                                 TO MML1-VARIABLE-LENGTH
207700                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
207800                                 TO MML1-VL20-B-DATA-X
207900                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
208000                                 TO MMSM-CONTACT-PHONE
208100                                            (X-MMSM-CONTACT)
208200                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
208300                                 TO MML1-VL20-A-DATA-X
208400                 MOVE 'FC20'     TO MBCA-PROGRAM-LOCATION
208500                 PERFORM Y910-WRITE-LOG-RECORD
208600                                 THRU Y919-WLR-EXIT
208700             ELSE
208800                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
208900                                 TO MMSM-CONTACT-PHONE
209000                                            (X-MMSM-CONTACT).
209100*
209200 X119-UC3P-EXIT.
209300     EXIT.
209400*
209500 X120-UPDATE-CONTACT3-FAX.
209600*
209700     SET X-MMSM-CONTACT          TO 3.
209800     SET X-MS03-CONTACT          TO 3.
209900*
210000     IF  MS03-CONTACT-FAX-L      (X-MS03-CONTACT)
210100         IS GREATER THAN ZERO
210200         IF  MS03-CONTACT-FAX (X-MS03-CONTACT)
210300             IS NOT EQUAL TO MMSM-CONTACT-FAX (X-MMSM-CONTACT)
210400             MOVE 'Y'            TO WS-UPDATE-SW
210500             IF  MBCA-PTI-FUNCTION-IS-MAINT
210600                 MOVE MMSMTB-CONTACT-FAX-3
210700                                 TO WS-INDEX-X
210800                 SET X-MMFS-STORE
210900                                 TO WS-INDEX
211000                 MOVE MMFS-ST-AUDIT-CODE  (X-MMFS-STORE)
211100                                 TO MML1-MMSM-AUDIT-CODE
211200                 MOVE 0304       TO MML1-FIELD-CODE
211300                 SET  MML1-FIELD-OCCURRENCE
211400                                 TO X-MMSM-CONTACT
211500                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
211600                 MOVE MML1WS-VL-20
211700                                 TO MML1-VARIABLE-LENGTH
211800                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
211900                                 TO MML1-VL20-B-DATA-X
212000                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
212100                                 TO MMSM-CONTACT-FAX
212200                                          (X-MMSM-CONTACT)
212300                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
212400                                 TO MML1-VL20-A-DATA-X
212500                 MOVE 'FC21'     TO MBCA-PROGRAM-LOCATION
212600                 PERFORM Y910-WRITE-LOG-RECORD
212700                                 THRU Y919-WLR-EXIT
212800             ELSE
212900                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
213000                                 TO MMSM-CONTACT-FAX
213100                                          (X-MMSM-CONTACT).
213200*
213300 X129-UC3F-EXIT.
213400     EXIT.
213500*
213600 X130-UPDATE-CONTACT4-NAME.
213700*
213800     SET X-MMSM-CONTACT          TO 4.
213900     SET X-MS03-CONTACT          TO 4.
214000*
214100     IF  MS03-CONTACT-NAME-L      (X-MS03-CONTACT)
214200         IS GREATER THAN ZERO
214300         IF  MS03-CONTACT-NAME (X-MS03-CONTACT)
214400             IS NOT EQUAL TO MMSM-CONTACT (X-MMSM-CONTACT)
214500             MOVE 'Y'            TO WS-UPDATE-SW
214600             IF  MBCA-PTI-FUNCTION-IS-MAINT
214700                 MOVE MMSMTB-CONTACT-NAME-4
214800                                 TO WS-INDEX-X
214900                 SET X-MMFS-STORE
215000                                 TO WS-INDEX
215100                 MOVE MMFS-ST-AUDIT-CODE   (X-MMFS-STORE)
215200                                 TO MML1-MMSM-AUDIT-CODE
215300                 MOVE 0301       TO MML1-FIELD-CODE
215400                 SET  MML1-FIELD-OCCURRENCE
215500                                 TO X-MMSM-CONTACT
215600                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
215700                 MOVE MML1WS-VL-40
215800                                 TO MML1-VARIABLE-LENGTH
215900                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
216000                                 TO MML1-VL40-B-DATA-X
216100                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
216200                                 TO MMSM-CONTACT
216300                                    (X-MMSM-CONTACT)
216400                 MOVE MMSM-CONTACT  (X-MMSM-CONTACT)
216500                                 TO MML1-VL40-A-DATA-X
216600                 MOVE 'FC22'     TO MBCA-PROGRAM-LOCATION
216700                 PERFORM Y910-WRITE-LOG-RECORD
216800                                 THRU Y919-WLR-EXIT
216900             ELSE
217000                 MOVE MS03-CONTACT-NAME (X-MS03-CONTACT)
217100                                 TO MMSM-CONTACT
217200                                    (X-MMSM-CONTACT).
217300*
217400 X139-UC4N-EXIT.
217500     EXIT.
217600*
217700 X140-UPDATE-CONTACT4-TITLE.
217800*
217900     SET X-MMSM-CONTACT          TO 4.
218000     SET X-MS03-CONTACT          TO 4.
218100*
218200     IF  MS03-CONTACT-TITLE-L      (X-MS03-CONTACT)
218300         IS GREATER THAN ZERO
218400         IF  MS03-CONTACT-TITLE (X-MS03-CONTACT)
218500             IS NOT EQUAL TO MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
218600             MOVE 'Y'            TO WS-UPDATE-SW
218700             IF  MBCA-PTI-FUNCTION-IS-MAINT
218800                 MOVE MMSMTB-CONTACT-TITLE-4
218900                                 TO WS-INDEX-X
219000                 SET X-MMFS-STORE
219100                                 TO WS-INDEX
219200                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
219300                                 TO MML1-MMSM-AUDIT-CODE
219400                 MOVE 0302       TO MML1-FIELD-CODE
219500                 SET  MML1-FIELD-OCCURRENCE
219600                                 TO X-MMSM-CONTACT
219700                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
219800                 MOVE MML1WS-VL-30
219900                                 TO MML1-VARIABLE-LENGTH
220000                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
220100                                 TO MML1-VL30-B-DATA-X
220200                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
220300                                 TO MMSM-CONTACT-TITLE
220400                                            (X-MMSM-CONTACT)
220500                 MOVE MMSM-CONTACT-TITLE    (X-MMSM-CONTACT)
220600                                 TO MML1-VL30-A-DATA-X
220700                 MOVE 'FC23'     TO MBCA-PROGRAM-LOCATION
220800                 PERFORM Y910-WRITE-LOG-RECORD
220900                                 THRU Y919-WLR-EXIT
221000             ELSE
221100                 MOVE MS03-CONTACT-TITLE (X-MS03-CONTACT)
221200                                 TO MMSM-CONTACT-TITLE
221300                                            (X-MMSM-CONTACT).
221400*
221500 X149-UC4T-EXIT.
221600     EXIT.
221700*
221800 X150-UPDATE-CONTACT4-PHONE.
221900*
222000     SET X-MMSM-CONTACT          TO 4.
222100     SET X-MS03-CONTACT          TO 4.
222200*
222300     IF  MS03-CONTACT-PHONE-L      (X-MS03-CONTACT)
222400         IS GREATER THAN ZERO
222500         IF  MS03-CONTACT-PHONE (X-MS03-CONTACT)
222600             IS NOT EQUAL TO MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
222700             MOVE 'Y'            TO WS-UPDATE-SW
222800             IF  MBCA-PTI-FUNCTION-IS-MAINT
222900                 MOVE MMSMTB-CONTACT-PHONE-4
223000                                 TO WS-INDEX-X
223100                 SET X-MMFS-STORE
223200                                 TO WS-INDEX
223300                 MOVE MMFS-ST-AUDIT-CODE    (X-MMFS-STORE)
223400                                 TO MML1-MMSM-AUDIT-CODE
223500                 MOVE 0303       TO MML1-FIELD-CODE
223600                 SET  MML1-FIELD-OCCURRENCE
223700                                 TO X-MMSM-CONTACT
223800                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
223900                 MOVE MML1WS-VL-20
224000                                 TO MML1-VARIABLE-LENGTH
224100                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
224200                                 TO MML1-VL20-B-DATA-X
224300                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
224400                                 TO MMSM-CONTACT-PHONE
224500                                            (X-MMSM-CONTACT)
224600                 MOVE MMSM-CONTACT-PHONE    (X-MMSM-CONTACT)
224700                                 TO MML1-VL20-A-DATA-X
224800                 MOVE 'FC24'     TO MBCA-PROGRAM-LOCATION
224900                 PERFORM Y910-WRITE-LOG-RECORD
225000                                 THRU Y919-WLR-EXIT
225100             ELSE
225200                 MOVE MS03-CONTACT-PHONE (X-MS03-CONTACT)
225300                                 TO MMSM-CONTACT-PHONE
225400                                            (X-MMSM-CONTACT).
225500*
225600 X159-UC4P-EXIT.
225700     EXIT.
225800*
225900 X160-UPDATE-CONTACT4-FAX.
226000*
226100     SET X-MMSM-CONTACT          TO 4.
226200     SET X-MS03-CONTACT          TO 4.
226300*
226400     IF  MS03-CONTACT-FAX-L      (X-MS03-CONTACT)
226500         IS GREATER THAN ZERO
226600         IF  MS03-CONTACT-FAX (X-MS03-CONTACT)
226700             IS NOT EQUAL TO MMSM-CONTACT-FAX (X-MMSM-CONTACT)
226800             MOVE 'Y'            TO WS-UPDATE-SW
226900             IF  MBCA-PTI-FUNCTION-IS-MAINT
227000                 MOVE MMSMTB-CONTACT-FAX-4
227100                                 TO WS-INDEX-X
227200                 SET X-MMFS-STORE
227300                                 TO WS-INDEX
227400                 MOVE MMFS-ST-AUDIT-CODE  (X-MMFS-STORE)
227500                                 TO MML1-MMSM-AUDIT-CODE
227600                 MOVE 0304       TO MML1-FIELD-CODE
227700                 SET  MML1-FIELD-OCCURRENCE
227800                                 TO X-MMSM-CONTACT
227900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
228000                 MOVE MML1WS-VL-20
228100                                 TO MML1-VARIABLE-LENGTH
228200                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
228300                                 TO MML1-VL20-B-DATA-X
228400                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
228500                                 TO MMSM-CONTACT-FAX
228600                                          (X-MMSM-CONTACT)
228700                 MOVE MMSM-CONTACT-FAX    (X-MMSM-CONTACT)
228800                                 TO MML1-VL20-A-DATA-X
228900                 MOVE 'FC25'     TO MBCA-PROGRAM-LOCATION
229000                 PERFORM Y910-WRITE-LOG-RECORD
229100                                 THRU Y919-WLR-EXIT
229200             ELSE
229300                 MOVE MS03-CONTACT-FAX (X-MS03-CONTACT)
229400                                 TO MMSM-CONTACT-FAX
229500                                          (X-MMSM-CONTACT).
229600*
229700 X169-UC4F-EXIT.
229800     EXIT.
229900*
230000 X170-UPDATE-MEMOS.
230100*
230200     MOVE MMSMTB-MEMO-1 (1:4)    TO WS-INDEX-X.
230300     SET X-MMFS-STORE            TO WS-INDEX.
230400     SET X-MMSM-MEMO             TO 1.
230500     SET X-MS03-MEMO             TO 1.
230600*
230700 X171-UM-LOOP.
230800*
230900     IF  MS03-MEMO-L (X-MS03-MEMO) IS GREATER THAN ZERO
231000         IF  MS03-MEMO (X-MS03-MEMO)
231100             IS NOT EQUAL TO MMSM-MEMO   (X-MMSM-MEMO)
231200             MOVE 'Y'            TO WS-UPDATE-SW
231300             IF  MBCA-PTI-FUNCTION-IS-MAINT
231400                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)
231500                                 TO MML1-MMSM-AUDIT-CODE
231600                 MOVE 0305       TO MML1-FIELD-CODE
231700                 SET  MML1-FIELD-OCCURRENCE
231800                                 TO X-MMSM-MEMO
231900                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE-2
232000                 MOVE MML1WS-VL-50
232100                                 TO MML1-VARIABLE-LENGTH
232200                 MOVE MMSM-MEMO          (X-MMSM-MEMO)
232300                                 TO MML1-VL50-B-DATA-X
232400                 MOVE MS03-MEMO          (X-MS03-MEMO)
232500                                 TO MMSM-MEMO
232600                                         (X-MMSM-MEMO)
232700                 MOVE MMSM-MEMO          (X-MMSM-MEMO)
232800                                 TO MML1-VL50-A-DATA-X
232900                 MOVE 'FC26'     TO MBCA-PROGRAM-LOCATION
233000                 PERFORM Y910-WRITE-LOG-RECORD
233100                                 THRU Y919-WLR-EXIT
233200             ELSE
233300                 MOVE MS03-MEMO          (X-MS03-MEMO)
233400                                 TO MMSM-MEMO
233500                                         (X-MMSM-MEMO).
233600*
233700 X178-INCREMENT-INDEXES.
233800*
233900     IF  X-MS03-MEMO IS LESS THAN 4
234000         SET X-MMFS-STORE        UP BY 1
234100         SET X-MMSM-MEMO         UP BY 1
234200         SET X-MS03-MEMO         UP BY 1
234300         GO TO X171-UM-LOOP.
234400*
234500 X179-UM-EXIT.
234600     EXIT.
234602*                                                                 RG802901
234604 X180-UPDATE-URL-EMAIL.                                           RG802901
234606*                                                                 RG802901
234608     IF  MS03-URL-EMAIL-L IS GREATER THAN ZERO                    RG802901
234610         IF  MS03-URL-EMAIL IS NOT EQUAL                          RG802901
234612                                 TO MMSM-VI-URL-EMAIL             RG802901
234614             SET FIELDS-WERE-UPDATED                              RG802901
234616                                 TO TRUE                          RG802901
234618             IF  MBCA-PTI-FUNCTION-IS-MAINT                       RG802901
234620                 MOVE MMSMTB-URL-EMAIL (1:4)                      RG802901
234622                                 TO WS-INDEX-X                    RG802901
234624                 SET X-MMFS-STORE                                 FX800037
234626                                 TO WS-INDEX                      RG802901
234628                 MOVE MMFS-ST-AUDIT-CODE (X-MMFS-STORE)           FX800037
234630                                 TO MML1-MMSM-AUDIT-CODE          RG802901
234632                 MOVE 0306       TO MML1-FIELD-CODE               RG802901
234634                 MOVE ZEROES     TO MML1-FIELD-OCCURRENCE         RG802901
234636                                    MML1-FIELD-OCCURRENCE-2       RG802901
234638                 MOVE MML1WS-VL-60                                RG802901
234640                                 TO MML1-VARIABLE-LENGTH          RG802901
234642                 MOVE MMSM-VI-URL-EMAIL                           RG802901
234644                                 TO MML1-VL60-B-DATA-X            RG802901
234646                 MOVE MS03-URL-EMAIL                              RG802901
234648                                 TO MMSM-VI-URL-EMAIL             RG802901
234650                 MOVE MMSM-VI-URL-EMAIL                           RG802901
234652                                 TO MML1-VL60-A-DATA-X            RG802901
234654                 MOVE 'FC27'     TO MBCA-PROGRAM-LOCATION         RG802901
234656                 PERFORM Y910-WRITE-LOG-RECORD                    RG802901
234658                                 THRU Y919-WLR-EXIT               RG802901
234660             ELSE                                                 RG802901
234662                 MOVE MS03-URL-EMAIL                              RG802901
234664                                 TO MMSM-VI-URL-EMAIL.            RG802901
234666*                                                                 RG802901
234668 X189-EXIT.                                                       RG802901
234670     EXIT.                                                        RG802901
234700/
234800 Y000-PERFORMED-ROUTINES SECTION.
234900*
235000 Y010-MOVE-CONTACT1-NAME.
235100*
235200     MOVE MMSMTB-CONTACT-NAME-1 (1:4)
235300                                 TO WS-INDEX-X.
235400     SET  X-MMFS-STORE           TO WS-INDEX.
235500     SET  X-MMSM-CONTACT         TO 1.
235600     SET  X-MS03-CONTACT         TO 1.
235700*
235800     MOVE MMSM-CONTACT (X-MMSM-CONTACT)
235900                                 TO MS03-CONTACT-NAME
236000                                        (X-MS03-CONTACT).
236100*
236200 Y015-CONTACT1-NAME-SECURITY.
236300*
236400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
236500         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LIT-A
236600                                        (X-MS03-CONTACT)
236700                                    MS03-CONTACT-NAME-LP-A
236800                                        (X-MS03-CONTACT)
236900                                    MS03-CONTACT-NAME-RP-A
237000                                        (X-MS03-CONTACT)
237100                                    MS03-CONTACT-NAME-A
237200                                        (X-MS03-CONTACT)
237300         MOVE ZEROS              TO MS03-CONTACT-NAME-L
237400                                        (X-MS03-CONTACT)
237500         GO TO Y019-EXIT.
237600*
237700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
237800     OR  MMSM-REC-SINGLE-STORE
237900         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
238000                                        (X-MS03-CONTACT)
238100                                    MS03-CONTACT-NAME-RP-A
238200                                        (X-MS03-CONTACT)
238300         MOVE DFHBMASB           TO MS03-CONTACT-NAME-A
238400                                        (X-MS03-CONTACT)
238500         GO TO Y019-EXIT.
238600*
238700     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
238800         MOVE ZEROS              TO MS03-CONTACT-NAME-L
238900                                        (X-MS03-CONTACT)
239000         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
239100                                        (X-MS03-CONTACT)
239200                                    MS03-CONTACT-NAME-RP-A
239300                                        (X-MS03-CONTACT)
239400         MOVE DFHBMASK           TO MS03-CONTACT-NAME-A
239500                                        (X-MS03-CONTACT)
239600         GO TO Y019-EXIT.
239700*
239800     IF  MBCA-PTI-FUNCTION-IS-ADD
239900         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
240000             MOVE DFHBMASB       TO MS03-CONTACT-NAME-LIT-A
240100                                        (X-MS03-CONTACT)
240200         ELSE
240300             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
240400                 MOVE ZEROS      TO MS03-CONTACT-NAME-L
240500                                        (X-MS03-CONTACT)
240600                 MOVE DFHBMDAS   TO MS03-CONTACT-NAME-LP-A
240700                                        (X-MS03-CONTACT)
240800                                    MS03-CONTACT-NAME-RP-A
240900                                        (X-MS03-CONTACT)
241000                 MOVE DFHBMASK   TO MS03-CONTACT-NAME-A
241100                                        (X-MS03-CONTACT).
241200*
241300     IF  MBCA-PTI-FUNCTION-IS-MAINT
241400         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
241500             MOVE ZEROS          TO MS03-CONTACT-NAME-L
241600                                        (X-MS03-CONTACT)
241700             MOVE DFHBMDAS       TO MS03-CONTACT-NAME-LP-A
241800                                        (X-MS03-CONTACT)
241900                                    MS03-CONTACT-NAME-RP-A
242000                                        (X-MS03-CONTACT)
242100             MOVE DFHBMASK       TO MS03-CONTACT-NAME-A
242200                                        (X-MS03-CONTACT).
242300*
242400 Y019-EXIT.
242500     EXIT.
242600*
242700 Y020-MOVE-CONTACT1-TITLE.
242800*
242900     MOVE MMSMTB-CONTACT-TITLE-1 (1:4)
243000                                 TO WS-INDEX-X.
243100     SET  X-MMFS-STORE           TO WS-INDEX.
243200     SET  X-MMSM-CONTACT         TO 1.
243300     SET  X-MS03-CONTACT         TO 1.
243400*
243500     MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
243600                                 TO MS03-CONTACT-TITLE
243700                                        (X-MS03-CONTACT).
243800*
243900 Y025-CONTACT1-TITLE-SECURITY.
244000*
244100     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
244200         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LIT-A
244300                                        (X-MS03-CONTACT)
244400                                    MS03-CONTACT-TITLE-LP-A
244500                                        (X-MS03-CONTACT)
244600                                    MS03-CONTACT-TITLE-RP-A
244700                                        (X-MS03-CONTACT)
244800                                    MS03-CONTACT-TITLE-A
244900                                        (X-MS03-CONTACT)
245000         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
245100                                        (X-MS03-CONTACT)
245200         GO TO Y029-EXIT.
245300*
245400     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
245500     OR  MMSM-REC-SINGLE-STORE
245600         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
245700                                        (X-MS03-CONTACT)
245800                                    MS03-CONTACT-TITLE-RP-A
245900                                        (X-MS03-CONTACT)
246000         MOVE DFHBMASB           TO MS03-CONTACT-TITLE-A
246100                                        (X-MS03-CONTACT)
246200         GO TO Y029-EXIT.
246300*
246400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
246500         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
246600                                        (X-MS03-CONTACT)
246700         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
246800                                        (X-MS03-CONTACT)
246900                                    MS03-CONTACT-TITLE-RP-A
247000                                        (X-MS03-CONTACT)
247100         MOVE DFHBMASK           TO MS03-CONTACT-TITLE-A
247200                                        (X-MS03-CONTACT)
247300         GO TO Y029-EXIT.
247400*
247500     IF  MBCA-PTI-FUNCTION-IS-ADD
247600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
247700             MOVE DFHBMASB       TO MS03-CONTACT-TITLE-LIT-A
247800                                        (X-MS03-CONTACT)
247900         ELSE
248000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
248100                 MOVE ZEROS      TO MS03-CONTACT-TITLE-L
248200                                        (X-MS03-CONTACT)
248300                 MOVE DFHBMDAS   TO MS03-CONTACT-TITLE-LP-A
248400                                        (X-MS03-CONTACT)
248500                                    MS03-CONTACT-TITLE-RP-A
248600                                        (X-MS03-CONTACT)
248700                 MOVE DFHBMASK   TO MS03-CONTACT-TITLE-A
248800                                        (X-MS03-CONTACT).
248900*
249000     IF  MBCA-PTI-FUNCTION-IS-MAINT
249100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
249200             MOVE ZEROS          TO MS03-CONTACT-TITLE-L
249300                                        (X-MS03-CONTACT)
249400             MOVE DFHBMDAS       TO MS03-CONTACT-TITLE-LP-A
249500                                        (X-MS03-CONTACT)
249600                                    MS03-CONTACT-TITLE-RP-A
249700                                        (X-MS03-CONTACT)
249800             MOVE DFHBMASK       TO MS03-CONTACT-TITLE-A
249900                                        (X-MS03-CONTACT).
250000*
250100 Y029-EXIT.
250200     EXIT.
250300*
250400 Y030-MOVE-CONTACT1-PHONE.
250500*
250600     MOVE MMSMTB-CONTACT-PHONE-1 (1:4)
250700                                 TO WS-INDEX-X.
250800     SET  X-MMFS-STORE           TO WS-INDEX.
250900     SET  X-MMSM-CONTACT         TO 1.
251000     SET  X-MS03-CONTACT         TO 1.
251100*
251200     MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
251300                                 TO MS03-CONTACT-PHONE
251400                                        (X-MS03-CONTACT).
251500*
251600 Y035-CONTACT1-PHONE-SECURITY.
251700*
251800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
251900         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LIT-A
252000                                        (X-MS03-CONTACT)
252100                                    MS03-CONTACT-PHONE-LP-A
252200                                        (X-MS03-CONTACT)
252300                                    MS03-CONTACT-PHONE-RP-A
252400                                        (X-MS03-CONTACT)
252500                                    MS03-CONTACT-PHONE-A
252600                                        (X-MS03-CONTACT)
252700         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
252800                                        (X-MS03-CONTACT)
252900         GO TO Y039-EXIT.
253000*
253100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
253200     OR  MMSM-REC-SINGLE-STORE
253300         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
253400                                        (X-MS03-CONTACT)
253500                                    MS03-CONTACT-PHONE-RP-A
253600                                        (X-MS03-CONTACT)
253700         MOVE DFHBMASB           TO MS03-CONTACT-PHONE-A
253800                                        (X-MS03-CONTACT)
253900         GO TO Y039-EXIT.
254000*
254100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
254200         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
254300                                        (X-MS03-CONTACT)
254400         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
254500                                        (X-MS03-CONTACT)
254600                                    MS03-CONTACT-PHONE-RP-A
254700                                        (X-MS03-CONTACT)
254800         MOVE DFHBMASK           TO MS03-CONTACT-PHONE-A
254900                                        (X-MS03-CONTACT)
255000         GO TO Y039-EXIT.
255100*
255200     IF  MBCA-PTI-FUNCTION-IS-ADD
255300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
255400             MOVE DFHBMASB       TO MS03-CONTACT-PHONE-LIT-A
255500                                        (X-MS03-CONTACT)
255600         ELSE
255700             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
255800                 MOVE ZEROS      TO MS03-CONTACT-PHONE-L
255900                                        (X-MS03-CONTACT)
256000                 MOVE DFHBMDAS   TO MS03-CONTACT-PHONE-LP-A
256100                                        (X-MS03-CONTACT)
256200                                    MS03-CONTACT-PHONE-RP-A
256300                                        (X-MS03-CONTACT)
256400                 MOVE DFHBMASK   TO MS03-CONTACT-PHONE-A
256500                                        (X-MS03-CONTACT).
256600*
256700     IF  MBCA-PTI-FUNCTION-IS-MAINT
256800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
256900             MOVE ZEROS          TO MS03-CONTACT-PHONE-L
257000                                        (X-MS03-CONTACT)
257100             MOVE DFHBMDAS       TO MS03-CONTACT-PHONE-LP-A
257200                                        (X-MS03-CONTACT)
257300                                    MS03-CONTACT-PHONE-RP-A
257400                                        (X-MS03-CONTACT)
257500             MOVE DFHBMASK       TO MS03-CONTACT-PHONE-A
257600                                        (X-MS03-CONTACT).
257700*
257800 Y039-EXIT.
257900     EXIT.
258000*
258100 Y040-MOVE-CONTACT1-FAX.
258200*
258300     MOVE MMSMTB-CONTACT-FAX-1 (1:4)
258400                                 TO WS-INDEX-X.
258500     SET  X-MMFS-STORE           TO WS-INDEX.
258600     SET  X-MMSM-CONTACT         TO 1.
258700     SET  X-MS03-CONTACT         TO 1.
258800*
258900     MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
259000                                 TO MS03-CONTACT-FAX
259100                                        (X-MS03-CONTACT).
259200*
259300 Y045-CONTACT1-FAX-SECURITY.
259400*
259500     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
259600         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LIT-A
259700                                        (X-MS03-CONTACT)
259800                                    MS03-CONTACT-FAX-LP-A
259900                                        (X-MS03-CONTACT)
260000                                    MS03-CONTACT-FAX-RP-A
260100                                        (X-MS03-CONTACT)
260200                                    MS03-CONTACT-FAX-A
260300                                        (X-MS03-CONTACT)
260400         MOVE ZEROS              TO MS03-CONTACT-FAX-L
260500                                        (X-MS03-CONTACT)
260600         GO TO Y049-EXIT.
260700*
260800     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
260900     OR  MMSM-REC-SINGLE-STORE
261000         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
261100                                        (X-MS03-CONTACT)
261200                                    MS03-CONTACT-FAX-RP-A
261300                                        (X-MS03-CONTACT)
261400         MOVE DFHBMASB           TO MS03-CONTACT-FAX-A
261500                                        (X-MS03-CONTACT)
261600         GO TO Y049-EXIT.
261700*
261800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
261900         MOVE ZEROS              TO MS03-CONTACT-FAX-L
262000                                        (X-MS03-CONTACT)
262100         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
262200                                        (X-MS03-CONTACT)
262300                                    MS03-CONTACT-FAX-RP-A
262400                                        (X-MS03-CONTACT)
262500         MOVE DFHBMASK           TO MS03-CONTACT-FAX-A
262600                                        (X-MS03-CONTACT)
262700         GO TO Y049-EXIT.
262800*
262900     IF  MBCA-PTI-FUNCTION-IS-ADD
263000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
263100             MOVE DFHBMASB       TO MS03-CONTACT-FAX-LIT-A
263200                                        (X-MS03-CONTACT)
263300         ELSE
263400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
263500                 MOVE ZEROS      TO MS03-CONTACT-FAX-L
263600                                        (X-MS03-CONTACT)
263700                 MOVE DFHBMDAS   TO MS03-CONTACT-FAX-LP-A
263800                                        (X-MS03-CONTACT)
263900                                    MS03-CONTACT-FAX-RP-A
264000                                        (X-MS03-CONTACT)
264100                 MOVE DFHBMASK   TO MS03-CONTACT-FAX-A
264200                                        (X-MS03-CONTACT).
264300*
264400     IF  MBCA-PTI-FUNCTION-IS-MAINT
264500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
264600             MOVE ZEROS          TO MS03-CONTACT-FAX-L
264700                                        (X-MS03-CONTACT)
264800             MOVE DFHBMDAS       TO MS03-CONTACT-FAX-LP-A
264900                                        (X-MS03-CONTACT)
265000                                    MS03-CONTACT-FAX-RP-A
265100                                        (X-MS03-CONTACT)
265200             MOVE DFHBMASK       TO MS03-CONTACT-FAX-A
265300                                        (X-MS03-CONTACT).
265400*
265500 Y049-EXIT.
265600     EXIT.
265700*
265800 Y050-MOVE-CONTACT2-NAME.
265900*
266000     MOVE MMSMTB-CONTACT-NAME-2 (1:4)
266100                                 TO WS-INDEX-X.
266200     SET  X-MMFS-STORE           TO WS-INDEX.
266300     SET  X-MMSM-CONTACT         TO 2.
266400     SET  X-MS03-CONTACT         TO 2.
266500*
266600     MOVE MMSM-CONTACT (X-MMSM-CONTACT)
266700                                 TO MS03-CONTACT-NAME
266800                                        (X-MS03-CONTACT).
266900*
267000 Y055-CONTACT2-NAME-SECURITY.
267100*
267200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
267300         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LIT-A
267400                                        (X-MS03-CONTACT)
267500                                    MS03-CONTACT-NAME-LP-A
267600                                        (X-MS03-CONTACT)
267700                                    MS03-CONTACT-NAME-RP-A
267800                                        (X-MS03-CONTACT)
267900                                    MS03-CONTACT-NAME-A
268000                                        (X-MS03-CONTACT)
268100         MOVE ZEROS              TO MS03-CONTACT-NAME-L
268200                                        (X-MS03-CONTACT)
268300         GO TO Y059-EXIT.
268400*
268500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
268600     OR  MMSM-REC-SINGLE-STORE
268700         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
268800                                        (X-MS03-CONTACT)
268900                                    MS03-CONTACT-NAME-RP-A
269000                                        (X-MS03-CONTACT)
269100         MOVE DFHBMASB           TO MS03-CONTACT-NAME-A
269200                                        (X-MS03-CONTACT)
269300         GO TO Y059-EXIT.
269400*
269500     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
269600         MOVE ZEROS              TO MS03-CONTACT-NAME-L
269700                                        (X-MS03-CONTACT)
269800         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
269900                                        (X-MS03-CONTACT)
270000                                    MS03-CONTACT-NAME-RP-A
270100                                        (X-MS03-CONTACT)
270200         MOVE DFHBMASK           TO MS03-CONTACT-NAME-A
270300                                        (X-MS03-CONTACT)
270400         GO TO Y059-EXIT.
270500*
270600     IF  MBCA-PTI-FUNCTION-IS-ADD
270700         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
270800             MOVE DFHBMASB       TO MS03-CONTACT-NAME-LIT-A
270900                                        (X-MS03-CONTACT)
271000         ELSE
271100             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
271200                 MOVE ZEROS      TO MS03-CONTACT-NAME-L
271300                                        (X-MS03-CONTACT)
271400                 MOVE DFHBMDAS   TO MS03-CONTACT-NAME-LP-A
271500                                        (X-MS03-CONTACT)
271600                                    MS03-CONTACT-NAME-RP-A
271700                                        (X-MS03-CONTACT)
271800                 MOVE DFHBMASK   TO MS03-CONTACT-NAME-A
271900                                        (X-MS03-CONTACT).
272000*
272100     IF  MBCA-PTI-FUNCTION-IS-MAINT
272200         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
272300             MOVE ZEROS          TO MS03-CONTACT-NAME-L
272400                                        (X-MS03-CONTACT)
272500             MOVE DFHBMDAS       TO MS03-CONTACT-NAME-LP-A
272600                                        (X-MS03-CONTACT)
272700                                    MS03-CONTACT-NAME-RP-A
272800                                        (X-MS03-CONTACT)
272900             MOVE DFHBMASK       TO MS03-CONTACT-NAME-A
273000                                        (X-MS03-CONTACT).
273100*
273200 Y059-EXIT.
273300     EXIT.
273400*
273500 Y060-MOVE-CONTACT2-TITLE.
273600*
273700     MOVE MMSMTB-CONTACT-TITLE-2 (1:4)
273800                                 TO WS-INDEX-X.
273900     SET  X-MMFS-STORE           TO WS-INDEX.
274000     SET  X-MMSM-CONTACT         TO 2.
274100     SET  X-MS03-CONTACT         TO 2.
274200*
274300     MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
274400                                 TO MS03-CONTACT-TITLE
274500                                        (X-MS03-CONTACT).
274600*
274700 Y065-CONTACT2-TITLE-SECURITY.
274800*
274900     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
275000         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LIT-A
275100                                        (X-MS03-CONTACT)
275200                                    MS03-CONTACT-TITLE-LP-A
275300                                        (X-MS03-CONTACT)
275400                                    MS03-CONTACT-TITLE-RP-A
275500                                        (X-MS03-CONTACT)
275600                                    MS03-CONTACT-TITLE-A
275700                                        (X-MS03-CONTACT)
275800         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
275900                                        (X-MS03-CONTACT)
276000         GO TO Y069-EXIT.
276100*
276200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
276300     OR  MMSM-REC-SINGLE-STORE
276400         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
276500                                        (X-MS03-CONTACT)
276600                                    MS03-CONTACT-TITLE-RP-A
276700                                        (X-MS03-CONTACT)
276800         MOVE DFHBMASB           TO MS03-CONTACT-TITLE-A
276900                                        (X-MS03-CONTACT)
277000         GO TO Y069-EXIT.
277100*
277200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
277300         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
277400                                        (X-MS03-CONTACT)
277500         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
277600                                        (X-MS03-CONTACT)
277700                                    MS03-CONTACT-TITLE-RP-A
277800                                        (X-MS03-CONTACT)
277900         MOVE DFHBMASK           TO MS03-CONTACT-TITLE-A
278000                                        (X-MS03-CONTACT)
278100         GO TO Y069-EXIT.
278200*
278300     IF  MBCA-PTI-FUNCTION-IS-ADD
278400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
278500             MOVE DFHBMASB       TO MS03-CONTACT-TITLE-LIT-A
278600                                        (X-MS03-CONTACT)
278700         ELSE
278800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
278900                 MOVE ZEROS      TO MS03-CONTACT-TITLE-L
279000                                        (X-MS03-CONTACT)
279100                 MOVE DFHBMDAS   TO MS03-CONTACT-TITLE-LP-A
279200                                        (X-MS03-CONTACT)
279300                                    MS03-CONTACT-TITLE-RP-A
279400                                        (X-MS03-CONTACT)
279500                 MOVE DFHBMASK   TO MS03-CONTACT-TITLE-A
279600                                        (X-MS03-CONTACT).
279700*
279800     IF  MBCA-PTI-FUNCTION-IS-MAINT
279900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
280000             MOVE ZEROS          TO MS03-CONTACT-TITLE-L
280100                                        (X-MS03-CONTACT)
280200             MOVE DFHBMDAS       TO MS03-CONTACT-TITLE-LP-A
280300                                        (X-MS03-CONTACT)
280400                                    MS03-CONTACT-TITLE-RP-A
280500                                        (X-MS03-CONTACT)
280600             MOVE DFHBMASK       TO MS03-CONTACT-TITLE-A
280700                                        (X-MS03-CONTACT).
280800*
280900 Y069-EXIT.
281000     EXIT.
281100*
281200 Y070-MOVE-CONTACT2-PHONE.
281300*
281400     MOVE MMSMTB-CONTACT-PHONE-2 (1:4)
281500                                 TO WS-INDEX-X.
281600     SET  X-MMFS-STORE           TO WS-INDEX.
281700     SET  X-MMSM-CONTACT         TO 2.
281800     SET  X-MS03-CONTACT         TO 2.
281900*
282000     MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
282100                                 TO MS03-CONTACT-PHONE
282200                                        (X-MS03-CONTACT).
282300*
282400 Y075-CONTACT2-PHONE-SECURITY.
282500*
282600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
282700         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LIT-A
282800                                        (X-MS03-CONTACT)
282900                                    MS03-CONTACT-PHONE-LP-A
283000                                        (X-MS03-CONTACT)
283100                                    MS03-CONTACT-PHONE-RP-A
283200                                        (X-MS03-CONTACT)
283300                                    MS03-CONTACT-PHONE-A
283400                                        (X-MS03-CONTACT)
283500         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
283600                                        (X-MS03-CONTACT)
283700         GO TO Y079-EXIT.
283800*
283900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
284000     OR  MMSM-REC-SINGLE-STORE
284100         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
284200                                        (X-MS03-CONTACT)
284300                                    MS03-CONTACT-PHONE-RP-A
284400                                        (X-MS03-CONTACT)
284500         MOVE DFHBMASB           TO MS03-CONTACT-PHONE-A
284600                                        (X-MS03-CONTACT)
284700         GO TO Y079-EXIT.
284800*
284900     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
285000         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
285100                                        (X-MS03-CONTACT)
285200         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
285300                                        (X-MS03-CONTACT)
285400                                    MS03-CONTACT-PHONE-RP-A
285500                                        (X-MS03-CONTACT)
285600         MOVE DFHBMASK           TO MS03-CONTACT-PHONE-A
285700                                        (X-MS03-CONTACT)
285800         GO TO Y079-EXIT.
285900*
286000     IF  MBCA-PTI-FUNCTION-IS-ADD
286100         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
286200             MOVE DFHBMASB       TO MS03-CONTACT-PHONE-LIT-A
286300                                        (X-MS03-CONTACT)
286400         ELSE
286500             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
286600                 MOVE ZEROS      TO MS03-CONTACT-PHONE-L
286700                                        (X-MS03-CONTACT)
286800                 MOVE DFHBMDAS   TO MS03-CONTACT-PHONE-LP-A
286900                                        (X-MS03-CONTACT)
287000                                    MS03-CONTACT-PHONE-RP-A
287100                                        (X-MS03-CONTACT)
287200                 MOVE DFHBMASK   TO MS03-CONTACT-PHONE-A
287300                                        (X-MS03-CONTACT).
287400*
287500     IF  MBCA-PTI-FUNCTION-IS-MAINT
287600         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
287700             MOVE ZEROS          TO MS03-CONTACT-PHONE-L
287800                                        (X-MS03-CONTACT)
287900             MOVE DFHBMDAS       TO MS03-CONTACT-PHONE-LP-A
288000                                        (X-MS03-CONTACT)
288100                                    MS03-CONTACT-PHONE-RP-A
288200                                        (X-MS03-CONTACT)
288300             MOVE DFHBMASK       TO MS03-CONTACT-PHONE-A
288400                                        (X-MS03-CONTACT).
288500*
288600 Y079-EXIT.
288700     EXIT.
288800*
288900 Y080-MOVE-CONTACT2-FAX.
289000*
289100     MOVE MMSMTB-CONTACT-FAX-2 (1:4)
289200                                 TO WS-INDEX-X.
289300     SET  X-MMFS-STORE           TO WS-INDEX.
289400     SET  X-MMSM-CONTACT         TO 2.
289500     SET  X-MS03-CONTACT         TO 2.
289600*
289700     MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
289800                                 TO MS03-CONTACT-FAX
289900                                        (X-MS03-CONTACT).
290000*
290100 Y085-CONTACT2-FAX-SECURITY.
290200*
290300     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
290400         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LIT-A
290500                                        (X-MS03-CONTACT)
290600                                    MS03-CONTACT-FAX-LP-A
290700                                        (X-MS03-CONTACT)
290800                                    MS03-CONTACT-FAX-RP-A
290900                                        (X-MS03-CONTACT)
291000                                    MS03-CONTACT-FAX-A
291100                                        (X-MS03-CONTACT)
291200         MOVE ZEROS              TO MS03-CONTACT-FAX-L
291300                                        (X-MS03-CONTACT)
291400         GO TO Y089-EXIT.
291500*
291600     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
291700     OR  MMSM-REC-SINGLE-STORE
291800         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
291900                                        (X-MS03-CONTACT)
292000                                    MS03-CONTACT-FAX-RP-A
292100                                        (X-MS03-CONTACT)
292200         MOVE DFHBMASB           TO MS03-CONTACT-FAX-A
292300                                        (X-MS03-CONTACT)
292400         GO TO Y089-EXIT.
292500*
292600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
292700         MOVE ZEROS              TO MS03-CONTACT-FAX-L
292800                                        (X-MS03-CONTACT)
292900         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
293000                                        (X-MS03-CONTACT)
293100                                    MS03-CONTACT-FAX-RP-A
293200                                        (X-MS03-CONTACT)
293300         MOVE DFHBMASK           TO MS03-CONTACT-FAX-A
293400                                        (X-MS03-CONTACT)
293500         GO TO Y089-EXIT.
293600*
293700     IF  MBCA-PTI-FUNCTION-IS-ADD
293800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
293900             MOVE DFHBMASB       TO MS03-CONTACT-FAX-LIT-A
294000                                        (X-MS03-CONTACT)
294100         ELSE
294200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
294300                 MOVE ZEROS      TO MS03-CONTACT-FAX-L
294400                                        (X-MS03-CONTACT)
294500                 MOVE DFHBMDAS   TO MS03-CONTACT-FAX-LP-A
294600                                        (X-MS03-CONTACT)
294700                                    MS03-CONTACT-FAX-RP-A
294800                                        (X-MS03-CONTACT)
294900                 MOVE DFHBMASK   TO MS03-CONTACT-FAX-A
295000                                        (X-MS03-CONTACT).
295100*
295200     IF  MBCA-PTI-FUNCTION-IS-MAINT
295300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
295400             MOVE ZEROS          TO MS03-CONTACT-FAX-L
295500                                        (X-MS03-CONTACT)
295600             MOVE DFHBMDAS       TO MS03-CONTACT-FAX-LP-A
295700                                        (X-MS03-CONTACT)
295800                                    MS03-CONTACT-FAX-RP-A
295900                                        (X-MS03-CONTACT)
296000             MOVE DFHBMASK       TO MS03-CONTACT-FAX-A
296100                                        (X-MS03-CONTACT).
296200*
296300 Y089-EXIT.
296400     EXIT.
296500*
296600 Y090-MOVE-CONTACT3-NAME.
296700*
296800     MOVE MMSMTB-CONTACT-NAME-3 (1:4)
296900                                 TO WS-INDEX-X.
297000     SET  X-MMFS-STORE           TO WS-INDEX.
297100     SET  X-MMSM-CONTACT         TO 3.
297200     SET  X-MS03-CONTACT         TO 3.
297300*
297400     MOVE MMSM-CONTACT (X-MMSM-CONTACT)
297500                                 TO MS03-CONTACT-NAME
297600                                        (X-MS03-CONTACT).
297700*
297800 Y095-CONTACT3-NAME-SECURITY.
297900*
298000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
298100         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LIT-A
298200                                        (X-MS03-CONTACT)
298300                                    MS03-CONTACT-NAME-LP-A
298400                                        (X-MS03-CONTACT)
298500                                    MS03-CONTACT-NAME-RP-A
298600                                        (X-MS03-CONTACT)
298700                                    MS03-CONTACT-NAME-A
298800                                        (X-MS03-CONTACT)
298900         MOVE ZEROS              TO MS03-CONTACT-NAME-L
299000                                        (X-MS03-CONTACT)
299100         GO TO Y099-EXIT.
299200*
299300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
299400         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
299500                                        (X-MS03-CONTACT)
299600                                    MS03-CONTACT-NAME-RP-A
299700                                        (X-MS03-CONTACT)
299800         MOVE DFHBMASB           TO MS03-CONTACT-NAME-A
299900                                        (X-MS03-CONTACT)
300000         GO TO Y099-EXIT.
300100*
300200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
300300         MOVE ZEROS              TO MS03-CONTACT-NAME-L
300400                                        (X-MS03-CONTACT)
300500         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
300600                                        (X-MS03-CONTACT)
300700                                    MS03-CONTACT-NAME-RP-A
300800                                        (X-MS03-CONTACT)
300900         MOVE DFHBMASK           TO MS03-CONTACT-NAME-A
301000                                        (X-MS03-CONTACT)
301100         GO TO Y099-EXIT.
301200*
301300     IF  MBCA-PTI-FUNCTION-IS-ADD
301400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
301500             MOVE DFHBMASB       TO MS03-CONTACT-NAME-LIT-A
301600                                        (X-MS03-CONTACT)
301700         ELSE
301800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
301900                 MOVE ZEROS      TO MS03-CONTACT-NAME-L
302000                                        (X-MS03-CONTACT)
302100                 MOVE DFHBMDAS   TO MS03-CONTACT-NAME-LP-A
302200                                        (X-MS03-CONTACT)
302300                                    MS03-CONTACT-NAME-RP-A
302400                                        (X-MS03-CONTACT)
302500                 MOVE DFHBMASK   TO MS03-CONTACT-NAME-A
302600                                        (X-MS03-CONTACT).
302700*
302800     IF  MBCA-PTI-FUNCTION-IS-MAINT
302900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
303000             MOVE ZEROS          TO MS03-CONTACT-NAME-L
303100                                        (X-MS03-CONTACT)
303200             MOVE DFHBMDAS       TO MS03-CONTACT-NAME-LP-A
303300                                        (X-MS03-CONTACT)
303400                                    MS03-CONTACT-NAME-RP-A
303500                                        (X-MS03-CONTACT)
303600             MOVE DFHBMASK       TO MS03-CONTACT-NAME-A
303700                                        (X-MS03-CONTACT).
303800*
303900 Y099-EXIT.
304000     EXIT.
304100*
304200 Y100-MOVE-CONTACT3-TITLE.
304300*
304400     MOVE MMSMTB-CONTACT-TITLE-3 (1:4)
304500                                 TO WS-INDEX-X.
304600     SET  X-MMFS-STORE           TO WS-INDEX.
304700     SET  X-MMSM-CONTACT         TO 3.
304800     SET  X-MS03-CONTACT         TO 3.
304900*
305000     MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
305100                                 TO MS03-CONTACT-TITLE
305200                                        (X-MS03-CONTACT).
305300*
305400 Y105-CONTACT3-TITLE-SECURITY.
305500*
305600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
305700         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LIT-A
305800                                        (X-MS03-CONTACT)
305900                                    MS03-CONTACT-TITLE-LP-A
306000                                        (X-MS03-CONTACT)
306100                                    MS03-CONTACT-TITLE-RP-A
306200                                        (X-MS03-CONTACT)
306300                                    MS03-CONTACT-TITLE-A
306400                                        (X-MS03-CONTACT)
306500         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
306600                                        (X-MS03-CONTACT)
306700         GO TO Y109-EXIT.
306800*
306900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
307000         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
307100                                        (X-MS03-CONTACT)
307200                                    MS03-CONTACT-TITLE-RP-A
307300                                        (X-MS03-CONTACT)
307400         MOVE DFHBMASB           TO MS03-CONTACT-TITLE-A
307500                                        (X-MS03-CONTACT)
307600         GO TO Y109-EXIT.
307700*
307800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
307900         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
308000                                        (X-MS03-CONTACT)
308100         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
308200                                        (X-MS03-CONTACT)
308300                                    MS03-CONTACT-TITLE-RP-A
308400                                        (X-MS03-CONTACT)
308500         MOVE DFHBMASK           TO MS03-CONTACT-TITLE-A
308600                                        (X-MS03-CONTACT)
308700         GO TO Y109-EXIT.
308800*
308900     IF  MBCA-PTI-FUNCTION-IS-ADD
309000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
309100             MOVE DFHBMASB       TO MS03-CONTACT-TITLE-LIT-A
309200                                        (X-MS03-CONTACT)
309300         ELSE
309400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
309500                 MOVE ZEROS      TO MS03-CONTACT-TITLE-L
309600                                        (X-MS03-CONTACT)
309700                 MOVE DFHBMDAS   TO MS03-CONTACT-TITLE-LP-A
309800                                        (X-MS03-CONTACT)
309900                                    MS03-CONTACT-TITLE-RP-A
310000                                        (X-MS03-CONTACT)
310100                 MOVE DFHBMASK   TO MS03-CONTACT-TITLE-A
310200                                        (X-MS03-CONTACT).
310300*
310400     IF  MBCA-PTI-FUNCTION-IS-MAINT
310500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
310600             MOVE ZEROS          TO MS03-CONTACT-TITLE-L
310700                                        (X-MS03-CONTACT)
310800             MOVE DFHBMDAS       TO MS03-CONTACT-TITLE-LP-A
310900                                        (X-MS03-CONTACT)
311000                                    MS03-CONTACT-TITLE-RP-A
311100                                        (X-MS03-CONTACT)
311200             MOVE DFHBMASK       TO MS03-CONTACT-TITLE-A
311300                                        (X-MS03-CONTACT).
311400*
311500 Y109-EXIT.
311600     EXIT.
311700*
311800 Y110-MOVE-CONTACT3-PHONE.
311900*
312000     MOVE MMSMTB-CONTACT-PHONE-3 (1:4)
312100                                 TO WS-INDEX-X.
312200     SET  X-MMFS-STORE           TO WS-INDEX.
312300     SET  X-MMSM-CONTACT         TO 3.
312400     SET  X-MS03-CONTACT         TO 3.
312500*
312600     MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
312700                                 TO MS03-CONTACT-PHONE
312800                                        (X-MS03-CONTACT).
312900*
313000 Y115-CONTACT3-PHONE-SECURITY.
313100*
313200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
313300         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LIT-A
313400                                        (X-MS03-CONTACT)
313500                                    MS03-CONTACT-PHONE-LP-A
313600                                        (X-MS03-CONTACT)
313700                                    MS03-CONTACT-PHONE-RP-A
313800                                        (X-MS03-CONTACT)
313900                                    MS03-CONTACT-PHONE-A
314000                                        (X-MS03-CONTACT)
314100         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
314200                                        (X-MS03-CONTACT)
314300         GO TO Y119-EXIT.
314400*
314500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
314600         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
314700                                        (X-MS03-CONTACT)
314800                                    MS03-CONTACT-PHONE-RP-A
314900                                        (X-MS03-CONTACT)
315000         MOVE DFHBMASB           TO MS03-CONTACT-PHONE-A
315100                                        (X-MS03-CONTACT)
315200         GO TO Y119-EXIT.
315300*
315400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
315500         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
315600                                        (X-MS03-CONTACT)
315700         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
315800                                        (X-MS03-CONTACT)
315900                                    MS03-CONTACT-PHONE-RP-A
316000                                        (X-MS03-CONTACT)
316100         MOVE DFHBMASK           TO MS03-CONTACT-PHONE-A
316200                                        (X-MS03-CONTACT)
316300         GO TO Y119-EXIT.
316400*
316500     IF  MBCA-PTI-FUNCTION-IS-ADD
316600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
316700             MOVE DFHBMASB       TO MS03-CONTACT-PHONE-LIT-A
316800                                        (X-MS03-CONTACT)
316900         ELSE
317000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
317100                 MOVE ZEROS      TO MS03-CONTACT-PHONE-L
317200                                        (X-MS03-CONTACT)
317300                 MOVE DFHBMDAS   TO MS03-CONTACT-PHONE-LP-A
317400                                        (X-MS03-CONTACT)
317500                                    MS03-CONTACT-PHONE-RP-A
317600                                        (X-MS03-CONTACT)
317700                 MOVE DFHBMASK   TO MS03-CONTACT-PHONE-A
317800                                        (X-MS03-CONTACT).
317900*
318000     IF  MBCA-PTI-FUNCTION-IS-MAINT
318100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
318200             MOVE ZEROS          TO MS03-CONTACT-PHONE-L
318300                                        (X-MS03-CONTACT)
318400             MOVE DFHBMDAS       TO MS03-CONTACT-PHONE-LP-A
318500                                        (X-MS03-CONTACT)
318600                                    MS03-CONTACT-PHONE-RP-A
318700                                        (X-MS03-CONTACT)
318800             MOVE DFHBMASK       TO MS03-CONTACT-PHONE-A
318900                                        (X-MS03-CONTACT).
319000*
319100 Y119-EXIT.
319200     EXIT.
319300*
319400 Y120-MOVE-CONTACT3-FAX.
319500*
319600     MOVE MMSMTB-CONTACT-FAX-3 (1:4)
319700                                 TO WS-INDEX-X.
319800     SET  X-MMFS-STORE           TO WS-INDEX.
319900     SET  X-MMSM-CONTACT         TO 3.
320000     SET  X-MS03-CONTACT         TO 3.
320100*
320200     MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
320300                                 TO MS03-CONTACT-FAX
320400                                        (X-MS03-CONTACT).
320500*
320600 Y125-CONTACT3-FAX-SECURITY.
320700*
320800     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
320900         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LIT-A
321000                                        (X-MS03-CONTACT)
321100                                    MS03-CONTACT-FAX-LP-A
321200                                        (X-MS03-CONTACT)
321300                                    MS03-CONTACT-FAX-RP-A
321400                                        (X-MS03-CONTACT)
321500                                    MS03-CONTACT-FAX-A
321600                                        (X-MS03-CONTACT)
321700         MOVE ZEROS              TO MS03-CONTACT-FAX-L
321800                                        (X-MS03-CONTACT)
321900         GO TO Y129-EXIT.
322000*
322100     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
322200         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
322300                                        (X-MS03-CONTACT)
322400                                    MS03-CONTACT-FAX-RP-A
322500                                        (X-MS03-CONTACT)
322600         MOVE DFHBMASB           TO MS03-CONTACT-FAX-A
322700                                        (X-MS03-CONTACT)
322800         GO TO Y129-EXIT.
322900*
323000     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
323100         MOVE ZEROS              TO MS03-CONTACT-FAX-L
323200                                        (X-MS03-CONTACT)
323300         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
323400                                        (X-MS03-CONTACT)
323500                                    MS03-CONTACT-FAX-RP-A
323600                                        (X-MS03-CONTACT)
323700         MOVE DFHBMASK           TO MS03-CONTACT-FAX-A
323800                                        (X-MS03-CONTACT)
323900         GO TO Y129-EXIT.
324000*
324100     IF  MBCA-PTI-FUNCTION-IS-ADD
324200         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
324300             MOVE DFHBMASB       TO MS03-CONTACT-FAX-LIT-A
324400                                        (X-MS03-CONTACT)
324500         ELSE
324600             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
324700                 MOVE ZEROS      TO MS03-CONTACT-FAX-L
324800                                        (X-MS03-CONTACT)
324900                 MOVE DFHBMDAS   TO MS03-CONTACT-FAX-LP-A
325000                                        (X-MS03-CONTACT)
325100                                    MS03-CONTACT-FAX-RP-A
325200                                        (X-MS03-CONTACT)
325300                 MOVE DFHBMASK   TO MS03-CONTACT-FAX-A
325400                                        (X-MS03-CONTACT).
325500*
325600     IF  MBCA-PTI-FUNCTION-IS-MAINT
325700         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
325800             MOVE ZEROS          TO MS03-CONTACT-FAX-L
325900                                        (X-MS03-CONTACT)
326000             MOVE DFHBMDAS       TO MS03-CONTACT-FAX-LP-A
326100                                        (X-MS03-CONTACT)
326200                                    MS03-CONTACT-FAX-RP-A
326300                                        (X-MS03-CONTACT)
326400             MOVE DFHBMASK       TO MS03-CONTACT-FAX-A
326500                                        (X-MS03-CONTACT).
326600*
326700 Y129-EXIT.
326800     EXIT.
326900*
327000 Y130-MOVE-CONTACT4-NAME.
327100*
327200     MOVE MMSMTB-CONTACT-NAME-4 (1:4)
327300                                 TO WS-INDEX-X.
327400     SET  X-MMFS-STORE           TO WS-INDEX.
327500     SET  X-MMSM-CONTACT         TO 4.
327600     SET  X-MS03-CONTACT         TO 4.
327700*
327800     MOVE MMSM-CONTACT (X-MMSM-CONTACT)
327900                                 TO MS03-CONTACT-NAME
328000                                        (X-MS03-CONTACT).
328100*
328200 Y135-CONTACT4-NAME-SECURITY.
328300*
328400     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
328500         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LIT-A
328600                                        (X-MS03-CONTACT)
328700                                    MS03-CONTACT-NAME-LP-A
328800                                        (X-MS03-CONTACT)
328900                                    MS03-CONTACT-NAME-RP-A
329000                                        (X-MS03-CONTACT)
329100                                    MS03-CONTACT-NAME-A
329200                                        (X-MS03-CONTACT)
329300         MOVE ZEROS              TO MS03-CONTACT-NAME-L
329400                                        (X-MS03-CONTACT)
329500         GO TO Y139-EXIT.
329600*
329700     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
329800         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
329900                                        (X-MS03-CONTACT)
330000                                    MS03-CONTACT-NAME-RP-A
330100                                        (X-MS03-CONTACT)
330200         MOVE DFHBMASB           TO MS03-CONTACT-NAME-A
330300                                        (X-MS03-CONTACT)
330400         GO TO Y139-EXIT.
330500*
330600     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
330700         MOVE ZEROS              TO MS03-CONTACT-NAME-L
330800                                        (X-MS03-CONTACT)
330900         MOVE DFHBMDAS           TO MS03-CONTACT-NAME-LP-A
331000                                        (X-MS03-CONTACT)
331100                                    MS03-CONTACT-NAME-RP-A
331200                                        (X-MS03-CONTACT)
331300         MOVE DFHBMASK           TO MS03-CONTACT-NAME-A
331400                                        (X-MS03-CONTACT)
331500         GO TO Y139-EXIT.
331600*
331700     IF  MBCA-PTI-FUNCTION-IS-ADD
331800         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
331900             MOVE DFHBMASB       TO MS03-CONTACT-NAME-LIT-A
332000                                        (X-MS03-CONTACT)
332100         ELSE
332200             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
332300                 MOVE ZEROS      TO MS03-CONTACT-NAME-L
332400                                        (X-MS03-CONTACT)
332500                 MOVE DFHBMDAS   TO MS03-CONTACT-NAME-LP-A
332600                                        (X-MS03-CONTACT)
332700                                    MS03-CONTACT-NAME-RP-A
332800                                        (X-MS03-CONTACT)
332900                 MOVE DFHBMASK   TO MS03-CONTACT-NAME-A
333000                                        (X-MS03-CONTACT).
333100*
333200     IF  MBCA-PTI-FUNCTION-IS-MAINT
333300         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
333400             MOVE ZEROS          TO MS03-CONTACT-NAME-L
333500                                        (X-MS03-CONTACT)
333600             MOVE DFHBMDAS       TO MS03-CONTACT-NAME-LP-A
333700                                        (X-MS03-CONTACT)
333800                                    MS03-CONTACT-NAME-RP-A
333900                                        (X-MS03-CONTACT)
334000             MOVE DFHBMASK       TO MS03-CONTACT-NAME-A
334100                                        (X-MS03-CONTACT).
334200*
334300 Y139-EXIT.
334400     EXIT.
334500*
334600 Y140-MOVE-CONTACT4-TITLE.
334700*
334800     MOVE MMSMTB-CONTACT-TITLE-4 (1:4)
334900                                 TO WS-INDEX-X.
335000     SET  X-MMFS-STORE           TO WS-INDEX.
335100     SET  X-MMSM-CONTACT         TO 4.
335200     SET  X-MS03-CONTACT         TO 4.
335300*
335400     MOVE MMSM-CONTACT-TITLE (X-MMSM-CONTACT)
335500                                 TO MS03-CONTACT-TITLE
335600                                        (X-MS03-CONTACT).
335700*
335800 Y145-CONTACT4-TITLE-SECURITY.
335900*
336000     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
336100         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LIT-A
336200                                        (X-MS03-CONTACT)
336300                                    MS03-CONTACT-TITLE-LP-A
336400                                        (X-MS03-CONTACT)
336500                                    MS03-CONTACT-TITLE-RP-A
336600                                        (X-MS03-CONTACT)
336700                                    MS03-CONTACT-TITLE-A
336800                                        (X-MS03-CONTACT)
336900         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
337000                                        (X-MS03-CONTACT)
337100         GO TO Y149-EXIT.
337200*
337300     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
337400         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
337500                                        (X-MS03-CONTACT)
337600                                    MS03-CONTACT-TITLE-RP-A
337700                                        (X-MS03-CONTACT)
337800         MOVE DFHBMASB           TO MS03-CONTACT-TITLE-A
337900                                        (X-MS03-CONTACT)
338000         GO TO Y149-EXIT.
338100*
338200     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
338300         MOVE ZEROS              TO MS03-CONTACT-TITLE-L
338400                                        (X-MS03-CONTACT)
338500         MOVE DFHBMDAS           TO MS03-CONTACT-TITLE-LP-A
338600                                        (X-MS03-CONTACT)
338700                                    MS03-CONTACT-TITLE-RP-A
338800                                        (X-MS03-CONTACT)
338900         MOVE DFHBMASK           TO MS03-CONTACT-TITLE-A
339000                                        (X-MS03-CONTACT)
339100         GO TO Y149-EXIT.
339200*
339300     IF  MBCA-PTI-FUNCTION-IS-ADD
339400         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
339500             MOVE DFHBMASB       TO MS03-CONTACT-TITLE-LIT-A
339600                                        (X-MS03-CONTACT)
339700         ELSE
339800             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
339900                 MOVE ZEROS      TO MS03-CONTACT-TITLE-L
340000                                        (X-MS03-CONTACT)
340100                 MOVE DFHBMDAS   TO MS03-CONTACT-TITLE-LP-A
340200                                        (X-MS03-CONTACT)
340300                                    MS03-CONTACT-TITLE-RP-A
340400                                        (X-MS03-CONTACT)
340500                 MOVE DFHBMASK   TO MS03-CONTACT-TITLE-A
340600                                        (X-MS03-CONTACT).
340700*
340800     IF  MBCA-PTI-FUNCTION-IS-MAINT
340900         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
341000             MOVE ZEROS          TO MS03-CONTACT-TITLE-L
341100                                        (X-MS03-CONTACT)
341200             MOVE DFHBMDAS       TO MS03-CONTACT-TITLE-LP-A
341300                                        (X-MS03-CONTACT)
341400                                    MS03-CONTACT-TITLE-RP-A
341500                                        (X-MS03-CONTACT)
341600             MOVE DFHBMASK       TO MS03-CONTACT-TITLE-A
341700                                        (X-MS03-CONTACT).
341800*
341900 Y149-EXIT.
342000     EXIT.
342100*
342200 Y150-MOVE-CONTACT4-PHONE.
342300*
342400     MOVE MMSMTB-CONTACT-PHONE-4 (1:4)
342500                                 TO WS-INDEX-X.
342600     SET  X-MMFS-STORE           TO WS-INDEX.
342700     SET  X-MMSM-CONTACT         TO 4.
342800     SET  X-MS03-CONTACT         TO 4.
342900*
343000     MOVE MMSM-CONTACT-PHONE (X-MMSM-CONTACT)
343100                                 TO MS03-CONTACT-PHONE
343200                                        (X-MS03-CONTACT).
343300*
343400 Y155-CONTACT4-PHONE-SECURITY.
343500*
343600     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
343700         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LIT-A
343800                                        (X-MS03-CONTACT)
343900                                    MS03-CONTACT-PHONE-LP-A
344000                                        (X-MS03-CONTACT)
344100                                    MS03-CONTACT-PHONE-RP-A
344200                                        (X-MS03-CONTACT)
344300                                    MS03-CONTACT-PHONE-A
344400                                        (X-MS03-CONTACT)
344500         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
344600                                        (X-MS03-CONTACT)
344700         GO TO Y159-EXIT.
344800*
344900     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
345000         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
345100                                        (X-MS03-CONTACT)
345200                                    MS03-CONTACT-PHONE-RP-A
345300                                        (X-MS03-CONTACT)
345400         MOVE DFHBMASB           TO MS03-CONTACT-PHONE-A
345500                                        (X-MS03-CONTACT)
345600         GO TO Y159-EXIT.
345700*
345800     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
345900         MOVE ZEROS              TO MS03-CONTACT-PHONE-L
346000                                        (X-MS03-CONTACT)
346100         MOVE DFHBMDAS           TO MS03-CONTACT-PHONE-LP-A
346200                                        (X-MS03-CONTACT)
346300                                    MS03-CONTACT-PHONE-RP-A
346400                                        (X-MS03-CONTACT)
346500         MOVE DFHBMASK           TO MS03-CONTACT-PHONE-A
346600                                        (X-MS03-CONTACT)
346700         GO TO Y159-EXIT.
346800*
346900     IF  MBCA-PTI-FUNCTION-IS-ADD
347000         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
347100             MOVE DFHBMASB       TO MS03-CONTACT-PHONE-LIT-A
347200                                        (X-MS03-CONTACT)
347300         ELSE
347400             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
347500                 MOVE ZEROS      TO MS03-CONTACT-PHONE-L
347600                                        (X-MS03-CONTACT)
347700                 MOVE DFHBMDAS   TO MS03-CONTACT-PHONE-LP-A
347800                                        (X-MS03-CONTACT)
347900                                    MS03-CONTACT-PHONE-RP-A
348000                                        (X-MS03-CONTACT)
348100                 MOVE DFHBMASK   TO MS03-CONTACT-PHONE-A
348200                                        (X-MS03-CONTACT).
348300*
348400     IF  MBCA-PTI-FUNCTION-IS-MAINT
348500         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
348600             MOVE ZEROS          TO MS03-CONTACT-PHONE-L
348700                                        (X-MS03-CONTACT)
348800             MOVE DFHBMDAS       TO MS03-CONTACT-PHONE-LP-A
348900                                        (X-MS03-CONTACT)
349000                                    MS03-CONTACT-PHONE-RP-A
349100                                        (X-MS03-CONTACT)
349200             MOVE DFHBMASK       TO MS03-CONTACT-PHONE-A
349300                                        (X-MS03-CONTACT).
349400*
349500 Y159-EXIT.
349600     EXIT.
349700*
349800 Y160-MOVE-CONTACT4-FAX.
349900*
350000     MOVE MMSMTB-CONTACT-FAX-4 (1:4)
350100                                 TO WS-INDEX-X.
350200     SET  X-MMFS-STORE           TO WS-INDEX.
350300     SET  X-MMSM-CONTACT         TO 4.
350400     SET  X-MS03-CONTACT         TO 4.
350500*
350600     MOVE MMSM-CONTACT-FAX (X-MMSM-CONTACT)
350700                                 TO MS03-CONTACT-FAX
350800                                        (X-MS03-CONTACT).
350900*
351000 Y165-CONTACT4-FAX-SECURITY.
351100*
351200     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
351300         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LIT-A
351400                                        (X-MS03-CONTACT)
351500                                    MS03-CONTACT-FAX-LP-A
351600                                        (X-MS03-CONTACT)
351700                                    MS03-CONTACT-FAX-RP-A
351800                                        (X-MS03-CONTACT)
351900                                    MS03-CONTACT-FAX-A
352000                                        (X-MS03-CONTACT)
352100         MOVE ZEROS              TO MS03-CONTACT-FAX-L
352200                                        (X-MS03-CONTACT)
352300         GO TO Y169-EXIT.
352400*
352500     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
352600         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
352700                                        (X-MS03-CONTACT)
352800                                    MS03-CONTACT-FAX-RP-A
352900                                        (X-MS03-CONTACT)
353000         MOVE DFHBMASB           TO MS03-CONTACT-FAX-A
353100                                        (X-MS03-CONTACT)
353200         GO TO Y169-EXIT.
353300*
353400     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
353500         MOVE ZEROS              TO MS03-CONTACT-FAX-L
353600                                        (X-MS03-CONTACT)
353700         MOVE DFHBMDAS           TO MS03-CONTACT-FAX-LP-A
353800                                        (X-MS03-CONTACT)
353900                                    MS03-CONTACT-FAX-RP-A
354000                                        (X-MS03-CONTACT)
354100         MOVE DFHBMASK           TO MS03-CONTACT-FAX-A
354200                                        (X-MS03-CONTACT)
354300         GO TO Y169-EXIT.
354400*
354500     IF  MBCA-PTI-FUNCTION-IS-ADD
354600         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
354700             MOVE DFHBMASB       TO MS03-CONTACT-FAX-LIT-A
354800                                        (X-MS03-CONTACT)
354900         ELSE
355000             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
355100                 MOVE ZEROS      TO MS03-CONTACT-FAX-L
355200                                        (X-MS03-CONTACT)
355300                 MOVE DFHBMDAS   TO MS03-CONTACT-FAX-LP-A
355400                                        (X-MS03-CONTACT)
355500                                    MS03-CONTACT-FAX-RP-A
355600                                        (X-MS03-CONTACT)
355700                 MOVE DFHBMASK   TO MS03-CONTACT-FAX-A
355800                                        (X-MS03-CONTACT).
355900*
356000     IF  MBCA-PTI-FUNCTION-IS-MAINT
356100         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
356200             MOVE ZEROS          TO MS03-CONTACT-FAX-L
356300                                        (X-MS03-CONTACT)
356400             MOVE DFHBMDAS       TO MS03-CONTACT-FAX-LP-A
356500                                        (X-MS03-CONTACT)
356600                                    MS03-CONTACT-FAX-RP-A
356700                                        (X-MS03-CONTACT)
356800             MOVE DFHBMASK       TO MS03-CONTACT-FAX-A
356900                                        (X-MS03-CONTACT).
357000*
357100 Y169-EXIT.
357200     EXIT.
357300*
357400 Y170-MOVE-MEMOS.
357500*
357600     MOVE MMSMTB-MEMO-1 (1:4)    TO WS-INDEX-X.
357700     SET  X-MMFS-STORE           TO WS-INDEX.
357800     SET  X-MMSM-MEMO            TO 1.
357900     SET  X-MS03-MEMO            TO 1.
358000*
358100 Y171-MM-LOOP.
358200*
358300     MOVE MMSM-MEMO (X-MMSM-MEMO)
358400                                 TO MS03-MEMO
358500                                        (X-MS03-MEMO).
358600*
358700 Y175-MEMO-SECURITY.
358800*
358900     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)
359000         MOVE DFHBMDAS           TO MS03-MEMO-LIT-A
359100                                        (X-MS03-MEMO)
359200                                    MS03-MEMO-LP-A
359300                                        (X-MS03-MEMO)
359400                                    MS03-MEMO-RP-A
359500                                        (X-MS03-MEMO)
359600                                    MS03-MEMO-A
359700                                        (X-MS03-MEMO)
359800         MOVE ZEROS              TO MS03-MEMO-L
359900                                        (X-MS03-MEMO)
360000         GO TO Y176-MS-EXIT.
360100*
360200     IF  MBCA-PTI-FUNCTION-IS-INQUIRY
360300         MOVE DFHBMDAS           TO MS03-MEMO-LP-A
360400                                        (X-MS03-MEMO)
360500                                    MS03-MEMO-RP-A
360600                                        (X-MS03-MEMO)
360700         MOVE DFHBMASB           TO MS03-MEMO-A
360800                                        (X-MS03-MEMO)
360900         GO TO Y176-MS-EXIT.
361000*
361100     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)
361200         MOVE ZEROS              TO MS03-MEMO-L
361300                                        (X-MS03-MEMO)
361400         MOVE DFHBMDAS           TO MS03-MEMO-LP-A
361500                                        (X-MS03-MEMO)
361600                                    MS03-MEMO-RP-A
361700                                        (X-MS03-MEMO)
361800         MOVE DFHBMASK           TO MS03-MEMO-A
361900                                        (X-MS03-MEMO)
362000         GO TO Y176-MS-EXIT.
362100*
362200     IF  MBCA-PTI-FUNCTION-IS-ADD
362300         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)
362400             MOVE DFHBMASB       TO MS03-MEMO-LIT-A
362500                                        (X-MS03-MEMO)
362600         ELSE
362700             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)
362800                 MOVE ZEROS      TO MS03-MEMO-L
362900                                        (X-MS03-MEMO)
363000                 MOVE DFHBMDAS   TO MS03-MEMO-LP-A
363100                                        (X-MS03-MEMO)
363200                                    MS03-MEMO-RP-A
363300                                        (X-MS03-MEMO)
363400                 MOVE DFHBMASK   TO MS03-MEMO-A
363500                                        (X-MS03-MEMO).
363600*
363700     IF  MBCA-PTI-FUNCTION-IS-MAINT
363800         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)
363900             MOVE ZEROS          TO MS03-MEMO-L
364000                                        (X-MS03-MEMO)
364100             MOVE DFHBMDAS       TO MS03-MEMO-LP-A
364200                                        (X-MS03-MEMO)
364300                                    MS03-MEMO-RP-A
364400                                        (X-MS03-MEMO)
364500             MOVE DFHBMASK       TO MS03-MEMO-A
364600                                        (X-MS03-MEMO).
364700*
364800 Y176-MS-EXIT.
364900     EXIT.
365000*
365100 Y178-INCREMENT-INDEXES.
365200*
365300     IF  X-MS03-MEMO IS LESS THAN 4
365400         SET X-MMFS-STORE        UP BY 1
365500         SET X-MMSM-MEMO         UP BY 1
365600         SET X-MS03-MEMO         UP BY 1
365700         GO TO Y171-MM-LOOP.
365800*
365900 Y179-EXIT.
366000     EXIT.
366002*                                                                 RG802901
366004 Y180-MOVE-URL-EMAIL.                                             RG802901
366006*                                                                 RG802901
366008     MOVE MMSM-VI-URL-EMAIL      TO MS03-URL-EMAIL.               RG802901
366010*                                                                 RG802901
366012 Y185-URL-EMAIL-SECURITY.                                         RG802901
366014*                                                                 RG802901
366016     MOVE MMSMTB-URL-EMAIL (1:4) TO WS-INDEX-X.                   RG802901
366018     SET  X-MMFS-STORE           TO WS-INDEX.                     FX800037
366020*                                                                 RG802901
366022     IF  MMFS-ST-NO-ACCESS (X-MMFS-STORE)                         FX800037
366024         MOVE DFHBMDAS           TO MS03-URL-EMAIL-LIT-A          RG802901
366026                                    MS03-URL-EMAIL-LP-A           RG802901
366028                                    MS03-URL-EMAIL-RP-A           RG802901
366030                                    MS03-URL-EMAIL-A              RG802901
366032         MOVE ZERO               TO MS03-URL-EMAIL-L              RG802901
366034         GO TO Y189-EXIT.                                         RG802901
366036*                                                                 RG802901
366038     IF  MBCA-PTI-FUNCTION-IS-INQUIRY                             RG802901
366040         MOVE DFHBMDAS           TO MS03-URL-EMAIL-LP-A           RG802901
366042                                    MS03-URL-EMAIL-RP-A           RG802901
366044         MOVE DFHBMASB           TO MS03-URL-EMAIL-A              RG802901
366046         GO TO Y189-EXIT.                                         RG802901
366048*                                                                 RG802901
366050     IF  MMFS-ST-INQ-ONLY (X-MMFS-STORE)                          FX800037
366052         MOVE ZERO               TO MS03-URL-EMAIL-L              RG802901
366054         MOVE DFHBMDAS           TO MS03-URL-EMAIL-LP-A           RG802901
366056                                    MS03-URL-EMAIL-RP-A           RG802901
366058         MOVE DFHBMASK           TO MS03-URL-EMAIL-A              RG802901
366060         GO TO Y189-EXIT.                                         RG802901
366062*                                                                 RG802901
366064     IF  MBCA-PTI-FUNCTION-IS-ADD                                 RG802901
366066         IF  MMFS-ST-REQUIRED (X-MMFS-STORE)                      FX800037
366068             MOVE DFHBMASB       TO MS03-URL-EMAIL-LIT-A          RG802901
366070         ELSE                                                     RG802901
366072             IF  MMFS-ST-MAINT-ONLY (X-MMFS-STORE)                FX800037
366074                 MOVE ZERO       TO MS03-URL-EMAIL-L              RG802901
366076                 MOVE DFHBMDAS   TO MS03-URL-EMAIL-LP-A           RG802901
366078                                    MS03-URL-EMAIL-RP-A           RG802901
366080                 MOVE DFHBMASK   TO MS03-URL-EMAIL-A.             RG802901
366082*                                                                 RG802901
366084     IF  MBCA-PTI-FUNCTION-IS-MAINT                               RG802901
366086         IF  MMFS-ST-NO-MAINT (X-MMFS-STORE)                      FX800037
366088             MOVE ZERO           TO MS03-URL-EMAIL-L              RG802901
366090             MOVE DFHBMDAS       TO MS03-URL-EMAIL-LP-A           RG802901
366092                                    MS03-URL-EMAIL-RP-A           RG802901
366094             MOVE DFHBMASK       TO MS03-URL-EMAIL-A.             RG802901
366096*                                                                 RG802901
366098 Y189-EXIT.                                                       RG802901
366099     EXIT.                                                        RG802901
366100/                                                                 RG802901
366200 Y800-SET-CURSOR.
366300*
366400************************************************************
366500*    THIS ROUTINE IS PERFORMED IF IN ADD OR MAINTENANCE    *
366600*    AND SETS THE CURSOR TO THE FIRST FIELD WHICH IS       *
366700*    OPEN FOR INPUT                                        *
366800************************************************************
366900*
367000* CONTACT 1 NAME
367100*
367200     MOVE MMSMTB-CONTACT-NAME-1 (1:4)
367300                                 TO WS-INDEX-X.
367400     SET X-MMFS-STORE            TO WS-INDEX.
367500*
367600     EVALUATE TRUE
367700         WHEN MBCA-PTI-FUNCTION-IS-ADD
367800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
367900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
368000                 MOVE SS08WS-CURSOR
368100                                  TO MS03-CONTACT-NAME-L (1)
368200             END-IF
368300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
368400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
368500                 MOVE SS08WS-CURSOR
368600                                  TO MS03-CONTACT-NAME-L (1)
368700             END-IF
368800     END-EVALUATE.
368900*
369000* CONTACT 1 TITLE
369100*
369200     MOVE MMSMTB-CONTACT-TITLE-1 (1:4)
369300                                 TO WS-INDEX-X.
369400     SET X-MMFS-STORE            TO WS-INDEX.
369500*
369600     EVALUATE TRUE
369700         WHEN MBCA-PTI-FUNCTION-IS-ADD
369800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
369900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
370000                 MOVE SS08WS-CURSOR
370100                                  TO MS03-CONTACT-TITLE-L (1)
370200             END-IF
370300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
370400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
370500                 MOVE SS08WS-CURSOR
370600                                  TO MS03-CONTACT-TITLE-L (1)
370700             END-IF
370800     END-EVALUATE.
370900*
371000* CONTACT 1 PHONE
371100*
371200     MOVE MMSMTB-CONTACT-PHONE-1 (1:4)
371300                                 TO WS-INDEX-X.
371400     SET X-MMFS-STORE            TO WS-INDEX.
371500*
371600     EVALUATE TRUE
371700         WHEN MBCA-PTI-FUNCTION-IS-ADD
371800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
371900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
372000                 MOVE SS08WS-CURSOR
372100                                  TO MS03-CONTACT-PHONE-L (1)
372200             END-IF
372300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
372400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
372500                 MOVE SS08WS-CURSOR
372600                                  TO MS03-CONTACT-PHONE-L (1)
372700             END-IF
372800     END-EVALUATE.
372900*
373000* CONTACT 1 FAX
373100*
373200     MOVE MMSMTB-CONTACT-FAX-1 (1:4)
373300                                 TO WS-INDEX-X.
373400     SET X-MMFS-STORE            TO WS-INDEX.
373500*
373600     EVALUATE TRUE
373700         WHEN MBCA-PTI-FUNCTION-IS-ADD
373800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
373900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
374000                 MOVE SS08WS-CURSOR
374100                                  TO MS03-CONTACT-FAX-L (1)
374200             END-IF
374300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
374400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
374500                 MOVE SS08WS-CURSOR
374600                                  TO MS03-CONTACT-FAX-L (1)
374700             END-IF
374800     END-EVALUATE.
374900*
375000* CONTACT 2 NAME
375100*
375200     MOVE MMSMTB-CONTACT-NAME-2 (1:4)
375300                                 TO WS-INDEX-X.
375400     SET X-MMFS-STORE            TO WS-INDEX.
375500*
375600     EVALUATE TRUE
375700         WHEN MBCA-PTI-FUNCTION-IS-ADD
375800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
375900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
376000                 MOVE SS08WS-CURSOR
376100                                  TO MS03-CONTACT-NAME-L (2)
376200             END-IF
376300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
376400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
376500                 MOVE SS08WS-CURSOR
376600                                  TO MS03-CONTACT-NAME-L (2)
376700             END-IF
376800     END-EVALUATE.
376900*
377000* CONTACT 2 TITLE
377100*
377200     MOVE MMSMTB-CONTACT-TITLE-2 (1:4)
377300                                 TO WS-INDEX-X.
377400     SET X-MMFS-STORE            TO WS-INDEX.
377500*
377600     EVALUATE TRUE
377700         WHEN MBCA-PTI-FUNCTION-IS-ADD
377800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
377900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
378000                 MOVE SS08WS-CURSOR
378100                                  TO MS03-CONTACT-TITLE-L (2)
378200             END-IF
378300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
378400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
378500                 MOVE SS08WS-CURSOR
378600                                  TO MS03-CONTACT-TITLE-L (2)
378700             END-IF
378800     END-EVALUATE.
378900*
379000* CONTACT 2 PHONE
379100*
379200     MOVE MMSMTB-CONTACT-PHONE-2 (1:4)
379300                                 TO WS-INDEX-X.
379400     SET X-MMFS-STORE            TO WS-INDEX.
379500*
379600     EVALUATE TRUE
379700         WHEN MBCA-PTI-FUNCTION-IS-ADD
379800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
379900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
380000                 MOVE SS08WS-CURSOR
380100                                  TO MS03-CONTACT-PHONE-L (2)
380200             END-IF
380300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
380400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
380500                 MOVE SS08WS-CURSOR
380600                                  TO MS03-CONTACT-PHONE-L (2)
380700             END-IF
380800     END-EVALUATE.
380900*
381000* CONTACT 2 FAX
381100*
381200     MOVE MMSMTB-CONTACT-FAX-2 (1:4)
381300                                 TO WS-INDEX-X.
381400     SET X-MMFS-STORE            TO WS-INDEX.
381500*
381600     EVALUATE TRUE
381700         WHEN MBCA-PTI-FUNCTION-IS-ADD
381800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
381900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
382000                 MOVE SS08WS-CURSOR
382100                                  TO MS03-CONTACT-FAX-L (2)
382200             END-IF
382300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
382400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
382500                 MOVE SS08WS-CURSOR
382600                                  TO MS03-CONTACT-FAX-L (2)
382700             END-IF
382800     END-EVALUATE.
382900*
383000* CONTACT-3-NAME
383100*
383200     MOVE MMSMTB-CONTACT-NAME-3 (1:4)
383300                                 TO WS-INDEX-X.
383400     SET X-MMFS-STORE            TO WS-INDEX.
383500*
383600     EVALUATE TRUE
383700         WHEN MBCA-PTI-FUNCTION-IS-ADD
383800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
383900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
384000                 MOVE SS08WS-CURSOR
384100                                  TO MS03-CONTACT-NAME-L (3)
384200             END-IF
384300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
384400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
384500                 MOVE SS08WS-CURSOR
384600                                  TO MS03-CONTACT-NAME-L (3)
384700             END-IF
384800     END-EVALUATE.
384900*
385000* CONTACT 3 TITLE
385100*
385200     MOVE MMSMTB-CONTACT-TITLE-3 (1:4)
385300                                 TO WS-INDEX-X.
385400     SET X-MMFS-STORE            TO WS-INDEX.
385500*
385600     EVALUATE TRUE
385700         WHEN MBCA-PTI-FUNCTION-IS-ADD
385800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
385900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
386000                 MOVE SS08WS-CURSOR
386100                                  TO MS03-CONTACT-TITLE-L (3)
386200             END-IF
386300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
386400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
386500                 MOVE SS08WS-CURSOR
386600                                  TO MS03-CONTACT-TITLE-L (3)
386700             END-IF
386800     END-EVALUATE.
386900*
387000* CONTACT 3 PHONE
387100*
387200     MOVE MMSMTB-CONTACT-PHONE-3 (1:4)
387300                                 TO WS-INDEX-X.
387400     SET X-MMFS-STORE            TO WS-INDEX.
387500*
387600     EVALUATE TRUE
387700         WHEN MBCA-PTI-FUNCTION-IS-ADD
387800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
387900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
388000                 MOVE SS08WS-CURSOR
388100                                  TO MS03-CONTACT-PHONE-L (3)
388200             END-IF
388300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
388400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
388500                 MOVE SS08WS-CURSOR
388600                                  TO MS03-CONTACT-PHONE-L (3)
388700             END-IF
388800     END-EVALUATE.
388900*
389000* CONTACT 3 FAX
389100*
389200     MOVE MMSMTB-CONTACT-FAX-3 (1:4)
389300                                 TO WS-INDEX-X.
389400     SET X-MMFS-STORE            TO WS-INDEX.
389500*
389600     EVALUATE TRUE
389700         WHEN MBCA-PTI-FUNCTION-IS-ADD
389800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
389900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
390000                 MOVE SS08WS-CURSOR
390100                                  TO MS03-CONTACT-FAX-L (3)
390200             END-IF
390300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
390400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
390500                 MOVE SS08WS-CURSOR
390600                                  TO MS03-CONTACT-FAX-L (3)
390700             END-IF
390800     END-EVALUATE.
390900*
391000* CONTACT 4 NAME
391100*
391200     MOVE MMSMTB-CONTACT-NAME-4 (1:4)
391300                                 TO WS-INDEX-X.
391400     SET X-MMFS-STORE            TO WS-INDEX.
391500*
391600     EVALUATE TRUE
391700         WHEN MBCA-PTI-FUNCTION-IS-ADD
391800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
391900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
392000                 MOVE SS08WS-CURSOR
392100                                  TO MS03-CONTACT-NAME-L (4)
392200             END-IF
392300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
392400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
392500                 MOVE SS08WS-CURSOR
392600                                  TO MS03-CONTACT-NAME-L (4)
392700             END-IF
392800     END-EVALUATE.
392900*
393000* CONTACT-4-TITLE
393100*
393200     MOVE MMSMTB-CONTACT-TITLE-4 (1:4)
393300                                 TO WS-INDEX-X.
393400     SET X-MMFS-STORE            TO WS-INDEX.
393500*
393600     EVALUATE TRUE
393700         WHEN MBCA-PTI-FUNCTION-IS-ADD
393800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
393900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
394000                 MOVE SS08WS-CURSOR
394100                                  TO MS03-CONTACT-TITLE-L (4)
394200             END-IF
394300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
394400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
394500                 MOVE SS08WS-CURSOR
394600                                  TO MS03-CONTACT-TITLE-L (4)
394700             END-IF
394800     END-EVALUATE.
394900*
395000* CONTACT 4 PHONE
395100*
395200     MOVE MMSMTB-CONTACT-PHONE-4 (1:4)
395300                                 TO WS-INDEX-X.
395400     SET X-MMFS-STORE            TO WS-INDEX.
395500*
395600     EVALUATE TRUE
395700         WHEN MBCA-PTI-FUNCTION-IS-ADD
395800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
395900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
396000                 MOVE SS08WS-CURSOR
396100                                  TO MS03-CONTACT-PHONE-L (4)
396200             END-IF
396300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
396400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
396500                 MOVE SS08WS-CURSOR
396600                                  TO MS03-CONTACT-PHONE-L (4)
396700             END-IF
396800     END-EVALUATE.
396900*
397000* CONTACT 4 FAX
397100*
397200     MOVE MMSMTB-CONTACT-FAX-4 (1:4)
397300                                 TO WS-INDEX-X.
397400     SET X-MMFS-STORE            TO WS-INDEX.
397500*
397600     EVALUATE TRUE
397700         WHEN MBCA-PTI-FUNCTION-IS-ADD
397800             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
397900             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
398000                 MOVE SS08WS-CURSOR
398100                                  TO MS03-CONTACT-FAX-L (4)
398200             END-IF
398300         WHEN MBCA-PTI-FUNCTION-IS-MAINT
398400             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
398500                 MOVE SS08WS-CURSOR
398600                                  TO MS03-CONTACT-FAX-L (4)
398700             END-IF
398800     END-EVALUATE.
398900*
399000* MEMO 1
399100*
399200     MOVE MMSMTB-MEMO-1 (1:4)    TO WS-INDEX-X.
399300     SET X-MMFS-STORE            TO WS-INDEX.
399400*
399500     EVALUATE TRUE
399600         WHEN MBCA-PTI-FUNCTION-IS-ADD
399700             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
399800             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
399900                 MOVE SS08WS-CURSOR
400000                                  TO MS03-MEMO-L (1)
400100             END-IF
400200         WHEN MBCA-PTI-FUNCTION-IS-MAINT
400300             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
400400                 MOVE SS08WS-CURSOR
400500                                  TO MS03-MEMO-L (1)
400600             END-IF
400700     END-EVALUATE.
400800*
400900* MEMO 2
401000*
401100     MOVE MMSMTB-MEMO-2 (1:4)    TO WS-INDEX-X.
401200     SET X-MMFS-STORE            TO WS-INDEX.
401300*
401400     EVALUATE TRUE
401500         WHEN MBCA-PTI-FUNCTION-IS-ADD
401600             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
401700             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
401800                 MOVE SS08WS-CURSOR
401900                                  TO MS03-MEMO-L (2)
402000             END-IF
402100         WHEN MBCA-PTI-FUNCTION-IS-MAINT
402200             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
402300                 MOVE SS08WS-CURSOR
402400                                  TO MS03-MEMO-L (2)
402500             END-IF
402600     END-EVALUATE.
402700*
402800* MEMO 3
402900*
403000     MOVE MMSMTB-MEMO-3 (1:4)    TO WS-INDEX-X.
403100     SET X-MMFS-STORE            TO WS-INDEX.
403200*
403300     EVALUATE TRUE
403400         WHEN MBCA-PTI-FUNCTION-IS-ADD
403500             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
403600             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
403700                 MOVE SS08WS-CURSOR
403800                                  TO MS03-MEMO-L (3)
403900             END-IF
404000         WHEN MBCA-PTI-FUNCTION-IS-MAINT
404100             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
404200                 MOVE SS08WS-CURSOR
404300                                  TO MS03-MEMO-L (3)
404400             END-IF
404500     END-EVALUATE.
404600*
404700* Y803-MEMO-4
404800*
404900     MOVE MMSMTB-MEMO-4 (1:4)    TO WS-INDEX-X.
405000     SET X-MMFS-STORE            TO WS-INDEX.
405100*
405200     EVALUATE TRUE
405300         WHEN MBCA-PTI-FUNCTION-IS-ADD
405400             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)
405500             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)
405600                 MOVE SS08WS-CURSOR
405700                                  TO MS03-MEMO-L (4)
405800             END-IF
405900         WHEN MBCA-PTI-FUNCTION-IS-MAINT
406000             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)
406100                 MOVE SS08WS-CURSOR
406200                                  TO MS03-MEMO-L (4)
406300             END-IF
406400     END-EVALUATE.
406402*                                                                 RG802901
406404* URL/EMAIL ADDRESS                                               RG802901
406406*                                                                 RG802901
406408     MOVE MMSMTB-URL-EMAIL (1:4) TO WS-INDEX-X.                   RG802901
406410     SET X-MMFS-STORE            TO WS-INDEX.                     FX800037
406412*                                                                 RG802901
406414     EVALUATE TRUE                                                RG802901
406416         WHEN MBCA-PTI-FUNCTION-IS-ADD                            RG802901
406418             IF  MMFS-ST-OPTIONAL (X-MMFS-STORE)                  FX800037
406420             OR  MMFS-ST-REQUIRED (X-MMFS-STORE)                  FX800037
406422                 MOVE SS08WS-CURSOR                               RG802901
406424                                  TO MS03-URL-EMAIL-L             RG802901
406426             END-IF                                               RG802901
406428         WHEN MBCA-PTI-FUNCTION-IS-MAINT                          RG802901
406430             IF  MMFS-ST-MAINT-ALLOWED (X-MMFS-STORE)             FX800037
406432                 MOVE SS08WS-CURSOR                               RG802901
406434                                  TO MS03-URL-EMAIL-L             RG802901
406436             END-IF                                               RG802901
406438     END-EVALUATE.                                                RG802901
406500*
406600 Y809-SC-EXIT.
406700     EXIT.
406800*
406900 Y900-READ-MMFS.
407000*
407100****************************************
407200*    READ THE FIELD SECURITY RECORD    *
407300*    TO OBTAIN THE SECURITY CODES      *
407400****************************************
407500*
407600     MOVE MBCA-MERCHANT-ORG      TO MBIOWS-MMFS-ORG.
407700     MOVE MBCA-FIELD-SECURITY    TO MBIOWS-MMFS-FS-CODE.
407800     SET MBIORO-READ-RANDOM      TO TRUE.
407900     PERFORM MMFSAO-ACCESS       THRU MMFSAO-ACCESS-EXIT.
408000*
408100     IF  NOT MMFS-REC-ACTIVE
408200         MOVE MBIORO-IO-REQUEST  TO MBCA-ERRR-IO-REQUEST
408300         MOVE ZERO               TO MBCA-ERROR-ROUTINE-SW
408400         MOVE SPACES             TO MBCA-TRANS-WORK-AREA
408500         MOVE 'READ ERROR - MMFSAO'
408600                                 TO MBCA-ERRR-MSG1
408700         MOVE 'FIELD SECURITY PROFILE IS NOT ACTIVE'
408800                                 TO MBCA-ERRR-MSG2
408900         GO TO MB70PD-ERROR-ROUTINE.
409000*
409100 Y909-READ-MMFS-EXIT.
409200     EXIT.
409300*
409400 Y910-WRITE-LOG-RECORD.
409500*
409600     SET MBIORO-WRITE            TO TRUE.
409700     PERFORM MML1AO-ACCESS       THRU MML1AO-ACCESS-EXIT.
409800     MOVE SPACES                 TO MML1-VARIABLE-AREA.
409900*
410000 Y919-WLR-EXIT.
410100     EXIT.
410200/
410300 Z000-COPIED-ROUTINES SECTION.
410400*
410500/    NEW ROUTINE FOR JULIAN TO GREGORIAN CONVERSION
410600     COPY SS26PD.
410700*
410800/    ROUTINE TO NUMERICALLY EDIT TIME
410900     COPY SS27PD.
411000*
411100**********************************
411200*    JUL TO GREG DATE ROUTINE    *
411300**********************************
411400*
411500     COPY SS08PD.
411600/
411700*********************************
411800*    LINE 24 PF KEYS ROUTINE    *
411900*********************************
412000*
412100     COPY SS15PD.
412200/
412300************************************************
412400*    STORE MASTER RECORD ACCESS ROUTINES       *
412500************************************************
412600*
412700     COPY MMSMAO.
412800/
412900***********************************************
413000*    FIELD SECURITY RECORD ACCESS ROUTINES    *
413100***********************************************
413200*
413300     COPY MMFSAO.
413400/
413500*****************************************
413600*    LOG FILE RECORD ACCESS ROUTINES    *
413700*****************************************
413800*
413900     COPY MML1AO.
414000/
414100*****************************
414200*    ONLINE MAP ROUTINES    *
414300*****************************
414400*
414500     COPY MB60PD REPLACING 'MBMAPXX' BY 'MBMS03 '
414600                           MBMAPXXI BY MBMS03I
414700                           MBMAPXXO BY MBMS03O.
414800/
414900***************************
415000*    ONLINE PROCEDURES    *
415100***************************
415200*
415300     COPY MB70PD.
415400/
415500     COPY SMFTPXO.
