000100 IDENTIFICATION DIVISION.
000200 PROGRAM-ID. MBU961.
000201*       RELEASE DATE=08/24/01.        REVISION LEVEL=08.06      * ++++++++
000202***************************************************************** ++++++++
000203*WARNING.  THIS COMPUTER PROGRAM IS PROTECTED BY COPYRIGHT LAW  * ++++++++
000204*AND INTERNATIONAL TREATIES.  UNAUTHORIZED REPRODUCTION OR      * ++++++++
000205*DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT * ++++++++
000206*IN SEVERE CIVIL AND CRIMINAL PENATLIES, AND WILL BE PROSECUTED * ++++++++
000207*TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.                  * ++++++++
000208*COPYRIGHT 1999 PAYSYS INTERNATIONAL, INC.  ALL RIGHTS RESERVED.* ++++++++
000209***************************************************************** ++++++++
000300*****************************************************************
000400*                                                               *
000500*       MBU961 - EUROPAY MASTER FILE DISPLAY (MMQ1)             *
000600*                                                               *
000700*****************************************************************
000800 ENVIRONMENT DIVISION.
000900 CONFIGURATION SECTION.
001000 SOURCE-COMPUTER.   IBM-4341.
001100 OBJECT-COMPUTER.   IBM-4341.
001200/
001300 INPUT-OUTPUT SECTION.
001400 FILE-CONTROL.
001500/
001600 DATA DIVISION.
001700 FILE SECTION.
001800 WORKING-STORAGE SECTION.
001900*
002000 01  FILLER                  PIC  X(12)      VALUE '** WS-BEG **'.
002100*
002200     COPY MB00RB REPLACING ==:MB00:== BY ==MTCC==.
002300/
002400     COPY MB00RB REPLACING ==:MB00:== BY ==MMSC==.
002500/
002600     COPY MB00RB REPLACING ==:MB00:== BY ==MMQ1==.
002700/
002800     COPY MBU999WS.
002900/
003000     COPY MB00RB REPLACING ==:MB00:== BY ==MBMF==.
003100/
003200     COPY MTCCRL REPLACING ==:MTCC:== BY ==MTCC==.
003300/
003400     COPY MMSCRL.
003500/
003600     COPY MMQ1RL.
003700/
003800     COPY MBMFRL.
003900/
004000     COPY MTCCIO REPLACING ==:MTCC:== BY ==MTCC==.
004100/
004200     COPY MMSCIO.
004300/
004400     COPY MMQ1IO.
004500/
004600     COPY MBMFIO.
004700/
004800     COPY MB00WS.
004900/
005000     COPY MB20WS.
005100/
005200     COPY MB99WS.
005300/
005400     COPY SS00WS.
005500/
005600     COPY SS01WS.
005700/
005800     COPY SS02WS.
005900*
006000 01  WS-WORK-AREAS.
006100     03  WS-PROG-ID          PIC  X(06)      VALUE 'MBU961'.
006200     03  WS-CARD-READ-SW     PIC  X(01)      VALUE 'N'.
006300     03  X-WS-INDEX          PIC S9(04)      COMP.
006400     03  X-WS-EURO-INDEX     PIC  9(01).
006500     03  X-WS-EMT-INDEX      PIC  9(02).
006600     03  X-WS-EMC-INDEX      PIC  9(02).
006700     03  WS-WORK-DATE        PIC  9(08).
006800     03  WS-WORK-DATE-R      REDEFINES WS-WORK-DATE.
006900         05  WS-WK-DTE-MDY   PIC  9(06).
007000         05  WS-WK-DTE-MDY-R REDEFINES WS-WK-DTE-MDY.
007100             07  WS-WORK-DATE-MM
007200                             PIC  9(02).
007300             07  WS-WORK-DATE-DD
007400                             PIC  9(02).
007500             07  WS-WORK-DATE-XX
007600                             PIC  9(02).
007700         05  WS-WORK-DATE-YY PIC  9(02).
007800*
007900     03  WS-MMQ1-BEG-KEY     PIC  9(03)      VALUE ZEROES.
008000     03  WS-MMQ1-END-KEY     PIC  9(03)      VALUE ZEROES.
008100*
008200     03  WS-STMT-MSG.
008300         05  WS-STMT-MSG-40  PIC  X(40)      VALUE SPACES.
008400         05  WS-STMT-MSG-10  PIC  X(10)      VALUE SPACES.
008500*
008600     03  WS-ZIP-WORK.
008700         05  WS-ZIP-1-5      PIC  X(05)      VALUE SPACES.
008800         05  WS-ZIP-6-9      PIC  X(04)      VALUE SPACES.
008900*
009000     03  WS-BACKUP-OR-MASTER PIC  X(06)      VALUE SPACES.
009100         88  WS-BACKUP                       VALUE 'BACKUP'.
009200         88  WS-MASTER                       VALUE 'MASTER'.
009300*
009400     03  WS-END-OF-PERFORM-SW
009500                             PIC  X(01)      VALUE SPACES.
009600         88  WS-END-OF-PERFORM               VALUE 'Y'.
009700         88  WS-NOT-END-OF-PERFORM           VALUE 'N'.
009800/
009900     COPY MB21WS.
010000*
010100 01  FILLER                  PIC  X(12)      VALUE '** WS-END **'.
010200/
010300 PROCEDURE DIVISION.
010400*
010500 A000-DRIVER.
010600*
010700     MOVE 'MBU961'               TO SS02WS-ABEND-PROG-ID
010800                                    MBU999WS-PROGRAM-ID.
010900*
011000     CALL MB00WS-MBU999CC        USING MBU999WS-AREA.
011100*
011200     MOVE 'MB000000'             TO MB20WS-SH-RPT-ID.
011300     MOVE 'T961'                 TO MB20WS-SH-INTERNAL-RPT-ID.
011400     MOVE '   EUROPAY MASTER FILE        '
011500                                 TO MB20WS-SH-RPT-NAME.
011600     MOVE SPACES                 TO MB20WS-SH-LIT-1
011700                                    MB20WS-SH-LIT-5
011800                                    MB20WS-SH-L4
011900                                    MB20WS-SH-L5
012000                                    MB20WS-SH-L6.
012100     PERFORM MB21PD-PAP-RESET-INDEXES
012200                                 THRU MB21PD-PAP-EXIT.
012300*
012400 A100-OPEN-FILES.
012500*
012600     MOVE SPACES                 TO MB21WS-PRINT-PAGE.
012700     MOVE 'O1CC'                 TO SS02WS-ABEND-LOCATION.
012800     MOVE SS02WS-END-OF-FILE     TO MTCCRB-PERM-STATUS-1.
012900     SET MTCCRB-OPEN-INPUT       TO TRUE.
013000     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
013100*
013200     MOVE 'O1SC'                 TO SS02WS-ABEND-LOCATION.
013300     SET MMSCRB-OPEN-INPUT       TO TRUE.
013400     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
013500*
013600     MOVE 'R1SC'                 TO SS02WS-ABEND-LOCATION.
013700     SET MMSCRB-READ-SEQ         TO TRUE.
013800     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
013900*
014000     MOVE 'MMSC'                 TO MB99WS-FILE-ID.
014100*
014200     IF  MMSCIO-HEADER
014300         NEXT SENTENCE
014400     ELSE
014500         PERFORM MB99PD-MISSING-HEADER-ABEND
014600            THRU MB99PD-MHA-EXIT.
014700*
014800     MOVE MMSCIO-RECORD          TO MMSC-RECORD.
014900     MOVE MMSC-TODAYS-JULIAN     TO SS01WS-JULIAN.
015000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
015100     MOVE SS01WS-DATE-L6         TO MB20WS-SH-FILE-DATE.
015200     MOVE MMSC-TIME-STAMP        TO MB20WS-SH-PROC-TIME .
015300     INSPECT MB20WS-SH-PROC-TIME REPLACING ALL SPACE BY '.'.
015400*
015500     MOVE MMSC-FORM              TO MB20WS-FORM-CODE.
015600     MOVE MMSC-FICHE-FLAG        TO MB20WS-FICHE-CODE.
015700     MOVE MMSC-LINES-PER-PAGE    TO MB20WS-LINES-PER-PAGE.
015800     MOVE 99                     TO MB20WS-LINE-LIMIT.
015900     COMPUTE MB21WS-LIN-LIMIT    =  MMSC-LINES-PER-PAGE - 4.
016000     MOVE MMSC-SCREEN-HEADER     TO MB20WS-SH-SYSTEM.
016100     MOVE MMSC-DATE-FORMAT       TO SS01WS-DATE-FORMAT.
016200*
016300     MOVE 'R1CC'                 TO SS02WS-ABEND-LOCATION.
016400     SET MTCCRB-READ-SEQ         TO TRUE.
016500     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
016600*
016700     IF  SS02WS-FS-END-OF-FILE
016800         GO TO A400-CHECK-READ-SWITCH.
016900*
017000     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
017100         GO TO A200-PROGRAM-CONTROL.
017200*
017300     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
017400*
017500     IF  MTCC-MBU9XX-BACKUP
017600         MOVE 'BACKUP'           TO WS-BACKUP-OR-MASTER
017700         MOVE 'O1MF'             TO SS02WS-ABEND-LOCATION
017800         SET MBMFRB-OPEN-INPUT   TO TRUE
017900         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
018000         MOVE 'R1MF'             TO SS02WS-ABEND-LOCATION
018100         SET MBMFRB-READ-SEQ     TO TRUE
018200         MOVE SS02WS-NO-RECORD-FOUND
018300                                 TO MBMFRB-PERM-STATUS-3
018400         MOVE SS02WS-END-OF-FILE TO MBMFRB-PERM-STATUS-4
018500         PERFORM MB00PD-MBMF-ACCESS THRU MB00PD-MBMF-ACCESS-EXIT
018600     ELSE
018700         MOVE 'O1Q1'             TO SS02WS-ABEND-LOCATION
018800         SET MMQ1RB-OPEN-INPUT   TO TRUE
018900         PERFORM MB00PD-MMQ1-ACCESS THRU MB00PD-MMQ1-ACCESS-EXIT
019000         MOVE 'R1Q1'             TO SS02WS-ABEND-LOCATION
019100         SET MMQ1RB-READ-SEQ     TO TRUE
019200         MOVE SS02WS-NO-RECORD-FOUND
019300                                 TO MMQ1RB-PERM-STATUS-3
019400         MOVE SS02WS-END-OF-FILE TO MMQ1RB-PERM-STATUS-4
019500         PERFORM MB00PD-MMQ1-ACCESS THRU MB00PD-MMQ1-ACCESS-EXIT
019600         GO TO A130-PRINT-HR-RECORD.
019700*
019800     MOVE 'MBMF'                 TO MB99WS-FILE-ID.
019900*
020000     IF  MBMFIO-FILE-IS-HEADER
020100         NEXT SENTENCE
020200     ELSE
020300         PERFORM MB99PD-MISSING-HEADER-ABEND
020400            THRU MB99PD-MHA-EXIT.
020500*
020600     MOVE MBMFIO-RECORD          TO MBMF-RECORD.
020700*
020800     SET X-MBMF-FILE             TO 1.
020900*
021000 A110-SEARCH-HEADER-TABLE-LOOP.
021100*
021200     IF  X-MBMF-FILE IS GREATER THAN 75
021300         MOVE 'MMQ1'             TO MB99WS-FILE-ID
021400         PERFORM MB99PD-NOT-ON-BACKUP
021500            THRU MB99PD-NOB-EXIT.
021600*
021700     IF  MBMF-MBU020-ENTRY (X-MBMF-FILE) IS EQUAL TO 'Q1'
021800         CONTINUE
021900     ELSE
022000         SET X-MBMF-FILE         UP BY 1
022100         GO TO A110-SEARCH-HEADER-TABLE-LOOP
022200     END-IF.
022300*
022400 A120-READ-MBMF-LOOP.
022500*
022600     MOVE 'R2MF'                 TO SS02WS-ABEND-LOCATION.
022700     SET MBMFRB-READ-SEQ         TO TRUE.
022800     MOVE SS02WS-NO-RECORD-FOUND TO MBMFRB-PERM-STATUS-3.
022900     MOVE SS02WS-END-OF-FILE     TO MBMFRB-PERM-STATUS-4.
023000     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
023100*
023200     IF  SS02WS-FS-END-OF-FILE
023300         GO TO A200-PROGRAM-CONTROL
023400     END-IF.
023500*
023600     IF  MBMFIO-FILE IS NOT EQUAL TO 'Q1'
023700         GO TO A120-READ-MBMF-LOOP
023800     END-IF.
023900*
024000 A130-PRINT-HR-RECORD.
024100*
024200     IF  WS-BACKUP
024300         MOVE MBMFIO-VAR-DATA    TO MMQ1IO-RECORD
024400     END-IF.
024500*
024600     MOVE 'MMQ1'                 TO MB99WS-FILE-ID.
024700*
024800     IF  MMQ1IO-HEADER
024900         NEXT SENTENCE
025000     ELSE
025100         PERFORM MB99PD-MISSING-HEADER-ABEND
025200            THRU MB99PD-MHA-EXIT.
025300*
025400     MOVE MMQ1IO-RECORD          TO MMQ1-RECORD.
025500*
025600     IF  MMQ1IO-HEADER
025700         PERFORM B200-PRINT-HEADER
025800                                 THRU B200-PH-EXIT
025900     END-IF.
026000*
026100 A200-PROGRAM-CONTROL.
026200*
026300     IF  MTCC-MBU9XX-BACKUP OR MTCC-MBU9XX-MASTER
026400         MOVE MTCC-MBU9XX-OPTION TO WS-BACKUP-OR-MASTER
026500     ELSE
026600         IF  WS-BACKUP-OR-MASTER IS EQUAL TO SPACES
026700             MOVE 'MASTER'       TO WS-BACKUP-OR-MASTER
026800             GO TO A210-PC-BY-FIRST-READ.
026900*
027000     MOVE 'R2CC'                 TO SS02WS-ABEND-LOCATION.
027100     SET MTCCRB-READ-SEQ         TO TRUE.
027200     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
027300*
027400     IF  SS02WS-FS-END-OF-FILE
027500         GO TO A400-CHECK-READ-SWITCH
027600     END-IF.
027700*
027800 A210-PC-BY-FIRST-READ.
027900*
028000     IF  MTCCIO-PROGRAM-ID IS NOT EQUAL TO WS-PROG-ID
028100         GO TO A200-PROGRAM-CONTROL.
028200*
028300     MOVE MTCCIO-CARD-DATA       TO MTCC-RECORD.
028400*
028500 A300-RANGE-CARD.
028600*
028700     MOVE 'Y'                    TO WS-CARD-READ-SW.
028800     INSPECT MTCC-MBU961-BEG-X   REPLACING ALL SPACE BY ZERO.
028900*
029000     IF  MTCC-MBU961-END-X IS EQUAL TO SPACES
029100         MOVE MTCC-MBU961-BEG-X  TO MTCC-MBU961-END-X
029200     END-IF.
029300*
029400     INSPECT MTCC-MBU961-END-X   REPLACING ALL SPACE BY ZERO.
029500*
029600     MOVE MTCC-MBU961-BEG-ORG    TO WS-MMQ1-BEG-KEY
029700*
029800     MOVE MTCC-MBU961-END-ORG    TO WS-MMQ1-END-KEY.
029900*
030000     IF  WS-BACKUP
030100         GO TO A350-READ-NEXT-MBMF.
030200*
030300     MOVE MTCC-MBU961-BEG-X      TO MMQ1IO-KEY.
030400*
030500     MOVE 'S1Q1'                 TO SS02WS-ABEND-LOCATION.
030600     SET  MMQ1RB-START-GTE       TO TRUE.
030700     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
030800*
030900     IF  SS02WS-FS-NO-RECORD-FOUND
031000         GO TO A500-CONTROL-CARD-ERROR.
031100*
031200 A350-READ-NEXT.
031300*
031400     MOVE 'R2Q1'                 TO SS02WS-ABEND-LOCATION.
031500     SET  MMQ1RB-READ-SEQ        TO TRUE.
031600     PERFORM MB00PD-MMQ1-ACCESS  THRU MB00PD-MMQ1-ACCESS-EXIT.
031700*
031800     IF  SS02WS-FS-END-OF-FILE
031900         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032000             GO TO A200-PROGRAM-CONTROL
032100         ELSE
032200             PERFORM MB21PD-PRINT-A-PAGE
032300                                 THRU MB21PD-PAP-EXIT
032400             GO TO A200-PROGRAM-CONTROL.
032500*
032600     IF  MMQ1IO-KEY IS GREATER THAN WS-MMQ1-END-KEY
032700         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
032800             GO TO A200-PROGRAM-CONTROL
032900         ELSE
033000             PERFORM MB21PD-PRINT-A-PAGE
033100                                 THRU MB21PD-PAP-EXIT
033200             GO TO A200-PROGRAM-CONTROL.
033300*
033400     IF  MMQ1IO-HEADER
033500     OR  MMQ1IO-TRAILER
033600         GO TO A350-READ-NEXT.
033700*
033800     MOVE MMQ1IO-RECORD          TO MMQ1-RECORD.
033900*
034000     IF  MMQ1-ADD-COMPLETED
034100         PERFORM B100-PRT-BEGIN  THRU B999-PRT-EXIT
034200         GO TO A350-READ-NEXT
034300     ELSE
034400         GO TO A350-READ-NEXT.
034500*
034600 A350-READ-NEXT-MBMF.
034700*
034800     MOVE 'R3MF'                 TO SS02WS-ABEND-LOCATION.
034900     SET  MBMFRB-READ-SEQ        TO TRUE.
035000     PERFORM MB00PD-MBMF-ACCESS  THRU MB00PD-MBMF-ACCESS-EXIT.
035100*
035200     IF  SS02WS-FS-NO-RECORD-FOUND
035300         GO TO A500-CONTROL-CARD-ERROR.
035400*
035500     IF  SS02WS-FS-END-OF-FILE
035600         IF  MB21WS-PRINT-PAGE IS EQUAL TO SPACES
035700             GO TO A200-PROGRAM-CONTROL
035800         ELSE
035900             PERFORM MB21PD-PRINT-A-PAGE
036000                                 THRU MB21PD-PAP-EXIT
036100             GO TO A200-PROGRAM-CONTROL.
036200*
036300     IF  MBMFIO-FILE-IS-MMQ1
036400         CONTINUE
036500     ELSE
036600         GO TO A350-READ-NEXT-MBMF.
036700*
036800     MOVE MBMFIO-VAR-DATA        TO MMQ1-RECORD.
036900*
037000     IF  MMQ1-KEY IS LESS THAN WS-MMQ1-BEG-KEY
037100         GO TO A350-READ-NEXT-MBMF.
037200*
037300     IF  MMQ1-KEY IS GREATER THAN WS-MMQ1-END-KEY
037400         PERFORM MB21PD-PRINT-A-PAGE
037500                                 THRU MB21PD-PAP-EXIT
037600         GO TO A200-PROGRAM-CONTROL.
037700*
037800     IF  MMQ1-ORG IS EQUAL TO 999
037900         GO TO A350-READ-NEXT-MBMF.
038000*
038100     IF  MMQ1-ADD-COMPLETED
038200         NEXT SENTENCE
038300     ELSE
038400         GO TO A350-READ-NEXT-MBMF.
038500*
038600     PERFORM B100-PRT-BEGIN      THRU B999-PRT-EXIT.
038700     GO TO A350-READ-NEXT-MBMF.
038800*
038900 A400-CHECK-READ-SWITCH.
039000*
039100     IF  WS-CARD-READ-SW IS EQUAL TO 'N'
039200         MOVE '*** NO CONTROL CARDS ***'
039300                                 TO MB21WS-PP-COL44 (5 1)
039400         PERFORM MB21PD-PRINT-A-PAGE
039500                                 THRU MB21PD-PAP-EXIT.
039600*
039700     GO TO A600-CLOSE-FILES.
039800*
039900 A500-CONTROL-CARD-ERROR.
040000*
040100     MOVE MTCC-RECORD            TO MB21WS-PP-LINE (4).
040200     MOVE 'CONTROL CARD ERROR'   TO MB21WS-PP-COL44 (4 3).
040300     PERFORM MB21PD-PRINT-A-PAGE THRU MB21PD-PAP-EXIT.
040400     MOVE SPACE                  TO MB21WS-PP-LINE (4).
040500     MOVE SPACE                  TO MB21WS-PP-COL44 (4 3).
040600     GO TO A200-PROGRAM-CONTROL.
040700*
040800 A600-CLOSE-FILES.
040900*
041000     EVALUATE TRUE
041100         WHEN  WS-BACKUP
041200             MOVE 'C1MF'         TO SS02WS-ABEND-LOCATION
041300             SET MBMFRB-CLOSE    TO TRUE
041400             PERFORM MB00PD-MBMF-ACCESS
041500                                 THRU MB00PD-MBMF-ACCESS-EXIT
041600         WHEN  WS-MASTER
041700             MOVE 'C1Q1'         TO SS02WS-ABEND-LOCATION
041800             SET MMQ1RB-CLOSE    TO TRUE
041900             PERFORM MB00PD-MMQ1-ACCESS
042000                                 THRU MB00PD-MMQ1-ACCESS-EXIT
042100         WHEN  OTHER
042200             CONTINUE
042300     END-EVALUATE.
042400*
042500     MOVE 'C1CC'                 TO SS02WS-ABEND-LOCATION.
042600     SET MTCCRB-CLOSE            TO TRUE.
042700     PERFORM MB00PD-MTCC-ACCESS  THRU MB00PD-MTCC-ACCESS-EXIT.
042800*
042900     MOVE 'C1SC'                 TO SS02WS-ABEND-LOCATION.
043000     SET MMSCRB-CLOSE            TO TRUE.
043100     PERFORM MB00PD-MMSC-ACCESS  THRU MB00PD-MMSC-ACCESS-EXIT.
043200*
043300     PERFORM MB20PD-CLOSE-PRINT-FILES
043400                                 THRU MB20PD-CPF-EXIT.
043500*
043600     STOP RUN.
043700*
043800 B100-PRT-BEGIN.
043900*
044000     MOVE 'EUROPAY RPT RECORD(MMQ1)'
044100                                 TO MB21WS-NAME.
044200     PERFORM MB21PD-INSERT-A-COLUMN
044300                                 THRU MB21PD-IAC-EXIT.
044400*
044500     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
044600     MOVE 'ORG'                  TO MB21WS-NAME.
044700     MOVE MMQ1-ORG               TO MB21WS-3V0.
044800     PERFORM MB21PD-INSERT-A-COLUMN
044900                                 THRU MB21PD-IAC-EXIT.
045000*
045100     MOVE 'REC-STATUS'           TO MB21WS-NAME.
045200     MOVE MMQ1-REC-STATUS        TO MB21WS-1V0.
045300     PERFORM MB21PD-INSERT-A-COLUMN
045400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
045500*
045600     MOVE 'ADD-STATUS'           TO MB21WS-NAME.
045700     MOVE MMQ1-ONLINE-STATUS     TO MB21WS-2V0.
045800     PERFORM MB21PD-INSERT-A-COLUMN
045900                                 THRU MB21PD-IAC-EXIT 2 TIMES.
046000*
046100     MOVE 'LAST-MAINT-DATE'      TO MB21WS-NAME.
046200     MOVE MMQ1-LAST-MAINT-DATE   TO SS01WS-JULIAN.
046300     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
046400     MOVE MMQ1-LAST-MAINT-DATE   TO MB21WS-JULIAN.
046500     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
046600     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
046700     PERFORM MB21PD-INSERT-A-COLUMN
046800                                 THRU MB21PD-IAC-EXIT.
046900*
047000     MOVE 'LAST-MAINT-OPER'      TO MB21WS-NAME.
047100     MOVE MMQ1-LAST-MAINT-OPER   TO MB21WS-3X.
047200     PERFORM MB21PD-INSERT-A-COLUMN
047300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
047400*
047500     SET X-MMQ1-EUROPAY          TO 1.
047600*
047700*
047800 B100-LOOP.
047900*
048000*
048100     MOVE '* QUARTERLY REPORT BEGIN AND END DATES *'
048200                                 TO MB21WS-PRINT-WORK-AREA.
048300     PERFORM MB21PD-INSERT-A-COLUMN
048400                                 THRU MB21PD-IAC-EXIT.
048500*
048600     MOVE 'QTR-BEG-DATE'         TO MB21WS-NAME.
048700     SET WS-NOT-END-OF-PERFORM   TO TRUE
048800     PERFORM
048900         VARYING X-WS-INDEX
049000         FROM 30 BY -1
049100         UNTIL X-WS-INDEX IS EQUAL TO 1
049200         OR WS-END-OF-PERFORM
049300         IF  MB21WS-NAME (X-WS-INDEX:1)
049400                                 IS NOT EQUAL TO SPACES
049500             ADD 1               TO X-WS-INDEX
049600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
049700             ADD 1               TO X-WS-INDEX
049800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
049900             MOVE X-WS-EURO-INDEX
050000                                 TO MB21WS-NAME (X-WS-INDEX:2)
050100             ADD 1               TO X-WS-INDEX
050200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
050300             SET WS-END-OF-PERFORM
050400                                 TO TRUE
050500         END-IF
050600     END-PERFORM.
050700     MOVE MMQ1-QTR-BEG-DATE (X-MMQ1-EUROPAY)
050800                                 TO SS01WS-JULIAN.
050900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
051000     MOVE MMQ1-QTR-BEG-DATE (X-MMQ1-EUROPAY)
051100                                 TO MB21WS-JULIAN.
051200     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
051300     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
051400     PERFORM MB21PD-INSERT-A-COLUMN
051500                                 THRU MB21PD-IAC-EXIT.
051600*
051700     MOVE 'QTR-END-DATE'         TO MB21WS-NAME.
051800     SET WS-NOT-END-OF-PERFORM   TO TRUE
051900     PERFORM
052000         VARYING X-WS-INDEX
052100         FROM 30 BY -1
052200         UNTIL X-WS-INDEX IS EQUAL TO 1
052300         OR WS-END-OF-PERFORM
052400         IF  MB21WS-NAME (X-WS-INDEX:1)
052500                                 IS NOT EQUAL TO SPACES
052600             ADD 1               TO X-WS-INDEX
052700             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
052800             ADD 1               TO X-WS-INDEX
052900             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
053000             MOVE X-WS-EURO-INDEX
053100                                 TO MB21WS-NAME (X-WS-INDEX:2)
053200             ADD 1               TO X-WS-INDEX
053300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
053400             SET WS-END-OF-PERFORM
053500                                 TO TRUE
053600         END-IF
053700     END-PERFORM.
053800     MOVE MMQ1-QTR-END-DATE (X-MMQ1-EUROPAY)
053900                                 TO SS01WS-JULIAN.
054000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
054100     MOVE MMQ1-QTR-END-DATE (X-MMQ1-EUROPAY)
054200                                 TO MB21WS-JULIAN.
054300     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
054400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
054500     PERFORM MB21PD-INSERT-A-COLUMN
054600                                 THRU MB21PD-IAC-EXIT.
054700*
054800     MOVE '* EUROCHEQUE TRANSACTIONS AND VOLUME *'
054900                                 TO MB21WS-PRINT-WORK-AREA.
055000     PERFORM MB21PD-INSERT-A-COLUMN
055100                                 THRU MB21PD-IAC-EXIT.
055200*
055300     MOVE 'EUROCHEQUE-NBR-A'     TO MB21WS-NAME.
055400     SET WS-NOT-END-OF-PERFORM   TO TRUE
055500     PERFORM
055600         VARYING X-WS-INDEX
055700         FROM 30 BY -1
055800         UNTIL X-WS-INDEX IS EQUAL TO 1
055900         OR WS-END-OF-PERFORM
056000         IF  MB21WS-NAME (X-WS-INDEX:1)
056100                                 IS NOT EQUAL TO SPACES
056200             ADD 1               TO X-WS-INDEX
056300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
056400             ADD 1               TO X-WS-INDEX
056500             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
056600             MOVE X-WS-EURO-INDEX
056700                                 TO MB21WS-NAME (X-WS-INDEX:2)
056800             ADD 1               TO X-WS-INDEX
056900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
057000             SET WS-END-OF-PERFORM
057100                                 TO TRUE
057200         END-IF
057300     END-PERFORM.
057400     MOVE MMQ1-EUROCHEQUE-NBR-A (X-MMQ1-EUROPAY)
057500                                 TO MB21WS-9V0Z.
057600     PERFORM MB21PD-INSERT-A-COLUMN
057700                                 THRU MB21PD-IAC-EXIT.
057800*
057900     MOVE 'EUROCHEQUE-AMT-A'     TO MB21WS-NAME.
058000     SET WS-NOT-END-OF-PERFORM   TO TRUE
058100     PERFORM
058200         VARYING X-WS-INDEX
058300         FROM 30 BY -1
058400         UNTIL X-WS-INDEX IS EQUAL TO 1
058500         OR WS-END-OF-PERFORM
058600         IF  MB21WS-NAME (X-WS-INDEX:1)
058700                                 IS NOT EQUAL TO SPACES
058800             ADD 1               TO X-WS-INDEX
058900             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
059000             ADD 1               TO X-WS-INDEX
059100             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
059200             MOVE X-WS-EURO-INDEX
059300                                 TO MB21WS-NAME (X-WS-INDEX:2)
059400             ADD 1               TO X-WS-INDEX
059500             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
059600             SET WS-END-OF-PERFORM
059700                                 TO TRUE
059800         END-IF
059900     END-PERFORM.
060000     MOVE MMQ1-EUROCHEQUE-AMT-A (X-MMQ1-EUROPAY)
060100                                 TO MB21WS-15V2.
060200     PERFORM MB21PD-INSERT-A-COLUMN
060300                                 THRU MB21PD-IAC-EXIT.
060400*
060500     MOVE 'EUROCHEQUE-NBR-B'     TO MB21WS-NAME.
060600     SET WS-NOT-END-OF-PERFORM   TO TRUE
060700     PERFORM
060800         VARYING X-WS-INDEX
060900         FROM 30 BY -1
061000         UNTIL X-WS-INDEX IS EQUAL TO 1
061100         OR WS-END-OF-PERFORM
061200         IF  MB21WS-NAME (X-WS-INDEX:1)
061300                                 IS NOT EQUAL TO SPACES
061400             ADD 1               TO X-WS-INDEX
061500             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
061600             ADD 1               TO X-WS-INDEX
061700             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
061800             MOVE X-WS-EURO-INDEX
061900                                 TO MB21WS-NAME (X-WS-INDEX:2)
062000             ADD 1               TO X-WS-INDEX
062100             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
062200             SET WS-END-OF-PERFORM
062300                                 TO TRUE
062400         END-IF
062500     END-PERFORM.
062600     MOVE MMQ1-EUROCHEQUE-NBR-B (X-MMQ1-EUROPAY)
062700                                 TO MB21WS-9V0Z.
062800     PERFORM MB21PD-INSERT-A-COLUMN
062900                                 THRU MB21PD-IAC-EXIT.
063000*
063100     MOVE 'EUROCHEQUE-AMT-B'     TO MB21WS-NAME.
063200     SET WS-NOT-END-OF-PERFORM   TO TRUE
063300     PERFORM
063400         VARYING X-WS-INDEX
063500         FROM 30 BY -1
063600         UNTIL X-WS-INDEX IS EQUAL TO 1
063700         OR WS-END-OF-PERFORM
063800         IF  MB21WS-NAME (X-WS-INDEX:1)
063900                                 IS NOT EQUAL TO SPACES
064000             ADD 1               TO X-WS-INDEX
064100             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
064200             ADD 1               TO X-WS-INDEX
064300             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
064400             MOVE X-WS-EURO-INDEX
064500                                 TO MB21WS-NAME (X-WS-INDEX:2)
064600             ADD 1               TO X-WS-INDEX
064700             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
064800             SET WS-END-OF-PERFORM
064900                                 TO TRUE
065000         END-IF
065100     END-PERFORM.
065200     MOVE MMQ1-EUROCHEQUE-AMT-B (X-MMQ1-EUROPAY)
065300                                 TO MB21WS-15V2.
065400     PERFORM MB21PD-INSERT-A-COLUMN
065500                                 THRU MB21PD-IAC-EXIT 2 TIMES.
065600*
065700*
065800     MOVE '***** EUROCHEQUE ACCEPTANCE *****'
065900                                 TO MB21WS-PRINT-WORK-AREA.
066000     PERFORM MB21PD-INSERT-A-COLUMN
066100                                 THRU MB21PD-IAC-EXIT.
066200*
066300*
066400     MOVE 'CHEQ-CASH-NBR'        TO MB21WS-NAME.
066500     SET WS-NOT-END-OF-PERFORM   TO TRUE
066600     PERFORM
066700         VARYING X-WS-INDEX
066800         FROM 30 BY -1
066900         UNTIL X-WS-INDEX IS EQUAL TO 1
067000         OR WS-END-OF-PERFORM
067100         IF  MB21WS-NAME (X-WS-INDEX:1)
067200                                 IS NOT EQUAL TO SPACES
067300             ADD 1               TO X-WS-INDEX
067400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
067500             ADD 1               TO X-WS-INDEX
067600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
067700             MOVE X-WS-EURO-INDEX
067800                                 TO MB21WS-NAME (X-WS-INDEX:2)
067900             ADD 1               TO X-WS-INDEX
068000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
068100             SET WS-END-OF-PERFORM
068200                                 TO TRUE
068300         END-IF
068400     END-PERFORM.
068500     MOVE MMQ1-CHEQ-CASH-NBR (X-MMQ1-EUROPAY)
068600                                 TO MB21WS-9V0Z.
068700     PERFORM MB21PD-INSERT-A-COLUMN
068800                                 THRU MB21PD-IAC-EXIT.
068900*
069000     MOVE 'CHEQ-MERCH-NBR'       TO MB21WS-NAME.
069100     SET WS-NOT-END-OF-PERFORM   TO TRUE
069200     PERFORM
069300         VARYING X-WS-INDEX
069400         FROM 30 BY -1
069500         UNTIL X-WS-INDEX IS EQUAL TO 1
069600         OR WS-END-OF-PERFORM
069700         IF  MB21WS-NAME (X-WS-INDEX:1)
069800                                 IS NOT EQUAL TO SPACES
069900             ADD 1               TO X-WS-INDEX
070000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
070100             ADD 1               TO X-WS-INDEX
070200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
070300             MOVE X-WS-EURO-INDEX
070400                                 TO MB21WS-NAME (X-WS-INDEX:2)
070500             ADD 1               TO X-WS-INDEX
070600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
070700             SET WS-END-OF-PERFORM
070800                                 TO TRUE
070900         END-IF
071000     END-PERFORM.
071100     MOVE MMQ1-CHEQ-MERCH-NBR (X-MMQ1-EUROPAY)
071200                                 TO MB21WS-9V0Z.
071300     PERFORM MB21PD-INSERT-A-COLUMN
071400                                 THRU MB21PD-IAC-EXIT 2 TIMES.
071500*
071600*
071700     MOVE '* EUROCHEQUE ATM AND/OR CIRRUS TRANS *'
071800                                 TO MB21WS-PRINT-WORK-AREA.
071900     PERFORM MB21PD-INSERT-A-COLUMN
072000                                 THRU MB21PD-IAC-EXIT.
072100*
072200*
072300     MOVE 'ECHEQ-ATM-NBR-E'      TO MB21WS-NAME.
072400     SET WS-NOT-END-OF-PERFORM   TO TRUE
072500     PERFORM
072600         VARYING X-WS-INDEX
072700         FROM 30 BY -1
072800         UNTIL X-WS-INDEX IS EQUAL TO 1
072900         OR WS-END-OF-PERFORM
073000         IF  MB21WS-NAME (X-WS-INDEX:1)
073100                                 IS NOT EQUAL TO SPACES
073200             ADD 1               TO X-WS-INDEX
073300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
073400             ADD 1               TO X-WS-INDEX
073500             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
073600             MOVE X-WS-EURO-INDEX
073700                                 TO MB21WS-NAME (X-WS-INDEX:2)
073800             ADD 1               TO X-WS-INDEX
073900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
074000             SET WS-END-OF-PERFORM
074100                                 TO TRUE
074200         END-IF
074300     END-PERFORM.
074400     MOVE MMQ1-ECHEQ-ATM-NBR-E (X-MMQ1-EUROPAY)
074500                                 TO MB21WS-9V0Z.
074600     PERFORM MB21PD-INSERT-A-COLUMN
074700                                 THRU MB21PD-IAC-EXIT.
074800*
074900     MOVE 'ECHEQ-ATM-AMT-E'      TO MB21WS-NAME.
075000     SET WS-NOT-END-OF-PERFORM   TO TRUE
075100     PERFORM
075200         VARYING X-WS-INDEX
075300         FROM 30 BY -1
075400         UNTIL X-WS-INDEX IS EQUAL TO 1
075500         OR WS-END-OF-PERFORM
075600         IF  MB21WS-NAME (X-WS-INDEX:1)
075700                                 IS NOT EQUAL TO SPACES
075800             ADD 1               TO X-WS-INDEX
075900             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
076000             ADD 1               TO X-WS-INDEX
076100             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
076200             MOVE X-WS-EURO-INDEX
076300                                 TO MB21WS-NAME (X-WS-INDEX:2)
076400             ADD 1               TO X-WS-INDEX
076500             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
076600             SET WS-END-OF-PERFORM
076700                                 TO TRUE
076800         END-IF
076900     END-PERFORM.
077000     MOVE MMQ1-ECHEQ-ATM-AMT-E (X-MMQ1-EUROPAY)
077100                                 TO MB21WS-15V2.
077200     PERFORM MB21PD-INSERT-A-COLUMN
077300                                 THRU MB21PD-IAC-EXIT.
077400*
077500     MOVE 'ECHEQ-ATM-NBR-C'      TO MB21WS-NAME.
077600     SET WS-NOT-END-OF-PERFORM   TO TRUE
077700     PERFORM
077800         VARYING X-WS-INDEX
077900         FROM 30 BY -1
078000         UNTIL X-WS-INDEX IS EQUAL TO 1
078100         OR WS-END-OF-PERFORM
078200         IF  MB21WS-NAME (X-WS-INDEX:1)
078300                                 IS NOT EQUAL TO SPACES
078400             ADD 1               TO X-WS-INDEX
078500             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
078600             ADD 1               TO X-WS-INDEX
078700             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
078800             MOVE X-WS-EURO-INDEX
078900                                 TO MB21WS-NAME (X-WS-INDEX:2)
079000             ADD 1               TO X-WS-INDEX
079100             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
079200             SET WS-END-OF-PERFORM
079300                                 TO TRUE
079400         END-IF
079500     END-PERFORM.
079600     MOVE MMQ1-ECHEQ-ATM-NBR-C (X-MMQ1-EUROPAY)
079700                                 TO MB21WS-9V0Z.
079800     PERFORM MB21PD-INSERT-A-COLUMN
079900                                 THRU MB21PD-IAC-EXIT.
080000*
080100     MOVE 'ECHEQ-ATM-AMT-C'      TO MB21WS-NAME.
080200     SET WS-NOT-END-OF-PERFORM   TO TRUE
080300     PERFORM
080400         VARYING X-WS-INDEX
080500         FROM 30 BY -1
080600         UNTIL X-WS-INDEX IS EQUAL TO 1
080700         OR WS-END-OF-PERFORM
080800         IF  MB21WS-NAME (X-WS-INDEX:1)
080900                                 IS NOT EQUAL TO SPACES
081000             ADD 1               TO X-WS-INDEX
081100             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
081200             ADD 1               TO X-WS-INDEX
081300             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
081400             MOVE X-WS-EURO-INDEX
081500                                 TO MB21WS-NAME (X-WS-INDEX:2)
081600             ADD 1               TO X-WS-INDEX
081700             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
081800             SET WS-END-OF-PERFORM
081900                                 TO TRUE
082000         END-IF
082100     END-PERFORM.
082200     MOVE MMQ1-ECHEQ-ATM-AMT-C (X-MMQ1-EUROPAY)
082300                                 TO MB21WS-15V2.
082400     PERFORM MB21PD-INSERT-A-COLUMN
082500                                 THRU MB21PD-IAC-EXIT.
082600*
082700     MOVE 'ECHEQ-ATM-NBR-F'      TO MB21WS-NAME.
082800     SET WS-NOT-END-OF-PERFORM   TO TRUE
082900     PERFORM
083000         VARYING X-WS-INDEX
083100         FROM 30 BY -1
083200         UNTIL X-WS-INDEX IS EQUAL TO 1
083300         OR WS-END-OF-PERFORM
083400         IF  MB21WS-NAME (X-WS-INDEX:1)
083500                                 IS NOT EQUAL TO SPACES
083600             ADD 1               TO X-WS-INDEX
083700             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
083800             ADD 1               TO X-WS-INDEX
083900             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
084000             MOVE X-WS-EURO-INDEX
084100                                 TO MB21WS-NAME (X-WS-INDEX:2)
084200             ADD 1               TO X-WS-INDEX
084300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
084400             SET WS-END-OF-PERFORM
084500                                 TO TRUE
084600         END-IF
084700     END-PERFORM.
084800     MOVE MMQ1-ECHEQ-ATM-NBR-F (X-MMQ1-EUROPAY)
084900                                 TO MB21WS-9V0Z.
085000     PERFORM MB21PD-INSERT-A-COLUMN
085100                                 THRU MB21PD-IAC-EXIT.
085200*
085300     MOVE 'ECHEQ-ATM-AMT-F'      TO MB21WS-NAME.
085400     SET WS-NOT-END-OF-PERFORM   TO TRUE
085500     PERFORM
085600         VARYING X-WS-INDEX
085700         FROM 30 BY -1
085800         UNTIL X-WS-INDEX IS EQUAL TO 1
085900         OR WS-END-OF-PERFORM
086000         IF  MB21WS-NAME (X-WS-INDEX:1)
086100                                 IS NOT EQUAL TO SPACES
086200             ADD 1               TO X-WS-INDEX
086300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
086400             ADD 1               TO X-WS-INDEX
086500             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
086600             MOVE X-WS-EURO-INDEX
086700                                 TO MB21WS-NAME (X-WS-INDEX:2)
086800             ADD 1               TO X-WS-INDEX
086900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
087000             SET WS-END-OF-PERFORM
087100                                 TO TRUE
087200         END-IF
087300     END-PERFORM.
087400     MOVE MMQ1-ECHEQ-ATM-AMT-F (X-MMQ1-EUROPAY)
087500                                 TO MB21WS-15V2.
087600     PERFORM MB21PD-INSERT-A-COLUMN
087700                                 THRU MB21PD-IAC-EXIT 2 TIMES.
087800*
087900*
088000     MOVE '*EUROCHEQUE ATM AND/OR CIRRUS ACCEPTANCE*'
088100                                 TO MB21WS-PRINT-WORK-AREA.
088200     PERFORM MB21PD-INSERT-A-COLUMN
088300                                 THRU MB21PD-IAC-EXIT.
088400*
088500*
088600     MOVE 'ECHEQ-ATM-MEM-NBR'    TO MB21WS-NAME.
088700     SET WS-NOT-END-OF-PERFORM   TO TRUE
088800     PERFORM
088900         VARYING X-WS-INDEX
089000         FROM 30 BY -1
089100         UNTIL X-WS-INDEX IS EQUAL TO 1
089200         OR WS-END-OF-PERFORM
089300         IF  MB21WS-NAME (X-WS-INDEX:1)
089400                                 IS NOT EQUAL TO SPACES
089500             ADD 1               TO X-WS-INDEX
089600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
089700             ADD 1               TO X-WS-INDEX
089800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
089900             MOVE X-WS-EURO-INDEX
090000                                 TO MB21WS-NAME (X-WS-INDEX:2)
090100             ADD 1               TO X-WS-INDEX
090200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
090300             SET WS-END-OF-PERFORM
090400                                 TO TRUE
090500         END-IF
090600     END-PERFORM.
090700     MOVE MMQ1-ECHEQ-ATM-MEM-NBR (X-MMQ1-EUROPAY)
090800                                 TO MB21WS-9V0Z.
090900     PERFORM MB21PD-INSERT-A-COLUMN
091000                                 THRU MB21PD-IAC-EXIT.
091100*
091200     MOVE 'ECHEQ-ATM-MEM-LOC'    TO MB21WS-NAME.
091300     SET WS-NOT-END-OF-PERFORM   TO TRUE
091400     PERFORM
091500         VARYING X-WS-INDEX
091600         FROM 30 BY -1
091700         UNTIL X-WS-INDEX IS EQUAL TO 1
091800         OR WS-END-OF-PERFORM
091900         IF  MB21WS-NAME (X-WS-INDEX:1)
092000                                 IS NOT EQUAL TO SPACES
092100             ADD 1               TO X-WS-INDEX
092200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
092300             ADD 1               TO X-WS-INDEX
092400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
092500             MOVE X-WS-EURO-INDEX
092600                                 TO MB21WS-NAME (X-WS-INDEX:2)
092700             ADD 1               TO X-WS-INDEX
092800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
092900             SET WS-END-OF-PERFORM
093000                                 TO TRUE
093100         END-IF
093200     END-PERFORM.
093300     MOVE MMQ1-ECHEQ-ATM-MEM-LOC (X-MMQ1-EUROPAY)
093400                                 TO MB21WS-9V0Z.
093500     PERFORM MB21PD-INSERT-A-COLUMN
093600                                 THRU MB21PD-IAC-EXIT.
093700*
093800     MOVE 'ECHEQ-ATM-ATM-NBR'    TO MB21WS-NAME.
093900     SET WS-NOT-END-OF-PERFORM   TO TRUE
094000     PERFORM
094100         VARYING X-WS-INDEX
094200         FROM 30 BY -1
094300         UNTIL X-WS-INDEX IS EQUAL TO 1
094400         OR WS-END-OF-PERFORM
094500         IF  MB21WS-NAME (X-WS-INDEX:1)
094600                                 IS NOT EQUAL TO SPACES
094700             ADD 1               TO X-WS-INDEX
094800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
094900             ADD 1               TO X-WS-INDEX
095000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
095100             MOVE X-WS-EURO-INDEX
095200                                 TO MB21WS-NAME (X-WS-INDEX:2)
095300             ADD 1               TO X-WS-INDEX
095400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
095500             SET WS-END-OF-PERFORM
095600                                 TO TRUE
095700         END-IF
095800     END-PERFORM.
095900     MOVE MMQ1-ECHEQ-ATM-ATM-NBR (X-MMQ1-EUROPAY)
096000                                 TO MB21WS-9V0Z.
096100     PERFORM MB21PD-INSERT-A-COLUMN
096200                                 THRU MB21PD-IAC-EXIT.
096300*
096400     MOVE 'ECHEQ-ATM-CIR-NBR'    TO MB21WS-NAME.
096500     SET WS-NOT-END-OF-PERFORM   TO TRUE
096600     PERFORM
096700         VARYING X-WS-INDEX
096800         FROM 30 BY -1
096900         UNTIL X-WS-INDEX IS EQUAL TO 1
097000         OR WS-END-OF-PERFORM
097100         IF  MB21WS-NAME (X-WS-INDEX:1)
097200                                 IS NOT EQUAL TO SPACES
097300             ADD 1               TO X-WS-INDEX
097400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
097500             ADD 1               TO X-WS-INDEX
097600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
097700             MOVE X-WS-EURO-INDEX
097800                                 TO MB21WS-NAME (X-WS-INDEX:2)
097900             ADD 1               TO X-WS-INDEX
098000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
098100             SET WS-END-OF-PERFORM
098200                                 TO TRUE
098300         END-IF
098400     END-PERFORM.
098500     MOVE MMQ1-ECHEQ-ATM-CIR-NBR (X-MMQ1-EUROPAY)
098600                                 TO MB21WS-9V0Z.
098700     PERFORM MB21PD-INSERT-A-COLUMN
098800                                 THRU MB21PD-IAC-EXIT 2 TIMES.
098900*
099000*
099100     MOVE '* EDC AND MAESTRO TRANSACTIONS AND VOLUME *'
099200                                 TO MB21WS-PRINT-WORK-AREA.
099300     PERFORM MB21PD-INSERT-A-COLUMN
099400                                 THRU MB21PD-IAC-EXIT.
099500*
099600*
099700     MOVE 'MAESTRO-NBR-E'        TO MB21WS-NAME.
099800     SET WS-NOT-END-OF-PERFORM   TO TRUE
099900     PERFORM
100000         VARYING X-WS-INDEX
100100         FROM 30 BY -1
100200         UNTIL X-WS-INDEX IS EQUAL TO 1
100300         OR WS-END-OF-PERFORM
100400         IF  MB21WS-NAME (X-WS-INDEX:1)
100500                                 IS NOT EQUAL TO SPACES
100600             ADD 1               TO X-WS-INDEX
100700             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
100800             ADD 1               TO X-WS-INDEX
100900             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
101000             MOVE X-WS-EURO-INDEX
101100                                 TO MB21WS-NAME (X-WS-INDEX:2)
101200             ADD 1               TO X-WS-INDEX
101300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
101400             SET WS-END-OF-PERFORM
101500                                 TO TRUE
101600         END-IF
101700     END-PERFORM.
101800     MOVE MMQ1-MAESTRO-NBR-E (X-MMQ1-EUROPAY)
101900                                 TO MB21WS-9V0Z.
102000     PERFORM MB21PD-INSERT-A-COLUMN
102100                                 THRU MB21PD-IAC-EXIT.
102200*
102300     MOVE 'MAESTRO-AMT-E'        TO MB21WS-NAME.
102400     SET WS-NOT-END-OF-PERFORM   TO TRUE
102500     PERFORM
102600         VARYING X-WS-INDEX
102700         FROM 30 BY -1
102800         UNTIL X-WS-INDEX IS EQUAL TO 1
102900         OR WS-END-OF-PERFORM
103000         IF  MB21WS-NAME (X-WS-INDEX:1)
103100                                 IS NOT EQUAL TO SPACES
103200             ADD 1               TO X-WS-INDEX
103300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
103400             ADD 1               TO X-WS-INDEX
103500             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
103600             MOVE X-WS-EURO-INDEX
103700                                 TO MB21WS-NAME (X-WS-INDEX:2)
103800             ADD 1               TO X-WS-INDEX
103900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
104000             SET WS-END-OF-PERFORM
104100                                 TO TRUE
104200         END-IF
104300     END-PERFORM.
104400     MOVE MMQ1-MAESTRO-AMT-E (X-MMQ1-EUROPAY)
104500                                 TO MB21WS-15V2.
104600     PERFORM MB21PD-INSERT-A-COLUMN
104700                                 THRU MB21PD-IAC-EXIT.
104800*
104900     MOVE 'EDC-NBR-E'            TO MB21WS-NAME.
105000     SET WS-NOT-END-OF-PERFORM   TO TRUE
105100     PERFORM
105200         VARYING X-WS-INDEX
105300         FROM 30 BY -1
105400         UNTIL X-WS-INDEX IS EQUAL TO 1
105500         OR WS-END-OF-PERFORM
105600         IF  MB21WS-NAME (X-WS-INDEX:1)
105700                                 IS NOT EQUAL TO SPACES
105800             ADD 1               TO X-WS-INDEX
105900             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
106000             ADD 1               TO X-WS-INDEX
106100             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
106200             MOVE X-WS-EURO-INDEX
106300                                 TO MB21WS-NAME (X-WS-INDEX:2)
106400             ADD 1               TO X-WS-INDEX
106500             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
106600             SET WS-END-OF-PERFORM
106700                                 TO TRUE
106800         END-IF
106900     END-PERFORM.
107000     MOVE MMQ1-EDC-NBR-E (X-MMQ1-EUROPAY)
107100                                 TO MB21WS-9V0Z.
107200     PERFORM MB21PD-INSERT-A-COLUMN
107300                                 THRU MB21PD-IAC-EXIT.
107400*
107500     MOVE 'EDC-AMT-E'            TO MB21WS-NAME.
107600     SET WS-NOT-END-OF-PERFORM   TO TRUE
107700     PERFORM
107800         VARYING X-WS-INDEX
107900         FROM 30 BY -1
108000         UNTIL X-WS-INDEX IS EQUAL TO 1
108100         OR WS-END-OF-PERFORM
108200         IF  MB21WS-NAME (X-WS-INDEX:1)
108300                                 IS NOT EQUAL TO SPACES
108400             ADD 1               TO X-WS-INDEX
108500             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
108600             ADD 1               TO X-WS-INDEX
108700             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
108800             MOVE X-WS-EURO-INDEX
108900                                 TO MB21WS-NAME (X-WS-INDEX:2)
109000             ADD 1               TO X-WS-INDEX
109100             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
109200             SET WS-END-OF-PERFORM
109300                                 TO TRUE
109400         END-IF
109500     END-PERFORM.
109600     MOVE MMQ1-EDC-AMT-E (X-MMQ1-EUROPAY)
109700                                 TO MB21WS-15V2.
109800     PERFORM MB21PD-INSERT-A-COLUMN
109900                                 THRU MB21PD-IAC-EXIT.
110000*
110100     MOVE 'MAESTRO-NBR-F'        TO MB21WS-NAME.
110200     SET WS-NOT-END-OF-PERFORM   TO TRUE
110300     PERFORM
110400         VARYING X-WS-INDEX
110500         FROM 30 BY -1
110600         UNTIL X-WS-INDEX IS EQUAL TO 1
110700         OR WS-END-OF-PERFORM
110800         IF  MB21WS-NAME (X-WS-INDEX:1)
110900                                 IS NOT EQUAL TO SPACES
111000             ADD 1               TO X-WS-INDEX
111100             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
111200             ADD 1               TO X-WS-INDEX
111300             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
111400             MOVE X-WS-EURO-INDEX
111500                                 TO MB21WS-NAME (X-WS-INDEX:2)
111600             ADD 1               TO X-WS-INDEX
111700             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
111800             SET WS-END-OF-PERFORM
111900                                 TO TRUE
112000         END-IF
112100     END-PERFORM.
112200     MOVE MMQ1-MAESTRO-NBR-F (X-MMQ1-EUROPAY)
112300                                 TO MB21WS-9V0Z.
112400     PERFORM MB21PD-INSERT-A-COLUMN
112500                                 THRU MB21PD-IAC-EXIT.
112600*
112700     MOVE 'MAESTRO-AMT-F'        TO MB21WS-NAME.
112800     SET WS-NOT-END-OF-PERFORM   TO TRUE
112900     PERFORM
113000         VARYING X-WS-INDEX
113100         FROM 30 BY -1
113200         UNTIL X-WS-INDEX IS EQUAL TO 1
113300         OR WS-END-OF-PERFORM
113400         IF  MB21WS-NAME (X-WS-INDEX:1)
113500                                 IS NOT EQUAL TO SPACES
113600             ADD 1               TO X-WS-INDEX
113700             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
113800             ADD 1               TO X-WS-INDEX
113900             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
114000             MOVE X-WS-EURO-INDEX
114100                                 TO MB21WS-NAME (X-WS-INDEX:2)
114200             ADD 1               TO X-WS-INDEX
114300             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
114400             SET WS-END-OF-PERFORM
114500                                 TO TRUE
114600         END-IF
114700     END-PERFORM.
114800     MOVE MMQ1-MAESTRO-AMT-F (X-MMQ1-EUROPAY)
114900                                 TO MB21WS-15V2.
115000     PERFORM MB21PD-INSERT-A-COLUMN
115100                                 THRU MB21PD-IAC-EXIT.
115200*
115300     MOVE 'EDC-NBR-F'            TO MB21WS-NAME.
115400     SET WS-NOT-END-OF-PERFORM   TO TRUE
115500     PERFORM
115600         VARYING X-WS-INDEX
115700         FROM 30 BY -1
115800         UNTIL X-WS-INDEX IS EQUAL TO 1
115900         OR WS-END-OF-PERFORM
116000         IF  MB21WS-NAME (X-WS-INDEX:1)
116100                                 IS NOT EQUAL TO SPACES
116200             ADD 1               TO X-WS-INDEX
116300             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
116400             ADD 1               TO X-WS-INDEX
116500             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
116600             MOVE X-WS-EURO-INDEX
116700                                 TO MB21WS-NAME (X-WS-INDEX:2)
116800             ADD 1               TO X-WS-INDEX
116900             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
117000             SET WS-END-OF-PERFORM
117100                                 TO TRUE
117200         END-IF
117300     END-PERFORM.
117400     MOVE MMQ1-EDC-NBR-F (X-MMQ1-EUROPAY)
117500                                 TO MB21WS-9V0Z.
117600     PERFORM MB21PD-INSERT-A-COLUMN
117700                                 THRU MB21PD-IAC-EXIT.
117800*
117900     MOVE 'EDC-AMT-F'            TO MB21WS-NAME.
118000     SET WS-NOT-END-OF-PERFORM   TO TRUE
118100     PERFORM
118200         VARYING X-WS-INDEX
118300         FROM 30 BY -1
118400         UNTIL X-WS-INDEX IS EQUAL TO 1
118500         OR WS-END-OF-PERFORM
118600         IF  MB21WS-NAME (X-WS-INDEX:1)
118700                                 IS NOT EQUAL TO SPACES
118800             ADD 1               TO X-WS-INDEX
118900             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
119000             ADD 1               TO X-WS-INDEX
119100             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
119200             MOVE X-WS-EURO-INDEX
119300                                 TO MB21WS-NAME (X-WS-INDEX:2)
119400             ADD 1               TO X-WS-INDEX
119500             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
119600             SET WS-END-OF-PERFORM
119700                                 TO TRUE
119800         END-IF
119900     END-PERFORM.
120000     MOVE MMQ1-EDC-AMT-F (X-MMQ1-EUROPAY)
120100                                 TO MB21WS-15V2.
120200     PERFORM MB21PD-INSERT-A-COLUMN
120300                                 THRU MB21PD-IAC-EXIT 2 TIMES.
120400*
120500*
120600     MOVE '*** EDC AND MAESTRO ACCEPTANCE ***'
120700                                 TO MB21WS-PRINT-WORK-AREA.
120800     PERFORM MB21PD-INSERT-A-COLUMN
120900                                 THRU MB21PD-IAC-EXIT.
121000*
121100*
121200     MOVE 'EDC-MAESTRO-MEM'      TO MB21WS-NAME.
121300     SET WS-NOT-END-OF-PERFORM   TO TRUE
121400     PERFORM
121500         VARYING X-WS-INDEX
121600         FROM 30 BY -1
121700         UNTIL X-WS-INDEX IS EQUAL TO 1
121800         OR WS-END-OF-PERFORM
121900         IF  MB21WS-NAME (X-WS-INDEX:1)
122000                                 IS NOT EQUAL TO SPACES
122100             ADD 1               TO X-WS-INDEX
122200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
122300             ADD 1               TO X-WS-INDEX
122400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
122500             MOVE X-WS-EURO-INDEX
122600                                 TO MB21WS-NAME (X-WS-INDEX:2)
122700             ADD 1               TO X-WS-INDEX
122800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
122900             SET WS-END-OF-PERFORM
123000                                 TO TRUE
123100         END-IF
123200     END-PERFORM.
123300     MOVE MMQ1-EDC-MAESTRO-MEM (X-MMQ1-EUROPAY)
123400                                 TO MB21WS-9V0Z.
123500     PERFORM MB21PD-INSERT-A-COLUMN
123600                                 THRU MB21PD-IAC-EXIT.
123700*
123800     MOVE 'EDC-MAESTRO-MEM-LOC'  TO MB21WS-NAME.
123900     SET WS-NOT-END-OF-PERFORM   TO TRUE
124000     PERFORM
124100         VARYING X-WS-INDEX
124200         FROM 30 BY -1
124300         UNTIL X-WS-INDEX IS EQUAL TO 1
124400         OR WS-END-OF-PERFORM
124500         IF  MB21WS-NAME (X-WS-INDEX:1)
124600                                 IS NOT EQUAL TO SPACES
124700             ADD 1               TO X-WS-INDEX
124800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
124900             ADD 1               TO X-WS-INDEX
125000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
125100             MOVE X-WS-EURO-INDEX
125200                                 TO MB21WS-NAME (X-WS-INDEX:2)
125300             ADD 1               TO X-WS-INDEX
125400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
125500             SET WS-END-OF-PERFORM
125600                                 TO TRUE
125700         END-IF
125800     END-PERFORM.
125900     MOVE MMQ1-EDC-MAESTRO-MEM-LOC (X-MMQ1-EUROPAY)
126000                                 TO MB21WS-9V0Z.
126100     PERFORM MB21PD-INSERT-A-COLUMN
126200                                 THRU MB21PD-IAC-EXIT.
126300*
126400     MOVE 'EDC-MAESTRO-MER'      TO MB21WS-NAME.
126500     SET WS-NOT-END-OF-PERFORM   TO TRUE
126600     PERFORM
126700         VARYING X-WS-INDEX
126800         FROM 30 BY -1
126900         UNTIL X-WS-INDEX IS EQUAL TO 1
127000         OR WS-END-OF-PERFORM
127100         IF  MB21WS-NAME (X-WS-INDEX:1)
127200                                 IS NOT EQUAL TO SPACES
127300             ADD 1               TO X-WS-INDEX
127400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
127500             ADD 1               TO X-WS-INDEX
127600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
127700             MOVE X-WS-EURO-INDEX
127800                                 TO MB21WS-NAME (X-WS-INDEX:2)
127900             ADD 1               TO X-WS-INDEX
128000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
128100             SET WS-END-OF-PERFORM
128200                                 TO TRUE
128300         END-IF
128400     END-PERFORM.
128500     MOVE MMQ1-EDC-MAESTRO-MER (X-MMQ1-EUROPAY)
128600                                 TO MB21WS-9V0Z.
128700     PERFORM MB21PD-INSERT-A-COLUMN
128800                                 THRU MB21PD-IAC-EXIT.
128900*
129000     MOVE 'EDC-MAESTRO-MER-ADD'  TO MB21WS-NAME.
129100     SET WS-NOT-END-OF-PERFORM   TO TRUE
129200     PERFORM
129300         VARYING X-WS-INDEX
129400         FROM 30 BY -1
129500         UNTIL X-WS-INDEX IS EQUAL TO 1
129600         OR WS-END-OF-PERFORM
129700         IF  MB21WS-NAME (X-WS-INDEX:1)
129800                                 IS NOT EQUAL TO SPACES
129900             ADD 1               TO X-WS-INDEX
130000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
130100             ADD 1               TO X-WS-INDEX
130200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
130300             MOVE X-WS-EURO-INDEX
130400                                 TO MB21WS-NAME (X-WS-INDEX:2)
130500             ADD 1               TO X-WS-INDEX
130600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
130700             SET WS-END-OF-PERFORM
130800                                 TO TRUE
130900         END-IF
131000     END-PERFORM.
131100     MOVE MMQ1-EDC-MAESTRO-MER-ADD (X-MMQ1-EUROPAY)
131200                                 TO MB21WS-9V0Z.
131300     PERFORM MB21PD-INSERT-A-COLUMN
131400                                 THRU MB21PD-IAC-EXIT.
131500*
131600     MOVE 'EDC-MAESTRO-MER-DEL'  TO MB21WS-NAME.
131700     SET WS-NOT-END-OF-PERFORM   TO TRUE
131800     PERFORM
131900         VARYING X-WS-INDEX
132000         FROM 30 BY -1
132100         UNTIL X-WS-INDEX IS EQUAL TO 1
132200         OR WS-END-OF-PERFORM
132300         IF  MB21WS-NAME (X-WS-INDEX:1)
132400                                 IS NOT EQUAL TO SPACES
132500             ADD 1               TO X-WS-INDEX
132600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
132700             ADD 1               TO X-WS-INDEX
132800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
132900             MOVE X-WS-EURO-INDEX
133000                                 TO MB21WS-NAME (X-WS-INDEX:2)
133100             ADD 1               TO X-WS-INDEX
133200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
133300             SET WS-END-OF-PERFORM
133400                                 TO TRUE
133500         END-IF
133600     END-PERFORM.
133700     MOVE MMQ1-EDC-MAESTRO-MER-DEL (X-MMQ1-EUROPAY)
133800                                 TO MB21WS-9V0Z.
133900     PERFORM MB21PD-INSERT-A-COLUMN
134000                                 THRU MB21PD-IAC-EXIT.
134100*
134200     MOVE 'EDC-MAESTRO-LOC'      TO MB21WS-NAME.
134300     SET WS-NOT-END-OF-PERFORM   TO TRUE
134400     PERFORM
134500         VARYING X-WS-INDEX
134600         FROM 30 BY -1
134700         UNTIL X-WS-INDEX IS EQUAL TO 1
134800         OR WS-END-OF-PERFORM
134900         IF  MB21WS-NAME (X-WS-INDEX:1)
135000                                 IS NOT EQUAL TO SPACES
135100             ADD 1               TO X-WS-INDEX
135200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
135300             ADD 1               TO X-WS-INDEX
135400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
135500             MOVE X-WS-EURO-INDEX
135600                                 TO MB21WS-NAME (X-WS-INDEX:2)
135700             ADD 1               TO X-WS-INDEX
135800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
135900             SET WS-END-OF-PERFORM
136000                                 TO TRUE
136100         END-IF
136200     END-PERFORM.
136300     MOVE MMQ1-EDC-MAESTRO-LOC (X-MMQ1-EUROPAY)
136400                                 TO MB21WS-9V0Z.
136500     PERFORM MB21PD-INSERT-A-COLUMN
136600                                 THRU MB21PD-IAC-EXIT.
136700*
136800     MOVE 'EDC-MAESTRO-LOC-ADD'  TO MB21WS-NAME.
136900     SET WS-NOT-END-OF-PERFORM   TO TRUE
137000     PERFORM
137100         VARYING X-WS-INDEX
137200         FROM 30 BY -1
137300         UNTIL X-WS-INDEX IS EQUAL TO 1
137400         OR WS-END-OF-PERFORM
137500         IF  MB21WS-NAME (X-WS-INDEX:1)
137600                                 IS NOT EQUAL TO SPACES
137700             ADD 1               TO X-WS-INDEX
137800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
137900             ADD 1               TO X-WS-INDEX
138000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
138100             MOVE X-WS-EURO-INDEX
138200                                 TO MB21WS-NAME (X-WS-INDEX:2)
138300             ADD 1               TO X-WS-INDEX
138400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
138500             SET WS-END-OF-PERFORM
138600                                 TO TRUE
138700         END-IF
138800     END-PERFORM.
138900     MOVE MMQ1-EDC-MAESTRO-LOC-ADD (X-MMQ1-EUROPAY)
139000                                 TO MB21WS-9V0Z.
139100     PERFORM MB21PD-INSERT-A-COLUMN
139200                                 THRU MB21PD-IAC-EXIT.
139300*
139400     MOVE 'EDC-MAESTRO-LOC-DEL'  TO MB21WS-NAME.
139500     SET WS-NOT-END-OF-PERFORM   TO TRUE
139600     PERFORM
139700         VARYING X-WS-INDEX
139800         FROM 30 BY -1
139900         UNTIL X-WS-INDEX IS EQUAL TO 1
140000         OR WS-END-OF-PERFORM
140100         IF  MB21WS-NAME (X-WS-INDEX:1)
140200                                 IS NOT EQUAL TO SPACES
140300             ADD 1               TO X-WS-INDEX
140400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
140500             ADD 1               TO X-WS-INDEX
140600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
140700             MOVE X-WS-EURO-INDEX
140800                                 TO MB21WS-NAME (X-WS-INDEX:2)
140900             ADD 1               TO X-WS-INDEX
141000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
141100             SET WS-END-OF-PERFORM
141200                                 TO TRUE
141300         END-IF
141400     END-PERFORM.
141500     MOVE MMQ1-EDC-MAESTRO-LOC-DEL (X-MMQ1-EUROPAY)
141600                                 TO MB21WS-9V0Z.
141700     PERFORM MB21PD-INSERT-A-COLUMN
141800                                 THRU MB21PD-IAC-EXIT.
141900*
142000     MOVE 'EDC-MAESTRO-POS'      TO MB21WS-NAME.
142100     SET WS-NOT-END-OF-PERFORM   TO TRUE
142200     PERFORM
142300         VARYING X-WS-INDEX
142400         FROM 30 BY -1
142500         UNTIL X-WS-INDEX IS EQUAL TO 1
142600         OR WS-END-OF-PERFORM
142700         IF  MB21WS-NAME (X-WS-INDEX:1)
142800                                 IS NOT EQUAL TO SPACES
142900             ADD 1               TO X-WS-INDEX
143000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
143100             ADD 1               TO X-WS-INDEX
143200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
143300             MOVE X-WS-EURO-INDEX
143400                                 TO MB21WS-NAME (X-WS-INDEX:2)
143500             ADD 1               TO X-WS-INDEX
143600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
143700             SET WS-END-OF-PERFORM
143800                                 TO TRUE
143900         END-IF
144000     END-PERFORM.
144100     MOVE MMQ1-EDC-MAESTRO-POS (X-MMQ1-EUROPAY)
144200                                 TO MB21WS-9V0Z.
144300     PERFORM MB21PD-INSERT-A-COLUMN
144400                                 THRU MB21PD-IAC-EXIT.
144500*
144600     MOVE 'EDC-MAESTRO-POS-ADD'  TO MB21WS-NAME.
144700     SET WS-NOT-END-OF-PERFORM   TO TRUE
144800     PERFORM
144900         VARYING X-WS-INDEX
145000         FROM 30 BY -1
145100         UNTIL X-WS-INDEX IS EQUAL TO 1
145200         OR WS-END-OF-PERFORM
145300         IF  MB21WS-NAME (X-WS-INDEX:1)
145400                                 IS NOT EQUAL TO SPACES
145500             ADD 1               TO X-WS-INDEX
145600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
145700             ADD 1               TO X-WS-INDEX
145800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
145900             MOVE X-WS-EURO-INDEX
146000                                 TO MB21WS-NAME (X-WS-INDEX:2)
146100             ADD 1               TO X-WS-INDEX
146200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
146300             SET WS-END-OF-PERFORM
146400                                 TO TRUE
146500         END-IF
146600     END-PERFORM.
146700     MOVE MMQ1-EDC-MAESTRO-POS-ADD (X-MMQ1-EUROPAY)
146800                                 TO MB21WS-9V0Z.
146900     PERFORM MB21PD-INSERT-A-COLUMN
147000                                 THRU MB21PD-IAC-EXIT.
147100*
147200     MOVE 'EDC-MAESTRO-POS-DEL'  TO MB21WS-NAME.
147300     SET WS-NOT-END-OF-PERFORM   TO TRUE
147400     PERFORM
147500         VARYING X-WS-INDEX
147600         FROM 30 BY -1
147700         UNTIL X-WS-INDEX IS EQUAL TO 1
147800         OR WS-END-OF-PERFORM
147900         IF  MB21WS-NAME (X-WS-INDEX:1)
148000                                 IS NOT EQUAL TO SPACES
148100             ADD 1               TO X-WS-INDEX
148200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
148300             ADD 1               TO X-WS-INDEX
148400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
148500             MOVE X-WS-EURO-INDEX
148600                                 TO MB21WS-NAME (X-WS-INDEX:2)
148700             ADD 1               TO X-WS-INDEX
148800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
148900             SET WS-END-OF-PERFORM
149000                                 TO TRUE
149100         END-IF
149200     END-PERFORM.
149300     MOVE MMQ1-EDC-MAESTRO-POS-DEL (X-MMQ1-EUROPAY)
149400                                 TO MB21WS-9V0Z.
149500     PERFORM MB21PD-INSERT-A-COLUMN
149600                                 THRU MB21PD-IAC-EXIT.
149700*
149800     MOVE 'EDC-MAESTRO-MAX'      TO MB21WS-NAME.
149900     SET WS-NOT-END-OF-PERFORM   TO TRUE
150000     PERFORM
150100         VARYING X-WS-INDEX
150200         FROM 30 BY -1
150300         UNTIL X-WS-INDEX IS EQUAL TO 1
150400         OR WS-END-OF-PERFORM
150500         IF  MB21WS-NAME (X-WS-INDEX:1)
150600                                 IS NOT EQUAL TO SPACES
150700             ADD 1               TO X-WS-INDEX
150800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
150900             ADD 1               TO X-WS-INDEX
151000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
151100             MOVE X-WS-EURO-INDEX
151200                                 TO MB21WS-NAME (X-WS-INDEX:2)
151300             ADD 1               TO X-WS-INDEX
151400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
151500             SET WS-END-OF-PERFORM
151600                                 TO TRUE
151700         END-IF
151800     END-PERFORM.
151900     MOVE MMQ1-EDC-MAESTRO-MAX (X-MMQ1-EUROPAY)
152000                                 TO MB21WS-2V0.
152100     PERFORM MB21PD-INSERT-A-COLUMN
152200                                 THRU MB21PD-IAC-EXIT.
152300*
152400     SET X-MMQ1-EMT              TO 1.
152500*
152600*
152700 B110-LOOP.
152800*
152900*
153000     MOVE 'MAESTRO-CAT-LOC'      TO MB21WS-NAME.
153100     SET WS-NOT-END-OF-PERFORM   TO TRUE
153200     PERFORM
153300         VARYING X-WS-INDEX
153400         FROM 30 BY -1
153500         UNTIL X-WS-INDEX IS EQUAL TO 1
153600         OR WS-END-OF-PERFORM
153700         IF  MB21WS-NAME (X-WS-INDEX:1)
153800                                 IS NOT EQUAL TO SPACES
153900             ADD 1               TO X-WS-INDEX
154000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
154100             ADD 1               TO X-WS-INDEX
154200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
154300             MOVE X-WS-EURO-INDEX
154400                                 TO MB21WS-NAME (X-WS-INDEX:2)
154500             ADD 2               TO X-WS-INDEX
154600             SET X-WS-EMT-INDEX  TO X-MMQ1-EMT
154700             MOVE X-WS-EMT-INDEX
154800                                 TO MB21WS-NAME (X-WS-INDEX:2)
154900             ADD 2               TO X-WS-INDEX
155000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
155100             SET WS-END-OF-PERFORM
155200                                 TO TRUE
155300         END-IF
155400     END-PERFORM.
155500     MOVE MMQ1-EDC-MAESTRO-CAT-LOC (X-MMQ1-EUROPAY X-MMQ1-EMT)
155600                                 TO MB21WS-9V0Z.
155700     PERFORM MB21PD-INSERT-A-COLUMN
155800                                 THRU MB21PD-IAC-EXIT.
155900*
156000     MOVE 'MAESTRO-CAT-POS'      TO MB21WS-NAME.
156100     SET WS-NOT-END-OF-PERFORM   TO TRUE
156200     PERFORM
156300         VARYING X-WS-INDEX
156400         FROM 30 BY -1
156500         UNTIL X-WS-INDEX IS EQUAL TO 1
156600         OR WS-END-OF-PERFORM
156700         IF  MB21WS-NAME (X-WS-INDEX:1)
156800                                 IS NOT EQUAL TO SPACES
156900             ADD 1               TO X-WS-INDEX
157000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
157100             ADD 1               TO X-WS-INDEX
157200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
157300             MOVE X-WS-EURO-INDEX
157400                                 TO MB21WS-NAME (X-WS-INDEX:2)
157500             ADD 2               TO X-WS-INDEX
157600             SET X-WS-EMT-INDEX  TO X-MMQ1-EMT
157700             MOVE X-WS-EMT-INDEX
157800                                 TO MB21WS-NAME (X-WS-INDEX:2)
157900             ADD 2               TO X-WS-INDEX
158000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
158100             SET WS-END-OF-PERFORM
158200                                 TO TRUE
158300         END-IF
158400     END-PERFORM.
158500     MOVE MMQ1-EDC-MAESTRO-CAT-POS (X-MMQ1-EUROPAY X-MMQ1-EMT)
158600                                 TO MB21WS-9V0Z.
158700     PERFORM MB21PD-INSERT-A-COLUMN
158800                                 THRU MB21PD-IAC-EXIT.
158900*
159000     MOVE 'MAESTRO-CAT-NBR'      TO MB21WS-NAME.
159100     SET WS-NOT-END-OF-PERFORM   TO TRUE
159200     PERFORM
159300         VARYING X-WS-INDEX
159400         FROM 30 BY -1
159500         UNTIL X-WS-INDEX IS EQUAL TO 1
159600         OR WS-END-OF-PERFORM
159700         IF  MB21WS-NAME (X-WS-INDEX:1)
159800                                 IS NOT EQUAL TO SPACES
159900             ADD 1               TO X-WS-INDEX
160000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
160100             ADD 1               TO X-WS-INDEX
160200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
160300             MOVE X-WS-EURO-INDEX
160400                                 TO MB21WS-NAME (X-WS-INDEX:2)
160500             ADD 2               TO X-WS-INDEX
160600             SET X-WS-EMT-INDEX  TO X-MMQ1-EMT
160700             MOVE X-WS-EMT-INDEX
160800                                 TO MB21WS-NAME (X-WS-INDEX:2)
160900             ADD 2               TO X-WS-INDEX
161000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
161100             SET WS-END-OF-PERFORM
161200                                 TO TRUE
161300         END-IF
161400     END-PERFORM.
161500     MOVE MMQ1-EDC-MAESTRO-CAT-NBR (X-MMQ1-EUROPAY X-MMQ1-EMT)
161600                                 TO MB21WS-9V0Z.
161700     PERFORM MB21PD-INSERT-A-COLUMN
161800                                 THRU MB21PD-IAC-EXIT.
161900*
162000     MOVE 'MAESTRO-CAT-AMT'      TO MB21WS-NAME.
162100     SET WS-NOT-END-OF-PERFORM   TO TRUE
162200     PERFORM
162300         VARYING X-WS-INDEX
162400         FROM 30 BY -1
162500         UNTIL X-WS-INDEX IS EQUAL TO 1
162600         OR WS-END-OF-PERFORM
162700         IF  MB21WS-NAME (X-WS-INDEX:1)
162800                                 IS NOT EQUAL TO SPACES
162900             ADD 1               TO X-WS-INDEX
163000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
163100             ADD 1               TO X-WS-INDEX
163200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
163300             MOVE X-WS-EURO-INDEX
163400                                 TO MB21WS-NAME (X-WS-INDEX:2)
163500             ADD 2               TO X-WS-INDEX
163600             SET X-WS-EMT-INDEX  TO X-MMQ1-EMT
163700             MOVE X-WS-EMT-INDEX
163800                                 TO MB21WS-NAME (X-WS-INDEX:2)
163900             ADD 2               TO X-WS-INDEX
164000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
164100             SET WS-END-OF-PERFORM
164200                                 TO TRUE
164300         END-IF
164400     END-PERFORM.
164500     MOVE MMQ1-EDC-MAESTRO-CAT-AMT (X-MMQ1-EUROPAY X-MMQ1-EMT)
164600                                 TO MB21WS-15V2.
164700     PERFORM MB21PD-INSERT-A-COLUMN
164800                                 THRU MB21PD-IAC-EXIT.
164900*
165000     IF  X-MMQ1-EMT IS EQUAL TO 40
165100         PERFORM MB21PD-INSERT-A-COLUMN
165200                                 THRU MB21PD-IAC-EXIT 2 TIMES
165300     ELSE
165400         PERFORM MB21PD-INSERT-A-COLUMN
165500                                 THRU MB21PD-IAC-EXIT.
165600*
165700     IF  X-MMQ1-EMT IS LESS THAN 40
165800         SET X-MMQ1-EMT UP BY 1
165900         GO TO B110-LOOP.
166000*
166100*
166200     MOVE '*** ALL M/C PRODUCTS TRANS AND VOLUME ***'
166300                                 TO MB21WS-PRINT-WORK-AREA.
166400     PERFORM MB21PD-INSERT-A-COLUMN
166500                                 THRU MB21PD-IAC-EXIT.
166600*
166700*
166800     MOVE 'INTRA-NBR-R'          TO MB21WS-NAME.
166900     SET WS-NOT-END-OF-PERFORM   TO TRUE
167000     PERFORM
167100         VARYING X-WS-INDEX
167200         FROM 30 BY -1
167300         UNTIL X-WS-INDEX IS EQUAL TO 1
167400         OR WS-END-OF-PERFORM
167500         IF  MB21WS-NAME (X-WS-INDEX:1)
167600                                 IS NOT EQUAL TO SPACES
167700             ADD 1               TO X-WS-INDEX
167800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
167900             ADD 1               TO X-WS-INDEX
168000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
168100             MOVE X-WS-EURO-INDEX
168200                                 TO MB21WS-NAME (X-WS-INDEX:2)
168300             ADD 1               TO X-WS-INDEX
168400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
168500             SET WS-END-OF-PERFORM
168600                                 TO TRUE
168700         END-IF
168800     END-PERFORM.
168900     MOVE MMQ1-INTRA-NBR-R (X-MMQ1-EUROPAY)
169000                                 TO MB21WS-9V0Z.
169100     PERFORM MB21PD-INSERT-A-COLUMN
169200                                 THRU MB21PD-IAC-EXIT.
169300*
169400     MOVE 'INTRA-AMT-R'          TO MB21WS-NAME.
169500     SET WS-NOT-END-OF-PERFORM   TO TRUE
169600     PERFORM
169700         VARYING X-WS-INDEX
169800         FROM 30 BY -1
169900         UNTIL X-WS-INDEX IS EQUAL TO 1
170000         OR WS-END-OF-PERFORM
170100         IF  MB21WS-NAME (X-WS-INDEX:1)
170200                                 IS NOT EQUAL TO SPACES
170300             ADD 1               TO X-WS-INDEX
170400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
170500             ADD 1               TO X-WS-INDEX
170600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
170700             MOVE X-WS-EURO-INDEX
170800                                 TO MB21WS-NAME (X-WS-INDEX:2)
170900             ADD 1               TO X-WS-INDEX
171000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
171100             SET WS-END-OF-PERFORM
171200                                 TO TRUE
171300         END-IF
171400     END-PERFORM.
171500     MOVE MMQ1-INTRA-AMT-R (X-MMQ1-EUROPAY)
171600                                 TO MB21WS-15V2.
171700     PERFORM MB21PD-INSERT-A-COLUMN
171800                                 THRU MB21PD-IAC-EXIT.
171900*
172000     MOVE 'REGIONAL-NBR-R'       TO MB21WS-NAME.
172100     SET WS-NOT-END-OF-PERFORM   TO TRUE
172200     PERFORM
172300         VARYING X-WS-INDEX
172400         FROM 30 BY -1
172500         UNTIL X-WS-INDEX IS EQUAL TO 1
172600         OR WS-END-OF-PERFORM
172700         IF  MB21WS-NAME (X-WS-INDEX:1)
172800                                 IS NOT EQUAL TO SPACES
172900             ADD 1               TO X-WS-INDEX
173000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
173100             ADD 1               TO X-WS-INDEX
173200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
173300             MOVE X-WS-EURO-INDEX
173400                                 TO MB21WS-NAME (X-WS-INDEX:2)
173500             ADD 1               TO X-WS-INDEX
173600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
173700             SET WS-END-OF-PERFORM
173800                                 TO TRUE
173900         END-IF
174000     END-PERFORM.
174100     MOVE MMQ1-REGIONAL-NBR-R (X-MMQ1-EUROPAY)
174200                                 TO MB21WS-9V0Z.
174300     PERFORM MB21PD-INSERT-A-COLUMN
174400                                 THRU MB21PD-IAC-EXIT.
174500*
174600     MOVE 'REGIONAL-AMT-R'       TO MB21WS-NAME.
174700     SET WS-NOT-END-OF-PERFORM   TO TRUE
174800     PERFORM
174900         VARYING X-WS-INDEX
175000         FROM 30 BY -1
175100         UNTIL X-WS-INDEX IS EQUAL TO 1
175200         OR WS-END-OF-PERFORM
175300         IF  MB21WS-NAME (X-WS-INDEX:1)
175400                                 IS NOT EQUAL TO SPACES
175500             ADD 1               TO X-WS-INDEX
175600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
175700             ADD 1               TO X-WS-INDEX
175800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
175900             MOVE X-WS-EURO-INDEX
176000                                 TO MB21WS-NAME (X-WS-INDEX:2)
176100             ADD 1               TO X-WS-INDEX
176200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
176300             SET WS-END-OF-PERFORM
176400                                 TO TRUE
176500         END-IF
176600     END-PERFORM.
176700     MOVE MMQ1-REGIONAL-AMT-R (X-MMQ1-EUROPAY)
176800                                 TO MB21WS-15V2.
176900     PERFORM MB21PD-INSERT-A-COLUMN
177000                                 THRU MB21PD-IAC-EXIT.
177100*
177200     MOVE 'INTER-NBR-R'          TO MB21WS-NAME.
177300     SET WS-NOT-END-OF-PERFORM   TO TRUE
177400     PERFORM
177500         VARYING X-WS-INDEX
177600         FROM 30 BY -1
177700         UNTIL X-WS-INDEX IS EQUAL TO 1
177800         OR WS-END-OF-PERFORM
177900         IF  MB21WS-NAME (X-WS-INDEX:1)
178000                                 IS NOT EQUAL TO SPACES
178100             ADD 1               TO X-WS-INDEX
178200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
178300             ADD 1               TO X-WS-INDEX
178400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
178500             MOVE X-WS-EURO-INDEX
178600                                 TO MB21WS-NAME (X-WS-INDEX:2)
178700             ADD 1               TO X-WS-INDEX
178800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
178900             SET WS-END-OF-PERFORM
179000                                 TO TRUE
179100         END-IF
179200     END-PERFORM.
179300     MOVE MMQ1-INTER-NBR-R (X-MMQ1-EUROPAY)
179400                                 TO MB21WS-9V0Z.
179500     PERFORM MB21PD-INSERT-A-COLUMN
179600                                 THRU MB21PD-IAC-EXIT.
179700*
179800     MOVE 'INTER-AMT-R'          TO MB21WS-NAME.
179900     SET WS-NOT-END-OF-PERFORM   TO TRUE
180000     PERFORM
180100         VARYING X-WS-INDEX
180200         FROM 30 BY -1
180300         UNTIL X-WS-INDEX IS EQUAL TO 1
180400         OR WS-END-OF-PERFORM
180500         IF  MB21WS-NAME (X-WS-INDEX:1)
180600                                 IS NOT EQUAL TO SPACES
180700             ADD 1               TO X-WS-INDEX
180800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
180900             ADD 1               TO X-WS-INDEX
181000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
181100             MOVE X-WS-EURO-INDEX
181200                                 TO MB21WS-NAME (X-WS-INDEX:2)
181300             ADD 1               TO X-WS-INDEX
181400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
181500             SET WS-END-OF-PERFORM
181600                                 TO TRUE
181700         END-IF
181800     END-PERFORM.
181900     MOVE MMQ1-INTER-AMT-R (X-MMQ1-EUROPAY)
182000                                 TO MB21WS-15V2.
182100     PERFORM MB21PD-INSERT-A-COLUMN
182200                                 THRU MB21PD-IAC-EXIT.
182300*
182400     MOVE 'INTRA-NBR-CA'         TO MB21WS-NAME.
182500     SET WS-NOT-END-OF-PERFORM   TO TRUE
182600     PERFORM
182700         VARYING X-WS-INDEX
182800         FROM 30 BY -1
182900         UNTIL X-WS-INDEX IS EQUAL TO 1
183000         OR WS-END-OF-PERFORM
183100         IF  MB21WS-NAME (X-WS-INDEX:1)
183200                                 IS NOT EQUAL TO SPACES
183300             ADD 1               TO X-WS-INDEX
183400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
183500             ADD 1               TO X-WS-INDEX
183600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
183700             MOVE X-WS-EURO-INDEX
183800                                 TO MB21WS-NAME (X-WS-INDEX:2)
183900             ADD 1               TO X-WS-INDEX
184000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
184100             SET WS-END-OF-PERFORM
184200                                 TO TRUE
184300         END-IF
184400     END-PERFORM.
184500     MOVE MMQ1-INTRA-NBR-CA (X-MMQ1-EUROPAY)
184600                                 TO MB21WS-9V0Z.
184700     PERFORM MB21PD-INSERT-A-COLUMN
184800                                 THRU MB21PD-IAC-EXIT.
184900*
185000     MOVE 'INTRA-AMT-CA'          TO MB21WS-NAME.
185100     SET WS-NOT-END-OF-PERFORM   TO TRUE
185200     PERFORM
185300         VARYING X-WS-INDEX
185400         FROM 30 BY -1
185500         UNTIL X-WS-INDEX IS EQUAL TO 1
185600         OR WS-END-OF-PERFORM
185700         IF  MB21WS-NAME (X-WS-INDEX:1)
185800                                 IS NOT EQUAL TO SPACES
185900             ADD 1               TO X-WS-INDEX
186000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
186100             ADD 1               TO X-WS-INDEX
186200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
186300             MOVE X-WS-EURO-INDEX
186400                                 TO MB21WS-NAME (X-WS-INDEX:2)
186500             ADD 1               TO X-WS-INDEX
186600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
186700             SET WS-END-OF-PERFORM
186800                                 TO TRUE
186900         END-IF
187000     END-PERFORM.
187100     MOVE MMQ1-INTRA-AMT-CA (X-MMQ1-EUROPAY)
187200                                 TO MB21WS-15V2.
187300     PERFORM MB21PD-INSERT-A-COLUMN
187400                                 THRU MB21PD-IAC-EXIT.
187500*
187600     MOVE 'REGIONAL-NBR-CA'      TO MB21WS-NAME.
187700     SET WS-NOT-END-OF-PERFORM   TO TRUE
187800     PERFORM
187900         VARYING X-WS-INDEX
188000         FROM 30 BY -1
188100         UNTIL X-WS-INDEX IS EQUAL TO 1
188200         OR WS-END-OF-PERFORM
188300         IF  MB21WS-NAME (X-WS-INDEX:1)
188400                                 IS NOT EQUAL TO SPACES
188500             ADD 1               TO X-WS-INDEX
188600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
188700             ADD 1               TO X-WS-INDEX
188800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
188900             MOVE X-WS-EURO-INDEX
189000                                 TO MB21WS-NAME (X-WS-INDEX:2)
189100             ADD 1               TO X-WS-INDEX
189200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
189300             SET WS-END-OF-PERFORM
189400                                 TO TRUE
189500         END-IF
189600     END-PERFORM.
189700     MOVE MMQ1-REGIONAL-NBR-CA (X-MMQ1-EUROPAY)
189800                                 TO MB21WS-9V0Z.
189900     PERFORM MB21PD-INSERT-A-COLUMN
190000                                 THRU MB21PD-IAC-EXIT.
190100*
190200     MOVE 'REGIONAL-AMT-CA'      TO MB21WS-NAME.
190300     SET WS-NOT-END-OF-PERFORM   TO TRUE
190400     PERFORM
190500         VARYING X-WS-INDEX
190600         FROM 30 BY -1
190700         UNTIL X-WS-INDEX IS EQUAL TO 1
190800         OR WS-END-OF-PERFORM
190900         IF  MB21WS-NAME (X-WS-INDEX:1)
191000                                 IS NOT EQUAL TO SPACES
191100             ADD 1               TO X-WS-INDEX
191200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
191300             ADD 1               TO X-WS-INDEX
191400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
191500             MOVE X-WS-EURO-INDEX
191600                                 TO MB21WS-NAME (X-WS-INDEX:2)
191700             ADD 1               TO X-WS-INDEX
191800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
191900             SET WS-END-OF-PERFORM
192000                                 TO TRUE
192100         END-IF
192200     END-PERFORM.
192300     MOVE MMQ1-REGIONAL-AMT-CA (X-MMQ1-EUROPAY)
192400                                 TO MB21WS-15V2.
192500     PERFORM MB21PD-INSERT-A-COLUMN
192600                                 THRU MB21PD-IAC-EXIT.
192700*
192800     MOVE 'INTER-NBR-CA'         TO MB21WS-NAME.
192900     SET WS-NOT-END-OF-PERFORM   TO TRUE
193000     PERFORM
193100         VARYING X-WS-INDEX
193200         FROM 30 BY -1
193300         UNTIL X-WS-INDEX IS EQUAL TO 1
193400         OR WS-END-OF-PERFORM
193500         IF  MB21WS-NAME (X-WS-INDEX:1)
193600                                 IS NOT EQUAL TO SPACES
193700             ADD 1               TO X-WS-INDEX
193800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
193900             ADD 1               TO X-WS-INDEX
194000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
194100             MOVE X-WS-EURO-INDEX
194200                                 TO MB21WS-NAME (X-WS-INDEX:2)
194300             ADD 1               TO X-WS-INDEX
194400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
194500             SET WS-END-OF-PERFORM
194600                                 TO TRUE
194700         END-IF
194800     END-PERFORM.
194900     MOVE MMQ1-INTER-NBR-CA (X-MMQ1-EUROPAY)
195000                                 TO MB21WS-9V0Z.
195100     PERFORM MB21PD-INSERT-A-COLUMN
195200                                 THRU MB21PD-IAC-EXIT.
195300*
195400     MOVE 'INTER-AMT-CA'         TO MB21WS-NAME.
195500     SET WS-NOT-END-OF-PERFORM   TO TRUE
195600     PERFORM
195700         VARYING X-WS-INDEX
195800         FROM 30 BY -1
195900         UNTIL X-WS-INDEX IS EQUAL TO 1
196000         OR WS-END-OF-PERFORM
196100         IF  MB21WS-NAME (X-WS-INDEX:1)
196200                                 IS NOT EQUAL TO SPACES
196300             ADD 1               TO X-WS-INDEX
196400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
196500             ADD 1               TO X-WS-INDEX
196600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
196700             MOVE X-WS-EURO-INDEX
196800                                 TO MB21WS-NAME (X-WS-INDEX:2)
196900             ADD 1               TO X-WS-INDEX
197000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
197100             SET WS-END-OF-PERFORM
197200                                 TO TRUE
197300         END-IF
197400     END-PERFORM.
197500     MOVE MMQ1-INTER-AMT-CA (X-MMQ1-EUROPAY)
197600                                 TO MB21WS-15V2.
197700     PERFORM MB21PD-INSERT-A-COLUMN
197800                                 THRU MB21PD-IAC-EXIT.
197900*
198000     MOVE 'INTRA-NBR-ATM'        TO MB21WS-NAME.
198100     SET WS-NOT-END-OF-PERFORM   TO TRUE
198200     PERFORM
198300         VARYING X-WS-INDEX
198400         FROM 30 BY -1
198500         UNTIL X-WS-INDEX IS EQUAL TO 1
198600         OR WS-END-OF-PERFORM
198700         IF  MB21WS-NAME (X-WS-INDEX:1)
198800                                 IS NOT EQUAL TO SPACES
198900             ADD 1               TO X-WS-INDEX
199000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
199100             ADD 1               TO X-WS-INDEX
199200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
199300             MOVE X-WS-EURO-INDEX
199400                                 TO MB21WS-NAME (X-WS-INDEX:2)
199500             ADD 1               TO X-WS-INDEX
199600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
199700             SET WS-END-OF-PERFORM
199800                                 TO TRUE
199900         END-IF
200000     END-PERFORM.
200100     MOVE MMQ1-INTRA-NBR-ATM (X-MMQ1-EUROPAY)
200200                                 TO MB21WS-9V0Z.
200300     PERFORM MB21PD-INSERT-A-COLUMN
200400                                 THRU MB21PD-IAC-EXIT.
200500*
200600     MOVE 'INTRA-AMT-ATM'         TO MB21WS-NAME.
200700     SET WS-NOT-END-OF-PERFORM   TO TRUE
200800     PERFORM
200900         VARYING X-WS-INDEX
201000         FROM 30 BY -1
201100         UNTIL X-WS-INDEX IS EQUAL TO 1
201200         OR WS-END-OF-PERFORM
201300         IF  MB21WS-NAME (X-WS-INDEX:1)
201400                                 IS NOT EQUAL TO SPACES
201500             ADD 1               TO X-WS-INDEX
201600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
201700             ADD 1               TO X-WS-INDEX
201800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
201900             MOVE X-WS-EURO-INDEX
202000                                 TO MB21WS-NAME (X-WS-INDEX:2)
202100             ADD 1               TO X-WS-INDEX
202200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
202300             SET WS-END-OF-PERFORM
202400                                 TO TRUE
202500         END-IF
202600     END-PERFORM.
202700     MOVE MMQ1-INTRA-AMT-ATM (X-MMQ1-EUROPAY)
202800                                 TO MB21WS-15V2.
202900     PERFORM MB21PD-INSERT-A-COLUMN
203000                                 THRU MB21PD-IAC-EXIT.
203100*
203200     MOVE 'REGIONAL-NBR-ATM'     TO MB21WS-NAME.
203300     SET WS-NOT-END-OF-PERFORM   TO TRUE
203400     PERFORM
203500         VARYING X-WS-INDEX
203600         FROM 30 BY -1
203700         UNTIL X-WS-INDEX IS EQUAL TO 1
203800         OR WS-END-OF-PERFORM
203900         IF  MB21WS-NAME (X-WS-INDEX:1)
204000                                 IS NOT EQUAL TO SPACES
204100             ADD 1               TO X-WS-INDEX
204200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
204300             ADD 1               TO X-WS-INDEX
204400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
204500             MOVE X-WS-EURO-INDEX
204600                                 TO MB21WS-NAME (X-WS-INDEX:2)
204700             ADD 1               TO X-WS-INDEX
204800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
204900             SET WS-END-OF-PERFORM
205000                                 TO TRUE
205100         END-IF
205200     END-PERFORM.
205300     MOVE MMQ1-REGIONAL-NBR-ATM (X-MMQ1-EUROPAY)
205400                                 TO MB21WS-9V0Z.
205500     PERFORM MB21PD-INSERT-A-COLUMN
205600                                 THRU MB21PD-IAC-EXIT.
205700*
205800     MOVE 'REGIONAL-AMT-ATM'      TO MB21WS-NAME.
205900     SET WS-NOT-END-OF-PERFORM   TO TRUE
206000     PERFORM
206100         VARYING X-WS-INDEX
206200         FROM 30 BY -1
206300         UNTIL X-WS-INDEX IS EQUAL TO 1
206400         OR WS-END-OF-PERFORM
206500         IF  MB21WS-NAME (X-WS-INDEX:1)
206600                                 IS NOT EQUAL TO SPACES
206700             ADD 1               TO X-WS-INDEX
206800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
206900             ADD 1               TO X-WS-INDEX
207000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
207100             MOVE X-WS-EURO-INDEX
207200                                 TO MB21WS-NAME (X-WS-INDEX:2)
207300             ADD 1               TO X-WS-INDEX
207400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
207500             SET WS-END-OF-PERFORM
207600                                 TO TRUE
207700         END-IF
207800     END-PERFORM.
207900     MOVE MMQ1-REGIONAL-AMT-ATM (X-MMQ1-EUROPAY)
208000                                 TO MB21WS-15V2.
208100     PERFORM MB21PD-INSERT-A-COLUMN
208200                                 THRU MB21PD-IAC-EXIT.
208300*
208400     MOVE 'INTER-NBR-ATM'        TO MB21WS-NAME.
208500     SET WS-NOT-END-OF-PERFORM   TO TRUE
208600     PERFORM
208700         VARYING X-WS-INDEX
208800         FROM 30 BY -1
208900         UNTIL X-WS-INDEX IS EQUAL TO 1
209000         OR WS-END-OF-PERFORM
209100         IF  MB21WS-NAME (X-WS-INDEX:1)
209200                                 IS NOT EQUAL TO SPACES
209300             ADD 1               TO X-WS-INDEX
209400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
209500             ADD 1               TO X-WS-INDEX
209600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
209700             MOVE X-WS-EURO-INDEX
209800                                 TO MB21WS-NAME (X-WS-INDEX:2)
209900             ADD 1               TO X-WS-INDEX
210000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
210100             SET WS-END-OF-PERFORM
210200                                 TO TRUE
210300         END-IF
210400     END-PERFORM.
210500     MOVE MMQ1-INTER-NBR-ATM (X-MMQ1-EUROPAY)
210600                                 TO MB21WS-9V0Z.
210700     PERFORM MB21PD-INSERT-A-COLUMN
210800                                 THRU MB21PD-IAC-EXIT.
210900*
211000     MOVE 'INTER-AMT-ATM'        TO MB21WS-NAME.
211100     SET WS-NOT-END-OF-PERFORM   TO TRUE
211200     PERFORM
211300         VARYING X-WS-INDEX
211400         FROM 30 BY -1
211500         UNTIL X-WS-INDEX IS EQUAL TO 1
211600         OR WS-END-OF-PERFORM
211700         IF  MB21WS-NAME (X-WS-INDEX:1)
211800                                 IS NOT EQUAL TO SPACES
211900             ADD 1               TO X-WS-INDEX
212000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
212100             ADD 1               TO X-WS-INDEX
212200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
212300             MOVE X-WS-EURO-INDEX
212400                                 TO MB21WS-NAME (X-WS-INDEX:2)
212500             ADD 1               TO X-WS-INDEX
212600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
212700             SET WS-END-OF-PERFORM
212800                                 TO TRUE
212900         END-IF
213000     END-PERFORM.
213100     MOVE MMQ1-INTER-AMT-ATM (X-MMQ1-EUROPAY)
213200                                 TO MB21WS-15V2.
213300     PERFORM MB21PD-INSERT-A-COLUMN
213400                                 THRU MB21PD-IAC-EXIT.
213500*
213600     MOVE 'INTRA-NBR-CR'         TO MB21WS-NAME.
213700     SET WS-NOT-END-OF-PERFORM   TO TRUE
213800     PERFORM
213900         VARYING X-WS-INDEX
214000         FROM 30 BY -1
214100         UNTIL X-WS-INDEX IS EQUAL TO 1
214200         OR WS-END-OF-PERFORM
214300         IF  MB21WS-NAME (X-WS-INDEX:1)
214400                                 IS NOT EQUAL TO SPACES
214500             ADD 1               TO X-WS-INDEX
214600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
214700             ADD 1               TO X-WS-INDEX
214800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
214900             MOVE X-WS-EURO-INDEX
215000                                 TO MB21WS-NAME (X-WS-INDEX:2)
215100             ADD 1               TO X-WS-INDEX
215200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
215300             SET WS-END-OF-PERFORM
215400                                 TO TRUE
215500         END-IF
215600     END-PERFORM.
215700     MOVE MMQ1-INTRA-NBR-CR (X-MMQ1-EUROPAY)
215800                                 TO MB21WS-9V0Z.
215900     PERFORM MB21PD-INSERT-A-COLUMN
216000                                 THRU MB21PD-IAC-EXIT.
216100*
216200     MOVE 'INTRA-AMT-CR'          TO MB21WS-NAME.
216300     SET WS-NOT-END-OF-PERFORM   TO TRUE
216400     PERFORM
216500         VARYING X-WS-INDEX
216600         FROM 30 BY -1
216700         UNTIL X-WS-INDEX IS EQUAL TO 1
216800         OR WS-END-OF-PERFORM
216900         IF  MB21WS-NAME (X-WS-INDEX:1)
217000                                 IS NOT EQUAL TO SPACES
217100             ADD 1               TO X-WS-INDEX
217200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
217300             ADD 1               TO X-WS-INDEX
217400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
217500             MOVE X-WS-EURO-INDEX
217600                                 TO MB21WS-NAME (X-WS-INDEX:2)
217700             ADD 1               TO X-WS-INDEX
217800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
217900             SET WS-END-OF-PERFORM
218000                                 TO TRUE
218100         END-IF
218200     END-PERFORM.
218300     MOVE MMQ1-INTRA-AMT-CR (X-MMQ1-EUROPAY)
218400                                 TO MB21WS-15V2.
218500     PERFORM MB21PD-INSERT-A-COLUMN
218600                                 THRU MB21PD-IAC-EXIT.
218700*
218800     MOVE 'REGIONAL-NBR-CR'      TO MB21WS-NAME.
218900     SET WS-NOT-END-OF-PERFORM   TO TRUE
219000     PERFORM
219100         VARYING X-WS-INDEX
219200         FROM 30 BY -1
219300         UNTIL X-WS-INDEX IS EQUAL TO 1
219400         OR WS-END-OF-PERFORM
219500         IF  MB21WS-NAME (X-WS-INDEX:1)
219600                                 IS NOT EQUAL TO SPACES
219700             ADD 1               TO X-WS-INDEX
219800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
219900             ADD 1               TO X-WS-INDEX
220000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
220100             MOVE X-WS-EURO-INDEX
220200                                 TO MB21WS-NAME (X-WS-INDEX:2)
220300             ADD 1               TO X-WS-INDEX
220400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
220500             SET WS-END-OF-PERFORM
220600                                 TO TRUE
220700         END-IF
220800     END-PERFORM.
220900     MOVE MMQ1-REGIONAL-NBR-CR (X-MMQ1-EUROPAY)
221000                                 TO MB21WS-9V0Z.
221100     PERFORM MB21PD-INSERT-A-COLUMN
221200                                 THRU MB21PD-IAC-EXIT.
221300*
221400     MOVE 'REGIONAL-AMT-CR'       TO MB21WS-NAME.
221500     SET WS-NOT-END-OF-PERFORM   TO TRUE
221600     PERFORM
221700         VARYING X-WS-INDEX
221800         FROM 30 BY -1
221900         UNTIL X-WS-INDEX IS EQUAL TO 1
222000         OR WS-END-OF-PERFORM
222100         IF  MB21WS-NAME (X-WS-INDEX:1)
222200                                 IS NOT EQUAL TO SPACES
222300             ADD 1               TO X-WS-INDEX
222400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
222500             ADD 1               TO X-WS-INDEX
222600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
222700             MOVE X-WS-EURO-INDEX
222800                                 TO MB21WS-NAME (X-WS-INDEX:2)
222900             ADD 1               TO X-WS-INDEX
223000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
223100             SET WS-END-OF-PERFORM
223200                                 TO TRUE
223300         END-IF
223400     END-PERFORM.
223500     MOVE MMQ1-REGIONAL-AMT-CR (X-MMQ1-EUROPAY)
223600                                 TO MB21WS-15V2.
223700     PERFORM MB21PD-INSERT-A-COLUMN
223800                                 THRU MB21PD-IAC-EXIT.
223900*
224000     MOVE 'INTER-NBR-CR'         TO MB21WS-NAME.
224100     SET WS-NOT-END-OF-PERFORM   TO TRUE
224200     PERFORM
224300         VARYING X-WS-INDEX
224400         FROM 30 BY -1
224500         UNTIL X-WS-INDEX IS EQUAL TO 1
224600         OR WS-END-OF-PERFORM
224700         IF  MB21WS-NAME (X-WS-INDEX:1)
224800                                 IS NOT EQUAL TO SPACES
224900             ADD 1               TO X-WS-INDEX
225000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
225100             ADD 1               TO X-WS-INDEX
225200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
225300             MOVE X-WS-EURO-INDEX
225400                                 TO MB21WS-NAME (X-WS-INDEX:2)
225500             ADD 1               TO X-WS-INDEX
225600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
225700             SET WS-END-OF-PERFORM
225800                                 TO TRUE
225900         END-IF
226000     END-PERFORM.
226100     MOVE MMQ1-INTER-NBR-CR (X-MMQ1-EUROPAY)
226200                                 TO MB21WS-9V0Z.
226300     PERFORM MB21PD-INSERT-A-COLUMN
226400                                 THRU MB21PD-IAC-EXIT.
226500*
226600     MOVE 'INTER-AMT-CR'         TO MB21WS-NAME.
226700     SET WS-NOT-END-OF-PERFORM   TO TRUE
226800     PERFORM
226900         VARYING X-WS-INDEX
227000         FROM 30 BY -1
227100         UNTIL X-WS-INDEX IS EQUAL TO 1
227200         OR WS-END-OF-PERFORM
227300         IF  MB21WS-NAME (X-WS-INDEX:1)
227400                                 IS NOT EQUAL TO SPACES
227500             ADD 1               TO X-WS-INDEX
227600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
227700             ADD 1               TO X-WS-INDEX
227800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
227900             MOVE X-WS-EURO-INDEX
228000                                 TO MB21WS-NAME (X-WS-INDEX:2)
228100             ADD 1               TO X-WS-INDEX
228200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
228300             SET WS-END-OF-PERFORM
228400                                 TO TRUE
228500         END-IF
228600     END-PERFORM.
228700     MOVE MMQ1-INTER-AMT-CR (X-MMQ1-EUROPAY)
228800                                 TO MB21WS-15V2.
228900     PERFORM MB21PD-INSERT-A-COLUMN
229000                                 THRU MB21PD-IAC-EXIT.
229100*
229200     MOVE 'MEM'                  TO MB21WS-NAME.
229300     SET WS-NOT-END-OF-PERFORM   TO TRUE
229400     PERFORM
229500         VARYING X-WS-INDEX
229600         FROM 30 BY -1
229700         UNTIL X-WS-INDEX IS EQUAL TO 1
229800         OR WS-END-OF-PERFORM
229900         IF  MB21WS-NAME (X-WS-INDEX:1)
230000                                 IS NOT EQUAL TO SPACES
230100             ADD 1               TO X-WS-INDEX
230200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
230300             ADD 1               TO X-WS-INDEX
230400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
230500             MOVE X-WS-EURO-INDEX
230600                                 TO MB21WS-NAME (X-WS-INDEX:2)
230700             ADD 1               TO X-WS-INDEX
230800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
230900             SET WS-END-OF-PERFORM
231000                                 TO TRUE
231100         END-IF
231200     END-PERFORM.
231300     MOVE MMQ1-MEM (X-MMQ1-EUROPAY)
231400                                 TO MB21WS-9V0Z.
231500     PERFORM MB21PD-INSERT-A-COLUMN
231600                                 THRU MB21PD-IAC-EXIT.
231700*
231800     MOVE 'MEM-LOC'              TO MB21WS-NAME.
231900     SET WS-NOT-END-OF-PERFORM   TO TRUE
232000     PERFORM
232100         VARYING X-WS-INDEX
232200         FROM 30 BY -1
232300         UNTIL X-WS-INDEX IS EQUAL TO 1
232400         OR WS-END-OF-PERFORM
232500         IF  MB21WS-NAME (X-WS-INDEX:1)
232600                                 IS NOT EQUAL TO SPACES
232700             ADD 1               TO X-WS-INDEX
232800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
232900             ADD 1               TO X-WS-INDEX
233000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
233100             MOVE X-WS-EURO-INDEX
233200                                 TO MB21WS-NAME (X-WS-INDEX:2)
233300             ADD 1               TO X-WS-INDEX
233400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
233500             SET WS-END-OF-PERFORM
233600                                 TO TRUE
233700         END-IF
233800     END-PERFORM.
233900     MOVE MMQ1-MEM-LOC (X-MMQ1-EUROPAY)
234000                                 TO MB21WS-9V0Z.
234100     PERFORM MB21PD-INSERT-A-COLUMN
234200                                 THRU MB21PD-IAC-EXIT.
234300*
234400     MOVE 'MER'                  TO MB21WS-NAME.
234500     SET WS-NOT-END-OF-PERFORM   TO TRUE
234600     PERFORM
234700         VARYING X-WS-INDEX
234800         FROM 30 BY -1
234900         UNTIL X-WS-INDEX IS EQUAL TO 1
235000         OR WS-END-OF-PERFORM
235100         IF  MB21WS-NAME (X-WS-INDEX:1)
235200                                 IS NOT EQUAL TO SPACES
235300             ADD 1               TO X-WS-INDEX
235400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
235500             ADD 1               TO X-WS-INDEX
235600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
235700             MOVE X-WS-EURO-INDEX
235800                                 TO MB21WS-NAME (X-WS-INDEX:2)
235900             ADD 1               TO X-WS-INDEX
236000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
236100             SET WS-END-OF-PERFORM
236200                                 TO TRUE
236300         END-IF
236400     END-PERFORM.
236500     MOVE MMQ1-MER (X-MMQ1-EUROPAY)
236600                                 TO MB21WS-9V0Z.
236700     PERFORM MB21PD-INSERT-A-COLUMN
236800                                 THRU MB21PD-IAC-EXIT.
236900*
237000     MOVE 'MER-ADD'              TO MB21WS-NAME.
237100     SET WS-NOT-END-OF-PERFORM   TO TRUE
237200     PERFORM
237300         VARYING X-WS-INDEX
237400         FROM 30 BY -1
237500         UNTIL X-WS-INDEX IS EQUAL TO 1
237600         OR WS-END-OF-PERFORM
237700         IF  MB21WS-NAME (X-WS-INDEX:1)
237800                                 IS NOT EQUAL TO SPACES
237900             ADD 1               TO X-WS-INDEX
238000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
238100             ADD 1               TO X-WS-INDEX
238200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
238300             MOVE X-WS-EURO-INDEX
238400                                 TO MB21WS-NAME (X-WS-INDEX:2)
238500             ADD 1               TO X-WS-INDEX
238600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
238700             SET WS-END-OF-PERFORM
238800                                 TO TRUE
238900         END-IF
239000     END-PERFORM.
239100     MOVE MMQ1-MER-ADD (X-MMQ1-EUROPAY)
239200                                 TO MB21WS-9V0Z.
239300     PERFORM MB21PD-INSERT-A-COLUMN
239400                                 THRU MB21PD-IAC-EXIT.
239500*
239600     MOVE 'MER-DEL'              TO MB21WS-NAME.
239700     SET WS-NOT-END-OF-PERFORM   TO TRUE
239800     PERFORM
239900         VARYING X-WS-INDEX
240000         FROM 30 BY -1
240100         UNTIL X-WS-INDEX IS EQUAL TO 1
240200         OR WS-END-OF-PERFORM
240300         IF  MB21WS-NAME (X-WS-INDEX:1)
240400                                 IS NOT EQUAL TO SPACES
240500             ADD 1               TO X-WS-INDEX
240600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
240700             ADD 1               TO X-WS-INDEX
240800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
240900             MOVE X-WS-EURO-INDEX
241000                                 TO MB21WS-NAME (X-WS-INDEX:2)
241100             ADD 1               TO X-WS-INDEX
241200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
241300             SET WS-END-OF-PERFORM
241400                                 TO TRUE
241500         END-IF
241600     END-PERFORM.
241700     MOVE MMQ1-MER-DEL (X-MMQ1-EUROPAY)
241800                                 TO MB21WS-9V0Z.
241900     PERFORM MB21PD-INSERT-A-COLUMN
242000                                 THRU MB21PD-IAC-EXIT.
242100*
242200     MOVE 'LOC'                  TO MB21WS-NAME.
242300     SET WS-NOT-END-OF-PERFORM   TO TRUE
242400     PERFORM
242500         VARYING X-WS-INDEX
242600         FROM 30 BY -1
242700         UNTIL X-WS-INDEX IS EQUAL TO 1
242800         OR WS-END-OF-PERFORM
242900         IF  MB21WS-NAME (X-WS-INDEX:1)
243000                                 IS NOT EQUAL TO SPACES
243100             ADD 1               TO X-WS-INDEX
243200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
243300             ADD 1               TO X-WS-INDEX
243400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
243500             MOVE X-WS-EURO-INDEX
243600                                 TO MB21WS-NAME (X-WS-INDEX:2)
243700             ADD 1               TO X-WS-INDEX
243800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
243900             SET WS-END-OF-PERFORM
244000                                 TO TRUE
244100         END-IF
244200     END-PERFORM.
244300     MOVE MMQ1-LOC (X-MMQ1-EUROPAY)
244400                                 TO MB21WS-9V0Z.
244500     PERFORM MB21PD-INSERT-A-COLUMN
244600                                 THRU MB21PD-IAC-EXIT.
244700*
244800     MOVE 'LOC-ADD'              TO MB21WS-NAME.
244900     SET WS-NOT-END-OF-PERFORM   TO TRUE
245000     PERFORM
245100         VARYING X-WS-INDEX
245200         FROM 30 BY -1
245300         UNTIL X-WS-INDEX IS EQUAL TO 1
245400         OR WS-END-OF-PERFORM
245500         IF  MB21WS-NAME (X-WS-INDEX:1)
245600                                 IS NOT EQUAL TO SPACES
245700             ADD 1               TO X-WS-INDEX
245800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
245900             ADD 1               TO X-WS-INDEX
246000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
246100             MOVE X-WS-EURO-INDEX
246200                                 TO MB21WS-NAME (X-WS-INDEX:2)
246300             ADD 1               TO X-WS-INDEX
246400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
246500             SET WS-END-OF-PERFORM
246600                                 TO TRUE
246700         END-IF
246800     END-PERFORM.
246900     MOVE MMQ1-LOC-ADD (X-MMQ1-EUROPAY)
247000                                 TO MB21WS-9V0Z.
247100     PERFORM MB21PD-INSERT-A-COLUMN
247200                                 THRU MB21PD-IAC-EXIT.
247300*
247400     MOVE 'LOC-DEL'              TO MB21WS-NAME.
247500     SET WS-NOT-END-OF-PERFORM   TO TRUE
247600     PERFORM
247700         VARYING X-WS-INDEX
247800         FROM 30 BY -1
247900         UNTIL X-WS-INDEX IS EQUAL TO 1
248000         OR WS-END-OF-PERFORM
248100         IF  MB21WS-NAME (X-WS-INDEX:1)
248200                                 IS NOT EQUAL TO SPACES
248300             ADD 1               TO X-WS-INDEX
248400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
248500             ADD 1               TO X-WS-INDEX
248600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
248700             MOVE X-WS-EURO-INDEX
248800                                 TO MB21WS-NAME (X-WS-INDEX:2)
248900             ADD 1               TO X-WS-INDEX
249000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
249100             SET WS-END-OF-PERFORM
249200                                 TO TRUE
249300         END-IF
249400     END-PERFORM.
249500     MOVE MMQ1-LOC-DEL (X-MMQ1-EUROPAY)
249600                                 TO MB21WS-9V0Z.
249700     PERFORM MB21PD-INSERT-A-COLUMN
249800                                 THRU MB21PD-IAC-EXIT.
249900*
250000     MOVE 'POS'                  TO MB21WS-NAME.
250100     SET WS-NOT-END-OF-PERFORM   TO TRUE
250200     PERFORM
250300         VARYING X-WS-INDEX
250400         FROM 30 BY -1
250500         UNTIL X-WS-INDEX IS EQUAL TO 1
250600         OR WS-END-OF-PERFORM
250700         IF  MB21WS-NAME (X-WS-INDEX:1)
250800                                 IS NOT EQUAL TO SPACES
250900             ADD 1               TO X-WS-INDEX
251000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
251100             ADD 1               TO X-WS-INDEX
251200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
251300             MOVE X-WS-EURO-INDEX
251400                                 TO MB21WS-NAME (X-WS-INDEX:2)
251500             ADD 1               TO X-WS-INDEX
251600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
251700             SET WS-END-OF-PERFORM
251800                                 TO TRUE
251900         END-IF
252000     END-PERFORM.
252100     MOVE MMQ1-POS (X-MMQ1-EUROPAY)
252200                                 TO MB21WS-9V0Z.
252300     PERFORM MB21PD-INSERT-A-COLUMN
252400                                 THRU MB21PD-IAC-EXIT.
252500*
252600     MOVE 'POS-ADD'              TO MB21WS-NAME.
252700     SET WS-NOT-END-OF-PERFORM   TO TRUE
252800     PERFORM
252900         VARYING X-WS-INDEX
253000         FROM 30 BY -1
253100         UNTIL X-WS-INDEX IS EQUAL TO 1
253200         OR WS-END-OF-PERFORM
253300         IF  MB21WS-NAME (X-WS-INDEX:1)
253400                                 IS NOT EQUAL TO SPACES
253500             ADD 1               TO X-WS-INDEX
253600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
253700             ADD 1               TO X-WS-INDEX
253800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
253900             MOVE X-WS-EURO-INDEX
254000                                 TO MB21WS-NAME (X-WS-INDEX:2)
254100             ADD 1               TO X-WS-INDEX
254200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
254300             SET WS-END-OF-PERFORM
254400                                 TO TRUE
254500         END-IF
254600     END-PERFORM.
254700     MOVE MMQ1-POS-ADD (X-MMQ1-EUROPAY)
254800                                 TO MB21WS-9V0Z.
254900     PERFORM MB21PD-INSERT-A-COLUMN
255000                                 THRU MB21PD-IAC-EXIT.
255100*
255200     MOVE 'POS-DEL'              TO MB21WS-NAME.
255300     SET WS-NOT-END-OF-PERFORM   TO TRUE
255400     PERFORM
255500         VARYING X-WS-INDEX
255600         FROM 30 BY -1
255700         UNTIL X-WS-INDEX IS EQUAL TO 1
255800         OR WS-END-OF-PERFORM
255900         IF  MB21WS-NAME (X-WS-INDEX:1)
256000                                 IS NOT EQUAL TO SPACES
256100             ADD 1               TO X-WS-INDEX
256200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
256300             ADD 1               TO X-WS-INDEX
256400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
256500             MOVE X-WS-EURO-INDEX
256600                                 TO MB21WS-NAME (X-WS-INDEX:2)
256700             ADD 1               TO X-WS-INDEX
256800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
256900             SET WS-END-OF-PERFORM
257000                                 TO TRUE
257100         END-IF
257200     END-PERFORM.
257300     MOVE MMQ1-POS-DEL (X-MMQ1-EUROPAY)
257400                                 TO MB21WS-9V0Z.
257500     PERFORM MB21PD-INSERT-A-COLUMN
257600                                 THRU MB21PD-IAC-EXIT.
257700*
257800     MOVE 'C-A'                  TO MB21WS-NAME.
257900     SET WS-NOT-END-OF-PERFORM   TO TRUE
258000     PERFORM
258100         VARYING X-WS-INDEX
258200         FROM 30 BY -1
258300         UNTIL X-WS-INDEX IS EQUAL TO 1
258400         OR WS-END-OF-PERFORM
258500         IF  MB21WS-NAME (X-WS-INDEX:1)
258600                                 IS NOT EQUAL TO SPACES
258700             ADD 1               TO X-WS-INDEX
258800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
258900             ADD 1               TO X-WS-INDEX
259000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
259100             MOVE X-WS-EURO-INDEX
259200                                 TO MB21WS-NAME (X-WS-INDEX:2)
259300             ADD 1               TO X-WS-INDEX
259400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
259500             SET WS-END-OF-PERFORM
259600                                 TO TRUE
259700         END-IF
259800     END-PERFORM.
259900     MOVE MMQ1-C-A (X-MMQ1-EUROPAY)
260000                                 TO MB21WS-9V0Z.
260100     PERFORM MB21PD-INSERT-A-COLUMN
260200                                 THRU MB21PD-IAC-EXIT.
260300*
260400     MOVE 'C-A-ADD'              TO MB21WS-NAME.
260500     SET WS-NOT-END-OF-PERFORM   TO TRUE
260600     PERFORM
260700         VARYING X-WS-INDEX
260800         FROM 30 BY -1
260900         UNTIL X-WS-INDEX IS EQUAL TO 1
261000         OR WS-END-OF-PERFORM
261100         IF  MB21WS-NAME (X-WS-INDEX:1)
261200                                 IS NOT EQUAL TO SPACES
261300             ADD 1               TO X-WS-INDEX
261400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
261500             ADD 1               TO X-WS-INDEX
261600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
261700             MOVE X-WS-EURO-INDEX
261800                                 TO MB21WS-NAME (X-WS-INDEX:2)
261900             ADD 1               TO X-WS-INDEX
262000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
262100             SET WS-END-OF-PERFORM
262200                                 TO TRUE
262300         END-IF
262400     END-PERFORM.
262500     MOVE MMQ1-C-A-ADD (X-MMQ1-EUROPAY)
262600                                 TO MB21WS-9V0Z.
262700     PERFORM MB21PD-INSERT-A-COLUMN
262800                                 THRU MB21PD-IAC-EXIT.
262900*
263000     MOVE 'C-A-DEL'              TO MB21WS-NAME.
263100     SET WS-NOT-END-OF-PERFORM   TO TRUE
263200     PERFORM
263300         VARYING X-WS-INDEX
263400         FROM 30 BY -1
263500         UNTIL X-WS-INDEX IS EQUAL TO 1
263600         OR WS-END-OF-PERFORM
263700         IF  MB21WS-NAME (X-WS-INDEX:1)
263800                                 IS NOT EQUAL TO SPACES
263900             ADD 1               TO X-WS-INDEX
264000             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
264100             ADD 1               TO X-WS-INDEX
264200             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
264300             MOVE X-WS-EURO-INDEX
264400                                 TO MB21WS-NAME (X-WS-INDEX:2)
264500             ADD 1               TO X-WS-INDEX
264600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
264700             SET WS-END-OF-PERFORM
264800                                 TO TRUE
264900         END-IF
265000     END-PERFORM.
265100     MOVE MMQ1-C-A-DEL (X-MMQ1-EUROPAY)
265200                                 TO MB21WS-9V0Z.
265300     PERFORM MB21PD-INSERT-A-COLUMN
265400                                 THRU MB21PD-IAC-EXIT.
265500*
265600     MOVE 'ATM'                  TO MB21WS-NAME.
265700     SET WS-NOT-END-OF-PERFORM   TO TRUE
265800     PERFORM
265900         VARYING X-WS-INDEX
266000         FROM 30 BY -1
266100         UNTIL X-WS-INDEX IS EQUAL TO 1
266200         OR WS-END-OF-PERFORM
266300         IF  MB21WS-NAME (X-WS-INDEX:1)
266400                                 IS NOT EQUAL TO SPACES
266500             ADD 1               TO X-WS-INDEX
266600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
266700             ADD 1               TO X-WS-INDEX
266800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
266900             MOVE X-WS-EURO-INDEX
267000                                 TO MB21WS-NAME (X-WS-INDEX:2)
267100             ADD 1               TO X-WS-INDEX
267200             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
267300             SET WS-END-OF-PERFORM
267400                                 TO TRUE
267500         END-IF
267600     END-PERFORM.
267700     MOVE MMQ1-ATM (X-MMQ1-EUROPAY)
267800                                 TO MB21WS-9V0Z.
267900     PERFORM MB21PD-INSERT-A-COLUMN
268000                                 THRU MB21PD-IAC-EXIT.
268100*
268200     MOVE 'ATM-ADD'              TO MB21WS-NAME.
268300     SET WS-NOT-END-OF-PERFORM   TO TRUE
268400     PERFORM
268500         VARYING X-WS-INDEX
268600         FROM 30 BY -1
268700         UNTIL X-WS-INDEX IS EQUAL TO 1
268800         OR WS-END-OF-PERFORM
268900         IF  MB21WS-NAME (X-WS-INDEX:1)
269000                                 IS NOT EQUAL TO SPACES
269100             ADD 1               TO X-WS-INDEX
269200             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
269300             ADD 1               TO X-WS-INDEX
269400             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
269500             MOVE X-WS-EURO-INDEX
269600                                 TO MB21WS-NAME (X-WS-INDEX:2)
269700             ADD 1               TO X-WS-INDEX
269800             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
269900             SET WS-END-OF-PERFORM
270000                                 TO TRUE
270100         END-IF
270200     END-PERFORM.
270300     MOVE MMQ1-ATM-ADD (X-MMQ1-EUROPAY)
270400                                 TO MB21WS-9V0Z.
270500     PERFORM MB21PD-INSERT-A-COLUMN
270600                                 THRU MB21PD-IAC-EXIT.
270700*
270800     MOVE 'ATM-DEL'              TO MB21WS-NAME.
270900     SET WS-NOT-END-OF-PERFORM   TO TRUE
271000     PERFORM
271100         VARYING X-WS-INDEX
271200         FROM 30 BY -1
271300         UNTIL X-WS-INDEX IS EQUAL TO 1
271400         OR WS-END-OF-PERFORM
271500         IF  MB21WS-NAME (X-WS-INDEX:1)
271600                                 IS NOT EQUAL TO SPACES
271700             ADD 1               TO X-WS-INDEX
271800             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
271900             ADD 1               TO X-WS-INDEX
272000             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
272100             MOVE X-WS-EURO-INDEX
272200                                 TO MB21WS-NAME (X-WS-INDEX:2)
272300             ADD 1               TO X-WS-INDEX
272400             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
272500             SET WS-END-OF-PERFORM
272600                                 TO TRUE
272700         END-IF
272800     END-PERFORM.
272900     MOVE MMQ1-ATM-DEL (X-MMQ1-EUROPAY)
273000                                 TO MB21WS-9V0Z.
273100     PERFORM MB21PD-INSERT-A-COLUMN
273200                                 THRU MB21PD-IAC-EXIT.
273300*
273400     MOVE 'E-MC-MAX'             TO MB21WS-NAME.
273500     SET WS-NOT-END-OF-PERFORM   TO TRUE
273600     PERFORM
273700         VARYING X-WS-INDEX
273800         FROM 30 BY -1
273900         UNTIL X-WS-INDEX IS EQUAL TO 1
274000         OR WS-END-OF-PERFORM
274100         IF  MB21WS-NAME (X-WS-INDEX:1)
274200                                 IS NOT EQUAL TO SPACES
274300             ADD 1               TO X-WS-INDEX
274400             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
274500             ADD 1               TO X-WS-INDEX
274600             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
274700             MOVE X-WS-EURO-INDEX
274800                                 TO MB21WS-NAME (X-WS-INDEX:2)
274900             ADD 1               TO X-WS-INDEX
275000             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
275100             SET WS-END-OF-PERFORM
275200                                 TO TRUE
275300         END-IF
275400     END-PERFORM.
275500     MOVE MMQ1-E-MC-MAX (X-MMQ1-EUROPAY)
275600                                 TO MB21WS-2V0.
275700     PERFORM MB21PD-INSERT-A-COLUMN
275800                                 THRU MB21PD-IAC-EXIT.
275900*
276000     SET X-MMQ1-EMC              TO 1.
276100*
276200*
276300 B120-LOOP.
276400*
276500*
276600     MOVE 'E-MC-CAT-MER'         TO MB21WS-NAME.
276700     SET WS-NOT-END-OF-PERFORM   TO TRUE
276800     PERFORM
276900         VARYING X-WS-INDEX
277000         FROM 30 BY -1
277100         UNTIL X-WS-INDEX IS EQUAL TO 1
277200         OR WS-END-OF-PERFORM
277300         IF  MB21WS-NAME (X-WS-INDEX:1)
277400                                 IS NOT EQUAL TO SPACES
277500             ADD 1               TO X-WS-INDEX
277600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
277700             ADD 1               TO X-WS-INDEX
277800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
277900             MOVE X-WS-EURO-INDEX
278000                                 TO MB21WS-NAME (X-WS-INDEX:2)
278100             ADD 2               TO X-WS-INDEX
278200             SET X-WS-EMC-INDEX  TO X-MMQ1-EMC
278300             MOVE X-WS-EMC-INDEX
278400                                 TO MB21WS-NAME (X-WS-INDEX:2)
278500             ADD 2               TO X-WS-INDEX
278600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
278700             SET WS-END-OF-PERFORM
278800                                 TO TRUE
278900         END-IF
279000     END-PERFORM.
279100     MOVE MMQ1-E-MC-CAT-MER (X-MMQ1-EUROPAY X-MMQ1-EMC)
279200                                 TO MB21WS-9V0Z.
279300     PERFORM MB21PD-INSERT-A-COLUMN
279400                                 THRU MB21PD-IAC-EXIT.
279500*
279600     MOVE 'E-MC-CAT-LOC'         TO MB21WS-NAME.
279700     SET WS-NOT-END-OF-PERFORM   TO TRUE
279800     PERFORM
279900         VARYING X-WS-INDEX
280000         FROM 30 BY -1
280100         UNTIL X-WS-INDEX IS EQUAL TO 1
280200         OR WS-END-OF-PERFORM
280300         IF  MB21WS-NAME (X-WS-INDEX:1)
280400                                 IS NOT EQUAL TO SPACES
280500             ADD 1               TO X-WS-INDEX
280600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
280700             ADD 1               TO X-WS-INDEX
280800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
280900             MOVE X-WS-EURO-INDEX
281000                                 TO MB21WS-NAME (X-WS-INDEX:2)
281100             ADD 2               TO X-WS-INDEX
281200             SET X-WS-EMC-INDEX  TO X-MMQ1-EMC
281300             MOVE X-WS-EMC-INDEX
281400                                 TO MB21WS-NAME (X-WS-INDEX:2)
281500             ADD 2               TO X-WS-INDEX
281600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
281700             SET WS-END-OF-PERFORM
281800                                 TO TRUE
281900         END-IF
282000     END-PERFORM.
282100     MOVE MMQ1-E-MC-CAT-LOC (X-MMQ1-EUROPAY X-MMQ1-EMC)
282200                                 TO MB21WS-9V0Z.
282300     PERFORM MB21PD-INSERT-A-COLUMN
282400                                 THRU MB21PD-IAC-EXIT.
282500*
282600     MOVE 'E-MC-CAT-NBR'         TO MB21WS-NAME.
282700     SET WS-NOT-END-OF-PERFORM   TO TRUE
282800     PERFORM
282900         VARYING X-WS-INDEX
283000         FROM 30 BY -1
283100         UNTIL X-WS-INDEX IS EQUAL TO 1
283200         OR WS-END-OF-PERFORM
283300         IF  MB21WS-NAME (X-WS-INDEX:1)
283400                                 IS NOT EQUAL TO SPACES
283500             ADD 1               TO X-WS-INDEX
283600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
283700             ADD 1               TO X-WS-INDEX
283800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
283900             MOVE X-WS-EURO-INDEX
284000                                 TO MB21WS-NAME (X-WS-INDEX:2)
284100             ADD 2               TO X-WS-INDEX
284200             SET X-WS-EMC-INDEX  TO X-MMQ1-EMC
284300             MOVE X-WS-EMC-INDEX
284400                                 TO MB21WS-NAME (X-WS-INDEX:2)
284500             ADD 2               TO X-WS-INDEX
284600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
284700             SET WS-END-OF-PERFORM
284800                                 TO TRUE
284900         END-IF
285000     END-PERFORM.
285100     MOVE MMQ1-E-MC-CAT-NBR (X-MMQ1-EUROPAY X-MMQ1-EMC)
285200                                 TO MB21WS-9V0Z.
285300     PERFORM MB21PD-INSERT-A-COLUMN
285400                                 THRU MB21PD-IAC-EXIT.
285500*
285600     MOVE 'E-MC-CAT-AMT'         TO MB21WS-NAME.
285700     SET WS-NOT-END-OF-PERFORM   TO TRUE
285800     PERFORM
285900         VARYING X-WS-INDEX
286000         FROM 30 BY -1
286100         UNTIL X-WS-INDEX IS EQUAL TO 1
286200         OR WS-END-OF-PERFORM
286300         IF  MB21WS-NAME (X-WS-INDEX:1)
286400                                 IS NOT EQUAL TO SPACES
286500             ADD 1               TO X-WS-INDEX
286600             MOVE '('            TO MB21WS-NAME (X-WS-INDEX:1)
286700             ADD 1               TO X-WS-INDEX
286800             SET X-WS-EURO-INDEX TO X-MMQ1-EUROPAY
286900             MOVE X-WS-EURO-INDEX
287000                                 TO MB21WS-NAME (X-WS-INDEX:2)
287100             ADD 2               TO X-WS-INDEX
287200             SET X-WS-EMC-INDEX  TO X-MMQ1-EMC
287300             MOVE X-WS-EMC-INDEX
287400                                 TO MB21WS-NAME (X-WS-INDEX:2)
287500             ADD 2               TO X-WS-INDEX
287600             MOVE ')'            TO MB21WS-NAME (X-WS-INDEX:1)
287700             SET WS-END-OF-PERFORM
287800                                 TO TRUE
287900         END-IF
288000     END-PERFORM.
288100     MOVE MMQ1-E-MC-CAT-AMT (X-MMQ1-EUROPAY X-MMQ1-EMC)
288200                                 TO MB21WS-15V2.
288300*
288400     IF  X-MMQ1-EMC IS EQUAL TO 40
288500         PERFORM MB21PD-INSERT-A-COLUMN
288600                                 THRU MB21PD-IAC-EXIT 2 TIMES
288700     ELSE
288800         PERFORM MB21PD-INSERT-A-COLUMN
288900                                 THRU MB21PD-IAC-EXIT.
289000*
289100     IF  X-MMQ1-EMC IS LESS THAN 40
289200         SET X-MMQ1-EMC UP BY 1
289300         GO TO B120-LOOP.
289400*
289500*
289600*
289700     IF  X-MMQ1-EUROPAY IS LESS THAN 4
289800         SET X-MMQ1-EUROPAY UP BY 1
289900         GO TO B100-LOOP.
290000*
290100     SET X-MMQ1-VI               TO 1.
290200*
290300 B200-LOOP.
290400*
290500*
290600     MOVE '**** VISA/EUROPEAN QUARTERLY TOTALS ****'
290700                                 TO MB21WS-PRINT-WORK-AREA.
290800     PERFORM MB21PD-INSERT-A-COLUMN
290900                                 THRU MB21PD-IAC-EXIT.
291000*
291100     MOVE 'VI-QTR-BEG-DATE(1)'   TO MB21WS-NAME.
291200     MOVE MMQ1-VI-QTR-BEG-DATE (1)
291300                                 TO SS01WS-JULIAN.
291400     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
291500     MOVE MMQ1-VI-QTR-BEG-DATE (1)
291600                                 TO MB21WS-JULIAN.
291700     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
291800     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
291900     PERFORM MB21PD-INSERT-A-COLUMN
292000                                 THRU MB21PD-IAC-EXIT.
292100*
292200     MOVE 'VI-QTR-END-DATE(1)'   TO MB21WS-NAME.
292300     MOVE MMQ1-VI-QTR-END-DATE (1)
292400                                 TO SS01WS-JULIAN.
292500     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
292600     MOVE MMQ1-VI-QTR-END-DATE (1)
292700                                 TO MB21WS-JULIAN.
292800     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
292900     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
293000     PERFORM MB21PD-INSERT-A-COLUMN
293100                                 THRU MB21PD-IAC-EXIT.
293200*
293300     MOVE     'VI-NBR-MERCHANTS(1)'
293400                                 TO MB21WS-NAME.
293500     MOVE MMQ1-VI-NBR-MERCHANTS(1)
293600                                 TO MB21WS-9V0Z.
293700     PERFORM MB21PD-INSERT-A-COLUMN
293800                                 THRU MB21PD-IAC-EXIT.
293900*
294000     MOVE     'VI-NBR-ELECTRON-MERCH(1)'
294100                                 TO MB21WS-NAME.
294200     MOVE MMQ1-VI-NBR-ELECTRON-MERCH(1)
294300                                 TO MB21WS-9V0Z.
294400     PERFORM MB21PD-INSERT-A-COLUMN
294500                                 THRU MB21PD-IAC-EXIT.
294600*
294700     MOVE     'VI-NBR-STORES(1)'
294800                                 TO MB21WS-NAME.
294900     MOVE MMQ1-VI-NBR-STORES(1)
295000                                 TO MB21WS-9V0Z.
295100     PERFORM MB21PD-INSERT-A-COLUMN
295200                                 THRU MB21PD-IAC-EXIT.
295300*
295400     MOVE     'VI-NBR-ELECTRON-STORES(1)'
295500                                 TO MB21WS-NAME.
295600     MOVE MMQ1-VI-NBR-ELECTRON-STORES(1)
295700                                 TO MB21WS-9V0Z.
295800     PERFORM MB21PD-INSERT-A-COLUMN
295900                                 THRU MB21PD-IAC-EXIT.
296000*
296100     MOVE     'VI-NBR-EURO-STORES(1)'
296200                                 TO MB21WS-NAME.
296300     MOVE MMQ1-VI-NBR-EURO-STORES(1)
296400                                 TO MB21WS-9V0Z.
296500     PERFORM MB21PD-INSERT-A-COLUMN
296600                                 THRU MB21PD-IAC-EXIT.
296700*
296800     MOVE     'VI-NBR-ELEC-CARD-STORES(1)'
296900                                 TO MB21WS-NAME.
297000     MOVE MMQ1-VI-NBR-ELEC-CARD-STORES(1)
297100                                 TO MB21WS-9V0Z.
297200     PERFORM MB21PD-INSERT-A-COLUMN
297300                                 THRU MB21PD-IAC-EXIT.
297400*
297500     MOVE     'VI-NBR-CASH-BRANCHES(1)'
297600                                 TO MB21WS-NAME.
297700     MOVE MMQ1-VI-NBR-CASH-BRANCHES(1)
297800                                 TO MB21WS-9V0Z.
297900     PERFORM MB21PD-INSERT-A-COLUMN
298000                                 THRU MB21PD-IAC-EXIT.
298100*
298200     MOVE     'VI-NBR-ATM-LOCATIONS(1)'
298300                                 TO MB21WS-NAME.
298400     MOVE MMQ1-VI-NBR-ATM-LOCATIONS(1)
298500                                 TO MB21WS-9V0Z.
298600     PERFORM MB21PD-INSERT-A-COLUMN
298700                                 THRU MB21PD-IAC-EXIT.
298800*
298900     MOVE     'VI-NBR-ATM-MACHINES(1)'
299000                                 TO MB21WS-NAME.
299100     MOVE MMQ1-VI-NBR-ATM-MACHINES(1)
299200                                 TO MB21WS-9V0Z.
299300     PERFORM MB21PD-INSERT-A-COLUMN
299400                                 THRU MB21PD-IAC-EXIT.
299500*
299600     MOVE     'VI-NBR-ATMS-VISA(1)'
299700                                 TO MB21WS-NAME.
299800     MOVE MMQ1-VI-NBR-ATMS-VISA(1)
299900                                 TO MB21WS-9V0Z.
300000     PERFORM MB21PD-INSERT-A-COLUMN
300100                                 THRU MB21PD-IAC-EXIT.
300200*
300300     MOVE     'VI-NBR-ATMS-VISA-PLUS(1)'
300400                                 TO MB21WS-NAME.
300500     MOVE MMQ1-VI-NBR-ATMS-VISA-PLUS(1)
300600                                 TO MB21WS-9V0Z.
300700     PERFORM MB21PD-INSERT-A-COLUMN
300800                                 THRU MB21PD-IAC-EXIT.
300900*
301000     MOVE     'VI-NBR-ATMS-PLUS-NBR(1)'
301100                                 TO MB21WS-NAME.
301200     MOVE MMQ1-VI-NBR-ATMS-PLUS-NBR(1)
301300                                 TO MB21WS-9V0Z.
301400     PERFORM MB21PD-INSERT-A-COLUMN
301500                                 THRU MB21PD-IAC-EXIT.
301600*
301700     MOVE     'VI-NBR-ATMS-PLUS-AMT(1)'
301800                                 TO MB21WS-NAME.
301900     MOVE MMQ1-VI-NBR-ATMS-PLUS-AMT(1)
302000                                 TO MB21WS-15V2.
302100     PERFORM MB21PD-INSERT-A-COLUMN
302200                                 THRU MB21PD-IAC-EXIT.
302300*
302400     MOVE     'VI-IS-NBR(1 1)'   TO MB21WS-NAME.
302500     MOVE MMQ1-VI-IS-NBR(1 1)    TO MB21WS-9V0Z.
302600     PERFORM MB21PD-INSERT-A-COLUMN
302700                                 THRU MB21PD-IAC-EXIT.
302800*
302900     MOVE     'VI-IS-AMT(1 1)'   TO MB21WS-NAME.
303000     MOVE MMQ1-VI-IS-AMT(1 1)    TO MB21WS-15V2.
303100     PERFORM MB21PD-INSERT-A-COLUMN
303200                                 THRU MB21PD-IAC-EXIT.
303300*
303400     MOVE     'VI-IS-NBR(1 2)'   TO MB21WS-NAME.
303500     MOVE MMQ1-VI-IS-NBR(1 2)    TO MB21WS-9V0Z.
303600     PERFORM MB21PD-INSERT-A-COLUMN
303700                                 THRU MB21PD-IAC-EXIT.
303800*
303900     MOVE     'VI-IS-AMT(1 2)'   TO MB21WS-NAME.
304000     MOVE MMQ1-VI-IS-AMT(1 2)    TO MB21WS-15V2.
304100     PERFORM MB21PD-INSERT-A-COLUMN
304200                                 THRU MB21PD-IAC-EXIT.
304300*
304400     MOVE     'VI-IS-NBR(1 3)'   TO MB21WS-NAME.
304500     MOVE MMQ1-VI-IS-NBR(1 3)    TO MB21WS-9V0Z.
304600     PERFORM MB21PD-INSERT-A-COLUMN
304700                                 THRU MB21PD-IAC-EXIT.
304800*
304900     MOVE     'VI-IS-AMT(1 3)'   TO MB21WS-NAME.
305000     MOVE MMQ1-VI-IS-AMT(1 3)    TO MB21WS-15V2.
305100     PERFORM MB21PD-INSERT-A-COLUMN
305200                                 THRU MB21PD-IAC-EXIT.
305300*
305400     MOVE     'VI-IS-NBR(1 4)'   TO MB21WS-NAME.
305500     MOVE MMQ1-VI-IS-NBR(1 4)    TO MB21WS-9V0Z.
305600     PERFORM MB21PD-INSERT-A-COLUMN
305700                                 THRU MB21PD-IAC-EXIT.
305800*
305900     MOVE     'VI-IS-AMT(1 4)'   TO MB21WS-NAME.
306000     MOVE MMQ1-VI-IS-AMT(1 4)    TO MB21WS-15V2.
306100     PERFORM MB21PD-INSERT-A-COLUMN
306200                                 THRU MB21PD-IAC-EXIT.
306300*
306400     MOVE     'VI-IS-NBR(1 5)'   TO MB21WS-NAME.
306500     MOVE MMQ1-VI-IS-NBR(1 5)    TO MB21WS-9V0Z.
306600     PERFORM MB21PD-INSERT-A-COLUMN
306700                                 THRU MB21PD-IAC-EXIT.
306800*
306900     MOVE     'VI-IS-AMT(1 5)'   TO MB21WS-NAME.
307000     MOVE MMQ1-VI-IS-AMT(1 5)    TO MB21WS-15V2.
307100     PERFORM MB21PD-INSERT-A-COLUMN
307200                                 THRU MB21PD-IAC-EXIT.
307300*
307400     MOVE     'VI-IS-NBR(1 6)'   TO MB21WS-NAME.
307500     MOVE MMQ1-VI-IS-NBR(1 6)    TO MB21WS-9V0Z.
307600     PERFORM MB21PD-INSERT-A-COLUMN
307700                                 THRU MB21PD-IAC-EXIT.
307800*
307900     MOVE     'VI-IS-AMT(1 6)'   TO MB21WS-NAME.
308000     MOVE MMQ1-VI-IS-AMT(1 6)    TO MB21WS-15V2.
308100     PERFORM MB21PD-INSERT-A-COLUMN
308200                                 THRU MB21PD-IAC-EXIT.
308300*
308400     MOVE     'VI-IS-NBR(1 7)'   TO MB21WS-NAME.
308500     MOVE MMQ1-VI-IS-NBR(1 7)    TO MB21WS-9V0Z.
308600     PERFORM MB21PD-INSERT-A-COLUMN
308700                                 THRU MB21PD-IAC-EXIT.
308800*
308900     MOVE     'VI-IS-AMT(1 7)'   TO MB21WS-NAME.
309000     MOVE MMQ1-VI-IS-AMT(1 7)    TO MB21WS-15V2.
309100     PERFORM MB21PD-INSERT-A-COLUMN
309200                                 THRU MB21PD-IAC-EXIT.
309300*
309400     MOVE     'VI-IS-NBR(1 8)'   TO MB21WS-NAME.
309500     MOVE MMQ1-VI-IS-NBR(1 8)    TO MB21WS-9V0Z.
309600     PERFORM MB21PD-INSERT-A-COLUMN
309700                                 THRU MB21PD-IAC-EXIT.
309800*
309900     MOVE     'VI-IS-AMT(1 8)'   TO MB21WS-NAME.
310000     MOVE MMQ1-VI-IS-AMT(1 8)    TO MB21WS-15V2.
310100     PERFORM MB21PD-INSERT-A-COLUMN
310200                                 THRU MB21PD-IAC-EXIT.
310300*
310400     MOVE     'VI-IS-NBR(1 9)'   TO MB21WS-NAME.
310500     MOVE MMQ1-VI-IS-NBR(1 9)    TO MB21WS-9V0Z.
310600     PERFORM MB21PD-INSERT-A-COLUMN
310700                                 THRU MB21PD-IAC-EXIT.
310800*
310900     MOVE     'VI-IS-AMT(1 9)'   TO MB21WS-NAME.
311000     MOVE MMQ1-VI-IS-AMT(1 9)    TO MB21WS-15V2.
311100     PERFORM MB21PD-INSERT-A-COLUMN
311200                                 THRU MB21PD-IAC-EXIT.
311300*
311400     MOVE     'VI-IS-NBR(1 10)'  TO MB21WS-NAME.
311500     MOVE MMQ1-VI-IS-NBR(1 10)   TO MB21WS-9V0Z.
311600     PERFORM MB21PD-INSERT-A-COLUMN
311700                                 THRU MB21PD-IAC-EXIT.
311800*
311900     MOVE     'VI-IS-AMT(1 10)'  TO MB21WS-NAME.
312000     MOVE MMQ1-VI-IS-AMT(1 10)   TO MB21WS-15V2.
312100     PERFORM MB21PD-INSERT-A-COLUMN
312200                                 THRU MB21PD-IAC-EXIT.
312300*
312400     MOVE     'VI-IS-NBR(1 11)'  TO MB21WS-NAME.
312500     MOVE MMQ1-VI-IS-NBR(1 11)   TO MB21WS-9V0Z.
312600     PERFORM MB21PD-INSERT-A-COLUMN
312700                                 THRU MB21PD-IAC-EXIT.
312800*
312900     MOVE     'VI-IS-AMT(1 11)'  TO MB21WS-NAME.
313000     MOVE MMQ1-VI-IS-AMT(1 11)   TO MB21WS-15V2.
313100     PERFORM MB21PD-INSERT-A-COLUMN
313200                                 THRU MB21PD-IAC-EXIT.
313300*
313400     MOVE     'VI-IS-NBR(1 12)'  TO MB21WS-NAME.
313500     MOVE MMQ1-VI-IS-NBR(1 12)   TO MB21WS-9V0Z.
313600     PERFORM MB21PD-INSERT-A-COLUMN
313700                                 THRU MB21PD-IAC-EXIT.
313800*
313900     MOVE     'VI-IS-AMT(1 12)'  TO MB21WS-NAME.
314000     MOVE MMQ1-VI-IS-AMT(1 12)   TO MB21WS-15V2.
314100     PERFORM MB21PD-INSERT-A-COLUMN
314200                                 THRU MB21PD-IAC-EXIT.
314300*
314400     MOVE     'VI-IS-NBR(1 13)'  TO MB21WS-NAME.
314500     MOVE MMQ1-VI-IS-NBR(1 13)   TO MB21WS-9V0Z.
314600     PERFORM MB21PD-INSERT-A-COLUMN
314700                                 THRU MB21PD-IAC-EXIT.
314800*
314900     MOVE     'VI-IS-AMT(1 13)'  TO MB21WS-NAME.
315000     MOVE MMQ1-VI-IS-AMT(1 13)   TO MB21WS-15V2.
315100     PERFORM MB21PD-INSERT-A-COLUMN
315200                                 THRU MB21PD-IAC-EXIT.
315300*
315400     MOVE     'VI-IS-NBR(1 14)'  TO MB21WS-NAME.
315500     MOVE MMQ1-VI-IS-NBR(1 14)   TO MB21WS-9V0Z.
315600     PERFORM MB21PD-INSERT-A-COLUMN
315700                                 THRU MB21PD-IAC-EXIT.
315800*
315900     MOVE     'VI-IS-AMT(1 14)'  TO MB21WS-NAME.
316000     MOVE MMQ1-VI-IS-AMT(1 14)   TO MB21WS-15V2.
316100     PERFORM MB21PD-INSERT-A-COLUMN
316200                                 THRU MB21PD-IAC-EXIT.
316300*
316400     MOVE     'VI-IS-NBR(1 15)'  TO MB21WS-NAME.
316500     MOVE MMQ1-VI-IS-NBR(1 15)   TO MB21WS-9V0Z.
316600     PERFORM MB21PD-INSERT-A-COLUMN
316700                                 THRU MB21PD-IAC-EXIT.
316800*
316900     MOVE     'VI-IS-AMT(1 15)'  TO MB21WS-NAME.
317000     MOVE MMQ1-VI-IS-AMT(1 15)   TO MB21WS-15V2.
317100     PERFORM MB21PD-INSERT-A-COLUMN
317200                                 THRU MB21PD-IAC-EXIT.
317300*
317400     MOVE     'VI-IS-NBR(1 16)'  TO MB21WS-NAME.
317500     MOVE MMQ1-VI-IS-NBR(1 16)   TO MB21WS-9V0Z.
317600     PERFORM MB21PD-INSERT-A-COLUMN
317700                                 THRU MB21PD-IAC-EXIT.
317800*
317900     MOVE     'VI-IS-AMT(1 16)'  TO MB21WS-NAME.
318000     MOVE MMQ1-VI-IS-AMT(1 16)   TO MB21WS-15V2.
318100     PERFORM MB21PD-INSERT-A-COLUMN
318200                                 THRU MB21PD-IAC-EXIT.
318300*
318400     MOVE     'VI-IS-NBR(1 17)'  TO MB21WS-NAME.
318500     MOVE MMQ1-VI-IS-NBR(1 17)   TO MB21WS-9V0Z.
318600     PERFORM MB21PD-INSERT-A-COLUMN
318700                                 THRU MB21PD-IAC-EXIT.
318800*
318900     MOVE     'VI-IS-AMT(1 17)'   TO MB21WS-NAME.
319000     MOVE MMQ1-VI-IS-AMT(1 17)    TO MB21WS-15V2.
319100     PERFORM MB21PD-INSERT-A-COLUMN
319200                                 THRU MB21PD-IAC-EXIT.
319300*
319400     MOVE     'VI-IS-NBR(1 18)'  TO MB21WS-NAME.
319500     MOVE MMQ1-VI-IS-NBR(1 18)   TO MB21WS-9V0Z.
319600     PERFORM MB21PD-INSERT-A-COLUMN
319700                                 THRU MB21PD-IAC-EXIT.
319800*
319900     MOVE     'VI-IS-AMT(1 18)'  TO MB21WS-NAME.
320000     MOVE MMQ1-VI-IS-AMT(1 18)   TO MB21WS-15V2.
320100     PERFORM MB21PD-INSERT-A-COLUMN
320200                                 THRU MB21PD-IAC-EXIT.
320300*
320400     MOVE     'VI-IS-NBR(1 19)'  TO MB21WS-NAME.
320500     MOVE MMQ1-VI-IS-NBR(1 19)   TO MB21WS-9V0Z.
320600     PERFORM MB21PD-INSERT-A-COLUMN
320700                                 THRU MB21PD-IAC-EXIT.
320800*
320900     MOVE     'VI-IS-AMT(1 19)'  TO MB21WS-NAME.
321000     MOVE MMQ1-VI-IS-AMT(1 19)   TO MB21WS-15V2.
321100     PERFORM MB21PD-INSERT-A-COLUMN
321200                                 THRU MB21PD-IAC-EXIT.
321300*
321400     MOVE     'VI-IS-NBR(1 20)'  TO MB21WS-NAME.
321500     MOVE MMQ1-VI-IS-NBR(1 20)   TO MB21WS-9V0Z.
321600     PERFORM MB21PD-INSERT-A-COLUMN
321700                                 THRU MB21PD-IAC-EXIT.
321800*
321900     MOVE     'VI-IS-AMT(1 20)'  TO MB21WS-NAME.
322000     MOVE MMQ1-VI-IS-AMT(1 20)   TO MB21WS-15V2.
322100     PERFORM MB21PD-INSERT-A-COLUMN
322200                                 THRU MB21PD-IAC-EXIT.
322300*
322400     MOVE     'VI-IS-NBR(1 21)'  TO MB21WS-NAME.
322500     MOVE MMQ1-VI-IS-NBR(1 21)   TO MB21WS-9V0Z.
322600     PERFORM MB21PD-INSERT-A-COLUMN
322700                                 THRU MB21PD-IAC-EXIT.
322800*
322900     MOVE     'VI-IS-AMT(1 21)'  TO MB21WS-NAME.
323000     MOVE MMQ1-VI-IS-AMT(1 21)   TO MB21WS-15V2.
323100     PERFORM MB21PD-INSERT-A-COLUMN
323200                                 THRU MB21PD-IAC-EXIT.
323300*
323400     MOVE     'VI-IS-NBR(1 22)'  TO MB21WS-NAME.
323500     MOVE MMQ1-VI-IS-NBR(1 22)   TO MB21WS-9V0Z.
323600     PERFORM MB21PD-INSERT-A-COLUMN
323700                                 THRU MB21PD-IAC-EXIT.
323800*
323900     MOVE     'VI-IS-AMT(1 22)'  TO MB21WS-NAME.
324000     MOVE MMQ1-VI-IS-AMT(1 22)   TO MB21WS-15V2.
324100     PERFORM MB21PD-INSERT-A-COLUMN
324200                                 THRU MB21PD-IAC-EXIT.
324300*
324400     MOVE     'VI-IS-NBR(1 23)'  TO MB21WS-NAME.
324500     MOVE MMQ1-VI-IS-NBR(1 23)   TO MB21WS-9V0Z.
324600     PERFORM MB21PD-INSERT-A-COLUMN
324700                                 THRU MB21PD-IAC-EXIT.
324800*
324900     MOVE     'VI-IS-AMT(1 23)'  TO MB21WS-NAME.
325000     MOVE MMQ1-VI-IS-AMT(1 23)   TO MB21WS-15V2.
325100     PERFORM MB21PD-INSERT-A-COLUMN
325200                                 THRU MB21PD-IAC-EXIT.
325300*
325400     MOVE     'VI-IS-NBR(1 24)'  TO MB21WS-NAME.
325500     MOVE MMQ1-VI-IS-NBR(1 24)   TO MB21WS-9V0Z.
325600     PERFORM MB21PD-INSERT-A-COLUMN
325700                                 THRU MB21PD-IAC-EXIT.
325800*
325900     MOVE     'VI-IS-AMT(1 24)'  TO MB21WS-NAME.
326000     MOVE MMQ1-VI-IS-AMT(1 24)   TO MB21WS-15V2.
326100     PERFORM MB21PD-INSERT-A-COLUMN
326200                                 THRU MB21PD-IAC-EXIT.
326300*
326400     MOVE     'VI-IS-NBR(1 25)'  TO MB21WS-NAME.
326500     MOVE MMQ1-VI-IS-NBR(1 25)   TO MB21WS-9V0Z.
326600     PERFORM MB21PD-INSERT-A-COLUMN
326700                                 THRU MB21PD-IAC-EXIT.
326800*
326900     MOVE     'VI-IS-AMT(1 25)'  TO MB21WS-NAME.
327000     MOVE MMQ1-VI-IS-AMT(1 25)   TO MB21WS-15V2.
327100     PERFORM MB21PD-INSERT-A-COLUMN
327200                                 THRU MB21PD-IAC-EXIT.
327300*
327400     MOVE     'VI-IS-NBR(1 26)'  TO MB21WS-NAME.
327500     MOVE MMQ1-VI-IS-NBR(1 26)   TO MB21WS-9V0Z.
327600     PERFORM MB21PD-INSERT-A-COLUMN
327700                                 THRU MB21PD-IAC-EXIT.
327800*
327900     MOVE     'VI-IS-AMT(1 26)'  TO MB21WS-NAME.
328000     MOVE MMQ1-VI-IS-AMT(1 26)   TO MB21WS-15V2.
328100     PERFORM MB21PD-INSERT-A-COLUMN
328200                                 THRU MB21PD-IAC-EXIT.
328300*
328400     MOVE     'VI-MONTH(1 1)'    TO MB21WS-NAME.
328500     MOVE MMQ1-VI-MONTH(1 1)     TO MB21WS-2V0.
328600     PERFORM MB21PD-INSERT-A-COLUMN
328700                                 THRU MB21PD-IAC-EXIT.
328800*
328900     MOVE     'VI-YEAR(1 1)'     TO MB21WS-NAME.
329000     MOVE MMQ1-VI-YEAR(1 1)      TO MB21WS-4V0.
329100     PERFORM MB21PD-INSERT-A-COLUMN
329200                                 THRU MB21PD-IAC-EXIT.
329300*
329400     MOVE     'VI-VISA-NBR(1 1)'
329500                                 TO MB21WS-NAME.
329600     MOVE MMQ1-VI-VISA-NBR(1 1)
329700                                 TO MB21WS-9V0Z.
329800     PERFORM MB21PD-INSERT-A-COLUMN
329900                                 THRU MB21PD-IAC-EXIT.
330000*
330100     MOVE     'VI-VISA-AMT(1 1)'
330200                                 TO MB21WS-NAME.
330300     MOVE MMQ1-VI-VISA-AMT(1 1)
330400                                 TO MB21WS-15V2.
330500     PERFORM MB21PD-INSERT-A-COLUMN
330600                                 THRU MB21PD-IAC-EXIT.
330700*
330800     MOVE     'VI-ELECTRON-NBR(1 1)'
330900                                 TO MB21WS-NAME.
331000     MOVE MMQ1-VI-ELECTRON-NBR(1 1)
331100                                 TO MB21WS-9V0Z.
331200     PERFORM MB21PD-INSERT-A-COLUMN
331300                                 THRU MB21PD-IAC-EXIT.
331400*
331500     MOVE     'VI-ELECTRON-AMT(1 1)'
331600                                 TO MB21WS-NAME.
331700     MOVE MMQ1-VI-ELECTRON-AMT(1 1)
331800                                 TO MB21WS-15V2.
331900     PERFORM MB21PD-INSERT-A-COLUMN
332000                                 THRU MB21PD-IAC-EXIT.
332100*
332200     MOVE     'VI-CASH-ADV-NBR(1 1)'
332300                                 TO MB21WS-NAME.
332400     MOVE MMQ1-VI-CASH-ADV-NBR(1 1)
332500                                 TO MB21WS-9V0Z.
332600     PERFORM MB21PD-INSERT-A-COLUMN
332700                                 THRU MB21PD-IAC-EXIT.
332800*
332900     MOVE     'VI-CASH-ADV-AMT(1 1)'
333000                                 TO MB21WS-NAME.
333100     MOVE MMQ1-VI-CASH-ADV-AMT(1 1)
333200                                 TO MB21WS-15V2.
333300     PERFORM MB21PD-INSERT-A-COLUMN
333400                                 THRU MB21PD-IAC-EXIT.
333500*
333600     MOVE     'VI-ATM-NBR(1 1)'
333700                                 TO MB21WS-NAME.
333800     MOVE MMQ1-VI-ATM-NBR(1 1)
333900                                 TO MB21WS-9V0Z.
334000     PERFORM MB21PD-INSERT-A-COLUMN
334100                                 THRU MB21PD-IAC-EXIT.
334200*
334300     MOVE     'VI-ATM-AMT(1 1)'
334400                                 TO MB21WS-NAME.
334500     MOVE MMQ1-VI-ATM-AMT(1 1)
334600                                 TO MB21WS-15V2.
334700     PERFORM MB21PD-INSERT-A-COLUMN
334800                                 THRU MB21PD-IAC-EXIT.
334900*
335000     MOVE     'VI-REFUND-NBR(1 1)'
335100                                 TO MB21WS-NAME.
335200     MOVE MMQ1-VI-REFUND-NBR(1 1)
335300                                 TO MB21WS-9V0Z.
335400     PERFORM MB21PD-INSERT-A-COLUMN
335500                                 THRU MB21PD-IAC-EXIT.
335600*
335700     MOVE     'VI-REFUND-AMT(1 1)'
335800                                 TO MB21WS-NAME.
335900     MOVE MMQ1-VI-REFUND-AMT(1 1)
336000                                 TO MB21WS-15V2.
336100     PERFORM MB21PD-INSERT-A-COLUMN
336200                                 THRU MB21PD-IAC-EXIT.
336300*
336400     MOVE     'VI-MONTH(1 2)'    TO MB21WS-NAME.
336500     MOVE MMQ1-VI-MONTH(1 2)     TO MB21WS-2V0.
336600     PERFORM MB21PD-INSERT-A-COLUMN
336700                                 THRU MB21PD-IAC-EXIT.
336800*
336900     MOVE     'VI-YEAR(1 2)'     TO MB21WS-NAME.
337000     MOVE MMQ1-VI-YEAR(1 2)      TO MB21WS-4V0.
337100     PERFORM MB21PD-INSERT-A-COLUMN
337200                                 THRU MB21PD-IAC-EXIT.
337300*
337400     MOVE     'VI-VISA-NBR(1 2)'
337500                                 TO MB21WS-NAME.
337600     MOVE MMQ1-VI-VISA-NBR(1 2)
337700                                 TO MB21WS-9V0Z.
337800     PERFORM MB21PD-INSERT-A-COLUMN
337900                                 THRU MB21PD-IAC-EXIT.
338000*
338100     MOVE     'VI-VISA-AMT(1 2)'
338200                                 TO MB21WS-NAME.
338300     MOVE MMQ1-VI-VISA-AMT(1 2)
338400                                 TO MB21WS-15V2.
338500     PERFORM MB21PD-INSERT-A-COLUMN
338600                                 THRU MB21PD-IAC-EXIT.
338700*
338800     MOVE     'VI-ELECTRON-NBR(1 2)'
338900                                 TO MB21WS-NAME.
339000     MOVE MMQ1-VI-ELECTRON-NBR(1 2)
339100                                 TO MB21WS-9V0Z.
339200     PERFORM MB21PD-INSERT-A-COLUMN
339300                                 THRU MB21PD-IAC-EXIT.
339400*
339500     MOVE     'VI-ELECTRON-AMT(1 2)'
339600                                 TO MB21WS-NAME.
339700     MOVE MMQ1-VI-ELECTRON-AMT(1 2)
339800                                 TO MB21WS-15V2.
339900     PERFORM MB21PD-INSERT-A-COLUMN
340000                                 THRU MB21PD-IAC-EXIT.
340100*
340200     MOVE     'VI-CASH-ADV-NBR(1 2)'
340300                                 TO MB21WS-NAME.
340400     MOVE MMQ1-VI-CASH-ADV-NBR(1 2)
340500                                 TO MB21WS-9V0Z.
340600     PERFORM MB21PD-INSERT-A-COLUMN
340700                                 THRU MB21PD-IAC-EXIT.
340800*
340900     MOVE     'VI-CASH-ADV-AMT(1 2)'
341000                                 TO MB21WS-NAME.
341100     MOVE MMQ1-VI-CASH-ADV-AMT(1 2)
341200                                 TO MB21WS-15V2.
341300     PERFORM MB21PD-INSERT-A-COLUMN
341400                                 THRU MB21PD-IAC-EXIT.
341500*
341600     MOVE     'VI-ATM-NBR(1 2)'
341700                                 TO MB21WS-NAME.
341800     MOVE MMQ1-VI-ATM-NBR(1 2)
341900                                 TO MB21WS-9V0Z.
342000     PERFORM MB21PD-INSERT-A-COLUMN
342100                                 THRU MB21PD-IAC-EXIT.
342200*
342300     MOVE     'VI-ATM-AMT(1 2)'
342400                                 TO MB21WS-NAME.
342500     MOVE MMQ1-VI-ATM-AMT(1 2)
342600                                 TO MB21WS-15V2.
342700     PERFORM MB21PD-INSERT-A-COLUMN
342800                                 THRU MB21PD-IAC-EXIT.
342900*
343000     MOVE     'VI-REFUND-NBR(1 2)'
343100                                 TO MB21WS-NAME.
343200     MOVE MMQ1-VI-REFUND-NBR(1 2)
343300                                 TO MB21WS-9V0Z.
343400     PERFORM MB21PD-INSERT-A-COLUMN
343500                                 THRU MB21PD-IAC-EXIT.
343600*
343700     MOVE     'VI-REFUND-AMT(1 2)'
343800                                 TO MB21WS-NAME.
343900     MOVE MMQ1-VI-REFUND-AMT(1 2)
344000                                 TO MB21WS-15V2.
344100     PERFORM MB21PD-INSERT-A-COLUMN
344200                                 THRU MB21PD-IAC-EXIT.
344300*
344400     MOVE     'VI-MONTH(1 3)'    TO MB21WS-NAME.
344500     MOVE MMQ1-VI-MONTH(1 3)     TO MB21WS-2V0.
344600     PERFORM MB21PD-INSERT-A-COLUMN
344700                                 THRU MB21PD-IAC-EXIT.
344800*
344900     MOVE     'VI-YEAR(1 3)'     TO MB21WS-NAME.
345000     MOVE MMQ1-VI-YEAR(1 3)      TO MB21WS-4V0.
345100     PERFORM MB21PD-INSERT-A-COLUMN
345200                                 THRU MB21PD-IAC-EXIT.
345300*
345400     MOVE     'VI-VISA-NBR(1 3)'
345500                                 TO MB21WS-NAME.
345600     MOVE MMQ1-VI-VISA-NBR(1 3)
345700                                 TO MB21WS-9V0Z.
345800     PERFORM MB21PD-INSERT-A-COLUMN
345900                                 THRU MB21PD-IAC-EXIT.
346000*
346100     MOVE     'VI-VISA-AMT(1 3)'
346200                                 TO MB21WS-NAME.
346300     MOVE MMQ1-VI-VISA-AMT(1 3)
346400                                 TO MB21WS-15V2.
346500     PERFORM MB21PD-INSERT-A-COLUMN
346600                                 THRU MB21PD-IAC-EXIT.
346700*
346800     MOVE     'VI-ELECTRON-NBR(1 3)'
346900                                 TO MB21WS-NAME.
347000     MOVE MMQ1-VI-ELECTRON-NBR(1 3)
347100                                 TO MB21WS-9V0Z.
347200     PERFORM MB21PD-INSERT-A-COLUMN
347300                                 THRU MB21PD-IAC-EXIT.
347400*
347500     MOVE     'VI-ELECTRON-AMT(1 3)'
347600                                 TO MB21WS-NAME.
347700     MOVE MMQ1-VI-ELECTRON-AMT(1 3)
347800                                 TO MB21WS-15V2.
347900     PERFORM MB21PD-INSERT-A-COLUMN
348000                                 THRU MB21PD-IAC-EXIT.
348100*
348200     MOVE     'VI-CASH-ADV-NBR(1 3)'
348300                                 TO MB21WS-NAME.
348400     MOVE MMQ1-VI-CASH-ADV-NBR(1 3)
348500                                 TO MB21WS-9V0Z.
348600     PERFORM MB21PD-INSERT-A-COLUMN
348700                                 THRU MB21PD-IAC-EXIT.
348800*
348900     MOVE     'VI-CASH-ADV-AMT(1 3)'
349000                                 TO MB21WS-NAME.
349100     MOVE MMQ1-VI-CASH-ADV-AMT(1 3)
349200                                 TO MB21WS-15V2.
349300     PERFORM MB21PD-INSERT-A-COLUMN
349400                                 THRU MB21PD-IAC-EXIT.
349500*
349600     MOVE     'VI-ATM-NBR(1 3)'
349700                                 TO MB21WS-NAME.
349800     MOVE MMQ1-VI-ATM-NBR(1 3)
349900                                 TO MB21WS-9V0Z.
350000     PERFORM MB21PD-INSERT-A-COLUMN
350100                                 THRU MB21PD-IAC-EXIT.
350200*
350300     MOVE     'VI-ATM-AMT(1 3)'
350400                                 TO MB21WS-NAME.
350500     MOVE MMQ1-VI-ATM-AMT(1 3)
350600                                 TO MB21WS-15V2.
350700     PERFORM MB21PD-INSERT-A-COLUMN
350800                                 THRU MB21PD-IAC-EXIT.
350900*
351000     MOVE     'VI-REFUND-NBR(1 3)'
351100                                 TO MB21WS-NAME.
351200     MOVE MMQ1-VI-REFUND-NBR(1 3)
351300                                 TO MB21WS-9V0Z.
351400     PERFORM MB21PD-INSERT-A-COLUMN
351500                                 THRU MB21PD-IAC-EXIT.
351600*
351700     MOVE     'VI-REFUND-AMT(1 3)'
351800                                 TO MB21WS-NAME.
351900     MOVE MMQ1-VI-REFUND-AMT(1 3)
352000                                 TO MB21WS-15V2.
352100     PERFORM MB21PD-INSERT-A-COLUMN
352200                                 THRU MB21PD-IAC-EXIT.
352300*
352400     PERFORM MB21PD-INSERT-A-COLUMN
352500                                 THRU MB21PD-IAC-EXIT.
352600*
352700*
352800*
352900     MOVE 'VI-QTR-BEG-DATE(2)'   TO MB21WS-NAME.
353000     MOVE MMQ1-VI-QTR-BEG-DATE (2)
353100                                 TO SS01WS-JULIAN.
353200     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
353300     MOVE MMQ1-VI-QTR-BEG-DATE (2)
353400                                 TO MB21WS-JULIAN.
353500     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
353600     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
353700     PERFORM MB21PD-INSERT-A-COLUMN
353800                                 THRU MB21PD-IAC-EXIT.
353900*
354000     MOVE 'VI-QTR-END-DATE(2)'   TO MB21WS-NAME.
354100     MOVE MMQ1-VI-QTR-END-DATE (2)
354200                                 TO SS01WS-JULIAN.
354300     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
354400     MOVE MMQ1-VI-QTR-END-DATE (2)
354500                                 TO MB21WS-JULIAN.
354600     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
354700     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
354800     PERFORM MB21PD-INSERT-A-COLUMN
354900                                 THRU MB21PD-IAC-EXIT.
355000*
355100     MOVE     'VI-NBR-MERCHANTS(2)'
355200                                 TO MB21WS-NAME.
355300     MOVE MMQ1-VI-NBR-MERCHANTS(2)
355400                                 TO MB21WS-9V0Z.
355500     PERFORM MB21PD-INSERT-A-COLUMN
355600                                 THRU MB21PD-IAC-EXIT.
355700*
355800     MOVE     'VI-NBR-ELECTRON-MERCH(2)'
355900                                 TO MB21WS-NAME.
356000     MOVE MMQ1-VI-NBR-ELECTRON-MERCH(2)
356100                                 TO MB21WS-9V0Z.
356200     PERFORM MB21PD-INSERT-A-COLUMN
356300                                 THRU MB21PD-IAC-EXIT.
356400*
356500     MOVE     'VI-NBR-STORES(2)'
356600                                 TO MB21WS-NAME.
356700     MOVE MMQ1-VI-NBR-STORES(2)
356800                                 TO MB21WS-9V0Z.
356900     PERFORM MB21PD-INSERT-A-COLUMN
357000                                 THRU MB21PD-IAC-EXIT.
357100*
357200     MOVE     'VI-NBR-ELECTRON-STORES(2)'
357300                                 TO MB21WS-NAME.
357400     MOVE MMQ1-VI-NBR-ELECTRON-STORES(2)
357500                                 TO MB21WS-9V0Z.
357600     PERFORM MB21PD-INSERT-A-COLUMN
357700                                 THRU MB21PD-IAC-EXIT.
357800*
357900     MOVE     'VI-NBR-EURO-STORES(2)'
358000                                 TO MB21WS-NAME.
358100     MOVE MMQ1-VI-NBR-EURO-STORES(2)
358200                                 TO MB21WS-9V0Z.
358300     PERFORM MB21PD-INSERT-A-COLUMN
358400                                 THRU MB21PD-IAC-EXIT.
358500*
358600     MOVE     'VI-NBR-ELEC-CARD-STORES(2)'
358700                                 TO MB21WS-NAME.
358800     MOVE MMQ1-VI-NBR-ELEC-CARD-STORES(2)
358900                                 TO MB21WS-9V0Z.
359000     PERFORM MB21PD-INSERT-A-COLUMN
359100                                 THRU MB21PD-IAC-EXIT.
359200*
359300     MOVE     'VI-NBR-CASH-BRANCHES(2)'
359400                                 TO MB21WS-NAME.
359500     MOVE MMQ1-VI-NBR-CASH-BRANCHES(2)
359600                                 TO MB21WS-9V0Z.
359700     PERFORM MB21PD-INSERT-A-COLUMN
359800                                 THRU MB21PD-IAC-EXIT.
359900*
360000     MOVE     'VI-NBR-ATM-LOCATIONS(2)'
360100                                 TO MB21WS-NAME.
360200     MOVE MMQ1-VI-NBR-ATM-LOCATIONS(2)
360300                                 TO MB21WS-9V0Z.
360400     PERFORM MB21PD-INSERT-A-COLUMN
360500                                 THRU MB21PD-IAC-EXIT.
360600*
360700     MOVE     'VI-NBR-ATM-MACHINES(2)'
360800                                 TO MB21WS-NAME.
360900     MOVE MMQ1-VI-NBR-ATM-MACHINES(2)
361000                                 TO MB21WS-9V0Z.
361100     PERFORM MB21PD-INSERT-A-COLUMN
361200                                 THRU MB21PD-IAC-EXIT.
361300*
361400     MOVE     'VI-NBR-ATMS-VISA(2)'
361500                                 TO MB21WS-NAME.
361600     MOVE MMQ1-VI-NBR-ATMS-VISA(2)
361700                                 TO MB21WS-9V0Z.
361800     PERFORM MB21PD-INSERT-A-COLUMN
361900                                 THRU MB21PD-IAC-EXIT.
362000*
362100     MOVE     'VI-NBR-ATMS-VISA-PLUS(2)'
362200                                 TO MB21WS-NAME.
362300     MOVE MMQ1-VI-NBR-ATMS-VISA-PLUS(2)
362400                                 TO MB21WS-9V0Z.
362500     PERFORM MB21PD-INSERT-A-COLUMN
362600                                 THRU MB21PD-IAC-EXIT.
362700*
362800     MOVE     'VI-NBR-ATMS-PLUS-NBR(2)'
362900                                 TO MB21WS-NAME.
363000     MOVE MMQ1-VI-NBR-ATMS-PLUS-NBR(2)
363100                                 TO MB21WS-9V0Z.
363200     PERFORM MB21PD-INSERT-A-COLUMN
363300                                 THRU MB21PD-IAC-EXIT.
363400*
363500     MOVE     'VI-NBR-ATMS-PLUS-AMT(2)'
363600                                 TO MB21WS-NAME.
363700     MOVE MMQ1-VI-NBR-ATMS-PLUS-AMT(2)
363800                                 TO MB21WS-15V2.
363900     PERFORM MB21PD-INSERT-A-COLUMN
364000                                 THRU MB21PD-IAC-EXIT.
364100*
364200     MOVE     'VI-IS-NBR(2 1)'   TO MB21WS-NAME.
364300     MOVE MMQ1-VI-IS-NBR(2 1)    TO MB21WS-9V0Z.
364400     PERFORM MB21PD-INSERT-A-COLUMN
364500                                 THRU MB21PD-IAC-EXIT.
364600*
364700     MOVE     'VI-IS-AMT(2 1)'   TO MB21WS-NAME.
364800     MOVE MMQ1-VI-IS-AMT(2 1)    TO MB21WS-15V2.
364900     PERFORM MB21PD-INSERT-A-COLUMN
365000                                 THRU MB21PD-IAC-EXIT.
365100*
365200     MOVE     'VI-IS-NBR(2 2)'   TO MB21WS-NAME.
365300     MOVE MMQ1-VI-IS-NBR(2 2)    TO MB21WS-9V0Z.
365400     PERFORM MB21PD-INSERT-A-COLUMN
365500                                 THRU MB21PD-IAC-EXIT.
365600*
365700     MOVE     'VI-IS-AMT(2 2)'   TO MB21WS-NAME.
365800     MOVE MMQ1-VI-IS-AMT(2 2)    TO MB21WS-15V2.
365900     PERFORM MB21PD-INSERT-A-COLUMN
366000                                 THRU MB21PD-IAC-EXIT.
366100*
366200     MOVE     'VI-IS-NBR(2 3)'   TO MB21WS-NAME.
366300     MOVE MMQ1-VI-IS-NBR(2 3)    TO MB21WS-9V0Z.
366400     PERFORM MB21PD-INSERT-A-COLUMN
366500                                 THRU MB21PD-IAC-EXIT.
366600*
366700     MOVE     'VI-IS-AMT(2 3)'   TO MB21WS-NAME.
366800     MOVE MMQ1-VI-IS-AMT(2 3)    TO MB21WS-15V2.
366900     PERFORM MB21PD-INSERT-A-COLUMN
367000                                 THRU MB21PD-IAC-EXIT.
367100*
367200     MOVE     'VI-IS-NBR(2 4)'   TO MB21WS-NAME.
367300     MOVE MMQ1-VI-IS-NBR(2 4)    TO MB21WS-9V0Z.
367400     PERFORM MB21PD-INSERT-A-COLUMN
367500                                 THRU MB21PD-IAC-EXIT.
367600*
367700     MOVE     'VI-IS-AMT(2 4)'   TO MB21WS-NAME.
367800     MOVE MMQ1-VI-IS-AMT(2 4)    TO MB21WS-15V2.
367900     PERFORM MB21PD-INSERT-A-COLUMN
368000                                 THRU MB21PD-IAC-EXIT.
368100*
368200     MOVE     'VI-IS-NBR(2 5)'   TO MB21WS-NAME.
368300     MOVE MMQ1-VI-IS-NBR(2 5)    TO MB21WS-9V0Z.
368400     PERFORM MB21PD-INSERT-A-COLUMN
368500                                 THRU MB21PD-IAC-EXIT.
368600*
368700     MOVE     'VI-IS-AMT(2 5)'   TO MB21WS-NAME.
368800     MOVE MMQ1-VI-IS-AMT(2 5)    TO MB21WS-15V2.
368900     PERFORM MB21PD-INSERT-A-COLUMN
369000                                 THRU MB21PD-IAC-EXIT.
369100*
369200     MOVE     'VI-IS-NBR(2 6)'   TO MB21WS-NAME.
369300     MOVE MMQ1-VI-IS-NBR(2 6)    TO MB21WS-9V0Z.
369400     PERFORM MB21PD-INSERT-A-COLUMN
369500                                 THRU MB21PD-IAC-EXIT.
369600*
369700     MOVE     'VI-IS-AMT(2 6)'   TO MB21WS-NAME.
369800     MOVE MMQ1-VI-IS-AMT(2 6)    TO MB21WS-15V2.
369900     PERFORM MB21PD-INSERT-A-COLUMN
370000                                 THRU MB21PD-IAC-EXIT.
370100*
370200     MOVE     'VI-IS-NBR(2 7)'   TO MB21WS-NAME.
370300     MOVE MMQ1-VI-IS-NBR(2 7)    TO MB21WS-9V0Z.
370400     PERFORM MB21PD-INSERT-A-COLUMN
370500                                 THRU MB21PD-IAC-EXIT.
370600*
370700     MOVE     'VI-IS-AMT(2 7)'   TO MB21WS-NAME.
370800     MOVE MMQ1-VI-IS-AMT(2 7)    TO MB21WS-15V2.
370900     PERFORM MB21PD-INSERT-A-COLUMN
371000                                 THRU MB21PD-IAC-EXIT.
371100*
371200     MOVE     'VI-IS-NBR(2 8)'   TO MB21WS-NAME.
371300     MOVE MMQ1-VI-IS-NBR(2 8)    TO MB21WS-9V0Z.
371400     PERFORM MB21PD-INSERT-A-COLUMN
371500                                 THRU MB21PD-IAC-EXIT.
371600*
371700     MOVE     'VI-IS-AMT(2 8)'   TO MB21WS-NAME.
371800     MOVE MMQ1-VI-IS-AMT(2 8)    TO MB21WS-15V2.
371900     PERFORM MB21PD-INSERT-A-COLUMN
372000                                 THRU MB21PD-IAC-EXIT.
372100*
372200     MOVE     'VI-IS-NBR(2 9)'   TO MB21WS-NAME.
372300     MOVE MMQ1-VI-IS-NBR(2 9)    TO MB21WS-9V0Z.
372400     PERFORM MB21PD-INSERT-A-COLUMN
372500                                 THRU MB21PD-IAC-EXIT.
372600*
372700     MOVE     'VI-IS-AMT(2 9)'   TO MB21WS-NAME.
372800     MOVE MMQ1-VI-IS-AMT(2 9)    TO MB21WS-15V2.
372900     PERFORM MB21PD-INSERT-A-COLUMN
373000                                 THRU MB21PD-IAC-EXIT.
373100*
373200     MOVE     'VI-IS-NBR(2 10)'  TO MB21WS-NAME.
373300     MOVE MMQ1-VI-IS-NBR(2 10)   TO MB21WS-9V0Z.
373400     PERFORM MB21PD-INSERT-A-COLUMN
373500                                 THRU MB21PD-IAC-EXIT.
373600*
373700     MOVE     'VI-IS-AMT(2 10)'  TO MB21WS-NAME.
373800     MOVE MMQ1-VI-IS-AMT(2 10)   TO MB21WS-15V2.
373900     PERFORM MB21PD-INSERT-A-COLUMN
374000                                 THRU MB21PD-IAC-EXIT.
374100*
374200     MOVE     'VI-IS-NBR(2 11)'  TO MB21WS-NAME.
374300     MOVE MMQ1-VI-IS-NBR(2 11)   TO MB21WS-9V0Z.
374400     PERFORM MB21PD-INSERT-A-COLUMN
374500                                 THRU MB21PD-IAC-EXIT.
374600*
374700     MOVE     'VI-IS-AMT(2 11)'  TO MB21WS-NAME.
374800     MOVE MMQ1-VI-IS-AMT(2 11)   TO MB21WS-15V2.
374900     PERFORM MB21PD-INSERT-A-COLUMN
375000                                 THRU MB21PD-IAC-EXIT.
375100*
375200     MOVE     'VI-IS-NBR(2 12)'  TO MB21WS-NAME.
375300     MOVE MMQ1-VI-IS-NBR(2 12)   TO MB21WS-9V0Z.
375400     PERFORM MB21PD-INSERT-A-COLUMN
375500                                 THRU MB21PD-IAC-EXIT.
375600*
375700     MOVE     'VI-IS-AMT(2 12)'  TO MB21WS-NAME.
375800     MOVE MMQ1-VI-IS-AMT(2 12)   TO MB21WS-15V2.
375900     PERFORM MB21PD-INSERT-A-COLUMN
376000                                 THRU MB21PD-IAC-EXIT.
376100*
376200     MOVE     'VI-IS-NBR(2 13)'  TO MB21WS-NAME.
376300     MOVE MMQ1-VI-IS-NBR(2 13)   TO MB21WS-9V0Z.
376400     PERFORM MB21PD-INSERT-A-COLUMN
376500                                 THRU MB21PD-IAC-EXIT.
376600*
376700     MOVE     'VI-IS-AMT(2 13)'  TO MB21WS-NAME.
376800     MOVE MMQ1-VI-IS-AMT(2 13)   TO MB21WS-15V2.
376900     PERFORM MB21PD-INSERT-A-COLUMN
377000                                 THRU MB21PD-IAC-EXIT.
377100*
377200     MOVE     'VI-IS-NBR(2 14)'  TO MB21WS-NAME.
377300     MOVE MMQ1-VI-IS-NBR(2 14)   TO MB21WS-9V0Z.
377400     PERFORM MB21PD-INSERT-A-COLUMN
377500                                 THRU MB21PD-IAC-EXIT.
377600*
377700     MOVE     'VI-IS-AMT(2 14)'  TO MB21WS-NAME.
377800     MOVE MMQ1-VI-IS-AMT(2 14)   TO MB21WS-15V2.
377900     PERFORM MB21PD-INSERT-A-COLUMN
378000                                 THRU MB21PD-IAC-EXIT.
378100*
378200     MOVE     'VI-IS-NBR(2 15)'  TO MB21WS-NAME.
378300     MOVE MMQ1-VI-IS-NBR(2 15)   TO MB21WS-9V0Z.
378400     PERFORM MB21PD-INSERT-A-COLUMN
378500                                 THRU MB21PD-IAC-EXIT.
378600*
378700     MOVE     'VI-IS-AMT(2 15)'  TO MB21WS-NAME.
378800     MOVE MMQ1-VI-IS-AMT(2 15)   TO MB21WS-15V2.
378900     PERFORM MB21PD-INSERT-A-COLUMN
379000                                 THRU MB21PD-IAC-EXIT.
379100*
379200     MOVE     'VI-IS-NBR(2 16)'  TO MB21WS-NAME.
379300     MOVE MMQ1-VI-IS-NBR(2 16)   TO MB21WS-9V0Z.
379400     PERFORM MB21PD-INSERT-A-COLUMN
379500                                 THRU MB21PD-IAC-EXIT.
379600*
379700     MOVE     'VI-IS-AMT(2 16)'  TO MB21WS-NAME.
379800     MOVE MMQ1-VI-IS-AMT(2 16)   TO MB21WS-15V2.
379900     PERFORM MB21PD-INSERT-A-COLUMN
380000                                 THRU MB21PD-IAC-EXIT.
380100*
380200     MOVE     'VI-IS-NBR(2 17)'  TO MB21WS-NAME.
380300     MOVE MMQ1-VI-IS-NBR(2 17)   TO MB21WS-9V0Z.
380400     PERFORM MB21PD-INSERT-A-COLUMN
380500                                 THRU MB21PD-IAC-EXIT.
380600*
380700     MOVE     'VI-IS-AMT(2 17)'   TO MB21WS-NAME.
380800     MOVE MMQ1-VI-IS-AMT(2 17)    TO MB21WS-15V2.
380900     PERFORM MB21PD-INSERT-A-COLUMN
381000                                 THRU MB21PD-IAC-EXIT.
381100*
381200     MOVE     'VI-IS-NBR(2 18)'  TO MB21WS-NAME.
381300     MOVE MMQ1-VI-IS-NBR(2 18)   TO MB21WS-9V0Z.
381400     PERFORM MB21PD-INSERT-A-COLUMN
381500                                 THRU MB21PD-IAC-EXIT.
381600*
381700     MOVE     'VI-IS-AMT(2 18)'  TO MB21WS-NAME.
381800     MOVE MMQ1-VI-IS-AMT(2 18)   TO MB21WS-15V2.
381900     PERFORM MB21PD-INSERT-A-COLUMN
382000                                 THRU MB21PD-IAC-EXIT.
382100*
382200     MOVE     'VI-IS-NBR(2 19)'  TO MB21WS-NAME.
382300     MOVE MMQ1-VI-IS-NBR(2 19)   TO MB21WS-9V0Z.
382400     PERFORM MB21PD-INSERT-A-COLUMN
382500                                 THRU MB21PD-IAC-EXIT.
382600*
382700     MOVE     'VI-IS-AMT(2 19)'  TO MB21WS-NAME.
382800     MOVE MMQ1-VI-IS-AMT(2 19)   TO MB21WS-15V2.
382900     PERFORM MB21PD-INSERT-A-COLUMN
383000                                 THRU MB21PD-IAC-EXIT.
383100*
383200     MOVE     'VI-IS-NBR(2 20)'  TO MB21WS-NAME.
383300     MOVE MMQ1-VI-IS-NBR(2 20)   TO MB21WS-9V0Z.
383400     PERFORM MB21PD-INSERT-A-COLUMN
383500                                 THRU MB21PD-IAC-EXIT.
383600*
383700     MOVE     'VI-IS-AMT(2 20)'  TO MB21WS-NAME.
383800     MOVE MMQ1-VI-IS-AMT(2 20)   TO MB21WS-15V2.
383900     PERFORM MB21PD-INSERT-A-COLUMN
384000                                 THRU MB21PD-IAC-EXIT.
384100*
384200     MOVE     'VI-IS-NBR(2 21)'  TO MB21WS-NAME.
384300     MOVE MMQ1-VI-IS-NBR(2 21)   TO MB21WS-9V0Z.
384400     PERFORM MB21PD-INSERT-A-COLUMN
384500                                 THRU MB21PD-IAC-EXIT.
384600*
384700     MOVE     'VI-IS-AMT(2 21)'  TO MB21WS-NAME.
384800     MOVE MMQ1-VI-IS-AMT(2 21)   TO MB21WS-15V2.
384900     PERFORM MB21PD-INSERT-A-COLUMN
385000                                 THRU MB21PD-IAC-EXIT.
385100*
385200     MOVE     'VI-IS-NBR(2 22)'  TO MB21WS-NAME.
385300     MOVE MMQ1-VI-IS-NBR(2 22)   TO MB21WS-9V0Z.
385400     PERFORM MB21PD-INSERT-A-COLUMN
385500                                 THRU MB21PD-IAC-EXIT.
385600*
385700     MOVE     'VI-IS-AMT(2 22)'  TO MB21WS-NAME.
385800     MOVE MMQ1-VI-IS-AMT(2 22)   TO MB21WS-15V2.
385900     PERFORM MB21PD-INSERT-A-COLUMN
386000                                 THRU MB21PD-IAC-EXIT.
386100*
386200     MOVE     'VI-IS-NBR(2 23)'  TO MB21WS-NAME.
386300     MOVE MMQ1-VI-IS-NBR(2 23)   TO MB21WS-9V0Z.
386400     PERFORM MB21PD-INSERT-A-COLUMN
386500                                 THRU MB21PD-IAC-EXIT.
386600*
386700     MOVE     'VI-IS-AMT(2 23)'  TO MB21WS-NAME.
386800     MOVE MMQ1-VI-IS-AMT(2 23)   TO MB21WS-15V2.
386900     PERFORM MB21PD-INSERT-A-COLUMN
387000                                 THRU MB21PD-IAC-EXIT.
387100*
387200     MOVE     'VI-IS-NBR(2 24)'  TO MB21WS-NAME.
387300     MOVE MMQ1-VI-IS-NBR(2 24)   TO MB21WS-9V0Z.
387400     PERFORM MB21PD-INSERT-A-COLUMN
387500                                 THRU MB21PD-IAC-EXIT.
387600*
387700     MOVE     'VI-IS-AMT(2 24)'  TO MB21WS-NAME.
387800     MOVE MMQ1-VI-IS-AMT(2 24)   TO MB21WS-15V2.
387900     PERFORM MB21PD-INSERT-A-COLUMN
388000                                 THRU MB21PD-IAC-EXIT.
388100*
388200     MOVE     'VI-IS-NBR(2 25)'  TO MB21WS-NAME.
388300     MOVE MMQ1-VI-IS-NBR(2 25)   TO MB21WS-9V0Z.
388400     PERFORM MB21PD-INSERT-A-COLUMN
388500                                 THRU MB21PD-IAC-EXIT.
388600*
388700     MOVE     'VI-IS-AMT(2 25)'  TO MB21WS-NAME.
388800     MOVE MMQ1-VI-IS-AMT(2 25)   TO MB21WS-15V2.
388900     PERFORM MB21PD-INSERT-A-COLUMN
389000                                 THRU MB21PD-IAC-EXIT.
389100*
389200     MOVE     'VI-IS-NBR(2 26)'  TO MB21WS-NAME.
389300     MOVE MMQ1-VI-IS-NBR(2 26)   TO MB21WS-9V0Z.
389400     PERFORM MB21PD-INSERT-A-COLUMN
389500                                 THRU MB21PD-IAC-EXIT.
389600*
389700     MOVE     'VI-IS-AMT(2 26)'  TO MB21WS-NAME.
389800     MOVE MMQ1-VI-IS-AMT(2 26)   TO MB21WS-15V2.
389900     PERFORM MB21PD-INSERT-A-COLUMN
390000                                 THRU MB21PD-IAC-EXIT.
390100*
390200     MOVE     'VI-MONTH(2 1)'    TO MB21WS-NAME.
390300     MOVE MMQ1-VI-MONTH(2 1)     TO MB21WS-2V0.
390400     PERFORM MB21PD-INSERT-A-COLUMN
390500                                 THRU MB21PD-IAC-EXIT.
390600*
390700     MOVE     'VI-YEAR(2 1)'     TO MB21WS-NAME.
390800     MOVE MMQ1-VI-YEAR(2 1)      TO MB21WS-4V0.
390900     PERFORM MB21PD-INSERT-A-COLUMN
391000                                 THRU MB21PD-IAC-EXIT.
391100*
391200     MOVE     'VI-VISA-NBR(2 1)'
391300                                 TO MB21WS-NAME.
391400     MOVE MMQ1-VI-VISA-NBR(2 1)
391500                                 TO MB21WS-9V0Z.
391600     PERFORM MB21PD-INSERT-A-COLUMN
391700                                 THRU MB21PD-IAC-EXIT.
391800*
391900     MOVE     'VI-VISA-AMT(2 1)'
392000                                 TO MB21WS-NAME.
392100     MOVE MMQ1-VI-VISA-AMT(2 1)
392200                                 TO MB21WS-15V2.
392300     PERFORM MB21PD-INSERT-A-COLUMN
392400                                 THRU MB21PD-IAC-EXIT.
392500*
392600     MOVE     'VI-ELECTRON-NBR(2 1)'
392700                                 TO MB21WS-NAME.
392800     MOVE MMQ1-VI-ELECTRON-NBR(2 1)
392900                                 TO MB21WS-9V0Z.
393000     PERFORM MB21PD-INSERT-A-COLUMN
393100                                 THRU MB21PD-IAC-EXIT.
393200*
393300     MOVE     'VI-ELECTRON-AMT(2 1)'
393400                                 TO MB21WS-NAME.
393500     MOVE MMQ1-VI-ELECTRON-AMT(2 1)
393600                                 TO MB21WS-15V2.
393700     PERFORM MB21PD-INSERT-A-COLUMN
393800                                 THRU MB21PD-IAC-EXIT.
393900*
394000     MOVE     'VI-CASH-ADV-NBR(2 1)'
394100                                 TO MB21WS-NAME.
394200     MOVE MMQ1-VI-CASH-ADV-NBR(2 1)
394300                                 TO MB21WS-9V0Z.
394400     PERFORM MB21PD-INSERT-A-COLUMN
394500                                 THRU MB21PD-IAC-EXIT.
394600*
394700     MOVE     'VI-CASH-ADV-AMT(2 1)'
394800                                 TO MB21WS-NAME.
394900     MOVE MMQ1-VI-CASH-ADV-AMT(2 1)
395000                                 TO MB21WS-15V2.
395100     PERFORM MB21PD-INSERT-A-COLUMN
395200                                 THRU MB21PD-IAC-EXIT.
395300*
395400     MOVE     'VI-ATM-NBR(2 1)'
395500                                 TO MB21WS-NAME.
395600     MOVE MMQ1-VI-ATM-NBR(2 1)
395700                                 TO MB21WS-9V0Z.
395800     PERFORM MB21PD-INSERT-A-COLUMN
395900                                 THRU MB21PD-IAC-EXIT.
396000*
396100     MOVE     'VI-ATM-AMT(2 1)'
396200                                 TO MB21WS-NAME.
396300     MOVE MMQ1-VI-ATM-AMT(2 1)
396400                                 TO MB21WS-15V2.
396500     PERFORM MB21PD-INSERT-A-COLUMN
396600                                 THRU MB21PD-IAC-EXIT.
396700*
396800     MOVE     'VI-REFUND-NBR(2 1)'
396900                                 TO MB21WS-NAME.
397000     MOVE MMQ1-VI-REFUND-NBR(2 1)
397100                                 TO MB21WS-9V0Z.
397200     PERFORM MB21PD-INSERT-A-COLUMN
397300                                 THRU MB21PD-IAC-EXIT.
397400*
397500     MOVE     'VI-REFUND-AMT(2 1)'
397600                                 TO MB21WS-NAME.
397700     MOVE MMQ1-VI-REFUND-AMT(2 1)
397800                                 TO MB21WS-15V2.
397900     PERFORM MB21PD-INSERT-A-COLUMN
398000                                 THRU MB21PD-IAC-EXIT.
398100*
398200     MOVE     'VI-MONTH(2 2)'    TO MB21WS-NAME.
398300     MOVE MMQ1-VI-MONTH(2 2)     TO MB21WS-2V0.
398400     PERFORM MB21PD-INSERT-A-COLUMN
398500                                 THRU MB21PD-IAC-EXIT.
398600*
398700     MOVE     'VI-YEAR(2 2)'     TO MB21WS-NAME.
398800     MOVE MMQ1-VI-YEAR(2 2)      TO MB21WS-4V0.
398900     PERFORM MB21PD-INSERT-A-COLUMN
399000                                 THRU MB21PD-IAC-EXIT.
399100*
399200     MOVE     'VI-VISA-NBR(2 2)'
399300                                 TO MB21WS-NAME.
399400     MOVE MMQ1-VI-VISA-NBR(2 2)
399500                                 TO MB21WS-9V0Z.
399600     PERFORM MB21PD-INSERT-A-COLUMN
399700                                 THRU MB21PD-IAC-EXIT.
399800*
399900     MOVE     'VI-VISA-AMT(2 2)'
400000                                 TO MB21WS-NAME.
400100     MOVE MMQ1-VI-VISA-AMT(2 2)
400200                                 TO MB21WS-15V2.
400300     PERFORM MB21PD-INSERT-A-COLUMN
400400                                 THRU MB21PD-IAC-EXIT.
400500*
400600     MOVE     'VI-ELECTRON-NBR(2 2)'
400700                                 TO MB21WS-NAME.
400800     MOVE MMQ1-VI-ELECTRON-NBR(2 2)
400900                                 TO MB21WS-9V0Z.
401000     PERFORM MB21PD-INSERT-A-COLUMN
401100                                 THRU MB21PD-IAC-EXIT.
401200*
401300     MOVE     'VI-ELECTRON-AMT(2 2)'
401400                                 TO MB21WS-NAME.
401500     MOVE MMQ1-VI-ELECTRON-AMT(2 2)
401600                                 TO MB21WS-15V2.
401700     PERFORM MB21PD-INSERT-A-COLUMN
401800                                 THRU MB21PD-IAC-EXIT.
401900*
402000     MOVE     'VI-CASH-ADV-NBR(2 2)'
402100                                 TO MB21WS-NAME.
402200     MOVE MMQ1-VI-CASH-ADV-NBR(2 2)
402300                                 TO MB21WS-9V0Z.
402400     PERFORM MB21PD-INSERT-A-COLUMN
402500                                 THRU MB21PD-IAC-EXIT.
402600*
402700     MOVE     'VI-CASH-ADV-AMT(2 2)'
402800                                 TO MB21WS-NAME.
402900     MOVE MMQ1-VI-CASH-ADV-AMT(2 2)
403000                                 TO MB21WS-15V2.
403100     PERFORM MB21PD-INSERT-A-COLUMN
403200                                 THRU MB21PD-IAC-EXIT.
403300*
403400     MOVE     'VI-ATM-NBR(2 2)'
403500                                 TO MB21WS-NAME.
403600     MOVE MMQ1-VI-ATM-NBR(2 2)
403700                                 TO MB21WS-9V0Z.
403800     PERFORM MB21PD-INSERT-A-COLUMN
403900                                 THRU MB21PD-IAC-EXIT.
404000*
404100     MOVE     'VI-ATM-AMT(2 2)'
404200                                 TO MB21WS-NAME.
404300     MOVE MMQ1-VI-ATM-AMT(2 2)
404400                                 TO MB21WS-15V2.
404500     PERFORM MB21PD-INSERT-A-COLUMN
404600                                 THRU MB21PD-IAC-EXIT.
404700*
404800     MOVE     'VI-REFUND-NBR(2 2)'
404900                                 TO MB21WS-NAME.
405000     MOVE MMQ1-VI-REFUND-NBR(2 2)
405100                                 TO MB21WS-9V0Z.
405200     PERFORM MB21PD-INSERT-A-COLUMN
405300                                 THRU MB21PD-IAC-EXIT.
405400*
405500     MOVE     'VI-REFUND-AMT(2 2)'
405600                                 TO MB21WS-NAME.
405700     MOVE MMQ1-VI-REFUND-AMT(2 2)
405800                                 TO MB21WS-15V2.
405900     PERFORM MB21PD-INSERT-A-COLUMN
406000                                 THRU MB21PD-IAC-EXIT.
406100*
406200     MOVE     'VI-MONTH(2 3)'    TO MB21WS-NAME.
406300     MOVE MMQ1-VI-MONTH(2 3)     TO MB21WS-2V0.
406400     PERFORM MB21PD-INSERT-A-COLUMN
406500                                 THRU MB21PD-IAC-EXIT.
406600*
406700     MOVE     'VI-YEAR(2 3)'     TO MB21WS-NAME.
406800     MOVE MMQ1-VI-YEAR(2 3)      TO MB21WS-4V0.
406900     PERFORM MB21PD-INSERT-A-COLUMN
407000                                 THRU MB21PD-IAC-EXIT.
407100*
407200     MOVE     'VI-VISA-NBR(2 3)'
407300                                 TO MB21WS-NAME.
407400     MOVE MMQ1-VI-VISA-NBR(2 3)
407500                                 TO MB21WS-9V0Z.
407600     PERFORM MB21PD-INSERT-A-COLUMN
407700                                 THRU MB21PD-IAC-EXIT.
407800*
407900     MOVE     'VI-VISA-AMT(2 3)'
408000                                 TO MB21WS-NAME.
408100     MOVE MMQ1-VI-VISA-AMT(2 3)
408200                                 TO MB21WS-15V2.
408300     PERFORM MB21PD-INSERT-A-COLUMN
408400                                 THRU MB21PD-IAC-EXIT.
408500*
408600     MOVE     'VI-ELECTRON-NBR(2 3)'
408700                                 TO MB21WS-NAME.
408800     MOVE MMQ1-VI-ELECTRON-NBR(2 3)
408900                                 TO MB21WS-9V0Z.
409000     PERFORM MB21PD-INSERT-A-COLUMN
409100                                 THRU MB21PD-IAC-EXIT.
409200*
409300     MOVE     'VI-ELECTRON-AMT(2 3)'
409400                                 TO MB21WS-NAME.
409500     MOVE MMQ1-VI-ELECTRON-AMT(2 3)
409600                                 TO MB21WS-15V2.
409700     PERFORM MB21PD-INSERT-A-COLUMN
409800                                 THRU MB21PD-IAC-EXIT.
409900*
410000     MOVE     'VI-CASH-ADV-NBR(2 3)'
410100                                 TO MB21WS-NAME.
410200     MOVE MMQ1-VI-CASH-ADV-NBR(2 3)
410300                                 TO MB21WS-9V0Z.
410400     PERFORM MB21PD-INSERT-A-COLUMN
410500                                 THRU MB21PD-IAC-EXIT.
410600*
410700     MOVE     'VI-CASH-ADV-AMT(2 3)'
410800                                 TO MB21WS-NAME.
410900     MOVE MMQ1-VI-CASH-ADV-AMT(2 3)
411000                                 TO MB21WS-15V2.
411100     PERFORM MB21PD-INSERT-A-COLUMN
411200                                 THRU MB21PD-IAC-EXIT.
411300*
411400     MOVE     'VI-ATM-NBR(2 3)'
411500                                 TO MB21WS-NAME.
411600     MOVE MMQ1-VI-ATM-NBR(2 3)
411700                                 TO MB21WS-9V0Z.
411800     PERFORM MB21PD-INSERT-A-COLUMN
411900                                 THRU MB21PD-IAC-EXIT.
412000*
412100     MOVE     'VI-ATM-AMT(2 3)'
412200                                 TO MB21WS-NAME.
412300     MOVE MMQ1-VI-ATM-AMT(2 3)
412400                                 TO MB21WS-15V2.
412500     PERFORM MB21PD-INSERT-A-COLUMN
412600                                 THRU MB21PD-IAC-EXIT.
412700*
412800     MOVE     'VI-REFUND-NBR(2 3)'
412900                                 TO MB21WS-NAME.
413000     MOVE MMQ1-VI-REFUND-NBR(2 3)
413100                                 TO MB21WS-9V0Z.
413200     PERFORM MB21PD-INSERT-A-COLUMN
413300                                 THRU MB21PD-IAC-EXIT.
413400*
413500     MOVE     'VI-REFUND-AMT(2 3)'
413600                                 TO MB21WS-NAME.
413700     MOVE MMQ1-VI-REFUND-AMT(2 3)
413800                                 TO MB21WS-15V2.
413900     PERFORM MB21PD-INSERT-A-COLUMN
414000                                 THRU MB21PD-IAC-EXIT.
414100*
414200     PERFORM MB21PD-INSERT-A-COLUMN
414300                                 THRU MB21PD-IAC-EXIT.
414400*
414500*
414600*
414700     MOVE 'VI-QTR-BEG-DATE(3)'   TO MB21WS-NAME.
414800     MOVE MMQ1-VI-QTR-BEG-DATE (3)
414900                                 TO SS01WS-JULIAN.
415000     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
415100     MOVE MMQ1-VI-QTR-BEG-DATE (3)
415200                                 TO MB21WS-JULIAN.
415300     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
415400     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
415500     PERFORM MB21PD-INSERT-A-COLUMN
415600                                 THRU MB21PD-IAC-EXIT.
415700*
415800     MOVE 'VI-QTR-END-DATE(3)'   TO MB21WS-NAME.
415900     MOVE MMQ1-VI-QTR-END-DATE (3)
416000                                 TO SS01WS-JULIAN.
416100     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
416200     MOVE MMQ1-VI-QTR-END-DATE (3)
416300                                 TO MB21WS-JULIAN.
416400     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
416500     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
416600     PERFORM MB21PD-INSERT-A-COLUMN
416700                                 THRU MB21PD-IAC-EXIT.
416800*
416900     MOVE     'VI-NBR-MERCHANTS(3)'
417000                                 TO MB21WS-NAME.
417100     MOVE MMQ1-VI-NBR-MERCHANTS(3)
417200                                 TO MB21WS-9V0Z.
417300     PERFORM MB21PD-INSERT-A-COLUMN
417400                                 THRU MB21PD-IAC-EXIT.
417500*
417600     MOVE     'VI-NBR-ELECTRON-MERCH(3)'
417700                                 TO MB21WS-NAME.
417800     MOVE MMQ1-VI-NBR-ELECTRON-MERCH(3)
417900                                 TO MB21WS-9V0Z.
418000     PERFORM MB21PD-INSERT-A-COLUMN
418100                                 THRU MB21PD-IAC-EXIT.
418200*
418300     MOVE     'VI-NBR-STORES(3)'
418400                                 TO MB21WS-NAME.
418500     MOVE MMQ1-VI-NBR-STORES(3)
418600                                 TO MB21WS-9V0Z.
418700     PERFORM MB21PD-INSERT-A-COLUMN
418800                                 THRU MB21PD-IAC-EXIT.
418900*
419000     MOVE     'VI-NBR-ELECTRON-STORES(3)'
419100                                 TO MB21WS-NAME.
419200     MOVE MMQ1-VI-NBR-ELECTRON-STORES(3)
419300                                 TO MB21WS-9V0Z.
419400     PERFORM MB21PD-INSERT-A-COLUMN
419500                                 THRU MB21PD-IAC-EXIT.
419600*
419700     MOVE     'VI-NBR-EURO-STORES(3)'
419800                                 TO MB21WS-NAME.
419900     MOVE MMQ1-VI-NBR-EURO-STORES(3)
420000                                 TO MB21WS-9V0Z.
420100     PERFORM MB21PD-INSERT-A-COLUMN
420200                                 THRU MB21PD-IAC-EXIT.
420300*
420400     MOVE     'VI-NBR-ELEC-CARD-STORES(3)'
420500                                 TO MB21WS-NAME.
420600     MOVE MMQ1-VI-NBR-ELEC-CARD-STORES(3)
420700                                 TO MB21WS-9V0Z.
420800     PERFORM MB21PD-INSERT-A-COLUMN
420900                                 THRU MB21PD-IAC-EXIT.
421000*
421100     MOVE     'VI-NBR-CASH-BRANCHES(3)'
421200                                 TO MB21WS-NAME.
421300     MOVE MMQ1-VI-NBR-CASH-BRANCHES(3)
421400                                 TO MB21WS-9V0Z.
421500     PERFORM MB21PD-INSERT-A-COLUMN
421600                                 THRU MB21PD-IAC-EXIT.
421700*
421800     MOVE     'VI-NBR-ATM-LOCATIONS(3)'
421900                                 TO MB21WS-NAME.
422000     MOVE MMQ1-VI-NBR-ATM-LOCATIONS(3)
422100                                 TO MB21WS-9V0Z.
422200     PERFORM MB21PD-INSERT-A-COLUMN
422300                                 THRU MB21PD-IAC-EXIT.
422400*
422500     MOVE     'VI-NBR-ATM-MACHINES(3)'
422600                                 TO MB21WS-NAME.
422700     MOVE MMQ1-VI-NBR-ATM-MACHINES(3)
422800                                 TO MB21WS-9V0Z.
422900     PERFORM MB21PD-INSERT-A-COLUMN
423000                                 THRU MB21PD-IAC-EXIT.
423100*
423200     MOVE     'VI-NBR-ATMS-VISA(3)'
423300                                 TO MB21WS-NAME.
423400     MOVE MMQ1-VI-NBR-ATMS-VISA(3)
423500                                 TO MB21WS-9V0Z.
423600     PERFORM MB21PD-INSERT-A-COLUMN
423700                                 THRU MB21PD-IAC-EXIT.
423800*
423900     MOVE     'VI-NBR-ATMS-VISA-PLUS(3)'
424000                                 TO MB21WS-NAME.
424100     MOVE MMQ1-VI-NBR-ATMS-VISA-PLUS(3)
424200                                 TO MB21WS-9V0Z.
424300     PERFORM MB21PD-INSERT-A-COLUMN
424400                                 THRU MB21PD-IAC-EXIT.
424500*
424600     MOVE     'VI-NBR-ATMS-PLUS-NBR(3)'
424700                                 TO MB21WS-NAME.
424800     MOVE MMQ1-VI-NBR-ATMS-PLUS-NBR(3)
424900                                 TO MB21WS-9V0Z.
425000     PERFORM MB21PD-INSERT-A-COLUMN
425100                                 THRU MB21PD-IAC-EXIT.
425200*
425300     MOVE     'VI-NBR-ATMS-PLUS-AMT(3)'
425400                                 TO MB21WS-NAME.
425500     MOVE MMQ1-VI-NBR-ATMS-PLUS-AMT(3)
425600                                 TO MB21WS-15V2.
425700     PERFORM MB21PD-INSERT-A-COLUMN
425800                                 THRU MB21PD-IAC-EXIT.
425900*
426000     MOVE     'VI-IS-NBR(3 1)'   TO MB21WS-NAME.
426100     MOVE MMQ1-VI-IS-NBR(3 1)    TO MB21WS-9V0Z.
426200     PERFORM MB21PD-INSERT-A-COLUMN
426300                                 THRU MB21PD-IAC-EXIT.
426400*
426500     MOVE     'VI-IS-AMT(3 1)'   TO MB21WS-NAME.
426600     MOVE MMQ1-VI-IS-AMT(3 1)    TO MB21WS-15V2.
426700     PERFORM MB21PD-INSERT-A-COLUMN
426800                                 THRU MB21PD-IAC-EXIT.
426900*
427000     MOVE     'VI-IS-NBR(3 2)'   TO MB21WS-NAME.
427100     MOVE MMQ1-VI-IS-NBR(3 2)    TO MB21WS-9V0Z.
427200     PERFORM MB21PD-INSERT-A-COLUMN
427300                                 THRU MB21PD-IAC-EXIT.
427400*
427500     MOVE     'VI-IS-AMT(3 2)'   TO MB21WS-NAME.
427600     MOVE MMQ1-VI-IS-AMT(3 2)    TO MB21WS-15V2.
427700     PERFORM MB21PD-INSERT-A-COLUMN
427800                                 THRU MB21PD-IAC-EXIT.
427900*
428000     MOVE     'VI-IS-NBR(3 3)'   TO MB21WS-NAME.
428100     MOVE MMQ1-VI-IS-NBR(3 3)    TO MB21WS-9V0Z.
428200     PERFORM MB21PD-INSERT-A-COLUMN
428300                                 THRU MB21PD-IAC-EXIT.
428400*
428500     MOVE     'VI-IS-AMT(3 3)'   TO MB21WS-NAME.
428600     MOVE MMQ1-VI-IS-AMT(3 3)    TO MB21WS-15V2.
428700     PERFORM MB21PD-INSERT-A-COLUMN
428800                                 THRU MB21PD-IAC-EXIT.
428900*
429000     MOVE     'VI-IS-NBR(3 4)'   TO MB21WS-NAME.
429100     MOVE MMQ1-VI-IS-NBR(3 4)    TO MB21WS-9V0Z.
429200     PERFORM MB21PD-INSERT-A-COLUMN
429300                                 THRU MB21PD-IAC-EXIT.
429400*
429500     MOVE     'VI-IS-AMT(3 4)'   TO MB21WS-NAME.
429600     MOVE MMQ1-VI-IS-AMT(3 4)    TO MB21WS-15V2.
429700     PERFORM MB21PD-INSERT-A-COLUMN
429800                                 THRU MB21PD-IAC-EXIT.
429900*
430000     MOVE     'VI-IS-NBR(3 5)'   TO MB21WS-NAME.
430100     MOVE MMQ1-VI-IS-NBR(3 5)    TO MB21WS-9V0Z.
430200     PERFORM MB21PD-INSERT-A-COLUMN
430300                                 THRU MB21PD-IAC-EXIT.
430400*
430500     MOVE     'VI-IS-AMT(3 5)'   TO MB21WS-NAME.
430600     MOVE MMQ1-VI-IS-AMT(3 5)    TO MB21WS-15V2.
430700     PERFORM MB21PD-INSERT-A-COLUMN
430800                                 THRU MB21PD-IAC-EXIT.
430900*
431000     MOVE     'VI-IS-NBR(3 6)'   TO MB21WS-NAME.
431100     MOVE MMQ1-VI-IS-NBR(3 6)    TO MB21WS-9V0Z.
431200     PERFORM MB21PD-INSERT-A-COLUMN
431300                                 THRU MB21PD-IAC-EXIT.
431400*
431500     MOVE     'VI-IS-AMT(3 6)'   TO MB21WS-NAME.
431600     MOVE MMQ1-VI-IS-AMT(3 6)    TO MB21WS-15V2.
431700     PERFORM MB21PD-INSERT-A-COLUMN
431800                                 THRU MB21PD-IAC-EXIT.
431900*
432000     MOVE     'VI-IS-NBR(3 7)'   TO MB21WS-NAME.
432100     MOVE MMQ1-VI-IS-NBR(3 7)    TO MB21WS-9V0Z.
432200     PERFORM MB21PD-INSERT-A-COLUMN
432300                                 THRU MB21PD-IAC-EXIT.
432400*
432500     MOVE     'VI-IS-AMT(3 7)'   TO MB21WS-NAME.
432600     MOVE MMQ1-VI-IS-AMT(3 7)    TO MB21WS-15V2.
432700     PERFORM MB21PD-INSERT-A-COLUMN
432800                                 THRU MB21PD-IAC-EXIT.
432900*
433000     MOVE     'VI-IS-NBR(3 8)'   TO MB21WS-NAME.
433100     MOVE MMQ1-VI-IS-NBR(3 8)    TO MB21WS-9V0Z.
433200     PERFORM MB21PD-INSERT-A-COLUMN
433300                                 THRU MB21PD-IAC-EXIT.
433400*
433500     MOVE     'VI-IS-AMT(3 8)'   TO MB21WS-NAME.
433600     MOVE MMQ1-VI-IS-AMT(3 8)    TO MB21WS-15V2.
433700     PERFORM MB21PD-INSERT-A-COLUMN
433800                                 THRU MB21PD-IAC-EXIT.
433900*
434000     MOVE     'VI-IS-NBR(3 9)'   TO MB21WS-NAME.
434100     MOVE MMQ1-VI-IS-NBR(3 9)    TO MB21WS-9V0Z.
434200     PERFORM MB21PD-INSERT-A-COLUMN
434300                                 THRU MB21PD-IAC-EXIT.
434400*
434500     MOVE     'VI-IS-AMT(3 9)'   TO MB21WS-NAME.
434600     MOVE MMQ1-VI-IS-AMT(3 9)    TO MB21WS-15V2.
434700     PERFORM MB21PD-INSERT-A-COLUMN
434800                                 THRU MB21PD-IAC-EXIT.
434900*
435000     MOVE     'VI-IS-NBR(3 10)'  TO MB21WS-NAME.
435100     MOVE MMQ1-VI-IS-NBR(3 10)   TO MB21WS-9V0Z.
435200     PERFORM MB21PD-INSERT-A-COLUMN
435300                                 THRU MB21PD-IAC-EXIT.
435400*
435500     MOVE     'VI-IS-AMT(3 10)'  TO MB21WS-NAME.
435600     MOVE MMQ1-VI-IS-AMT(3 10)   TO MB21WS-15V2.
435700     PERFORM MB21PD-INSERT-A-COLUMN
435800                                 THRU MB21PD-IAC-EXIT.
435900*
436000     MOVE     'VI-IS-NBR(3 11)'  TO MB21WS-NAME.
436100     MOVE MMQ1-VI-IS-NBR(3 11)   TO MB21WS-9V0Z.
436200     PERFORM MB21PD-INSERT-A-COLUMN
436300                                 THRU MB21PD-IAC-EXIT.
436400*
436500     MOVE     'VI-IS-AMT(3 11)'  TO MB21WS-NAME.
436600     MOVE MMQ1-VI-IS-AMT(3 11)   TO MB21WS-15V2.
436700     PERFORM MB21PD-INSERT-A-COLUMN
436800                                 THRU MB21PD-IAC-EXIT.
436900*
437000     MOVE     'VI-IS-NBR(3 12)'  TO MB21WS-NAME.
437100     MOVE MMQ1-VI-IS-NBR(3 12)   TO MB21WS-9V0Z.
437200     PERFORM MB21PD-INSERT-A-COLUMN
437300                                 THRU MB21PD-IAC-EXIT.
437400*
437500     MOVE     'VI-IS-AMT(3 12)'  TO MB21WS-NAME.
437600     MOVE MMQ1-VI-IS-AMT(3 12)   TO MB21WS-15V2.
437700     PERFORM MB21PD-INSERT-A-COLUMN
437800                                 THRU MB21PD-IAC-EXIT.
437900*
438000     MOVE     'VI-IS-NBR(3 13)'  TO MB21WS-NAME.
438100     MOVE MMQ1-VI-IS-NBR(3 13)   TO MB21WS-9V0Z.
438200     PERFORM MB21PD-INSERT-A-COLUMN
438300                                 THRU MB21PD-IAC-EXIT.
438400*
438500     MOVE     'VI-IS-AMT(3 13)'  TO MB21WS-NAME.
438600     MOVE MMQ1-VI-IS-AMT(3 13)   TO MB21WS-15V2.
438700     PERFORM MB21PD-INSERT-A-COLUMN
438800                                 THRU MB21PD-IAC-EXIT.
438900*
439000     MOVE     'VI-IS-NBR(3 14)'  TO MB21WS-NAME.
439100     MOVE MMQ1-VI-IS-NBR(3 14)   TO MB21WS-9V0Z.
439200     PERFORM MB21PD-INSERT-A-COLUMN
439300                                 THRU MB21PD-IAC-EXIT.
439400*
439500     MOVE     'VI-IS-AMT(3 14)'  TO MB21WS-NAME.
439600     MOVE MMQ1-VI-IS-AMT(3 14)   TO MB21WS-15V2.
439700     PERFORM MB21PD-INSERT-A-COLUMN
439800                                 THRU MB21PD-IAC-EXIT.
439900*
440000     MOVE     'VI-IS-NBR(3 15)'  TO MB21WS-NAME.
440100     MOVE MMQ1-VI-IS-NBR(3 15)   TO MB21WS-9V0Z.
440200     PERFORM MB21PD-INSERT-A-COLUMN
440300                                 THRU MB21PD-IAC-EXIT.
440400*
440500     MOVE     'VI-IS-AMT(3 15)'  TO MB21WS-NAME.
440600     MOVE MMQ1-VI-IS-AMT(3 15)   TO MB21WS-15V2.
440700     PERFORM MB21PD-INSERT-A-COLUMN
440800                                 THRU MB21PD-IAC-EXIT.
440900*
441000     MOVE     'VI-IS-NBR(3 16)'  TO MB21WS-NAME.
441100     MOVE MMQ1-VI-IS-NBR(3 16)   TO MB21WS-9V0Z.
441200     PERFORM MB21PD-INSERT-A-COLUMN
441300                                 THRU MB21PD-IAC-EXIT.
441400*
441500     MOVE     'VI-IS-AMT(3 16)'  TO MB21WS-NAME.
441600     MOVE MMQ1-VI-IS-AMT(3 16)   TO MB21WS-15V2.
441700     PERFORM MB21PD-INSERT-A-COLUMN
441800                                 THRU MB21PD-IAC-EXIT.
441900*
442000     MOVE     'VI-IS-NBR(3 17)'  TO MB21WS-NAME.
442100     MOVE MMQ1-VI-IS-NBR(3 17)   TO MB21WS-9V0Z.
442200     PERFORM MB21PD-INSERT-A-COLUMN
442300                                 THRU MB21PD-IAC-EXIT.
442400*
442500     MOVE     'VI-IS-AMT(3 17)'   TO MB21WS-NAME.
442600     MOVE MMQ1-VI-IS-AMT(3 17)    TO MB21WS-15V2.
442700     PERFORM MB21PD-INSERT-A-COLUMN
442800                                 THRU MB21PD-IAC-EXIT.
442900*
443000     MOVE     'VI-IS-NBR(3 18)'  TO MB21WS-NAME.
443100     MOVE MMQ1-VI-IS-NBR(3 18)   TO MB21WS-9V0Z.
443200     PERFORM MB21PD-INSERT-A-COLUMN
443300                                 THRU MB21PD-IAC-EXIT.
443400*
443500     MOVE     'VI-IS-AMT(3 18)'  TO MB21WS-NAME.
443600     MOVE MMQ1-VI-IS-AMT(3 18)   TO MB21WS-15V2.
443700     PERFORM MB21PD-INSERT-A-COLUMN
443800                                 THRU MB21PD-IAC-EXIT.
443900*
444000     MOVE     'VI-IS-NBR(3 19)'  TO MB21WS-NAME.
444100     MOVE MMQ1-VI-IS-NBR(3 19)   TO MB21WS-9V0Z.
444200     PERFORM MB21PD-INSERT-A-COLUMN
444300                                 THRU MB21PD-IAC-EXIT.
444400*
444500     MOVE     'VI-IS-AMT(3 19)'  TO MB21WS-NAME.
444600     MOVE MMQ1-VI-IS-AMT(3 19)   TO MB21WS-15V2.
444700     PERFORM MB21PD-INSERT-A-COLUMN
444800                                 THRU MB21PD-IAC-EXIT.
444900*
445000     MOVE     'VI-IS-NBR(3 20)'  TO MB21WS-NAME.
445100     MOVE MMQ1-VI-IS-NBR(3 20)   TO MB21WS-9V0Z.
445200     PERFORM MB21PD-INSERT-A-COLUMN
445300                                 THRU MB21PD-IAC-EXIT.
445400*
445500     MOVE     'VI-IS-AMT(3 20)'  TO MB21WS-NAME.
445600     MOVE MMQ1-VI-IS-AMT(3 20)   TO MB21WS-15V2.
445700     PERFORM MB21PD-INSERT-A-COLUMN
445800                                 THRU MB21PD-IAC-EXIT.
445900*
446000     MOVE     'VI-IS-NBR(3 21)'  TO MB21WS-NAME.
446100     MOVE MMQ1-VI-IS-NBR(3 21)   TO MB21WS-9V0Z.
446200     PERFORM MB21PD-INSERT-A-COLUMN
446300                                 THRU MB21PD-IAC-EXIT.
446400*
446500     MOVE     'VI-IS-AMT(3 21)'  TO MB21WS-NAME.
446600     MOVE MMQ1-VI-IS-AMT(3 21)   TO MB21WS-15V2.
446700     PERFORM MB21PD-INSERT-A-COLUMN
446800                                 THRU MB21PD-IAC-EXIT.
446900*
447000     MOVE     'VI-IS-NBR(3 22)'  TO MB21WS-NAME.
447100     MOVE MMQ1-VI-IS-NBR(3 22)   TO MB21WS-9V0Z.
447200     PERFORM MB21PD-INSERT-A-COLUMN
447300                                 THRU MB21PD-IAC-EXIT.
447400*
447500     MOVE     'VI-IS-AMT(3 22)'  TO MB21WS-NAME.
447600     MOVE MMQ1-VI-IS-AMT(3 22)   TO MB21WS-15V2.
447700     PERFORM MB21PD-INSERT-A-COLUMN
447800                                 THRU MB21PD-IAC-EXIT.
447900*
448000     MOVE     'VI-IS-NBR(3 23)'  TO MB21WS-NAME.
448100     MOVE MMQ1-VI-IS-NBR(3 23)   TO MB21WS-9V0Z.
448200     PERFORM MB21PD-INSERT-A-COLUMN
448300                                 THRU MB21PD-IAC-EXIT.
448400*
448500     MOVE     'VI-IS-AMT(3 23)'  TO MB21WS-NAME.
448600     MOVE MMQ1-VI-IS-AMT(3 23)   TO MB21WS-15V2.
448700     PERFORM MB21PD-INSERT-A-COLUMN
448800                                 THRU MB21PD-IAC-EXIT.
448900*
449000     MOVE     'VI-IS-NBR(3 24)'  TO MB21WS-NAME.
449100     MOVE MMQ1-VI-IS-NBR(3 24)   TO MB21WS-9V0Z.
449200     PERFORM MB21PD-INSERT-A-COLUMN
449300                                 THRU MB21PD-IAC-EXIT.
449400*
449500     MOVE     'VI-IS-AMT(3 24)'  TO MB21WS-NAME.
449600     MOVE MMQ1-VI-IS-AMT(3 24)   TO MB21WS-15V2.
449700     PERFORM MB21PD-INSERT-A-COLUMN
449800                                 THRU MB21PD-IAC-EXIT.
449900*
450000     MOVE     'VI-IS-NBR(3 25)'  TO MB21WS-NAME.
450100     MOVE MMQ1-VI-IS-NBR(3 25)   TO MB21WS-9V0Z.
450200     PERFORM MB21PD-INSERT-A-COLUMN
450300                                 THRU MB21PD-IAC-EXIT.
450400*
450500     MOVE     'VI-IS-AMT(3 25)'  TO MB21WS-NAME.
450600     MOVE MMQ1-VI-IS-AMT(3 25)   TO MB21WS-15V2.
450700     PERFORM MB21PD-INSERT-A-COLUMN
450800                                 THRU MB21PD-IAC-EXIT.
450900*
451000     MOVE     'VI-IS-NBR(3 26)'  TO MB21WS-NAME.
451100     MOVE MMQ1-VI-IS-NBR(3 26)   TO MB21WS-9V0Z.
451200     PERFORM MB21PD-INSERT-A-COLUMN
451300                                 THRU MB21PD-IAC-EXIT.
451400*
451500     MOVE     'VI-IS-AMT(3 26)'  TO MB21WS-NAME.
451600     MOVE MMQ1-VI-IS-AMT(3 26)   TO MB21WS-15V2.
451700     PERFORM MB21PD-INSERT-A-COLUMN
451800                                 THRU MB21PD-IAC-EXIT.
451900*
452000     MOVE     'VI-MONTH(3 1)'    TO MB21WS-NAME.
452100     MOVE MMQ1-VI-MONTH(3 1)     TO MB21WS-2V0.
452200     PERFORM MB21PD-INSERT-A-COLUMN
452300                                 THRU MB21PD-IAC-EXIT.
452400*
452500     MOVE     'VI-YEAR(3 1)'     TO MB21WS-NAME.
452600     MOVE MMQ1-VI-YEAR(3 1)      TO MB21WS-4V0.
452700     PERFORM MB21PD-INSERT-A-COLUMN
452800                                 THRU MB21PD-IAC-EXIT.
452900*
453000     MOVE     'VI-VISA-NBR(3 1)'
453100                                 TO MB21WS-NAME.
453200     MOVE MMQ1-VI-VISA-NBR(3 1)
453300                                 TO MB21WS-9V0Z.
453400     PERFORM MB21PD-INSERT-A-COLUMN
453500                                 THRU MB21PD-IAC-EXIT.
453600*
453700     MOVE     'VI-VISA-AMT(3 1)'
453800                                 TO MB21WS-NAME.
453900     MOVE MMQ1-VI-VISA-AMT(3 1)
454000                                 TO MB21WS-15V2.
454100     PERFORM MB21PD-INSERT-A-COLUMN
454200                                 THRU MB21PD-IAC-EXIT.
454300*
454400     MOVE     'VI-ELECTRON-NBR(3 1)'
454500                                 TO MB21WS-NAME.
454600     MOVE MMQ1-VI-ELECTRON-NBR(3 1)
454700                                 TO MB21WS-9V0Z.
454800     PERFORM MB21PD-INSERT-A-COLUMN
454900                                 THRU MB21PD-IAC-EXIT.
455000*
455100     MOVE     'VI-ELECTRON-AMT(3 1)'
455200                                 TO MB21WS-NAME.
455300     MOVE MMQ1-VI-ELECTRON-AMT(3 1)
455400                                 TO MB21WS-15V2.
455500     PERFORM MB21PD-INSERT-A-COLUMN
455600                                 THRU MB21PD-IAC-EXIT.
455700*
455800     MOVE     'VI-CASH-ADV-NBR(3 1)'
455900                                 TO MB21WS-NAME.
456000     MOVE MMQ1-VI-CASH-ADV-NBR(3 1)
456100                                 TO MB21WS-9V0Z.
456200     PERFORM MB21PD-INSERT-A-COLUMN
456300                                 THRU MB21PD-IAC-EXIT.
456400*
456500     MOVE     'VI-CASH-ADV-AMT(3 1)'
456600                                 TO MB21WS-NAME.
456700     MOVE MMQ1-VI-CASH-ADV-AMT(3 1)
456800                                 TO MB21WS-15V2.
456900     PERFORM MB21PD-INSERT-A-COLUMN
457000                                 THRU MB21PD-IAC-EXIT.
457100*
457200     MOVE     'VI-ATM-NBR(3 1)'
457300                                 TO MB21WS-NAME.
457400     MOVE MMQ1-VI-ATM-NBR(3 1)
457500                                 TO MB21WS-9V0Z.
457600     PERFORM MB21PD-INSERT-A-COLUMN
457700                                 THRU MB21PD-IAC-EXIT.
457800*
457900     MOVE     'VI-ATM-AMT(3 1)'
458000                                 TO MB21WS-NAME.
458100     MOVE MMQ1-VI-ATM-AMT(3 1)
458200                                 TO MB21WS-15V2.
458300     PERFORM MB21PD-INSERT-A-COLUMN
458400                                 THRU MB21PD-IAC-EXIT.
458500*
458600     MOVE     'VI-REFUND-NBR(3 1)'
458700                                 TO MB21WS-NAME.
458800     MOVE MMQ1-VI-REFUND-NBR(3 1)
458900                                 TO MB21WS-9V0Z.
459000     PERFORM MB21PD-INSERT-A-COLUMN
459100                                 THRU MB21PD-IAC-EXIT.
459200*
459300     MOVE     'VI-REFUND-AMT(3 1)'
459400                                 TO MB21WS-NAME.
459500     MOVE MMQ1-VI-REFUND-AMT(3 1)
459600                                 TO MB21WS-15V2.
459700     PERFORM MB21PD-INSERT-A-COLUMN
459800                                 THRU MB21PD-IAC-EXIT.
459900*
460000     MOVE     'VI-MONTH(3 2)'    TO MB21WS-NAME.
460100     MOVE MMQ1-VI-MONTH(3 2)     TO MB21WS-2V0.
460200     PERFORM MB21PD-INSERT-A-COLUMN
460300                                 THRU MB21PD-IAC-EXIT.
460400*
460500     MOVE     'VI-YEAR(3 2)'     TO MB21WS-NAME.
460600     MOVE MMQ1-VI-YEAR(3 2)      TO MB21WS-4V0.
460700     PERFORM MB21PD-INSERT-A-COLUMN
460800                                 THRU MB21PD-IAC-EXIT.
460900*
461000     MOVE     'VI-VISA-NBR(3 2)'
461100                                 TO MB21WS-NAME.
461200     MOVE MMQ1-VI-VISA-NBR(3 2)
461300                                 TO MB21WS-9V0Z.
461400     PERFORM MB21PD-INSERT-A-COLUMN
461500                                 THRU MB21PD-IAC-EXIT.
461600*
461700     MOVE     'VI-VISA-AMT(3 2)'
461800                                 TO MB21WS-NAME.
461900     MOVE MMQ1-VI-VISA-AMT(3 2)
462000                                 TO MB21WS-15V2.
462100     PERFORM MB21PD-INSERT-A-COLUMN
462200                                 THRU MB21PD-IAC-EXIT.
462300*
462400     MOVE     'VI-ELECTRON-NBR(3 2)'
462500                                 TO MB21WS-NAME.
462600     MOVE MMQ1-VI-ELECTRON-NBR(3 2)
462700                                 TO MB21WS-9V0Z.
462800     PERFORM MB21PD-INSERT-A-COLUMN
462900                                 THRU MB21PD-IAC-EXIT.
463000*
463100     MOVE     'VI-ELECTRON-AMT(3 2)'
463200                                 TO MB21WS-NAME.
463300     MOVE MMQ1-VI-ELECTRON-AMT(3 2)
463400                                 TO MB21WS-15V2.
463500     PERFORM MB21PD-INSERT-A-COLUMN
463600                                 THRU MB21PD-IAC-EXIT.
463700*
463800     MOVE     'VI-CASH-ADV-NBR(3 2)'
463900                                 TO MB21WS-NAME.
464000     MOVE MMQ1-VI-CASH-ADV-NBR(3 2)
464100                                 TO MB21WS-9V0Z.
464200     PERFORM MB21PD-INSERT-A-COLUMN
464300                                 THRU MB21PD-IAC-EXIT.
464400*
464500     MOVE     'VI-CASH-ADV-AMT(3 2)'
464600                                 TO MB21WS-NAME.
464700     MOVE MMQ1-VI-CASH-ADV-AMT(3 2)
464800                                 TO MB21WS-15V2.
464900     PERFORM MB21PD-INSERT-A-COLUMN
465000                                 THRU MB21PD-IAC-EXIT.
465100*
465200     MOVE     'VI-ATM-NBR(3 2)'
465300                                 TO MB21WS-NAME.
465400     MOVE MMQ1-VI-ATM-NBR(3 2)
465500                                 TO MB21WS-9V0Z.
465600     PERFORM MB21PD-INSERT-A-COLUMN
465700                                 THRU MB21PD-IAC-EXIT.
465800*
465900     MOVE     'VI-ATM-AMT(3 2)'
466000                                 TO MB21WS-NAME.
466100     MOVE MMQ1-VI-ATM-AMT(3 2)
466200                                 TO MB21WS-15V2.
466300     PERFORM MB21PD-INSERT-A-COLUMN
466400                                 THRU MB21PD-IAC-EXIT.
466500*
466600     MOVE     'VI-REFUND-NBR(3 2)'
466700                                 TO MB21WS-NAME.
466800     MOVE MMQ1-VI-REFUND-NBR(3 2)
466900                                 TO MB21WS-9V0Z.
467000     PERFORM MB21PD-INSERT-A-COLUMN
467100                                 THRU MB21PD-IAC-EXIT.
467200*
467300     MOVE     'VI-REFUND-AMT(3 2)'
467400                                 TO MB21WS-NAME.
467500     MOVE MMQ1-VI-REFUND-AMT(3 2)
467600                                 TO MB21WS-15V2.
467700     PERFORM MB21PD-INSERT-A-COLUMN
467800                                 THRU MB21PD-IAC-EXIT.
467900*
468000     MOVE     'VI-MONTH(3 3)'    TO MB21WS-NAME.
468100     MOVE MMQ1-VI-MONTH(3 3)     TO MB21WS-2V0.
468200     PERFORM MB21PD-INSERT-A-COLUMN
468300                                 THRU MB21PD-IAC-EXIT.
468400*
468500     MOVE     'VI-YEAR(3 3)'     TO MB21WS-NAME.
468600     MOVE MMQ1-VI-YEAR(3 3)      TO MB21WS-4V0.
468700     PERFORM MB21PD-INSERT-A-COLUMN
468800                                 THRU MB21PD-IAC-EXIT.
468900*
469000     MOVE     'VI-VISA-NBR(3 3)'
469100                                 TO MB21WS-NAME.
469200     MOVE MMQ1-VI-VISA-NBR(3 3)
469300                                 TO MB21WS-9V0Z.
469400     PERFORM MB21PD-INSERT-A-COLUMN
469500                                 THRU MB21PD-IAC-EXIT.
469600*
469700     MOVE     'VI-VISA-AMT(3 3)'
469800                                 TO MB21WS-NAME.
469900     MOVE MMQ1-VI-VISA-AMT(3 3)
470000                                 TO MB21WS-15V2.
470100     PERFORM MB21PD-INSERT-A-COLUMN
470200                                 THRU MB21PD-IAC-EXIT.
470300*
470400     MOVE     'VI-ELECTRON-NBR(3 3)'
470500                                 TO MB21WS-NAME.
470600     MOVE MMQ1-VI-ELECTRON-NBR(3 3)
470700                                 TO MB21WS-9V0Z.
470800     PERFORM MB21PD-INSERT-A-COLUMN
470900                                 THRU MB21PD-IAC-EXIT.
471000*
471100     MOVE     'VI-ELECTRON-AMT(3 3)'
471200                                 TO MB21WS-NAME.
471300     MOVE MMQ1-VI-ELECTRON-AMT(3 3)
471400                                 TO MB21WS-15V2.
471500     PERFORM MB21PD-INSERT-A-COLUMN
471600                                 THRU MB21PD-IAC-EXIT.
471700*
471800     MOVE     'VI-CASH-ADV-NBR(3 3)'
471900                                 TO MB21WS-NAME.
472000     MOVE MMQ1-VI-CASH-ADV-NBR(3 3)
472100                                 TO MB21WS-9V0Z.
472200     PERFORM MB21PD-INSERT-A-COLUMN
472300                                 THRU MB21PD-IAC-EXIT.
472400*
472500     MOVE     'VI-CASH-ADV-AMT(3 3)'
472600                                 TO MB21WS-NAME.
472700     MOVE MMQ1-VI-CASH-ADV-AMT(3 3)
472800                                 TO MB21WS-15V2.
472900     PERFORM MB21PD-INSERT-A-COLUMN
473000                                 THRU MB21PD-IAC-EXIT.
473100*
473200     MOVE     'VI-ATM-NBR(3 3)'
473300                                 TO MB21WS-NAME.
473400     MOVE MMQ1-VI-ATM-NBR(3 3)
473500                                 TO MB21WS-9V0Z.
473600     PERFORM MB21PD-INSERT-A-COLUMN
473700                                 THRU MB21PD-IAC-EXIT.
473800*
473900     MOVE     'VI-ATM-AMT(3 3)'
474000                                 TO MB21WS-NAME.
474100     MOVE MMQ1-VI-ATM-AMT(3 3)
474200                                 TO MB21WS-15V2.
474300     PERFORM MB21PD-INSERT-A-COLUMN
474400                                 THRU MB21PD-IAC-EXIT.
474500*
474600     MOVE     'VI-REFUND-NBR(3 3)'
474700                                 TO MB21WS-NAME.
474800     MOVE MMQ1-VI-REFUND-NBR(3 3)
474900                                 TO MB21WS-9V0Z.
475000     PERFORM MB21PD-INSERT-A-COLUMN
475100                                 THRU MB21PD-IAC-EXIT.
475200*
475300     MOVE     'VI-REFUND-AMT(3 3)'
475400                                 TO MB21WS-NAME.
475500     MOVE MMQ1-VI-REFUND-AMT(3 3)
475600                                 TO MB21WS-15V2.
475700     PERFORM MB21PD-INSERT-A-COLUMN
475800                                 THRU MB21PD-IAC-EXIT.
475900*
476000     PERFORM MB21PD-INSERT-A-COLUMN
476100                                 THRU MB21PD-IAC-EXIT.
476200*
476300*
476400*
476500     MOVE 'VI-QTR-BEG-DATE(4)'   TO MB21WS-NAME.
476600     MOVE MMQ1-VI-QTR-BEG-DATE (4)
476700                                 TO SS01WS-JULIAN.
476800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
476900     MOVE MMQ1-VI-QTR-BEG-DATE (4)
477000                                 TO MB21WS-JULIAN.
477100     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
477200     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
477300     PERFORM MB21PD-INSERT-A-COLUMN
477400                                 THRU MB21PD-IAC-EXIT.
477500*
477600     MOVE 'VI-QTR-END-DATE(4)'   TO MB21WS-NAME.
477700     MOVE MMQ1-VI-QTR-END-DATE (4)
477800                                 TO SS01WS-JULIAN.
477900     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
478000     MOVE MMQ1-VI-QTR-END-DATE (4)
478100                                 TO MB21WS-JULIAN.
478200     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
478300     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
478400     PERFORM MB21PD-INSERT-A-COLUMN
478500                                 THRU MB21PD-IAC-EXIT.
478600*
478700     MOVE     'VI-NBR-MERCHANTS(4)'
478800                                 TO MB21WS-NAME.
478900     MOVE MMQ1-VI-NBR-MERCHANTS(4)
479000                                 TO MB21WS-9V0Z.
479100     PERFORM MB21PD-INSERT-A-COLUMN
479200                                 THRU MB21PD-IAC-EXIT.
479300*
479400     MOVE     'VI-NBR-ELECTRON-MERCH(4)'
479500                                 TO MB21WS-NAME.
479600     MOVE MMQ1-VI-NBR-ELECTRON-MERCH(4)
479700                                 TO MB21WS-9V0Z.
479800     PERFORM MB21PD-INSERT-A-COLUMN
479900                                 THRU MB21PD-IAC-EXIT.
480000*
480100     MOVE     'VI-NBR-STORES(4)'
480200                                 TO MB21WS-NAME.
480300     MOVE MMQ1-VI-NBR-STORES(4)
480400                                 TO MB21WS-9V0Z.
480500     PERFORM MB21PD-INSERT-A-COLUMN
480600                                 THRU MB21PD-IAC-EXIT.
480700*
480800     MOVE     'VI-NBR-ELECTRON-STORES(4)'
480900                                 TO MB21WS-NAME.
481000     MOVE MMQ1-VI-NBR-ELECTRON-STORES(4)
481100                                 TO MB21WS-9V0Z.
481200     PERFORM MB21PD-INSERT-A-COLUMN
481300                                 THRU MB21PD-IAC-EXIT.
481400*
481500     MOVE     'VI-NBR-EURO-STORES(4)'
481600                                 TO MB21WS-NAME.
481700     MOVE MMQ1-VI-NBR-EURO-STORES(4)
481800                                 TO MB21WS-9V0Z.
481900     PERFORM MB21PD-INSERT-A-COLUMN
482000                                 THRU MB21PD-IAC-EXIT.
482100*
482200     MOVE     'VI-NBR-ELEC-CARD-STORES(4)'
482300                                 TO MB21WS-NAME.
482400     MOVE MMQ1-VI-NBR-ELEC-CARD-STORES(4)
482500                                 TO MB21WS-9V0Z.
482600     PERFORM MB21PD-INSERT-A-COLUMN
482700                                 THRU MB21PD-IAC-EXIT.
482800*
482900     MOVE     'VI-NBR-CASH-BRANCHES(4)'
483000                                 TO MB21WS-NAME.
483100     MOVE MMQ1-VI-NBR-CASH-BRANCHES(4)
483200                                 TO MB21WS-9V0Z.
483300     PERFORM MB21PD-INSERT-A-COLUMN
483400                                 THRU MB21PD-IAC-EXIT.
483500*
483600     MOVE     'VI-NBR-ATM-LOCATIONS(4)'
483700                                 TO MB21WS-NAME.
483800     MOVE MMQ1-VI-NBR-ATM-LOCATIONS(4)
483900                                 TO MB21WS-9V0Z.
484000     PERFORM MB21PD-INSERT-A-COLUMN
484100                                 THRU MB21PD-IAC-EXIT.
484200*
484300     MOVE     'VI-NBR-ATM-MACHINES(4)'
484400                                 TO MB21WS-NAME.
484500     MOVE MMQ1-VI-NBR-ATM-MACHINES(4)
484600                                 TO MB21WS-9V0Z.
484700     PERFORM MB21PD-INSERT-A-COLUMN
484800                                 THRU MB21PD-IAC-EXIT.
484900*
485000     MOVE     'VI-NBR-ATMS-VISA(4)'
485100                                 TO MB21WS-NAME.
485200     MOVE MMQ1-VI-NBR-ATMS-VISA(4)
485300                                 TO MB21WS-9V0Z.
485400     PERFORM MB21PD-INSERT-A-COLUMN
485500                                 THRU MB21PD-IAC-EXIT.
485600*
485700     MOVE     'VI-NBR-ATMS-VISA-PLUS(4)'
485800                                 TO MB21WS-NAME.
485900     MOVE MMQ1-VI-NBR-ATMS-VISA-PLUS(4)
486000                                 TO MB21WS-9V0Z.
486100     PERFORM MB21PD-INSERT-A-COLUMN
486200                                 THRU MB21PD-IAC-EXIT.
486300*
486400     MOVE     'VI-NBR-ATMS-PLUS-NBR(4)'
486500                                 TO MB21WS-NAME.
486600     MOVE MMQ1-VI-NBR-ATMS-PLUS-NBR(4)
486700                                 TO MB21WS-9V0Z.
486800     PERFORM MB21PD-INSERT-A-COLUMN
486900                                 THRU MB21PD-IAC-EXIT.
487000*
487100     MOVE     'VI-NBR-ATMS-PLUS-AMT(4)'
487200                                 TO MB21WS-NAME.
487300     MOVE MMQ1-VI-NBR-ATMS-PLUS-AMT(4)
487400                                 TO MB21WS-15V2.
487500     PERFORM MB21PD-INSERT-A-COLUMN
487600                                 THRU MB21PD-IAC-EXIT.
487700*
487800     MOVE     'VI-IS-NBR(4 1)'   TO MB21WS-NAME.
487900     MOVE MMQ1-VI-IS-NBR(4 1)    TO MB21WS-9V0Z.
488000     PERFORM MB21PD-INSERT-A-COLUMN
488100                                 THRU MB21PD-IAC-EXIT.
488200*
488300     MOVE     'VI-IS-AMT(4 1)'   TO MB21WS-NAME.
488400     MOVE MMQ1-VI-IS-AMT(4 1)    TO MB21WS-15V2.
488500     PERFORM MB21PD-INSERT-A-COLUMN
488600                                 THRU MB21PD-IAC-EXIT.
488700*
488800     MOVE     'VI-IS-NBR(4 2)'   TO MB21WS-NAME.
488900     MOVE MMQ1-VI-IS-NBR(4 2)    TO MB21WS-9V0Z.
489000     PERFORM MB21PD-INSERT-A-COLUMN
489100                                 THRU MB21PD-IAC-EXIT.
489200*
489300     MOVE     'VI-IS-AMT(4 2)'   TO MB21WS-NAME.
489400     MOVE MMQ1-VI-IS-AMT(4 2)    TO MB21WS-15V2.
489500     PERFORM MB21PD-INSERT-A-COLUMN
489600                                 THRU MB21PD-IAC-EXIT.
489700*
489800     MOVE     'VI-IS-NBR(4 3)'   TO MB21WS-NAME.
489900     MOVE MMQ1-VI-IS-NBR(4 3)    TO MB21WS-9V0Z.
490000     PERFORM MB21PD-INSERT-A-COLUMN
490100                                 THRU MB21PD-IAC-EXIT.
490200*
490300     MOVE     'VI-IS-AMT(4 3)'   TO MB21WS-NAME.
490400     MOVE MMQ1-VI-IS-AMT(4 3)    TO MB21WS-15V2.
490500     PERFORM MB21PD-INSERT-A-COLUMN
490600                                 THRU MB21PD-IAC-EXIT.
490700*
490800     MOVE     'VI-IS-NBR(4 4)'   TO MB21WS-NAME.
490900     MOVE MMQ1-VI-IS-NBR(4 4)    TO MB21WS-9V0Z.
491000     PERFORM MB21PD-INSERT-A-COLUMN
491100                                 THRU MB21PD-IAC-EXIT.
491200*
491300     MOVE     'VI-IS-AMT(4 4)'   TO MB21WS-NAME.
491400     MOVE MMQ1-VI-IS-AMT(4 4)    TO MB21WS-15V2.
491500     PERFORM MB21PD-INSERT-A-COLUMN
491600                                 THRU MB21PD-IAC-EXIT.
491700*
491800     MOVE     'VI-IS-NBR(4 5)'   TO MB21WS-NAME.
491900     MOVE MMQ1-VI-IS-NBR(4 5)    TO MB21WS-9V0Z.
492000     PERFORM MB21PD-INSERT-A-COLUMN
492100                                 THRU MB21PD-IAC-EXIT.
492200*
492300     MOVE     'VI-IS-AMT(4 5)'   TO MB21WS-NAME.
492400     MOVE MMQ1-VI-IS-AMT(4 5)    TO MB21WS-15V2.
492500     PERFORM MB21PD-INSERT-A-COLUMN
492600                                 THRU MB21PD-IAC-EXIT.
492700*
492800     MOVE     'VI-IS-NBR(4 6)'   TO MB21WS-NAME.
492900     MOVE MMQ1-VI-IS-NBR(4 6)    TO MB21WS-9V0Z.
493000     PERFORM MB21PD-INSERT-A-COLUMN
493100                                 THRU MB21PD-IAC-EXIT.
493200*
493300     MOVE     'VI-IS-AMT(4 6)'   TO MB21WS-NAME.
493400     MOVE MMQ1-VI-IS-AMT(4 6)    TO MB21WS-15V2.
493500     PERFORM MB21PD-INSERT-A-COLUMN
493600                                 THRU MB21PD-IAC-EXIT.
493700*
493800     MOVE     'VI-IS-NBR(4 7)'   TO MB21WS-NAME.
493900     MOVE MMQ1-VI-IS-NBR(4 7)    TO MB21WS-9V0Z.
494000     PERFORM MB21PD-INSERT-A-COLUMN
494100                                 THRU MB21PD-IAC-EXIT.
494200*
494300     MOVE     'VI-IS-AMT(4 7)'   TO MB21WS-NAME.
494400     MOVE MMQ1-VI-IS-AMT(4 7)    TO MB21WS-15V2.
494500     PERFORM MB21PD-INSERT-A-COLUMN
494600                                 THRU MB21PD-IAC-EXIT.
494700*
494800     MOVE     'VI-IS-NBR(4 8)'   TO MB21WS-NAME.
494900     MOVE MMQ1-VI-IS-NBR(4 8)    TO MB21WS-9V0Z.
495000     PERFORM MB21PD-INSERT-A-COLUMN
495100                                 THRU MB21PD-IAC-EXIT.
495200*
495300     MOVE     'VI-IS-AMT(4 8)'   TO MB21WS-NAME.
495400     MOVE MMQ1-VI-IS-AMT(4 8)    TO MB21WS-15V2.
495500     PERFORM MB21PD-INSERT-A-COLUMN
495600                                 THRU MB21PD-IAC-EXIT.
495700*
495800     MOVE     'VI-IS-NBR(4 9)'   TO MB21WS-NAME.
495900     MOVE MMQ1-VI-IS-NBR(4 9)    TO MB21WS-9V0Z.
496000     PERFORM MB21PD-INSERT-A-COLUMN
496100                                 THRU MB21PD-IAC-EXIT.
496200*
496300     MOVE     'VI-IS-AMT(4 9)'   TO MB21WS-NAME.
496400     MOVE MMQ1-VI-IS-AMT(4 9)    TO MB21WS-15V2.
496500     PERFORM MB21PD-INSERT-A-COLUMN
496600                                 THRU MB21PD-IAC-EXIT.
496700*
496800     MOVE     'VI-IS-NBR(4 10)'  TO MB21WS-NAME.
496900     MOVE MMQ1-VI-IS-NBR(4 10)   TO MB21WS-9V0Z.
497000     PERFORM MB21PD-INSERT-A-COLUMN
497100                                 THRU MB21PD-IAC-EXIT.
497200*
497300     MOVE     'VI-IS-AMT(4 10)'  TO MB21WS-NAME.
497400     MOVE MMQ1-VI-IS-AMT(4 10)   TO MB21WS-15V2.
497500     PERFORM MB21PD-INSERT-A-COLUMN
497600                                 THRU MB21PD-IAC-EXIT.
497700*
497800     MOVE     'VI-IS-NBR(4 11)'  TO MB21WS-NAME.
497900     MOVE MMQ1-VI-IS-NBR(4 11)   TO MB21WS-9V0Z.
498000     PERFORM MB21PD-INSERT-A-COLUMN
498100                                 THRU MB21PD-IAC-EXIT.
498200*
498300     MOVE     'VI-IS-AMT(4 11)'  TO MB21WS-NAME.
498400     MOVE MMQ1-VI-IS-AMT(4 11)   TO MB21WS-15V2.
498500     PERFORM MB21PD-INSERT-A-COLUMN
498600                                 THRU MB21PD-IAC-EXIT.
498700*
498800     MOVE     'VI-IS-NBR(4 12)'  TO MB21WS-NAME.
498900     MOVE MMQ1-VI-IS-NBR(4 12)   TO MB21WS-9V0Z.
499000     PERFORM MB21PD-INSERT-A-COLUMN
499100                                 THRU MB21PD-IAC-EXIT.
499200*
499300     MOVE     'VI-IS-AMT(4 12)'  TO MB21WS-NAME.
499400     MOVE MMQ1-VI-IS-AMT(4 12)   TO MB21WS-15V2.
499500     PERFORM MB21PD-INSERT-A-COLUMN
499600                                 THRU MB21PD-IAC-EXIT.
499700*
499800     MOVE     'VI-IS-NBR(4 13)'  TO MB21WS-NAME.
499900     MOVE MMQ1-VI-IS-NBR(4 13)   TO MB21WS-9V0Z.
500000     PERFORM MB21PD-INSERT-A-COLUMN
500100                                 THRU MB21PD-IAC-EXIT.
500200*
500300     MOVE     'VI-IS-AMT(4 13)'  TO MB21WS-NAME.
500400     MOVE MMQ1-VI-IS-AMT(4 13)   TO MB21WS-15V2.
500500     PERFORM MB21PD-INSERT-A-COLUMN
500600                                 THRU MB21PD-IAC-EXIT.
500700*
500800     MOVE     'VI-IS-NBR(4 14)'  TO MB21WS-NAME.
500900     MOVE MMQ1-VI-IS-NBR(4 14)   TO MB21WS-9V0Z.
501000     PERFORM MB21PD-INSERT-A-COLUMN
501100                                 THRU MB21PD-IAC-EXIT.
501200*
501300     MOVE     'VI-IS-AMT(4 14)'  TO MB21WS-NAME.
501400     MOVE MMQ1-VI-IS-AMT(4 14)   TO MB21WS-15V2.
501500     PERFORM MB21PD-INSERT-A-COLUMN
501600                                 THRU MB21PD-IAC-EXIT.
501700*
501800     MOVE     'VI-IS-NBR(4 15)'  TO MB21WS-NAME.
501900     MOVE MMQ1-VI-IS-NBR(4 15)   TO MB21WS-9V0Z.
502000     PERFORM MB21PD-INSERT-A-COLUMN
502100                                 THRU MB21PD-IAC-EXIT.
502200*
502300     MOVE     'VI-IS-AMT(4 15)'  TO MB21WS-NAME.
502400     MOVE MMQ1-VI-IS-AMT(4 15)   TO MB21WS-15V2.
502500     PERFORM MB21PD-INSERT-A-COLUMN
502600                                 THRU MB21PD-IAC-EXIT.
502700*
502800     MOVE     'VI-IS-NBR(4 16)'  TO MB21WS-NAME.
502900     MOVE MMQ1-VI-IS-NBR(4 16)   TO MB21WS-9V0Z.
503000     PERFORM MB21PD-INSERT-A-COLUMN
503100                                 THRU MB21PD-IAC-EXIT.
503200*
503300     MOVE     'VI-IS-AMT(4 16)'  TO MB21WS-NAME.
503400     MOVE MMQ1-VI-IS-AMT(4 16)   TO MB21WS-15V2.
503500     PERFORM MB21PD-INSERT-A-COLUMN
503600                                 THRU MB21PD-IAC-EXIT.
503700*
503800     MOVE     'VI-IS-NBR(4 17)'  TO MB21WS-NAME.
503900     MOVE MMQ1-VI-IS-NBR(4 17)   TO MB21WS-9V0Z.
504000     PERFORM MB21PD-INSERT-A-COLUMN
504100                                 THRU MB21PD-IAC-EXIT.
504200*
504300     MOVE     'VI-IS-AMT(4 17)'   TO MB21WS-NAME.
504400     MOVE MMQ1-VI-IS-AMT(4 17)    TO MB21WS-15V2.
504500     PERFORM MB21PD-INSERT-A-COLUMN
504600                                 THRU MB21PD-IAC-EXIT.
504700*
504800     MOVE     'VI-IS-NBR(4 18)'  TO MB21WS-NAME.
504900     MOVE MMQ1-VI-IS-NBR(4 18)   TO MB21WS-9V0Z.
505000     PERFORM MB21PD-INSERT-A-COLUMN
505100                                 THRU MB21PD-IAC-EXIT.
505200*
505300     MOVE     'VI-IS-AMT(4 18)'  TO MB21WS-NAME.
505400     MOVE MMQ1-VI-IS-AMT(4 18)   TO MB21WS-15V2.
505500     PERFORM MB21PD-INSERT-A-COLUMN
505600                                 THRU MB21PD-IAC-EXIT.
505700*
505800     MOVE     'VI-IS-NBR(4 19)'  TO MB21WS-NAME.
505900     MOVE MMQ1-VI-IS-NBR(4 19)   TO MB21WS-9V0Z.
506000     PERFORM MB21PD-INSERT-A-COLUMN
506100                                 THRU MB21PD-IAC-EXIT.
506200*
506300     MOVE     'VI-IS-AMT(4 19)'  TO MB21WS-NAME.
506400     MOVE MMQ1-VI-IS-AMT(4 19)   TO MB21WS-15V2.
506500     PERFORM MB21PD-INSERT-A-COLUMN
506600                                 THRU MB21PD-IAC-EXIT.
506700*
506800     MOVE     'VI-IS-NBR(4 20)'  TO MB21WS-NAME.
506900     MOVE MMQ1-VI-IS-NBR(4 20)   TO MB21WS-9V0Z.
507000     PERFORM MB21PD-INSERT-A-COLUMN
507100                                 THRU MB21PD-IAC-EXIT.
507200*
507300     MOVE     'VI-IS-AMT(4 20)'  TO MB21WS-NAME.
507400     MOVE MMQ1-VI-IS-AMT(4 20)   TO MB21WS-15V2.
507500     PERFORM MB21PD-INSERT-A-COLUMN
507600                                 THRU MB21PD-IAC-EXIT.
507700*
507800     MOVE     'VI-IS-NBR(4 21)'  TO MB21WS-NAME.
507900     MOVE MMQ1-VI-IS-NBR(4 21)   TO MB21WS-9V0Z.
508000     PERFORM MB21PD-INSERT-A-COLUMN
508100                                 THRU MB21PD-IAC-EXIT.
508200*
508300     MOVE     'VI-IS-AMT(4 21)'  TO MB21WS-NAME.
508400     MOVE MMQ1-VI-IS-AMT(4 21)   TO MB21WS-15V2.
508500     PERFORM MB21PD-INSERT-A-COLUMN
508600                                 THRU MB21PD-IAC-EXIT.
508700*
508800     MOVE     'VI-IS-NBR(4 22)'  TO MB21WS-NAME.
508900     MOVE MMQ1-VI-IS-NBR(4 22)   TO MB21WS-9V0Z.
509000     PERFORM MB21PD-INSERT-A-COLUMN
509100                                 THRU MB21PD-IAC-EXIT.
509200*
509300     MOVE     'VI-IS-AMT(4 22)'  TO MB21WS-NAME.
509400     MOVE MMQ1-VI-IS-AMT(4 22)   TO MB21WS-15V2.
509500     PERFORM MB21PD-INSERT-A-COLUMN
509600                                 THRU MB21PD-IAC-EXIT.
509700*
509800     MOVE     'VI-IS-NBR(4 23)'  TO MB21WS-NAME.
509900     MOVE MMQ1-VI-IS-NBR(4 23)   TO MB21WS-9V0Z.
510000     PERFORM MB21PD-INSERT-A-COLUMN
510100                                 THRU MB21PD-IAC-EXIT.
510200*
510300     MOVE     'VI-IS-AMT(4 23)'  TO MB21WS-NAME.
510400     MOVE MMQ1-VI-IS-AMT(4 23)   TO MB21WS-15V2.
510500     PERFORM MB21PD-INSERT-A-COLUMN
510600                                 THRU MB21PD-IAC-EXIT.
510700*
510800     MOVE     'VI-IS-NBR(4 24)'  TO MB21WS-NAME.
510900     MOVE MMQ1-VI-IS-NBR(4 24)   TO MB21WS-9V0Z.
511000     PERFORM MB21PD-INSERT-A-COLUMN
511100                                 THRU MB21PD-IAC-EXIT.
511200*
511300     MOVE     'VI-IS-AMT(4 24)'  TO MB21WS-NAME.
511400     MOVE MMQ1-VI-IS-AMT(4 24)   TO MB21WS-15V2.
511500     PERFORM MB21PD-INSERT-A-COLUMN
511600                                 THRU MB21PD-IAC-EXIT.
511700*
511800     MOVE     'VI-IS-NBR(4 25)'  TO MB21WS-NAME.
511900     MOVE MMQ1-VI-IS-NBR(4 25)   TO MB21WS-9V0Z.
512000     PERFORM MB21PD-INSERT-A-COLUMN
512100                                 THRU MB21PD-IAC-EXIT.
512200*
512300     MOVE     'VI-IS-AMT(4 25)'  TO MB21WS-NAME.
512400     MOVE MMQ1-VI-IS-AMT(4 25)   TO MB21WS-15V2.
512500     PERFORM MB21PD-INSERT-A-COLUMN
512600                                 THRU MB21PD-IAC-EXIT.
512700*
512800     MOVE     'VI-IS-NBR(4 26)'  TO MB21WS-NAME.
512900     MOVE MMQ1-VI-IS-NBR(4 26)   TO MB21WS-9V0Z.
513000     PERFORM MB21PD-INSERT-A-COLUMN
513100                                 THRU MB21PD-IAC-EXIT.
513200*
513300     MOVE     'VI-IS-AMT(4 26)'  TO MB21WS-NAME.
513400     MOVE MMQ1-VI-IS-AMT(4 26)   TO MB21WS-15V2.
513500     PERFORM MB21PD-INSERT-A-COLUMN
513600                                 THRU MB21PD-IAC-EXIT.
513700*
513800     MOVE     'VI-MONTH(4 1)'    TO MB21WS-NAME.
513900     MOVE MMQ1-VI-MONTH(4 1)     TO MB21WS-2V0.
514000     PERFORM MB21PD-INSERT-A-COLUMN
514100                                 THRU MB21PD-IAC-EXIT.
514200*
514300     MOVE     'VI-YEAR(4 1)'     TO MB21WS-NAME.
514400     MOVE MMQ1-VI-YEAR(4 1)      TO MB21WS-4V0.
514500     PERFORM MB21PD-INSERT-A-COLUMN
514600                                 THRU MB21PD-IAC-EXIT.
514700*
514800     MOVE     'VI-VISA-NBR(4 1)'
514900                                 TO MB21WS-NAME.
515000     MOVE MMQ1-VI-VISA-NBR(4 1)
515100                                 TO MB21WS-9V0Z.
515200     PERFORM MB21PD-INSERT-A-COLUMN
515300                                 THRU MB21PD-IAC-EXIT.
515400*
515500     MOVE     'VI-VISA-AMT(4 1)'
515600                                 TO MB21WS-NAME.
515700     MOVE MMQ1-VI-VISA-AMT(4 1)
515800                                 TO MB21WS-15V2.
515900     PERFORM MB21PD-INSERT-A-COLUMN
516000                                 THRU MB21PD-IAC-EXIT.
516100*
516200     MOVE     'VI-ELECTRON-NBR(4 1)'
516300                                 TO MB21WS-NAME.
516400     MOVE MMQ1-VI-ELECTRON-NBR(4 1)
516500                                 TO MB21WS-9V0Z.
516600     PERFORM MB21PD-INSERT-A-COLUMN
516700                                 THRU MB21PD-IAC-EXIT.
516800*
516900     MOVE     'VI-ELECTRON-AMT(4 1)'
517000                                 TO MB21WS-NAME.
517100     MOVE MMQ1-VI-ELECTRON-AMT(4 1)
517200                                 TO MB21WS-15V2.
517300     PERFORM MB21PD-INSERT-A-COLUMN
517400                                 THRU MB21PD-IAC-EXIT.
517500*
517600     MOVE     'VI-CASH-ADV-NBR(4 1)'
517700                                 TO MB21WS-NAME.
517800     MOVE MMQ1-VI-CASH-ADV-NBR(4 1)
517900                                 TO MB21WS-9V0Z.
518000     PERFORM MB21PD-INSERT-A-COLUMN
518100                                 THRU MB21PD-IAC-EXIT.
518200*
518300     MOVE     'VI-CASH-ADV-AMT(4 1)'
518400                                 TO MB21WS-NAME.
518500     MOVE MMQ1-VI-CASH-ADV-AMT(4 1)
518600                                 TO MB21WS-15V2.
518700     PERFORM MB21PD-INSERT-A-COLUMN
518800                                 THRU MB21PD-IAC-EXIT.
518900*
519000     MOVE     'VI-ATM-NBR(4 1)'
519100                                 TO MB21WS-NAME.
519200     MOVE MMQ1-VI-ATM-NBR(4 1)
519300                                 TO MB21WS-9V0Z.
519400     PERFORM MB21PD-INSERT-A-COLUMN
519500                                 THRU MB21PD-IAC-EXIT.
519600*
519700     MOVE     'VI-ATM-AMT(4 1)'
519800                                 TO MB21WS-NAME.
519900     MOVE MMQ1-VI-ATM-AMT(4 1)
520000                                 TO MB21WS-15V2.
520100     PERFORM MB21PD-INSERT-A-COLUMN
520200                                 THRU MB21PD-IAC-EXIT.
520300*
520400     MOVE     'VI-REFUND-NBR(4 1)'
520500                                 TO MB21WS-NAME.
520600     MOVE MMQ1-VI-REFUND-NBR(4 1)
520700                                 TO MB21WS-9V0Z.
520800     PERFORM MB21PD-INSERT-A-COLUMN
520900                                 THRU MB21PD-IAC-EXIT.
521000*
521100     MOVE     'VI-REFUND-AMT(4 1)'
521200                                 TO MB21WS-NAME.
521300     MOVE MMQ1-VI-REFUND-AMT(4 1)
521400                                 TO MB21WS-15V2.
521500     PERFORM MB21PD-INSERT-A-COLUMN
521600                                 THRU MB21PD-IAC-EXIT.
521700*
521800     MOVE     'VI-MONTH(4 2)'    TO MB21WS-NAME.
521900     MOVE MMQ1-VI-MONTH(4 2)     TO MB21WS-2V0.
522000     PERFORM MB21PD-INSERT-A-COLUMN
522100                                 THRU MB21PD-IAC-EXIT.
522200*
522300     MOVE     'VI-YEAR(4 2)'     TO MB21WS-NAME.
522400     MOVE MMQ1-VI-YEAR(4 2)      TO MB21WS-4V0.
522500     PERFORM MB21PD-INSERT-A-COLUMN
522600                                 THRU MB21PD-IAC-EXIT.
522700*
522800     MOVE     'VI-VISA-NBR(4 2)'
522900                                 TO MB21WS-NAME.
523000     MOVE MMQ1-VI-VISA-NBR(4 2)
523100                                 TO MB21WS-9V0Z.
523200     PERFORM MB21PD-INSERT-A-COLUMN
523300                                 THRU MB21PD-IAC-EXIT.
523400*
523500     MOVE     'VI-VISA-AMT(4 2)'
523600                                 TO MB21WS-NAME.
523700     MOVE MMQ1-VI-VISA-AMT(4 2)
523800                                 TO MB21WS-15V2.
523900     PERFORM MB21PD-INSERT-A-COLUMN
524000                                 THRU MB21PD-IAC-EXIT.
524100*
524200     MOVE     'VI-ELECTRON-NBR(4 2)'
524300                                 TO MB21WS-NAME.
524400     MOVE MMQ1-VI-ELECTRON-NBR(4 2)
524500                                 TO MB21WS-9V0Z.
524600     PERFORM MB21PD-INSERT-A-COLUMN
524700                                 THRU MB21PD-IAC-EXIT.
524800*
524900     MOVE     'VI-ELECTRON-AMT(4 2)'
525000                                 TO MB21WS-NAME.
525100     MOVE MMQ1-VI-ELECTRON-AMT(4 2)
525200                                 TO MB21WS-15V2.
525300     PERFORM MB21PD-INSERT-A-COLUMN
525400                                 THRU MB21PD-IAC-EXIT.
525500*
525600     MOVE     'VI-CASH-ADV-NBR(4 2)'
525700                                 TO MB21WS-NAME.
525800     MOVE MMQ1-VI-CASH-ADV-NBR(4 2)
525900                                 TO MB21WS-9V0Z.
526000     PERFORM MB21PD-INSERT-A-COLUMN
526100                                 THRU MB21PD-IAC-EXIT.
526200*
526300     MOVE     'VI-CASH-ADV-AMT(4 2)'
526400                                 TO MB21WS-NAME.
526500     MOVE MMQ1-VI-CASH-ADV-AMT(4 2)
526600                                 TO MB21WS-15V2.
526700     PERFORM MB21PD-INSERT-A-COLUMN
526800                                 THRU MB21PD-IAC-EXIT.
526900*
527000     MOVE     'VI-ATM-NBR(4 2)'
527100                                 TO MB21WS-NAME.
527200     MOVE MMQ1-VI-ATM-NBR(4 2)
527300                                 TO MB21WS-9V0Z.
527400     PERFORM MB21PD-INSERT-A-COLUMN
527500                                 THRU MB21PD-IAC-EXIT.
527600*
527700     MOVE     'VI-ATM-AMT(4 2)'
527800                                 TO MB21WS-NAME.
527900     MOVE MMQ1-VI-ATM-AMT(4 2)
528000                                 TO MB21WS-15V2.
528100     PERFORM MB21PD-INSERT-A-COLUMN
528200                                 THRU MB21PD-IAC-EXIT.
528300*
528400     MOVE     'VI-REFUND-NBR(4 2)'
528500                                 TO MB21WS-NAME.
528600     MOVE MMQ1-VI-REFUND-NBR(4 2)
528700                                 TO MB21WS-9V0Z.
528800     PERFORM MB21PD-INSERT-A-COLUMN
528900                                 THRU MB21PD-IAC-EXIT.
529000*
529100     MOVE     'VI-REFUND-AMT(4 2)'
529200                                 TO MB21WS-NAME.
529300     MOVE MMQ1-VI-REFUND-AMT(4 2)
529400                                 TO MB21WS-15V2.
529500     PERFORM MB21PD-INSERT-A-COLUMN
529600                                 THRU MB21PD-IAC-EXIT.
529700*
529800     MOVE     'VI-MONTH(4 3)'    TO MB21WS-NAME.
529900     MOVE MMQ1-VI-MONTH(4 3)     TO MB21WS-2V0.
530000     PERFORM MB21PD-INSERT-A-COLUMN
530100                                 THRU MB21PD-IAC-EXIT.
530200*
530300     MOVE     'VI-YEAR(4 3)'     TO MB21WS-NAME.
530400     MOVE MMQ1-VI-YEAR(4 3)      TO MB21WS-4V0.
530500     PERFORM MB21PD-INSERT-A-COLUMN
530600                                 THRU MB21PD-IAC-EXIT.
530700*
530800     MOVE     'VI-VISA-NBR(4 3)'
530900                                 TO MB21WS-NAME.
531000     MOVE MMQ1-VI-VISA-NBR(4 3)
531100                                 TO MB21WS-9V0Z.
531200     PERFORM MB21PD-INSERT-A-COLUMN
531300                                 THRU MB21PD-IAC-EXIT.
531400*
531500     MOVE     'VI-VISA-AMT(4 3)'
531600                                 TO MB21WS-NAME.
531700     MOVE MMQ1-VI-VISA-AMT(4 3)
531800                                 TO MB21WS-15V2.
531900     PERFORM MB21PD-INSERT-A-COLUMN
532000                                 THRU MB21PD-IAC-EXIT.
532100*
532200     MOVE     'VI-ELECTRON-NBR(4 3)'
532300                                 TO MB21WS-NAME.
532400     MOVE MMQ1-VI-ELECTRON-NBR(4 3)
532500                                 TO MB21WS-9V0Z.
532600     PERFORM MB21PD-INSERT-A-COLUMN
532700                                 THRU MB21PD-IAC-EXIT.
532800*
532900     MOVE     'VI-ELECTRON-AMT(4 3)'
533000                                 TO MB21WS-NAME.
533100     MOVE MMQ1-VI-ELECTRON-AMT(4 3)
533200                                 TO MB21WS-15V2.
533300     PERFORM MB21PD-INSERT-A-COLUMN
533400                                 THRU MB21PD-IAC-EXIT.
533500*
533600     MOVE     'VI-CASH-ADV-NBR(4 3)'
533700                                 TO MB21WS-NAME.
533800     MOVE MMQ1-VI-CASH-ADV-NBR(4 3)
533900                                 TO MB21WS-9V0Z.
534000     PERFORM MB21PD-INSERT-A-COLUMN
534100                                 THRU MB21PD-IAC-EXIT.
534200*
534300     MOVE     'VI-CASH-ADV-AMT(4 3)'
534400                                 TO MB21WS-NAME.
534500     MOVE MMQ1-VI-CASH-ADV-AMT(4 3)
534600                                 TO MB21WS-15V2.
534700     PERFORM MB21PD-INSERT-A-COLUMN
534800                                 THRU MB21PD-IAC-EXIT.
534900*
535000     MOVE     'VI-ATM-NBR(4 3)'
535100                                 TO MB21WS-NAME.
535200     MOVE MMQ1-VI-ATM-NBR(4 3)
535300                                 TO MB21WS-9V0Z.
535400     PERFORM MB21PD-INSERT-A-COLUMN
535500                                 THRU MB21PD-IAC-EXIT.
535600*
535700     MOVE     'VI-ATM-AMT(4 3)'
535800                                 TO MB21WS-NAME.
535900     MOVE MMQ1-VI-ATM-AMT(4 3)
536000                                 TO MB21WS-15V2.
536100     PERFORM MB21PD-INSERT-A-COLUMN
536200                                 THRU MB21PD-IAC-EXIT.
536300*
536400     MOVE     'VI-REFUND-NBR(4 3)'
536500                                 TO MB21WS-NAME.
536600     MOVE MMQ1-VI-REFUND-NBR(4 3)
536700                                 TO MB21WS-9V0Z.
536800     PERFORM MB21PD-INSERT-A-COLUMN
536900                                 THRU MB21PD-IAC-EXIT.
537000*
537100     MOVE     'VI-REFUND-AMT(4 3)'
537200                                 TO MB21WS-NAME.
537300     MOVE MMQ1-VI-REFUND-AMT(4 3)
537400                                 TO MB21WS-15V2.
537500     PERFORM MB21PD-INSERT-A-COLUMN
537600                                 THRU MB21PD-IAC-EXIT.
537700*
537800*
537900*
538000 B999-PRT-EXIT.
538100     EXIT.
538200*
538300 B200-PRINT-HEADER.
538400*
538500     MOVE 'ORG HEADER RECORD(MMQ1)'
538600                                 TO MB21WS-NAME.
538700     PERFORM MB21PD-INSERT-A-COLUMN
538800                                 THRU MB21PD-IAC-EXIT.
538900*
539000     MOVE SPACES                 TO MB21WS-PRINT-WORK-AREA.
539100     MOVE 'ORG'                  TO MB21WS-NAME.
539200     MOVE MMQ1IO-ORG             TO MB21WS-3V0.
539300     PERFORM MB21PD-INSERT-A-COLUMN
539400                                 THRU MB21PD-IAC-EXIT.
539500*
539600     MOVE 'DATE-STAMP'           TO MB21WS-NAME.
539700     MOVE MMQ1IO-DATE-STAMP      TO SS01WS-JULIAN.
539800     PERFORM SS08PD-JUL-TO-GREG  THRU SS08PD-JTG-EXIT.
539900     MOVE MMQ1IO-DATE-STAMP      TO MB21WS-JULIAN.
540000     MOVE SS01WS-DATE-L6         TO MB21WS-GREG.
540100     INSPECT MB21WS-JULIAN       REPLACING ALL ',' BY '-'.
540200     PERFORM MB21PD-INSERT-A-COLUMN
540300                                 THRU MB21PD-IAC-EXIT.
540400*
540500     MOVE 'TIME-STAMP'           TO MB21WS-NAME.
540600     MOVE MMQ1IO-TIME-STAMP      TO MB21WS-TIME.
540700     INSPECT MB21WS-TIME         REPLACING ALL SPACE BY '.'.
540800     PERFORM MB21PD-INSERT-A-COLUMN
540900                                 THRU MB21PD-IAC-EXIT.
541000*
541100     PERFORM MB21PD-PRINT-A-PAGE
541200                                 THRU MB21PD-PAP-EXIT.
541300*
541400 B200-PH-EXIT.
541500     EXIT.
541600/
541700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
541800*                          COMMON ROUTINES                      *
541900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
542000*
542100     COPY SS02PD.
542200/
542300     COPY SS08PD.
542400/
542500     COPY SS16PD.
542600/
542700     COPY SS26PD.
542800/
542900     COPY SS27PD.
543000/
543100     COPY MB20PD.
543200/
543300     COPY MB21PD.
543400/
543500     COPY MB99PD.
543600/
543700     COPY MB00PD REPLACING ==:MB00:== BY ==MTCC==.
543800/
543900     COPY MB00PD REPLACING ==:MB00:== BY ==MMQ1==.
544000/
544100     COPY MB00PD REPLACING ==:MB00:== BY ==MMSC==.
544200/
544300     COPY MB00PD REPLACING ==:MB00:== BY ==MBMF==.
